(CNN) -- In Namibia, the question of who owns the wildlife has often been fraught with difficulties.

In 1967 -- one year after the United Nations demanded South Africa leave Namibia -- the ruling South African apartheid government gave ownership of the local fauna to (predominantly) white landowners.

Shortly afterwards, the indigenous Namibians were pushed out onto the formerly protected Kaokoveld wildlife reserve, where they were given a strip of land on which to farm. For those living on the communal lands, poaching springbok and zebra was often seen as the only way a family could stay fed.

When John Kasaona was a young boy, his father did what many men did at the time; he poached.

"He used to catch everything from springbok to lion," recalls Kasaona. "There was constant food in our family."

The practice was, of course, illegal, and the landowners often came down hard on poachers.

"It was a very awkward situation," says Kasaona. "The colonial government's department of conservation started opening up pots in the local communities to see what was in those pots."

Though the authorities arrested perpetrators, poaching remained rampant in the 1970s and 1980s as bad droughts and a war for independence ravaged local livestock. As a result, many species in Namibia were facing extinction.

"In the private lands, wildlife was doing quite well," notes Chris Weaver, head of the World Wildlife Fund-Namibia (WWF-Na). "On the communal lands, though, it was at near historic lows."

In 1983, Kasaona's father was asked by the village headman to stop poaching. From now on he would no longer hunt wildlife; he would protect it. He was one of the first poachers turned "game guards", in the country.

The novel idea -- to protect wildlife by enlisting those most skilled at tracking it -- was the brainchild of the Integrated Rural Development and Nature Conservation (IRDNC), an NGO of which Kasaona is now the director. One of the founders of IRDNC, a conservationist named Gareth Owen-Smith, formed the idea for the game guard system in tandem with the local Herero herdsmen.

"He discovered that these elders didn't want to see the end of wildlife any more than he did," remarks IRDNC's co-founder, Margaret Jacobsohn. "It might not make sense from an outside perspective, but from a local perspective, these are the men who know and enjoy being in the bush. But now they're earning an income from being there."

When Namibia gained independence in 1990, the government recognized the successes achieved by the game guard system, and enlisted IRDNC's help in rolling it out on a national scale. By 1996, the idea had matured; rather than merely paying local communities to look after wildlife, the government used ownership as an incentive. In exchange for forming a "community conservancy" a community was given the rights to the animals on their land.

"If people feel they really own a resource, if they feel they have responsibility for it, they're going to be accountable, and they're going to look after it," notes Jacobsohn. "It's just a very logical thing. If you rent an apartment, you'll treat it one way. If you own it, you might treat it slightly better."

The initial funding came from the government and NGOs, including IRDNC and the WWF, who, with USAid, has invested $48 million into the conservancy program since 1993.

Looking at the numbers today, it's clear it's been a huge success. The country currently hosts the world's largest population of free roaming cheetahs and black rhinos (where once they teetered on the edge of extinction). In the last decade, the elephant population has risen from around 13,000 to 20,000. In the northwest of the country, where lions were down to under two dozen, they now total roughly 130.

The goal, though, has always been for conservancies to become self-sufficient, as owning wildlife isn't enough to ensure its protection. In order for the conservation scheme to really work, people on the land had to recognize they could benefit more from the animals alive than - as Jacobsohn says- "in their cooking pots."

When the conservancy system started in 1996, there were four areas pulling in a negligible income. Today, there are over 74 earning a combined total of more than $4.8 million. Most of the money is derived from joint venture tourism, with trophy hunting following in at a distant second. Many conservancies have used the influx of money to better develop their local schools, provide support programs for individuals with HIV/AIDS and improve infrastructure and a range of other rural development projects.

"It brought a very big change when we went into the tourism business," recalls Bennie Roman, the manager of the Torra Conservancy, one of the oldest in the country, and the first to become fully financially independent. Roman recalled how before Torra was set up, the only jobs available were in teaching and farming.

"Young people would go out to urban areas, and the elders would stay back to manage the land," he says. In 1995, the Damaraland Camp eco-resort moved in nearby. At first, Roman says the community looked at it with suspicion.

"We saw them as competition," he admits. "They were generating an income from the resources we were living with."

However since then, Torra has become the first conservancy to partner with a private business. The Damaraland Camp pays rent to the conservancy and hires locals from within the community -- one from every household.

There are other effects of the conservancy program, some that don't follow strict principals of conservation. The practice of trophy hunting has proved controversial, invoking ire from various animal rights activists.

Yet Weaver sees it as beneficial to preservation.

"From my perspective, we're trying to conserve the species, not the individual animal, and this creates a benefit when it's done in a well-regulated fashion, and the benefits go to the local community," he says.

Another issue is that conservancies have done their job too well.

"The numbers of zebras and elephants have increased, but so have the numbers of lions, cheetahs and hyenas," notes Kasaona. "It's become a big problem for our farmers."

Conservancies have responded in a number of ways. Most offer a small sum to farmers to offset their losses. Some use GPS tracking devices on the predators to alert farmers when they're heading over to their area. Roman has started a breeding station to help replace livestock that gets mauled by local predators. Kasaona admits that the problem is "part of the success story of Namibia".

CNN's Eye On series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Namibia's land ownership issues created poaching problem until 1980s

@highlight

Turning poachers into stewards of land and wildlife transformed situation

@highlight

Numbers of big game increased and provided income for locals

@highlight

Community tourism and other benefits have emerged from the 'conservancy' program