Did President Barack Obama do the right thing when he agreed to trade Taliban leaders in exchange for Bowe Bergdahl?

The issue has become a weapon in the partisan political arsenal and it will surely join the Benghazi incident in election season. And yet, the Bergdahl deal is something quite different.

When Obama approved the release of dangerous, top-value Guantanamo prisoners in exchange for an American soldier captured under mysterious circumstances, he negotiated a tangle of competing moral principles. If it were possible to wrestle with these issues in a nonpartisan way, the country might gain from this difficult experience.

The Bergdahl-Taliban trade will be discussed in ethics classes for years to come.

Here are some of the hard questions:

1) America holds two principles high on its moral agenda. First, the U.S. does not leave any of its soldiers behind in the battlefield. Second, the U.S. does not negotiate with terrorists. But what happens when the two principles collide? Which matters more?

Obama has made his position clear: "We don't leave men and women in uniform behind." The administration argues it did not negotiate with terrorists. And although the United States does not classify the Taliban as a terrorist organization, the Taliban, including those released in the deal, have worked with al Qaeda and have had a major role in killing thousands of civilians.

Khirulla Khairkhwa, for example, according to secret U.S. documents released by WikiLeaks, was "directly associated" with Osama bin Laden. Mohammad Fazl, according to Human Rights Watch, presided over the killing of thousands of Shiite Muslims.

A transaction that frees members of a shadowy organization lends the group prestige. It invigorates it and sends the message that taking prisoners ultimately pays.

The U.S. broke one of its rules. But it had to. The two rules were mutually exclusive. The U.S. had to break one in choosing a path through this moral dilemma.

2) Does the rule of "leave no one behind" apply to deserters?

We don't know much about how Bergdahl came to become a prisoner. But many of his comrades in the field say Bergdahl walked away from his post by choice. He reportedly emailed his father before leaving, "The future is too good to waste on lies" and left a note in his tent saying he was leaving, according to The New York Times.

Soldiers say six Americans died trying to find him after he left. If that is true, does the "leave no one" rule still apply to him?

Obama says: "We still get an American soldier back if he is held in captivity. Period. Full stop. We don't condition that."

It's an unsettling decision, particularly for the relatives of those who may have died trying to save him. But the rule sends a message to other American soldiers that their country takes this solemn commitment very seriously.

If Bergdahl is a deserter, he should face justice on that count. If his desertion caused America such an awful price, he -- and the country -- will have to live with that.

3) Does the life of one man we know warrant losing the lives of many whom we don't know?

There is an ugly truth hanging over any prisoner exchange with an active enemy: It saves one life, but it is likely to cost many more. If the trade were a simple mathematical calculation, it would make no sense. The U.S. says 17%, perhaps as many as 29%, of those released from Guantanamo Bay have turned to terrorism.

The predicament is familiar to Israel, which has released thousands of convicted prisoners in lopsided trades for a handful of Israelis, even for the bodies of Israelis killed by their captors.

The decision is wrenching even when the soldier gaining his freedom was captured through no fault of his own. In 2011, Israel traded 1,027 Palestinians, including many convicted in terrorist attacks that killed scores of civilians, in exchange for Gilad Shalit, who had been held by Hamas for five years. By then, Israeli statistics already showed that terrorists freed in exchange for 19 Israelis over the years had gone on to kill 182 more.

Still, they went ahead with the deal, and the public supported it. Shalit had become an Israeli icon, everyone's child. But the fact is that one person, with a name, a family, a face, somehow takes more value than other nameless ones who may die later as the result of the trade.

4) If a person should be saved, what cost is too high? Is there a limit?

Just how much is one American soldier worth? As far as we know, the deal with Bergdahl brought five of the top Taliban leaders to freedom -- although they are supposed to remain in Qatar for one year. Other countries have paid large amounts of cash as ransom to free their citizens. The price is not only the amount exchanged at the moment of the trade. It is also what happens with that currency whether it's people or money. Unrest in parts of North Africa, which has left hundreds, perhaps thousands dead, was financed in part by ransom money paid by various governments.

5) If a prisoner exchange is politically costly but morally correct, should a politician support it?

Obama must have known there would be political fallout. He made his decision. Hillary Clinton, too, is lending measured support to the trade.

None of these is an easy question. Each country answers them in the light of its own values and priorities. America would do well to examine them in a nonpolitical way, as a crafting of the nation's beliefs, and a guide for making moral choices in the future.

Who was swapped for Bergdahl?

@highlight

Frida Ghitis: Obama dealt with reconciling "no deal with terrorists," "no one left behind"

@highlight

Ghitis: Another issue: If Bergdahl left his post, does "leave no one behind" apply to deserters?

@highlight

She asks:  What cost is too high in saving a hostage? Israel contended with this many times

@highlight

Ghitis: Does the life of one person we know warrant losing others we might not know?