(CNN) -- For the past 20 years, the copyright industry has waged a war against teenagers sharing culture and knowledge with each other. First, it was music ("home taping will kill music"), then games, then movies, then books.

The copyright industry has tried to portray the teenagers and others who are thus sharing as if they were somehow being immoral.

The problem with this depiction is that it resonates very poorly with the people doing the actual sharing -- to them, sharing a record or a game with a friend or a stranger is a good social act.

Read related: How mobile tech affects the family

Thus, we have a severe disconnect in how different parts of society regard the activity of sharing culture and knowledge on the sidelines of the established distribution chains -- or in violation of copyright, if you like.

As mobile devices develop, it becomes increasingly clear that this is a war that cannot be won. Today, our mobile devices can typically house some 16 to 64 gigs of data.

Hard drives that can hold 60 terabytes have been announced and are just around the corner. As this storage capacity becomes affordable and even expected for one person to carry around, each and every person can hold a complete copy of all music ever produced.

Read related: We never talk any more: The problem with text messaging

When connecting this phenomenon to mobile devices that can broadcast information anonymously, over technologies like Bluetooth and ad-hoc wi fi, it means that anybody can sit in a café and copy the entire collection of human music to anybody else in the café, completely without traceability: they wouldn't even know themselves whom they were copying to and from.

Train and subway cars will form spontaneous clouds of connections that keep owners of mobile devices up-to-date with all music ever produced.

Shortly thereafter, personal storage capacities will also be enough to house all movies ever produced. Regrettably, cellphones are a centralized, trackable technology -- they have been called "governmental tracking devices that you can also use to make phone calls", and rightly so -- the built-in trackability possibilities are something that goes far beyond what existed east of the former Iron Curtain.

Read related: On second thought: Maybe smartphones make us 'SuperStupid'?

But mobile phones can also connect directly to each other, without central trackability, logs or traces -- as long as they are within short range of one another. "Short range" usually means about 10 to 25 meters in practice.

This kind of person-to-person distribution of digitizable material -- sometimes called a "sneakernet", as people use their feet to move data -- is not as effective in distributing information as the internet, but effective enough.

It's how we shared primitive games on the early computers, before we had BBSes, and before we had the internet. It took about three days for a new game from its release somewhere in the world to reach everybody who wanted it. That's fast enough.

So realizing that people cannot be stopped from sharing knowledge and culture, in violation of the distribution monopoly we know as copyright, because of the rapid development of mobile devices -- seeing that it cannot be stopped with any amount of applied violence, is there a flip side to this?

It turns out that there is a rather strong flip side.

For the first time in history, all of humanity -- at least everybody with an internet connection, which is increasingly fast becoming "everybody" -- can access all of humanity's collective knowledge and culture, as well as contribute freely to it.

That is a huge leap ahead for us as a civilization.

Read related: Handheld device that saves lives

It's not even a fantasy project with a ridiculous price tag to it, like the space elevator, vacuum-tube satellite launcher, or moon base. All the technology has already been developed, all the infrastructure has already been built, all the tools have already been rolled out.

All that we have to do to achieve this leap of civilization is just to remove the ban on using the greatest library mankind has ever built.

(Ironically, the exact same discussion about sharing knowledge and culture was held when public libraries were introduced into law in the 1850s, when publishers had argued that people should be banned from lending books from one another. The more things change, the more they stay the same.)

So not only can sharing not be stopped -- I argue that it shouldn't be stopped, either, once you see the flip side.

The opinions expressed in this commentary are solely those of Rick Falkvinge.

@highlight

Rick Falkvinge is the founder of the Swedish Piratpartiet, the first Pirate Party worldwide

@highlight

He argues that the development of mobile devices makes it impossible to stop file-sharing

@highlight

He argues this means almost everybody can access all of humanity's collective knowledge and culture