(CNN) -- Each time your heart beats, your entire body moves -- even if you're unconscious and pinned under a pile of rubble.

The vibrations are small, invisible to the human eye, and might just save your life after a major disaster.

Researchers at NASA have developed a device that picks up these subtle movements through up to 40 feet of debris. Called FINDER (Finding Individuals for Disaster and Emergency Response), the tool was developed at NASA's Jet Propulsion Laboratory to help rescue crews find survivors quickly in a major disaster.

"I spend half my time doing space exploration and half building boxes that can search for people in a disaster," said James Lux, who created FINDER at the JPL. NASA develops technology for space but frequently finds additional uses for its discoveries here on Earth.

After the devastating 2010 earthquake in Haiti, the Department of Homeland Security's science and technology directorate wanted technology they could use in similar situations. They reached out to Lux. He had previously worked on a similar device for the U.S. military, which could tell if a solider downed on the battlefield was dead or alive.

After a disaster, there's a limited window of time to find trapped survivors. FINDER makes the process more efficient. It uses a low power radio signal to detect motion. Each movement caused by a heartbeat is like a "twinkle" reflecting back to the radar. What makes the system especially smart is software that can cut through all other movements and pinpoint which vibrations are signs of life. The system looks just for the signals that match human heartbeats, filtering out slower movements like tree branches in the wind, and faster ones like the heartbeat of a rat.

It takes about five minutes to learn how to use FINDER and just a few minutes to set up. The device fits into a case small enough to carry on a plane. Hit the "Search" button and 30 seconds later a Web page appears on the FINDER laptop, which shows how many heartbeats it's found in a 100 foot radius.

In the U.S., infrastructure is solid enough that earthquakes don't result in the same type of devastation that hit Haiti. Tornadoes are a bigger problem, like those that flattened parts of Moore, Oklahoma, and Joplin, Missouri.

"In both cases, they had a wide area with a lot of rubble and no good way to figure out where people were trapped," said Lux. "It would have been nice to have one of these there -- people were in storm shelters under the pile of a neighbors house."

It could also work in avalanches and hurricanes. After Katrina, many people climbed into their attics to escape the rising water and ended up trapped. FINDER would be able to detect heartbeats in similar situations, which could help dictate rescue efforts.

Because disasters rarely announce themselves ahead of time, and only a handful of prototypes are available, FINDER hasn't been used in a real emergency. It has been tested by FEMA task forces and at a training site in Virginia that is set up to mimic the scene of a natural disaster.

NASA frequently develops cutting-edge technology, but it doesn't mass produce or sell it. To get these devices into the hands of more emergency response crews, a separate company needs to license the technology and manufacture and sell the gadgets, which would probably sell for about $10,000, said Lux.

"What it's really waiting for is somebody to manufacture it, we can't force anybody to make it," said Lux, who thinks the devices will be used in the next year or two.

Until then, Lux is working to shrink the FINDER hardware and mount it on a drone or helicopter. Then crews could fly the device further into disaster areas that are difficult to reach on foot. His team is also working on a variation that could help firefighters determine where people are in a burning building before rushing in.

"It's not often you get to use tech developed for deep space and to go out and save lives," said Lux.

How termite-inspired robots could build for us

@highlight

A new device can detect heartbeats of disaster survivors under 40 feet of rubble

@highlight

Called FINDER, It was created by researchers at NASA's Jet Propulsion Laboratory

@highlight

The device could be used in earthquakes, avalanches and tornadoes