(Health.com) -- A popular pain-relief treatment that uses electricity to stimulate nerves isn't likely to benefit the millions of Americans who live with chronic low back pain and shouldn't be recommended for that purpose, new guidelines say.

Transcutaneous electric nerve stimulation, or TENS, is delivered using a small battery-operated generator connected to a set of electrodes. The generator, about the size of a BlackBerry, transmits a weak electric current through the electrodes, which are attached to the skin at the site of chronic pain or at other key points.

Despite their popularity, there is little evidence that these devices are effective for chronic low back pain, according to the guidelines from the American Academy of Neurology, which were published Wednesday in the journal Neurology.

"Physicians are advised against ordering TENS for patients with chronic low back pain since it is proven not to work," says the lead author of the guidelines, Richard Dubinsky, M.D., a professor of neurology at the University of Kansas Medical Center in Kansas City, Kansas.

Health.com: How yoga can relieve back pain

Dubinsky and his colleague based the guidelines on a review of past studies that compared TENS with a sham TENS procedure (a mock treatment equivalent to a placebo) for chronic low back pain, which is defined as pain lasting three months or more.

They turned up just five studies in all. Two high-quality studies found that TENS produced no benefit; the other studies had mixed results, but they were considered to be less reliable.

Health.com: All the right moves to avoid back pain

The relative dearth of research on TENS and chronic low back pain suggests that the new guidelines shouldn't be accepted as gospel, according to Andreas Binder, M.D., and Ralf Baron, M.D., neurologists at Christian-Albrecht-Universität Kiel, in Kiel, Germany, who wrote an editorial accompanying the new guidelines.

"[A]bsence of evidence is not evidence of absence," they wrote. Although the research on TENS may be thin, they added, "there seems to be considerable empirical evidence that, at least in some patients, TENS is useful."

Binder and Baron point out that, unlike opiates and other pain medications -- which carry a risk of side effects, including abuse and addiction -- TENS is a safe, fast-acting, and user-friendly treatment that has very few side effects, doesn't interact with medications, and can be stopped at any time if it isn't effective.

Health.com: Is chronic pain ruining your relationship?

The treatment is also relatively affordable. TENS units can be purchased for less than $100, although some models cost several hundred dollars or more.

There certainly is a market for the devices. Back pain is the second most common cause of disability in the U.S. after arthritis, according to the Centers for Disease Control and Prevention. Eight out of 10 adults will experience low back pain at some point in their lives by some estimates, although 95 percent of those cases will get better within three months.

Charles Cranny, the director of outpatient physical therapy at Rush University Medical Center in Chicago, says that because of the treatment's upside, TENS may still be worth recommending to patients with chronic back pain for whom other treatments have come up short.

"We use TENS as a last resort in people with chronic back pain who are not improving with other measures," he says. "I say, let's give it a try in these patients. We have had some who swear by it and a lot who say, 'It worked for a couple of weeks, but then I returned it to the vendor.'"

Health.com: 5 natural fixes for back pain

Exactly how TENS works -- or whether it does work -- isn't known. Experts believe that the electrical current may overstimulate the nerves that sense pain, confusing the brain in the process and blocking out the real pain signals.

"TENS likely has a placebo effect, but its safety and side effect profile makes it an ideal tool in approaching chronic pain syndromes," says Derk Krieger, M.D., Ph.D., a neurologist at the University of Copenhagen in Denmark.

In contrast to the findings on low back pain, the new guidelines state that TENS may be useful in treating nerve pain associated with diabetes, which affects up to 70 percent of people with the disease.

Two studies have found that TENS has some positive effects on diabetic nerve pain, but because neither of them compared TENS with any other treatment options, it remains unclear when TENS is most appropriate to use in such cases, the guidelines say.

Health.com: Diet tips for pain patients

"No recommendations can be made about when to use TENS compared to other treatments for diabetic nerve pain," says Dubinsky.

Cranny says that, in his experience, TENS has indeed proven effective for diabetic nerve pain. "This is a whole different type of pain than typical low back pain, and my patients with diabetic nerve pain swear by it," he says. "If they don't use TENS they will have a bad day, and if they do use it they will feel better."

In the new guidelines,  Dubinsky and his colleague call for more studies of TENS, particularly in people who have never used the devices before. Future studies should also try to determine the optimal way to administer TENS, they write.

In the meantime, says Cranny -- and the new guidelines notwithstanding -- patients have little reason not to try TENS.

"Try it, see if it works; if it doesn't, return it," he says. "It's worth a shot, because there aren't too many significant side effects."

Copyright Health Magazine 2011

@highlight

Transcutaneous electric nerve stimulation doesn't help back pain, study finds

@highlight

TENS transmits weak electric current through electrodes at pain site

@highlight

Other experts say research is insufficient to completely dismiss TENS' value

@highlight

Back pain is the second most common cause of disability in the U.S. after arthritis