(CNN)Modern women are suffering from an energy crisis. Competing in the workplace, caring for aging parents and trying teenagers, and busier than ever, we use anything we can to duct-tape our lives and ourselves together: comfort foods, alcohol, energy drinks, and an expanding array of antidepressants, anti-anxiety meds, painkillers and amphetamines. All in an effort to maintain our unnatural pace.

Welcome to the increasingly altered states of America. Americans are about 5% of the world's population, yet we take half its pills, and 80% of its painkillers.This over-medication has led to record numbers of opiate overdoses and also to a growing number of women taking antidepressants -- one out of four and counting, according to a report issued by the pharmacy benefit manager, Medco.

This is creating a "new normal," bringing closer the tipping point for when other women will seek chemical assistance. Like steroids in baseball, when everyone starts doing it, the players who don't are at a disadvantage. The overuse of psychiatric medication is called cosmetic psychopharmacology, and it's like cosmetic surgery: as more women get breast implants, the rest of us feel flat chested.

But the new normal isn't normal at all. Certain antidepressants called SSRIs (selective serotonin reuptake inhibitors) create artificially stable and elevated levels of serotonin, the brain chemical that helps regulate mood, which can dampen empathy and emotional reactivity, while higher doses can engender apathy.

Women are naturally moody. Our moods change, and this emotional fluidity helps us to be adaptable and resilient. We are dynamic and responsive to our environment. There is a biological advantage to this sensitivity; we need to know what our nonverbal babies need, what our mates are thinking and to sense danger in our surroundings.

Moodiness -- being sensitive, caring deeply and occasionally being acutely dissatisfied -- is actually a natural source of power. It helps to ensure not only our survival, but that of our offspring. Women's emotionality is a sign of health, not disease, and it is our single biggest psychological asset.

Yet many of us are being convinced to medicate it away. The pharmaceutical industry spends billions in payments to physicians and direct to consumer advertising. Nine out of 10 pharmaceutical companies spend less on research and development than marketing.Steady doses of antidepressant advertising aimed at women advance the question from "Should I take an antidepressant?" to "Which one should I take?"

These medications can have more far-reaching effects than most people realize, blunting empathy, passion, and sensitivity.

SSRIs dampen sexual desire and response, making it difficult to climax and interfering with the evaluation of potential romantic partners.

SSRIs also make it hard to cry, an important signal to ourselves and those around us that something is very wrong.

Tears, and the emotions beneath them, can offer a profound lesson in how people's behavior affects others. We cry when we're touched by the poignancy of humanity, or when we're angry, or frustrated by injustice. And yet, women apologize for their tears, especially in the workplace, where we've been socialized to shut down expressed emotion; it interferes with our typical agenda of forward-momentum, and it makes people uncomfortable.

The problem with shutting it down is that we're stifling a piece that we need, that our partners and families need, and that society needs, particularly as women continue to ascend to the upper reaches of business and government. The world needs more compassion, sensitivity, intuition and empathy. War, rape, murder, and corporate malignancy will flourish in their absence.

Change comes from discomfort -- and awareness that something is wrong. Sadness and fear are not always symptoms to be medicated. Anxiety and tension come foremost from the denial of emotions, from their repression. My patients want to feel better, but really what many of them need is to get better at feeling.

The shame that for centuries has been used by our culture to separate men from their true feelings is now spreading to women, who, by their biology, are the last and much needed connection to this natural place.

As we embrace new technologies, we need to be careful that we don't go too far away from nature and what's natural for us as social primates.

We insist on all natural products in our baby food and household cleaners. Why don't we insist on natural moods for ourselves? If we can live in a way that is more aligned to what is genuine for us, we will be calmer, more at peace and more fulfilled.

But we are drowning in artificiality. There is a "plastic vortex" of garbage the size of Texas floating in the Pacific Ocean, synthetic fillers in our breasts and faces, virtual sex partners on our computers and artificially enhanced rationality from serotonergic antidepressants.

We compulsively consume this fakery without satiation or satisfaction, because it is impossible to fill up on something that is almost enough.

We need a course correction, away from the synthetic, so that we can live lives that honor how we feel. But to do that, we must be able to feel, to be our moody, authentic selves. That is the first step to wellness and to wholeness.

Medicating yourself into complacency may leave you unshaken, but it also may leave you unfeeling and apathetic, making it impossible to address the causes of your pain.  Don't put the alarm on mute.

@highlight

Julie Holland: American women taking too many anti-depressants, blunting their valuable emotional reactivity, creating new normal

@highlight

She says anti-depressants dampen moodiness, but it's healthy, useful for women to be moody. Changing natural state damages society