(CNN) -- Since I first became aware of the maddening case of 36-year-old Sergio Garcia, who seeks admission to the California Bar, I've tried to convince myself this accomplished young man -- a law school graduate who passed the bar exam -- should be able to practice law despite the inconvenient fact that he is an undocumented immigrant.

Yet, I can't. My heart goes out to Garcia. But my head won't go along.

This week, the California Supreme Court held a hearing to decide whether Garcia is eligible for a law license in California in a case that is certain to impact the fate of other undocumented immigrants in pursuit of legal careers.

Garcia is opposed by the Obama administration's Justice Department, which cites a 1996 law that prohibits states from providing undocumented immigrants with public benefits, including professional licenses. He is supported by California Attorney General Kamala Harris, who argues the issuance of law licenses isn't a federal matter but up to states to decide.

A decision from the court is expected in the next 90 days.

Garcia came to the United States from Mexico with his family when he was a toddler. He returned to Mexico with his mother when he was 9 and came back to the U.S. when he was 17. He applied for citizenship. That was back in 1994, and he is still waiting to hear from Uncle Sam.

He told AP that he isn't worried about being deported because his case is well-known and he had notified immigration officials that he is in the U.S. awaiting a decision on his citizenship.

While he waits, he has been working hard toward his goal of becoming a lawyer. He paid for his studies at Cal Northern School of Law in Chico, California, by working at a grocery store.

Yet, in the immigration debate, we must separate the individual from the idea. The individual -- Garcia -- looks like a keeper. The idea -- that one who has lived most of his life outside the law can practice law -- is problematic.

This young man wants to put his hand on a Bible and pledge the following: "I solemnly swear (or affirm) that I will support the Constitution of the United States and the Constitution of the State of California, and that I will faithfully discharge the duties of an attorney and counselor at law to the best of my knowledge and ability."

That oath comes from the California Bar Association, which states: "It is the duty of an attorney to ... support the laws of the United States and of this state ... maintain the respect due to the courts of justice and judicial officers ... (and) never to seek to mislead the judge or any judicial officer by an artifice or false statement of fact or law."

How is Garcia supposed to uphold "the laws of the United States" when he is, by his mere presence in this country, in violation of federal law?

How does he pledge to show respect for "the courts of justice" when, for most of his life, he has lived here in defiance of the rule of law? And how can he claim that he won't "mislead" a judge or judicial officer when living in the United States illegally requires deception on a daily basis?

If Garcia had more respect for the profession that he is seeking to join, he might have second thoughts about whether he is eligible to join it. Yet, he seems to feel entitled to a law license and everything that comes with it.

I've had contact with Garcia in the past, and I'm worried that he's lived in the United States for so long that he's picked up some bad habits from his fellow Americans.

Several months ago, Garcia posted on Facebook: "I have a career lined up with the potential of offering employment to U.S. Citizens, no criminal record anywhere and have been in limbo for the last 19 years. Where the hell is my American Dream? Lol"

I responded: "Not to pick a fight, Sergio. But your question is very much part of the problem. 'Where's mine? Where's my American Dream? Gimme, gimme.' You're an American after all. I'll tell the kid at Starbucks, the one with the sense of entitlement, to scoot over and make room."

I continued: "If America gives you the chance to live the Dream, don't you think it's fair for her to ask for something in return? She decided that she wanted your RESPECT, and that this could be demonstrated by you respecting her laws -- the same laws you say you want to spend your life serving and defending in a courtroom. Don't you see the irony there?"

Garcia responded: "Let me get done with lunch so I can address your entitlement issues."

He never got back to me. In his public comments, I haven't seen evidence that Garcia has considered for one minute the possibility that this case is about issues larger than himself, his plans, his dreams.

I don't think he has. And if the court decides in his favor, he never will.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Should an illegal immigrant be able to practice law?

@highlight

Navarrette: In the case of Sergio Garcia, my heart says yes but my head won't go along

@highlight

He asks how does Garcia show respect for law when he has lived in defiance of rule of law?

@highlight

Navarrette: In the immigration debate, we must separate the individual from the idea