(CNN) -- From the 50th anniversary this year of Betty Friedan's "The Feminine Mystique'' to the recent PBS documentary "Makers: Women Who Make America'' that featured Gloria Steinem and scores more women, it's easy to assume that the United States is at the forefront of women's rights.

But we're not. Even as the rest of the world celebrates International Women's Day on Friday â€” not much of a holiday here â€” the United States will also stand out as one of the few countries yet to ratify a major United Nations treaty designed to bring equality to women everywhere.

Critics of the U.N.'s Convention to Eliminate All Forms of Discrimination Against Women, known as CEDAW, say it doesn't reflect American values enough. Here's what they are missing: The treaty takes American values of equality and women's rights and makes them global norms.

Of the 194 U.N. member nations, 187 countries have ratified CEDAW. The United States is among seven countries that have not -- along with the Pacific island nations of Tonga and Palua; Iran, Somalia, South Sudan and Sudan -- not the first countries that come to mind when discussing women's rights.

President Carter sent CEDAW to the U.S. Senate for advice and consent in 1980. It remains in the Senate Committee on Foreign Relations. The Senate has held hearings on CEDAW five times in the past 25 years but failed each time to bring the treaty to a vote on the floor. Why?

Conservative organizations, such as the Home School Legal Defense Association and Concerned Women for America, vehemently oppose the ratification of all human rights treaties. They insist that human rights treaties violate American sovereignty. Thirty-eight Republican senators demonstrated this last December, when they refused to join their more moderate colleagues in ratifying the Convention on the Rights of Persons with Disabilities.

CEDAW establishes the moral, civic and political equality of women and protects women's right to be free from discrimination and violence. Thanks to CEDAW, these values have diffused around the world.

Conservative critics are wrong when they claim that CEDAW reflects radical feminist views. In fact, a Republican woman, Nixon appointee Patricia Hutar, persuaded the United Nations to draft CEDAW. On January 30, 1974, President Nixon called for the U.S. government to commemorate International Women's Year at all levels.

Nixon's announcement won international accolades and prompted government officials from around the world to follow suit. In 1976, President Ford sent a bipartisan delegation comprising many accomplished American women to Geneva to draft the initial text of CEDAW. Hutar's skill as a negotiator proved critical in persuading Communist countries to approve the text of the treaty.

The efforts of those American women paid off. CEDAW works. It has empowered civil society organizations to demand that governments respect women's human rights and to adopt policies to limit sex trafficking, domestic violence, child marriage and discrimination in the workplace.

Opponents have a point when they note that ratifying this document has not prevented some countries from being the most egregious violators of women's rights. When the most powerful country in the world does not support women's rights, it gives permission for other countries to dismiss their commitment to improving the status of women. With the United States behind it, CEDAW would have even more clout than it does.

The United States once led the world in rights for women. In the 1970s, the Democratic and Republican parties supported a wide array of women's rights policies, including an Equal Rights Amendment to the U.S. Constitution, publicly funded child care and equal pay for women.

These efforts weakened once the Republican Party stopped supporting women's rights. I still believe the United States is one of the best places in the world to be a woman. I would like to see my country once again assert global leadership on women's rights. Ratification of CEDAW is an essential first step.

The opinions expressed in this commentary are solely those of Lisa Baldez.

@highlight

Lisa Baldez: It's easy to assume the United States is at the forefront of women's rights

@highlight

Year after year, she says, the U.S. refuses to ratify a U.N. pact supporting women's equality

@highlight

Baldez: 187 nations signed; 7 nations including Iran, Somalia, Sudan, Tonga haven't

@highlight

Treaty reflects U.S. values; Republicans once backed women's rights more, she says