Australia has long prided itself on its commitment to fairness. It is a signatory to a range of international conventions intended to protect the vulnerable and has in the past provided sanctuary for those seeking refuge, most notably in the wake of the Vietnam War.

In recent years, however, successive Australian governments have adopted increasingly punitive measures to deter asylum seekers from coming to Australia by boat. This is despite Australia hosting relatively low numbers of refugees.

Now the Australian government has adopted a military response to the arrival of boats: its Operation Sovereign Borders is led by a three-star general and implemented by Australian Navy and Customs personnel. Boats attempting to bring asylum seekers to Australian territory are intercepted and either towed or escorted back to Indonesian waters. If an intercepted boat is unseaworthy, Australia may transfer asylum seekers to lifeboats, with limited provisions, and release them close to Indonesian waters. They then have no choice but to return to Indonesia.

In implementing this extraordinary policy, Australia has entered Indonesian waters on a number of occasions, sparking protest from Indonesia over incursions into its sovereign territory.

Perhaps the most disturbing aspect of Australia's policy is its failure to identify and protect refugees among the asylum seekers it intercepts at sea, despite its obligation under the Refugee Convention to protect refugees from being returned to persecution.

As Indonesia is not a party to the Refugee Convention, Australia has no assurance that refugees returned to Indonesia will not be deported to their home countries where they face harm.

Offshore processing

A further troubling aspect of the policy is the refusal to process the claims of those arriving by boat in Australia. Asylum seekers are transferred to the Pacific island nations of Nauru and PNG's Manus Island for detention and processing within 48 hours of arriving in Australian territory.

The detention centers on Nauru and Manus Island are grossly overcrowded, lack adequate health services, are prone to outbreaks of disease and have inadequate water and sanitation. Asylum seekers have engaged in self-harm and attempted suicide. The centers have been criticized by Amnesty International and the UNHCR for not meeting required protection standards.

In fact, the Australian Minister for Immigration and Border Control has conceded that Australia is unable to guarantee the safety of every asylum seeker in the PNG detention facility. The stark reality is that a young Iranian asylum seeker, Reza Berati, was murdered on Manus Island in February 2014. Asylum seekers have reported living in constant fear in detention and staying awake in shifts to watch over each other; and many asylum seekers have suffered serious injuries there.

The situation in the Nauru detention center is equally grave. Asylum seekers burnt down a significant portion of the detention facility in July 2013, there have been allegations of sexual assault and the UNHCR has highlighted the gross inadequacies of the detention centre, particularly for children.

Who's responsible?

Disingenuously, Australia has attempted to argue that it only plays a support role in the facilities and has no responsibility for asylum seekers in these detention centers because Nauru and PNG are sovereign nations.

However, Australia has clear power and effective control in the facilities. It is responsible for selecting and transferring asylum seekers to the centers and for their day-to-day operation.

Australia is also solely responsible for the high financial costs of running these detention centers. It pays for the operation and service provision at the centers, pays a visa fee in Nauru for every asylum seeker detained or resettled there and is paying the legal costs PNG is incurring to fight the Constitutional challenge to the Manus Island detention center.

Australia's clear power and effective control in the centers means that it has certain responsibilities under international law to the detained asylum seekers. By failing to determine the suitability of detention for each individual detainee and exposing asylum seekers to unacceptable conditions, Australia is arbitrarily detaining asylum seekers and subjecting them to "cruel, inhuman and degrading treatment and punishment," according to Amnesty International.

Such treatment violates its obligations under the International Covenant on Civil and Political Rights. Further, the current indefinite detention of children in Nauru places Australia in violation of its obligations under the Convention on the Rights of the Child and Operation Sovereign Borders targets asylum seekers who come to Australia by boat, in violation of Australia's obligation under the Refugee Convention to refrain from punishing refugees for their mode of arrival in a country.

Resettlement plans

Australia has vowed not to resettle any of the refugees it sends to Nauru and PNG. Nauru has agreed to issue five-year visas to refugees processed in Nauru and PNG has also indicated a willingness to resettle refugees processed in that country. In addition, Australia has reached in-principle agreement with Cambodia to resettle some of the refugees processed in Nauru.

Relying on impoverished nations, which may not be in a position to protect the rights or safety of refugees, is deeply concerning. The Australian government's unwillingness to resettle refugees in Australia is another reminder of the deliberate harshness of its asylum policies.

These extreme measures are intended to make asylum in Australia an unattractive option for the vulnerable people who may wish to seek protection. They repudiate the country's reputation for fairness and commitment to human rights.

@highlight

Australia has adopted increasingly punitive measures to deter asylum seekers

@highlight

Azadeh Dastyari says the measures "repudiate the country's reputation for fairness"

@highlight

Last year government introduced offshore processing, opened new detention centers

@highlight

Amnesty has called the treatment of asylum seekers "cruel, inhuman and degrading"