(CNN) -- What is it about Woodstock?

Jimi Hendrix closed the Woodstock festival on Monday morning, August 18, 1969.

The 1967 Monterey Pop Festival was arguably more influential and, like Woodstock, spawned a terrific film, D.A. Pennebaker's "Monterey Pop." The 1969 Isle of Wight Festival in England, two weeks after Woodstock, included the elusive Bob Dylan.

And there were several other gatherings during the late-'60s and early-'70s festival frenzy, including the ill-fated Altamont festival in 1969 and the record-setting Watkins Glen festival in 1973.

But nobody talked about a "Monterey Nation" or a "Wight Nation" or, God forbid, an "Altamont Nation." No other festival prompted Charles M. Schulz to name a "Peanuts" character after it. No other festival has maintained a viable name for four decades.

And no other festival is still so present in the public and media consciousness. With Woodstock's 40th anniversary Saturday comes a plethora of releases, including CDs, DVDs, a VH1 documentary airing Friday, the new movie "Taking Woodstock" and several books.  Watch Woodstock co-founder Michael Lang talk about the festival »

"There's a quality to Woodstock that has to do with the ... hugeness of it," said festival co-founder Joel Rosenman. "We seem to remember that it involved the whole generation." LIFE.com gallery: Chaos, nudity, spirit

Many members of that generation, he added, weren't aware there were so many others like themselves. "They had ... been reading in the establishment media they were a splinter here and a fragment there," he said. "And all of a sudden, they get to Woodstock ... and saw the entire world as [they] knew it was on [their] side instead of the side you thought it was on. ... It was pretty heady stuff." iReport: Memories of Woodstock

By now, the basics of Woodstock have passed into legend. How four men -- Rosenman, his business partner John Roberts, entrepreneur Michael Lang and record executive Artie Kornfeld -- wanted to put on a concert for the counterculture. How their site choices fell through. How Max Yasgur rented his dairy farm with a month to go. How the event drew half a million people, more than twice what had been expected. How it caused a huge traffic jam. How it became a free concert. How it rained.

And how everyone -- concertgoers and security, musicians and authorities, visitors and residents -- got along and made the most of the three days with minimal violence and lots of joy.  Watch why Woodstock made a difference »

As a resident of the Woodstock Nation might say, the vibes were good.

But that doesn't explain how the event gave way to the myth.

Elliott Landy, a photographer best known for his "Music from Big Pink" and "Nashville Skyline" portraits of The Band and Bob Dylan, respectively, believes part of Woodstock's aura came from its isolation.

"In the full Woodstock experience, you were cut off from the rest of ... everyday life," he said. "It was kind of a magic land."

Rock critic Dave Marsh, who said he was offered a ticket but didn't go, puts it succinctly: "Woodstock was an accident. God liked that one."

But Woodstock was also at the nexus of so many swirling currents of the '60s: the generation gap, the antiwar movement, the evolution of rock music, the growth of the youth culture. One person in Barbara Kopple's VH1 documentary said, with still-discernable anger, "They [the establishment] were trying to kill us," and he wasn't kidding; the draft was ever-present, with the threat of Vietnam hanging over many heads.

Music was just as divisive. Unlike today, when underground acts quickly become mainstream through word-of-Internet, the underground in 1969 was truly underground. Only the most popular rock acts appeared on prime time television, and a 1966 Harris poll reported a plurality of people over 21 disliked rock 'n' roll. "Longhair" and "hippie" weren't descriptions; they were epithets.

Woodstock gave the baby boomers a rallying point. If the special editions of magazines trumpeting its success weren't enough, the movie and the soundtrack album were huge hits upon their 1970 release, bringing elements of the Woodstock experience to millions.

Santana drummer Michael Shrieve, whose drum solo during the band's "Soul Sacrifice" became an indelible Woodstock moment, remembers how fame caught him by surprise. He was waiting in line to see "Woodstock" with other band members. As the previous show let out, "We noticed that people were looking at us and pointing at us, and we didn't know what was going on." The band found out soon enough: On a tour of Europe, Shrieve stopped at a newsstand to pick up a magazine, and he was on the cover.

"I realized this was taking off," he said.

Though much is made of the Woodstock spirit -- the camaraderie, the cooperation through the rain and the mud and the traffic -- not everybody bought into it. The Who's Pete Townshend has often criticized Woodstock, disparaging The Who's performance and calling the audience "a bunch of hypocrites"; he later plowed his Woodstock-era alienation into such songs as "Won't Get Fooled Again." (Townshend has also acknowledged that the Woodstock gig was "important.")

Marsh, who wrote a recent cover story on Woodstock for Relix magazine, admires the festival's optimism but not many of its realities: the poor sanitation, the hype, the idea that getting away from society was going to solve its problems.

"We were ambitious as people, and our ambition was to create a beautiful new society. ... And this seemed like a step on the road to a lot of people," he said. "I never bought the thing that the artificial wilderness was a solution to our social problems. ... I think a lot of people thought if you got stoned and bonded together with a bunch of people to whom on Monday you didn't feel bonded at all, that that was a step on the journey."

For all of the good will Woodstock created, it's also blamed for what it didn't do. The war didn't end. Altamont, the hope for a West Coast Woodstock, culminated in an audience member's slaying. And members of the "Woodstock Nation" went their separate ways.

Woodstock also was the beginning of a new era in the music business -- it became a "music industry," Woodstock co-founder Lang noted. Producer-engineer Eddie Kramer, a Jimi Hendrix colleague who recorded the festival, agreed the music world changed after Woodstock.

"You have to realize that, in 1969, agents and managers were in the background," he said. "And the musicians weren't really competing with each other. They were friendly to each other and were eager to help."

As much as "getting back to the garden," in Joni Mitchell's words, Woodstock now also symbolizes baby boomer nostalgia. Among the related products and events are a 6-CD box set (Rhino); an "Ultimate Collector's Edition" DVD reissue of director Michael Wadleigh's Oscar-winning documentary (Warner Home Video); the new Ang Lee film "Taking Woodstock"; "Woodstock Experience" remastered CDs of complete live sets by such performers as Santana and Janis Joplin (Sony/Legacy); Friday's VH1 documentary by Oscar-winning filmmaker Barbara Kopple; a tour by the "Heroes of Woodstock"; an anniversary concert at the Woodstock site in Bethel, New York; and several books, including works by Lang and Landy.

That's a lot to pile on to what was, at its heart, a music festival, and perhaps people have expected too much from Woodstock. Just a year after the event, critic J.R. Young reviewed the soundtrack in Rolling Stone and gave voice to the disappointment and cynicism.

"That's why there will never really be a Woodstock Nation," said a character in the review, which was written as a short story. "You won't let anybody live on your land."

And yet "Woodstock" remains a magic word -- one that, finally, refuses to reveal its secrets.

Woodstock co-founder Rosenman ends up reaching for the elation of Keats' poem "On First Looking into Chapman's Homer" -- "Then felt I like some watcher of the skies/ When a new planet swims into his ken" -- when trying to describe the festival's thrill.

But he stops short of adding up the details. It was the people, he said, who made Woodstock.

"That half a million-strong audience created something -- they created a legend," he said. "I actually don't think it's possible to do the making of that legend and explain it to the satisfaction of almost anybody. I think you'd still come away wondering, 'What the heck made that happen?' "

And Shrieve, who's long since come to terms with being known as "the guy who did the drum solo at Woodstock," is equally philosophical about how the festival is portrayed.

"It's interesting to observe history from the viewpoint of having been there. It also gives you some insight into everything else," he said. "I mean, any historical moment, there are people that are there and people who are not there. And when it grows into something that becomes more mythological, you see people telling the story of how it happened, and you go, 'Wait a minute! That's not what happened!' "

@highlight

Woodstock festival was 40 years ago Saturday

@highlight

Festival represents idealism, music, money, mud, depending on who you ask

@highlight

Festival co-creator: It was the audience who "created a legend"