(CNN) -- These days, stories about airline crew-member meltdowns and traffic controllers asleep on the job are enough to make even the bravest fliers clutch their armrests a little tighter. But despite these unusual incidents, the U.S. airline industry is enjoying one of the safest periods in its history.

"It's really pretty amazing -- not just the year-to-year safety record -- but when you consider that air travel involves doing some fairly risky things, like flying an aircraft in bad weather and all kinds of conditions," says Bill Voss of the Flight Safety Foundation, a nonprofit group focusing on safety research and advocacy.

Although regional airline crashes in 2009, 2006, 2004 and 2003 killed 133 people, the most recent deadly U.S. crash of a large airliner was in 2001, when American Airlines Flight 587 went down in Belle Harbor, New York, killing 265.

In the 1990s there were at least five fatal mid-size or wide-body domestic airline crashes, and in the '80s there were at least three. "We've seen a dramatic improvement since the 1990s," says Voss. "Everybody uses different stats, but you used to have probably between one and two accidents per million departures. Last year we were down to well below one accident per million departures."

It's not overstating it to say the nation has entered an unprecedented era of safer skies, according to industry experts including a former National Transportation Safety Board official.

A combination of improvements introduced and implemented in the '80s and '90s gets credit -- including innovations in pilot training, better sharing of safety solutions, and technological advances.

An electronic on-board system called TCAS, which is aimed at preventing midair collisions, has probably saved countless lives. So has something called ground proximity warning systems, which alert pilots if they're in danger of crashing into the ground when weather makes visibility difficult.

Also developed in the past decades: cockpit resource management -- a fancy term for procedures first developed in the 1980s to help flight crews behave and communicate better to avoid circumstances that could have deadly consequences.

In last month's JetBlue incident during a flight between New York and Las Vegas, Capt. Clayton Osbon began acting erratically, prompting the co-pilot to lock him out of the cockpit.

"I don't know if 15 years ago whether a co-pilot would have had the guts to trick that captain into getting out of the cockpit," says Peter Goelz, former managing director of the National Transportation Safety Board. "That all comes from CRM -- which is saying that everybody's got a responsibility for safety."

"What was a very hierarchical authority-based crew structure back in the early 1980s has been completely overhauled," says Voss."You have a whole new generation of crews that don't even think the same way anymore. They work as a team together, not just in the cockpit, but with the cabin crew."

Air travelers have benefited from vastly improved satellite and weather prediction technology. Pilots and controllers have much more precise data allowing them to more accurately fly around dangerous storms. But weather data systems aren't infallible. Air France Flight 447, from Brazil to Paris, which crashed into the Atlantic in 2009 killing 228, paid a price, says Goelz, because it flew through a storm, while other aircraft avoided it.

Heavy news media coverage of terrible crashes in the '90s, like ValuJet Flight 592 near Miami and TWA Flight 800 off Long Island, "allowed safety to really go to the top of the agenda in the aviation discussion," says Goelz, giving the NTSB more influence to push Washington and the airlines toward more safety improvements.

"Safety is a nonevent which gives you the impression that it doesn't require active effort," says Voss, a former FAA official and air traffic controller. "But it does."

About 731 million U.S. passengers flew in 2011, according to the FAA. The yearly projection for 2032 is 1.2 billion. For that reason alone, there are serious questions about whether the industry can maintain its safety record. The biggest threat, says Voss, would be aggressive budget cutbacks, either on Capitol Hill or in corporate boardrooms. "Will we have enough money for the infrastructure? Will we have the appropriate number of regulators available to support the growth that we are going to have and keep the brilliant safety record that we have?"

The FAA's plan to improve air traffic efficiency and communication, called NextGen, is the key to safely managing the anticipated surge in passengers, says Goelz.

In 2009, a regional air carrier -- Colgan Air Flight 3407 -- crashed near Buffalo, New York, killing 50 people. That tragedy offered the industry a warning about how a shifting economy can affect airline safety, says Voss. "It was a product of a burst of growth," he says. "Airlines started running out of people to fill seats in the cockpit and in certain circumstances you may see cases where someone is not as qualified or trained or as experienced as you might like being pushed into the (pilot's) seat."

Colgan concluded the crash of the Bombardier Dash 8-Q400 was caused by the crew's "loss of situational awareness and failure to follow Colgan Air training and procedures." The FAA has proposed more stringent qualifications for pilots in the wake of that accident.

Voss sees "a very strong correlation between extreme growth pressure and accidents." As examples he cites air crash upticks in the past decade in Indonesia and Africa. "All of them were preceded by a sudden boom in the industry," says Voss.

"We got a little taste of that with Colgan -- and now the system has settled back down and hopefully we've taken some lessons away from that."

@highlight

Experts: The U.S. airline industry has never been safer

@highlight

Longstanding crew safety procedures helped resolve JetBlue pilot incident

@highlight

Technology and other factors credited for fewer deadly U.S. airline crashes

@highlight

Most recent U.S. crash with death toll over 200: 2001 in Belle Harbor, New York