(CNN) -- The Arab League's decision to impose sweeping sanctions on Syria, a move followed by Turkey, reflects an unprecedented level of collective action by the historically moribund regional body. The Sunday vote by 19 Arab states to punish Syria further isolates Damascus and undermines President Bashar al-Assad's self-proclaimed role as the dominant voice of Arab nationalism.

Indeed, the activist role adopted by the Arab League as the 2011 Arab uprisings unfold has been a surprising development: Following decades of issuing lowest common denominator communiques, the league is rapidly emerging as a key regional actor.

The Arab League's strong condemnation last spring of Moammar Gadhafi's brutality easily could have been dismissed as a one-off, given the Libyan strongman's success at enraging most Arab leaders over the years. Yet by following up its suspension of Syria from the organization with tough sanctions, it's clear the Arab League is taking on a more muscular role in the unfolding regional drama.

There are four main reasons for this new Arab League approach:

First and foremost: The Arab uprisings themselves. If nothing else, the protests of 2011 brought the power of Arab public opinion front and center. Gone are the days when Arab leaders could act with total disregard for their people's opinions. Public opinion throughout the Arab world resoundingly disapproved of Gadhafi's behavior, and now of Assad's. This sentiment is motivating Arab leaders to respond to their people's anger, through the Arab League.

The corollary to this is Arab leaders' fear that if they stand idly by while Assad slaughters Syrians, popular resentment could boomerang against them. Whereas popular discontent was traditionally channeled toward Israel and the West, collective Arab opprobrium is now targeted at brutal Arab regimes. If they fail to act, many Arab leaders could suffer political heartache and more popular unrest at home. Getting ahead of this demonstrates that they respond to public opinion, and it helps deflect popular discontent away from domestic issues.

On the geo-strategic level, Arab League activism is motivated by a desire to keep the Arabs in the drivers' seat. With the United States largely over the horizon, Arab docility only creates windows of opportunity for non-Arabs to muck about in Middle East diplomacy.

Turkey has not succeeded in creating a leading diplomatic role for itself in the region, despite efforts to play an active role in Libya, Yemen and other hot spots. The Arabs want to ensure that this remains the case. Hence, Ankara was relegated to supporting the measures adopted by the Arab League, not initiating them.

The other geo-strategic explanation for Arab League activism is Iran. The Arabs, particularly the Gulf states, have long decried Iran's encroachment in Syria, Lebanon, and the Palestinian territories. Isolating Iran's key strategic ally in the region -- Assad's Syria -- provides a significant opportunity to roll back some of Tehran's regional gains.

Already, Hamas' Damascus-based leadership is looking for a new home and behaving with greater restraint. And when Iran was seen to be meddling in Bahrain's sectarian struggle earlier this year, the Gulf states brutally crushed it -- collectively. With the United States withdrawing from an Iraq they see as now heavily influenced by Iran, the other Arab states have even greater incentive to band together.

In taking strong actions, the Arab League claims to want to stave off foreign intervention in Syria. Qatar's Prime Minister Hamad bin Jassim hinted at this when he said that he "hoped" the Arab League's sanctions would obviate the need for foreign intervention. In the short term, a more active Arab role may indeed make non-Arab nations hesitate to get involved -- but as was the case in Libya, the Arab League might actually be providing the necessary regional legitimacy for outside intervention.

This Arab League activism may signal a new regional norm analogous to the United Nations' "responsibility to protect." The Arab League has effectively joined the international rejection of the three-century old Westphalian system that enshrined the nonintervention of one state in the domestic affairs of another state.

Arab leaders can no longer turn a blind eye to the abhorrent behavior of fellow Arab rulers. This is a welcome development, one that could head off other foreign interventions in the Middle East and encourage further collective action against brutal acts some Arab leaders perpetrate against their own people.

The opinions expressed in this commentary are solely those of Robert Danin.

@highlight

Robert Danin: Arab League's tough sanctions on Syria show new activism in region

@highlight

Public opinion now has power, he writes; leaders can't stand by as Syrians are slaughtered

@highlight

Danin says Arab League is taking charge to ensure Arabs are in the regional drivers' seat

@highlight

Danin: Arab leaders can no longer ignore others' brutality, a welcome development