(CNN) -- A year ago, employees at Boiron, a medical manufacturing company, wined and dined at the Ritz-Carlton Golf & Spa Resort overlooking the picturesque bay in Rose Hall, Jamaica, for their annual retreat.

The InterContinental Montelucia Resort & Spa is subtly scaling back amid a sagging economy.

This year, employees are saying goodbye to luxury as company President Ludovic Rassat moved the event to a more sensible location: the Sheraton Suites Philadelphia Airport.

Many of his employees who live near the hotel are expected to sleep at home.

"It's important to see we are making decisions for the good of the company," Rassat said. "At the end of the day, it's going to be good for them. Their jobs are still going to be there."

With a mentality like Rassat's pervading the business and leisure traveler psyche, luxury hotels are bleeding occupancy and revenue at a rate far worse than the travel slump experienced after September 11, travel experts say.

To overcome their financial woes, luxury hotels are dropping rates, giving customers incentives and finding ways to cut operating costs without compromising the integrity of their posh images.

Starwood Hotel & Resorts, which owns the chic W and St Regis hotels, is offering existing and new members of its preferred guest program the opportunity to earn a free weekend night with two stays at any of Starwood's hotels from May through July. Guests can use their free night through the end of September across Starwood's brands, including many of the company's luxury properties.

This summer, Rosewood Hotels & Resorts, which operates five-star properties around the world, will offer customers who book particular packages free breakfast and a $100 resort credit. Washington's Willard Intercontinental Hotel is offering a "buy two nights, get a third night free" promotion for weekend stays through December.

From December to February, occupancy in luxury hotels, a category that includes names such as the Four Seasons Hotels and Resorts and Ritz-Carlton Hotel Co. sunk more than 15 percent -- a steeper drop than at mid-level hotels, according to leading hotel industry watcher Smith Travel Research Inc.

The revenue generated from the available luxury rooms fell 23 percent in that same three-month period, according to the Smith Travel Research report. Meanwhile, there are 551,610 rooms opening this year amid sluggish consumer demand, according to a STR construction pipeline report in March.

And when the economy rebounds, the luxury lodging segment will take longer to recover.

"Luxury hotels will lag behind the rest of the hotel industry," said Bobby Bowers, senior vice president of operations at STR. "They have ups and downs that are steeper than the industry as a whole."

PKF Consulting forecasts that the luxury hotel segment will stay in red ink until 2011.

Things have gotten so bad that some upscale-hotel owners across the country are delaying hotel construction to save money. Other developers are facing foreclosure or have scrapped future hotel plans altogether, industry experts say.

Much of the luxury hotel business' slowdown has been driven by guilt, some executives say. Business leaders fear that they might look too excessive by staying at an upscale hotel as pink slips and pay freezes become ubiquitous.

One high-end resort in Amelia Island, Florida, had one of its business customers suggest that the hotel drop the word "island" from its address to downplay the resort's exclusive image.

Many companies such as Starwood and Rosewood are trying to lure customers by giving free nights and dining and spa credits without significantly lowering room rates, which could tarnish their exclusive appeal. Hotel operators hope that offering guests free nights will encourage them to spend more money overall.

Other hotels prefer bundling their rates in packages so it is difficult to tell how much the prices have dropped.

"They need to protect the image of their property," explained Erik Herskind, a principle at Greenlight, a Dallas, Texas-based company that works with luxury hotels. "They need to feel like even in this tough time, they are a prestigious place, so they are finding quiet ways to attract business and the right kind of business."

But other luxury hotels are dropping rates anyway, partnering frequently with online travel companies like Expedia Inc.'s Hotels.com in special sales featuring five-star hotels. Shaun Stewart, director of market management for Hotels.com, says the discounts make it the "best time to upgrade" for travelers who have never lodged in luxury.

Hit particularly hard by the recession is Las Vegas, Nevada, where luxury hotel rates have plummeted more than 30 percent, according to Hotels.com.

For example, the Trump Hotel Collection, which is advertising with online travel companies for the first time, is touting prices of $89 a night at the opulent Trump International Hotel Las Vegas. The year-old luxury hotel sold rooms for about $200 before the economy crumbled. The company is also using Facebook and Twitter to appeal to a younger demographic, who can now afford to stay at their property.

"You have a couple of bad apples in the bag," Melissa Brown, vice president of sales and marketing at Trump, said of luxury hotels that began to dramatically drop prices last year. "Then we all have to fall with it."

Many luxury hotels, known for their extravagant pampering, amenities and services, are also making subtle cuts to save money. But they are careful not to scale back too much.

InterContinental, owned by InterContinental Hotel Group, says a growing number of branches are replacing costly imported floral displays with arrangements from local vendors. Some gift baskets now have fresh fruit and bottled water rather than smoked salmon, cheeses and chocolates. Share prices at the company fell by 26 percent in 2008 while the company opened a record 430 hotels that year.

At the InterContinental Montelucia Resort & Spa in Paradise Valley, Arizona, the hotel has made valet parking optional to reduce the number of employees working in the front. Instead, guests can park their cars.

But cutting prices and services is a risky balancing act for luxury brands in the long run, warns Bob Caroll, a senior lecturer at the School of Hotel Administration at Cornell University.

"If you really are that much of a better property, consumers will start to wonder why your price is the same as a normal hotel," Carroll said. "But once consumers start to believe the lower price, luxury hotels may experience difficulty in raising prices when the economy recovers. It's a double whammy."

@highlight

Occupancy in luxury hotels dropped 15 percent from December to February

@highlight

Executives are avoiding meetings at fancy resorts to cut costs and appear frugal

@highlight

Luxury hotels are offering free nights and spa credits to attract new customers

@highlight

Rates at luxury hotels in Las Vegas, Nevada, have dropped 30 percent