SHANGHAI, China (CNN) -- Natalie Williams, a 21-year-old Special Olympics basketball player from Kentucky, says she's never really been treated like a true athletic star. But that was before she came to the Games in China, which has undergone a major change in its treatment of the mentally disabled.

Hong Kong's Special Olympics team marches into the stadium during last week's opening ceremony.

"They are able to accept special needs people in a way that maybe some other countries do not," Williams says.

Last week, organizers rolled out the red carpet for athletes arriving at the Special Olympics in Shanghai, China. Never before in the 39-year history of the Special Olympics has there been such an extravagant, star-studded opening ceremony. And everywhere in this city, there are billboards with the smiling faces of the mentally disabled promoting the Games.

China spent millions ensuring the 7,500 competitors are cared for -- and more importantly accepted.  Watch 'This is a highlight to their lives' »

That's quite a turnaround for a country whose leadership, less than 20 years ago, refused to even acknowledge any of their citizens were intellectually disabled. At the time, former Prime Minister Li Peng was quoted as saying, "Mentally retarded people give birth to idiots."

"There's a long way to go -- there's a long way. But the good news is we're moving," says Tim Shriver, chairman of the Special Olympics.

China's transformation is so far mostly from the top down, beginning with no less than President Hu Jintao whose presence at the Opening Ceremony was particularly notable.  See photos of the opening ceremony »

Also notable was the president's visit to one of Shanghai's "Sunshine Homes" this month. The shelters are a direct result of this city winning the rights five years ago to host the Special Olympics. Back then, officials quickly realized their treatment of the city's 70,000 mentally disabled was woefully inadequate.

Now there are 240 Sunshine Homes spread across this sprawling city, caring for about 15,000 of those most in need, like 25-year-old Chen Xiaohan. She still struggles to speak with strangers, but her parents boast of her many achievements since enrolling a year ago.

Xiaohan can make her own bed, walk to school and is learning piano. But more notable, says her father, Chen Zhixiang, is the change in recent years in the way his daughter is treated by neighbors.

"If in the past you looked down on them and now you still look down, it only proves your thinking is bad. Now when our neighbors see her, they're very nice. They ask, 'Chen Xiaohan, how are you today?' There isn't any more discrimination."

The Special Olympics may have been a watershed moment for China's mentally disabled, but perhaps a breakthrough came a few years earlier, when Special Olympian Judy Yang appeared in a splashy spread on the front cover of a mainstream teen-age magazine.

Photogenic and well-spoken, Yang has been an unofficial ambassador of sorts and, after her magazine debut, she noticed a real shift in how the Chinese related to the disabled.

"A lot of people are accepting now. They're willing to be friends, to let their children play with one another, and they can learn from each other as well."

That may be true in China's biggest, richest and most Western city, Shanghai, but in the countryside not much appears to have changed. Intellectually disabled children that are hard to manage are often locked in caged rooms. Humanitarian officials say stories of doctors recommending disabled children be killed at birth are common.

In addition, programs like Sunshine Homes are almost unheard of outside of Shanghai and caring for the almost 13 million intellectually disabled in China remains a major challenge.

Earlier this year, authorities exposed a human trafficking ring selling young men, many of them intellectually disabled,  to work in brick kilns.

"Neglect and discrimination is still quite prevalent. People tend to be ashamed of children with disabilities. They tend to hide them away. They tend not to let them have access to schooling or education," says Yin Yin Nwe, the head of UNICEF in China.

But Nwe is optimistic. As China's economy grows, she said she thinks the government will continue to devote more resources to the country's weakest and most vulnerable. E-mail to a friend

@highlight

China has undergone major change in attitude toward intellectually disabled

@highlight

Shanghai is hosting the Special Olympics to great fanfare

@highlight

City has opened special homes to help care for some of city's mentally disabled

@highlight

Helping China's remaining 13 million intellectually disabled remains challenge