(CNN) -- Like many visitors in Seattle, Glenn Nagel found himself in the city trying to avoid the rain. After wandering around, he eventually made his way to the Seattle Public Library to escape the dreary weather.

Little did he know that stepping into Seattle's Central Library would spark his curiosity. The library's geometric glass and steel interior with its sprawling "books spiral" grabbed ahold of him.

"It's just an incredible building," he said, still remembering his awe during that 2013 trip. "I spent an hour and a half just taking pictures, and while doing that, I was getting the idea that I should visit other libraries."

This past year, Nagel has traveled to 12 libraries across the United States, photographing their shelves and hallways like an explorer. He's one of many people discovering a renewed fascination with libraries. He and other iReporters shared photos of libraries they visited with CNN iReport for National Library Week, observed April 13-19 this year.

Despite the expansive digitalization of information, the use of public libraries remains popular, according to Cathy De Rosa, vice president for the Americas and global vice president of marketing at OCLC, a nonprofit computer library service organization.

"It surprises people," she said, explaining there's a presumption amongst the public that libraries are becoming increasingly irrelevant.

But despite enduring budget cutbacks and being forced to reinvent their services in the face of the ubiquitous Internet, public libraries remain staple institutions in various communities. There's been an increase in the use of public libraries in the U.S. over the past decade. Services such as public computers doubled in usage in the past 10 years, and libraries saw a circulation increase of 2.46 billion materials in 2010, the highest ever reported, according to a report by the Institute of Museum and Library Services.

Some libraries bring in more than just patrons. They are also popular amongst tourists, drawing visitors by the tens of thousands, if not millions.

The Seattle Public Library system, for example, attracts more than 7 million people through its doors each year. "The Central Library is one of the most beautiful modern buildings in Seattle, and it really celebrates the people," said Andra Addison, a spokesperson for the library.

Smaller libraries matter, too

Americans strongly value the role of public libraries in their community, according to findings by the Pew Research Center. In fact, 94% of people polled in 2013 said that having a public library improves the quality of life in a community.

Jennifer Roberts, a writing teacher, agrees. She spent many summer days with her daughters, Lucy and Miriam, visiting their local library in Grants Pass, Oregon. But in 2007, all the libraries in Josephine County closed down for a number of reasons.

It devastated her daughters who were then 7 and 5. "Lucy told me she was really sad she wouldn't get to 'visit the books,' " Roberts said, remembering her daughter sobbing at the news.

Roberts was determined to find a way to help reopen the libraries in her area. The community banded together to raise $300,000 in 18 months. They even got a matching grant from Josephine County, which helped the libraries reopen.

The experience helped Roberts rediscover the value of her local library. "I actually didn't grow up visiting many libraries," she said. "I didn't discover that wonder until I was much older. Perhaps that's why they seem so magical to me now."

'Libraries reflect who we are'

Robert Dawson wanted to capture the value of public libraries through his lens. He spent the past 18 years photographing libraries and interviewing people who work and use them. In his recently published book, "The Public Library: A Photographic Essay," which includes hundreds of photographs of libraries in 48 states, Dawson says he was drawn to libraries because they are vital part of a community's ecosystem.

"Often times, a library reveals things about a community. It was really sad to see a closed library when I was passing through the Mississippi Delta," he said, explaining how that was one of the poorer regions he visited.

"I am not a librarian, but 18 years of doing this, you peel away things," he said. "It's interesting how libraries reflect who we are, and what we share.

Barbara Stripling, president of the American Library Association, says libraries are also incredibly transformative. These spaces offer not only information but also provide resources and opportunities to socialize.

Some libraries are "becoming more of a community sharing, learning, conversation space," she explained. Programs such as the Chicago Public Library's One Book, One Chicago, an initiative adopted from the Seattle Public Library, aims to rally virtual community engagement around monthly book selections.

Take a tour of the world's most exquisite libraries

Others are rebranding themselves as places where people can explore their passions. Programs such as Geek the Library, which is part of OCLC, partners with libraries to promote the idea that everyone "geeks out" about something, and a local library can help you recognize your special passion.

Through his 18 years of documenting libraries, Dawson says he's seen many of them adapt and transform for their communities. Some took on new daily roles, such as teaching people to write resumes or providing social services.

"In San Francisco, they have a dedicated social worker, especially for the homeless," he said. Others became safe havens.

"When I was in Detroit, it one of the hottest days on record, I walked into a library. There was this huge guard at the front, the air conditioning was blasting, it was packed, and everyone was reading. And I sort of got it -- it was a place of shelter."

Olaf Eigenbrodt, librarian and senior head of user services and adviser for planning and construction at State and University Library Hamburg in Germany, says there are three main reasons why libraries continue to be popular today: They are information hotspots; they are places communities can gather; and they provide learning collaboration.

They even provide an element of comfort. "Libraries tend to become more cozy, relaxing and communicative places. Other than public spaces like museums, they have a certain private character, which makes them a living room for their community," Eigenbrodt said.

Dawson thinks a part of people's fascination with libraries is sort of irrational, too, but in a good way. He attributes our love for libraries to our childhood memories. "I think a lot of it goes back to being a kid. There's an emotional connection that is somewhat unique. A lot of kids discover libraries with their parents when they are younger," he explained.

That affinity can be partially psychological, according to De Rosa of OCLC. "I would find it difficult to find 10 people in a crowd who didn't have a positive experience in a library. That's a personal thing," she said. "It's why libraries continue to be relevant."

Addison, from the Seattle Public Library, says the most alluring factor of a public library is simple -- it's free. "Where else can you go that offers all this for free? Whether you're in a three-piece suit or a three-day beard, you can go into a library and be welcomed."

CNN's Daphne Sashin and Margaret Blaha, special to CNN, contributed to this story.

@highlight

National Library Week is observed from April 13 through 19

@highlight

Despite the rise of the Internet, libraries continue to be popular public spaces

@highlight

iReporters from across the world share photos of their favorite libraries to visit