(CNN) -- The Cyrus Cylinder is a small unprepossessing barrel-shaped clay cylinder inscribed in enigmatic-looking cuneiform, and yet is one of the most iconic objects in the unparalleled world collection housed at the British Museum.

It is an object with many meanings and provides a link to a past that we all share and to a key moment in history that has shaped the world around us.

As such it is an object of international significance and is about to start a tour of five major U.S. museums, debuting at the Smithsonian's Arthur M. Sackler Gallery in Washington in March 2013. The tour is supported by the Iran Heritage Foundation.

The Cylinder was buried under the walls of Babylon around 539 B.C. after the Persian king Cyrus had captured the city. It describes how Cyrus was able to defeat the Babylonian king Nabonidus with the aid of the Babylonian god Marduk, who had run out of patience with Nabonidus and his shortcomings.

Once he had entered the city, Cyrus did not burn it to the ground (as usually happened with conquered cities at this period) but he freed the population from forced labor obligations, sent back to various shrines statues of gods, and allowed the people who had been brought to Babylon by the Babylonian kings to return to their homes. By this act, he was effectively allowing people to pursue unmolested their own religious practices.

TED.com: The history of our world in 18 minutes

After it had been buried, the cylinder lay undisturbed for more than 2,400 years until it was dug up in 1879 by a British Museum excavation led by Hormuzd Rassam. When the Babylonian cuneiform was translated, it was immediately realized that the cylinder had a very special significance.

Here was corroboration of one of the best-known stories in the Hebrew Bible, the liberation by Cyrus of the Jews deported to Babylon by Nebuchadnezzar and their return to Jerusalem to build the Second Temple. Although the Jews are not mentioned by name in the cylinder, they clearly must have been among the people allowed to return home at this time, with their temple goods.

The cylinder also confirmed existing impressions of Cyrus. In the Hebrew Bible he is variously described as the Lord's Shepherd and the Messiah, no doubt largely because of his favorable treatment of the Jews.

Not only did he allow them to return to Jerusalem, but he also restituted the temple treasures seized by Nebuchadnezzar and provided royal funds to pay for the rebuilding of the temple.

TED.com: Revealing the lost codex of Archimedes

In consequence, Cyrus has been favorably viewed by many Jewish writers, not least in the context of the foundation of the state of Israel. But it is not only in the Bible that Cyrus was revered. The Greek author Xenophon made him the subject of a political romance that seeks to establish the principles of good government, and his book "Cyropaedia" (the Education of Cyrus) is even said to have been consulted by Alexander the Great.

In the 18th century "Cyropaedia" became required reading for all aspiring politicians, along with works such as "The Prince" by Machiavelli, and it certainly influenced the founding fathers of the United States. Thomas Jefferson is said to have owned two copies, one of which will be on view in the Washington exhibition.

Amidst so many of democracy's icons and treasures, even before the discovery of the cylinder, therefore, Cyrus was a role model for many aspiring to govern. As Julian Raby, Tte Dame Jillian Sackler director of the Arthur M. Sackler Gallery and the Freer Gallery of Art, comments "Cyrus was the very image of a virtuous ruler, so it is apt that the first time it will be seen in the U.S. is in Washington, D.C."

Just as Cyrus has long been a role model, the cylinder itself has now acquired iconic status for people around the world. It has even been described as the first declaration of human rights, and while this was never the intention of the document -- the modern concept of human rights scarcely existed in the ancient world -- it has come to embody the hopes and aspirations of many.

TED.com: Ancient wonders captured in 3D

It has continued to feature in political debate, being the symbol of the celebration of 2,500 years of Iranian monarchy in 1971, and also celebrated by the Islamic Republic of Iran, as evidenced by its popularity during the recent exhibition in Tehran.

The cylinder may still have a role to play on the international stage today. It advocates -- or can be argued to advocate -- religious tolerance and acceptance of diversity, in terms that derive exclusively from Middle Eastern traditions. As such the principles it embodies should be central to debates about the future of the Middle East and other regions.

Note: After the display at the Sackler gallery, the Cyrus Cylinder will travel to the Museum of Fine Arts in Houston, The Metropolitan Museum of Art in New York; the Asian Art Museum in San Francisco and will conclude at the J. Paul Getty Museum at the Getty Villa in Los Angeles in October.

The opinions expressed in this commentary are solely those of Neil MacGregor.

@highlight

A clay cylinder found under the walls of Babylon is a key link to our past

@highlight

Neil MacGregor says the Cyrus Cylinder describes rare act of tolerance

@highlight

It tells the story of Persian King Cyrus, who allowed conquered people to return home

@highlight

MacGregor: Cyrus Cylinder will tour five major U.S. museums starting in March