(CNN) -- Aberdeen's Old Town House, an 18th century brick building replete with clock tower and cockerel wind vane, was restored a decade ago with great care.

Walls were treated with plaster lined with horse hair, while the beams were strengthened with nails designed not to split the aged wood. Traditional techniques dating back to biblical days were used, ensuring the building's historic value was retained.

It's a $1.6 million job Kenny Anderson is particularly proud of. The building was once the business center of the town, and it now appears in the Architectural Heritage Society of Scotland's logo.

For the owner of Scotland's Anderson Construction, which employs just 40 people, this shows how apparently minor players, like Scotland if it becomes independent, can achieve big things.

Anderson sees his company as a metaphor for the benefits of a "yes" vote. He is supporting the campaign for an independent Scotland, one which has sent shudders through Westminster -- and further afield -- as it gains traction ahead of Thursday's vote.

Polls show the vote is on a knife edge, and the uncertainty has already hit the pound, prompted banks to threaten to quit Scotland and forced Bank of England governor Mark Carney to warn of currency risks of a breakaway.

A split would end the 307-year union with England and Wales as Great Britain, which has helped push Scotland to its affluent position on the global stage. But, its detractors argue, it's also held it back from its full economic potential.

For Anderson, the Aberdeen leader of pro-independent group Business for Scotland, the economics can be seen as more simple. He sees his company as a microcosm of the bigger debate.

In a small, independent business, it's "easy to change things, it's easy to make fast decisions," he said. "I used to be a minority shareholder in much larger company and making good decisions, and changing things is ten times more difficult."

Scotland's riches

Scotland is richer, per capita, than the UK, a fact the independence campaigners love to champion. Its access to oil pushes its GDP per person to 115% of the UK's, according to the Scottish government, making it the world's 14th richest country. The UK ranks at number 18.

Scotland's total GDP was $240 billion in the year to first quarter of 2014, around 8% of total UK GDP. Scotland's economic output per head is also the highest in the UK outside London and the South East of England, according to national statistics.

Beyond oil, a global taste for Scottish whisky boosts its economy, with food and drink making up nearly a fifth of its $40 billion exports internationally, government figures show. Scotland exports a further $75 billion worth of goods and services into the UK -- which, the pro-independence camp says, means an independent country could claim to be a significant global exporter.

But the Scots have been hit hard by the recession. During its most painful year, 2009, the country's economy shrank by 6%, lagging behind the rest of the UK, where the contraction was 4%. Productivity and average household incomes are also below the overall UK levels.

But those promoting a breakaway say the country would be more resilient and would have survived the recession better had it not been in Westminster's shadow.

Edinburgh's economic advisory body -- which includes Nobel laureate Joseph Stiglitz -- has argued economic policies tailored to local needs would boost growth. Independent Scotland could, for example, aim its tax policies at helping the crucial exporters.

Anderson agrees. "Scotland has certain unique industries which are incredibly important to it, but from Westminster point of view are lower down the agenda than they would be in independent Scotland."

Whisky, gas and tourism are high on that list, he said.

And oil is the trump card.

The question of oil

Scotland's black gold is used by both sides to bolster their arguments.

Around 90% of the UK's oil comes from Scotland. The Scottish government says it has up to 24 billion barrels of oil reserves in the North Sea, which could generate up to $2.4 trillion in revenue.

Such wealth plays directly into the independence debate. The bulk of oil workers want Scotland to become independent, with 70% telling pollsters they're set to vote in favor. Kevin Forbes, chief executive of the Oil and Gas People recruitment company, which commissioned the research, said the industry's workers "are not getting scared" by the "no" campaign.

The Scottish government is also promoting the idea of an oil fund, such as that in Norway, which indirectly supports social spending -- something the UK government has not done.

But others warn Scotland's oil riches could prove more fleeting than the "yes" campaigners suggest.

Last month Scottish billionaire oil magnate Ian Wood stirred the debate by claiming Scottish oil reserves could be completely depleted by 2050, saying the country had between 15 and 16.5 billion barrels of oil still available. His stance -- supported by British oil giant BP -- was rejected by the pro-independence campaign.

Scotland's oil production has been declining steadily over the past decade. It dropped more than 10% in both 2013, following a decline of 14% in 2012, according to the Scottish government. The decline has been offset by rising oil prices.

The currency headache

The currency question remains Scotland's thorniest. In the past, the Scottish government has promoted the idea of joining the euro. But with the 18-country bloc struggling to emerge from crisis and facing further slowdown as its relations with Russia deteriorate, the idea has been dismissed.

Now, it's seeking a currency union with the rest of the UK, similar to the one Benelux countries had before joining the euro.

But British Prime Minister David Cameron has whole-heartedly rejected the idea and it's one on which Scottish First Minister Alex Salmond has come unstuck in political debates, unable to offer a clear answer to the question so many investors are asking.

But the political point-scoring might prove just that: Stiglitz and his fellow advisers say a common currency may be forced upon Scotland and the rest of the UK by economic necessity. The cost of splitting the currency would be simply to high for both sides of the border.

It's the economy, stupid

Ahead of the referendum, Scots are split on their ambitions. While the economic partnership is central to the debate, campaigners are going for hearts over heads. The independent "yes" campaign is trundling out pictures of happy children, prosperous towns and beautiful Scottish countryside. The "better together" campaign emphasizes the strong tradition of the union, and at times uses scare tactics.

The uncertainty is already being blamed for destabilizing the economy. Keith Cochrane, head of engineering company Weir, penned an open letter with 200 other business leaders warning their compatriots about the costs and unknown consequences of a vote for independence.

Cochrane believes Scots will ultimately be swayed by the impact on their wallets. "We are all proud Scots, and [emotions] will influence [us] to varying degrees. But what is clear from the opinion polls is that the economy and the arrangements to secure the future business of Scotland are the number one issue," Cochrane said.

For Anderson, however, that impact is the opposite to what Cochrane argues. During his two decades in business, Anderson has put his business stamp on numerous projects in Aberdeen. He employs locally and he relies on Scottish suppliers, including for the special nails used in the Old Town House refurbishment.

Blunt, but with sharpened sides, they reflect the type of nails used in biblical times, for crucifixions, according to Anderson. Such supplies are difficult to find, but those used for this most delicate project were manufactured in Glasgow.

@highlight

Business and economy is at the top of the agenda ahead of the Scottish independence referendum

@highlight

Scotland's access to oil pushes its GDP per person to 115% of the UK's

@highlight

Strong Scottish exports, both internationally and to the rest of the UK, drive the economy