(CNN) -- Sure, first class sounds swank, but when you're paying a premium of several thousand dollars a ticket, it can be hard to justify the added expense.

In an effort to really make it "worth it," airlines have started offering passengers everything from on-board apartments (yes, really) to post-boarding limo rentals and private jet access.

We've broken down the top first-class perks to see which carriers offer the best value.

Etihad

Come December, the Abu Dhabi-based airline is taking luxury a step further with the launch of Residence Class on its Airbus A380 and Boeing B787 Dreamliner aircraft.

Lie-flat seats?

So passe.

Wealthy customers can enjoy three-room apartments while in the air.

These suites -- clocking in at around $40,000 for a round-trip flight from Abu Dhabi to London -- will feature a private bedroom, a living room and en suite shower.

Passengers looking for a slightly scaled down experience can book a First Apartment -- a private suite with a full-length bed, separate reclining ottoman and access to a bathroom with shower.

All suites will come with a private minibar.

What really sells "The Residence" is the service.

Passengers will get their own Savoy Academy-trained butler, concierge, a chauffeur to get them to and from the airport and a private chef.

While guests can order off the a la carte menu, they can also request personalized dishes anytime.

Emirates

Emirates has announced similar plans to launch a private, on-board residence, though the details have yet to be released.

Still, the Dubai airline has long been at the forefront of in-flight luxury.

In 2008, Emirates was the first carrier to install first-class cabins with sliding doors for privacy on their Airbus A380s, A340-500s and on most Boeing 777s.

Cabins come with a personal minibar, adjustable lighting, private vanity table, mirror and wardrobe.

Guests can avail themselves of a 25-minute "shower spa" treatment (though actual shower time is limited to five minutes).

There's also turndown service, where cabin crew convert the seat into a bed with a real mattress.

And of course there's the award-winning food.

In first class, Emirates focuses on regional menus.

Passengers can expect items like Iranian caviar or stir-fried lobster in black bean sauce.

Air France

Passengers craving an extra level of comfort can book Air France's new La Premiere cabin.

These mini-suites -- available on the carrier's long-haul Boeing 777-300 aircraft -- feature lie-flat seats that adapt to each passenger's morphology, a 24-inch HD screen (one of the largest available on board), a private wardrobe and an adjustable privacy curtain.

There's a reclining ottoman, so guests from other parts of the cabin can visit.

Come nighttime, cabin crew will outfit the seat with a mattress and linens from the Sofitel range.

Air France has also teamed with an army of Michelin-rated chefs to design its new La Premiere menu. It features gourmet touches from JoÃ«l Robuchon, RÃ©gis Marcon, Guy Martin, Anne-Sophie Pic and Michel Roth.

Qantas

Qantas offers the ubiquitous lie-flat seats, though when it comes time to snooze, cabin crew will set it up as a bed with a sheepskin mattress.

The seats also have a range of massage features.

The first class "pods" are also roomy, taking up the space of about four economy seats.

There are also privacy screens to give passengers that much-needed feeling of seclusion.

The real draw, however, is the food.

In a bid to make in-flight dining restaurant grade, Qantas has teamed with Australian chef and TV personality Neil Perry to design the menu.

Diners can go a la carte or enjoy an eight-course tasting menu.

Sommeliers are on hand to recommend wine and champagne pairings.

Lufthansa

Lufthansa's first-class cabins are fairly standard.

They come equipped with lie-flat seats and an amenity-filled washroom.

One of the main perks, however, is access to the Lufthansa private jet.

Granted, the extra service isn't included, but for travelers wishing to hit up a second -- perhaps more remote -- location, the jet offers a seamless means of transport, minus the rigmarole of layovers.

Lufthansa also tapped a few Michelin-starred chefs to design its in-flight menus, complete with caviar service.

The award-winning wine program (Vinothek Discoveries) offers a rotation of vintages handpicked by sommelier world champion Markus Del Monego.

Singapore Airlines

In 2012, Singapore launched suites aboard its new A380 aircraft.

Each cabin features sliding doors and window blinds for maximum privacy.

Eschewing the lie-back seat, the carrier opted instead for a standalone bed that can accommodate two people.

The cabins also come with a 23-inch screen and USB and HDMI ports, enabling travelers to plug in their own devices.

Singapore's Book the Cook service lets passengers pre-order one of more than 60 dishes.

Some of its more off-the-cuff items include kyo-kaiseki -- a traditional, bespoke Japanese tasting menu, and wagyu sirloin.

Singapore also offers an extensive selection of champagne, grand cru red burgundy and second growth Bordeaux.

Cathay Pacific

Last year, Cathay Pacific brushed up its first-class cabins with the help of British architecture firm Foster + Partners.

The airline also sought the input of frequent fliers.

The results include more spacious personal closets, a thicker mattress and an LCD touchscreen controller that makes it easy to adjust the seat and control the lighting.

Passengers are also given BOSE headphones to better enjoy the in-flight entertainment.

The bedding has also been improved and passengers are given pajamas from Hong Kong label PYE.

The Hong Kong carrier also recently partnered with the Mandarin Oriental Hotel to bring five-star dining to the air.

First-class passengers traveling from Hong Kong to London, for example, will be plied with the likes of foie gras, truffles and chicken and beef accompanied by crab meat and caviar.

JAL

Japan Airlines has introduced a number of minimalist, first class suites on a handful of routes.

These cubicles feature wood grain interiors and air-weave pillows that act as a mattress when the seat is in lie-flat mode -- that's soft on one side and hard on the other, thereby accommodating a number of sleeping preferences.

JAL refers to its first-class culinary offerings as a "restaurant in the sky."

To drive home the metaphor, the airline has partnered with Michelin-starred Japanese chef Seiji Yamamoto.

While there's a large selection of Western meals, the Japanese fare is what stands out.

Even the rice -- provided by brand Minami-Uonuma and grown in the mountains -- is high end.

JetBlue

Somewhat surprisingly for what was once a low-cost carrier, JetBlue recently introduced JetBlue Mint -- a premium class that offers the only private suites with closing doors in the U.S. market.

Though the luxury experience is scaled back compared to many other major carriers, so too is the price (one-way tickets from New York to Los Angeles, for example, clock in at a relatively modest $599).

When fully flat, the seats, at six feet, eight inches, are the longest in the U.S. market and have a massage function.

Passengers can adjust the seat firmness at the touch of a button.

The food in Mint is also upscale.

JetBlue partnered with New York restaurant Saxon+Parole to introduce a choice of swank tapas, such as Portobello mousse with truffles.

Daisy Carrington is a freelance journalist based in London.

@highlight

Passengers in Etihad's Residence Class have a butler, concierge, chauffeur and chef

@highlight

JetBlue Mint premium class offers the only airplane private suites in the U.S. market

@highlight

Cathay Pacific's partnership with Mandarin Oriental Hotel brings foie gras, truffles, crab meat and caviar into the air