(CNN) -- The past year saw a mild winter give way to a balmier-than-normal spring, followed by a sweltering summer and high temperatures that lingered into the fall, all punctuated by extreme drought and intense storms.

Now 2012 is officially in the books as the hottest year on record for the continental United States and the second-worst for "extreme" weather such as hurricanes, droughts or floods, the U.S. government announced Tuesday.

The year's average temperature of 55.3 degrees Fahrenheit across the Lower 48 was more than 3.2 degrees warmer than the average for the 20th century, the National Oceanographic and Atmospheric Administration reported. That topped the previous record, set in 1998, by a full degree.

Every state in the contiguous United States saw above-average temperatures in 2012, with 19 of them setting annual records of their own, NOAA said. Meanwhile, the country faced 11 weather disasters that topped $1 billion in losses each, including a lingering drought that covered 61% of the country at one point.

That drought shriveled crops across the American farm belt, leading to an expected rise in food prices in 2013, according to the U.S. Agriculture Department. It also turned forests of the mountain West into stands of tinder that exploded into catastrophic wildfires over the summer, scorching millions of acres and destroying hundreds of homes.

Climate change, extreme weather linked

And then there was Superstorm Sandy, a late October post-tropical cyclone that killed more than 110 people in the United States and nearly 70 more in the Caribbean and Canada. Damage estimates from the storm run around $80 billion in New York and New Jersey alone.

The report is likely to fuel new concerns over a warming climate. Seven of the 10 hottest years in U.S. records, which date back to 1895, and four of the hottest five have now occurred since 1990, according to NOAA figures.

The year also saw Arctic sea ice hit a record low in more than 30 years of satellite observations and studies that found the world's major ice sheets have been shrinking at an increasing rate.

Scientists are quick to point out that no single storm can be blamed on climate change, but say a warming world raises the odds of extreme weather.

"I think unfortunately, 2012 really may well be the new normal," said Daniel Lashof, director of the climate and clean air program at the Natural Resources Defense Council, a U.S. environmental group. "It's the kind of year we expect, given the global warming trend is ongoing."

The science of global warming is politically controversial but generally accepted as fact by most researchers, who point to heat-trapping carbon emissions from the burning of fossil fuels as the major cause.

Lashof's group is trying to press the Obama administration to tighten limits on carbon emissions, but he said those steps "are not going to reduce the threat of extreme weather overnight."

"We need to take greater preparations, anticipating the kind of storms and droughts that we saw are going to continue to be more frequent as we go forward," he said.

Wildfires race across Australia

Though parts of the country such as the Pacific Northwest and the Gulf Coast had wetter-than-average years, average precipitation was nearly 2.6 inches below normal -- the 15th driest since records started being kept in the 1890s, according to NOAA.

The two remaining U.S. states, remote Alaska and Hawaii, saw a mixed picture in 2012.

Alaska was slightly cooler and wetter than normal, while nearly two-thirds of Hawaii's island chain faced moderate to exceptional drought conditions by December, NOAA said.

Science, satellites and superstorms: Preparing for the next big one

@highlight

NEW: Last year's extreme weather could be "the new normal," environmentalist says

@highlight

NOAA declares 2012 the hottest on record

@highlight

Every state in the Lower 48 saw above-average temperatures; 19 set their own records

@highlight

Droughts, tropical storms and other disasters made it the second-most extreme year