(CNN) -- When the Supreme Court on Monday sent Fisher v. University of Texas, an affirmative action case, back to the lower court for a second look, supporters of race-conscious policies breathed a sigh of relief.

The University of Texas at Austin, which considers race among many other factors to achieve a "critical mass" of racial diversity in admissions, was sued by Abigail Fisher, an unsuccessful white applicant. The 5th Circuit Court of Appeals ruled in favor of the university, and many expected the Supreme Court to overturn that ruling and invalidate any use of race in college admissions. Instead, the court remanded the case.

The Fisher ruling was not a simple sidestep, however.

Justice Anthony Kennedy's opinion for a surprisingly large court majority -- seven out of eight voting justices -- re-emphasized a troublesome aspect of previous rulings.

When colleges and universities take affirmative steps to ensure that their student bodies include racial diversity that enhances the educational environment for all students, their actions are held to the same strict scrutiny as the admissions requirements that originally barred students of color from many schools in the first place.

Opinion: Supreme Court does minorities a favor

Kennedy wrote that the 5th Circuit Court of Appeals did not correctly apply the strict scrutiny standard, which requires that government policy disadvantaging a person based on race must serve a "compelling governmental interest," and the policy must be "narrowly tailored" to achieve that interest.

The high court ruled in 2003 that achieving diversity in higher education is a compelling interest, in part because diversity can aid the educational environment by bringing different perspectives into the classroom. At stake in Fisher was whether the Texas admissions program was "narrowly tailored."

Although the court suggested that it was appropriate to defer to the university's judgment that diversity was important, Kennedy wrote that the university receives "no deference" on the question of whether its admissions standards are narrowly tailored. Instead, he wrote, courts themselves must compare policies to determine whether "no workable race-neutral alternatives would produce the educational benefits of diversity."

Since it is racial diversity that's at stake, this puts educational institutions in the awkward position of trying to achieve a policy indirectly, since they may only work to foster racial diversity by adopting policies that appear not to involve race at all.

Justice Ruth Bader Ginsburg, the only dissenter, argued this calls for obfuscation. "Only an ostrich could regard the supposedly neutral alternatives as race unconscious."

It is the height of irony that the Constitution should be read to require institutions committed to enlightenment to instead practice obfuscation.

The court's approach also puts judges in the driver's seat for determining college admissions programs. This leaves the court with an outsized role in setting educational policy.

It is troubling to see such a strong judicial footprint in educational policy when there is no reason to believe that white students in Texas lack political power or the ability to be heard when educational policy is made at the state and university level. It was different for African American students, the original beneficiaries of strict scrutiny. They were overtly denied admission at the University of Texas until the 1950s, while Texas also had a long history of race discrimination in voting.

In an earlier case, former Justice Sandra Day O'Connor suggested there should come a day when affirmative action programs will not be necessary. As colleges and universities work toward this goal -- redressing disparities that linger after a long history of racial discrimination -- there must also come a day when the Supreme Court stops micromanaging college admissions.

The Fisher ruling takes us further from this goal.

The opinions expressed in this commentary are solely those of Mary Dudziak.

@highlight

Mary Dudziak: Supreme Court's ruling was not a simple sidestep of affirmative action policies

@highlight

She says ruling held that a lower court did not show race policy was "narrowly tailored"

@highlight

She says ruling held courts should determine whether no option to race policy is available

@highlight

Dudziak: Universities could end up hiding diversity policies from courts acting as arbiters