(CNN) -- The Yankee soldier, who had meager possessions, must have been proud of his ring and its distinctive diamond-shaped centerpiece.

Somehow, the size-11 ring was lost, discarded or left behind, only to be swallowed by the earth on a rise near Millen, Georgia.

Untouched by human hands for nearly 150 years, the ring recently was discovered by archaeology students who have unearthed more artifacts at the site of Camp Lawton, a Civil War stockade and prison.

The Georgia Southern University team is finding personal items that will help tell the desperate story of Union soldiers who tried to stay alive while food was scarce and disease rampant.

"The camp is as rich in information as we thought it was," said Kevin Chapman, a graduate student who last spring found the first of what promises to be an astounding yield of artifacts.

The university in Statesboro Thursday unveiled more than a dozen of the 60 to 70 items uncovered last month. The school's museum also has acquired what's believed to be the only surviving letter from a prisoner at the short-lived camp.

The recent finds include a pocketknife, buckle, a Michigan-made token used for trading and a couple of keys.

The man's ring and a uniform or cap badge were found within 10 feet of each other, according to Chapman. The badge also includes a diamond feature.

The Georgia Southern team believes the diamonds may represent the Union's III Corps, which saw action in numerous battles, including Fredericksburg and Gettysburg, before a reorganization in March 1864 saw it merged with other units. The corps used a diamond on its flags and insignia.

"They were so proud of their service they wore badges long after it disbanded," Chapman said of the III Corps veterans.

Chapman says if that portion of the camp is shown to have housed veterans of the III Corps, descendants may one day be able to gaze at the precise spot where an ancestor lived.

"You can touch that ground and connect to 150 years before," he told CNN.

Chapman found the precise location of the slave-built stockade last year and, in the soil beneath tall pine trees, the first of nearly 300 artifacts recovered at the site of the Confederacy's largest prison.

The first find was detailed this time last year by the U.S. Fish and Wildlife Service, the Georgia Department of Natural Resources and Georgia Southern University.

The prisoner artifacts were located on federal property -- the Bo Ginn National Fish Hatchery. The camp's location also extends into state property, the adjoining Magnolia Springs State Park, where the Confederate commissary, hospital and commander quarters existed.

Only archaeologists and other officials are allowed on the fenced-in dig site on the hatchery grounds.

This discovery of so many Civil War-era items -- including a smoking pipe, uniform buttons, a picture frame, coins, utensils, bullets and objects fashioned by Union prisoners -- is unparalleled for many reasons, archaeologists said.

Civil War prisoner's letter: 'Hopeing the scene may soon change'

With the exception of a farmer's plow 100 years ago, the 42 acres about 80 miles northwest of Savannah have been largely untouched.

That includes being missed by relic hunters and looters who, federal officials say, "are both thieves of time."

Over the years, people have picked clean known Civil War sites, including the notorious Andersonville prison site in west-central Georgia. Camp Lawton was built to help ease Andersonville's overcrowding.

The site's remote location and maps describing it as brushy and overgrown likely saved it from relic hunters, archaeologists said.

Some of the artifacts are on display at the Georgia Southern University Museum in Statesboro, about 40 miles south of the camp.

The university museum recently purchased a letter written by Cpl. Charles H. Knox to his wife in Schroon Lake, New York.

Knox, a member of the 1st Connecticut Cavalry, wrote it only eight days before the camp was evacuated when Union forces approached. Knox expresses hope that he will be part of a prisoner exchange between Union and Confederate forces and advises his wife, Frances, to consider selling the family cow to raise money.

"I am here & shall get out some time & hope that will be soon, but don't know," Knox wrote.

The horseman was shipped back to Andersonville and not paroled until late February 1865, near war's end.

Using modern technology along with shovels, prisoner drawings and topographic maps, Chapman pinpointed the prisoner site and found a U.S. cent of a type that was last manufactured in 1858, six years before Camp Lawton opened.

Nails and other items showed that the sloped camp was the living area for nearly 10,000 men who built shelters and lean-tos near Magnolia Springs. Having just survived the scorching 1864 summer, they dug into the earth to shelter them from a cold winter, which included a November snowfall.

Then, suddenly, in late November 1864, the camp was abandoned. The prisoners were taken to other camps, including back to Andersonville, as the Yankees approached during the famous March to the Sea.

Archaeologists think that prisoners may have been taken to the depot in Millen in the middle of the night, and were forced to leave behind their camp belongings and thousands of keepsakes from their homes up north.

Between 725 and 1,330 men died at the prison camp in the six weeks it existed. Officials said they know the "general vicinity" of soldier graves, but have no plans to disturb them.

Conditions in Northern POW camps often weren't much better. About 3,000 imprisoned Confederates, for example, died in Elmira, New York.

"Some of the saddest part of our history was the handling of prisoners on both sides," John Derden, professor emeritus of history at East Georgia College in Swainsboro, told CNN last year.

There are no known photos of Camp Lawton and few details of the stockade, but a Union mapmaker painted watercolors of the prison. He also kept a 5,000-page journal that included descriptions of the misery at the camp.

"The weather has been rainy and cold at nights," Pvt. Robert Knox Sneden, who was previously imprisoned at Andersonville, wrote in his diary on November 1. "Many prisoners have died from exposure, as not more than half of us have any shelter but a blanket propped upon sticks. ... Our rations have grown smaller in bulk too, and we have the same hunger as of old."

The land slipped into obscurity for about 70 years, when some of it became part of Magnolia Springs State Park. Until last year, a few entrenchments were the only signs of Camp Lawton.

That began to change in late June 2010, when federal officials erected a locked and guarded fence to safeguard the artifacts found at its hatchery. They are working with their Georgia counterparts to ensure the site is not touch by unauthorized individuals.

Some coins, tokens and other objects that have been found were made in Europe, and indicate Union regiments made up of soldiers with Irish and German ancestry, Chapman, 37, said last year.

Chapman said the team wants to learn about daily life for Union prisoners and their Confederate keepers.

"Right now we are estimating the limits of the encampment and the prisoner occupation area," he said Wednesday. "We are going to continue exploring the Confederate side."

He estimated less than 1% of the site occupied by prisoners has been surveyed.

"We are just getting our feet in the door," said Chapman. "This is once in a lifetime."

@highlight

Nearly 300 artifacts have been found in early archaeological investigations

@highlight

The site is unusual in that it has not been picked over by relic hunters

@highlight

Some of the items are on display at Georgia Southern University in Statesboro