(CNN) -- You might assume New York is the American capital of income inequality -- what with its multibillion-dollar mayor, its highly paid Wall Street execs and its persistent poverty.

But if you compare every county in the United States, Manhattan has only the third-highest estimated level of income inequality.

A little place in Louisiana takes the title.

East Carroll Parish, Louisiana, is home to 7,500 people, some of whom make six and seven figures and 41% of whom live below the federal poverty line. And is one U.S. capital of income inequality.

The farming community, with picturesque Lake Providence at its center, is a scary window into the future -- a look at where the rest of the country is headed if we don't change our economic policies to work for everyone, not primarily the rich.

The parish, tucked into the northeastern corner of the state, is the subject of my latest Change the List project because CNN readers voted earlier this summer for me to cover income inequality in the place where it is most extreme. You chose it as the top social justice issue of our time from a list of 20.

Below, you'll find a list of the 25 most equal and most unequal counties (including parishes and equivalents) in the United States. These numbers come from the U.S. Census Bureau's American Community Survey, which uses a wonky measurement called the Gini Index to measure income inequality. A rating of 0 means the place has perfect economic equality. A rating of 100 means only one person in that place makes literally all of the money and everyone else is left with $0.

The most equal countries in the world get ratings in the 20s and 30s. The United States, which is the most economically divided of all of the developed countries, had a Gini index of almost 48 in 2012, putting it behind the most-equal nations such as Sweden, Norway and Denmark, of course. But America, land of the free, home of the middle class, is worse on this measure than Iran, Nigeria and Nicaragua, according to a CIA list.

Some argue income inequality fosters competition and growth. There's evidence, however, it's doing just the opposite.

"Inequality stifles, restrains and holds back our growth," the Nobel-winning economist Joseph Stiglitz wrote in January. "When even the free-market-oriented magazine The Economist argues -- as it did in a special feature in October -- that the magnitude and nature of the country's inequality represent a serious threat to America, we should know that something has gone horribly wrong."

Meanwhile, extreme economic gaps tear at the fabric of society. We're a better country when prosperity is shared, as it was before the late 1970s.

The data below is averaged over the five-year period from 2007 to 2011, which is the latest data available that includes all counties, including the smaller places. Some counties technically overlap because of margin of error, and the Gini index numbers are estimates. You can find a similar but older ranking in a 2012 Census report.

The 25 most unequal counties (the worst are first ...)

1. East Carroll Parish, Louisiana (67.07)

2. Mineral County, Colorado (62.13)

3. New York County, New York (60.07)

4. Allendale County, South Carolina (56.87)

5. Franklin County, Mississippi (56.47)

6. Morgan County, Kentucky (56.32)

7. Pitkin County, Colorado (56.08)

8. Esmeralda County, Nevada (56.01)

9. Randolph County, Georgia (55.85)

10. Sioux County, North Dakota (55.29)

11. Willacy County, Texas (55.24)

12. Edwards County, Texas (55.00)

13. Coahoma County, Mississippi (54.86)

14. Terry County, Texas (54.79)

15. Orleans Parish, Louisiana (54.47)

16. Greene County, Georgia (54.00)

17. Foster County, North Dakota (53.95)

18. Clarke County, Georgia (53.95)

19. Oktibbeha County, Mississippi (53.79)

20. Decatur County, Tennessee (53.67)

21. Westchester County, New York (53.64)

22. Conecuh County, Alabama (53.62)

23. Richmond City, Virginia (53.53)

24. Fairfield County, Connecticut (53.52)

25. Collier County, Florida (53.51)

The 25 most equal counties (best are first)

1. Loving County, Texas (20.01)

2. Blaine County, Nebraska (31.65)

3. Logan County, Nebraska (31.84)

4. Morgan County, Utah (31.94)

5. Craig County, Virginia (31.95)

6. Denali Borough, Alaska (32.95)

7. McPherson County, Nebraska (33.04)

8. Bristol Bay Borough, Alaska (33.42)

9. Kendall County, Illinois (33.72)

10. Camden County, North Carolina (33.94)

11. Storey County, Nevada (34.00)

12. Jasper County, Indiana (34.26)

13. Jackson County, Colorado (34.37)

14. Wabaunsee County, Kansas (34.42)

15. City of Manassas Park, Virginia (34.47)

16. Clark County, Idaho (34.53)

17. Kearny County, Kansas (34.55)

18. King William County, Virginia (34.57)

19. Cedar County, Iowa (34.66)

20. Reagan County, Texas (34.78)

21. Pierce County, Nebraska (34.86)

22. Greenlee County, Arizona (34.92)

23. Emery County, Utah (34.95)

24. Paulding County, Georgia (35.02)

25. Wichita County, Kansas (35.09)

Let me know what you think of the ranking in the comments below.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

East Carroll Parish, Louisiana, is the U.S. capital of income inequality

@highlight

The parish has a wider rich-poor gap than any other county or parish

@highlight

Overall, income inequality in the U.S. is worse than Iran, Nigeria and Nicaragua

@highlight

East Carroll Parish tops all of them, with higher inequality than any nation on Earth