(CNN) -- The politics of oil and ecology have put President Obama between a rock and hard place, as he faces a decision on whether or not to permit construction of a new pipeline. The squeeze just got tighter with a new, negative environmental assessment.

The Keystone XL pipeline will give America energy independence, thousands of jobs, important industrial infrastructure and won't cost taxpayers a dime, say proponents. Many of them are Republican lawmakers.

It is dangerous, inherently filthy and must be stopped, say opponents, some of whom are Democrats who helped get the president elected.

On Monday, the Environmental Protection Agency weighed in on the side of the environmentalists, weeks after the State Department came down on the side of the proponents.

The EPA sent a letter to high officials at State, blasting the draft Environmental Impact Statement (DEIS) it published in March that had reflected positively on the pipeline project.

The environmental agency rated the DEIS as EO-2. It stands for "Environmental Objections-Insufficient Information." That could be seen as a C- on the EPA's grading scale.

President Obama has promised to decide soon on whether or not to allow the TransCanada oil company to lay the 835 mile long Keystone XL pipeline from Alberta, Canada, to Steele City, Nebraska.

While he has contemplated the pros and cons, powerful political forces have aligned on both sides of the argument.

Arkansas spill strengthens arguments of Keystone foes

Economic pros

The Keystone XL would pump 830,000 barrels of oil sands crude per day through America's heartland, connecting crude producers in Canada with refineries and shipping companies in the United States.

TransCanada would cover all the costs, proponents argue, making it practically a gift to the U.S. oil infrastructure.

On its way to Nebraska, where it would connect with other, already existing pipelines, Keystone XL would pick up additional oil produced in Montana and North Dakota and stream it south, TransCanada said on its website.

It would reduce "American dependence on oil from Venezuela and the Middle East by up to 40 percent," TransCanada extols.

Dirty air

It will produce too many greenhouse gases, the EPA said in its letter, and this needs to be amended, before the project goes forward.

The Canadian crude in its raw form is mixed with sand. Extracting the oil and transporting it requires more energy than pumping crude out of a well. Thrusting it through long pipes increases the energy consumption.

That higher energy use leads to greater greenhouse gas emissions, an increase of "18.7 million metric tons (20 million tons) C02 ... per year when compared to an equal amount of U.S. average crudes," the EPA said.

The state department's assessment concludes that just as much Canadian oil will make it to market, by train if necessary, if no pipeline is built, therefore there would be little additional ecological impact.

The EPA argued that "while informative" that train of thought is out of date.

In November: Protestors call on Obama to reject Keystone XL pipeline

Nasty spills

The agency is also concerned about oil spills, particularly since sands crude is different from conventional crude.

It cites a 2010 pipe break in Michigan, which spurted out 20,000 barrels of sands crude. Some of it sank to the bottom of the Kalamazoo River and could not be completely cleaned up in three years' time, the EPA said.

"Spills of diluted bitumen may require different response actions or equipment," the letter stated. "These spills can also have different impacts than spills of conventional oil."

The state department assessment did not address these issues and needs to require TransCanada to do more to monitor for oil leaks into ground water, the EPA criticized.

Bitumen is the tar-like oil extracted from the sand. It is thinned with chemicals, so it can be pumped through pipelines.

Nebraska beauty

State's assessment represents its second go-round with the Canadian company.

It rejected a permit from TransCanada, last year, saying the route through Nebraska was too risky for the state's Sand Hills Region, a landscape of natural beauty. And it endangered the Ogallala Aquifer, which provides water to farmers and ranchers to raise livestock and grow crops.

TransCanada came up with a new route, but the EPA said, it misses the mark.

"The alternative route in Nebraska has avoided most of the impacts to the Sand Hills Region, but still crosses the Ogallala Aquifer," the agency assessed.

In its public reaction Monday, State indicated that the EPA's criticism was business as usual. It also anticipated public protest.

"The State Department has always anticipated that in preparing a Final Supplemental EIS it would conduct additional analysis and incorporate public comments received on the Draft SEIS," said press spokesman Patrick Ventrell.

The politics

Keystone XL opponents have aligned themselves principally behind the greenhouse gas (GHG) issue, as the EPA acknowledged in Monday's letter to State:

"It is this difference in GHG intensity - between oil sands and other crudes - that is a major focus of the public debate about the climate impacts of oil sands crude."

Obama's own former deputy press secretary is leading the charge to push the president to stop the pipeline.

Bill Burton quit his job before the 2012 election to head up the super PAC Priorities USA, which worked for the president's reelection. In January, he joined the PR firm Global Strategy Group as an executive vice president.

He is now representing a new coalition, "All Risk, No Reward," which opposes Keystone XL. It goes after the additional greenhouse gases but also showcases the damage causes by spills to Americans in the heartland.

Another group, 350.org, which wants to bring down carbon dioxide levels in the atmosphere below 350 parts per million, is soliciting letters of protest to the state department.

Nebraska's Republican governor Dave Heineman has approved the project, and Nebraskan congressman Lee Terry has called for the Keystone XL's construction in a Republican radio address.

The pipeline "is primed to give our economy a shot in the arm and make energy more affordable -- and it won't cost the taxpayers a dime," he argued.

Terry spoke a day after an apparent pipeline rupture in the Arkansas town of Mayflower in late March, about 20 miles north of Little Rock.

Black torrents of diluted bitumen flowed through the community, forcing the evacuation of 22 homes.

@highlight

The State Department delivered an assessment positive of the proposed pipeline

@highlight

The EPA gives it a poor grade, says the ecological risks are too high

@highlight

Political forces are aligned for and against the pipeline's construction

@highlight

The president says he'll decide on whether or not to allow construction in coming months