The tense, high-stakes standoff between Ukraine and Russia continued Tuesday, with both sides insisting they don't want war but publicly offering little evidence of their willingness to budge.

Petro Poroshenko, a Ukrainian parliamentarian who has been charged with leading negotiations with the new government of Crimea -- a disputed region thought to be threatened by a Russian takeover -- told CNN's Christiane Amanpour that "today we (had) the first sign of contact between our minister of defense and Russia's minister of defense," as well as talks involving other ministers.

"But it is not a negotiation, unfortunately," said Poroshenko, a billionaire businessman and former Ukrainian foreign minister. "We try to do our best to use any opportunity for peaceful negotiation. But ... we don't have any sign of hope ... from the Russian side."

The comments are the latest indicating Ukrainian officials' attempts to peacefully prevent a full-scale war over the Crimean peninsula, which had been part of Russia until it was ceded to Ukraine in 1954 by Soviet leader Nikita Khrushchev.

Yuriy Sergeyev, Ukraine's U.N. ambassador, claimed Russia used planes, boats and helicopters to flood the peninsula with 16,000 troops. And Ukrainian officials say disguised Russian troops have laid siege to military installations.

Yet Russian President Vladimir Putin on Tuesday denied sending members of his military into Crimea or that any of the up to 25,000 Russian troops already stationed in the country had any role in the standoff, according to the state-run RIA Novosti news agency. He insisted his military isn't planning to seize the Crimean peninsula -- but didn't close the door on action "to protect local people."

Should Russian troops intervene, Putin said, "It will be legitimate and correspond to international law because we have a direct request from a legitimate president and it corresponds to our interests in protecting people who are close to us."

Poroshenko said ousted Ukraine President Viktor Yanukovych, who fled to Russia last week after months of public unrest against his government that ultimately boiled over into violence, has no legitimacy.

That includes having no right to ask Russia to send troops into Ukraine to restore him to what he feels is his rightful post as President, according to Poroshenko, who insisted only Parliament can invite foreign troops.

"His (political tenure) is finished, and he is a criminal," said Poroshenko, "especially after yesterday's appeal to have foreign troops come here and start a war."

Tension, uncertainty in Crimea

While no blood has been spilled between the Ukrainian and Russian militaries, no one is breathing easy -- especially amid reports of Ukrainian military facilities in Crimea being under siege.

On Sunday, a U.S. official said Russian forces have "complete operational control" of Crimea. And Putin said Tuesday "local militias" -- who, he insisted, don't answer to Moscow -- control up to 22,000 Ukrainian army troops and their heavy military equipment.

Poroshenko, the Ukrainian official, said that while military units have been "blocked," they have not relinquished control. "Our soldiers (are) demonstrating a strong spirit," he added, commending them for not opening fire.

Sounds and images from the ground showcase the tension -- and confusion.

Several hundred men wearing dark green camouflage uniforms without insignias surrounded Ukraine's Perevalnoye base Sunday near the Crimean capital of Simferopol. But rather than the standoff, they walked peacefully near 15 Ukrainian troops standing guard.

By Tuesday, the situation remained tense, and the base was still surrounded. But the base commander moved in and out, and troops outside weren't stopping anyone.

But not every scene was so calm. Video showed more than 100 unarmed Ukrainian troops trying Tuesday morning to return to Belbek air base north of Sevastopol, only to have Russian forces fire warning shots over their heads.

A Russian voice tells the Ukrainians he has orders to shoot them in the legs if they advance. The Ukrainian commander reports they have no weapons, and the Russians are in control. After some negotiations, 15 Ukrainian troops are let in.

By contrast, about 12 miles (20 kilometers) southeast of Simferopol, about 100 Russian troops on Tuesday parked their vehicles at a Ukrainian military base, excavated mini-trenches and erected mess tents -- all while having civil conversations with Ukrainian troops and moving about freely.

What's happening on the Russian side of the Ukraine border, though, may end up being more significant.

Putin ordered about 150,000 Russian troops who had been taking part in military exercises near the border back to their barracks. But that order didn't involve troops already in Crimea, nor did it reassure Ukraine's new interim leadership based in the capital of Kiev.

Russian troops and vehicles remain near the country's eastern border, according to Ukrainian officials.

Andriy Parubiy, head of Ukraine's National Security and Defense Council, told Parliament that Ukraine doubled its security presence at checkpoints along the border.

As the governments jostle, Ukrainian citizens are in limbo.

Alex Shiroki, from the coastal city of Yalta, said he is worried about being cut off from gas, electricity or the Internet, as well as the prospect of living under Russian rule. But he admits not everyone shares his opinion; even in his own family, one of his sisters wants a plan to get out while another sister sides completely with Russia.

"The worst feeling is that I feel unsure about what will be tomorrow," Shiroki said. "My thoughts are: This won't end fast."

Kerry: U.S. 'will stand by the Ukrainian people'

Diplomatic efforts to end the crisis bore little fruit Tuesday.

Poroshenko, who is heading Ukraine's efforts to forge a peaceful resolution over Crimea, said his government is "constantly trying to" have conversations with Moscow.

"We think that, without any negotiating ... the escalation process and the temperature on the Crimea is rising up," he added.

German Chancellor Angela Merkel is trying to construct what a senior U.S. administration official characterized as an "off-ramp" for Putin by having international observers in Crimea to ensure ethnic Russians' rights aren't violated. President Barack Obama floated this idea in a call Saturday with Putin, and he and Merkel talked about it Tuesday.

NATO members are set to meet Wednesday with Russia's ambassador to the alliance, which gathered in emergency session amid Poland's fears that any potential conflict could spread around the region.

NATO Secretary General Anders Fogh Rasmussen said Tuesday that despite repeated calls by the international community, "Russia continues to violate Ukraine's sovereignty and territorial integrity and continues to violate its international commitments."

There's no indication yet NATO will intervene militarily, but its members may take action other ways. That includes actions targeting Moscow (like Canadian Prime Minister Stephen Harper announcing the cancellation of military activities involving his and Russia's militaries), punitive measures like sanctions against Ukrainian individuals or groups or helping prop up that nation's shaky economy.

To that latter point, Ukraine's Parliament ratified a deal Tuesday to receive loans from the European Union worth 610 million euros, the equivalent of nearly $839 million.

Representatives of the International Monetary Fund were headed to the country to begin inspections ahead of a possible financial deal. And U.S. Secretary of State John Kerry has announced a $1 billion loan guarantee for Ukraine.

Kerry visited Kiev on Tuesday, laying flowers in honor of slain protesters at Maidan, or Independence Square, and accusing Russia of making up reasons to intervene militarily.

"Not a single piece of credible evidence" supports Russian explanations for its move into Crimea, said the top U.S. diplomat. He added, "Russia has talked about Russian-speaking citizens being under siege. They're not."

Washington prefers a peaceful resolution to this crisis, Kerry said. But if that doesn't happen -- and Russian steps up its military involvement -- "our partners will have absolutely no choice (but) to join us to continue to expand on steps we have taken in recent days to isolate Russia diplomatically, politically and economically."

"The United States will stand by the Ukrainian people as they build the strong democratic country they deserve," Kerry said. "... We must all step up and answer their call."

@highlight

U.S. official: Germany's leader is trying to set up an exit strategy for Russia's Putin

@highlight

Ukraine official: Ukraine, Russian ministers talk, but no signs of breakthrough

@highlight

Putin denies sending troops into Crimea, says "local militias" are involved

@highlight

U.S. Secretary of State John Kerry says Russia made up reasons to intervene