(CNN) -- The United States, the European Union and Japan are filing a challenge with the World Trade Organization against China's export restrictions on minerals that are crucial for the production of many high-tech devices, President Barack Obama announced Tuesday.

In a statement to reporters at the White House, Obama said the case seeks to force China to lift export limits on certain minerals known as rare earths.

China produces 97% of all rare earths, according to the European Union. The materials are used in products such as flat-screen televisions, smart phones, hybrid car batteries, wind turbines, energy-efficient lighting, electronics, cars and petroleum.

"We want our companies building those products right here in America," Obama said. "But to do that, American manufacturers need to have access to rare earth materials which China supplies. Now, if China would simply let the market work on its own, we'd have no objections."

Instead, Chinese policies "currently are preventing that from happening and they go against the very rules that China agreed to follow," Obama continued.

What's the deal with rare earth minerals?

In an earlier statement, the European Union said the challenge mounted with Washington and Tokyo "formally requested dispute settlement consultations with China in the World Trade Organization."

However, U.S. Sen. Chuck Schumer, D-New York, said tougher steps are needed than the dispute resolution requested.

"There are faster ways to assert leverage on China than relying on the WTO, which could take years to resolve the case," Schumer said in a statement that called for U.S. efforts to block Chinese-funded mining projects in the United States as well as World Bank financing for Chinese mining projects.

Beijing defended its approach Tuesday.

"China has worked out its own policy on managing rare earths, which is in line with WTO regulations," Liu Weimin, a spokesman for the Chinese Ministry of Foreign Affairs, said at a news conference. "Our policies tackle not only the export of rare earth but also its production and exploration."

The United States accuses China of hoarding the valuable minerals for its own use. But China said its restrictions are motivated by environmental concerns.

White House Press Secretary Jay Carney told reporters Tuesday that the issue is about uniform rules for all, rather than an effort to hurt China.

"We believe that China's rise is a good thing for the Chinese people and for the global community, a good thing for the United States," Carney said. "It is also important that, as China becomes a bigger and bigger economic power, that China play by the same set of rules that other major economic powers play by."

China will have 10 days to respond to the case and must hold talks with the other parties within two months.

The EU statement said the challenge to the WTO targets raw materials including 17 rare earths such as cerium, neodymium and dysprosium, as well as tungsten and molybdenum. The elements and substances are used in high-tech and "green" businesses, as well as in cars, machinery manufacturing, chemicals and steel.

Tungsten is used in lighting technology, in electronics and in automotive, aerospace and medical technologies, the EU statement said. China produces 91% of the world's tungsten.

Molybdenum is a metallic element used for filaments in light bulbs. China produces 36% of the world's molybdenum, according to the EU statement.

Most of the time, rare earths cannot be substituted for without resulting in a redesigned and more costly product, the EU statement said, adding: "Their non-availability can lead to the disruption of whole value chains."

China has gradually tightened export restrictions on the materials through raising export taxes and "drastically reducing the export quota," according to the European Union. In 2010, China reduced the quota by 32% for domestic companies and 54% for foreign-invested companies.

"Because China is a top global producer for these key inputs, its harmful policies artificially increase prices for the inputs outside of China while lowering prices in China," said a Tuesday statement from the U.S. trade representative.

"This price dynamic creates significant advantages for China's producers when competing against U.S. producers -- both in China's market and in other markets around the world," said the U.S. statement. "The improper export restraints also contribute to creating substantial pressure on U.S. and other non-Chinese downstream producers to move their operations, jobs and technologies to China."

The WTO, the body tasked with monitoring trade between nations, will be asked to be a facilitator in talks with China, an Obama administration official said Monday.

"China's restrictions on rare earths and other products violate international trade rules and must be removed," Karel De Gucht, EU trade commissioner, said in a statement. "These measures hurt our producers and consumers in the EU and across the world, including manufacturers."

Despite a recent ruling in a separate dispute over different raw materials, "China has made no attempt to remove the other export restrictions," he said. "This leaves us no choice but to challenge China's export regime again to ensure fair access for our businesses to these materials."

Ron Kirk, the U.S. trade representative, said, "America's workers and manufacturers are being hurt in both established and budding industrial sectors by these policies. China continues to make its export restraints more restrictive, resulting in massive distortions and harmful disruptions in supply chains for these materials throughout the global marketplace."

Concern in the United States over the supply of rare earths resulted in a September hearing on the matter by the House Foreign Affairs Subcommittee on Asia and the Pacific.

Of particular concern was how vital the minerals are for top-of-the-line weapons, including missile guidance systems, drones and the new F-35 Joint Strike Fighter.

American companies are trying to answer the demand. Molycorp Inc., one of the few producers of rare earth minerals outside China, has urged Congress to do more to confront the problem and encourage research and development. Molycorp has mines in California and Colorado.

In 2010, China temporarily halted shipments of rare earths to Japan, prompting a sharp spike in prices of the minerals.

The EU said it has raised the issue repeatedly with China over the past few years without success. If no solution can be found through the consultation process, the dispute can be transmitted to a WTO panel for a ruling, the European Union said.

CNN's Dan Lothian, Tom Cohen, Brianna Keilar, Jethro Mullen and Junko Ogura contributed to this report.

@highlight

NEW: Chinese growth is good, but Beijing must follow the rules, the White House says

@highlight

President Obama says the United States, European Union and Japan take action

@highlight

China says its policy on rare earths is in line with WTO regulations

@highlight

China produces 97% of all rare earths, which are used to make high-tech products