H. W. Brands is the author of "TR: The Last Romantic" and the just-released "Traitor to His Class: The Privileged Life and Radical Presidency of Franklin Delano Roosevelt." He teaches history at the University of Texas at Austin.

Historian H.W. Brands says power as well as race was behind controversy over Booker T. Washington.

AUSTIN, Texas (CNN) -- In his concession speech on Tuesday night, John McCain illustrated the historic significance of Barack Obama's election by noting that a little over a century ago the inclusion of another black man, Booker T. Washington, at a White House dinner provoked outrage in large parts of the country.

McCain wasn't giving a history lecture, and he quickly moved on, but the tale is worth exploring, as it is both more complex and more instructive than McCain's brief remarks suggested.

Washington was the one who initiated the acquaintance that led to his 1901 dinner with Theodore Roosevelt. Washington had built the Tuskegee Institute of Alabama into a political base that made him the most powerful black leader in the country.

Invited to address the Cotton States Exposition in Atlanta, Georgia, in 1895, Washington offered white America a racial bargain: Blacks would cease agitating for immediate political and civil rights if whites would fund black educational and economic advancement.

This "Atlanta Compromise" outraged black intellectuals like W. E. B. Du Bois, but it appealed to white leaders in the South and white philanthropists in the North -- and it marked Washington, the broker of Northern largesse and Southern cooperation, as one of the shrewdest politicians in the South.

Washington spotted Roosevelt on the rise, and after Roosevelt became vice president, Washington invited him to Tuskegee, where he knew Roosevelt, the apostle of the strenuous life, would be entranced by the rigorous physical regimen the students pursued.

Roosevelt was preparing to visit Tuskegee when the assassination of William McKinley elevated him to the presidency and threw his plans into turmoil.

Roosevelt instead invited Washington to call at the White House whenever he was in town. Washington didn't have to be asked twice. Within weeks, he was in the capital and was invited to join the president for dinner on October 16.

Roosevelt's ascension to the presidency made him that much more interesting to Washington. Yet no more interesting than Washington was to Roosevelt. The peculiar politics of the Republican Party gave Washington an importance among Republicans that belied the abnegations of the Atlanta Compromise.

Discriminatory Jim Crow laws kept most blacks from voting in the South, but they didn't prevent the Southern states from sending delegations to the Republican national conventions every four years. These delegations could tip the balance in a tight contest, and Roosevelt -- who though president was profoundly unpopular among the Republican bosses -- expected the 1904 convention to be a tight contest.

Roosevelt's invitation to Washington to dine at the White House had little to do with Washington's race per se, but everything to do with Washington's role as a political boss of Southern Republicans who happened to be black.

Likewise, the outrage expressed by Southern editors and spokesmen over Roosevelt's alleged affront to the South, while couched in the language of race, was really about political power. "White men of the South, how do you like it?" fulminated the New Orleans Times-Democrat. "White women of the South, how do you like it?"

The Richmond Times frothed over the implications of the honor Roosevelt had bestowed on Washington: "It means that the president is willing that Negroes shall mingle freely with whites in the social circle -- that white women may receive attentions from negro men; it means that there is no racial reason in his opinion why whites and blacks may not marry and intermarry, why the Anglo-Saxon may not mix negro blood with his blood."

The vehemence of the Southern response gave the game away. Booker Washington had explicitly forsworn any claim to social equality, let alone the right for blacks to marry whites.

What the Southern foamers, political conservatives to a man, feared was that Washington might help the dangerously progressive Roosevelt get elected in his own right. When he did precisely that -- Roosevelt fended off the conservatives at the 1904 convention and was returned to office overwhelmingly -- they foamed the more.

The race question in America has often been about race, but it has equally often been about power. Not for 40 years, since the dismantling of the Jim Crow system, has the race of guests at the White House prompted anything other than idle curiosity. But until last Tuesday those African-Americans among the guests were precisely that: guests -- visitors who lacked the power that occupancy of the White House entails.

Symbolism isn't unimportant, and the symbolism of a black man taking the oath of the president's office in January will certainly bring an outpouring of sentiment like that which greeted Obama's election. But behind the symbolism of race is the reality of power.

Obama will wield power of an order Booker Washington appreciated in Roosevelt but never possessed for himself. A week or a month after the symbolism fades, the reality will remain. At that point, Obama's race won't matter nearly as much as his facility with power.

The opinions expressed in this commentary are solely those of H.W. Brands.

@highlight

H.W. Brands: Roosevelt-Washington White House dinner was controversial

@highlight

He says the the opposition was about power as well as about race

@highlight

African-Americans have often been guests at the White House

@highlight

Brands: When Obama moves in, it will represent a leap in terms of power