Washington (CNN) -- The Supreme Court gave its blessing Wednesday to a federal law giving copyright protection to millions of international books, music and other artistic creations that had once been in the free-access "public domain."

The 6-2 ruling is a setback for a coalition of groups that had sought to keep works by foreign artists easily available in the United States without payment of royalties.

At issue was whether the Constitution's "Progress Clause" prohibited Congress from taking such works out of the public domain.

A group of artists, film archivists, and educators sued after an international treaty signed by the United States restored copyright protection to thousands of once-royalty-free works originating in other countries.

The plaintiffs made a free-speech argument, claiming the ruling would create an artistic vacuum, making a large body of songs and films out of their reach, if they had to pay fees.

Justice Ruth Bader Ginsburg, writing for the majority, downplayed such concerns.

"Neither congressional practice nor our decisions treat the public domain, in any and all cases, as untouchable by copyright legislation," she said. Provisions in the law do "not unconstitutionally abridge speech."

The plaintiffs were supported by the ACLU, Internet website giants like Google, and library groups.

The big winners in the dispute are larger media and publishing companies, which hope this high court decision will now lead to greater reciprocal access to foreign markets for American books, music, films, television and other creative endeavors.

Among the works in question were Pablo Picasso and M.C. Escher artwork, novels by Virginia Woolf and J.R.R. Tolkien, and music by Sergei Prokofiev, composer of "Peter and the Wolf"-- which is frequently performed in community orchestras.

One of the original key plaintiffs was American musician Richard Kapp. He had created derivative recordings based on several compositions of the classic Russian composer Dmitri Shostakovich, but was later prevented from releasing them. Kapp died in 2006.

"Libraries and digital repositories are using new technologies to make our cultural commons more accessible than ever, but they need a robust and stable public domain to be able to do that crucial work," said Julie Samuels, an attorney for the Electronic Frontier Foundation, which filed a brief supporting Kapp and others. The federal provision "has up-ended a basic tenet of copyright law: once a work enters the public domain, it stays in the public domain."

The 1994 law in question was designed to put the United States in compliance with global treaties on intellectual property-- the Berne Convention and the so-called Uruguay Round. The federal legislation created copyrights to foreign works that had not previously been covered. The U.S. Copyright Office told the high court that millions of works would now receive copyright restoration. Public domain works can be freely reproduced, performed, downloaded and shared.

"Congress determined that U.S. interests were best served by our full participation in the dominant system of international copyright protection," said Ginsburg.

Justices Stephen Breyer and Samuel Alito dissented.

"The (federal) statute has significant First Amendment costs," wrote Breyer. "... By withdrawing material from the public domain, the statute inhibits an important preexisting flow of information."

Justice Elena Kagan did not participate in the case. She recused herself after earlier being involved in defending the law while serving as solicitor general in the Justice Department just before joining the high court in 2010.

The case is Golan v. Holder (10-545).

@highlight

The ruling means royalties will have to be paid for some foreign works

@highlight

A coalition of groups had sued to keep the works in the free-access "public domain"

@highlight

At issue are Pablo Picasso works, novels by J.R.R. Tolkien