(CNN) -- As Iraqis count the votes following the first parliamentary elections since U.S. troops withdrew from the country at the end of 2011, they agree on one thing: the fierce urgency of change. Although the vote is an important milestone in Iraq's fragile state, it is unlikely to resolve the country's severe political crisis and generate a new social contract and a constitution that enshrine equal citizenship before the rule of law.

At the heart of Iraq's structural crisis lies a dysfunctional political system based on muhasasa or distribution of power along communal, ethnic and tribal lines, a system put in place after the U.S. invaded and occupied the country in 2003.

Ever since, the dominant social groups have fought over the division of political spoils, unwilling to put the interests of the nation over their own sects and tribes. Although the rules of the game influence the conduct of the political class, politicians of all colors (Shiites, Sunni Arabs and Sunni Kurds) have not transcended their narrow parochial concerns and have not risen up to the historic challenge. Iraq faces a two-pronged systemic and leadership challenge.

The ruling political class is as much responsible for Iraq's predicament as structural conditions. The structure is not destiny. Having taken ownership of the country after U.S. occupation and ouster of Saddam Hussein, the Shiite leadership has treated Sunni Arabs like second-class citizens and has equated its numerical majority with a license to monopolize power at the expense of others.

In a similar vein, the Sunni leadership has not come to terms with the new realities of post-Saddam Iraq and still entertains illusions about ruling Iraq. Kurdish leaders would not mind if Iraq burns as long as they preserve a separate Kurdistan -- a quasi-independent entity.

Of all actors, Prime Minister Nuri al-Maliki bears greater responsibility for the steep deterioration of the security situation and the quality of life of Iraqis, including corruption that infects all aspects of Iraqi society. After eight years in office and monopolizing power, al-Maliki has failed his countrymen and has delivered neither security nor prosperity. He was blind and deaf to the gathering storm among Sunnis Arabs who feel excluded by what they view as his sectarian-based policies.

Under his watch, al Qaeda factions -- or the Islamic State in Iraq and al-Sham (Greater Syria) known by its Arabic acronym, "Daish" -- has revived and found shelter among dissatisfied Sunnis. Indeed, Iraq is deeply polarized along social, ideological and communal lines, witnessing a resilient Sunni insurgency in late 2012 that has exacted a heavy human toll and has almost plunged the country to the brink of civil war.

Since last May, almost 1,000 civilians get killed each month and the insurgents, a mix of tribesmen and al Qaeda extremists, control neighborhoods of the provincial capital, Ramadi, and nearly all of the nearby city of Fallujah.

The conflict in Syria has aggravated communal tensions in Iraq and polarized the country further. It is now almost forgotten that the Islamic State in Iraq and al-Sham established al-Nusra Front in Syria, al Qaeda's official arm, and built a potent jihadist infrastructure in the war-torn country. The two insurgencies in Syria and Iraq feed on one another and supply the fuel that powers their deadly engines.

Yet al-Maliki, who leads the mainly Shiite State of Law Coalition, is shamelessly running on a triumphant slogan presenting himself as a strong Shiite leader who can defeat al Qaeda. "Together, we defeat terrorism", one of his campaign posters declares.

Instead of pledging to form a genuine national unity government that tackles Iraq's structural problems, al-Maliki is also asking voters to give him an absolute majority to form a stronger central rule, as if he has not already accumulated too much power, blaming weak governance on political rivals who blocked his efforts.

"Partnership with other political factions has hampered the government performance," al-Maliki told his supporters during a campaign rally in Babil province south of Baghdad.

It is doubtful if either al-Maliki's coalition or any other would gain an outright electoral majority because of the extent of inter- and intra-communal fragmentation. More than 9,000 candidates from nearly 280 political entities are vying for 328 seats in parliament.

Not unlike the last parliamentary vote in 2010, intra-sectarian Shiite rivalries mark this round. The prime minister's bloc is challenged by The Citizen Coalition, led by Ammar al-Hakim of the Islamic Supreme Council of Iraq, Ammar al-Hakim, and the Ahrar Coalition, formed by followers of the Islamist populist Sadrist Movement. Although in 2010 Iran played a key role in convincing al-Hakim and al-Sadr to back al-Maliki and provide him with a majority to form a government, it might not be able to do so now given that the gulf among the three reluctant Shiite allies has widened. Sunni Arabs are as divided as the Shiites.

In a consolidated democracy, electoral division would produce a broadly-based coalition government. Not so in Iraq's case, a fragile country with deep sociological rifts, dysfunctional political system, and absence of a viable progressive non-sectarian alternative. Far from beginning the complex process of nation-building and social reconstruction, an urgent task, the vote would likely prolong the crisis of authority and legitimation.

Many Iraqis whom I speak to say they have low expectations of the vote; they are cynical about the politicians who promise deliverance but fall far too short. I have not met a single Iraqi who believes that the elections would signal either a new beginning, a different direction, or inject fresh blood in the veins of the cloaked body politic.

Rather more modestly, Iraqis hope that the new leadership will prevent the country from sliding to all-out war and putting its house in order.

READ: Iraqis vote amid worst violence in years

@highlight

Iraqis have been voting in the first election since U.S. troop withdrawal in 2011

@highlight

Iraq has dysfunctional system put in place after U.S. invaded in 2003, writes Fawaz Gerges

@highlight

Dominant social groups have fought over the division of political spoils, he adds

@highlight

Gerges: Vote is important milestone but is unlikely to resolve severe political crisis