(CNN) -- I'm thinking back to when my girls, now 6 and 7, were just a few months old. "Delicious" is the word that most immediately comes to mind. As I spent countless hours -- like any new mom -- looking adoringly at each of my daughters' chunky cheeks and dreamy eyes, I often wondered, "What is going through your mind?"

Turns out, maybe a whole lot more than I realized.

According to researchers at Yale University's Infant Cognition Center, also known as "The Baby Lab," babies can actually tell good from evil, even as young as 3 months old. That research is the focus of a three-part series this week on "Anderson Cooper 360," which airs weeknights at 8 p.m. ET.

To the skeptics who say, "Come on, how can an infant tell the difference between a good guy and a bad guy?" -- I can relate. It certainly runs counter to our notion that children are born as blank slates and learn right from wrong entirely from us.

But the research paints a different picture. Puppets are used to demonstrate good and bad behavior. In one case, a puppet is struggling to open a box. Another puppet, the "good" puppet, helps it open the box, while another, the "bad" puppet, slams the box shut.

More than 80% of the times that experiment is conducted, babies will select the "good" puppet when presented with both puppets and given the chance to choose either one.

"Humans are born with a hard-wired morality, a sense of good and evil is bred in the bone," wrote Paul Bloom, Yale's Brooks and Suzanne Ragen professor of psychology, in an opinion piece for CNN.com.

Bloom, author of the new book "Just Babies: The Origins of Good and Evil," collaborated on the research with his wife, Karen Wynn, a professor of psychology at Yale University.

"We are naturally moral beings, but our environment can enhance -- or sadly, degrade -- this innate moral sense," Bloom said.

So now I'm wondering if, during those months when I thought my babies had zero clue about the world around them, I did anything I should not have done.

Lyz Lenz, a contributor to the parenting site Babble and mom of a nearly 3-year-old daughter and 7-month-old son, wonders the same thing.

"When I was pregnant with my daughter, I read a history of our cultural perceptions of the devil and watched a lot of 'Dexter,'" said Lenz of Cedar Rapids, Iowa, referring to the Showtime show about a serial killer.

PHOTOS: CNN: When they were babies

"Then, during my maternity leave, I watched all of 'Damages,' a show where Glenn Close plays an evil lawyer. So, what I'm saying is, if my daughter makes it to her 5th birthday without murdering someone, it won't be for lack of trying," joked Lenz, who also blogs for the site Baby Zone.

Many women I chatted with over e-mail or on Facebook weren't really surprised to learn there's much more going on in the brains of our littlest ones.

Jessica McFadden, founder of the blog A Parent in America and mother of three, remembers when her daughter Alice was 4 months old.

"She would babble animatedly and -- I swear -- as if she were 'ticked off' at the large family photo hanging in our home," said McFadden of Silver Spring, Maryland. The photo was taken before her daughter was born and included everyone in the family -- except her.

"She truly seemed put out that she was not in the picture, and this was before she was even eating solids! When the photo was replaced with a new one including her, she squealed, smiled, waved her hands and would happily look at it each time she passed it," she said.

OPINION: Do babies know right from wrong?

Beth Engelman, a single mom of an 8-year-old in Chicago, recounts what happened when her soon to be "ex-mother-in-law" came to visit when her son was just a few weeks old.

"As soon as she picked him up, he cried and cried and cried. When she handed him over to me, he was fine, giddy, happy," said Engelman, co-founder of the blog Mommy on a Shoestring. "My siblings would say Jackson was an excellent judge of character, even at two weeks!"

The research does show, according to Bloom, that children just a few months old can judge a person's character -- siding with the "good" puppet and not with the "bad" puppet.

But Bloom said the research also shows something else, which gives this parent pause. Babies, Bloom said, are born with an inherent bias, and start off as "little bigots, eagerly dividing the world into 'us versus them' and strongly favoring their own group over everyone else."

"They prefer puppets who have the same tastes as them and they actually want the puppets with the different tastes -- they like other puppets who punish them," Bloom said during a Google+ hangout. "So early on, one of the most tragic aspects of humanity is how we split the world into 'us versus them' and we find this from the earliest age we can test."

Knowing this not only gives us more respect for what's going on in our children's minds, but also helps us as parents deal with certain moral issues, such as racism, Bloom said.

WATCH: Baby brains: What are they really thinking?

While it is important to teach children that humans naturally separate ourselves into groups such as families and friends -- and place more value on these people in our lives -- it is also important to clarify that it's not acceptable to value people according to group traits like skin color, said Bloom, who is the father of two teens.

"So if you realize kids come in a world with their own beliefs and judgments and propensities and expectations, it gives you more respect for them, and it also helps you parent them, helps you know how to make them into more moral people."

On that point, I loved what Lenz, the Babble contributor, said: "Children know the world is deep and dark and bright and beautiful. We don't have to teach them that. Instead, we have to equip them to slay the monsters and hold fast to what is true and good."

What do you think babies really know? Chime in below in the comments or tell Kelly Wallace on Twitter and CNN Living on Facebook, or share your photos and stories on CNN iReport!

@highlight

Babies as young as 3 months old can tell right from wrong, researchers say

@highlight

The baby research was conducted at Yale University's Infant Cognition Center

@highlight

Researcher: Babies born as "little bigots, eagerly dividing the world into 'us versus them' "

@highlight

The research can influence how parents teach their kids to be "more moral"