Washington (CNN) -- The push to overhaul health care received a major boost Thursday as the American Medical Association and AARP endorsed legislation drafted by top House Democrats.

The AARP, the nation's largest organization of older Americans, is a nonpartisan group that advocates for people 50 and older. The AMA, historically an opponent of health care reform, is considered one the nation's most influential doctors' advocacy groups.

"I want to thank both organizations again for their support, and I urge Congress to listen to AARP, listen to the AMA and pass this reform for hundreds of millions of Americans who will benefit from it," President Obama said at the White House.

The backing of those two groups comes as House Speaker Nancy Pelosi, D-California, oversees final changes to the $1.1 trillion health care bill. The measure likely will come to a final vote Saturday.

Read the House health care bill (PDF)

A 42-page manager's amendment on the health care legislation posted Tuesday night made mostly technical changes in the nearly 2,000-page bill compiled from three Democratic proposals passed by three House committees.

By making the changes public Tuesday, House Democratic leaders could open floor debate on the bill Friday, while fulfilling their pledge to allow 72 hours of review before bringing the measure to the full chamber.

Pelosi insisted Thursday she will have the 218 votes necessary to pass the bill. Meanwhile, President Obama is set to huddle Saturday with congressional Democrats on Capitol Hill to review the legislation.

Check out the key parts of the bill

In a statement, AARP CEO Barry Rand said, "We started this debate more than two years ago with the twin goals of making coverage affordable to our younger members and protecting Medicare for seniors.

"We can say with confidence that [the House bill] meets those goals with improved benefits for people in Medicare and needed health insurance market reforms to help ensure every American can purchase affordable health coverage."

The AMA's president, Dr. J. James Rohack, told reporters Thursday that the legislation is "not a perfect representation of our views" but is close enough to warrant his group's support and keep the reform process moving forward.

Rohack said the bill needs to be accompanied by legislation reversing scheduled Medicare reimbursement payment reductions to physicians.

Responding to the AMA endorsement, Obama said the doctors' group is "supporting reform because [its members have] seen firsthand what's broken about our health care system," Obama said.

"They would not be supporting it if they really believed that it would lead to government bureaucrats making decisions that are best left to doctors."

Watch Obama say health care reform is moving forward

Meanwhile, House Republicans on Thursday continued to signal their opposition to the measure. GOP leaders held a rally on Capitol Hill along with "Tea Party" movement protesters and other activists to warn that the House legislation would translate into a full-blown government takeover of the health care system.

Rep. Michele Bachmann, R-Minnesota, told CNN's "American Morning" on Thursday that Democrats had forgotten the lessons of August's town hall meetings when angry conservatives criticized health care legislation.

"I think what we're going to see is the town hall coming to Washington, D.C., just to remind members of Congress [that] we're the ones we would like you to pay attention to, not lobbyists. And we don't want the government to own our health care," Bachmann said.

Speaking at Thursday's opposition rally, actor John Ratzenberger, who played Cliff on the sitcom "Cheers," slammed the Democratic bill as a form of socialism.

"These are Woodstock Democrats," Ratzenberger said. "We have to remember where their philosophy comes. It doesn't come from America. It comes from overseas. It comes from socialism. And socialism is a philosophy of failure."

House Democrats have rejected an alternative $60 billion Republican plan as inadequate for meeting the goals of expanding health coverage to most of the nation's 46 million uninsured while bringing down costs and ending controversial industry practices such as denying coverage for pre-existing conditions.

Pelosi's bill would extend insurance coverage to 36 million uncovered Americans and guarantee that 96 percent of Americans have coverage, according to the Democratic leadership.

The claim is based on an analysis by the nonpartisan Congressional Budget Office.

Among other things, the bill would subsidize insurance for poorer Americans and create health insurance exchanges to make it easier for small groups and individuals to purchase coverage. It also would cap annual out-of-pocket expenses and prevent insurance companies from denying coverage for pre-existing conditions.

Pelosi's office has said the bill would cut the federal deficit by roughly $30 billion over the next decade. The measure is financed through a combination of a tax surcharge on wealthy Americans and spending constraints in Medicare and Medicaid.

Specifically, individuals with annual incomes more than $500,000 -- as well as families earning more than $1 million -- would face a 5.4 percent income tax surcharge. Growth in Medicare expenditures would be cut by 1.3 percent annually.

The House bill also includes a government-run public option. Under the House plan, health care providers would be allowed to negotiate reimbursement rates with the federal government. Pelosi and other liberal Democrats had argued for a more "robust" public option that would tie reimbursement rates for providers and hospitals to Medicare rates plus a 5 percent increase. Several Democrats representing rural areas, however, killed the proposal after complaining that doctors and hospitals in their districts would be shortchanged under such a formula.

One thorny issue yet to be resolved among House Democrats is the bill's final language on abortion. Rep. Bart Stupak, D-Michigan, has been pushing leaders to add stronger language prohibiting the use of federal money to pay for abortions under the health care overhaul.

Stupak has vowed that if he isn't allowed a vote on the issue, a group of 40 anti-abortion Democrats will work to block the bill from getting to the House floor.

The House bill differs from legislation the Senate is considering in a number of critical ways. Senate Majority Leader Harry Reid, D-Nevada, also favors a public option but would allow individual states to opt out of the plan.

An $829 billion bill recently passed by the Senate Finance Committee does not include a tax surcharge on the wealthy but would impose a new tax on high-end health care policies, which critics have dubbed "Cadillac" plans. A large number of House Democrats are opposed to taxing those policies, arguing that such a move would hurt union members who traded higher salaries for more generous benefits.

Individuals under the $829 billion Finance Committee plan would be required to purchase health insurance coverage or face a fine of up to $750. The House bill imposes a more stringent fine of up to 2.5 percent of an individual's income. Both versions include a hardship exemption for poorer Americans.

The Finance Committee bill would require large companies to contribute to the health care costs of lower income workers if those workers received a government subsidy for insurance. The House legislation would require larger companies to provide employee insurance for everyone or pay a penalty of up to 8 percent of total revenue.

Democratic leaders in both chambers agree on establishing nonprofit health care cooperatives and stripping insurance companies of an anti-trust exemption that has been in place since the end of World War II.

Reid refused earlier this week to predict when the chamber would pass a health care bill, possibly signaling difficulty in generating support from his entire Democratic caucus.

CNN's Dana Bash, Lisa Desjardins and Deirdre Walsh contributed to this report.

@highlight

NEW: President Obama praises American Medical Association, AARP for backing bill

@highlight

GOP leaders join "Tea Party" protesters for an opposition rally on Capitol Hill

@highlight

Speaker Nancy Pelosi says she has 218 votes needed to pass House bill

@highlight

Democrats: Bill would guarantee that 96 percent of Americans have coverage