HONG KONG, China (CNN) -- A 16-year-old Hong Kong boy makes two phone calls for delivery: One for pizza, the other for the drug ketamine. Two teenage girls are found semi-conscious in a car park after overdosing on ketamine. A 13-year-old boy joins a gang and is given free ketamine.

Glass capsules containing ketamine, which has become the drug of choice for Hong Kong's youth.

These are anecdotes told to CNN by police, a family doctor and a former gang member. Ketamine has become the drug of choice among young people, as the number of people under 21 taking drugs has surged 57 percent in the last four years in Hong Kong, said Commissioner for Narcotics, Sally Wong.

"We started off with a very small number of young people taking drugs. We are now more worried about the trend," Wong said. "We don't want a runaway trend; that's why we are stepping up action."

Ketamine, an animal tranquilizer, can put users in a dazed stupor for about two hours, doctors said. Long-term use of ketamine can impair cognitive function and damage internal organs.

An oversupply of the drug in Hong Kong and the fact that it is cheaper than other narcotics makes ketamine popular with young people, said Superintendent Wilson Fok of the Hong Kong Police Narcotics Bureau.

One gram of ketamine sells on the street here for $13 and is enough to be shared with two other people, while cocaine, for example, sells for $103 a gram, Fok said.

The drug is legal for medical use, but it is trafficked into Hong Kong from other parts of Asia, such as India and mainland China, and sold on the streets illegally, Fok said.

Police have recently stepped up their efforts to crack down on drug use at clubs and bars in Hong Kong and Shenzhen, a city in mainland China just across the border. Nearly 120 alleged drug users from Hong Kong, mostly under the age of 30, were arrested at entertainment venues in Shenzhen in July and held for 15 days in sweeps that made headlines for days here.

However, narcotics police said entertainment venues are not the only places they find drug abuse. "Forty percent of young people abuse drugs in public toilets and playgrounds. That's what our recent data from last year shows," Fok said. "They want to find some other places to take drugs."

The problem has gotten so bad that authorities have decided to do something never done here before: random school drug tests.

Beginning in September, some two dozen schools will conduct tests, as part of a trial program. Officials say the drug screening will most likely be in the form of urine tests, though they are still working out the details. Ketamine can be detected in urine for at least three days, doctors said.

Dr. Cheng Chi Man, a family practice doctor, runs a seminar that trains doctors to detect the signs of drug abuse in young patients: drowsiness, skin problems, frequent urination (ketamine can affect bladder function) and frequent sick leave.

"When we were 10 years old, we were still in primary school watching TV and eating candy. But they are now taking drugs."

Alman Chan, principal of Hong Kong's only drug rehab school for youth, the privately-run Christian Zheng Sheng School, said he has watched as drug use has grown.  See photos of the rehab school in remote Hong Kong »

"Just look at our school development. I was here 14 years ago. At that time, I was the only teacher. I had 18 kids. I only had one student who was 15," he said. "But now, I have one third -- about 40 of them -- who are 15 years old or younger. That shows you the number of students getting into drugs is bigger and also getting younger and younger."

There were a few reasons why children were getting involved with drugs, such as troubled homes and difficulties at school, he said. "People are more concerned about material things and they are getting lost," he added.

Hong Kong Police have arrested children as young as age 13 for drug offenses, according to Commissioner for Narcotics, Sally Wong.

Police last week reportedly busted a network that allegedly recruited teenagers to sell illegal drugs-- mainly to students. One of those arrested -- a 14-year-old school dropout -- was found with 28 grams of ketamine, according to the South China Morning Post.

But ketamine abuse is not limited to young people. It is the second-most popular drug among all age groups in Hong Kong, Superintendent Wilson Fok of the Hong Kong Police Narcotics Bureau said.

Many young drug abusers end up in Alman Chan's drug rehab school for youth, which is located in a remote part of Lantau Island west of Hong Kong. CNN visited the campus, which is home to 99 boys and 24 girls. The closest road is a three-hour hike through the woods.

Chan calls the school "the last stop before jail" for drug abusers.

That was the case for Tai Ming Hung's son Keith, a former gang member. She learned he was using ketamine when he ended up in the hospital after taking the drug a few years ago.

"I was in denial. I just didn't believe it was true. When I first heard about it, we all didn't know how to react, because we hadn't heard of those drugs before," she said. "I didn't really understand why we have these harmful drugs in the world. And I was so afraid that it would kill my son."

18-year-old Keith, who said he began using ketamine at the age of 13 when he joined a gang, has recovered and is now living at Chan's school. "I have a feeling that he's really growing up, he keeps improving," his mother said.

The school's curriculum involves regular school subjects and chores. The goal is for each student to finish their court probation and either sit for the university exam or continue on to a vocational school.

Many of the students have become interested in video editing and photography. There is a video lab on campus and the students showed CNN some video projects they have done. Other students run a pizza parlor and tea shop on a neighboring island. The average stay at the school is three years and students are encouraged to plan for life after rehab.

"We have vocational training. We help them get some marketable skills; therefore, they may get a job or continue training afterward," Chan said. "I believe everyone deserves a second chance."

@highlight

Police: Ketamine is the top drug of choice among young people in Hong Kong

@highlight

Drug use among those under 21 has jumped 57 percent in the last four years

@highlight

Police stepping up crackdowns, say parks and public toilets hot spots for drug use

@highlight

Hong Kong has one drug rehab center for youth, located on a remote former pig farm