(CNN) -- Journalists in Sri Lanka have come under a growing number of attacks and intimidation, with some fleeing the country or losing their lives, media analysts and rights groups say.

Chief editor of the privately-owned Rivira newspaper after he was attacked on Friday.

On January 8, a prominent journalist who had been critical of the government was shot and killed by unknown assailants on the outskirts of Colombo. His death came days after masked gunmen besieged a privately owned television station and destroyed its equipment; and in another attack in January, a newspaper editor and his wife were stabbed on their way to work.

While Sri Lankan authorities have denied any government involvement, the cases have prompted international criticism of Sri Lanka over the safety of journalists. There are also questions about press freedoms.

"As the [President] Rajapakse government ramps up the war against the Tamils, there's been growing criticism of the government and at times it's been partisan --partisan journalists -- but basically in the last year and a half we have most likely seen five or six senior journalists either thrown in jail, threatened or gone into exile because of disagreements with the government," said Bob Dietz, Asia program coordinator of the journalism watchdog group Committee to Protect Journalists (CPJ).

Rajapakse has condemned the violence against journalists and promised thorough investigations.

Dietz said attacks against journalists are not new in the nation, whose government has been battling ethnic Tamil rebels-- known as the Liberation Tigers of Tamil Eelam (LTTE)-- since the 1980s. The conflict has claimed more than 65,000 lives.

Sixteen journalists have been killed in Sri Lanka since 1992, and three journalists were imprisoned, including one on terrorism charges, in 2008, according to CPJ. The group said many journalists also have faced threats and intimidation.

As the civil conflict first unfolded, minority Tamil journalists were targeted, but pressure against the media has gradually fallen upon mainstream news organizations, including those from the majority Sinhalese ethnic group, Dietz said in a telephone interview.

"What we're seeing in the last year and a half is a change in tactics from the government of just putting pressure on Tamil journalists to putting the pressure on mainline Sinhalese or Muslim journalists who write for more legitimate papers or news outlets and are critical of the government," he said.

The allegations come as Sri Lanka's government said it was close to defeating the Tamil Tiger rebels, who have been fighting for an independent homeland in the South Asian nation.

Rajapakse has given assurances that no journalist or media institution has reason to fear any threats or attacks by the government. In a statement posted to the Ministry of Defence Web site on January 15, the president said: "The government had no interest whatever in seeking disgrace through any attacks on the media."

"The president said that at a time when the government was at the very height of its popularity due to the success of the offensive against terrorism, it had no interest in losing this public acceptance by even an iota, by attacks on the media as had taken place," the statement said.

Still, many journalists say they feel threatened. The Web site for the Ministry of Defence has named journalists who officials consider to be traitors, Dietz said.

Sanjana Hattotuwa, editor of a citizen journalism Web site groundviews.org and a senior researcher at the Center for Policy Alternatives, said the government "through inaction or through complicity" has allowed for an environment where violence against journalists can grow with impunity.

"People are scared. People are worried," Hattotuwa said. "Nobody wants to be killed, nobody wants to be incarcerated, nobody wants to leave a country which is home."

Police are investigating the three recent attacks on journalists but no arrests have been made, Lucien Rajakarunanayake, Sri Lanka's Director of Policy Research and Information in the Presidential Secretariat, told CNN in a telephone interview.

The U.S. Ambassador to Sri Lanka, Robert Blake, is among those who have expressed concern over the attacks. Blake said, "we have called on the government of Sri Lanka to investigate these attacks expeditiously."

"It's difficult to speculate about what's behind all this, but I think what's important for the government to focus on now is what they can do to address this problem of impunity, whereby no one has been brought to justice for the many high profile killings -- not just of journalists but many other people -- for the many abductions that have occurred and other human rights abuses that have occurred."

Rajakarunanayake told CNN there "is no government policy of impunity." He also noted: "I can categorically tell you that there is no restriction on the media, there is no censorship in our country."

In his final editorial before he was gunned down on January 8, Lasantha Wickrematunga, editor-in-chief of The Sunday Leader, predicted his own death in a posthumously published column and pointed the finger at the government.

"It is well known that I was on two occasions brutally assaulted, while on another my house was sprayed with machine-gun fire. Despite the government's sanctimonious assurances, there was never a serious police inquiry into the perpetrators of these attacks, and the attackers were never apprehended," he wrote in the column titled, "And Then They Came for Me."

Many fear this case will never be solved.

@highlight

Journalist slain, another stabbed and a TV station attacked in last four weeks

@highlight

Government pledges investigations, says no restrictions on media

@highlight

Sixteen journalists killed in Sri Lanka since 1992, media rights group says

@highlight

Attacks come as government says it is close to defeating the Tamil Tiger rebels