(CNN) -- There's a killer on the loose and Los Angeles is on edge -- again.

This jaded city has witnessed every variety of killing, from Charles Manson and his helter-skelter spree to the Night Stalker's deadly nocturnal prowling and the random strikes of the Hillside Strangler, the Freeway Killer and the Grim Sleeper.

This one is different: The suspect is an ex-cop with an ax to grind, and he's allegedly targeting other cops. This one crosses the blue line, the one cops think separates the good guys from the bad.

This one picks at one of L.A.'s barely healed scabs, the scandals of the Los Angeles Police Department.

They began in March 1991, when George Holliday videotaped a gaggle of police officers kicking Rodney King and beating him with batons after a high-speed freeway chase. It ended, or so most people thought, in 2009 when a federal judge lifted a consent decree that threatened severe sanctions if the LAPD did not reform itself.

Related: Mood tense among officers

The subject of television and movie dramas since the 1960s and Jack Webb's "Dragnet" -- "Just the facts, ma'am" -- the LAPD has long been a flash point for controversy. It is the nation's third-largest police force, but has far fewer officers per capita and square mile than the two largest forces, in New York and Chicago. Until about 15 years ago, the department's officers where overwhelmingly white.

A couple of decades of reform seemed to make things better. Officers of color were recruited, and the department worked on community relations. About a year ago, the force nailed one of its own: a female detective who killed her romantic rival in a cold case dating back 26 years.

Related: Manhunt recalls D.C. sniper case

At the time, officials spoke of an enlightened era in which the new LAPD could investigate the old LAPD. Even the loudest critics had mostly fallen silent in recent years.

Enter Christopher Jordan Dorner, a 33-year-old, 270-pound LAPD washout who is now the most hunted man in America. He is the suspect in three killings and has dredged up the LAPD scandals in a 6,000-word rant addressed to "America" and posted on his Facebook page.

"The department has not changed since the Rampart and Rodney King days," he wrote. "It has gotten worse. The consent decree should never have been lifted."

Dorner is angry about being fired by the LAPD. He is articulate and lucid enough to trigger flashbacks to a time not so long ago when patrol officers broke their world into two categories: "blue and everybody else."

King, who died last year, was beaten by LAPD patrol officers on March 3, 1991 while a supervisor stood by. Three officers and a sergeant were tried a year later, and acquitted of the most serious charges. The LAPD watched as parts of the city erupted in rioting that left 53 dead and damaged $1 billion worth of property.

An investigation revealed that racism, brutality and adversarial attitudes were so ingrained that it didn't even occur to officers to hide them. The inquiry documented a culture in which cops openly talked with each other about beating suspects -- "attitude adjustments," they called it -- and labeled a group of African-Americans as "gorillas in the mist," a popular movie title during the Rodney King era.

Six years after the riots, another scandal exposed more corruption and even deeper cover-ups, implicating members of an elite anti-gang unit at the LAPD's Rampart division, home to some of the city's most vicious gangs.

Related: Dorner's grudge dates back to 2007

Rogue cop Rafael Perez was accused in 1998 of stealing eight pounds of cocaine from an evidence locker. He admitted shooting and paralyzing an unarmed teenager and planting a gun so he could claim self defense. The boy was sent to prison but later exonerated. Perez's plea bargain confession led to nearly 100 tainted convictions being overturned.

Three officers were arrested and tried. A higher court tossed out the convictions.

Attorney Harland Braun defends police officers, including the ones accused of criminal misconduct in the King and Rampart scandals. He said he believes there might be a grain of truth to Dorner's allegations of a cover-up. He said he thinks that may have been what set Dorner off.

Civil rights leaders, highly vocal in past scandals, have held back on criticizing the LAPD this time. Instead, they are urging Dorner to surrender peacefully.

Related: Timeline of events

Dorner wrote in his manifesto that he was forced to turn to violence because the culture of racism, brutality, corruption and cover-up continues at the LAPD. He claims he was kicked off the force after he complained about a training officer kicking a mentally ill suspect.

Braun said he had never heard of a case in which the LAPD fired an officer who reported excessive force. "You don't go after the guy," he said. Usually, though, other officers are quick to close ranks and shun a perceived "rat."

He told the story of an officer who testified at the King trial as an expert on the use of force. The man said he believed the officers had, indeed, employed excessive force. His photo was tacked up at the police academy, and it became tradition for any officer who passed by to spit on it, Braun said.

"They've changed enormously, but you're still going to have pockets of this," he added. "You're still going to have individuals who are throwbacks. You're still going to have the culture of cover-up. A group that's fighting together and under siege, they're going to stick together."

Dorner demanded justice and an apology, and vowed that police blood will flow until he gets them. The manifesto names some 40 people he claims have wronged him. He wrote that he does not expect to survive his vengeful rampage.

Last weekend, a couple was found shot to death in Irvine, a suburban Orange County community south of Los Angeles that is home to a college campus. Investigators tied the slayings to Dorner; his manifesto seems to confirm the connection: It says the slain woman's father represented Dorner, unsuccessfully, at a hearing before an LAPD disciplinary committee in 2008.

So far, the bloodshed seems to be taking place outside the city limits. It covers a wide area around Los Angeles, with incidents reported from San Diego in the south to the mountain resort of Big Bear in the east. Three Riverside police officers were shot, one fatally, by a man police say was Dorner.

His beef might be with the LAPD, but no one in law enforcement can feel safe while he is on the run.

Alleged cop-killer's manifesto details threats

Others have threatened to target LAPD cops in the past -- gang members, for the most part. But Dorner is no gang-banger. He's a veteran trained to kill by the military and by his one-time employer, the police.

He threatens payback by violent, unconventional means: "This is my last resort. The LAPD has suppressed the truth and it has now led to deadly consequences," he wrote.

Los Angeles Police Chief Charlie Beck dismissed the allegations in Dorner's manifesto. "You're talking about a homicide suspect who has committed atrocious crimes," he said, adding that he was not inclined to give credence to his "ramblings on the Internet." As for any apology, well, Dorner shouldn't hold his breath, Beck said.

People who have invested years watching the LAPD -- including attorneys, legal analysts and the Los Angeles Times reporters who have covered the department -- say it has indeed changed since the early 1990s. But they also agree that its past is fertile territory for anyone with a grudge against the department.

Times editor-at-large Jim Newton covered the LAPD as it struggled with the fallout from the King beating and the years of study, oversight and reform that followed. He was the paper's lead reporter during the O.J. Simpson murder trial, when the defense put the LAPD on trial and Simpson was acquitted.

Dorner's manifesto "doesn't reflect any larger cultural truth about LAPD," Newton wrote in an e-mail.

Andrew Blankstein, the paper's current LAPD reporter, agreed. "Every organization is going to have rogues," he said. "But what can you believe from somebody who is homicidal? Obviously, anybody with grievances has a long, well-publicized history of the LAPD to pick at."

Laurie Levenson, a professor at Loyola Law School, has watched the LAPD and its high-profile controversies during the era that includes King, Simpson and Rampart. She also believes the LAPD has changed, even if it is not perfect.

"The LAPD has come a long way, but it still has its detractors," she wrote in an e-mail. "Ironically, the person who is most set on destroying it is one of their own. The Rodney King and Rampart scandals brought to light racism and corruption that had existed in the department. It is easy for someone with their own vendetta against the department to tap into these past episodes and make the LAPD a target."

Opinion: In rampages, it's about revenge

But, she added, the tactic is likely to backfire.

"In the end," Levenson said, "he is probably just creating more sympathy and support for the people he loathes."

CNN's Ann O'Neill covered the Rampart police corruption trial in 2000 as a reporter for The Los Angeles Times.

@highlight

Suspect Christopher Dorner's manifesto says he is waging war against "corrupt" LAPD

@highlight

Lawyers, analysts, others say the department has improved since earlier scandals

@highlight

Rodney King beating, Rampart evidence-planting scandals led to court oversight, reforms

@highlight

Dorner trained to be an officer, but LAPD alleged he filed a false report of excessive force