LONDON, England -- In his autobiography, Eric Clapton admits that he enjoys nothing more than sitting in a deck chair on a white sandy beach watching his children playing in the sea.

Private getaway: Eric Clapton enjoys spending time relaxing on his superyacht Va Bene.

It's the perfect antidote to a punishing tour schedule, and with gigs in the U.S., Canada, the UK, Scandinavia and Europe so far this year, getting away from it all is an experience he values.

He found that he was particularly at ease aboard the 157 ft (47.8m) motor yacht Va Bene, which he chartered in 2005 and cruised with friends around the Mediterranean. The sheltered port of Bonifacio at the southern end of Corsica became one of his favorite haunts.

In fact, Clapton enjoyed Va Bene so much that he bought her. It was the first time he'd ever had to borrow money to buy something, but he had fallen for the yacht, despite her 13 years and slightly dated looks. Besides there was always the possibility of updating her to give her a new lease of life.

Va Bene came with an interesting pedigree. She had originally been commissioned by a Greek ship owner in 1992 to a design by Richard Hein (of Oceanco fame) and built by Kees Cornelissen in Holland. She was then purchased by F1 motor racing supremo Bernie Ecclestone before being sold to an American. A steel-hulled displacement yacht with a cruising speed of about 14 knots, Va Bene can accommodate 12 guests in six separate sleeping cabins and has a crew complement of 13.

Having lived with Va Bene for a couple of years, Eric Clapton finally felt the time was right for a refit. Clapton was particularly keen for the work to be carried out in the UK, partly because he wanted to buy British but also because he could keep a close eye on proceedings. Pendennis Shipyard in Falmouth, Cornwall, was an obvious choice. Roger Taylor, the drummer with Queen has his yacht Tiger Lilly refitted regularly in Falmouth and Pete Townsend of the Who is another famous client.

Pendennis Shipyard representative Alastair Heane was first introduced to the yacht during the charter show in Antigua in December 2006. Eric Clapton has a house on the island and Va Bene is based here during the winter season. Heane quickly established a detailed proposal of work. The plan was to get Va Bene to Falmouth after Clapton had finished his 2007 summer holiday so that the work could be carried out during the winter.

The initial time frame was three months but like most complex refits this quickly extended to six as the work list grew. The target was to have Va Bene ready and waiting in Porto Cervo Sardinia on July 1 this year in time for Eric Clapton's month-long family holiday -- a date that was set in stone to fit around his tour schedule.

We caught up with Va Bene during a photo shoot at the end of June 2008 on the very day she was setting sail from Palma, Mallorca, to meet up with the boss in Sardinia. With the final last-minute touches still being applied and the crew busily unpacking everything from the owner's precious guitar to his children's cuddly toys, it was a close run thing but Pendennis had met the deadline in style.

The first thing that strikes you on boarding Va Bene is the calm, informal atmosphere of what is clearly a much-loved family yacht rather than a glitzy monument to success.

Eric Clapton may be one of the world's greatest living rock stars but he is also an unpretentious family man who wants a yacht that he can relax on. The saloon encapsulates this perfectly.

Rather than a single formal space with designer furniture that look so immaculate you hardly dare sit down, Va Bene's saloon is divided into four separate areas with clusters of contrasting chairs, sofas, tables and cabinets. One group of guests can be relaxing round the card table and matching leather chairs, while others stretch out on the big taupe corduroy sofa to watch a movie. That still leaves room for him to sneak off into another corner and perch on one of the special armless low-level chairs to play his guitar.

The adjacent dining room is a little more formal but even here the overriding feeling is of a wonderfully light room centered around what looks like a huge limed-oak table inlaid with Italian marble.

In fact, it is all the handiwork of a talented local artisan who painted the surface of the original table to match the materials found elsewhere on the yacht right down to the fake wooden joints and natural marble flaws. This solution appealed both to Clapton's desire to refresh rather than replace where possible and his appreciation of skilled craftsmanship.

He is a keen collector of modern art himself and every spare wall and surface reflects this passion. From intricate postcard-sized oil paintings of Venice to large, sprawling canvases and some beautiful marble sculptures and ceramic vases, it is a collection that reflects the singer's own ability to transcend the confines of any one genre.

Perhaps that also explains the relatively neutral tones of the décor. There is an Art Deco theme running through the main guest areas, which the refit has refreshed and modernized rather dispensed with. The limed-oak paneling is original but all the garish gold door handles, light fittings and switches have either been replaced or replated in chrome to give it a much more contemporary feel.

The high gloss white painted ceiling panels and moldings have all been meticulously flatted back to leave a softer matt finish while all the ceiling lights, some 400 of them in total, have been replaced with modern recessed spots.

As you'd expect aboard a musician's yacht, the AV system was another major beneficiary of the refit. Every cabin and guest space now has a discreet Arcam iPod dock so that he can plug in his iPhone wherever he is and enjoy instant access to his personal music library. All bar one of the existing Bang & Olufsen CRT televisions have also been swapped for high-definition Panasonic Viera flat screens.

The highlight of the refit is the new owner's suite on the main deck -- a space that Clapton and his wife rarely used before the refit, because it is at the opposite end of the yacht to his children's cabins. (They preferred the smaller but more family-friendly location of the VIP guest suite next to the main run of cabins on the lower deck.) But it's a much more enticing space these days. Reconfigured by interior designers H2 in Putney, London, it now enjoys a much bigger family bathroom complete with walk-in rain shower, dramatic stone basins, a large tub and a natural teak floor.

The key to the success of the refit, which cost in excess of US$4 million, lay in the planning. Pendennis's Tyrone Harvey and a small team started with a technical visit to the yacht in Palma, Mallorca, in the early summer of last year. Within days of arriving in Falmouth Va Bene had undergone sea trials with Duncan Propellers to try and improve an ongoing issue with her performance and economy. It eventually transpired that one of the gearboxes had been incorrectly fitted. She was then moored alongside at Pendennis while her crew started the long job of removing her entire inventory. She also had her teak deck stripped off before she was floated into the 150m long dry dock.

Despite all the changes, Va Bene left Falmouth on time, arriving in Sardinia on July 1. Indeed, it was during this holiday that Eric Clapton took time out to talk to SuperYacht World about his born-again Va Bene (see p74). Now that he has had a chance to enjoy the fruits of his and Pendennis's labor, Va Bene is available for charter through Burgess Yachts in the Mediterranean and Caribbean.

It's not often you get to walk in the shadow of a genuine rock legend but on Va Bene you can also swim, sunbathe and sleep in Eric Clapton's personal holiday home. Chartering just doesn't get any better than that.

Subscribe to SuperYachtWorld

COPYRIGHT ©  2009 IPC MEDIA LTD. ALL RIGHTS RESERVED

@highlight

Eric Clapton owns the 48 meter superyacht Va Bene

@highlight

Bernie Ecclestone had owned the vessel before Clapton bought it

@highlight

Clapton enjoys spending time on the boat to get away from his work