I first came across Ziauddin Yousafzai when I interviewed him in 2007. He was running his own school and had set up a peace council in Pakistan's restive Swat Valley region.

An eloquent English speaker, he was very keen to tell me his story on air.

Our first conversation was in whispers; the Taliban had started to make inroads in the Swat Valley and were marching around the streets he told me. He was whispering as if he thought the Taliban might hear at that moment.

Accolades, applause and a grim milestone

Our cameras could not go into Swat so we conducted our interview on the phone. We did not use his full name or photo to protect his identity -- although Ziauddin insisted we do so. I asked him what an average day was like and he told me, "Young lady, young boys are being slaughtered here before our very eyes like goats." I was shocked by the savage image this simple statement had generated in my mind, yet this man had no fear of speaking to us.

Visionary

I realized very quickly that this man was something different -- a visionary.

Ziauddin and I shared several telephone conversations between 2007 and 2009 during the Taliban's reign of terror in the Swat Valley and the subsequent military operation against them. Children -- particularly girls -- were being stopped from going to school by the hardline Taliban but he had kept his own school open.

I asked Ziauddin about his own children and whether he took them to school too. "Yes of course, my boys are not too bothered but it's my daughter that is giving me the most trouble," he said. "She is insistent she continues going to school."

Pakistan's Malala: Global symbol, but still just a kid

"Did you try and stop her?" I asked. "No," he replied. "It is her right to get an education, but in any case, I'm not sure even if I tried if I could stop her!" He giggled, in a very proud way. Even in this darkest of hours he could find happiness in his pride. Risking his life to talk to the media.

Serene

Years later, when Malala was shot and lay in intensive care guarded by soldiers at a military hospital, I called Ziauddin to ask how she and the family were doing. He recalled our conversations and thanked me for calling. He had a remarkable air of serenity and simply said: "All we need is your prayers. Pray for my daughter and for us." Malala speaks with similar courage, compassion and presence. Her message of peace and her calm philosophical approach to life reminds me of her father.

Malala: "I want to become a prime minister of Pakistan"

It is clearly the courage of his conviction that led Ziauddin to talk to me about his hopes for peace and the battle with Islamist militants for the right to be educated many years ago. He spoke passionately and philosophically about his vision. Here was a man born, raised and working in a remote town in Pakistan, immersed in a culture where women wore burkas and rarely left their homes, never without a chaperone. Yet he had the foresight, drive and principles to campaign for education for all and certainly had a huge hand in raising Malala to be the visionary she is today.

We have not heard from and do not know much about Malala's mother. A traditional Pahstun woman, who wears traditional clothes and is a housewife. But it seems she wants and supports a very different lifestyle and future for her own daughter.

Oppression

In a male-dominated society where the cultural oppression of women is rife, husbands, fathers, brothers -- men like Ziauddin -- are real saviors. They help their wives, sisters, daughters become all they can be; they encourage support and stand by them against all odds. The majority of women here in Pakistan that I meet know their rights, or know they are capable of much more and have huge ambitions. It's the men in Pakistan who need to respect them and support them. The men who are with them and the men in authority.

Why Malala's bravery inspires us

Yes, Pakistan needs more girls like Malala. I have met many who are, who defy the Taliban by going to school every day in the North West and tribal areas. I have met young children with little money for books and pens but who run up mountains in Kashmir and walk miles in the searing desert heat of Sindh to go to school. There any many Malalas in Pakistan. But what Pakistan really needs right now is more men like Ziauddin Yousafzai.

Without men like Ziauddin, there will be no women like Malala.

@highlight

Ziauddin Yousafzai, the father of Malala, has been a huge influence on his daughter

@highlight

He backed her right to education in Pakistan despite the Taliban threat

@highlight

Malala was shot by the Taliban after defying them with her insistence on going to school

@highlight

Pakistan is a male-dominated society where women often lack the opportunities men have