(CNN) -- Changing winter conditions are causing Scotland's wild Soay sheep to get smaller, according to a study that suggests climate change can trump natural selection.

Can't see me now: Climate change could be shrinking Soay sheep in Scotland.

The authors of the study published in "Science" believe that it highlights how wide-ranging the effects of global climate change can be, adding further complexity to the changes we might expect to see in animal populations in future.

"It's only in the last few years that we've realized that evolution can influence species' physical traits as quickly as ecological changes can. This study addresses one of the major goals of population biology, namely to untangle the ways in which evolutionary and environmental changes influence a species' traits," said Andrew Sugden, deputy and international managing editor at Science.

The researchers analyzed body-weight measurements and life-history data for the female members of a population of Soay sheep. The sheep live on the island of Hirta in the St. Kilda archipelago of Scotland and have been studied closely since 1985.

They selected body size because it is a heritable trait, and because the sheep have, on average, been decreasing in size for the last 25 years.

According to the findings lambs are not growing as quickly as they once did as winters have become shorter so do not need to put on as much as weight in the first months of life to survive.

The results suggest that the decrease is primarily an ecological response to environmental variation over the last 25 years. Evolutionary change, the report says, has contributed relatively little.

"Sheep are getting smaller. Well, at least the wild Soay sheep living on a remote Scottish island are. But according to classic evolutionary theory, they should have been getting bigger, because larger sheep tend to be more likely to survive and reproduce than smaller ones, and offspring tend to resemble their parents," said study author Tim Coulson of Imperial College London.

"Our findings have solved a paradox that has tormented biologists for years -- why predictions did not match observation. Biologists have realized that ecological and evolutionary processes are intricately intertwined, and they now have a way of dissecting out the contribution of each. Unfortunately it is too early to tell whether a warming world will lead to pocket-sized sheep," said Coulson.

@highlight

Study of wild sheep in Scotland suggests climate change making them smaller

@highlight

Authors of report suggest that climate change can override natural selection

@highlight

Wild Soay sheep in remote Outer Hebrides closely studied since 1985