ATLANTA, Georgia (CNN) -- Like many young men, Josh Nahum loved a thrill. That's why he took up skydiving. But on Labor Day weekend in 2006, he had an accident while skydiving in Colorado, fracturing his femur and skull.

Josh Nahum, right, died at 27 from a bacterial infection he got while being treated for skydiving injuries.

Josh spent six weeks in the intensive care unit. Slowly, his condition improved, and his doctors predicted that with rehabilitation, he could fully recover in a year or two.

But instead of recovering, Josh developed a bacterial infection. He died two weeks later at the age of 27.

"One nurse, who was trying to be comforting, said, 'These things happen,' " says Victoria Nahum, Josh's stepmother. "That's true, but they happen way more often than they need to happen."

According to the Centers for Disease Control and Prevention, Josh is one of 99,000 people who die each year because of infections acquired in the hospital. As Betsy McCaughey, the former lieutenant governor of New York, put it, "You don't often come across such a big problem that you can prevent."

After being contacted by families like the Nahums, McCaughey started the Committee to Reduce Infection Deaths. After Josh died, the Nahums started the Safe Care Campaign.

These groups, and others, have advice about what you can do to keep yourself safe in the doctor's office and hospital, from the waiting room to the operating room.

1. Bring your own toys

At the pediatrician's office, don't let your child play with the toys or books in the waiting room. "They're covered with bacteria," McCaughey says. Also, don't let your child crawl on the floor; bacteria there could get into cuts on their knees or hands. "This is one place you ought to keep your child sitting still or on your lap," she says.

2. Heat up your car

Yes, we know that sounds strange. But studies show staying warm before and during surgery can help you fight infection. So the Institute for Healthcare Improvement suggests that in cold weather, you heat up the car, wear warm clothes on the way to the hospital, ask the hospital staff to give you plenty of blankets while you wait for surgery, and ask how they plan to keep you warm during surgery.

3. Want to touch me? Wash your hands first.

Many people feel uncomfortable asking this. Nahum suggests putting it like this: "I didn't see you wash your hands. Do you mind doing it in front of me?"

Dr. Vicki Rackner, a patient advocate, also has a few ideas for lightening things up. "In the hospital, you can have the grandkids make a sign that says, 'Please wash your hands and keep Grandma healthy.' "  Watch more on preventing hospital infections »

Another suggestion: Put a dish of wrapped candy near the sink and say 'Could you please wash your hands, and oh, please take some candy with you when we're done.' "

If the doctor or nurse has gloves on, are you safe? "Don't be falsely assured by gloves," McCaughey says. "If they put on gloves without washing their hands first, those gloves are immediately contaminated."

4. Ask where that syringe has been

Doctors offices sometimes reuse syringes -- it's unusual, but it happens. In fact, there have been 14 documented outbreaks of hepatitis since 1999 because of reused syringes. The recent outbreak in Nevada, where 50,000 people will be notified that they might have been infected at a colonoscopy clinic, is one example.

It's not an easy question to ask, but when someone's heading at you with a syringe, ask if this is the first time it's been used.

Dr. Thomas Frieden, commissioner of the New York City Department of Health, suggests phrasing it like this: "I read in the paper that some doctors are reusing syringes. I can't imagine anyone would do that. Do you?"

5. Having surgery? Speak up!

A week or so before surgery, ask your doctor whether you should wash your skin daily with a disinfectant such as chlorhexidine to prepare.

Also, ask whether you should have a nasal or skin swab for MRSA, the superbug that causes many hospital infections. If you've got it, you can be treated with antibiotics.

The day of surgery, if the surgical site needs to be shaved, ask to be clippered, not shaved with a razor, which can create nicks where bacteria thrive.

Also on the day of surgery, if your doctor has ordered IV antibiotics just before surgery, make sure you get them, as they're sometimes forgotten.

One last note: If you or a loved one has a urinary catheter in the hospital, be extra vigilant -- they can become breeding grounds for bacteria. First, ask if one is truly necessary. "If the patient is awake and oriented and alert and can use a bedpan, it may not be needed," says Dr. John Jernigan, a medical epidemiologist at the CDC. If you get one, make sure it comes out ASAP, since the longer it's in, the riskier it becomes.

Ask the same questions about central venous catheters, (also called central lines), another potential host for bacteria. "My brother was in the hospital and needed a central venous catheter for his procedure," Jernigan says. "The day after surgery, I asked the nurse, 'Are you all still using this? Do you still need it?' And she checked and came back and said, 'We don't need it anymore, we'll take it out.' "

Nahum says it all boils down to this: Passivity kills. "People need to start participating instead of just being spectators when it comes to their medical care," she says. "You need to do your due diligence."

CNN Medical News associate producer Jennifer Pifer and associate archive coordinator Sarah Edwards contributed to this report.

@highlight

CDC: 99,000 people die annually from hospital-acquired infections

@highlight

Don't forget the basics: Make people wash their hands before touching you

@highlight

Staying warm before, during surgery can help fight infection; ask for extra blankets

@highlight

Before surgery, if shaving is required, request clippers, not a razor, which can nick