(Health.com) -- The small fraction of women who choose intrauterine devices (IUDs) or under-skin implants as their preferred method of birth control may be on to something: According to a new study, these long-acting forms of contraception are 20 times better at preventing unintended pregnancies than the Pill and other short-term methods.

The study, published this week in the New England Journal of Medicine, compared the effectiveness of various types of birth control in a group of about 7,500 sexually active women in the St. Louis area. Over a period of three years, 9.4% of women using birth control pills, patches, or vaginal rings became pregnant accidentally, compared to just 0.9% of women who opted for IUDs or implants.

The difference in these so-called contraceptive failure rates was especially dramatic among teenagers and young women, a group at high risk for unintended pregnancies.

Women under age 21 who used short-term birth control were nearly twice as likely as their older counterparts to become pregnant, whereas the failure rate for IUDs and implants was less than 1% regardless of age.

"It's not that birth control pills aren't effective, because they are -- when they're used perfectly," says Jeffery Peipert, M.D., a study author and professor of obstetrics and gynecology at Washington University Medical School, in St. Louis. "But humans aren't perfect, and it's normal to forget to take a pill every day or file for prescription refills every month."

Health.com: What's the best birth control for you?

Birth control pills, the method of choice for 28% of U.S. women, are the most commonly used form of reversible contraception, but their effectiveness depends on consistent daily use. Nationally representative surveys have reported failure rates with the Pill similar to those seen in the current study.

Patches and rings require less attentiveness than pills, but they still leave room for human error. The birth control patch (known by its brand name, Ortho Evra) needs to be changed weekly, while the vaginal ring (known as NuvaRing) needs to be changed once a month.

By contrast, IUDs and implants are designed to be foolproof. An IUD, a T-shaped piece of plastic inserted into the uterus by a gynecologist, can remain in place for five to 10 years. Implants such as Implanon and Nexplanon, matchstick-size devices inserted below the skin on the upper arm that release a slow trickle of hormones, can last up to three years.

Despite being far more effective than pills, IUDs and implants -- collectively known as long-acting reversible contraception (LARC) -- have proven to be less popular with women. According to the latest government data, just 5.5% of women on birth control use IUDs and less than 1% use implants.

Health.com: The worst birth control mistakes

"When a woman tells her ob-gyn that she wants to go on birth control, most doctors offer the Pill right off the bat," Peipert says. "That needs to change. If there were a drug for cancer that was 20 times more effective, we would obviously recommend that first -- and that's what we should be doing for contraception, as well."

A third type of birth control, the hormone injections sold under the brand name Depo-Provera, had a low failure rate comparable to those of IUDs and implants, the study found. That rate may not accurately reflect the real-world effectiveness of the shots, however, since the study included only women who received them every three months, as required, Peipert says.

Eve Espey, M.D., a professor of ob-gyn at the University of New Mexico, in Albuquerque, says doctors in her field have been anxiously awaiting the publication of these findings, which emerged from a broader ongoing study, known as the Contraceptive CHOICE Project, that was developed to promote LARC use in and around St. Louis.

"It definitely confirms what most people in family planning have expected, that the LARC methods are by far the most effective," says Espey, who was not involved in the study. "We've been anticipating this CHOICE data for a while, because it's such a great way to look at outcomes of different contraceptive methods in real life."

Health.com: What's healthier: the pill or an IUD?

The CHOICE project, however, differs from real life in key ways that may shed light on why IUDs aren't more widely used. The project, which is funded in part by the Susan Thompson Buffett Foundation, was purposefully designed to remove all financial barriers to the use of IUDs and implants, which have a high upfront cost -- $500 or more -- and aren't always covered by insurance.

All of the study participants, who ranged in age from 14 to 45, received a prescription for their preferred birth control method for two to three years, free of charge. With cost taken out of the equation, more than three-quarters of the participants opted for an IUD or implant -- a proportion roughly 10 times higher than in the general population.

In addition, the participants talked with a doctor about the risks and benefits of each birth control method before making a selection. This counseling session also may have helped to encourage IUD and implant use by dispelling many of the misconceptions that surround long-term birth control, Peipert says.

Health.com: Common birth control side effects

IUDs, for instance, haven't fully shaken the bad reputation they earned in the 1970s, when an early device known as the Dalkon Shield was pulled from the market after it was found to cause infection and injury. Decades later, some gynecologists still aren't trained to insert IUDs, and others believe that many women -- such as those who have never had children -- are not good candidates for the method, Peipert says.

In fact, today's IUDs and implants have been shown to be safe and effective for a wide range of women, including teenagers, Espey says. Women who are interested in trying one should talk to a gynecologist, or more than one, she adds.

"If you're told that you're not a good candidate, you shouldn't necessarily take that at face value," she says. "You might need to take an advocacy role for yourself if you really want the best options available to you."

Copyright Health Magazine 2011

@highlight

Long-acting forms of contraception 20 times more effective than daily pill

@highlight

Failure rates for pill were especially dramatic among teenagers and young women

@highlight

Birth control pills are the method of choice for 28% of U.S. women