(CNN) -- Armed renegade soldiers walked through Mali's damaged presidential palace on Thursday, hours after the troops' leaders claimed to have ousted the West African nation's democratically elected leader.

Shell casings, bullet-ridden cars and shattered windows were evident in video from outside the palace, as well as at least one burned-out room inside.

And there was no sign of or indication of what happened to President Amadou Toumani Toure, with the military group's apparent leader Capt. Amadou Sanogo saying little about him beyond that he was "safe."

Still, within much of Mali on Thursday night, the situation appeared to be relatively calm as most people appeared to have abided by coup leaders' call for a nighttime curfew.

Amadou Konare, a spokesman for the troops behind the apparent coup, asked citizens to return to their jobs Friday, though he gave no timetable as to when Mali's borders would reopen.

Earlier Thursday, Konare was among a group of soldiers wearing fatigues who said on television that they had suspended the constitution and dissolved public institutions because of the government's handling of an insurgency.

"Considering the incapacity of the regime in effectively fighting against terrorism and restoring dignity to the Malian people, using its constitutional rights, the armed forces of Mali, along with other security forces, have decided to take on their responsibilities to put an end to this incompetent regime of President Amadou Toumani Toure," said Konare.

Surgeons told an aid worker -- who asked to remain anonymous -- that 29 people who had been injured as a result of the recent unrest were in Bamako's main hospital, while another nine were in a medical facility in Kati, about 18 kilometers (11 miles) to the northwest.

The worker, who is based in the nation's capital, said he couldn't detail how or how seriously these people were injured. It is unknown if anyone has been killed.

As a precaution in case there's more violence, the Red Cross is on call -- with one team set up ready to retrieve any wounded people and another positioned to help in Bamako's main hospital should there be a staff shortage or other need for extra help -- the aid worker said.

The uncertainty surrounding Toure, Mali's president, further complicated predictions as to what might happen next.

A 1991 military coup led by Toure had ended a dictatorship in the landlocked West African nation. Toure became president in 2002, was re-elected in 2007 and was scheduled to step down in April, when elections were set to pick his successor.

Hours before the latest coup's leaders appeared on television, Toure posted a message on the official government Twitter feed that he was writing from the palace to prove that he was still in charge.

"Deserters and other military personnel who do not want to go to the front are mutinied," he said late Wednesday.

Yet the next day, Lynn Pascoe, the United Nation's Under-Secretary-General for Political Affairs, stated that "clearly a coup d'eta has been carried out" -- a development that drew sharp criticism from other nations like the United States and France, Mali's former colonial ruler.

French Foreign Minister Alain Juppe said in a statement from Paris that his country "condemns in the strongest terms the violent overthrow of constitutional order. It calls for restoration of the constitution and institutions, respect for human rights and fundamental freedoms and especially the person of President Amadou Toumani Toure."

Juppe said France has suspended all cooperation with the Malian government, but will continue supplying food aid and counterterrorism assistance. Nearly 4,500 French citizens are registered with the embassy in Bamako, France's Foreign Minstry said.

In a statement from Henry Bellingham, its minister for Africa, Britain also criticized "any actions which undermine democratic rule and the Malian constitution." This sentiment was echoed by Jean Ping, chairman of the African Union, and U.N. chief Ban Ki-moon, who called for a peaceful resolution.

The United States, furthermore, called for "the immediate restoration of constitutional rule in Mali, including full civilian authority over the armed forces and respect for the country's democratic institutions and traditions." Previously, U.S. officials had described Mali as "one of the strongest democracies on the continent."

"Our focus and our hope and expectation is that this military action can be quickly reversed, and we can get back to the issue of democratic governance in Mali, which we can all support," said U.S. State Department spokeswoman Victoria Nuland, adding there are discussions but no decisions yet on whether Washington will suspend any or all of the roughly $140 million in aid that it sends annually to Mali's government.

A delegation from the Economic Community of West African States was caught up in the chaos in the capital Thursday. Its director said his attempts to talk to both sides had been unsuccessful.

Kenyan Foreign Minister Moses Wetangula said in a Facebook post that he'd been holed up inside a hotel in Mali's capital, where he had been attending a regional peace and security meeting.

"Situation worsening. Curfew imposed. Airport closed. Heavier gunfire can be heard repeatedly," he wrote Thursday.

A later statement, from his nation's foreign ministry, said that Kenya's government was in "direct communication" with Wetangula and others and working with "the United Nations and other friendly countries" to get him and others out of Mali.

Konare, the spokesman for the soldiers who claim they've taken control, said Mali security forces have formed the National Committee for the Restoration of Democracy and State (CNRDRE) to work as a transitional government.

He accused the government of not providing soldiers with the means to battle local Tuareg nomads, who have long called for the creation of an independent state and have risen up against the Malian government a number of times since the 1960s. The indigenous tribe are spread across Mali, Libya, Algeria, Niger and Burkina Faso.

The latest uprising began to take root late last year but gained momentum in January, when the rebels began attacking towns in northern Mali. And it's been further energized by an influx of fighters who had been fighting on behalf of former Libyan ruler Moammar Gadhafi.

Pascoe, from the United Nations, said the return of 1,500 to 2,000 fighters from Libya "clearly added much firepower and drive" to the insurgency.

The growing Tuareg insurgency has raised concerns in Washington, which sees Mali as an important ally against al Qaeda in the Islamic Maghreb, the sub-Saharan offshoot of the terrorist group.

The ongoing violence between these rebels and security forces has compelled tens of thousands of Malians to flee into neighboring countries and created turmoil in Toure's administration.

Conflict in the region has forced the United Nations to appeal for $35.6 million to address the growing humanitarian crisis as throngs of Malians flee into neighboring countries.

The U.N. spokesman predicted that the coup would only worsen the security situation in northern Mali, and further empower the rebels.

"This kind of action could pose great difficulties against the effort in the north and ... can further (the insurgents') actions and what they are trying to do," Pascoe said.

CNN's Elizabeth Joseph, Brian Walker, Stephanie Halasz, Alden Mahler Levine, Faith Karimi, Alanne Orjoux, Lillian Leposo and David McKenzie contributed to this report.

@highlight

NEW: Renegade soldiers walk through the presidential palace, after their leaders claim coup

@highlight

NEW: A U.N. official says it "could pose great difficulties" in Mali's fight against insurgents

@highlight

Rebel troops claim they've taken over the government and suspended the constitution

@highlight

The Red Cross is ready to help and about 38 people are hurt, surgeons tell an aid worker