(CNN) -- Legend has it that when Napoleon's second-in-command asked his boss if he preferred a courageous general or a brilliant general he replied: "What I want is a lucky general."

Napoleon knew what others have noted -- on a rapidly changing battlefield, there are the things you know you know, the things you know you don't know, and the things you don't know you don't know. It's in this last category that fortunes are so often made or broken.

And so it is in our careers. The big events that matter most are often those that we can least predict. You take a course in college that inspires you to change your major. You get a new job after a friend of a friend refers you to a company you'd never heard of before. You propose a process innovation that occurs to you in the shower while thinking about building a tree house for your daughter.

Serendipity is the ability to take a chance occurrence -- a surprising idea, person or event -- and make creative use of it. Yet serendipity can be exceedingly difficult to pull off in the midst of our busy work lives.

Why? Because we are psychologically wired to find the things that match our expectations and discount what doesn't. For most of us, our education and work environments only reinforce this behavior. We are tunnel-visioned. Yet the benefits of having a robust peripheral vision are overwhelming. Besides being responsible for so much of our innovation, peripheral vision is how we discover new opportunities and adapt to a rapidly changing world.

Find the people that matter

In business we are often at the mercy of chance to locate the people that we should be working with. There was no matchmaking service that brought together Lennon and McCartney, Jobs and Wozniak, or Ben and Jerry. Each of these people put themselves in motion -- they escaped their isolated environments or routines long enough to bump into others. Circumstance brought these personalities together, but to achieve success they had to connect, see something in each other and ultimately take the initiative in pursuing the partnership.

How many collaborators, new hires and customer prospects do we miss because we aren't looking for them when they appear in our lives? If the answer is "more than a few," it's a good time to develop your skill of motion.

Get out of the cubicle, and work for a few hours in the lobby, cafe or cafeteria where visitors are coming in and out all day. You might also attend local meetups or conferences, but rather than targeting other people based on where they work or their job title, avoid looking at nametags altogether. The people who seem least likely to be able to help you (e.g. that crazy guy in the tie-dye t-shirt) might just be the most helpful of all.

See also: Is workplace boredom 'the new stress?'

Use surprise events

When 29-year old Howard Schultz was sent to Milan on a business trip his bosses gave him a very focused goal -- buy wholesale beans for the coffee-bean shop he worked for. Yet he found something that deeply surprised him. On every corner of the city there were espresso bars that both served amazing coffee drinks and acted as social meeting places.

He had never seen anything like it before, and he suddenly knew in his bones that this concept could be huge in America. He pitched his bosses on the idea, but they rejected him out of hand. They had no interest in becoming a "restaurant" business. Instead he pursued the idea on his own, ultimately creating the global phenomenon known as Starbucks.

Schultz was able to see beyond the task he'd been assigned and imagined a future where the coffee-bar phenomenon had transformed the entire industry. Like Schultz, we must foster our peripheral vision to rise above our to-do lists and be ready when a surprise event occurs. Dedicating time to non work-related interests helps us distance ourselves from our primary tasks. This distance allows us to make the connections across domains that lead to insights and innovations.

See also: To realize your potential, 'dare to be different'

Solve problems based on unexpected sources

In 1979 Sir James Dyson was obsessed with the idea of building a better vacuum cleaner, but it wasn't until he stumbled on an industrial cyclone at the local sawmill that he came up with an idea for how to solve the technical problem.

Having an overriding purpose affects how we see the world. Dyson was committed to improving on the vacuum design, and this gave him eyes to see the solution embedded in the cyclone machine. Another engineer without this obsession never would have connected the cyclone to a consumer vacuum. By developing a strong perspective we increase the likelihood we'll run into the very things that will be most helpful to us, wherever they emerge from.

Put simply, we can learn to harness serendipity as a rigorous business practice. The most successful entrepreneurs and business generally do, allowing chance to intervene in their routinized work lives, recognizing the most promising opportunities, and taking action on them, even if they challenge their best laid plans. Or, perhaps, precisely because they challenge them.

The opinions expressed in this commentary are solely those of Thor Muller.

@highlight

We can learn to harness serendipity as a rigorous business practice, says Thor Muller

@highlight

Serendipity is the ability to take a chance occurrence and make creative use of it, he says

@highlight

Get out of your work cubicle to meet new people and make new connections

@highlight

Muller says we must rise above our to-do lists and be ready when a surprise event occurs