(CNN) -- Haiti's orphanages have become targets for people desperate for food, water and medical supplies in the aftermath of the devastating magnitude 7.0 earthquake.

On Wednesday night, Maison de Lumiere, an orphanage caring for 50 orphans, came under attack from a group of 20 armed men, aid workers told the Joint Council on International Children's Services.

A neighboring orphanage sheltering about 135 children has been robbed several times over the past few days, they said.

Meanwhile, aid workers said a third orphanage caring for 17 orphans reported that townspeople are trespassing and tapping into the water supply that is reserved for the children.

"It was calm at first, but the situation is getting more desperate," said David Beck, pastor at Child Hope International, the nonprofit that oversees Maison de Lumiere. No shots were fired in the attack on the orphanage, and security guards were able to drive off the marauders, he said. But one orphanage worker was hit in the head with a rock, he said.

"If people think you have food, then they will come after it," Beck said. The orphanage is rationing what food and water it does have, he said.

Haiti is the poorest nation in the Western hemisphere, and experienced high rates of poverty and disease even before the quake. The quake has made the situation far more desperate.

Looting is becoming a big concern for the orphanages as fear and frustration mount and help is slow to arrive, said Tom DiFilipo of the Joint Council on International Children's Services, a U.S.-based advocacy group for children in need of families.

To protect the children, some orphanages are on lock-down, according to volunteers working with the relief agencies.

"When bringing in supplies to an orphanage, you can only bring in a day or two day's worth," said DiFilipo. "If you bring more than that, the locals come in."

This week's raids are included on a growing list of difficulties facing orphanages that is being compiled by the Joint Council on International Children's Services. DiFilipo said he expects the challenges of food, medical aid and security to continue affecting the orphanages for weeks.

For every Haitian orphan brought to safety in the United States and elsewhere, thousands more are left behind to face the primitive conditions resulting from last week's earthquake. There is no accurate count of how many orphanages have experienced looting and other attacks.

Since the quake, the Joint Council on International Children's Services has received dozens of phone calls, text messages and e-mails from orphanages reporting problems ranging from food shortages to security threats.

The agency is in touch with about 50 orphanages in Haiti and the reports are updated daily. The group is also working with members of Congress, the Red Cross and other aid agencies to relay the messages.

Before the quake, Haiti had 380,000 orphans, according to UNICEF. It is still too early to determine how many children were orphaned by the quake.

The people of Haiti have grown desperate for food, water and assistance since the quake decimated the capital last week, toppling buildings, cutting power, contaminating water supplies and ravaging roads.

The conditions for children in Haiti are bleak, aid officials said. Orphans are sleeping outside or in makeshift tents. Facilities are running low on food, water and medical supplies. Some orphanages have already reported deaths.

Ruuska Village, an orphanage in the Bon Repos section of Port-au-Prince, was looted several times during the first few days after the quake, said volunteer Cherie Shropshire.

Security was inadequate after 80 percent of the building was damaged, she said. The locks were broken and people stole food, clothes and supplies, but the orphanage was able to keep its generator protected, Shropshire said.

"Another aftershock that woke us so roughly on Wednesday morning and a wall tumbling down on our heads, children starving, the orphanage being looted as the frustration continues to grow regarding the delay in distributing supplies, children dying from sickness. ...," wrote an American adoption service provider in Haiti in a blog run by the Joint Council on International Children's Services.

Reporting crimes to police is nearly impossible for officials at the damaged orphanages. Many Haitian police officers were injured or killed in the earthquake. Help from private security officers also is hindered by unreliable communication and poor transportation.

Security needs to be made a higher priority, said Daniel Kaniewski, deputy director of George Washington University's Homeland Security Policy Institute. On Tuesday, the United Nations Security Council approved a proposal to send an additional 2,000 soldiers and 1,500 police officers to Haiti.

"Providing security resources is as equally important as providing all of the other kinds of aid in the country," Kaniewski said. "Without security, you won't be able to effectively distribute to the most needed areas in Haiti."

At Maison de Lumiere, where looters raided on Wednesday night, Beck sees both sides of the story.

"On one hand, the people around the orphanage have been incredibly gracious and mutually supportive since the earthquake," he said.

"On the other hand, last night's attack reminds us that there are a few aggressive people whose growing desperation can drive them to attempt to take others' food and water by force."

@highlight

20 men attacked Maison de Lumiere, an orphanage in Port-au-Prince, aid workers say

@highlight

A U.S. advocacy organization is tracking attacks on Haiti's orphanages

@highlight

Getting food, medical supplies and security top challenges faced by orphanages

@highlight

"If people think you have food then they will come after it," one official says