SEOUL, South Korea (CNN) -- The United States said Tuesday it has backed a plan aimed at dismantling North Korea's nuclear facilities by the end of the year, The Associated Press reported.

North Korean leader Kim Jong Il, left, welcomes South Korean President Roh Moo-hyun in Pyongyang.

Six nations reached a tentative agreement in Beijing on Sunday but said the plan needed further consideration by their governments. The plan was to establish the steps to be taken in the denuclearization process for the remainder of the year, AP reported.

"We have conveyed to the Chinese government our approval for the draft statement. All the parties went back to their capitals. We studied it, examined it, gave our approval to the Chinese. I can't speak to the status of all the other countries," State Department Spokesman Sean McCormack said, according to AP.

He declined to comment on specifics of the agreement.

Negotiators have been working to move forward an agreement made in February under which the countries agreed to give North Korea 1 million tons of heavy fuel oil, or the monetary equivalent in other aid and assistance, according to AP.

North Korea in return agreed to shut down its main nuclear reactor, which it did in July, and declare and ultimately dismantle all its nuclear programs, AP reported.

Last year, North Korea tested a nuclear bomb, rattling regional stability and leading to a dramatic turnaround in a previously hard-line U.S. policy.

On the eve of this week's summit, South Korean President Roh Moo-hyun told graduating military cadets that his goal is to secure peace on the Korean peninsula.

Roh acknowledged that ridding the North of nuclear weapons and establishing a peace treaty could not be realized by the two Koreas alone. But he said he would work to establish a concrete agreement on "building military trust and addressing humanitarian matters."

Earlier Tuesday, North Korean leader Kim Jong Il greeted Roh in Pyongyang to begin the second summit between the two countries since the peninsula's division after World War II.

Thousands of cheering North Koreans and a military honor guard bearing rifles with bayonets heralded the leaders' first encounter outside a cultural hall in the North Korean capital, where Roh traveled 3½ hours by road from the South Korean capital, Seoul.

The two leaders shook hands, but the only words exchanged were a mutual "glad to meet you."

Neither made any public comment before Roh got back into his armored limousine to travel to the state guesthouse where he is staying for the summit, which runs through Thursday.  Watch Roh say what he wants to achieve with this summit »

Roh later attended a welcoming dinner hosted by North Korea's second most senior leader, Kim Yong-nam, president of the Presidium of the Supreme People's Assembly. Kim Jong Il did not attend the dinner.

Earlier, Roh symbolically walked across the North's border, pledging to foster peace on the divided peninsula.

Roh became the first leader from either side to cross the border on foot.

"This line is a wall that has divided the nation for a half-century. Our people have suffered from too many hardships and development has been held up due to this wall," Roh said, crossing near the North Korean city of Kaesong.

"This line will be gradually erased and the wall will fall," he said. "I will make efforts to make my walk across the border an occasion to remove the forbidden wall and move toward peace and prosperity."

The three-day meeting in Pyongyang will mark the first extended appearance of the enigmatic, authoritarian Kim before the world since the two Koreas' only other summit in June 2000.

But Tuesday's meeting contrasted with the 2000 summit, when Kim warmly greeted the then South Korean President Kim Dae-jung.

The meeting with the North Korean leader, announced in early August, was initially scheduled for the end of that month but was postponed after massive flooding in Pyongyang.

The Koreas summit comes in the final months of Roh's scandal-ridden term, and some analysts suspect the South Korean leader is hoping the Pyongyang meeting will boost his sagging approval ratings and help position his party in the upcoming elections against the conservative opposition.

A joint statement following the 2000 summit between Kim Jong Il and Kim Dae-jung indicated the next meeting between the Korean leaders would take place in Seoul.

Roh's decision not to push for a meeting outside the North Korean capital was criticized by Bruce Klinger of the Heritage Foundation's Asian Studies Center in a recent article titled, "Seoul's Impetuous Summit Initiative."

"It is indicative of Roh's eagerness that he failed to insist on holding the summit in the Kaesong special economic zone in North Korea to highlight the flagship initiative of Seoul's engagement policy," Klinger wrote.

But one South Korean woman said she believes the summit "is our last chance" to negotiate the freedom of hundreds of Korean prisoners of war and abductees, including her father, a fisherman on a boat believed abducted by the North more than 30 years ago.

Other South Koreans have protested the summit -- including one man who set himself on fire during a demonstration in Seoul -- demanding that Roh push North Korea on its human rights violations during the talks.

Instead, the summit is expected to address military tensions, including settling a sea border dispute on the west coast of the Korean peninsula, and economic issues, such as how South Korean businesses can help the North climb out of extreme poverty.

The 2000 summit, part of Kim Dae-jung's policy of engagement with North Korea, paved the way for his Nobel Peace Prize awarded that same year.

But South Korean investigators later revealed that Kim Dae-jung paid hundreds of millions of dollars to secure the meeting, the first between Stalinist North Korea and capitalist South Korea. E-mail to a friend

CNN's Seoul Bureau Chief Sohn Jie-ae contributed to this report.

Copyright 2007 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: AP says U.S. endorses plan to dismantle North Korea's nuclear plants

@highlight

N. Korean leader Kim Jong Il greets S. Korean President Roh Moo-hyun

@highlight

Meeting between leaders is second such meeting on Korean peninsula

@highlight

Summit is expected to address military tensions, sea border dispute