(CNN) -- The European Union won the Nobel Peace Prize on Friday as it grapples with the worst crisis since its founding -- devastating debt and the threat of disintegration.

The prestigious award was a salute to the struggling 27-nation union for its work in promoting democracy and reconciliation since World War II.

It was a cheer for an entity tackling the continent's economic misery -- particularly in debt-ridden Greece, Spain, and Portugal -- as some member countries might be faced with dropping the euro, the EU currency.

The timing wasn't a coincidence.

"This is, in a way, a message to Europe that we should do everything we can and move forward," said Thorbjen Jagland, the chairman of the Norwegian Nobel Committee and a high European Council official.

"We want to remind all Europeans about what we have achieved on this continent and that we should not let it start disintegrating again and getting nationalism and extremism (to) grow on this continent, because we know what that leads to," Jagland said.

"It's also a clear message to other parts of the world where you have a number of conflicts; this is a good way of solving conflicts, namely getting countries (to) make trade with each other. ..."

The committee had "no ambitions" to save the euro, Jagland said, and "we don't have a position on how to solve the economic crisis."

Nobel prize winner: Literature

But he stressed the importance of finding a solution to the EU debt crisis.

Others echoed support for the EU. The International Crisis Group, an organization committed to preventing conflict, said it is important to remember "historical perspective" during a period "when the EU is under tremendous day-to-day strain."

"The EU has been, above all else, one of the greatest conflict resolution mechanisms ever devised."

European economic troubles have reverberated across the world. The problems have hit American pocketbooks because of the billions of dollars in U.S. trade and investment in Europe.

Within the EU, disparities have persisted between economically strong members, such as Germany, which has fronted European bailout money, and economically weaker countries like Greece suffering from strict austerity measures and unemployment.

The longstanding animosities erupted Tuesday in Greece during a visit by German Chancellor Angela Merkel. As many as 25,000 people angry about EU austerity measures championed by Germany took to the streets to protest.

In its announcement, the Nobel Committee said that the EU "for over six decades contributed to the advancement of peace and reconciliation, democracy and human rights in Europe."

Jagland singled out the peaceful reconciliation between Germany and France -- an amity forged between neighbors who fought each other last century.

"Since 1945, that reconciliation has become a reality," the committee said in a statement. "Today, war between Germany and France is unthinkable."

The committee also focused on the spread of democracy to newer member nations.

"In the 1980s, Greece, Spain and Portugal joined the EU. The introduction of democracy was a condition for their membership," the committee said. All three countries saw dictatorships in the 20th century, even after World War II.

It cited progress in peace made by EU candidate nations, such as the former Yugoslav republics.

"We have to keep in mind that there are not so many years ago since people on this part of Europe killed each other -- awful wars," Jagland said, referring to the warfare in Bosnia, Kosovo and Croatia.

Jagland is the current secretary general of the Council of Europe and a former prime minster of Norway, which is not an EU member and where sentiment against membership runs high. The announcement, made in Oslo, Norway, drew some moans.

Nobel Prize winners: Chemistry

Journalists asked in Norwegian and English how the Nobel honors would affect any future decision by Norway to join the EU.

"This no argument in any direction for what Norway should do, and I don't think it will affect the public opinion in Norway right now," Jagland answered. "It is at an all-time low," he said.

European Commission President Jose Manuel Barosso received news of the award "with great emotion" and called it "a great honor for all 500 million citizens of Europe, for all the member states and all the European institutions."

German Chancellor Angela Merkel said the Nobel Committee "acknowledges the idea of the European conciliation" and said the euro is more than a currency.

"We should not forget this -- in particular during these weeks and months, in which we are working to strengthen the euro."

"Six decades of peace in Europe: For those of us who live in the European Union, that's a long period of time," Merkel added. "It's merely the blink of an eye in the course of history, which is why we must never forget that we must again and again work, strain and strive for this peace, for democracy, for freedom."

Nobel Prize winners: Physics

Italians in Rome rallying Friday against government cuts to public education weighed in. One woman said the prize appears to be a "hope for the future."

Another woman said she was pleased but a bit surprised because the EU could have made stronger commitments to peace. And a man said the European economy is no longer "for the people."

"We are the economy that works in favor of the banks," he said.

This year's winner was picked from 231 different nominations -- 43 for organizations and the rest for individuals, the Nobel Committee said.

Last year's peace prize came as a surprise to many observers, split as it was among three women: Liberian President Ellen Johnson Sirleaf and grassroots activist Leymah Gbowee, and Yemeni media freedom campaigner Tawakkul Karman, a symbol of the Arab Spring.

Johnson Sirleaf is one of many heads of state to have received the prize, including four U.S. presidents: Theodore Roosevelt, Woodrow Wilson, Jimmy Carter and Barack Obama.

The Peace Prize is the fifth Nobel Prize to be awarded this week, preceded by honors in medicine, physics, chemistry and literature.

Other large organizations have won the Nobel Peace Prize, including the United Nations, Doctors Without Borders, U.N. peacekeeping forces, the U.N. atomic energy agency and the International Campaign to Ban Landmines.

Nobel Prize winners: Medicine

CNN's Hada Messia contributed to this report

@highlight

Crisis Group calls EU "one of greatest conflict resolution mechanisms ever devised"

@highlight

Italian protester has a complaint: Europe's economy "works in favor of the banks"

@highlight

The Nobel Committee has "no ambitions" to save the euro, committee chairman says

@highlight

We must work hard for "peace, for democracy, for freedom," German chancellor says