(Financial Times) -- With dark clouds gathering over the Chinese economy, the government has started to talk about the importance of supporting growth and speculation is mounting about what actions it will take.

Some analysts predict that it will dust off its 2008 playbook and announce a large-scale stimulus package. But others say this is unlikely because Beijing is both less perturbed by the current slowdown and more wary of the dangers of another spending spree.

Here is a look at China's policy options, with an assessment of their likelihood.

1. Stick to the original plan

Concerns about fallout from a shaky domestic property market and Europe's debt woes are hardly new in China. These concerns have been around for nearly a year, during which time officials have been very cautious in loosening monetary policy and increasing fiscal spending.

Beijing has cut the portion of deposits that banks must hold in reserve twice since November, injecting more cash into the economy. It also has stepped up efforts to construct 36m units of affordable housing by 2015, a big investment programme. On the currency front, it has let the renminbi fall a touch against the dollar this year to aid struggling exporters.

At the same time, the government has started to implement longer-term tax and financial sector reforms that are part of its strategy for shifting the economy away from a reliance on investment towards consumption.

Until recently, Beijing was content to continue down this gradualist path. The economy has clearly slowed, but at 8.1 per cent annual growth in the first quarter, it has hardly collapsed. Importantly, unlike 2008 when 20m blue-collar workers lost their jobs virtually overnight, there are few signs of labour market distress.

Without a more serious plunge in domestic economic growth or a crisis in Europe, the original plan -- gradual monetary easing, some additional fiscal spending, especially on affordable homes, plus longer-term structural reforms -- still looks compelling.

"For Beijing, the first thing it should do is to seriously deliver what it has scheduled for 2012 instead of rushing to announce any new massive stimulus plans," says Lu Ting, an economist with Bank of America Merrill Lynch.

2. Stimulus-lite

Confidence in the strength of the Chinese economy has wobbled over the past few weeks. April data, from power output to bank lending, were disappointing and indicated that the economic slowdown, far from abating, was worsening. One month does not make a trend, but the government appears to be taking out insurance against the signs of trouble.

Premier Wen Jiabao said last week that the government should "give more priority to maintaining growth", a comment that was seen as the starting gun for bolder fiscal spending plans. There has been a flurry of headlines in recent days in official media about investment projects, from airport expansions to new steel plants, which have been approved by the National Development and Reform Commission (NDRC), a powerful central planning agency.

The government has also unveiled or is set to unveil a number of small measures to encourage consumption, including subsidies for energy efficient appliances and another cash-for-clunkers car initiative.

However, in contrast to 2008, the government has played down expectations about the size of the potential stimulus -- and even denied that there is really any stimulus in the works at all.

The Guangming Daily, a newspaper published by the Communist party, said this week: "Even if the NDRC is busier than usual, this does not mean there is a new economic stimulus plan."

In this scenario there would be no official "stimulus package", and no significant easing of monetary policy or property market restrictions.

Instead the government would rely on economic "fine-tuning", such as accelerated investments and consumer subsidies, in order to provide a clear boost to growth.

"All these signs indicate to us that a new round of fiscal stimulus has started, although its scale remains to be seen, and is not likely to be comparable with the 'shock and awe' stimulus in 2008-09," says Liu Na with CNC Asset Management.

3. Re-run of 2008

The 2008-09 stimulus -- about 10 per cent of GDP at Rmb4tn ($630bn) -- left China with a double mess of soaring debt levels and stubbornly high inflation that the government spent much of last year trying to clean up. This experience has made Beijing extremely hesitant to crank up another big stimulus.

But such reluctance would easily dissipate if the growth downturn becomes much more severe. China International Capital Corp, a top domestic investment bank, warned last week that the economy could slow to 6.4 per cent this year without policy stimulus, well below the 7-8 per cent level that Beijing believes is necessary to create enough jobs for new entrants into the labour force.

So some analysts are beginning to discuss the potential for a replay of the 2008 "big bang" spending programme, albeit with some modifications. This time around, investment might be directed towards power production, clean energy, and water infrastructure rather than transport networks, as was the case in 2008.

Dong Tao, an economist with Credit Suisse, said the headline figure could be as much as Rmb2tn, half as much as three years ago but much bigger than anything that has been officially mentioned this time around.

Beyond fiscal stimulus, the government has other big levers within its grasp. In 2008 it aggressively cut interest rates and also sharply reversed course on its tight property policy. These moves were integral to the Chinese recovery in 2009, but they also fuelled a surge in housing prices.

Similar moves would again be powerful -- if potentially dangerous -- medicine for the Chinese economy. Some economists think it's too early for such a strong prescription.

"We do not currently look for interest rate cuts or explicit central government loosening of real estate policy, but these will come in the third quarter if the economy is not responding," Standard Chartered economists wrote in a note.

© The Financial Times Limited 2012

@highlight

The government has started to talk about the importance of supporting growth

@highlight

Speculation has mounted on what form any new stimulus will take

@highlight

Will Beijing stay the course, have 'stimulus-lite', or a re-run 2008 boost?