Cairo, Egypt (CNN) -- The one thing that Egyptians know for certain is that their next president is not a woman. That is because there are no female candidates contesting the presidential elections.

All of those running for election can be classified into two categories; Islamists or Secularists. But within each camp there are distinctions and gradations.

There are secularist left-wing candidates, secularist autocrats and secularist old guard. Then there are progressive Islamist, moderate Islamist, revolutionary Islamist and right-wing ones. The one thing that they all have in common is the banality of their engagement with women's rights and with questions of gender justice.

Throughout the official 21 days of presidential propaganda, we the public have learned that all the candidates "value" women and believe that women are half of the Egyptian society and therefore should be respected and honored. A near century of Egyptian feminism and our candidates can only offer a cloyingly condescending stance on the rights of the voters who will enable one of them to become a president.

This is the sad truth about Egyptian politics.

It is women who attend rallies, who accept trivial bribes of sugar and rice and who stand in the very long queues to vote. Egypt segregates its polling stations, so the remarkable length of women-only queues is evident for all to see. Yet women are ignored as political agents and as citizens in all presidential programs.

See also: Women and the Arab uprisings

It is true that these programs are very similar and are generally lacking but still, the projections they make of women and their rights are noteworthy.

Female heads of houses feature prominently in these programs. Women living in poverty are being promised cash transfers, medical insurance and access to finance and services. Yet these women need not wait for a new president as they are already entitled to all these benefits!

Our candidates have also promised women access to senior executive positions. Candidates like Amr Mousa, Abu el Fotouh, Ahmed Shafeek and Hamdeen Sabbahi have said "there is no objection to a woman becoming ..." then finishing the sentence by referring to positions such as vice president or some other senior function. This is also sadly a meaningless gesture since there are no legal or constitutional barriers to a woman assuming high office in any branch of the executive, legislature or now the judiciary.

Our candidates are promising to solve the problems that already have solutions, but what about the ones that don't?

What about to the proliferation of gender discrimination? What about their position on repeated attempts to repeal family-status laws that gave women the right to unilateral divorce, which enabled women to keep custody and guardianship of their children until the age of 15, instead of being deprived of their seven-year-old sons or nine-year-old daughters if they are divorced from the father?

Egypt has one of the lowest rates of female labor-force participation (20%) in the world and perhaps the lowest rate of female representation in parliament (2%). Women are present, vocal, active, but excluded and undermined. The new president should have something to say about this paradox. But perhaps candidates would rather remain silent on gender issues so as to please their male supporters.

See also: Revolution signals new dawn for Egypt's women

The current constitutions of Egypt guarantee equality and rights to all citizens. But the right to rights is a far cry from the attainment of these rights.

Women in Egypt need a vocal champion who will not interfere with their choice of clothes, career or spouse, but who will guarantee that they have access to jobs, to legal protection, and to freedom and equality within marriage and outside it.

Women are given sugar, rice and other staples so that they choose the generous candidate. They are being cajoled and gently coerced to give their voices to the candidate chosen by their family or kin. They are not, however, respected as political agents nor "courted" as supporters with interests and rights. What they need is a commitment, not a handout.

A commitment to justice can come from a religious or a secular candidate. Women need not fear a president who "uses" religion to please the masses and get their votes -- nor be disappointed when the veneer of secularism cracks to reveal an ambivalent chauvinist. Whatever "style" choices these candidates make, they matter less than their substantive policies and positions.

Women in Egypt should not hold their breath or wait for a savior but rather continue to organize and struggle for social, political and economic rights and freedoms.

The opinions expressed in this commentary are solely those of Hania Sholkamy.

@highlight

Egypt's women ignored by presidential candidates, says Hania Sholkamy

@highlight

She says candidates haven't addressed gender discrimination

@highlight

Women in Egypt should continue to organize and struggle for social and political rights