(CNN) -- The hottest field in science this past decade has been neuroscience. That explosion in research, and our understanding of the human brain, was largely fueled by a new technology called functional magnetic resonance imaging (fMRI) that became widely available in the 1990s. Well look out! Another technology-based neuroscience revolution is in the making, this one perhaps even bigger. The term to watch for in 2013 is "optogenetics." It's not a sexy term, but it is a very sexy technology.

The heritage of optogenetics goes way back to 1979, when Nobel Laureate Francis Crick, co-discoverer of the structure of DNA with James Watson and Rosalind Franklin, suggested that neuroscientists should seek to learn how to take control of specific cells in the brain. Well, that certainly would seem to be an advance with great potential. Imagine being able to turn the neurons in an animal's brain on and off from the outside. Sounds like you'd be turning the creature into a robot, sounds like science fiction. Right?

Well, flash forward thirty-some years, and guess what, optogenetics is a reality! Here's how it works... roughly. An obvious approach would be to stick a tiny electrode into an animal's brain and stimulate the cells using electricity.

Today we have tiny microelectrodes, but they are still too crude for the job. Crick speculated that light could be the tool to use. That turned out to be true: Optogenetics involves inserting fiber-optics tools into an animal's brain, in order to control the target neurons using pulses of light as a trigger.

Learning to shine light on a neuron is not the whole answer, though. In order for the method to work, the neurons have to be re-engineered so that they react to the light. That was made possible by the amazing discovery of a kind of protein that can be used to turn neurons on and off in response to light.

The exotic light-sensitive protein is not present in normal neurons, so scientists designed a way to insert it. That is accomplished through a type of gene engineering called "transfection" that employs "vectors" such as viruses to infect the target neuron, and, once there, to insert genetic material that will cause the neuron to manufacture the light-sensitive protein.

Put it all together, and you have that sci-fi-sounding technology: genetically-engineered neurons that you can turn on and off at will, inside the brain of a living and freely-moving animal.

It is the combined use of optics and genetics that give optogenetics its name, but it's not the "how" that makes optogenetics exciting, it is the "what." Scientists didn't really develop it to "take over" a creature's brain. They developed it, like fMRI, to learn about the brain, and how the brain works, in this case by studying the effect of stimulating specific types of neurons.

The technology is already beginning to pay off, and despite its recent invention, the word on the street is that a Nobel Prize isn't far off. In one application of optogenetics, scientists investigated how neurons that make dopamine, a neurotransmitter in the brain, may give rise to feelings of reward and pleasure. That work may help scientists understand the pleasure-related pathologies involved in clinical depression.

In another application, scientists selectively stimulated brain cells in animal models of Parkinson's disease, a disease that involves the disruption of information-processing in the brain. That research gave new insight into the circuitry involved in the disease, and the way that the therapies we currently prescribe for it operate. It has also suggested new directions for therapeutic intervention.

Schizophrenia is another disorder that involves information processing issues in the brain. The illusion of hearing voices, for example, may arise from the failure of an internal mechanism for notifying a person when his or her thoughts are "self-generated." Optogenetics has been employed to better understand a kind of brain activity called "gamma oscillations" that appear abnormal in schizophrenia -- and also in autism.

Today, we are a long way from the era when a single person working with an assistant or two can make a revolutionary technological breakthrough. It took, instead, decades of work in many fields, which came together, only very recently, to bring Crick's vision to fruition. But now that it's here, optogenetics is destined to change the way we treat mental illness, and eventually, even, the way we understand ourselves as human beings.

The opinions expressed in this commentary are solely those of Leonard Mlodinow.

@highlight

Leonard Mlodinow: In 2013, "optogenetics" is the technology to watch out for

@highlight

Mlodinow: Imagine being able to turn neurons in a brain on and off from the outside

@highlight

He says optogenetics can be used to gain insights on diseases, mental illnesses

@highlight

Mlodinow: It will change the way we understand ourselves as human beings