"I don't know if organized criminals have the capability to do something to the Pope. But they are certainly thinking about it."

These words, uttered in a recent interview by an Italian anti-Mafia prosecutor, don't quite justify the alarming worldwide headlines they provoked, but at the same time it would be rash to dismiss them out of hand.

The new Pope represents a serious threat to some established criminal interests at a critical moment in the long history of the Mafias' relationship with Catholicism -- a past marked by both intimacy and violence.

Read more: Prosecutor says Pope faces mafia threat

Italy's Mafia problem is as old as the Italian state. The three major Mafias -- the Camorra, the 'Ndrangheta, and Cosa Nostra -- originated in the political violence that led up to Italian unification in 1860. But only in 1993 did a Pope explicitly denounce the Mafia. Speaking in Sicily, John Paul II warned mobsters that God's judgement was at hand. Cosa Nostra's own verdict on the Pope's words came two months later, when it planted bombs that seriously damaged two ancient churches in Rome.

Before that epoch-making rupture, mafiosi and priests had rubbed along pretty well. The reasons were political. The Church loathed the new Italian state because its unification had robbed the Pontiff of his earthly kingdom, leaving him only with the Vatican City. So the Church looked elsewhere for pious sources of authority. And Mafia bosses have always been good at dressing up as devout paladins of order.

The local saint's day, when a statue is carried through the streets amid prayers and singing, is the focal point of the calendar in many Italian towns and villages. All too often, the local capo would place himself at the head of the parade. The 'Ndrangheta even used a religious festival as cover for its annual general meeting. Since the 1890s, the bosses from across Calabria have gathered in early September at the Festival of the Madonna of Polsi.

During the Cold War, the Church stood firmly in the anti-communist camp. Mafia bosses had every interest in posing as bulwarks against the red menace because it helped them cosy up to the Christian Democrats -- the Catholic political party that held power until 1994. In 1964, the Cardinal Archbishop of Palermo denounced any talk of the Mafia as a Communist plot to besmirch Sicily. In 1982, John Paul II visited Palermo in the middle of an underworld war that saw hundreds killed, and he did not once use the M-word.

Read more: Popular Pope but same old church?

So the Church was, at best, culpably silent about Italy's permanent Mafia emergency. Over that time, mafiosi learned to speak religious language and twist it to their own ends. The evidence is overwhelming: most Italian gangsters are believers.

During the making of a recent documentary for Italian television, I visited many of the fortified bunkers that 'Ndrangheta bosses have built in case they need to go to ground. Not one was without its crucifixes, its statuettes of saints, its paintings of the Virgin Mary.

I accompanied the carabinieri (military police) on a raid on a boss's villa that had been modelled on the house from the final scene of the movie Scarface. Not only was there a large effigy of the Madonna of Polsi outside the front door, but the interior was decorated with various religious trinkets that competed for space with samurai swords and replica machine guns.

Religion offers the Mafias a way to bind their organizations together, and gives them the feeling that they are extorting and killing in the name of a cause more noble than their own greed. The piety of the majority of Mafia affiliates is the ultimate proof of the truism that religion can be used to justify any cause.

So what changed? Why did John Paul II make his famous denunciation of the Mafia in 1993? There are two fundamental reasons. First, the end of the Cold War. And second, in 1992, the clamorous bombing assassinations of Giovanni Falcone and Paolo Borsellino, Italy's two leading antiMafia prosecutors.

Since then, the Vatican has entrenched its stance against the mob. An important symbolic gesture came earlier this year, when Father Pino Puglisi, a Palermo priest murdered by Cosa Nostra in 1993, was beatified.

Read more: Pope's embrace of disfigured man goes viral

Much remains to be done before the Catholic Church in its entirety can be said to have distanced itself from the Mafia. Priests are not always keen to dance to the new tune issuing from St Peter's. Some still preside over the lavish weddings that weld underworld dynasties together. Religious festivals are still subject to Mafia infiltration.

Pope Francis is determined that there will be no turning back. He used the beatification of Father Pino Puglisi as his cue to repeat John Paul II's denunciation of the Mafia from twenty years back. But the new Pope is also taking the battle against crime beyond the realm of words and symbols. The decisive terrain on which that battle will be fought is finance.

The Church is rich. But its finances are also bafflingly complex and utterly lacking in transparency. At the centre of its archipelago of financial institutions sits the Institute for the Works of Religion (or IOR) -- the Vatican Bank. It handles the money of many religious orders. But it also acts like a little piece of the Caymen Islands on the western side of the Tiber River, which is what makes it attractive to people who want to keep their wealth away from the prying eyes of the law.

The IOR has been tainted with scandal before. In 1982 it was implicated in the fraudulent bankruptcy of the Banco Ambrosiano, whose president, Roberto "God's banker" Calvi, was found hanging under Blackfriars Bridge in London. Although his murder, or suicide, is still unsolved, it seems highly likely that he was laundering Cosa Nostra's heroin profits.

Most observers think that the Church's efforts to reform its finances in the wake of the Calvi scandal were desultory. Little changed. But now Pope Francis has hired external expertise to bring the IOR into line with international standards of transparency and probity. Just a few days ago he was particularly frank in condemning Italians who worship "the goddess bribe", and who give to charity while dodging tax.

Nobody knows how far the rot extends. Many suspect that the Mafias and sundry other shady cabals have for years been concealing money under the noses of bishops and cardinals. If Francis is really determined to carry through his clean-up, then likely as not there are plenty of people who would wish him harm.

So would the Mafia really murder the Pope? It is very unlikely. The Mafias rarely kill without first carrying out a cost-benefit analysis. Even a rudimentary projection of the likely consequences of a hit on the head of the Catholic Church would show it to be a catastrophic own goal. A much more probable scenario is that the Church will carry on reforming its finances, but at its habitual leaden-footed pace. Meanwhile, the dirty money will be spirited away.

@highlight

Italian anti-mob prosecutor says Pope faces threat from the mafia

@highlight

John Dickie says Francis represents serious threat to established criminal interests

@highlight

Mafias originated in 1860 but Pope didn't explicitly denounce the mafia until 1993

@highlight

Dickie says killing the Pope would be a "catastrophic own goal" for the mafias