(CNN) -- They call it "The List."

On it: the names, ages and addresses of 21 people accused by police of buying sex from a 29-year-old fitness instructor. And it's the talk of Kennebunk, the historic, picture-perfect Maine town that had been -- until recently, at least -- best known for its bygone shipbuilding industry and a money-making tourist trade.

Police say the instructor, Alexis Wright, used her Zumba fitness studio and the office of her business partner, Mark Strong, to run a prostitution ring. They say she videotaped intimate encounters with some of the dozens of customers she allegedly entertained.

On Monday, police released a partial list of those accused of hiring Wright after a judge rejected a request to shield their names from public view. The attorney for two men named on the list argued that identifying them would destroy their lives, families and careers.

Police are releasing the names and addresses in batches, and more names are expected soon. Strong's lawyer, Dan Lilley, says the list of Wright's alleged johns runs 150 names long. Among them, according to Lilley: lawyers, accountants and a local TV personality.

While much of the world is getting its first salacious tastes of the whole affair, Kennebunk residents have been dealing with it since at least July, when police arrested Strong and made the case public for the first time.

The tawdry details have riveted residents of the small community of 10,000, a tree-shaded, picket-fenced tourist destination of stately sea captain's homes and 200-year-old inns just a short drive from the Bush family oceanside compound in nearby Kennebunkport.

Everyone wants to know who's on that list.

"You can't go anywhere without people bringing it up," said Kristen Schulze Muszynski, managing editor of the 6,000-circulation Journal-Tribune.

And it's starting to wear on at least some of residents.

"I'm tired of it, honestly," resident Tina Palanka told CNN affiliate WGME. "I'm really tired of it. There's got to be more to Kennebunk than this. This is not a good legacy."

It's certainly not typical for a place where the most recent crime roundup issued by police leads off with charges against a 51-year-old man for letting his dog roam free.

"Boy, it really hit us hard," resident Paul Bergeron told WGME.

The sex allegedly occurred at a store-front Zumba exercise studio, run by Wright. Zumba is, according to the brand's official website, "an exhilarating, effective, easy-to-follow, Latin-inspired, calorie-burning dance fitness-party that's moving millions of people toward joy and health."

According to Kennebunk police, someone tipped off authorities more than a year ago that something more than Latin-inspired dance was going on at the studio, located on a leafy stretch of York Street, next door to one pizza parlor and across the street from another.

Maine's State Police and the state's Drug Enforcement Administration soon started looking into the case. And in February, five months after the investigation began, police raided Wright's fitness studio and Strong's office.

What police found hasn't been officially released -- the search warrant records have been sealed.

But the Press Herald newspaper of Portland reported that the findings included videotapes of Wright having sex with numerous men, a ledger containing prices for various sex acts and detailed customer records.

A grand jury indicted Wright on 106 counts related to the alleged prostitution business, including invasion of privacy charges for allegedly filming some of her sessions, according to court documents. The grand jury indicted Strong, who is also a private investigator, on 59 counts.

Both have pleaded not guilty.

Neither Wright -- whose studio is now closed, according to its website -- nor her attorney, Sarah Churchill, returned calls from CNN. The York County district attorney's office declined to comment Tuesday.

Police are also issuing summonses for the men on Wright's list, accusing them of engaging in prostitution, a misdemeanor charge.

Two men on the list argued the names shouldn't be made public because doing so would cause "irreparable harm" to their reputations, their families and their businesses, according to court documents. They deserved to be shielded under state victims' rights laws and the state constitution, their attorney argued.

On Monday, Superior Court Justice Thomas D. Warren disagreed, ruling that the names of people accused of crimes have to be available to the public.

"The principle that court proceedings are public is essential to public confidence. If persons charged with crimes could withhold their identities, the public would not be able to monitor proceedings to observe whether justice has been done and to observe whether certain defendants may have received favored treatment," Warren wrote in his decision.

Warren ruled that some of them men, those who had been filmed during sex acts, could also be victims of a crime -- invasion of privacy -- and deserved to have their addresses shielded from the public, but Tuesday he revised his decision after a "conference call with counsel for the interested parties in the civil action," according to a Kennebunk police news release.

One man told CNN affiliate WCSH TV that his name appears on the original list. But he said it's not him.

"When I first saw my name on the computer I laughed," said the man, who CNN has chosen not to name. "And then as I got up I'm thinking, 'All my years in law enforcement, all my years, activities with children, coaching baseball, the young men that I know who are now dads today and responsible citizens, this is very misleading and I don't think it's fair.' And then I became upset, to say the least I was very upset."

The release also has upset some of Muszynski's readers. The Journal-Tribune editor says she's getting letters wondering why the names of the men are coming out before trial.

She said she isn't getting any letters from readers upset that Wright's name has been plastered in media accounts of the case, bringing up what some say is a long-held double standard in prostitution cases -- the accused prostitute gets all the attention, while her customers slip away out of public view.

As it happens, that tide appears to be turning, said Michael Shively, a Cambridge, Massachusetts, criminal justice researcher with Abt Associates who has been tracking anti-prostitution programs since 2005.

Nationwide, Shively said, 525 cities and counties have at least once tried some form of what's known as "shaming" -- publicizing the names of men who buy sex or focusing on them instead of the sellers.

No one has formally studied the effectiveness of such efforts, he said.

"But evidence that is available points in the direction of it being a pretty effective thing to do," he said. "But it's not definitive."

Read Shively's national prostitution study for the U.S. Justice Department (PDF)

And while Kennebunk doesn't appear to be intentionally shaming Wright's alleged customers -- the city releases a weekly list of people accused of crimes -- all the attention is putting a spotlight on the men, nevertheless.

"Had the city hired a public relations firm, they couldn't have written a better script for generating as much attention as possible," Shively said, referring to the incremental release of the names of those charged as prostitution customers.

CNN's Adam Reiss and Deborah Feyerick contributed to this report.

@highlight

Police add ages and addresses to list of 21 alleged johns

@highlight

"You can't go anywhere" without hearing about "The List," says local editor

@highlight

Court denies request to shield clients' identities from the public

@highlight

Authorities: Clients paid fitness instructor for sex at her studio in Kennebunk, Maine