(CNN) -- Iran flaunted a new generation of centrifuges and mastery of the nuclear fuel cycle Wednesday as President Mahmoud Ahmadinejad, clad in a white lab coat, was on hand to load domestically made fuel rods into the core of a Tehran reactor.

Also announced was an intent to start production of yellowcake, a chemically treated form of uranium ore used for making enriched uranium.

United Nations sanctions ban Iran from importing yellowcake. Domestic production would further Iran's nuclear self-sufficiency.

In a speech outlining the latest developments, Ahmadinejad said Iran was willing to share its nuclear knowledge with other nations that subscribe to the watchdog International Atomic Energy Agency (IAEA).

The U.S. State Department, however, dismissed Iran's announcements as bluster for a domestic audience.

"We frankly don't see a lot new here. This is not big news," said spokeswoman Victoria Nuland. "In fact, it seems to have been hyped. The Iranians for many months have been putting out calendars of accomplishments and based on their own calendars they are many, many months behind.

State-run Press TV broadcast live images of the Tehran event, hailed by the Iranians as a major scientific advancement for the Islamic republic.

The first Iranian nuclear fuel rods, produced by Iranian scientists at the Natanz facility in central Iran, are to be used at the Tehran Nuclear Research Center, which Iran says is used primarily for medical purposes.

The Tehran facility creates radio isotopes used for cancer treatment, Press TV reported, adding that 850,000 cancer patients were in dire need.

Ahmadinejad had announced in a speech marking the 33rd anniversary of the Iranian revolution last week that Iran would be unveiling something big.

Wednesday, he lashed out once again at Western powers who, he said, attempt to monopolize nuclear technology and prevent other nations from acquiring a key energy source.

Ahmadinejad, surrounded by photos of assassinated Iranian nuclear scientists, said Iran has shown up the West.

Tehran's latest activities have spiked tensions with Western powers, which believe Iran's atomic ambitions are focused on building a bomb.

"I am not so worried about the fuel issue but I am worried about the advanced centrifuges," said Arnie Gundersen, chief energy adviser with the nuclear consulting group Fairewindes Associates.

"If they are better, (Iran) can make enriched uranium faster," he said.

Nuclear power plants use uranium that is enriched to 5%, Gundersen said. Making a nuclear bomb requires uranium to be enriched 20% or more, he said.

That means the centrifuge must spin at 50,000 revolutions per minute for a longer amount of time. A more sophisticated centrifuge would make the process easier, Gundersen said.

"To be able to make any centrifuge, let alone a high-speed centrifuge, is technologically a very substantial step," he said.

A November IAEA report found "credible" information that Tehran has carried out work toward nuclear weapons -- including tests of possible bomb components.

Subsequent punitive measures against Iran have disrupted its economy. In response to the latest European Union sanctions on the energy and banking sectors, Iran is cutting oil exports to six European countries: the Netherlands, Spain, Italy, France, Greece and Portugal, Press TV reported Wednesday.

Despite Iran's drift away from the international community, Tehran's leaders have refused to bow down, insisting its nuclear program is intended for civilian energy purposes.

In January 2008, the semi-official Fars news agency reported that Iran was able to produce everything it needs for the nuclear fuel cycle, making its nuclear program self-sufficient. But it was not clear that Tehran actually had the technology to turn enriched uranium into fuel rods.

Then, last month, Iran said it had succeeded in building and testing a nuclear fuel rod, or a stack of low-enriched uranium pellets bundled together at the core of a nuclear reactor.

The IAEA's governing council has adopted a resolution expressing "deep and increasing concern about the unresolved issues regarding the Iranian nuclear program."

Iran called the November IAEA report a fabrication aimed at bolstering U.S. accusations that Iran is working toward making a bomb.

"We will never ever suspend our enrichment," Ali Asghar Soltanieh, Iran's permanent envoy to the IAEA, said in November.

@highlight

NEW: The State Department dismisses Iran's announcements as bluster

@highlight

Iran says it has developed advanced centrifuges and will start yellowcake production

@highlight

Ahmadinejad says Iran is willing to share its knowledge with other nations

@highlight

The developments are hailed as major achievements