Key Largo, Florida (CNN) -- It was more than 40 years ago, but Ken Nedimyer still remembers the first time he went diving in the Florida Keys.

"It was just the most magical place I'd ever been to," said Nedimyer, 56. "The coral reefs were so pretty. So many fish and so many neat things to see."

Nedimyer became a commercial fisherman and tropical fish collector, working in the ocean nearly every day of the year. But by the mid-1980s, he noticed a troubling trend.

Two of the region's most important corals, staghorn and elkhorn, were in drastic decline. The corals -- tiny, stationary marine animals that make up the reefs -- were dying because of many reasons, including climate change, pollution and overfishing, experts said.

Today, they're on the endangered species list.

"The coral reefs of the Florida Keys are the most threatened and the heaviest-used coral reefs in the world," said Billy Causey, southeast regional director of the National Marine Sanctuaries, an entity of the National Oceanic and Atmospheric Administration.

Reefs are often referred to as the rainforests of the sea. They attract more marine life than anywhere else in the ocean because of the natural shelter they provide. But they're declining worldwide, not just in Florida, and some scientists fear that they could all be gone by 2050.

"Coral reefs provide protection for our coastal areas, habitat for fish and recreational opportunities for millions and millions of people," Nedimyer said. "It's very important to protect that whole ecosystem."

Reefs also have great economic value. Many people around the world depend on fisheries and the ocean for their livelihood. In the Florida Keys alone, more than 50 percent of the local economy is connected to a healthy marine environment.

"If coral reefs died completely, entire economies would be disrupted," Nedimyer said.

As Nedimyer saw reefs die over the years, he became very concerned.

"It became a consuming passion (for me) to try to find ways to protect and restore coral reefs," he said.

That passion led to Nedimyer starting the Coral Restoration Foundation, which has grown more than 25,000 staghorn and elkhorn corals in underwater nurseries. He and his staff of volunteers work three days a week maintaining the nurseries just off Key Largo. The nurseries cover more than an acre of the ocean floor.

"Ken's coral nursery is the largest in the wider Caribbean," Causey said. "It's probably 10 times larger than any others that I know of."

Do you know a hero? Nominations are open for 2012 CNN Heroes

Nedimyer's methods for growing corals have evolved over the years, but they're all simple, easily duplicated and can be taught to anyone who can dive, he said.

After the corals spend about a year growing in the nursery, they are transplanted to a reef in the wild. The goal is to get them to reproduce on their own and repopulate an area where they no longer exist.

"We've been able to recreate one of the biggest thickets in the Florida Keys of staghorn coral, and that's something we can duplicate throughout the Keys and throughout the Caribbean," Nedimyer said.

Through education and awareness, Nedimyer has built a community committed to bringing coral reefs back to the Keys. His organization often collaborates with other groups, including the NOAA and the Nature Conservancy, a nonprofit conservation group. Nedimyer also spends a lot of time showing high school students his methods and working with them at his nurseries.

"This isn't just about me," Nedimyer emphasized. "It's about engaging a lot of people and training people, and I think it has a lot of hope."

The impact is already noticeable in areas where corals have been transplanted. Fish and other marine life are starting to come back, and Nedimyer is hopeful that in time, the Keys' ecosystem will recover.

"Most people think coral takes forever to grow, but some of these corals grow really fast," he said. "They grow fast enough that we could make a big difference in a lifetime or less."

Nedimyer's most ambitious project is just ahead. Within the next five years, the Coral Restoration Foundation plans to grow and transplant 50,000 corals in the Keys, which he says is the largest effort of its kind in Florida and the Caribbean.

"Before, I felt helpless watching corals die," Nedimyer said. "Now I think there's a way for everybody to get involved. There's hope."

Want to get involved? Check out the Coral Restoration Foundation website at www.coralrestoration.org and see how to help.

@highlight

Ken Nedimyer is helping to restore dying coral reefs in the Florida Keys

@highlight

He and his group are growing coral in nurseries before transplanting them to the wild

@highlight

Nedimyer: Coral reefs are critical to marine life, many economies

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes