(CNN) -- With President Obama's nomination Tuesday, a federal appellate judge could become the first Hispanic U.S. Supreme Court justice and the third woman to serve on the high court.

Former Attorney General Alberto Gonzales says some have concerns about Sonia Sotomayor's philosophy.

Sonia Sotomayor, who is on the 2nd U.S. Circuit Court of Appeals, was named a U.S. District Court judge by President George H.W. Bush in 1992, and was elevated to her current seat by President Bill Clinton.

Sotomayor, who is of Puerto Rican descent, rose from humble beginnings at a housing project in the South Bronx and went on to attend Princeton University and Yale Law School.

CNN's Wolf Blitzer spoke with former U.S. Attorney General Alberto Gonzales about what it means to have a Hispanic judge nominated, what problems conservatives may have with her, and whether he believes she's the right person for the job.

Here is an edited version of that interview:

Blitzer: Let's get to a former member of the Bush administration who has a unique perspective on Sotomayor's nomination to the United States Supreme Court. That would be the former attorney general of the United States, Alberto Gonzales. He once was seen as a possible contender himself to be the first Latino on the high court.

Attorney general, thanks very much for coming in.

Gonzales: It's good to see you, Wolf.

Blitzer: How close were you, in your mind? Did you ever find out how close you were to being President (George W.) Bush's nominee for the Supreme Court?

Gonzales: I didn't concern myself, Wolf, with respect to my status on the short list, so ...

Blitzer:  But do you know if you were on the short list?

Gonzales: That's a question, I think, that's better posed to President Bush.

Blitzer: But you -- but you know you were, right?

Gonzales: Listen, I know that people -- people did consider me as a possible candidate for the Supreme Court.

Blitzer: All right. Well, now there's going to be -- well, there's a nominee, already, who's Hispanic, a woman.

Gonzales: Yes.

Blitzer: How do you feel about that?

You're the first Hispanic to serve as the attorney general of the United States. What do you think about her?

Gonzales: I think it's a proud day for the Sotomayor family. It's a historic day for the Hispanic community. I don't think that any gender group or ethnic group is entitled to representation on our courts. I don't think that the outcome of a case should depend upon the ethnicity or gender of the judge, any more than the outcome of a case should depend on the ethnicity or gender of a prosecutor or defendant.

But having said that, Wolf, this is a powerful message, a powerful message of hope and opportunity of hope through this appointment, just like there's a powerful message sent when an African-American is elected president or an African-American or Hispanic is appointed as attorney general of the United States. It's a powerful message that a president listens to, and this president obviously did.

Blitzer: Because that picture that we saw earlier at the White House, the first African-American president now nominating the first Hispanic justice -- to become a United States Supreme Court justice.

That says a lot about what's going on in our country right now.

Gonzales: Again, it says a lot about opportunities in our great country. Obviously, this judge still needs to go through a confirmation process. There are questions, some concerns raised in certain quarters about her judicial philosophy, but that's what the confirmation process is all about. And no nominee is entitled to a free confirmation process, an easy confirmation process. She will be fully vetted, as she should be, because this is a lifetime appointment to our nation's highest court.

Blitzer: Here's what she said back in 2001, and I'll put it up on the screen: "I would hope that a wise Latina woman with the richness of her experiences would more often than not reach a better conclusion than a white male who hasn't lived that life."

That's generating some commotion out there.

Gonzales: I'm not sure what that -- what she was trying to say there. I think -- you know, I served on the Texas Supreme Court. And there were times -- there were cases in which I had to interpret a statute. I didn't like the outcome based upon that interpretation as I read the statute, the intention of the state legislature, but I felt obliged by my oath of office to honor that intent of the legislature.

I think it's dangerous when judges impose their own personal views with respect to the outcome of a particular case.

Blitzer: Did you -- when the president of the United States says he wants something -- someone who's empathetic, and has had real-world, real-life experiences, is that good or bad?

Gonzales:  I think we all -- we'd like to think that all of our government officials are good people, compassionate people. And obviously, someone with this kind of story makes a very attractive candidate in a confirmation process.

But to say that you empathize with someone, I think it's -- it's very, very difficult to predict the outcome of a case based upon whether or not a judge feels good about a result. I think there ought to be predictability and certainty in the interpretation of our laws. I think that's the number one requirement that a president should look for in the nomination of a Supreme Court justice.

Blitzer:  Based on what you know, the fact that the first President Bush named her to the federal bench to begin with. She was confirmed. Then President Clinton got her to the court of appeals. She was confirmed.

Based on what you know about her, do you think she's qualified to be a United States Supreme Court justice?

Gonzales: I have no questions in my mind about her qualifications in terms of education, experience. A president is not required to nominate the most qualified person to the court. I think he's obligated to nominate someone who is well qualified, and I think by any measure she is well qualified.

I think there are legitimate questions about her judicial philosophy, and again, that will be something that ... will be examined in the confirmation process.

Blitzer: As a Hispanic-American, how worried are you that if Republicans or conservatives go really hard against her, that would further alienate the Hispanic vote against the Republicans in the years to come?

Gonzales: Well, obviously, the Republicans are very desirous of the Hispanic vote, but they have an obligation, a duty. They took an oath as well to the Constitution, and they have an obligation to vet every nominee carefully, whether or not that nominee is Hispanic, and you know, white, African-American, male or female. They have an obligation, and I expect them to discharge that obligation.

Blitzer: How worried are you, switching gears for a moment, that the Justice Department lawyers who wrote those legal opinions authorizing enhanced interrogation, how worried are you that the system now will come down on them, either disbarment or worse?

Gonzales: What I worry about, Wolf, is that good people, well- intentioned people serving in a historically difficult time, a dangerous time in our nation's history, may be penalized for doing their best, simply providing the best legal advice that they can.

I'm afraid of the chilling effect that that's going to have on future lawyers at the Department of Justice.

Blitzer: You were the White House counsel at that time. This was before you became the attorney general.

Gonzales:  That's correct.

Blitzer: And were you involved in some of those legal opinions early on?

Gonzales: Well, what I can say is that I worked with the Department of Justice ensuring that legal advice was provided. But at the end of the day, it's the responsibility of the Department of Justice to provide the legal guides on behalf of the executive branch.

Blitzer: So are you in any -- do you think -- are you afraid that you could be in any legal jeopardy right now?

Gonzales: Wolf, I stand by my record. I did my best to defend our country during very difficult times, so I'm proud of my service.

Blitzer: All right. Attorney general, thanks very much for coming out.

Gonzales: Thank you, Wolf.

@highlight

Former attorney general: No questions in my mind about her education, experience

@highlight

Alberto Gonzales says some concerns raised about judge's judicial philosophy

@highlight

He says Sotomayor's appointment, like Obama's election, provides hope

@highlight

Gonzalez: Still, no gender or ethnic group is entitled to representation on our courts