The U.S. Senate gave final approval Thursday to a roughly 1,200-page bill that promises to overhaul immigration laws for the first time since 1986, creating a path to citizenship for millions of undocumented residents while ratcheting up security along the Mexican border.

Senators passed the sweeping legislation -- initially drafted by the four Democrats and four Republicans in the chamber's so-called "Gang of Eight" -- by a 68-32 vote.

Fourteen Republicans joined a united Democratic caucus in supporting the bill, which is backed by the White House and has the potential to become the crowning legislative achievement of President Barack Obama's second term.

In a White House statement, Obama hailed the Senate vote as "a critical step" toward fixing what he called a broken immigration system. He labeled the measure that now goes to the Republican-controlled House a compromise, adding that "we just need Congress to finish the job."

The Senate vote included a rare adherence to old-fashioned protocol. Vice President Joe Biden presided in his constitutional capacity as head of the Senate, and senators voted one-by-one from their desks, calling out "aye" or "no."

Republican Sen. Jerry Moran of Kansas broke the drama of the moment when he mistakenly voted "aye," then quickly asked the clerk to make it "no" as the chamber erupted in laughter. Biden tapped his gavel and called for order.

Before announcing the result, Biden warned against outbursts from the public gallery, but chants of "Yes we can" and "Si se puede" broke out after he read the tally. Biden called for the sergeant at arms to restore order.

"Today is another historic day in the Senate," said Sen. Patrick Leahy, D-Vermont.  "This legislation will reunite families.  It will bring millions of people out of the shadows and into our legal system.  It will spur job growth and reduce our deficit.  And it will make us safer."

"The time has come to act in the interest of all Americans," declared Sen. Bob Menendez, D-New Jersey, a member of the Gang of Eight. "I hope that message will be heard loud and clear in the House (of Representatives)."

Historic ruling opens door for immigration for same-sex spouses

Most congressional conservatives, however, remain staunchly opposed to the measure, and have declared it dead on arrival in the House.

Obama warned in his statement that opponents of immigration reform will try even harder to derail it. Noting the broad support for the Senate bill from the business community, organized labor and others, he urged people to contact their House representatives and "tell them to do the right thing."

Republicans are sharply divided over the politically sensitive issue. In the wake of the GOP's crushing loss among Hispanics in the 2012 election, many top voices in the party have pushed for an endorsement of some form of a path to citizenship for the country's roughly 11 million undocumented residents.

"No one should dispute (that) like every sovereign nation on this planet, we have a right to control who comes in. But unlike other countries, we are not afraid of people coming in here from other places," said Florida Sen. Marco Rubio, the most prominent Republican in the Gang of Eight and a potential 2016 presidential candidate. "I support this reform. Not just because I believe in immigrants, but because I believe in America even more."

For many of the GOP's strongest supporters, any path to citizenship for those who entered the country illegally is a form of unforgivable amnesty. They also don't trust the Obama administration to fully enact the bill's new border security measures, which are generally opposed by progressives.

"There's just no way I can look my constituents in the eye and tell them that today's assurances won't become tomorrow's disappointments," said Senate Minority Leader Mitch McConnell, R-Kentucky. "We'll never resolve the immigration problem on a bipartisan basis either now or in the future until we can prove that the border is secure as a condition of legalization."

Senate takes another step toward passing immigration reform

Sen. Mike Lee, R-Utah, called the vote on the measure "largely symbolic" and predicted the bill would ultimately be relegated to the "ash heap of history."

If enacted, the measure would create a 13-year path to citizenship for most undocumented immigrants, while raising the cap on visas for high skilled workers and establishing a new visa program for low skilled workers on America's farms.

A recently added border security amendment -- introduced by GOP Sens. John Hoeven of North Dakota and Bob Corker of Tennessee -- would require 20,000 more border agents, complete 700 miles of fence along the boundary with Mexico, and deploy $3.2 billion in technology upgrades similar to equipment used by U.S. forces in Iraq and Afghanistan.

The amendment also strengthens eligibility verification and border entry-exit controls.

Most undocumented immigrants would be eligible for permanent residency only after the five conditions have been met and verified by the Department of Homeland Security.

While Corker's and Hoeven's change appeared to sway some reticent Republicans in the Senate, top House Republicans remained opposed the overall blueprint.

"Apparently some haven't gotten the message: the House is not going to take up and vote on whatever the Senate passes," said Speaker John Boehner, R-Ohio. "We're going to do our own bill ... and move the legislation that reflects the will of our majority and the will of the American people."

House Republicans have indicated their intention to tackle the issue with several smaller proposals instead of one larger bill.

Boehner repeated his pledge to block a vote on any immigration measure that doesn't have the support of a majority of House Republicans. Democrats contend the Senate version would pass the House if brought to a vote, with a united Democratic caucus joined by some Republicans.

The speaker also refused to take a position on whether or not there should be some kind of path to citizenship for those who entered the country illegally.

Democrats have repeatedly warned they will not agree to a plan that lacks such a path.

Regardless, Boehner said he hopes the House will deal with immigration reform this year.

"I have made it clear since the day after the election that this political football should stop, and that the Congress should deal with this issue," he said.

Farm bill failure portends problems for immigration in the House

@highlight

President Obama says "we just need Congress to finish the job"

@highlight

The 68-32 Senate vote sends the measure to the House for consideration

@highlight

Speaker Boehner says the House will stick to its own version of immigration reform

@highlight

The Senate bill offers a path to citizenship for millions of undocumented immigrants