(CNN) -- One senator who has survived the vice presidential vetting process described it this way: Like having a colonoscopy without anesthesia.

The probing, highly personal examination that a presidential candidate uses to pick a running mate is uniquely American. Yet it is entirely shielded from public view: Those who submit themselves to it must bow to a secret, often uncomfortable "deep dive" for information by a small, exclusive tribunal of lawyers and accountants trying to wrest any skeletons out of a candidate's closet.

"It's every aspect of your life," former Al Gore 2000 presidential campaign manager Donna Brazile said. As former Bob Dole 1996 campaign manager Scott Reed put it, the examination includes digging into "sex, drugs and rock and roll."

Since presumptive Republican presidential nominee Mitt Romney's vice president meetings and deliberations are secret, a typical campaign practice, it's anyone's guess who is actually being vetted. But if Ohio Sen. Rob Portman, Florida Sen. Marco Rubio, New Hampshire Sen. Kelly Ayotte, New Jersey Gov. Chris Christie, Virginia Gov. Bob McDonnell, New Mexico Gov. Susana Martinez, Louisiana Gov. Bobby Jindal and other potential candidates have been asked and have agreed to a vetting, they are virtually assured a process even more intense than the vetting they faced while running for office.

Who might run with Romney?

It's "the most intimate examination known to politics," Sen. John McCain's 2008 vetting chief A.B. Culvahouse recently wrote in a Wall Street Journal opinion piece.

"No other candidate, not even the presidential nominee himself, is subjected to the same scrutiny."

Romney is intimately familiar with the process. In 2008 he submitted to a vetting to be McCain's running mate.

Simple process becomes a deep dive

The process usually begins simply: drawing from various sources, such as a candidate's preferred picks and names from others, a vetting team will draw up a list of potential vice president picks.

In his book "An Amazing Adventure," written with his wife, Hadassah Lieberman, Connecticut Sen. Joe Lieberman said that in 2000, Democratic presidential candidate former Vice President Al Gore's initial list of potential running mates contained 30 or 40 names. Similarly, Culvahouse wrote that McCain's team prepared initial vetting reports on a list of more than two dozen people, none of whom knew they were being vetted.

Wisconsin Gov. Scott Walker shoots down VP talk

Acting essentially as private investigators, vetters mine the Internet and public records, like newspaper articles and disclosure forms, for information on the potential candidates. Those chosen for further inspection will be asked to agree to a confidential vetting. If they agree, the candidates fill out a multiple-page questionnaire. How a candidate answers could generate a list of more probing questions.

"They're looking for things that could be embarrassing," Reed said.

In 2008, McCain's potential vice presidents -- including then-Alaska Gov. Sarah Palin -- faced 70 questions. Among them: Have you ever paid for sex? Have you ever been fairly or unfairly accused of sexual harassment? Have you ever hired an illegal immigrant?

Culvahouse talked about the questioning in his recent Journal opinion piece.

Explaining that he asked potential picks "questions I would not dream of posing in any other context," Culvahouse added, "Yet, as in all campaigns, if we had allowed good manners to intervene, anything we missed surely would have been dredged up by someone else."

"We asked about infidelity, sexual harassment, discrimination, plagiarism, alcohol or drug addiction, delinquent taxes, credit history and use of government positions or resources for personal benefit. Nothing was off-limits."

Culvahouse wrote that he discussed other matters with Palin: including daughter Bristol's pregnancy, "which the governor raised in a private discussion," ethical allegations against the governor and whether she would authorize a strike against Osama bin Laden if it meant civilian casualties.

All vetting information is ultimately relayed back to the candidate.

Noting her lack of experience on foreign policy and defense matters, Culvahouse said he advised McCain that "Gov. Palin would not be ready to be vice president on January 20, 2009, but that I believed she had the presence and wherewithal to grow into the position."

McCain chief judged Palin 'high-risk, high reward'

"I summed up her selection as 'high risk, high reward.' I stand by that advice," Culvahouse wrote.

Palin recalled her side of the vetting process in her book "Going Rogue."

Of Culvahouse's vetting, Palin wrote: "By the time his team of attorneys finished peppering me with questions, I decided that if a person had ever done a single dark and secret thing in their lives, Culvahouse's people would not only find out about it but get eyewitnesses, photos and blood samples."

"These guys knew stuff about me that I had long forgotten: They knew how I had voted on issues during my days on the city council. They reviewed copies of my tax returns. They had transcripts of sermons that visiting pastors had preached at a church I had not attended regularly since I was a teenager. And they were the ones who told [McCain campaign strategist Steve] Schmidt that Bristol was pregnant."

"I was impressed. I also thought, 'Good. They know exactly what they're getting.' "

By all accounts, candidates being vetted must divulge nearly every facet of their lives: surrendering tax returns, medical records, financial statements, court records, employment records, education records and enduring background checks and a thorough check of public statements and voting records.

Surviving the questionnaire and what Reed called the "deep dive" of information, potential vice presidents gain a reward: making it on the so-called "short list," where vetters ramp up their efforts to pull skeletons out of a candidate's closet.

"If you get near the end, you usually get down to what I call, 'Sex, drugs and rock and roll,'" Reed said. "Where it's usually a one-on-one conversation between the chief vetter and the potential candidate."

Reed said this could include "allegations of sexual relations, drug use, alcohol use, other medical conditions that may have been hinted at in medical records. You really have to drill down."

Lieberman recalled in his book the "exhaustive and demanding" vetting experience, led by former Clinton Secretary of State Warren Christopher on Gore's behalf.

"When Warren Christopher called to tell me I had made it to the short list and that they would soon have to start vetting me, he warned, 'Are you still willing to go forward with it, because it's not easy, and it can be a painful process, and there's no way I can reduce the pain?'"

"So I said, 'Chris [which is how he is known], you mean this is kind of like having a colonoscopy without anesthesia?'"

"Chris laughed and agreed," Lieberman wrote.

Eagleton in 1968 taught future candidates a lesson

Helping to guide Lieberman through the process was attorney Jonathan Sallet. Speaking to CNN, Sallet used a historical reference to stress the need for a careful vetting.

He discussed presidential candidate Sen. George McGovern's selection of Missouri Sen. Thomas Eagleton as his running mate in 1972. Eagleton withdrew just 18 days later after his treatment for mental illness and electroshock therapy became public.

"I think that was a lesson that people in both parties learned: that anything that could be considered important by voters needed to be considered important by vetters," Sallet said.

In past times, vice president picks were chosen at the political conventions. Only in recent years have running mates been chosen in a months-long, secret process that culminates in an announcement just before the convention.

Not all skeletons spell doom for consideration.

As Gore's campaign manager, Brazile was not involved in vetting Lieberman. But in her decades-long career in politics, she recalled a multitude of times she has vetted candidates for public office.

"In some cases" scandal can knock a candidate out of consideration, Brazile said.

"Remember, this is the first presidential decision that a presumptive nominee, like a Mitt Romney, will make, like an Al Gore will make," Brazile said. "So you want to get it right. You will be judged by this individual throughout the campaign."

Brazile added: "For a campaign, [damning information] can become an explosive part of a candidate's biography, especially when they're introducing themselves for the first time to the national media and to the public."

Reed echoed the sentiment.

If scandal does emerge, Reed said, "It depends on how severe it is."

"You keep that confidential. But you go back to the candidate and you discuss it," Reed added.

"Dole had a very explicit rule to me: Don't do anything to embarrass anybody," Reed said. "Which means, if you find out information, you don't leak it out to see how it gets vetted out in the court of public opinion."

In the final stretch, a potential running mate typically meets with the presidential candidate in a secret meeting.

Lieberman explained his private meeting with Gore.

"My turn came early one morning in late July, when I was smuggled into the U.S. Naval Observatory, the vice president's official residence, in the backseat of a van with darkened windows," Lieberman wrote. "Over breakfast, Gore said that this was awkward because we were friends, but he had to interview me."

"I told him not to worry. I knew how important this decision was, and he should feel comfortable asking whatever he wanted to know."

"He then proceeded to ask, in essence, 'Why should I pick you?' "

@highlight

Those considered as a potential vice president face a thorough examination

@highlight

The intense vetting is necessary because a VP pick represents a candidate's first big decision

@highlight

John McCain's vetting chief said he asked questions he "would not dream of" any other time

@highlight

Candidates being vetted face scrutiny of almost every facet of their life