London, England (CNN) -- Known as much for his gaffes, brusque manner and eccentricities as for his charity and campaigning work, Prince Philip seems to have lived a life permanently in the shadow of his wife, Queen Elizabeth II.

Yet as a child born into the turmoil of inter-war Europe, a naval officer decorated for heroism in World War II, and one half of one of the most-enduring modern royal marriages, the Duke of Edinburgh is an extraordinary figure in his own right.

And while Britain celebrated 60 years since the queen succeeded as monarch earlier this year, the spotlight also shone on the man who has rarely left her side during her time in the spotlight.

Prince Philip's life was dramatic from the outset. The nephew of Greece's King Constantine I, he was born in 1921 on the dining room table of a villa on the Greek island of Corfu.

Known then simply as Philip -- he had no official surname -- he was forced into exile just 18 months later when the Greek monarchy was overthrown by a military revolt. Sailors on board HMS Calypso, the British cruiser given the secret mission to carry his family to safety, made him a crib out of an old fruit box.

Stateless and (by royal standards) poor, Philip's family spent the next few years wandering between the homes of European relatives as the continent descended into the political and economic upheaval that would lead to World War II.

After his mother Alice was committed to a psychiatric clinic in 1930, Philip rarely saw his parents. He was instead mentored by an uncle, Lord Mountbatten, and dispatched to a series of boarding schools in England, Germany and Scotland.

In 1936, Greece voted to reinstate its monarchy, but Philip's father Andrea resisted pressure to push his son into Greek military service. Instead, Philip remained at Gordonstoun, the school in Scotland where he would later send his own sons, and began to prepare for training in Britain's Royal Navy.

By the time he reached his late teens, Philip's dashing looks were turning heads, including the 13-year-old distant cousin (they are both great, great grandchildren of Queen Victoria) who would later become his bride. But naval duty came first, and with the outbreak of war, Philip was sent to sea.

As a citizen of Greece, Philip was initially deployed as a "neutral foreigner" serving on naval escort and convoy missions. But after Italy invaded Greece in 1940 he was assigned to Valiant, a battleship that would soon see action in the Mediterranean.

Philip was commended for his operation of searchlights during a 1941 night battle near Cape Matapan, where the British destroyed much of the Italian fleet. He was later awarded the Greek War Cross of Valor.

After various postings and promotions, Philip was in 1944 appointed first lieutenant of HMS Whelp, a destroyer that went on to see action in the Pacific as part of a British fleet involved with joint operations with the U.S. Navy, including the landings at Iwo Jima.

When peace came, Philip remained in the navy, but rekindled a friendship with Elizabeth that quickly blossomed into a public romance. The pair were married in Westminster Abbey in 1947 and shortly afterwards he returned to duty, rising to the rank of lieutenant commander.

See also: The Royal family tree

Newly-appointed as Duke of Edinburgh, Philip had to abandon his naval career for royal duties after the queen's father, George VI became ill. The king died while Philip and Elizabeth were on an official trip to Kenya. It was Philip who broke the news to his wife -- now the queen.

The early years of the the couple's marriage saw the prince enjoy the height of his popularity. On a 1951 trip to Canada, crowds of admiring women turned out to see the handsome prince. In 1957, Time magazine said he had transformed his "frosty bride" into a "stylish" royal icon.

While affection for the duke remains strong today -- as was shown by an outpouring of concern when he underwent heart surgery last year -- his public image as a dashing young man has long since been replaced by one of an irascible older figure.

Many have drawn links between the duke's manner and his experiences as a young man, suggesting his troubled family life helped shape a rather detached and unemotional outlook, while his navy career endowed him with a salty wit that frequently raises eyebrows.

Others attest to his charisma and charm, characteristics that no doubt helped fuel rumors of indiscretions in the early years of his marriage. In 1956, the year before Philip was officially appointed as a prince, the queen's household had to officially deny such rumors.

The duke himself has spoken of his own struggles to find a purpose within the royal family, saying he took on patronages -- including the Duke of Edinburgh Award Scheme he created to recognize community service -- out of duty rather than passion.

"I didn't want to be president of the World Wildlife Fund," he said in an interview in 1992. "I was asked to do it. I'd much rather have stayed in the navy, frankly."

Yet he has found time to pursue his own, sometimes odd, interests. Over the years these have included polo, competitive horse carriage driving (a sport in which he has represented Britain) science, the study of UFOs, practical jokes, painting and taking the wheel of his own London taxi.

But despite several recent high profile appearances, the duke has taken a step back from public life in the past year.

"I reckon I've done my bit," he said in a 2011 interview. "I want to enjoy myself a bit now, with less responsibility, less frantic rushing about, less preparation, less trying to think of something to say."

@highlight

Prince Philip experienced a turbulent early life after his family was forced into exile

@highlight

Philip is a decorated war hero having seen action as an officer in the British Royal Navy

@highlight

He is known for his irascible outlook and salty sense of humor