Washington (CNN) -- Late one night, in the summer of 1958, three police officers opened an unlocked door of a small home in rural Virginia, walked into the bedroom and pointed a flashlight at a couple sleeping in the bed.

"What are you doing in bed with this lady?" the sheriff asked.

The startled husband pointed to the marriage certificate that was hanging on the wall.

"That's no good here," the officer replied.

And that night, in the summer of 1958, a husband, who happened to be white, and a wife, who happened to be black, were arrested and placed in a county jail for unlawful cohabitation.

That, as The New York Times recounted it, is how the landmark Supreme Court case known as Loving v. Virginia was started -- with bigotry looking at a marriage certificate and saying, "That's no good here."

Today we know that in 1967 the Supreme Court ruled that Virginia's ban on interracial marriages was unconstitutional. But it's important to remember that a 2012 Pew Study found that only 63% of all Americans "would be fine" if a family member were to marry outside of their race, meaning nearly a third would still have a problem.

The laws have changed, but sadly, our culture in many aspects, still lags behind.

Which explains why once again bigotry has dragged marriage to the halls of the Supreme Court.

On Tuesday the justices heard oral arguments in Hollingsworth v. Perry, the challenge to California's Proposition 8. On Wednesday, the court is hearing oral arguments in United States v. Windsor, the case challenging the constitutionality of the Defense of Marriage Act, or DOMA.

Both Proposition 8 and DOMA do what that sheriff did to the Lovings 55 years ago. Back then the legally sanctioned discrimination was called racism. Today it's homophobia. Both are offsprings from the same parents: bigotry and fear.

Before sentencing the Lovings to a year in prison, Leon M. Bazile, the county circuit judge, opined God placed the different races on separate continents "and but for the interference with his arrangement there would be no cause for such marriages."

Edith Windsor's battle for equality

In an exchange with Chief Justice Earl Warren, R.D. McIlwaine, the assistant attorney general of Virginia, compared interracial couples to people who were mentally ill and said that "interracial marriages are definitely undesirable. ... (T)hey hold no promise for a bright and happy future for mankind."

Hindsight affords us the ability to shake our heads and laugh at the men who tried to hide their bigotry behind God or the future of mankind. But are the reasons against interracial marriages brought up by McIlwaine and Bazile that much different than the rationale that is being used today to ban same-sex marriages?

At a rally on the steps of the Supreme Court, I heard story after story from loving, committed same-sex couples who had been together 10, 20, 30, even 55 years. There were speakers such as Cleve Jones, who created the AIDS Memorial Quilt, and Robert Kabel, a special assistant to President Ronald Reagan who helped form the Log Cabin Republicans. There was one woman suffering from multiple sclerosis who had to be helped up the stairs to the podium by three men so she could stand next to her wife and share her story.

No one who came to the rally was asking for permission to love.

They were not seeking special rights or begging for a seat at the table because they've been sitting at the table the whole time.

They know 14 times the Supreme Court has called marriage a fundamental right. And just as Loving v. Virginia shamed bigotry and those who argued in support of discrimination, this week bigotry will once again be shamed, dragging those who seek to ban same-sex marriages with it.

Couple at center of Prop 8 case

An example of this shaming came in an exchange with Charles J. Cooper and Justice Elena Kagan. As Cooper propped up the notion of "responsible procreation" as being the reason why marriage should only be between a man and a woman, Kagan destroyed this reasoning, saying, "Suppose a state said, ... Because we think that the focus of marriage really should be on procreation, we are not going to give marriage licenses anymore to any couple where both people are over the age of 55," adding, "I can just assure you, if both the woman and the man are over the age of 55, there are not a lot of children coming out of that marriage."

Of course "responsible procreation" is just another ruse to hide bigotry. Gay couples don't become parents by accident. I know of one couple who wanted children so badly, they drove from Phoenix to Los Angeles every weekend for a year to spend time with the child they eventually adopted because gay adoption was not legal in Arizona.

If you do the math, that's about 740 miles round trip for 52 weeks, or 38,480 miles. So if "responsible procreation" is the fight Cooper wants to take up, he should direct his focus elsewhere because gay people don't accidentally drive 38,480 miles to have a kid.

What Cooper and his allies must remember is that marriage licenses are not scarce resources to be horded but a doorway to more than 1,000 federal benefits and the public declaration of love. And just as interracial marriages did not cause "traditional" marriage to fall -- something that was also said during Loving v. Virginia -- neither will same-sex marriages.

It wasn't right for anti-miscegenation laws to march into our bedrooms in the summer of 1958, and it's not right for Prop 8 and DOMA to do it now.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson: In 1958, police arrested couple for violating interracial marriage ban

@highlight

Virginia's ban was ultimately overturned, a sign of progress against bigotry, he says

@highlight

He says that today bigotry and fear are directed at same-sex marriage

@highlight

Granderson: Government shouldn't regulate the nature of relationships in marriage