New York (CNN) -- Former President Bill Clinton left the hospital Friday morning after doctors performed a procedure to restore blood flow in one of his coronary arteries, longtime friend Terry McAuliffe told CNN.

Clinton, 63, was hospitalized at New York-Presbyterian Hospital's Columbia campus after experiencing brief periods of discomfort in his chest over several days, according to Dr. Allan Schwartz, the hospital's chief of cardiology.

Two stents were used to restore blood flow to a coronary artery Thursday after images revealed that a bypass graft -- part of a quadruple bypass surgery that Clinton underwent in 2004 -- was blocked, Schwartz said.

An electrocardiogram and a blood test showed no evidence of a heart attack, Schwartz said.

"If I know Bill Clinton, he's going to get right back on the phone," McAuliffe, a former chairman of the Democratic National Committee, told CNN on Friday. "Yesterday as they were wheeling him into the operating room, they literally had to take the phone out of his hand as they were wheeling him in to surgery.

"He was on a conference call dealing with Haiti. And I guarantee you as soon as he gets back today he'll be back on the phone."

Schwartz said the need for the procedure had nothing to do with Clinton's post-bypass diet or exercise, which Schwartz called excellent. Rather, Schwartz said, this is "part of the natural history" of the bypass treatment.

"He really toed the line in terms of diet and exercise. He really followed the program," Schwartz said, adding he told Clinton that he'd be allowed to return to work Monday.

The stents have opened the artery that the blocked bypass graft was supposed to service, Schwartz said. Stents are tiny balloons that are threaded into a patient's heart vessels where they are inflated, pushing plaque against the vessel wall and increasing blood flow.

The graft's blockage isn't unheard of, because that particular type of graft has a 10 percent to 20 percent failure rate after six years, Schwartz said.

However, a bypass graft at a different artery -- the main artery in the front of Clinton's heart -- still looks "pristine," Schwartz said.

"We know from multiple studies that if that bypass is open at this point ... it will remain open," he said.

Stents and chest pain explained

Schwartz said Clinton was up and walking about two hours after Thursday's procedure.

In a written statement, Douglas Band, counselor to the former president, said: "President Clinton is in good spirits and will continue to focus on the work of his foundation and Haiti's relief and long-term recovery efforts."

Clinton's daughter, Chelsea Clinton, and wife, Secretary of State Hillary Clinton, were with him at the hospital Thursday night, Schwartz said.

Hillary Clinton was scheduled to leave Friday on a planned trip to the Middle East, but her departure has been delayed until Saturday, a senior U.S. official said.

Bill Clinton hasn't left the public eye since he departed the White House in 2001, maintaining an active schedule devoted to global philanthropic interests and speeches.

Since the January 12 earthquake that hit Haiti, he has traveled there twice in his latest role as the U.N. special envoy. On February 3, U.N. Secretary-General Ban Ki-moon placed Clinton in charge of overseeing aid and reconstruction efforts there. Clinton also attended the World Economic Forum in Davos, Switzerland, in January.

David Gergen, CNN senior political analyst, said Clinton was "exhausted" and had a cold after returning from his second trip to Haiti earlier this month.

Clinton had busy schedule before heart procedure

Clinton's 2004 surgery was performed at the same hospital where he was admitted Thursday. Doctors in 2005 operated again on Clinton to remove scar tissue and fluid that had built up after his bypass surgery.

Dr. Spencer King, president of St. Joseph's Heart and Vascular Institute in Atlanta, Georgia, rejected as outdated suggestions that Clinton needs to slow down.

"This is kind of a '50s concept," he told CNN in a telephone interview Thursday. "Now, we've got a lot of fantastic ways to prevent progression of heart disease -- medications, things that can be done. The outlook for people is totally different."

"If he slows down, he slows down," said King, who who has not treated Clinton. But, he added, "It would be very hard to show any data that would tell you he'll have more trouble if he hangs it up."

King said Thursday's stenting procedure may not be the end of Clinton's heart woes.

"The problem there is that that vein graft is developing disease and sometimes it goes on and develops more," he said. "There's a substantial chance over the next three, four, five years that it could close up again."

CNN's John King, Ed Henry, Jessica Yellin, Elise Labott and Elizabeth Landau contributed to this report.

@highlight

NEW: Clinton leaves hospital Friday morning, former DNC chairman says

@highlight

Doctor: Graft installed during 2004 bypass surgery was blocked

@highlight

Thursday's stent procedure opened artery that graft was supposed to service

@highlight

Former president came to hospital after feeling chest discomfort over several days