(CNN) -- When Edward Snowden unleashed the flood of classified documents and surveillance data secreted from U.S. spy agencies earlier this year, it is unclear if he anticipated the high-level damage it would do to U.S. international relations.

Headlines have focused on irate calls by heads of state to President Barack Obama and parliamentary moves to restore privacy. Diplomats have been summoned to repair fractured relationships.

And just this week, the United Nations' senior counterterrorism special rapporteur, Ben Emmerson, announced that he would launch an investigation into the surveillance tactics used by American and British intelligence agencies citing the Snowden leaks at "the very apex of public interest concerns."

Yet for all the ruckus globally, the most enduring damage from omnipresent surveillance may be right here at home.

Early evidence suggests that knowing that our e-mails, phone calls and social media circles are being vacuumed up into a giant government database may reshape what we say and write, and whom we associate with.

Surveillance may be chipping away not just at our privacy, but at the American values of freedom of expression and association enshrined in the First Amendment.

Invasion of privacy or no big deal?

Yet while foreign politicians are up in arms, many Americans are shrugging their shoulders. There have been lawsuits, bills introduced in Congress and even a few public demonstrations. But surveys from Pew Research indicate that the National Security Agency programs are actually supported by roughly half of Americans, even though many believe that their own personal e-mails and calls have been read or listened to.

However, a survey of American writers done in October revealed that nearly one in four has self-censored for fear of government surveillance. They fessed up to curbing their research, not accepting certain assignments, even not discussing certain topics on the phone or via e-mail for fear of being targeted. The subjects they are avoiding are no surprise -- mostly matters to do with the Middle East, the military and terrorism.

Because they rely on free expression for their work and livelihoods, some writers may be more prone to caution in what they say and who they say it to for fear of activating an NSA tripwire.

But as awareness of mass surveillance sets in for the general public, it is hard to imagine the rest of us will be far behind. In a country that has prided itself for the world's staunchest protections of free speech and association, certain subjects, names, and ideas may become virtually off-limits for all those who'd rather not tangle with the NSA.

Topics that are foreign, alien or frightening may become all the more so if researchers, writers, journalists and even students are afraid to investigate and explain them.

Surveillance so intrusive it is putting certain subjects out of bounds would seem like cause for alarm in a country that prides itself as the world's most free. Americans have long protested the persecution and constraints on journalists and writers living under repressive regimes abroad, yet many seem ready to accept these new encroachments on their freedom at home.

We've already given it away

Some Americans' relative nonchalance toward the government prying into e-mails and calls we long thought were private may stem in part from knowing that we have already ceded so much of our privacy voluntarily. Social media, online shopping, and simple browsing have become semi-public acts. It's hard to know who can see what, and worrying about it can stand in the way of buying a birthday present, posting a great photo or getting your taxes done.

Moreover, for most Americans, learning that the government is a lurking hidden online "friend" doesn't evoke the fears it would have in communist Eastern Europe or today's Russia or Iran.

Because we are all subject to the NSA's intrusions, there is no single group -- not Muslims, or African-Americans, or people of Middle Eastern descent -- that has emerged as a target of these newly revealed programs.

While Americans are used to fighting against discrimination, we are less accustomed to standing up for rights to privacy, expression and association that belong to us all.

Finally, because of the utter secrecy of the programs -- schemes we would not even know about short of Snowden's astonishing breach -- unless you're Angela Merkel you wouldn't know whether you were under investigation, questioned at the airport, or denied a visa because of something you said or wrote.

It may be years, if ever, before stories come to light of people done in by their own texts, web-surfing or Facebook posts.

Did it really matter?

When the Snowden story first broke, Obama claimed that the newly exposed programs had foiled 50 terrorist plots. After reading through a classified list of the thwarted assaults, Sen. Patrick Leahy called the figure "plainly wrong."

In the few cases where details have been released, journalists and intelligence experts have argued that the evidence gathered through surveillance could have been obtained in other ways, or wasn't crucial.

Not all surveillance powers are bad. The Congress and courts have, for decades, focused on where to draw the boundaries to ensure that both we and our constitutional rights are kept safe.

With new and expansive surveillance technologies, and new evidence that our most treasured rights may be at risk, the public is depending on judges and representatives to demand the information they need to properly weigh up the purported benefits of surveillance, as well as its harms.

Americans shouldn't be out-outraged by the international community about a program that puts our own liberties at risks.

The public's dulled senses when it comes to online privacy should not be grounds for forfeiting the rights the Founding Fathers put first above all others.

The opinions expressed in this commentary are solely those of Suzanne Nossel.

@highlight

Suzanne Nossel: Edward Snowden has done damage to international relations

@highlight

Nossel: Some writers have begun censoring themselves out of fear

@highlight

Nossel: Still, many average Americans may not see the intrusion as that big of a deal