(CNN) -- In March, single mother Shanesha Taylor, destitute and effectively homeless, was arrested on charges of leaving her children in her car during a 40-minute job interview. The children were unharmed, but Taylor then faced two counts of third-degree felony child abuse -- charges that sparked outrage across the country.

It sparked outrage with me as well, and I've worked with Taylor's attorney to help handle the media attention surrounding the case. My involvement in the story opened my eyes to a number of cases where parents have been arrested for behavior that, just a generation ago, may have raised eyebrows but would certainly not have risen to the level of criminal charges.

For example: In a split decision this month, an appellate court in Florida upheld the conviction of Jovita Ibeagwa, who served a year in jail for two counts of aggravated manslaughter of a child following the drowning deaths of her children, aged 6 and 3. Ibeagwa left her children unsupervised while she went to work at her second-shift job. During that time, her children tragically drowned in a neighbor's pool.

Debra Harrell, a South Carolina mother, found herself under arrest this month when a bystander discovered her 9-year-old daughter playing in the park alone. Harrell had been allowing the girl to play there while she worked at a McDonald's a mile and a half away.

Here are some more recent examples:

In North Carolina, a mother was arrested after leaving her 5- and 11-year-olds alone for 2Â½ hours.

A Connecticut mother was arrested when her 7-year-old, who wasn't wearing a helmet, suffered head injuries after falling off his scooter.

In Pennsylvania, a mother died in jail while serving a 48-hour sentence after she couldn't pay fines incurred for the truancy of some of her seven children.

In Ohio, a father was arrested when his 8-year-old gave the church bus the slip and played with neighborhood friends instead of going to youth group.

And then just this week, a mother in Florida was arrested after allowing her 7-year-old to walk half a mile to a neighborhood park. The boy even had a cell phone to call home if he got into trouble.

What's going on here?

From one perspective, we're criminalizing poverty. Some of the parents I mentioned above clearly acted out of economic necessity. In our post-recession economy, good jobs are hard to come by and child care is expensive. For low-wage earners, child care costs can easily eclipse earning potential.

In Taylor's case, she had previously been offered a full-time job, but child care costs would have left her with less income than she was able to earn by picking up a few hours here and there.

A news report in the Harrell case quoted another parent who said, "I understand the mom may have been in a difficult situation, not having someone to watch the child, but at the same time, you've got to find somebody." It sounds as though she is suggesting that having some unqualified person to stay home alone with the daughter would somehow be better than letting her play in the park, surrounded by other children and parents.

I'm not a parent, but I am a board-certified family law attorney, and I frequently deal with families facing difficult decisions. The truth is that too many parents are finding themselves having to make a desperate choice between providing for their children and caring for their children. Unless you've been put in that situation, I don't think you're entitled to judge.

I grew up in Queens in the '60s -- during a time when crime in New York was notoriously on the rise. My father was a battalion chief for the New York Fire Department, and he worked two other jobs to support our family. My mother worked hard to keep my two sisters, my two brothers (and me) in line. She was an amazing mother but didn't always succeed in keeping us out of hot water.

We were allowed to play unsupervised in our neighborhood, and sometimes we got in trouble. But my mother knew we were with other neighborhood kids. She knew other adults in our neighborhood kept tabs on us and would look out for us. She expected that if we got into real trouble, we'd encounter a police officer, and that officer would deliver us home -- and it did happen from time to time.

I'm concerned that in the average neighborhood today -- where the crime rate is far lower than it was in the 1960s -- adults are not looking out for neighborhood kids. Instead of helping a youngster who may be in trouble, they're calling the cops. And the police, instead of bringing children home, they're handing them over to child services and arresting the parents.

Last week, prosecutors offered Taylor a deal: After she completes a parenting plan, which includes six months of counseling, they will drop the felony charges. But Taylor now has to fight to regain custody of her children.

In South Carolina, Harrell has been reunited with her daughter but still faces criminal prosecution, and she lost her job as a result of the arrest. In Florida, Ibeagwa is out of jail now -- after suffering the double tragedy of losing her children and enduring incarceration for her role in the misfortune.

Elsewhere other children are being taken from their parents, and families are being torn apart.

I have to wonder if my mom, who I think was a wonderful mother, would face criminal charges if she were alive and raising children in today's world -- if she raised them the way she raised my brothers and sisters and me.

@highlight

Mark O'Mara: In March, homeless mom arrested after leaving kids in car during job interview

@highlight

Arrest drew outrage -- one among many recently in which parents left kids while at work

@highlight

He says poverty being criminalized and neighbors used to help but now just call police

@highlight

O'Mara says his mom let him play unattended as kid in New York but today she'd be arrested