(CNN) -- A now-retracted British study that linked autism to childhood vaccines is an "elaborate fraud," according to a medical journal -- a charge the physician behind the study vigorously denies.

The British medical journal BMJ, which published the results of its investigation, concluded Dr. Andrew Wakefield misrepresented or altered the medical histories of all 12 of the patients whose cases formed the basis of the 1998 study -- and that there was "no doubt" Wakefield was responsible. The journalist who wrote the BMJ articles said Thursday he believes Wakefield should face criminal charges.

However, Wakefield said his work has been "grossly distorted." Speaking on CNN's "Anderson Cooper 360," he said Wednesday he is the target of "a ruthless, pragmatic attempt to crush any attempt to investigate valid vaccine safety concerns."

The medical publication says the study has done long-lasting damage to public health.

Read autism coverage on "The Chart" blog.

"It's one thing to have a bad study, a study full of error, and for the authors then to admit that they made errors," Fiona Godlee, BMJ's editor-in-chief, told CNN. "But in this case, we have a very different picture of what seems to be a deliberate attempt to create an impression that there was a link by falsifying the data."

Britain stripped Wakefield of his medical license in May.

What causes autism?

"Meanwhile, the damage to public health continues, fueled by unbalanced media reporting and an ineffective response from government, researchers, journals and the medical profession," BMJ states in an editorial accompanying the work.

Wakefield dismissed Brian Deer, the writer of the British Medical Journal articles, as "a hit man who has been brought in to take me down" by pharmaceutical interests. Deer has signed a disclosure form stating that he has no financial interest in the business.

On CNN's "American Morning" Thursday, Deer did not deny he was paid by the BMJ. "I was commissioned by BMJ to write the piece," he said. "That's what journalists do."

He said he is also paid by the Sunday Times of London, where he has been employed since the early 1980s. "I was being paid as a journalist," he told CNN's Kiran Chetry. "Like you are. You're being paid to do your job."

"The point you have to remember about all this, firstly, it's not me saying this. It's the editors of the BMJ," Deer said. "... Secondly, this material has been published in the United Kingdom in extraordinary detail. If it is true that Andrew Wakefield is not guilty as charged, he has the remedy of bringing a libel action against myself, the Sunday Times of London, against the medical journal here, and he would be the richest man in America."

He said Wakefield's remarks amount to a smear campaign against him, noting that Wakefield has previously sued him and lost.

The autism assignment was a "routine assignment" given to him in 2003, he said, adding that he expected it to be finished in a week or two. However, "when you're a journalist and you see that somebody you're dealing with is lying to you," it must be pursued, he said.

Wakefield, he said, is attempting to "cloud the picture... Some people say he's a liar and he says I'm a liar. What he's basically trying to do is split the difference."

Allegations that he is in collusion with the pharmaceutical industry are "another one of Andrew Wakefield's concoctions," Deer said. "He knows it's not true."

Asked whether he thinks Wakefield should face criminal charges, Deer said, "I personally do." In addition, he said the Department of Homeland Security should take a close look at Wakefield's visa application and how he got into the United States, "how he's been able to export his mischief."

Wendy Fournier, president of the National Autism Association, defended Wakefield in a CNN interview.

"I cannot imagine for a second that Dr. Wakefield would have any reason to falsify data," she said. "He's a man of integrity and honesty and truly wants to find the answers for millions of children who have been affected by autism."

Fournier accused pharmaceutical companies of trying to protect their turf.

"You can't question vaccines without being destroyed," she said. "There's too much money at stake here."

J.B. Handley, the father of an 8-year-old with autism and a co-founder of Generation Rescue -- a group that believes there's a connection between autism and vaccinations -- also questioned the motivation behind the investigation into Wakefield's work.

"Children are given 36 vaccines in the U.S. by the time they reach the age of five," he said. "This is an attempt to whitewash, once and for all, the notion that vaccines cause autism."

The now-discredited paper panicked many parents and led to a sharp drop in the number of children getting the vaccine that prevents measles, mumps and rubella.

Vaccination rates dropped sharply in Britain after its publication, falling as low as 80% by 2004. Measles cases have gone up sharply in the ensuing years.

In the United States, more cases of measles were reported in 2008 than in any other year since 1997, according to the Centers for Disease Control and Prevention. More than 90% of those infected had not been vaccinated or their vaccination status was unknown, the CDC reported.

"But perhaps as important as the scare's effect on infectious disease is the energy, emotion and money that have been diverted away from efforts to understand the real causes of autism and how to help children and families who live with it," the BMJ editorial states.

Wakefield has been unable to reproduce his results in the face of criticism, and other researchers have been unable to match them.

Most of his co-authors withdrew their names from the study in 2004 after learning he had had been paid by a law firm that intended to sue vaccine manufacturers -- a serious conflict of interest he failed to disclose.

After years of controversy, the Lancet, the prestigious journal that originally published the research, retracted Wakefield's paper last February.

Actress Jenny McCarthy, founder of Generation Rescue and whose son also has autism, declined to comment on Wednesday's developments, but has previously supported Wakefield.

"It is our most sincere belief that Dr. Wakefield and parents of children with autism around the world are being subjected to a remarkable media campaign engineered by vaccine manufacturers reporting on the retraction," she said after the Lancet retraction.

Deer said Wakefield "chiseled" the data before him, "falsifying medical histories of children and essentially concocting a picture, which was the picture he was contracted to find by lawyers hoping to sue vaccine manufacturers and to create a vaccine scare."

According to BMJ, Wakefield received more than 435,000 pounds ($674,000) from the lawyers.

Godlee, the journal's editor-in-chief, said the study shows that of the 12 cases Wakefield examined in his paper, five showed developmental problems before receiving the MMR vaccine and three never had autism.

"It's always hard to explain fraud and where it affects people to lie in science," Godlee said. "But it does seem a financial motive was underlying this, both in terms of payments by lawyers and through legal aid grants that he received but also through financial schemes that he hoped would benefit him through diagnostic and other tests for autism and MMR-related issues."

But Wakefield told CNN that claims of a link between the MMR vaccine and autism "came from the parents, not me," and that his paper had "nothing to do with the litigation."

"These children were seen on the basis of their clinical symptoms, for their clinical need, and they were seen by expert clinicians and their disease diagnosed by them, not by me," he said.

Dr. Max Wiznitzer, a pediatric neurologist at Rainbow Babies & Children's Hospital in Cleveland, said the reporting "represents Wakefield as a person where the ends justified the means." But he said the latest news may have little effect on those families who still blame vaccines for their children's conditions.

"Unfortunately, his core group of supporters is not going to let the facts dissuade their beliefs that MMR causes autism," Wiznitzer said. "They need to be open-minded and examine the information as everybody else."

Wakefield's defenders include David Kirby, a journalist who has written extensively on autism. He told CNN that Wakefield not only has denied falsifying data, he has said he had no way to do so.

"I have known him for a number of years. He does not strike me as a charlatan or a liar," Kirby said. If the BMJ allegations are true, then Wakefield "did a terrible thing" -- but he added, "I personally find it hard to believe that he did that."

CNN's Elizabeth Cohen, Miriam Falco and Ed Payne contributed to this report.

@highlight

The journalist who wrote the articles says Wakefield should face criminal charges

@highlight

Wakefield says his work has been "grossly distorted"

@highlight

British journal BMJ accuses Wakefield of faking data for his 1998 paper

@highlight

The study was retracted and Wakefield lost his license in 2010