(CNN) -- Haiti's poverty has been much discussed since its massive earthquake, but little has been said of its rich, and equally fraught, history.

For African-Americans, Haiti's tragedy hits close to home. For more than two centuries the tiny, at times fragile, republic has inspired black political activism in the United States.

Born of the influence of the French and American revolutions, Haiti, once prized as the jewel of the French Empire, changed the course of its history by engineering a revolution that startled the world.

Once a colony of slaves under French rule in the 18th century, Haiti transformed itself into the first black republic and one of the first nations in the Western Hemisphere to outlaw slavery.

It is a breathtakingly inspirational story: Slaves revolted en masse in 1791 under the leadership of Toussaint L'Ouverture, a brilliant statesman and military strategist who was influenced by the Enlightenment ideals of universal freedom and citizenship.

Ultimately, the rebels defeated Napoleon's army and England before declaring independence in 1804. The founders of the American Republic had celebrated the news of revolution in France, but news of the revolt in Haiti didn't receive the same applause.

News of this successful revolution led by slaves reverberated across the Caribbean to the United States and brought chills up the spines of whites -- including President Thomas Jefferson, who deplored the revolution and despised the new republic's existence. But it emboldened African-American slaves.

Fears that Haiti's successful revolt could inspire slave insurrections in the United States led to increased restrictions on the movements of blacks in Southern states.

Coupled with concerns over the stability of slavery in Cuba, Haiti represented a powerful threat to the comfort, safety and security of the new American Republic.

In antebellum America, and during the Civil War, black and white abolitionists saw Haiti as an example of the potential and possibilities of black political leadership.

In many respects, Haiti's liberation from French rule proved to be a high point, sadly followed by a seemingly endless cycle of economic poverty, foreign intervention -- including American occupation from 1915 to 1934 -- government corruption, and dictatorships.

Yet there is another, equally important aspect of Haitian history, one that black Americans identify with deeply.

During the period of antebellum slavery and after, Haiti profoundly impacted the imagination of African-American political activism. On the eve of the Civil War, Frederick Douglass spoke for most African-Americans when he referred to the "bright example" of Haiti. He called Toussaint Louverture "the noble liberator and law-giver of his brave and dauntless people." Douglass and other blacks considered Toussaint one of the greatest self-made men of the 19th century.

Caribbean migration to the United States, beginning in the early 20th century, transformed black political activism. Immigrants such as Marcus Garvey and Hubert Harrison emerged as street speakers in Harlem. And the Haitian Revolution remained a touchstone for radical black political activists.

C.L.R. James, a Trinidadian-born author and activist, wrote a 1939 history of the revolt, "The Black Jacobins," that remains a classic in Africana Studies scholarship.

The immigration of Haitians in increasing numbers after the passage of major immigration reform in 1965 has allowed Haitian culture to establish critical beachheads in cities such as New York, Boston, and Miami.

Haiti's culture -- its food, music, flag, and proud revolutionary tradition -- resonates alongside of contemporary African-American culture.

The popularity of hip hop musician Wyclef Jean, the proliferation of Haitian sports stars, and the prevalence of Kreyol [Haitian Creole] words such as "Sa k' Pase" in rap music attest to Haiti's influence.

As the Haitian people prepare to rebuild their republic, we would do well to remember that the tragedy of Haiti is not a failure of black power but ultimately the frustration of it, one that involves mistakes by not only Haitians  but by Western powers as well, including the United States.

Haitians are the descendants of the great black revolution for liberation, imbued with a history of wrestling with crises. The spirit of the Haitian people is resilient and resourceful. These values will serve them well even during this unimaginable devastation.

The Haitian people can also take comfort in the knowledge that African-Americans continue to find deep kinship, one forged in the shared crucible of slavery as well as heroic resistance against this system, in their current plight and efforts to rebuild Port-au-Prince.

The opinions in this commentary are solely those of Peniel E. Joseph.

@highlight

Peniel Joseph: For 200 years, Haitian revolution has inspired black activism in the U.S.

@highlight

Joseph: Haitian slaves, led by Toussaint L'Ouverture, founded first black republic

@highlight

Haitians are descendants of revolution, with a resilient, resourceful spirit, Joseph says

@highlight

Haitians' kinship with African-Americans lies in slavery and heroic resistance, he says