(CNN) -- Angelina Jolie's stunning announcement that she had a preventive double mastectomy raised both awareness and questions about the gene that led to her decision -- BRCA1.

So what is the gene, and how can it increase a woman's risks for breast and ovarian cancers? A primer:

What is BRCA1?

BRCA1 and BRCA 2 are types of tumor-suppressing genes, according to the National Cancer Institute. In normal cells, those genes help stabilize the cell's DNA and help prevent uncontrollable cell growth. But harmful mutations in BRCA genes can lead to breast or ovarian cancer.

Five reasons we love Angelina Jolie

What do BRCA1 and BRCA2 stand for?

The acronyms stem from the full names of the genes: breast cancer susceptibility gene 1 and breast cancer susceptibility gene 2.

What's the difference between BRCA1 and BRCA2?

The genes are very similar. But harmful mutations in BRCA1 can lead to breast cancers that are harder to treat because they don't respond to hormone therapies used to treat tumors that occur more often in women with BRCA2 mutations, according to The Breast Care Site.

What's the likelihood of getting breast or ovarian cancer if you have a BRCA mutation?

About 12% of all women will develop breast cancer sometime in their lives, the National Cancer Institute says. But for women with a harmful BRCA mutation, the risk of breast cancer quintuples to 60%.

Myriad Genetics, which created a test to screen for such mutations, said the risk of breast cancer can be as high as 87% for those with BRCA abnormalities.

As for ovarian cancer, about 1.4% of women will have the disease sometime in their lives, according to the National Cancer Institute. But the risk for women with a harmful BRCA mutation increases to 15% to 40%.

How surgeons build new breasts

How can you tell if you have BRCA1 and BRCA2 mutations?

A blood test at a hospital or doctor's office can help detect BRCA1 and BRCA2 mutations, according to the National Cancer Institute. Results could take several weeks, as the test must be performed by a laboratory that specializes in the screening.

But testing can cost anywhere from several hundred to several thousand dollars, and insurance companies may or may not cover the cost.

Only women with increased risk from family history are likely to benefit from such genetic testing, according to the Centers for Disease Control and Prevention. Only 3% to 5% of women who develop breast cancer have a BRCA mutation, and about 10% to 15% of women with ovarian cancer have a BRCA mutation.

Can BRCA abnormalities affect men?

Yes. Although only 1% of all breast cancers occur in men, having a BRCA mutation means an increased risk, particularly for men with BRCA2 mutations, according to The Breast Care Site. Harmful BRCA mutations also raise a man's chance of developing cancer of the pancreas, skin or prostate.

Why more women are choosing double mastectomies

@highlight

Mutations in the tumor-suppressing gene BRCA1 can increase the risk of cancer

@highlight

Harmful BRCA mutations can increase a woman's risk for breast cancer five times

@highlight

A test can help detect mutations, but can cost hundreds or thousands of dollars

@highlight

Most women with breast or ovarian cancers don't have a BRCA mutation