(CNN) -- "Dear World: My fingers and wrists are sore, for the past few days all I could do was punch the letters on the keyboard ... "

These were the words of one Turkish man in Africa who spent days scouring the Internet for news on the Turkish protests that he could share.

People from all over Turkey and beyond poured out their feelings after what some say has been a heavy-handed police response to protests in Turkey.

CNN alone received more than 1,000 iReports from Turkey in less than a week from Turks compelled to document, protest and demand their voices be heard.

The protests began over plans to replace an Istanbul park with a new development, but spread nationwide after a heavy-handed crackdown by police.

Erdogan has defended his government's handling of the protests, saying Friday that the government has "no problem in terms of democratic demands." He also acknowledged, again, that police may have used excessive force last week, and said he had ordered an investigation.

"To the Rest of the World: This is the first time in my 30 years that tears well up for what is happening just up the road from where I write these words. ...

"People from all ages and races, all political viewpoints are coming together to fight. Notify your local and national media, and tag them on twitter to make them speak the truth about what is happening. This is ... for humanity, no less," wrote iReporter "ateloco" in a post that spread rapidly through social media.

Why Taksim Square matters to the Turks

Turkey as a nation is quite savvy about social media. At least 2 million tweets with hashtags related to the Turkish protests were sent in just eight hours on May 31 when protests gathered steam, a study by New York University revealed -- around 90% of them from Turkey. In comparison, Egypt's main protest hashtag was tweeted less than 1 million times throughout the country's entire revolutionary period.

And those in Turkey like to talk on the issues -- 57% of those using social network sites say they do so to share their political views -- a far higher percentage than in many European nations, according to the Pew Research Center.

The arrest this week of 25 social media users on accusations of spreading false information about demonstrations, according to the country's semi-official Anadolu Agency news service, has sparked concerns from human rights groups about the right of freedom of expression.

But while documenting and disseminating information on the protests can be an arduous task, for many on social media it became a way of holding authorities to account.

"I don't know when it will end, but I already feel like a robot whose main role is to click the share button on Facebook," one activist, Istanbul resident Yelin Bilgin, told CNN after days of protests.

She described the protests as her moment of "resurrection." Although she wasn't involved in organizing them, she felt she could help the cause by sharing information.

She wants the protests to lead to more self-examination on all sides. "We shouldn't stop, but we should act more consciously. We have to write, we have to share our thoughts."

Turkish media in crisis over protests

Renc Korzay is not currently living in his homeland, but working for a construction company in the West African nation of Gabon. His heartfelt letter on iReport opened this story and continues:

"I was guilty for letting my friends get gassed and arrested in the name of freedom without me. I was guilty for not being able to keep my colleagues company as they march to Taksim Square straight off work. I was guilty for not being able to give the people my apartment to shelter, my food to eat, my water to drink and my vinegar to ease off the reaction from the chemicals sprayed on their bodies."

He hoped that by writing and collecting information -- even from far away -- he could be of some help. "I was no longer in Africa and I was no longer guilty. I became a reporter with quotes, cameraman with videos, photographer with images, a 24-hour news channel with everything I posted on social media," he said.

Istanbul writer Arsevi Zeynep Seyran was in the western coastal city of Izmir when protests began. Describing herself as a "pot and pan hitter" after the noisy protests she recorded one night, her thoughtful essay summed up the energy of the protests for many.

If people are silent about the what is happening in Turkey, the protesters "are afraid that as a society things will go backward," she said.

By shining a spotlight on the situation in the country, she hoped authorities would be less likely to retaliate against those involved in the protests, she said.

Ultimately, it may be too soon to tell what effect the protests will have on Turkey, its government and those who flooded the streets of Istanbul, Ankara and other cities. But one thing is certain; those who have been feverishly tweeting, posting, blogging and documenting will not be inclined to stop any time soon.

"For the first time in a long time," Seyran said, "Turkey has much reason for pride."

@highlight

More than 1,000 submissions flooded CNN iReport over the Turkey protests

@highlight

Many posts took the form of open letters from protesters keen for their voice to be heard

@highlight

Social media for protesters became a method of documenting and raising awareness