Gould, Arkansas (CNN) -- People on death row have a lot of time to think. Damien Echols is no different.

Since his conviction for the 1993 murders of three 8-year-old boys, Echols has been fighting to keep his thoughts moving forward: to study, to grow intellectually and to distance himself from the bitterness that threatens to consume him.

Echols was one of three teenagers convicted for that crime.  They became known as the "West Memphis Three," probably the most feared and hated kids to ever walk into an Arkansas courtroom.

The crime they were accused of was particularly heinous: the boys' bruised and mutilated bodies were found in May 1993 in West Memphis, Arkansas, their arms and legs bound with their own shoelaces.

Echols was the only one sentenced to die, believed to be the ring leader in murders driven by a worship of Satan.

That was almost 18 years ago.

Today Echols spends 23 hours a day alone in a cell with nothing to do but ponder all he's lost and wonder if the Arkansas Supreme Court will be the key that finally sets him free.

Later this year, an Arkansas Supreme Court judge will determine if Echols and the rest of the West Memphis Three should have their convictions thrown out.

Prosecutors would then have the chance to retry them all and since they were sent to prison, the cases against them seem to have fallen apart.

Echols' attorneys plan to present DNA evidence not available at the time of the trial, as well as testimony that they say supports arguments that Echols and the two others are innocent.

'West Memphis Three' cases receive new hearing

On a dreary, overcast day in late November, I was allowed to talk to Echols for two hours about his conviction, his hopes and his most hated question -- the one he fears will follow him for the rest of his life, whether he is freed or not. I wasn't sure what to expect.

An advocate who arranged my interview with Echols cautioned that "Damien does not suffer fools gladly."

I remember thinking how pale and gaunt Echols, now 36 years old, appeared as he was escorted down a hallway to a seat behind a thick glass wall.

The handcuffs left bright red marks on his pale skin after they were removed.

"That looks like it hurt," I said. Looking down and rubbing his wrist, Echols replied softly, "It does."

He seemed a little surprised I would notice something like that. Echols says he has given hundreds of interviews, so many that there seems to be no question he would not be prepared to answer.

The one question that has always bothered him the most also is the most obvious: Did you kill those children? Echols believes the answer should be equally obvious.

Echols: After all the new evidence that we have that's come up now, it feels to me like I shouldn't have to answer that anymore, that people should be able to look at the evidence now and know that I didn't do it, without having to ask me that. I don't know. I don't know.

Mattingly: People are going to be watching you right now. They're going to be asking that question in their minds. They're going to be judging you.

Echols: I know.

Mattingly: I'll just ask you the question. Did you kill those boys?

Echols: No, I didn't. No, I didn't.

Mattingly: When you answer that, what's different now, compared to when you were on trial? Do you think people are listening now, who might not have been listening before?

Echols: I think so. I think you have some people now who are looking at the evidence, who do. It's been long enough for people to get past their emotions.

The evidence Echols talks about is DNA and the fact that not a single tiny cell was recovered from the crime scene that belonged to the three convicted teens.

Police did find a hair on one of the bodies that was a possible match to the stepfather of one of the victims.

The emotion Echols refers to is the fear and raw anger of a public that he believes was out for his blood. The investigation, arrests and trials fueled the outrage, producing nightly reports of grisly details and shocking headlines.

Echols seemed immune to it during his trial, appearing only to be what he describes as a "smart-ass" and "white trash" 18-year-old.

But some wounds cut to the bone and today his scars seem just as deep.

Echols was so interview-savvy that I was surprised when he suddenly got emotional.

Mattingly: Are my questions upsetting you right now?

Echols: It's hard. (pause) And I don't know why. Because you would think I'd be used to this by now. (long pause) I don't know. It-- it's hard. It-- it-- it-- like I said, it doesn't get any easier. And you would think I would be used to this by now. But-- you don't get used to this. (sighs)

And it does continue to get worse as time goes by. Knowing that -- you know, even if I were to go to trial today, and we were to present all this new evidence, and they were to find us not guilty, I would still, for the rest of my life, have people looking at me and asking me these questions about me, thinking these things about me. There's no way to-- for them to undo what's been done.

If the Arkansas Supreme Court dismisses his conviction and orders a new trial for the three men, it would be extremely rare.

But so far, Echols has beaten the odds.

Consider that under normal circumstances, my interview would have never taken place. Echols was originally scheduled to be executed in 1994.

Instead he sits alone in his cell while possibly thousands follow his case. He has won the support of celebrities like Johnny Depp and Eddie Vedder. Echols is also married to a woman who left her job and life behind to fight for him in Arkansas.

Not bad for a "smart-ass" "white trash" convicted killer.

Mattingly: If the court does eventually decide that you are innocent, you know what that means?

Echols: What?

Mattingly: That the killer is still out there.

Echols: Oh. Exactly. Yeah.

Mattingly: What would you want for that killer?

Echols: That's a hard question. Because my first instinct would be that he have to suffer everything that I've had to suffer for the past almost 18 years now. But I don't want to be that person. I don't want to be that angry. I don't want to be that bitter.

Easier said than done. There are people who remain convinced of his guilt and want him to die. That will never change.

After our interview, there was one comment from Echols I couldn't forget.

"I miss the stars," he said. "You know, I haven't seen the stars in years and years and years. I miss the rain. I miss food. I miss all these things. But what it comes down to the most -- and this is the thing that will scar me the most and that I'll carry with me as a scar the longest -- the thing I miss the most is being treated like a human being."

@highlight

Damien Echols is on death row for the 1993 murders of three boys in Arkansas

@highlight

He was convicted along with two others, all teenagers at the time

@highlight

Arkansas Supreme Court ruled in November to have the case reviewed

@highlight

That could result in a new trial for the "West Memphis Three"