Apple's latest tablet comes in a smaller, pocketable, gripable, adorable new travel size. But the iPad Mini is more than just a smaller face -- it's a whole new product with its own killer features and disappointments.

Joining the iPhone and 10-inch iPad in Apple's iOS lineup, the 7.8-inch iPad enters a crowded market of 7-inch tablets. Here's a closer look at the Mini and how it stacks up against its competitors.

The body

Applying the patented Apple shrink-ray wasn't the only change to the iPad body. The unibody shell is smooth and rounded on the back and edges -- more so than the 10-inch iPad. The lack of sharp edges makes it more confortable to hold in your hands.

The iPad Mini is also thinner and lighter than the 10-inch iPad. The device weighs 0.68 pounds and is 0.28 inches thick. That's thinner than the iPhone 5. Being lighter means your arm doesn't get tired as fast (which is good because the new mini Smart Cover isn't the sturdiest stand).

What else is so great about being small? Portability. Taking the 10-inch iPad outside of the house can be a bit of a slog. While it's a great replacement for bulkier laptops, it's still larger than a book. This little guy was built for reading books in cafes, watching movies in hammocks and playing games on the bus during the morning commute.

After extensive pocket testing, we found the iPad Mini fits in most back pockets, from baggy khakis to skinny jeans (just don't sit down). It's easy to hold it with one hand, though some daintier mitts might find palming it a bit more difficult. Toss it in a purse, a saddle bag or the glove compartment.

In many ways, this size feels more natural for a content-consumption device than the larger iPad.

The competition

While the 10-inch iPad dominates tablet sales around the world, the iPad Mini is the new kid in the mid-sized tablet market. A crop of 7-inch tablets on shelves start at $199, including Amazon's Kinlde Fire HD, Google's Nexus 7 tablet and Barnes & Noble's Nook HD.

The iPad Mini is different from these devices in a few key ways: It has a slighter larger and wider 7.8-inch screen, better hardware specs in most categories (screen resolution is a notable exception, which we'll revisit later), access to the simple and refined iOS operating system and Apple's vast selection of quality apps and content.

It also has a much higher price tag. The iPad Mini starts at $329 for the 16GB Wi-Fi only version. The top of the line iPad Mini is 64GB, can connect over Wi-Fi and cellular connections, and costs $659.

When choosing, you'll have to consider how important the Apple features are to you. Is the extra space and Apple ecosystem worth the extra $130? Avid readers and shoppers might get more out of a Nook or the Kindle Fire tablet, which is tightly tied into the Amazon store. (If you're only interested in reading, don't count out the amazing 6-inch, e-ink Amazon Paperwhite tablet.)

The iPad Mini also has a bit of friendly competition from its own big siblings. Apple is still selling multiple generations of 10-inch iPads: the iPad 2 and the newer iPad with "Retina Display" (Apple's term). That Retina iPad was upgraded last month to the fourth generation with a faster processor and a better camera.

The choice between Apple products largely depends on what you're going to use the device for. If it is a laptop replacement, sticking with the faster, larger, higher-resolution 10-inch iPad with Retina is still your best bet. The exception might be situations where the smaller size is a must-have feature, such as working in the field.

The price difference between the iPad 2 and the iPad Mini is negligible -- the iPad 2 is only $70 more -- so that decision comes down to size preference and specs like camera resolution. The iPad Mini has better cameras -- the same ones found on the newest 10-inch iPad.

The screen

This might be a sticking point for some buyers. The iPad Mini screen is basically the iPad 2 screen shrunk down to 7.8 inches. The two devices have the same number of pixels (1024-by-768), but the iPad Mini just packs them into a smaller space. The iPad 2 has 132 pixels per inch, the iPad Mini has 163 pixels per inch.

There are a few reasons Apple might have gone this direction. The benefit of using the iPad 2's display size is that all the apps designed to work on the iPad 2 will work perfectly on the iPad Mini, do developers don't have to redesign their products. Also, the full retina display found on the latest iPad would likely have been a huge drain on battery life.

(We didn't do official battery tests on the Mini, but we didn't need to charge it once in three days, even after streaming this Pearl Jam documentary on Netflix, testing out various apps and surfing the Web frequently.)

Touchscreen technology has marched on since the iPad 2. The third- and fourth-generation iPads both have 2048-by-1536, 264 pixels-per-inch Retina screens. All three of the main competing 7-inch tablets -- the Kindle Fire, Nook and Nexus 7 -- also have higher-resolution screens.

If you've never used a higher-resolution display, you might not even notice. But if you're already using a device with a better screen, the iPad Mini can look a bit grainy. It's like eating at In-N-Out Burger and then trying to go back to McDonald's.

What is great about the display is how it fills the front of the device. The edges around the touchscreen, called bezels, are incredibly thin on the left and right sides. Apple also tweaked the software so that the screen is less sensitive to an errant thumb resting on the front of the device.

Other specs

The screen isn't the only thing the iPad Mini got from the iPad 2. It is using the same processor, the A5. This processor is now two generations old, but it also doesn't have to power a big retina display, so it continues to feel speedy.

There are two speakers for some decent stereo sound (not one as originally thought, according to an iFixit teardown), and the iPad Mini uses the new lightning connecter port.

The cameras on the iPad Mini aren't as good as the iPhone 5, but they are exactly the same as what you'll find on the newest iPad. Taking a photo on the 10-inch iPad has always seemed awkward, but holding up an iPad Mini to take a quick video feels a bit more natural.

@highlight

The iPad Mini hits the spot with its perfectly portable size, but the price tag is high

@highlight

Buyers could be disappointed by the lack of a retina display on the Mini

@highlight

iPad Mini is great for consuming content, but 10-inch iPad is still best as a PC replacement