Longpont, France (CNN)An intense manhunt for two brothers wanted in the Charlie Hebdo magazine massacre focused Thursday on northern France's Picardy region, where sources close to the investigation said a police helicopter might have spotted the suspects.

Authorities believe that Cherif Kouachi, 32, and Said Kouachi, 34, entered a wooded area on foot, the sources told CNN's Chris Cuomo. Now investigators are using helicopters equipped with night vision tools to try to find them, the sources said.

Earlier Thursday, a police helicopter glimpsed what investigators believed to be the fugitives in the same area, near Crepy-en-Valois, France.

Police flooded the region, with heavily armed officers canvassing the countryside and forests in search of the killers. They came after a gas station attendant reportedly said the armed brothers threatened him near Villers-Cotterets in Picardy, stole gas and food, then drove off late Thursday morning.

About 10 kilometers (6 miles) from the gas station, police blocked a rural country road leading to the French village of Longpont. Authorities have not commented in any detail, but pictures showed heavily armed police officers with shields and helmets in the blocked-off area.

Hours later, a CNN team witnessed a convoy of 30 to 40 police vehicles leaving a site near Longpont.

Prime Minister Manuel Valls put the Picardy region on the highest alert level, that same level that the entire Ile-de-France region, including Paris, is already under.

As the search for the suspects intensified, details emerged about their past travels -- and possible training abroad.

Said Kouachi went to Yemen for training, a French official told CNN.  The training he received included instruction from al Qaeda's affiliate there on how to fire weapons, a U.S. official said, citing information French intelligence provided to the United States.

In addition to northern France, other parts of the country have also been under scrutiny.

More than 80,000 police were deployed nationwide Thursday, France's interior minister said.

Earlier Thursday, a gunman -- dressed in black and wearing what appeared to be a bulletproof vest, just like those who attacked the Charlie Hebdo offices -- shot and killed a female police officer in the Paris suburb of Montrouge. A municipal official was seriously wounded in that attack, France's interior minister said. One person was arrested, Paris Deputy Mayor Patrick Klugman said, though it's not known whether the shooter is still at large.

Authorities have called that a terror attack, but they haven't connected it to Wednesday's slaying of 12 at the satirical magazine's Paris headquarters.

Latest updates at 10:15 p.m. ET

• Investigators found empty containers and gasoline inside a car driven by the suspects in the Charlie Hebdo attack, according to U.S. and Western officials who say they received information from French intelligence about the vehicle. The suspects may have intended to use the items to make rudimentary explosives such as Molotov cocktails, the officials told CNN's Pamela Brown, Barbara Starr and Deborah Feyerick.

• The head of Britain's MI5 security service told an audience in London that his agency was offering French intelligence officials its "full support" as France responds to Wednesday's terror attack in Paris.

• Paris' iconic Eiffel Tower went dark Thursday night in remembrance of the victims of Wednesday's attack.

• In the United States, the Paris Las Vegas resort said it also planned to dim the lights on its half-sized replica of the tower Thursday night. "We stand with Paris in mourning the victims of the Charlie Hebdo attack," a spokeswoman for the hotel said.

Charlie Hebdo to publish next Wednesday

While its business is satire, Charlie Hebdo has been the subject of serious venom.

That includes its publication of cartoons lampooning the Muslim prophet, Mohammed, which some found very offensive.

Satirical magazine is no stranger to controversy

The magazine's offices were fire-bombed after that in 2011, on the same day the magazine was due to release an issue with a cover that appeared to poke fun at Islamic law.

It was attacked again Wednesday, when two masked men entered its offices not far from the famed Notre Dame Cathedral and the Place de la Bastille.

On their way into the building, they asked exactly where the offices were. The men reportedly spoke fluent French with no accent.

They barged in on the magazine's staff, while they were gathered for a lunchtime editorial meeting. The gunmen separated the men from the women and called out the names of cartoonists they intended to kill, said Dr. Gerald Kierzek, a physician who treated wounded patients and spoke with survivors.

The shooting was not a random spray of bullets, but more of a precision execution, he said.

The two said they were avenging the Prophet Mohammed and shouted "Allahu akbar," which translates to "God is great," Paris Prosecutor Francois Molins said.

Cell phone cameras caught the two gunmen as they ran back out of the building, still firing. One of them ran up to a wounded police officer lying on a sidewalk and shot him point-blank.

It was the deadliest attack in Europe since July 2011, when Anders Behring Brevik killed 77 people in attacks on government buildings in Oslo, Norway, and at a youth camp on the island of Utoya.

But it won't stop Charlie Hebdo. Pelloux told CNN affiliate BFMTV that thousands of copies of the magazine will be published next Wednesday. Proceeds from the issue will go to victims' families, France's Le Monde newspaper reported.

'It was their only mistake'

Authorities have released few details on why they've zeroed in on the Kouachi brothers. But they have pointed to one key clue found inside a getaway car the gunmen apparently used: Said Kouachi's identification card. It was discovered by investigators as they combed the vehicle for clues after impounding it.

"It was their only mistake," said Dominique Rizet, BFMTV's police and justice consultant, reporting that discovering the ID had helped French investigators

Other evidence also points to the brothers' involvement, according to U.S. officials briefed by French intelligence.

Police hunting for the Kouachi brothers have searched residences in a number of towns, Interior Minister Bernard Cazeneuve said.

Who are the suspects?

An ISIS radio broadcast Thursday praised the attackers, calling them "brave jihadists." There was no mention of a claim of responsibility for the attack.

Officials were running the brothers' names through databases to look for connections with ISIS and al Qaeda.

A third suspect, 18-year-old Hamyd Mourad, turned himself in to police, a source close to the case told the AFP news agency. In French media and on social media, classmates of Mourad, who is in his final year of high school, said he was with them at school at the time of the attack.

Cazeneuve said that nine people overall have been detained in connection with the Charlie Hebdo attack.

But the Kouachi brothers remain on the run.

'Parisians will not be afraid'

The victims' names were splashed Thursday across newspapers as heroes for freedom of expression. "Liberty assassinated." "We are all Charlie Hebdo," the headlines blared.

They included two police officers, Stephane Charbonnier -- a cartoonist and the magazine's editor, known as "Charb" -- and three other well-known cartoonists known by the pen names Cabu, Wolinski and Tignous. Autopsies on the victims were underway Thursday, Cazeneuve said.

Flags flew at half-staff on public buildings and events were canceled Thursday, a national day of mourning. Crowds gathered in the rain in Paris in the victims' honor, many holding up media credentials and broke into applause as the silence ended. The bells of Notre Dame Cathedral tolled across the city.

"I can't remember such a day since 9/11," said Klugman, Paris' deputy mayor. "The country really is in a kind of shutdown in respect and memory of the 12 people killed."

The day earlier, thousands poured into streets in hordes in a show of solidarity, holding up pens and chanting, "We are Charlie!" Similar demonstrations took place in cities in addition to Paris, including Rome,

On Thursday, demonstrators once again vowed that nothing would silence them.

Standing in Paris' Place de la Republique, Lesley Martin sounded defiant as she waved an "I am Charlie" sign.

"I am not afraid," she said. "Tonight I'm here and, if tomorrow I have to be here, I don't care if anybody comes and just wants to do something really bad here. I'm not afraid to die."

Cartoonists took a profane aim at the world

CNN's Atika Shubert reported from France, CNN's Greg Botelho and Catherine E. Shoichet wrote this story from Atlanta. CNN's Christiane Amanpour, Laura Smith-Spark, Pamela Brown, Barbara Starr, Deborah Feyerick, Jim Sciutto, Jim Bittermann, Ben Brumfield, Jethro Mullen, Khushbu Shah,  Anas Hamdan, Max Foster, Greg Morrison, Bryony Jones, Michael Martinez and Ray Sanchez also contributed to this report.

@highlight

Items found in suspects' car could have been used to make explosives, officials say

@highlight

Sources say police believe they spotted the suspects on foot

@highlight

Nine arrested in Charlie Hebdo shooting but not the main suspects