Some 6.8 million college students will graduate in China this summer, an exhilarating time for students and their families alike.

I know the feeling: Michelle, my 21-year-old daughter, has just graduated from college too.

When I got my history diploma at Peking University in 1981, the only memorable ceremony we had was a group photo with fellow history majors and our teachers.

Over the years, graduations from Chinese universities have become elaborate affairs with students dressed in black gowns strutting the red carpet at formal ceremonies, before posing for the obligatory group pictures.

This year, some students are breaking with convention -- striving to project their individuality, exercise free speech or simply to be a bit naughty and different.

Several photos recently posted on Chinese micro-blogging sites show graduates illustrate this. One particularly eye-catching example shows advertising majors at Jinan University in Guangzhou standing in front of a banner which reads "Jinan University Advertising Department, you f***ed my youth!" Each graduate also holds a printout expressing his or her personal wish, such as finding a wealthy wife.

The picture predictably attracted a huge response.

"It is innovation," gushed one micro-blogger. "It is freedom."

"What a great campaign by ad majors," enthused Bill Bishop, an independent media consultant in Beijing. "Any ad agency would be lucky to have young folks who can create such a stir online so quickly."

Not everyone is impressed.

"Now the graduation photos of college students excessively pursue unconventional and new things in order to be different," said blogger Liang Mutian. "It's a bit too much!"

Chinese writer and cultural critic Liu Yang agreed. "If I hire people, I wouldn't hire any students from this university and would put this university on the blacklist."

But Liu's comments also came under fire.

"Why not look at the question with a more relaxed perspective?" asked one netizen known as Luzhou Gudao. "Maybe this last craziness will become the students' precious memories."

Another, called Jellyhahaha, wrote: "Come on, put me on the blacklist too. This picture shows the spirit of fighting for freedom in this so-called 'harmonious country.' I think the future of China can be even better if it is determined by these graduates instead of those treacherous fakers."

For some observers, the whole debate is about China's generation gap.

The older generation grew up experiencing the poverty and chaos of the Cultural Revolution. Governed by rigid rules and puritan conventions, they typically followed rules, or at least feigned compliance.

Three decades of economic reform and the "open-door" policy have brought higher living standards, a modern lifestyle and more freedom.

Traditional Chinese reticence is disappearing as a result.

Meanwhile, only children dominate the current generation of young Chinese -- a legacy of China's one-child policy, instituted in 1978.

They belong to a generation for whom prosperity and personal freedom are more the norm, rather the exception. China's opening to the outside world has made them better informed, extremely curious and adventurous.

Most of this year's graduating class belongs to the "jiu ling hou," or post-90s generation. Critics stereotype them as self-centered, naÃ¯ve, spoiled and rebellious. They are also labeled as lazy, promiscuous and confused.

But others describe them as intelligent, innovative, curious and tech-savvy.

"These are misconceptions and sweeping over-generalizations," Zhao Ding, a 26-year-old white collar worker in Beijing.  "We are different but we are maturing."

A survey conducted by the Horizon Research Group, a Beijing-based independent research firm, found that among 2,099 university and middle school students sampled from China's five largest cities, urban Chinese born in the 1990s have more disposable money and greater say in family spending.

The survey also showed this generation still retains a realistic attitude about consumption, despite being portrayed as the "spoiled generation."

"It's just a label," said Zhang Dayu, 20, who is graduating this month. "Older generations harbor stereotypes of our generation, saying we are extravagant, we are not socially responsible. Not true."

But Zhang concedes many of his contemporaries are self-centered. "We are more individualistic," he said. "We have a strong desire to express ourselves in unique and sometimes crazy ways."

This is why some students have posted various crazy -- even brazen -- photos on microblogs.

One shows a man running naked, supposedly celebrating his graduation on the campus of Fudan University, a top-rated school in Shanghai, while another shows a group of youths in their graduation gowns posing for a picture while the building behind them appears to be on fire.

"In most cases, it's just people wanting fame -- using the pretext of protest in some cases," said Eric Fish, a graduate student in journalism at Tsinghua University. "With the graduation photos, it just seems like what graduates would normally do in a lot of other countries."

Why is this significant?

"It perhaps says something about the freedom these young people feel now, especially when they're graduating and free from school authorities. I doubt some of the behavior in these pictures would have been tolerated 10 or 20 years ago," Fish said.

"This is just the result of young Chinese people starting to enjoy many of the same personal freedoms as their peers abroad: silly, naughty photos are a part of student life everywhere, and China is no different," explained Jeremy Goldkorn, founder of Danwei.org, a website and research firm that tracks the Chinese media and Internet.

Compared to their American counterparts, Zhao Ding thinks her contemporaries are still rather conservative. "The spirit is the same," said the 26-year-old literature graduate.

"Before you enter the adult world, where there are rules and conventions, you savor the last chance and last moment to indulge in teen spirit."

For some, the reminders of rules have come quickly. Many graduates have been pressured to delete their "crazy" pictures from their microblogs.

@highlight

Some young students in China are using their graduation photos to project their individuality

@highlight

Posted on social media, photos show students with provocative signs or running naked through their campus

@highlight

Critics say they excessively pursue unconventional and new things in order to be different

@highlight

But others say this is a result of students starting to enjoy the same personal freedoms as their peers abroad