(CNN) -- Mississippi has kept its U.S. heavyweight title for a fifth straight year, among both adults and children.

Adult obesity rates went up in 23 states in the past year, a survey shows.

The percentage of adults classified as obese went up in 23 states, but Mississippi, with 32.5 percent, stayed atop the latest annual rankings by the Robert Wood Johnson Foundation and the Trust for America's Health. The same survey put the state's adult obesity rate at 31.7 percent in 2008.

In addition, 44.4 percent of Mississippi children ages 10 to 17 are classified as overweight or obese, the study found.

Doctors have linked obesity to increased risks of a variety of conditions, including diabetes, hypertension, arthritis and heart disease. Wednesday's study found the current U.S. economic slump could worsen the problem by putting more nutritious food out of the reach of struggling families.  See a map of obesity in the U.S. »

"At the same time, safety-net programs and services are becoming increasingly overextended as the numbers of unemployed, uninsured and underinsured Americans continue to grow," the report states. "For many people, too, worries over the recession are triggering increased depression, anxiety and stress, which often can be linked to obesity."

Dr. Ed Thompson, Mississippi's state health officer, called the report -- which was drawn from state figures -- "old data rehashed." But he said the state is taking steps to address what he called "a multifaceted problem," targeting schoolchildren in particular.

Thompson said teachers not only are trying to educate students about the importance of good nutrition and exercise, they are changing schedules to increase the amount of physical activity students experience in a day. In addition, lower-calorie, lower-fat foods are replacing some high-calorie, high starch lunchroom staples, he said.

"We can't tell our children to eat wise dietary choices and then provide them with little except for poor dietary choices in their school cafeterias," Thompson said.

Rounding out the top five states among adults were West Virginia, with 31.2 percent of its population considered obese; Alabama, 31.1 percent; Tennessee, 30.2 percent; and South Carolina 29.7 percent.

At the bottom of the rankings, Colorado had the lowest percentage of obese adults, with 18.9 percent. It was followed by Massachusetts, at 21.2 percent; Connecticut, 21.3; Rhode Island, 21.7; and Hawaii, 21.8. Even in those states, the obesity rate grew by fractions of a percent since 2008, according to the study.

Thompson said most adults know they should eat less and exercise. "The hard part is getting people to actually practice these things," he said.

"Our work lives require less physical exertion than they used to," he said. "With less physical activity, we should have adjusted our dietary consumption downward."

While deep-fried Southern cooking is legendary, Mississippi also ranks high in poverty statistics and low in education -- two factors commonly related to obesity. But Thompson said education appears to be more closely related to obesity than poverty.

"We do see obesity among people who are in lower socioeconomic levels, but we see it in higher socioeconomic levels as well," he said. "Being poor does not not make you obese, and being rich does not make you thin."

The survey used the Body Mass Index standards set by the U.S. Centers for Disease Control and Prevention. The CDC defines someone as obese if they have a BMI -- a figure based on a ratio of height to weight -- of 30 or more, while anyone with a BMI between 25 and 30 is considered overweight.  Calculate your Body Mass Index »

Adult obesity rates went up in 23 states in the past year, with 31 states now reporting rates over 25 percent. By comparison, no state topped 20 percent in 1991, the survey's authors reported.

@highlight

Survey: 44.4 percent of Mississippi children ages 10 to 17 are overweight or obese

@highlight

Economic slump could put more nutritious food out of the reach of struggling families

@highlight

Other top states were West Virginia, Alabama, Tennessee, South Carolina

@highlight

The survey used the Body Mass Index standards set by the CDC