(CNN) -- A minute before three o'clock on Saturday, Peter Rebak will be scouring the stands of the Harry Abrahams Stadium looking for dissent.

Not that his football club is used to crowd trouble. Wingate & Finchley play in the Rymans Premier League, the seventh tier of English football. Second from bottom in the division the club's fans are in the hundreds, rather than thousands.

But on Saturday, Wingate & Finchley will do something unique: They are the only football club in England to announce that they will hold a minute's silence for former British Prime Minister Margaret Thatcher -- MP for Finchley between 1959 and 1992 -- who died of a stroke at the age of 87.

"I don't care if people support her or not but I do expect everyone there to behave themselves," the 60-year-old Rebak, who is the club's former chairman, told CNN. This is irrelevant to politics."

"If anyone wants to misbehave I'll personally go down and throw them out."

International grief

When Thatcher's death was announced earlier this week, tributes poured in from around the world. Obama, Gorbachev, Netanyahu; political heavyweights one and all. But closer to home the eulogies were more abrasive.

Those on the right revered her as the woman that confronted the unions and "saved" the country, as current Conservative Prime Minister David Cameron put it in a recent speech.

Those on the left lambasted her for laying waste to the industrial north, responsible for massive unemployment in football's heartlands: Manchester, Newcastle and Liverpool among others.

Two English Premier League chairman -- Dave Whelan of Wigan and John Madjeski of Reading, both of whom were also Conservative party donors -- suggested that a minute's silence would be appropriate before this weekend's matches.

"We owe Mrs. Thatcher a minute's silence," Whelan had told the BBC ahead of his side's FA Cup semifinal against Millwall on Saturday.

"It is not my decision, it is for the FA to decide, but I would be in favor of wearing an armband out of respect to Mrs. Thatcher."

But the response from the fans was furious and the English Football Association decided against it.

"A minute silence is to mark and remember football people. Great football people. Or moments of national tragedy where all unite, say 9/11 or Remembrance Sunday," explained David Conn a football writer for The Guardian newspaper.

"It was above politics. They have never had a minute's silence for a political figure. By definition it is divisive."

Another battleground

Football, Conn explained, had never been looked on kindly by Thatcher.

"She presided over the worst decade for [English] football in its history," he said.

"There were problems with supporters fighting. All that was done was to vilify and control supporters.

"She hated football. She regarded football fans as the 'enemies within'. She wanted to batter football intro submission. She saw it as another area of insurrection."

The "enemies within" was also a phrase Thatcher used to describe the unions, the battle which perhaps more than any other defined her time in office.

To try and curb hooligan violence at football matches, fences were erected around each pitch. An ID card scheme for every fan, with draconian jail sentences for anyone found without one, was piloted at Luton Town.

But the violence continued. When the Heysel disaster took place at the 1985 European Cup final between Liverpool and Juventus, leaving 39 fans -- 32 of them Italian -- dead, Thatcher insisted that English teams be withdrawn from European competition.

The ban remained for five years

Hillsborough

But football's nadir came four years later at Hillsborough.

Ninety six Liverpool fans were killed in a stadium crush during an FA Cup semifinal in 1989. The government and the police blamed Liverpool fans for deaths, while British tabloid newspaper The Sun ran lurid stories of the supporter's complicity in the tragedy, all of which were late to be found to false.

"Liverpool was one of the few British cities that actually stood up to Thatcher and her policies. The city's trade unionists and politicians were a constant source of irritation to her," said Tony Barrett, the Merseyside football writer for The Times newspaper.

"She didn't get us and we most certainly didn't get her. The problem with that relationship is that she wielded the power and she allowed Liverpool to crumble.

"As a child growing up in 1980s the signs of mass unemployment, urban decay and grinding poverty were everywhere. She couldn't have cared less."

Twenty years later Liverpool's fans were exonerated of any wrongdoing with the release of the Hillsborough Independent Panel report.

Low safety standards and poor policing were blamed. The report also exposed two decades of cover ups. David Cameroon stood in the House of Commons and apologized. The city never forgot the person who they saw as being ultimately in charge at the time.

"On Hillsborough, it is difficult to identify or establish exactly what role Thatcher played, if any, in the cover up that followed the disaster," added Barrett.

"There is evidence that came to light following the publication of the Hillsborough Independent Panel report last September, which proves that Thatcher was not happy with the interim report from Lord Justice Taylor.

"The report laid the blame where it belonged - at the door of South Yorkshire Police - and she made it clear that she was not happy about that.

"The suspicion of the Hillsborough families and their supporters is that Thatcher's involvement went beyond this."

Thatcher's legacy?

Rebak sees Thatcher's influence on the game in a different way.

He argues that Thatcher saved football from itself. "When you look at the 80s English football was terrorized by hooligans and derelict stadia," he says.

"She said, this could not continue. The hooligan element was destroying English football."

Shortly after Hillsborough the Taylor Report's review of the tragedy changed the game forever. Stadiums became all seater and safety was improved.

The influx of money from Sky Television -- owned by Rupert Murdoch -- then revolutionized the game, playing a big part in turning English football in to the global entertainment product it is today, for good or ill.

Yet Rebak claims the club decided to have a minute's silence, not out of politics, but because Thatcher was a patron the club and, in one of her last acts as MP for Finchley, helped save it from going out of business.

Humble roots

Wingate FC was founded in 1946 by British Jewish soldiers returning from the Second World War.

"The aim was to fight racism. Initially it was anti-Semitism and that changed through time to anti-discrimination," explained Rebak.

The club's name derived from an eccentric British army officer called Orde Wingate, a pioneer in modern guerrilla warfare that trained what would become the Israeli Defense Force.

"They [the returning soldiers] believed the only way to increase friendship was sport, between faiths and races. To play against each other and with each other," added Rebak.

The club eventually bought their Hall Round ground. The England 1966 World Cup squad even trained there once before the tournament.

When the ground was knocked down to make way for a new motorway, the club was homeless, though it had money in the bank.

By 1991 it was mooted that the club merge with nearby Finchley, which had a dilapidated stadium but no money.

"It wasn't important, it was essential," said Rebak of the merger, who was chairman at the time of Thatcher's intervention.

"She accepted the two clubs should merge in 1991. And she played a major role in bringing the two clubs together and assisting us. She would tell us who to contact, speak to them, helped with the new lease.

"She thought it was good idea. She came to the ground once. It was only 100 yards from her Finchley office."

Wingate & Finchley are in a tiny minority.

Only two other sports teams have declared they will allow a minute's silence before the game: top division rugby union clubs Exeter Chiefs and Saracens, which is also found in Thatcher's old Finchley constituency.

"We have a sold out match and we are fairly confident that the overwhelming majority of Saracens supporters will approve," said Saracen's chief executive Edward Griffiths.

"If on Saturday someone interrupts a minute's silence, then that is democracy. We live in a free country, something Thatcher worked for as much as anyone to protect."

Another minute's silence

Just over an hour's drive west of Finchley, at exactly the same time on Saturday afternoon, a very different minute's silence will begin before Reading's match against Liverpool: to mark the 24th anniversary of Hillsborough.

Initially Madjeski -- the Reading chairman -- had suggested a minute's silence for Thatcher too.

"If they do hold a minute's silence for Margaret Thatcher, I think they are making a big mistake," said Margaret Aspinall, chair of the Hillsborough Family Support Group, who lost her 18 year old son in the tragedy.

"Somebody fed [Thatcher] those lies, I think she was part of it and she knew about it. That's why I feel the way I do."

But Madjeski backed down, realizing that silence was unlikely.

"[Hillsborough is] the only minute's silence there should be this weekend," agreed Liverpool coach Brenden Rogers.

Divine intervention

Rebak isn't sure how many will be at the Harry Abrahams Stadium on Saturday when Wingate & Finchley takes on Kingstonian F.C. in their vital relegation clash. "Maybe 500 or 600 and some away fans too," he estimates.

He'll be keeping an eye out, hoping that the match will pass without intervention. Or, at the least, not the intervention he fears.

"We need a good three points," said Rebak. "Maybe we can get some divine intervention from Mrs T."

@highlight

Debate over whether a minute's silence should be held for Margaret Thatcher before this weekend's sporting fixtures

@highlight

English Premier League will not insist on the tribute

@highlight

Thatcher was a controversial figure in sport, especially football

@highlight

Only tiny Wingate & Finchley from Thatcher's own constituency has said it will hold a minute's silence