After the firestorm over Edward Snowden's disclosure of U.S. surveillance programs, the most contentious aspect revealed by last year's classified leaks will continue under reforms announced Friday by President Barack Obama.

Someone will still collect records of the numbers and times of phone calls by every American.

While access to the those records will be tightened and they may be shifted from the National Security Agency to elsewhere, the storage of the phone metadata goes on.

For that reason, civil libertarians, members of Congress and others complained that Obama failed to go far enough in what his administration labeled as the most comprehensive intelligence-gathering reforms since he took office in 2009.

In his 45-minute speech at the Justice Department, Obama unveiled new guidance for intelligence-gathering as well as reforms intended to balance what he called the nation's vital security needs with concerns over privacy and civil liberties.

By making the changes after a review he ordered following the Snowden disclosures, Obama put his signature on the U.S. intelligence operation and helped define his legacy as a chief executive who had promised a more open and transparent government when he entered the White House in 2009.

He outlined a series of steps -- some immediate and some requiring time to work out, possibly with Congress -- that would change some aspects of the NSA collection of phone records and other information but generally leave intact the core and function of existing programs.

Obama also addressed concerns abroad that the United States spies on ordinary people as well as allied leaders. Snowden's disclosures showed U.S. surveillance of personal communications of leaders in Germany, Brazil and other allies.

"The United States is not spying on ordinary people who don't threaten our national security" Obama said, adding that "unless there is a compelling national security purpose, we will not monitor the communications of heads of state and government of our close friends and allies."

Obama not dwelling on Snowden

Before Obama spoke, a senior administration official who briefed reporters on condition of not being identified said the President's assurances of no further spying on foreign leaders extended only to "dozens" of heads of state and government of U.S. friends and allies.

Initial reaction indicated those favoring robust intelligence gathering agreed with the President. Director of National Intelligence James Clapper said Obama "took a measured and thoughtful approach," while Defense Secretary Chuck Hagel said he supported the reforms.

House Speaker John Boehner warned Obama against allowing politics to "cloud his judgment" over maintaining what the Ohio Republican called necessary programs for national security.

"The House will review any legislative reforms proposed by the administration, but we will not erode the operational integrity of critical programs that have helped keep America safe," Boehner said in a statement.

On the other side, Republican Sen. Rand Paul of Kentucky said the speech deserved "an 'A' for effort and probably a 'C' for content," while WikiLeaks founder Julian Assange told CNN that it was  "embarrassing" for a head of state to speak so long and "say almost nothing."

"Unfortunately, today, what we see is very few concrete reforms," said Assange, who noted that Snowden intends to publicly respond to Obama's speech as soon as next week.

Sen. Bernie Sanders of Vermont, an independent who caucuses with the majority Democrats, called Obama's speech an first step in a necessary dialogue on balancing security needs with privacy rights in the digital age.

"The devil is going to be in the details," Sanders said, adding that the discussion will continue for years as technological capabilities expand.

Obama: Intel has helped us

Obama's changes to the controversial NSA telephone bulk collection program disclosed by Snowden require intelligence analysts to get approval from the Federal Intelligence Surveillance  Court to go into the metadata stored by the agency.

Today, the NSA determines when analysts can examine the metadata, a senior administration official told reporters on condition of not being identified.

"That is no longer an issue that is dealt with solely within the NSA," the official said. "They have to bring it to the FISA court."

In addition, Obama said he ordered Attorney General Eric Holder to work with intelligence officials on finding another place to store the metadata records that include phone numbers and the length of calls, but not content.

Obama also called on Congress to authorize establishment of a new panel of outside advocates to participate in "significant cases" before the secret FISA courts that handle intelligence collection issues.

Another step extended U.S. legal protections involving surveillance to foreign nationals, noted CNN Chief National Security Correspondent Jim Sciutto, who called the President's speech extraordinary in one way for publicly addressing what had been top-secret programs seven months ago.

However, Sciutto noted Obama's reforms made no mention of losses by U.S. technology businesses around the world due to concerns that customers would be spied on under the programs disclosed by Snowden's leaks.

Some critics on both sides of the political aisle contend collection of such vast amounts of information violates personal privacy.

Democratic Sens. Patrick Leahy of Vermont and Tom Udall of New Mexico said they intend to continue pushing legislation to limit the metadata collection beyond what Obama proposes.

Republican Rep. Justin Amash of Michigan said that "Congress must do what the President apparently will not: end the unconstitutional violation of Americans' privacy, stop the suspicionless surveillance of our people, and close the era of secret law."

In his speech, Obama argued that national security depended on access to such data as long as it was under proper control and regulation.

Read Obama's remarks

"No evidence of abuse has been found involving surveillance programs, but changes are needed in response to legitimate privacy concerns that have been raised, Obama said.

The new guidance he issued declared the United States will not collect intelligence "for the purpose of suppressing or burdening criticism or dissent, or for disadvantaging persons based on their ethnicity, race, gender, sexual orientation, or religion."

Offering a historical review of U.S. intelligence gathering, Obama recalled events in American history going back to Paul Revere's famous ride.

The 9/11 terrorist attacks raised the profile and priority of U.S. intelligence efforts, the President said, and now technological advances that allow supercomputers to gather huge amounts of digital data have complicated efforts "to both defend our nation and uphold our civil liberties."

Obama and the bottom line

Obama remained critical of Snowden, who is now living under asylum in Russia, following his series of leaks that began last June and transformed the debate on national security surveillance in the post 9/11 era.

"Our nation's defense depends in part on the fidelity of those entrusted with our nation's secrets," Obama said. "If any individual who objects to government policy can take it in their own hands to publicly disclose classified information, then we will never be able to keep our people safe, or conduct foreign policy."

While the bulk telephone data remains with the NSA for now, Obama wants those records moved out of government hands, though it is uncertain where, a senior administration official said in briefing reporters on condition of not being identified.

Federal courts are divided on NSA telephone data collection. One judge in Washington ruled  preliminarily in December that it was probably unconstitutional on privacy grounds. A second judge ruling in another case in New York subsequently found it lawful.

@highlight

House Speaker John Boehner says any changes can't harm national security

@highlight

President Barack Obama issues new guidance for intelligence-gathering

@highlight

An advisory panel recommended in December that government better protect civil liberties

@highlight

Leaks by Edward Snowden exposed scope of NSA electronic surveillance