Washington (CNN) -- President Obama's recess appointments to a federal agency-- made without Senate confirmation-- will be reviewed by the Supreme Court, the court announced Monday. It will mark a major constitutional test of executive power.

At issue is whether three people named to the National Labor Relations Board lack authority because the presidential appointments were made while the Senate was technically in a "pro forma" session during the 2011-12 winter holiday break.

The case sets up a high-stakes Supreme Court fight between the other two branches of government. Oral arguments will be held in public session later this year or early next.

Republican and Democratic lawmakers in the past have used the "virtual Congress" tactic to block unilateral appointments by the president when the Senate is away.

A federal appeals court in January determined the NLRB "could not lawfully act, as it did not have a quorum."

Republicans had claimed the appointments to the board created a panel that was overly pro-union, and an eventual high court ruling could invalidate hundreds of findings issued over the past two years.

What the justices decide could also put in jeopardy the recess appointment of Richard Cordray, who heads the Consumer Financial Protection Bureau, a move also being challenged in a separate lawsuit.

"Allowing the president to define the scope of his own appointments power would eviscerate the Constitution's separation of powers," said the judges from the U.S. Court of Appeals for the District of Columbia Circuit in their January 25 ruling. "An interpretation of 'the recess' that permits the president to decide when the Senate is in recess would demolish the checks and balances inherent in the advice-and-consent requirement, giving the president free rein to appoint his desired nominees at any time he pleases, whether that time be a weekend, lunch, or even when the Senate is in session and he is merely displeased with its inaction. This cannot be the law."

Justices to hear abortion-related case for review

The White House has said it believes the pending case will not affect Cordray's appointment, but did express displeasure with the appeals court's January action.

"The decision is novel and unprecedented. It contradicts 150 years of practice by Democratic and Republican administrations," said Jay Carney, White House press secretary. "So we respectfully, but strongly disagree with the rulings. There have been -- according to the Congressional Research Service -- something like 280-plus intra-session recess appointments by Democratic and Republican administrations dating back to 1867. That's a long time and quite a significant precedent."

There was no immediate reaction from the White House or congressional leaders Monday to the Supreme Court's decision to intervene and offer the final legal word.

Eighteen months ago, Obama had defended his moves after Senate Republicans earlier blocked giving Cordray a floor vote.

"When Congress refuses to act and as a result hurts our economy and puts people at risk, I have an obligation as president to do what I can without them," the president said in January 2012. "I will not stand by while a minority in the Senate puts party ideology ahead of the people they were elected to serve."

Senate Republicans had applauded the earlier court decision.

"The D.C. Circuit Court today reaffirmed that the Constitution is not an inconvenience but the law of the land, agreeing with the owners of a family-owned business who brought the case to the court," Senate Minority Leader Mitch McConnell said in a written statement.

Some GOP lawmakers also accused the president of flip-flopping on the issue. When he was a senator, Obama criticized then-President Bush's recess appointment of John Bolton as ambassador to the United Nations.

High court poised for a week of high-stakes rulings

Cordray was named the same day as the three NLRB appointments, which gave the board a full panel for the first time in a year. Two of the members were Democrats, the other a Republican.

The lawsuit was brought by Noel Canning, a family-owned Yakima, Washington, bottling company, which complained the NLRB unfairly ruled in favor of Teamsters Local 760 during contract negotiations. Company executives said the board lacked a binding quorum because the recess appointments made by Obama were not legal.

"Small-business owners throughout the country have suffered under the unabashedly pro-union decisions handed down by the NLRB," said Karen Harned, executive director of the National Federation of Independent Business, which filed an amicus brief in the case. "They deserve to be protected from unconstitutional acts that exacerbate the NLRB's devolution from a neutral arbiter between labor and employers to a pro-union government agency."

The issue has sharpened tensions between the White House and Congress. The nation's founders placed the power to make recess appointments in the Constitution to ensure government could operate, back when Congress did not meet year-round. Over the decades, presidents of both parties have used them for political and practical purposes.

Since May 2011, Republicans have been relying on a little-known procedure to keep the chamber in session, even when it was not really conducting any business -- in order to stop the president from making those recess appointments.

The legal basis comes from a 1993 Department of Justice brief saying the president should act only if the Senate is in official recess more than three days.

So, party leaders had arranged for a single Republican lawmaker to show up every three days and gavel the Senate to order, wait around for a while, gavel it to a close, then leave.

Legal experts have disagreed on both the tactical and timing procedures by the Senate, and whether the president has unilateral authority to override those legislative tactics.

The case to be decided by the high court is Noel Canning v. NLRB (12-1115).

@highlight

President Obama had appointed NLRB members during a Senate holiday break

@highlight

Lawmakers had used a "virtual Congress" tactic to prevent such appointments

@highlight

A U.S. Court of Appeals had ruled the appointments unconstitutional