Beijing (CNN) -- As China looks to usher in its next generation of leaders, one of the messiest political scandals to hit the ruling Communist Party in years continues to fester.

Two weeks after Gu Kailai was given a suspended death sentence in connection with the death of a British businessman, many are wondering: What will happen to her husband, Bo Xilai?

Bo, 64, is a Communist Party "princeling." His father was a contemporary of Chairman Mao and Deng Xiaoping, and until recently Bo was a rising star in Chinese politics.

He was already in the party's 25-member Politburo and was seen as a contender for the nine-member Standing Committee that runs China.

But his political career unraveled abruptly when his wife, a lawyer and business consultant, was accused of murdering businessman Neil Heywood.

Gu Kailai avoids execution

Gu's recent trial and conviction was swift. Although short in credibility, it has allowed Bo's political rivals to sideline him.

He has been in detention since April after being removed from his post in the Politburo and as the Party chief in Chongqing, a sprawling city in southwest China of more than 30 million people.

Curiously, Gu's trial avoided any connections between Bo and the murder. In fact, Bo's name was not even mentioned during the seven-hour trial.

Murder trial at heart of Chinese political scandal

Analysts say Bo would probably escape criminal charges but is likely to be expelled from the Chinese Communist Party (CCP).

"Getting expelled from the CCP is the nail in the coffin," said David Zweig, a professor at the Hong Kong University of Science and Technology.

Still, some analysts say Beijing is handling Bo with care.

"Excessively harsh treatment of Bo may cause a small earthquake in the political system because he is part of this network of princelings who also occupy important positions in the government and the military," said Wenfang Tang from the University of Iowa in the United States.

Gu Kailai, the woman who had it all

The Bo affair has already sparked China's most serious political crisis in decades and has revealed fissures in the top echelons of the normally opaque Communist Party.

"(Bo) was definitely part of this factional warfare," said Geremie Barme, a Sinologist and author who teaches at the Australia National University. "I think of Chinese factions as developing the moment somebody falls foul of the system."

This infighting comes ahead of the 18th Communist Party Congress.

Bo Xilai's fall from grace

Much is at stake.

The Congress, likely to be held in October, will announce the new lineup of leaders who will run China in the next decade. Jockeying for top positions is at final stage.

Another hot issue is the size of the Standing Committee, currently a nine-member body that runs the country.

Some reports say the new body might be pared down to seven members to make it more nimble and efficient -- and to drop from the elite body one slot reserved for the head of the Communist Party Central Commission on Political and Legal Affairs.

This Leninist body manages China's police, judges, lawyers and courts nationwide. It is now headed by Zhou Yongkang, believed to be an ally of Bo.

Bo and Gu on trial, in different ways

Other reports say it will remain a nine-member body to accommodate more representatives of the various factions.

Just as contentious are debates over policies.

"I suspect the agenda of the Congress will include such issues as social welfare, energy, environment, inequality and anti-corruption," said Zweig.

Ironically, they are some of the issues that Bo championed in Chongqing.

"Websites suggest Bo has public support ,but the new leadership can have 'Boism without Bo,' which means more housing for the poor, efforts to narrow inequality and fight corruption," Zweig added.

Chinese media last week said the Party is launching yet another five-year plan to curb corruption.

Lately the Chinese media have reported a slew of egregious graft cases.

For example, Wang Guoqiang, the party chief of Fengcheng city in northeastern Liaoning province, has reportedly fled to the U.S. allegedly with a loot of over $31 million, while Chinese police have put on their wanted list a certain Feng Sun -- the president of a local bank in Jiangying, Jiangsu province -- who is believed to have fled to Thailand with this family with stolen assets worth millions of dollars.

Small fry are easily caught.

In Shaanxi province, a village party chief was recently sentenced to 12 years in prison for allegedly swindling friends and the local government of millions in public funds, including money allocated for road construction.

"Corruption is one of the top reasons for the public dissatisfaction with the government," said Tang. "Clearly it hurts the very legitimacy of the CCP rule."

Yet, despite repeated campaigns, the CCP has failed to eliminate the scourge.

One reason, China watchers say, is its sheer prevalence in and outside the Party. "It's hard for a leader to stay clean when people find clever ways to bribe his or her spouse and other family members," Tang said.

The Party faces the other challenge of managing people's expectations.

"Things are a lot better now, but certainly there are a lot of people who are not doing well," observed Mike Chinoy, a former CNN correspondent and now a senior fellow at the University of Southern California's U.S.-China Institute in Los Angeles.

"The party needs to figure out how to be more responsive to the people. They can't just rule by dictate."

That is no longer possible, Chinoy explained, because of the emergence of the Internet and social networking services such as China's Twitter-like service, Weibo.

"The party cannot just tell people what to do," he said. "It's a much more interactive, back-and-forth process, so it's a brand new world for the party."

Adapting to the changing times, he added, will be the underlying theme of the upcoming Communist Party Congress.

@highlight

Bo Xilai was a rising star in China's Communist Party before being removed from office

@highlight

His wife, Gu Kailai, was recently convicted of murdering a British businessman

@highlight

The Bo affair has already sparked China's most serious political crisis in decades

@highlight

Analysts believe it has highlighted fissures in the top echelon of the Party