(CNN)Rubén García Villalpando was supposed to arrive home from work on a Friday evening in February.

But he never again pulled into the driveway of the home in suburban Dallas where he lived with his wife and four children.

The 31-year-old welder died that night after a police officer shot him twice in the chest.

Villalpando was unarmed, but in early reports about the shooting, police said an altercation erupted after he disobeyed an officer's commands during a traffic stop.

It wasn't until hours after the shooting that his wife says she got a call from police, telling her what had happened.

Now, questions swirl through Marta Romero's mind.

How will their children grow up without a father? Will authorities take the case seriously or toss it aside because of her husband's immigration status and the fact that the man who opened fire was a police officer, not a civilian? And what happened that night to make something so horrible happen?

"If my husband had killed a police officer, he would be in jail," she said. "But since it was the opposite, will they just leave it this way? Because an officer killed a man, because he killed an illegal and nothing more? What are a human's rights then? Now an animal gets more rights than a man."

Villalpando is one of three Mexican nationals killed in U.S. police shootings in the past month, sparking sharp criticism from Mexico's Foreign Ministry and a call for the U.S. Justice Department to investigate. Pressure for authorities to take a deeper look at the controversial case is also coming from north of the border.

At a City Council meeting in Grapevine, Texas, last week, Romero and her children were among a group holding signs that said "Justice for Ruben" and chanting, "Hands up! Don't shoot!" -- the phrase that started as a call to action after the shooting death of Michael Brown in Ferguson, Missouri, and has now become a rallying cry across the country in protests against police violence.

Police said it's too soon to say exactly what happened that night. Investigators have interviewed dozens of witnesses and plan to share their findings with prosecutors. No charges have been filed.

"I do not know now whether to believe in the authorities here or not," Romero said, "because if a police officer acted like this, what can another official do? I don't know. I want to trust them, because they are the ones who are taking care of us in this city. But I don't know what they can do."

The case already has one piece of evidence that wasn't available to investigators looking into Brown's death: a police cruiser dash cam video.

But police haven't released it to the public.

"There will be more information released as the investigation continues. This additional information may shed more light on Mr. Villalpando's actions that night," police and city officials in Grapevine said last week. "We look forward to the time that the community can review the dash cam video of this incident, which we believe will answer many questions and correct some misconceptions about this incident."

Villalpando's family members said they've seen the video, and even though it doesn't show the shooting, they said it's clear there was no good reason for the officer to open fire. Villalpando was unarmed, they said, had his hands in the air and did nothing to threaten the officer who stopped him.

It all started, police say, when a burglar alarm went off February 20 at a business in Grapevine.

Officer Robert Clark of the Grapevine Police Department spotted Villalpando's car in the area and started to follow him.

Soon, according to police, the pursuit turned into a high-speed chase, with the officer following Villalpando from Grapevine into the neighboring town of Euless, Texas.

A Grapevine Police statement released after the shooting said the dash cam video shows Villalpando's car "weaving through and around the heavy traffic and driving onto the highway attempting to evade Officer Clark."

Eventually, Villalpando pulled over.

His family said they believe he didn't stop for police right away because he was scared.

He was an undocumented immigrant who had lived in the United States for 15 years and he knew any encounter with police could end with him getting deported and separated from his children, Romero said.

U.S. President Barack Obama's announcement last fall that undocumented immigrant parents of U.S. citizen children could be eligible for work permits as part of a new executive action gave them hope, but also made them even more nervous about making sure they steered clear of trouble until the paperwork came through, she said.

"He was nervous. He knew that to have problems with the authorities was serious. ... We couldn't have a criminal record," she said. "That is what he had in mind. What is going to happen to me now? Now I am not going to be OK. They are going to deport me."

Fernando Romero said it was jarring to hear what Villalpando says in the video as he gets out of the vehicle.

"My brother-in-law is out of the car with his hands up," he said, "and the first thing he asks is, 'Are you going to kill me?'"

There's no sound of any fighting or altercation, but what you do hear, he said, is the profanities the officer repeatedly shouts as Villalpando approaches with his hands up.

It's hard to hear exactly what was said, according to Romero; the family believes the officer made a comment claiming Villalpando was drunk.

Police in Euless, who are leading the criminal investigation into what happened, told CNN the video does contain foul language.

The Grapevine Police dispute the family's assertion that Villalpando did nothing threatening, saying that "contrary to clear instructions" he continued to walk toward the officer after being told repeatedly to stop.

But there's a key thing that's not shown on the video, police and the family said: the shooting itself.

Still, Fernando Romero said the sound of gunshots is clear, piercing through the roar of rush-hour traffic.

His sister, Villalpando's widow, was so devastated after seeing the video he had to carry her out of the police station.

Grapevine Police said the video shows the officer did everything he could to keep the situation under control until backup arrived.

"We believe the dash-cam video, as well as information that has already been in the media, clearly demonstrates that Officer Clark was doing everything in his power, including the use of strong language, to keep Mr. Villalpando at a safe distance until backup arrived and an arrest [was] safely accomplished," Sgt. Robert Eberling said in a written statement released Thursday. "Members of the media have also been diligent in reporting some of the possible explanations for Mr. Villalpando's actions on the night of February 20, including a previous high-speed chase and a prior arrest for DWI, and a fear that he would be deported. Officer Clark had no way of knowing Mr. Villalpando's nationality at the time the traffic stop was initiated and it may not have been evident on a highway in the late evening."

Marta Romero said her husband made a mistake when he didn't stop when the officer tried to pull him over.

But she said he was trying to cooperate and turn himself in.

"He was painted like a criminal who was involved in a robbery and had assaulted an officer, and in the video you don't see any of those things," she said. "You see the opposite, a man who is scared, who is simply trying to calm the situation, who sees that the police officer has a weapon in his hands."

Now she said, she's seeking justice, hoping the police officer will face the appropriate charges for killing her husband. But she knows the family's search for answers won't be easy. In addition to the doubts swirling in her head, she is faced with questions from her children, even as she tries to explain to them that their father won't return. The most devastating of all, she said, is, "Mommy, when is my Papa going to wake up?"

Police in Euless said they're also asking plenty of questions.

Investigators have interviewed more than two dozen witnesses and are searching for more people who might have seen what happened, Euless Police Lt. Eric Starnes said

Clark, who's worked for the Grapevine Police since May 2014, is on administrative leave pending the investigation. Grapevine Police did not respond to CNN's request to speak to Clark about the incident.

The burglar alarm that spurred the officer's initial response, police later said, turned out to be false.

As for the video,Grapevine Police said they still want the public to see it, but for now, they're holding off on releasing it because prosecutors have asked for evidence not to be released to the public while an investigation is pending.

"While we understand the interest of the community in the requests to release the video, we must balance those needs with the direction from the District Attorney's Office and the respect for the judicial process," police said Thursday. "We recognize that much of the sentiment being expressed is based on the understandable grief concerning Mr. Villalpando's death. We appreciate the support of our citizens and the fact that they are keeping an open mind and waiting for the results of a complete and thorough investigation."

CNN's Gustavo Valdes and Alina Machado contributed to this report.

@highlight

A police officer shot and killed Ruben Garcia Villalpando in a Dallas suburb

@highlight

The case has drawn sharp criticism from Mexico's government, which calls for a federal investigation

@highlight

Widow: "I do not know now whether to believe in the authorities here or not"