(CNN) -- Here's a Googley vision for the future:

"We definitely hope one day you can walk out of the house with your phone in your hand -- and nothing else," said Marc Freed-Finnegan, the company's product manager for Google Wallet. It aims to digitize everything in your pockets in coming years by collapsing all that paper, plastic and metal into one device: the smartphone.

The idea of using the mobile phone as a credit card, driver's license, transit pass, digital coupon collector, house key, hotel key, corporate ID and more probably sounds pretty sci-fi-futurey. But it's almost practical when you consider the history of the smartphone.

Since the Apple iPhone debuted in 2007 (it's considered by most tech analysts to be the first true smartphone, running apps and functioning as a pocket computer), technologists have been cramming ever more functionality into these Swiss Army Knife-like gadgets.

Our phones have replaced many other once-common tools, from GPS devices (remember those?) to handheld gaming consoles, point-and-shoot cameras, calendars, notebooks, newspapers and portable music players.

Now they're conquering new territory, most notably the wallet.

From there, who knows? Analysts expect phones to get so smart that they could delay your alarm clock if an airline delays your morning flight. Apple's new "humble personal assistant," named Siri, is a step in that direction. And technologists are working on phone prototypes that could be built into clothing, could project their screens on your skin or, in the way-off future, would have flexible and stretchable screens.

"Mobile phones are definitely becoming a center of all of our lives, I think," Freed-Finnegan said. "When you're carrying around this small computer, you can do all kinds of things with it."

The phone-as-wallet trend started in South Korea and Japan about five years ago, and it's been talked about in the U.S. for some time. But it only became a reality September 19, when the Google Wallet app went public for Nexus S smartphones on Sprint's network. That's a relatively small subset of people (Google wouldn't say how many), but the company says it's just an early implementation of what's to come.

Here's how it works at checkout:

Instead of pulling out a credit card to pay for your purchase, you get out your phone. Then you tap it on an NFC reader (these are becoming more common in stores and are usually labeled "PayPass" along with a little radio-wave icon) to log the payment. You have to enter a PIN for security.

Google Wallet currently works only with Citi MasterCard. Google also has a prepaid card of its own that you can load up with money from a bank or credit card account.

Some reviewers say the service is clunky.

"Other forms of payment are easier and quicker," said Jeff Blyskal, a senior editor at Consumer Reports, who tested Google Wallet in San Francisco.

"I don't think the Google wallet or any of these digital wallets are going to replace your leather wallet," he said. "I just don't think it will happen."

The phone-wallet technology is promising and probably will be a significant part of the mobile future, but it has to get easier to use, said Will Stofega, director of mobile device technology and trends at IDC, an analyst firm.

"I think the phone as wallet is a good place to start, and one of the things that has to happen is it has to be easy ... and it has to be accepted all over," he said.

Google says Google Wallet will continue to develop. The company hopes that, at some point, this smartphone app will carry loyalty cards and digital coupons so someone could just tap their phone and, all at once, also get discounts from a grocery store loyalty program or spend a Groupon deal they had in the queue.

In the longer term, the company and others hope to jam the rest of the contents of your pockets -- identification cards, transit passes, keys and the like -- into your phone, too. The details are far from worked out, but a phone with an NFC chip could be used to unlock doors and to identify a person. (Here's one reason Google Wallet isn't all that popular yet; only a handful of smartphones in the U.S. have such a chip in them, including the Google Nexus S and two BlackBerry models, which don't work with Google Wallet.)

For a hotel key, a clerk could transfer a key permission to the guest's phone upon check-in. Then the phone would communicate with a door lock in the same way it would with a cashier: by passing identifying information back and forth and unlocking the door.

Lots of hardware and industry standards might need to be changed to make something like that happen. And there will probably be security issues as well.

Even more complicated would be the phone-based drivers' license, since state governments would need to approve that. Google said there would obviously also have to be some form of authentication technology employed so the digital license couldn't be faked. That's a long way out, Freed-Finnegan said.

But the company thinks the digital wallet is a smart place to begin.

"We're really just getting started," he said.

@highlight

Already-useful smartphones are conquering new territory, most notably the wallet

@highlight

Phones can replace your credit card, driver's license, transit pass, keys, coupons and more

@highlight

The Google Wallet app went public September 19 for Nexus S smartphones

@highlight

Some say phone-wallet technology is promising but must become easier to use