(Health.com) -- Women who take fish-oil supplements during pregnancy are just as likely to experience postpartum depression as those who don't, and their babies' minds don't appear to develop more quickly, according to a new study in the Journal of the American Medical Association.

However, the supplements do appear to reduce the risk of preterm birth, a benefit seen in earlier studies.

Previous research has suggested that eating more fish during pregnancy may help stave off postpartum depression and promote cognitive development in young children.

Both fish and fish-oil supplements contain the omega-3 fatty acid docosahexaenoic acid (DHA), which is believed to play an important role in brain function.

Health.com: Supplements for depression: what works, what doesn't

"It may be that there are certain other things about eating fish, not just the fish oil, that [are] beneficial," says Dr. Cheryl Cipriani, M.D., an infancy specialist and professor of medicine at the Texas A&M Health Science Center, in Dallas.

The overall diet -- or even the lifestyle -- of pregnant women who eat a lot of fish may explain the benefits seen in earlier studies, says Cipriani, who was not involved in the new research.

In the new study, the largest of its kind to date, researchers in Australia randomly assigned about 2,400 pregnant women to take 800 milligrams of DHA per day or placebo capsules containing vegetable oil. The rates of postpartum depression six months after the women gave birth were not measurably different in the DHA group (10 percent) versus the placebo group (11 percent).

Health.com: How omega-3 fatty acids may relieve depression

Nor did the children of the women in the two groups score any differently at age 18 months on a series of tests designed to measure cognitive, motor, and communication skills. (Only about 700 children participated in this phase of the study.)

As in previous studies, women taking DHA supplements were less likely to give birth prematurely. And that may be enough of a reason for pregnant women to take them, says Dr. Emily Oken, M.D., an associate professor of population medicine at Harvard Medical School, in Boston.

"I think it's clear from the studies that [supplements] are safe and seem to have benefits for the prevention of preterm birth," says Oken, who wrote an editorial accompanying the study. "There's still reasonable evidence to suggest that it's helpful for women to make sure they're getting the recommended amount of DHA during pregnancy, which is currently 200 milligrams a day."

DHA supplements may be most useful to women who are at risk of delivering early, such as those who have already had a preterm baby, are carrying twins, or who conceived via in vitro fertilization. Preterm birth itself has been linked to worse cognitive outcomes in children and an increased risk of postpartum depression, Oken points out.

Health.com: Foods to boost your mood

The findings aren't likely to be the last word on DHA during pregnancy. Experts say the study had several limitations that will need to be addressed in future research.

For instance, the study may not have been large enough to detect subtle yet meaningful differences between the two groups of mothers and children, says Dr. Charles Bauer, M.D., a professor of pediatrics, ob-gyn, and psychology at the University of Miami's Miller School of Medicine.

"They would have had to have a huge number of people to show differences, and it would have had to be a dramatic difference," he says.

In addition, the children in the study may have been too young to exhibit any DHA-related differences in cognitive development. Speech -- a key aspect of development -- is still rudimentary at age 18 months, Bauer notes. (The study authors plan to do follow-up tests when the children are 4 years old.)

Health.com: How fish oil supports heart health

Finally, many women were excluded from the study because they were already taking DHA supplements, which might have skewed the results. "It may have been that women at higher risk for depression, for example, had chosen to take supplements," Oken says.

Despite the unanswered questions, experts stress that everyone -- not just pregnant women -- should get plenty of DHA in their diet, preferably from fatty fish such as salmon, mackerel, trout, and sardines, rather than supplements.

DHA is "essential for multiple systems," including cardiovascular and neurological systems, Bauer says.

Copyright Health Magazine 2011

@highlight

Fish-oil supplements taken during pregnancy do not prevent postpartum depression

@highlight

The supplements do, however, reduce the risk of preterm birth

@highlight

DHA is is an essential acid for the cardiovascular and neurological systems