(CNN) -- Do you ever look at your smartphone and think it's just too stiff and flat? A growing number of tech giants have, and they're aiming to fix that with what may become the next wave of smartphone innovation.

LG announced on Monday that it will start mass-producing a flexible, curved smartphone screen. Its first devices to use the new 6-inch OLED screens will be available next year.

Several companies have shown prototypes of flexible displays before, but so far there haven't been any mass-market bendy phones. Samsung announced a similar screen technology last month and plans to release the 5.7-inch Galaxy Note 3, its first device with a curved display, later in October.

Apple has long been rumored to be looking into similar technology for the iPhone. A patent filed in March describes an "electronic device with wrap around display" that would go around most, or all, of the device. Apple, like other companies, sometimes files patents for products that never come to market.

What's clear in the minds of many is that the coming wave of flexible and curved displays is just the first step in what could become a dramatic shift in what we expect of our phones.

"What we're seeing today is a big step toward a break from the rectangular norm of smartphone design, paving the way for more outlandish shapes and sizes for future devices," Aaron Souppouris, of tech blog The Verge, wrote Monday.

Since Apple released the keyboard-killing iPhone, the physical design of smartphones has pretty much stagnated.

The touchscreen rectangles have appeared in different sizes, and recently companies like Motorola and Apple have tried to spice things up with different colors and patterns on the back. But the basic look is the same.

Most of the serious competition takes place inside the devices. Manufacturers compete for the best camera, the fastest processor, the widest selection of apps and, of course, low price tags.

When all those specs are close and the devices start to blend together, companies turn to splashier -- some might say gimmicky -- features to try to make their 5-inch Android smartphones stand out from the other guy's 5-inch Android smartphones.

The Samsung Galaxy S4 has a motion-controlled scrolling feature to make it easier to read text without tiring your fingers. Apple recently added a fingerprint sensor that makes it faster to unlock your phone. Some companies are trying to change how you interact with your phone, such as Apple and Google, which are pushing voice-activated interfaces like Siri and Google Voice.

And now there are curved displays.

LG says its technology works because the panels are built not on glass, but on plastic substrates. Also called wafers, substrates are thin slices of material that act as semiconductors.

The new LG display will curve in from top to bottom.

So, other than the "gee whiz" factor, what are the advantages of a curved or flexible screen for smartphone owners?

To start, a flexible display is thinner and lighter than a glass display. In a field where companies (Apple chief among them) brag about being a fraction of an inch or a few millimeters thinner than the competition, that's apparently an issue.

LG and others also market the screens as unbreakable.

It's not entirely clear what the practical benefits are of a curved, concave 6-inch screen, beyond the novelty of having a curved screen. Samsung has said that a curved screen would have more viewing space in the same footprint.

There are already curved TVs on the market that use similar technology. They take advantage of the flexible OLED displays and offer a screen that curves in towards the viewer on the left and right sides, supposedly for a more immersive visual experience. The effect won't work the same way on a small 6-inch screen, though. The TV panels are stuck in their curved position permanently and cannot actually be re-bent, so the flexibility is gone.

The other big mobile trend that has been bubbling up over the past year is wearable peripheral devices that connect to your smartphone, like smart glasses and watches. If LG or Samsung gets the flexible display technology right, it could prove extremely useful in the new wave of small screens that the tech industry is betting we'll wear on our bodies in the coming years.

The bulky and poorly received Samsung Galaxy Gear smartwatch, for example, could greatly benefit from a screen that molds to your wrist instead of the giant solid square it sports now.

CNN's Doug Gross contributed to this report.

@highlight

LG is working on a flexible, curved screen for 6-inch smartphones

@highlight

Samsung recently announced a similar technology

@highlight

The durable, bent screens could be the next smartphone fad and even appear on smartwatches