(CNN) -- Keeping global warming down to a level people can live with means cutting carbon emissions to "near zero" by the end of the century, even in an increasingly industrialized world, the top U.N. experts on the issue reported Sunday.

That may be doable, but it will take "substantial investments" in everything from planting more trees to replacing fossil fuels with low-carbon power sources like solar, wind and nuclear energy, the Intergovernmental Panel on Climate Change announced in its latest report.

"What this report clearly shows is that the challenges to resolve the global common problem are huge," said Ottmar Edenhofer, a German economist and one of the lead authors of Sunday's document. "But also this report shows that there are some steps to resolve this issue. I would say in that sense the report also outlines the challenges, but it provides hope -- modest hope."

Jennifer Morgan, the director of the Climate and Energy Program at the World Resources Institute, agreed.

"The report shows that the scale of change require to tackle climate change is massive, but the ability to solve it is possible," she said Sunday. "We need to do it quickly, before it will get so expensive to respond that we may hit the points of no return."

Little time left to turn down the world's heat, U.N. says

'Substantial investments'

Edenhofer's modest hope will require more than tripling the share of electricity produced by renewable sources or nuclear power, along with refining the still-evolving technology of capturing carbon emissions and storing them underground. And it will take a coordinated global effort, likely including taxes on emissions, he said.

No direct price tag was attached to that scenario, but Edenhofer said it would require "substantial investments," and more delays just drive up the expected cost. The impact could amount to shaving the projected average growth of the global economy by six-hundredths of a percentage point -- from about 2% per year to 1.94% -- over the coming century. The total global economy was about $72 trillion in 2012, according to World Bank figures.

"We are clearly arguing that achieving these goals is a huge technological and institutional challenge. We are not saying this is a free lunch," Edenhofer told reporters from Berlin, where the final document was approved over the weekend.

"Climate policy is not a free lunch," he said. "But climate policy could be a lunch worthwhile to buy."

In the United States, the second-biggest producer of greenhouse gases, a boom in natural gas along with conservation efforts, more renewable energy and a steep recession combined to reduce carbon emissions by about 10% in the last decade. U.S. Secretary of State John Kerry, who in February called the issue "the greatest challenge of our generation," said Sunday's report is an economic opportunity.

"So many of the technologies that will help us fight climate change are far cheaper, more readily available, and better performing than they were when the last IPCC assessment was released less than a decade ago," Kerry said in a written statement. "These technologies can cut carbon pollution while growing economic opportunity at the same time. The global energy market represents a $6 trillion opportunity, with 6 billion users around the world."

Minds must change, supporter says

But addressing the issue involves more than technological changes, said Morgan, who worked as a review editor for one of the chapters of the report.

"It is about shift of mindsets of political leaders and business leaders to step it up and have the will to implement changes," she said.

Despite more than two decades of efforts to restrain carbon emissions, not only are emissions still going up, they're going up faster than ever, Edenhofer said. Though there's been an increased emphasis on generating power from renewable sources, the use of coal has gone up in the past 10 years, he said.

Limiting the projected increase in global average temperatures to 2 degrees Celsius (3.6 degrees F) over preindustrial times will require cutting emissions of carbon dioxide and other gases by 40% to 70% by 2050 "and to near zero by the end of this century," the IPCC concluded.

Sunday's report is the third part of a benchmark U.N. assessment that comes out every six years. The first, in September, reaffirmed the science behind the warming of the planet; the second, at the end of March, warned that chances to limit the increase in temperatures are slipping away, with the world's poor expected to bear the worst of the effects.

Morgan said it will be important to craft solutions that are fair and take care of those people who are being impacted already or soon will be.

Blueprint for national leaders

The reports are aimed at guiding world leaders as the United Nations attempts to work out a new treaty to limit emissions in 2015. Previous rounds of talks have been strained by disputes among the biggest emitters -- China, the United States and European countries -- and poorer countries whose populations could see the worst impacts first.

About half of the carbon dioxide released into the atmosphere since the dawn of the industrial age has been produced since 1990, the scientists behind Sunday's report concluded. On the current path, global average temperatures could go up anywhere from 3.7 to 4.8 degrees C (6.7 to 8.6 F) over preindustrial levels by 2100.

That would produce a world with higher sea levels, deeper droughts and more intense storms, along with oceans made more acidic by the absorption of carbon dioxide, with impacts on vital marine life that "we cannot estimate at this point in time," IPCC Chairman Rajendra Pachauri said.

There's "a broad set of technologies" that could be deployed to head off that future, Edenhofer said -- many of which are listed in the report. And the document points to potential benefits of the effort, including cleaner air and healthier populations.

One of the most controversial is carbon capture and sequestration technology, which would reduce smokestack emissions and put the carbon dioxide in storage. But the technology is expensive.

"It's not fully proved yet in terms of being commercially viable, but it looks like it has the most promise of all, because it can be coupled with lots of sources of carbon dioxide and essentially be used to neutralize them," said Charles Kolstad, a report co-author and an environmental economist at Stanford University.

If paired with renewable bioenergy sources, it could lead to net negative emissions, he said.

Act now, environmentalists say

Other leaders of some of the world's biggest environmental groups called the report a positive one.

"The IPCC is clear that acting on climate change is possible, beneficial and affordable," said Samantha Smith, the head of the World Wildlife Fund's climate and energy program. "If we act now, costs will be only a very small fraction of global economies. Those who say it's too hard and too expensive are wrong." She said the report should convince investors "to pull your money out of dirty fossil fuels and put it into renewable energy and energy efficiency."

Morgan said individuals can also do that by seeking greener power sources and ways to save energy, and by keeping a close eye on where they invest their 401(k) plans and other savings vehicles.

She also said it would be a a challenge for her organization to make sure that people see there is still hope.

"There is a chance that their children won't have to deal with this problem," she said.

Carbon dioxide benchmark hits new heights, worries scientists

Opinion: Is it time for international agreements to recognize national laws?

CNN's Steve Almasy contributed to this report.

@highlight

NEW: John Kerry calls the report a wake-up call to an economic opportunity

@highlight

NEW: Environmentalist says political will must change too

@highlight

U.N. panel holds out "modest hope" of heading off most global warming

@highlight

Sunday's report is the latest in a benchmark U.N. assessment of climate change