(CNN) -- It took more than five years to build, but since its opening last year, the Guangzhou Opera House has become the jewel among the sprawling Chinese megacity's bland urban landscape.

Designed by British architect Zaha Hadid it looks more cosmic than communist, but Hadid has likened it to two rocks washed up from the Pearl River and deposited on its bank.

From the smoothed corners of its asymmetrical exterior to the undulating 1,800-seat main theater, the concept of fluidity, like the flowing river nearby, goes from inside to out.

"I was very preoccupied at the time with things moving," said Hadid.

"That led to the drawings, and the drawings kind of led to distortion and deformation, and then the next influence was really landscape."

The building has gained plaudits from around the world and won the best cultural building award at the 2011 RIBA International Awards.

The judges complimented the building on its internal places and external forms as well as how the asymmetry of the auditorium did not detract from the near perfect acoustics.

In a career spanning three decades, Hadid has built a reputation for designing seemingly unbuildable structures and the opera house's construction explored new areas for both architect and builders.

Essential for much of the design was keeping the building in harmony with the local topography and using natural materials to counter the subtropical climate.

The exterior envelop of the buildings combine granite and glazing, with windows angled towards the ground to minimize heat from the sun.

The granite cladding -- kept 50 centimeters away from the building -- is also in place to absorb heat and ensure that the interior of the building remains cool without excessive use of air-conditioning systems. Water from the Pearl River is also used directly in the building's cooling systems.

When the opera house opened reports suggested that Guangzhou's humid climate and sub-standard construction led to problems with some of the granite slabs and glazing.

The Guangzhou construction group that was contracted to build the opera house told the UK's Daily Telegraph that cracks stemmed from "normal shrinkage" and any problems since opening were only because of the unexpected complexity of the project and design.

A spokesperson for Zaha Hadid Architects admitted that some "superficial elements" needed adjustment post-opening, but they have since been addressed.

Despite teething problems, the opera house has transformed a once moribund area of the city into the site of one of the world's leading architectural icons.

@highlight

Opera House was designed by Pritzker Prize winner, Zaha Hadid

@highlight

Took more than five years to build and opened in May 2010

@highlight

Water from Pearl River is used in the cooling systems