PAU, France (CNN) -- Take a pen, start with the nib at the bottom left corner of the page. Gently drag the pen diagonally from bottom left to top right and you have a quick and easy graphic representation of the price differential between the standard BMW 3-series and its habañero cousin the M3 coupe over the last four generations (and 20 years).

Quad exhaust pipes and M-badging distinguish the M3 from standard 3-series coupes

The car in my hands is, supposedly, a 3-series. You know the 3-series. You may well own one. You almost certainly know someone who owns one. It is the ubiquity of the 3-series that has seen BMW become a more mainstream player (without making an obvious lurch down-market) while the mainstream has made an obvious lurch up-market to plug the gap. Ford's new Mondeo couldn't be clearer in its 3-series aspiration.

But this latest M3 has substantially less in common with the vanilla 3-series than I have with a gorilla (98.4 per cent shared DNA). Eighty per cent of the M3's body panels are brand new, from the aluminum hood to the composite fenders and carbon-fiber reinforced plastic roof.

And let's get back to that graph. This UK-specification car costs £50,000 (€74,000). With the options as tested (including the gorgeous 19" alloy wheels, one of which I pranged on a curb while rectifying a going-the-wrong-way-down-a-one-way-street maneuver -- I'm blaming the co-driver for this navigational error, and so should you) we're talking close to £55,000 (€81,000).

It looks good. It looks purposeful and aggressive and more -- what's the word -- obvious than its M3 predecessors, with the engorged dome on the hood to accommodate the 4-liter V8 and the Aston-like side air-intakes with integrated side-light repeaters and M3 badging. But it still looks like a pumped-up family car rather than a purpose-built sports car (though it sits between Porsche's Cayman S and 911 Carrera in price). It may just be possible to buy one and pretend to one's spouse that it's a sensible family car -- providing, that is, that the 22.8 mpg (12.4 liters per 100 km) combined fuel economy (and the regularity of trips to the gas station this necessitates) doesn't give the game away.

Inside it's typical BMW -- leather seats that adjust to accommodate any driver (including those such as me who are short of body but long of leg) and a chunky leather steering wheel stitched with the cyan, blue and scarlet colors of BMW's M division.

On the road the M3 is -- simply -- lovely. Over 20 years BMW's M cars have evolved from homologation specials (road car versions of track racers) to sedate luxury saloons that can transfer themselves into sporting monsters. Some earlier enthusiastic driving from my co-driver made it necessary to drive slowly, in sixth gear, behind the slipstream of a motor home to conserve fuel while on a desperate hunt for a gas station. In some sports cars this would require skill and dedication. Not so in the M3, it drives however you want to drive. It can pootle as competently as it can hustle.

And boy can it hustle. When questioned later that day, a BMW spokesman denied any knowledge of the cars having had their limiters disabled. But I can state that I was passenger in a car that supposedly tops out at 155 mph (200 km/h) at a staggering 176 mph (283 km/h). The question of whether this delimited limiter is an "undocumented feature" or a manufacturer's attempt to woo motoring journalists with a set-up that isn't representative of the sale car, will only be resolved once the first customers take delivery of their new M3s.

There is, of course, more to the M3 than flat-out speed on the straight. It's a car that allows drivers a turn of speed on twisty roads with confidence and sure-footedness. You can take corners faster, without fear of picking gorse from your teeth. Take a corner a little over enthusiastically and there's a comforting orange light on the dash to tell you that the DSC (dynamic stability control) has kicked in. When the DSC is engaged flatters the abilities of average drivers. Disengaged it allows skillful drivers an awful lot of wheel-spinning sideways action, as I discovered while given a few hectic laps of the Pau-Arnos circuit in the hands of a pro.

What's wrong with it? In common with the M5 and M6 there's the frustrating short indicator stalk that ALWAYS clicks three times, even if you try and cancel it (and in an effort of trying to switch the right indicator off you inevitably find yourself signaling left and vice versa).

There seems to be no substantial difference between fifth and six gears. You engage the clutch, throw the lever and -- well, nothing much. But then you really start struggling to find fault.

The cup holders don't have an elegant glide and the driver's one isn't as accessible as it could be. While the electric thingum that extends telescopically to hand you the seat belt looks cheap. Harsh criticism. Cup holder aficionados and those who demand milled-aluminum electric hand-me-my-belt thingums may have to look elsewhere.

Incidentally, BMW do have a name for the electric thingums. I prefer my own. Just as I prefer the term "paddle shifts" to "SMG" -- another minor grumble -- paddles shifts would be a welcome option, and one that BMW assured the assembled press would be added as an option in the future.

BMW estimates that M3 buyers will be predominantly male and aged 31-50. They will own a number of high performance cars but use the M3 as their everyday conveyance. In the light of this market research, the most obvious criticism of the new M3 -- its price -- is something of an irrelevance. E-mail to a friend

@highlight

Fourth generation BMW M3 coupe

@highlight

Power from 420bhp V8 engine

@highlight

Target market 31-50 year old males in multi-automobile households