(Time.com) -- There are lots of experts who have lots of opinions about New York City's new plan to encourage breast-feeding in new moms by urging hospitals not to give them baby formula. Advocates praise the move as a way to limit the influence of formula manufacturers on new mothers. Skeptics wonder whether the policy will shame women who choose not to breast-feed.

As for my sister-in-law, Rachel, who recently gave birth in a Manhattan hospital to her first child, she knows first-hand how nurses pushing formula can impact an inexperienced mother. After her C-section, a nurse offered to give her newborn a bottle "to make it easier on you."

Exhausted and uncertain, she agreed — even though she'd intended to breast-feed. "I was a new mom," she said. "I didn't know what I was doing."

Those are exactly the sorts of moms that Mayor Michael Bloomberg hopes to influence with his voluntary Latch On NYC initiative.

When it goes into effect in September, nurses in participating hospitals will be instructed not to give formula to babies unless there's a medical reason to do so or unless moms specifically request it (they'll first have to listen to a mandatory speech about why breast is best).

Formula will be locked away like medication, and staff will be required to sign it out, track its distribution and report those figures to the Health Department, which presumably wants to know whether the new policy will cut formula use citywide. Twenty-seven of the city's 40 hospitals have agreed to participate.

Time.com: What Mitt Romney has to do with breast-feeding and infant formula

Sound extreme? Not to Melissa Bartick, an internist who is on the board of the U.S. Breastfeeding Committee.

"I can't even get an alcohol wipe without swiping my badge," says Bartick. "Hospitals lock up just about everything from Band-Aids to gauze. The question we should be asking is, why aren't they locking up formula? The reason is because they get it for free."

Typically, formula manufacturers stock hospitals with free samples of their products to encourage brand-name adoption. Many hospitals across the country still give away diaper bags packed with formula samples to new moms, despite increasing awareness that the practice may stymie breast-feeding.

Moms need more support to breast-feed exclusively

That practice is changing, though: many hospitals nationwide have voluntarily banned the bags, and in July, Massachusetts became the second state to go "bag-free," with all 49 of its maternity hospitals pledging to spurn the formula freebies. (Rhode Island was first in 2011.)

The American Academy of Pediatrics (AAP) advises moms to breast-feed exclusively for about six months, then continue breast-feeding while offering new foods.

In July, an annual gathering of state AAP leaders voted to support a resolution entitled "Divesting from Formula Marketing in Pediatric Care" that would call on pediatricians "not to provide formula company gift bags, coupons and industry-authored handouts to the parents of newborns and infants in office and clinic settings."

The resolution, which now must be considered by the academy's board of directors, is proving controversial as it demands the organization decide how far to push its support of breast-feeding.

"We're not going to argue about the benefits of breast-feeding because we all know that," says AAP President Dr. Robert Block, who has two adopted daughters who relied on formula. "We stop short of saying if you don't breast-feed, you're a terrible mother.

"There are a lot of babies who need to be formula-fed. Breast-feeding advocates would disagree with this. They say any baby can be breast-fed by any mother. But there are legitimate reasons for babies to need formula."

Time.com: Can a formula company really promote breast-feeding and fight child obesity?

But there are also "booby traps" — what breast-feeding advocacy group Best for Babes terms the obstacles keeping women from breast-feeding success. Those include lack of support from employers, communities, hospitals and doctors who care for moms and babies.

Pediatricians, suggests Best for Babes, should take continuing education courses on the basics of lactation management. "Pediatricians need to be as proficient in this area as they are in diagnosing a heart murmur, pneumonia or the common flu," wrote Best for Babes co-founder Bettina Forbes in an e-mail.

Opinion: Breast-feeding is intuitive and easy? No!

In New York City, 90% of moms start out breast-feeding, but more than two-thirds stop or incorporate infant formula by two months.

To try to shift that number, Latch On NYC is rolling out a full complement of subway ads, with three posters comparing formula (unfavorably) to breast milk, and featuring a racial cross-section of mothers. A press release about the campaign explains the relationship between formula and breast-feeding success:

If the baby is not given anything but breast milk, especially in the first month after the baby is born, almost every mother will make enough milk for her baby. Using baby formula during this time can decrease the production of milk, and consequently make the mother reliant on formula.

Time.com: What the U.S. can learn from Indonesia about breast-feeding

But the International Formula Council — which represents formula manufacturers and marketers — maintains that restricting access to formula isn't the key to boosting breast-feeding rates.

"A way to help mothers is to be supportive of the feeding choice they make for their infants regardless if they choose breast-feeding, formula feeding or a combination of both," Mardi Mountford, the council's executive vice president, wrote in an e-mail. "For infants who are not breast-fed, infant formula is the only safe, nutritious and recommended feeding option."

Mountford is right, of course, about formula being the only widely available alternative to breast milk (there's donor milk too, though not enough to nourish all formula-fed babies). She's right too about the need to support a mom's choice.

But she's not necessarily right when she says that limiting formula doesn't impact breast-feeding rates. NYU Langone Medical Center, which has already restricted access to formula, has seen its breast-feeding rate increase from 39% to 68% by doing so. "New York City is definitely ahead of the curve," Eileen DiFrisco, a parent education coordinator in the hospital's mother-baby unit, told the New York Post.

In my sister-in-law's experience — and in the experience of dozens of mothers who shared their stories of feeling undermined when they were offered formula in the hospital — New York City's policy seems to make sense.

Time.com: Moms say it's hard to breast-feed for the recommended six months

It does to Stephanie Rodriguez, who had read what felt like every breast-feeding book imaginable in preparation for her daughter's arrival.

"I was ready," wrote Rodriguez in an e-mail. But then her daughter had a hard time latching on and instead of offering help, a nurse offered formula; Rodriguez took it. She kept working at breast-feeding and things improved, so they went home — free formula gift bag in tow.

At home, "feeling alone and confused," Rodriguez gave her daughter some of the free formula. "My daughter had serious nipple confusion after that and the hospital bottles, and it took several weeks of hard, time-consuming work and dedication ... to get her to take the breast again."

Rodriguez has since become a board-certified lactation consultant in Missouri, inspired by her personal struggle to feed her child.

"In my work, I regularly see clients that tell me that they weren't going to give bottles, but, you know, that can was there and it seemed like it would be easier. ... It's a real problem that is keeping moms from attaining their own breastfeeding goals," says Rodriguez. "It's not the entire issue, but it certainly doesn't help."

Time.com: Why most moms don't reach their own breast-feeding goals

This story was originally published on Time.com.

Bloomberg's breast-feeding plan: Will locking up formula help new moms?

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

New York City is discouraging providing formula to new moms

@highlight

The Latch on NYC initiative takes effect in September

@highlight

Restricting formula isn't the way to boost breast-feeding, council says