(CNN) -- Nigerians took to the streets for the second day of a nationwide strike Tuesday, showing their anger over a government decision that has more than doubled fuel prices in the largely impoverished country.

Some protests over the end of fuel subsidies were marred by clashes that left 16 people dead and 205 injured, according to a tally collected by the Nigerian Red Cross Tuesday.

The strike, continued religious violence in the north and a long-simmering separatist movement are all issues that have created growing problems for Goodluck Jonathan, the country's president, and fueled tensions on the street.

The southern state of Edo was a focus for much of the violence, according to the Red Cross figures, with five people killed and 83 injured.

The situation is tense amid rumors that people from the north will be attacked, and some 4,000 people have fled their homes and sought refuge in camps, the Red Cross report says.

Dan Enowoghomwenma, joint secretary of the Edo state branch of the Red Cross, told CNN three people had died Monday and two Tuesday, as different communities clashed in the state capital, Benin City.

One mosque building was burned and another vandalized, with cars and buses also set alight, before the police and military restored calm, he said. He told CNN he did not know if there was a religious motivation for the clashes.

Meanwhile, the situation in the northern Nigerian state of Kano was "generally chaotic" Tuesday, the Red Cross reported, with three people killed and 55 injured, some with gunshot wounds.

Police in the neighboring state of Kaduna, where one person was killed and three injured, used tear gas to try to disperse protesters gathered in front of the government house, the Red Cross said.

In the southwest, violence flared at some rallies in Lagos, the country's commercial capital, as protesters clashed with police, resulting in seven injuries and three deaths, the Red Cross said.

Three deaths were also reported in Bauchi, and one in Kwara, according to the Red Cross figures. Other states reported protests that were largely peaceful, despite outbreaks of vandalism and protesters burning tires or blocking roads.

CNN iReporter Eromo Egbejule, a Nigerian freelance journalist, attended a protest concert in Lagos Tuesday staged by musician Femi Kuti, son of the legendary Fela Kuti, and said he was proud to be there.

"Nigeria loves peace and this is why we are peacefully protesting, even though the Nigerian police and army have inflicted injuries and in some cases, killed innocent people," Egbejule said.

"Revolution has come to Nigeria and the youth will spearhead it. Until our demands are met, we are ready to protest every day and make sacrifices."

Jonathan tried to explain the need for the end of subsidies in a recent address, telling Nigerians that the government would invest the money in the country's crumbling infrastructure.

"My fellow Nigerians, the truth is that we're faced with two basic choices with regards to the management of the petroleum sector," Jonathan said. "Survive economically or continue with a subsidy regime that will continue to undermine our economy."

But assurances from the president did not allay fears from many Nigerians who do not trust the government to use the money to improve the country's infrastructure.

Another CNN iReporter, 38-year-old filmmaker and web designer Oladapo Bamidele, who filmed protests in Lagos Monday, said Nigerians have lost faith in Jonathan's government.

"Nigerians are united in this cause to see corruption dealt with, and eventually removed," he said.

There have also been complaints from demonstrators that the police have responded too aggressively.

In Kano, a physician who was among the protesters Monday said police there fired on the crowd, injuring at least 13 people.

Demonstrators were gathered listening to speeches when police "suddenly came and some were shooting and some were throwing tear gas," said Shehi Ali, vice chairman of the Nigeria Medical Association.

Ali said one protester, a 12-year-old boy, was shot in the neck. Another protester was shot in the groin, he said.

But Kano Police Commissioner Ibrahim Idris denied that officers fired on protesters. He said that officers were forced to use tear gas on "miscreants and drug addicts" who had tried to storm the governor's residence.

Elsewhere, there have been more conflicting reports about the violence. Sanya Femi, a union official, said three union members had been killed by police gunfire during a peaceful protest in Lagos Monday. But Sunday Salailo, a trade union president, said he had no reports of union members dying.

Some analysts say the changes could help Nigeria in the future.

"If they're prepared to try this petroleum subsidy removal then perhaps they can push through electricity reform too. If they do that, Nigeria's growth can be instead of 7%-8% a year, 10% or 11%," said Charlie Robertson, a chief economist at the global investment firm Renaissance Capital.

But many Nigerians view the subsidy as the only benefit of living in an oil-producing country that has little infrastructure, poor roads, high unemployment and intermittent electric power.

"Though we know that in the long run, removal of (the) subsidy will help the economy, for now it is a high-profile lifestyle that is unbearable for most Nigerians, and soon the poorer ones will die out," said protester Diane Awunah.

CNN's John Defterios, Jack Maddox and Michael Saba, and journalist Vladimir Duthiers contributed to this report.

@highlight

NEW: "Revolution has come to Nigeria and the youth will spearhead it," a local journalist says

@highlight

16 people have died and 205 are injured following clashes, a Red Cross report says

@highlight

Tensions are high in some areas, including Edo in the south and Kano to the north

@highlight

The government's decision to end the subsidy has more than doubled fuel prices