(CNN) -- Hours after surviving the shelling of a mosque at his presidential palace that killed a Muslim preacher and several guards, Yemeni President Ali Abdullah Saleh on Friday insisted he is in good health and blamed "gangsters" for the attack.

The president sustained a slight injury to the head in the Sanaa attack and he is fine, a senior government official told CNN. Prime Minister Ali Mujawar, the parliament speaker, the deputy prime minister, and the Sanaa governor were among seven injured, government spokesman Tareq al-Shami said. It was not clear if that figure included Saleh.

A Yemeni official who asked not to be named told CNN that Saleh was in the mosque when two "projectiles" were fired during Friday prayers. He confirmed the death of Sheikh Ali Mohsen al-Matari and said four bodyguards also died. Yemen's official news agency SABA, citing a source in Saleh's office, said three guards and the sheikh were killed.

In his televised speech Friday night, the president said the attack occurred as talks were taking place between him and affiliates of Sadeq al-Ahmar, the head of the Hashed tribe whose break with Saleh has been followed by spiraling violence.

Protesters upset over what they regard as political oppression and government corruption have poured into the impoverished country's streets for months to demand that Saleh step down. A deal to make that happen, brokered by the regional Gulf Cooperation Council, recently broke down.

Fears of all-out civil war in Yemen have spiked since, as government forces and people alleged to be Hashed tribesmen slugged it out in the capital. Their weapons have included missiles, according to witnesses.

Eyewitnesses, residents and government officials say Hashed tribesmen carried out Friday's attack on the presidential palace. But the spokesman for Sadeq al-Ahmar denied it.

"The Hashed tribesmen were not behind these attacks on the presidential palace and if they were, they would not deny it," according to Abdulqawi al-Qaisi.

In his speech, the president said those behind Friday's attacks were not connected with the youth-led movement in Sanaa's Change Square. Rather, he said that "gangsters" perpetrated the strike as part of their bid to overthrow his government and destroy Yemen's economic achievements.

"I salute the armed forces everywhere and the courageous security forces who are keen on combating the attacks by a criminal gang that is acting outside of the law and is not affiliated with the youth's revolution present in Change Square," Saleh said.

Mohammed Qahtan, the spokesman for the Joint Meeting Parties, Yemen's largest opposition coalition, said that "the attack on the palace was pre-planned by President Saleh to make people forget about the attacks that he has committed over the last two weeks."

Qahtan said Saleh's forces have "bombarded most of the al-Ahmar family properties after the palace attack" and have killed hundreds over the past two weeks.

"He is the only one benefiting from the attack on the presidential palace," Qahtan said. "He wants people to feel he is oppressed and is defending himself and not attacking others."

The United States is monitoring what it describes as a "very fluid" situation in Yemen, State Department spokesman Mark Toner said Friday. The White House also released a statement condemning "in the strongest terms the senseless acts of violence today in Yemen."

"Violence cannot resolve the issues that confront Yemen, and today's events cannot be a justification for a new round of fighting," the White House statement said. "We urge all sides to heed the wishes of the Yemeni people, whose aspirations include peace, reform, and prosperity."

Catherine Ashton, foreign policy chief of the European Union, called for an "immediate cease-fire" by all sides. She said that she had activated a mechanism to expedite the departure of European citizens from the Arab nation, all while pleading for a resumption of serious talks to end the crisis.

"I appeal to all sides to protect civilians," Ashton said. "I have urged President Saleh repeatedly to listen to the demands of the Yemeni people and transfer power. The only answer to the current situation is an immediate and genuine commitment to a peaceful and orderly transition."

Elsewhere Friday, government security forces and gunmen protecting protesters fought street battles in Taiz.

The security forces began shooting at protesters assembled in that city's Freedom Square, and gunmen supporting the demonstrators burned an armored vehicle belonging to security forces.

Abdullah Afti, a youth activist in Taiz, said four anti-government protesters had been shot during Friday prayers.

Fighting has rippled across Yemen for months between supporters of Saleh and anti-government forces who want him out of office. According to the independent International Crisis Group, tensions escalated May 23 when fighting erupted between military forces controlled by "Saleh's son and nephews and fighters loyal to the pre-eminent sheikh of the powerful Hashed confederation, Sadeq al-Ahmar."

"The personal animosity and competition between the sons of the late Sheikh Abdullah bin Hussein al-Ahmar (Sadeq and his nine brothers) and the sons and nephews of Saleh have been a consistent obstacle to negotiations over a peaceful transfer of power. Now, this animus threatens to drag the country toward a full-scale civil war," the group said.

The fighting has focused on these groups but "it could easily escalate, drawing in other tribal factions" and the armed confrontation has already led to the deaths of more than 100 people, the Brussels-based group said in a "conflict risk alert" last Friday.

While Saleh has been unpopular among many inside his country, he has been a longtime ally of the United States in the war against terror.

The United States has counted on his government to be a bulwark against militants, including al Qaeda in the Arabian Peninsula, but it believes he should transfer power in order to maintain stability in the country.

White House spokesman Tommy Vietor said that John Brennan, the president's homeland security adviser, just traveled to Saudi Arabia and the United Arab Emirates for meetings with government officials to "discuss options to address the deteriorating situation" in Yemen.

"Brennan said that the United States would continue to coordinate closely with both governments on developments in Yemen in an effort to help bring an end to the violence," according to the White House.

With the level of violence escalating, Toner -- the State Department spokesman -- called the situation "clearly concerning," but did not go so far as to refer to the situation in Yemen as a civil war.

"We call on all sides to cease hostilities immediately and to pursue an orderly and peaceful process of transferring political power as called for in the GCC-brokered agreement," the White House said.

The Pentagon on Friday confirmed that American troops remain in Yemen for now, but may leave "depending on the situation."

"We're closely watching the violence in Yemen. We still have some U.S. service members in country, and we're taking the necessary precautions," said Pentagon spokesman Col. Dave Lapan.

Lapan would not say specifically how many American troops are still in Yemen, but other officials have told CNN there have been about 100 trainers and support personnel rotating in and out of the country, helping to train Yemen's counterterrorism force.

The Pentagon denies that those forces have been among troops that have fired on civilians.

"We have no evidence the counterterrorism forces we've trained are being used against protesters. We have seen reports they've engaged with armed forces, and we are looking for more information on that aspect," Lapan said.

Barak Barfi, research fellow with the New America Foundation, told CNN the fighting in Yemen could destabilize Saudi Arabia by spurring a mass exodus to the neighboring country and emboldening al Qaeda in the Arabian Peninsula to plot attacks.

He believes Saudi Arabia, which has great influence in the country, is the only country that can help it avoid the specter of civil war.

"Riyadh exerts a strong influence on both Saleh and the tribes that have turned against him through the lavish patronage the monarchy provides Yemeni factions," said Barfi.

"If Saleh is compelled to leave Yemen, Saudi Arabia is one of the few countries that could possibly offer him refuge. The Saudis have sought to subordinate their role in the crisis under the auspices of the Gulf Cooperation Council, but must now take a firmer stance to prevent the complete breakdown of the Yemeni state, which would have regional repercussions," he said.

CNN's Chris Lawrence, Jamie Crawford and Joe Sterling contributed to this report

@highlight

NEW: President Saleh says "gangsters," not the "youth's revolution," is behind the attack

@highlight

NEW: A top EU official urges an "immediate cease-fire" and a swift transition of power

@highlight

A sheikh and at least three bodyguards were killed, while Saleh was among those hurt

@highlight

The Hashed tribe denies it carried out the attack on the palace