(CNN) -- Americans appear to actually thrive on adversity, according to a study published this week that reached the conclusion after researching the nation's biggest economic downturn.

This sculpture at the FDR Memorial in Washington depicts men waiting in a Great Depression bread line.

Life expectancy during the peak years of the Great Depression increased 6.2 years -- from 57.1 years in 1929 to 63.3 years in 1933 -- according to University of Michigan researchers Jose A. Tapia Granados and Ana Diez Roux. The increase applied to men and women, whites and non-whites.

The team crunched data from the federal government and concluded that "population health did not decline and indeed generally improved during the four years of the Great Depression, 1930-1933, with mortality decreasing for almost all ages, and life expectancy increasing by several years in males, females, whites, and non-whites."

For most age groups, "mortality tended to peak during years of strong economic expansion (such as 1923, 1926, 1929 and 1936-1937)," they wrote in the "Proceedings of the National Academy of Sciences."

"The finding is strong and counterintuitive," said Tapia Granados, the lead author of the study. "Most people assume that periods of high unemployment are harmful to health."

The researchers used historical life expectancy and mortality data to examine the association between economic growth and population health from 1920 to 1940. Though population health improved during 1930-1933 and during the recessions of 1921 and 1938, mortality -- the death rate -- increased and life expectancy fell during times of economic expansion, such as 1923, 1926, 1929 and 1936-1937, they wrote.

The researchers looked at mortality rates due to six causes of death that made up two-thirds of total mortality in the 1930s: cardiovascular and kidney diseases, cancer, influenza and pneumonia, tuberculosis, motor vehicle injuries and suicide.

Only suicide went up during economic downturns, they said, citing the recession years 1921, 1932 and 1938, but suicides accounted for less than 2 percent of total deaths. Those years were marked by high unemployment; the nation experienced its highest unemployment rate of 22.9 percent in 1932, they wrote.

Yet from 1920 to 1940, life expectancy increased 8.8 years.

The authors speculated about possible explanations for why population health tends to improve during recessions but not expansions.

"During expansions, firms are very busy, and they typically demand a lot of effort from employees, who are required to work a lot of overtime, and to work at a fast pace," Tapia Granados said. "This can create stress, which is associated with more drinking and smoking."

In addition, new, inexperienced workers may be more likely to become injured; workers may sleep less and adopt less healthy eating habits, he said.

Further, boom times may translate into more industrial pollution, which can take a toll on populations' health, he said.

During recessions, with less work to do, employees may work slower, sleep longer and spend more time with family and friends, he said. With less money, they may spend less on alcohol and tobacco.

The researchers pointed out that their work looked at the relationship between recessions and mortality on a macro level and was not predictive for any one person.

The findings may apply to others, too. Tapia Granados, 53, whose work was self-funded, said he has carried out similar studies that looked at Japan, Spain and Sweden.

"In the three of them, it was the same," he said.

@highlight

Study: Life expectancy rose, mortality dropped during Great Depression

@highlight

Opposite happened during surrounding times of economic expansion, study shows

@highlight

Study examined population health from 1920 to 1940

@highlight

Speculation: In hard times, more sleep, less money for drinking and smoking