(CNN) -- European colonies might seem to belong to the age of empires, Napoleon, galleon ships and spice trading.

But there remains a handful of captivating islands scattered in the remote fringes of the Caribbean, Pacific and Atlantic that still belong to some of the world's more powerful nations.

St. Pierre and Miquelon

Officially: Overseas Collectivity of France

Located in the Atlantic Ocean off the coast of the Canadian province of Newfoundland and Labrador, the tiny islands of St. Pierre and Miquelon changed hands frequently between the British and the French in the 1700s.

They finally settled in Gallic hands after Napoleon's second abdication in 1815.

With peat bogs, rugged hills and a now struggling fishing industry, the last time the islands made headlines was during the Prohibition era, when they briefly became a hub of alcohol smuggling into the United States.

These days tourism plays a large role in keeping this "department" of France alive.

"I remember the ferry ride and the young school children vomiting with seasickness," says Canadian travel blogger Candice Walsh, who traveled there from Newfoundland via a one-hour ferry trip.

"Then: stepping onto the pier, the whole downtown area opening up with colorful storefronts, old French-styled architecture and adorable little European cars.

"English is barely spoken, and European voltage replaces North American standards. Euros are the currency."

For the 6,300 residents, a hefty $65 million subsidy from Paris is even more important in enabling civilization here to continue.

If you make the trip, you can expect a French-ness that is absolute, from the liqueur stores selling Bordeaux and Burgundy to lace curtains and bijou patisseries selling croissants and pastries.

More information is available from the St. Pierre and Miquelon official website.

Air Saint-Pierre services the islands from St. John's (Newfoundland), Halifax and Montreal in Canada.

Guam

Officially: Unincorporated Territory of the United States

Coral reefs, waterfalls, brown tree snakes and a local obsession with Spam, Guam is the most southerly and largest of the Mariana Islands located in the western Pacific Ocean.

A major military asset of the United States, there are huge Navy and Air Force installations here and the surrounding oceans are used by the U.S. military for war game simulations.

For visitors, many of whom come from Japan, there's plenty to do despite the high troop presence.

Huge underwater coral craters teem with stingrays and are a draw to divers.

The food is a unique fusion of Spanish, Mexican and native Chamorro influences -- spicy dishes featuring tortillas, soy, corn bread and coconut.

Food plays a big role in the fiestas in Guam, which take place throughout the year.

"In the South, you don't need to be invited, you can just show up and go to all the different family's homes holding fiestas," says Antonia, who writes the blog iquitmyjobandmovedtoguam.com.

"One guy [told me], 'You can't call yourself an islander until you've eaten these three things. 1. Red rice 2. Dried beef 3. Local crab.' Another said, 'You can't ever lose weight in Guam and no one is ever skinny.'"

Beaches feature almost blindingly white sands.

The sheer cliff edge known as Two Lovers Point is a hugely popular wedding venue for tourists; legend has it that two lovers, forbidden from being together by their parents, threw themselves off the edge into the Philippine Sea.

More information is available from the official Visit Guam website.

Korean Air flies from Incheon Airport to Guam. United Airlines and Delta Air Lines fly to Guam from Honolulu.

Niue

Officially: Self-governing state in free association with New Zealand

You can't get much more remote than Niue (pronounced new-way), gloriously isolated in the South Pacific Ocean, some 1,500 miles to the northeast of New Zealand.

This tiny coral reef (known as a "maketa" island) is home to barely 1,500 people, just a fraction of the total number of Niueans, many of whom have migrated to New Zealand, with whom it operates in "free association."

This means, in a slightly different arrangement to an overseas territory, New Zealand, under the island's constitution, must provide "necessary economic and administrative assistance" to Niue.

The underwater chasms, ravines and gullies here make for great scuba diving.

Humpback whales often pass by and, despite the lack of beach (the oval-shaped island rises sharply out of the ocean), there's still a handful of restaurants and bars overlooking the vast Pacific that serve Polynesian specialties including coconut crab, breadfruit, cassava and shellfish.

"There are only 100 rooms for accommodation on the island, and estimates say that Niue only sees about 2,000 tourists a year," says travel blogger Joshua Foster, who visited in 2009.

"This creates a completely unique atmosphere on the island -- locals know tourism is important for their economy, yet the tourism numbers are still small enough that the locals are genuinely happy to see travelers.

"It is far and away the most friendly place I have ever been."

More information is available from the Niue Tourism Office website.

Air New Zealand flies to Niue from Auckland twice a week.

Gibraltar

Officially: British Overseas Territory

A source of near constant friction between Britain and Spain, the tiny enclave of Gibraltar on Spain's far southern coast was granted to the UK in the Treaty of Utrecht in 1713 -- it remains the only overseas territory Britain possesses in Europe.

For Brits, it's by far the easiest of all the remaining British overseas territories to visit -- even budget airlines fly here from London).

The formerly vital naval base (it's now a hub of offshore finance) is home to nearly 30,000 British subjects.

If the retro pubs serving full fried English breakfasts in the soaring Mediterranean heat don't appeal, there's plenty to explore on the colossal Rock of Gibraltar.

It's inhabited by a huge population of Barbary macaque monkeys and miles of tunnels on and in the Rock, dug out during the 19th century by locals to protect the territory during a siege by the French and Spanish, who were trying to wrestle it out of British hands.

Despite the tensions, Gibraltar's place on the world sporting stage got a boost in 2013 when its team was admitted to Europe's governing football body UEFA.

This means that, as the continent's smallest competing team, Gibraltar will be in the hunt to qualify for the 2016 European Championships in France.

More information is available at the official Gibraltar Tourist Board website.

Easyjet flies to Gibraltar from London Gatwick.

Saba

Officially: Special Municipality of the Netherlands

Ferns, elfin forests, tropical flowers and mahogany trees, Saba is one of the quietest and least visited islands in the Caribbean.

It's one of three Caribbean islands administered as "special municipalities" of Holland from The Hague.

Along with Bonaire and St. Eustatius, Saba draws a small yet committed bunch of visitors who come for the diving amid coral reefs teeming with groupers, turtles and the odd shark.

By law, all the houses the 1,500 locals reside in are painted white with red roofs and green shutters.

Goats outnumber people by 10 to one, though you'll need more than a little goat-like stubbornness to climb the 1,064 concrete steps that lead to the summit of Mount Scenery.

The name isn't a misnomer -- the steps pass through rainforest bulging with mountain palms and elephant ear ferns and the view from the top on a clear day is sublime.

Better still, the only company you're likely to be sharing the view with are hummingbirds, iguanas and the odd (harmless) racer snake.

More information is available from the official Saba Tourist Bureau website.

Winair flies from St. Maarten to Saba daily. The flight takes just 12 minutes.

Tristan da Cunha

Officially: British Overseas Territory

Forget what the people of the Galapagos tell you, this is the most remote inhabited place on the entire planet -- a volcanic island in the South Atlantic 1,750 miles from the nearest populated place, Cape Town, South Africa.

The reasons for the 260 British subjects (who share six surnames between them) residence here are bizarre.

When Napoleon was exiled to St. Helena (another British territory in the Atlantic) a small band of British soldiers was stationed on Tristan to prevent the island being used as part of any escape attempt.

Their descendants now comprise the population, which was evacuated to southern England in 1961 after the volcano erupted.

They returned the next year, preferring their island to city life.

"Tristan da Cunha is definitely not the most exotic island to travel to, but if you want to escape the chaos of the big city and experience life in a small, friendly community, you probably won't find a better place," writes Florin Nedelcu, who blogs for hotelclub.com.

The chances of the diminutive tyrant fleeing via here back to France were always pretty remote -- Tristan is thousands of miles in the wrong direction from Paris.

Today, the main industry is the export of crayfish.

There are no hotels, no airstrips, just one pub (the Albatross Inn) and, if you want to get here, you'll have to either snag a place on the few South African fishing vessels that pass by or book a berth on the RMS St. Helena, Britain's last post boat, which delivers mail to the locals.

For more information visit Tristan da Cunha.

For details on the schedule of the RMS St. Helena and other vessels that visit check out this official Tristan da Cunha website.

Rob Crossan is a freelance journalist and radio presenter based in Stockwell, South London, with more than 10 years experience writing and talking about travel, lifestyle, food, music, books and disability affairs.

@highlight

Colonies aren't as common as they used to be, but several overseas territories remain, and they're worth a visit

@highlight

You can get to France with an hour's ferry ride from Canada to the islands of St. Pierre and Miquillon

@highlight

Britain's Tristan da Cunha in the South Atlantic has a population of just 260, and specializes in exporting crayfish