(CNN) -- China's National People's Congress (NPC) meets every year and brings about 3,000 national delegates together in Beijing's Great Hall of the People to discuss government reports, pass legislation and formalize appointments of government officials.

The NPC is constitutionally the highest organ of government power in China although it has long been considered a rubber-stamp parliament. It passes virtually every measure, resolution and law put forward by the government or the Chinese Communist Party.

Since the early 1990s, the NPC has passed several laws aimed at building up a legal system and has sought to promulgate a "rule by law" rather than a "rule by men" -- an attempt to steer the party away from its Maoist structures to fit more closely the international norms that govern the world's capital markets.

The raft of new legislation passed at the NPC includes labor laws, securities laws, corporation laws, banking laws and environmental protection laws. The body also has the power to elect, dismiss and reassign local and central government officials, including the state president, the premier, top judges and ministers.

Despite this, elections are carefully choreographed, and typically there is only one candidate for one position. Token disapproval or dissent is usually shown by means of abstentions rather than straight "no" votes.

Xi Jinping and a new, younger crop of leaders are set to lead the Communist Party and the government over the next 10 years. The Communist Party is due for the reshuffle in the fall and the government will follow suit in spring 2013.

Barring any big surprises, current vice premier Li Keqiang, a protege of President Hu, is set to replace Premier Wen Jiabao, who will retire.

When China's leaders convene, they will have a wide range of problems to tackle. Among them:

-- How to keep the economy growing at a fast enough rate (the IMF currently estimates growth at 8.2%) at a time when the global economy is in recession. Much of the Communist Party's legitimacy is predicated on economic growth which mitigates unemployment and social tensions.

-- How quickly China can shift its economic growth model from manufacturing and exports to domestic consumption and services.

-- How to bridge the growing divide between the rich and the poor to maintain social stability.

-- How to keep these problems in check without significantly changing the political system and how to deal with pressure for political reforms.

-- How to keep ethnic unrest in places like Xinjiang and Tibet in check.

-- How to deal with the growing desire in Taiwan, Macau and Hong Kong for more freedom while at the same time maintaining China's claim of sovereignty over them. Hong Kong is likely to be in focus this congress because of its upcoming elections.

-- How to manage its growing economic and political strength overseas without triggering a backlash among other countries, especially its neighbors and the United States.

Following three decades of economic reform, China is now an extremely complex and diverse country. Problems of regional rivalries, corruption, environmental degradation, joblessness, fiscal shakiness, massive in-migration and social tension are now visible features of China's political and social landscape.

What the CCP will have to face is that the old way of governing -- rule by edict over a submissive and poorly informed population -- is no longer working. More and more Chinese are informed through the power of the media, particularly through microblogging sites like Weibo which are now a valuable litmus of popular public opinion.

More than 500 million Chinese are internet users, and the country's microbloggers are believed to number more than 200 million users. More and more Chinese are unafraid to air their grievances, leading to thousands of "mass incidents" or spontaneous protests every year sparked by corruption, environmental damage, official abuse and land grabs.

@highlight

China's National People's Congress meets every year

@highlight

The Congress is largely a rubber stamp parliament

@highlight

It nevertheless gives outsiders a rare glimpse into the direction of Chinese policy

@highlight

The Congress is set to authorize the appointment of Xi Jinping to lead the party