(CNN) -- Google's technology certainly can map out driving directions and organize e-mail (or even make cars drive themselves). But can its digital tools take down drug cartels?

The company says it can, with your help.

"We believe that technology has the power to expose and dismantle global criminal networks, which depend on secrecy and discretion in order to function," Google said in a blog post this week. "And for the past few months, we've been working with people fighting on the front line to gain a better understanding of what drives these networks and how they function."

In coordination with the Council on Foreign Relations and the Tribeca Film Festival, Google Ideas -- the company's "think/do tank" -- hosted a conference in Los Angeles this week. Its goal: to come up with ways technology can be used to help dismantle illicit networks, from the drug and arms trades to human trafficking.

The event was called the INFO Summit, short for Illicit Networks: Forces in Opposition, and it was designed largely to brainstorm these issues and to come up with technological solutions that could be implemented in the future. A YouTube channel has been created to house ideas from the event, but it was largely empty as of Thursday.

Google says it wants to use technology to help people within illicit networks, as well as helping members of the public to shed light on the networks' illegal activities and ultimately dismantle them. The stakes for these activities are high. The United Nations estimates $2.1 trillion worth of illicit trade occurred in 2009. Violence also tends to surround these enterprises. Nearly 50,000 people have died in Mexico's drug violence since 2006, according to Mexican authorities.

As part of the efforts, Interpol also announced the creation of an app and website called The Interpol Global Register. It's designed to help consumers and international law-enforcement groups track products that may be counterfeit or were traded illegally.

A report about the app on Interpol's website (PDF) says the app will be available for iOS, Android, Windows and BlackBerry devices. It did not appear on Thursday to be available for download. Consumers can use the app to scan items and determine whether they were traded or created illegally. Illicit products are reported to authorities.

The efforts by Google Ideas aim to go beyond using technology to expose wrongs in war zones and in illicit networks. The company wants to use tech to make a difference.

"What we have learned from Syria is just getting content out into the public domain is not enough. Simple naming and shaming doesn't solve the problems," Jared Cohen, director of Google Ideas, told The Guardian in an interview at the conference. "It gives people a voice but at the end of the day the way you're going to solve these problems is some kind of partnership between humans and computers working together."

Technology could also be used in closed states like North Korea, Stewart Patrick writes in a wrap-up of the INFO Summit on a Council of Foreign Relations blog.

"Illicit networks flourish in the darkness, where corruption is the norm and transparency is absent. This problem is most acute in so-called 'mafia states,' where the government has become a full-fledged criminal enterprise -- of which the 'soprano state' of North Korea is the most glaring example," he writes. "But no country is exempt from corruption. And where transparency is lacking, there is no way for citizens to fight back."

In a way, by trying to address these problems, Google is acknowledging it has had a hand in fostering them, too.

"Internet-enabled technology, that which networks us together, has done a huge amount for humanity in general," Scott Carpenter, the principal at Google Ideas, said at the Oslo Freedom Forum earlier this year, according to a live blog. "But it's also introduced complications, such as child pornography, transnational crime, and government repression. Technology has made these bad things easier. Simply, when you combine human beings with machines, the results can be marvelous, or they can be malevolent."

Google, whose unofficial motto is "Don't Be Evil," says that any efforts to raise awareness about these problems could only help.

"We are trying to move the ball forward," Google's executive chairman, Eric Schmidt, said in an interview with the Los Angeles Times. "It seems to me if we can increase awareness of illicit networks, that in and of itself is progress."

@highlight

Google hosts a conference on tackling illicit global networks

@highlight

The company says tech can fight cartels, human trafficking

@highlight

The INFO Summit is designed to gather info on the topics

@highlight

Interpol announces an app to track the legality of products