I was diagnosed with diabetes 12 years ago.

At the time, I was caring for my mother, who was on dialysis and had had her leg amputated. As a family, we knew very little about diabetes -- only that once you got it, you deteriorated and died.

Like our father, who suffered a stroke and then died years later of a massive heart attack brought on by complications of diabetes.

Both my parents, in fact, died from complications of diabetes. They were strong pillars of our family and community, taken way too soon by a disease that is the leading cause of death among Pacific Islanders.

Before seeing the doctor, I had been experiencing extreme thirst, especially at night. The tips of my toes felt like bees lived there and were desperate to burst out of my skin. My vision became blurred after each meal.

It was 2 p.m. and I hadn't eaten anything when the doctor tested my blood sugar level. It was in the high 200s. Normal is between 110 and 125.

You have diabetes, Ms. Figiel, the doctor said. He prescribed metformin and directed me to a dietitian. She further reiterated what the doctor had told me: how food was related to high blood glucose levels and how consistently high blood glucose levels will eventually lead to amputations, blindness, kidney failure, stroke and other complications.

Fit Nation: Why I gave up soda

I followed the dietician's plan for the next few months. I took up walking and noticed that my vision had become clearer. But it didn't take me long to fall back to my old eating habits. A colleague's birthday celebration, a brother's graduation party, a friend's wedding, a cousin's funeral -- these were all occasions where food was at the center. And in our culture, you show appreciation and respect for those who prepared the food by eating it.

I soon found myself hovering around 400 pounds.

After six years of oral medication, I was switched to insulin injections. My blood sugar levels were too high, and I was not managing them well.

Insulin was scary at first. But then I realized it gave me the freedom to eat all my favorite foods! I would just inject 100 units, and my blood sugar would be normal in a matter of minutes. Soon, I was injecting as much as 300 units of insulin a day.

It was at this time that I began experiencing extreme pain in my teeth and gums. One of my front teeth became longer than the rest, and I found that I couldn't bite into certain foods, such as apples. This front tooth was eventually pulled. The dentist didn't have to do much; it pretty much fell out on its own.

Injecting large amounts of insulin meant I was prone to low blood sugar. I would wake up in a sweat as energy quickly left my body. My 8-year-old son saved my life continuously during this time; he knew exactly what to do and how to inject insulin. The fact that my life was being saved by a child shamed me.

Eighteen months ago, my sister and I moved our family from American Samoa to Utah. I saw the move as an opportunity for me not only to change my own life but, most important, to give my son his childhood.

Fit Nation: Celebrate small victories

The first thing we did as a family was to enroll at a recreation center. We were all exercising together. The kids had fun in the pool, and I found myself walking again.

I also decided to educate myself about diabetes. I had read about people reversing diabetes by eating a plant-based diet. It was an easy plan to follow because I love fruit and vegetables, and they are in abundance here.

Yet I found that I couldn't chew much without feeling extreme pain. I bought a Vitamix blender and started throwing all my vegetables and fruits into it. By Christmas, I had dropped 80 pounds.

Then, three days before Christmas, my dentist told me that I had advanced periodontal disease and all my teeth had to be removed. Not effectively controlling my diabetes had proven too much for my gums.

I was actually relieved. I welcomed anything to remove the pain I was experiencing. I decided to ask my friends to film the surgery. The filmmaker kept asking me, "Girl, are you sure about this? Aren't you afraid people are going to talk about you?"

You can watch the film on YouTube. It's called "Sia at the Dentist."

Since then, my son hasn't had to worry about waking up at 3 or 4 a.m. to revive me. In fact, since I began training for the Nautica Malibu Triathlon three weeks ago, we are all sleeping soundly through the night.

With the demands of training, I realize that my body needs more fuel. While I enjoy green smoothies, I also need protein and carbohydrates. Our choice of animal protein comes from turkey, salmon, chicken, canned tuna and eggs. I buy whole-grain pasta, quinoa and brown rice. We eat only wheat bread and do not eat white flour or sugar.

My boys love saimin, a form of ramen noodles popular on the islands. When I make it now, I add broccoli, peas and green onions and throw out the spice packet, which contains a ton of sodium. They complain and ask, "Then what's the use of eating saimin?"

That's when I show them my dentures, and there's sudden silence.

I still don't know all the answers to diabetes and obesity. All I know is that we have to look hard at our reasons for change. I'll be damned if I lose any other body part to this disease.

Did I mention that I ran my first mile this morning nonstop?

How the 'Sassy Six' came to be

@highlight

Sia Figiel is from American Samoa, where food is a big part of the culture

@highlight

Figiel developed diabetes and struggled to manage it

@highlight

Since moving to the United States, Figiel has lost 100 pounds

@highlight

Follow her journey training for a triathlon @TriHardSia