United Nations (CNN) -- U.N. Secretary-General Ban Ki-moon exhorted member nations Monday not to waver from efforts to meet the Millennium Development Goals they set for themselves a decade ago with a deadline of 2015.

"We have led you to the river, so what are we asking of you today?" he said to a U.N. summit on global goals to fight poverty, hunger and disease. "To stay true, true to our identity as an international community built on a foundation of solidarity, true to our commitment to end the dehumanizing conditions of extreme poverty."

The eight goals call for halving extreme poverty and hunger and achieving full employment; achieving universal primary education; promoting gender equality and empowering women; reducing child mortality by two thirds; reducing maternal mortality by three quarters and achieving universal access to reproductive health; beginning to reverse the spread of HIV; ensuring environmental stability; and developing a global partnership for development that deals with developing countries' debt.

In a report issued before Monday's meeting, Ban said the summit is "crucially important" for meeting the anti-poverty goals. Progress reaching the targets has been uneven, he said, and several of the goals are likely to be missed in many countries if additional efforts are not made.

The United Nations said almost 150 heads of state were expected to attend the meeting, which comes as many donor countries are tightening purse-strings in the wake of large fiscal deficits, rising debts and the global economic crisis.

"But economic uncertainty cannot be an excuse for slowing down our development efforts," Ban said in the report.

French President Nicolas Sarkozy proposed levying a tax on transactions through the world banking system and applying those funds to efforts to meet the goals. "Why should we not as finance -- money -- to participate in stabilizing the world by being involved in imposing on each financial transaction a small tax?" he asked.

Bolivian President Evo Morales blamed the transfer of natural resources from southern countries to those in the north for the world's economic imbalance.

"What we should discuss at this meeting, dear presidents, heads of state and heads of delegations, is how to put an end to this pillage of resources from the south," he said.

He called for the nationalization of natural resources "so the dividends they generate will remain in our countries and benefit our peoples."

He added, "We need investors, but they cannot become owners of our natural resources. The state must be the owner of these natural resources."

Morales also called for the establishment of a bank for developing countries in the southern hemisphere, including those in Africa and Asia. The bank, if funded with a percentage of the countries' international reserves, could help the countries "break away from our dependency on the International Monetary Fund and the World Bank," he said.

During the four years he has served as president, the break with the IMF and the World Bank has helped Bolivia, he said.

"Without the IMF, we're better off than we were before," he said, citing eradication of illiteracy, a drop in extreme poverty from 41 percent to 32 percent and a 42 percent drop in infant mortality.

But Bolivia will not be able to meet the millennium goals unless the distribution of wealth is made more equal, he said, noting that a recent U.N. report says that the poorest 40 percent of the world's population has only 5 percent of global income, while 70 percent of world income goes to the top 5 percent of the world's population.

"That is unfair distribution of wealth," he said. "Our task should be oriented toward putting an end to this unfair distribution."

Israeli President Shimon Peres called again for a two-state solution in the Middle East -- a Jewish state and an Arab state. "There is no other peaceful alternative to that conflict, and I believe we shall succeed, despite the differences," he said.

He also espoused the world body's millennium goals. "A hungry world will never be peaceful; a terrorized world will never be governable," he said.

Jordan's King Abdullah II said his country has already achieved one of the goals -- ensuring that children in primary school stay in school, thereby ending youth illiteracy. But lack of regional peace represents a burden on development, he said. "When warfare and violence divert resources from social needs and economic growth, economies and community life are undermined and poverty and frustration grow."

He expressed hope that the development programs "can help build a foundation for peace."

The meeting to discuss Millennium Development Goals is a major item in a week that will include high-level discussions among international leaders as the U.N. General Assembly annual debate begins Thursday.

U.N. officials are urging leaders to use the meetings as an opportunity to ratify dozens of international treaties ranging from protecting human rights to fighting terrorism to preserving biodiversity, a statement released by the organization said.

Last year, 64 countries took 103 treaty actions, the highest participation in four years, according to the United Nations.

@highlight

The Millennium Development Goals include halving extreme poverty by 2015

@highlight

The U.N. chief says progress reaching targets has been uneven

@highlight

International leaders also will convene this week for the U.N. General Assembly's debate