(CNN) -- Diwali is one of the most important Hindu festivals in India -- but the colorful customs and meanings associated with it can vary dramatically depending on whether you reside in the countryside or the city.

On the streets of densely populated conurbations like Mumbai, Diwali -- popularly known as the Festival of Lights -- is often a raucous affair, marked by a cacophony of firecrackers on the streets and a flourish of ceremonial gambling in the home. The wealthier urban dwellers splurge on gold, jewelry, clothes and expensive gifts such as electronics, which they buy for themselves and their loved ones.

In the quiet tribal villages, such as those dotted around the vast state of Maharashtra in the west of India, the celebration is generally a more simple affair, defined by humble offerings and wholesome feasts. Few, if any, firecrackers are burst and many follow their own particular tribal traditions. Most villagers try and buy new clothes, but few can afford gold, jewelry or elaborate gifts.

Are you an expert on Diwali? Take the quiz

Common traditions

There are some Diwali rituals common across most of the subcontinent. In both city and countryside, small clay oil lamps (or diyas) are placed at the thresholds of homes, shops and offices throughout the five-day affair to celebrate the legend of the return of the Hindu god, Lord Rama, to his kingdom after 14 years in exile. According to mythology his people lit diyas to welcome his return.

Hindus in cities and villages also believe that during Diwali the Hindu goddess of wealth, Lakshmi, will visit their homes if they are lit, clean and beautifully decorated.

Windows and doors are left open to let the goddess in and homes are cleaned from top to bottom.

Brightly-colored rangolis are drawn using fingers on the ground at the entrances to homes and offices. These geometric designs are usually symbols of nature and their purpose is to welcome guests and to encourage Lakshmi inside.

Gambling card games are often played in both villages and cities, as it is generally considered auspicious to gamble during Diwali.

This springs from a legend that a Hindu deity played a dice game with his consort on the fourth day of Diwali and she won. Some Hindus believe Lakshmi can be invoked through gambling.

Place your bets

Gambling parties are an especially popular pastime during Diwali in Mumbai. The parties typically start at 10pm in bungalows and farmhouses and continue until 5am.

"Bets can start as small as Rs 20 (40 cents) and as big as Rs 5,000 ($93). In a night people can lose up to Rs 50,000 ($930)," explains Vikram Mehta, 30, founder of Red Om Entertainment in Mumbai.

"People don't mind losing -- it's part of the ambiance and people are having fun. Everyone dresses up, everyone is on holiday, everyone is inviting each other to their homes, there is a lot of warmth."

A range of games are played, the most popular being Teen Patti (three-card brag) with Blackjack and poker also favorites.

"People sit on mattresses on the floor. There are rooms where the kids play for fun and then other rooms with the higher stakes," Mehta says. The houses are decorated with diyas, people dress in traditional Indian dress, servants wander round with platters of kebabs, biryani and Indian sweets, he adds.

Across the country Indian sweets -- known as mithai -- are exchanged and people have large family gatherings in their homes.

More from CNN Celebrates: Your frighteningly fun Halloween shots

New year, new accounts

Diwali also marks the start of the new Hindu financial year and many businessmen, traders and shopkeepers, open new accounts books. Businessmen in certain states, particularly Gujarat, worship their accounts books.

There are various other rituals celebrated in towns and villages on each of the five days. For example, on the last day of Diwali in many parts of India, a sister cooks for her brother and he bestows gifts on her in celebration of the love between siblings.

"The modern world is changing and festivals are the only way to keep our culture and traditions alive. For us Diwali is the victory of good over evil, the returning of good back into our lives and starting a new year with a positive approach and forgetting all the bad that has happened," says 45-year-old Mumbai housewife Heena Damle.

"You have tables ready with sweets to offer if someone comes to your home," adds her nephew Pranav Damle, 29.

iReport: Diwali's lights and colors

Lighting up the night

Typically fire crackers are set off from dusk, often throughout the night. The noise is believed to herald the defeat of evil and catch the attention of the gods.

19-year-old rag picker Santosh, whose family migrated from a Maharashtrian village to Mumbai, says: "People in the villages have limited means, so it's not very spectacular. In Mumbai, the rich celebrate it with a lot of pomp. We witness huge fireworks and can get such fancy crackers."

Some, however, are concerned that the original traditions of Diwali are being lost in cities.

Inir Pinheiro is managing director of Grassroutes, which promotes responsible village tourism, and will take 60 urban Indians on trips to three tribal villages in Maharashtra this Diwali. He says many of them want to "see an unadulterated way of celebrating Diwali, a less noisy place and to reconnect with the people."

"I think people in the cities are beginning to realize there is a lot of show in the way it is celebrated and a large materialistic aspect to it. People want to see if there is something more to the celebration," Pinheiro says.

Hopes for the harvest

In the 500-person village of Purushwadi in Maharashtra, one of Pinheiro's selected rural destinations, families of five typically live in two-bedroomed stone houses. Dutta Kondar, 27, a farmer from the Mahadeo Koli tribe, says that Diwali is a "celebration of the end of the harvest of kharif (rain-fed crops)."

Since harvest is when the villagers make money, villagers carry out Lakshmi puja (prayer ritual) on their assets at Diwali, giving thanks and praying for a good harvest to come.

"We conduct a small puja of our cattle, grain and cash," Kondar says. Family members hold a plate of offerings to the gods and chant prayers while rotating the plate around the assets, he explains.

"To make sure our bodies are prepared for the winter, we eat lots of oil and sweets," Kondar adds.

"Whenever anyone enters their house, the villagers offer each other sweets. But they don't buy presents for each other - money being a big constraint," Pinheiro says.

Village values

Like many rural villages across India, Purushwadi has its own particular rituals. Pinheiro says one of the most popular is the local singing ceremony.

"This is when children go round the houses holding hand-made lanterns made of sticks and twigs and they sing Marathi songs for the benefit of residents of the homes. In return they are given oil and grain," Pinheiro says.

"The difference in how Diwali is celebrated in the villages is that it is done with more simplicity. It is the rare occasion when they buy clothes and eat nice food and they are celebrating after many months of hard work.. In the cities it is less community-oriented, noisier and more about spending money and showing off," Pinheiro adds.

Join CNN to document the events that bring us all together. With your help we'll showcase celebrations from Halloween to New Year

Send us your best photos: www.cnn.com/celebrates

@highlight

Diwali is a Hindu festival that takes place between mid October and mid November each year

@highlight

Lights are lit to commemorate the legend of the return of the Hindu god Rama to his kingdom after 14 years in exile

@highlight

Hindus also believe Lakshmi, goddess of wealth, enters their homes during this period

@highlight

In Indian villages Diwali is more a celebration of the end of the harvest and many months of hard work