(CNN) -- "It is so ordered."

Four words, used by the Supreme Court of the United States, that set loose a cascade of public policy. Few phrases are as powerful and precise.

On June 25, when Justice Anthony Kennedy closed the court's majority opinion regarding Arizona's anti-immigrant law, S.B. 1070, with these words, the court lifted a burden off the shoulders of local law enforcement as well as millions of immigrants across the country.

Last Tuesday, the ripples reached Indiana: The state's Republican attorney general, Greg Zoeller, said portions of his state's Senate Bill 590 could not be defended. "The Supreme Court made clear that immigration enforcement is a federal government responsibility," Zoeller acknowledged.

Elements of Indiana's law resemble those the Supreme Court struck down in Arizona's, including provisions giving local police unprecedented power to make warrantless arrests based on assumed immigration status.

Zoeller saw the constitutional writing on the wall and freed his enforcement resources from an expensive court battle the state of Indiana was sure to lose. The court's ruling on S.B. 1070 made it clear that state laws authorizing local law enforcement to make warrantless arrests of people for immigration violations are unconstitutional.

Opinion: Don't deport the 'tamale lady'

The court struck down three parts of the law, including the murky section that authorized state officers to arrest people based on "probable cause" that they had committed an offense that could lead to deportation. The court allowed a fourth section, the troubling "papers please" provision, to go into effect, but it left the door wide open for further legal scrutiny.

Lest you think otherwise, Zoeller is no shrinking violet when it comes to immigration enforcement and keeping our nation safe. He is an active member of the Alliance Partnership of the Conference of Western Attorneys General, in which attorneys general across the United States partner with their colleagues in Mexico to strengthen the legal systems of both countries and reduce crime.

As Zoeller wrote in 2011, "Greater cooperation, trust and information sharing between law enforcers and judicial officers on both sides of the border creates a more peaceful backdrop against which the U.S. government can work to improve an immigration system that clearly needs fixing."

Working collaboratively across state lines and international borders to fight human and drug trafficking, money laundering and consumer fraud is a far better use of law enforcement resources than arresting landscapers and nannies.

Zoeller is not alone in thinking there is a better way to enforce immigration law. Last year, he joined a bipartisan group of business, law enforcement and religious leaders in signing the Indiana Compact, a set of principles to guide the state's immigration debate. The compact affirms that immigration enforcement should be handled at the federal level, not the state level.

The signers of the Indiana Compact joined like-minded leaders in Utah and Iowa â€” neither of which is a liberal stronghold â€” who signed compacts of their own calling upon the administration and Congress to work together to create a common-sense immigration process.

But Congress has failed to muster the will to craft legislation, and President Obama is reduced to making administrative changes to an antiquated system. Sadly, the Supreme Court's ruling on S.B. 1070 is all we have to work with when it comes to federal guidance on immigration.

Opinion: Why 'illegal immigrant' is a slur

But the winds of the immigration debate are changing. From the Mountain West to the Southeast to the Midwest, people who wear badges, run businesses and carry Bibles are building a new consensus on immigrants and America.

The consensus is that immigration policy is a human issue. Documented or undocumented, people have freedom that we protect. That is one of the ideals on which our nation is built.

Leaders such as Zoeller are doing what they are constitutionally required to do: Enforce the law. Zoeller must and will protect the residents of Indiana, regardless of their federal immigration status.

To do so, he will direct all his resources toward tracking down those who would perpetrate crime on these residents and bring them to justice rather than dedicate scarce resources toward enforcing federal immigration law.

The Supreme Court has ordered that the federal government pre-empts states when it comes to immigration law. It is time the other branches of our federal government heeded that order and created a rational immigration process that allows law enforcement officials to do their job: keep us safe.

The opinions expressed in this commentary are solely those of Ali Noorani.

@highlight

Indiana's attorney general has declared most of the state's new immigration law indefensible

@highlight

He cited the June Supreme Court ruling on Arizona in his announcement, says Ali Noorani

@highlight

Indiana is not alone in thinking there is a better way to enforce immigration law, Noorani says

@highlight

Noorani: It's time for the federal government to create a rational immigration process