Thinking about picking up a Wii U this Sunday when it goes on sale? Already have one preordered? Maybe you're planning to brave the lines in hopes of lucking out?

It's not too late to change your mind, one way or the other.

I've had a Wii U for the past week, and while I'm not allowed to tell you what I think about the system overall until Sunday, I've pulled together a list of points worth considering before you pull the trigger.

It's pre-sold out, everywhere. Really. Visit the website of any major retailer that carries video games and you'll find the Wii U is either long gone or wasn't being pre-sold in the first place. The only way to guarantee a system, day one, is to purchase through an auction site like eBay or through retailers that allow third-party sales like Amazon. It's likely you'll pay dearly if you do, of course — from $400 or $500 to upwards of $3,000.

You can always stand in line. Many retailers held units back to have on hand, day one, or simply didn't offer pre-sales. You'll want to check with your local stores for their launch day plans, but this is arguably the best route to nab a Wii U at launch if you didn't preorder and don't want to pay scalper prices.

Nintendo says it should have plenty to go around. Not on day one, but Nintendo has publicly committed to having more Wii U units in stores during the first week than it did for the Wii six years ago, and it's doubled down on that claim by stating it'll replenish systems "much more frequently" during the holiday than it did for the Wii.

The Wii U isn't just a Wii plus a DS. It may look like a Wii plus a DS, and it clearly shares second-screen DNA with the DS, but it's not a DS. The DS is about what you can do when you put a second screen right next to the first screen and both of those in a device that fits in your hands. The Wii U is about what you can do if you make one of the screens your TV, snap off the other, then let it wander. And it's not really possible for more than one person to play a DS, whereas multiple players (in the same room) are a key part of the Wii U experience.

It's also more than just a souped up Wii. The Wii was arguably just a souped up GameCube with a motion sensor. The Wii U is much more than just a souped up Wii with a tablet controller. It still supports Wii-style motion controls, but its insides are totally different — either as or more powerful than (depending which developer you talk to) current-gen systems like the Xbox 360 or PlayStation 3. It's also the first HD-capable Nintendo console in the company's history, and so far I'm finding that makes a pretty big difference for the visual artistry, say, in a game like New Super Mario Bros. U.

Initial game port fidelity varies, but this tells us little. Running visual comparisons of Batman: Arkham City, I found that while it looks great on the Wii U, the Xbox 360 version's textures tend to be sharper, especially when viewing distant objects. I've also noticed significant slowdown in the Wii U version of Epic Mickey 2 (it was only added as a launch title in early October). What does that mean? It's hard to say. Arkham City is a port of a year-old game that wasn't handled by the original developer. New systems can have steep learning curves, especially when it comes to ports. So while we're probably about to be inundated with visual and performance comparisons, I don't think they'll tell us much about what the Wii U can or can't do, long term.

The games only support one Wii U GamePad. The Wii U comes with just one Wii U GamePad, and Nintendo isn't selling the GamePad as a separate SKU (not yet, anyway). There's been plenty of speculation about why this is, but regardless of the real reason, you'll want to be aware that wielding the GamePad is a one-person affair (though it's still possible for up to four other local players to tap into a supported game using Wii Remotes). According to Nintendo: "In the future, the Wii U console will support, depending on the software, two Wii U GamePad controllers."

Both the Basic and Deluxe models come with an HDMI cable. And only an HDMI cable. You'd expect the Wii U to forego Component or S-Video, but game consoles usually include a low-end composite cable (red and white for stereo audio, the yellow connector pooling the red, green and blue video signals, which causes color bleed, creating a fuzzier image). Nintendo gets credit for being first to ditch composite entirely, which is kind of historic, since the composite standard came into existence back in 1954.

The $350 Deluxe model is a significantly better deal than the $300 Basic model. NintendoLand, the Wii Sports-like showcase game that comes with the Wii U, sells for $60 standalone, so that it's a pack-in with the Deluxe model justifies the extra $50 alone. But the Deluxe also includes 32 GB of internal storage (the Basic only has 8 GB, and roughly 4 GB of that is earmarked for system data), a Wii U GamePad charging cradle, a Wii U GamePad stand and a Wii U console stand. Nintendo's so clearly aiming buyers at the Deluxe model, it'll be a wonder if they sell any Basic systems at all.

The Wii U is backward compatible with the Wii. I can't confirm this yet, because the system update necessary to allow the Wii U to play Wii games hasn't arrived, but Nintendo says it's a sure thing. One feature the Wii U won't offer: visual benefits, say upscaling or post-processing, as Sony did for PS1 games on the PS2 and PS2 games on the PS3. According to Nintendo: "It's possible to play your Wii games on the Wii U, but no, we haven't announced anything about making any changes to those games in any way or changing how they would appear on the Wii U."

It has no built-in achievement or aggregate scoring system. Love or hate gamer scores and achievements? You'll either love or hate the Wii U. While developers are free to include in-game achievements, Nintendo offers no overarching mechanism for tracking games you've completed or accomplishments within. A possible upside for achievement-lovers? If you're secretly tired of the compulsive, competitive achievement grind, the Wii U offers liberation — a chance to go back to playing games for love of the games instead of an arbitrary number.

Wii U games are more expensive than Wii games. Wii games sold on average for $50. Wii U games will sell on average for $60. Nintendo's just playing catchup here, so it's hard to fault the company for raising prices. Just bear in mind that the total cost of owning a Wii U over time is going to be notably higher than it was for owning a Wii.

The GamePad is also a TV remote. Nintendo places a TV button right on the Wii U GamePad. Press it, and a touchscreen overlay appears, allowing you to change the channel, bring up your TV guide, turn the power on or off, or adjust the volume, all without reaching for your TV's native remote. It's a modest convenience, but a convenience nonetheless.

It's exactly as mobile (or not) as Nintendo says it is. Nintendo claims the Wii U GamePad works away from the base station up to 24 feet. That sounds about right, based on my tests. Your mileage will vary depending on what's in your walls, where you put the base station, what else you're doing (wirelessly speaking), etc. But 24 feet isn't a lot of space, range-wise, meaning the layout of your residence is going to determine whether you can play it in a separate room away from the main one.

We still have no idea what the online experience is like. TVii, Miiverse, Nintendo eShop and Wii U Chat are all missing in action at this point, so we have no idea how they work, if they work or what they'll add to the bottom line. With a little luck, Nintendo will remedy this in time for us to talk about this stuff pre-launch, but it's entirely possible day-one reviews will be limited to commenting on the system and games only. Bear that in mind if you're interested in the online features — especially stuff like TVii — and awaiting impressions or verdicts.

@highlight

Wii U, Nintendo's new gaming system, goes on sale Sunday

@highlight

At many retailers, the Wii U is either long gone or wasn't being pre-sold

@highlight

The Wii U is much more than just a souped up Wii with a tablet controller

@highlight

Total cost of owning a Wii U over time will be notably higher than for owning a Wii