(CNN) -- Are you worried that millionaires don't have enough influence in our elections? If you can't contribute more than $123,000 to politicians, are your free speech rights harmed?

At least 99% of Americans would laugh at the absurdity of these questions, but not Shaun McCutcheon, an Alabama political donor. McCutcheon v. FEC, his court challenge to the $123,200 aggregate contribution limit, has made it all the way to the Supreme Court, where it will be heard on October 8.

Aggregate limits -- or the total someone can contribute to federal candidates and committees each two-year election cycle -- was previously before the Supreme Court.

In Buckley v. Valeo (1976), the Supreme Court found the limits constitutional because they prevent corruption of federal officeholders and government decisions.

The court wrote, "But this quite modest restraint upon protected political activity serves to prevent evasion of the $1,000 contribution limitation by a person who might otherwise contribute massive amounts of money to a particular candidate" through "contributions to political committees likely to contribute to that candidate, or huge contributions to the candidate's political party."

Now, especially after throwing out a century's worth of law approving restrictions on corporate campaign expenditures in rulings, including Citizens United, one would expect the Supreme Court to leave some of its campaign finance precedents intact. With this challenge to another longstanding law, the court will have its chance.

One argument advanced by McCutcheon's supporters is that because the Citizens United decision unleashed millions of dollars in independent electoral spending, much of it from anonymous sources, the role of political parties has been diminished to the detriment of our political system. That's hogwash. McCutcheon supporters propose throwing out aggregate limits so the parties can raise more than $1 million from a single contributor.

Eliminating the aggregate limits would only invite more political corruption.

First, it would provide another advantage for the tiny fraction of Americans who have the means to give so lavishly. In 2012, only four out of 1,000 Americans made political contributions of $200 or more, and the proportion of Americans who give the maximum amount of contributions allowed under federal law is much smaller.

By way of perspective, McCutcheon challenges a contribution cap for individuals of $123,200 -- or more than twice the $51,017 the average American family earns a year before taxes. Eliminating this "quite modest restraint" would further empower the very few Americans who can afford to give such sums, and it would bring us pretty close to the definition of oligarchy.

Second, the corruption that would arise from eliminating these limits is not hypothetical. The record presented to the U.S. Supreme Court in the case of McConnell v FEC -- the decision that upheld the McCain-Feingold campaign financing act -- confirmed that the parties can and do serve as conduits for huge donors seeking specific outcomes in Washington and state capitals across the country.

Not only does the lower court record make clear that large contributions buy access and influence -- read the depositions of Sen. Warren Rudman, R-New Hampshire; Alan Simpson, R-Wyoming, and Paul Simon, D-Illinois -- but they also affect Senate action.

For example, the court record shows that in 1996, during Senate consideration of an amendment to benefit Federal Express, Sen. Russ Feingold, D-Wisconsin, said a senior senator suggested to him that he support the amendment because "they just gave us $100,000."

The record reports that a popular generic drug bill died in Congress in 2002, shortly after two Republican Party congressional committees held a large gala fundraiser to raise almost $30 million in contributions. Among the largest contributors to the gala were GlaxoSmithKline PLC, PhRMA , Pfizer, Eli Lilly & Co., Bayer AG and Merck & Co.

Sen. John McCain, R-Arizona, summed up the problem this way: "There's a terrible appearance when the Generic Drug Bill, which passes by 78 votes through the Senate, is not allowed to be brought up in the House shortly after a huge fundraiser with multimillion-dollar contributions from the pharmaceutical drug companies who are opposed to the legislation."

Third, allowing donors a direct route to funnel millions straight to parties and candidates will not stop the anonymous independent spending. These expenditures will persist because they offer distinct advantages: They allow donors to hide their identities from the public, and allow candidates to outsource the dirty work, like attack ads.

If the Supreme Court sides with McCutcheon, all it will have done is open new routes for corruption without closing the old ones.

The opinions expressed in this commentary are solely those of Meredith McGehee.

@highlight

Supreme Court takes on a challenge to $123,200 aggregate campaign contribution limit

@highlight

Limit is the total you can give to federal candidates each two-year election cycle

@highlight

Meredith McGehee: If court gets rid of limits, it invites corruption and gives advantage to the rich

@highlight

Large contributions are corrupting, she says; they buy access and influence to power