Tell your friends. Don't get discouraged. It's worth the struggle.

Sounding like a motivational speaker, President Barack Obama asked young supporters on Wednesday to encourage their peers to sign up for health coverage under his embattled reforms known both affectionately and derisively as Obamacare.

At a White House Youth Summit, Obama used the opportunity to rally a key demographic for the success of the 2010 Affordable Care Act now that the system's problem-plagued website appeared to working smoothly for most users.

Obamacare enrollment ramps up in days after website fix

He compared the never-ending political fight over the health care reforms to struggles that surrounded social progress milestones of the past century.

"I hope you haven't been discouraged by how hard it's been because stuff that's worth it is always hard," Obama said. "The civil rights movement was hard. Getting women the right to vote -- that was hard. Making sure that workers had the right to organize -- that was hard. It's never been easy for us to change how we do business in this country."

Joking he had more gray hair because of relentless attacks on the reforms led by conservative Republicans, Obama added it was worth it and told the laughing summit participants to "be persistent" in spreading information about new benefits and helping others enroll.

"You may get a few gray hairs as a consequence, but at the end of the day, you'll think it's worth it," he said.

The botched October 1 launch of the HealthCare.gov website for enrolling in new insurance exchanges set up under the reforms undermined the administration's efforts to create early momentum for the new system.

White House begins three-week Obamacare blitz

Meanwhile, critics led by conservative Republicans have tried to dismantle the health care law at every turn.

With the website now functioning relatively smoothly, Obama launched a three-week blitz on Tuesday to promote the reforms as uninsured consumers now required to obtain health coverage face a December 23 deadline to sign up in order to be covered as of January 1.

A properly functioning HealthCare.gov is crucial to implementing the most vital provisions of the health law that require people to have health coverage.

In theory, the law would create large pools of younger, healthier participants whose premiums would help offset the cost of providing care for older policy holders who use the health care system more.

The program depends on convincing younger people who might be less inclined to pay for coverage they don't think they need.

Obama told the youth summit participants to urge their friends and peers to "imagine what happens if you get sick; what happens with the massive bills."

Because of the reforms, he said, most young people without insurance are likely to get health coverage for less than they pay for their smartphones.

Administration officials hope the new ability of HealthCare.gov to handle 800,000 users a day or more without major problems signals a major step forward in getting people to sign up.

However, officials including Obama warn that glitches will persist and describe the website as a work in progress.

"There will be other things that come up during the course of the next several months because you are starting off a new program that has an impact on one-sixth of the economy," Obama said Wednesday, adding that "we are just going to keep on working on it and improving it and refining it, and if we see a problem, we are going to fix it. But we are not repealing it.  Not as long as I am president."

Insurance companies say some "back-end" aspects of the HealthCare.gov system continue to malfunction. In particular, insurers cite problems with applications from people who signed up through the website, including erroneous or missing information.

Insurers still reporting errors on Obamacare applications

White House spokesman Jay Carney said Tuesday that tech experts were working on the processing problems, offering assurances they would be fixed in time for coverage on January 1.

3 questions the administration won't answer about Obamacare

Republican criticism continues

Republicans seeking to eliminate the health care reforms leap at any opening to attack the law that passed Congress without any GOP support.

They accuse Obama and Democrats of lying about the effects of the reforms, noting several million people had policies canceled despite pledges they could keep coverage they liked, and they describe the Affordable Care Act as an example of big government run amok.

On Wednesday, the Republican National Committee demanded that the administration make public the problems cited by insurers with the 834 forms for applying for coverage on HealthCare.gov.

"Democrats are spending this week telling people how great they think Obamacare is, but they can't even get a website to function correctly," said a statement by RNC Chairman Reince Priebus, adding that "the entire law -- not just the website -- is riddled with errors and needs to be repealed and replaced."

Meanwhile, the Republican National Committee's national youth director, Elliott Echols, called Wednesday's White House event an attempt to distract young Americans from the problems of the reforms.

"I'd love to see the White House use this time to answer some important questions from people, like 'Why are premiums doubling?' and 'Why can't I keep my doctor?' and 'Why did you lie to us?'," Echols said in a statement.

Obama and Democrats accuse Republicans of seeking to eliminate benefits of the reforms -- such as guaranteeing coverage for people with pre-existing conditions and ending caps on coverage costs -- without proposing anything substantive to help millions of uninsured Americans get affordable health insurance.

He told the summit participants that they can play a significant role in helping people learn more about the reforms and signing up.

"The truth is that for your friends, for your family, the most important source of information is not going to be me, it's going to be you," the President said. "They are going to trust you."

Obama OK with 'Obamacare' label

Getting specific, Obama urged student body leaders to organize conferences and bartenders to organize happy hours "and also probably get health insurance because most bartenders don't have it."

The President also cleared up any question about whether he had a problem with calling the reforms Obamacare, a label used pejoratively by Republican foes.

Repeating a line from his successful re-election campaign last year, Obama said to laughter and applause Wednesday that "I know people call this law Obamacare and that's OK because I do care, I do," adding, "I care about you, I care about families, I care about Americans."

Wording matters: Obamacare or Affordable Care Act?

A source familiar with the website said Wednesday that 29,000 people had enrolled through it since officials announced Sunday that they had fixed the most egregious problems plaguing HealthCare.gov for the two previous months.

The three-day figure is a vast improvement over October, the first month of the six-month enrollment period, when fewer than 27,000 people signed up through the HealthCare.gov website that was supposed to be the main enrollment portal.

Overall, the total of enrollees in October topped 100,000, including those who used alternate channels and successful exchanges set up by 14 states.

Marilyn Tavenner, the official charged with implementing Obamacare as director of the Centers for Medicare and Medicaid Services, said at a congressional hearing last month that the administration initially hoped to enroll 800,000 people by the end of November. The overall enrollment target by the March 31 deadline for 2014 is 7 million.

Poll: Quarter of uninsured say they'll pay Obamacare fine

Some Reid staffers exempt from Obamacare

@highlight

President Obama says health care reforms worth some gray hairs

@highlight

Don't get discouraged by partisan fight over Obamacare, President says

@highlight

Young Americans are a key demographic for the success of Obamacare

@highlight

With website working better, the administration launches a pro-reform campaign