(CNN) -- The dieting world screams with contradictory advice: Carbs are evil; carbs are good for you. "Good fat" is healthy; "good fat" has tons of calories.

Diets targeted at carbohydrates, proteins or fats result in similiar results, as long as calorie intake was reduced.

Researchers at the Harvard School of Public Health and the Pennington Biomedical Research Center put four popular diets -- high carb, high fat, low-fat and high protein -- to the test to see which of the regimens resulted in more weight-loss success.

After two years of monitoring the participants, "all the diets were winners," said study co-author Dr. Frank Sacks, a professor of cardiovascular disease prevention at the Harvard School of Public Health. "All produced weight loss and improvements in lipids, reduction in insulin.

"The key really is that it's calories. It's not the content of fat or carbohydrates, it's just calories," said Sacks. The findings are published in the latest edition of the New England Journal of Medicine.

For the study, 811 overweight adults in Boston, Massachusetts, and Baton Rouge, Louisiana, were assigned to one of four diets.

A quarter went on a carbohydrate-heavy diet, some on high-fat, others on low-fat and the remaining on high-protein diet. The four diets were not based on popular diets, Sacks said.

Regardless of diet, most participants had dramatic weight loss after six months, losing an average of 13 pounds.

According to Sacks' research, many of the 800-plus participants regained weight after a year, but about 80 percent of them lost at least eight pounds after two years. And 15 percent of the participants lost at least 10 percent of their body weight.

The study, funded by the National Heart, Lung and Blood Institute of the National Institutes of Health, showed little difference in users' satiety, hunger or satisfaction with their diets.

Participants could attend individual sessions where dieticians educated them  and group sessions where they discussed their experiences with one another.

Those who had better attendance in the sessions had stronger weight-loss results. "These findings together point to behavioral factors rather than macronutrient metabolism as the main influences on weight loss," according to the study. Macronutrients are the three main nutrients the body uses in relatively large amounts: proteins, carbohydrates and fats.  Watch the comparisons among four diets. »

"No one of those diets are necessarily better than any other diet," Sacks said.

In an accompanying editorial in the New England Journal of Medicine, Martijin B. Katan wrote the researchers' hypothesis is "plausible," but said the "differences in macronutrient intake were too small."

There was an underlying similarity between the four diets.

On average, the overweight participants had a 750-calorie reduction per day.  An average-sized male who consumed 2,800 calories a day was prescribed just over 2,000 calories and a woman who ate 2000 calories a day was prescribed 1,250 calories.

All diets were compatible with American Heart Association guidelines, Sack said. The study did not give the participants food. For the first 10 days, participants received menus, then were assigned to create their own using the healthy food options.

Depending on their prescribed diet, participants ate a wide range of carbohydrates, fat and protein, derived from healthy foods, such as olive oil, pasta and nut butter.

From these results, Sacks recommends going with "the diet you feel most comfortable that is healthy, that appeals to you in terms of what foods are in it, that isn't a drastic crash diet. Whatever allows you to keep the calories down and not feel really deprived."

Calorie restriction can be done without feeling deprived, said Dr. Luigi Fontana, an associate professor of medicine at the Washington University who studies the effects of calorie restriction on longevity. But he warns against just halving a person's current diet. Share your weight-loss success story with iReport.com.

"A lot of people think of calorie restriction like eating half a hamburger, half a pack of French fries -- that you can obtain by reducing in half your portions," Fontana said. "That's calorie restriction with malnutrition."

Dr. Melina Jampolis, the diet and fitness expert for CNNhealth warned against drastic measures like completely focusing on one macronutrient. "People want to be extreme," she said. "You say cut back on sugar, they cut it completely. The take-home would be that there is no markedly superior diet. If there was, people wouldn't stick with it anyway."

Cindy Moore, the director of nutrition therapy at Cleveland Clinic and a registered dietician agreed.

"People gravitate to the latest fads or trends, because they may have known someone who was successful in losing weight. That friend may have been in that early grace period of losing weight. The other thing is people think they need that magic bullet."

But a significant change in eating habits -- like cutting out an entire nutrient group like carbohydrates, proteins or fats, often can't be sustained.

Weight loss tends to be dramatic during the first few months. Brenda Driver, of Springfield, Missouri, was not involved in the study but says she lost 10 pounds in 10 days on the Atkins diet by eschewing all carbohydrates.

The 26-year-old and her fiance said they were "not looking at a crash diet, but want to jump start weight loss." The former vegetarians began eating meat again because of the high protein demands of the diet.

Driver said she's aware the Atkins diet is not an ideal long-term plan. Six years ago, she tried the diet for seven months and lost 45 pounds. She finally quit the diet because of her chocolate cravings.

This month, Driver and her fiance decided to give the Atkins another try. "I want to rebel against the whole, 'you're-engaged-now-you-have-to-lose-weight,' " she said. But it would be nice to look slimmer in those wedding photos, she said.

"I'm approaching it as a temporary thing. Vegetarianism is where I want to be the rest of my life."

Moore said the basics of losing weight boil down to this: Limit the calories consumed so a person is taking in less than the body needs or increase activity to burn more energy.

The problem, she said is that, "People get discouraged if weight loss is really, really slow."

@highlight

Researchers test four diets for weight-loss effectiveness

@highlight

Dieting theories emphasize carbohydrates, proteins or fats

@highlight

No huge differences seen between diets, key is calorie reduction

@highlight

Share your weight-loss success story with iReport