Washington (CNN) -- Despite having CIA agents on the ground and Libyan leader Moammar Gadhafi's exit as stated policy, U.S. officials continue to say the NATO-led military mission in Libya is only for its authorized humanitarian purposes.

The seeming discrepancy is part of a delicate diplomatic posture by the Obama administration on the complex overseas operation that involves a U.N. Security Council resolution, a multinational military force and the symbolism of presidential statements and actions.

With the military mission shifting Thursday to a new phase of full NATO control after initial U.S. leadership, divisions among alliance partners and within Congress became more evident, exacerbated by the administration's differing military and political goals.

President Barack Obama continues to insist that arming the Libyan rebels remained an option under consideration, while NATO Secretary General Anders Fogh Rasmussen and French Defense Minister Gerard Longuet ruled it out.

At House and Senate committee hearings, Republicans grilled Defense Secretary Robert Gates and Joint Chiefs of Staff Chairman Adm. Mike Mullen on the U.S. role in Libya.

"To say this is not about regime change is crazy," said Republican Rep. Mike Coffman of Colorado. "Of course this is about regime change. Why not just be honest with the American people?"

Obama has said the motivation for launching military action on March 19 was to prevent a massacre of civilians by Libyan military forces descending on the rebel stronghold of Benghazi.

Since then, airstrikes carried out mostly with U.S. planes and missiles have taken out much of Gadhafi's anti-aircraft capability and destroyed ground forces and supply lines.

While Gadhafi's forces have pulled back from Benghazi, they reclaimed territory from the rebels in recent days, leading to fears of a prolonged stalemate without stronger military support for the rebels.

On Thursday, White House spokesman Jay Carney noted the United States turned over control of the Libya mission to NATO that morning -- 12 days after it began -- to fulfill Obama's pledge to the nation that U.S. leadership would end within "days, not weeks."

While Carney said the United States and its allies would keep up pressure on Gadhafi's government, he acknowledged that it was impossible to say when the mission would end. Regardless of when, he said, "the scope of the U.S. involvement will be limited" and Obama continues to reject any possibility of sending in U.S. ground troops.

At the same time, a former counterterrorism official confirmed the existence of a presidential finding that authorizes the Central Intelligence Agency to conduct operations supporting U.S. policy in Libya.

A presidential finding is a type of secret order authorizing some covert intelligence operations, and a former senior intelligence official said such operations could include "advising on how to target the adversary, how to use the weapons they have, reconnaissance and counter surveillance."

Top administration officials distinguished between the military mission charged with protecting Libyan civilians and the other non-military efforts -- including sanctions, freezing assets and CIA operations -- aimed at hastening Gadhafi's departure.

"Does the United States have the capacity to unilaterally with military force produce regime change in Libya or another country? It probably does. We probably do," Carney told reporters. "Is that a desirable action to take when you have your eye on the long game here in terms of Libya's future, the future ... interests of the United States and the region? No."

Obama's dual-track policy, with the military coalition protecting Libyan civilians while the United States pursues "as a political, diplomatic and economic policy" the end of Gadhafi's rule, is the best fit for the Libya situation, Carney insisted, citing the international backing for the military mission through a U.N. Security Council resolution and Arab League support.

Critics complained that it is both dishonest and a mistake for the military objective to differ from the policy objective.

At a House Armed Services Committee hearing, Rep. Chris Gibson, R-New York, said the mission's "military and political goals are not harmonized," while Coffman called it "just the most muddled definition of an operation probably in U.S. military history."

On the Democratic side, liberal Rep. Dennis Kucinich of Ohio challenged Obama's legal power to commit U.S. forces to a combat role without congressional authorization.

"This is a clear and arrogant violation of our Constitution," Kucinich declared on the House floor. "Even a war launched ostensibly for humanitarian reasons is still a war and only Congress can declare a war."

Sen. John McCain of Arizona, the unsuccessful Republican presidential nominee in 2008, warned that pulling U.S. forces back to a supporting role under NATO control undermined the military mission at a key moment.

"For the United States to be withdrawing our unique offensive capabilities at this time sends the exact wrong signal both to our coalition partners as well as to the Gadhafi regime, especially to those Libyan officials whom we are trying to compel to break with Gadhafi," McCain said at a Senate Foreign Relations Committee hearing.

"I need not remind our witnesses that the purpose of using military force is to achieve policy goals," McCain told Gates and Mullen. "But in this case, not only are our military means out of alignment with our desired end of Gadhafi leaving power, we are now effectively stopping our strike missions all together without having accomplished our goal."

While Obama administration officials have described the continuing U.S. role in the military mission as supportive -- involving refueling, intelligence, surveillance and communications -- Gates said Thursday that U.S. strike aircraft such as A-10 and AC-130s could still be made available to NATO.

However, he added that he believed NATO allies had the capacity to take out Libyan ground forces as necessary under the mission's mandate of protecting civilian populations.

Appearing before both the House and Senate panels at separate hearings, Gates said the no-fly zone had been established and now needed to be sustained, but acknowledged "you could have a situation in which you achieve the military goal but do not achieve the political goal."

CNN's Pam Benson, Elise Labott and Alan Silverleib contributed to this story.

@highlight

NATO partners disagree on arming Libyan rebels

@highlight

The president's Libya policy comes under congressional criticism

@highlight

"Of course this is about regime change," a congressman says