(CNN) -- If you think school starts too early, you aren't the only one.

A new policy statement published by the American Academy of Pediatrics is on the side of groggy students falling asleep at their desks and their parents who are tired of nagging them to get out of bed in the morning.

They say that lack of sleep in adolescents causes poor academic performance and poses a serious public health concern. Traffic accidents, depression and obesity can result, with schools that start too early contributing to the problem.

The technical report released with the policy statement says that sleep-deprived teens tend to eat more carbohydrates and fats, with every hour of sleep that is lost increasing the odds of obesity by 80%. Adolescents that go to sleep at midnight or later are also more likely to suffer from depression and have suicidal thoughts.

On the other hand, middle and high schools that start later in the day tend to have students with less daytime sleepiness, less tardiness, fewer attention difficulties and better academic performance than early-starting schools.

Sleep deprivation linked to depression in teens

Even if you don't have children in school, you might still be impacted if you drive to work.

One community in Lexington, Kentucky, decreased the average crash rate for teenaged drivers by 16.5% after delaying high school start times by one hour, according to a study published in the Journal of Clinical Sleep Medicine. And a two-year study of two high schools in Virginia found that the school with the later start time had significantly fewer students in accidents.

Fatal wrecks underscore risks for young drivers

To reduce these public health concerns, the American Academy of Pediatrics policy statement recommends that schools start no earlier than 8:30 a.m. Only 14% of public high schools currently meet this guideline, according to the National Center for Education Statistics.

"I'm hoping that the visibility of the sleep deprivation issue and research can help spark more discussion," said Jennifer Davis, co-founder and president of the National Center on Time & Learning and former U.S. Department of Education deputy assistant secretary.

When the topic of later school start times arises, parents and school administrators often express concerns over work conflicts -- How can I drop my kid off at 9 if I have to be at the office at 8:30? -- and after-school activities. Administrators say the school day needs to end early enough in the afternoon that sports team can share fields and practice before it gets dark.

"It's one more example of how are schools need to be student centered," Davis argued. "There are thousands of children, bus schedules, lunch schedules, parent needs. But we have to focus on how we are going to help our children succeed. And making sure they have enough sleep is one of those things."

The American Academy of Pediatrics recommends that adolescents get 8.5 to 9.5 hours of sleep per night, which parents can help enforce by setting bedtimes and limiting their child's use of electronic devices and social media in bed.

"Avoid keeping screens such as computers or TVs in your child's bedroom, and keep portable ones (phones, tablets, handheld games) out as much as possible," said Dr. Jennifer Shu, a board-certified pediatrician in Atlanta. "It can be helpful to have a central charging station where all of the family's electronics spend the night."

She adds that parents can also encourage sleep routines such as reading before bed and avoid scheduling music lessons, sports and social events that might delay bedtime.

Are your kids getting enough sleep?

"Setting the stage for good sleep now is an important habit that can make a difference in your child's future health," Shu said. If you have concerns, talk to a pediatrician or check out the National Institutes of Health's guide to healthy sleep."

@highlight

Sleep-deprived teens are at risk for obesity, depression and accidents

@highlight

The American Academy of Pediatrics recommends schools start no earlier than 8:30 a.m.

@highlight

Parents can help by enforcing bedtimes that provide 8.5 to 9.5 hours of sleep