(CNN) -- Selecting a winner for the Nobel Peace Prize is an invidious task because there are so many worthy recipients. There are individuals who put their lives on the line to help others and defuse conflicts as well as organizations which work on a daily basis, and invariably below the radar of media attention, to push a peace agenda. The Organisation for the Prohibition of Chemical Weapons (OPCW),which is this year's recipient of the peace prize, is in the latter category.

I am thrilled that Ahmet Uzumcu, the Director-General of the OPCW has been awarded the Nobel on behalf of his organization.

For years the OPCW has been working to persuade governments to sign up to a treaty outlawing chemical weapons.

Known as the Chemical Weapons Convention (CWC ), this treaty which established the OPCW, is the fruit of millions of hours of diplomatic negotiations in the 1980s and early 1990s.

Building on earlier treaties, the CWC is one of the most comprehensive international agreements to control armaments. It requires signatories to agree that they will never manufacture or use chemical weapons, nor will they support others in this endeavor. Syria is the latest country, and the 190th, to sign up, somewhat unwillingly, to the treaty.

Most countries have acceded to the CWC willingly because they recognized the devastation which chemical weapons will cause. In World War some 1.5 million were injured or killed by chemical weapons.

More recently in the 1980s the Saddam Hussein regime in Iraq used chemical weapons, including mustard gas and various nerve agents, against Iranian soldiers and Kurdish civilians -- tens of thousands were injured and killed in Iraq and Iran as a result.

Some 30,000 Iranian soldiers are still receiving treatment today for chemical weapons related injuries. But undoubtedly, the most shocking incident was the attack by the Iraqis on the Kurdish city of Halabja where some 5,000 were killed and more than that number injured.

Families sheltering in cellars to get away from bombs where asphyxiated by nerve gases, chemicals which are heavier than air and which sink to fill any depression in the landscape.

Images on our television screens from Syria over the last few months are a reprise of what happened in Kurdistan. Families in Ghouta, on the outskirts of Damascus, and resident in areas controlled by forces opposed to the Syrian government regime, were asleep in their beds when rockets filled with nerve agents fell through bedrooms or landed in the street. Some rockets appear to have discharged their cargo before impact, others on hitting the ground.

Videos show glimpse into evidence for Syria intervention

The result was predictable. Thousands were affected, many dying without even waking, with others succumbing painfully over the hours that followed as they gasped for breath. How many died? We do not know for certain. But numbers are being collated in Syria by doctors, activists and lawyers and the tally seems to be well over 1,000 now. Many more were injured and some of these are highly likely to have long term effects, a situation which has to be investigated as a matter of urgency.

We know all this from what doctors and others have told us and from the many images uploaded on YouTube. But we also know that it was the nerve gas sarin that caused all this trauma, just one of the many traumas Syrians have faced over the nearly three years of the conflict.

We know it was sarin because the OPCW, on behalf of the Secretary General of the U.N., sent in inspectors to take samples of soil, scrapings from used rockets, and blood samples from people. These samples were tested for the presence of chemical weapons in four of the 22 laboratories which have the necessary expertise and which are part of the OPCW's network of competent organizations to help it enforce the CWC. The laboratories confirmed that sarin had been used.

The OPCW now has the task of overseeing the destruction of the chemical weapons Syria has declared it has.

The task is formidable because of the civil war in the country. Funding will also have to be found to pay for the work which is additional to the routine policing, fact checking and inspections which the OPCW does on a daily basis to ensure old chemical weapons are destroyed, no more are produced and that the chemical industry continues to make ploughshares rather than weapons of war. The chemical industry, worldwide, supports this activity.

So Ahmet Uzumcu in post as Director-General of the OPCW for over two years now, inherited an organization which had a solid reputation for excellent work over the years.

But he has done more than simply acknowledge his inheritance and has, and is, steering his band of some 450 employees (from many countries ) in a direction which will help guarantee that the attacks on Ghouta will become a thing of the past.

We are all much safer because of the OPCW which has done its painstaking work largely unnoticed by the world. No longer! Well done OPCW. Your award is richly deserved.

The opinions expressed in this commentary are solely those of Alastair Hay.

@highlight

For years the OPCW has been trying to persuade governments to outlaw chemical weapons, writes Alastair Hay

@highlight

Hay: Most countries have acceded willingly because they recognize the devastation which chemical weapons will cause

@highlight

The OPCW now has the task of overseeing the destruction of Syria's chemical weapons

@highlight

We are all much safer because of the OPCW which has done its painstaking work largely unnoticed by the world, he says