Washington (CNN) -- While House Speaker John Boehner isn't overtly ruling out picking a fight with President Barack Obama over a spending bill, he is laying out an alternative strategy to avoid a government shutdown.

During a closed door meeting on Wednesday with House Republicans, Boehner tried to "gently hold members' hands and walk them away from this," said one GOP source who was in the room.

The debate is about whether Republicans should attach a measure to defund Obamacare to a must-pass spending bill. The government runs out of money on September 30, the end of the fiscal year.

Gamesmanship intensifies ahead of congressional recess

Some conservatives are pushing hard for a confrontation with the Obama administration over the issue, but other GOP members warn it could backfire, and place blame squarely on Republicans if the government shuts down.

Boehner and top House Republicans leaders mapped out a plan with their members on Wednesday to spend the five-week August recess touting what they've done to chip away at Obamacare so far and to emphasize the issue will be a major focus this fall.

"We've got a strategy," Boehner told House Republicans at their last meeting before the summer break, according to another GOP source in the meeting, adding that the Republican effort over July to delay key provisions of Obamacare has "arguably been the most important moment in the three years since the law was signed."

A summary of the plan provided by two GOP sources describes following up on earlier votes to delay Obamacare with more votes --"a series of well-placed targeted strikes that will ultimately dissolve the Obamacare coalition and topple the president's train wreck of a law," says the plan.

Opinion: Explain Obamacare at last

Boehner promised his colleagues more of those votes though he didn't specifically comment on the push to strip Obamacare funding as part of any stopgap spending bill.

But he urged members to stick together and said, "This strategy is achievable. And it's our best shot at actually getting rid of Obamacare. Executing this strategy doesn't mean we can't do other things on Obamacare as well. This is designed to be a strategy we can build on."

House Republican aides recognize that there will be increased pressure on Boehner and other GOP leaders to force a standoff with the president at the end of September over funding for his signature health care law.

Several conservative senators popular with the GOP base - including Marco Rubio of Florida,Ted Cruz of Texas, and Rand Paul of Kentucky -- and a bloc of about 71 House Republicans are saying they will refuse to vote for a measure that funds the government if it continues to fund Obamacare.

There is little enthusiasm for that approach by other Republican senators.

Oklahoma Republican Rep Tom Cole acknowledged there is a division among congressional Republicans on the strategy, but predicted many of his colleagues would ultimately decide that threatening a government shutdown was a bad course of action for the party.

"When people really start to think about the consequences of shutting down the entire federal government and inconveniencing and harming, quite frankly, millions of Americans -- millions out of work, tens of millions denied services they need -- you change the debate from Obamacare to the government shutdown. That's just not a good strategy," Cole told reporters after the meeting.

Source: Obama was 'rude and dismissive' in exchange with Democrat

Among the party's loyal supporters outside Congress there is still an intense focus on using every means necessary to stop the health care law from going into place.

A coalition of 50 outside conservative groups including the Heritage Action Fund, the Club for Growth, and Americans for Tax Reform sent a letter to Boehner and House Majority Leader Eric Cantor demanding they pass a bill to fund the government but not allow any money for Obamacare.

"The best and last chance for House Republicans to stand up and thwart this law before its new entitlements kick in is during the upcoming funding debate, and the House should live up to the moment and pass a bill funding the government but denying any funding for Obamacare," the letter states.

Heritage Action announced Wednesday it is organizing a series of town hall meetings in nine cities across the country to urge the public to pressure lawmakers to support the effort.

While these groups ratchet up the pressure, several Republican aides say they don't have a good answer for GOP members on what the next step would be.

Even if the House decided to combine an Obamacare defunding provision with a spending bill the Democratic-led Senate won't pass it, so the question remains on what leverage if any House Republicans would have.

"They have no answer -- that's telling," one senior GOP aide told CNN, adding what Boehner and others laid out is "a strategy that's showing results -- getting Democrats to vote for bills."

The skirmish inside the GOP is simmering now, but is sure to heat up as Heritage and other groups press Boehner and other leaders over the August recess.

It will hit full boil when the House returns in September and is only scheduled to be in session nine days before government funding runs out at the end of the month.

John King: Obama trying to get upper hand in looming showdown

But multiple House Republican aides say they are hopeful that they can move members to support a so-called "clean" short-term funding measure -- without any provisions on policy issues -- at a level negotiated in the 2011 budget agreement.

Republicans want that bill to come in at a funding level that takes into account the forced spending cuts put in place by the sequester, but Democrats are saying they want the spending level to be higher, at the level without those cuts.

GOP aides believe Democrats could be open to signing on so that both sides can punt the debate over how to deal with those across the board spending cuts into the late fall when broader budget negotiations will take place around a vote to raise the nation's debt limit.

Boehner's office is sending members home for the recess with talking points on the "strategy to end Obamacare" along with a PowerPoint presentation.

These describe the plan to hold more Obamacare votes designed to pick off Democratic support for the law, step up oversight about the administration's implementation of the law and ramp up communications efforts around the issue.

Mindful of the tense divisions and appetite from the Republican base for a high-profile fight about Obamacare, Boehner will continue to say publicly that all options are on the table.

After the meeting he repeated his public position to reporters, saying, "We've made no decisions about how we're going to proceed" on the funding bill.

Boehner throws polling punch on president

@highlight

Republicans debate whether to link Obamacare defunding to spending bill

@highlight

Some conservatives push hard for a fall confrontation with with President Obama

@highlight

Other GOP members warn it could backfire if budget skirmmish results in government shutdown

@highlight

House Speaker John Boehner walking fine line in meetings with GOP caucus