Washington (CNN) -- The president's top counterterrorism adviser says there is indisputable evidence that dozens of terrorist groups have sought weapons of mass destruction. But a U.S. intelligence official who is not authorized to speak for attribution said although al Qaeda clearly wants a nuclear weapons capability, it hasn't gotten very far.

"At this point, they don't appear to have made much progress, but we continue to review every bit of information that comes in to determine whether they've advanced their efforts in any way whatsoever," said the official. "Developing a nuclear device involves a highly sophisticated technical process, and al Qaeda doesn't seem to have mastered it based on what we know now."

The concern that terrorists will get hold of nuclear material and use it in an attack is a far greater threat than the older concern of global nuclear war, according to the president's Nuclear Posture Review.

At a briefing kicking off President Obama's nuclear security summit on Monday, presidential adviser John Brennan said al Qaeda in particular has been actively trying to acquire a nuclear weapon for the past 15 years.

"Al Qaeda is especially notable for its longstanding interest in weapons [of] useable nuclear material and the requisite expertise that would allow it to develop a yield-producing improvised nuclear device," said Brennan.

With a nuclear capability, al Qaeda would be able to achieve what Brennan called its sole objective.

"They would have the ability not only to threaten our security and world order in an unprecedented manner, but also to kill and injure many thousands of innocent men, women and children," he said.

Officials are concerned not only about the possibility that terrorists could get full-fledged nuclear weapons, but also about the threat that radioactive material could be spread by simpler devices.

CNN national security analyst Peter Bergen wrote in 2008 that "there is plenty of evidence that [al Qaeda] has experimented with crude chemical and biological weapons, and also attempted to acquire radioactive materials suitable for a 'dirty' bomb, a device that marries conventional explosives to radioactive materials."

Organized crime and criminal gangs are well aware of the terrorist group's interest in acquiring bomb-making materials, which has led criminals to pursue getting those items for their own profit, according to Brennan.

When pressed by reporters about whether there was specific intelligence indicating an active threat now, Brennan would only say, "I think you can point to a lot of al Qaeda activities and public statements that underscore their determination to carry out attacks against the U.S. and Western interests."

Nuclear weapons expert David Albright said it is unclear what terrorists are up to and when they might act.

"All the evidence supports that al Qaeda is looking to try to gather the capabilities to make a nuclear weapon. It's not easy to do. But they're learning," he told CNN on Tuesday.

"They're doing the things that one would need to do to get nuclear weapons -- get help from those who know, start looking around for loose nukes ... look into black markets, can you buy it? That's why this summit is so important. We do need to secure the nuclear explosive materials much better. And it has to be done internationally."

A new report released on Monday indicates there have been 18 documented cases of theft or loss of the two key ingredients of a nuclear weapon.

"Securing the Bomb 2010," a report from the Nuclear Threat Initiative, cites two incidents in particular. In November 2007, a group of armed men attacked a nuclear facility in South Africa that contained hundreds of kilograms of highly enriched uranium. The men were stopped, but they escaped capture. And in February 2006, a Russian man was arrested in the country of Georgia with nearly 80 grams of highly enriched uranium. There was some evidence suggesting the uranium came from a Russian nuclear fuel plant.

The author of a book called "Peddling Peril," Albright also worries about whether Pakistan's nuclear stockpile is secure, despite assurances from both the United States and Pakistan that it is.

Pakistan "has had many leaks from its program of classified information and sensitive nuclear equipment, and so you have to worry that it could be acquired in Pakistan," Albright said.

However the U.S. intelligence official said there is no indication that terrorists have gotten anything from Pakistan, and added there is confidence right now in Pakistan's security apparatus. The Pakistanis store their nuclear stockpile in a way that makes it difficult to put the pieces together; that is, components are located in different places. The official said Pakistan has put the appropriate safeguards in place.

@highlight

Terrorists getting nuclear material bigger concern than threat of nuclear war

@highlight

Al Qaeda has been trying to get a nuclear weapon for 15 years, official says

@highlight

Organized crime, criminal gangs also trying to get bomb-making materials