Lake Zakher, United Arab Emirates (CNN) -- In a remote corner of the United Arab Emirates, a blue lake shimmers amid the sand dunes.

It's not a mirage, but a man-made oasis -- an unintended byproduct of the UAE's water management practices, which has sprung from the desert in recent years.

Opinion is divided over this unexpected phenomenon, known locally as Lake Zakher.

Huw Roberts is a university lecturer who has been an avid birdwatcher in the Gulf region for nearly two decades.

"This is one of the best sites in the UAE for birds," he said. "It's a good habitat for wintering birds and birds on passage."

To Roberts, Lake Zakher has reliably proved something of a birdwatcher's paradise, with herons, flamingos and stilts among the rich diversity of species drawn to this rare water source.

He has been coming to the lake for seven years to photograph the birds, insects and reptiles and add them to WildlifeUAE -- his photographic inventory of nearly 600 species of the country's wildlife.

But to others, like Brigitte Howarth, an ecologist at the UAE's Zayed University, Lake Zakher is an environmental calamity.

"This lake to me is a bit of an ecological disaster because we really don't understand how it's affecting all the various species that do live naturally within this environment," she said.

"If you suddenly create an artificial situation, where many other species benefit, it is the species that have been here for millions of years that then suffer."

Read more: Beauty and the beast - a camel pageant in the UAE

The lake is an industrial byproduct of the desalination system used to meet the UAE's water needs. With few sources of fresh water in the region, the country has relied on desalinating seawater for domestic use -- a technology that has been essential to the country's growth, according to advocates.

"Desalination started here 50 years ago," said Corrado Sommariva, president of the International Desalination Association. "There wouldn't be any development of the industry or society if there was no desalination."

The waste water is treated and just over half reused for industrial purposes, according Mohamed Al Madfaei, executive director at the Abu Dhabi Environmental Agency.

But the other 45% of recycled waste water was simply discharged at sea or released on to the land, where it had been pushing up groundwater levels, and eventually resulted in the creation of Lake Zakher.

Watch: Oman banks on its history

Desalination has increased as the UAE's population has grown, bringing with it other unwanted environmental impacts. The process is energy-intensive, and releases brine into the surrounding ocean, which has the potential to harm marine life.

As a result, the government is encouraging people to reduce consumption, and put excess water to better use.

"People can reduce their water consumption, be more wise when it comes to water use," said Al Madfaei. "When washing your car, instead of using a hose, maybe use a bucket. When it comes to the agriculture sector... we are looking to reduce our consumption, and increasing the use of treated water in those areas as well."

It's an approach that will help improve the UAE's environmental sustainability, but could spell the end of the already shrinking Lake Zakher, to the dismay of Roberts and his fellow birdwatchers.

"I'd be very disappointed if Zakher Lake disappeared," said Roberts. "I'm hoping it doesn't."

@highlight

A lake has emerged amid the sand dunes in the United Arab Emirates

@highlight

It is a result of recycled waste water dumped from the UAE's water management system

@highlight

It attracts a wide variety of wildlife, delighting birdwatchers

@highlight

But desert ecologists consider the lake an environmental disaster