TEHRAN, Iran (CNN)  -- Iran announced Wednesday that it successfully tested another "Sajil" missile, a surface-to-surface missile with a range that makes it capable of reaching parts of Europe.

Image purportedly shows the test launch of Iran's new Sajil surface-to-surface missile.

A similar test was carried out in November.

U.S. Defense Secretary Robert Gates said he understood Wednesday's test of the missile, with an approximate range of 1,200 miles, was successful.

State media reported that the missile, a Sajil-2, was launched Wednesday morning from the northern Iranian city of Semnan and reached its target. The report did not say where it landed.

The missile was test-fired successfully, Iranian President Mahmoud Ahmadinejad told a group of residents in Semnan province, state-run Islamic Republic News Agency reported. Ahmadinejad said the missile "met the predetermined target," according to the news agency.

Gates said he could not confirm that it had hit the intended target.

A White House official said the test is noteworthy.

"I think it is a significant technical development," said Gary Samore, special assistant to the president on nonproliferation, in a Washington speech Wednesday.

"Of course, this is just a test, and obviously there is much work to be done before it can be built and deployed. But I see it as a significant step forward in terms of Iran's capacity to deliver weapons," Samore said.

"And I think it actually helps us in terms of making a case to countries like Russia, which were skeptical in the past whether Iran actually poses a threat. This is a very clear demonstration that Iran is moving in the direction of longer-range missiles."

An Israeli official, meanwhile, said the test should be more of a concern to Europe than to Israel, since previous missiles tested by Iran could already reach the Jewish state.

"If anyone had any doubt, it is now clear that the Iranians are playing with fire," Israeli Deputy Foreign Minister Danny Ayalon said Wednesday in an interview on Kol Israel Radio. "We know that the Iranians are developing capabilities of thousands of kilometers, that could reach the coasts of the United States."

"The Iranian clock is ticking fast and it must be stopped," Ayalon said.

White House spokesman Robert Gibbs said President Obama "expressed ... his great concern, his continued concern, about Iran's pursuit of nuclear weapons capability and nuclear weapons technology."

The Sajil is a new generation of surface-to-surface Iranian-made missiles that "demonstrates a significant leap in Iran's missile capabilities," Uzi Rubin, the former director of Israel's Ballistic Missile Defense Organization, told Jane's Information Group after the November test.

"Regardless of the success of the test, this missile places Iran in the realm of multiple-stage missiles, which means that they are on the way to having intercontinental ballistic missile capabilities," he said.

Sajil missiles are powered by solid fuel, which uses smaller containers and helps the rockets travel longer distances, President Mahmoud Ahmadinejad told the semiofficial Fars News Agency.

Iran says the missiles have a range of almost 2,000 kilometers (1,243 miles). If that is true, the missile brings Moscow, Russia, Athens, Greece, and southern Italy within striking distance from Iran, according to Jane's, which provides information on defense issues.

Gates said the missile was probably "on the low end of that range."

After the November launch, the United States restated its objection to such tests, saying they violate Iran's obligations under United Nations Security Council resolutions.

U.S. officials have cast doubt on the success of past missile test launches by Iran, including a rocket launch in August and a series of missile tests in July.

Wednesday's reported test comes after Israeli Prime Minister Benjamin Netanyahu met with U.S. officials in Washington to discuss how to deal with the potential of a nuclear-armed Iran. He met Tuesday with the Senate Foreign Relations Committee, House Speaker Nancy Pelosi and House Minority Leader John Boehner.

Obama, who met with Netanyahu on Monday, stuck by his refusal to commit to an "artificial deadline" for Iranian negotiations on its nuclear program. But he also warned that he would not allow such talks, which he expects to accelerate after the Iranian presidential election in June, to be used as an excuse for delay.

He said the United States is not "foreclosing a range of steps, including much stronger international sanctions, in assuring that Iran understands that we are serious."

Netanyahu wanted a time limit for negotiations relating to such ambitions, with the threat of military action if no resolution is reached.

Asked if the missile launch will dampen Obama's efforts to reach out diplomatically to Iran, Gibbs said, "The president and the prime minister [Netanyahu] both agreed on Monday that engaging the people and the leaders of the Islamic Republic of Iran, something that hasn't been tried for the past many years, is something that makes sense."

Both Israel and the United States believe that Iran is seeking nuclear weapons under the guise of a civilian nuclear energy program; Tehran denies the accusation. Israeli leaders have pointed to Ahmadinejad's calls for the end of Israel as a Jewish state, and argue that quick action is needed.

Netanyahu called Iran the biggest threat to peace in the region.

"If Iran were to acquire nuclear weapons, it could give a nuclear umbrella to terrorists, or worse, could actually give [them] nuclear weapons. And that would put us all in great peril," he said.

Obama is considered to have a more conciliatory approach to the Arab and Muslim world than Netanyahu.

CNN's Shirzad Bozorgmehr, Pam Benson, Charley Keyes and Barbara Starr contributed to this report.

@highlight

Iran says it fired a Sajil missile, which uses solid fuel and travels long distances

@highlight

Missiles have range that can reach Russia, Greece and southern Italy, Iran says

@highlight

U.S. official: Iran looking to increase sophistication of its missile program

@highlight

Israel: "It is now clear that the Iranians are playing with fire"