Seventy one years ago -- December 22, 1942 -- Congress got the United States out of what had turned into an unexpectedly embarrassing situation.

It concerned the Pledge of Allegiance -- specifically, something called the Bellamy Salute.

Most people today have likely never heard of it, but the Bellamy Salute was once a constant part of the country's life.

Until 1892, there was no such thing as a Pledge of Allegiance.

Daniel Sharp Ford, the owner of a magazine called Youth's Companion, was on a crusade to put American flags in every school in the country. He sensed that the U.S. needed a boost of patriotism. Keep in mind: Not even 30 years before, the Civil War had still been raging. National unity was a fragile concept.

As part of the campaign, Sharp gave an assignment to a member of his staff: Francis J. Bellamy, who was an author, a  minister and an advocate of the tenets of Christian socialism. Sharp asked Bellamy to compose a Pledge of Allegiance to the flag.  Bellamy wrote it, and it was published in the magazine.

It didn't take long for the Pledge to become wildly popular, even omnipresent. At schools, at campgrounds, at public gatherings, in Congress, people routinely faced the flag and pledged their allegiance to it.

Because, inherently, there is something physically awkward about people simply standing in place, their arms hanging limply by their sides, staring at a flag and reciting a pledge, it was decided that devising a salute would be appropriate.

Instructions for carrying out the salute were printed in the pages of Youth's Companion. The gesture came to be called the Bellamy Salute, in honor of the Pledge's author.

The Bellamy Salute consisted of each person -- man, woman or child -- extending his or her right arm straight forward, angling slightly upward, fingers pointing directly ahead.

With their right arms aiming stiffly toward the flag, they recited: "I pledge allegiance..."

For a while, the salute wasn't especially controversial.

But, as World War II was forming in Europe, and Italians and Germans began saluting Benito Mussolini and Adolf Hitler with extended-armed "Heil Hitler!"-style gestures...

Well, perhaps you can see the problem.

In the United States there was a growing feeling of discomfort that, when people within the nation's own borders pledged their right-arms-extended allegiance to the flag, they might be construed as inadvertently showing solidarity with the fascist regimes across the ocean. Richard J. Ellis, in his book "To the Flag: The Unlikely History of the Pledge of Allegiance," wrote that "the similarities in the salute had begun to attract comment as early as the mid-1930s."

Newsreels and still photos were regularly depicting rallies in Europe's dictatorships, with thousands of people showing their fealty by extending straight-armed salutes. In the United States, the general unease about it -- "the embarrassing resemblance between the 'Heil Hitler' salute and the salute that accompanied the Pledge of Allegiance," in Richard Ellis's words -- was combined with the fear that scenes of Americans offering the Bellamy Salute could be used for propaganda purposes.

It wouldn't be terribly difficult to crop the American flag out of photos of U.S. citizens reciting the Pledge of Allegiance; without the flag in the shots, the photos could be mischaracterized as proof  that Americans were expressing support for the ideologies of Hitler and Mussolini.

Thus, on December 22, 1942, Congress, just before its Christmas break, took care of it. On that day, the amended Flag Code was passed, Section 7 of which decreed that the Pledge of Allegiance should "be rendered by standing with the right hand over the heart."

And with that, it became official: Those millions of extended right arms were brought down. The stiff-armed salute was for other people, in countries far away.

It was purely symbolic, of course, but symbols are powerful. Over the years, there have been various disputes about the Pledge of Allegiance, the most basic of which is the question of whether citizens should even be expected to publicly pledge their allegiance to their country. The United States was founded on ideals of freedom, and freedom includes not being forced, or cajoled by peer pressure, into publicly declaring any belief.

The exact wording of the Pledge has changed several times since Francis Bellamy wrote it; each change was reflective of contemporaneous concerns about the meaning. For example: "I pledge allegiance to the flag" was originally "I pledge allegiance to my flag." The "my" was dropped out of worries that recent arrivals from other nations might be seen as pledging their loyalty to the flag of the country of their birth.

The most significant change in the wording came in 1954, when -- with the enthusiastic support of President Dwight D. Eisenhower -- the phrase "under God" was added just after "one nation."  Eisenhower declared: "In this way we are reaffirming the transcendence of religious faith in America's heritage and future; in this way we shall constantly strengthen those spiritual weapons which forever will be our country's most powerful resource in peace and war."

The wording of the Pledge of Allegiance may or may not be changed again in centuries to come, but it's a pretty safe bet that the Bellamy Salute is never coming back. Once ubiquitous and unquestioned, it has become a faded and mostly forgotten bit of U.S. history.

All because, 71 Decembers ago, a solution to a quandary -- a quandary no one could have anticipated when the Pledge was written -- was formalized:

Lower those stiff arms.

Bend those elbows.

Direct those palms inward.

And take them to heart.

@highlight

After the Pledge of Allegiance was written, a stiff-armed salute was developed to accompany it

@highlight

Bob Greene writes that its meaning got clouded when Fascist movements used similar salute

@highlight

After outbreak of World War II, Congress passed legislation to replace the salute

@highlight

Greene: 71 years ago, the practice of placing your hand over the heart was adopted