London (CNN) -- No British politician has ever aroused admiration and respect like Margaret Thatcher. But none has inspired the same level of fear and animosity.

To her fans she was the Conservative warrior-queen who vanquished both the "enemy within" -- the striking Yorkshire coal miners led by Arthur Scargill -- and the enemy without -- Gen. Galtieri's Argentine force that invaded the Falkland Islands in 1982. She was the country's only female prime minister, and the first to win three general elections in a row.

OBITUARY: Britain's divisive "Iron Lady" dead at 87

In Parliament, Thatcher brushed aside all dissenting voices, and for a decade from 1979 she was indomitable. While the left feuded over how best to fight her government's right-wing policies of austerity, privatization and laws to curb the labor unions, the only opposition with any bite came from comedians, satirists and musicians, all of whom pilloried the "Iron Lady" and her ministers with wit, flare and fury.

The polarized society that Britain became was encapsulated by the song "Ghost Town," by ska revivalists The Specials, the haunting soundtrack of 1981 as riots erupted in London, Birmingham, Liverpool and Leeds. With a haunting melody, the song recounted how "This town's becoming like a ghost town / Government leaving the youth on the shelf."

The Coventry-based band's songwriter Jerry Dammers said the No. 1 single was inspired by a loathing of Thatcher. "That song was our political reflection on the situation in the 1980s, which wasn't good, and that Thatcher's own policies had helped create.

"I'm proud to have put out songs opposed to her as she changed our country for the worse. Britain is no longer self-sufficient and we don't pay our way in the world anymore.

"A lot of musicians were happy to put their opinions into song, for example us, Elvis Costello and The Beat, a trend that hasn't happened since the time of Thatcher."

ROBIN OAKLEY: Many Britons never identified with Thatcher

Many other memorable protest songs followed: Some, like "Ghost Town" and The Jam's "Town Called Malice," were directly political in voicing opposition to the austerity and mass unemployment of the era; others articulated a deep visceral hatred of the woman herself, as in Elvis Costello's "Stamp the Dirt Down" or "Margaret on the Guillotine" by Morrissey.

One music writer said Thatcher inspired so many angry young songwriters because she appeared to go out of her way to stir up confrontation. "She was such an oppositional figure, singling out certain enemies, for example the Argentine junta, unions, travelers, people on benefits, the left wing in general," said Dorian Lynskey, author of "33 Revolutions Per Minute: A History of Protest Songs."

"She was unflinching and vicious in her attacks on them. There was a sense she was conducting a war on certain sections of society. She referred to the miners as 'the enemy within.' This just was not the way politicians talk about their citizens. (Current UK Prime Minister) David Cameron does not do that; Tories before Thatcher did not do that. That aspect enraged people because they felt she was treating them with rhetorical and political violence. That encouraged them to respond with their own violence."

WORLD REACTION: Kissinger calls Thatcher a "great lady"

The songs that spewed from this disgust at Thatcher's policies and personality formed a strand of the decade's best music, according to Lynskey, who says all the best music has been political in some way. "If you look at a list of the greatest songs ever, many of these will be political. 'Strange Fruit,' (performed most famously by Billie Holiday) 'Ohio,' (Crosby, Stills, Nash and Young) 'For What It's Worth,' (Buffalo Springfield) 'What's Going On, (Marvin Gaye) 'Born In the USA,' (Bruce Springsteen) 'Sign O' the Times' (Prince) -- all were successful songs, but intensely political at the same time."

Thatcher was eventually deposed in 1990 by her fellow Conservatives in Parliament, not musicians, but that, according to Lynskey, misses the point of artistic expression: Just as Picasso's "Guernica," portraying the 1937 bombing of a Spanish Basque town by German and Italian warplanes, did not end the Spanish Civil War, it was important in expressing outrage and making a political point.

"Art can make people angry, can inform or inspire them. It can make them feel they're not alone. It can make them feel better when they're low."

Thatcher made an impression on pop culture

In other fields, a new era of fashion, film, TV programs, style magazines and nightclubs was also flowing out of the punk rebellion of the previous decade. "There were just so many exciting things going on then," Lynskey recalled.

Whether any of this artistic explosion was directly due to the Thatcher effect is debatable -- especially in light of her reported aversion to the arts -- but one commentator for a left-leaning publication believes that her philosophy was certainly echoed in the youth culture of the day, whether the hip young gunslingers agreed with her divisive politics or not.

"The punks and their fellow-travellers had an anti-establishment, DIY, can-do attitude," wrote Jason Cowley in the New Statesman. "The feeling was one of fundamental discontinuity with the past. They shared with the Thatcherites an overwhelming desire to break from the established order, and to make it all new, as the modernists had."

The fashion world also joined the protests against the Conservative government's policies. At one party in Downing Street in 1983, Katherine Hamnett wore a T-shirt bearing the message: "58% don't want Pershing" (referring to an opinion poll showing public opposition to the deployment of U.S. nuclear-capable missiles to the UK).

Hamnett recalls three decades later how fellow designer Jasper Conran tried to dissuade her from attending the official reception. "He said, 'Why should we have a glass of wine with that murderess?' But I thought on impulse it was quite a good photo opportunity, so we knocked up a T-shirt that afternoon and I wore it to the party.

Opinion: Why Britain needs another Thatcher

"Thatcher wasn't very happy and was quite rude. She told me: 'We don't have Pershing here, we have cruise (missiles). I think you've got the wrong party.' I thought this was rather rude because she invited me in the first place. I stayed at the party though!"

Hamnett agrees that the arts did blossom during that era, but believes it had little to do with the "destructive" politician herself.

"She was appalling," said Hamnett. "She did nothing for the arts. Thatcher used to design her own frumpy clothes. I don't know if she would have made a better fashion designer than a prime minister, but it wouldn't have been hard.

"We did well in the '80s. We produced some of the best designers in the world, because of our clothing culture and the fact we're more liberal with our children. They can go to school in 'Red Indian' outfits if they want. We did produce good designers, regardless of Thatcher."

Humor was another field that boomed in direct response to Thatcher. So-called "alternative comedians" on TV and in clubs took a sharp left turn away from the routines of their more reactionary predecessors, with many of the newcomers poking fun at the po-faced prime minister. The most biting of all was "Spitting Image," a satirical puppet show broadcast on Sunday evenings on ITV from 1984 until 1996 that pilloried public figures, especially Thatcher, whom the program often portrayed as an insane megalomaniac.

Roger Law, who with Peter Fluck designed the caricature puppets for the show, said the purpose of the show was to lance a bubble every week, and to educate Britons about what the government was doing in their name.

"Thatcher was one of the main reasons we did 'Spitting Image' -- I knew why I was doing it and I would have killed my mother to have done it," he said. "I knew what she was about and what she intended to do, things such as the mindless thuggery of the Falklands war."

Law, who now divides his time between Australia and China, said he and his colleagues tried various ways to portray the PM. "The puppets were just heightened versions of reality, so there were three Thatchers: one that talked to you as if your dog had died; one that shouted at you and a foaming-at-the-mouth one. There never really was a smiley Thatcher. What would be the point?"

In one famous scene set in a restaurant, a waiter asks Thatcher, who is treating her ministers to a meal, what she would like to eat: "Steak, raw please," comes the reply. "And what about the vegetables?" asks the waiter. "Oh, they'll have the same as me."

The scene mocks Thatcher's Cabinet colleagues as being weak and ineffectual, and while Law admits he was worried about glorifying Thatcher, he said he tried to be fair to both sides. "We dished out the same stick to everybody, including (opposition leader Neil) Kinnock, but at least we tried to get it right."

Thatcher left Britain in a worse situation than before she came to power, Law believes. "I believe she had a strong effect on what happened here. She threw a lot of people to the dogs and you're seeing now what she actually did. I'm still angry about that now.

"When you think of how our parents worked, when you could go to the doctor without thinking about the money. People like myself got half an education. I went to art school from a working class background without qualifications simply because I had some talent. Try doing that now. All of that has gone, and you know that was her aim. It's what she wanted.

"I don't have any answers like lots of other critics. But take a look around you. The people who came after inherited the mantle of Thatcher: her heirs ... the bitch she left behind was Tony Blair ... and now we have a huge underclass. Give up on consensus politics, and the notion of educating everybody properly. F**k 'em, basically."

@highlight

Former British Prime Minister Margaret Thatcher is dead at 87, spokeswoman says

@highlight

Known as the "Iron Lady," Thatcher's policies divided Britain during the 1980s

@highlight

Lynskey: Some of decade's best music was in response to Thatcher policies

@highlight

Designer Katherine Hamnett on Thatcher: "She was appalling ... she did nothing for the arts."