(CNN) -- Republicans and Democrats have entered into an impeachment frenzy over the past few weeks.

The impeachment wars began when a small group of Republicans started to make noise about the possibility of impeaching President Obama. The most high profile of the bunch was former Alaska governor and vice presidential candidate Sarah Palin.

In her characteristic way of getting right to the partisan point, Palin published an article on Breitbart.com in which she said, without specifying the exact grounds for her argument beyond her sense of a "lawless" president, that, "It's time to impeach."

Palin was not alone. Several Republicans in Congress had mentioned the possibility of impeachment in the spring, including Minnesota Rep. Michele Bachmann and Texas Rep. Louie Gohmert. On the Sunday morning talk shows, Majority Whip Steve Scalise refused to rule it out. Some observers believe that, even though he has denied the GOP will pursue this option, Speaker of the House John Boehner has fueled the fires by filing a lawsuit against the President over his use of executive power.

Democrats have responded by using the threat of impeachment as a fundraising tool. They have blasted out a series of e-mails to supporters asking for money, warning that if Democrats don't do well in the midterm elections in November, the next two years will bring a revival of the late-1990s when House Republicans voted to impeach President Bill Clinton.

In one of the messages from the Democratic Congressional Campaign Committee, the "Red Alert" warning said the speaker's lawsuit "has opened the door to impeachment," according to the White House, and that the Washington Post confirmed Boehner refused to "say impeachment is off the table."

Indeed, White House adviser Dan Pfeiffer said he would "not discount the possibility" of impeachment while the White House press secretary agreed there were some Republicans "who are running for office, hoping that they can get into office so that they can impeach the President."

The parties are playing games with impeachment, an unfortunate and dangerous development.

The impeachment process is meant to be a tool of last resort, a constitutional mechanism through which Congress has the capacity to remove a president who has engaged in criminal behavior, committing "treason, bribery or other high crimes and misdemeanors."

When it is simply not possible to wait until the next presidential election to resolve the question of whether someone who has committed serious offenses should be in the White House, this is the only tool Congress has at its disposal.

Forty years ago, Congress turned to impeachment when confronted with a president, Richard Nixon, who brazenly used executive power to obstruct an investigation into wrongdoing within his administration surrounding the break-in at the Democratic headquarters at the Watergate complex. Congress never reached the point of voting to impeach him, though they would have, only because Nixon resigned 40 year ago this week.

At other times "impeachment" has been much more of a political tool. Often impeachment has been a threat used by opponents of a public figure. Starting in 1961, conservative activists famously carried signs calling for the impeachment of Supreme Court Chief Justice Earl Warren, whose court made landmark progressive rulings on issues like school segregation and the rights of crime suspects. "Save Our Republic: Impeach Earl Warren," their banners said.

During Reconstruction, "Radical Republicans" attempted to impeach Republican President Andrew Johnson for having violated the Tenure of Office Act. The real reason behind their drive to impeach was a frustration with Johnson's failure to enforce the Reconstruction Acts and disagreements with him over how to handle race relations in the post-Civil War period.

Most famously, and most relevant to many Republicans who are terrified about their colleagues carrying this too far, the heated partisan climate of the 1990s culminated with the House Republicans voting to impeach President Bill Clinton for lying under oath about the facts in a case involving his affair with White House intern Monica Lewinsky.

The Senate Republicans pulled the Congress back from the brink of convicting Clinton and removing him from office. As Boehner and other Republicans remember, the impeachment backfired on the GOP as Clinton's approval ratings skyrocketed and theirs plummeted.

During George W. Bush's presidency, some Democrats called for impeachment based on allegations he had misused executive authority and tricked the public into a war based on the false premise of Iraq having weapons of mass destruction.

The current use of impeachment as a political tool comes at a time when all parts of the legislative process seem subject to politicization. Nothing seems to be off limits. In 2011, the nation witnessed how the decision to raise the debt ceiling, the routine process through which Congress agreed to pay for spending that they authorized, became a volatile political weapon used to extract compromises over spending cuts with the draconian threat of sending the nation, and the world, into economic chaos if Obama did not comply.

Now we are seeing the same with impeachment, though still in the earliest of stages. But it is important for the leaders of both parties to push back and resist the temptation of reliving the 1990s and using this mechanism as yet another tool in the partisan wars.

Fortunately, the nation has not needed to use the impeachment tool very often. Generally mechanisms such as congressional oversight and Justice Department prosecutors have been sufficient to contain presidential misbehavior.

That doesn't satisfy the harshest Republican critics of President Obama. They claim he has misused executive power in making adjustments in the implementation of the Affordable Care Act, such as delaying the employer mandate.

Some also say he has failed to enforce immigration control legislation. Ironically, though Republicans stood by President George W. Bush when he deployed executive power on matters of national security and domestic policy, they now claim that President Obama is circumventing Congress in excessive fashion.

The complaints about growing executive power are clearly worthy of debate. Indeed, both parties, who seem to love presidential power when they have it but hate it the rest of the time, should engage in a serious discussion about what has happened to the balance of power in recent decades. But thus far what the Republicans have alleged against President Obama does not rise to the level of an impeachable offense.

Yet as Nixon reminds us, it is not impossible to imagine a situation where the nation will need the impeachment process again.

In 1986 and 1987, the Iran Contra scandal raised the impeachment question when it became clear that high-level national security advisers had consciously violated congressional prohibitions on providing aid to the Nicaraguan rebels. President Ronald Reagan ultimately was not impeached because there was no "smoking gun" showing Reagan knew the violations were happening. Yet the tool could have become essential.

Impeachment will lose its legitimacy within the public if it becomes a totally politicized process. While it is foolish to imagine that it is possible to ever contain the forces of partisanship, there need to be some limits and political leaders need to draw some lines in the sand.

As we remember the events that resulted in Richard Nixon having to step down, the anniversary should be a powerful and important reminder to our nation's leaders to keep their hands off the impeachment tool so that Congress can turn to it only in a true case of emergency.

Join us on Facebook.com/CNNOpinion.

@highlight

Republicans raise prospect of impeachment and Dems use it for fundraising

@highlight

Julian Zelizer: Both parties are using a serious process as a partisan tool

@highlight

He says there's no serious case to be made against President Obama for impeachment

@highlight

Zelizer: 40 years ago, the U.S. saw how the Watergate case made impeachment very relevant