(CNN) -- Michelle was prepared for chemotherapy. She was prepared to lose her hair and deal with extreme nausea and be hospitalized for months at a time.

She was even prepared to die -- knowing, with her aggressive form of leukemia, that death was a very real possibility.

But when death didn't come, Michelle was officially labeled a cancer survivor. And she wasn't at all prepared for what came next.

Treatment forced the mother of two through menopause, leaving her hormones reeling. Stress and self-doubt created problems with her husband of 24 years.

She also suffered from vaginal stenosis, a narrowing of the vaginal passage so severe that intercourse was impossible. As her primary care physician explained, she was basically a BAV: born again virgin.

"I was 49 when I was diagnosed, 50 when I received my (bone marrow) transplant," said Michelle, who asked not to be identified by her full name due to the personal details she's revealing. "I wasn't ready to give up on a very important part of my well-being -- that being my sexuality."

There are 13.7 million cancer survivors living in the United States; the American Cancer Society estimates there will be 18 million by 2022. Survivors face many long-term effects of treatment, from secondary cancers to cardiovascular problems to cognitive defects. But the debilitating effects on a patient's sexuality are often ignored, said Sharon Bober, director of the sexual health program at the Dana-Farber Cancer Institute in Boston.

Bober's program is one of a handful of sexuality-focused survivorship programs that have popped up at cancer centers around the country. Bober was inspired to start the program when she realized many of her patients -- adult survivors of pediatric cancers -- were struggling with sexual issues and had no idea where to go for help.

Radiation, chemotherapy, hormone therapy and surgery all have the capacity to affect sexual function significantly, Bober said.

In one study, young breast cancer survivors reported skin sensitivity, vaginal dryness, genital pain, premature menopause, fertility issues and extreme fatigue. Their scores on a sexual health test were also lower than the general population's, indicating problems with sexual desire, arousal, attaining orgasm and relationship satisfaction.

These symptoms are common for cancer patients, Bober said. Men face many of the same issues in addition to erectile dysfunction.

The side effects don't stop when treatment stops. Bober and her colleagues recently completed a study of 200 young adult cancer survivors; a significant number of them talked about long-term sexual problems years after their therapies were complete.

Imagine dealing with all the normal teenage development changes on top of dealing with cancer. Many pediatric cancer survivors feel uncomfortable even dating, Bober said.

Adult cancer survivors can also be apprehensive about the bedroom: Hormonal changes from chemotherapy and radiation often lower a patient's sex drive. And many face self-confidence issues post-treatment.

Right next to the wigs and prosthetics in Dana-Farber's patient store are vibrators and lubricants, which Bober said helps normalize the "personal products" she advocates using. Bober works with a team of doctors to provide whatever services her patients need, whether it's couples therapy or education on vaginal health after early menopause.

Bober's program helped Michelle understand what had happened to her sexuality -- both physically and mentally. "She not only provided us with the emotional tools to overcome the changes we experienced, she also encouraged me to use 'tools' to help my body get its groove back," Michelle said.

"I will often joke that I never expected vibrators to be prescribed. But they were absolutely necessary."

Behind closed doors

Most of Bober's patients are simply grateful to learn that there's nothing wrong with them or their relationships. Although studies have shown sexuality plays an important role in happiness and quality of life, it's not something doctors discuss often, Bober said.

"We live in a culture that does not support or facilitate honest and frank conversations about sex anyway," she said. "Lots of people assume that because no one says anything about it, this is just the price that they have to pay."

No one knows about America's behind-closed-doors policy on sex better than Patty Brisben, co-author of "Sexy Ever After: Intimacy Post-Cancer," and founder of Pure Romance, the world's largest in-home party company specializing in bedroom accessories.

As an advocate for sexual health awareness, Brisben often does group presentations. Usually she conducts a 20-minute question-and-answer session at the end of her talk. Several years ago, a group of young cancer survivors held her captive with questions for more than two hours.

"Women that are 19 and 20 years old, who never had that first sexual experience -- doctors telling them (to buy) bedroom toys to stimulate so atrophy wouldn't set in," Brisben remembers. They asked, "Patty, what does that mean?"

That was the start of Pure Romance's Sensuality, Sexuality, Survival program. Consultants from the company meet with cancer survivors to talk about combating dryness with lubricants and using other toys to enhance sexual pleasure.

"It has a lot to do with education," Brisben said. "It's so important to provide a safe platform where women can ask questions."

Brisben teaches her employees not to sugarcoat anything. It's a long journey, she said, and each cancer survivor needs to learn to stand up for herself; sexuality can't be a dirty word.

"You truly have to be your own disciple," she said. "Women will demand when it comes to our children or our significant others, but we don't demand for our bodies."

A return to intimacy

Michelle's husband was a "trouper" through her cancer treatment, she said, but the couple had difficulty reconnecting in the bedroom. With her symptoms, her husband had trouble keeping an erection out of fear of hurting her.

She remembers thinking, "He must be so traumatized. ... He only sees me now as a frail being and not as the woman I used to be."

Cancer can test any relationship, said CNN's sex expert Ian Kerner. It's not uncommon for cancer patients to become depressed and question their life path, he said, which a partner can find hard to relate to.

"Ultimately, of course, when you're in the midst of a battle of cancer, you really are focused on survival," he said. "But as you resume your life, you want to resume all aspects of your life. And sexuality becomes a key factor."

Kerner recommends couples start slow: Act like two people in love again, instead of patient and caregiver, by going out on date nights and cuddling in front of the fire.

Make your sexuality an ongoing conversation, he said. Your newfound intimacy might not necessarily be sex in the way it once was -- you have to find a new version of sex that works for you.

"Recovering from cancer, you're often not talking about weeks or months," Kerner said. "You're talking about years."

Michelle has been in remission since March 2009. She's adjusting to life as a survivor, volunteering at Dana-Farber to help others who are dealing with similar emotional scars.

"I'm striving to get back on track with normalcy," she said, "in every facet of my life."

@highlight

There are 13.7 million cancer survivors living in the United States

@highlight

Survivors face many debilitating long-term effects, including on their sexuality

@highlight

Radiation, chemotherapy, hormone therapy and surgery can affect sexual function

@highlight

Survivors also experience emotional issues such as low self-confidence, depression