(CNN) -- Faced with a choice between a cash incentive or signing up for a hard day's work, which would you pick?

Shoe retailer Zappos.com is famous for bribing prospective employees to turn down a job offer, on the theory that we should only work in a place we love.

This year, CEO Tony Hsieh is testing whether this kind of corporate culture can work beyond the warehouse of this one quirky online company.

Hsieh is trying to spark a Delivering Happiness movement, named after his recent book, which expands on how, and why, companies who care about their bottom line should make employees feel like a family.

Hsieh made a name for himself at Zappos by prioritizing customer service to an extreme, and his in-house employment policies have gotten at least as much attention.

Zappos, which is now part of the Amazon.com family, has been climbing Fortune magazine's "Best Companies to Work For" list, thanks to a corporate culture where "weird" is meant as a compliment and the line between personal and professional is often blurred.

He tells CNN why workplace happiness isn't just for shoe retailers or dewy-eyed optimists. An edited version of the e-mail interview follows.

CNN: When you got to what many people consider the top of the game in the corporate world, your outlook appears to have taken on a whole new set of goals. What became priorities for you in your career?

Tony Hsieh: After LinkExchange (Hsieh's first company) was sold, I could do whatever I wanted to from a financial point of view, which forced me to reflect and think about what I really wanted to get out of life. Part of the goal of the book is to nudge people to really think about what they're passionate about, what makes them happy.

You don't have to sell a company in order to think about what you want out of life. Jenn (Lim, Hsieh's partner and CEO of the Delivering Happiness movement) was actually in the same position at that time but for a completely different reason: she had just been laid off. Through that process, she ended up pursuing things she was actually passionate about.

3 rules for the first-time boss

CNN: How does a little healthy cynicism fit into the Delivering Happiness equation? Can't a little bit of moaning and a critical attitude also have a place in the workplace?

TH: There's a difference between constructive criticism and complaining and moaning without helping contribute to a solution. You can't force employees to be like a family -- they actually need to want to do it themselves.

Our goal at Zappos is to inspire -- not motivate -- employees to treat each other like family. For example, most Zappos employees when they leave the office leave to hang out with other Zappos employees. That's behavior you can't force upon employees. They actually have to want to do it.

CNN: You tweet and encourage employees to access social media on the job. The professional and the private are increasingly blurred. Will social media also serve a business purpose, particularly as it extends to individual employees?

TH: For us, Twitter, Facebook, YouTube, blogs, etc. are all ways we can connect with our customers and employees. We're not looking at them as marketing channels, more as connection channels, the same way we view the telephone as a great way to connect.

At Zappos we are all about blurring lines. Our goal is to hire employees whose personal values match our 10 core values, so every employee is automatically living the brand, at home, in the office and in social media. Rather than focus on work-life separation, we focus on work-life integration.

CNN: Prioritizing happy customers and happy employees seems like it should be a given, yet the Zappos model still sticks out as a bit of a lone phenomenon. Are most major companies not agile enough to play along with quirky ideas from a CEO?

TH: I'm not sure "happy customers" and "happy employees" should be classified as quirky, but in any case, I think the reason why we aren't seeing more companies in corporate America focus on these things (yet) is because the payoff from a financial perspective is usually two to three years down the road.

Many companies are focusing on the current quarter or current year at best. The good news is that information is moving faster and faster and companies are becoming more and more transparent whether they like it or not. As a result, the lag time between brand and culture is becoming less and less, so in the long run I think the "good guys" will win.

@highlight

Tony Hsieh: Employees who really like their workplace are more likely to live for their jobs

@highlight

Delivering Happiness movement targets work-life integration

@highlight

A company's brand is fundamentally connected to its employee culture, Hsieh says