(CNN) -- With darkness as their only cover, Syrian families make a break for northern Jordan.

They are fleeing for their lives.

Small children walk alongside their mothers, whose arms are reserved for babies and whatever possessions they can carry. In a treacherous nighttime escape such as this one, you walk if you're old enough.

As the group makes its way over the border, just a few meters away from its homeland, the sounds of shelling can still be heard in the distance.

The war weary continue on, climbing a hill. There are no lights to illuminate their rocky path.

Still too close. Still too dangerous.

According to Jordan's Border Guard, which gave CNN exclusive access to the area, many fleeing families have been shot at in the past two weeks, and several people have been injured while trying to cross.

Read more: Refugees continue to flood Jordan

On this cold night, the number of wounded was far fewer. A member of the Border Guard met them and led them to safety, where they were ushered into a tent and given food. Some shivering children, wrapped in blankets, were too tired to eat. Their parents recounted harrowing experiences.

"My daughter is 2 months old," one woman said. "Don't you think it was extremely difficult on this child to walk with her here in this cold?"

Another mother explained the journey they took: "When we first got on the road, it was extremely scary. I mean, we saw death all around," she said.

One man, who arrived with his wife and five children, detailed the high price of this pilgrimage -- one he was all too willing to pay.

"All we were able to bring with us were the clothes on our backs and the clothes we were able to pack in this bag," he said. "Everything else is back in Syria, but the security situation there is terrible. We can't return."

The Syrian crisis: Where's the U.S. aid going?

Most of those who made the journey on this night were women and children. Some had walked for hours, others for days, coming from cities as close as Daraa and as far as Aleppo. Many were too afraid to share their names or appear on camera, for fear of reprisal or that relatives back home would be targeted.

Close by, in the back of a Jordanian ambulance, sat an 80-year-old woman who'd been carried across the border. She hated leaving home but had no choice, recounting how several members of her family had been killed in just a few days' time.

"The first day, they killed my nephew," she said, her voice brimming with anger at a regime she despised.

"The second day, they killed my niece. Third day, my cousin. Fourth day, another cousin. Four days, and every day a killing."

Read more: Jordan election praised by observers

The United Nations estimates that at least 60,000 people have died in 22 months of fighting between government forces and rebels seeking to depose President Bashar al-Assad. Now, Syrians are crossing into Jordan in record numbers, with at least 350,000 refugees having flowed into Jordan since the beginning of the Syrian conflict.

At least 40,000 have arrived in Jordan this year alone, and half of that has been in the past week, Jordanian government officials say.

Foreign Minister Nasser Judeh described the numbers as "staggering."

"This is obviously a reflection of the level of violence in southern Syria, and there will probably be more in the next few days," he said last week. "We are getting aid. We are getting aid from Arab countries, from Western countries, from international organizations. It is still not enough, given the numbers that are coming in."

Analysis: Jordan's King Abdullah faces crisis

Last week, the International Rescue Committee warned of a "protracted humanitarian emergency" in Jordan, Lebanon, Turkey and Iraq, which have absorbed about 600,000 Syrian refugees since the conflict began.

On Monday, Oxfam launched an $18.9 million emergency appeal to help up to 120,000 Syrians.

"In Jordan alone, there has been a threefold increase in the daily rate of people crossing from Syria in the last week," said a statement from the aid agency, which added that "extreme winter weather was compounding misery for refugees, with an increase in respiratory infections and pneumonia recorded in clinics in Lebanon and Jordan."

Jordan's Border Guard told CNN the border will remain open but that the exodus from southern Syria has severely taxed resources.

"It takes a huge effort to mobilize this response right now," said Brig. Gen. Hussein al-Zuyud, commander of the Border Guard. "We're in winter, and that makes it even more difficult.

"On the front lines, at the crossing points, there are times when we have to stay with the refugees for 48 hours, which requires logistical tools and supplies, heating supplies and blankets. And all this is an added burden on us."

From the border, the refugees are loaded onto buses that will take them to their new home: the Zaatari Camp outside Amman, which already houses around 80,000 of their fellow Syrians.

Most of the families simply seemed happy for a respite. Having left war-ravaged homes and tattered belongings behind, they were ready for a new start, no matter how temporary. Even a tent would be better than the alternative.

"There's nothing we weren't hit by," said one woman, whose voice welled with emotion when describing the trauma of just trying to survive back in Syria. "Rockets, barrel bombs, warplanes -- the shells were falling on us like rain."

@highlight

Women and children are among the refugees who walk across border to Jordan

@highlight

Families were shot at and people injured while trying to cross, Jordan Border Guard says

@highlight

Refugees walk for hours or days, carrying what they can, to escape civil war

@highlight

Jordan's resources are taxed, and winter "makes it even more difficult," border official says