(CNN) -- President Barack Obama is visiting China, Myanmar and Australia this week for a series of key regional summits. The trip is his first opportunity since his Democratic Party's massive defeat in the midterm elections to demonstrate the power of the presidency.

Surveys conducted by the Center for Strategic and International Studies show strong support outside China for the President's announced "pivot" or "rebalance" to the Asia-Pacific region. The same polls show that experts across Asia see great resilience in the U.S. economy and expect -- and want -- America to continue leading Asian integration and cooperation in the future despite the sudden rise of Chinese power. Indeed, it is largely because of the aggressive way China is using its power that allies and partners want more commitment from Washington.

Yet like the American people, Asian governments have found Obama's leadership wanting.

This isn't for lack of interest in the region -- the President grew up in Indonesia and Hawaii after all. Although his claims to be the first "Pacific" president could be challenged by historians who remember that William Howard Taft, for example, had once been governor general in the Philippines, Obama appears genuinely interested in Asia, and his administration has done a better job than any of its predecessors attending regional summits and organizing high-level bilateral meetings. So give the Obama administration an "A" for attendance. The problem is class participation.

But while the President and his team have sent mixed and confusing signals about their understanding of the power dynamics in Asia and their willingness to do the political lifting at home necessary to make the pivot real, there are two things the President can do during his current trip to try to turn this around.

First, he has to articulate clearly and consistently his bottom line. Administration officials claim they have done so repeatedly, but the problem is that every speech and announcement by the administration on Asia differs from the one before.

In 2009, the President announced in a summit with then-President Hu Jintao of China that he would respect China's "core interests" and then dropped that line after Beijing interpreted it as acquiescence to Chinese demands. In January 2011, the President reversed course when the White House cited China along with Iran as a major threat in the Pentagon's new Strategic Guidance. The Chinese responded by charging the administration with Cold War-style containment.

Then, in 2013, national security adviser Susan Rice announced the United States would "operationalize" Chinese President Xi Jinping's proposal for a "New Model of Great Power Relations" between Washington and Beijing that relegated U.S. allies to second-tier status. Oops. The administration then dropped that formulation, too.

The President is speaking on U.S. Asia strategy in Australia at the end of the trip. But he will have to get this right: We stand by our allies, we will work for an open trans-Pacific economic architecture, and we will work to cooperate with China to the greatest extent possible but will not compromise on our values or security commitments.

Second, the President has to demonstrate that he has the skills and commitment to complete the critical Trans-Pacific Partnership negotiations and lock in a model for regional economic integration that sets high standards for openness before China starts using its economic weight to write new rules. This means not only pressuring Japan -- the biggest economy in the talks -- but also showing leadership with Congress.

Our partners in the region know that the United States has never completed a trade agreement without first winning congressional support through so-called "fast track" authority since the Constitution gives that branch of government and not the President power to complete commercial treaties. Obama's team has decided it will squeeze the best deal out of Japan and others first and then ask Congress for permission. This could work in theory, but the problem is that our partners will not put their best deal on the table until they see evidence the President can deliver Congress.

Republicans generally support trade more than Democrats, so this could be an area for bipartisan cooperation -- except that the White House refused even to address the issue before the midterms and is now provoking a partisan fight with promises to bypass Congress on immigration, Iran negotiations and other issues. If Asia, and Japan in particular, see that the President can and will work with Congress on trade, then the talks could essentially be wrapped up this trip. If not, the "pivot" will look hollow.

Though there are questions in Asia about the President's leadership, especially after the midterm results last week, the public in many parts of the region likes Obama and want him to succeed. And with the rise of China, governments from Canberra to Tokyo need him to succeed. This week may be his best chance to prove he can.

@highlight

Michael Green: Obama has a chance to show power of the presidency after election

@highlight

Asian governments have found Obama's leadership wanting, Green says

@highlight

Obama must show commitment to Trans-Pacific Partnership trade deal, he says