(CNN)For Lt. Colonel John Schwemmer, the scenery is all too familiar. This is his sixth tour in Iraq, and he's back doing a job that he's been tasked with before: training Iraqi soldiers.

Schwemmer and other active U.S. military personnel are on the ground in Iraq, whipping often ill-equipped government troops into shape. They've been here before, but this time, he feels, they're getting it right.

But the U.S. military isn't the only contingent of Western forces in the region -- dozens of foreigners, including Americans, have volunteered to take the fight to ISIS.

And increasingly, U.S. military training efforts are being supplemented by outside agencies, who are working with Kurdish government troops and even militia in Iraq and Syria.

"Many of us do feel that we do have the skills and qualifications that can be used to benefit those in the region," said Ian Bradbury, a Canadian former soldier who is training Kurdish Peshmerga forces in northern Iraq.

While it is difficult to say how many foreign volunteers are fighting ISIS, a spokesman for a Kurdish militia fighting against them in Syria -- known as the YPG -- told the New York Times their forces include more than 100 American citizens.

U.S. law enforcement officials say it is illegal to join a Syrian militia.

But some organizations have set up recruitment drives online, featuring applications for foreign fighters complete with checklists of what to bring and advice on bringing body armor across international borders.

Jordan Matson, a 28-year-old former U.S. army soldier from the tiny town of Sturtevant, Wisconsin, volunteered with the YPG.

He told CNN that after much soul searching he realized that he needed to help in the battle against ISIS' brutal, expansionist regime.

"I got in contact with the YPG on Facebook and prayed about it for probably a month or two and asked, 'is this what I want to do?' and eventually, you know, decided to do it.

"All my life I wanted to be a solider... so I guess this just fits well over here."

But foreign fighters aren't universally welcomed by those opposing ISIS.

The Peshmerga, the military wing of the Kurdish Regional Government (KRG) that has been one of the most effective counterbalances to ISIS' expansion, has said they don't want or need foreign fighters, according to Bradbury.

"The information I've been getting back is that there's very little use for (Western fighters) on the front lines, especially on the KRG side -- they have significant numbers of personnel -- it's a source of Kurdish pride for them to rise up in scenarios like this. They more need the development assistance."

Peshmerga spokesman Helgurd Hekmat also told Kurdish news wire Rudaw that it was illegal for foreigners to join their ranks.

While individual fighters are not always accepted, volunteers working as military trainers are sharing their expertise to support those on the front lines of the fight against ISIS forces.

Bradbury set up 1st North American Expeditionary Forces (1st NAEF), a training body which, he says, is currently providing material support and training to the Peshmerga, whose name means "those who face death," in northern Iraq.

"Internal capacity building is by far the solution that you can put into a region that is suffering instability from conflict," he told CNN by phone from his base in Ottawa, Canada.

"Increasing their ability to maintain stability over the long term is far better than trying to influx it with a bunch of westerners who are going to leave within a short period of time."

He was prompted to establish the group after seeing "fairly significant gaps" in the support provided by the coalition forces for the Kurdish, Iraqi regular and militia ranged against ISIS.

The U.S. military is "confident" that its support of the forces battling ISIS on the ground is sufficient.

"We're confident the U.S. military mission of degrading and ultimately defeating (ISIS) will be found by working through our Middle Eastern partners and the international community," Maj. Omar Villarreal, Communication Integration Planner, U.S. Central Command Communication Integration Directorate, told CNN.

"The training element of the mission is no different. It relies on direct and comprehensive military cooperation with regional partner nations, who share a mutual interest in promoting security. One of the goals of the train and equip program, is to build the capabilities of the moderate Syrian fighters to defend the Syrian people. We are confident in our efforts."

With coalition members keen to distance themselves from calls for Western boots on the ground -- and little political appetite from overseas for risking Western troops in what many see as a sectarian conflict, Bradbury contends that the best-case scenario is exactly the kind of logistical support that organizations like 1st NAEF are providing.

ISIS is keen to play up religious and sectarian divisions in order to create the perception that they are the Sunni protectors of a persecuted underclass, sending non-Arab troops into the battlefield -- even in a support role -- could play into that divisive rhetoric.

Bradbury downplays this risk, saying the threat is there, and is best contained in the region.

Providing noncombat backing, such as medical, weaponry, logistical and training assistance would appear, he thinks, to be the best way of supporting those Kurdish and Arab troops on the front.

"Regardless of perceptions of any kind of us-against-them scenario, it absolutely is a world-against-ISIS issue that needs to take place and there definitely needs to be a global response," he said.

@highlight

Foreign fighters are increasingly signing up to fight ISIS on the front lines

@highlight

For some of the jihadist group's foes, foreign fighters are not welcome comrades

@highlight

Training and logistical support, some argue, is the best way to support the fight against ISIS