Boston (CNN) -- After seven weeks of colorful witnesses and rancorous testimony, the jury began deliberations Tuesday in the trial of alleged crime boss James "Whitey" Bulger.

Eight men and four women on the federal court panel have the monumental task of processing testimony from drug traffickers, extortion victims, gangsters, families of alleged victims and shooting victims, along with more than six hours of closing arguments.

Bulger is accused of 19 killings and 13 counts of extortion and money laundering during a 20-year "reign of terror" that defined South Boston from the early '70s through 1995, when Bulger fled Boston.

Jurors deliberated for six hours Tuesday before court was suspended for the day shortly after 4:30 p.m. ET. Deliberations are scheduled to resume Wednesday at 9 a.m.

Jurors will have to decide if the government has proven its case and if Bulger is guilty of the alleged crimes "beyond a reasonable doubt."

"You must decide which evidence to believe and which witnesses are true. You can believe some, or all, or none," U.S. District Court Judge Denise Casper told the jurors Tuesday, adding a cautionary instruction for government witnesses who have entered into plea deals for immunity and lesser sentences.

Casper advised that jurors weigh the potential that these witnesses "may have a motive to make up stories." Simultaneously, jurors are advised not to draw inferences from a witness's guilty plea.

Plea deals for gangsters

In their closing arguments Monday, defense attorneys attacked the credibility of gangsters who became star witnesses for the prosecution, testifying under immunity after they learned Bulger was an informant for the FBI for nearly two decades.

Prosecuting attorney Fred Wyshak on Monday defended the government's unsavory plea deals with those gangsters, three of whom implicated Bulger in the 19 murders and various acts of extortion.

"The government didn't choose them, Bulger chose them," Wyshak said.

"The only thing worse than making a deal with (former hit man) John Martorano would have been not making a deal with John Martorano." Wyshak said the government "held its nose and made the deal."

Prosecutors called 63 witnesses during the course of the trial, with the defense bringing only 10 to the stand. Martorano testified for both sides, making a total of 72 witnesses over 35 days.

As he presented his closing argument Monday, Wyshak called Bulger one of the most "vicious, violent and calculating criminals to ever walk the streets of Boston."

The prosecution took close to three and a half hours for its closing. The defense took over two and a half hours to make its case, then the prosecution had the final word in a rebuttal.

Defense attorney J.W. Carney summed up his case by questioning the credibility of prosecution witnesses, some of whom came to court with extensive criminal resumes and who had worked out deals with the government in exchange for testifying against Bulger.

"If you cannot say in your deliberation that I personally can believe (prosecution witnesses) beyond a reasonable doubt, then the government cannot prove its case about the alleged murders," Carney told the jury.

"The government is buying the testimony of these witnesses. The currency used here (is) how much freedom someone is going to get. What the government can pay the individual is the individual's freedom," Carney continued.

Earlier, Wyshak said Bulger and his partner "plotted, they schemed, they robbed they murdered together, they were also informants together."

Prosecutors contend Bulger was an FBI informant who used protection from rogue agents as he continued his life of crime. Defense attorneys have argued Bulger was not an informant, and that FBI bungling was key in the case.

"If there is one thing you heard during this trial, it's how secretive that relationship is," Wyshak said to the jury Monday. "The last thing a criminal wants ... is for people to know he's an informant."

But he also said that it "doesn't matter whether or not Bulger is an FBI informant when he put the gun to the head of Arthur Barrett and pulled the trigger." Arthur "Bucky" Barrett died after being shot in the head in 1983.

"It's not about whether or not the FBI in Boston was a mess," he said. "... It's about whether or not the defendant is guilty of crimes charged in the indictment."

Families of the victims were in court every day of the trial. The wife of one of the victims shouted "You're a coward!"

The defense rested its case Friday with no rebuttal from the government. In its weeklong presentation, Bulger's lawyers tried to cast doubt on who killed two of the 19 victims, both of them women. The defense also attempted to shift the blame onto the FBI, specifically agents who either did nothing or did too little to prevent several killings.

Defense attorneys tried to convince the jury that Bulger was not an FBI informant, a notion prosecutors called "ludicrous" in light of his FBI informant card and a 700-page file loaded with "tips" on rival gang members.

In closing arguments, defense attorney Hank Brennan told jurors why he thinks the government has made Bulger's informant status the crux of its case.

"Think about why it's so important. If it's not an issue, why do they keep bringing it up?" Brennan asked.

Brennan explained that other than to "embarrass" his client, the government using its claim that Bulger was an informant to cover up years of corruption.

"If he's not an informant, think of the liability," he said, recounting instance after instance in which government officials as high as strike-force attorneys in the Justice Department protected Bulger throughout his criminal career.

A number of retired FBI agents and supervisors took the stand during the trial, many testifying that they believed Bulger should have been shut down as an informant because he wasn't providing any useful information.

The agents said they never pressed the issue because apparently FBI headquarters felt Bulger was useful in taking down the New England Mafia.

Grisly murders

It took prosecutors 90 minutes to detail the 19 murders Bulger is accused of, showing photos of each of the victims and the crime scenes.

Bulger is not charged with delivering the fatal blow in all of the murders, but is charged with participating as part of a racketeering conspiracy. Wyshak called Bulger "the leader of a very wide-ranging, broad organization," who is culpable for his co-conspirator's crimes.

But Wyshak made clear Bulger was the alleged triggerman in some cases, recalling testimony from Bulger's partner, Steve "The Rifleman" Flemmi, about the murder of John McIntyre, whose remains were exhumed from a shallow makeshift grave in 2000.

McIntyre had begun cooperating with the government on the shipment of weapons to the Irish Republican Army and 36 tons of marijuana imported into Boston Harbor.

"It's Arthur Barrett all over again, held at gunpoint, chained to the kitchen chair, interrogated," Wyshak said.

Flemmi said he was holding McIntyre's body while Bulger was trying to strangle him with a rope, but the rope was too thick.

After that didn't work, McIntyre practically begged for a bullet after Bulger asked him if he would "like one in the head," according to Flemmi.

Flemmi testified as one of the government's star witnesses, and he said that he saw Bulger strangle the two women. The defense team, however, presented evidence that Flemmi had the greater motive to kill the women -- his girlfriend and his stepdaughter.

Bulger's attorneys release photos designed to show his softer side

The girlfriend, Debra Davis, was about to leave him for another man. The defense recalled Martorano, who testified that Flemmi admitted he "accidentally strangled" the 26-year-old woman.

Flemmi acknowledged he lured Davis to a home but says Bulger strangled her because she was talking too much and had become a liability.

Wyshak recalled testimony that Bulger always needed to take a nap after strangling or shooting his victims to death.

In talking about the murder of Paul McGonagle, Wyshak said Bulger's former cohorts testified that whenever they passed the Neponset River, where McGonagle's remains were exhumed in 2000, Bulger said, "'Drink up, Paulie.' That's the level of humanity that this defendant is operating at. ... And every time he goes by there it's 'Drink up, Paulie.'"

Victim's mother warned FBI about an impending murder

'Bulger: I didn't get a fair trial'

Bulger was a fugitive for more than 16 years, after a crooked FBI agent told him in December 1994 he was about to be indicted on federal racketeering charges. The FBI tracked him down and arrested him 2011 in Santa Monica, California, where he had been living with his girlfriend under an alias.

Bulger never took the stand, despite repeated hints from his lawyers throughout trial he would testify. In fact, Bulger seemed to want to testify, and when questioned about it by the judge, Bulger called his decision a "choice made involuntarily."

He claimed he had been given immunity for his crimes by the former head of New England's Organized-Crime Strike Force, Jeremiah O'Sullivan, now deceased.

Bulger, who lost his temper several times during the trial, appeared angry, shaking his finger at the judge and claiming he was "choked off from making an adequate defense."

"I didn't get a fair trial. This is a sham. Do what ya's want with me," Bulger said.

Man arrested in death of alleged Bulger extortion victim

@highlight

NEW: Deliberations will continue Wednesday in the trial of James "Whitey" Bulger

@highlight

Defense: "All our government cared about -- get the mafia at all costs"

@highlight

Prosecution: "It's not about whether or not the FBI in Boston was a mess"

@highlight

Bulger is accused of 19 killings during a 20-year "reign of terror"