WASHINGTON (CNN)  -- Boys may soon be able to get Gardasil, the vaccine given to girls and young women to prevent infection by four types of human papillomavirus.

Gardasil, a vaccine against human papillomavirus, would be given to boys exactly as it is to girls.

A Food and Drug Administration advisory committee voted Wednesday to recommend that the vaccine be made available to boys and young men aged 9 to 26 for protection against genital warts caused by HPV.

The vaccine protects against four types of HPV, and two of those are believed to be responsible for 70 percent of cervical and anal cancers, and HPV-associated penile and throat-and-neck cancers. The other two cause 90 percent of genital warts cases, researchers say.

At Wednesday's advisory committee meeting, pharmaceutical giant Merck & Co., maker of Gardasil, presented data from three clinical trials that the company claims supports broadening the distribution of the vaccine to include males. The trials included more than 5,400 boys and men from six continents and 23 countries.

According to Anna Giuliano, an independent scientist at Moffit Cancer Center in Tampa, Florida, and the trials' principal investigator, "The data clearly demonstrates that there was a benefit to men in receiving Gardasil. Overall, we saw a 90 percent reduction in disease -- genital warts and pre-cancerous lesions -- caused by HPV in men and an 89 percent reduction in genital warts incidence.

"Essentially, we have a really fantastic opportunity to extend the benefit of the vaccine to men," Giuliano said. "This is a sexually transmitted infection; if we can reduce infection and related diseases in men, we have the potential to have a much broader public health impact by reducing the overall burden of infection and disease in the community at large."

Giuliano said there were no serious adverse events related to the vaccine. There were some minor side effects such as pain at the injection site and low-grade fever.

The vaccine would be administered in boys and young men exactly as it's been given to girls and young women: three doses over a period of six months. Merck spokeswoman Pam Eisele said the cost will be $130 per dose.

According to the Centers for Disease Control and Prevention, about 20 million Americans are infected with HPV. There are 6.2 million new infections each year.

The CDC says that at least 50 percent of sexually active men and women get an HPV infection at some time in their life. The American Social Health Association says HPV is the most common sexually transmitted virus and puts that number at 75 percent or more.

The CDC says that although HPV is very common in both sexes, most men won't develop symptoms or serious health problems, and there is no test to detect the virus in men. The only approved HPV test on the market is for women, for use in cervical-cancer screening.

The advisory committee also voted that Cervarix, a new HPV vaccine made by GlaxoSmithKline, appeared to be safe and effective for girls and young women 10 to 25 years of age. Cervarix has been approved in Europe.

"This is an important step in cancer prevention for the millions of girls and young women at risk for cervical cancer," said Barbara Howe, vice president and director of North American vaccine development for GlaxoSmithKline.

"If approved, Cervarix will provide protection against cervical cancer, a devastating disease that is responsible for thousands of deaths in U.S. women each year."

Still, the panel recommended that Glaxo do more studies that would monitor miscarriages and other problems reported by patients.

In a final review, both applications will be considered by the FDA, which usually -- but not always -- follows the recommendations of its advisory committees.

@highlight

Committee says shots could prevent genital warts in males 9 to 26

@highlight

Vaccine's maker claims studies show 90 percent less HPV-caused disease

@highlight

HPV common in both sexes, CDC says, but men develop fewer problems

@highlight

Committee also favors Cervarix, new vaccine from GlaxoSmithKline