Cairo (CNN) -- The Muslim Brotherhood declared that its candidate won Egypt's historic presidential election this weekend, making the claim hours after openly challenging the nation's military rulers over its dissolution of parliament.

With several million votes still to be counted, the state-run Al-Ahram news website around 4:15 a.m. Monday (10:15 p.m. Sunday ET ) showed the Brotherhood's Mohamed Morsi leading with about 5,648,000 votes compared with about 4,705,000 for opponent Ahmed Shafik, who served as Egypt's last prime minister in the waning days of Hosni Mubarak's regime.

Yet the Islamist group, citing what it said were all-but-complete official numbers released to its representatives at polling stations nationwide, asserted that Morsi had won by capturing 52.5% of the overall vote.

The official vote count was scheduled to be finished at some point Monday, with final results to be announced Thursday.

Whoever they declare the winner will become the North African nation's first president since Mubarak, who was ousted in a wave of popular unrest last year after three decades in power.

The next president will wade into a country with a political system mired in controversy, confusion and confrontation, much of it due to events over the past week.

Egypt has no constitution in place, though military rulers have vowed to appoint a 100-person panel to craft such a document. And a court ruling just days before the runoff appeared to invalidate an Islamist-dominated legislative body and then saw the military swiftly move to dissolve that parliament ahead of the election.

But the Muslim Brotherhood, whose Freedom and Justice Party had won a majority of legislative seats, is bucking this act to dissolve parliament.

Mahmoud Ghozlan, a spokesman for the Islamist group, called the move "unconstitutional" and said parliamentary speaker Mohamed al-Katatni will convene legislators on Tuesday.

"This parliament was chosen by 30 million voters over a period of three months, and the legislative power was handed to (lawmakers) chosen by the people," Ghozlan said. "It is unconstitutional to dissolve it."

And Hussein Ibrahim, a Brotherhood member and majority leader in the legislature, insisted Sunday that parliament "has not been dissolved," according to a report from the state-run Al-Ahram news agency.

Vowing the Brotherhood won't "give it to a coup d'etat," Ibrahim said while casting his vote in Alexandria that military rulers must respect a March 30 constitutional declaration that gives only "the people" the authority to dissolve parliament.

The Supreme Council of the Armed Forces, meanwhile, issued a new constitutional declaration Sunday night detailing some powers that the new president will hold, but gave little indication it was budging on the state of parliament.

After being sworn in, the new president will set the date for parliamentary elections and can pardon and appoint government officials and ambassadors to foreign countries.

But the military leadership stated that legislative power, as well as control of the national budget, will remain in its hands until a new parliament is elected.

The Brotherhood "strongly rejected" the military declaration about parliament on its official Twitter feed. The group also said that the constitutional panel picked by parliament will hold its first meeting Monday to begin drafting a constitution, in defiance of the military council.

There's also plenty of dispute over the validity of this weekend's presidential runoff vote, which Shafik and Morsi's campaigns accusing each other of election fraud.

A wild election weekend for Egypt, France and Greece

Turnout appeared sluggish Sunday at some polling stations in Cairo, where streets were mostly quiet despite what many Egyptians viewed as moves last week by military leaders, who have ruled the country since Mubarak was forced out in February 2011, to hold on to power. Some voters may have stayed home because of sweltering heat, officials told the state-run Al-Ahram newspaper.

As of 4 p.m. Sunday in Egypt, 40% of the nation's 50 million eligible voters had cast ballots, according to Farouk Sultan, the head of Egypt's Supreme Presidential Election Commission. In the first round of voting last month, 46% of voters participated.

Officials have reported few voting irregularities in the second round of elections, Sultan said.

To protect the balloting process, authorities went so far as to camp outside polling stations overnight during the runoff. At one station designated for women in Cairo, guards slept on the doorstep.

The Supreme Presidential Electoral Committee approved licenses for 53 organizations to observe the elections, including at least three international groups -- the U.S.-based Carter Center, the South Africa-based Electoral Institute for Sustainable Democracy in Africa and the Arab Network for Monitoring of Elections.

Yet Shafik's campaign filed "several complaints" with Sultan's commission, alleging the Muslim Brotherhood committed "systemic violations."

Specifically, they accused the Islamist group's supporters of bribing voters with "large sums of money and food" to back Morsi, as well as using "intimidation, threats and violence against supporters of candidate Ahmed Shafik." The former prime minister's camp also said it "filed more than 100 official complaints accusing the Brotherhood of ballot rigging and stuffing."

"The Muslim Brotherhood's systematic election violations prove how the (group) does not believe in freedom of choice and democracy unless this democracy brings them to power," Shafik's campaign said in a statement. "The organized and persistent election fraud by the Muslim Brotherhood proves they ... only talk the talk and never walk the walk of liberal democracy."

In a statement on its website, the Brotherhood flatly denied what it called "false reports being circulated" and urged election officials to promptly investigate what it called "games and plots." It also accused "the rival candidate's supporters (of) paying cash bribes to some voters," among other allegations.

Outside the city, in Giza, Mohammed Gamea cast his ballot for Morsi even as he questioned whether the election was fairly handled.

"I don't believe the Egyptian presidential elections are fair to begin with," he said Sunday morning. "The military council, assisted by the elections committee, tried everything to stall and influence the process, from disqualifying previous candidates before the first round -- not to mention the negative campaigns against Morsi -- while keeping quiet about Shafik."

"But despite all (this), I don't believe that there has been any electoral fraud. The ballots will determine what is next for Egypt."

The real obstacle to democracy in Egypt

Some disgruntled voters launched a campaign to invalidate ballots, said Mohamed Ghoneim, the founder of a group that marked "X" on the names of both Morsi and Shafik, thereby nullifying their vote.

Among the boycotters was Mohamed Khamees, who said he lost sight in his left eye from a police beating in Tahrir Square during the early 2011 protests.

"If I give this country for the Brotherhood hands, there is not going to be any more Egypt, it will be destroyed," he told CNN. "And if I give it to someone from the old system, it looks like we did nothing."

What is the Muslim Brotherhood?

CNN's Saad Abedine, Ivan Watson and Ben Wedeman and journalists Mohamed Fadel Fahmy and Ian Lee contributed to this report.

@highlight

NEW: The Muslim Brotherhood says its candidate won with 52.5% of the overall vote

@highlight

NEW: A count by state media shows Morsi ahead, but with millions still to be counted

@highlight

Shafik's campaign accuses the Muslim Brotherhood of systemic election fraud

@highlight

Military leaders say they will retain legislative power until a new parliament is picked