To become Google's first female engineer in 1999 -- and, eventually, one of the most powerful women in tech -- Marissa Mayer had to get comfortable with risk.

"I always did something I was a little not ready to do," she said last year while speaking on her best decisions in a talk with NPR Correspondent Laura Sydell. "That feeling at the end of the day, where you're like, 'what have I gotten myself into?' I realized that sometimes when you have that feeling and you push through it, something really great happens."

If the 37-year-old still makes career moves by her tried-and-true process, then she's likely anticipating something great to occur in her new role as Yahoo's CEO.

Mayer's hiring last summer, which accordng to Fortune made her the youngest head of a Fortune 500 company, came as a surprise, and her high-wire decisions since have spread far wider than Yahoo's campus.

First, there was her brief maternity leave after she gave birth to her son in September. When the Silicon Valley star first announced that she was pregnant, on the very same day Yahoo revealed she was the company's new CEO, some saw it as a progressive move and hoped Mayer would set a new standard for mothers trying to balance the competing demands of their corporate and familial roles.

What they saw instead was a businesswoman eager to get back in the office and who said that having a new baby in her life wasn't as difficult as she'd been told.

But the real critiques came last month when Yahoo's HR department issued an e-mail telling staff that they will no longer be able to work from home, prompting an angry backlash and leading some to question Mayer's judgment.

While some found her position just, others hoping the new mom would create a more reasonable corporate culture interpreted the move as unfair, noting that Mayer approved the edict while building a nursery next to her office -- not an option for most working parents.

But over her nearly 14-year career in the tech world, Mayer has consistently shaken up expectations.  If we've learned anything about this influential computer engineer-turned-corporate executive, it's that she plays the game of business by her own rules.

1. She doesn't do stereotypes

Part of the legend of Marissa Mayer is that she doesn't fit into our assumptions of what it means to be a tech geek.

Much has been made of her looks, which defy popular culture's assertion that the best computer scientists are "people with pocket protectors and thick glasses who code all night," Mayer told Glamour magazine jokingly in 2009. "I do code all night! I am the stereotype, but I also break the stereotype."

She also didn't grow up immersed in technology. Born in Wausau, Wisconsin, Mayer had a childhood filled with piano lessons, ice skating and ballet, plus debate and math club in high school, Vogue magazine reported in 2009. The future tech leader told Newsweek the following year that she didn't even learn how to use a mouse until her freshman year at Stanford.

She's said that she had a natural interest in the brain and how it worked, and at first wanted to be a pediatric neurosurgeon. When she happened to take a computer science class for non-majors and discovered a major called symbolic systems, she was hooked, she told NPR's Sydell last year.

Soon she was climbing Google's ranks, from programmer to vice president of local, maps and location services. But the press and public focused more on her posing for Vogue and reportedly shelling out $60,000 at a charity auction for lunch with Oscar de la Renta.  A geek who loves fashion? Who would've thought?

But as Mayer told The New York Times in 2009, "I refuse to be stereotyped. I think it's very comforting for people to put me in a box. 'Oh, she's a fluffy girlie girl who likes clothes and cupcakes. Oh, but wait, she is spending her weekends doing hardware electronics.' "

2. Passion can trump gender

With two degrees from Stanford, including a master's degree in computer science, and a successful career in a male-dominated industry, Mayer is often held up as a woman to emulate. During her tenure at Google, Mayer's been described as being a key influencer on products such as Gmail, Google Maps and Google's minimalist search page.

As a result, Mayer is frequently asked how she made it in an environment that's seen as a boy's club.

"People will say, how can we get more girls into computer science? And I think that's a hard question, because just asking the question, I worry sometimes can handicap progress," she noted during a 2012 talk at New York City's 92nd Street Y. "I was really good at chemistry, biology, physics, calculus in high school, and my teachers were genuinely really supportive of that and they never said anything like, 'wow, you're really good at this, and that's unusual for a girl.' They never really brought up the gender issue ... And I think I've just always been very gender-unaware."

Her advice to other women seeking to follow in her footsteps is to find something that drives them and push past their preconceptions about gender roles.

"I'm not a woman at Google, I'm a geek at Google," Mayer told CNN in 2012. "If you can find something that you're really passionate about, whether you're a man or a woman comes a lot less into play. Passion is a gender-neutralizing force."

And when it comes to feminism, Mayer shies away from the phrase.

"I don't think that I would consider myself a feminist. I certainly believe in equal rights, I believe that women are just as capable, if not more so, in a lot of different dimensions. But I don't I think have sort of the militant drive, and sort of the chip on the shoulder that sometimes comes with that," she said in PBS and AOL's "Makers" documentary, launching a debate about her remarks.

"I think it's too bad, but I do think that feminism has become in many ways a more negative word," she added. "There are amazing opportunities all over the world for women, and I think that there's more good that comes out of positive energy around that than negative energy."

3. Burnout? She's not really buying it

Mayer has long been seen as the employee who can outwork you on your most caffeinated day. But she's said that she doesn't believe in burnout in the typical sense.

"I actually have a very different philosophy about burnout," she told BuzzFeed last year. "I don't think that burnout comes from not getting enough sleep or not eating enough square meals. I think that burnout comes from resentment. ... It is possible to work 'too hard,' but you need to figure out what things it really is you need to stay fueled up, to stay energized, to not get resentful."

Mayer's intensity at the office appears to have held up even as she's become a mom. Her maternity leave was just a few weeks long, and she worked through it.

Some critics wondered about the standard this might set in the corporate world, considering Mayer has resources that many other working parents don't.

Yet the Yahoo CEO isn't thinking about anyone else's standards of parenthood, as she told "Today's" Savannah Guthrie when asked for her thoughts on being seen as a role model.

"I've really been focused on the products, what we need to do," Mayer said last month. "There are so many great people at Yahoo, and so many great users that we want to serve well, that I really put my energy there."

4. She welcomes challenges

One of Mayer's mantras for making decisions in life is to a) work with the smartest people she can find, and b) go for a challenge that makes her feel like she's in over her head. Say, for example, taking over struggling Web giant Yahoo.

Yahoo's undoubtedly hoping for a turnaround in both its finances and its products, one worth that $1.1 million bonus that Mayer was given. Optimistic observers are waiting to see Mayer apply some of the smarts and aesthetic sense she showed at Google.

"If Mayer were just another savvy Silicon Valley executive who'd spent most of her career at one outfit and never run a company, she might feel like a quixotic choice for a big, troubled public company like Yahoo,"  Time magazine's Harry McCracken wrote last July.

"But she's Marissa Mayer. She played a key role in making Google into ... Google. She's famous for her obsessive focus on pleasing experiences, and the lengths to which she'll go to measure whether something's working for users or not."

5. If she needs to test 41 different shades of blue, she will

Mayer told San Francisco magazine in 2008 that she's "a businesswoman first and foremost," but her passion for perfection and focus on data hasn't left everyone starstruck.

Former staffer Douglas Edwards, who wrote "I'm Feeling Lucky: The Confessions of Google Employee Number 59," recalled feeling perturbed by Mayer's emphasis on testing and data. He remembered one occurrence when he said she changed the results Google provided so they'd appear in a sans-serif font, because she'd seen research that those were easier to read.

The Times similarly picked up on Mayer's data-driven habits and perfectionism, such as when she wanted to test out 41 shades of blue for the toolbar on Google pages to see which one appealed the most to the user. Her managerial style was said to be so meticulous that Wired magazine put her on its 2012 list of "brilliant" but tough tech bosses.

Time will tell if this obsessive attention to detail pays off for Yahoo, and Mayer -- or whether her company's problems are too big.

@highlight

Yahoo CEO Marissa Mayer: My best decisions involve risk

@highlight

It may not be conventional, but neither is Mayer

@highlight

As she's shown in the past, Mayer bucks against societal expectations

@highlight

In the fields of tech and business, Mayer often makes her own rules