(CNN) -- Every family, even famous ones, have secrets. The Hemingways are no different.

"We were, sort of, the other American family that had this horrible curse," says Mariel Hemingway. She compared her family to the Kennedys -- but the Hemingway curse, she said, is mental illness.

Hemingway, granddaughter of acclaimed author Ernest Hemingway, explores the troubled history of her family in "Running from Crazy," a documentary that premiered at the Sundance Film Festival on Sunday. Barbara Kopple is the director; Oprah Winfrey is the executive producer.

"Knowing that there's so much suicide and so much mental illness in my family, I've always kind of been 'running from crazy,' worried that one day I'd wake up and be in the same position," Mariel Hemingway, 51, said at a support group for families of suicide, as shown in the film.

Hemingway told CNN last week she wanted this documentary to be an unveiling of her family history, and to give people permission to express their own "stuff," to realize they're "not alone in the world of dysfunction."

The documentary guides the viewer through the turmoil of her parents' marriage and the troubled relationships between her and her siblings. It includes archival footage from when her sister Margaux Hemingway, who took her own life in 1996, had been making a personal family documentary.

"Suicide has no rhyme or reason," Hemingway said. "Some people think about it for years and plan it. Some people, it's 20 dark minutes of their life that they decide to take their life that comes out of the blue. It's very random, it's very frightening."

Whether Hemingway is jumping on a trampoline or submerging herself in a cold stream, with her pointed nose and bouncy blonde hair, her message in the film is one of achieving mental well-being and overcoming one's own problems. These scenes contrast with newspaper clippings, still photos and melancholy video clips from her family's past.

Seven members of Hemingway's family have died by taking their own lives, including Ernest and Mariel Hemingway's older sister Margaux, she said. Mariel Hemingway had denied her sister's death was a suicide until an event hosted by the American Association for the Prevention of Suicide in 2003.

Ernest Hemingway, who won the 1954 Nobel Prize in Literature, struggled with depression and killed himself in 1961, just months before Mariel Hemingway was born. But suicide wasn't something that was talked about when she was growing up.

"Nobody spoke about anything," she said. "It was a different generation." Even her sister's suicide was not talked about, she said.

Saving Hemingway's home in Cuba

The film's biggest revelation, which was the most difficult part of her family history for Hemingway to reveal, is that she believes her father, Jack Hemingway, sexually abused her sisters Margaux and Joan, nicknamed "Muffet." Hemingway drops this information bomb only briefly in the film -- the first time she has revealed this publicly. Jack Hemingway died in 2000.

Hemingway told CNN she does not remember her father abusing her, but notes that she did sleep in the same room as her mother, who had cancer, possibly as protection from her father. She is not sure if her mother knew what was going on. It's possible that her father didn't even remember doing it, she says, because he was drunk. Alcohol abuse also runs in the family, she said.

Mariel Hemingway began her screen acting career as the younger sister of a character played by Margaux in the 1976 film "Lipstick." Critics praised Mariel and dissed Margaux, which strained their relationship.

But Mariel Hemingway said she had been in touch with her sister the week before she died. "She was seemingly OK," she said. "But you never really know with suicide what's going on in a person's mind."

Prior to the film, Hemingway only saw her sister Joan Hemingway about once a year. Muffet Hemingway lives in Sun Valley, Idaho; Mariel Hemingway lives in Los Angeles.

Muffet had experimented with LSD when she was young, and received a diagnosis of manic depression. Mariel Hemingway has discussed her sister's struggles in numerous interviews over the years.

"She represented being, you know, 'crazy,' " Mariel Hemingway said last week. "I always feared that I would wake up that way, or that maybe I was that way and I didn't even know it."

But since doing the film, they have seen each other a bit more often, including at Christmas. Making the movie has made Mariel Hemingway get over her fear of seeing her sister, whom she describes as "such a loving, kind person."

"My dream is to be able to have enough money to take care of her myself, and really take over her care," she said.

Attempts by CNN to contact Joan Hemingway were unsuccessful. An April article in the Twin Falls, Idaho, Times-News said her artwork was being featured in a business in Ketchum, the town adjacent to Sun Valley. Business owner Nicola Potts told the newspaper that Joan Hemingway, 61, leads a "very happy, very private life."

Mariel, too, said she has had depression and suicidal thoughts, and recalls suffering insecurity and being fearful and depressed growing up. When she overcame that, "I was like, 'I've spent all my life being that way,' " she said.

To move past these feelings, Hemingway says she has "done everything" -- psychotherapy, gurus, holistic doctors -- and each of the methods she has tried have given her something of value. On her blog, for instance, she recommends that everyone take a few minutes of silence in the morning and before sleeping to be still and silent, which helps her to be more calm and focused.

Practices such as these, in addition to exercise, spending time in nature, and eating right, have all helped her achieve peace, she said. It's only within the last four years that she feels she has completely overcome depression.

"It's amazing to me that I'm not sad anymore, and that I don't worry and that I don't fear," she said.

These days, Hemingway and her boyfriend Bobby Williams have a lifestyle company called TheWillingWay ("He has the 'will,' I have the 'way,' " Hemingway said). Health and wellness are her passion.

She also advocates for suicide and mental illness awareness. She is open and communicative with her two daughters about their own mental health, too.

"I think people need to talk about it a lot," she said of mental illness, "Making it OK that it's in your family." She added, "It doesn't shame anyone, and it doesn't make anybody's family an ugly, bad family."

That is a challenge to which this Sundance film also rises.

Hemingway's home gets literary honor

For immediate assistance, contact the National Suicide Prevention Lifeline at 1-800-273-TALK (8255) if you or someone you know is contemplating suicide.

@highlight

Mariel Hemingway explores her family's troubled history in "Running from Crazy"

@highlight

The documentary premiered at the Sundance Film Festival

@highlight

Hemingway is the granddaughter of author Ernest Hemingway

@highlight

In the last four years she feels she's overcome depression