(CNN) -- Last April, images of Kurdish men dressed in drag started making the rounds on Facebook.

The campaign, called Kurd Men for Equality, featured men proudly swathed in the colorful garb traditional among Kurdish women. The subjects -- young, old, moustachioed, bespectacled -- were making a statement that was at once political and feminist, proving that in the Kurdish community, the two often go hand in hand.

"You can't separate the two," explains Dilar Dirik, a Kurdish activist, journalist and a Ph.D. student at the University of Cambridge.

"It's a political move against the Iranian regime, and the regime happens to be oppressive, to Kurds and to women -- not just Kurdish women but all women."

The campaign, which received over 17,000 Facebook "likes", and, according to the site, the endorsement of American actress Rosario Dawson, was the brainchild of two male feminists, Masoud Fathi and Dler Kamangar.

They launched the campaign after an Iranian court in the Kurdish region of Marivan sentenced a man convicted of domestic abuse to walk the streets dressed in women's clothing. Fathi donned a dress, had Kamangar snap the picture, and posted the image on Facebook with the slogan, "Being a woman is not a tool to humiliate or punish anyone."

"Women are part of our personality, our character. If we oppress one part of our character, we oppress ourselves," Fathi said in an interview with the Kurdistan Tribune.

"If one part of us is unfree, our whole cannot be free, either."

That a male-led feminist movement could emerge is somewhat surprising given the region's track record for women's rights. Diana Nammi, the executive director for the Iranian & Kurdish Women's Rights Organization (IKWRO), notes that honor killings, genital mutilation, and child marriages still make up a large part of the cultural landscape.

"Officials put the number of honor killings at a few hundred each year, but I think that shows just the tip of the iceberg. The realities are far darker," she says.

For the men involved in the campaign, however, women's rights is an issue of obvious importance.

"In my own experience, it seems the Kurdish people are trying really hard to fight for the rights that have been taken from them. I guess women's rights is part of that whole thing," says Pedram Penhan, who says he didn't hesitate to put on a dress as part of the campaign.

"I wouldn't label myself as a feminist, but I would say I'm an activist who does anything possible to make the world a better place for every human," he adds.

"It might have something to do with my nationality, I suppose."

Video: Yemeni girl, 11, runs from marriage

Dirik argues there are many areas where Kurdish women enjoy more rights than their female brethren in neighboring countries. By law, 30% of the Iraqi Kurdistan parliament's members must be women. The main Kurdish party in the Turkish parliament has instituted a similar quota, requiring 40% of the seats go to women. At the same time, women have also made up the backbone of many Kurdish separatist movements, including the PKK in Turkey and the YPG in Syria.

"It's like affirmative action," says Dirik. "In many of the PKK camps, men do the domestic work so women can read books."

To a certain extent, notes Dirik, it's because women have been denied rights, both within the Kurdish community and by the government of the country in which they reside.

Read more: Saudi Arabia's first anti-domestic violence campaign

"One fighter (in the PKK) I interviewed said to me, 'I have nothing to gain from the nationalist structures of the Turkish state.' For her, she's taking up arms against patriarchy and national oppression. It's a secular revolution run by women who are the most oppressed in the world," she says.

Though Nammi agrees that women play a pivotal role in these groups, she argues that their presence is not necessarily feminist in nature.

"I know lots of women in these movements, and though they've been armed and are fighting shoulder-to-shoulder with men, they are just fighting as a nationalist group. Women's rights are not seriously part of their political agenda," she says.

Dirik is not in agreement.

"I genuinely believe that Kurd women have reached the point of no return. Even if the Kurd people were given all their cultural rights, if men didn't share them equally with women, I think women would take up arms against them," she jokes.

Correction: An earlier version of this article stated Dilar Dirik visited the training camps of PKK members, which is not correct.

@highlight

Masoud Fathi launched the Kurd Men for Equality Facebook campaign in Kurdish area of Iran

@highlight

The campaign was at once a pro-feminist and anti-Iranian regime statement

@highlight

The Kurdish community still has honor killings and genital mutilation according to experts

@highlight

Hollywood actress Rosario Dawson said to be a supporter of the campaign