(CNN) -- Russians go to the polls on Sunday March 4 to elect a new president. Current Prime Minister Vladimir Putin is attempting to regain the post he held between 1999 and 2008. He has been a dominant force in Russian politics for more than a decade but his popularity has suffered recent setbacks. So who is challenging him and what will the poll mean for Russia? CNN examines some of the key questions.

Russia recently had elections. What is this one about?

Russia's top job -- that of president -- is being contested this time.

It follows parliamentary elections in December in which Putin's ruling United Russia Party received 49.5% of the vote -- down from 64% four years ago. It kept United Russia in power in the lower house, called the Duma, with 238 of the 450 seats but also triggered major protests over allegations of vote rigging and ballot stuffing. Putin dismissed calls for a review, but the outgoing president Dmitry Medvedev announced political reforms in the wake of large demonstrations.

Putin is now seeking to regain the presidency which he has held twice before. Russian law prevents presidents serving more that two consecutive terms so he was obliged to stand down in 2008.

How is the president elected?

There are effectively two systems in place. Parties represented in parliament can nominate their own candidate -- others need to collect two million signatures of support that are then scrutinized by Russia's Central Electoral Commission. Four of the five standing this year are party nominees, while independent candidate, the billionaire Mikhail Prokhorov, garnered enough support to run for the post.

To gain the presidency, the candidate must secure 50% of the poll plus one vote. If this fails to happen there is a run-off between the two highest polling candidates in a second round of voting to be held within two weeks.

So who is standing?

There are five candidates:

Vladimir Putin of the United Russia Party. A primary focus of his campaign has been modernizing Russia's military, saying it's the only way to improve Russian standing in the world.

Putin's political career

Gennady Zyuganov, nominated by the Communist Party of the Russian Federation. This is his fourth attempt to gain election to the top office.

Sergey Mironov is standing for Just Russia. He is left leaning and lost the 2004 race for the presidency.

Vladimir Zhirinovsky for the Liberal Democratic Party. A right-winger, this is his fifth attempt to be elected president.

Mikhail Prokhorov, an independent. The billionaire produced a manifesto of democratic and economic reforms but CNN's Moscow correspondent Phil Black says he's struggling to shake off his reputation for being too close to the current regime.

Metals mogul hoping to shine

Another candidate, Grigory Yavlinsky, of the non-parliamentary party Yabloko, was barred from standing by the Central Electoral Commission for invalid signatures -- a move his website suggests was politically motivated.

Who is likely win?

Despite a drop in popularity, CNN correspondent Phil Black says Putin is very likely to regain the presidency. A recent poll for the Russian Public Opinion Research Center showed him to be on 55% with none of the other candidates polling more than 10%.

Putin's drawing power

Black says although Putin is clear favourite to win, he can expect continued public dissent. "He'll be leader of a country that has changed dramatically in the last three months," he said.

How long does the president serve?

The president is entitled to stay in office for six years. It used to be four years but the constitution was changed in 2008 to allow the extension to six. Russian presidents cannot serve more than two consecutive terms. Vladimir Putin can run again despite two previous presidencies as he is currently in the post of prime minister.

How powerful is the president?

In Russia, the president is more powerful than the prime minister. Professor Richard Sakwa, an Associate Fellow of the Russia and Eurasia Program at London-based think-tank Chatham House, explains that the president is responsible for foreign policy and security and has the power to dismiss the prime minister.

He says there are two key camps in this election -- those that see Putin as a safe pair of hands providing stability and security, and those that feel he has overstayed his welcome and want a "move away from heavy-handed political management."

The current president, Dmitry Medvedev, has already been nominated for prime minister by Putin if he wins -- once again swapping roles.

In December, Daniel Treisman, a professor of political science at the University of California in the U.S., told CNN: "Switching places, although hardly an inspired move, is the simplest way to stir the waters without fear of rocking the boat. Yet the reality is that Putin's return to the Kremlin will not, in itself, change much. For the last four years, he has made all key decisions, with Medvedev's advice, and he will continue to do so."

Professor Sakwa adds: "If Medvedev is prime minister I think he will continue to push through political reform. The prime minister is quite an important figure."

Are there any fears about electoral fraud?

The parliamentary elections in December were marred by allegations of ballot stuffing with the Organization for Security and Cooperation saying in a preliminary report that some political parties had been prevented from running and the vote was "slanted in favor of the ruling party." U.S. Secretary of State Hillary Clinton said the U.S. also had serious concerns. Thousands of Russians turned out to protest.

In response, Medvedev announced political reforms to address discontent.

He proposed that Russia returned to direct election of regional governors; simplify the registration of political parties and presidential candidates; establish new editorially independent public TV channel; and called for lifting of many of the political restrictions imposed in the past several years by Putin.

Phil Black reports that Putin wants to install 300,000 cameras in 90,000 polling stations at an estimated cost of $1 billion to prevent fraud.

But Alexei Navalny, a leading opposition figure, told Black that they don't have any confidence in what Putin says and believe the move to install cameras is a "gimmick."

What about wider corruption?

Dmitry Medvedev has worked to stamp out corruption in Russia, signing a 2008 decree to counter its effects. Despite this, Russia remains ranked 143rd out of 182 countries on a corruption perception index published by Transparency International.

Pavel Ivlev, founder and chairman of the Committee for Russian Economic Freedom, told CNN in January that "the average citizen has experienced the brutality of corruption carried out day-to-day by an omnipresent and thuggish bureaucracy.

"Each year an estimated 15-20% of Russia's economic output goes towards some sort of bribe - whether paying off tax authorities, the police or other local officials -- thus creating a significant drag on small businesses and innovation."

Although Sakwa believes many in Russia never have to pay a bribe he added that there are others, particularly business people, who do have to. "The tolerance level has come to a point where they've had enough of this."

If Medvedev returns as prime minister after the presidential election his reforms will be further tested.

@highlight

Current Prime Minister Vladimir Putin is trying to win the post he held between 1999 and 2008

@highlight

Five candidates are competing for Russia's top job

@highlight

The president is entitled to stay in office for six years following rule changes in 2008

@highlight

Although Putin is likely to win, CNN's Moscow correspondent Phil Black says he can expect continued dissent