WASHINGTON (CNN)  -- A man who was raised at Camp Lejeune told lawmakers Thursday that he blames contaminated water at the U.S. Marines training base for his breast cancer.

Government records show decades of contaminated water at Camp Lejeune, North Carolina.

Michael Partain, who was diagnosed two years ago at the age of 39, told the Senate Committee on Veterans' Affairs that his parents were stationed at the base in North Carolina when he was born.

At least 40 former U.S. Marines or sons of Marines who lived at Camp Lejeune have been diagnosed with the cancer that strikes fewer than 2,000 men a year, compared with about 200,000 women.

The committee hearing was focused on exposure by military personnel to hazardous materials in the United States, Japan and Iraq, including toxic smoke from burn pits in Iraq and contaminated water.

Partain said that during his mother's pregnancy, the family was exposed to high levels of tetrachloroethylene, trichloroethylene, dichloroethylene, benzene and vinyl chloride in the tap water at the military base.

"I am one of about 40 men who share this unique commonality of male breast cancer and exposure to contaminated tap water [at] Camp Lejeune," he told the committee.

The Marines with breast cancer served or lived at Camp Lejeune between the 1960s and 1980s. Government records show that the camp's water was contaminated for three decades.

Although the Marine Corps contends that two independent studies have found no link between water contamination and later illnesses, the men facing a debilitating and possibly lethal disease don't believe it.

Partain said his illness has been been a "traumatic, emotional and physical" ordeal for his family.

Two North Carolina senators -- Richard Burr, the ranking Republican on the committee, and Kay Hagan, a Democrat who is not a panel member -- are pushing legislation that would require the Department of Veterans Affairs to cover the medical costs of Marines and their families who were exposed to the contaminated water.

The provision, which has passed the Senate, would amend the Defense Appropriations Bill to prohibit the Navy from "disposing of water-contamination claims before critical scientific studies can be completed."

According to Hagan, the Agency for Toxic Substances and Disease Registry, which is part of the Centers for Disease Control and Prevention, is conducting human health and water modeling studies to determine whether the toxic water contributed to health problems at the base.

Some of the water was contaminated with toxins at concentrations up to 280 times what is currently considered safe by the Environmental Protection Agency, Hagan said. The bill covers the period between 1957 and 1987.

"I think it should be our mission to give these families complete answers," she said. "They can't get closure until the remaining CDC studies, which are in progress, are complete."

Sen. Roland Burris, D-Illinois, added, "I am deeply concerned about possible environmental hazards in places where we are fighting two wars."

He and other senators agreed that current military personnel and veterans should not have to battle red tape to get health care and benefits.

Russell Powell, a medic with the 1092nd West Virginia Army National Guard, said that from April 2003 to June 2004, the unit was assigned to the Qarmat Ali water treatment plant in Basra, Iraq, to provide security for contractors with KBR, an engineering and construction company hired by the Defense Department to provide services in Iraq.

When the platoon reached the plant, they found it in disarray and coated with orange-colored dust, he testified. Large bags of the dust had been ripped open, and frequent dust storms blew through the facility, he said.

At no time were the security guards offered protective clothing, masks or respirators, Powell said.

After a few weeks, several soldiers began getting lesions on their hands, arms, faces and nostrils.

"As a medic, I felt very concerned for the safety and health of persons exposed. I questioned one of the KBR workers, and he told me that his supervisors told him not to worry about it, that we were allergic to sand and dust," according to Powell.

When he went to a military doctor with his symptoms, the physician prescribed Motrin and Tylenol. Soon after, Powell began coughing up blood and was hospitalized. His face and lips were burned, and he could barely swallow, he said.

Powell left Iraq in April 2004, still suffering symptoms, he said. Doctors didn't know what it was. This year, he said, he received a letter from the West Virginia National Guard that said he and others may have been exposed to sodium dichromate. The medic said he's aware that research is being done.

Sodium dichromate is a poisonous red-orange crystalline compound.

Another witness, Stacy Pennington, cried in the hearing room as she described the agony her brother suffered before he died. Army Staff Sgt. Steven Ochs was 27 when he was deployed to Iraq in 2003, she said.

He was assigned at one point to Balad Air Base in northern Iraq, where there was a large burn pit: a junk pit where plastics, food, medical waste and, Pennington said, possibly even body parts were burned. The toxic smoke wafted over the area.

Dr. Bill Halperin, who heads a subcommittee of the Defense Health Board, an advisory committee to the Secretary of Defense, said in a presentation last year that before three incinerators were installed, the burn pit received as much as 500,000 pounds of waste a day.

After Ochs returned from his third Iraq tour, he was diagnosed with acute myeloid leukemia, his sister said. He spent 10 months at Duke University Hospital, where doctors, she said, told him that his aggressive form of the disease was "definitely chemically induced" by exposures to toxic materials in Iraq and Afghanistan, where Ochs also had served.

@highlight

NEW: National Guard medic testifies about exposure in Iraq

@highlight

Man tells Senate panel that his family was stationed at base when he was born

@highlight

He was diagnosed with breast cancer two years ago at age 39

@highlight

Family was exposed to chemicals in tap water during mother's pregnancy, he says