(CNN) -- Egyptian President Mohamed Morsy has won praise for his government's effort to bring about a cease-fire between Israel and Hamas, a delicate balancing act for the country's nation's first freely elected leader.

Egypt has been the go-between in many previous Israeli-Palestinian disputes. But while longtime Egyptian strongman Hosni Mubarak was hostile to Hamas, the Palestinian Islamist movement that rules Gaza, Morsy's Muslim Brotherhood is the group's political cousin. And although Morsy leads a population with deep historical sympathy for the Palestinians, he has pledged to maintain Egypt's peace treaty with Israel.

"He has clearly recognized Egypt's national interest here, and hopefully this can succeed and take hold," said George Mitchell, the former U.S. Senate majority leader and Obama administration Middle East envoy.

The truce was announced Wednesday evening in Cairo after eight days of fighting, and it appeared to be holding in its early hours.

Under Mubarak, the country's security forces had suppressed its own Islamists in the Muslim Brotherhood, even jailing Morsy at one point.

After eight days of violence and 150 deaths, a cease-fire

That has given Morsy and his government influence with Hamas that Mubarak, a product of Egypt's military establishment, never had, said Fawaz Gerges, a professor of international relations and Middle East analyst at the London School of Economics.

"Hamas listens to Mohamed Morsy," Gerges told CNN as the talks were still going on. "Hamas looks up to Egypt now, at this particular stage, and that is why Egypt has emerged as the most important state vis-a-vis Hamas and Gaza." Egypt's role in the talks was "pivotal," he said.

Morsy has used his intelligence chief, Mohammed Shehata, to spearhead separate talks between Israel and Hamas. Shehata played a major role in the release of Gilad Shalit, the Israeli soldier held captive by Hamas for more than five years, and has good contacts with Israeli intelligence officials.

Opinion: Real peace coming from this cease-fire?

Israeli government spokesman Mark Regev told CNN that the deal announced Wednesday "offers a future where we can have peace and quiet in the south. That's good for Israelis; it's also good for Gazans."

And the exiled political leader of Hamas, Khaled Meshaal, told reporters after the agreement that Egypt "behaved responsibly."

"Egypt did not sell out the resistance," Meshaal said.

Morsy took office at the end of June, nearly a year and a half after the revolt that toppled Mubarak.

The U.S.-educated engineer quickly rattled Western nerves by announcing he would work to free Sheikh Omar Abdel-Rahman, now serving a life sentence in the United States in a conspiracy case related to the 1993 World Trade Center bombing; and by attending the August summit of the Non-Aligned Movement, held in Iran, the first visit by an Egyptian leader since the Islamic revolution in 1979.

But he also took a swing at Iran's ally Syria during that conference, calling the embattled government of President Bashar al-Assad "an oppressive regime that has lost its legitimacy" and calling for support for opposition groups trying to overthrow him.

Opinion: How this could be the last Gaza war

When sniping across the border separating Gaza from Israel erupted into open warfare last week, Morsy put the blame squarely on Israel.

Egypt recalled its ambassador to Israel. Morsy also called the Israeli bombardment of the territory "a blatant aggression against humanity" and dispatched his prime minister, Hesham Kandil, to Gaza for talks with Palestinian officials, a step Mubarak would have been unlikely to take.

That put Egypt at odds with the United States, which contributes about $1.3 billion in military and economic aid to Cairo every year. U.S. and several European leaders have put most of the blame for the current crisis on Hamas, saying Israel has a right to protect itself from rockets fired by Palestinian militants.

Egypt needs Western support to help revive its economy, which went into a tailspin when the uprising against Mubarak broke out in January 2011. And its 1979 Camp David accords with Israel remain the cornerstone of what peace has been achieved in the turbulent region.

Obama's telephone diplomacy

Morsy faces pressure from the Egyptian public to take a tougher line against Israel. An April 2011 poll by the Pew Global Research Project found that 54% of Egyptians want to abandon the Egypt-Israel peace treaty, while 36% want to keep it in place.

When the latest fighting erupted between Hamas and Israel, Egyptian Cabinet chief Mohamed Refa'a al-Tahtawi said Egypt would continue to observe that pact. But he added, "Respecting a peace treaty does not mean to stay idle or indifferent to what is going on along our borders."

The Egyptian government this week allowed some victims of the fighting in Gaza to enter through the Rafah crossing into Egypt, as well as the elderly and children. Though the Rafah crossing still has restricted access, a policy continued from Mubarak's rule, that access has been tightened or loosened since Morsy took office, depending on the local security conditions.

This week, the Egyptian government allowed more than 500 Egyptians to cross into Gaza in a show of solidarity with the Palestinians, waving Palestinian flags and chanting, "Israel is the enemy." Rami Shaath, who helped organize the effort, told CNN, "We just broke the siege."

Violence flares in Cairo

But that border is also a sign of a deteriorating security situation within Egypt, where much of Mubarak's feared apparatus has been dismantled since his ouster. More than 500 top officers of Mubarak's State Security Investigations have retired or been sacked, and militant groups have found space in places such as the sparsely populated Sinai Peninsula, where they have received shipments of weapons from Libya and elsewhere.

In one attack on a military outpost in Sinai in July, militant Islamists killed 16 Egyptian soldiers. Morsy's government responded with a campaign aimed at driving them out of the region, accompanied by the firing of the region's governor, military police chief and intelligence director.

Always an undergoverned area with scant respect for the state, Sinai is dominated by Bedouin tribes who are also accomplished smugglers.

Nevertheless, Mitchell said Morsy's government "has invested a lot of effort and in a sense prestige in this. So I think they will be trying very hard to make certain this that this cease-fire does hold, at least for a sufficient period of time so that the parties can discuss the broader issues."

"I think it will only redound to his benefit, both domestically and around the world," Mitchell added. "But in the end, his success or failure will rest upon how well the people of Egypt feel their interests have been met in terms of the need for jobs, for education -- the same things that people want everywhere in the world."

CNN's Matt Smith and Tim Lister in Atlanta and journalist Mohamed Fadel Fahmy in Cairo contributed to this report.

@highlight

NEW: Mohamed Morsy "clearly recognized Egypt's national interest," George Mitchell says

@highlight

NEW: Egypt "behaved responsibly" in talks, Hamas leader says

@highlight

Brokering the cease-fire was a delicate balancing act for Egypt's recently elected leader

@highlight

"Hamas listens to Mohamed Morsy," one analyst says