(CNN) -- A few years ago, Brian Daniel was driving around Los Angeles when he spotted a neon sign for a random storage facility. The red stick figures carrying yellow boxes glowed from the mundane building. It was like it was screaming out to him.

Daniel loved how a sign could go from ordinary and unremarkable during the day to "talking to you" at night. L.A.'s neon won over the frequent traveler, who has concluded the City of Angels has the best neon anywhere.

"They have just enough peppered through the city where it just comes alive," said Daniel, a Chicago-based headhunter. "I was so compelled by it that for two weeks I just drove around and took pictures of neon signs."

What's disappointing for enthusiasts like Daniel is that neon is dying. Businesses are switching to cheaper, more energy-efficient LED bulbs and municipal planning boards are zoning out neon to decrease the number of unsightly displays.

"Neon spent most of its career in this country more hated than loved in terms of being banned and put under zoning ordinances," said neon historian Thomas Rinaldi. "It's an iconic part of the 20th century, but it's been legislated out of existence in some places. There's a vindictive attitude toward it."

Neon lights weren't always losing ground. They were once in LED's shoes, beating out an old mode of lighting.

In 1902, just a few years after neon gas was discovered by British chemists, French engineer Georges Claude sent it coursing through electrified glass tubes, creating neon lighting. The new type of light quickly ousted incandescent bulbs, the former favorite of sign-makers.

Claude started marketing neon signs in Europe and in the early 1920s came to America, where neon's popularity exploded, said Rinaldi.

In the 1930s, neon was everywhere in America. In the beginning of the decade, shops saw the glowing lights as a novelty, though an expensive one, to keep them competitive. They were installed for big corporate chain retailers like car dealers. But by the end of the decade, big businesses had found cheaper alternatives.

At that point, neon became associated with less desirable businesses, Rinaldi said. Think seedy hotels and sex shops.

Despite the connotation, neon continued to be a "powerhouse industry" from the '40s through the '60s, but began a steady decline in the 1970s as even small businesses found cheaper ways to advertise. Some cities came to view the lighting as tacky and overly commercial.

Not many people would know now, but Vancouver was covered in neon until it became vilified. People said the signs were garish and distracted from the city's natural beauty.

"They're outsized, outlandish, and outrageous. They're desecrating our buildings, cluttering our streets, and -- this is the final indignity -- blocking our view of some of the greatest scenery in the world," Vancouver Sun columnist Tom Ardies wrote in 1966, as quoted in a 2011 Sun article.

It wasn't just Vancouver turning off the neon. The Big Apple went from tens of thousands of signs in the '70s to just a few hundred across the five boroughs today, said Rinaldi, author of "New York Neon."

Across the United States, the use of neon signs saw another sharp dip in the late 2000s, according to a survey by trade magazine Signs of the Times. Signs were illuminated by 33% neon and 23% LEDs in 2007, but the tables had turned by 2010. By then LEDs more than doubled the use of neon, 40% to 18%.

In the last few years, even Hong Kong, with its rows of iconic neon-lit streets, has started to turn to LEDs.

Despite its commercial decline, neon has still enjoyed periods of popularity as an art form, experts say.

"It's that color, it's that light," said Kim Koga, an artist who started working with neon in the late '80s, and is now the director of the Neon Art Museum in Los Angeles. "It's kind of magical, even though it's a mixture of a chemistry project and magic."

For Houston native and long-time neon fan Randall Brelsford, the lighting is a message from another time.

"I always loved neon because it was a representation of the future from the people of the past," he said. "There's something that's just so romantic about dark and neon. It can be really sleazy or it can be really romantic. It's a really adaptive light."

Preserving neon and making people aware of it has become the mission of the Neon Art Museum, as well as the other big museum in the U.S., the Neon Museum in Las Vegas. The Los Angeles museum started in the '80s, as signs were coming down around the city. Koga knows the museum can't possibly fit all the neon signs it saves, but collectors and enthusiasts have helped take in some of the larger signs.

"Making people aware of its unique history in America and the value of it has turned things around in L.A.," she said. "There are enough examples that have awakened developers to the value of neon signs on their buildings. Now they want to put a neon sign on their buildings to give it that look."

@highlight

Neon lights are fading as cities ban signs and switch to cheaper LEDs

@highlight

New York, Vancouver and Hong Kong are examples of where neon is disappearing quickly

@highlight

Neon's heyday in America was in the 1930s

@highlight

Have a favorite neon sign we missed? Share your photos with CNN iReport