Washington (CNN) -- It was supposed to be a week focused on domestic issues to bolster the chances of Democrats in November midterms.

President Barack Obama wanted to drive down a virtual highway, talk about rebuilding infrastructure while standing in front of a bridge, and otherwise push his proposals to build middle class opportunity -- all rejected so far by Republicans.

Instead, violence erupting in the sky over Ukraine and on the ground in the Middle East set the agenda.

On three straight days, Obama ended up in front of reporters for previously unscheduled statements on the volatile developments halfway around the world that obscured the planned White House messaging.

Such buffeting by world events adds to a perception driven by Obama's critics that he lags behind foreign policy issues instead of getting out front.

"There is a sense that this White House is being driven by events as opposed to sort of driving its own agenda," noted CNN political analyst and Politico reporter Maggie Haberman.

Toss in the immigration crisis along the southern border, with tens of thousands of unaccompanied children overwhelming available facilities, and "it adds to a sense that Obama is sort of adrift in an out-of-control world," Haberman said.

Facing a low approval rating in polls and the possibility of losing control of the Senate to Republicans in November, the White House has tried to focus on an Obama staple -- the struggle of everyday Americans to get by.

In recent weeks, the President has shared burgers in Virginia, sipped beer and shot pool in Colorado, and munched on Texas barbecue to demonstrate his connection to working Americans.

Gaza crisis boils over

The past week offered similar opportunities.

On Tuesday, Obama tested out a car simulator in McLean, Virginia, and used the occasion to criticize his GOP foes.

"Republicans in Congress keep blocking or voting down some of the ideas that would have the biggest impact on middle-class and working families," Obama said at the research facility.

Meanwhile, the Middle East crisis reached a boiling point with mounting violence between Israel and Palestinians in Gaza.

Wednesday, he called for meetings on domestic policy issues, but then Secretary of State John Kerry came to the White House after returning from China, Afghanistan and the Iran nuclear talks in Vienna.

Late in the day, Obama announced a new set of economic sanctions against Russian banks, energy companies, defense companies and some officials due to the administration's contention Moscow has failed to take steps to end the Ukraine conflict.

No domestic issues came up.

"I've repeatedly made it clear that Russia must halt the flow of weapons and fighters across the border into Ukraine; that Russia must urge separatists to release their hostages and support a cease-fire; that Russia needs to pursue internationally mediated talks and agree to meaningful monitors on the border," Obama told reporters in the White House briefing room.

Obama also discussed a recount of votes in the Afghanistan presidential election, the nuclear negotiations with Iran and the collapse of a cease-fire between Israel and Hamas.

Ukraine tragedy upstages infrastructure event

Thursday was little different.

Obama traveled to Wilmington, Delaware, for remarks on infrastructure funding, followed by a trip to New York for Democratic fund-raising events.

Again, a development abroad dominated the focus -- reports from Ukraine of a Malaysia Air jetliner apparently shot down by a surface-to-air missile, killing all 298 people aboard.

With images of burning debris on TV screens across the nation, Obama started his remarks in Delaware with a reference to what happened.

"The world is watching reports of a downed passenger jet near the Russia-Ukraine border. And it looks like it may be a terrible tragedy," he said.

"Right now, we're working to determine whether there were American citizens on board," he added, before getting back to creating jobs to help the middle class.

Meanwhile, Vice President Joe Biden explained why he was late to speak to a class of African-American women enrolled in a technology training course in Detroit: He was on the phone with Ukrainian President Petro Poroshenko talking about the plane "blown out of the sky."

When Obama flew to New York that evening on Air Force One, he spoke with Poroshenko and Prime Minister Najib Razak of Malaysia. Later he would also talk with Dutch Prime Minister Mark Rutte and Kerry.

Before arriving back in Washington late that night, Obama also spoke with his national security team and was briefed on the latest efforts to support an investigation into the air disaster.

Friday morning, after meeting with members of his Cabinet, Obama again appeared in the White House briefing room to state what many suspected -- the United States believed that the plane was downed by a missile shot from an area of Ukraine controlled by Russian-backed rebels.

"This was a global tragedy," he said. "An Asian airliner was destroyed in European skies, filled with citizens from many countries. So there has to be a credible international investigation into what happened."

He also said he spoke with Israeli Prime Minister Benjamin Netanyahu about the worsening violence and Israel's ground invasion of Gaza.

Minutes later, Obama got back to his domestic agenda, stopping by the first lady's "state dinner" for kids who created winning healthy lunch recipes.

He told the audience how much he loved the event, and rather than having to focus on bloodshed around the world, he described how he loses his mind over a good bowl of chips and guacamole.

Jet downing a 'game-changer' in world relations with Russia

@highlight

President Obama has been pushing infrastructure repair in pitch to middle class

@highlight

Events around the world overshadowed the President's message this week

@highlight

Obama faces decisions on response to airliner shoot-down

@highlight

President has expressed support for Israeli operations in Gaza