The first thing to remember about federal government shutdowns is that they do not matter very much.

History does not now recall the three Democrat-led shutdowns during the Carter administration over using Medicaid dollars to fund abortions, even though their combined 28 days will almost certainly dwarf the Great Impasse of October 2013.

Even the most famous modern shutdown, the 21-day Newt Gingrich/Bill Clinton standoff of 1995-96, had effects that were felt most acutely by comparatively well-off federal workers, not their taxpayer bosses.

A recent Congressional Research Service summary of that event included among its headline impacts stuff like "National Institute of Standards and Technology was unable to issue a new standard for lights and lamps that was scheduled to be effective January 1, 1996, possibly resulting in delayed product delivery and lost sales." Probably the worst thing back then was that passports for Americans and visas for foreigners went unprocessed for three weeks, taking a temporary bite out of the tourism industry.

So when President Barack Obama says the shutdown will "throw a wrench into the gears of our economy" and put "the American people's hard-earned progress at risk," it is appropriate to treat such claims with skepticism. As we saw during the run-up to the March 1 sequestration trims in federal spending, politicians are incentivized by self-interest and unconstrained by shame in maximizing the hyperbole about what may happen if their ability to collect and redistribute our money is impeded even a little bit.

None of this, however, means that the shutdown is good politics. On that score, all recent public opinion research is unanimous: It isn't. As a Quinnipiac University poll released Tuesday concluded, "American voters oppose 72-22% Congress shutting down the federal government to block implementation of the Affordable Care Act, or Obamacare."

All summer and early fall, Republicans have played a good political hand badly. Americans don't like federal spending levels, don't like increasing the debt ceiling  unaccompanied by spending cuts, are souring on President Obama and continue to be lukewarm at best toward his signature legislative accomplishment.

This would suggest broad political support for keeping day-to-day federal spending levels (at most) as is, attaching some cuts to the inevitable debt-ceiling increase, and using the October 1 rollout of the Affordable Care Act as a teaching moment toward crafting policy and politics for legislative reform and eventually replacing it.

Instead of focusing on those popular means to achievable ends, Republicans spent this political season attempting a Hail Mary pass with a broken throwing arm. Trying to defund Obamacare through deadline negotiations in the House of Representatives is not only massively unpopular, but—even according to some of the most influential backers of the project—probably doomed from the start.

It appears unlikely at this writing that our latest government shutdown will end with much more than a relatively insignificant medical-device tax tweak to go along with yet another budgetary can-kicking exercise. By that time, it is plausible to assume, public opinion toward Republican negotiators will have further eroded, making it harder to get debt-ceiling concessions. Everyone, everywhere, will declare the whole sorry episode bad for America.

But is it really? Despite the soul-killing grotesqueness of divided-government brinkmanship, there are some potential upsides even to this dreary saga, particularly for those of us who prefer our government limited.

For starters, closing down Washington provides one of the only occasions to have a national discussion of what is and is not "essential" government work. At a time when entitlements, pensions and debt service will be swallowing ever-larger slices of the budgetary pie at all levels of government for as far as the eye can see, this is an exercise we'll all soon have to master.

Shutdown politics from 2011 and earlier this year also produced something many people thought they'd never see: a year-over-year trim in Defense Department spending signed onto by the Republican Party. As Sen. Rand Paul, R-Kentucky, has observed, you cannot hope to limit the size of government if you do not also find some military spending to cut. Sequestration was the first in what will have to be many more such steps.

Even the maddening and deeply irresponsible budgetary governance by continuing resolution has produced a desirable result through undesirable means: an effective flat-lining of government spending. (Or as The Cato Institute's Daniel J. Mitchell puts it, "the federal government in the past two years has been wasting money at a slower rate.")

So, you don't have to squint too hard to see some positive side-benefits of D.C. dysfunction. But that doesn't make it any less desultory.

This year, for the first time since 2009, both the Senate and the House of Representatives fulfilled their legal requirement in passing an annual budget. It's long since time to supplement this minimal stab at responsibility with the legislative next step: a conference committee to hash out a compromise for consideration from the president.

If our federal government must careen from crisis to crisis, the least it can do is push the deadlines out to every 12 months. There are too many actually interesting things going on in this country to waste our energy watching professional hucksters argue over our money.

@highlight

Matt Welch: Government shutdowns haven't mattered much in past, nor will this one

@highlight

He says it's been bad politics for GOP, which played a good political hand badly

@highlight

He says GOP spent energy on Obamacare instead of focusing on spending issues

@highlight

Welch: But shutdown does open welcome discussion on what's "essential" spending.