(CNN) -- They're still massively undeveloped compared to their Thai neighbors, but Cambodia's islands are starting to get the attention they deserve.

Whether you're looking for an all-night party or an underwater adventure among pristine coral reefs, Cambodia's got an island for all types and all budgets.

Here are seven of the best.

Best island for partying: Koh Rong

Not too long ago Koh Rong's only tourist amenities were a handful of bungalows besides miles of dense jungle and gorgeous white sand beaches.

There's still amazing hiking and trekking on the island in the parts of the jungle that loggers haven't destroyed, but in the last few years dozens of cheap accommodations have been built and the place has become a backpacker Shangri-La.

Though Koh Rong remains surprisingly undeveloped, at least by Thai island standards, its business owners are notoriously party-friendly, bringing in generators to keep the music going until the wee hours and offering live DJs and free-beer happy hours.

A 24-hour bar and a permissive attitude towards ganja have made the island a go-to spot for sun burnt travelers who want to bake on the beach by day and get toasted by night.

Getting there: High-speed ferries run from Sihanoukville (Speed Ferry Cambodia, Serendipity Beach Road, Sihanoukville, +855 34 934 744), which takes 50 minutes from shore and costs $15 return.

In terms of accommodation, Vagabonds (+855 15 662 437, kohrongvagabonds@gmail.com) caters to the party set while Monkey Island (+855 81 830 991) and Paradise Bungalows (+855 92 548 883) are a quieter option.

Best island for relaxing: Koh Rong Sanloem

Koh Rong Sanloem has long been a favorite of expats in Phnom Penh, who head to the quiet island for weekends at Lazy Beach, once the only accommodation option here.

More recently, a dozen new places have sprung up on the opposite side of the island, Saracen Bay -- a heart-shaped inlet with calm turquoise surf and beautiful beaches.

Fortunately the new businesses are determined to avoid the mistakes made on some of the neighboring islands and are promoting low-impact, sustainable tourism.

The result is clean white sand beaches that visitors can have nearly all to themselves.

There's not much to do on the island, but that's the point.

Days can be spent paddle-boarding, snorkeling or relaxing under a palm tree with a good book.

Getting there: From Sihanoukville, many of the Speed Ferry Cambodia ferries to Koh Rong also stop at Koh Rong Sanloem for $20 return. Accommodation options include Paradise Villas (+855 92 548 883), Saracen Bay Resort (+855 16 997 047) and Lazy Beach (+855 016 214 211).

More: 12 stylish boutique hotels in Cambodia

Best island for luxury: Song Saa

The nickname of these two small private islands means "sweethearts" in Khmer. Fitting, as you'd have to be pretty sweet on someone to take them there, with villa prices topping $3,000 per night.

The 27-room resort offers Cambodia's most exclusive island experience, starting with the bottle of champagne awaiting you at check-in.

The champagne's included in the price and so is just about everything else, from the transfers from shore and the gourmet meals made from locally-sourced foods to the well-stocked mini-bar and free international calls from your villa.

Even better, Song Saa is a model for sustainable development in Cambodia.

The resort is helping the local community develop education and waste management programs and has embarked on several conservation efforts, including a marine reserve covering 50,000 square meters around the islands.

Getting there: There are twice-daily speedboats to Song Saa (+855 236 860 360) from the Sihanoukville port that are free for guests, or private boats can be organized for $660 or helicopter for $1,320.

Best island for nature watching: Koh Thmei

Located inside Ream National Park, Koh Thmei is home to monkeys, civets, lizards, more than 100 different species of birds and several threatened species, including the fishing cat, a wetland feline than makes its home near streams and mangrove forests.

The island has only one place to stay, Koh Thmei Resort, and the term "resort" is used loosely: it's little more than nine simple wooden bungalows, but it's eco-friendly and solar powered.

Guests can hike, bird watch, snorkel or take the two-person sea kayak out for a spin.

The resort is even raising ponies that children can ride.

There are nearby deserted beaches to visit with occasional views of dolphins swimming along the coast.

Getting there: A taxi to Koh Kchhang, the fishing village closest to the island, from Phnom Penh costs $60, or $22 from Sihanoukville. Koh Thmei Resort (+855 97 737 0400) can organize a boat from Koh Kchhang for $12.50.

Best island for meeting the green fairy: Koh Ta Kiev

The secluded beaches of Koh Ta Kiev are probably the last place you'd expect to find an absinthe bar, let alone a distillery.

Yet this is where you'll find Syn Absinthe, a one-man operation that makes five types of hand-crafted, small-batch absinthe.

Visitors can take a distillery tour that covers the entire process, from the wormwood that gives absinthe its reputed psychoactive properties to fermentation and bottling, plus the history of the oft-forbidden beverage.

Tours end with a tasting that's served the traditional way, with a live flame, caramelized sugar and cold water.

It's possible to visit the island just for the afternoon, but the gorgeous beaches also demand a couple of days' attention, as does the coconut bowling.

Those who want to stay overnight can lodge in one of Ten103 Treehouse Bay's tree-top bungalows next to the distillery, but it's best to book in advance.

Getting there: Syn Absinthe will be offering a daily boat, The Green Ferry, to the island specifically for tours the coming high season. (Syn Absinthe, +855 97 569 7614) Currently, there is a daily boat to Ten103 Treehouse Bay (+855 88 5044192) from Sihanoukville for $6.50 each way, or private day boats can be booked at local travel agencies, including Best Beach Travel (+855 15 678 924).

Best island for diving: Koh Tang

Located about five hours from the mainland, Koh Tang was the site of a 1975 clash between U.S. forces and the Khmer Rouge, the last official battle of the Vietnam War.

It's now uninhabited save for a small outpost of Cambodian military personnel, resulting in clear coastal waters with excellent visibility and undisturbed marine life, making it and nearby Koh Prins the perfect islands for diving.

The island's eight popular diving sites offer coral reefs and a wealth of underwater creatures, including fantastically colored nudibranches, poisonous pufferfish and dazzling stingrays with electric blue spots.

Getting there: Overnight diving trips can be booked to Koh Tang from Sihanoukville with Scuba Nation (+855 34 933 700) or The Dive Shop (+855 34 933 664).

Best island for unplugging: Koh Totang

Koh Totang is the island of choice for those who want to totally disconnect from their regular life and do some serious beachcombing.

The stunning island has just one place to stay, Nomad's Land, which has only five bungalows.

Visitors will be forced to take a much-needed break from email because there's no Internet on Koh Totang. But because the bungalows are solar powered they don't have any noisy generators, either.

Showers use saved rainwater, produce is grown in the permaculture garden and there's not much on the agenda other than lying in a hammock, enjoying the view and banishing all thought of life at home.

Getting there: From Phnom Penh or Sihanoukville a taxi to Poi Yopon, the fishing village on the mainland, costs $100, or there's a bus from Phnom Penh or Sihanoukville to Andoung Teuk and then a local minibus from there. Nomad's Land (+855 11 916 171) will pick guests up by boat at Poi Yopon.

Lina Goldberg is an American writer based in Siem Reap, Cambodia, and the author of "Move to Cambodia: A guide to living and working in the Kingdom of Wonder."

@highlight

Cambodia's largely undeveloped islands feature white sands and turquoise waters

@highlight

Party hunters will want to head to Koh Rong, luxury seekers to Song Saa

@highlight

The island of Koh Ta Kiev has its own absinthe distillery