Naypyidaw, Myanmar (CNN) -- Around seven years ago, a sparse tract of land north of the cluttered chaos of Yangon was anointed Myanmar's new capital by the country's former military leaders.

Buildings were hastily erected in the new city of Naypyidaw to cater to an influx of arrivals, and later dozens of hotels moved in to meet demand for foreign visitors. These hotels sit one after the other on the sides of an eight-lane highway lined with newly planted trees.

They are all but full this week as more than 900 guests bed down for two days of talks around the typically wordy World Economic Forum theme of "Courageous Transformation for Inclusion and Integration."

Two years ago, the world watched with a mixture of skepticism and awe as President Thein Sein took office and set about unraveling decades of oppressive military rule.

On Tuesday in a national radio address, the Burmese president took another step forward by announcing the imminent release of all political prisoners.

Since taking power in 2010, Thein Sein has freed dozens of prisoners of conscience, but activists have been pushing for the release of around 200 more.

According to state run newspaper, the New Light of Myanmar, Thein Sein said the prisoner release scheme was executed "with the sheer intention of forging national reconciliation," adding that political gain was not the government's motive.

Thein Sein's efforts to rectify the wrongs of the past have scored him political points with foreign leaders and investors, however not all locals are convinced that the country's transformation is doing anything for them.

Early Tuesday morning in the busy Bogalay Market in downtown Yangon, traders told CNN that they had seen little change.

Change in Myanmar: The market view

Win Shwe stood in a long coat at the market entrance, raising his hand every now and then as if to bless passersby. The 72-year-old was begging for a note or two of the local currency, the kyat. The typically dirty, crumpled notes are worth about 940 to one U.S. dollar. Two hundred kyat gets you a ride on a crowded bus. More buys a decent meal.

"This is a transformation time. But for poor people, nothing's changed. The government mechanism is corruption," he said, dropping his hand rolled cigarette onto the floor.

Nearby, Khin Than Win, 52, sits with her daughter Yin Yin Htay at their flower stall. "I agree that this is a transformation time," she says. "But I see that the streets and the roads are wider than before. That's the only change."

Thein Sein said Tuesday that the country's transition from military rule to democracy will take time.

"As the task is huge, there have been tangible changes rather than vivid changes. When there are vivid changes, our national economy will make progress with momentum," he said.

There are fears though that any progress in the national economy hinges on the country's ability to dampen ethnic tensions that have recently flared in northern parts of the country.

At least 50 people have been arrested after rioting in Lashio, which erupted last week after a Buddhist woman was allegedly doused in petrol and set alight, according to the Myanmar Times.

A mosque, Islamic school and hundreds of houses and businesses owned by Muslims were torched before the government imposed martial law and sent in troops.

It follows the murder of Muslim children and teachers in Meiktila by an angry mob in March.

The government has achieved some success in negotiating peace with ethnic rebels around the country, most recently signing a seven-point agreement in Kachin State, but the religious violence is relatively new and poses additional problems for the country's leaders.

On Thursday, Thein Sein officially opened the World Economic Forum in Naypyidaw to an audience eager for assurance that problems can be resolved.

Myanmar is due to assume the chairmanship of the Association of Southeast Nations (ASEAN) next year, giving it once more a leading role in the region after decades in the dark.

Over the past two years, most sanctions have slowly lifted and the shroud of fear that kept locals from talking has slipped away.

Money has poured in as foreign investors spied the rare opportunity to enter a market long deprived of choice and, in many cases, basic public services.

This week, U.S. beverage giant Coca-Cola made its move, opening a bottling plant to meet demand with a local source almost 60 years after it pulled out.

"This is a market of 60 plus million consumers just embarking on a journey to join the world community if you like. In a way the same excitement when we saw the Berlin Wall came down," CEO Muhtar Kent told CNN.

Excitement over the possibility of new growth is being tempered by very real concerns as the country works to repair years of neglect, cronyism and the deep mistrust of its people.

@highlight

Two years ago, Myanmar started unraveling decades of military rule

@highlight

President Thein Sein vows to free all political prisoners

@highlight

Despite reforms, locals are not convinced of change