On their own, they're simple household items.

Pressure cookers. Nails. Nylon bags.

But combine them with explosives, and you can get the kind of bombs that investigators now suspect were used to turn the finish line of the Boston Marathon into a bloody nightmare.

Scraps of them found at the scene of the twin bombings are being sent to the FBI's national laboratory, where technicians will try to reconstruct the devices, the federal agent leading the investigation said Tuesday. Meanwhile, investigators combed through a digital mountain of photos and video clips and asked the public for help finding who planted them at two points on Boylston Street.

"Someone knows who did this," said Rick DesLauriers, the special agent in charge of the FBI's Boston office. "Cooperation from the community will play a crucial role in this investigation."

DesLauriers asked people to report anyone who talked about targeting Monday's race or showed interest in explosives. He urged anyone who might have heard the sounds of explosions in remote areas -- possibly by someone testing a bomb -- or saw someone carrying "an unusually heavy, dark-colored bag" around Monday to come forward.

'Boston will overcome,' mayor vows

There has been no claim of responsibility, DesLauriers said. "The range of suspects and motives remains wide open," he said.

The U.S. government has warned federal agencies in the past that pressure cookers -- airtight pots used to quickly cook or preserve foods -- have been packed with explosives and shrapnel and detonated with blasting camps. A law enforcement official said Monday's bombs were likely detonated by timers.

Photos obtained by CNN showed the remains of a pressure cooker found at the scene, along with a shredded black backpack and what appear to be metal pellets or ball bearings. A federal law enforcement source told CNN the photos were included in a bulletin sent to federal law enforcement agencies.

The pieces recovered so far suggest the devices, which were identical, could carry 6 liters (1.5 gallons) of liquid apiece, a Boston law enforcement source said. The parts found include a partial circuit board, which would be used to detonate a device.

'Very effective' bombs

Pressure cooker bombs can be "very effective," terrorism expert Jeff Beatty told CNN.  Taliban and al Qaeda militants "use them to make their IEDs," he said.

"That doesn't mean it was the Taliban -- other people can read about this," said Beatty, who served in the FBI, CIA and the military's Delta Force.

But so far, investigators have found no foreign or al Qaeda connection to the bombings, a U.S. official told CNN. And Sen. Saxby Chambliss, the ranking Republican on the Senate Intelligence Committee, told reporters in Washington that some of the facts suggest the carnage had its roots in American soil.

"There are a lot of things that are surrounding this that would give an indication that it may have been a domestic terrorist, but that just can't be assumed," Chambliss said.

We've been hit before on home soil

Homeland Security Secretary Janet Napolitano said the bombings don't appear to be harbingers of "a broader plot." But she urged Americans "to remain vigilant and immediately report any signs of suspicious activity to local law enforcement officials."

And members of Congress who were briefed by Obama administration officials on told reporters that the field of possible suspects remains wide open.

"We really don't know if it's a foreign or domestic threat," said Rep. Michael McCaul, R-Texas, chairman of the House Homeland Security Commitee. "We don't know whether this was a homegrown terrorist or part of a wider conspiracy."

Director of National Intelligence James Clapper held closed-door talks with the Senate Intelligence Committee on Tuesday. Chambliss,R-Georgia, told reporters afterward that "there's not a whole lot of update to give."

What we know about the bombings so far

"This is a very fluid investigation. The FBI's in the lead, and I personally know the special agent in charge. He's one of the best," Chambliss said.

Late Monday, authorities searched the apartment of a young Saudi man who was among the wounded at the race.  He was found to have no connection to the attack.

"He was just at the wrong place at the wrong time," the U.S. official said.

A Saudi woman, a medical student who was also injured in the blast, has also been interviewed by investigators, according to a law enforcement source.

Boston's 'most complex crime scene' ever

Investigators are combing what Boston Police Commissioner Ed Davis called "the most complex crime scene that we've dealt with in the history of our department." The cordoned off area has been reduced from 15 blocks to 12 and will be reduced further in coming days, he said.

Even the smallest bits of debris could help indicate the bombs' "signature," said a federal law enforcement official who works in the intelligence community. The explosives themselves were small, and initial tests showed no C-4 or other high-grade explosive material -- suggesting the packages used in the attack were crude devices.

How you can help

Based on the bombs' effects, the devices could have been small enough to be concealed in small bags or boxes, a law enforcement official said.  The smoke was consistent with a "low-velocity improvised explosive mixture, perhaps flash powder or sugar chlorate mixture," the official said.

Two photos obtained by CNN affiliate WHDH might raise more questions. The first shows a light-colored bag sitting on the ground next to a mailbox. The second -- of the same spot -- shows a blast seemingly where that bag sat, with the mailbox still upright. Investigators have not commented on these photos, which WHDH reports it has shared with authorities.

When the pieces that have been recovered are sent to the FBI laboratory in Quantico, Virginia, investigators will try to better understand how they worked and look for clues like fingerprints, DNA or serial numbers to help track who planted them, the Boston law enforcement source said.

Authorities haven't given any timetable as to when they expect significantly new details. But DesLauriers vowed Tuesday that the more than 1,000 law enforcement officers from more than 30 agencies will get results, even if they have to go "to the ends of the Earth" to get them.

"Our mission is clear: to bring to justice those responsible," he said. "The American public wants answers. The citizens of the city of Boston and the Commonwealth of Massachusetts want and deserve answers."

Boston heroes: Running to help

Authorities have begun to search through huge amounts of video and images from surveillance cameras in the area near the attack.  So far, no footage has been spotted showing someone placing the bombs, a law enforcement source said.

Authorities have asked anyone with images from any part of the marathon to share them with police.

"People don't know that they were witnesses -- that they might actually have evidence in their phones or in their cameras," Juliette Kayyem, President Obama's former assistant secretary for homeland security, said on CNN's "Starting Point."

Davis vowed authorities will sift "through every frame of every video."

The FBI is likely issuing subpoenas for records from cell towers in the area to isolate and trace calls from around Copley Square at the time of the blasts, according to a federal law enforcement official.

Doctors believe bombs contained sharp objects

Two doctors overseeing treatment of the injured believe the explosive devices contained nails or similar objects.

Many patients have severe wounds "related to the blast effect of the bomb as well as small metallic fragments that entered their body," including "pellets" and "nail-like objects," said Dr. George Velmahos, head of trauma care at Massachusetts General Hospital.

A variety of sharp objects were found inside the patients' bodies, he said, adding that the bombs probably contained multiple metallic fragments.

Asked whether what was found in the patients' bodies could have come from nearby objects that exploded in the blast, Velmahos said he believes the materials were likely part of the explosive devices.

Map of the explosion sites

Ron Walls, chair of emergency medicine at Brigham and Women's Hospital, said most patients there were wounded by "ordinary debris."  But three were injured by "perfectly round objects" that were "very uniform, consistent, metallic," he said.  And another patient had more than 12 carpenter-type nails.

"There is no question some of these objects were implanted in the device for the purpose of being exploded forward," Wall said.

No unexploded bombs

Suspicious packages that were detonated out of precaution after the bombings turned out not to be explosive devices after all.

After the blasts Monday, some officials reported that explosive devices that failed to go off were found.

But investigators said Tuesday the only bombs were the two that exploded at the marathon.

The intelligence community is poring through all threat reporting for any clues, U.S. counterterrorism officials told CNN.

That includes any claims made on jihadist websites. Nothing is being dismissed this early on, the officials said.

Bombing is the latest Patriots Day tragedy

@highlight

Remains of a pressure cooker found at scene, official says

@highlight

FBI technicians will attempt to reconstruct the Boston bombs

@highlight

Scraps of metal and black nylon were found at the scene

@highlight

"The range of suspects and motives remains wide open," FBI agent says