LONDON, England (CNN)  -- If you want to peer inside your DNA, there's no shortage of companies offering avenues for doing so these days.

A cheek swab or saliva sample is all firms need to scan your genes. But how much health-relevant information can they provide?

The opportunity to have your complete genome mapped was recently auctioned on eBay -- with the winning bidder shelling out a cool $68,000 in the auction, which ended Monday.

However, more cost-conscious consumers are more likely to send in a saliva sample to a company like Google-backed 23andMe, which will scan and analyze genetic information for about $400.

The costs and services these firms offer vary widely, but they're basically chasing the same market: the customer who is curious about what their genes can tell them about themselves.

Welcome to the world of personal genomics. A spate of firms -- from 23andMe and fellow Silicon Valley start-up Navigenics to Cambridge, Mass.-based Knome and Iceland's DeCode Genetics -- are vying to tap the growing interest in DNA analysis among individuals.

They're upbeat about the promise of this business, saying that consumers' ability to gauge how their genes influence risk for diseases like diabetes and cancer could revolutionize health care.

"The ability to treat disease is driven by the ability to assess risk. As knowledge builds up, it will increasingly become an unacceptable position not to have your genetic profile," says Kari Stefansson, chief executive of DeCode, one of the first firms to offer scans that allow individuals to examine their genomes.

But analysts and researchers are a bit more cautious. While there's plenty of potential for retail genomics, they say the budding market is still in its early stages.

Have you bought a retail DNA test? Share your story on iReport

Companies that offer personal DNA analysis have attracted the interest of individuals who are highly concerned with their health, as well as so-called early adopters who are enamored with new technologies.

But the outlook for business opportunities is still hazy, mostly because there isn't a full understanding of the benefit of these tests in terms of identifying how and why diseases occur in people, according to Jonathan Witonsky, a health care analyst at consulting firm Frost & Sullivan..

Just how much health-relevant information consumers can glean remains hotly debated in the research community. Studies suggest that common maladies like heart disease and diabetes may result from the variations of several genes, rather than the single variants that many retail gene tests scan for.

David Goldstein, head of the Center for Human Genome Variation at Duke University, believes that given the current knowledge of how genes influence disease, there is only a "recreational" use for retail tests.

Like many other researchers, he believes the odds identified by these tests can be so marginal that they have a weak effect on health when compared to lifestyle or environmental factors.

If someone wants to lower their risk for diabetes, for instance, they're better off exercising more and changing their diet than getting a retail gene test, Goldstein told CNN.

Consumer genomics firms agree there is still much to be discovered, but they say providing consumers with the knowledge that is available to them is better than none at all.

"It is an evolving science. To ignore the genetic markers that we currently understand would be complacency," says Vance Vanier, chief medical officer at Navigenics, which is backed by venture capital heavyweights Kleiner Perkins and Sequoia Capital.

Linda Avey, co-founder of 23andMe, says arming people with information may help them turn their attention to prevention. "We think making this data available to people will help people focus their behavior and lifestyle."

Companies are adjusting their services as new research becomes available, says Daniel MacArthur, a UK-based genetics researcher who follows the consumer genomics market on his blog, Genetic Future.

"Right now, the genome scans offered by companies like 23andMe focus on common genetic variants, and don't pick up most rare variants like Huntington's disease mutations," he said.

However, several companies are now beginning to add these rare, severe disease mutations into their tests, MacArthur said.

The market may also get a boost as costs for complete genome sequencing continue to drop. Privately funded Knome currently charges $99,500 to map a complete genome.

But many scientists foresee complete sequencing eventually falling to just $1,000. As it becomes more cost effective to conduct larger research studies, they anticipate discovering more medically relevant information.

Being able to identify ahead of time whether you're at risk of disease is something that can be beneficial going forward," says Bill Buhr, an analyst at investment research firm Morningstar.

He expects sales of services for testing genetic make-up to hit $1 billion in three years. "As the technology gets better, this potentially could be something more people get into," he said.

Although Buhr, who covers DeCode, one of the few firms in the space that's publicly listed, said the outlook for the Icelandic firm was bleak.

DeCode has been hit by the credit crisis, fueling chatter it's headed for bankruptcy. However Stefansson dismissed that speculation and told CNN the company expects to complete its restructuring by the end of May.

It's too early to say whether consumer genomics is going mainstream, 23andMe's Avey says. But there's no denying there's tremendous interest among consumers.

"It goes [back] to human nature. We're very curious about ourselves."

@highlight

Handful of firms from 23andMe to DeCode offer DNA tests to individuals

@highlight

But how much health-relevant information can be gleaned is hotly debated

@highlight

Consumer genomics market in early stages, but has potential, analysts say