(CNN) -- Video storytelling can be a very powerful thing. Moving images coupled with compelling sound can transport a viewer to a different place, inside the story. To achieve this level of storytelling you must be a technically sound shooter. Here are the basic tools and tips needed to become a great video storyteller.

Have a plan

Before you actually start shooting, be sure you have a game plan. Think about your subject and what kind of shots you need to best tell the story. Thinking ahead will help you avoid being overwhelmed when you start shooting. Also, be sure to think about your equipment ahead of time. Be sure to have enough charged batteries and spare memory. There's nothing worse than setting up a shoot only to realize you're out of juice.

Don't forget about composition

One thing that is easy to lose sight of during a fast-paced news gathering shoot is composition. This can result in bland, forgettable material. Thoughtful shot composition can really make your footage stand out.

Generally, it is boring to just center the subject of your shot, so instead, use the rule of thirds. Pretend your frame has evenly spaced lines running throughout it, two horizontally and two vertically. The points where the lines intersect are where you want to have the most important elements of the shot.

If your shot seems boring, try to get up high or down low. Presenting your viewer with an alternative to the shoulder/tripod-height view will help create a more dynamic shot.

And don't forget to be creative! Think about what angle a person would not normally see and see how it looks through your camera.

Have a focal point

Each shot should have something for the viewer to focus on or else the viewer will focus on nothing. Use the rule of thirds to decide where to put this focal point in your frame.

Capture action

It is very important to capture action in your shots, but don't get sucked into following every movement. Allow your subjects to move in and out of the frame, as this gives a much better sense of motion.

Get a variety of shots

Always make sure you have the following shots: wide shots to set the scene, medium to give context and to tell the basic story, and tight shots to give details that the viewer wouldn't normally see. Once you have a variety of shots of different scenes, you can start telling a cohesive visual story.

Stabilize EVERY shot

Train yourself to always use a tripod or monopod when shooting. Shaky footage can totally distract the view from an otherwise great shot. This takes discipline and tripods can be cumbersome, but your material will improve greatly if stabilized.

Limit camera moves

Zooms, pans and tilts. When done carefully and deliberately they can be OK, but most of they time they distract from what should be the focal point of the shot: the action.

Pay attention to light

Light is your friend. Beautiful light during the golden hour (first and last hour of sunlight during the day) will be warm and soft, shooting at that time of day will make footage pop. Be aware of light. You can use it to silhouette your subject or create a nice rim light effect. Also look out for low light situations and try to have an external source of light if possible.

Hold your shots

Try to hold your shots for at least five seconds, this will make life-in-edit much easier, and don't talk while holding these shots!

Don't forget about audio

Poor audio can kill video. Always use an external mic when possible. If you can't, be sure to find a very quiet place to conduct your interviews.

Use manual settings as much as possible

Yes, there are a lot of buttons and features on your camera. Learn them and use them! Manual controls are much more reliable and give you total control over your shots, more than any auto features your camera may have.

Practice, practice, practice

Like most things in life, the only way to become a better shooter is to practice. The more you shoot, the more comfortable you will become with your camera so you can focus less on camera settings and more on getting those perfect shots.

For more tips on capturing video, check out last year's boot camp piece on shooting video. Then show us your video skills in this week's boot camp challenge on capturing images. Submissions are due Tuesday, September 6, at noon ET.

Until then, if you have any questions, feel free to ask in the comments section, or join us for a round-table discussion of this iReport Boot Camp topic on Thursday, September 8.

@highlight

CNN's iReport Boot Camp challenges iReporters to improve storytelling chops

@highlight

CNN's Nick Scott shares his advice on capturing video

@highlight

Show us your video skills by September 6