Almost three years has elapsed since the ousting of the dictator Ben Ali from Tunisia, which triggered the commonly -- and wrongly -- labeled Arab Spring.

At that time Tunisians, full of high hopes and incited by the degradation of their living conditions, took to the streets and demonstrated peacefully for real change in their country. For us, it wasn't an Arab Spring but a Dignity Revolution.

Tunisians' demands were summarized in the most chanted slogan of that time: "Employment, freedom and dignity."

But how have things changed since then? Are there real efforts to bring democracy? Are we really experiencing a democratic transition?

After the departure of Zine el Abidine Ben Ali, the few months of revolutionary euphoria, and the succession of two transitional governments, we finally had, on October the 23, 2011, what was expected to be the first fair and transparent elections of a Constituent Assembly.

The elections were meant to choose representatives with a duty to draft a new Constitution within a year.

The Islamists, the Ennahdha Party, won about 40% of the seats in the Constituent Assembly. Two political parties joined the once outlawed Islamist group and formed the ruling Troika.

More than two years later, Tunisia does not have its new Constitution.

The majority of Tunisians seem unhappy with the performance of the ruling parties. And while Tunisia has avoided the bloodshed afflicting much of the Arab region, plans to revitalize the country have stalled.

Let's be methodical and go back to the slogan of the dignity revolution: "Employment, freedom and national dignity."

Economic misery, social frustration and political yearning were the main elements that led to the eruption of revolts.

The economic despair was central to the revolution, but today Tunisia is failing to deliver the jobs and opportunities people have been longing for. No one can deny that the economic situation in Tunisia is catastrophic.

Unemployment is on rise and the number of job opportunities are in decline. Insecurity is a major reason for this.

The atmosphere of uncertainty created by the ongoing arguments between the ruling Islamists and the secular opposition over the formation of a caretaker cabinet is tormenting investors, tourists and international lenders.

The assassination of two opposition leaders, explosion of several mines, killings of several soldiers and policemen in Mount Chaambi and suicide attack at a beach resort has made the situation worse.

The confusion is destabilizing the country, and has had a huge impact on the economy.

When we speak of freedom, human rights and dignity, the situation is no better. Individual freedoms and human rights are frequently violated.

Jabeur Majeri, the first Tunisian imprisoned for his opinion after Ben Ali was ousted, would be the best example.

Jabeur received a seven and a half year jail sentence for expressing his views on Facebook. His case is not unique; several journalists, bloggers, artists have been arrested and intimidated for their opinions.

Leaks about mistreatments, torture and sometimes death under torture are not rare. Human right defenders point to several cases of suspected deaths under torture.

In today's Tunisia you can be hassled, harassed, assaulted and even threatened of death if you dare to express your opinion as to the progressive Islamization of the country. If you are a woman you can face all this just for wearing "inappropriate" clothes or for going out at night.

Violent police attacks on peaceful demonstrations have been recorded many times, like was the case on April 9, 2012, when many people were beaten and severely injured for celebrating the memory of the martyrs.

As an activist I have certainly experienced intimidation under the regime of Ben Ali. But I have never received death threats and I didn't have to be under the close protection of the police as it is the case today.

All I am doing is expressing myself as I used to do. I am trying to comment on the situation as I see it and I am attempting to give voice to those who don't have one, so I can expose their problems and sufferings.

So can we continue to talk about dignity when people are jobless and human rights are violated? Can we talk about dignity when our mouths are muzzled?

After months of wrangling over Tunisia's future following the assassinations, within six months, of Chokri Belaid and Mohamed Brahmi --  the country's two dissident leaders -- political parties in Tunisia finally chose the country's new leader.

Mehdi Jomaa is now acting Prime Minister of the country, and is due to be officially appointed in January. He has been tasked with leading the country out of its political impasse.

But will this drive the country out of the crisis?

I feel our revolution has been confiscated and our dreams stolen. Despite this I remain hopeful for my country.

Tunisians, especially the young, civil society and women are resisting attempts to steal the Dignity Revolution dreams and derail it from its real objectives and goals

There have been several attempts to attack both human rights and women's rights as the Constitution has been drafted. But this has been noticed by civil society watchdogs, who will act when they need to.

Attempts to exclude young people from taking decisions and to muzzle the mouths of Tunisians are resisted.  We are all acting to build the Tunisia we dreamed of.

Read more: Widow inspires Tunisia's anti-Islamists

Read more: How the web fed our revolution

Read more: Middle East media survey shows contradictions

Read more: Egypt's dream in the wrong hands

Read more: What's best cure for Europe's ills?

Read more: Which emerging markets will win in 2014

Read more: Why we need a 'leg-up' state

Read more: Davos and its dictionary diplomacy

Read more: The world's most exclusive gathering

Read more: What's your economic mood?

Read more: How much does it cost to go?

@highlight

Tunisia triggered the revolution across the Middle East when a fruit-seller set fire to himself

@highlight

Three years on, the economic situation is dire and human rights continue to be violated

@highlight

Blogger Lina Ben Mhenni says she is harassed for expressing her views on that situation

@highlight

But she remains hopeful as Tunisians continue to fight for their dream of freedom