(CNN) -- Mayors Julian Castro of San Antonio, Michael Hancock of Denver, Kevin Johnson of Sacramento, California, and Angel Taveras of Providence, Rhode Island, each attended public schools in the cities they now lead.

This month, they launched a tour to meet educators, families and innovators in each of their cities, with the hope of understanding their shared problems -- and potential for solutions.

"Education is more than a quality of life issue. Education impacts everything that we do in the city. It really is a fundamental right and it's a path out of poverty," Taveras said. "We're working to see what's going on in each other's city and to share solutions and help adapt them to our own city."

They hope to take home lessons learned in each city in order to address gaps between wealthier areas with great schools and poorer neighborhoods where schools struggle. The tour will continue through March.

"We have an achievement gap between children of color and white kids that quite frankly, if we don't address and begin to address effectively with some sense of urgency, will threaten the real vitality and freedoms of this country," Hancock said.

Here are lessons the four mayors learned by working with their cities' schools -- and through their own experiences as students.

Not all A's are created equal

Before he was mayor of Sacramento, Kevin Johnson had gotten a basketball scholarship to Berkeley and thought he was a good student, he said.

But during his freshman year at University of California Berkeley, Johnson realized that getting A's and B's in high school didn't mean he was prepared for college.

"I was in an English class with 30 kids and they were all talking about a word -- the word was 'euphemism' -- and 29 of those kids knew what the word meant," Johnson said. "I was the only kid who did not know the word 'euphemism' and I remember thinking, 'Am I in the wrong class?'"

Johnson realized then that an A in one school might not equal to an A in another, and even students with good grades can be in for a rude awakening when they go to college. (After graduating from Berkeley, Johnson went on to play twelve seasons with the Cleveland Cavaliers and the Phoenix Suns.)

"Far too often a child's educational outcomes are determined by her or his ZIP code, and that's the case in Sacramento, too, and this has led to an unacceptable achievement gap," Johnson said, describing how slow they've been to close the gap between white and black students' scores. "It's horrifying."

Denver Mayor Michael Hancock described a similar experience.

"I got into college, as well as many of my peers, and we realized we were not where we needed to be, we were behind some of our peers," he said. "So we had to do special classes and programming to get caught up and really put in the extra effort."

He struggled with writing and math early in college, he said, which makes him consider what hard-to-spot problems might exist in Denver's schools.

"That's where we begin to see some of the cracks and some of the gaps that may not be as apparent in the primary system," said Hancock, who is an advocate of school choice. "Families should be able to pursue the best possible educational opportunity that is available to them, no matter where that opportunity exists in the city,"

Teachers can change lives

San Antonio Mayor Julian Castro was just a few years into his school career when he began to understand the power of a good teacher.

"In the first or second grade, I had a teacher who gave me extra homework to do and she explained that she had confidence that I could do the extra work and that made me feel great about myself," Castro said. "I got to excel in school and that was the beginning of my feeling good about achieving academically."

Providence Mayor Angel Taveras said he became a lawyer because his third-grade teacher, Mrs. Dorothy Donaldson, told him he could.

"She was someone who asked me what I wanted to be when I grow up and I told her that I wanted to be a lawyer. She asked me 'Why?' and I told her that I wanted to help people. She made me repeat it to anyone and everyone who would listen," Taveras said.

The same teacher suggested Taveras test for a gifted program, which allowed him to take more intense math classes, and eventually led him to a more challenging school.

It's never too early to start learning

Taveras, himself a graduate of the early childhood education program Head Start, said he has worked to improve early childhood literacy in his city by introducing programs such as Providence Talks.

The program aims to close the "word gap." Research shows low-income children hear millions fewer words in the early years of their lives than their peers in middle- or upper-income homes.

The program provides low-income children with recording devices that count the words they're exposed to each, and coaching parents and caregivers on how to improve their children's vocabularies. The devices work in several languages, including English and Spanish, and is expected to launch in 2014.

Providence Talks was the winner of the $5 million Bloomberg Philanthropy Mayors Challenge, a contest created by New York Mayor Michael Bloomberg to draw out ideas from city leaders.

Castro described how San Antonio residents had recently voted to fund full-day pre-kindergarten for more than 22,000 of the city's 4-year-olds over the next eight years. Castro said he hopes it will prevent students from falling behind, experiencing the frustration of falling behind and perhaps dropping out.

Children's educations can begin even before they're enrolled in school, he said.

"One of the biggest challenges is ensuring that students are prepared when they start school," Castro said. "We have so many young people who are not read to and they're not prepared when they start pre-k."

@highlight

Four American mayors are touring each other's city to learn more education solutions

@highlight

Mayors from California, Texas, Colorado and Rhode Island are on the tour

@highlight

The mayors shared stories from their own school experiences

@highlight

Providence mayor: Education "is a fundamental right and it's a path out of poverty"