(CNN) -- Echoes of the 2012 prostitution scandal in Cartagena, Colombia, lie at the root of the turmoil that has upended the Secret Service, prompting the ouster of its director in the wake of security lapses.

One link to the White House, involving a former unpaid intern, the son of an Obama donor, who was investigated for possible involvement in the scandal, has caused internal complaints about the fairness of the 2012 probe.

The scandal eventually led to the ouster of eight employees, and discipline against a handful of others at the Secret Service. However, in the years since, current and former employees, as well as congressional investigators, have complained that White House links to the episode weren't properly investigated, perhaps for political reasons, and that the punishment against Secret Service was too severe.

How to make a President safe again

The internal dissension over Cartagena is one reason why, according to current and former employees, a series of recent security lapses prompted whistleblowers to go to Congress to report the Secret Service's incomplete accounting of security lapses that have further embarrassed the agency.

In the wake of the Cartagena scandal, the White House counsel's office conducted a probe, interviewing more than a dozen staffers who worked on advance preparation for the presidential trip to Colombia, according to a person close to the probe. It also reviewed a single document purporting to show that a woman had signed her name and a room number on a hotel a piece of paper that appeared to be a sign-in sheet; the room number corresponded to the volunteer's room. The paper didn't bear a logo, or any indication of being hotel stationery or official business record, according to the person close to the probe.

Richard Sauber, an attorney for the former intern, says his client "categorically denies having a prostitute in his room and neither he nor his father contacted anyone at DHS or the [White House] to seek special treatment - the allegations are false and everyone involved knows they are false."

The White House determined that the paper, which didn't include any official logos or stationery marks, couldn't be relied on as proof of wrongdoing. The White House investigators deemed his denial credible.

The Washington Post published a story Wednesday night alleging that the incident was covered up, and citing complaints from a former investigator with the Homeland Security Department's inspector general who claimed that political interference from the White House prompted changes to be made to the DHS inspector general's report on the Cartagena incident.

The Post also cited multiple government officials who argue the White House investigation into the volunteer was nowhere near as extensive as the weeks long probe into the Secret Service agents and Pentagon personnel.

Can the Secret Service actually change?

The person close to the internal probe disputed that there was a coverup, citing multiple media accounts of the possible White House link that have been published in the past two years.

An administration official said the White House's review was thorough and that purported hotel records wrongly implicated at least two people: one, the White House intern, and the other, a Secret Service employee. The White House concluded that there was no inappropriate conduct by the intern, the official said.

"We took this very seriously," the person close to the probe said. "The idea that this [investigation] was done flimsily is just not true."

Complaints that Secret Service employees were treated more harshly than a White House intern overlook one fact, the person close to the probe said. The Secret Service agents implicated are armed U.S. government employees charged with protecting the life of the president and should be held to a higher standard than an unpaid White House volunteer who technically wasn't a government employee, the source argued.

Despite the White House denials, inside the Secret Service, the handling of the Cartagena incident has led to dissension.

Some of the Secret Service employees who were implicated were required to sign non-disclosure agreements as part of the disciplinary process, which has further aroused suspicion about the handling of the matter.

According to current and former employees, low morale among some Secret Service employees is behind some of the recent lapses. And it has prompted employees to report their complaints to Congress, instead of using internal channels to report problems. Julia Pierson, the agency's director appointed to help clean up the aftermath of Cartagena, was ousted last week.

Her predecessor, Mark Sullivan, under whose watch Cartagena and other lapses occurred, is now a Washington consultant.

Sullivan was the subject of probes by the Justice Department's public integrity section and the Homeland Security inspector general's special investigations unit. They investigated allegations he lied to Congress when he testified that the prostitutes involved in the scandal posed no issues for U.S. intelligence agencies. Investigators determined that U.S. intelligence community had information about at least one of the women involved because of possible links to drug cartels, according to people close to the probe.

The Justice Department and DHS inspector general each separately cleared Sullivan of wrongdoing.

Joshua Hochberg, Sullivan's attorney, said "Questions that arose concerning Mr. Sullivan were looked at and determined to be unfounded."

Sullivan recently was appointed to help the government come up with best practices in the aftermath of the Benghazi terrorist attacks.

Secret Service Director Julia Pierson resigns

@highlight

The 2012 incident in Cartagena, Colombia, eventually led to ouster of eight Secret Service employees.

@highlight

An unpaid White House intern was working as advance staff during the trip.

@highlight

A person close to the White House investigation says the administration did not try to cover up the link.