After piling up trillions of dollars of war debt during the last decade, America seemed to be on the brink of a new era -- ready to shut off the Iraq-Afghanistan funding faucet, bring its troops home and enjoy a peace dividend.

But the respite looks like it will be brief.  The new security threats around the world are leading to renewed calls for military engagement: maybe not boots on the ground but air strikes, drones and weapons and training for shadowy opposition groups.

With Iraq descending into chaos and ISIS beheading Americans, the public is alarmed not only at the prospect of getting dragged back into the fray, but also wondering if the economy can withstand any more.

Of course, in purely financial terms, the U.S. can easily pay for whatever it takes.  Patrolling the no-fly zones over Iraq during the 1990s after the first Gulf War cost around $12 billion a year.

Training the opposition and protecting civilians in Syria, combined with a weighty air campaign to take on both ISIS and the Assad regime, would cost some $20-22 billion per year, according to an estimate by Ken Pollack from the Washington-based Brookings Institution.

These are small numbers compared to the nearly $200 billion the U.S. has been shelling out each year for the Iraq and Afghanistan conflicts.  And the U.S is still a rich country; interest rates are low and borrowing is cheap.

Iraq, Afghan legacy

Despite all of this, the cost of re-engaging in conflict will be heavy. The country is still digging itself out from the financial hole created by the extraordinarily expensive Iraq and Afghan wars.

In addition to the trillions appropriated for war spending, the regular Pentagon budget grew by $1.3 trillion in constant dollars since 2001 to the highest levels in real terms since World War II.  This "culture of endless money," as former Defense Secretary Robert Gates called it, was notoriously wasteful, with accounting systems so flawed it was impossible to track where all the money was being spent.

Withdrawal from Iraq and the expected departure from Afghanistan was supposedly a prelude to belt-tightening at the Pentagon. Congress enacted measures designed to cut military spending by some $540 billion over the next decade.

Thanks in part to the budget "sequester" of 2011, the Pentagon announced deep cuts in almost all areas, including shrinking the size of the army from 520,000 to 440,000 troops, paring back military pay raises and benefits, buying fewer weapons and attempting to clean up its finances.

Reform efforts on hold

However, the sharp deterioration in the global security situation means that reform efforts are now being quietly shelved. Even before the latest setbacks in Iraq there was little appetite in the military to carry on with the unaccustomed austerity.  Military circles have been warning darkly about the "hollow force" -- the idea that cutbacks would mean lower readiness and sub-par forces.

Respected Pentagon figures such as former Under Secretary for Policy Michèle Flournoy are warning that future budget cuts will harm the U.S. military's ability to carry out its missions.

Any talk of improving the national balance sheet through deeper military cutbacks has all but disappeared. For the nation as a whole, this means the loss of a potential peace dividend windfall of the kind the U.S. enjoyed after the end of the Cold War, which helped boost domestic prosperity during the Clinton years. Instead, military spending looks sure to rebound, prolonging the shortage of money needed to fix roads, rebuild bridges and repair schools. Desperately needed Pentagon reforms are likely to be put on hold, as Congress and top defense officials continue to focus on foreign military engagements.

A dozen years of war have left American national finances in need of serious repair. The U.S. already borrowed some $2 trillion to pay for the invasion and occupation of Iraq and Afghanistan, a major contributor to the growth in the national debt from $6.4 trillion in 2003 to $17.7 trillion today.

The war also contributed to a sharp rise in oil prices, which increased from $25 barrel in 2003 to a peak of $140 in 2008, significantly constraining U.S. flexibility to respond to the financial crisis, (which is by no means over).  And the country hasn't yet paid for one of the biggest costs of the Iraq and Afghanistan conflicts: medical care and disability compensation for the 2.5 million veterans who served there.  Already more than 900,000 returning service members have been awarded disability benefits for the rest of their lives, which will cost an additional trillion dollars in the coming decades, according to the Veterans Benefit Administration.

Despite two failed wars it seems the country hasn't learned the lessons about the huge cost of military adventures and the limits to what military intervention alone can do to solve complex foreign policy challenges. In 2003, the U.S. ignored the question of how it would pay for the Iraq war. The Bush administration was so confident of a short campaign that it fired its top economist, Lawrence Lindsey, for suggesting the conflict might be expensive.

This time around, America is starting off in a much weaker financial position, with no strategy to pay for our existing war debts. If it is to embark on another round of military engagements, the president needs to be up front with the American people about what it will cost -- and how they are going to pay for it.

@highlight

New security threats are leading to renewed calls for U.S. military engagement

@highlight

After Iraq and Afghanistan, Americans are wondering if the economy can withstand any more

@highlight

Withdrawal from these campaigns was supposedly a prelude to belt-tightening at the Pentagon

@highlight

This time around, America is starting off in a much weaker financial position, says Bilmes