Beijing (CNN) -- Liu Ming Xing is a student at Jin Wei Elementary School, where her favorite class is music.

The 13-year-old loves the class. "It makes me feel good," she said. And she says about her school life at Jin Wei: "This place is good, I like it. I want to stay here."

But she may have to leave. Liu's family migrated to the Beijing from the countryside for work, and Jin Wei is a school for migrants. But the surrounding community, once filled with families like Liu's, is under pressure as the government began dismantling the neighborhood to make way for new development. The school, funded by migrant parents, may soon close.

"The children of the rural migrants won't be able to continue to attend school in this area," said human rights lawyer Zhang Zhiqiang, referring to the area where Liu's family lives.

In China, families are registered as rural or urban. When rural migrants move to the cities they live in a twilight zone: They can't access healthcare, social security or even public education as part of the nation's "hukou" system, which requires household registration. Migrant workers still must be registered in their rural town of origin, not the city to which they move -- which keeps public services out of reach for many who have flocked to cities for work.

"What makes this bad is that it violates the rights of migrants to live and work here," Zhang said. "Secondly, and more importantly, it violates children's rights to get compulsory education because when parents are forced to move back to their hometown.

Beijing has made urbanization a main goal for increasing domestic consumption and closing the wealth gap. Hundreds of millions have moved to the cities from the countryside in search of jobs. Last year, the urban population of the world's most populous nation exceeded the rural population for the first time, according to the National Bureau of Statistics.

But activists say that the government's own policies are forcing these migrants out of cities and creating an underclass in China. About 250 million people -- equivalent to about 80% of the population of the U.S. -- are migrant workers in China.

It's the children of migrant workers, like Liu, who are often hardest hit. "They don't have a lot of connections back home. Their kids don't speak much of local dialect," Zhang said. "The government is forcing these people to move elsewhere without understanding their difficulties."

But registration of children is tied to their parents, so children of migrant workers eventually will have to return to their parents' home village to register and continue their education.

Beijing has pledged to reform the hukou system but is hampered because many social services are funded by local cities rather than the national government.

"The government is trying. They're definitely making efforts, they realize that this is a big problem," William Nee of the China Labour Bulletin said. "The problem is the finances of the health care scheme and education are all done at the local level, so I think it's very difficult for the government at the national level to say, 'Okay, let's just reform the hukou system'."

The political cost of reforming the hukou system is onerous. "The mayors and party secretaries of many major cities are concerned that if hukou is freed up, there will be a huge fiscal burden in providing services for these migrants," said Yukon Huang, senior associate of the Carnegie Endowment and former World Bank director of China.

"If you ask the residents, the established residents of the major cities, they would say I don't want more people coming, this may mean fewer job opportunities for us," Huang added.

"They also associate inflows of migrant workers in terms of crime, pollution or congestion. So this is going to be a political issue. And I think it is a political issue that requires very careful management," he said. "China has been very successful in avoiding some of what I call 'the urban sprawls' in places like Calcutta or Manila or even Bangkok. In that sense, it's going to be a new challenge for China."

If reform is on the horizon, it may come too late for Liu's family, who is watching their neighborhood being torn down as her father recovers from heart disease. "I just hope that my father can get well as soon as possible and that we will be okay," said Liu, breaking down in tears.

CNN's Kristie Lu Stout and CY Xu contributed to this report.

@highlight

Rural workers migrating to Chinese cities for work have little access to social services

@highlight

There are 250 million Chinese migrant workers -- equal to about 80% of the U.S. population

@highlight

China's urban dwellers eclipsed its rural population for the first time last year

@highlight

Activists say China's home registration system needs to be reformed for migrant workers