Two days ago, an intensely powerful typhoon ripped through the midsection of the Philippines. Internationally known as Haiyan, the weakened but still dangerous storm has plowed into Vietnam. But history will record this as a Filipino disaster. I will call the typhoon by its Filipino name, Yolanda.

Yolanda might have been the most powerful land-falling tropical cyclone -- this being the generic scientific term as they are called typhoons, hurricanes or simply cyclones in different parts of the world -- ever recorded by meteorologists. More analysis will be needed to finalize that ruling.  But it really doesn't matter now to the millions of people in the rubble of Yolanda's wake.

The strongest winds, in the narrow ring of Yolanda's perfectly circular eyewall, passed directly through Tacloban city, a provincial capital with more than 200,000 inhabitants. Photos coming from Tacloban show almost complete devastation.

An accurate death toll will take time, but it is nearly impossible to imagine that it won't be in the thousands. Numbers of more than 10,000, as in some early estimates, seem possible. Many, perhaps most, were not killed by the winds but were drowned by deep storm surges.

Yolanda may have broken records, and its direct hit on a major city was excruciatingly bad luck. But tropical cyclone death tolls in the thousands or higher are not nearly rare enough in the developing world.

In 2008, Cyclone Nargis likely killed more than 100,000 in Myanmar. And the Philippines, right in the world's worst cyclone highway, are hit very often. In December, Typhoon Bopha, nearly as strong as Yolanda, hit the southern island of Mindanao and killed more than a thousand.

Does it seem, in fact, that these weather disasters are happening more often? Well, they are.

The damage caused by tropical cyclones has risen dramatically in the past century everywhere it has been assessed. But essentially all of that is attributable to development of vulnerable coastlines, rather than changes in the storms themselves.

The population of the Philippines, rich in vulnerable coastlines, has roughly doubled in the past 30 years. There as elsewhere, more people are simply exposed to danger.

In the U.S., dollar losses from our hurricanes have exploded. Large numbers of American casualties, though, have become rare, despite big increases in the numbers of potential victims along the coasts. (Katrina in 2005 was the exception that proves that rule.) Better forecasts, warnings and evacuation procedures, as well as tougher building codes and other infrastructure measures, have achieved that.

Improvements are starting to take hold in the developing world as well. When Cyclone Phailin hit India's west coast last month, there was reason to fear a repeat of the 1999 cyclone that hit nearby Orissa, killing 10,000.

Instead, good advance warning and evacuations (with help from a storm weaker than some anticipated) kept Phailin's casualty count low. In the Philippines, many hundreds of thousands were reported to have been evacuated ahead of Yolanda. As awful as the death toll will surely be, it could just as surely have been much higher.

But are population growth, development and emergency management the whole story? Or is this disaster also related to global warming?

Well, it is.

Climate scientists expect that tropical cyclones should become more powerful as the climate warms. There may or may not be more of them; there may well be fewer. But the chance of getting one as strong as Yolanda -- the very worst kind -- may well be increasing.

Global warming may already, in fact, have contributed to Yolanda's power. We can't see that in the data; the numbers and intensities of tropical cyclones naturally fluctuate too much from year to year for us to clearly identify a rising trend underneath that would show warming's influence with certainty.

But that doesn't mean it's not there. If the time comes that we can detect the warming signal in cyclone activity well enough to make definitive statements, it will be because the storms have intensified to a frightening degree -- and irreversibly so, for all practical purposes.

Sea level rise is a much more certain consequence of warming, already easily detectable. That alone will make flooding -- likely Yolanda's deadliest weapon -- a more severe consequence of storms as the sea starts higher before the surge.

Today, as the Philippines reels from Yolanda, climate is not the main story.

Our thoughts should be with the survivors and those rushing in to help them. The way to save people and property from tropical cyclones, in the near and medium-term, is to get them out of harm's way -- in the days before landfall to the extent that's possible; and, even better, by not putting them there in the first place. But the changes we are making to the climate are not likely to help.

@highlight

Typhoon caused devastating damage to parts of the Philippines

@highlight

Higher temperatures are likely to increase power of severe storms, says Adam Sobel

@highlight

Greater population living along the shore leads to bigger toll when storms strike, he says

@highlight

Sobel: Higher sea level, a consequence of warming, magnifies flooding