(CNN) -- "You can hear the horse hold its breath over the jump."

Dennis Baxter has been listening to sounds for so long, he even listens to their absence.

Baxter is not only a sound man, but "The Sound Man." His engineering helped form the beating, surround-sound heart of the revolution in televised sports coverage.

"If you listen carefully," he continues, narrating, "you can hear the rider talking to the animal.

"Maybe a few choice words."

Baxter is best-known for his work at the Olympic Games, tackling the timbre of dozens of disciplines to captivate global audiences, winning multiple Emmy Awards.

He is the man who first gave you the sound of arrows fizzing through the air in archery, thanks to his brainwave of microphones between the archer and the target.

More recently, his was the idea to place microphones beneath the wooden velodrome surface, to intercept the rumbling of Olympic track cyclists in action.

Baxter's job is to find the defining sounds of a given sport, and bring them to your TV in the finest detail.

He believes that while most people think they are watching TV, how they listen defines their experience.

"The details really bring people in," he explains.

"TV is consumed in a casual way. Rarely do you sit with full focus on the screen -- you're usually there with your family, or your friends, and you're talking.

"It's the sound that brings you back into the show. The detail pulls the audience back in.

"The thing I like most about equestrian is that detail in the coverage. The little, bitty micro-sounds of the horses and the riders.

"You can close your eyes and hear the image of a horse. There is so much there."

Ask most people for the sound they most readily associate with equestrian sport, and the chances are it will be the hollow clang of a jump clattering to the floor.

To capture that sound, Baxter uses an array of small, wireless microphones attached to the jumps on the course.

Alongside those, sets of microphones normally used to record singers are placed around the edges of the arena to sample the hubbub of the crowd. (But never close enough to record your conversation.)

Back in the broadcast truck, a sound mixer then has the job of seamlessly threading between these dozens of microphones to create the finished TV experience.

"The jumps are interesting because when they fall to the ground, it's never a flat fall," says Baxter, as though describing an artwork hanging in a gallery, or a fine wine.

"There's a nice, resonant sound with an echoing tone. The camera may not be on that moment but, when you hear that sound, you know exactly what has happened.

"But then -- and I've thought about this recently -- you have to decide if you want to have a constant barrage of sound or a coming-and-going. We give the sound a chance to breathe between the jumps. The more you listen, the more natural it sounds."

Like the horse holding its breath, Baxter is a fan of quiet as much as he admires sound. That extends to voices.

"Music today is so compressed that it never really breathes, and I hate to see television get that way," he complains.

"It does bother me that everything is driven by the narrator. You need to tell the commentator to shut up, and let's just listen."

The commentator, as it happens, concurs.

"I totally agree," says Steven Wilde, one of the world's leading showjumping commentators.

"I listen to a lot of different sports -- including our own sport and how it's presented in different countries -- and it's definitely possible to talk too much. You don't have to talk over every inch of it."

Yet if you are watching at home, Wilde's voice is as much a part of the soundtrack as Baxter's breath-holding horse.

"I grew up helping out at some shows. I used to be the man on the public address system. 'Please keep your dogs on a leash,' etc. Then somebody asked why didn't I try commentating," Wilde recalls.

"I was naturally a very shy person, it was the last thing I expected ever to be doing. But you take on a persona, I suppose."

Wilde now travels the globe, talking about horses for a living at the sport's biggest events.

"One of the main challenges is keeping it fresh," he admits.

"If you're seeing the same top riders all the time, you want to keep up to speed on them. News changes so fast now, so you're reading the internet all the time, looking at Twitter.

"That side generally takes a lot more time than people think. Today, for example, I've been at the show (in Los Angeles) chatting to everyone and getting more depth on how the horse is going, what they're doing socially.

"That gives me more color than picking up a piece of paper that simply says what they won at the Olympics.

"The hard part is not talking, it's preparing."

You now have Baxter's carefully crafted natural sound of the event, dozens of microphones mixed into a delicate blend, lapping softly below Wilde's narrative.

There is at least one more element, though: music.

Not a feature in jumping, music is a required component in sister sport dressage.

The freestyle routine, widely regarded as the climax of any major dressage event, demands that rider and horse move in precise harmony around an arena, executing precision maneuvers to a soundtrack of their choosing.

Once, comparatively little thought was given to the music used. Now, dressage composition is an industry in its own right.

Tom Hunt composed the freestyle score to which Britain's Charlotte Dujardin won Olympic dressage gold at the London 2012 Olympics.

"The Olympics was the culmination of a lot of things, but making it was quite stressful," says Hunt of his patriotic theme, featuring "Land of Hope and Glory."

"At the Olympics, we had to do that -- and it was quite regimented, in a way.

"I had the most fun with the last freestyle I did with Charlotte (for this season). We could try some different styles of music."

Composing the music requires a degree of precision you might not expect.

Hunt uses video analysis to fine-tune the rhythm and tempo of his composition, ensuring it precisely matches the expected movement of the horse at each stage.

Sometimes, he will never meet the rider or horse for whom he is composing, working purely from video.

"For a rider like Charlotte Dujardin," he adds, "I'll go down and watch Charlotte ride around, I'll take several videos, and I'll go back again to go through the music with her.

"It takes a few visits to see the horse, get the footage, take it away and work with it.

"Sometimes, the riders give me free rein with the music. The top riders often have a clearer idea of what they want, and that can help the process but it can also hinder it."

Hunt got started when he finished his music degree and found himself watching dressage on TV. ("When I saw it, it didn't seem like the music was fitting," he remembers.) Now, he is excited for the future.

"There's a lot going on in freestyle at the minute," he says. "It's really developing and I want to see how it progresses over the next five to 10 years.

"People are getting better music and I think the judging will probably change, so it'll be quite an interesting thing to be involved with.

"It's getting to be a big part of the sport -- it's getting the crowds, and people acknowledge the music more. It makes the sport more accessible."

Baxter, too, is looking ahead.

"Wireless microphones on anything that moves, in any competition whatsoever, is the future," he declares.

He sounds only half-joking when he adds: "We're the ones paying for this. We're the ones who've got to put our foot down to these spoiled athletes and say, 'You know what? You've got to make it a show, you've got to earn your money.'

"We've been asking to put microphones onto the athletes, and the horses. We've not been successful yet, but I think, pretty soon, we will be."

On the horses?

"Absolutely. Absolutely."

@highlight

Sound engineer Dennis Baxter helped revolutionize TV sports coverage

@highlight

Baxter uses dozens of microphones to capture detail of equestrian sport

@highlight

He prefers commentators to keep quiet -- and commentators often agree

@highlight

Dressage riders get music custom-made using video analysis