(CNN) -- Tom Watson has learned plenty in the 21 years since he was last captain of the United States' Ryder Cup golf team.

But there is one new-fangled invention the eight-time major winner can't quite get his head around.

Watson does in fact have his own Twitter account with almost 59,000 followers, but he's a social media novice compared to the likes of current Ryder stars Bubba Watson and Ian Poulter -- posting just over 100 times in 21 months.

"I've learned that it's very difficult to tweet," the 65-year-old told CNN's Living Golf show ahead of the biennial tussle between Europe and the U.S. at Gleneagles in Scotland this week.

"I can't get my fingers to do it fast enough or put the right hashtag -- it's hard to do stuff like that."

It will also be a tall order to wrest the Ryder Cup from European grasp -- the subject of his first official tweet back in January 2013.

Whereas once golf's most enduring team contest was a virtual American whitewash, now it is their continental cousins who rule supreme.

The U.S. has won just one Ryder Cup since 1999, and last time out in 2012 suffered a humbling that became known as the "Miracle of Medinah" when Europe somehow overturned a 10-6 deficit on an exhilarating final day.

What better skipper to have at the helm, then, than Watson, who won three and drew one of his four appearances as a player, and was the last man to mastermind a U.S. triumph on European soil back in 1993?

With a new-look team containing three rookies, the five-time British Open winner is the ideal man to school his newbies in the process of handling unprecedented levels of pressure.

"Being a captain, I'm a stage manager," Watson says of his role as captain.

"I try to provide everything the players need -- from the physical part but also the mental part. The mental part is important, to keep the players positive.

"Make them understand that I understand what they are going through. Be a go-to guy if they have something they need to talk about under the high pressure situation of a Ryder Cup.

"It's the highest pressure, I think, in all of golf. There are situations where you may get above your pressure level and since I've been there before I can be a go-to guy to talk to the players about that."

The task facing Watson is clear -- just take a glance at golf's rankings.

Three of the top five players in the world are in the European ranks -- the only American is veteran Jim Furyk at No. 4 -- and the continent has four straight Ryder Cup victories to its name on home turf.

No doubt Watson will be reminding his players of the last time he donned the captain's robes, when he led the U.S. to a 15-13 victory over Europe at the Belfry in Birmingham over two decades ago.

"We go into the Ryder Cup and on paper the Europeans look better without question," Watson says.

"The McIlroys, the Kaymers, the Stensons, the Roses, are players who've really played well throughout the summer.

"Right now on paper we are underdogs, but things can change. We all go through good stretches and we all go through bad stretches.

"The thing that we bring to it is an underlying American spirit that we get the job done, no matter what it takes. That's the attitude that I have and the attitude I'll project to the players."

The European charge will be spearheaded by the hottest player on the planet at present -- Rory McIlroy.

The Northern Irishman captured half of the majors on offer in 2014 -- adding a second U.S. PGA Championship to a maiden British Open title -- to take his career tally to four.

The 24-year-old is fully aware that as Europe's leading star he is going to be targeted by those in stars and stripes, the logic being that if you take down a team's top talent, the rest will crumble.

After his U.S. PGA victory at Valhalla -- scene of the USA's last Ryder Cup win in 2008 -- McIlroy said he was ready to be the European "talisman" and drive his side forward.

Watson is a big admirer of the undisputed world No. 1.

"One of the things I love about Rory is how he plays the game," Watson said.

"He plays it a lot like I do. He plays it quickly, with the blinders on. You don't see him moan with a bad shot, you don't see him go bananas with a good shot.

"He keeps it on a steady keel throughout and I like that about him. I like his manners and the way he treats people, the way he respects the game and the people around him.

"He's great for the game of golf and he's a very formidable competitor. I don't wish him too well in a Ryder Cup, I can say that, but I wish him well in other events."

One of the biggest questions the United States team will face is whether they will suffer any kind of hangover from that chastening experience at Medinah in 2012.

Under the leadership of Davis Love III, the U.S. had assumed a seemingly unassailable lead ahead of Sunday's singles matches, storming into a four-point advantage.

It could have been even better, but for Englishman Poulter, who compiled an astonishing run of five birdies in his last five holes to rescue a point for Europe in Saturday's final fourballs match.

Captain Jose Maria Olazabal's decision to front-load his singles lineup on Sunday then paid instant dividends as Europe won the first five matches, including Justin Rose's pivotal late victory over American stalwart Phil Mickelson.

"I watched (2012) with glee the first two days then with a huge whole in my stomach after we lost on that Sunday," Watson recalls.

"It lasted for several days that week -- it was physical. It was a very disappointing loss.

"But I have to give credit to the European team, they were 25 under par collectively on Sunday; we were eight under par.

"But it still boiled down, even to a five-point lead, to one stroke of the putter by Justin Rose on 17 which basically turned the match around."

With Tiger Woods missing through injury, Mickelson will be one of the lynchpins of Watson's 2014 team.

The 44-year-old has featured in the last eight Ryder Cups, stretching back to 1995, and brings with him an invaluable wealth of experience.

And while his golfing prowess is the major weapon in Mickelson's armory, his sharp wit gets the team going.

"One of the things I've done is talk to pretty much all the Ryder Cup captains of the past and they've all said Phil is really good in the team room, getting people jazzed up, pumped up," Watson says.

"As a captain, I want the team room to be jokes going back and forth -- that helps with the nerves and Phil really does help that way.

"One of the great things about Phil, he loves to gamble so when he's playing golf there's always something on the line.

"You want somebody like that not only play for your team but also talk to the other players. Phil has that gambler mentality -- he can do anything he wants to do on the golf course, and Phil does."

After two defeats in a row, and five reverses out of the last six, some have questioned whether the U.S. team has the desire to wrestle the Ryder Cup back across the Atlantic.

But Watson has no such concerns. "There's no issues about motivation -- they are all motivated to win the cup back," he says.

"We're tired of getting beat, and very simply they look at 2012 when the Europeans made that great run and came from behind as something they want to make amends for.

"They want to prove to the world they can play."

@highlight

Veteran Tom Watson is the United States' 2014 Ryder Cup captain

@highlight

The eight-time major champion last skippered the U.S. team in 1993

@highlight

That victory in England is the last time the U.S. won on European soil

@highlight

The 2014 Ryder Cup starts at Gleneagles in Scotland on Friday