(CNN) -- If you frequent the pistes of the French Alps, you may see more than just skiers and snowmen scattered around the trails below. For the last 10 years, British artist Simon Beck has been decorating snow-covered lakes and mountainsides with massive geometric designs, often based on fractal patterns, using his footsteps as his implement.

Beck's snow drawings have attracted attention and opportunity beyond the Les Arcs ski resort in France where he got his start. This year alone, he's delivered TED Talks in Austria and Cyprus, collaborated with New Zealand clothing brand Icebreaker on a series of garments, and has seen his international Facebook following grow to 280,000. Now he adds Snow Art, a book of over 200 photos he has taken of his work, to his list of accomplishments.

From engineering, to orienteering, to art

Beck's journey to art was unconventional. He was working as an orienteering cartographer when he made his first snow drawing, and before that the Oxford graduate was an engineer. He created his first snow drawing, a star on a lake near his apartment at Les Arcs, to pass the time after a day of skiing in 2004.

"When I did my first drawing, I had no idea how good it was going to look," he says. "It's just so unusual and unique. No one else is doing anything like it."

But it wasn't until five years ago, when he recognized the toll that his frequent orienteering trips had taken on his feet, that he started to take his drawings seriously.

"I realized that it would probably be better to do something a bit easier than orienteering, and do something less painful," he says. Snow drawing went from an occasional hobby to his primary form of exercise during the winter months.

One hundred and fifty snow drawings later, quite a few things have changed. Where he was once restricted to scouting locations and photographing his work from mountain tops and ski lifts, he can now afford to work out of an aircraft if he chooses; instead of winter boots, he now wears snowshoes. His work has gone from a fairly solitary pleasure to something enjoyed by thousands online.

However, his techniques have remained the same. Beck still walks as many as 30 km across distances as large as six soccer fields, counting each pace as he would while orienteering, armed with nothing but a compass and a map he designed himself. A single drawing can still take as long as 12 hours to realize.

But he now has his art down to science. Beck knows the best terrain (thoroughly frozen lakes), the best time to shoot (just before the drawing goes into shadow at the end of the day), and the best conditions (sunny, at least one foot of snow). He can now shift his focus from creating the perfect drawing to pushing himself creatively.

Exploring new territory

Earlier this year, Beck spent time in New Zealand and Somerset Beach in the UK creating sand drawings, raking complex designs into the sand to be washed away by encroaching tides. Fans have suggested that he try his hand at working in mud or deserts, or even try mowing a lawn, but he'd most like to try his hand at creating crop formations. He'd also like to start exploring more remote lakes in the towns surrounding the Alps, like Zermatt, Switzerland.

"And there are other places I'd just like to (try) because of the location, like Central Park in New York. I'd love to do a drawing there, or on the grounds of the White House, Buckingham Palace gardens, or the parks in London," he adds. "If you ever got the conditions to be right, it would be fantastic to go and do something like that, and get famous buildings in the background."

Snow Art by Simon Beck (S-Editions) is available for purchase online at snowart.gallery.

When art, design and a whole load of plants collide

Art works that mess with your sense of scale

World's 'most complicated' watch sells for record $24.4 million

@highlight

Simon Beck creates geometric shapes in the snow with his footsteps

@highlight

The designs are often inspired by fractals and other mathematical patterns

@highlight

Beck previously worked as an orienteering map-maker, and as an engineer

@highlight

His new book, Snow Art, includes over 200 images of his best works