WASHINGTON (CNN)  -- The Supreme Court heard new arguments Wednesday in a dramatic case that started with a movie attacking Hillary Clinton -- but that could have far-reaching implications for U.S. elections.

The campaign finance case before the court stems from a film critical of then-presidential candidate Hillary Clinton.

"If you thought you knew everything about Hillary Clinton, wait till you see the movie," said an ad last year for "Hillary: The Movie," a scorching attack on the woman then running for president.

Citizens United, the conservative group behind the film, promoted it as featuring 40 interviews -- a "cast to end all casts"-- and promised that if "you want to hear about the Clinton scandals of the past and present, you have it here! 'Hillary: The Movie' is the first and last word in what the Clintons want America to forget!"

Few Americans ever saw the ad; a federal court ruled that it broke the law on campaign advertising.

Citizens United argued that the movie was a documentary, not "electioneering communication."

As a result, the group argued, it was not subject to campaign finance rules that require disclosure of the movie's financial backers or restrictions on when the film could air. It was financed with a mix of corporate and individual donations.

Judges disagreed.

Citizens United, a Washington-based nonprofit advocacy group, took its case to the Supreme Court.

Unusually, the top court did not reach a decision on the case after it was first heard and ordered Wednesday's rare September rehearing to consider more aspects of the case. A ruling is expected in a couple of months.

The case hinges on whether corporations can be barred from pouring money into election campaigns or whether they have free-speech rights -- and the right to spend their cash to influence elections, just like individual people do.

"It's about money," said Lawrence Noble, former general counsel of the Federal Election Commission and a national expert on campaign spending. "It's about free speech, and it's about the ability of corporations to influence elections through the direct use of their ... money."

Fred Wertheimer of Democracy 21 said the courts were right in the first place.

"Allowing corporations to flood our elections and use campaign expenditures to buy influence would fundamentally undermine our democracy," he said. "The little guy would have no role here, because the dominant force in politics -- the dominant force in Washington decision-making -- would become corporations."

But David Bossee of Citizens United doesn't buy that. He argued that groups of people who pool resources, ranging from labor unions to the health industry to advocacy groups like the National Rifle Association, still have the right to free speech.

"I don't believe the federal government should have the right to impede people's entry into the [political] process," he said. "And that's what I believe the Federal Election Commission is doing here: squelch our First Amendment rights."

U.S. courts have consistently ruled that spending money on elections is a form of speech.

The case has made for unusual alliances: the American Civil Liberties Union, for example, sides with Citizens United.

"For many free-speech advocates, this is maybe a case of strange bedfellows, but they agree with Citizens United," said George Washington University law professor Jonathan Turley.

"They say, 'If you start to say these types of movies are prohibited speech, it could sweep into things like books.' Indeed, [the first time this case was argued,] the U.S. government said, 'Yes, we could restrict books during these election periods,' " Turley said.

"That sent a chill through the free-speech community. On the other side, people are saying, 'Yeah, campaign finance [reform] is strangling the democratic process,' " he said.

"You have two worthy values and very strong values on both sides," he said on CNN's "American Morning."

"There's a great deal at stake," he said. "If they strike down part of the campaign finance laws, it occurs right before the mid-term [elections], and you would see major amounts of money dumped into the campaign."

The court's rare special session marks the debut of Justice Sonia Sotomayor, President Obama's first Supreme Court nominee.

The original narrow focus of the case was on Section 203 of the comprehensive 2002 McCain-Feingold law, which bans the broadcast of "electioneering communication" by corporations, unions and advocacy groups if such a broadcast would be aired close to election dates and would identify candidates by name or image.

The law also requires an on-screen notice of the groups financing such ads as well as public disclosure of all donors to the sponsoring organizations.

But the scope of the case has now expanded significantly, and justices will ask whether they should re-examine important precedents banning direct corporate spending in campaigns.

The Clinton movie case could launch a range of as-yet unanswered questions about political speech and government regulation.

Since the filmmakers argued that their work was information, not political advocacy, should the government place itself as the ultimate arbiter of what is "news"?

Some media groups say no. " 'Hillary: The Movie' does not differ, in any relevant respect, from the critiques of presidential candidates produced throughout the entirety of American history," said the Reporters Committee for Freedom of the Press in a brief to the high court.

And can distinctions be drawn between regulating quickie 30-second or one-minute "attack ads" and a 90-minute documentary that could be viewed as an ideological "infomercial"?

"McCain-Feingold clearly has an impact on every candidate and everyone that raises or spends campaign dollars," said Edward Lazarus, author of "Closed Chambers," an inside look at the Supreme Court. "And the court has mediated that line between trying to allow Congress to protect against electoral corruption but at the same time protect the right of expression of corporations and individuals."

Movie excerpts and the ads can be seen at www.hillarythemovie.com.

The case is Citizens United v. FEC (08-205).

CNN Supreme Court Producer Bill Mears and Elaine Quijano contributed to this report.

@highlight

Federal court ruled that movie broke campaign ad laws

@highlight

Group behind film attacking Clinton said it was a documentary

@highlight

Can corporations be barred from giving to election campaigns?

@highlight

Supreme Court expected to rule in a couple of months