(CNN) -- With the presidential race heading into its final stretch, both candidates vow to protect the sacred promises made to military families. But neither is offering any details on how they might support military families if we hit a fiscal cliff with budget cuts that could wipe out services for military and veterans' families.

Month after month, in the midst of a heated presidential and congressional pre-election cycle, we see no organized blueprint to integrate millions of military family members into civilian society.

Since 2001, more than 2 million troops have returned from the wars in Iraq and Afghanistan. They have spent less time at home than service members in the past because of frequent deployments, making readjustment and life at home for families harder than ever.

Today, as the military drawdown in Afghanistan proceeds, tens of thousands of military members are returning to uncertainty about their and their families' future. What services will be cut? Will it be medical care, mental health services or school supports for children?

The Republican National Convention barely mentioned military and veteran families. The Democratic National Convention was a great homage to our vets but didn't revealed specific plans for programs that President Barack Obama would support. After more than 10 years of war in Iraq and men and women in uniform continuing to die in Afghanistan, this silence on a national plan or funding for services only increases the stress and uncertainty that military families feel every day.

With all the public celebration of military families on the campaign trail, this lack of proposals for new resources or a detailed plan of how federal agencies will coordinate the integration of returning troops seems like a violation of our nation's promise and its social contract with the millions of brave warriors and their families.

No one doubts Republicans and Democrats honor and care about military families. But words and public recognition are not enough.

"Joining Forces," led by Michelle Obama and Jill Biden, is the Obama administration's broad initiative involving the public and private sectors to help provide services and opportunities for military members and their families. Last year, this campaign waged by large corporations, nonprofit organizations and universities raised the visibility of the needs of military families and veterans.

This national leadership is exactly what we need as a nation. But it is not enough. It must be on a much larger scale, backed up with federal resources. Obama's directive last year that all federal agencies cooperate and use existing resources to help military families was also a huge step in the right direction. But keeping that sacred vow to military and veteran families will require a federally led partnership with civilian society that provides full spectrum of programs designed to make the transition from military member to civilian a smooth one.

Both parties seem to be waiting for the elections to be over and are accepting the possibility of deep, across-the-board cuts in the Department of Defense if Congress doesn't reach a budget compromise during the post-election period.

But before the election, both candidates should provide detailed plans or at least debate their stance on federally supported programs for military and veteran families. Our political leaders should be striving to expand Veterans Administration services to meet the growing demand.

At minimum, those leaving the military need the education, employment, health and mental health services they were promised.

The opinions in this commentary are solely those of Ron Astor.

@highlight

Ron Astor: We need plans to provide services for returning vets if defense is deeply cut

@highlight

Astor: Candidates laud military members but provide no detailed plans for re-integration

@highlight

Tens of thousands back from wars wonder what services will survive, he says

@highlight

Astor: Obama "Joining Forces" is great, but it needs to be expanded with federal funds