Princeton, New Jersey (CNN) -- There is at present a profound uncertainty about currencies. That is why the president of the World Bank, Robert Zoellick, created such a stir with a brief reference to an enhanced role for gold in the course of a plea for a more sustainable international exchange rate system.

The revival of interest in a golden measure of value derives from two fundamental sources. First, there is a question about our personal sense of worth. The aftermath of the economic crisis has destroyed our confidence in the reliability of conventional paper money.

We need money as a store of value, but in the course of the crisis it has also become a tool of government policy. Looser monetary policy or "quantitative easing" can help to get the economy moving again. But the purposes of money may conflict and collide. When money becomes too much of a policy tool, the function of reliably measuring value gets chipped away.

We look at gold when we are really upset about big price changes. Over the past two years, market sentiment has shifted abruptly from fear of deflation to fear of inflation.

The crisis has produced a profound shock, in which some prices (especially housing) have moved sharply lower while others (notably foodstuffs and some raw materials) have increased. The movement of prices is actually an important part of the adjustment process: that is, Americans should devote less of their resources to building and filling mega-size houses. But the price changes involved are deeply discomforting: The prices that are falling represent a major store of wealth, because people viewed their house as a sort of source of cash; and the prices that are rising are a major part of daily expenditure.

More opinion on topics in the news

The appeal of gold would be that it might be a better way of storing value. But it would not avoid the harsh task of adjustment at a personal level.

Secondly, there is an international dimension to the concern with gold. The crisis has intensified international conflict. It has pushed countries to compete much more aggressively for markets, and to worry that other countries are using unfair means to push their exports.

Americans think that China has maintained an artificially undervalued exchange rate, while Mediterranean countries accuse Germany of having devised the Euro as a monetary unit that gives Germany permanent cost advantages. Even former Federal Reserve Chair Alan Greenspan now says that U.S. monetary policy is aimed at the weakening of the dollar. As a consequence, the victims start to retaliate.

Both the rhetoric and the consequences in terms of exchange rate actions seem to recall the currency wars of the 1930s, when the world spiraled down into protectionism.

Can the countries of the world sit down at a table and hammer out an agreement on what exchange rates can be? No previous attempt at such an exercise has been successful. The exchange rates adopted at Bretton Woods in 1944 needed to be extensively modified in the late 1940s, and the Smithsonian conference of 1971, which tried to work out a new system, broke down within a year and a half as countries ignored any need for monetary constraint.

The appeal of gold is that it sets a clear limit on the extent to which policy actions can manipulate exchange rates. But for nations and individuals, it does not in any way remove the pain from living in altered circumstances.

The gold standard worked reasonably well in the 19th century, but even then it did not produce complete price stability. In the absence of new sources of gold, it exerted a downward influence on prices; then, in the 1890s, new gold started to flow from South Africa, Australia and Alaska, and the result was mild inflation.

A real effort at the monetization of gold today would produce a much more dramatic version of the same sort of logic. First, there would be a major scramble for gold and the current gold bubble would swell to even greater proportions.

That would provide very large incentives to existing producers of gold in South Africa and Russia to intensify extraction, but also to others to look for nonconventional sources, such as the bulk processing of seawater to extract the very small gold content. The result would be an initial deflation and then a colossal inflation that would make the 19th century experience look trivial.

The late-19th century critics who thought that there must be a better way of storing value than gold were right. But such a search demands sustained attention to methods of limiting the tendency of both individuals and governments to behave in a way that produces short-term gains while sacrificing the longer term good of stability. Self-limitation, rather than the magic fix of a new precious metal-based currency, should be the real golden rule.

The opinions expressed in this commentary are solely those of Harold James.

@highlight

People are profoundly uncertain about currencies, says Harold James

@highlight

He says sharp drops in housing prices and increases in commodities are causing fear

@highlight

James: Gold appeals to people because it limits governments' monetary policies

@highlight

Basing currencies on gold would result in deflation, then colossal inflation, says James