College Park, Maryland (CNN) -- In his hectic, noisy laboratory at the University of Maryland, Michael Pecht is wary when it comes to assessing whether Toyota's suggested repair of sticky gas pedals will have any real impact.

"They are in a bit of a quandary," said Pecht, a professor at Maryland's Clark School of Engineering. "If they announce that electronics is a problem, they are probably going to be in a lot of trouble, because nobody's going to drive the car. So at this stage, they don't want to announce there is any electronic problem."

But according to Pecht, who is an expert in failure analysis and has written a book on sudden acceleration in automobiles, complicated electronics -- not a mechanical issue with the gas pedal -- lie at the heart of Toyota's problems. And three other independent safety analysts contacted by CNN also conclude that neither floor mats nor stuck gas pedals are an overwhelming issue.

"From what people have told me about their sudden acceleration incidents, most of them have have got nothing to do with the sticking pedal at all," said Antony Anderson, an electronics consultant in Newcastle-upon-Tyne, England.

Anderson said electronic throttle controls, which largely have replaced mechanical accelerators, can malfunction in ways he compared to an occasionally disobedient child.

"We've all had that type of experience, and I'm afraid that is the sort of experience that can happen with any piece of electronics, with an electronic throttle," he said.

And Sean Kane, who runs a company called Safety Research Strategies in Rehoboth, Massachusetts, said, "Toyota's explanations do not account for the share of unintended acceleration complaints that we have examined."

Toyota officials dispute any assertion that the complicated array of electronics in its cars has an impact on the acceleration issues that have dominated headlines in the past weeks.

"After many years of exhaustive testing by us and by other organizations, we have found no evidence of an electronic problem in our electronic throttle control systems that could have led to unwanted acceleration," said John Hanson, Toyota's spokesman on quality-control issues.

But experts like Anderson say the tests conducted by Toyota are not adequate.

"Those tests do not reproduce what actually happens in everyday life," Anderson said. "They are testing for certain conditions, for certain standards, but they test, for example, signals one at a time. They don't do a whole lot of signals altogether. Whereas in a car, you've got a great cacophony of electromagnetic interference going on all the time, and you really can't rely on testing of a single frequency at one time."

As for the U.S. government's testing of Toyota's problems, the man in charge of the Center For Auto Safety, Clarence Ditlow, said that a 2007 test on a Lexus -- a Toyota brand -- by the National Highway Safety and Traffic Administration to find possible electronic interference was amateurish.

"They didn't do any real testing," he said. "For all I know, they just took a garage door opener, pointed it at the engine compartment and snapped it, and that's electronic interference to see whether or not anything happened. They closed the hood, and off they went. No problem."

iReport: Prius owner stands by his car

Efforts to contact the NHTSA in snow-bound Washington were unsuccessful. But Toyota spokesman Hanson said, "It's very easy to look from outside and say, 'There is no problem with the pedal.' But this is the problem and we are fixing it."

Hanson said the company "invited" further testing and pointed out that NHTSA officials announced a "fresh look" into the whole area of electromagnetic testing, not simply limited to Toyota.

@highlight

They say complicated electronics, not mechanical issue, are problem

@highlight

Toyota officials say they've found no evidence of electronic problems

@highlight

Some say automaker's tests are inadequate