Denver (CNN) -- President Barack Obama and GOP challenger Mitt Romney face off on Wednesday in the first of three presidential debates.

While Obama holds a lead in several key battleground states, the race nationally has been locked in a dead heat for months. The debate offers an opportunity for Obama or Romney to gain some momentum and break the logjam.

Here are five things to watch for on Wednesday:

1. Who's presidential?

The first and most important test for the president and Romney in this opening debate is to act like they belong in the job.

We've heard a lot of bickering on the campaign trail, and there's plenty of talk that zingers could decide who wins or loses the showdown in Denver. But to most Americans, this debate is really about which candidate has the composure and stature to serve in the Oval Office.

What they stand for: Candidates at a glance

"If either the president or Romney can't pass this test, the rest really don't matter. Big ideas from a small person won't make you president of the United States," says Republican strategist and CNN contributor Alex Castellanos. "When the moment comes, this is like proposing to your wife. This is a big moment."

Thanks to already serving nearly four years in the White House, Obama starts with the advantage, but he can't afford to play it safe at the debate.

John King: The debates are all about trust

"Playing it safe allows Romney to dominate the agenda and put Obama on defense. Either you're on offense or defense, and defense loses," adds Castellanos, who was a senior adviser to Romney in 2008 election.

By comparison, Romney has to do double duty: Stay on offense but also look presidential.

What does Obama have to do?

"Keep cool -- which comes naturally to him," says Democratic strategist and CNN contributor Paul Begala. "Make it about the middle class, not himself or Romney."

2. Can Romney get Libya into the discussion?

The first debate is officially devoted to domestic policy.

The listed topics, according to the Commission on Presidential Debates, are the economy, health care, the role of government and governing -- whatever that means.

Matters of national security and foreign policy are being left to later debates, but Romney may not be content to wait that long with the drip-drip-drip of conflicting news continuing to emerge from Libya, where four Americans -- including U.S. Ambassador Chris Stevens -- were killed in an apparent terrorist attack last month.

Serious questions have been raised for the Obama administration in the wake of the Libya attack: Was the American compound in Benghazi secure before the attack? Did U.S. officials fail to heed warnings or concerns about possible violence? Why has the president been so hesitant to describe the incident as a "terrorist attack"? Why is the scene still not secure, more than two weeks after the attack?

House GOP wants State Dept. to answer for Libya security

"We've seen a confused, slow, inconsistent response to what is now very clearly known as a terrorist act," Republican vice presidential candidate Paul Ryan said on Monday. "It's really indicative of a broader failure of this administration's foreign policy and the crisis that is taking place across the Middle East."

Polls indicate that the economy remains the top issue for voters, and Romney advisers in Boston believe the same. And when it comes to foreign policy, more voters trust Obama than Romney, polls show.

But there are hints of vulnerability for the president on Libya crisis. In a recent Fox News poll, 43% of voters said they disapproved of Obama's performance on Libya, while 39% approved.

With his campaign scrambling for traction and looking for any opportunity to shrink the trust gap between himself and the president, it won't be a shocker if Romney brings up the Middle East turmoil on Wednesday night and ties it to a broader critique of the president's leadership.

Obama, Romney only met a few times

3. Who makes the case on the economy?

In a debate focusing on domestic concerns, the economy is the issue that should dominate the debate. The economy remains the top issue on the minds of American voters and according to a new CNN/ORC International poll, likely voters are split on whether the president or the Republican nominee would do a better job fixing the economy over the next four years.

Expect to hear two very different narratives on Wednesday night. The president will continue to argue that the country's making progress and that now is not the time to go back to the policies of the George W. Bush years that got us into the current mess. And he'll say that now's not the time to go back to helping the millionaires and Wall Street.

Expect a very different narrative from Romney.

In his year and a half long bid for the White House, one of the former Massachusetts governor's main arguments is that thanks to his business background, he can do a better job creating jobs than Obama has done over the past four years. The debate in Denver gives Romney a well-watched platform to make his case.

Romney: Debates aren't about a win

Romney "has to explain a rationale that he's offering change that would make things better over the next four years," says Castellanos. "This is his opportunity to present his counternarrative, that Obama's growing the wrong economy. He need say that Washington's economy is doing just fine, and ask how your economy's doing."

Whichever candidate better presents and sells his economic narrative will go a long way toward determining who wins the debate, and more importantly, who wins the minds of undecided voters.

4. Can Obama get women and Latinos into the discussion?

Romney carved out positions during the Republican primaries that have landed him in a deep hole with Hispanic and female voters.

Remember the so-called "war on women"? In the course of trying to out-conservative his GOP rivals, Romney vowed to end federal funding for Planned Parenthood, came out against a law that mandates insurance companies cover contraception services and did not take a stand on the Lilly Ledbetter Fair Pay Act that Obama signed in 2009. He has also said he wants the Supreme Court to overturn Roe v. Wade.

Romney also rankled Hispanics by calling elements of Arizona's tough immigration law a "model" for the nation, floating the notion of "self-deportation" and promising to veto the DREAM Act, which would offer a path to citizenship for young illegal immigrants.

Latino vote in Nevada up for grabs

The Obama campaign has exploited these positions to great effect, pushing them to women and Hispanics in swing state campaign appearances, targeted e-mails and niche media efforts. (Don't know who Cristina Saralegui is? Google her.)

Republicans have criticized those tactics as a cynical distraction from the sagging economy, but they're working.

A Quinnipiac poll of Ohio likely voters released last week, for instance, showed Romney losing women to Obama by a staggering 25-point margin.

Internal Romney polling, meanwhile, has him badly trailing Obama among Hispanics -- and it's been that way all year.

With more than 50 million people expected to tune in Wednesday evening, don't expect the president to pass up a golden opportunity to keep female and Hispanic-oriented issues in the national spotlight.

In debates, presidential candidates' tics and tells matter

5. Taking the zing out of zingers

It was just one line in a New York Times story last weekend about each candidate's debate cram sessions, but it grabbed a lot of attention.

"Mr. Romney's team has concluded that debates are about creating moments and has equipped him with a series of zingers that he has memorized and has been practicing on aides since August," reporters Ashley Parker and Peter Baker wrote in the paper.

Obama: 'They're making me do my homework'

Romney advisers are correct that voters are likely to walk away from the debate talking about distinctive moments -- audible sighs, body language, repeated use of phrases such as "lock box" -- rather than factoids about Medicare Advantage or sequestration.

But zingers?

The Obama team predictably pounced on that one.

iReporters square off before the debate

"We also saw in reports that Mitt Romney and his team have been working on zingers and special lines for months," Obama spokeswoman Jennifer Psaki told reporters over the weekend. "That's not what the president's focus is on. So if you're expecting that, that's probably not what he's going to deliver on."

Romney delivered his lines with precision during the Republican primary debates and probably will again on Wednesday.

But if it comes to pass that Romney jabs at Obama with a sharp attack or humorous quip, you can be sure the president's allies will be ready to mock Romney's reliance on prepared "zingers" to diminish his stature and performance.

New national poll shows close race

Complete coverage: CNN Fact Check

What questions went unanswered? Share your thoughts with CNN iReport.

@highlight

First test for both candidates is who looks like a president

@highlight

Obama could have vulnerability on Libya attack, but agenda is domestic

@highlight

Whose narrative on how to get the economy going will play best to voters?