Oxford, Mississippi (CNN) -- From a dust mask that tested positive for ricin, to an enigmatic dump of a coffee grinder, to talk of making and mailing "poison," an affidavit unsealed Tuesday shed light on the case against a Mississippi man accused of sending potentially deadly letters to President Barack Obama and others.

Just more than a week ago, James Everett Dutschke described the man then jailed in the case -- an Elvis, Buddy Holly and Randy Travis impersonator named Paul Kevin Curtis -- as a "little nutty."

Now Curtis is free, and the 41-year-old Dutschke is behind bars. The document unsealed Tuesday explains what led authorities to arrest Dutschke -- but not why he allegedly concocted the poison and sent it to elected officials.

Read the affidavit

Lawyers for Dutschke did not respond immediately to CNN's calls Tuesday for comment on the new details.

But the affidavit in support of a criminal complaint indicated that his name was brought up as a possible suspect by none other than Curtis, following the latter's April 17 arrest.

Curtis had been detained on allegations that he was responsible for mailing letters with suspicious substances to Obama, Sen. Roger Wicker, R-Mississippi, and Sadie Holland, a judge in Lee County, Mississippi.

Soon, though, authorities began to set their focus on Dutschke as well.

That includes one person's claim, made on April 19 to law enforcement agents, that Dutschke years ago said he could make a "poison," the affidavit said.

What is ricin?

"Dutschke stated that he could place the poison in envelopes and send them to elected officials," said the witness, who had accused Dutschke of making sexual advances against his or her daughter. "... According to the witness ... Dutschke made reference to having 'a secret knowledge' for 'getting rid of people in office.'"

Document claims Dutschke repeatedly lied

On April 22, federal authorities searched a trash receptacle from Dutschke's Tupelo home and found, among other items, different types of yellow paper, address labels and a dust mask. The letters to Obama, Wicker and Holland were all on yellow paper.

That same day, FBI agents spotted Dutschke leaving his former tae kwon do facility, or dojo, loading things into his car, then placing several items from his window into a public trash can. According to the affidavit, these items included a coffee grinder, a box with latex gloves, a dust mask and an empty bucket of floor adhesive.

Three subsequent tests of the mask by the National Bioforensic Analysis Center came back positive for ricin, the document states.

Authorities further searched Dutschke's former tae kwon do dojo and tested six other samples, including liquid removed from a drain and swabs taken from inside the building.

At the time, Dutschke told CNN affiliate WMC-TV that he had agreed to the FBI search "to help clear my name."

"I had absolutely nothing to do with those letters," he said.

Yet the affidavit states that laboratory tests showed five of the six samples taken from his dojo tested positive for ricin.

The document alleges that Dutschke lied to authorities on other fronts as well.

For example, he insisted that he hadn't been back to his tae kwon do dojo since April 15, before changing his story to say that he'd returned briefly one week later for a mop bucket, two pails and a fire extinguisher. He also claimed he had not stopped while leaving that building on his way to a pawn shop and seemed to be flummoxed when authorities told him they'd spotted him tossing items into a trash can.

The affidavit also alludes to Dutschke's or his family's possible frame of mind earlier this month, as seen in text messages on his wife's cell phone.

"We're coming over to burn some things," one such message from April 20 reads. Another from the same day states, "We are gonna clean house."

Twisted relationships and more

The letters -- all postmarked April 8 -- each had a suspicious substance inside, a Memphis, Tennessee, postmark and no return address.

They also contained a letter that read, in part: "To see a wrong and not expose it, is to become a silent partner to its continuance."

On April 17, authorities arrested Curtis. He emphatically denied sending the letters, insisting he'd been framed and pointing the finger at Dutschke.

The two men knew each other because Dutschke used to work for Curtis' brother at an insurance company, under the direction of Curtis' ex-wife.

Curtis has said that while Dutschke worked for his brother, the two talked about collaborating on the publication of a book but later had a falling out.

He has accused Dutschke of stalking him online, a claim the latter has denied.

As for Dutschke, he told reporters last week that he didn't have a relationship with Curtis.

"He's just a little nutty," he said.

Yet while the last line of the letters to Obama, Wicker and Holland all contain Curtis's signature online catchphrase -- "I am KC and I approve this message" -- the newly unsealed affidavit ties them to Dutschke.

Among them, it states that marks on the paper for all those letters match those of paper found in Dutschke's home and trash.

Businessman, musician and convicted criminal

So who is James Everett Dutschke?

He's held several jobs, including at the insurance company and owner of his tae kwon do dojo. The Northeast Mississippi Daily Journal described him as a musician.

He was also an aspiring politician. He ran as a Republican against Democratic state Rep. Steve Holland, the son of Judge Sadie Holland, and lost. Judge Holland dismissed a civil lawsuit that Dutschke had filed against the witness who told investigators that Dutschke had talked about "poison."

Dutschke is also no stranger to law enforcement.

Last year, residents in his Tupelo neighborhood sought police help after, one neighbor says, Dutschke repeatedly exposed himself to young girls.

The case resulted in a conviction on indecent exposure charges and a 90-day jail sentence. He's appealed the conviction, according to the Daily Journal newspaper.

Then came another arrest on January 18, that is tied to the ricin case in two ways.

In that case, according to a grand jury indictment handed up this month and obtained by CNN, Dutschke is accused of molesting three girls under the age of 16.

This arrest prompted him to close his tae kwon do dojo. After the arrest, he consented to the seizure of his laptop computer, a hard drive and several flash drives, the affidavit in the ricin case states.

Investigators searched these and found that on New Year's Eve 2012 someone had downloaded a publication, "Standard Operating Procedure for Ricin," about safely handling the toxin. They also found that another file, about a method for detecting ricin, had been downloaded about two hours later. But according to the affidavit, Dutschke insisted that he'd never researched anything about ricin and that he'd never even seen a castor bean.

Whether it was Dutschke or someone else, and whatever their motivation, the ricin-tainted letters could have done more than make headlines or scare people.

They could have killed.

If inhaled, injected or ingested, less than a pinpoint of ricin can kill a person within 36 to 48 hours due to the failure of the respiratory and circulatory systems. There is no known antidote.

In a seeming acknowledgment of these dangers, the FBI issued a statement Tuesday stating it had "immediately sealed off" Dutschke's former tae kwon do facility -- which is near an auto body shop and an ice cream parlor -- and contacted public health authorities in the interest of public safety.

"The FBI is now conducting further forensic examination for the purpose of identifying trace evidence, residues and signatures of production that could provide evidence to support the investigation," the agency said.

CNN's Vivian Kuo reported from Mississippi, and Greg Botelho wrote this story from Atlanta.

@highlight

NEW: FBI says tae kwon do site is "sealed off" and that a forensic examination is ongoing

@highlight

Dutschke, 41, was arrested and accused of sending letters with ricin to Obama, others

@highlight

Dust mask and other samples tied to a Mississippi man positive for ricin, an affidavit says

@highlight

A witness says Dutschke talked about being able to make a "poison" and mail it to officials