(CNN) -- Chad Dickerson's shoulder bag is made out of an old bomber jacket, sewn together by a craftsman in Germany. Out of it he pulls a few of his favorite things - a linen laptop case, and a travel document holder made from Johnny Cash's "I Walk the Line" album cover.

It's a little dog-eared, but then it is from 1964. The folder was bought and sold through Etsy, an online marketplace which Dickerson has helped lead since 2008, first as chief technology officer then as chief executive since 2011.

Etsy is an e-commerce website, selling vintage goods -- which must be over 20 years old -- and homemade items. It also sells supplies for arts and craft. Other sites offering a similar craft-based marketplace include DaWanda and ArtFire.

The company was started in 2005 and became profitable in 2009, even as the credit crunch dragged down the U.S. and European economies. It has received $91 million in funding from investors including Accel Partners and Hurbert Burda.

It is creating virtual and actual communities which, according to Dickerson, are disrupting global supply chains by directly linking buyers and sellers.

While Etsy, a headline act for Le Web London, is an e-commerce site, its "primary driver is a the authorship and provenance of where something came from," Dickerson told CNN. "That really sets us apart."

Read more: LeWeb 2013 - the best bits you might have missed

It also provides "an antidote" to the disjoint between people and the goods they consume, Dickerson says. On Etsy, "you can both get a quality item and something that is totally unique."

Etsy, which has 900,000 active "shops," attracts 60 million unique visitors a month, with a 70% jump in year-on-year marketplace sales in 2012, to just over $895 million.

The company takes a 3.5% commission and the rest goes to the seller.

It has created the commercial "opposite of what major retailers do these days," Dickerson says. He points to the factory collapse in Bangladesh, in which more than 1,100 people died, as the type of commerce Etsy stands against.

"[Etsy's success] is a backlash but it's a very positive one," Dickerson says. "When we talk about the vision for Etsy, we say that we are re-imagining commerce to build a more fulfilling and lasting world."

It's not one in which commercialism is a bad thing, Dickerson says. "We believe that commercial activity, in the buying and selling of things, when done well actually improves the world."

Etsy has perhaps benefited from the credit crunch, as those suffering financial pain seek to boost their incomes with online selling, but Dickerson also points to a "new form of economic activity."

It is "not just the economic cycle, it's the creation of a new type of opportunity," Dickerson says. "You can make a life, not just a living."

That reflects the ethos of Dickerson himself, a former Yahoo executive, who studied English literature before becoming fascinated by the opportunities of the open source software movement. "I see the same dynamic on Etsy, but instead of creating open source software the Etsy community is creating something even more profound," Dickerson says. Etsy, is creating a "whole new way of looking at commerce."

Etsy has teams to investigate authenticity of items and the website's community is also on the look-out for any misrepresentation.

But Etsy is being challenged by the relentless drive of technology. The emergence of 3-D printing is something that's made us "think about our world view," Dickerson says.

Some sellers used 3-D printed parts in what they sell, but questions remain over whether it qualifies as craft. According to Dickerson: "The truth is we don't know, because it is so new we are learning along with everyone else."

@highlight

Etsy was founded in 2005 and became profitable in 2009

@highlight

It has received $91 million in funding from investors including Accel Partners

@highlight

It has 900,000 active "shops" and attracts 60 million unique visitors a month

@highlight

CEO Chad Dickerson says its provides an "antidote" to mass retail