Sydney, Australia (CNN)Indonesia has announced that death row inmates and ringleaders of the Bali Nine drug smuggling ring, Andrew Chan and Myuran Sukumaran, will be transferred from Kerokoban prison. It's the first step in their last walk to the firing squad.

The two -- who were convicted of a failed attempt to smuggle heroin to Australia in 2005 -- are now more than likely to be taken out to a field on Nusakambangan, a prison island off central Java, and shot dead.

Besides the horror of the death penalty -- something Australia only dispensed of in 1967 -- there is so much unnecessary tragedy in this case.

Some of it rests on the shoulders of the Australian Federal Police (AFP), who tipped off the Indonesian police after receiving information from a worried father of one of the duo's mules.

Some rests on the own shoulders of the men, who made one terrible, foolish mistake while young.

However, a lot of it also rests with Indonesia and its President Joko Widodo, whose cruel lack of compromise and desire to clear out the prisons has seen him categorically turn down any chance of clemency -- even though this potentially flouts Indonesian law.

Widodo has said he will deny clemency for all drug offenders. Indonesian legal teams are now scrambling a submission to the administrative court, arguing that the president can't deny clemency for all drug cases, but must consider each case individually.

Widodo is also following the lead of the Indonesian public, which in the main believes in the death penalty.  Of course, this is in stark contrast to the work Indonesia does to get its own citizens off death row around the world.

The president's hard-line stance isn't just about trying to win some breathing space with an electorate, which in the vast majority is disappointed with his presidency.

He may be also trying to distract them from ongoing corruption scandals, the persistence of cronyism and his inability to break free from the shackles of his political benefactor Megawati Sukarnoputri.

Most significantly though, Widodo has announced a war on drugs, which he sees as devastating the nation.

The drug "crisis" is described by Widodo as a "national emergency."  According to the president, 4.5 million Indonesians need to be rehabilitated from illicit or illegal drug use, and 40 to 50 young people die from drugs a day. This data has shown to be based on questionable statistics.

Even so, it tempers much of Widodo's  thinking on the need for rehabilitation.

And here's where another perspective on rehabilitation comes in. In Chan and Sukumaran, dubbed the pastor and the painter respectively, the president not only has clear examples of rehabilitation, but effective tools  for combating the scourge of drug smuggling in his own country and rehabilitating those of his citizens most in need

This is in part due to the characteristics and qualities of the Indonesian prison system.

Let's just say that the two were, with the rest of the Bali Nine, allowed to board flights for Australia and nabbed by the Australian Federal Police instead of Indonesia's National Police.

Serving up to 10 years in an Australian prison, would they have been reformed? With a recidivism rate of over 50% and the sterile security conditions that commonly lead to psychological distress and not change, probably not.

That might lead one to assume that something about their time in Kerobokan prison contributed to their reformation, something they would more than likely not have experienced here in Australia.

What can be learned from this hypothesis?  Chan and Sukumaran's experiences show genuine clear signs of rehabilitation. So how could this rehabilitation occur in Kerobokan prison, which is claimed to be a "hell hole"?

By default and not by design, prisons like Kerobokan share many positive aspects that are often overlooked by contemporary prison reformists. As Indonesian corrections don't have the resources to care or provide for inmates, the inmates take it upon themselves to fund and run their own rehabilitation programs.

There is also more buy in from NGOs who also support the inmate programs and the amazing support structures that are created by inmates in prisons in developing countries like Indonesia and the Philippines.

These include their own businesses to support themselves and family, which keep them occupied and sometimes away from criminal pursuits. In the end, in some cases, the prison community becomes a natural environment for rehabilitation.

A study on recidivism in Indonesia may paint a more accurate picture as precise figures are hard to come by. Of course, corruption, criminality and drug running remain very real issues.

Chan and Sukumaran demonstrate a clear sense of remorse and with it the chance of redemption. If rehabilitated returning fighters can be used to help dissuade and can be used to help other young men from making the same mistake, why can't convicted and remorseful drug smugglers do the same?

Beyond how unpalatable the notion may be to many, this is yet another reason why it is a real shame the two will be executed -- here are clear examples of successful rehabilitation that should be held high with pride by the Indonesian government, not shot down in history.

Instead, their execution could potentially dampen other inmates' enthusiasm to reform or change in Indonesia. In all prisons, hope is critical for moral and rehabilitation, especially in under-resourced prisons where conditions are harsh.

In this case, as with many more, the death penalty is no silver bullet solution, and in fact hits terribly wide of the mark. There is no conclusive evidence that the death penalty has any real deterrence value.

These two men, who fully admit they made an awful error judgement in while their early 20s, offer a glimpse on how Widodo's war on drugs can be won without having to lose more lives -- without having to fire a single shot.

@highlight

Two Australians are days away from being executed on drugs charges in Indonesia

@highlight

Calls for clemency ignored by Indonesian President Joko Widodo

@highlight

Authors: Widodo's war on drugs can be won "without having to fire a single shot"