The state attorney overseeing the probe into the shooting death of 17-year-old Trayvon Martin is known in Florida as a tough prosecutor ready to pursue what she believes is right, even in the face of media glare and public pressure.

No stranger to controversial terrain, Angela Corey spent more than 25 years as an assistant state attorney, trying hundreds of cases. In 2008 she was elected the top prosecutor in the three counties of the 4th Judicial Circuit, in Florida's northeast corner.

Since then, Corey, 57, has made waves for the number of cases she brings to trial. She's also rejected heated criticism, particularly over her prosecution of a 12-year-old boy for murder. Corey is trying him as an adult.

Corey "lives up to every prosecutor's mantra to be 'tough on crime,'" wrote Michael Hallett and Daniel Pontzer, criminology professors at the University of North Florida, in a study published this year.

In 2010, Duval County, which Corey oversees, "had the highest incarceration rate of any jurisdiction over 500,000 in Florida," the professors note. From 2008 through 2011, Duval County's average daily jail population rose from 3,725 to 3,990 (an increase of 7.1%), according to the study.

Corey's record shows she chooses cases based not only on possibility for success at trial, but also "wherever charges seem warranted," the study says.

The depiction of Corey as one of the state's toughest prosecutors is likely welcome news to those who believe George Zimmerman should be charged. Zimmerman, a neighborhood watch volunteer, says he shot Martin in self-defense February 26.

Corey has described Martin's family as "lovely people." She said she has met with them and prayed with them and promised to get them answers.

Florida Gov. Rick Scott appointed Corey to take over after state attorney Norm Wolfinger stepped aside amid complaints over his handling of the case. Wolfinger's 18th Judicial Circuit includes Seminole County, where the shooting took place.

Scott announced that he and Attorney General Pam Bondi "have full faith" in Corey to handle the case, which is playing out under a microscope amid worldwide media attention.

But Corey has detractors as well, who cast her as too aggressive.

Three petitions on the website change.org, calling for her to be removed from office, have about 2,500 signatures combined. One complains that she prosecutes too many cases without adequate regard for the facts.

A petition calling for 12-year-old Cristian Fernandez to be treated as a juvenile rather than an adult has nearly 185,000 signatures. He is accused of violently killing his 2-year-old brother.

Corey has said she has compassion for Cristian, but that "it's not my job to forgive."

And the two professors state in their report that Corey's propensity for bringing charges "poses great strain on the system and there has already been conflict between Ms. Corey's office and the sitting judges due to the increased caseload. Even sitting judges agree that it's Ms. Corey's office driving the higher incarceration."

On her 2008 campaign website, Corey vowed to "continue my excellent working relationship with law enforcement so that together we can vigorously fight crime. Only then can we make our community among the safest in the nation."

It's a commitment she has expressed in interviews with CNN and HLN about the Martin case.

"Every aspect of both the shooter and the victim will be looked at and analyzed as it relates to the evidence in this case," Corey vowed to HLN.

Discussing Florida's "stand your ground" law -- which allows people to use deadly force in situations in which they feel a reasonable threat of death or serious injury -- Corey said, "our laws are very clear that it has to be a forcible felony and that a reasonable person would have to believe that deadly force is necessary as opposed to just physical force, fighting back and that sort of thing. I've prosecuted a woman who shot her husband and killed him because he slapped her, and we argued that was not deadly force and she was convicted and sent to state prison."

The "political outcry" over the Trayvon Martin case makes prosecutors' work harder, she said.

"We would hope that people would give us a chance to get this task that the governor has given us accomplished," she told CNN. "We will leave no stone unturned in our quest to seek justice for Trayvon and for his parents."

A native of Jacksonville, Florida, Corey is active in the Republican Party and her Episcopal church.

She got her legal degree at the University of Florida and began her legal career at a private firm specializing in insurance defense. She joined the state attorney's office in 1981.

@highlight

Angela Corey lives up to the "tough on crime" mantra, two criminologists say

@highlight

Governor said he has "full faith" in her, but critics describe her as too aggressive

@highlight

The case of a 12-year-old to be tried as an adult sparked controversy