(CNN) -- Around the world, and in developing nations especially, there is an overwhelming demand for higher education.

Despite worldwide increases in tertiary enrolment numbers, there still remains disparity between those with access to quality education and those without.

In Sub-Saharan Africa, for example, only 6% of college-age students are enrolled in higher education.

John Defterios: The world's next economic powers don't need the West

That number rises to 72% in North America and Western Europe, but hovers around 20% to 40% for most developing regions, according to UNESCO reports. Without higher education, most people face a grim future.

But once you consider the possibilities provided by an internet connection and the growing availability of quality online education resources, the conversation about accessibility shifts from "where" to "how," and exciting new opportunities (and challenges) arise. So how do we actualize the idea of education for everyone?

Read more: Does Brazil deserve its 'B' for BRIC?

At Coursera, only one-third of our students are from the U.S., and 40% are from the developing world.

Not surprisingly, three of our biggest countries outside the U.S. are Brazil, India, and Russia, where the number of jobs that require a higher education greatly exceeds the number of people with education sufficient to do these jobs.

In Russia, for example, new student enrollments rose 230% since January 2013 (surpassing new student growth from the U.S., which is up 178%). Our large international growth poses challenges in dealing with cultural and language differences.

The challenges

Despite our global reach, most of the course material and lectures found on our platform are in English, making the courses inaccessible to many students whose native language is not English.

To address this issue, we are taking a two pronged approach. First, we are working with our partner universities in non-English-speaking countries to offer courses taught natively in languages other than English (currently French, Spanish, Chinese, German, and Italian).

More from Koller: Top college courses, for free?

We are also building up a network of "translation partners" - non-profits, companies, and universities - to translate Coursera lectures from popular courses into a selection of languages common among our students.

Reducing language barriers opens up new possibilities and applications of online education.

Experiments in global learning

Moscow-based Digital October (one of our translation partners) has experimented with creative ways to use online education to transcend cultural and language barriers.

The center for new technology and entrepreneurship recently hosted a multi-national "ideahack."

This interactive meet-up centered around the University of Pennsylvania's online Gamification course, and attracted more than 200 live students from Moscow and 15 students from three continents around the world via video conference, with the event being simultaneously translated for Russian and English audiences.

Fareed Zakaria: How to beat inequality

Those attending worked in small groups applying principles learnt from Professor Kevin Werbach's Coursera course. Professor Werbach participated virtually throughout the event.

Princeton's Professor Mitch Duneier taught his sociology class to a global audience. He says that: "Within three weeks I had received more feedback on my sociological ideas than I had in a career of teaching, which significantly influenced each of my subsequent lectures and seminars."

These insights have reshaped the way he teaches his Princeton students on campus. One student wrote to him, saying, "It has been an incredible experience for me, one that has not only taught me sociology, but the ways in which other cultures think, feel, and respond."

Bill Gates: I just don't see room for education cuts

By their very nature, Massive Open Online Courses (MOOCs) foster an open environment where people from all walks of life can contribute to a thriving collaborative community.

Translation of online courses further helps increase access to people from diverse backgrounds, and thereby enables the true globalization of education.

Other models for online education are also being explored, such as the flipped classroom, which makes high-quality course content available in conjunction with local instruction.

This can provide much needed expansion of education in the many countries that lack qualified instructors.

The future

With the rise of online education, the notion of a "global classroom" is being discussed by educators and the media alike.

To me, achieving a "global classroom" means using education to erase barriers between people of different cultures and backgrounds; it means giving people the opportunity to learn without the limits imposed by physical or socio-economic circumstances; and it means giving schools and instructors around the world the ability to transcend boundaries to bring high-quality education to their students.

The opinions expressed in this commentary are solely those of Daphne Koller.

@highlight

In Sub-Saharan Africa, 6% of college-age students enroll in higher education

@highlight

Internet and the growing availability of quality online education can change this

@highlight

Koller: The conversation about accessibility shifts from "where" to "how