(CNN) -- Now that there is a respite in the debate in Congress over Syria, the budget wars are resuming. Regardless of how tired the public has become of watching the parties wrangle over spending levels, congressional Republicans have made it clear that they intend to keep the pressure on the president.

The first round of the fight will come with the decision over whether to extend the continuing resolution to fund the government beyond its expiration date of September 30.

House Republican leaders have already been forced to delay the vote because Tea Party Republicans have threatened to vote no. They are demanding that the bill shut down funding for the new health care law, a key part of which goes in effect on October 1.

The second round of the fight will take place in October, when Congress will need to raise the debt ceiling so that the federal government can meet its obligations.

Republican leaders have said that in exchange for their votes on both measures, the administration will have to agree to steep cuts in domestic spending.

As they have been doing since 2010, Republicans want to use these budget battles to depict themselves as the party of "fiscal responsibility" and to sway public opinion wars toward a national agenda that centers on reducing the size of domestic programs.

Based on what we've seen thus far, the strategy will not work over the long term. While the GOP has been successful at preventing President Obama from dealing with other issues -- and now these debates can help put such issues as immigration reform at risk by pushing them off the legislative schedule -- their overall strategy can diminish public support for deficit reduction.

Nor is it likely to make Republicans look like the responsible party of fiscal conservatism.

Why won't it work? Republicans have chosen to fight over spending cuts through dramatic high stakes maneuvers, such as shutting down the federal government or refusing to raise the debt ceiling that raise more questions about their party than about the issue at hand.

Q&A: The lowdown on the shutdown

The Republicans have watched as public opinion has turned against them. According to a recent CNN poll, 51% of those surveyed would blame the Republicans for a government shutdown.

By dealing with budgetary issues through these risky tactics, which some say threaten the economy, the party hurts its ability to persuade the public that the Republicans are interested in seriously pursuing fiscal restraint, as opposed to using this issue for purely partisan purposes.

Not only does this strategy raise questions about the Republicans as a party, but it makes the issue of spending cuts appear more like a weapon than a topic of discussion.

The Republicans have also harmed their cause through their long-standing inconsistency about achieving fiscal responsibility.

Conservatives have been pointing to this problem for over a decade, as many had lambasted President George W. Bush as a "Big Government Conservative" who supported expansions of government such as the Medicare prescription drug program.

In the past two years, Republican proposals have concentrated most heavily on spending cuts for programs serving the disadvantaged while simultaneously promoting tax cuts that would only worsen the fiscal imbalance that the nation faces. By doing so, Republican arguments about fiscal conservatism have seemed more like an attack on the poor than a desire to balance the budget.

Obama has tried to capitalize on this perception. On ABC, he said, "There's no serious economist out there that would suggest that, if you took the Republican agenda of slashing education further, slashing Medicare further, slashing research and development further, slashing investments in infrastructure further, that would reverse some of these trends of inequality."

Nor have Republicans done much to respond to the growing data that deficit reduction does little to help the economy.

New research has cast great doubt on an economics paper that has been cited around the globe by champions of austerity in public spending. Spending cuts in European nations have not produced the economic results promised -- in fact the opposite -- and that has also shaken supporters of the GOP here at home.

Yet, Republicans have not offered much of a response, other than to stick to their pre-existing script. Republicans will need to do more to counteract this growing evidence about the flaws of their arguments.

There was a time when Republicans could legitimately claim to be the party of fiscal conservatism. President Dwight D. Eisenhower made balancing the budget one of his signature issues, devoting much of his second term fighting against all kinds of spending, including on the military, against the Democratic Congress.

While he was unsuccessful, Democrats and Republicans, as well as large number of voters, respected his belief in the program and the fact that he was willing to take political risks to fight for this policy.

If Republicans want to regain some of what Eisenhower achieved for the party, and to win over skeptics who are doubting whether deficit reduction really should be the kind of priority issue that Republicans say it should be, they will have to change course.

Starting in the coming weeks, they might want to begin by avoiding a government shutdown and raising the debt ceiling so that they can argue their case in a way that has a chance of persuading more Americans to back their ideas and their party.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Republicans are on a suicidal course on budget issues

@highlight

He says forcing a government shutdown or a debt limit crisis would harm an already weakened GOP image

@highlight

Zelizer: If Republicans want to win public support, they need to debate spending without manufacturing crises