President Barack Obama on Friday said that Sony Pictures made a mistake in canceling the release of a movie after a cyberattack from North Korean-backed hackers.

"I am sympathetic to the concerns that they face. Having said all that, yes, I think they made a mistake," Obama said at a news conference Friday. "Let's not get into that way of doing business."

Obama's statement came hours after the FBI announced North Korea is officially responsible for the cyberattack on Sony Pictures, an attack law enforcement officials called a "game changer."

"We cannot have a society in which some dictators someplace can start imposing censorship here in the United States because if somebody is able to intimidate us out of releasing a satirical movie, imagine what they start doing once they see a documentary that they don't like or news reports that they don't like," Obama said. "That's not who we are. That's not what America is about."

U.S. government agencies have presented the White House a list of options to respond to the North Korean hack, according to U.S. officials briefed on the matter. The range of options includes economic and banking sanctions -- but, the officials said, the list does not include adding North Korea to the list of state sponsors of terrorism.

The United States will respond "proportionally" to the attack, Obama said, though he would not say how the U.S. would specifically retaliate. He did note that the U.S. has beefed up its cybersecurity infrastructure, but that "occasionally there are going to be breaches like this."

An FBI investigation linked the malware, infrastructure and techniques a group of hackers called "Guardians of Peace" used in the Sony attack to previous North Korean cyberattacks. The North Korean-backed hackers broke into Sony's servers, published private emails and information and threatened to attack movie theaters screening "The Interview," a comedy film about an assassination plot on North Korean leader Kim Jong Un.

Sony Pictures Entertainment CEO Michael Lynton rebuffed Obama's criticism in an interview with CNN's Fareed Zakaria, saying his company did not make a mistake.

Instead, Lynton said Obama, the press and the public "are mistaken as to what actually happened." Lynton pinned the decision to pull back from the planned Dec. 25 release on the major movie theater companies that told Sony they would not screen the film.

"We have not caved, we have not given in, we have persevered, and we haven to backed down. We have always had the desire to have the American public see this movie," Lynton said.

So far, no major video on demand distributors or streaming services have offered to carry "The Interview" to Americans, Lynton explained, despite a wave of suggestions that Sony distribute the film outside of movie theaters.

And despite enduring what he called "the worst cyberattack in American history," Lynton said his studios would make the movie again, but may have "done some things slightly differently."

Obama added that the U.S. has "no indication" that any other country was involved in the North Korean attack.

Secretary of State John Kerry also sounded off on what he called a "brazen," "provocative and unprecedented" attack.

"We are deeply concerned about the destructive nature of this state sponsored cyber-attack," Kerry said in a statement. "These lawless acts of intimidation demonstrate North Korea's flagrant disregard for international norms."

Sen. Dianne Feinstein said that the onus is on the government and the international community to act in the face of this cyberattack -- the latest in a string of attacks on major corporations in recent years that have also included J.P. Morgan Chase and Target.

Stressing the "monumental size" and the "extortion" aspect of the cyberattack on Sony, Feinstein called for an "international agreement" to confront cyber threats and said the U.S. government needs to take action to better protect companies from those types of threats.

"We are going for bloodshed, I believe, if we don't stop it," she said on CNN. "I would hope that we can convince the North Koreans that this carries a very heavy price."

And the idea of a foreign government launching a destructive attack on an American company over an ideological matter elevated this hack to "one of the highest priority investigations we've worked on," one law enforcement official told CNN.

U.S. officials also tell CNN the hackers routed the attack through servers in countries from Asia, Europe and Latin America, even some in the U.S.

â€‹The hackers used common DNS masking techniques to make it look like it was coming from those places, but the National Security Agency and FBI were able to track it back to North Korea.

North Korean internet traffic is routed through China, which is one way they are able to hide their activity, but the FBI was still able to trace it back to the origin, sources tell CNN.

And Obama also addressed North Korea's motives, noting that attacks came after a comedic, satirical movie.

"The notion that that was a threat to them I think gives you some sense of kind of what regime we're talking about," Obama said.

The FBI called North Korea's actions "outside the bounds of acceptable state behavior" in a statement released Friday and called cyberthreats "one of the gravest national security dangers." The FBI did not use the words "terror" in their statement.

The investigation linked the "tools" of the Sony hack to North Korean cyberattacks in March 2013 against South Korean banks and media outlets.

Former Sen. Chris Dodd, the Chairman and CEO of the Motion Picture Association of America, released a statement Friday after the FBI announcement slamming the North Korean attacks by "cyber terrorists, bent on wreaking havoc" as a "despicable, criminal act."

"This situation is larger than a movie's release or the contents of someone's private emails," Dodd said. "This is about the fact that criminals were able to hack in and steal what has now been identified as many times the volume of all of the printed material in the Library of Congress and threaten the livelihoods of thousands of Americans who work in the film and television industry, as well as the millions who simply choose to go to the movies."

Related: Cyberattacks skyrocket

Bruce Bennett, a North Korean expert at the RAND Corporation told CNN that he consulted informally on the field as a favor to Lynton, who sits on the RAND Board of Trustees.

"He asked RAND's president if he had a Korean expert to speak to in order to help sort out how to handle the picture and RAND's president asked me to do that. We had a couple of brief conversations, viewed the movie and sent some comments," he said, adding "this was not a paid consultency."

Bennett said he suggested Sony let the State Department know about the film and the potential political issues involved and offered to call Robert King, the State Department's envoy for North Korean human rights. He said "I simply notified him of what was going on."

King told Bennett the film "was an American business decision and the State Department doesn't get involved in things like that."

Bennett said he did not show King or anyone at the State Department the film and said he was skeptical that anyone at the State Department saw it.

Referring to the State Department, Bennett said "their attitude was that they were glad to know about it, but it was not their role to intercede."

In addition to King's discussion with Bennett, the State Department has acknowledged that Assistant Secretary for East Asian Affairs Danny Russell spoke with Lynton about the film, but denied he had any involvement in its script or creative direction.

State Department spokeswoman said she did not know of anyone at State that screened the movie, though it is not clear still if State officials knew how the movie ended.

"I did not come across anyone who saw the movie in advance," Spokeswoman Jen Psaki said in an interview Thursday on CNN's The Lead with Jake Tapper.

Sen. John McCain on Friday said the cyberattack amounted to "an act of war" on Friday and said the U.S. should retaliate in kind with cyberwarfare.

"This is the greatest blow to free speech that I've seen in my lifetime probably," McCain said Friday on Arizona radio station KFYI 550's "The Mike Broomhead Show." "We have to respond in kind. We have lots of capability in cyber and we ought to start cranking that up."

McCain plans to hold a cybersecurity hearing into the Sony hack in the first two weeks of the next Congress, when he takes over as the chairman of the Armed Services Committee.

@highlight

President Barack Obama calls Sony's decision to cancel movie showing 'a mistake.'

@highlight

The FBI called North Korea's actions "outside the bounds of acceptable state behavior"

@highlight

Officials tell CNN that the hackers were routed through severs in Asia, Europe and Latin America