Editor's Note: This story details how two members of the CNN Special Investigations Unit reported a story about controversial plans to spend $31 million to enhance two remote crossings on the border between the United States and Canada.

The road to the border was so quiet it was safe for Drew Griffin to sit in the middle of it.

SCOBEY, Montana (CNN) -- We were driving through some of the most remote country in the United States, chasing a story that seemed hard to believe.

The Department of Homeland Security had announced it was spending $31 million to enhance and upgrade two remote border crossings -- just 12 miles apart -- on the border between Montana and the Canadian province of Saskatchewan. The spending was lauded by Montana's two senators, even though only an average of 22 cars a day traveled through these border posts.

We hopped a plane from Atlanta, Georgia, to Billings, Montana, and then headed to Scobey and Whitetail. The six-hour drive took us through some of this nation's most beautiful country into the high plains of the Missouri River Region. It was a drive punctuated with glimpses of cows and antelopes, but few people.

In fact, Burl Bowler, editor of the Daniels County Leader newspaper, which serves the border towns, advised us where to stop for gas en route, so we wouldn't run out and then really be in trouble.

Besides seeing a part of the country where Lt. Col. George Custer took his last stand, there was the added benefit (sorry CNN management) of having no phone or Blackberry access. In that respect, it was a peaceful drive.

When we got to Scobey, the few people we encountered couldn't have been nicer. Everyone we passed stopped, said hello, or waved. But encountering people was the problem -- and in fact, the story: We just didn't encounter that many. Certainly not at the border, where we stood and even sat in the middle of the road to show viewers how few people travel to and from Canada here.  Watch just how quiet the border crossing was »

The Scobey border crossing itself seemed perfectly adequate. But the Department of Homeland Security had warned its agents not to allow us inside, so we don't know what the interior is like. If we came in, we would be too disruptive, one government spokesman had informed us. In Scobey, that claim seemed a little far-fetched, since there wasn't anything going on here -- disruptive or otherwise.

On the Canadian side, farmer Marc Chabot, a U.S. citizen whose family has farmed the area on both sides of the border for generations, said he was grateful for the money his senators -- Democrats Max Baucus and Jon Tester -- steered to northeast Montana. But, he said, like others in the community, he gasped when he learned of the plan to spend $31 million expanding two border crossings that are rarely used.

"It would be wiser spent on something more useful to the public generally," he told us, adding that come winter, the average of 20 cars crossing a day in Scobey drops to almost none.

Editor Burl Bowler told us the area could certainly use stimulus money for jobs, but not at the border. We asked both Bowler and Chabot about the possibility of terrorists creeping across the frontier.

Both said that after the attacks of September 11, 2001, everyone needed to be more mindful of the porous border. But Chabot said the government had the area fairly well covered. "Trust me, they know we are here right now," he said.

And a massive new building costing more than $15 million in Scobey, Montana, wasn't exactly a deterrence to someone set on harming the United States, he added. Chabot joked that any stranger in the area certainly would not be a stranger long, since everyone knew everyone -- a point echoed by Bowler, who pointed out that while he hadn't told many people that CNN was coming to town, everyone seemed to know it anyway.

In Whitetail, it was even quieter. The town has grain elevators and a post office. Bureau of Transportation statistics show only about two people a day cross the border there, and the agents' building seemed in good shape, save for maybe needing a paint job.

The DHS planned to spend $15 million on the outpost. That would buy a lot more paint than the building seemed to need. So why did these two areas get so much money? Locals and critics suspect politics might have played a role.

Baucus is chairman of the Senate Finance Committee; Tester is on the Senate's Homeland Security Committee. Both took credit for convincing the DHS to give these towns millions for border crossings, bragging in a joint press release that they pressured the agency.

"This is good news for all of Montana and especially communities across the northern tier," Baucus said in the statement. Tester said the spending would "pay off for generations to come by creating new jobs and opportunity that will benefit all of Montana." As late as Wednesday, his spokesman reiterated Tester's support of the spending, saying that it would seal security gaps on the border.

So, the nagging question: Did politics, rather than security, guide the DHS? Especially when a border town like Laredo, Texas, which sees 66,000 crossings a day, was getting not one dime of the $400 million in DHS border stimulus funds. Montana, in total, was to receive $77 million.

In an interview Wednesday with CNN, Trent Frazier, the director of port modernization for the Department of Homeland Security, denied that politics played any role.

"We feel that these ports, like all ports of entry, are a vital part of the network of security that we have established across the border apparatus that we employ across the borders, and the investments we are going to do along these borders are a critical step in ensuring we can perform our mission," Frazier said.

But if Frazier did not believe politics factored in the decisions, it appeared to play a big role by Wednesday afternoon. Fellow Democrat Sen. Byron Dorgan, from the neighboring state of North Dakota, sent out a news release urging DHS Secretary Janet Napolitano to suspend the stimulus program. He said that spending the money on such remote ports -- including the nine in his state -- was "just nuts." Dorgan said the plan "just defied common sense."

Within hours, Napolitano announced she was ordering a 30-day review to see if the money was being spent appropriately. In her letter to Dorgan, Napolitano said 39 of the 43 Custom and Border Protection posts were located in the northern United States. She said most of the Southern ports were owned by the General Services Administration, and the money directed by Congress was earmarked for the Custom and Border Protection properties and required to be spent within 24 months.

"Nonetheless," she wrote, "in order to ensure even further transparency in this process, I am ordering a 30 day review" of all port construction decisions by officials who did not make the initial allocation decisions.

So, for now, if you want to travel to Canada through Scobey or Whitetail, the agents who inspect your vehicles will be using the buildings now in place -- and according to the locals, you will be adequately served.

@highlight

DHS planned to spend $31 million to upgrade remote border crossings

@highlight

The crossings are 12 miles apart and get little to no traffic

@highlight

Laredo, Texas, by comparison, gets 66,000 crossings a day

@highlight

Laredo will not receive any of the $400 million in DHS border stimulus funds