(CNN) -- Forty years have passed since the military coup in Chile that ushered in a 17-year dictatorship, and a divide remains between those who want to investigate the past and those who want to focus on the future.

September 11 is a day that has cast a shadow in Chile since 1973, when the military attacked the presidential palace and put an end to the presidency of socialist leader Salvador Allende.

Chilean court confirms Allende suicide

Competing memorials held this week by the government and opposition leaders are a reminder of the lack of unity over how to commemorate the past.

There is agreement that the abuses committed under Gen. Augusto Pinochet's military dictatorship -- nearly 2,300 people disappeared and 40,000 were tortured -- should be remembered so that history will not repeat itself.

Family of slain Chilean singer Victor Jara seeks justice in U.S.

But in an election year, there is a political divide over what it means to remember.

President Sebastian Pinera, the first leader from the right since the end of Pinochet's rule, wants to focus on the future.

"The past has already been written," he said at the government's official memorial. "We can recall it, we can study it, we can debate it, but we cannot change it. Because of that, we should not remain prisoners or hostages of that past."

Three out of five Chileans were not born when the coup happened, and the strong feelings of blame that some hold on to should not be passed on to the younger generation, he said.

"We should also ask, 'Why do we want to remember?' To relive the same divisions, violence and hate that caused us so much pain in the past, or to the contrary, to light the path to the future?" Pinera said.

Opposition leaders refused the president's invitation to the event and instead held their own observance at nearly the same time.

Among the speakers was Michelle Bachelet, a former president who is running for the highest office once again.

"There is still today a large division between those who justify the dictatorship and those of us who trust in democracy," she said.

Rather than move on, more investigations are needed to clarify the responsibilities for the abuses under the dictatorship, she said.

Reconciliation is not possible, Bachelet said, without an accounting of truth and justice.

"Truth, because we need to know what the victims experienced and what happened to them. And justice, because where justice is denied, impunity fills the void, deepening the divisions," she said.

The divide was apparent this week.

"Chile should not remain in the past" and "should advance toward the future with a solid democracy," government spokeswoman Cecilia Perez told reporters.

Former President Ricardo Lagos, who also belongs to the center-left coalition that led Chile after the dictatorship, said it was a shame that the current government was unable to host an event that all parties would be willing to attend.

Judges weigh in

Outside of the politics, other government bodies sought to publicly make amends.

The country's Supreme Court last week offered a mea culpa, saying the judicial system should have done more to protect people's rights in the aftermath of the coup.

The high court accepted that it fell short of its responsibilities by not pushing back on the coup government's campaign to arrest and punish opponents.

"I'm proud because the Supreme Court has offered a guarantee that this will not happen again -- that's the significance of this statement," Maria Francisca Zapata, vice president of Chile's Association of Judges, told CNN Chile.

The court assumed a historic responsibility with its statement, former Justice Minister Luis Bates told CNN Chile.

That said, the court was limited in what it could have done under a dictatorship.

"The institutions of the state that have to aid the judges in the investigations of their cases are severely weakened under a dictatorship," Bates said.

Chilean judge indicts former U.S. military official in 1973 killings

Public opinion continues to shift

As time passes, the views of who was responsible for the coup continue to evolve.

A poll by the Chilean Center for Studies of Contemporary Reality found that 41% of respondents blame Pinochet for the coup, an increase of 17 points in 2003. Nine percent of those polled blamed Allende, the socialist president.

A small number of Chileans allege that Allende was creating a doomed Marxist system and that there was no option but to overthrow him.

Some 16% of those polled said the military did the right thing. In a similar poll 10 years ago, a full 36% said the military was in the right.

As the views on the cause of the 1973 coup shift, so do the views of Pinochet. His image gets worse as the years go by, according to the poll.

According to the pollster, 1,200 Chileans were surveyed, and the study has a margin of error of 3%.

CNN Chile contributed to this report.

@highlight

Wednesday is the 40th anniversary of the coup that ousted Salvador Allende

@highlight

A military dictatorship ruled for the next 17 years

@highlight

Divides still exist over how to deal with the past

@highlight

Some want to move forward, others want to study the past