More than two decades after the death of the systematic racial discrimination policy of apartheid, a community living southeast of South Africa's capital Pretoria is being accused of trying to keep its racist ideals alive.

White men clad in military uniforms stamped with an old South African flag guard the gates of the controversial settlement known as Kleinfontein.

All the signs within its boundaries are written in Afrikaans, the language that developed out of the Dutch dialect spoken by early colonizers and which is spoken by the town's 1,000 white inhabitants.

A bust of Hendrick Verwoerd, the assassinated prime minister considered the architect of apartheid, greets visitors upon entry.

"Kleinfontein is a cultural community," explains its spokeswoman Marisa Haasbroek, "if you are not an Afrikaaner you cannot live here." Afrikaaners are white South Africans of mostly Dutch descent. The private settlement has made headlines in recent weeks after it was exposed by a local newspaper. Haasbroek defends its existence saying residents simply want to live among their own kind.

The 50-year-old mother of two tells CNN she moved to Kleinfontein six years ago shortly after her car was stolen in the city center.

"I was just sick of crime," she says. "My parents-in-law were already living here and they told us Kleinfontein is safe," Haasbroek, her engineer husband and their children packed their belongings and moved to the "whites only" enclave.

The area has been in existence since the 1990s. It was formed on the eve of democratic elections at around the same time as its better-known sister settlement, Orania, in the Northern Cape. Most South Africans knew Orania but have only recently learned about Kleinfontein.

Its residents are accused of using culture and heritage to discriminate against black people.

There were even reports that the community has once refused to be assisted by black police officers.

Read more: How S Africa avoided bloody war

"That's simply not true," Haasbroek says. "We do not discriminate, we differentiate."

South Africa's official opposition recently held a protest at Kleinfontein vowing to "liberate" residents from their "apartheid mindsets."

The mayor of Tshwane -- the municipality Kleinfontein falls under -- has also conducted a site visit, saying he supported the residents' right to "conserve their heritage but that it must be balanced with the freedom of others to reside anywhere in the republic."

Despite differing opinions on the matter their right to self-determination is protected by the constitution and the government has said they have the right to live this way.

Race is still an emotional topic in South Africa and Haasbroek has been at pains to explain that residents are screened based on culture, language, religion, history - but not race.

Read more: The cricketer who took on apartheid regime

"We are trying to preserve our own identity," Haasbroek says. "We are swamped by people who are not like us. We are a minority like the people of Tibet in China and like the Palestinians. But we don't want our own state. We respect the laws of South African and we want to remain here."

Orania and Kleinfontein represent about 2,000 people, a tiny minority of the overall Afrikaaner community in South Africa. Haasbroek says crime and affirmative action have left them feeling left out of the so-called "Rainbow Nation."

"We don't really feel welcomed in the new South Africa so we are saying, just give us a little bit of independence."

They already run their own school and they build their own infrastructure. They want to be recognized as a self-contained municipality -- something the local government has said will not happen.

@highlight

The South African community of Kleinfontein is accused of keeping apartheid's ideals alive

@highlight

Apartheid was a policy of systematic racial discrimination

@highlight

A Kleinfontein spokeswoman says it is a "cultural community" for Afrikaaners only

@highlight

Its residents are accused of using culture and heritage to discriminate against black people