(CNN) -- The next time you step foot on a golf course, beware the legal minefield that can await you.

If the game was not difficult enough already, it has a well-deserved reputation of being the most litigious of all sports, bar none.

The cases that come to court cover the full spectrum of grievances and bizarre incidents, from the elderly Irish pensioner suing his former golf club for cutting -- yes cutting -- his handicap, to two-time major winner Rory McIlroy going legal in a high-stakes wrangle over his multimillion-dollar deal with Nike.

From players tripping over rabbit holes, to a pair of New York doctors involved in a landmark legal action after one of them was blinded by the other's errant shot.

It all backs up the main thrust of a publication from 2007 by Craig Brown, a law professor at the University of Western Ontario in Canada.

"Golf and the law seem to have been made for each other," he wrote in "Why Lawyers Love Golf."

"On every fairway, in every stretch of rough, in every clubhouse, in every golf bag, at every swing at the ball, in every set of plans for a new course, in every application for club membership, there lurks a potential lawsuit."

Dalton Floyd Jr. of South Carolina's Floyd Law Firm has made a 40-year-plus career of handling such cases.

He gives an example where neither the claimant nor the appellant were left with a good leg to stand on:

"A lady and her husband were walking from the tee to her golf cart. In a freak accident she stood on a piece of unmade ground and contrived to rupture her Achilles tendon," he told CNN.

"Both her and husband were keen line dancers, couldn't take part in the activity for months and brought a claim on that basis. The club had to settle."

Golfing mousetraps

It highlighted the fact that golf clubs have to think very carefully about every area of their activity because there are mousetraps everywhere, in the legal sense.

Most golf holes have yardage markers dotted on the fairway to let golfers know how far they are from the green, the most common at 150 yards out.

But they had better make sure they are accurate.

"A golfer hit the ball onto a green and hit a player who was waiting to putt," recalls Floyd.

"The golfer hitting the shot claimed the yardage markers put out by the course were inaccurate and he thought the green was further away and out of his reach.

"The club had to settle the claim because they were liable."

And beware the hasty and ill-thought-out redesign of a golf course, says Floyd.

"A club in Hilton Head cut down trees on the left of a dogleg hole, which meant a lot of balls ended up in a big condominium. The owners were not happy and the club was held liable and had to settle."

Serious injury

While it is easy to poke fun at some of the claims, others are for serious injury sustained in the course of playing the sport.

As CNN reported in 2010, being hit by a poor shot while playing is a risk golfers assume and this was backed up by New York's highest court in a key ruling.

Playing at a course in Long Island, Anoop Kapoor hit a shot which struck his fellow doctor Azad Anand in the left eye.

Anand was blinded after the incident and launched a multimillion-dollar lawsuit against Kapoor for damages, alleging his friend was negligent for failing to warn of the shot.

Kapoor testified he thought Anand was behind him and that he didn't see anyone between him and the hole when he took his shot. Kapoor unintentionally sliced it, striking Anand with terrible consequences.

Floyd says most claims of this nature are dismissed: "Thank goodness the courts have an understanding that you can't hit the ball straight all the time, particularly the amateur golfer.

"I think generally we get good decisions from judges because they understand golf is a sport and there is a certain amount of risk when you play."

But that did not stop 15-year-old Alex Good of Hillsboro, Oregon from suing a local golf course for negligence after he hit himself in the eye with his own ball while on its driving range.

According to court documents, Good and his high school teammates were using the practice range. It was raining and the staff at Pumpkin Ridge put up an awning.

When Good teed off, his ball hit a metal post that was holding up the awning just inches in front of his driving mat. The ball ricocheted off and hit him in the left eye.

Good's lawyer claimed Pumpkin Ridge should have known that the metal pole was a danger. Pumpkin Ridge did not respond to CNN's enquiries about the current status of the suit.

Costly repair

During the economic downturn, even well-to-do golfers have felt the pinch, says Floyd, but he warns against what one did to save a few dollars: repairing your own clubs.

He cites the case of a player who took his tee shot -- then the head of the repaired club flew off and got stuck in his playing partner's knee.

Painful for the claimant -- and costly for the do-it-yourself golfer, who was forced to settle the claim.

It's not a position in which former world No. 1 McIlroy should ever find himself, but he is embroiled in a very public legal dispute with his former management agency over its role in his contracts with Nike and other key sponsors.

The 24-year-old from Northern Ireland claims he was misled over the terms of the deals and is seeking compensation.

The agent, Conor Ridge, and the management company Horizon Sports deny the claim and are counter suing in a case which is slated for the courts in October 2014.

McIlroy, whose form has slumped since signing the big-money deals, admitted that it had taken a toll. "I've seen more lawyers' offices and more lawyers this year than I care to see in my entire life," he told reporters at the World Tour Championship in Dubai last month.

Angry Tiger

He also said he was taking advice from Nike stablemate Tiger Woods on how to deal with these pressures, although the world No. 1 himself is at the center of a controversy which threatens to end in a lawsuit.

In a published article grading the tour performance of top players, former PGA pro and now analyst Brandel Chamblee flunked Woods, questioning his integrity and saying that he had been "a little cavalier with the rules."

As evidence, he cited three instances where Woods had been penalized for rules infractions and a fourth where an NBC analyst questioned the drop that Woods made after his ball landed in a water hazard.

Woods' agent Mark Steinberg responded angrily over a "shameful, baseless" report and said he was considering a legal action for damages.

McIlroy will doubtless take his own counsel but might look no further than the fate that befell a 75-year-old amateur golfer from across the border in the Republic of Ireland.

Handicap blues

Thomas Talbot, a retired insurance official, was left with a massive legal bill in excess of $500,000 after launching an action against his former club because it had cut his handicap.

This would normally be a cause for celebration, but Talbot took it as a slight, particularly as a court in Dublin heard he was accused of "handicap building" -- or allegedly playing below his ability to get his handicap raised and thereby be able to win more competitions.

Talbot sued the Hermitage Golf Club and its former handicap secretary in the Irish High Court for defamation, but a judge found against him last year and he has been left with heavy costs.

Golf for a long time was a male-dominated sport but as more women started taking part, clubs which restricted membership came under the legal spotlight for alleged discriminatory practices.

Federal law in the United States now requires clubs open to the public to admit women, but Augusta National, home of the U.S. Masters tournament, was a private club and adopted a strict male-only membership policy for 80 years.

That suddenly changed in August 2012, when it announced it would admit its first two female members, former U.S. Secretary of State Condoleezza Rice and business leader Darla Moore.

The volte face came without ever reaching a court of law, but rather thanks to the tireless efforts of women's rights activist Martha Burk and reported pressure from key sponsors.

Discrimination suits also extended to the top level of men's professional golf when Casey Martin, a former Stanford University teammate of Woods, took out a case against the PGA Tour.

Martin suffers from a debilitating leg deformity that obstructs blood flow back to his heart.

Having qualified for the full PGA Tour in 2000, Martin wanted to use a golf cart in tournaments, but was refused permission by tour officials.

Martin took a lawsuit on grounds of disability discrimination and finally won his battle in the Supreme Court.

But he was unable to capitalize on his early promise and dropped off the tour, although he was a surprise qualifier for the 2012 U.S. Open.

Trump challenge

No article about lawsuits in golf would be complete without mention of U.S. tycoon Donald Trump and his battles to complete a $1 billion development in northern Scotland.

He faced down opposition from locals and environmental groups, including a lawsuit from an 86-year-old pensioner, to get permission to build his championship course on protected sand dunes in Aberdeenshire.

But having built the course, now Trump himself has gone legal after the Scottish government gave planning permission to a massive offshore wind farm just off the coast -- and within sight of his new resort.

Trump has called the 11 turbine scheme a "useless and grotesque blot on our heritage" and has launched a lawsuit to attempt to stop it.

The Scottish government, led by First Minister Alex Salmond, wants all the country's electricity demands to be met from renewable sources by 2020 and is vigorously defending its decision in the court case, which started November 12 in Edinburgh.

@highlight

Golf has a reputation for being one of the most litigious sports

@highlight

Cases range from the seemingly absurd to the serious

@highlight

Rory McIlroy involved in legal action against former management company

@highlight

Donald Trump suing the Scottish government over an offshore wind farm