(CNN) -- In the wake of the Supreme Court decision that struck down key portions the Defense of Marriage Act, I celebrated this historic milestone like many Americans as a step toward acceptance of all people. Even though I'm straight, I relate to my LGBT brothers and sisters as I also struggle for others' acceptance.

By all accounts, I appear to be a completely average 27-year-old female. I was never the kind of person who thought I'd champion for individual rights or equality. Sure, I believe in it, but I'm not the stereotypical "Occupy" protestor or gay rights advocate.

On the outside, I look like many of my peers; I wear skinny jeans and Abercrombie. I play on my iPhone, Facebook and Twitter. I tend to blend seamlessly into the background of average female faces.

However, I realize that my life as a typical twentysomething will not last long. As time goes on, I will start to become more and more isolated from my peer group as my secret comes out.

You see, I don't want children.

At first mention, this might seem like a minor comment. However, it is a choice that I feel has alienated me from my peers and will continue to do so as I creep toward middle age. The realization that I am somehow different is how I found myself standing up for my own personal beliefs and, along the way, championing equal rights for all.

Although I know that I do not share the same predicament as gays and lesbians, I use the comparison to explain that I, too, am seeking acceptance in a world in which I often feel ostracized and out of place.

I identify with many of my gay and lesbian friends in that I've always felt I should be honest about who I was. I don't think it's right to have to say, "Well, we'll have kids someday," just as I don't think it's right for a gay man to have to say, "Someday I'll meet a nice girl and settle down." Like him, this is simply who I am.

My "coming out" has been met with mixed reactions from family members.

When I told my parents, my dad was quietly accepting and my mom cried endlessly. She didn't understand right away. Later, she accepted it and now supports my stand for equality.

My husband and I argued about whether we should tell his parents. I said we should, while he said we should just say "not now." But I think that's being dishonest about who we are and even wonder if he is ashamed or not fully committed to our decision, although he says he is. I tell him he's still "in the closet" -- or perhaps even on the fence.

I have a hard time identifying with people who do have children and have felt the brunt of many of their judgments. I have been called selfish and materialistic. But I don't believe that I am selfish by any means for making this responsible choice. It would be far more selfish to have a child for the wrong reasons.

The pressure is particularly intense living in a military town in the South. I've had women tell me that I was a horrible person, a horrible wife and a horrible American because it was my "duty" to reproduce. I was shocked to hear such a statement in 2013. I was born in the 1980s -- what I thought was an age of enlightenment in which women no longer were pigeonholed into such archaic stereotypes.

I have stated that I don't want children; now I ought to state what I do want.

I want people to know that I like children. People assume I hate them. This isn't true. I have worked with children and have found it to be an incredibly rewarding experience.

I want others to know that I am a practical person. I don't feel that it is right to raise a child in a home full of stress. I don't have an incredibly high-paying job, and I worry that I'll be burdened by student loan debt when I graduate from my doctoral program.

A child is not a cute accessory that you drop off at day care and pick up at night. I realize that there is a commitment associated with raising a child, and it is not a commitment that I wish to make. I take commitments very seriously and think each and every decision through using logic and reasoning, and I've made this decision that same way.

'I am nobody's mother and I never will be'

I want to be celebrated for what I have achieved and who I am as a person, not for what I am allegedly lacking. I want those who've offered to pray for me to direct their intentions and sympathies toward those who really need it. I have a great life. I have achieved almost all of my educational goals. I have a husband whom I love and a job that makes me happy. To waste sympathy on me would be abhorrent.

I want to start an educated, informed discourse. I don't want to be spoken to in condescending tones and told that this is just a phase. I am not a small child who has developed finicky eating habits. I am a grown, responsible adult woman who has made a decision. Just as gays and lesbians do not "outgrow" their orientations, I don't believe that I will outgrow mine either.

I want people to know that I do have a family.

There are people who believe that I should not have married my husband because we don't plan to reproduce. I can't help but wonder: Is a family not made up of people who love and care for each other? Is there a minimum quota to be considered a family? Last time I checked, there wasn't. Are two people raising their offspring in an environment of anger, violence or poverty better people than my husband and I, whose house is filled with happiness and love?

I want people to know that writing this essay is the boldest thing I have ever done in my life. I realize that by publishing it, I run the risk of being ostracized and alienated by many people. That's OK. It is a risk I am willing to take.

Like the equal rights crusaders before me who have challenged the beliefs of society with regard to race, gender and sexual orientation, I realize that my views will not always be popular.

I just wish to do my part in creating a society that allows everyone, regardless of personal choices, to be accepted and able to express themselves freely without fear of judgment.

The opinions expressed in this commentary are solely those of Zoe Zorka.

@highlight

Zoe Zorka feels discrimination as a woman who doesn't want children

@highlight

She's been met with mixed reactions after "coming out" to family and friends

@highlight

"To waste sympathy on me would be abhorrent," Zorka writes

@highlight

Have a personal essay to share with the world? Submit at CNN iReport