(CNN) -- Frequent flyer programs are meant to breed passenger loyalty. The logic goes that if travelers can earn free tickets and preferential treatment by flying one airline or alliance, they will. A new study shows that this isn't always the case.

A poll of 1,005 British citizens conducted by Collinson Latitude found that 40% of those signed up to airline loyalty schemes never redeem miles, which, one would imagine, slightly defeats the purpose. Given the many seeming limitations associated with them -- blackout dates, minimum spends, expiry dates -- it's not surprising.

"It's ironic that what is meant to be a key benefit for travelers becomes a key frustration quite quickly," says James Berry, product director for Collinson Latitude.

Jay Sorensen, the president of IdeaWorksCompany, which consults airlines on how to build and improve their loyalty schemes, says he doesn't find the study surprising.

"The UK is a bit of an enigma in the market, as their three largest airlines don't encourage people to sign up to their programs," he says. British Airways' scheme, titled the Executive Club, is almost exclusively geared towards business travelers, he says, while neither Ryan Air nor EasyJet have designated programs.

Is that seat free?

Still, if a good loyalty scheme is rated on the ease of acquiring a reward seat, the British carriers aren't the only ones letting customers down.

IdeaWorksCompany recently conducted research as part of the Switchfly Reward Seat Availability Survey. Throughout March, they made 7,560 queries for free seats on 25 leading airlines, and tallied the percentages that were available.

Air Berlin, GOL and Southwest tied for top spot, each able to accommodate queries 100% of the time. Delta and US Airways tied for last place, with only 36.5% of requests resulting in a potential booking.

Read more: Airbus rolls out new A350 XWB

The discrepancy, Sorensen says, simply comes down to the fact that some airlines think making reward seats available is good business practice, while others just don't see it as a priority. Arguably, some airlines are more interested in selling reward miles to third parties, such as banks, who can distribute the miles as rewards to their own customers. The practice is a multi-billion dollar earner for many carriers.

"They love cashing the checks from the banks, they just hate to give up those seats," quips Sorensen.

More bang for your buck

Another major grievance for those polled by Collinson Latitude was the lack of affordability of reward seats, with 60% complaining it takes too long to earn enough miles to get anything of value.

Gary Leff, the cofounder of frequent flyer community milepoint.com, and a consultant on the Freddie Awards, which recognizes airlines with the best loyalty schemes, notes that some carriers have hidden value that one might not realize from simply skimming their policy page online.

Infographic: What we spend on business travel

"Air France-KLM are particularly good," he says (the airline recently won four Freddie's for their Flying Blue program). "They have frequent promotions that allow members to redeem international awards at just half the usual miles."

The best part is that Air France-KLM are partnered with Delta, meaning if a member of Delta's SkyMiles program can't find the reward seat they want at the price they want, they could always try using those miles to book with Air France.

Does it make you loyal?

As only 60% of those polled seem to make use of their frequent flyer program, it's understandable to question whether these schemes succeed in building allegiance to a brand. Sorensen says sadly, it's a difficult prospect to measure.

"If we had an airline that would turn their program off, we would have empirical evidence one way or another, but no one has done that, because these programs are a weapon no one wants to be without."

@highlight

Recent survey found 40% of passengers never redeem loyalty miles

@highlight

Many airlines don't see frequent flyer programs as a business priority

@highlight

Air France-KLM seen as one of the best, partnering with Delta