Charles Darwin once said that we can understand some parts of nature and the universe, but we can't comprehend them.

For instance, take the fact that in the next 12 years, we're projected to add another billion people. Since a billion seconds equal 31.7 years, at the rate people are arriving, we can't even count them.

Or that the Intergovernmental Panel on Climate Change now says that if we want to stay below a 2-degree Celsius (3.6-degree Fahrenheit) increase in average global temperature, we can't emit any more carbon dioxide than what's released by burning 1 trillion tons of carbon. But we've already used more than half our allotment.

There's a direct link between those two hard-to-grasp figures -- the more humans, the more carbon.

Every mile we drive, ours cars emit about a pound of carbon dioxide. The average U.S. driver clocks 12,000 miles per year, pushing six tons of carbon out of his auto's tailpipe. The quarter-billion cars in the United States expel 150 million tons a year. In the whole world, there are now well over 1 billion cars.

Those numbers are mind-boggling, even before we add the exhaust from our industries, power plants, and home heating and cooling. No, we can't easily comprehend the sheer scale of the problem, let alone imagine what we can do about it. But maybe this helps to frame it.

According to the World Resources Institute, to stay on the safe side of a 2-degree Celsius increase, we'd have to go back to the amount we were expelling in 1990 -- and then cut that in half.

How might we possibly do that?  It will depend on how wisely we address the matter of those billion new humans.

Here are four ways to cut greenhouse gases, from the most unlikely to the most plausible:

The first is to trap them before they float skyward and start acting like glass in a greenhouse. This is possible -- theoretically.  We know how to capture carbon dioxide from smokestacks (though not from all those cars). We'd then have to dig deep holes to pump it underground and somehow keep it there. One way is to inject the gas into underground saline aquifers, turning their contents into salty carbonic acid, which would then react with surrounding rocks until the carbon dioxide becomes entombed in solid carbonates.

That's very neat but very expensive. The only attempt in the United States, in West Virginia, was abandoned in 2011 by American Electric Power because it would have cost two-thirds of $1 billion, even with the Department of Energy footing half the bill. Realistically, we'll never afford this -- and we're one of the rich countries. Imagine the rest of the world doing it.

The second possibility is finding new ways to produce clean energy. We must keep trying, but so far we can't concentrate enough diffuse sunlight or intermittent wind to run all our cities and factories (and it's hard to hang solar panels or wind turbines on cars).

Also, a 2012 paper in Environmental Research Letters by former Microsoft chief technology officer Nathan Myhrvold and Carnegie Institution physicist Ken Caldeira showed that the carbon debt incurred by construction of renewable energy plants, including mining their materials, takes decades to amortize before their energy is truly emission-free. And exotic methods such as controlled nuclear fusion, which powers the sun's core, are enticing but perpetually decades away.

Third, we can use incentives such as carbon taxes and moral persuasion to bring down energy consumption. Again, these help, and must be encouraged. Although a number of countries and some U.S. states have passed carbon taxes, consumption is exceedingly hard to control in a world where, for example, even the world's poor masses, increasingly living in cities, manage to get cell phones. Whether the power is pirated or not, they plug in their chargers nightly. Despite all our best efforts to conserve and consume less, global carbon emissions reached a record high in 2012, and keep climbing.

Last, however, if we can't control consumption, we can control the number of consumers. This is technology we already have, and it's cheap. Every woman, everywhere, could have contraception.

Most of us would find coercive government limits on child bearing abhorrent. But giving women access to contraception and to education makes draconian edicts unnecessary. An educated woman has an interesting and useful contribution to make to her family and her society. Since she can't easily do that with seven children hanging on her skirts, most women who get through secondary school want two children or fewer. Providing access to contraception and educating women may be the fastest path to giving our planet a break.

In September, the Intergovernmental Panel on Climate Change presented compelling evidence that seas are rising faster than ever in human history. The last time there was this much carbon in the atmosphere, at least 3 million years ago, oceans were 30 to 100 feet higher. Much of the world's most widely consumed foodstuff, rice, is grown near sea level, and the cost of protecting it with coastal dikes would be astronomical.

This month, a team of University of Hawaii climate modelers added in the journal Nature that in just seven years the tropics will be experiencing average temperatures unprecedented in recorded history -- and within a generation, so will the entire planet, unless we stabilize greenhouse gases in the next 20 years.

Population management can't do it all; we need a full-court press on all fronts. But if we want a secure future, we need to start with the fastest, most affordable way we know to limit carbon emissions: by bringing fewer emitters into the world.

@highlight

Alan Weisman: In the next 12 years, world is expected to add another billion people

@highlight

We have to cut greenhouse gases to stay on safe side of a 2-degree Celsius limit, he says

@highlight

Weisman says the fastest and easiest way to limit carbon emissions is population control

@highlight

Weisman: We need to educate women and give them access to contraception