(CNN) -- Israel has issued a rare statement of "regret" for the recent deaths of several Egyptian security personnel, hours after Egypt said it was recalling its ambassador.

Egypt's government posted a statement Saturday saying its ambassador would be withdrawn until Israel conducted an investigation into what it called "indiscriminate shelling" that led to the deaths of at least three security forces in its Sinai region on Thursday.  Later in the day, the statement was taken down without explanation.

Top-level Israel security officials met Saturday with Israeli Defense Minister Ehud Barak, who quickly issued a statement vowing that Israel would conduct a military investigation, followed by a joint examination with the Egyptian military, of the incident.

"We regret the deaths of members of the Egyptian security forces during the terror attack on the Israeli-Egyptian border," Barak said. "The Israel-Egypt Peace Treaty has great importance and much strategic value for the stability of the Middle East."

The tense situation between Israel and Egypt comes amid heightened tensions in the region following Israeli strikes in Gaza after a series of attacks in southern Israel on Thursday that targeted buses, cars and soldiers.  An Egyptian military official said Israeli forces may have been targeting militants near Egypt's border with Gaza when they struck and killed the Egyptian security personnel.

On Saturday, the Mideast Quartet -- the United Nations, the United States, Russia, and the European Union -- condemned Thursday's "premeditated terrorism" attacks on Israel, and warned that it remains concerned about the situation in Gaza.  It also expressed concern about the security situation in Egypt's Sinai peninsula.

"Recent commitments by the Egyptian government to address the security situation in the Sinai are important, and the Quartet encourages the Egyptian government to find a lasting resolution to the issue of Sinai security," it said.

No one in Israel's armed forces intentionally acted to harm Egyptian security personnel, Amos Gilad, a defense official involved in maintaining Israel's relationship with the Egyptian military, told Israeli Radio on Saturday.  He also stressed the strategic importance of the 1979 peace treaty between the two countries.

Outside the Israeli Embassy in Cairo, hundreds of demonstrators gathered Saturday to protest the killings and demand Egypt sever its ties with Israel.

Egyptian state-run TV showed protesters burning Israeli flags and chanting "Egyptian blood is not cheap."

Israel believes that the attacks had their roots in Gaza, but were coming out of the neighboring Egyptian region of Sinai.

"The Egyptian control over Sinai is weakening and this is probably the reason that this attack that originated in Gaza has made it all the way down here," Barak said Thursday.

The Egyptian claims of Israeli forces killing three of its security members and injuring four surfaced Thursday, the same day Israel launched airstrikes on Gaza.

Senior Egyptian military and security forces told CNN that two members of the Central Security Force and one military officer were killed in clashes east of Ras Al-Naqab, 13 kilometers north of Taba.

At the time, an Israeli helicopter was in the area chasing militants in the aftermath of the attacks on Israelis, said Gen. Saleh Al Masry, head of security in North Sinai Province.

"The Israeli ground troops engaged with armed militants 200 meters from the Egyptian border which may have also led to casualties on the Egyptian side," said Lt. Col. Amr Imam, the Egyptian army spokesman. "We have reinforced our border guards and raised the level of alert."

The rising tensions also come as questions are being raised in Israel about the Egyptian military presence in the demilitarized zone in Sinai, which was created under the terms of the Camp David Agreement signed in 1978 between Egypt and Israel.

Since the overthrow of Egyptian dictator Hosni Mubarak, the security situation in Sinai has deteriorated.

Senior Egyptian officials said several weeks ago that more than 23,000 prisoners escaped from prisons in Egypt in late January and February because of the breakdown in regime authority.

Additionally, travel between Egypt and Gaza has become much easier since the Military Council reopened the border crossing at Rafah in late May.

But along with traders -- and Gazans just wanting a break from their cramped sliver of territory -- there are signs that Islamist groups are taking advantage of weaker security. The crossing is the only land passage out of Gaza not directly under Israeli control.

Egypt claims it has been cracking down on terror groups in its portion of the Sinai, exchanging fire with militants on its side of the border.

"The security at border has not been affected by the revolution, and no one from Egypt has crossed through to conduct the attacks on Israel,"  said Khaled Fouda, the governor of Southern Sinai, an Egyptian province.

He said the distance between where the Egyptian forces were attacked and the border of Egypt was too far to allow the sort of attack against the Israelis that sparked the strikes on Gaza.

CNN's Hamdi Alkhshali, Talal Abu Rahma, Guy Azriel, Ben Wedeman, Salma Abdelaziz and journalist Mohamad Fadel Fahmy contributed to this report

@highlight

NEW: Quartet warns Egypt to 'address the security situation' in Sinai

@highlight

Israel issues rare statement of 'regret' over Egyptian security forces' deaths

@highlight

Israeli defense minister:  Military investigation, and joint probe with Egypt, will take place

@highlight

Egypt posted a statement saying it would recall its ambassador; statement later removed