(CNN) -- Two recent incidents have people questioning the basic goodness of humanity.

In Washington, a man had a fatal heart attack across the street from a fire station. Passers-by said firefighters refused to help him because they hadn't been officially dispatched.

At an elementary school in Salt Lake City, staff members seized and discarded children's lunches because their parents owed money on their accounts. (School administrators apologized.)

Officials in Washington say they are "furious" at the firefighters' inaction. A mother of one of the students in Utah says she was "blind-sided" by the school's actions, and a state senator says he is "incredibly disappointed."

The anger and bewilderment are understandable. But neither incident seems that shocking when considered in light of decades of study of the psychology of obedience and power. Researchers have repeatedly found that allegiance to rules and protocols routinely trumps people's consciences and sense of basic moral responsibility.

Most famously, studies by Stanley Milgram at Yale University in the 1960s found that ordinary people were willing to give what they believed were fatal electric shocks to their partners in a bogus "memory experiment" simply because a researcher in a white lab coat told them to. The people supposedly getting shocked (who were working with Milgram and not being hurt at all) hollered and pleaded for the shocks to stop, which distressed many of the people administering them, but they kept at it. In fact, roughly two-thirds of the participants kept giving shocks until they had reached the highest voltage level possible, a percentage far higher than Milgram or any of his colleagues anticipated.

In a similar vein, the infamous Stanford Prison Experiment run by psychologist Philip Zimbardo took typical Stanford University undergrads and randomly assigned them to be guards or prisoners in a makeshift jail. The guards completely took on their new roles and meted out cruel and sadistic treatment to their "prisoners."

The authority they were given and the rules they were asked to enforce blinded them to what was right â€” and perhaps the same could be said for those school officials and firefighters.

It's important to keep in mind that the participants in Milgram and Zimbardo's studies weren't necessarily bad people. They were likely no worse than you or me. They, too, were likely "blind-sided by the surprisingly strong ways that rules and circumstance can dictate our behavior. While we would like to believe that humanity has evolved since the 1960s, other researchers have achieved similar results in more recent years.

Is the upshot of all this that we're condemned to be unprincipled sheep? That a few rules and regulations can easily blind us to the better angels of our nature?

Not so fast. The research shows that while external influences on our behavior can be strong, they are not insurmountable.

We can overcome these influences simply by becoming more aware of them. One set of studies found that when people attended social psychology lectures explaining how external pressures can inhibit moral behavior, they became less susceptible to those pressures.

Other evidence suggests that being reminded of one's similarities or common humanity with a person in need can motivate us to come to their aid, even when doing so puts ourselves at risk. Perhaps if bystanders' appeals to those firefighters had struck a more personal chord with them, they might have been jarred into action.

Finally, throughout history, we have seen examples of people who displayed great altruism, even heroism, while most everyone around them remained bystanders to evil â€” or perpetrators of it. Some evidence suggests that the roots of this caring behavior extend back into childhood. A seminal study by Samuel and Pearl Oliner suggests that one commonality of people who rescued Jews during the Holocaust was that their parents nurtured empathy in them, such as by encouraging them to see the world from other points of view and emphasizing the universal similarity of people.

Indeed, the childhood roots of altruism were evoked by another story in the news this week: the story of 10-year-old Danny DiPietro, who noticed that something seemed awry in a neighbor's garage and pressured his mother to investigate.

Despite his mother's resistance, Danny persisted until his mother agreed to walk down the street. She found an 80-year-old neighbor who had slipped, couldn't get up, and likely would have died had she spent much more time trapped outside in the freezing cold. Rather than remaining quiet or succumbing to the pressure not to make waves, Danny stayed attuned to his moral instinctsâ€”"something just didn't feel right," he said.

Sometimes it's nice to be reminded that while sensing what's right can get complicated by adult rules and regulations, it can still come naturally to kids.

The opinions expressed in this commentary are solely those of Jason Marsh.

@highlight

Jason Marsh: Stories of school lunches grabbed from kids, man ignored by rescuers draw shock

@highlight

How does this happen? Studies show people all too blindly obey rules, authority, he says

@highlight

Marsh: It's surmountable. People can be reminded of humanity, taught empathy

@highlight

Marsh: Story of boy, on his own instincts, urging mom to check on fallen neighbor gives hope