(CNN) -- Syrian President Bashar al-Assad's government and the opposition demanded independent investigations Wednesday into countering accusations of the use of chemical weapons, allegations that prompted most members of the U.N. Security Council to call for a probe.

The demands, made in writing to the United Nations, came a day after the government and the rebels accused one another of using chemical weapons in fighting in the flashpoint province of Aleppo and a rural suburb of the Syrian capital of Damascus.

Even as both sides accused the other of using such weapons, the U.S. ambassador to Syria and other officials said there was no evidence to substantiate the reports.

"So far, we have no evidence to substantiate the reports that chemical weapons were used yesterday," Ambassador Robert Ford told the House Foreign Affairs Committee.

"But I want to underline that we're looking very carefully at these reports. We are consulting with partners in the region and in the international community."

Ford, who was pulled from Syria when the United States closed its embassy in Damascus more than a year ago, said he was "skeptical" of Russian reports that the rebel Free Syrian Army had used chemical weapons.

Competing calls for investigations

Throughout the civil war, which began in 2011, it has been difficult for the international community to determine the validity of claims by both sides of violence and casualties because access to the country has been severely restricted by the Syrian government.

Even so, the United Nations confirmed Wednesday it was studying a written request received from Syrian government officials, who were calling for a neutral party to investigate their claim.

A majority of the members of the U.N. Security Council plan to send a letter to Secretary-General Ban Ki-moon to request an inquiry to "shed light" over the reports, said Gerard Araud, the French ambassador to the United Nations. He made the comments after Wednesday's closed-door meeting of the Security Council.

The letter asks Ban to conduct a "swift, thorough and impartial" investigation, Philip Parham, the UK's deputy ambassador to the United Nations, said.

Parham described the Syrian government's demand as a request for a narrow investigation, looking into only one alleged incident.

"The way in which they have framed the request prejudges the outcome of the investigation by alleging it's the opposition that is responsible for that case of use of chemical weapons," he said.

The Security Council is calling for a broader investigation.

The rebels' coalition government, meanwhile, demanded an international investigation and called for a delegation to visit the sites of the alleged attacks.

Military analysts believe the Syrian government may have one of the largest stockpiles of chemical weapons in the world. Specifically, the supply is believed to include sarin, mustard and VX gases, which are banned under international law. Syria has denied the allegation.

The use of chemical and biological weapons are banned under the Chemical Weapons Convention. Syria is not one of the 188 signatories to the convention, which bans the production, stockpiling and use of chemical weapons.

In recent months, reports have repeatedly surfaced that Syrian forces moved some of the chemical weapons inventories possibly because of deteriorating security in the country, raising fears the stockpile could fall into the hands of al Qaeda-linked groups working with the opposition should al-Assad's government fall.

As a result, the United States has been talking with neighboring countries about the steps needed to secure the weapons stockpile should al-Assad be forced from office.

Meanwhile, U.S. President Barack Obama on Wednesday reiterated his warning to Syria's government that it would be held accountable for the use of chemical weapons "or their transfer to terrorists."

"We intend to investigate thoroughly exactly what happened," Obama told reporters during a joint news conference in Jerusalem with Israeli Prime Minister Benjamin Netanyahu.

The president said he was "deeply skeptical" of Syrian government claims that the opposition used chemical weapons.

Obama has previously said Syria's use of chemical weapons would cross a "red line."

"We have been very clear to the Assad regime -- but also to other players on the ground -- that a red line for us is, we start seeing a whole bunch of chemical weapons moving around or being utilized," he told reporters. "That would change my calculus; that would change my equation."

Intelligence agencies pore over the evidence

Intelligence officials around the world were investigating the accusations, U.S. officials told CNN on Wednesday.

Investigators were talking to rebels and defectors, poring over medical intelligence regarding symptoms reported by doctors and looking at satellite imagery used to track missiles launched and chemical weapons movements, the officials said on condition of anonymity. They were not authorized to release details to the media.

A spokesman for Netanyahu, Mark Regev, told CNN that Israeli officials had no confirmation that chemical weapons had been used.

But Regev's comments did not square with those of Israeli Justice Minister Tzipi Livni.

"It is clear for us here in Israel" that chemical weapons have been used in Syria, and an international response should be on the table, Livni told CNN in an exclusive interview from her home in Tel Aviv.

Livni wouldn't say whether there is evidence the Syrian government has directed the use of any chemical weapons.

But she said the development would pose a direct threat to Israel, which shares a border with Syria.

Their concerns centered on an attack Tuesday in Khan al-Asal in the northern province of Aleppo. State-run media blamed rebels for the attack, which it said killed 25 people and injured more than 110 others.

Rebels say they have no chemical weapons

On Wednesday, Syria's U.N. ambassador, Bashar Ja'afari, said the Syrian government has asked Secretary-General Ban Ki-moon to open an investigation into the alleged use of chemical weapons by "terrorist groups," which is how the government refers to rebels.

But the opposition Free Syrian Army said rebels don't have access to chemical weapons and blamed the casualties on a government missile.

Separately, an opposition group said the government attacked the rural Damascus suburb of Ateibeh with "chemical rockets," causing an unspecified number of deaths along with cases of suffocation, nausea and hysteria. There was no immediate government response.

The reports ignited a firestorm of reactions, with Russia slamming the rebels and some U.S. lawmakers saying that Washington might need to take action against the Syrian government.

Observers: Images are not consistent with a chemical weapons attack

But images posted by Syrian state-run media of the aftermath of the Aleppo incident, which the government blamed on rebels, are not consistent with a chemical weapon attack, some observers said.

"There are no images of the site of the attack; just of some affected people. These people do not show outward symptoms of a CW (chemical weapon) attack. Definitely not mustard; definitely not a nerve agent," wrote Jean Pascal Zanders, senior research fellow at the European Union Institute for Security Studies.

"There are far too many people, including non-medical staff, around the affected persons. Apart from a surgical mask, nobody wears any protective garment or gas masks. If there would have been a CW attack with one of the agents known (or believed) to be in Syria's arsenal, then most of the people present would have been fatally or seriously contaminated."

He added that, during the Arab uprisings, witness reports cited chemical attacks, but none had been confirmed. "People are exposed to a wide range of toxicants in today's battlefield," he said in an e-mail. "Furthermore, once a rumor gets around, people are more likely to think that they suffer from symptoms similar to the ones being rumored."

Q&A: What's Syria's chemical weapon potential, and what are the health risks?

Not the first round of claims

U.S. officials pointed to previous claims that the Syrian government used chemical weapons, which were found to be false after extensive investigation.

The Syrian government did not use chemical weapons against residents of Homs in a December attack, a U.S. State Department investigation showed, but did apparently misuse a riot-control gas in the incident, according to senior U.S. officials.

The officials said the State Department launched a probe from its consulate in Istanbul, Turkey, after reports from doctors and activists that dozens of people suffered nervous system, respiratory and gastrointestinal ailments after inhaling the gas in Homs on December 23.

The civil war -- which began two years ago after a government crackdown on Syrian protesters -- has left around 70,000 people dead and uprooted more than 1 million others, the United Nations has said.

CNN's Tom Watkins, Saad Abedine, Jessica Yellin, Nick Paton Walsh, Jake Tapper and Elise Labott contributed to this report.

@highlight

NEW: The Security Council asks Ban Ki-moon for a "swift, thorough and impartial" investigation

@highlight

U.N. Security Council calls for investigation to "shed light" on chemical weapons claims

@highlight

"We have no evidence" to prove chemical weapons use, U.S. ambassador to Syria says

@highlight

Medical evidence and satellite imagery are a focus of chemical weapons inquiry, sources say