(CNN) -- As news of the tragic shooting at a school in Newtown, Connecticut, rippled across the globe, Mari Lolarga found a candle in his home in the Philippines and lit it in honor of those who died.

Lolarga, who lives in Santa Rosa City, said he found it "unspeakable" that someone would kill people who could not defend themselves, especially children "who know nothing of violence."

"I wanted people to understand that while we may not be Americans, we too are parents who care deeply for our children," the father of two said.

His heartfelt reaction was typical of many in CNN.com's international community responding to last week's shooting at Sandy Hook Elementary School in Newtown. It triggered an outpouring of views from across the world, with many offering condolences to those affected.

How other countries deal with massacre nightmare

From Haiti to Pakistan, people said they were shocked at the apparent targeting of children and expressed helplessness that they could not do more to stop the violence.

View from abroad: Sorrow, but little hope for U.S. gun control

Many were teachers, describing a kinship they felt for those women who died protecting their charges. Others were parents, saying they wanted to hold their offspring a little closer and reach out to those for whom such contact would no longer be possible.

"May Allah give courage to all families to face it bravely, may the souls of those angels rest in peace," said Ghulam Murtaza, an elementary school teacher from Pakistan.

In Lithuania, a teacher identifying herself as Veronika commented: "I send all my love and prayers to the families. It is all I can do from so far away, but my heart is now in Newtown with all the affected people. God bless them all."

And in Haiti, Frisnel Oxine said he could barely read the news reports for crying. "I also have a girl of 6, and I just imagine she could have been there," he said. "We used to travel to the U.S. and wanted (her) to stay for school."

There are few parts of the world left unscarred by mass shootings. Places such as Dunblane, Scotland, or Aurora, Colorado, conjure images of terror and loss simply from their names.

'This is what parents in the Middle East go through every day'

In Port Said, Egypt, Maggy Hamada spent hours glued to CNN in her home, growing increasingly depressed and sympathetic toward the families left bereft.

Hamada, an Egyptian-American, compared the tragedy to the many children killed in recent violence across the Middle East.

"The murder of these innocent children living in America is obviously something very new (to America), and no one would think in a million years that this could happen in the U.S," she said.

"... I guess it's a wake-up call for America because they tasted a bit of what the other countries in the Middle East go through every single day."

In grief and with love, from Canada

Inevitably, many questioned U.S. gun control laws, comparing them with their own countries and finding the U.S. government wanting when it comes to action.

Lisa Garnier from Canada said she and her husband were so devastated by the news they both sat down and cried.

"What else would your reaction be?" Garnier asked. "It doesn't matter where you were. Anyone who heard it had to take a moment to sit down. It's horrible."

The pair said they could not help comparing U.S. gun laws to their situation in Canada, where there are strict licensing laws and waiting periods.

They also felt that the last thing you would do is arm more citizens with lethal weapons.

"The police or the army -- they are the people that should have guns," said her husband, Julian. "They need to have 100% of all people background checked and a waiting period of a week or more so no one can buy a gun on a spur of the moment."

South African questions tougher gun control

However, others said they felt that guns were not the problem -- just better enforcement of laws and more arming of responsible citizens.

Wessel Smith from Pretoria, South Africa, owns a gun and carries it with him at all times. He said he wishes he didn't have to do so but said several years ago his wife had an AK-47 pointed at her during a robbery. The incident convinced him that "responsible citizens" with no criminal backgrounds should be armed.

"Gun control won't stop crazy men from murdering people in schools," he said, "(but) if I was a teacher at that school and I was carrying a weapon, that guy would have been dead."

Despite differing opinions on how to stop such crimes from being committed, many people said they were united in one thing -- grief for those parents who had lost a child.

"As a mother of two kids I understand there are no words that can support the poor parents," said one commenter from Russia who identified herself as Julia.

"I just want to say that people in Russia are crying with you now."

@highlight

People from Haiti to Pakistan express sorrow over killings in Newtown, Connecticut

@highlight

Some say they were shocked over apparent targeting of kids

@highlight

Issue of gun control proves as divisive globally as in the U.S.