(CNN) -- These pictures were taken within one week of each other in the center of Aleppo and show the incredible resilience of some of its residents in the face of Syria's bloody civil war.

Photographer Issa Touma's home in the historic area of Aleppo has been badly damaged by gunfire. Yet, amid the crossfire between opposition and government forces, Touma is still organizing the international photography festival he holds every year.

Touma, who owns a gallery in Aleppo, has been running the exhibition for 11 years and was determined that the show would continue despite fighting reaching the center of the city on August 19. The festival was due to open on September 15.

"Before that time we were continuing preparations for the festival in the normal way because we didn't think the middle of the city would be affected by the war," said Touma.

"But life changed quickly. Shooting started to come from every direction," he added.

Syria's largest city, in the north of the country, has become a key battleground between the rebel Free Syrian Army, which controls parts of the city, and forces loyal to President Bashar Al-Assad aiming to drive them out.

Until August, the fighting was confined to the countryside surrounding the city, but has since moved closer and closer to the center.

On August 27, Touma's home in a historic area of the city was badly damaged by gunfire and he says he was trapped inside for nine days while fighting raged outside.

"The Free Syrian Army's lines were in front of my house," he said. "Those nine days were so terrible."

"After nine days both sides stopped firing for a short moment to let the civilians out.

"There was no food in my fridge by then. I will never forget those nine days in all my life."

Amnesty International said in a report on August 23 that civilians had borne the brunt of air strikes, mortar and artillery attacks on residential areas, with scores of people not involved in the conflict killed and injured.

The United Nations estimates that 19,000 people have been killed across Syria since the uprising began 18 months ago and that 1.2 million people -- half of them children -- have left their homes and become refugees in their own country.

Also on Inside the Middle East: Tunisian artist graffitis minaret, fights intolerance

Touma is now living with his parents in the center of Aleppo and considers himself lucky.

He said: "Many people are living in the street or in the entrance of buildings, in schools, in churches, in gardens, many families are living together without much space.

"All night we can't sleep because most of the war happens at night. Sometimes the water cuts out for two or three days, sometimes electricity cuts if they are shooting the cables."

Many practical problems made organizing a photography festival a near impossibility, he added: There was no communication or internet connection in the city for almost a month, the building where the festival was due to take place was inaccessible and artworks that had been sent by artists around the world had not arrived.

"It's almost an impossible situation but we wanted to go on because if we don't go on people will lose hope," said Touma.

So he organized a smaller scale exhibition in his own gallery -- which had not been damaged -- and 60 people attended the symbolic opening.

The 870 photographs he has from 48 artists around the world will be shown gradually in a changing display in Touma's gallery, rather than all together in a large building as planned. A few other galleries in the city have also offered to show parts of the exhibition.

"People were really happy at the opening," said Touma. "It's been really important for everybody."

"It all has to change depending on the situation, nothing is certain. It all depends on which direction they are shooting in, whether we can get in touch with people to advertise."

Also on Inside the Middle East: Syrian artists fight Assad regime with satire

Touma said that many of his traditional audience had fled Syria, and instead many of the people coming to the festival had never been to a gallery or been interested in photography before.

In March, he also launched a peace project called Art Camping in response to the war, which has been dividing the country since protests against Al-Assad began in March 2011.

It is a series of art, music and photography workshops, often aimed at refugees or people who have never been interested in art before.

"People talk about the refugees in Jordan or Lebanon, but most refugees are inside the city," said Touma. "All around Aleppo is war and more and more people are coming to the center."

"The center is so crowded, you can't imagine how many people are living in the city."

"When people do programs for refugees, they give them food and medicine, but not culture or anything to keep them busy.

"It's very important to everybody that there's heart in society still alive and that they still have some hope.

"These are people who have had to leave their homes, who have never been to a gallery before and now they are turning up to do art and see art.

"Now about 500 people have taken part in Art Camping. Not altogether, but different people have done different workshops."

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN, writer Catriona Davies: @catrionadavies and digital producer Mairi Mackay: @mairicnn.

@highlight

Civil war reached center of Syria's second city one month before photo festival due to start

@highlight

Organizer Issa Touma's own home was destroyed in gun fighting

@highlight

11th annual photo festival continued on smaller scale despite fighting