Mark Sanford is living proof that life is full of second chances.

The former Republican governor of South Carolina, whose political career was left for dead along the Appalachian Trail after an extramarital affair, asked for, and Tuesday received, political redemption as he won a special election to fill a vacant House seat that he once occupied.

"I want to acknowledge a God not just of second chances but third, fourth, fifth, sixth, seventh, eighth chances, because that is the reality of our shared humanity," Sanford said at his victory celebration after defeating his Democratic opponent, Elizabeth Colbert Busch. "I am one imperfect man saved by God's grace."

5 things we learned from Sanford's win

And at a news conference minutes later, Sanford added that "I think we're always on the search for redemption and I think this is certainly a degree of political redemption."

Sanford, who won 54% to 45%, according to an unofficial vote count in South Carolina's 1st Congressional District, made reference to his political baggage from his infamous affair.

"If it was just about market-based ideas and limited government, this campaign would have easily won a long time ago. But I had deficiencies that are well chronicled as a candidate and at the end of the day I was carried across the threshold, if you will, by an incredible team of volunteers."

Colbert Busch, an official with Clemson University's wind turbine drive testing facility who was best known nationally as the sister of satirist and Comedy Central host Stephen Colbert, said that, "The people have spoken and I respect their decision."

But she added that "We gave it a heck of fight" and assured supporters that "I will continue to fight for the people of South Carolina."

Sanford won all five counties in the district, including Charleston and Beaufort, home to Hilton Head, where some Democrats hoped that older voters would be turned off by Sanford's scandals and just stay home. In Charleston County, Sanford's home base but the Democrats' best hope as well, he narrowly edged out Colbert Busch.

Colbert Busch won absentee ballots, but it wasn't nearly enough to carry her to victory.

Sanford: Primary win was 'a big referendum' on comeback effort

"Turnout was very large for a special election -- roughly a quarter of the 18-plus population voted, more than 140,000 votes total," said CNN Polling Director Keating Holland, who analyzed the vote. "That seems to have helped Sanford.  Low turnout would have meant a lot of Republicans who were reluctant to vote for him and wouldn't vote for a Democrat. High turnout turns that around: Plenty of Republicans who had misgivings about Sanford came out to vote anyway."

Sanford's oldest son Marshall and his now-fiancÃ©e Maria Belen Chapur were standing beside the candidate at his victory celebration.

"She flew a continent to be here last night. Whether I won or lost, she wanted to be here," Sanford said Wednesday mornign on CNN's "Starting Point." "We certainly appreciate her willing to do so, and I think as folks get to know her, I think they're going to love her."

Sanford was in his second term as governor in 2009 when he disappeared from public view for several days. At the time his staff claimed he'd been hiking the Appalachian Trail. He later admitted that he was actually in Argentina, seeing Chapur, with whom he was having an affair.

The episode sank any hopes Sanford had of making a bid for the 2012 GOP presidential nomination. Sanford and wife Jenny were divorced in 2010. He finished his second term as governor in January 2011, after being censured and fined tens of thousands of dollars for ethics violations, exiting to what many thought would be political obscurity.

But he came back, beating out 15 other candidates earlier this year to win the Republican nomination in the race for the vacant House seat. From the start, Sanford was very open about the affair on the campaign trail and made it the subject of his first TV ad.

And even with all his political baggage, he was considered the favorite in the race until last month, when court documents revealed his ex-wife had filed complaints against Sanford for trespassing on her property.

Sanford told CNN that he didn't want to leave his sons home alone while their mother was away. He's scheduled for a court appearance two days after the election.

Not long after the trespassing story broke, the National Republican Congressional Committee announced it was pulling out of the race and national Democratic groups announced they were throwing more money into the contest.

And National Democratic groups jumped in. The Democratic Congressional Campaign Committee and independent pro-Democrat House Majority PAC combined dished out nearly $1 million to defeat Sanford.

The two groups, as well as Colbert Busch, highlighted the affair. At their only general election debate, Colbert Busch brought up Sanford's 2009 secret trip to Argentina to see his mistress.

"When we talk about fiscal spending and we talk about protecting the taxpayers, it doesn't mean you take that money we saved and leave the country for a personal purpose," she said sternly, looking directly at her opponent on stage.

In South Carolina politics, two very different campaign styles

And her campaign went up with a TV commercial which slammed Sanford for using "tax dollars to visit his mistress in Argentina, disappeared for a week leaving no one in charge, betrayed all who trusted him, then lied to cover it up. Mark Sanford, it's a question of character."

The DCCC and House Majority PAC have also spotlighted the affair in their final ads.

"I used to be for Mark Sanford, but not any more. He skipped town to be with his mistress on Father's Day. Sanford even asked his wife for permission to have the affair," said Mt. Pleasant Republican voter Jennifer Stark in the House Majority PAC commercial.

But over the past month, another woman also entered the campaign spotlight: House Minority Leader Nancy Pelosi.

Sanford and his campaign repeatedly tried to tie Colbert Busch to Pelosi, saying that a vote for Colbert Busch would also be a vote for Pelosi, who has high negatives with Republican voters and who most likely would become House speaker again if the Democrats run the table and regain control of the chamber in next year's midterm elections.

Opinion: Zombie politicians find new life after disgrace

"I've fought hard over the years to make South Carolina a better place to call home. But those efforts pale now against the larger battle for the direction of our country. Maybe that's why Nancy Pelosi and allies have spent more than a million dollars to defeat me. But this contest is bigger than them or me, it's about two different visions of how we restore America and reign in Washington spending," Sanford said, looking into the camera in a TV spot that started running district-wide last week.

Two weeks ago he even debated a cardboard cutout of Pelosi to call out Colbert Busch for not accepting more than one debate.

Sanford also repeatedly brought up the money that national Democratic groups have poured into the South Carolina race.

"What it says is, whose voice do you carry when you go to Washington D.C.?" he said in the debate with Colbert Busch, pointing to the hundreds of thousands of dollars that national Democratic groups have spent on the race.

Colbert Busch, responding to the Sanford criticism, sought to distance herself from Washington and from national Democrats.

"No one tells me what to do except the people of South Carolina's 1st Congressional District. So a victory for Elizabeth Colbert Busch is a victory for the people of South Carolina's 1st Congressional District," she told CNN Monday, adding that two-thirds of her contributions have come from within the Palmetto State.

While Sanford touted his fiscal conservative record, Colbert Bush campaigned as an independent centrist who would buck President Barack Obama. In her CNN interview, she highlighted where she doesn't see eye to eye with the president.

"I respectfully disagree with his budget," she said, adding that "we need to vote to repair" the president's health care law.

Even though they didn't support Sanford, the NRCC congratulated him Tuesday night, and said the results could prove troublesome for House Democrats in 2014.

"Democrats spent more than $1 million trying to elect a candidate who was backed by the Democrat machine, but at the end of the day, running on the Obama-Pelosi ticket was just too toxic for Elizabeth Colbert Busch," Rep. Greg Walden, NRCC chairman, said in a statement.

But national Democrats see a silver lining in Colbert Busch's defeat.

"House Republicans' outreach to women voters now has Mark Sanford as the face. Republicans now have to defend him and stand with him until Election Day," Rep. Steve Israel, DCCC chairman, said in a statement. "In this deep red Republican district that Mitt Romney won by 18 points, the fact that the Democrat made this competitive is a testament to the strength of Elizabeth Colbert Busch as a candidate and the Republican habit of nominating flawed candidates."

Sanford has a woman problem

The congressional seat became vacant when Rep. Tim Scott, who won re-election by 27 percentage points last November, was picked by GOP Gov. Nikki Haley to fill the Senate seat of Sen. Jim DeMint, who stepped down late last year to take over as the head of the conservative Heritage Foundation.

No Democrat has held the seat in more than 30 years, and that streak still stands.

@highlight

Sanford wins comeback race with about 54% of the vote

@highlight

Sanford wins all five counties in the district, Colbert Busch wins absentees

@highlight

Colbert Busch tried to make Sanford's extramarital affair an issue in race

@highlight

Sanford tried to tie Colbert Busch to national Democrats, including Nancy Pelosi