Istanbul, Turkey (CNN)Sitting on a sunny bench in Istanbul's Gezi Park, Fadime Gurgen dismisses the controversy surrounding the 100th anniversary Friday of the massacre of Armenians under the Ottoman Empire with a wave of her hand.

Gurgen, a 55-year-old cleaner, says her family has had close friendships with Armenians going back generations.

"There is no such thing as genocide," she says. "Other people are trying to create hostility between us."

Most Turks agree with Gurgen. Ninety-one percent of Turks do not believe that the events of 1915 -- when, according to Armenians, 1.5 million ethnic Armenians were systematically killed in the final years of the Ottoman Empire -- were genocide, according to a recent poll.

It's a sentiment shared by the Turkish government, which denies that a genocide took place, maintaining that hundreds of thousands of Turkish Muslims and Armenian Christians died in intercommunal violence around the bloody battlefields of World War I. Turkey also disputes Armenia's count of the numbers killed, putting it at 300,000.

It's a heavily disputed position -- the killings are widely viewed by scholars as genocide and the Armenian government and diaspora are lobbying for wider recognition in the international community.

Armenian Prime Minister Hovik Abrahamyan said Friday in statement that Turkey's Ottoman rulers had planned and carried out a "monstrous crime" in the years of World War I and called on more countries to recognize and condemn the genocide.

Many Armenians living in Turkey still feel treated as second-class citizens. However many have hope that Turkey's younger generation is more willing to accept that a genocide occurred than their parents.

"Students are much, much more liberal," says Diana Van, whose grandparents escaped the mass killings.

Van is a member of the delegation for the Armenian Genocide commemoration and is writing her Masters thesis on the issue at Ankara University.

"They have access to alternative information written in English, which is not taught in school (in Turkey). With more access to books, to alternative information, and with a larger democratization process, Turkey will be able to face its history."

A century after her Armenian ancestors escaped death in Eastern Turkey, Van says she is frustrated that Turkey is unwilling to accept what happened. "Your identity is denied by Turkey," she says. "They do not want to face this past. In Turkey, the word Armenian is still used as a curse. Whenever you want to hurt somebody, you say, 'you are like an Armenian.'"

Van says an admission of genocide by Turkey would largely be symbolic. While her grandparents lost their land, she has returned to their villages and she recognizes that trying to reclaim it would be impossible.

"I do not believe that this is going to happen," she says of the territorial claims made by many Armenians. "One hundred years have passed. I went to my ancestors' land, and I saw those Armenian lands full of Kurdish people, who have five to 16 children per family, and I saw that it's not Anatolia. It's not my homeland that I had in my imagination."

A growing number of scholars and world leaders believe that what happened should be called genocide. Germany looks set to join the European Parliament, France, Austria, Canada and some 20 other countries in labeling the atrocity a "genocide."

Two weeks ago the Pope referred to mass killings as "the first genocide of the 20th century" -- a move that infuriated Turkish President Recep Tayyip Erdogan, who called the claim "nonsense" and recalled his ambassador to the Vatican.

Some notable countries do not recognize the killings as genocide, including the UK and Israel and earlier this week U.S. President Barack Obama, wary of damaging relations with Turkey amid growing unrest in the Middle East, did not use the word genocide.

There are several reasons why Turkey maintains its position on the issue. Turks say that to most people there the term "genocide" is associated with Nazis -- not the beloved founders of modern Turkey.

Last year, the Turkish government expressed condolences to Armenians, and accepted that hundreds of thousands of their ancestors died as they were marched out of cities and towns in Central and Eastern Anatolia in the waning years of the Ottoman Empire.

But the government called it a "necessary deportation" during the messy and violent period of transition leading up to World War I -- when many Armenian radicals were threatening to side with Russia. Turkey says that there was never a deliberate, ethnically-driven effort to exterminate the Armenian population.

"It was a wartime precaution, like the U.S. relocated the Japanese population during World War II," says Dr. Kamer Kasim, Dean of Abant Izzet Baysal University. Kasim dismisses the drive for the "genocide" label as little more than a propaganda campaign being waged by the Armenian diaspora.

Politics and timing is another issue. At a time when President Erdogan is in full campaign mode ahead of upcoming parliamentary elections, he is attempting to assuage concerns about unemployment and slowed growth by drumming up nationalist fervor with promises of a "New Turkey" akin to the glory days of the Ottoman Empire. It's hardly the time to label the country's founders as murderers.

That wouldn't play well with Turks, many of whom have gone through years of schooling that instilled in them a fierce pride in their past.

In the same way that American schools often whitewashed the history of U.S. settlers and their relations with Native Americans, Turkish schools have long taken an airbrush to the "Young Turks." The movement, which began in 1908, was comprised of the army officers who were in power as the country transitioned from the hands of spoiled sultans to Mustafa Kemal Atatürk -- the much-adored leader who came to power in 1923 and is credited with founding the modern Turkish state.

The taboo surrounding the use of the word genocide began to crack about a decade ago when two of Turkey's best-selling international authors, Orhan Pamuk and Elif Safak, joined other intellectuals in raising the issue of whether the country's forefathers had committed genocide.

Pamuk and Safak were met with crushing resistance. They were harangued in the court of public opinion, and tried in real-life court on charges of "insulting Turkishness." Since 2003, Turkish schools have been forbidden from using the term genocide.

Calling the events of 1915 a genocide would undermine the very narratives the Turks hold most dear, says Burcu Gultekin Punsmann, a senior analyst at Ankara Policy Center who has studied Turkish-Armenian relations for a decade. She says the country simply isn't ready to dismantle the foundation it was built on, or stain the legacy of its founders.

"Turkey is still too young and too insecure to rewrite its history and question the events unfolding at the establishment of the republic," Punsmann says.

But in a statement issued to mark the anniversary of the killings, President Erdogan urged dialogue, saying "...As descendants of two ancient peoples who a hundred years ago shared the same destiny whether in joy or in sorrow, our common responsibility, and calling, today is to heal century old wounds and re-establish our human ties once again. Turkey will not remain indifferent to this responsibility and will continue to do its utmost for friendship and peace."

But there are other issues, including fears that an official recognition of genocide could unleash a flood of lawsuits against the Turkish government.

In 2006, descendants of exiled Armenians filed suit in a U.S. court against two German banks for restitution of assets, based on evidence that Ottoman ministries required that seized Armenian assets be turned over to the government and transferred to banks in Germany.

One 97-year-old Armenian woman living in the U.S. claims to have land deeds proving that her parents owned land that now houses an airport.

Her case is winding its way through the Turkish court system, but her lawyer, Ali Elbeyoglu, says the genocide debate has no effect: "We have deeds, so we are following the law and politics don't matter."

Others say that the genocide is distracting the country from more pressing issues between Turkey and Armenia, like the closed border between the two hostile neighbors.

Aybars Gorgulu, a foreign policy expert at TESEV, one of Turkey's leading think tanks, argues that it is Armenia, not Turkey, which suffers most from the tensions surrounding the issue. And he says it isn't in Armenia's best interest to push hard for a recognition of genocide that he doesn't believe will ever come.

"There's no diplomatic relations between the countries, and that plays into why Turks think there's a crazy diaspora obsessed with genocide, but that's not true," Gorgulu says. "The best thing for Armenia would be to enter into dialogue with Turkey, normalize relations, and open the border."

Meanwhile, the publicity surrounding the anniversary on Friday has prompted debate amongst Turks of all ages. On Sunday there will be a conference at Bogazici University on the atrocity -- one of few in Turkey that openly uses the term genocide.

Nisan Gul Goker, a 21-year-old art management student with bright pink lipstick, is one of the few Turks who believes that her country should change course.

"They keep referring to this as an 'Armenian incident' in quotations and can't call it genocide," she says, boarding the metro to her classes at Aydin University. "We should be ashamed of this and accept it."

@highlight

Massacre of 1.5 million ethnic Armenians under the Ottoman Empire is widely acknowledged by scholars as a genocide.

@highlight

Turkish government officially denies it saying hundreds of thousands of Turkish Muslims and Armenian Christians died in intercommunal violence