Caroline Kennedy on Tuesday stepped before an emperor and into a new global limelight, along a path paved by her father.

Arriving at Tokyo's Imperial Palace in a maroon horse-drawn carriage, the 55-year-old presented Emperor Akihito with her credentials to serve as the U.S. Ambassador to Japan.

Along the route into the palace's leafy grounds, onlookers waited to catch a glimpse of her in the late autumn sunshine. Some waved small Japanese and U.S. flags.

"This appointment has a special significance as we commemorate the 50th anniversary of my father's presidency," she told a U.S. Senate committee in September before being confirmed for the post.

Her father, President John F. Kennedy, was assassinated November 22, 1963 -- 50 years ago this week.

"I am conscious of my responsibility to uphold the ideals he represented -- a deep commitment to public service, a more just America and a more peaceful world," Caroline Kennedy said.

For all the pomp of Tuesday's event, the significance of Caroline Kennedy's arrival as a historic marker runs deep. John F. Kennedy battled against Japan in World War II.

In fact, he said Japan's success against him was what made him a hero.  "It was involuntary," he once said. "They sank my boat."

His encounter with a Japanese destroyer on the night of August 1, 1943, "may be the most famous small-craft engagement in naval history," the John F. Kennedy Presidential Library and Museum says.

Continuing the legacy

Later, he "hoped to be the first sitting President to make a state visit to Japan," Caroline Kennedy told the Senate Foreign Relations Committee.

John F. Kennedy planned to reunite the crew of his boat, the PT-109, with the crew of the Amagiri that sank it, says Jennifer Lind, government professor at Dartmouth College. It was an effort to calm protests in Japan against renewal of the U.S.-Japan alliance, Lind wrote in a column for CNN.com.

"If confirmed as ambassador, I would be humbled to carry forward his legacy in a small way and represent the powerful bonds that unite our two democratic societies," Caroline Kennedy told the Senate committee.

At a state dinner in the new ambassador's honor last week, U.S. Secretary of State John Kerry said, "The daughter of a heroic lieutenant in World War II will be the first woman in the next generation after the war to represent our country in a relationship that symbolizes so much more than just a normal diplomatic relationship. This is a symbol of reconciliation, a symbol of possibilities, a symbol of people who know how to put the past behind them and look to the future and build a future together.

"That is, in today's world, both remarkable and beautiful."

Debate over credentials

Just how well she'll serve as ambassador, however, is under debate in Washington, in diplomatic circles, and in the media.

A lawyer and philanthropist with degrees from Harvard and Columbia, Kennedy has worked to advance New York City schools.  A stalwart supporter of President Obama, she launched a failed effort to replace Hillary Clinton in the Senate after Clinton became Obama's secretary of state.

Fast Facts: Caroline Kennedy

"A strong, politically savvy woman is just what Japan and the United States need to strengthen relations on both sides of the Pacific," Shihoko Goto of the Woodrow Wilson International Center wrote in a column for CNN.com.

Caroline Kennedy "may or may not exactly fit that bill," Goto wrote. "With any luck, though, she could leverage her appointment as Washington's top envoy to Tokyo to heighten awareness of just how seriously both sides need to take the issue of female leadership."

"Kennedy's biggest personal challenge would be to come out of her father's shadow and establish herself as a top diplomat in her own right," Goto added.

Opinion: How Caroline Kennedy could make a difference in Japan

'A political neophyte'

Some other analysts are far less charitable.

In two separate posts both titled "Amateur hour" -- one from April, the other September -- writers at foreignpolicy.com took aim at her credentials or lack thereof.

"She doesn't speak Japanese and has no academic or professional background in foreign affairs," Stephen Walt wrote.  "Compared with some other former U.S. ambassadors to Japan (e.g., Mike Mansfield, Walter Mondale, Michael Armacost, or Tom Foley), she's a political neophyte."

"She will do fine until her first misstep on policy," David Leheny and Richard Samuels wrote.  "Then, if history is any guide, the Japanese public will turn on her (and by proxy, the U.S. government). They will wonder -- publicly and loudly -- why Americans take Japan for granted and how Washington could dispatch such a neophyte to such a sensitive post."

Dallas comes to terms with what happened to JFK

Personal fortune

Caroline Kennedy has acknowledged that her personal wealth puts her at risk for potential conflicts, CNNMoney has reported.

"I understand that a heightened prospect of a conflict of interest could exist as to the companies that maintain a presence in Japan, because they may be more likely than other companies to seek official assistance from or make other contact with the embassy," she wrote in a letter to the Office of Government Ethics.  Her net worth is as high as $280 million, according to CNNMoney's analysis.

In speaking before the Senate committee, however, Caroline Kennedy sought to dispel any suggestions that she'd be unprepared to handle the assignment. She  fielded questions about the Trans Pacific Partnership, Tokyo's territorial dispute with Beijing in the East China Sea and military cooperation.

She vowed to work with Congress "to advance the interests of the United States, protect the safety of our citizens, and strengthen the bilateral relationship for the benefit of both our countries."

One JFK conspiracy theory that could be true

@highlight

Caroline Kennedy presents her credentials as ambassador to Japan's Emperor Akihito

@highlight

She has described herself as "humbled" to carry forward her father's legacy "in a small way"

@highlight

Her father, John F. Kennedy, fought against Japan and later wanted to visit as president

@highlight

This week marks the 50th anniversary of his assassination