(CNN) -- Arab modernity. Why is it that at the beginning of the 21st century the Arab world seems stuck in time? Why are most Arabs still ruled by kings or military dictatorships? And specifically, why has the most populous Arab nation, Egypt, been governed by one man for nearly three decades?

President Hosni Mubarak, a former general, came to power in the aftermath of Anwar Sadat's assassination in October 1981. He has ruled Egypt ever since under a state of emergency.

Last week, Mubarak's regime extended for another two years a Draconian emergency law that permits police to detain individuals indefinitely, prohibits unauthorized assembly and severely restricts freedom of speech.

We Americans should care about this state of affairs. Mubarak's regime exists in part because our tax dollars subsidize this dictatorship to the tune of several billion dollars a year. We also support the Saudi royalty. And although President Obama and previous presidents have often spoken eloquently about the need for democratization, Egypt's elections are anything but democratic. Why does nothing change?

I spent virtually my entire childhood in the Middle East, and though it is not my home, I worry about it as if it were my home. I mourn for it, I fear for it -- and I also greatly fear it. Modernity, if not ever completely defeated, seems to have been put on hold throughout much of the Arab world. A worn-out, 82-year-old pharaoh still reigns in Egypt. Royalty still rules in Jordan and Saudi Arabia. Islamists still seem to be winning hearts and minds in a political vacuum.

The fact is that the Egypt of my adolescence in the 1960s was a more democratic and secular society than today. My father was an American Foreign Service officer stationed in Cairo from 1965-67. An army colonel, Gamal Abdel Nasser, was Egypt's virtual dictator. But Nasser had at least been elected president in 1956. He was a wildly popular and populist politician throughout Egypt.

Sadat was never as popular as Nasser. He had catered to the Islamists in the aftermath of Nasser's death, thinking they were not dangerous, and ending up being killed by them. Neither he nor Mubarak could have survived a truly democratic election.

Nasser became an autocrat, but at least he offered the Arabs a secular vision. Even today, Nasser remains emblematic of a lost era when hope still existed among Arabs of all classes and tribes for a modern, secular and progressive Arab nation.

Suave and articulate, Nasser exuded a quiet intelligence. His colleagues knew him to be incorruptible. He had no personal peccadilloes, aside from smoking three packs of cigarettes a day. He loved American films. His good friend the newspaper editor Mohammed Heikel claimed that Nasser loved watching Frank Capra's syrupy Christmas tale, "It's a Wonderful Life." His favorite American writer was Mark Twain. He spent an hour or two each evening reading American, French and Arabic magazines.

His closest political enemies at home were the Muslim Brotherhood, political theocrats who then attracted an insignificant following. Today, the Muslim Brotherhood would undoubtedly win any democratic election in Egypt.

But back in the 1960s, most young Arab men aspired to a secular modernity. They wanted to be engineers or doctors or lawyers -- and they admired, like Nasser did, American culture.

I lived in Cairo's upscale suburban community of Maadi, about eight miles south of the city on the eastern bank of the Nile River. I am startled to realize now that another resident of Maadi was the young Ayman al-Zawahiri.

In 1965, the future doctor and No. 2 leader of al Qaeda was attending Maadi's state-run secondary school. He was exactly my age. And like me, al-Zawahiri used to watch Hollywood films on an outdoor screen at the Maadi Sports Club.

Al-Zawahiri once aspired to a career in public health. His ambitions were the same as most young Arab men in the Nasser era. Even then he was a practicing Muslim. And his religious sensibilities did not become politically radicalized until after Nasser ordered the execution of the Muslim Brotherhood's leader, Sayyid Qutb, in 1966. But I would argue that al-Zawahiri and other young men would never have taken the road to jihadist terror had it not been for the June 1967 war.

Sadik al-Azm, the Yale-educated, Syrian philosopher, described Nasser's defeat in the June war as a "lightning bolt" and a "shock" to the Arab ethos. Nasser's humiliation spelled the defeat of the idea of a secular path to Arab modernity. Nasser's once powerful notion that the Arabic-speaking peoples of the Middle East could unite under the banner of a progressive Arab nationalist movement was now discredited.

Over time, political Islam moved into this political vacuum. Al-Zawahiri  himself wrote in his 2001 memoir that the "Naksa" -- the June 1967 defeat -- "influenced the awakening of the jihadist movement."

Al-Zawahiri  today is hiding in a cave in Afghanistan, or dodging drone missile attacks in Pakistan. Someday he will be a dead man, along with his pitiful co-conspirator Osama bin Laden. The jihadists don't have any thing real to offer the Arabs of the 21st century. They can't put bread on the table in this era of globalization.

Al-Azm believes the jihadists have already lost: "There may be intermittent battles in the decades to come, with many innocent victims. But the number of supporters of armed Islamism is unlikely to grow, its support throughout the Arab Muslim world will likely decline. ... September 11 signaled the last gasp of Islamism rather than the beginnings of its global challenge."

I hope so. But if Al-Azm is right, the new generation of young Arab men and women must find hope for their lives elsewhere. And so long as tired old kings and pharaohs smother their rights to democratic elections and free speech, the jihadists will still offer a desperate alternative.

The opinions in this commentary are solely those of Kai Bird.

@highlight

Kai Bird: Why does Hosni Mubarak still rule in Egypt, royalty in Jordan, Saudi Arabia?

@highlight

Bird grew up in Egypt under Nasser, who envisioned secular path to modernity

@highlight

He says Nasser's defeat in June 1967 war was a shock to Arab ethos, end to his dream

@highlight

Bird: Jihadists have nothing to offer but a desperate alternative to dictatorships