(CNN) -- We were told to be awake and ready to move at 4 a.m. The National Transitional Council fighters we were with were planning to launch a dawn assault on the Saharan city of Sabha.

All predictions indicated it would be one of the bloodiest battles yet. NTC officials said loyalist forces would use weaponry they hadn't used before. They didn't go into detail but it sounded ominous. Western intelligence sources told CNN the fighters in Sabha still loyal to Libya's ousted leader, Moammar Gadhafi, had heavy artillery and would likely use it.

Sabha was frequently described as loyalist and pro-Gadhafi.

The night before the assault there was an edgy, giddy atmosphere on the air base where we were camped along with the force that had traveled more than 600 kilometers from Tripoli.

The fighters were shooting more ordinance than usual into the air, and they flocked to our campsite behind the officer's club, eager to chat, and even more eager to use our satellite telephones.

One after another, they shyly asked if they could make a call. Each one had a special reason for calling -- reassuring parents, a brother getting married, a sick baby daughter, an angry girlfriend.

Many talked about their expectations for the coming day. It would be a bloodbath. It would be easy.

"Maybe I'll die tomorrow, I'm ready for it," declared Mohamed, a toothy young man from Sabha who had spent several years in Manchester, England, where he had picked up the local accent.

"But if I don't die, you are all welcome to stay at my house in Sabha."

Mohamed, like many of the fighters from Sabha, insisted most of the people in his home town sided with the revolution. But there was concern about possible resistance from members of Gadhafi's Gadadfa tribe.

Despite a month of impressive advances by the anti-Gadhafi forces, it's clear not everyone has gone over to the revolution.

That afternoon we had gone into the nearby town of Birak Al-Shati. I had seen scattered green flags flying over some of the houses earlier in the day. Unlike other towns we had been through, few people in Birak Al-Shati waved or flashed the v-for-victory sign. They just glared at us.

As CNN's Cairo camerawoman Mary Rogers was taking pictures of the town, a car drove up to me in the town's main roundabout.

The driver, a young man in his early 20s, shouted to me: "Allah, Moammar, Libya, wa bas" -- (God, Moammar and Libya only) -- the standard slogan of Gadhafi supporters, then began to pull away.

"Wait," I told him. "Talk to me. We've been speaking to pro-revolutionaries (Gadhafi opponents), but not your type."

In the passenger seat sat a boy, maybe 10-years old, who repeated the slogan several times, pumping his fists in the air.

"No camera," the driver told me. "Everyone around here feels the same, but we're afraid to say anything with all these thuwar (revolutionaries) around." He then drove away.

I crossed the street to a cigarette shop where there were about half a dozen people inside.

The shopkeeper, a chunky man in his early 20s wearing a jalabiya, echoed the same sentiments. As did another man, who identified himself as Jamal, a businessman.

"If there were free elections here, and we had a choice between voting for Gadhafi or the new regime in Tripoli, 90% would vote for Gadhafi," he said. "And none of this would have happened if NATO wasn't bombing Libya."

A young fighter with an AK-47 walked into the shop to buy cigarettes. Surprisingly, the discussion over the new Libya carried on.

"We don't want these guys here," he said, pointing to the fighter. "They are going around, breaking into houses, stealing people's possessions. That's what they did to my cousin's house."

"If that's what happened, your cousin deserved it," replied the fighter, who said he was from Tripoli.

By now a fairly large crowd had gathered to listen and take part in the conversation. Suddenly a man pushed through the crowd and grabbed Jamal by the shoulder.

"Get out of here and stop talking like that!" he shouted, clearly angry, pushing Jamal out of the shop. "Are you an idiot?"

It was getting tense, so I stepped out of the shop.

"Don't worry," the shopkeeper told me. "It's his brother. He just doesn't want trouble."

As I stepped to the side of the road, anther car drove up, this time with three occupants wearing baseball caps emblazoned with the pro-Gadhafi Libyan flag. When I peered into the car, I saw that the driver had a bottle of clear brown liquid in his lap. In the back seat a teenager with a machine gun in his lap was rolling a joint.

"We are the revolutionaries of Birak Al-Shati," the driver said, a big grin on his face.

"What's that?" I asked him, pointing to the bottle.

"Whiskey!" he proudly declared. "You want some?"

I declined. I knew we had a big day ahead of us.

Although we had been told to be awake and ready to go at 4 a.m., I woke up two hours later. Having spent much of the last seven months in Libya, I knew these guys were not strong on punctuality. We ended up leaving the base around 10 a.m. behind the ambulances, and met the main body of fighters heading to Sabha.

An hour later, after an uneventful drive though the desert, we arrived on the outskirts of Sabha. I could see some smoke on the horizon, but could hear no gunfire. Small clumps of people by the side of the road were cheering and waving. Driving further into the city, the crowds grew larger. There was gunfire but it was all in the air, the ubiquitous celebratory gunfire.

Up above, a man tore down the green flag from the city's main water tower and sent it fluttering to the ground.

We were the only journalists in Sabha. Wherever we stopped cheering crowds mobbed us. Most asked if we were with Al-Jazeera.

The huge, bloody battle for Sabha wasn't to be. No one was disappointed.

"We are now in Sabha and we were not expecting this," one of the doctors shouted. "This is the best moment of my life."

There was fighting, of course, in the Sabha neighborhood of Manshiya. We watched as cars and ambulances rushed to the emergency ward in the city's main hospital. It was pandemonium. The medical team we had traveled with arrived at the hospital just minutes before the first casualties began to arrive.

Along with the wounded, came the dead, more than 10 in the two hours we were at the hospital. Suddenly the bravado of the young fighters was gone when they drove up with the bodies of their dead comrades.

They cried like children in one another's arms. Others just sat on the curb and wept quietly as their friends tried to console them. For many it was their first real encounter with combat. Others vowed to carry on the fight and avenge their friends.

By contrast, the loyalist dead were received without fanfare. A pickup drove up to the main entrance to the hospital with two bodies covered with a light blue cloth splayed in the back. On the side of the pickup truck the fighters were smug with satisfaction.

"We killed the rats," one told me, pointing his gun toward the bodies at his feet.

That night we slept next to a NATO-bombed VIP guesthouse at the airport, which had become the main base for the hundreds of NTC fighters who had taken part in the conquest of Sabha.

The next morning we ventured out into the city. Mid-morning, and there were few people out on the streets, and still plenty of green flags. In front of the administration building at Sabha University, a still intact portrait of Gadhafi featuring the odd slogan, "High you are above every ceiling, proud you are above every height."

Within minutes, a group of gunmen showed up, backing their pickup up to the poster, which they proceeded to rip apart with a knife.

We then went to Al-Gurda, a tight neighborhood composed of families from all over Libya. People look after their neighbors, keep an eye out for strangers, and never, as residents told us, dabbled in the dangerous business of politics.

The streets are dusty, the asphalt crumbling. The roads in this corner of Sabha were paved once, in the 1980s and never since, they told me.

We sat down with the neighborhood men, each one cradling his machine gun. They explained that the last straw was when armed strangers -- they called mercenaries -- arrived on their street.

"We shot one, he died right over there," one of the men told me, pointing to the corner. He then showed me the video of the dying man he had shot on his cell phone.

Dentist Abdel Majid Tijani said he had learned to use a gun in school.

Gadhafi "forced us to train on this," he said, patting his AK-47 assault rifle. "He intended to change us to fighters to fight for his dreams in Africa and in other places. But God decided the reverse. He forced us to train on this thing to fight him."

Afterwards, we went to the nearby home of Khadija Tahir, a strong-willed English teacher at Sabha University. I asked her why Sabha, despite its reputation for being a Gadhafi stronghold, had fallen to the opposition in less than 24 hours.

People "realized that this man is not right. So many people came 180 degrees from being pro-Gadhafi to protesting Gadhafi," she told me. "The other reason is that people got fed up -- lack of electricity, lack of water. So they wanted to get out of this situation. I am one of them."

There are still a few parts of Sabha where the "thuwar," the revolutionaries, are hesitant to tread.

But most parts of Sabha were like Al-Gurda. They'd simply had enough.

@highlight

CNN's Ben Wedeman met the NTC fighters heading to Sabha

@highlight

In the hours before the attack fighters showed signs of nerves and confidence

@highlight

The city, despite its reputation as a Gadhafi stronghold, fell to the opposition in less than a day

@highlight

There are still a few parts of Sabha where the revolutionaries are hesitant to tread