Tripoli, Libya (CNN) -- A senior government official arrived Monday in Cairo amid rumors that he had defected, Egypt's state-run Al-Ahram newspaper reported.

Nasr al-Mabrouk Abdallah arrived with nine of his family members on a private plane from Djerba, Tunisia, the newspaper reported, citing an unidentified airport official. Djerba is about 150 miles (240 kilometers) west of Tripoli.

Meanwhile, a U.S. defense official confirmed Monday that Libyan forces loyal to Gadhafi fired a short-range Scud missile on Sunday at a rebel stronghold, but by all accounts the missile failed to reach its target.

The official said the missile was launched from a government-held area 50 miles east of Sirte and landed 50 miles east of Brega in the desert.

In Cairo, Libyan Embassy officials did not greet Abdallah's plane when it pulled up to Cairo's Terminal 4, which is the arrival point for private planes, fueling speculation that Abdallah may have abandoned leader Moammar Gadhafi, Al-Ahram said.

The newspaper and an official at Cairo International Airport identified Abdallah as Libya's minister of the interior.

However, a Libyan government official -- whose information has proved reliable in the past but who is not allowed to talk to the news media for attribution -- identified Abdallah as an administrative director at the Interior Ministry and a former Libyan minister.

The official said he could confirm that Abdallah had traveled to Egypt with his family on nonofficial business, but could not specify the nature of the trip.

A Libyan government website reported in June that Abdallah had been sworn in as deputy minister of public security. Libya's interior ministry is called the Ministry of Public Security.

Asked about the apparent defection, Tripoli government spokesman Musa Ibrahim said he would not comment on any personal decisions by Abdallah. "In the last while, we noticed that he had intense social pressures on him. It's probably not appropriate that we talk about it in detail because it's personal."

Ibrahim added, "Truthfully, he has fallen under a lot of social and emotional pressure as we've noticed. He couldn't handle it and preferred that he left. That's a personal decision."

Abdallah's departure comes as rebels have been reporting major advances toward their goal of cutting off Libya's coastal road, the Tripoli regime's lifeline, and reaching the capital.

In the coastal city of al-Zawiya, clashes were ongoing.

"At the moment, it's quite hard to say who is in complete control of the city," said Deborah Haynes, a reporter for the Times of London who left the city Monday. "The rebels say they have 80% of it under their control, but it is a very fluid situation."

Pro-Gadhafi snipers were holed up in buildings in the main square, where rebels were firing at them with rocket-propelled grenades, she said.

Rebel fighters controlled all but the eastern part of the city, said Hassan Jwaili, who is a rebel fighter and a source who has proven reliable in the past.

Gadhafi forces shelled al-Zawiya with Grad rockets from nearby Janzur, killing two rebels, bringing the number of dead in al-Zawiya to 11, with dozens more wounded, Jwaili said.

NATO airstrikes, though, have hit Gadhafi forces in Janzur, aiding the rebels, he said.

West of al-Zawiya, rebel forces entered the towns of Surman and Sabrata late Sunday, Jwaili said. Twenty-two rebel fighters died and 38 were wounded in the towns, he said.

West of Sabrata, rebels surrounded Gadhafi forces inside a military camp, he said.

Clashes were continuing for control of Tiji, on the plains of the western mountains, Jwaili said.

And in Assaba, east of Qawalish, also in the western mountains, rebel fighters had surrounded the city and negotiations were under way for Gadhafi forces to turn themselves in, Jwaili said.

But a Tripoli government spokesman denied the assertions that rebels were advancing.

Gadhafi himself, in an address broadcast Monday on Libyan state television, urged Libyans to fight opposition forces and "cleanse this sweet and honorable land."

Cheers from the crowd accompanied the speech, cries of "Allah, Libya, Gadhafi and nothing else" at times drowning out Gadhafi.

"We dance and sing despite the strikes! The strikes will be over and NATO will be defeated," Gadhafi said. "Move always forward to the challenge; pick up your weapons; go to the fight in order to liberate Libya inch by inch from the traitors and from NATO. Be prepared to fight if they hit the ground."

Claims of control over the city of al-Zawiya -- if true -- would be a strategic blow against government forces, since the road through the city serves as a critical supply line to Tripoli from the west and has an oil terminal.

In his news conference Monday evening, Ibrahim denied the assertions and said Gadhafi forces were in "complete control" of al-Zawiya after having halted rebel attacks there.

"There are a few armed gangs inside the city who took advantage of the opportunity to enter but they are limited," he said. "All of south Zawiya is protected. The armed gangs tried to attack people in their homes, occupy a school and raid shops. The government closed off a main road for the protection of the people."

The rebels say that they were the ones who closed the coastal road.

Ibrahim said heavy NATO airstrikes were continuing to strike some coastal cities, including al-Zawiya, with the eastern city of al-Brega bearing the brunt of the attacks. "To be honest, they're unable to shake our civilians or our youth," he said.

He said the rebels suffered heavy casualties. "Hundreds of them injured and tens killed. Because of this, now people in the eastern regions and even the armed gangs refer to al-Brega as a cemetery. Al-Brega is synonymous with death."

In Tiji, 40 rebels were killed by pro-Gadhafi forces, who took three tanks and a number of weapons from them, he said.

Ibrahim said officials were negotiating with international companies that have expressed interest in returning to Libya, he said. The goal is for them to resume operations "very soon."

Ibrahim added that the Tripoli government forces were planning to "free" the key port city of Misrata from rebel forces. "We can't tell everything but we're in a position to free Misrata," he said. "It's not an easy feat."

Rebel commander al-Zintani rejected Ibrahim's assertions that Gadhafi's forces controlled al-Zawiya and Surman, which is also along the western supply road, as well as the government's claims to Garyan, another city on a key supply route leading to Tripoli from the south.

"The next few days will prove him wrong," the rebel field commander predicted.

NATO said Sunday it had struck a Gadhafi military facility in Garyan.

Rebel spokesman Jumma Ibrahim has said that rebels control the coastal road connecting al-Zawiya with a post on the Tunisia border, but that Gadhafi forces still controlled the post. Reports from Tunisia's state-owned Tataouine radio corroborated the account.

CNN has not been able to independently confirm battle claims, including who controls al-Zawiya.

Daily claims of rebel successes indicate rapid progress when compared with positions rebels claimed on previous days.

The government in Tripoli has consistently downplayed claims of rebel victories and played up the strength of Gadhafi's forces.

"You have to remember we are very powerful," Musa Ibrahim said Saturday. "The tens of thousands and tens of thousands of volunteers are armed right now. It doesn't matter whether NATO advances or not, whether rebels advance or not, because we will always be able to fight, in a year's time, in two years, in three years."

Five months into the Libyan war, the rebels have won international support in their effort to oust Gadhafi.

They have been aided by NATO airstrikes that began in March after the U.N. Security Council approved a resolution that ordered civilians be protected.

CNN's Matthew Chance, Kareem Khadder, Amir Ahmed, Salma Abdelaziz, Kamal Ghattas, Yasmin Amer, Mohamed Fadel Fahmy and Barbara Starr contributed to this report.

@highlight

NEW: U.S. says Libya fired Scud missile Sunday

@highlight

Spokesman says official's decision to leave was "personal"

@highlight

"It's quite hard to say who is in complete control," says reporter about al-Zawiya

@highlight

Report: Libya's interior minister arrives in Cairo on a private plane