(CNN) -- The federal government's response manager to the Gulf oil disaster said Sunday that BP has made progress, but cautioned it was too early to call the effort a success.

"We're making the right progress. I don't think anyone should be pleased as long as there's oil in the water," Coast Guard Adm. Thad Allen said on CNN's "State of the Union" on Sunday.

Allen was responding to remarks over the weekend by BP's senior vice president, Bob Fryar, who said the company was "pleased" with its operation to funnel crude up from the ruptured undersea well to a drilling ship a mile above on the Gulf of Mexico.

Fryar said the company funneled about 250,000 gallons of oil in the first 24 hours from a containment cap, installed on the well, to a drilling ship on the ocean surface.

On Saturday, BP had increased the amount of oil it was funneling to about 441,000 gallons to the surface. Federal authorities estimate that 798,000 gallons of crude are gushing into the sea every day.

Allen confirmed that BP has been able to bring oil to the surface after placing the cap, but said no one should be pleased until a relief well is completed and the leaking stops.

"This is an insidious enemy," Allen said. "It's attacking all of our shores, it's holding the Gulf hostage, basically."

In an apperance on ABC's "This Week," Allen described the current state of the spill as a series of pools, ranging from 20-100 yards to several miles in length.

"The spill has disaggregated over a 200-mile radius around the wellbore. It's not a monolithic spill. It is literally hundreds and thousands of smaller spills," he said.

Even as the administration has tried to distance itself from BP in recent days, with the Justice Department launching both criminal and civil investigations into the spill, it has not been enough to temper the frustration seething among residents along the coastline.

Florida Sen. George LeMieux, a Republican, demanded that BP donate $1 billion for a cleanup fund for the five Gulf states and said that President Obama "needs to push them to do that."

"I want to see this president more engaged here on the ground, working through problems," LeMieux said.

On "State of the Union," Florida Gov. Charlie Crist said his state was "as ready as we can be," as the currents moved the oil eastward.

In addition to a declaration of a state of disaster, Florida has about 250,000 feet of boom spread around the Panhandle and has another 250,000 feet available, Crist said.

Florida is also pushing BP to respond to claims made by business owners who are losing business and facing an economic crisis because of the spill.

"In the short term, we want these claims to be responded to more quickly," Crist said. "These people need help, and we need to be there to try to make them as whole as we can during this very difficult process."

Tony Kennon, the mayor of Orange Beach, Alabama, confronted Fryar at the Saturday news conference for not acting promptly when reports surfaced that tar balls were washing ashore. Visibly upset, Kennon said local officials had been asking to meet with BP officials for over a month, but their requests went unanswered.

"If you sensed our frustration, you would have been here a lot sooner," Kennon told Fryar. "People in Orange Beach are starving to death now because they can't get out to catch the fish."

Allen said the Alabama incident the mayor referred to was the result of a mechanical failure where a boom became disconnected before a skimmer arrived to prevent the oil from reaching the shore.

Overall, however, Allen said the federal government is in charge of making sure BP is carrying out its cleanup responsibilities.

In an effort to respond faster, Coast Guard field commanders don't need approval to get cleanup equipment out, Allen said.

"If there's oil out there, they need to call in skimming equipment," he said. "We don't want them to go two or three levels up to higher authority to be able to do that. I've given direct orders to all my field commanders out there that when they see oil and they have the capability to respond and they're to do it."

Not all the Gulf states were suffering the effects of the spill equally.

In Mississippi, barely any oil had appeared on the shores, but the state's tourist industry was nonetheless feeling the pinch.

"The truth is we've had virtually no oil," Mississippi Gov. Haley Barbour told "Fox News Sunday." "If you were on the Mississippi Gulf Coast anytime in the last 48 days, you didn't see any oil at all."

The biggest effect the state has felt, Barbour said, resulted from media reports saying that the entire Gulf Coast was affected.

Mississippi's "tourist season has been hurt by misperceptions of what's going on down here," he said.

On Saturday, Allen told reporters that BP planned to shut down valves in the cap -- which are allowing oil to escape -- once the pressure is eased. The ultimate capacity of the operation is 630,000 captured gallons a day, still shy of the amount spewing.

Earlier, coastal residents had anxiously awaited news of BP's progress as elevated southerly winds pushed the perimeter of the spilled oil closer to shorelines as far east as the Florida Panhandle.  The National Oceanic and Atmospheric Administration predicted that scattered tar balls and light sheen would impact beaches as far east as Bay County, home to popular destinations in Panama City.

Florida beaches remained open Saturday, but the number of beachgoers was down. The sun and surf were interrupted by sticky brown globs of oil washing up on the sugary sand and workers with blue rubber gloves and plastic bags trying to keep the beach clean.

Earlier, Crist walked the beach accompanied by "Margaritaville" singer Jimmy Buffett, who is building a hotel on the Pensacola shoreline.

"I saw some tar balls," Crist said. "It's terrible when you see something like that. It breaks your heart."

The oil spill has already threatened ecologically sensitive lands along the Gulf Coast. Images of oil-drenched pelicans were all over the Internet, prompting even more public anger toward BP.

Obama sought in his weekly address Saturday to ease fear along the Gulf Coast by reaffirming his commitment to clean up the worst oil spill in U.S. history.

"It's brutally unfair. It's wrong," Obama said in the address, recorded a day earlier in Grand Isle, Louisiana. "And what I told these men and women -- and what I have said since the beginning of this disaster -- is that I'm going to stand with the people of the Gulf Coast until they are made whole."

It appeared that BP was making progress after capping the breached wellhead, Obama said, but he said that the federal government was "prepared for the worst." He cited a series of statistics that illustrated the "largest response to an environmental disaster of this kind in the history of our country":

• 17,500 National Guard troops authorized for deployment;

• 20,000 people currently working to protect waters and coastlines;

• 1,900 vessels in the Gulf assisting in the cleanup;

• 4.3 million feet of boom deployed with another 2.9 million feet of boom available, enough to stretch over 1,300 miles;

• 17 staging areas across Louisiana, Mississippi, Alabama, and Florida to rapidly defend sensitive shorelines.

Meanwhile, the National Oceanic and Atmospheric Administration issued a sliver of good news Saturday. After reviewing images and data, the agency reopened more than 13,000 square miles of the Gulf -- just west of the Florida Keys and Dry Tortugas -- for fishing.

But at the same time, it closed a 2,275-square mile area off the Florida Panhandle, extending the northern boundary just east of the western edge of Choctawhatchee Bay, which means 32 percent of the Gulf still remains off-limits for fishing.

The BP well erupted after an explosion and fire on the Deepwater Horizon drilling rig on April 20. The BP-leased rig sank two days later, leaving up to 19,000 barrels (798,000 gallons) of oil pouring into the Gulf daily, according to federal estimates.

@highlight

NEW: Mississippi seeing no oil on beaches, but tourists are staying away, governor says

@highlight

Frustration grows among Gulf residents

@highlight

BP collects 250,000 gallons of oil in first 24 hours of funneling

@highlight

Oil mars pristine beaches on Florida Panhandle