Since 2009 the Food and Drug Administration (FDA) has mandated that Plan B and other emergency contraceptives be available without a prescription to women age 17 and up. In reality, a new study suggests, a 17-year-old's access to these drugs can be uncertain.

In the study, two female research assistants at Boston University called every commercial pharmacy in five major cities and asked whether emergency contraception was available to them that day. If the answer was yes, they followed up with the question "If I'm 17, is that okay?"

At that point, 19% of the pharmacy workers told the young women that contraception would not be available to them. When researchers posing as doctors called the same pharmacies on behalf of a (fictional) 17-year-old patient, however, just 3% of pharmacies said the drugs weren't available.

Pharmacies, moreover, incorrectly reported the age guidelines for over-the-counter access to 43% of the "girls" and 39% of the "doctors," according to the study, which appears in the April issue of the journal Pediatrics.

Health.com: 12 types of birth control: what are the options?

Misinformation of this sort could lead to unintended pregnancies, the researchers say. "It's important that adolescents get the correct information the first time," says Tracey Wilkinson, M.D., the lead author of the study and a professor of pediatrics at Boston University. "This highlights some of the barriers that adolescents face when accessing emergency contraception."

Two emergency contraceptives, both of which contain the hormone levonorgestrel, are approved for over-the-counter use and are stocked behind pharmacy counters: Plan B (including the single-pill version known as Plan B One-Step), and a so-called branded generic known as Next Choice.

Timely access to these drugs is important, Wilkinson and her colleagues say, since they're most effective in the 24 hours following unprotected sex or a contraception failure. The odds of getting pregnant rise by about 50% every 12 hours after the event, according to the study.

Health.com: What to do if the condom breaks

The study included every pharmacy -- nearly 950 in all -- in Austin, Texas; Cleveland; Nashville, Tennessee; Philadelphia; and Portland, Oregon. Researchers contacted each pharmacy twice, once in the role of the teenager and once in the role of the doctor.

To better disguise their identity, they spaced the calls at least two weeks apart and used cell phones programmed with each city's area code.

In roughly 20% of the phone calls, pharmacy workers reported that emergency contraception was not available for any caller or patient, regardless of age. Some of those pharmacies -- about one-third -- suggested another nearby pharmacy or offered to order the pills, but the average wait time was 45 hours.

The faulty information about age recorded in some of the other calls might be due to a combination of "confusion, misinformation, and maybe personal beliefs," Wilkinson says, although she and her colleagues stress that the study is silent on this matter. A pharmacy's location and whether or not it was part of a chain did not appear to play a role.

As for the differences in the responses given to doctors versus teenagers, Wilkinson says it could be that physicians are more likely to be transferred to higher-ranking pharmacy employees -- pharmacists rather than pharmacy technicians, say.

Similarly, the study notes that teenagers were twice as likely as doctors to be put on hold.

Health.com: What your teenager needs to know about sex

Experts not involved in the study say that several factors -- unintentional or otherwise -- could be responsible for the misinformation.

"There were probably some people who had some personal objections about [emergency contraception] and didn't want to deal with it, and some were not educated about the laws and facts," says Christopher Estes, M.D., an assistant professor of ob-gyn at the University of Miami Miller School of Medicine. 

Jean Amoura, M.D., an associate professor of ob-gyn at the University of Nebraska Medical Center, in Omaha, has studied access to emergency contraception in Nebraska pharmacies and says barriers to access are often logistical. Rural pharmacies, for instance, may not stock the pill simply because too few people ask for it. 

Amoura has encountered ideological objections as well, however. Although Plan B and Next Choice are believed to work by preventing ovulation, like daily birth control pills, and "will not interrupt an established pregnancy," Amoura says, some people view taking the drugs as tantamount to abortion.

The "misunderstanding among the public, pharmacists, and doctors about this being an abortion pill" is an "ongoing dilemma," Amoura says.

Health.com: Common birth control side effects

The FDA lowered the age threshold for over-the-counter access to emergency contraception from 18 to 17 in 2009, following a federal court order. Girls age 16 and under still require a prescription from a doctor.

In 2011, the FDA recommended the removal of all age restrictions on Plan B One-Step, but in a controversial move, the U.S. Secretary of Health and Human Services, Kathleen Sebelius, overruled the agency.

Deborah Nucatola, M.D., senior director of medical services at Planned Parenthood, which provides reproductive health services -- including emergency contraception -- at more than 800 health centers around the country, says easing restrictions on emergency contraception may help address the uneven access seen in Wilkinson's study.

"It's unclear if the pharmacy workers who provided incorrect information to the study callers were simply unfamiliar with the law, but one of the unfortunate results of the age restriction is that it requires drugstores to keep emergency contraception behind pharmacy counters," Nucatola said in a prepared statement. "As the research shows, that restriction creates access barriers for women of all ages and these barriers can in turn result in preventable unintended pregnancies."

@highlight

The odds of getting pregnant rise by about 50% every 12 hours after unprotected sex

@highlight

Study: Teenagers were twice as likely as doctors to be put on hold

@highlight

The FDA lowered the age from 18 to 17 in 2009 for emergency contraception access