Chairman of the Joint Chiefs Martin Dempsey sent White House and Pentagon officials scrambling on Tuesday, insisting that the chief military officer's comments on Capitol Hill don't contradict President Barack Obama's pledge to "not get dragged into another ground war in Iraq" and not put American "boots on the ground."

The uproar started after Dempsey said that if ISIS retakes the strategically important Mosul Dam in Iraq, he would recommend that some of the 1,700 American forces currently in Iraq could move to the front lines to advise Iraqi troops trying to get the dam back. Those troops would then be advisers in a combat role.

"If we reach the point where I believe our advisers should accompany Iraqi troops on attacks against specific (ISIS) targets, I will recommend that to the President," Dempsey said during a Senate hearing on Tuesday.

White House Press Secretary Josh Earnest said Dempsey was just responding to a hypothetical situation. The policy -- no boots on the ground -- remains.

"It's the responsibility of the President's military advisers to plan and consider all the wide range of contingencies," said Earnest. "It's also the responsibility of the Commander-in-Chief to set out a clear policy.  And the President has been clear about what that policy is.  He reiterated it on a number of occasions ... the President does not believe that it would be in the best interest of our national security to deploy American ground troops in a combat role in Iraq and Syria.  That policy has not changed."

House leaders lobby wavering colleagues ahead of ISIS vote

So what's the difference? If 1,700 American forces are already on the ground in Iraq why aren't they considered "boots on the ground"?

For starters, those 1,700 Americans aren't currently the "close combat advisers" that Dempsey said he could recommend. Today, advisers aren't supposed to be near combat.

"He wasn't talking about specific troops in a combat role on the ground, more advising and assisting at a lower level," Rear Adm. John Kirby told CNN's Christiane Amanpour.

Dempsey also made it clear that  U.S. military advisers on the ground are currently in a "combat advisory role" and "not participating in direct combat -- and there is "no intention for them to do so."

But U.S. soldiers are always combat-ready, Dempsey said.

"That's all we grow. We -- when we bring a young man or woman in the military, they come in to be a combat soldier or a combat Marine ... we don't bring them in to be anything other than combat capable," Dempsey said.

Retired Lt. Gen. Mark Hertling said he read Obama's pledge not to put "boots on the ground" as ensuring no "large formations of Americans" would enter combat.

"I don't see Gen. Dempsey -- who I know pretty well -- contradicting the President at all," Hertling told CNN.

Another beheading. What's the world going to do about ISIS?

But if Obama were to approve putting military advisers in "close combat roles," the risk of American casualties would increase -- regardless of whether those troops are firing weapons themselves or advising Iraqi forces who are.

That's because a combat support role can turn into combat "in a heartbeat," retired Gen. James "Spider" Marks said.

"Enemy advances are not distinctive, you could suddenly be in the midst of a really hairy dogfight and you think you're just refueling trucks," Marks said.

Ultimately the distinction between boots on the ground and troops in advisory roles is semantic, retired Lt. Col. Rick Francona said on CNN.

"Right now we've got young American men and women putting their lives on the line dropping bombs," Francona said. "We've got people in combat, I think we should just say that."

And Dempsey produced a quick and direct response when Sen. Jim Inhofe of Oklahoma, ranking member of the Armed Services Committee, asked Dempsey whether U.S. pilots dropping bombs over Iraq are in a combat mission and whether the U.S. would "put boots on the ground" to rescue a downed pilot.

"Yes and yes," Dempsey confirmed.

Inhofe also lasered in on Obama's "boots on the ground" distinction later Tuesday in an interview with CNN.

"The President's just flat not telling the truth. We already have boots on the ground there," said Inhofe, a chief political antagonist of the White House. "He knows we're going to have to have boots on the ground. Let's just go ahead and face it and admit we're in a war and you just don't win a war unless you're out there fighting."

Who is doing what in the coalition battle against ISIS?

While Dempsey insisted the current strategy is the right one, the top general made it clear that he wasn't ruling anything out.

Dempsey's more open position comes after President Obama has faced criticism from Republicans and military strategists for completely shutting the door on ever sending American combat troops to Iraq.

"I would never tell the enemy what I was willing to do or unwilling to do," House Speaker John Boehner said last week. "The President has made clear that he doesn't want U.S. boots on the ground. Well, somebody's boots have to be on the ground."

Obama faced similar criticism from Sens. John McCain of Arizona and South Carolina's Lindsey Graham.

And while Obama's unequivocal statements about combat troops may give ISIS insight into the U.S. military playbook, the President's statements aim to reassure a war-weary American public.

While three-quarters of Americans favor airstrikes against ISIS, 61% of Americans oppose putting U.S. forces in combat situations in Iraq and Syria, according to a September 8 CNN/ORC poll.

But after ordering 475 more military advisers to Iraq, Obama has kicked up the total U.S. military presence in the country to about 1,700.

And the line separating combat troops from military advisers could become more blurred with time, said Julian Zelizer, a history and public affairs professor at Princeton University.

And American casualties could push the U.S. to ramp up the military effort in Iraq.

"Whenever you put someone in danger overseas whether they're fighting or advising, it gives the potential to get bigger," Zelizer said. "Any war can expand into something much greater, you just can't predict how it will unfold."

American casualties could tip the balance, he said, noting that the current escalation came shortly after two American journalists were beheaded by ISIS in a video posted online.

"You can imagine the same thing happening with two people who are serving directly the U.S. government," Zelizer said.

How many more Western captives is ISIS holding?

@highlight

Gen. Dempsey goes to Capitol Hill, makes remarks that have White House scrambling

@highlight

The Joint Chiefs chairman talks about military advisers in Iraq

@highlight

The point could come when advisers would go with Iraqi troops attacking ISIS, he said

@highlight

White House says he was talking hypothetically -- Obama's no boots on the ground remains