Clashes between rival militias. Allegations of detainee torture. Assaults on the headquarters of the National Transitional Council, which governs Libya.

These are among the signs that Libya faces challenges on several fronts as it struggles to craft a new nation from the ashes of tyranny.

Almost a year after the Libyan uprising erupted in the eastern city of Benghazi, the nation ruled by Moammar Gadhafi for four long decades is discovering -- the hard way -- the thorny side of nation building.

Prime Minister Abdurrahim el-Keib acknowledged Libya's difficult journey in a national address Wednesday, calling on people to help the government deal with an inheritance from one of the "strangest and most complicated regimes in history."

That -- coupled with months of violence and bloodshed -- has added to the fledgling state's disarray.

Libyans are fed up. They want trust, transparency. And they want to see immediate progress.

Their frustration has surfaced in protests in several Libyan cities over the last few days, most notably in Benghazi, the seat of the revolution, where Libyans stormed the National Transitional Council building.

There has also been a recent flare-up in violence. Clashes between pro- and anti-Gadhafi forces have turned lethal. And the nation is still struggling to establish rule of law. Human rights monitors sounded alarms again this week after several detainees died of abuse.

Libya's problems far outweigh the capacity of the new leadership to deal with them, said longtime Libya observer Dirk Vandewalle, author of "A History of Modern Libya."

"There are no easy solutions here," he said.

A key issue at hand is the legitimacy and authority of the transitional council. The governing body does not have physical control over a nation fragmented along regional and tribal lines. And it was mainly self-appointed, not elected to power by a popular vote.

"There is no full trust in the government," former rebel fighter Adel AbdElmajid Zoubi told the United Nations' humanitarian news agency IRIN.

Libyan detainees died after torture, rights group says

He, like many other Libyans who are fearful that their revolution will be compromised, said he would not surrender his weapon until elections, set for June.

El-Keib said he understood the impatience of Libyans in wanting to see the aims of the revolution implemented quickly. But he tempered his remarks with a good dose of caution.

"The revolution happened for freedom, the freedom of expression and peaceful protest and that is a guaranteed right for all citizens," he said. "But it is important that these demonstrations happen in a civilized manner and after all other means and efforts have been used. We are in a battle to rebuild and every day of work that is wasted is a delay and an obstacle to our march."

El-Keib said security and stability remained a priority for the National Transitional Council. Chief among the concerns is how best to rein in the former fighters with disparate loyalties and agendas.

In the months since Gadhafi's capture and death, Libya has been mired in fighting between rival militias and tribes.

In Bani Walid this week, the powerful Warfallah tribe drove out pro-NTC forces, regaining control of the former Gadhafi stronghold.

University of North Carolina political scientist Andrew Reynolds traveled to Libya last fall to advise the NTC. He said he had been optimistic about Libya's prospects but is less so now, given what he perceived as the interim council's decision-making inertia.

"The genie is out of the bottle and that means the armed groups are the dominant political players," he said. "The people making decisions are the ones with guns."

El-Keib said the government plans to integrate 75,000 former fighters into security services and other jobs and the rest would go through rehabilitation and vocational training. He also announced a monthly monetary allowance for the former rebels to sign up for training.

Such rewards, Reynolds said, are imperative to bring under control a nation where doctors, lawyers and businessmen all picked up weapons to fight Gadhafi.

"A lot of the paramilitaries are civilians who became that," Reynolds said. "So it's possible to reintegrate them but they need to be given an incentive."

In that climate, issues of national reconciliation and justice have become grave concerns for human rights monitors.

Several detainees have died amid widespread torture and ill-treatment of suspected pro-Gadhafi fighters and loyalists, Amnesty International said Thursday.

"After all the promises to get detention centers under control, it is horrifying to find that there has been no progress to stop the use of torture," said Donatella Rovera, Amnesty International's senior crisis adviser in Libya.

The monitoring group said the torture was carried out by "officially recognized military and security entities as well by a multitude of armed militias operating outside any legal framework."

The Amnesty allegations came as the medical charity Doctors Without Borders said Thursday it was halting work in detention centers in Misrata because detainees are "tortured and denied urgent medical care."

The agency, known by its French acronym MSF, said it has treated 115 people with torture-related wounds from interrogation sessions.

The United Nations Security Council, meanwhile, heard about Libya's woes this week from the global body's top official in that country.

U.N. High Commissioner for Human Rights Navi Pillay said it was "urgent that all detention centers are brought under the control of the Ministry of Justice and the General Prosecutor's Office."

"Moreover, a structure and process for judicial screening of detainees should be in place immediately," she said.

The top U.N. envoy in Libya told the council that the nation was going through a difficult transition.

"The former regime may have been toppled, but the harsh reality is that the Libyan people continue to have to live with its deep-rooted legacy; weak, at times absent, state institutions, coupled with the long absence of political parties and civil society organizations, which render the country's transition more difficult," said Ian Martin, head of the U.N. Support Mission in Libya.

Scholars who have been watching Libya for many years give the NTC an "A" for effort but agree that Libya's new leaders have a tough road ahead.

"They are in a terribly difficult situation," Vandewalle said. "They are starting from ground zero."

@highlight

A medical charity complained Thursday of torture in Libyan jails

@highlight

It was the latest evidence of the challenges in a post-Gadhafi era

@highlight

Libya's interim rulers are crafting a nation from the ashes of tyranny

@highlight

"They are starting from ground zero," a scholar says