(CNN) -- North Korea has entered a "state of war" with neighboring South Korea, according to a report Saturday from the state-run Korean Central News Agency that included a threat to "dissolve" the U.S. mainland.

"Any issues regarding North and South will be treated in accordance to the state of war," North Korea's government said in a special statement carried by KCNA. "... The condition, which was neither war nor peace, has ended."

North Korea and South Korea technically remain at war since their conflict between 1950 and 1953 ended with an armistice and not a peace treaty. On March 11, the North Korean army declared the armistice agreement invalid.

This report represented Pyongyang's latest salvo aimed at South Korea and its ally the United States. Tensions in the area have been ratcheting up for months, with North Korea remaining defiant and, in some opinions, belligerent in the face of international efforts to halt its nuclear program.

Saturday's report included a direct threat to the United States, while also asserting Pyongyang "will not limit (itself) to limited warfare but to all-out war and nuclear war."

"We will first target and dissolve mainland United States, Hawaii and Guam, and United States military based in South Korea. And the (South Korean presidential office) will be burned to the ground," the KCNA report said.

In a statement later Saturday, South Korea did not treat their neighbor's latest threat as anything new.

Seoul noted scores of its personnel had entered the Kaesong Industrial complex -- a joint economic cooperation zone between the two Koreas situated on the North's side of the border -- on Saturday morning with hundreds more set to join them later in the day, seemingly suggesting they were going about business as usual.

"The announcement made by North Korea is not a new threat, but part of follow-up measures after North Korea's supreme command's statement that it will enter the highest military alert" on Tuesday, South Korea's Unification Ministry said in a statement.

Map appears to show U.S. targets

A day earlier, same official North Korean news agency reported its leader Kim Jong Un had approved a plan to prepare standby rockets to hit U.S. targets.

In a meeting with military leaders early Friday, Kim "said he has judged the time has come to settle accounts with the U.S. imperialists in view of the prevailing situation," KCNA reported.

The rockets are aimed at U.S. targets, including military bases in the Pacific and in South Korea, it said.

"If they make a reckless provocation with huge strategic forces, (we) should mercilessly strike the U.S. mainland, their stronghold, their military bases in the operational theaters in the Pacific, including Hawaii and Guam, and those in South Korea," the report said.

Analysis: Just what is Kim Jong Un up to?

North Korean state media carried a photo of Kim meeting with military officials Friday. In the photo, the young leader is seated, leafing through documents with four uniformed officers standing around him.

On the wall behind them, a map titled "Plan for the strategic forces to target mainland U.S." appears to show straight lines stretching across the Pacific to points on the continental United States.

South Korea and the United States are "monitoring any movements of North Korea's short, middle and middle- to long-range missiles," South Korean Defense Ministry Spokesman Kim Min-seok said Friday.

U.S. official: We're 'committed ... to peace,' unlike N. Korea

U.S. officials have said they're concerned about the torrent of threats coming out of Pyongyang in recent weeks.

"I think their very provocative actions and belligerent tone, it has ratcheted up the danger, and we have to understand that reality," Defense Secretary Chuck Hagel said Thursday.

Some observers have suggested that Washington is adding to tensions in the region by drawing attention to its displays of military strength on North Korea's doorstep, such as the flights by the B-2 stealth bombers.

Hagel argued against that assertion.

Threats of annihilation normal for South Koreans

"We, the United States and South Korea, have not been involved in provocating anything," he said. "We, over the years, have been engaged with South Korea on joint exercises. The B-2 flight was part of that."

Washington and its allies "are committed to a pathway to peace," Hagel said. "And the North Koreans seem to be headed in a different direction here."

Opinion: Why North Korea regime is scary

Amid the uneasy situation, China, a key North Korean ally that expressed frustration about Pyongyang's latest nuclear test, also called for calm.

"We hope relevant parties can work together to turn around the tense situation in the region," Foreign Ministry Spokesman Hong Lei said Friday, describing peace and stability on the Korean Peninsula as "a joint responsibility."

Behind North Korea's heated words about missile strikes, one analyst said, there might not be much mettle.

North Korea's threat: Five things to know

"The fact is that despite the bombast, and unless there has been a miraculous turnaround among North Korea's strategic forces, there is little to no chance that it could successfully land a missile on Guam, Hawaii or anywhere else outside the Korean Peninsula that U.S. forces may be stationed," James Hardy, Asia-Pacific editor of IHS Jane's Defense Weekly, wrote in an opinion column published Thursday on CNN.com.

Tensions have been rising for months

Tensions escalated on the Korean Peninsula after the North carried out a long-range rocket launch in December and an underground nuclear test last month, prompting the U.N. Security Council to step up sanctions on the secretive government.

U.S. officials concerned about North Korea's 'ratcheting up of rhetoric'

Pyongyang has expressed fury about the sanctions and the annual U.S.-South Korean military exercises, due to continue until the end of April.

The deteriorating relations have killed hopes of reviving multilateral talks over North Korea's nuclear program for the foreseeable future. Indeed, Pyongyang has declared that the subject is no longer up for discussion.

The recent saber-rattling from Pyongyang has included threats of pre-emptive nuclear strikes against the United States and South Korea.

Most observers say North Korea is still years away from having the technology to deliver a nuclear warhead on a missile, but it does have plenty of conventional military firepower, including medium-range ballistic missiles that can carry high explosives for hundreds of miles.

Having already declared the armistice invalid, North Korea more recently said it was cutting a key military hotline with South Korea.

North Korea has gone through cycles of "provocative behavior" for decades, Pentagon spokesman George Little said Thursday.

"And we have to deal with them. We have to be sober, calm, cool, collected about these periods. That's what we're doing right now," he said. "And we are assuring our South Korean allies day to day that we stand with them in the face of these provocations."

Korean nightmare: Experts ponder potential conflict

CNN's Dayu Zhang and Greg Botelho contributed to this report.

@highlight

NEW: South Korea doesn't consider latest threat "new," its unification ministry says

@highlight

North Korea threatens "all-out war and nuclear war" on its enemies, state news reports

@highlight

"We will first target and dissolve" the mainland U.S., Hawaii and Guam, the report adds

@highlight

Pyongyang has been defiant in the face of efforts to halt its nuclear program