London, England (CNN) -- "Some people believe football is a matter of life and death... I assure you it is much, much more important than that."

As Bill Shankly, the legendary former manager of English club Liverpool, pointed out shortly before he passed away in 1981, the significance of the beautiful game can never be underestimated -- and that doesn't just apply to fans of the sport, either.

Soccer can affect lives on a national and international scale, inspiring revolutions and causing wars as well as having the capability to create peace and lift entire nations.

The "Football War" between Honduras and El Salvador in 1969 is perhaps the most famous example of the sport's wider implications. The two Central American nations famously came to blows following their qualification match for the 1970 World Cup.

Pedro Pinto's World Cup predictions

But this wasn't the first time, and definitely won't be the last, that the worlds of football and politics collide with remarkable results.

1. Mussolini manipulates the "man in black," 1934

"Il Duce" was determined to use this World Cup on home soil to showcase his fascist Italy. Mussolini had his own trophy created for the event -- the Coppa Del Duce -- which was six times the size of the Jules Rimet, and to this day allegations remain the tournament was fixed so that only Italy would collect it.

According to the BBC's "World Cup Stories" book by Chris Hunt, there were suggestions that the Italian dictator himself picked the referees. In the semifinal against Austria, Mussolini's Azzurri team won 2-1, but after the game their opponents complained the game was fixed.

The World Cup's missing men

"The referee even played for them," said Austrian striker Josef Bican. "When I passed for the ball out to the right wing, one of our players, Cicek, ran for it and the referee headed it back to the Italians. It was unbelievable."

2. Austrian star humiliates Nazis, 1938

Austria had one of the game's greatest sides in the 1930s, but when the Nazis annexed their neighbors, the nation's "Wunderteam" were forced to withdraw from the World Cup and merge with Germany.

Star striker Matthias Sindelar so opposed his nation's loss of independence that he refused to play for Germany. He pleaded old age, but Germany's manager Sepp Herberger would later recall: "I almost had the impression that discomfort and rejection, linked to the political developments, had prompted his refusal."

Who will be the World Cup's best player?

During a so-called "Reconciliation Game" to mark the merging of the two sides, Sindelar made his feelings quite clear in a 2-0 win for Austria. According to German historian Nils Havemann's book "Fussball unterm Hakenkreuz," the center-forward scored his beloved country's first and then, when the second goal went in, he danced in celebration in front of Nazi officials.

In 1939, Sindelar and his girlfriend were killed in his apartment by a gas leak. Controversy still reigns over whether it was murder or suicide -- or just an accident.

3. Algerians play for independence, 1958

Halfway through Algeria's War of Independence, the French national team called up a handful of Algerians playing in the French soccer league for the World Cup in Sweden.

Given the chance of glory, fame and fortune, the players chose national identity instead. Rather than attend a pre-tournament friendly against Switzerland, they decided to flee France, gather at the headquarters of the Front Liberation National in Tunisia and launch an "illegal" national team, risking arrest for desertion in the process.

Who will win the World Cup?

Rachid Maflouki had won the French championship with Saint Etienne before getting the call from Les Bleus, but decided there were more important matters at stake than his personal success.

"I didn't hesitate," he told Ian Hawkey, author of "Feet of the Chameleon."

"Okay, I would have to give up my club. And yes, I was thinking about the World Cup, but what did that count for in comparison with my country's independence?"

4. Zaire players crack under Presidential pressure, 1974

It's remembered as one of the World Cup's funniest moments, but the truth is much darker. Already 3-0 down and facing a Brazilian free-kick, Zaire's right-back Ilunga Mwepu seemingly forgot the rules of the game, charged at the ball and hoofed it away before the whistle had even been blown.

The Leopards, the first sub-Saharan African nation to reach the finals, had already been humiliated 9-0 by Yugoslavia before losing 2-0 to Scotland, and were told by President Mobutu's henchmen that if they lost to Brazil by more than three goals they wouldn't be allowed to return home.

Ten World Cup headlines yet to be written

"Do you think I'd deliberately make myself look like an idiot? You have to remember we were playing for our lives," he said in the book "Death or Glory, the Dark History of the World Cup" by Jon Spurling.

Mwepu's act of "madness," it turns out, was in fact a very sane attempt to waste time.

5. The German nation divided, 1974

East Germany versus West at the 1974 World Cup was perhaps the most politically-charged match of all time. After the Second World War, the divided nation had become the main arena for the Cold War, and this fixture in Hamburg represented a head-to-head between the two ideologies.

Although the game was actually the last in the group and it had become clear that both teams would qualify from the group stage, that did not diminish the tension surrounding the clash.

Ten shocking World Cup moments

With home advantage, European champions West Germany were favorites but it was the East German Jurgen Sparwasser who scored the only goal of the game.

East Germany heralded their triumph, but the victory was rendered a little hollow after they were knocked out in the next round and their bitter rivals went on to win the tournament.

6. Argentine junta swaps grain for glory, 1978

Argentina's junta, which had seized power just a couple of years earlier, was determined to use the World Cup it was hosting as propaganda for the regime.

According to a 1986 article by journalist Maria Laura Avignolo of Britain's Sunday Times, and supported by David Yallop in his book "How They Stole the Game," the junta used bribery and intimidation to help win the cup.

Controversy over new World Cup ball

In the group stages, Argentina needed to beat Peru by four goals in their last game to progress. General Jorge Videla made a timely pre-match visit to the Peruvian dressing-room to talk to the players about "Latin American unity" before the host nation rattled six past a side that had previously held eventual finalists Holland to a goalless draw.

Avignolo claimed that in the weeks following the Peru game, an impromptu cargo of 35,000 tonnes of wheat left Argentina for Lima and that the military regime issued an interest-free loan of $50 million to the Peruvian government.

7. Iran's football revolution, 1998

They may have been two of the least significant footballing sides at France '98, but nevertheless this fixture caught the world's imagination because Iran and the United States had been at loggerheads since the Islamic Revolution in 1979.

Although political relations were strained, the clash of civilizations never quite happened on the pitch. Instead, both sides showed the utmost respect, swapping flowers, gifts and photographs before the kick-off.

The Iranians won 2-1, but, celebrations back home had a destabilizing effect as hundreds of thousands of young people, including women, partied in the streets in defiance of government warnings.

"In my neighborhood everybody goes out into the streets," one young Iranian told the BBC's Jim Muir. "It's a good excuse for boys and girls to mix, and in a way it's political, because it's a demand for social change."

8. Germany enjoys "Partyotism," 2006

The tournament slogan "A time to make friends" pretty much said it all. The organizers of Germany 2006 set out to woo the world, and in the process the country learned to love themselves.

A combination of a flawless summer and coach Jurgen Klinsmann's free-flowing football injected a feel-good factor back into the national psyche, and Germans realized they could enjoy patriotism again -- or as the local media billed it, "partyotism."

"In the space of one month, Klinsmann managed to bring together a society ashamed of displays of nationalism and still divided along East-West lines, turning Germany into a nation of face-painting, flag-waving patriots," Hunt said in his "World Cup Stories" book.

"Never mind the final," Britain's The Times newspaper wrote. "Germans are the real World Cup winners."

9. The Koreas refuse to play nicely, 2008

North and South Korea both successfully managed to qualify for South Africa 2010, but there were plenty of bad-tempered squabbles along the way.

The bickering got so bad that world governing body FIFA eventually had to intervene after North Korea announced it would not let the South play its national anthem or wave its flag on their territory.

So determined were the North Koreans that they were even prepared to play their "home" game abroad. In the end, the fixture took place in Shanghai, where the North Korean coach complained that their rivals had poisoned their food.

In a statement about the match, the North's football association said: "It was beyond all doubt that the incident was a product of a deliberate act perpetrated by adulterated foodstuff as [the players] could not get up all of a sudden just before the match."

According to a report by the BBC, the South's soccer federation -- Korea Football Association -- said a sports doctor had examined the North Korean players and found no serious problem.

10. Football diplomacy between old enemies, 2008-09

Serious sport is war minus the shooting, remarked English author George Orwell. So it was refreshing last year when Armenia and Turkey used the beautiful game to make peace.

The leaders of the two countries met up to watch a World Cup qualifier between their nations after almost a century of bitterness following the killing of hundreds of thousands of Armenians by Turks during World War One.

Turkish President Abdullah Gul attended the initial game in Armenia in 2008, which the hosts lost 2-0, and his counterpart Serzh Sarkisian agreed to join him for the return fixture the following year for further thawing of diplomatic relations.

No doubt the fact that neither side had a chance of qualifying for South Africa helped keep things civil.

@highlight

Argentina's right-wing junta allegedly bribed Peru with grain and a $50M loan in 1978

@highlight

Organizers of Germany 2006 set out to woo the world -- and in doing so lifted its people

@highlight

When Iran beat U.S. at the 1998 World Cup, celebrations in Tehran had a destabilizing effect

@highlight

Algerian players go AWOL rather than represent colonial masters France at World Cup