(CNN) -- All eyes are on London this summer. The Olympic Games begin next month; earlier this month, the Queen's Diamond Jubilee provided glorious pictures and joyous sounds to the watching world.

The history and beauty of the great city are being much discussed, and with good reason. London is a bedrock of civilized society, a touchstone for commerce, culture and statecraft down through the centuries.

But while all the grand moments in London's, and England's, history are being revisited this summer, there is one rather important event that is likely to be ignored.

Its 70th anniversary is this week. And anyone who loves London, or who loves freedom, might want to contemplate it.

Seventy years ago -- in the last week of June in 1942 -- an American from Midwestern farm country arrived in besieged London.

Prince William: 30 years in photos

It was a business trip, of sorts. The man's bosses had assigned him a daunting task. Summed up in a few words, that task was:

Save the world.

England, and free Europe, were under terrible peril at the hands of Germany's Third Reich. The British people and the British military had shown extraordinary valor, but it was not going to be enough. They needed help.

And so, on that day in late June, Dwight D. Eisenhower of Abilene, Kansas arrived in London with the new title of commanding general of the European Theater of Operations.

Adolf Hitler didn't realize it at the time, but Ike's arrival in London meant that he was through.

It had been a year of loss and mourning for Eisenhower. Little over three months before, his father, who among other jobs had worked at an Abilene creamery, had died. Ike could not leave his post in Washington as deputy to Army Chief of Staff Gen. George C. Marshall even to return to Kansas to attend his dad's funeral.

Video: A look back at Eisenhower's legacy

But for 30 minutes on that day, he closed the door of his office and wrote, in longhand, in his diary:

"My father was buried today. ... He was a just man, well liked, a thinker. He was undemonstrative, quiet, modest, and of exemplary habits -- he never used alcohol or tobacco. ... His finest monument is his reputation in Abilene and Dickinson County. ... His word has been his bond and accepted as such. ... I'm proud he was my father. My only regret is that it was always so difficult to let him know the great depth of my affection for him."

Later that evening, Eisenhower realized he had not committed the extent of his grief to paper. He wrote in the diary:

"I have felt terribly. I should like so much to be with my mother these few days. But we're at war. And war is not soft -- it has no time to indulge even the deepest and most sacred emotions. I loved my Dad. ... Quitting work now -- 7:30 p.m. I haven't the heart to go on tonight."

But by June, he did go on, with the assignment of commanding all the Yanks in Europe. The invasion of North Africa would soon follow. Then, having been promoted to supreme commander of the Allied Expeditionary Force, Eisenhower would direct the largest combined sea, air and land military undertaking in the history of the world: Operation Overlord, the D-Day invasion of Nazi-occupied Europe.

Feature: British monarchy's long-lasting love affair with the sea

England, and Europe, and the free world would survive and prevail.

All was not easy; every decision was not without its critics, both at the time and in the ensuing years. Some strategies did not work out the way he had hoped and planned for. Eisenhower himself realized this, and was at peace with it. After the war, remembering his arrival in London, he would write:

"War, as so many men have said, is the most stupid and tragic of human ventures. It is stupid because so few problems are enduringly solved; tragic because its cost in lives and spirit and treasure is seldom matched in the fruits of victory. Still, I never intend to join myself with those who damn all wars as vile crimes against humanity. World War II, not sought by the people of the United States or its allies, was certainly not, on their part, either stupid or in vain. Satisfaction, and memories precious beyond price, rewarded those who survived and who, in loyalty to country and to ideals, answered the attack."

In that summer of 1942, England's Princess Elizabeth was 16 years old. Eleven years later, in 1953, coronation ceremonies would officially bestow upon her the crown of the queen. Also in 1953, inaugural ceremonies in Washington would officially swear in Eisenhower as president of the United States.

Diamond Jubilee coverage: How William, Kate and Harry made royals cool

London will glitter on the world stage this summer. The famous phrase will be heard often: "There'll always be an England."

But that was not so certain, 70 years ago. During the royal jubilee this month, the moving anthem beloved by the British people was played and sung many times:

"God Save the Queen."

In the United States, we don't have royalty.

But on occasion, we have majesty. And in this London summer -- a summer in a great city, free and proud -- perhaps there will be a few people who will pause if only for a moment to recall what once transpired, and who will close their eyes and offer the silent thought:

May God bless the memory of Dwight David Eisenhower.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: All eyes on England for jubilee, upcoming Olympics, but recall another anniversary

@highlight

June 1942, Dwight Eisenhower took command in Europe; it would soon be the end for Hitler

@highlight

Greene says Ike made personal sacrifices for service, went on to help Allies to victory

@highlight

Greene: As "God Save the Queen" rings out this month, take moment to bless Eisenhower, too