(CNN) -- International pressure built Tuesday for leaders of the military group that seized power last month from Mali's democratically elected president to restore the nation to civilian rule.

The African Union said Tuesday it will impose more sanctions on the country, one day after the Economic Community of West African States slapped the ruling military junta with travel and economic restrictions after last month's coup.

The AU supports the sanctions imposed by the ECOWAS in Mali and "further decided to impose their own sanctions, with asset freezes and travel bans against leaders of the military junta and all those involved in contributing to the 'destabilization' of Mali," said Ramtane Lamamra, commissioner for peace and security.

The AU also condemned recent attacks in the north by Tuarag rebel groups and declared "null and void" any of their statements or demands, adding them and all those involved in attacks in the region to the sanctions imposed.

On Monday, ECOWAS imposed a travel ban on the coup leaders and imposed a diplomatic and financial embargo that regional leaders discussed last week, ECOWAS Chairman Alassane Ouattara said.

"All diplomatic, economic, financial measures and others are applicable from today and will not be lifted until the re-establishment of constitutional order," said Ouattara, Ivory Coast's president.

He said ECOWAS leaders will meet again this week in Ivory Coast's main city of Abidjan to discuss the possible activation of troops from member states.

ECOWAS had given the officers until Monday to hand over power or face sanctions.

Under the sanctions, the five neighboring ECOWAS members will close their borders to landlocked Mali except for humanitarian purposes. Its member states are to deny Mali access to their ports, freeze Mali's accounts in regional banks and suspend Mali's participation in cultural and sporting events.

Hours after ECOWAS' announcement, the U.S. Department of State announced that it was imposing sanctions on travel to the United States on those people "who block Mali's return to civilian rule and a democratically elected government" and on their immediate relatives. Included are "those who actively promote Captain Amadou Sanogo and the National Committee for the Restoration of Democracy, who seized power from democratically elected President Amadou Toumani Toure on March 21," it said in a statement.

The United States released a statement earlier Tuesday in support of the West African states, saying it is "deeply concerned about the ongoing political crisis in Mali."

"We also urge all armed rebels to engage in dialogue with civilian leaders in (the capital city of) Bamako to find a nonviolent path forward for national elections and a peaceful coexistence," said Victoria Nuland, spokeswoman for the State Department.

The department warned U.S. citizens against all travel to the country and authorized the departure of non-emergency personnel and all eligible relatives.

Senou International Airport in Bamako remained open but "the availability of flights in the future is unpredictable and depends on the overall security situation," the department said in a statement.

Before Tuareg and Islamic rebels took control of northern Mali, it had been hailed as a shining example of African democracy, having experienced more than 20 years of democratic government. The impoverished country now has no access to the sea and is heavily dependent on foreign aid.

The coup leaders pledged Sunday to hold talks toward the establishment of a transitional government, which they said would organize "peaceful, free open and democratic elections in which we will not participate." But the statement did not specify when the talks or the elections would be held.

"The measures taken by the junta are in the right direction, but are not sufficient," Ouattara said Monday.

Amnesty International has raised concerns about the safety of civilians in the area, citing reports of violence and looting.

The warning came as international pressure increased on the military junta that grabbed power last month in Bamako.

The Tuareg, who seek a separate homeland in northern Mali, announced over the weekend that they had seized control of the northern regional capitals of Timbuktu and Gao, a major blow to the military government. Both towns are hundreds of miles north of Bamako.

"The armed groups who seized these towns in the last three days must ensure human rights abuses do not occur and where they do, they must take action and remove anyone implicated from their ranks," Gaetan Mootoo, Amnesty's West Africa researcher, said in a statement on the organization's website.

The Islamist group Ansar Dine seized control of Timbuktu after the military stepped down on Monday, said Yehye Tandina, a broadcaster in the city.

The streets of Timbuktu were quiet Tuesday, though the city was cut off from the rest of the world; shops and banks had been looted. "We are surviving on hope," Tandina said. "In reality, there is nothing in Timbuktu."

Military officers led by Sanogo seized power on March 22, overthrowing President Amadou Toumani Toure. The junta said Toure had failed to properly equip soldiers battling the growing Tuareg insurgency.

Moussa Ag Assarid, a spokesman for the main Tuareg rebel group, the National Movement for the Liberation of the Azawad, has said the group now "controls all of northern Mali."

"We are proud and ready to declare our homeland free from the south," he said. "Now the MLNA wants a nation."

Amnesty said it had received reports from witnesses in Gao of armed men looting homes and a hospital.

"The looting must be halted to ensure that the civilian population can safely go about their lives," said Amnesty's Mootoo.

In another northern city, Kidal, residents were fleeing their homes, Amnesty reported. According to the organization, more than 200,000 people had fled the north of Mali since the Tuareg uprising began in January.

Timbuktu was a thriving commercial hub and a center of Islamic scholarship in the 14th and 15th centuries, and it's home to three clay mosques that date back more than 700 years. The U.N. Educational, Scientific and Cultural Organization urged the combatants to avoid damage to the sites, which were added to the agency's World Heritage List in 1988.

"UNESCO stands ready to share its expertise and experience to help Mali ensure the safeguarding of Timbuktu," Director-General Irina Bokova said in a statement Monday.

CNN's Joseph Netto and Journalists Nick Loomis and Tom Walsh contributed to this report

@highlight

"We are surviving on hope," says Timbuktu witness

@highlight

U.S. government is "deeply concerned about the ongoing political crisis in Mali"

@highlight

West African countries on Monday imposed sanctions on the junta

@highlight

A Tuareg insurgency has taken control of regional capitals in northern Mali