(CNN) -- Walt Disney World is billed as the "happiest place on Earth," but it's anything but in the subversive new film, "Escape From Tomorrow." Randy Moore's directorial debut focuses on a man who slowly descends into madness while vacationing with his wife and children: Grim reality keeps intruding onto a theme park experience designed to banish every moment of melancholy. In Moore's vision, jolly Disney characters become fearsome ghouls; an epidemic of "cat flu" threatens to sicken visitors; an undercurrent of sex runs through this place meant to stand for innocent family fun.

It's a darkly comic and unflattering critique of Disney culture. So why would Disney ever allow Moore to shoot his movie inside Disneyland and Disney World? The answer is it never gave him permission. Moore, his actors and crew infiltrated the parks without Disney ever catching on. The cinematic subterfuge went on for weeks; Moore shot for about 10 days in Orlando, Florida and even longer at Disneyland in Anaheim, California.

"There was high anxiety the entire time while we were making this film," Moore admitted. He said the stress was so great, "I lost a ton of weight. I was 215 (pounds) and slimmed down to 168 by the end of this shoot."

Pulling it off

Moore said pulling of his unlikely feat required tremendous planning. "We weren't just running in there and improvising, 'Oh, here's a nice place to put the camera,'" he said. "We did a lot of scouting (in the parks). We walked through the movie at least nine times before we brought in the actors. ...The position of the sun was charted weeks ahead of time for every shot."

The movie includes several images of an eerily depopulated park -- not easy to arrange when contending with thousands of visitors. "As soon as they opened the doors we sort of rushed in and got the shot (of the empty park)," Moore recalled. "We had like maybe 20 seconds before people would get into (the frame)."

Why Disney might want to 'Escape From Tomorrow'

Technological breakthrough

Moore understood there was no way he could shoot his movie with anything like a traditional motion picture camera. A breakthrough came courtesy of the Canon 5D Mark II camera -- a digital SLR that can shoot high-quality video. "The 5D's small size and low-light capabilities were what made everything possible, allowing me the freedom to set up shots and move fast without sacrificing picture quality," Moore explained in a "director's statement" that accompanies press notes for the film (Moore told CNN he hasn't been paid anything by Canon to sing the praises of its product).

The innocent looking camera was key to avoiding detection by Disney security. "The thing about those parks is everyone has a camera there," Moore said. "So we were not the few people with cameras in the midst of a crowd of people. We were just normal. We probably would have looked out of place if we didn't have cameras."

But shooting video was only half the equation; just as big a challenge was figuring out how to record the actors' dialogue. Once again, technology came to the rescue.

"What we ended (up) doing was using these tiny Olympus pocket recorders that business people use mainly for dictation purposes," Moore explained in his director's statement. "They're great because they run for 18 hours straight on one battery; they have an auto-leveler function; they record almost at CD quality; and they have a mic input, so I could easily run a standard lavalier mic into them."

Smartphones also helped. "We had a shot list for every single shot. We kept those on our phones, as well as our scripts," Moore said.

It's a Small World After All

To get the shots of Disney attractions that he needed, Moore, his crew and actors had to board the rides -- repeatedly.

"I think we rode 'It's a Small World After All' 12 times in a row," Moore said. "And it was not a low park attendance day. There were a lot of people there. So, every time we were in line for probably 40 minutes. So that's all we did that day was ride 'Small World.' That was a rough day."

The team used Fast Passes whenever possible, but that only helped so much, as when they filmed a sequence at Disneyland's Autopia ride. "It was such a busy day (at the park) the line even with a Fast Pass was 25 minutes."

Paying Disney back

Disney hasn't filed suit against Moore despite his ample use of the company's copyrighted images (no doubt concluding a lawsuit would only increase public awareness of "Escape From Tomorrow"). Disney did get something out of it: Moore estimates he spent between $15,000 and $20,000 on season passes to the parks to accommodate his cast and crew. And then of course there was food.

"We ate all our meals in the park," Moore said. "It was just easier, more convenient." The director's favorite Disney eatery? The Royal Street Veranda in Disneyland. "They have these bread bowls with clam chowder or gumbo and they're fantastic."

To Disney or not to Disney?

The closest call

Moore said to the best of his knowledge no Disney park patrons ever caught on that a film was being made right in their midst. He and his crew also managed to escape detection by Disney security personnel, until near the end of filming in Anaheim. Then suddenly, after weeks of surreptitious shooting, the game was almost up.

"There was a moment when the actors had to enter the park through the turnstiles a few times," Moore recalled. "We had to do multiple takes of them walking into the park. And at one point a security officer came to our lead actor (Roy Abramsohn) and asked if he was famous. ... He said no and then they asked, 'Why do you have paparazzi following you?'"

Abramsohn and Elena Schuber, who plays his wife, had to do a quick improv to throw the officer off the scent. "I said (to Elena), 'Hey, honey, they think we're famous!'" Abramsohn recalled. "Yeah, all of a sudden now we're really acting," Schuber said. When the officer asked why the pair had entered and then re-entered the park twice within a matter of minutes, they explained they had left their sunscreen in the car and had to go back to apply it on their kids.

The actors realized it would be tough to explain why they were wearing sound recording equipment, so they said the young actors playing their kids needed to use the restroom.

They took that opportunity to stash the equipment.

"I put it in my sock, which I thought was the last place they would maybe look," Abramsohn said. "There aren't that many choices when you're wearing a pair of shorts."

Abramsohn, Schuber and their movie kids profited from a passing parade to disperse into the crowd, and then hightail it out of the park. A close call, but the actors said by that point they were used to shooting on the sly. "It was exciting," Abramsohn said. Said Schuber, "Luckily that was our only close encounter. We pulled off all the other things."

All is (almost) lost

But even after they finished shooting in the parks, the filmmakers' troubles weren't over. Screening the footage he had captured in Orlando, Moore's heart sank. There was a big blotch on the video -- all of it.

"It was through every shot," Moore said. "I thought, 'The whole film is ruined! We have a giant black dot near the center of the movie for everything!'" The culprit was tree sap that had somehow slimed the camera's sensor. Moore still doesn't know how it happened, but the digital gods smiled on him and a company in South Korea was able to remove the blemishes in post-production. Another escape for "Escape From Tomorrow."

Moore consistently beat the odds to get his movie made and into theaters: first by eluding Disney security, then earning a spot in the Sundance Film Festival (where the film premiered in January) and ultimately finding a distributor willing to risk the wrath of the Walt Disney Company. But when he returned to Anaheim for an interview with CNN just outside Disneyland property, Moore felt understandably apprehensive.

"It's strange being back here in the belly of the beast," he said. "I feel like a mouse's hand is going to cover my face with chloroform at any moment and drag me away."

@highlight

"Escape From Tomorrow" was filmed surreptitiously at Disney parks

@highlight

Director Randy Moore planned each shot for weeks before shooting

@highlight

There were some close calls, but ultimately the crew was not caught