Los Angeles (CNN) -- She's not gonna make it. We give her 24 hours.

Apryl Brown remembers lying on the hospital bed as the doctor uttered those words. A sense of relief came over her.

"I didn't think about losing my children. I didn't think about leaving my mother," she said. She thought instead of how death would feel. "Although I will be dead, I will not be in pain anymore."

That searing pain came from an unimaginable source: a silicone filler, like the one Brown assumed plastic surgeons use daily. Hers was injected into her buttocks, with the hope of improving her appearance.

Brown never predicted the injections would land her here -- dying in a hospital bed in June 2010.

Her body was shutting down from a staph infection that doctors said was connected to the silicone injections. Her limbs were curling and turning black, the visible signs of necrosis. Brown recalled seeing her hands in the hospital, thinking, "Oh, my God. I am going to lose my hands. I looked at my feet ,and they were dead, too."

Doctors had no choice. To save Brown's life, they amputated her hands, feet and the flesh around her buttocks and hips in 27 surgeries. Somehow, she survived.

Brown is still embarrassed as she talks about the vanity that nearly cost her everything.

Living a good life, except for a flat 'flaw'

At the time, she was a successful hair stylist and owned a salon. When she wasn't at her shop, she was busy raising two daughters. Life was good. But Brown always wanted to fix what she saw as her "flaw."

Ever since she was a little girl growing up in Florida, Brown remembers being teased about having a flat butt. Growing up, she always wanted a fuller posterior and even had a mantra, "When I get me some money, I am going to get me some butt."

In 2004, while she was working on a new client's hair, she got her chance. The client happened to mention she did silicone injections cheaply. With a few sessions, she told Brown, she could obtain the shape she had always wanted. Brown was sold. A week later, she found herself in a house lying down in a bedroom receiving her first of four injections into her butt cheeks.

Following her second treatment, Brown remembers doubting her decision. "A voice just came to me like, 'What are you doing? Are you serious? You are going to allow somebody to inject something into your body and you have no idea what it is.'" Brown decided that day to stop doing the treatments and never went back.

The true cost of the injections would come later, following years of pain and visits with doctors.

Brown's story may be severe, but she is part of what the American Society of Plastic Surgeons calls a growing problem: patients bypassing doctors just to save some money on basic medical procedures.

"I think that's awfully seductive to a person who doesn't know there's a problem," said Dr. Richard Glogau, a clinical professor of dermatology at the University of California, San Francisco. He says he is seeing a disturbing trend, as patients turn to plastic surgeons such as him after getting botched facial filler injections.

The injections are used to smooth out facial lines. Some of the patients Glogau sees have traveled out of country and had these cosmetic procedures done cheaply. Others are purchasing cosmetic fillers from websites and self-injecting these dermal fillers into their faces. Often, the patients have no idea what's in the dermal filler, nor do they receive the procedure from a licensed medical professional.

"People assume it's just as easy as getting your hair colored, and at the end of the day it's a medical procedure," Glogau said.

Would-be patients need to know the facts

In the United States, there are only 21 FDA approved dermal fillers. These must be administered by a medical provider or under the supervision of a physician.

None of the FDA-approved dermal filler devices is approved for self-injection. There are hundreds of nonapproved dermal fillers available around the world. But Glogau cautions against having the procedure done out of country or trying to do it yourself. "I wouldn't do it. I think you belong in a doctor's office where a physician is supervising this and you can depend on where they have sourced the material."

As far as buying it online, Glogau says it's easy for patients to take the leap.

"If we live in a world where you buy your Manolo Blahniks shoes at Neiman Marcus or you can buy them online at Zappos and it's the same shoe, I think you're expecting what you see on a website as full value and true."

One of his recent patients came to him after purchasing a non-FDA-approved dermal filler marketed on the Internet with just a credit card and a stroke of the keys. In a few days, the cosmetic filler she purchased from the website PMMA.com arrived postmarked from Brazil. She had her friend, who was a registered nurse, inject her face with the dermal filler.

A week later, her cheeks started to react. Glogau says it appeared that there were "red, angry nodules in the cheeks." He had to surgically drain the area, which had "lakes of pus under the skin," and excise the material from her cheeks.

After the surgery, Glogau had the material from her face tested. The UCSF dermatopathology results showed there was some type of "refractile material" found in her cheeks. Glogau describes the material as low-grade "glass or fiberglass." The patient's body was rejecting that material.

After repeated attempts by CNN to contact PMMA.com for a comment about selling non-FDA-approved dermal fillers on its website, PMMA e-mailed, "It has nothing to do with the product but the procedure." Two days later, when CNN went to PMMA.com, all that appeared was a blank white screen and the words: "Access denied."

Scars are a reminder of a bad decision

While Glogau's patient is on the road to recovery, she will always have some visible scars on her face. Glogau has a warning to people considering purchasing dermal fillers themselves. "What we want to do is at least make the patients aware that there is a danger lurking for them out there, and they have to be careful," says Glogau.

Brown considers herself a living example of what happens when you're not careful.

She doesn't hesitate to tell others about how she suffered in extreme pain for five long years after the silicone injections. She explains how she watched her buttocks harden and discolor, seeing doctor after doctor to try to get help. She lifts what's left of her arms and explains what was actually injected in her buttocks.

When her doctors tested the substance injected into her body, Brown says it was bathroom caulk. Brown doesn't know what happened to the woman who injected her.

At 47, Brown has had to learn to do everything all over again with prosthetics. She is able to live on her own with the help of an aide who comes in to help her for a few hours a day.

She doesn't want pity; she wants people to listen to her cautionary story.

"All I would ask them to do is, when you have that first thought, make sure they have a second thought about it and do a little research. And if they still want to do it, go for it. They won't be blindsided, saying, 'Oh, my God, I had no idea that a simple procedure like that can leave me with no hands, no feet and no butt cheeks.'"

Brown has a new mission in life to spread the word about what happened to her and a different mantra: "We are enough and we were made to be enough."

Singer charged with murder in botched cosmetic procedure

Watch Erin Burnett weekdays 7pm ET. For the latest from Erin Burnett click here.

@highlight

Apryl Brown almost died after getting cheap butt injections

@highlight

Some people are ordering cheap injections online and self-injecting

@highlight

FDA-approved dermal filler devices are not approved for self-injection