As a plume of black smoke billowed from Asiana Airlines flight 214 after it crash landed at San Francisco International Airport last week, images were being captured -- not just of the plane itself, but of passengers ignoring official safety procedures and collecting their carry-on items before evacuating the aircraft.

A photograph that showed several passengers, including a woman walking away from the smoking wreckage with a black suitcase and smaller white bag in her hands, has been widely circulated.

The photo and reports of similar behavior have stirred up a stormy debate across China's social media platforms -- Chinese nationals made up approximately half the passengers on the Asiana Airlines flight that originated in Seoul, according to the airline.

"I am so disappointed those passengers think their baggage is more important than other people's lives," posted "MeganZhong," on Weibo, China's Twitter-like service. "And they had time to tweet the plane crash (before) helping others that are injured."

"Foreigners (especially Americans) don't understand that in China, human lives are cheaper than money," posted another, called "Victory of Xiangzi." "And this belief is deeply ingrained in the mentality of the Chinese government and its people."

A similar tone and theme was prevalent across Weibo but other netizens defended the passengers.

"Grabbing the bag is an instinct response," wrote "Jiqiongqiong." "But as Chinese, we should always keep in mind that human lives weigh more than our belongings."

Did pilot have enough 777 experience?

Communication problems?

Many commenters chided passengers who did not read the aircraft's safety briefing card or pay attention to verbal safety instructions.

Part of the investigation into the incident will look at Asiana crew members' verbal instructions during the emergency, what languages those instructions were in and how passengers responded. There can be no denying such an event can be chaotic and potentially confusing.

According to the airline, flight attendants helped passengers get off the plane safely. They opened doors, deployed slides and helped passengers escape, according to JoongAng Daily, a South Korean newspaper.

Safety information available online from the U.S. Federal Aviation Administration (FAA) emphatically capitalizes the instruction to "LEAVE YOUR POSSESSIONS BEHIND" under its evacuation procedures. Passengers are also instructed to:

-- stay low

-- proceed to the nearest front or rear exit -- count the rows between your seat and the exits

-- follow floor lighting to exit

-- jump feet first onto evacuation slide

-- don't sit down to slide. Place arms across your chest, elbows in, legs and feet together

-- remove high-heeled shoes

-- exit the aircraft and clear the area

-- remain alert for emergency vehicles

-- never return to a burning aircraft

Some passengers have defended their decision to grab personal items before evacuating the burning aircraft, citing passports as a major concern. One of the most high profile passengers to do so was Xu Da, president of product development for Taobao, the largest e-commerce platform in China.

"Regarding some people who criticize me for taking my luggage with me and thus hindering the rescue of other passengers, I have to clarify," wrote Xu on Weibo. "First, my family (three of us) sat in the same row, our bags were in the overhead cabin on top of our seats, we didn't stand in the aisle to take our things.

"Second, our passports, money, etc., were all in (our luggage). I would be difficult if I didn't take it with me.

"Third, everyone was looking forward in the cabin at that time, it wasn't too chaotic. No one was running behind us. My son said to us, 'we could get out' (through the hole in the aircraft, not the evacuation slide). And so we did."

Shock and survival: Plane crash through the eyes of children

But Xu's explanation attracted criticism from some netizens. One, identified as "Olivia Yi" posted: "Are you an idiot? Taking your luggage when you're escaping ... Ignorant and selfish!!! You know your seemingly justifiable action may lead to the death of the others? Please read your safety manual carefully next time! Your possessions may be important to you, but even more so are the lives of others."

Xu's comments notwithstanding, the question remains why so many defied safety protocol -- and, perhaps, common sense -- by carrying their belongings off the plane.

Cabin crew well trained

A Chinese netizen named "Happy Beyond the Cloud," who identifies himself as a commercial airline pilot, posted his own summary.

"A crew member from American Airlines complained to me that a lot of Chinese people refuse to put on safety belts, adjust their seats or close the glare shield while the plane is landing, and they put over-weighted bags overhead.

"Some planes have to broadcast in Chinese over and over again that if passengers refuse to cooperate with the crew, they will face a fine as much as $1,500. Don't these passengers know their bad behavior would kill them in emergency landing?"

The rush for belongings, even as potential disaster loomed, may raise questions about the way passengers are briefed for emergency situations.

How does an air crash investigation work?

The news from San Francisco could have been far worse, and "what if" speculation abounds.

"It's a natural reaction in the chaos of a crash, to grab your things and run, I think," said Tom Ballantyne, chief correspondent at Orient Aviation magazine.

"But clearly there can be repercussions, from high heels puncturing the slide to bags blocking exits.

"Flight crew are trained to be extremely firm with passengers, ordering them about if necessary. It's unlikely the crew were at fault. To get an operating license aircraft need to show they can be evacuated in 95 seconds. The problem here is with passengers ignoring safety instructions -- if we don't comply, you could have problems."

Interactive: What happened with Asiana Flight 214?

The U.S. National Transportation Safety Board has yet to comment on or determine the impact passenger behavior had on overall safety and the efficiency of the evacuation effort.

All quotes from Chinese netizens translated from Simplified Chinese by CNN.

@highlight

Chinese netizens buzz over images of passengers with luggage

@highlight

Safety standards make it unlikely crew was at fault, say experts

@highlight

NTSB investigations continue, will consider passenger behavior on evacuation