Near San Cristobal, Cuba (CNN) -- Fifty years ago, 15-year-old Omar Lopez knew a secret that governments around the world would have killed to learn or safeguard: Soviet troops were building hidden military installations in Cuba.

One of those installations was on the farm where his family raised chickens and pigs.

In 1962, Fidel Castro's revolution was just beginning to reshape Cuba. Thousands of Cubans had fled the country, and the year before, Castro's troops had routed a U.S.-backed invasion at the Bay of Pigs.

Read more: Should the U.S. fight or befriend Cuba?

But little of the drama of those times reached the remote Lopez farm in western Cuba, where palm trees vastly outnumber human residents.

"Our life was getting up every day to take the livestock out to pasture," Lopez remembers a half-century later. "We watched them, worked, did our chores and went to sleep to do it again the next day."

That routine was interrupted when Lopez and his father, Manuel, returned to their farmhouse one day to find a uniformed Cuban comandante waiting for them on the porch.

Read more: Raul Castro again says Cuba willing to talk with U.S.

"He said they needed the farm," Lopez recalled. "It wasn't right, but this was a time of war and they needed for us to move and would give us a bigger farm and build us a new house."

Seventy-two hours later, Lopez said, a house had been built for them, no small feat in a country beset by shortages. Lopez, his brother and parents left their farm with all their animals and earthly possessions.

"As we drove out," he said, "the troops started coming in."

Read more: Should the U.S. raise a fist or offer a hand to Cuba?

"The troops" were thousands of Soviet soldiers and technicians who had been secreted into Cuba as part of a confidential agreement between Castro and Soviet premier Nikita Khrushchev to place nuclear missiles on the island and upend the dynamic of the Cold War.

On his family's new farm two miles away, Lopez might not have ever known that a large military operation was under way where they once lived -- if not for the pigs.

The Lopez family's pigs kept wandering back to the old farm. Omar was dispatched to bring them home.

Sneaking past the Cuban guards, Lopez said, he encountered tall, blond visitors who had commandeered his wayward porkers.

"They ate our pigs," Lopez said. "When you said, 'Hey, that's mine,' they said, 'No comprende.' "

Read more: Pope calls for greater freedoms in Cuba as he ends two-country tour

As Lopez left with the livestock he could rescue, the Russians asked the teenage Cuban farm boy to come back with rum for them.

Despite the furious pace of activity on his old farm, Lopez didn't pay too much mind to the foreigners.

Then the shiny planes -- flying fast and low -- appeared over the green hills.

Read more: Dissident Cuban blogger arrested, colleagues say

"I saw the planes twice. They flew over that mountain range, came down and then flew out," Lopez said. "That's when you saw a lot of movement among the Cuban troops."

The planes Lopez saw were U.S. spy planes, and as they flew over San Cristobal on October 15, 1962, they were capturing the first photos of Soviet nuclear missiles in Cuba.

Those photos arrived on President John F. Kennedy's desk the next morning.

More spy flights revealed Soviet installations across the island and nuclear missiles that could reach the U.S. Eastern Seaboard.

Kennedy ordered Navy ships to quarantine Cuba to prevent more Soviet missiles' and troops' passage to the island. For millions of people across the globe, a nuclear war and nuclear holocaust seemed imminent.

Read more: Dissident Cuban blogger arrested, colleagues say

The standoff that would play out over the next 13 days would be called the Cuban missile crisis in the United States, the Caribbean crisis in the USSR and the October crisis in Cuba.

But even though he lived next to a missile site, Oscar Lopez wasn't aware at the time that a crisis by any name was taking place.

"Back then, we didn't have TV," Lopez said of simple life in Cuba's countryside. "We didn't get the news, no one delivered the paper. You lived to work. Back then, you were considered rich if you had a radio. We had no idea what was going on."

Lopez said they never heard of the crisis while it unfolded or that a deal was reached between the Americans and Soviets to remove the missiles if the Americans promised not to invade Cuba. He does remember the loud noise of trucks hauling the Soviet equipment from their farm.

After the mysterious visitors left, Lopez said he and his father returned to their old land. Trenches crisscrossed the fields. Concrete bunkers now stood where livestock had grazed. The new land they had been given was four times the size of the old -- and now damaged -- farm.

Still, Lopez's father went to see the comandante to ask for his farm back.

Opinion: The hypocrisy of America's Cuba policy

"The comandante said, 'If I gave you a bigger farm, why do you want to go to a smaller one?' " Lopez related.

"My dad responded, 'You gave me a bigger farm, but that's not my farm," Lopez said. "My farm is the little one, and that's where I want go back to."

Lopez's family still works the land where Soviet troops once erected nuclear missile sites.

When Lopez, 65, is not tending to the animals, he takes the occasional visitor out to see the traces of the Soviet occupation of his farm. The road the Russians used to transport the missiles washed away a long time ago and the quickest way to reach the missile sites is by mule and buggy.

On the day he took CNN out to see the ruins of the missile sites, Lopez sported a Boston Red Sox baseball cap and apologized that he had to borrow his neighbor's smaller cart since his had a flat tire.

Driving out, Lopez pointed out a fence he made from a metal bridge the Soviets left behind.

He also showed how neighbors used curved concrete beams from a missile bunker to build a pig pen.

A jarring 30-minute ride later, Lopez and visitors reached one of the missile launch sites.

Read more: Jailed American in Cuba may be ill, lawyer says

In the nearby jungle, vines wrapped around fallen buildings that seemed to belong to a much older and forgotten civilization.

A small, faded marble plaque marked the spot where Soviets once pointed nuclear missiles at the United States. Lopez said the marble plaque was a replacement for a bronze one that disappeared years ago.

The loudest sound at the remote site was the wind rustling though the adjacent sugar cane fields.

"We were lucky there wasn't war," Lopez said. "After the atomic bombs and the sicknesses that would have come, there wouldn't have been a single Cuban left and there wouldn't have been many of you left either because you are very close."

@highlight

A small family farm in Cuba hosted Soviet missiles in 1962

@highlight

A Cuban teen found out about emplacement when relocated pigs returned to old farm

@highlight

Remnants of Soviet bunkers still can be seen on the farm