Washington (CNN) -- By the time President Barack Obama walked into a packed auditorium at the White House Monday, his economic message for the day had already been eclipsed by the unfolding tragedy at the Washington Navy Yard.

And that was before the city's mayor announced that 12 people and the gunman had been shot dead.

As the White House shifted again into disaster-response mode, the president's already-full plate got a lot fuller. And while the executive branch is more than capable of keeping multiple balls in the air, the topics Obama has been looking to push for months are again receding into the background.

Here are five things Obama thought he'd spend his Monday doing:

1 -- The financial crisis, five years later

On September 15, 2008, that financial services giant Lehman Brothers filed for what would become the largest bankruptcy in U.S. history -- launching an economic spiral that saw the unemployment rate spike, home prices plummet and the auto industry sink into insolvency.

On Monday, the president planned to mark the five-year anniversary of the financial crisis with a robust accounting of his own achievements in bringing the economy back from the brink and to warn congressional Republicans not to risk another downturn by playing politics with the country's finances.

"At the moment, Republicans in Congress don't seem to be focused on how to grow the economy and build the middle class," Obama said at his Monday event, which was pushed back almost an hour as law enforcement officers flooded the Washington Navy Yard in the southeastern part of the city.

His economic remarks come just weeks before major financial deadlines, including the end of the federal government's 2013 fiscal year on Sept. 30.

Obama must also narrow down his list of potential replacements for Ben Bernanke as chairman of the Federal Reserve, a list that no longer includes Larry Summers, a former adviser who Sunday withdrew his name from consideration.

But the economic message Monday came only after Obama noted the shooting that had just taken place across town, offering the now-familiar assurances that the perpetrator of the attack would be held responsible.

"We're going to be investigating thoroughly what happened, as we do so many of these shootings, sadly, that have happened, and do everything that we can to try to prevent them," Obama said, before moving on to the latest developments in...

2 -- Syria.

The crisis over Bashar al-Assad's chemical weapons had occupied the bulk of the president's time during the past two weeks, but on Monday the attack in Washington led his morning meetings. White House officials said Obama was briefed "several times" by his top counterterrorism officials on the unfolding Navy Yard situation.

At the same time, officials at the United Nations were putting final touches on a long-awaited report that confirmed what many already suspected -- that sarin gas loaded onto rockets was used to kill more than a thousand Syrians in August. The report didn't place blame for the attacks; that didn't stop Obama's National Security Adviser Susan Rice from asserting in a statement the report "reinforces our assessment that these attacks were carried out by the Syrian regime."

While a diplomatic solution hammered out over the weekend between the United States and Russia may provide a way to avoid a military strike on Syria, the accord is by no means final.

"We took an important step in that direction towards moving Syria's chemical weapons under international control so they can be destroyed," Obama said at his Monday event. "And we're not there yet, but if properly implemented, this agreement could end the threat these weapons pose, not only to the Syrian people but to the world."

Under the U.S.-Russia plan, Assad has a week to provide a list of his chemical weapons, where they're located and how they were made. But experts aren't certain he'll comply with the demands, leaving open the possibility of American airstrikes against his regime.

That's a possibility Obama says he's ready for -- though lawmakers from both parties have shown no renewed willingness to approve military strikes in the country. An Obama administration onslaught to persuade senators and congressmen to vote for strikes was met with skepticism last week.

For Congress, the Syria debate was a shift from the battle over the government's finances, which some Republicans are using to harden their opposition to...

3 -- Obamacare.

The largest piece of legislation Obama can claim -- 2010's Affordable Care Act -- is only beginning to take effect amid ever-louder cries from Republicans that it's bad for patients, doctors and businesses.

A group of GOP lawmakers say they'll oppose any government funding plan that maintains funding for Obamacare, effectively threatening a government shutdown if the law stays in effect.

The law's health care exchanges take effect Oct. 1, and the Obama administration has been hurriedly pressing healthy young people to register. Without them, rates on the exchanges will be higher.

The rollout of Obamacare hasn't always been smooth, a fact Obama has said should be expected for a large law that enacts major changes to the health insurance landscape.

But as the rollout date approaches, polls show that Americans are wildly confused about the law's implications. In one survey, many weren't even sure it was still a law.

Obama has deployed a parade of high-profile supporters -- including former President Bill Clinton -- to help convince Americans the law offers them a better deal on health insurance.

And on Monday he noted that "just two weeks from now, millions of Americans who've been locked out of buying health insurance just because they had a pre-existing condition, just because they had been sick or they couldn't afford it, they're finally going to have a chance to buy quality, affordable health care on the private marketplace."

And then there's:

4 -- Immigration

What seemed like a momentum-fueled bill to overhaul the nation's immigration system was met with a wall of opposition in the House over the summer, and debate hasn't restarted amid the haggling over government funding and the flurry of briefings on Syria's chemical weapons.

Obama has strongly urged lawmakers to take up the reform measure, and he said in an interview that aired Sunday the Senate bill would pass if it was put up for a vote in the House.

5 -- Floods out West

It's hurricane season on the East Coast, but the weather disaster over the weekend was playing out thousands of miles away in the Mountain West, where days of heavy rain caused massive flooding that cut off towns and left at least eight people dead.

The catastrophe occupied much of the president's time last week; on Thursday he signed a disaster declaration for Colorado, and on Sunday he told Gov. John Hickenlooper in a phone call that he was deploying his emergency management chief to assess the damage.

@highlight

The shooting at the Washington Navy Yard led President Obama's talk about the economy

@highlight

Obama later touted his achievements since the financial crisis started five years ago

@highlight

Obama spent the last few weeks addressing the chemical weapons situation in Syria

@highlight

Obamacare's rollout, the stalled immigration bill have gotten lost in the shuffle