Princeton, New Jersey (CNN) -- All around the world this weekend, Christians are celebrating Easter. For them, this holiest of days announces that death does not have the final word and that eternal life awaits those who would just believe.

Sunday also marks the anniversary of the Rev. Martin Luther King Jr.'s death. Forty-two years ago, an assassin's bullet took his life as he struggled to secure the promises of American democracy for the children of slaves. His sacrifice, along with countless others, helped usher in a new chapter in American life -- one that prepared the way for the election of our nation's first African-American president.

Every now and again, the convergence of significant historical moments occasions a time for serious reflection. How might we think about the significance of the resurrection of Jesus and the martyrdom of Martin Luther King, Jr. to the lives we currently live as Americans? What lessons does Easter hold for us? And what does remembering King's death teach us?

On April 27, 1957, Dr. King delivered an Easter sermon titled, "Questions that Easter Answers." For him, Easter settled the mystery of death and secured for us the importance of living a life in light of those forces that go beyond our physical experience. We are not simply biological processes. Instead, King argued, Easter cries out to us about the importance of the unseen and of the personality, those "spiritual forces that are eternal and not merely these material things that we look about and see."

We matter. Our hopes and aspirations, our joys and triumphs matter. Not because of something we have actually done, but rather, because of an inheritance borne on a cross on Calvary. King understood Easter's answer to the significance of human action in the world. "There is a faith, there is love, there is hope, there is something beyond the external that will stand through the ages."

This view holds off the notion that life has no meaning or is doomed to end in shipwreck. The fact that so many have lost their jobs, their homes, their dreams in these difficult times confirms for us that life carries with it a 'Good Friday' experience -- that darkness and disappointment can be constant companions.

"But thank God the crucifixion was not the last act in that great and powerful drama," King preached. "There is another act. And it is something that we sing out and cry and ring out today. Thank God a day came when Good Friday had to pass."

For King, Easter teaches us that death does not have the last word; that invisible forces are more real than the shadows that we currently inhabit; and that the darkness of Good Friday may be necessary but will eventually pass away.

Easter ultimately demonstrates that "love is the most powerful force in the universe," said King. And this insight reaches beyond Christians to all of us, no matter what we believe.

Here, love isn't some sentimental notion; instead, it involves risks, daring and growth -- a surrender to that feature of human personality that can cause us to sacrifice our lives in defense of it. Love conquers cowardice. It shatters hubris and crushes the illusions of death. It fortifies the soul amid the darkness of the hour; it calls us to bear witness and to suffer, if necessary, the consequences.

The mindless chatter of today distracts us from the power of love. Instead, we are mired in the sundry politics of Washington, or we are content to spew venom at our opponents. Mean-spiritedness carries the day. But Easter, if I understand King correctly, teaches us to love and to witness the miracle of the resurrection before the powers that be, no matter the consequences.

"It says to us," King preached, "that love is the most durable power in the world" and is stronger "than all of the military giants, all of the nations that base their way on military power." Such a conviction led him on April 4, 1967, a year before he was killed, to condemn the Vietnam War and to say that America was "the greatest purveyor of violence in the world."

The fact that Easter falls this year on the anniversary of Dr. King's death highlights the true lesson of this holiest of days. We are not to sit idly by because Easter proclaims the victory.

Too many Christians take comfort in the wrong-headed idea that all is settled because Jesus rose from the dead. Martin Luther King, Jr's death suggests otherwise. His was a life given in love and in devotion to justice. Are we, Christian or not, as committed? To stopping war? To ending poverty? To fighting for the most vulnerable among us? Or, are we content to rest in the illusion that salvation is guaranteed?

Our lives, if we are to be saved, must stand as a testament to that legacy which, beyond our doing, is inescapable. Cowardice and complicity must die in us. And we must rise again to "love" a new world into existence.

The opinions expressed in this commentary are solely those of Eddie S. Glaude.

@highlight

The anniversary of Martin Luther King Jr.'s death coincides this year with Easter

@highlight

Eddie Glaude says the martyred preacher spoke about the message of Easter

@highlight

King said Easter shows that death does not have the last word, according to Glaude

@highlight

King challenged people to fight for social justice, and said love is the "most durable power in the world"