Washington (CNN) -- South Carolina officials head to federal court on Monday to defend a controversial new voter identification law, dismissing suggestions the requirement would deny tens of thousands of people, many of them minorities, access to the ballot.

A weeklong trial will kick off in Washington before a panel of three judges who will decide whether the law should take effect. It is one of several legal challenges to voter identification laws nationwide.

A key enforcement provision of the landmark Voting Rights Act of 1965, gives the federal government open-ended oversight of states and communities with a history of voter discrimination. Any changes in voting laws and procedures in those areas must be "pre-cleared" with Washington.

South Carolina Attorney General Alan Wilson has defended the law, saying it will not harm any potential voter.

"The changes have neither the purpose nor will they have the effect of denying or abridging the right to vote on account of race, color, or membership in a language minority," Wilson said.

The Justice Department blocked the measure from taking effect last year, concluding it was discriminatory.

Federal officials cited figures that registered minority voters were about 20 percent more likely than white voters to lack state-issued photo identification.

The Justice Department estimated that more than 80,000 people in South Carolina could be adversely impacted by the planned requirements.

Republican Gov. Nikki Haley has called the Justice Department's decision "outrageous" and ordered a lawsuit. State officials have deflected criticism the legal battle could end up costing taxpayers $1 million or more.

"It wouldn't cost anything if (U.S. Attorney General) Eric Holder and the Department of Justice would get out of the way and let us protect our citizens and enforce our laws," Rob Godfrey, a spokesman for Haley, said earlier this year.

A decision in the case could take weeks.

In legal filings with the court, South Carolina officials said a law dating to 1988 requires a state-issued voter registration card and the voter's signature at the polls. The amended law approved last year would permit five types of photo identification: a state-issued driver's license, a non-driver identification card issued by the Department of Motor Vehicles, military identification, a U.S. passport, or state voter registration card.

Waivers are allowed, but the voter must sign an affidavit specifying why she or he has a "reasonable impediment" to getting the necessary identification or has a religious objection to being photographed.

If the law takes effect, South Carolina would be among 11 states that require official photo identification at the polls, according to the National Conference of State Legislatures.

Proponents say the drive is an effort to stop what officials contend is voter fraud and to purge voter rolls of outdated information. Supporters say having valid, government-issued photo identification is a reasonable, modern-day necessity.

Opponents assert that the effort disenfranchise poor, minority and disabled voters. Obama administration officials have concluded there is little evidence of voter fraud in the state warranting the legislative changes.

A coalition of civil rights groups is expected to testify at next week's hearing, offering testimony from college students and elderly residents. Those groups say claims of voter fraud are exaggerated.

"South Carolina's photo ID measure is a solution in search of a problem. Credible studies show that one is more likely to be struck by lightning than to perceive an instance of in-person voter fraud," Ryan Haygood, a top lawyer at the NAACP's Legal Defense Fund, said. "The [upcoming] trial will make clear that the state's proposed photo identification measure will have a significant impact on its minority voters."

The NAACP says that a quarter of African-Americans and 16 percent of Latinos nationally lack any kind of government-issued photo identification.

A separate federal panel is considering similar challenge to a voter identification law in Texas. A federal trial was held last month and a ruling is expected soon.

Both South Carolina and Texas say they will put their laws in place in time for the November elections, if they are upheld. It is possible the losing sides could ask the U.S. Supreme Court to intervene, delaying any immediate implementation.

Other Republican-controlled states with similar laws under legal challenge include Alabama, Florida, Georgia, Kansas, Mississippi, and Tennessee. The Justice Department this week gave approval to Virginia's less restrictive voter identification measure. North Carolina Gov. Beverly Perdue vetoed a law passed by the GOP-led General Assembly.

The Supreme Court in 2008 allowed Indiana's voter identification law to stand in 2008, saying the stated goal of stopping voter fraud was a legitimate exercise of legislative power.

@highlight

Panel of federal judges will decide whether voter identification law should take effect

@highlight

Justice Department blocked the measure last year, calling it discriminatory

@highlight

Proponents say the law would help thwart voter fraud, update records

@highlight

Other states face legal challenges, ruling in South Carolina case could be appealed