London (CNN) -- Three-dimensional (3-D) printers have come a long way from their 1980s origins as machines for building prototypes for industrial engineers and architects.

Today, thanks to advances in technology and high-performance materials, they are being hailed as enablers of a "new industrial revolution."

The technology, which creates 3-D objects layer by layer from 2-D computer models, could transform manufacturing in the 21st century.

Hod Lipson, director of Cornell University's Creative Machines Lab and co-author of "Fabricated: The New World of 3D Printing," says there's virtually no material you can't print with.

"We are focusing on bio-printing and recently worked on food printing. Now we are focusing on multi-material printing -- integrating electric wires, batteries and motors," Lipson said.

"We really want to print a robot that will walk out of a printer. We have been able to print batteries and motors, but we haven't been able to print the whole thing yet. I think in two or three years we'll be able to do that."

Lispon says the commercial 3-D printer market is now growing exponentially, likening the change to the switch from mainframe computers to desktop during the 1980s.

You can now buy printers for $1,000 going up to around $500,000, he says. But you might not need one at all.

"If you're interested in, say, making iPhone covers and you wanted to make them high quality, you could send the file online and it could be shipped overnight to you or your customer. So, essentially there is a cloud manufacturing model that is happening that is allowing people to do this," Lipson said.

See more: How you can 'print' 3-D objects at home

The scale of 3-D products is also expanding with printing ranging from the micro scale right up to building-size, according to Lipson.

Most people are printing toys at the moment, but industrial applications are also growing.

Engineers at EADS (The European Aeronautic Defense and Space Company) -- parent of plane manufacturer Airbus -- are at the vanguard of the rapidly advancing field.

The benefits are enormous, says Jonathan Meyer, leader of Additive Layer Manufacturing (ALM) Research at EADS Innovation Works, based in the UK.

"For us, it's very advantageous to have a technology where we don't need specialized tooling. When you invest in tooling it drives you to a requirement for higher volumes in order to make the cost case," Meyer said.

EADS is working with titanium alloys, high-strength steels and aluminum alloys, turning them from powder into a solid object (a process called sintering) using a laser or an electron beam.

As well as cutting down on waste, the technology also presents the opportunity to make new system parts that are more complex than ones made using conventional machining, Meyer says.

Hydraulic manifold channels can now be curved instead of straight, he says, while complex small-scale trusses can now be defined with far greater accuracy.

Compared to machining, printing reduces weight by up to 65% without compromising on strength, the company says.

"That's one of the things that has surprised a lot of people. We can achieve properties that are equivalent to or, in some cases, better than available materials from plate products," Meyer said.

None of these new 3-D parts are flying around in Airbus's current fleet, but Meyer is confident they will be by the end of the decade, helping make planes lighter and more fuel efficient.

By 2050, EADS envisages wings, perhaps even whole planes, being built by vast 3-D machines.

"It will require a shift in technology and with that comes other constraints and capabilities. But multi-meter, high-value parts are realistic in that time frame. It's a very serious focus," Meyer said.

3-D printing won't be a direct replacement for all existing manufacturing technologies, but it will be "a very, very significant introduction of capabilities to complement that," he says.

Whether Lipson's robot manages to walk out of a printer in the near term remains to be seen.

Whatever happens, it's going to be a lot easier to make things, Lipson says.

"The bottom line is that for the first time in human history complexity is free -- making something complicated takes the same amount of time, resources and skill of making something simple," said Lipson. "This is a profound departure from the past."

@highlight

Advances in 3-D printing could transform manufacturing in the 21st century

@highlight

Manufacturing objects layer by layer is more precise and saves waste

@highlight

U.S. researcher hopes to print a fully working robot in next few years

@highlight

Aviation company EADS hoping to build wings and possibly whole planes using 3-D printing by 2050