Members of the powerful Gambino and Bonanno crime families were among 24 people arrested Tuesday in New York and several cities in Italy in a major anti-mafia raid, authorities said.

The FBI and Italian police carried out the raid as part of operation "New Bridge," which targeted more than 40 people for international drug trafficking and organized crime in connection with the 'Ndrangheta mafia, officials added.

Italian police arrested 17 suspects, anti-mafia prosecutor Franco Roberti told reporters at a news conference in Rome.

The FBI arrested seven people in New York in a coordinated raid, he added, including members of the Gambino and Bonanno families.

The U.S. Attorney's Office in the Eastern District of New York named these seven suspects as 'Ndrangheta member Raffaele Valente, also known as "Lello," Gambino associate Franco Lupoi, Bonanno associate Charles Centaro, also known as "Charlie Pepsi," Dominic Ali, Alexander Chan, Christos Fasarakis, and Jose Alfredo Garcia, also known as "Freddy."

The defendants are charged with drug trafficking, money laundering and firearms offenses, "based, in part, on their participation in a transnational heroin and cocaine trafficking conspiracy involving the 'Ndrangheta, one of Italy's most powerful organized crime syndicates," it said.

All seven pleaded not guilty Tuesday to the various charges in a federal court in Brooklyn.

Afterward, four of the men -- Valente, Lupoi, Chan and Garcia -- were held without bail, though bail could become an option later. In addition to the drug and money laundering charges, Valente and Lupoi are also charged with selling an unregistered firearm silencer.

Meanwhile, Centaro, Fasarakis and Ali all were free on bail. In addition to surrendering their passports, their travel within the United States is limited as well. Ali's bond was $1.4 million bond, and bond was $1 million for the other two.

Investigators speaking at the news conference in Rome said the money found in the raids amounted to hundreds of thousands of dollars.

The operations in Italy were carried out in the southern region of Calabria, home of the 'Ndrangheta syndicate, and in the cities of Naples, Caserta, Torino, Benevento and Catanzaro. The Italian mafia family involved in the alliance, or "bridge," with the Gambino family, is called Ursino Ionica.

Tuesday's operation was the first ever jointly run by U.S. and Italian police targeting the ties between the two countries' 'Ndrangheta mafia families, investigators said.

Anti-mafia prosecutors in Calabria have been carrying out an investigation over the past two years, and Italian police compiled a 2,000-page report detailing what was learned, including information from phone wiretaps.

U.S. Attorney: 'Lasting blow'

The Italian national anti-mafia body, which coordinated the investigation and operation, alleges that the 'Ndrangheta is behind a ring of drug trafficking between South and Central America, Canada, the United States and Italy.

U.S. Attorney Loretta Lynch said the operation had "dealt a lasting blow" to the 'Ndrangheta's efforts to gain a foothold in New York.

"The 'Ndrangheta is an exceptionally dangerous, sophisticated and insidious criminal organization, with tentacles stretching from Italy to countries around the world," she said.

"The defendant Lupoi sought to use his connections with both 'Ndrangheta and the Gambino crime family to extend his own criminal reach literally around the globe."

Together, the accused sought to move cocaine and heroin into the United States under the guise of legitimate shipping operations, with the help of a corrupt official at the port of Gioia Tauro, in Calabria, the U.S. Attorney's Office said.

Lupoi, from Brooklyn, has lived in Calabria and used his connections with both the Gambino organized crime family and the 'Ndrangheta to pursue international criminal activity, it said.

Among those arrested in Italy are his father-in-law, Antonio Simonetta, and his cousin, Francesco Ursino, it said.

During two joint FBI-Italian operations in Italy, Lupoi and Ursino sold more than 1.3 kilograms of heroin to an FBI undercover agent for what they believed was eventual distribution in the United States, the U.S. Attorney's Office said.

In New York, Lupoi, Chan and Garcia sold the undercover agent more than a kilogram of heroin, it added.

Cocaine found in canned fruit shipment

Lupoi, 44, is also accused of plotting to smuggle 500 kilograms of cocaine, concealed in frozen food, in shipping containers from Guyana, in South America, to Calabria, thanks to connections with Mexican drug cartels operating in Guyana.

Italian court documents show the conspiracy slowed after shipping containers from a Guyanese shipping company were seized in Malaysia and found to contain more than $7 million in cocaine hidden in cans labeled as containing coconut milk and pineapple, the U.S. Attorney's Office said.

Investigators said at the news conference that the Mexico-Calabria connection was established in New York.

Law enforcement officials are still trying to establish how the drug traveled from Mexico to Guyana but said that some of the suspects took trips to Latin America following their New York meetings.

The illegal traffic of drugs between the United States and Italy stopped by police could have earned the mafia millions of euros, authorities said, though they declined to give an exact figure.

Raffaele Grassi, head of the Criminal Unit of the Italian State Police, told reporters that the operation demonstrated that the "'Ndrangheta is one of the strongest organizations in the world in illegal drug trade."

He cited its sophisticated network of contacts and its ability to adapt and find new markets, including "expanding beyond Italian borders."

Historic links

Grassi said that historically, the Gambino family had had ties with the Sicilian Mafia, Cosa Nostra. But their involvement in the illegal traffic of heroin, known as the "Pizza Connection," was dismantled or severely curtailed in the 1980s, he said, and they are now trading mainly cocaine.

The latest operation, according to Grassi and FBI officials, shows that the mafia families of the "new continent" are still seeking and relying on "old country" connections -- which is why investigators dubbed the operation "New Bridge."

According to Grassi, the Italian-American mafia families "need this new bridge to connect and support the traffic of cocaine."

While the existence of a connection between the Calabrian mafia and U.S. mafia families has been well known, Tuesday's operation shows its great strength and reach, investigators said.

One of the more alarming discoveries to emerge from the operation was evidence that 'Ndrangheta has also reached out to the Far East in the heroin trade, another investigator said.

@highlight

No bail for 4 U.S. suspects; bond was set for 3 others, and all were released

@highlight

U.S. justice officials accuse these 7 arrested in New York of drug trafficking

@highlight

The raids zero in on the Calabrian mafia, the 'Ndrangheta; 17 arrested in Italy

@highlight

It is the first such joint crackdown on ties between mafia families in the United States and Italy