(CNN) -- Beasts of burden, winners of wars and beloved as the sport of Kings -- now horses are being used to cure the ills of modern life.

From the time ancient Egyptians worshiped feline deities, animals have been viewed as a source of strength and healing.

Renowned psychoanalyst Sigmund Freud believed dogs helped his patients relax during sessions, while the Soviets used dolphins to treat people with mental health disorders in the 1980s.

Today, rabbits, guinea pigs and even the humble gold fish are used to promote a sense of responsibility and wellbeing everywhere from the classroom to the retirement home.

And an increasing number of mental health patients are turning to horses as a legitimate form of therapy -- claiming impressive results where traditional counseling has failed.

No longer viewed as simply a crackpot alternative remedy for the rich and famous, equine therapy has gained a devoted following of psychoanalysts who say it has the power to heal people suffering from depression, bipolar disorder, phobias, anger issues and trauma.

"It used to be seen as ridiculous, an airy fairy treatment used by celebrities with drug and alcohol addictions," said Mike Delaney, clinical director at Leading Equine Assisted Therapy (LEAP), based in Gloucestershire, south west England.

"But attitudes have changed a lot. We're now a part of the British Association for Counseling & Psychotherapy (BACP) for example."

The wife of Republican presidential candidate Mitt Romney helped boost equine therapy's public profile this year when she revealed it helped her overcome depression, after being diagnosed with Multiple Sclerosis 14 years ago.

Ann Romney, who co-owns a horse which competed in the London 2012 Olympic dressage competition, told ABC's "Good Morning America" that horses had motivated her to get out of bed, even in her darkest days.

Across the pond, equine therapy is going from strength to strength, with the Equine Assisted Growth and Learning Association (EAGALA), originally based in the U.S., training more than 1,500 therapists in Britain last year. The UK arm says they are now seeing hundreds of new inquiries, compared to just a handful a few years ago.

Patients include domestic abuse victims, young offenders and servicemen suffering post traumatic stress -- often turning to their four-legged friends after finding traditional counseling failed them.

Equine Assisted Therapy (EAT) usually involves the patient interacting with a horse, alongside a professional councilor and horse handler. Activities might include discussing the horse's character, teaching them to jump over obstacles, grooming and cleaning out stables.

"For a woman who has been a victim of domestic violence, getting the horse to run around her in a circle, may seem simple, but it's a very powerful thing," Delaney, also clinical director at the Bayberry Clinic in Oxfordshire, in south east England, said.

"Building a relationship with the horse and getting it to respect them, really builds self esteem and confidence."

For people who find traditional psychoanalysis too intense, equine therapy can be a way of opening up dialogue with a councilor.

"The thought of sitting in a room opposite a councilor and telling them the same story again is too much for some people, particularly children," Delaney said.

"But when a horse pays attention to them, they get that sense of trust and love back. It enables traditional therapy to happen, rather than being its own thing."

However, scientific evidence of its effectiveness remains thin on the ground, and is mostly anecdotal.

"I've never heard of a medical referral for equine therapy," Psychotherapist Robin Walton, a member of the UK Council for Psychotherapy (UKCP), said.

"But factors such as being outside and freed from the confines of an office could be tremendously beneficial for the relationship between the patient and therapist."

Delaney recently completed a study in which 40 teenagers from sexually abusive backgrounds were treated with equine therapy once-a-week.

The youngsters, aged between nine and 14-years-old, undertook horsemanship training and counselling as part of their eight-week treatment.

"The change in their behavior was tangible," Delaney said. "The first week they were looking at the ground, too scared to interact with people.

"By the end of the last week they were hugging people, dealing with their anger and managing their emotions."

For patients coming from traumatic home lives, the fresh air of the great outdoors and chance to socialize, are just as much a part of the healing process as the horses themselves, added Delaney.

A 14-year-old girl who was able to overcome her agoraphobia -- a fear of being in public places - was also highlighted by Dr Hannah Burgon, managing director at Sirona Therapeutic Horsemanship in Devon, south east England.

"She had a love of horses, which was the motivating factor for getting her to leave the house," Dr Burgon said. "It helped her build up a relationship with the psychotherapist and work through a lot of issues."

"She's now able to go on shopping trips with her mother and recently went on her first family holiday."

However, therapy doesn't come cheap, with a 90-minute session at Sirona costing Â£82, usually run once-a-week over a six-week course.

The healing power of horses goes back to an age-old relationship with man, according to Burgon.

"We've got this innate connection to horses. They've been our transport, our friends, our beasts of burden, we've won wars on them," she said.

"They've very social animals and the emotional part of their brain is very large. But there's also a powerful element to them. They're not domestic like dogs or cats, they're born wild and have to be tamed. You have to earn their trust."

For some people who have come up against hardship, equine therapy may be just the thing to help them get back in the saddle of life.

@highlight

Throughout history, humans have relied on animals as a way of improving mental health

@highlight

Equine therapy has grown in popularity in Britain in recent years

@highlight

Psychoanalysts claim it can help depression, bipolar disorder and anger issues

@highlight

Hard evidence remains scarce, largely anecdotal