(CNN) -- In Kenya's Tsavo East national park, a herd of elephants take up water in their trunks and squirt it on their backs. Some wade and stomp in the shallow pool of muddy water -- the coolness is a sweet relief from the baking savannah heat.

As the sun begins to dip behind the hills, they form a single file and lumber slowly into the distance, lucky to be alive.

At the beginning of the year, 12 elephants were slaughtered in this park by poachers and stripped of their tusks. It was Kenya's single biggest killing of elephants in the last two decades.

According to the Kenya Wildlife Service (KWS), so far this year a further 200 elephants have been killed across the country for their ivory.

Reports by the KWS say that in the early 1970s the elephant population stood at an estimated 167,000, but in just five decades, it has plummeted to slightly more than 35,000.

Read more: Drone to spy on rhino poachers

Conservationists warn that if the trend continues, in 10 years, elephants in Kenya will be wiped out.

Robert Obrein, an assistant director at KWS, showed CNN what they call the "elephant graveyard." This section of the park has rows and rows of old elephant skulls and jaws -- a memorial site for elephants that died from drought and at the hands of poachers.

"This is just part of maybe a quarter of what is out there," says Obrein. "These are hundreds of elephants, hundreds of elephants -- dead."

Kenya's park rangers number just over 2,800, a paltry number compared to the vast scale of parks and conservation areas they need to protect from intruders.

"I am overwhelmed, the rangers are overwhelmed", said Obrein. "Sometimes you can't even send rangers on leave, you can't even send them off duty."

Poaching is propelled by a growing demand for ivory in Asian countries such as China and Thailand. The ivory confers status and people are willing to pay high prices for the illegal commodity.

As the price for ivory soars in the black market, so does the number of poachers, and recently, they've become well armed and highly organized.

Read more: Hong Kong seizes Nigerian container in major ivory bust

"The guys are coming with different ways of doing jobs," said Obrein. "They are coming with the night vision, they are coming in with silencers, and they are coming in with new weapons."

In an effort to combat the new caliber of poachers, the Kenya government recently commissioned a rapid response anti-poaching team; it consists of men drawn from various security agencies in the country. The highly militarized team is trained in laying ambush, shooting accurately and disarming poachers.

But wildlife rights groups say more boots on the ground is not the solution to halting ivory poaching. They say creating awareness and teaching people about the importance of elephants as a national heritage is a more effective strategy.

Wildlife Direct is a Kenya and U.S.-registered charitable organization that provides support to conservationists in Africa. It recently initiated an online campaign #HandsOffOurElephants to stop elephant poaching.

Kenya's first lady, Margaret Kenyatta, is the ambassador of the campaign. She spoke to CNN about the campaign while she was visiting Tundani, her adopted baby elephant. The baby elephant lives at David Sheldrick Wildlife Trust in Nairobi with other orphaned elephants. The orphans were rescued after their mothers were killed, usually by a poacher's bullet.

"Awareness is the start, pushing communities together, helping them to realize that, especially where they live together with the elephants, they can coexist", said the first lady.

"They are not just part of Kenya's national heritage, they are part of Africa's national heritage and we can't afford to lose them. I mean, in 10 years' time, if there aren't any elephants left in the wild it would just be heartbreaking because you would just go to a zoo elsewhere to look at an elephant it would be heartbreaking," she added.

Read more: Wildlife photography in Namibia

Once it takes effect, a new wildlife and conservation bill in Kenya will put in place stiffer penalties for poaching, especially poaching of endangered species.

Allan Maina, a ranger with KWS for the past 12 years, says this new legislation will act as a key deterrent to not only poaching but other wildlife crimes.

"If you arrest somebody they look at our court system, I can say it's about the penalties," said Maina. "We say an adult buffalo weighs about 250-300 kilos. If you sell that meat it's about 100 Kenya shillings per kilo. If you take that person to court, you will find that maybe the penalty will be about a fine of not exceeding 10,000 Kenya shillings. So tomorrow you will get the person again in the park -- poaching."

Tourism is the second largest source of Kenya's foreign exchange revenue. The visitors mostly come for tours to look at wildlife in the national parks and game reserves.

Park rangers such as Maina understand only too well the critical role they play in conserving this national asset. And he remains hopeful about victory.

"We are hoping that even in the years to come, in 15 years tourists will be coming and seeing the animals," he said. "The efforts we are putting, we feel like we are going to win the war of poachers."

@highlight

Kenya's elephants are under threat from poachers

@highlight

Poachers have recently become better armed and highly organized

@highlight

'Elephants part of Africa's heritage,' says Kenya's first lady