Kabul (CNN) -- On the outskirts of Kabul, behind a high wall is a building that used to serve as a school classroom.

On the outside, painted on the dusty gray walls, are murals of brightly colored animals. Inside on the worn-out carpet sits a family, huddled together.

Masoma smiles shyly as we enter the room. The 25-year-old mother of two invites me to sit on a deep red cushion, used at night for their bedding. Her children -- five-year-old Ali and eight-year-old Mohammad --- sit close to their grandmother, Zahra, who looks much older than her 54 years. Masoma's sister, 20-year-old Fatima, and older brother Husain, 27, lean against the wall looking on as we set up for the interview.

They may look like any normal Afghan family, but they're hiding a shameful secret: They're all addicted to opium, the main ingredient of heroin.

It is a drug so prevalent that one million Afghans are addicted to it -- that's 8% of the population, according to the United Nations.

"It's very bad," explains Masoma. "At first when I started to use the drug, it was like a medicine for pain relief after my husband died. But when I became completely addicted and needed it every day, I knew I had to search for a way to stop all this."

Masoma's mother, sister and older brother also used the drug to dull their pain when Masoma's younger brother died soon after her husband. They too became addicted.

"It made us feel calm and gave us comfort," says Masoma. "When I felt bad about my husband and younger brother, using opium decreased my sorrow."

After inhaling the additive smoke that often swirled around the house, Masoma's two young children soon became addicted, without her even realizing.

Read more: Afghan infants fed pure opium

"I feel shame," she tells me as her mother weeps in the background. "I always say to myself, why did I do this? Why didn't I think about my children, my future? People want nothing to do with us."

That was until Laila Haidari found them.

The local Afghan woman set up Mother Camp in the abandoned school about a year ago. It's a place for drug addicts to live, escape their destructive environment and hopefully get clean. She and her small team of volunteers offer counseling to help the addicts become "mentally strong."

There is no government assistance to fund the program. Instead the profits from a restaurant she owns keep Mother Camp running.

"I was sick of seeing all these drug addicts. They used to congregate under the Pol-e-Sukhta bridge, near Kabul University," she recalls.

"The people where in such bad condition -- hundreds maybe more were there every single day. The police moved them on so now they're spread out all over the city. But nobody is there to think about their life and take care of them, so that's when I came up with idea to start Mother Camp."

Read more: U.N.: Afghanistan 'world's biggest producer of hashish'

She admits that not everyone is cured by the time they leave the program. In fact many return to their former lives, but she says she has to try and help these people who've lost all hope. "Nobody is helping people in my country," she says. "Everything is so wrong here. The government is corrupt, which means society is also corrupt."

In another suburb, close to the slums of Kabul, is a methadone clinic operated by Medecins du Monde (Doctors of the World). It's the only clinic in Afghanistan that is allowed to dispense methadone --- a substitute for heroin.

Some 71 addicts registered on the program arrive each day to receive the methadone -- a liquid poured into a small paper cup and drunk once a day. Program director Ernst Wisse says this is the best and most effective way to get drug addicts off heroin. It also eliminates the use of needles and dramatically reduces the risk of HIV spreading.

"What we fear is that this epidemic, we have a concentrated epidemic of HIV among the entire population... if this grows, and it will grow if you don't put any effective intervention into place, then automatically it will get out of hand and then there's nothing you can do," he says.

Two years ago, the Afghan government allowed Medecins du Monde to expand the methadone program to 200 clients. Several months later they shut it down, Wisse says, claiming they hadn't decided if this was the best form of treatment.

"This decision means there are only 71 clients under methadone in the whole of Afghanistan," explains Wisse. "The drug addiction problem in Afghanistan is enormous and growing and unless they extend the program, the situation is only going to get worse."

Watch video: Drug addiction rampant on Kabul's streets

In a small room at the back of a clinic is a bed for addicts who walk in off the street. The program has been able to take a new patient because one of the registered addicts came off methadone. Wisse introduces me to 38-year-old Asadullah who has just arrived. He gets off the bed and shakes my hand -- a huge smile reveals his missing teeth. What teeth he does have are black and decaying.

Asadullah decided to come to the clinic after meeting the outreach team of Medecins du Monde. Several times a week, the health workers visit areas around Kabul where drug addicts live and hand out clean needles, sterile swabs and offer counseling.

"I know these people, they used to give me clean needles. They kept telling to come to the clinic and finally I did," he proudly explains. "I feel better now, because the methadone is a replacement of the drug -- it gives us a better feeling. I want to use methadone until I forget about drugs completely and to find a good way to start a normal life again."

Asadullah has been using heroin for the past 14 years, supporting a habit of three grams a day, which costs about US$24. But the father of four says his family has had enough, and has told him he has to get off drugs or they won't support him any longer.

"Drugs are ruining my life. It's a bad thing in our society," he says. "I also have got bad effects from drugs and my family has also been affected -- that's why I need to stop this."

One man who now works at the clinic knows exactly what Asadullah is going through.

Raheem, 48, was one of the first patients to arrive at the clinic two and a half years ago. "I'd been using drugs for 17 years. I started when I was in a prison in Iran," he says. "During that time I faced a lot of problems and difficulties. I didn't have any information or contact with my family and that's when I started to use heroin.

"When I got out of prison someone told me methadone was coming to Afghanistan and I wanted to get on the program. Now I don't even use methadone."

Raheem's journey is inspiring but sadly it's the rare exception in Afghanistan, not the rule.

@highlight

Family of seven addicted to opium seeking treatment in Kabul

@highlight

Two children, aged just five and seven, breathed in family's smoke

@highlight

Masoma, 25, took up the drug after losing her husband

@highlight

Mother, brother and sister also used drug to dull the pain of death