Washington (CNN) -- President Barack Obama on Friday outlined steps to reform U.S. intelligence gathering measures after they came under scrutiny following their revelation by former National Security Agency contractor Edward Snowden, saying the classified leaks created a public distrust in programs meant to safeguard Americans.

Since Snowden leaked secret documents to the media, critics have called the NSA's domestic surveillance -- including a program that monitors the metadata of domestic phone calls -- a government overreach. Many of those same critics have asked the Obama administration and Congress to rein in the programs.

"Given the history of abuse by governments, it's right to ask questions about surveillance, particularly as technology is reshaping every aspect of our lives," Obama said during a news conference in the East Room of the White House.

Documents shed light on U.S. surveillance programs

But the president slammed the release of the information that has "come out in dribs and drabs," saying a general impression has taken hold "that we are somehow out there willy-nilly sucking information from everybody."

At the same time, Obama sought to assure the public that there are safeguards in place, while acknowledging the need for transparency.

Among the steps being taken, according to the president: Working with Congress to pursue appropriate improvements of the telephone data program; reforming the secret court that approves that initiative; improving transparency to provide as much information as possible to the public, including the legal rationale for government collection activities; and appointing a high-level, independent group of outside experts to review surveillance technologies.

"There's no doubt Mr. Snowden's leaks triggered a much more rapid and passionate response than if I had simply appointed this review board," the president said.

Snowden's e-mail provider shuts down amid court battle

'Take a pause'

But Obama refused any characterization of Snowden as a "whistle-blower" or "patriot," saying there were "other avenues" the former NSA contractor could have taken instead of leaking national security surveillance information.

Snowden, who has been granted temporary asylum in Russia, has been charged with three felony counts related to the leaks, including violations of the U.S. Espionage Act.

If Snowden believes his actions were right, "he can appear before a court with a lawyer and make his case," the president said.

Snowden was granted temporary asylum in Russia, a move that further strained already tense relations between Washington and Moscow.

Obama said that his decision to not go to Moscow next month for a summit was not solely related to Russia's decision to grant asylum to Snowden.

He said the United States must "take a pause" and "calibrate the relationship" with Russia to assess where things stand, while "recognizing there are going to be some differences and we are not always going to agree."

Obama cancels talks with Putin ahead of G-20 summit

Relations between Obama and Russian President Vladimir Putin have foundered over a number of issues, including their sharp differences over Syria, missile defense and, most recently, a new anti-gay law signed by Putin that could put gay and lesbian athletes at risk of arrest in next year's winter Olympic Games in Sochi, Russia.

Since Putin's election as president, Obama believes there has been a return to some Cold War attitudes with "more rhetoric on the Russia side that was anti-American."

"I've encouraged Mr. Putin to think forward as opposed to backwards on those issues with mixed success," the president said.

'No Olympic boycott'

Obama rejected calls to boycott the 2014 Winter Olympics unless the law is repealed, saying it would hurt American athletes who have trained and sacrificed to make it to the Olympics.

"One of the things I'm really looking forward to is maybe some gay and lesbian athletes bringing home the gold or silver or bronze, which I think would go a long way in rejecting the kind of attitudes that we're seeing there," Obama said.

"If Russia doesn't have gay or lesbian athletes, then that would probably make their team weaker."

It had been more than three month since the president took questions from reporters in the White House briefing room, and much has transpired since then, including the recent closing embassies in Africa, the Middle East and Asia because of a heightened terror threat.

If he headed out to his Martha's Vineyard vacation this weekend without addressing the issues, "it would be seen as a mistake," said Candy Crowley, CNN's chief political correspondent. "The most immediate topic, I think, on his plate, has got to be what's going on in terms of terrorism and the closing of the embassies."

Last week, officials shuttered 22 U.S. embassies and consulates for the day on Sunday amid fears of an al Qaeda attack. On Sunday afternoon, the State Department said it had extended embassy and consulate closures in 15 of the locations until Friday and later added four other posts to the list. The decision was seen as unprecedented from many in the diplomacy and intelligence communities.

A senior state department official said Friday that the majority of those posts will reopen on Sunday.

Al Qaeda threat

On Friday, Obama declined to answer questions about reported U.S. drone strikes against militants in Yemen in recent weeks that have left at least 34 people dead, saying he would not discuss operations.

The core leadership of al Qaeda has been decimated, but the terror group's offshoots -- such as al Qaeda in the Arabian Peninsula operating in Yemen -- still possess the ability to threaten U.S. embassies and businesses.

"We are not going to completely eliminate terrorism. What we can do is weaken it and strengthen our partnerships" so it cannot pose the type of threat seen on 9/11, he said.

Obama's administration has been under fire in recent months over its response to the attack on a U.S. diplomatic compound in Benghazi, Libya, that left U.S. Ambassador Chris Stevens and three other Americans dead.

Asked why Obama has not made good on a promise to get those responsible for the September 2012 attack, he said: "I also said we would get bin Laden, and I didn't get him in 11 months."

A sealed federal indictment has been issued in the Benghazi case, and "it's sealed for a reason," Obama said.

Immigration, health care

Among the other issues Obama discussed during the news conference:

-- Immigration: Obama believes there are enough votes in the House to pass a Senate immigration reform bill, which would allow undocumented immigrants an opportunity to become U.S. citizens.

The bill also increases border security and penalties for employers who knowingly hire people not authorized to work in the United States.

"I'm absolutely confident that if the bill was on the floor of the House, it would pass," he said.

House leaders have refused to take up the bill, saying it will not solve the immigration problem. Instead, they have proposed a series of issue-oriented bills, such as border security.

"I don't know a law that solves a problem 100%," Obama said.

Opinion: Crunch time for immigration, budget fights

-- Health care: Obama warned against a Republican threats to shut down the government if it can't defund the president's health care law, saying it was a bad idea.

"The idea that you would shut down the government unless you prevent 30 million people from getting health care is a bad idea," Obama said.

Meanwhile, Obama said the decision to delay for a year a portion of the health care law known as the "shared responsibility payment," which requires businesses of a certain size to pay a fine if they fail provide health insurance, was drawing criticism because of the politicization of the issue.

"In implementing the Affordable Healthcare Act, there are going to be some glitches," Obama said, adding the were the same kind of obstacles that the government ran into when the country was adopting Social Security and Medicare.

"...That's true of a car company rolling out a new car. That's true of Apple rolling out a new iPad."

-- Federal Reserve chair: The president said Lawrence Summers and Janet Yellen were both highly qualified to be the next chair of the U.S. Federal Reserve, but said there were "a range" of candiates for the job.

The term for Ben Bernanke, the current Federal Reserve chair, ends in 2014, and Obama said he will make a decision about who will replace Bernanke in the fall.

CNN's Dan Merica, Elise Labott and CNNMoney's Jeanne Sahadi contributed to this report.

@highlight

NEW: Obama says there are enough votes to pass immigration reform

@highlight

The president is rejecting calls to boycott the Olympics in Russia

@highlight

Obama says he will decide on a Federal Reserve chairman in the fall

@highlight

He outlines steps to improve public confidence in intelligence gathering