(CNN) -- It's a truth of the modern digital age: If you're using a Web service for free, you're not the customer. You're probably the product.

The sites we visit, the videos we watch, the purchases we make and the items we reward with a Facebook "like" or a Google "+1" -- all of that, and more, eventually melds together into a data set that lets many of the world's most popular Web companies get to know us better.

And they're using it to make billions of dollars.

But what if Web users could reclaim their online data and benefit, or maybe even profit, from it?

That's what a group of new startups want to happen. They say that instead of giving away data to tech titans who turn around and use it to target advertising, users should get something in return.

"I think what's happening now is that, finally, people are becoming aware of how their data's being used," said Shane Green, CEO of a company called Personal. "And in the future, they're not going to be just giving this stuff up."

With Personal, users can import data from sites like Facebook and LinkedIn and info like their Web-browsing histories and purchases to a secure "data vault." From there, they can pretty much add anything they want, from computer passwords to medical information to emergency contacts for the babysitter.

One feature even allows people to enter ID information like Social Security numbers, promising that they'll never have to spend time filling out an online form again.

From there, they choose who to share with, be it the aforementioned babysitter or co-workers or family members.

But Green sees a future in which they could choose to share it more publicly, in exchange for cash or other benefits.

So, for example, if someone had been searching websites to buy a particular make and model of car, they could choose to make that publicly known. Car dealers using the site could then theoretically send targeted deals or offers.

"We'd love to see it sort of filtered ... where you're commanding the best deals, the best discounts -- and even direct compensation -- for the chance to meet me this way," he said.

Intriguing, maybe. But is that just a way to invite digital junk mail?

"That couldn't be further from the vision we have," Green said. "The model that's going to emerge is one where people, in a much safer and more controlled environment, let some of their data filter out and decide what kind of people will be able to even reach them at all. And when they do, they won't know their identity."

The problem, at least so far, is that Web players like Google and Facebook are already getting a lot of that data for free.

"The killer app isn't here yet," William Hoffman, who is working on a data study for the World Economic Forum, told the New York Times. But he says that might soon change.

"I'm willing to bet that within the next 12 months, something big will catch on," he said.

Jason Cavnar's company, Singly, doesn't aim to one day earn users a direct payout. In fact, he says, it doesn't even need to combat the Web's current data-scraping model.

"The price of using free Web services shouldn't be our privacy. But until there are market solutions, I don't see that trend changing," he said. "What we're doing is more about actually making the data you create useful."

Like Personal, Singly lets users compile all their data in one place via a sort of data locker. (The Locker Project is its ongoing open-source effort to let developers change and improve it.) They cite some of the same convenience benefits of doing so that Personal does. (Both projects, it should be noted, are in their early phases.)

But what Singly has set out to do is let developers create hyper-personalized apps that would use that information.

"We're trying to create a new push for creativity, a new push for experiences," he said. "We're starting to see the power of personal apps, but there are not nearly enough of them.

"We want to make sure the creator has less of an engineering challenge to making your data awesome."

Green started Personal in 2009. At the time, he said, friends in the tech industry told him that it was folly, that he'd never convince many people to care about how their data is used online.

Fast-forward three years, and just a week's worth of headlines tell a different story. Members of Congress and dozens of state attorneys have publicly questioned Google's new privacy policy, which will pull data from its many products into one user profile.

President Barack Obama unveiled an online bill of rights aimed at protecting users' privacy on the Web and says legislation could be next.

And on Facebook, which has been no stranger to data-sharing controversy, some users are bracing for a change to the Timeline feature that they fear will make their past activity too easy for others to find.

"I think that it's a perfect moment now," Green said. "I think there's a whole perfect storm happening for companies like ours."

For older Web users, he said, the fear was always that someone was tracking them online and could do something harmful with the information. Now, more often than not, users resent the fact that billions of dollars are being made on information they're giving away for free.

"It's not even about the money any more," he said. "It's about the principle. I think that's the emotional vein that people are tapped into right now."

@highlight

New companies seek to help Web users take better control of their personal data

@highlight

One company, Personal, says users could one day trade data for perks, cash

@highlight

Singly offers data lockers that developers will use for personalized apps

@highlight

Google, Facebook and others have made billions by harnessing user data