(CNN) -- A top White House aide assigned to review problems at the Department of Veterans Affairs is going to Phoenix, where CNN reported that fraudulent records -- including secret lists -- covered up allegedly deadly waiting periods for veterans to get care.

White House spokesman Jay Carney told reporters on Tuesday that Rob Nabors, the deputy chief of staff helping the review by Veterans Affairs Secretary Eric Shinseki, will head to Phoenix on Wednesday night to interview the interim director of the VA office and visit the facility.

However, Carney stepped around questions about when President Barack Obama learned of the depth of the VA problems as the controversy continued to dog the administration.

Meanwhile, the number of Veterans Affairs facilities under investigation has expanded to 26, the agency's Office of Inspector General confirmed Tuesday. Last week, the inspector general told a Senate committee that 10 facilities were being investigated.

For six months, CNN has been reporting on delays in medical appointments for veterans across the country, with some dying or suffering harm while waiting for appointments and care.

CNN reveals Phoenix problems

The most disturbing and striking problems emerged in Arizona last month, with sources revealing to CNN details of a secret waiting list for veterans at the Phoenix VA. According to the sources, at least 40 American veterans died in Phoenix while waiting for care at the VA there.

Now, an internal VA memo from 2010, first disclosed at a congressional hearing last week, showed officials warned of "inappropriate scheduling practices" to cover up excessive waits for veterans four years ago.

The memo by William Schoenhard, who was a VA deputy undersecretary, referred to a growing practice of "gaming strategies" that he said would not be tolerated. However, the CNN investigation shows such practices have continued.

In response to CNN's reporting, the VA has acknowledged 23 deaths across the country due to excessive waits by veterans for care, and the VA inspector general launched an independent investigation of the Phoenix allegations and other VA problems, in addition to the internal review by Shinseki and Nabors.

At last week's Senate hearing, the inspector general said his investigation so far found a possible 17 deaths of veterans waiting for care in Phoenix, but added there was no evidence that the excessive waiting caused the deaths.

Internal memo

On Monday, Carney had acknowledged the White House learned of the situation at the Phoenix VA from CNN reports in April.

Asked Tuesday about the Schoenhard memo, Carney refused to answer and instead referred reporters to the VA because it was an internal VA document.

At the same time, Carney said Obama had long been aware of problems at the VA and sought to address them since taking office, adding "this is not a new issue to the President."

In 2007, then-Sen. Obama of Illinois vowed to tackle the issue of insufficient care for veterans at a campaign event during his first run for the presidency.

"When a veteran is denied care, we are all dishonored," Obama said in the August 2007 speech, adding: "It's not enough to lay a wreath on Memorial Day, or to pay tribute to our veterans in speeches."

So far, the President has resisted calls by Republicans to fire Shinseki.

Numerous whistle blowers from other VA hospitals across the country have stepped forward to describe similar delays varying schemes by officials to hide the extended waits.

Meanwhile, an audit team sent to the Malcom Randall VA Medical Center in Gainesville, Florida, discovered a list of patients needing follow-up appointments that was kept on paper instead of in the VA's electronic computer system.

Florida problems

As a result, three members of the Gainesville VA's supervisory staff have been placed on paid leave, pending the outcome of the inspector general's investigation, VA Sunshine Healthcare Network spokeswoman Mary Kay Hollingsworth said Monday.

The secret waiting list in Phoenix was part of an elaborate scheme designed by Veterans Affairs managers there who were trying to hide that 1,400 to 1,600 sick veterans were forced to wait months to see a doctor, according to a recently retired top VA doctor and several high-level sources who spoke exclusively to CNN.

Phoenix VA officials denied any knowledge of a secret list, and said they never ordered any staff to hide waiting times. They acknowledged some veterans may have died waiting for care there, but they said they did not have knowledge about why those veterans might have died.

CNN has sought numerous times to interview Shinseki, but the requests have been denied.

Obama has not publicly addressed the controversy in nearly three weeks since first commenting on the matter during a trip to Asia.

Carney said Monday that Obama was likely to address the matter "soon," but on Tuesday, he said he had no details to announce about the President's plans.

Rights group calls VA 'scapegoat' in scandal over wait times, care

VA response "unacceptable"

Also Tuesday, House Veterans' Affairs Committee Chairman Jeff Miller complained of a "very weak" and "unacceptable" response by the Department of Veterans Affairs to a subpoena from his panel over the alleged health care delays.

The Florida Republican told CNN that if the VA doesn't provide more details about the information sought earlier this month, the committee could move to hold the embattled agency in contempt.

The top Democrat on the House panel, Rep. Michael Michaud of Maine, told reporters that both sides were frustrated with the response so far.

"We do not want to give them more time if they don't need that time -- if this is in fact is a delay," Michaud said. "There has been a credibility problem within the VA and that's one of the reason why we're concerned."

The VA said in a statement that it had begun to turn over documents and would continue to do so on a rolling basis.

Support for Shinseki holding for now among Senate Democrats

CNN's Nelli Black, Paul Courson, Scott Bronstein and Deirdre Walsh contributed to this report, which was written by Tom Cohen in Washington.

@highlight

NEW: Investigation expands to 26 VA facilities

@highlight

The White House defends President Obama's record on veterans affairs

@highlight

Internal VA memo from 2010 complains of "unacceptable" practices

@highlight

Legislators criticize VA response to subpoena