(CNN) -- Russia and France are preparing contingency plans to evacuate their citizens from Egypt, as violent clashes between the military government and Islamists in the country continue.

In the latest violence, suspected militants killed at least 25 Egyptian soldiers with rocket-propelled grenades in the Sinai Peninsula.

Russia's Federal Aviation Agency has ordered airlines to prepare plans to airlift Russian tourists from Egypt, the Moscow Times reported. Russia's largest airline, Aeroflot, said it was ready to begin evacuating passengers from the country as soon as it was instructed to do so.

Late last week France also announced that it had a plan to evacuate its citizens under review.

Travel advice hardens

Russia was among other governments that had already hardened their travel advice on Egypt following the killing last week of more than 500 people in Cairo and other cities in protests against the military overthrow of the government of Mohamed Morsi.

Having advised its citizens against traveling to Egypt, on Thursday Russia barred tour operators from selling vacations to the country.

Germany extended its advice against travel to the country to include the Red Sea beach resorts around Hurghada and Sharm El-Sheikh -- areas that have been largely immune from the unrest of recent months and that foreign governments have tended to advise were safe.

Last week the government of Hong Kong also raised its travel warning, to "black," advising against all travel.

On Wednesday night, following the day of violence in Egypt in which hundreds of people died as security forces cleared pro-Morsi sit-ins, vacationers in Hurghada had letters posted through their hotel bedroom doors telling them to stay within the hotel grounds and that all excursions had been canceled, the TravelMole website reported.

U.S. and British travel advisories on Egypt remain basically unchanged. The U.S. State Department continues to urge its citizens to leave Egypt, if they can. Any remaining in the country should monitor local media for updates on the unrest, it says.

The British Foreign and Commonwealth Office continues to advise against travel to Egypt, except the Red Sea resorts. The FCO has for some time advised against travel to the lawless Sinai Peninsula, where the recent grenade attack on Egyptian soldiers took place, except for the resort areas.

Compensation

Government travel advisories are important not only for travelers' safety but because they affect what compensation they can claim.

Following the German government's announcement, the tour operator TUI Germany said it was cancelling all trips to Egypt until September 15 and that travelers already in its resorts could stay for the remainder of their holiday or leave early.

In Britain, a travel journalist specializing in the Middle East, Matthew Teller, told the Guardian: "What the FCO does or doesn't say rules the roost in terms of what tour operators can and can't offer clients."

Travelers were unlikely to be able to change their plans if they were booked to travel in an area, such as Sharm el-Sheikh and other Red Sea resorts, that the government deemed safe, he said.

Cancellations

Other large travel firms were altering or canceling their Egypt travel programs, in addition to TUI.

Thomas Cook said it had canceled all excursions from Red Sea resorts to Cairo, Luxor and sights including Moses Mountain and St Catherine's Monastery on the Sinai Peninsula.

Kuoni, the UK-based operator, has also canceled all Egyptian excursions for 30 days.

British Airways has changed its flight schedules to Cairo to avoid the dusk-to-dawn curfew the government has imposed as part of its state of emergency, although tour operators are still being allowed to operate overnight transfers to Sharm el-Sheikh.

"We are also offering customers the option of rebooking to a later date, or to another destination," a BA spokesman said.

Most tourists fly to the Red Sea resorts directly. Easyjet, which runs flights to Sharm el-Sheikh, said it was allowing some passengers with flights booked to Egypt within the next few days to change their destination.

The cruise operators MSC, Costa and Holland America Line have also reportedly canceled their Egypt-bound ships.

Tourism vital

The latest violence in months of unrest in Egypt can only do further damage to the country's vital tourism industry, which normally employs around 10% of the workforce and brought in $10 billion in 2012.

As chaos has increasingly gripped the country, beginning with anti-government protests in 2011 that led to the overthrow of the Hosni Mubarak regime, tourist numbers have fallen by almost one-third -- from 14 million in 2010 to 10.5 million last year.

In further news, the Egyptian ministry for antiquities has closed archaeological sites and museums across the country to protect them from looting, the Egyptian newspaper al Alhram reported.

@highlight

France, Russia prepare plans to fly citizens out

@highlight

Germany and Hong Kong advise against all travel

@highlight

U.S. tells citizens to leave; UK says Red Sea resorts are safe

@highlight

What compensation can be claimed?