(Rolling Stone)One summer a few years ago, Frances Bean Cobain worked as an intern in the New York offices of Rolling Stone. Frances -- the daughter of Nirvana singer-guitarist Kurt Cobain and an executive producer of the new HBO documentary on his life, "Kurt Cobain: Montage of Heck" -- was "a 15-year-old Goth kid, so stoked," she recalls with a laugh during a recent interview for the cover story in our new issue. She remembers providing research assistance on a cover about the Jonas Brothers -- and working in a cubicle across from a wall with a giant painting of Kurt. "Yeah," Frances says with a grin and mock-exasperation, "looking at my dad every day." (Preview the cover story and listen to a previously unheard Cobain song here.)

That is one of many stories and revelations that come out over almost three hours late one afternoon in early March, as Frances, now 22 and a visual artist, speaks publicly for the first time about her father; life after his death; her complex relationship with her mother, Courtney Love; and the new film, written, directed and produced by Brett Morgen. "Kurt got to the point where he eventually had to sacrifice every bit of who he was to his art, because the world demanded it of him," Frances says bluntly at one point. "I think that was one of the main triggers as to why he felt he didn't want to be here and everyone would be happier without him."

Rolling Stone: Listen to a previously unheard Kurt Cobain song

But "in reality, if he had lived," she goes on, "I would have had a dad. And that would have been an incredible experience."

What follows are additional excerpts from a remarkable -- and moving -- conversation.

How would you describe "Montage of Heck"?

It's emotional journalism. It's the closest thing to having Kurt tell his own story in his own words -- by his own aesthetic, his own perception of the world. It paints a portrait of a man attempting to cope with being a human. When Brett and I first met, I was very specific about what I wanted to see, how I wanted Kurt to be represented. I told him, "I don't want the mythology of Kurt or the romanticism." Even though Kurt died in the most horrific way possible, there is this mythology and romanticism that surrounds him, because he's 27 forever. The shelf life of an artist or musician isn't particularly long. Kurt has gotten to icon status because he will never age. He will always be that relevant in that time and always be beautiful.

Rolling Stone: 17 Young Innovators Shaking Up the Music Industry

There is, with any great artist, a little manic-ness and insanity. "Tropic of Cancer" is one of my favorite books. And [author] Henry Miller had this work ethic, where he would get out of bed every day and force himself to write five pages. It taught me that if you do the work, you progress. So many people are content to settle. My dad was exceptionally ambitious. But he had a lot thrown on him, exceeding his ambition. He wanted his band to be successful. But he didn't want to be the f------ voice of a generation.

Do you remember the first time you heard a Nirvana record -- and knowing that was your father? I've talked to Sean Lennon about this. He had a few more years with his dad that you did. But for him, the records were a road into understanding his father after he was gone.

I don't really like Nirvana that much [grins]. Sorry, promotional people, Universal. I'm more into Mercury Rev, Oasis, Brian Jonestown Massacre [laughs]. The grunge scene is not what I'm interested in. But "Territorial Pissings" [on Nevermind] is a f------ great song. And "Dumb" [on In Utero] -- I cry every time I hear that song. It's a stripped-down version of Kurt's perception of himself -- of himself on drugs, off drugs, feeling inadequate to be titled the voice of a generation.

Rolling Stone: Elton John, Michael Stipe defend transgender prisoners' rights

The irony is that he wrote it before Nirvana made Nevermind.

I know. It was projection, to something. There's no way anyone can wrap their minds around that.

Did you feel awkward as a teenager, not being that interested in the music Kurt made?

No. I would have felt more awkward if I'd been a fan. I was around 15 when I realized he was inescapable. Even if I was in a car and had the radio on, there's my dad. He's larger than life, and our culture is obsessed with dead musicians. We love to put them on a pedestal. If Kurt had just been another guy who abandoned his family in the most awful way possible . . . But he wasn't. He inspired people to put him on a pedestal, to become St. Kurt. He became even bigger after he died than he was when he was alive. You don't think it could have gotten any bigger. But it did.

After the first screening I attended, there was a guy who said "Montage of Heck" was a very interesting film about people he didn't like.

[Laughs] That's a pretty good description.

Rolling Stone: A guide to Cobain's cinematic legacy

I found it interesting that the way Morgen told Kurt's story didn't evoke any sympathy for that viewer -- that Kurt's art did not resonate with him. All he saw was a personalty he didn't like.

That is an interesting perspective. For me, the film provided a lot more factual information about my father -- not just tall tales that were misconstrued, misremembered, rehashed, retold 10 different ways. It was factual evidence of who my father was as a child, as a teenager, as a man, as a husband, as an artist. It explored every single aspect of who he was as a human being.

What was it like hearing his voice?

I've been hearing his voice forever, through his music.

I was thinking more of his speaking voice.

His speaking voice is sort of similar to mine. It's sort of a monotone. The depth to it is similar to the way I speak. I don't know what the f--- that is. I wasn't even talking when he was around.

Don't mistake the power of genes.

It's very weird how genes are. Dave [Grohl], Krist [Novoselic] and Pat [Smear] came over to a house where I was living. It was the first time [the ex-Nirvana members] had been together in a long time. And they had what I call the "K. C. Jeebies," which is when they see me, they see Kurt. They look at me, and you can see they're looking at a ghost. They were all getting the K. C. Jeebies hardcore. Dave said, "She is so much like Kurt." They were all talking amongst themselves, rehashing old stories I'd heard a million times. I was sitting in a chair, chain-smoking, looking down like this [affects total boredom]. And they went, "You are doing exactly what your father would have done."

But I was glad they came over [smiles]. It was a cool experience, like having a Nirvana reunion minus one. Except for his spawn.

What do you want to do next, now that this film is coming out? In being one of the executive producers, you're stepping into the public at almost the same age your father was when he made Nirvana's first album. The timing is . . .I like to think of it as poetic.

Coincidental, yeah. Oddly enough, being 22, it's the first year a fire has been lit under my ass -- not because of the documentary, just personally. I have this motivation and ambition that I didn't have before: "I want to go paint this painting." The hardest part of doing anything creatively is just getting up and doing. Once I get out of bed and get into my art room, I start painting. I'm there. And I'm doing it.

Copyright © 2015 Rolling Stone.

@highlight

Frances Bean Cobain, daughter of the late Kurt Cobain, spoke to Rolling Stone about a new film on the Nirvana frontman

@highlight

22-year-old Cobain is an executive producer of the documentary "Montage of Heck"

@highlight

She describes growing up with the legacy of her father looming large