(CNN) -- Airport stopovers are seldom the highlight of any business traveler's journey.

Hours whittled away in generic fast food outlets or tacky themed bars, which in many cases represent the extent of terminal building entertainment, ensure onward journeys can't come quickly enough.

For those passing through Changi Airport in Singapore, however, a brief window between connecting flights is a great opportunity to explore one of Asia's most happening destinations.

The city-state's condensed landscape -- the entire country is squeezed into a land area smaller than most big cities -- means visitors can quickly tour some of Singapore's most famous attractions and be back at the airport in a matter of hours.

Changi itself offers free city tours to passengers with a stopover of five hours or more but visitors can also leave the airport to traverse the city on their own accord.

With the help of Shawn Low, travel editor of Lonely Planet's Asia Pacific edition, we highlight some of the must-see Singaporean sights for those with a few spare hours between flights, whatever the time of the day.

See also: Asia's budget airlines spread their wings

Early morning

A stroll in Singapore's lush Botanic Gardens at sunrise provides a great opportunity to catch the normally bustling metropolis in one of its more tranquil moments, says Low.

Dense green foliage is complemented by a selection of finely manicured greens and picturesque lakes, a genuine oasis amidst the concrete jungle of high rises and skyscrapers.

From here, a short trip down the nearby Orchard Road, one of Singapore's main retail thoroughfares, allows for a spot of shopping. It also has good transport links back to the airport.

"Gadgets are particularly cheap" in Singapore, says Low, and there are plenty of bargains to catch the eye, especially at Funan IT Mall on North Bridge Road.

All those splashing out while in the city should be mindful not to forget they are eligible for a Goods and Services Tax refund (worth 7% of their total purchase value) when they pass through customs at the airport, he adds.

Afternoon in the shade

The Singapore sun is at its strongest between lunch time and late afternoon, with temperatures regularly reaching as high as 31Ëš Celsius (88 Fahrenheit).

Indoor activities at this time of day can therefore offer a more comfortable pursuit for those dashing around on a tight time scale, says Low.

Fortunately, the city's art galleries and cultural centers provide plenty to see and do whilst offering an air-conditioned sanctuary away from the midday sun.

The National Museum, Singapore Art Museum, and Peranakan Museum are within walking distance of the city's famous Colonial District, which is easily accessible from the airport by either bus, tour bus or taxi.

For those less charmed by artistic endeavors, the area's many stylish restaurants, coffee houses and bars offer an equally quaint cultural experience.

Spectacular sunset

A good way to get a sense of Singapore's vibrant skyline is to find a perch on one of the city's many rooftop bars come sundown, says Low.

Ku De Tah at the Marina Bay Sands complex and the Lantern Bar at the Fullerton Bay Hotel offer particularly appealing vistas, as well as highly agreeable Singapore Slings, he adds.

Those looking for a panorama of the city without the alcoholic beverage can take a ride on the Singapore Flyer, a 165 meter-high observation wheel -- similar in concept to the London Eye -- that enables spectacular 360 degree views.

Suitably impressed by the city's vast neon silhouette, visitors can then head down to the neighboring Geylang district for a genuine Singaporean eating experience, says Low.

See also: Business Traveller in Singapore

Restaurants such as the Sin Huat Eating House offer local specialties such as crab bee hoon (mud crab cooked with rice noodles) while cramped food stalls and bustling coffee houses crackle with the chatter of locals late into the night.

Night Safari

Like all major modern cities, Singapore offers just as much to see and do come night time as it does during the daylight hours.

Low highlights the Night Safari at Singapore's world renowned zoo as a particularly fun attraction for families and wildlife lovers alike.

Visitors can get up close and personal with a variety of nocturnal animals -- Singapore zoo is famed for its policy of keeping animals in open enclosures rather than in cages -- before hopping in a taxi back to the airport.

Low also singles out Little India, home to Singapore's vibrant ex-pat Indian community and a remnant of the city's previous incarnation as a British colonial trading port, as a particularly authentic night time activity.

"(Little India) is as close as you'll get to the Singapore of the old days," says Low. He says Friday nights and weekends, when the streets throng with market stalls and "the redolent scent of spices and colorful flowers" are the best time to visit.

@highlight

Singapore's condensed nature means it is possible to explore the city in just a few hours

@highlight

Lonely Planet's Shawn Low says there are scores of activities for those short of time

@highlight

He highlights visiting the Botanic Gardens and Little India as two genuine Singapore experiences