Editor's note: Jim Shepard, author of "You Think That's Bad," honors the kind of mothers who never, ever hold back, especially when it comes to love, yelling and dandelion sandwiches.

(Oprah.com) -- My mother was born Ida Picarazzi in Strangolagalli, Italy, a town whose name roughly translates as "strangle the rooster," and if you were to meet my mother, you'd think: "Of course that's where she's from." An observer could tell from a low-flying aircraft that my mother comes from what used to be called hearty peasant stock, and when it comes to both the social niceties and interacting with her family, Ida has always had the touch of a blacksmith.

When agitated, she's something to behold, and she's almost always agitated. She has a voice that could knock squirrels from trees. I remember a boy who lived two streets over remarking on the bus to school that he'd heard me being disciplined the day before. She's half-deaf, or by now more than half-deaf, thanks to a punctured eardrum from childhood, which means that even when she's trying to be discreet -- say, when sitting in a theater and needing help with a movie's plot -- those all around her, in a wide, wide circle, have the uncanny impression that Ida is talking directly to them.

A few years ago, at her 80th birthday, I found myself wondering where to begin, when celebrating her. There are so many lessons that I realize I've learned from Ida's examples -- positive and negative -- over the years: The importance of calm. The advantages of beating your children with a wooden spoon as opposed to a metal one. And here's a good rule of thumb, for those of you who might wonder what it's like to grow up with a mother who A) was raised in a particularly poverty-stricken region of Italy and B) lived through the Great Depression: You're going to learn some lessons about frugality from a woman who eats dandelion sandwiches.

Oprah.com: Why every happy person needs a Greek mom

Without Ida, I also probably wouldn't be a writer. One characteristic of writers is a playfulness with words -- and boy, is being around Ida a crash course in that. She has, over the years, told her children to stay away from strange animals in the woods, because those animals could bite you and give you rabbis. She's told us that someone she knew was well-off because he had an ingrown swimming pool. She's told us, when unable to decide about something, that she didn't care; that as far as she was concerned, it was eight of one or a half dozen of another. She's told us that her brother Guido was so generous he'd give you the skin off his back. She told a friend of mine that one of my favorite monster movies when I was a kid was "King Kong vs. Gonzales."

And how's this for an unexpectedly highbrow contribution that my mother made to my life: Maybe more than anyone I know, she's demonstrated just how mysterious a thing identity really is. Who are we, really? Can we ever really know? My mother has had a hilariously hard time keeping names and faces straight, even within her own nuclear family. Over the years, she's called me Guido, Mario, Johnny, Agnes, Jean and Hey You. But it wasn't that it was she was distracted; it was that she was so excited about the things that other people take for granted. As in: "Oh, my God, Guido, come look: A MONKEY ON TV!"

Oprah.com: Jodi Picoult's rules for life

So you can imagine how surprised I was the first time I came home from college and found Ida sitting at the kitchen table with an unsettling smile on her face. My mother... silent? At first, she refused to explain why. Then she said, "Go look at your room."

I went upstairs. I looked at my room. The floor was covered with a bright purple wall-to-wall shag rug. The walls were a deep lavender. The furniture had been stained a dark purple. I came back downstairs, and she was still smiling. "Why is my room all purple?" I asked.

"The Vikings," she answered.

"Why is my room all purple?" I asked again.

"You like the Minnesota Vikings," she explained, as though I'd forgotten.

"I like to watch them play," I said. "I don't want to live inside their color."

This seems to me a quintessential Ida story, full of both over-the-top lunacy and love. I always find it moving how tireless she is in all her efforts to please. She hunted up, somewhere, a dark-purple stain and lugged all of my furniture downstairs and outside and stained it all and then lugged it all the way back upstairs. Probably my poor father was recruited, as well. It took her hours, if not days, to make my room that ugly.

Oprah.com: 12 things Meghan O'Rouke wishes she could tell her mom

There are advantages, when it comes to engaging the world, to having a mother with the touch of a blacksmith. My father, now stricken with short-term memory loss, was considered by most of his friends and family to be one of the more anxious people they ever encountered. Ida worked relentlessly for decades to build bridges between her erratic kids -- who sometimes did things that seemed to suggest that we had the collective brains of a squirrel -- and her husband, who clearly preferred that we stay packed in cotton in a box until we were 21. She worked night and day to carve out a space in which we could go out into the world and screw up. And naturally, being who we were, we obliged her.

There is no one else from whom I could have learned so much about the advantages of being emotionally forthright and about the pleasures of making that emotional forthrightness vivid. You always know where Ida stands on things, whether it's the bigheartedness of her family (a frequent subject that brings her to tears when she considers how little it's appreciated by the rest of the world) or the horrors of waste (That's a sin, she'll say if anyone leaves anything that resembles food on their plate. When Ida cleans a bone, it looks as if army ants have been all over it.)

Once, when I was when I was 14 or so and we were arguing about something, I teased her that she didn't love me, and she started whacking me on the arm and back as hard as she could, one whack for each syllable, while she yelled, "Don't you tell me that I don't love you!" She was going to love me no matter what, even if she was going to have to beat me to death to prove it. There's no one who could have better demonstrated the importance of unconditional love.

Oprah.com: Motherhood: What endless love feels like

Ida Picarazzi was my first real supporter, mentor and teacher. Who would have guessed it? Not me, at least not for the longest time. I should have, though. What could be more compelling, after all, than a Force of Nature? Ida is a continual reminder not to do things halfway, to give oneself over to the world with a passionate intensity. I knew they loved each other, but my parents fought so much when I was a kid that when no one was yelling in the house I found myself wondering if someone had died.

And yet my brother and I have been unbelievably lucky to have been in the track of her storm. Wherever she's passed, sure, there are branches down and leaves all over the place, but the clouds look washed and beautiful, and the sky is beginning to clear. And the storm itself, we soon realize, has been mesmerizing, has been galvanizing and has been just what was necessary to shake us into feeling what anyone who's spent any time around Ida has always felt: as though they've really lived through something.

Oprah.com: 12 things we're too stubborn to tell our mothers

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

Shepard learned the importance of calm, and frugality, from his mother, Ida

@highlight

He credits her with his becoming a writer because she fostered his creativity

@highlight

Ida also taught him the advantages of being emotionally forthright