What is Europe's best music festival?

If images of Glastonbury's muddy fields or the swaying crowds at Spain's Benicassim come to mind, you're wrong.

The winner of the top prize at the last European Festival Awards was EXIT, a vibrant celebration of music tucked away in a corner of the old continent better known for historical turmoil than progressive techno beats -- Serbia.

Hosted in a medieval fortress in Novi Sad, the country's second city, EXIT Festival's roster reads like a who's who of popular music. International stars like The Prodigy have raved about its wild side, and Duran Duran's bassist John Taylor called playing at Exit a career high.

Last month, EXIT made more headlines after being named again as one of the nominees for this year's Best Major European Festival Award -- more than 1.2 million people voted from over 30 countries, and the winner will be announced at a ceremony on January 14.

But what has grown into a major international event with more than 2.5 million visitors from 60 countries since its inception in 2000, originally started as a student movement against Yugoslavia's then president Slobodan Milosevic. His decade-long rule had seen the country embroiled in a bloody war and left isolated and impoverished.

Youth in revolt

"The main purpose of EXIT in 2000 was to unite and motivate young people to take part in the democratic processes that were going on, and to basically overthrow the Milosevic regime," says Dusan Kovacevic, EXIT's co-founder and general manager. Heralded by a group of young activists like Kovacevic, who was 22 at the time, the inaugural festival lasted throughout the summer, with concerts, movie screenings and exhibitions.

"Basically, young people communicate mostly through music and culture," says Kovacevic, "and if you want to spread a very important social message, you need to communicate through that language. So, it was the best way to approach my generation and to animate them and explain what was happening to Serbia at that time," he adds.

Even the festival's name had a strong social undertone, shortened from "Exit out of ten years of madness" referring to the Milosevic years. After his government was overthrown, Kovacevic and his colleagues started approaching international artists to try to revive the country's cosmopolitan spirit. "EXIT 2001 had such an amazing energy because after a decade of darkness we put on the first international festival of that scale in the country," he says.

"We didn't have very big names, but it was huge news that international artists were coming to Serbia. Everyone who came said they felt something different than concerts they usually play -- they said this was their best concert this year, many of them said it was the best concert of their life," adds Kovacevic.

Mainstream success

Word spread on the global music circuit, and even more famous artists started coming to EXIT , bringing with them journalists and, gradually, foreign visitors. Apart from giving the country, which was then still haunted by a decade of war and sanctions, an image overhaul, the festival brought tangible benefits to the local economy. According to the Serbian government, Exit contributed more than $125 million to the country through tourism, and its PR value was estimated to be $87 million per year.

In spite of its commercial success, a strong social message remains ingrained in the festival's ethos. After the Balkans region was hit by devastating floods last May, EXIT rallied to raise $175,000 for victims with a party hosted by Grammy Award winning artist Jamiroquai at its spin-off Sea Dance event in Montenegro.

As for next year's edition, which will take place from July 9 to July 12 (with tickets going on sale Friday), EXIT organizers are planning a return to the festival's roots: "We want to evolve from a music festival to festival of creativity -- invite people from different creative industries to come because we feel that the experience of the festival is supposed to be bigger than just music," says Kovacevic. "Of course, music would be the main draw, but when people come to festivals they want to celebrate life," he adds.

@highlight

Serbia's EXIT festival has been named Europe's best music festival

@highlight

It started as a student protest against the Milosevic regime

@highlight

It soon developed into a major event hosting famous international artists

@highlight

Over 2.5 million people from 60 countries have visited Exit since 2000