(CNN) -- The tea party movement is an important step closer to doing something it's done only three times before: Oust an incumbent Republican senator in a GOP primary.

Tea party backed state Sen. Chris McDaniel forced incumbent Sen. Thad Cochran into a runoff in Mississippi's Republican primary. The challenge could give the 5-year-old grass-roots conservative movement - which so far this year has suffered a string of high profile primary defeats - a much needed injection of energy.

In Tuesday's other marquee showdown, a candidate who enjoyed both tea party and mainstream Republican backing won big in the Iowa GOP Senate primary, thanks in part to some clever ads that went viral.

And in California, which now uses an open primary system where the top two finishers advance to the November election regardless of party affiliation, a moderate Republican edged out a tea party-backed conservative for the honor of facing off in the midterms against heavily favored Democratic Gov. Jerry Brown.

Here are the top takeaways from Tuesday's primaries:

1. Round 2: Tea party vs. establishment in Mississippi: While candidates with tea party support have struggled to claim major victories this year, McDaniel's ability to force Cochran, 76, into a runoff indicates the grass-roots conservative movement is still rumbling -- and powerful enough to nearly take out a six-term incumbent senator.

Since the tea party started gaining steam in 2009, the far right has defeated only three incumbent senators in GOP primaries: Bob Bennett of Utah (2010), Lisa Murkowski of Alaska (2010) and Dick Lugar of Indiana (2012). Murkowski, however, later won the general race with a write-in campaign.

McDaniel, 42, and his supporters say Cochran, who's running for a seventh term, has been in Washington far too long. He especially irked grassroots conservatives when he said earlier this year, "the tea party is something I don't really know a lot about."

But it's unclear who has more momentum going forward. McDaniel certainly rallied his supporters Tuesday night, vowing to claim victory in the June 24 runoff.

"I promise you this, whether it's tomorrow or whether it's three weeks from tonight, we will stand victorious in this race," he said.

But Cochran supporters also say they're ready for another round. Henry Barbour, who runs the pro-Cochran PAC Mississippi Conservatives, told CNN's Dana Bash that they're "going to get up and rethink" their message. "Really organize from the ground up," he added.

Barbour said "complacency" among Cochran voters "hurt us," and he thinks "they got outshouted."

Stuart Stevens, a Cochran adviser and former adviser to Mitt Romney, told Bash that three weeks allows more time to scrutinize McDaniel's record and ask tough questions.

But supporters of McDaniel may point to the 2012 Senate primary in Texas, where a political newcomer known as Ted Cruz came from behind to push the establishment candidate, Lt. Gov. David Dewhurst, into a runoff. The extra time gave Cruz a longer window to build his profile. That summer, he rose to national fame and attracted support from high-profile figures like Sarah Palin. Two months after the primary, Cruz defeated Dewhurst in the runoff.

McDaniel won't have nearly as much time to solidify a victory, but being so close to a win may only make his supporters want it that much more.

No matter who has more momentum, the runoff certainly seems poised to become another supercharged fight between the establishment and tea party Republicans.

Race gets ugly in the Mississippi mud

2. Hog wild in Iowa: The free-for-all that was the Iowa Republican Senate primary turned into a landslide victory for Joni Ernst over three other major GOP candidates.

Ernst went from a little-known state senator to the front-runner who enjoyed support from major mainstream GOP groups and anti-establishment and tea party organizations. She also won endorsements from such high-profile Republicans as Palin, Romney and Marco Rubio.

The big question going into Tuesday's primary was whether Ernst would crack the 35% threshold and avoid a runoff. If not, the nomination would have been decided a week later by some 2,000 delegates at the Iowa GOP convention. The final public opinion poll going into the primary had Ernst at 36%.

When the primary results were in, Ernst grabbed 56% of the vote.

So how did she do it?

Some provocative ads definitely helped.

"I'm Joni Ernst. I grew up castrating hogs on an Iowa farm, so when I get to Washington, I'll know how to cut pork," Ernst said in the first TV commercial of her campaign.

That spot, which first aired in late March, not only made Ernst more recognizable in the Hawkeye State, but also across the nation.

A second commercial showed Ernst, a lieutenant colonel in the Iowa National Guard, riding up to a gun range on a motorcycle.

"With little name ID and even less money to introduce herself to Iowans earlier this year, her clever ads were undoubtedly the spark that fueled tonight's impressive victory," Iowa Republican consultant Matt Strawn, a former chairman of the state GOP, told CNN on Tuesday night.

And Iowa Republican strategist Tim Albrecht, who is supporting Ernst, said "the ads were successful because they were genuine Joni. She has been under-estimated from the beginning, and proved tonight she is a candidate to be reckoned with in November."

Ernst joked about her now-famous hog castration commercial in her victory speech, saying "I grew up ... canning food and feeding hogs on our family farm, and yes, some of you may know I did more than just feed the hogs."

Ernst hopes to make history in November as the first woman to represent Iowa in Congress. In the midterm elections, she'll face Democratic Rep. Bruce Braley, who was unopposed in his party's primary. The winner of November's general election will succeed longtime Democratic Sen. Tom Harkin, who is retiring at the end of the year. Republicans feel they have a good shot at flipping Harkin's seat, in their drive to retake the Senate.

GOP candidate gets mainstream and anti-establishment backing

3. Open primaries have consequences

No one questioned whether Democrat Jerry Brown, who's bidding for an unprecedented fourth term as California governor, was the overwhelming favorite in Tuesday's Golden State primary. The big question was whom the incumbent would face off with come November.

For the first time in a gubernatorial race, California held an open, or "jungle," primary, where all candidates compete in a single contest and the first and second place finishers, regardless of party affiliation, advance to the general election.

Second place went to former Bush administration treasury official Neel Kashkari, who edged out state Rep. Tim Donnelly, a fellow Republican.

Kashkari's a moderate who is best known for managing the Troubled Asset Relief Program (TARP), better known as the Wall Street bailouts, during President George W. Bush's last year in office. He's also a supporter of immigration reform, same-sex marriage and abortion rights.

The tea party-backed Donnelly is an outspoken supporter of the rights of gun owners and a fierce opponent of a pathway to citizenship for undocumented immigrants.

Kashkari's victory could make a difference for the party's chances in the general election. Some GOP strategists told CNN they were concerned that if Donnelly won, it would hurt Republican candidates in down-ballot races in a state where the general election electorate is much more moderate than that of the GOP primary.

It's also more than fair to say that in a traditional GOP primary, which is dominated by conservatives, Kashkari would have had a much tougher time beating Donnelly.

"Everybody's going to study it and find things to love and hate about the open primary system," said CNN chief national correspondent John King.

"There are some grass-roots conservatives who think establishment Republicans are looking for every way under the sun to weaken them. They will now point to the open primary system as an example, since their party's gubernatorial nominee in California is a man who not only supported the Wall Street bailouts, but actually administered them," King added.

4. Romney's candidates clean up: Romney has the Midas touch this election season.

The 2012 Republican presidential nominee continued his winning streak Tuesday with three of the GOP candidates he endorsed winning their primaries.

Romney campaigned with Ernst in Iowa and cut an online ad for the Chamber of Commerce supporting her candidacy. His endorsement adds some establishment GOP backing to the conservative favorite, who also enjoys support from tea party power players like Palin.

In California, Romney backed Kashkari, who came in second and now advances to November's general election.

Also in California, Romney threw his support behind former state Rep. Tony Strickland, who co-chaired both of his presidential bids, in the state's 25th Congressional District.

Strickland came in first in the vote count, which sends him on to the general election. The winner of that contest will go on to succeed retiring GOP Rep. Buck McKeon, chairman of the Armed Services Committee.

After failing to nab the White House from President Barack Obama, Romney backed away from the spotlight briefly before jumping back into the political fray, surprising many with his involvement in the 2014 election cycle.

So far this election cycle, he's endorsed or donated money to some 20 candidates, many of them GOP establishment favorites who backed Romney in his White House runs.

Two weeks ago, two other candidates he had backed scored high-profile primary victories.

Romney endorsed and recorded a robocall for Dr. Monica Wehby, a pediatric neurosurgeon who won the GOP Senate primary in Oregon over a more conservative state lawmaker. The same night, eight-term Rep. Mike Simpson of Idaho beat back a serious primary challenge from a tea party-backed candidate. Romney had endorsed Simpson and starred in a television commercial put out by the Chamber of Commerce that backed Simpson.

Asked last week about his winning track record when it comes to primary endorsements, Romney told reporters: "I wish I can take credit for that. The candidates take credit for that, and I am sure we will have some successes and some that are not successful."

Mississippi GOP primary race too close to call

Primary problems: GOP women struggle to come out on top

@highlight

Close race in Mississippi shows tea party is far from dead

@highlight

Little-known state senator turns ads into win in Iowa

@highlight

Mitt Romney has had more success promoting candidates than he did as a candidate