(CNN) -- The Tea Party has rekindled excitement in the potential of the internet to nurture mass political movements by using the Web to raise money and mobilize manpower.

Activists have used many aspects of cyberspace: Facebook pages, Twitter feeds, iPod apps and more to rally their supporters. According to Investors.com, "Democrats and their allies dominated cyberspace for years. Now the political right, with the Tea Party explosion, at the very least is matching the left."

The stories about the Tea Party movement resemble the narrative about Barack Obama's campaign.

In 2008, Democrats used cyberspace to the same effect. Relying on what I called "Facebook politics," the Democrats took Republicans by surprise by demonstrating how powerful a vehicle the internet could be in promoting a candidacy, bringing like-minded citizens together and offering an organizational infrastructure for movement politics.

Yet will this form of organizing work over the long term? Can it sustain a movement after the drama of an election is over?

The verdict is still out. Since 2008, President Obama and Democrats have discovered that the kind of movement created by the internet can be extraordinarily fragile and fleeting. When Obama recently spoke to students at the University of Wisconsin, he implored them not to be apathetic and urged them to return to the world of campaigns.

In doing so, he was acknowledging that the movement created by the campaign had disintegrated since the inauguration. The movement has been largely absent from the policy battles that have shaped his administration, and it lags in the months leading into 2010. Obama's team may still have all the cell numbers that they collected before announcing their vice presidential pick, but few people are answering or texting.

What makes Facebook politics vulnerable is that it lacks the local element that has always been so crucial to politics. The most durable forms of political organization have usually depended on local organizing. During the 19th century, political parties were dependent on a dense bottom-up structure rooted in the strength of local political machines.

After Election Day, party operatives continued to remain in close contact with voters. They worked hard -- sometimes through illegal means but very often through policy and straightforward patronage -- to retain their loyalty and make sure voters were kept abreast of why their party mattered.

The social movements of 20th-century America depended on local organization as well.

Malcolm Gladwell recently recounted in The New Yorker that the civil rights movement of the 1960s depended on local activists such as the four African-American students who sat in an all-white Woolworth's lunch counter in Greensboro, North Carolina, and demanded service. Their personal ties and friendship, as well as their shared experiences, inspired them to work together and risk their lives for this bigger cause.

The movement spread as students throughout the state and in other regions joined the cause. Over the next few years, activists from the North would travel into Southern states and join the civil rights cause. It was the experience of directly participating in the struggles and witnessing the kind of racism that existed that forged their connection to the movement.

Conservatism in the 1970s was forged through similar dynamics. Ronald Reagan did not make modern conservatism.

Rather, thousands of local activists around the country who interacted through church groups, civic organizations and even reading clubs gave rise to the modern right. It was their face-to-face encounters in places such as Orange County, California, and the shared memory of influencing political leaders and public policy that made these Americans so loyal and willing to continue participating in these struggles over time.

Facebook politics seems different. The cost of participating is much less. National conversations are as powerful, if not more powerful, than local networks. The experience of being in such a movement is often virtual, requiring nothing but a few clicks on a keyboard.

Some of the potential weaknesses of Facebook politics can be seen with the new darling of the Tea Party movement, Delaware Senate candidate Christine O'Donnell. Although O'Donnell has been omnipresent in the national media, she has been notably absent where it matters most, Delaware.

Matt Bai recently wrote in The New York Times that O'Donnell reflects the modern political strategy in that her campaign barely exists at the state level.

Conservatives from all over the country helped boost her image and reputation online and through television and radio, but she has barely had any public events in the state. Republican leaders in Wilmington didn't know where she was campaigning. Despite her surprise win, she is way behind the Democrat in the polls.

Without question, Facebook politics has reshaped the political landscape.

Local candidates can rake in millions of dollars within days, and they can spread their name without anyone going door-to-door or holding fundraisers in the local Holiday Inn. But Obama has already learned that this kind of organization can leave successful candidates without their base of support once the excitement of Election Day is over.

It is far too easy for the most fervent supporter of a candidate or cause to simply defriend the movement and move on to something else.

Rather than strong, shared memories of participating in something bigger than themselves, the experience might just leave behind the address of a Web page in the auto-fill mechanism of their browser or an occasional text alert to remind them of their political past.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Tea Party adept at "Facebook politics," rallying supporters via cyberspace

@highlight

Obama, Democrats had same success, but since election, Web support is down, he writes

@highlight

He says Twitter, Facebook can't sustain a movement when election drama is over

@highlight

Facebook politics lacks local element and commitment crucial to politics, Zelizer says