STANLEY, North Dakota (CNN)  -- Herb Geving unleashes a broad smile in his 11,000-square-foot mansion. The former cattleman, farmer and owner of a North Dakota garbage business is now retired, able to count the dollar signs brought in by three oil wells.

Herb Geving worked his whole life, but says oil changed his life. "You don't have to work at all."

"Oil," he says, "it's amazing. You don't have to work at all. You just walk to the mailbox and there it is."

The 74-year-old grandfather receives whopping checks at the end of every month for the oil. He'll never forget the time the first check came in January.

"Thousands, I guess you'd call it," he says.

Geving chuckles when asked if it was for $2,000.

Was it closer to $10,000?

"You can keep going up and up and up," he says from his home, decked out with a massive fire pit in the living room, semi-circular leather couch and bright orange shag carpet.

He had worked on the home for more than 40 years. Now, he's expanding it -- just because he can.  Tour the mansion, meet Herb Geving »

Stanley, North Dakota, might seem an unlikely boomtown located in the northwest part of the state about 50 miles from the Canadian border. But the town is teeming with activity -- all thanks to rich oil deposits sitting deep below the surface.

The town has grown from 1,250 people to more than 1,600 since the start of the year, says Mayor Mike Hynek. The oil has brought better paying jobs, raised real estate values and spawned millionaires.  Watch North Dakota town strikes it rich »

"Practically everyone is being affected by it," Hynek says.

It's not uncommon to hear stories of 20-year-olds with no job experience getting hired to work in the oil fields with starting salaries of $70,000 a year. Gary Dazell makes more than $100,000 a year hauling water to and from the oil fields.

"The oil field has blessed us," he says.

Then, there are stories like Geving's where locals suddenly come into a fortune for owning the mineral rights. Geving says he's amassed so much money that 70 relatives will get sizable sums when he dies.

The town sits in an area known as the Bakken Formation, a vast region below North Dakota, Montana and a portion of Canada that the U.S. Geological Survey says contains between 3 billion and 4.3 billion barrels of oil.  See a U.S. map of the Bakken Formation »

"The continual amount of oil in North Dakota is three times as much as Texas," says Kevin Frederick, a geologist in the region. "We're doing as much as we can to try and get it out."

Mayor Hynek says the region is so flush with oil that it's nearly impossible for an oil well to come up dry. Standing in the middle of a downtown street, he says, "I'm fairly certain that if they drilled a well here, they'd have oil."

"There's oil down there. No doubt about it," he adds. "They just need to perfect how to get it out."  Watch "I never imagined this" »

It's always been known there was oil in the region, but it wasn't always cost effective to drill for it or the technology wasn't good enough. When oil was cheap overseas, it also was easier for a company to import it, rather than explore for it, experts say. But that's all changed with high oil prices.

Better drilling technology, some good oil finds in the area and the political push for oil exploration in the United States has spurred the boom here and in smaller nearby towns.

"I think we can be a positive impact for the whole country if we can figure this out," Hynek says.

But the boom comes with a cost.

The mayor says roads -- many of them gravel -- weren't built to sustain huge equipment being hauled to and from the fields; the town's one hotel is completely booked; and an RV trailer park is overflowing.

Houses are hard to come by too, with the average price jumping from around $30,000 to about $100,000 in the last three years.

"We have a real housing shortage at this time. But eventually, it'll be OK," Hynek says. "It's a good challenge. It's better than going the other way."

"My biggest concern today is making sure our infrastructure is adequate for the growth that we'd like to maintain."

Nearby, at Joyce's Cafe, the topic of oil is thick as the coffee served at the communal gathering spot.

Farmer Robert Western worked in the region's oil fields 48 years ago, but back then the boom never came. Soon, a well will be going on his property.  Watch farmer in field: "I don't think it will change our life" »

He never thought five decades ago he'd have an oil well of his own. "I'd have said you were crazy. It wouldn't come to pass," he says, peering out from a weathered black baseball cap.

He says if they find oil, it won't change him. He's lived frugally all his life, a survivor of the Great Depression.

"It's just kind of difficult to change a pattern of living," he says, adding he'd love to take a trip around the world and donate money to charity.

Farmers Sheryl and Roger Sorenson spoke humbly too of the possibility of finding oil -- that in some cases a well brings in $2,000 a day depending on how much is found.

They say they'd straighten out their finances; enjoy more free time; help children and take family members on a trip to Disneyland or Disneyworld.

"We're old enough now so we don't have great desires for bigger and better," Sheryl Sorenson says.  Watch oil is "a gift" »

Roger Sorenson says he thinks of all the old timers who lived hard-scrabble lives for decades but missed the modern-day boom.

"They always had the hope, but it never came," he says. "It's kind of sad for them because they went through life and never got it. And now, it's coming."

As for Geving, he says when he was a boy, kids carried eggs and milk buckets, and people worked their "tails off." Now, he's building a brand new home for his foreman and his family of five.

Geving -- who's nicknamed Jed Clampett by the locals after the "Beverly Hillbillies" character --  likes driving out at night to get a closer look at the wells. He said the wells stand for "success. I'm glad I'm able to help my family."

What's he think of when he looks at the oil wells?

"Money," he says. "I can't get tired of that. ... I just grin all the way to it and back."

CNN's Gregg Canes and Traci Tamura contributed to this report.

@highlight

Stanley, North Dakota, becomes oil boomtown where a water hauler can fetch $100K

@highlight

Man has rights to three oil wells, strikes it rich: "You don't have to work at all"

@highlight

Town sits on area that geologists say could hold 4 billion barrels of oil

@highlight

Mayor: "We can be a positive impact for the whole country"