London (CNN) -- British Prime Minister David Cameron will cut short his trip to South Africa to deal with the nation's phone-hacking scandal, his office confirmed Monday -- another day of dizzying developments that also saw a second top police official resign and the announcement of a broader police corruption probe.

The day also brought the death of a key figure in the allegations. Former News of the World reporter Sean Hoare, who told the New York Times in 2010 that former newspaper editor Andy Coulson encouraged him and other reporters to hack into the voice-mail accounts of public figures, was found dead, according to the British Press Association.

Hertfordshire police confirmed that a man's body was found and "pronounced dead at the scene shortly after." The death is "being treated as unexplained, but not thought to be suspicious," the department said in a written statement.

Britain is in an uproar over the scandal, which has cast its shadow not just across British journalism, but also Scotland Yard and the prime minister's office. It began with the phone-hacking allegations involving reporters from News of the World -- which led its parent company, Rupert Murdoch's News Corporation, to shut it down -- and quickly broadened into claims that journalists had paid police for confidential information.

It has led to the resignations of the commissioner and assistant commissioner of London's Metropolitan Police, known as Scotland Yard, forced the closure of one of the country's best-selling newspapers and resulted in 10 arrests. Among those arrested is Rebekah Brooks, the former News of the World editor and News International executive who resigned after the scandal broke.

It also forced the resignation of Coulson, who quit as Cameron's communications director in January as the scandal began to heat up. Coulson was News of the World editor when one of the newspaper's reporters and a private investigator were sent to prison after pleading guilty to phone hacking in 2007.

"I don't think anybody anticipated that it would snowball in this fairly dramatic way," said Jef McAllister, a London-based lawyer and former bureau chief for Time Magazine.

Cameron said Monday that he'll request a special session of Parliament on Wednesday to address the scandal, even flying back early from South Africa.

"I think it may well be right to have Parliament meet on Wednesday so I can make a further statement, update the House on the final parts of this judicial inquiry and answer any further questions," he said.

Cameron was referring to a broader corruption probe announced in Parliament on Monday by Home Secretary Theresa May amid allegations that police accepted payments from journalists in exchange for confidential information.

May said she would ask Her Majesty's Inspectorate of Constabulary to examine "instances of undue influence, inappropriate contractual relationships and other abuses of power." The inspectorate is a division of the Home Office that inspects and reviews police forces in Britain to ensure they operate according to standards.

The allegations are part of a widening scandal that began with revelations that journalists working for the News of the World newspaper had eavesdropped on the phone of a missing girl, Milly Dowler, and deleted some of her messages to make room for more. She was later found dead.

Already, Metropolitan Police Commissioner Paul Stephenson has resigned on Sunday and the assistant commissioner, John Yates, on Monday after being caught up in the scandal.

Yates ruled two years ago that there was no reason to pursue an investigation into phone hacking by journalists. He has since called his decision "crap."

He was due to be suspended when he quit, the Metropolitan Police Authority said. He denied Monday he had done anything wrong, saying in a prepared statement that he feared the scandal and allegations against him would be a distraction as London prepares to host the 2012 summer Olympics.

"I have acted with complete integrity and my conscience is clear," he said.

Stephenson quit after revelations a former News of the World executive editor, Neil Wallis, was hired as a communications consultant for the police.

"I carry ultimate responsibility for the position we find ourselves in," Stephenson told reporters. "With hindsight, I wish we had judged some matters involved in this affair differently. I didn't and that's it."

Stephenson stressed Sunday that he had behaved ethically, but decided to resign because increased scrutiny may burden his department and detract from its accomplishments. He also denied Wallis, who was arrested in the probe, was involved in phone hacking when he was brought on as a consultant.

Such denials, though, didn't halt the Independent Police Complaints Commission from announcing Monday that Yates and Stephenson are among four current or former senior London police officials it has been asked to investigate.

The complaints against Yates include his role in failing to pursue a 2009 investigation into allegations of phone hacking, as well as claims he was inappropriately involved in getting a job for a friend's daughter, the commission said.

The commission said it will look into Stephenson's overall role in the initial investigation into phone hacking, as well as that of two other unnamed officers.

May told Parliament that, in addition to the inspectorate's inquiry, she also will consider additional resources and powers for the Independent Police Complaints Commission. She also has asked Elizabeth Filkin, former parliamentary commissioner for standards, to evaluate ethical considerations that should guide police relationships with the media.

The management board of the Metropolitan Police has already agreed to new standards regarding its officers' relations with media, including recording meetings between police and reporters and publishing information on the Internet, May said.

"Mr. Speaker, there is nothing more important than the public's trust in the police to do their work without fear or favor," she said.

Parliament is set to meet Tuesday, when hearings scheduled on the scandal. Brooks is due to appear alongside Murdoch and his son James, a News Corporation executive. Earlier Monday, a spokesman for Brooks said the former editor's Sunday arrest by police would not interfere with her plans to testify. She was released on bail until October, police and her spokesman, David Wilson, said.

Brooks' lawyer, Steven Parkinson, said Monday she is not guilty of any crime. He warned that police need to consider the damage they had inflicted on her reputation after arresting her and questioning her for nine hours, but not putting any charges or documents before her.

Her husband got swept up in the scandal Monday, with the allegation he'd been trying to discard evidence after investigators found a bag in a trash bin near the couple's house. Brooks' spokesman, David Wilson, told CNN the bag had been brought there by a friend of Brooks' husband, Charlie Brooks, before being tossed by a cleaner or security guard.

Wilson said he and three others in the apartment building were looking for the bag when police arrived, hoping to collect it. The spokesman insisted that authorities would discover quickly that the material inside the bag is irrelevant to the investigation and "has nothing to do with Rebekah."

Brooks, who resigned Friday as chief executive of News International, is one of 10 people arrested in connection with the phone-hacking probe and the fourth arrested in the bribery investigation, according to police.

Police said Monday that they will take no further action against one of the people who was arrested, a 34-year-old woman. British press reports identified her as Laura Elston of the Press Association, who is thought to be the only person not working for Murdoch who has been arrested in the probe.

News Corporation itself got hacked late Monday, when the hacker group LulzSec claimed credit for targeting The Sun, one of the British papers under the conglomerate's media umbrella. It redirected those on the paper's website to a false story claiming Murdoch had been found dead in his garden.

Soon after that link was taken down, those going to the Sun's website were redirected to LulzSec's Twitter page.

The hacks that have gotten investigators' attention are alleged to have been done by News Corporation employees. Police in the United Kingdom have identified almost 4,000 potential targets of phone hacking in documents recovered from a private investigator working for News of the World.

The FBI is also investigating News Corporation after a report that employees or associates may have tried to hack into phone conversations and voice mail of September 11 survivors, victims and their families.

An FBI spokesperson added Monday the investigative agency was "aware of the media reports" that actor Jude Law was hacked in the United States and that News Corporation had settled several lawsuits with American businesses, but said there would be no official comment "since these matters are under review."

Murdoch's News Corp. encompasses Fox News, The Wall Street Journal, the New York Post, and Harper Collins publishers in the United States. News International -- a British subsidiary of News Corp. -- owns the Sun, The Times and The Sunday Times in Britain.

CNN's Richard Allen Greene, Laura Perez Maestro, Andreena Narayan, Atika Shubert, Anna Stewart, Bharati Naik and Tom Watkins contributed to this report.

@highlight

NEW: The hacker group LulzSec hacks the website of the Sun, another Murdoch paper

@highlight

NEW: The FBI says it is "aware" of reports related to News Corp. hacking in the U.S.

@highlight

A special parliamentary session is planned for Wednesday to delve into the scandal

@highlight

A man reported to be a critical News of the World whistleblower is found dead