(CNN) -- Knowledge is said to be power. But as parents living in an information-driven age, we feel compelled to grasp all of the facts that bombard us. We are hyperinformed and ultraconscientious. We surf the Web, we read the books, we poll our friends.

Yet in accumulating new insights, we are often left feeling confused and uncertain. The most vexing parenting decision my husband and I have faced thus far was whether to circumcise our son.

Religious tradition was not a factor for us, as non-Jews, so instead we searched our consciences, weighing myriad factors such as aesthetics, tradition, hygiene, future sexual pleasure, and self-esteem -- lofty concepts indeed to contemplate for the unnamed bulge in my tummy, but contemplate them we did.

This is why one evening, while bathing my 5-year-old son, I was thrown into a bubbly contemplative haze as he looked down at himself and shouted, "I hate my foreskin!" This was certainly not a sentence I ever imagined coming out of his mouth, but there it was. (And yes, he knows the actual word.)

He slid the skin on top of his penis to make himself appear circumcised. Had we made the wrong decision?

Some families do to their son whatever was done to the child's father so father and son will look alike. In our case, my husband's father was not circumcised due to a premature birth, and my husband was. My husband never felt particularly disturbed that he and his father were different in that area, so again, we were on our own.

Empowered Patient: Should teens make own circumcision decision?

Our Los Angeles pediatrician, for whom we have great respect, Dr. Kimberly Klausner, had been very neutral on the subject. She told us that about half of the boys in her Beverly Hills practice were circumcised.

She reiterated the American Academy of Pediatrics statement of 1999, which states: "Existing scientific evidence demonstrates potential medical benefits of newborn male circumcision; however, these data are not sufficient to recommend routine neonatal circumcision." Also worth noting is that not all health insurance companies cover routine circumcision.

So religiously, cosmetically, and medically, there seemed to be no compelling reason for us to circumcise. At that point, I was at a loss -- no, not penis envy, but I had never seen an uncircumcised penis.

Yet to circumcise simply because that was familiar to me seemed unfair to my son. My husband, in weighing the arguments, kept coming back to an encounter we had with Dr. Paul Fleiss, one of the pediatricians that we had initially interviewed when choosing a doctor years before.

Fleiss wrote the book, "What Your Doctor May Not Tell You About Circumcision." He is the country's leading pediatric advocate for not circumcising. His writings stressed the significance of foreskin in sexual pleasure, pointing out that "the foreskin is an organ" that contains "a rich concentration of blood vessels and nerve endings."

As I considered that, my mind flashed to my liberal arts college's Women's Studies classes' literature about female circumcision being used in some countries for the precise reason of decreasing sexual pleasure. We would never in a million years consider circumcising a girl, so why should we do so to our son? We chose not to.

Until the bubble bath incident, I had been comfortable with our decision, even secretly proud of it. I had a small moment of panic in 2006 when a National Institutes of Health AIDS study discussing circumcision as a significant factor in AIDS prevention in Africa was reported in The New York Times. I hoped the medical community wasn't going to change its mind, as by then my son was already 2, his foreskin intact.

When he was 4, I noticed he very often he retracted his foreskin, and once while so doing said, "Look, Mommy, like Sam." Sam was a circumcised friend whom he had seen while changing clothes. I realized that most of the boys my son had seen naked -- cousins and friends at preschool -- looked different.

Most were circumcised, including his father. Why, I wondered, were all these other boys circumcised? I decided to informally poll a few moms to find out how they decided.

Hilary, in her work as a journalist, had seen an inadequately skilled first-year resident perform the procedure. She vowed that should she ever have sons, she would not circumcise.

Years later, her Jewish husband told her that "he wanted his son to have the chance to be Jewish." Hilary deferred to that. She chose a mohel who had circumcised 10,000 boys to do the procedure. Yet she said she had to leave the house during the bris.

Hilary said when she read about the NIH AIDS study in 2006, she was delighted to learn there could be additional public health benefits to circumcision.

Liza told me that she regrets having her son circumcised. "It was hard for us to justify doing it other than that it was something that he (my husband) and I understood." Her son's circumcision was botched.

The doctor had trouble with the clamp in the procedure, and, at 3 months old, her son had to have surgery by a urologist in order to be re-circumcised.

Another friend, Alison, said, "I always said that the penis was his (her husband's) department. He wanted our son to look like him. But I am really glad my son was circumcised. It is hard enough to get him to wash at all, so if there were one more layer to it, I can't imagine."

Finally, I asked Klausner again, as I knew she recently had her own son. She told me: "I had him circumcised for religious reasons, in a very traditional service. I felt very uncomfortable about it, but it was a faith-based decision, not a rational, medical one. If it were not part of my faith, I don't think I would do it."

Back to the bubble bath: After my son stopped screaming I told him that Mommy and Daddy had made the best decision about his body they could, because he was too little to ask.

"We didn't want them to cut your body when you were a tiny baby," I explained. Then, I cringed imagining him at the pool asking some unsuspecting circumcised boy why his parents would let them cut his body when he was a tiny baby.

Confronting our circumcision decision over and over has been humbling. My one conclusion: In parenting, and in life, there is never a clear answer. Most big decisions are based in faith, be it religious faith or faith in ourselves.

If we have either of those as parents, then no matter which way the trend swings, or what the studies prove over time, we can, at the very least, live with the knowledge that we did what we thought was the best for our children.

The opinions expressed in this commentary are solely those of Lee Rose Emery.

@highlight

Couple considered religion, medicine and aesthetics in circumcision decision

@highlight

NIH study discussed circumcision as a factor in AIDS prevention in Africa

@highlight

"Confronting our circumcision decision over and over has been humbling," says Emery