Armed with her mobile phone, Temiloluwa Akinremi embarks on her daily online routine, scouring the internet to keep up-to-date with what's happening in her city of Lagos, Nigeria.

But these days, along with her daily dose of news and e-mail, Akinremi's web expedition also involves one of her favorite pastimes: shopping.

"I go online every day," says Akinremi, a 26-year-old store manager, "to check for something, to just see if I can get whatever I want to buy. Online shopping saves you time and money because it is cheaper and fast," she adds.

Akinremi is among a growing generation of young, internet-savvy Africans who have embraced new technology, driving efforts in the continent to bridge the gap between the virtual and real worlds.

According to the International Telecommunication Union (ITU), internet-user penetration in sub-Saharan Africa has grown from 0.5% in 2000 to 10.6% last year.

Although the figure is still far behind the world average of about 30%, an increasing number of Africans are becoming more familiar with online shopping.

Both the proliferation of mobile phones and the rollout of faster internet networks -- like the fiber-optic cables launched in areas such as east Africa -- have helped the expansion of e-commerce activities in countries such as Nigeria, South Africa and Kenya.

In South Africa, 51% of those with access to the internet are shopping online, according to a 2011 MasterCard Worldwide survey. In Kenya, a recent survey by TNS Research International and the Kenya ICT Board found that 18% and 24% of the 1,700 respondents go online to purchase music and movies, and electronic books.

In Nigeria, Africa's most populous country, internet penetration is at about 28%,according to ITU figures, boosted by the rapid growth in the country's telecoms sector. In recent years, the number of mobile cellular subscriptions has skyrocketed from 30,000 in 2000 to over 87 million in 2010.

Nigeria's untapped mobile market

Yet, the country's online buying culture is still in its infancy.

"While internet usage has hugely increased in Nigeria over the past few years, the online shopping market is still quite small by world standards," says Loy Okezie, founder of Techloy.com, a Lagos-based technology news and research startup.

"One would expect the Nigerian online shopping market to be huge and highly lucrative -- instead, the market is still at an infant stage, although with huge potential to explode in the next five years," he adds.

It is this big potential that has prompted the emergence of a new crop of internet developers in the country, eager to tap the money-making opportunities available online.

One of them is Sim Shagaya, a Nigerian technology entrepreneur who has founded DealDey, a Groupon style group-buying site that offers its members in Lagos discounted deals on a range of products and services.

Every day DealDey sends an email to customers like Akinremi with all the latest discounts such as restaurant and spa offers. If the required amount of customers is reached, members receive a coupon along with details about their purchase's collection.

Shagaya, who has also worked for Google and RealNetworks, says the model has struck a chord with customers looking to make the most out of the benefits of online shopping -- DealDey plans to expand to  Abuja, Nigeria's capital, and claims to have over 50,000 members since its launch in March, adding about 1,000 people per day, Shagaya says.

Yet, promoting e-commerce in a country with high internet costs, slow connectivity and a bad reputation for online scams does not come without its challenges.

Shagaya says that building a strong logistics infrastructure is necessary for the growth of e-commerce in developing countries. For that reason DealDey has invested in in-house systems as well as pick-up points where customers can collect their items.

"If you start an internet business in Nigeria, it's not about a web browser or a mobile phone browser," he says. "Many times the internet is an enabler of a business but you still need an offline component, strong logistics, you still need to be able to have a physical presence in front of the developing country customer to keep that customer thinking that you are real and are here for the long-run."

Analysts say that a major problem confronting users in the country is the lack of a convenient and reliable electronic payment service that enables consumers to make payment for goods bought online -- the penetration of debit and credit cards is still low and in many cases online shoppers are still required to physically go to the bank and make a deposit to confirm their purchase.

Okezie notes that Nigerian consumers with reliable internet access are still skeptical about shopping online, since there's a feeling that such transactions are risky and prone to fraud.

"Consumers hardly want to make payments for goods via an online platform, especially since they wouldn't like to give out their personal details on the internet for fear of identity theft and other related issues," he says.

"Most people still prefer to visit their favorite retail shops and make their purchases, where payments are usually made with cash," adds Okezie.

Samuel Abdulazeez, head of Nigerian operations for Kalahari, a South Africa-based online retailer that expanded last year in Nigeria and Kenya, says that shifting consumer behavior toward e-commerce and building trust is a gradual process.

"The experience has been that when people come in, they try to test with a little amount of order and then when we deliver to them they consider to buy and increase their amount," says Abdulazeez. "That shows us that a lot of people have that fear."

Yet, despite all the challenges, analysts believe Nigeria's e-commerce sector has the potential to take off within the next few years as the market continues to develop at a fast pace.

"I think that Nigerians would eventually embrace online shopping as long as it offers them an easy, safe and convenient way to shop online," says Okezie.

And for some young shoppers like Akinremi, e-commerce is here to stay. "Online shopping has already become a success story in Nigeria, especially amongst the youth of today," she says.

@highlight

A new crop of entrepreneurs are keen to tap the potential of Africa's online market

@highlight

Logistics, high internet costs and consumer fears over scams are some of the challenges

@highlight

Nigeria has one of the highest percentages of internet users in Africa