Attorney General Eric Holder led federal and local officials Tuesday in announcing a massive overhaul of the New Orleans Police Department, which has been plagued for years by corruption, excessive use of force, illegal searches and widespread racial discrimination.

In what Holder called the most wide-ranging such agreement in the nation's history, the Justice Department and NOPD reached a deal on a consent decree that was filed in federal court in New Orleans. The deal includes more than 100 recommendations dealing with virtually every aspect of the department.

"The consent decree requires the Police Department to make broad changes in policies and practices relating to use of force, stops, searches, arrests, and interrogations," Holder said.

Assistant Attorney General Tom Perez, who heads the Justice Civil Rights Division and played a key role in the agreement, joined Holder and top city officials at a New Orleans news conference.

"This landmark consent decree is the most comprehensive agreement the Civil Rights Division has ever entered into with a police department," Perez said, "and it will serve as a blueprint for reform for departments across the country."

New Orleans cops convicted in post-Katrina shootings case

If, as expected, a federal judge approves the agreement, it will mark a dramatic day in the police department's history. A DoJ investigation in the 1990s resulted in a temporary improvement in police conduct, but officials say there was no court-backed consent decree with tough requirements, and the NOPD slipped back into its old ways of doing things.

Officials said they expect the agreement will stick because of the wide-ranging, detailed requirements including a minimum of four years of federal and court monitoring.

The sweeping agreement requires detailed documentation of cases in which police use force, and a review of each case by officials in the police department's Public Integrity Bureau.

Even traffic stops are dealt with in the agreement because of complaints of inappropriate police conduct, and racial profiling. Officials also said the agreement makes an important change by requiring the videotaping of suspect interviews to ensure there are no longer threats to harm the suspect or his family.

Payment for off-duty security work, which had been a source of department corruption, will be limited and carefully scrutinized.

One of the most egregious examples of police misconduct stemmed from a fatal shooting at the city's Danziger Bridge in the immediate aftermath of Hurricane Katrina in 2005. Four police officers shot and killed two people and wounded four others in the incident, but only in the past year did a federal court exact punishment on the officers.

Other police departments, including those in Los Angeles, Pittsburgh and Cincinnati, also have agreed to consent decrees with the DoJ for controversial policies and patterns of alleged misconduct. But officials familiar with the cases say they do not compare with the heavy requirements being placed on the NOPD.

Mayor Mitch Landrieu has been fully supportive of federal efforts to clean up the department. The federal investigation was launched shortly after Landrieu took office in 2010.

The probe led to findings in March 2011 that the department was riddled with corruption and suffered from management dysfunction. Details on how to address the many problems have been hammered out behind closed doors the past several months.

Federal investigation claims abuses among New Orleans police

@highlight

Justice Department, NOPD reach consent decree to be filed in federal court

@highlight

Officials say it includes 100 far-ranging recommendations

@highlight

Officials say deal includes a minimum four years of federal and court monitoring

@highlight

The NOPD has been plagued for years by corruption and abuses