(CNN) -- When Mark Hansen and Jedd Rose decided to start selling their own line of hiking backpacks, Denver seemed the obvious choice for hub of operations.

The Mile High City had an existing cut and sew industry with a history of making bags and outdoor gear. Plus, Topo Designs' retro-inspired, functional backpacks are inspired by the active lifestyle for which Denver and the rest of Colorado has earned a national reputation.

"Colorado -- especially Denver -- is a lifestyle choice, a destination for someone who wants to be outdoors and still have the comforts and perks of a city," said Rose, who grew up in Wyoming and now lives in Fort Collins, about an hour from Topo's Denver headquarters.

Since 2008, Topo Designs has grown steadily, thanks to interest from across the United States and foreign markets like Japan and Germany. Last November, it opened its flagship store in Denver in a development made of reclaimed shipping containers.

Topo has also expanded into menswear that bears a similar aesthetic to its bags: simple and functional button-up shirts, jackets and pants that could be worn to work, to dinner or even for a hike in the Rockies. While growing profit margins certainly helped them expand operations, Rose credits a hospitable small business climate with allowing them to open a store much sooner than planned.

"Denver has gone through some big changes in the past four to five years," Rose said. "It's a good time to be here."

Denver isn't a menswear capital, but Topo and other brands based there are drawing attention from beyond Colorado for their style and quality. In the past five years a handful of makers and entrepreneurs have flocked to this city in the Rockies of about 600,000 people, lured by the active lifestyle and its "small town in a big city" vibe. Upon arrival, they say they've found a thriving "Portland-esque" makers scene, and a market for their goods among the city's growing ranks of young professionals.

These kinds of businesses found a foothold in New York, San Francisco, even Portland years ago, but there's a certain Rocky Mountain vibe to those in Colorado, Rose said.

"Sure, you can buy backpacks and shirts elsewhere, but ours have a different spin because we're in Denver."

A place for 'work-life integration'

The global nature of fashion and e-commerce allows startups to work from wherever they want. So, why is Denver the place where these entrepreneurs want to be?

The active lifestyle was the biggest draw for Eric Powell, founder of Ratio Clothing, which makes custom-fitted shirts for men.

"I don't like the term 'work-life balance' because it separates the two too much; it's more like work-life integration," Powell said. "People here know how to live."

Powell moved from Chicago to Denver in 2011, shortly before the public launch of Ratio, which was borne out of Powell's difficulty finding clothes that fit. Powell started building the business in 2010, combining his technology background as a software developer and his passion for clothing, while he was working full-time as a consultant. When it became clear that his design viewpoint and formula for getting a good fit was finding an audience, he left his job and moved his family to Denver.

As a consultant, Powell visited a lot of American cities. But "Denver was always the city that resonated with us," the 32-year-old entrepreneur says. It's big enough so it has a variety of cultural offerings and restaurants, but small enough to get across town without sitting in traffic, Powell said. And, compared to Powell's native Cincinnati, it's a young city full of transplants.

It's also affordable compared to other metropolitan areas, which allowed Powell to build his start-up from his home. His business was gaining traction through the online menswear blog community when a customer from Italy in town for business showed up at his home seeking alterations. Powell, who had just returned from a run, greeted him in his exercise gear.

"At that point I realized I had to step up my game," he said. He opened his storefront in August 2013 in the Lower Highlands neighborhood, a retail and restaurant hub near downtown Denver. It helps Ratio reach a new audience outside the menswear blogs, he said.

Tanya Fleisher and Roy Katz also moved to Denver from Chicago in February 2013. The couple had started their business Winter Session in Chicago, sewing cotton and canvas bags in their apartment. The Colorado natives always intended to return home, and when their business started to grow they decided it was time.

After living in big cities for more then a decade -- Chicago, Los Angeles, Mumbai -- the couple wanted to live somewhere they could navigate on a bicycle instead of hopping on the freeway. They easily found an affordable workspace east of downtown on a small strip that used be known as the jazz district, which Roy Katz likens to Chicago's Fulton Market District. They also found a supportive small business community that collaborates on events and marketing rather than working against each other.

Winter Session's headquarters' doubles as a storefront and a workspace where the couple and two full-time employees make all of Winter Session's bags and accessories, along with collaborations with other brands.

They were even able to convince employee Laura Staugaitis to follow them to Denver. Staugaitis said she was more than happy to leave behind the rat race. She says the laid back maker environment in Denver gives small businesses room to grow.

"It's a very non-competitive environment," she said. "It's a young scene here and we're all working toward the same critical mass, so people aren't as protective of what they're working on."

'Denver fashion has a personality of its own'

Many of these new businesses cater to the elusive stylish man who is willing to pay more for quality goods. His presence has been noted in the fashion capitals, where custom-shirtmakers and curated menswear shops have existed for years.

Unlike your rich uncle's menswear store, which might carry bespoke suits from Italy or Brooks Brothers, these stores are more likely to stock waxed cotton jackets, chambray button-downs, shawl collar sweaters or jeans made of Japanese selvedge.

Borne of renewed interest in classic American workwear brands -- sometimes called the "heritage movement" -- the curated shop is more revival than new phenomenon, said Jesse Thorn, creator of the popular menswear blog, "Put This On."

"Men now want to know where their clothes come from in a way they didn't before, and they want to know about the quality of their clothes in a way they didn't before," Thorn said. "That was at the center of the 'heritage movement' before the marketers got hold of it, and it's a sea change in the marketplace. The effects of that change are going to stick around, even after people stop buying defunct workwear brands and opening boutiques that sell colorfully-painted axes."

The rise of casual menswear and national retail contributed to the decline of the men's store in the mid-20th century, but they're becoming hip once again, thanks to increasing interest in American-made products and quality brands from abroad.

When 27-year-old Eli Cox opened Berkeley Supply Store on a credit card in November 2012, he stocked it exclusively with American-made brands that he liked: Red Wing boots, Taylor Stitch shirts, Filson coats and Rogue Territory jeans -- clothes with a workwear feel, but a little more refined.

In New York and Portland, "you can't swing a cat without hitting one of these shops," Cox said. In Denver, his biggest competition was J.Crew, he said.

After closing out his first year in the black, he attributes his success to "like-minded" millennials flooding the city in recent years, creating a market for these goods.

Other Denver-based outlets are tapping into the Rocky Mountain lifestyle for inspiration.

When their shop Armitage & McMillan opens in March, owners Darin Combs and Daniel Armitage plan to stock it with brands they learned about through their work in New York fashion industry, like Steven Alan, UNIS and Fair Ends. But Armitage & McMillan will also include outdoor gear from brands like Saturdays Surf NYC, Mt. Rainier and Epperson Mountaineering.

"Denver fashion has a personality of its own. It's not the Midwest and it's not the West Coast," said Armitage. The Denver man is looking for clothes to suit his lifestyle.

The childhood friends from Oklahoma lived and worked in Denver before relocating to New York in 2007 to work in fashion. As they watched interest grow in small menswear labels, the more they thought there could be a market for them in Denver.

Armitage hopes to reach fashion-conscious men who want to support the brands they read about on menswear blogs, or young professionals who work in places where suit and tie aren't required.

"They don't want to go to mall stores that have a menswear section," he said. "These guys want to go into a menswear shop that feels like a menswear shop and talk to guys about clothing and the history of brands."

@highlight

Somehow, Denver has become a hotbed of in-demand men's fashion

@highlight

The Denver lifestyle is a big draw for entrepreneurs and consumers

@highlight

Its "maker" community creates a supportive small business climate, business owner says