(CNN) -- Southwest of Toronto, in a satellite city called Mississauga, Ma Yansong's vision of a flowing, organic architecture halts the tedium of a relentlessly box-shaped cityscape.

His two residential towers are alike in their sinuous curvilinearity -- which enraptured locals nicknamed "Marilyn Monroe" -- but were designed separately. The first tower was so beloved by Missisaugans, a second was commissioned and completed last year.

Since winning this first big international commission in 2006, Ma's eight-year-old Beijing firm MAD has made a name for itself as a leading exponent of urban design that's both futuristic and respectful of nature.

Their projects include breathtaking museums and towers in the Chinese cities of Harbin, Ordos and Tianjin, but Canada's Absolute Towers are Ma's favorite.

He was only 30 years old when his design was commissioned.

"I'd never built a building before, and that was a huge building. I had to figure out how to assemble my team, how to build a high rise. It was a surprise. I didn't know it was so complicated to make a building," he said.

View a hi-res gallery of Ma Yansong's 'Great Buildings'

Achieved with the help of Toronto architect Atilla Burka and structural engineer Sigmund Soudack, the first tower is 170 meters tall, with elliptical floor plates that twist at varying points depending on corresponding features in the landscape.

Today, Ma says he's glad he didn't know how difficult it would be to execute his vision -- he might not have tried if he had.

"I was so confident about what I proposed, because I was thinking about the city."

The city appreciated it. "Architecture lives in Mississauga at long last," wrote one critic, who compared the building's sashaying, ribbed shape to the pleated, body-draping garments of fashion designer Issey Miyake.

Another critic deemed it "sassy, sexy and irreverent toward the formal pieties of cereal-box skyscraper modernism", and a comeback to "Toronto developers who complain that they can't build and sell anything except the same boring stuff we've been seeing since the Second World War.

"I didn't try to make it sexy, just not a box," Ma says.

"I'm trying to express nature in big cities. I grew up in the old neighborhood of Beijing where you had a courtyard and trees. Actually, the whole of Beijing was a garden -- the Forbidden City -- and the lakes and gardens in the city center were all artificial," he said.

Watch 'Great Buildings' on Connect the World

"I think that's a good pattern for future cities. There must be a way to combine the high rise and high density environment with nature. Maybe we can have our gardens in the sky. We can link different buildings in the sky, and we can have a waterfall in a high rise. It would be beautiful."

The building Ma most wishes he had designed is the Salk Institute by Louis Kahn who, like Ma, studied at Yale.

Located in La Jolla, California, the building was commissioned by the inventor of the polio vaccine, Dr Jonas Salk, who wanted to create a place where scientists could be inspired.

Kahn designed two parallel buildings with protruding towers which afford space for study. The six-storey structures are separated by a light-filled, marble plaza with a central water channel leading out toward the Pacific Ocean.

iReport: Your favorite buildings

The building's use of concrete is widely praised, but Ma says he particularly likes its relationship to its environment.

"When people are in the central plaza, they feel so connected to nature, to the sky and the ocean, emotionally. I always imagine in 100 or 200 years, when people go there, they will feel the same," he said.

"I went there two or three years ago for the first time. I arrived there at midnight so I had to climb into the place, and was guided out by security.

"It was in the dark, so it looked different from the pictures -- everyone knows these pictures; you have the building on both sides and the ocean and sky in front -- but in the evenings, it's like a black hole," he says.

"The end is a void and it's horizontal not vertical, so you don't feel you're small and helpless. When you're in that space you feel you're the center, and you can talk to your future."

@highlight

Chinese architect Ma Yansong's favorite design is the Absolute Towers in Mississauga, Ontario

@highlight

Locals have nicknamed the twisting residential towers "Marilyn Monroe" on account of their sinuous curves

@highlight

The building he wishes he'd designed is Louis Kahn's Salk Institute in La Jolla, California

@highlight

Ma aims to combine high-rise and high-density environments with nature, he says