(CNN) -- Over the years, it seems that just about every format imaginable has been used for debates between presidential candidates.

Lecterns. Chairs. No chairs. Tables. No tables. Open stages to walk around on.

Moderators working solo, like Jim Lehrer at this year's first presidential debate and Martha Raddatz at the vice presidential debate. Moderators with panels of reporters. Questions submitted by the audience. Questions submitted by viewers at home. Town halls, like the one that will be moderated by CNN's Candy Crowley on Tuesday.

Yet, 52 years after the first televised presidential debate, there still often seems something stilted and dry about some of them (but not all: witness last week's high-energy vice presidential debate between Joe Biden and Paul Ryan). Frequently, though, the staffs of the people running for the presidency negotiate the ground rules so fussily that the debates can at times feel like some sort of candidates' cotillion.

So what if, for one debate some year, it was agreed to try the one format that has not been tested?

The debate would still be 90 minutes in prime evening time. The proceedings would still be telecast live on all the networks. There would still be an audience in the auditorium.

But there would be no moderator, and no panel of questioners. There would be no subject matter agreed to in advance.

There would be no rules.

None.

At the top of the hour, the two candidates would come out onto the stage. There wouldn't even need to be an announcer making an introduction.

And then. ...

It would be up to them.

They would have 90 minutes to talk to the audience, and to each other. To argue, and try to persuade, with no referee.

It just might be fascinating. Their staffs, as campaign staffs will do, would have prepared them and would have come up with tactics for each of them to take over the debate. And you can bet that the two candidates would fall back on those rehearsed tactics. For about 15 minutes.

But then they would realize that, with 75 or so minutes left, they had better figure out a way to talk about things with each other, and with the nation.

It would be like when people get stuck in an elevator together: They talk because they have to. They may feel that they have nothing in common, but now they're here. In the elevator suspended between floors, there's no one but the two of them.

Surprising things can be said and learned. There's no blueprint. No script.

If a presidential debate of this sort were to be attempted, the audience in the auditorium, and at home, might find out some things about the candidates they would never discern in a tightly formatted, moderated debate, or in a standard-issue stump speech. And the candidates might find out a few things about each other -- maybe even find some unanticipated common ground. Funny things can happen in an elevator that isn't going anywhere.

Some of what unfolds might have little to do with the specific words that are spoken. Is one of the candidates overbearing and selfish in how he uses the time -- does he refuse to let his opponent get a word in? That would be a good thing for the voters to know. Is one of the candidates lighthearted and easygoing as he deals with the empty minutes in the company of the person he is running against? That would be instructive to see. Who's the leader? Who heats up? Who is unflappable?

There are, after all, occasions when presidents meet one-on-one with powerful foreign leaders, with no one to guide the conversation. This might be a good approximation of that -- presidential candidates unplugged, on their own, with no escape hatch.

(Or the debate might instead turn out to be an approximation of a pro-wrestling cage match, in suits and ties instead of trunks.)

Of course, once candidates took part in one debate with this format, they and their staffs would undoubtedly devise a way to screw it up for the next time, to make it bland and suck all the life out of it. But for one night -- that first night it was tried -- it just might make for great, riveting viewing.

Or -- let's be candid -- it might turn out to be an utter flop, like the announcerless National Football League telecast that took place in 1980, when NBC Sports, as an experiment, put on a regular-season game between the New York Jets and Miami Dolphins with no announcers or commentators -- just the sights and sounds of the action. The post-game consensus was that it wasn't such a splendid idea at all.

But two candidates, stuck in the presidential-debate elevator, depending on their own wits, intelligence and deeply held beliefs to carry the night? With just the two of them to figure it all out, and the entire nation watching?

There is at least a chance that it could develop into one of the most spontaneous and illuminating evenings of politics ever televised.

There's only one way to find out.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Presidential debates have tried all kinds of formats

@highlight

He suggests a debate between two candidates -- with no moderator

@highlight

Voters would see how candidates deal with unpredictable situations, he says