(CNN) -- The past week following the disclosure that French President François Hollande has allegedly been having an affair with an actress, Julie Gayet, has brought to the fore the need in that country to clarify -- or do away with -- the status of First Lady, which until now has been ambiguous.

In a news conference last week at the Elysee Palace, Hollande did not confirm or deny the reports of an affair, but admitted that he and France's first lady were going through "painful moments."

The term "First Lady" is likely to have originated in the 19th century in the United States where she has a legal status as a de facto officer of government with her own budget and staff. In France though, the First Lady has no lawful status despite usually having an office of her own and a handful of staff whose salaries are covered by tax-payers.

"There should definitely not be an official status," said Armelle Le Bras-Chopard, a political science professor and author of a book published in 2009 entitled "Première Dame, second rôle" (First Lady, supporting role). "If there were to be a status what functions would this cover? They are for the most part archaic and traditional."

In the rest of Europe most spouses of heads of state are not in the spotlight and do not campaign with their partners. "We are talking about two different cultures," said Le Bras-Chopard. "In the U.S. men who are presidential candidates are always married, and their wives participate in their campaigns. Once they have been elected, their wives, the children and the dog are all visible."

"We should take inspiration from the model in northern Europe where each person continues their own life," said Anne Hidalgo, the Socialist candidate campaigning to become the next mayor of Paris. "When a president is elected one doesn't vote for a couple. I am voting for a person, not their family."

Petra Gustafsson, a spokeswoman at Sweden's Embassy in Paris confirmed that the Swedish Prime Minister's wife is mostly absent from all events (the couple recently divorced) and that the role of First Lady is "something unique to U.S. society," even if Sweden's constitutional monarchy does provide the public with a figurehead of First Lady in the form of the Queen.

In Germany, Angela Merkel is head of government, not head of state, and even though her husband Joachim Sauer has no ceremonial role, he takes an unusually backseat role. "Look at Merkel's husband. No one ever criticizes her for not being accompanied by him on official visits," commented Le Bras-Chopard. "He does not check that the flowers are just right on the tables when there are official events,"

The role of First Lady in France, however, has become increasingly conspicuous over the years. Former President Nicolas Sarkozy's ex-wife, Cécilia, ran his election campaign, his current wife Carla Bruni-Sarkozy, a singer and former top model was already a public figure, and President Hollande's companion, Valérie Trierweiler, a journalist, lurched into her undefined role under intense media coverage.

Trierweiler's situation is even more complex given the fact that the couple is not married. Herein lies the ambiguity in France, a modern state that, lest anyone forget, removed its monarchy over 220 years ago. Probably more than in any other European country, the President's spouse or companion is a highly public figure. Yet the idea of a woman giving up her career in order to become First Lady is becoming less and less acceptable.

French lawyer Muriel Kahn Herrmann embodies this contradiction: "For me, personally, it is of absolutely no importance that the president has a spouse. I would vote for a president who is a bachelor or gay. But in reality, whether we like it or not, the First Lady is unavoidable, she exists, and therefore we should legalize the situation and be precise about her functions."

Cécilia Attias, who was Nicolas Sarkozy's First Lady for five months until their divorce, and recently published her autobiography, last week called for the First Lady's status to be clarified. However, she said, and Kahn Herrmann agreed, once the role has been decided on, it should be up to each woman to be able to choose whether or not to leave her career."

But Le Bras-Chopard echoes what more and more men and women in France are expressing: "Instead of crystalizing a tradition we need to see things differently. Today women exist in their own right. They become public but only because of a private relationship. The solution for our day and age is that there no longer be a First Lady."

The situation in France has opened a wider debate: in societies in which divorce and partnerships are more frequent and in which there will inevitably be a gay man or woman as head of state, the concept of "First Spouse" seems increasingly anachronistic.

The opinions expressed in this commentary are solely those of Olivia Snaije.

@highlight

Olivia Snaije: President François Hollande's alleged affair has spotlighted First Lady status

@highlight

The role of First Lady in France has become increasingly conspicuous, she writes

@highlight

Snaije: A woman giving up her career to become First Lady is less acceptable

@highlight

The concept of "First Spouse" seems increasingly anachronistic, she says