(CNN) -- It's a familiar scenario: A major crime is committed. Police investigate possible leads while the media asks for information. Soon, authorities say they have a "person of interest."

Raymond Clark was named a person of interest, and then charged with murdering Yale grad student Annie Le.

But what does this term mean?

"The 'person of interest' tells you nothing," says Cynthia Hujar Orr, president of the National Association of Criminal Defense Lawyers. "They are suspicious of that person, but the police don't have the evidence they need."

Investigators named Raymond Clark a "person of interest" after 24-year-old Yale University graduate student Annie Le was found dead in the basement of an off-campus lab. Officer Joe Avery, of the New Haven Police Department, said Clark was a "person of interest" because he worked in the same highly-secured lab where Le was last seen.

Authorities detained Clark, 24, on Tuesday, took his DNA and searched his home. They released him, and his lawyer said Clark was fully cooperating with authorities. Then, on Thursday, Clark was arrested and charged with Le's murder.  Watch police announce the arrest »

But not everyone who is called a person of interest becomes a suspect. In the last decade, law enforcement authorities have increasingly used the phrase -- but the label didn't necessarily mean the person would be charged. According to one analysis of 40 cases, half of the "persons of interest" were released without charges.

The exact origin of the phrase "person of interest" is unknown. But several criminology professors and attorneys who spoke with CNN said they believe the phrase became widely used after the 1996 Olympic Park bombings in Atlanta, Georgia, when media outlets called security guard Richard Jewell a suspect. Jewell was never charged, and was eventually cleared. Several years later, Eric Rudolph was arrested and convicted for the crime. Jewell died in August 2007.

Jewell sued the FBI and several media organizations -- including CNN, NBC and the Atlanta Journal Constitution -- for libel and slander. The CNN and NBC suits were settled. The U.S. Attorney's Office gave him an unprecedented government acknowledgment of wrongful accusation.

Law enforcement officers and the media began using the term "person of interest" as a shield against civil litigation. But some attorneys, criminologists and media experts say using the loose term "person of interest" can tarnish the person's reputation, mislead the public, and possibly hurt the investigation. Using the phrase is a way for authorities to draw attention to the person without formally accusing them, they say.  Watch a discussion of the phrase 'person of interest' »

"It's a really bad term to use, because the public reads 'suspect,' " said Kelly McBride, ethics group leader at the Poynter Institute, a national journalism training institute in St. Petersburg, Florida.

Donna Shaw, a journalism professor at The College of New Jersey, said she believes federal law enforcement officials invented the phrase in the mid-1990s to satiate journalists hounding them for information. Soon, local law enforcement officers began to pick up on the phrase.

Shaw studied a year's worth of stories with the term "person of interest" in 2006, interviewing representatives from local police departments on why the term was utilized.

"Some of the police told me, ' We don't know what it means but it makes reporters happy,' " Shaw said.

Her research found that fewer than half of the people identified as "persons of interest" were ever charged with the crimes, yet their stories remained ingrained on the Internet after their exoneration.

In the U.S. Attorney's Manual, a guidebook used by federal criminal prosecutors, the phrase "person of interest" doesn't exist. It is not a legal term used by attorneys. Police are trained to use lingo like "suspect," "subject" and "target."

James Alan Fox, a criminologist at Northeastern University, said the expression "person of interest" is closest in meaning to the word "subject" but doesn't necessarily mean that person is a "suspect."

A subject is a police term used to describe someone who appears suspicious for circumstantial reasons. Common "subjects" could be a victim's husband or boyfriend, Fox said. In the case of graduate student Annie Le, Raymond Clark worked in the same lab.

In contrast, a suspect is someone against whom police have specific evidence leading investigators to believe the person committed the crime and will likely be charged, he said.

In some instances, as in Clark's case, a "person of interest" can eventually become a suspect, who is then arrested and charged.

"Any particular crime will have several 'people of interest,' " Fox said. "But much of the time a person of interest is just that, once the police investigate and find out they have an alibi."

Steven Hatfill, a former U.S. Army bio-weapons scientist, found his reputation destroyed after Attorney General John Ashcroft named him a "person of interest" in the 2001 anthrax attacks.

In the investigation that followed, Hatfill was never charged. He was never named a suspect.

"The government failed us, not only by failing to catch the anthrax mailers but by seeking to conceal that failure," a lawyer for Hatfill said in 2008 after winning a $2.8 million settlement of an invasion of privacy lawsuit against the Justice Department. "Our government did this by leaking gossip, speculation and misinformation to a handful of credulous reporters," the lawyer added.

The man whom authorities eventually blamed for the anthrax attacks, Bruce Ivins, committed suicide in 2008 as federal agents were closing in on him, police said.

Officials at the National Association of Criminal Defense Lawyers in Washington, D.C., said authorities who use the phrase "person of interest" can confuse the person who is in custody. A person who is labeled a "person of interest" might not seek out an attorney under the mistaken belief he or she is simply a witness, and the vague term can make it easier for police to get a confession, they said.

Clark, the technician labeled a "person of interest" in the Yale student's slaying, answered some questions and then obtained an attorney, police said.

Scott Burns, executive director of the National District Attorneys Association, said the imprecise phrase can help law enforcement to establish credibility among the public by suggesting that they are making progress in a case.

By saying you have a suspect, he explained, "You are putting your nickel down and saying we think we have the guy."

@highlight

Police began widely using "person of interest" after 1996 Olympic Park bombing

@highlight

It does not mean the same thing as "suspect"

@highlight

Experts say the phrase came into use to reduce media pressure

@highlight

It can deceive the subject of an investigation, expert says