(CNN) -- A decade ago, tiny "travel-size" shampoos were fun stocking stuffers and a more expensive, more convenient means of packing toiletries for a trip. Now they're a reminder of the layered security landscape that has evolved at airports since the September 11, 2001, attacks.

As the 10-year anniversary of that day approaches, CNN asked security experts to weigh in on changes in aviation security in the United States since 9/11 and to offer a glimpse of what's likely to happen next.

The good news for the widely criticized Transportation Security Administration? Some security analysts like where the agency is headed.

"The TSA is exhibiting much more open-mindedness and has already accepted the concept that there is a need to look at people as well as what they carry," said Rafi Ron, president of Virginia-based New Age Security Solutions and former head of security of Ben-Gurion International Airport in Tel Aviv, Israel.

But despite all the hassles travelers now endure to get on an airplane, two experts' picks for the decade's most significant safety improvements had nothing to do with checkpoint screening. They were reinforced cockpit doors and the screening of checked luggage for explosives. So how do all the other measures -- the ones that aggravate the shoeless, jacket-less masses -- hold up in security analysts' eyes?

"The past 10 years were mostly wasted by consistently holding to the idea that we can solve the problem by technological screening only," Ron said.

Body scanners, metal detectors and pat-downs have limitations and responding to recent threats by having passengers remove shoes or carry only small amounts of liquid doesn't make sense, analysts say.

"Try to anticipate the future, rather than reacting to the past," said Richard Bloom, director of terrorism, espionage and security studies at Embry-Riddle Aeronautical University.

"Just to do things based on something that already happened in and of itself is frankly illogical and is not supportive of good security," he said.

TSA Administrator John Pistole, who took the helm in 2010, gets credit from security experts for a shift in strategy.

Pistole, a former deputy director for the Federal Bureau of Investigation, has said intelligence is the best tool for preventing terrorism, and the agency is testing measures at airports that it hopes will make things easier for most travelers.

"We are working on a risk-based security initiative that recognizes that the vast majority of travelers are not terrorists," Pistole said.

Pistole recently announced a pilot trusted traveler program to reduce screening hassles for travelers who provide additional personal information to the government and free more resources to focus on high-risk passengers. The program is expected to launch in October.

"The P word"

The path to a more effective and efficient, intelligence-driven system is not easy.

Profiling, or "the P word" as Ron referred to it, should be part of that path, according to many security analysts. But that concept, and some of the physical means of screening, have opponents who invoke that other "P word" -- privacy.

Everyone profiles, consciously or unconsciously, Bloom said. And there's nothing "unusual or unnatural" about it.

"The question is does it work, the scientific part, and is it consistent with our values or not? And there's always a tradeoff between the two."

They're not calling for illegal racial or ethnic profiling, Bloom, Ron and security analyst Douglas Laird said.

"(That's) the lazy and the easy way to go about it and the nonprofessional way," Ron said. The profiling he supports uses legitimate information to identify what doesn't make sense -- flying one-way with no luggage, for example.

Laird, president of Laird & Associates and a former security director at Northwest Airlines, helped develop a profiling system called CAPPS (Computer Assisted Passenger Prescreening System) used by the airlines before 9/11.

"It didn't look for the bad guy, it looked for the knowns. So, taken to the extreme, if you were a Platinum Elite at Northwest, you were given a good score. If you had never flown on us before you were given a not very good score," he said.

The system referenced commercial data available through airline computer systems and credit card companies, Laird said, comparing information like street addresses with phone numbers with where the passenger purchased the ticket. The system took names out of the equation, Laird said, because a "professional" terrorist would probably travel under a different identity with genuine documents.

Each passenger's score determined how much screening and which methods should be used. A proposal after 9/11 for an expanded CAPPS system was abandoned in 2004 amid criticism from privacy and civil liberties groups. Instead a system called Secure Flight was introduced.

The system compares information provided  to airlines by passengers against watch lists, but does not use commercial data and protects travelers' privacy, according to the TSA. The watch-list matching program was fully implemented in November 2010.

"Secure Flight is not really a profiling program," Ron said. "It is basically a program that is mostly focused on identifying wanted people or people that we already have their names in various databases."

Laird said he believes a more sophisticated automated system will be used within the next 10 years.

Bad things and bad people

TSA behavioral detection officers are testing a "casual conversation" screening technique at Boston's Logan airport. While officers talk with passengers they are looking for suspicious behavior and facial expressions.

Some passengers may be engaged in longer conversations, receive additional screening or be referred to law enforcement if suspicious behaviors persist, according to TSA spokesman Greg Soule.

The incorporation of the "human factor" in U.S. airport security is overdue, Ron said. "In other terms, instead of just looking for bad items, we need to look for bad people."

Laird is skeptical of behavioral analysis and would like to see more evidence of its effectiveness. Ron acknowledges that the efficacy of the TSA's program will depend on the quality of the program, the training and the personnel.

Ron said his professional experience with Israeli airport security, widely considered to be the best in the world and heavily reliant on behavioral analysis and profiling, doesn't mean he would suggest the United States go to the same lengths. But the American system should understand the roots of Israel's success, he said, and incorporate them in a way that fits within our legal framework.

How the TSA will tailor and add to layered passenger screening remains to be seen. But, while there are no guarantees, these experts expect some of today's little annoyances to be phased out for most passengers.

"And I'm glad," Bloom said. "Because I like to wear wingtip shoes to go with my suit and having to unlace and take them off and put them back on is getting to be a real hassle."

CNN's Jeanne Meserve and Agnes Pawlowski contributed to this report

@highlight

Experts name reinforced cockpit doors among best aviation security moves since 9/11

@highlight

Automated computer profiling is needed to detect threats, analysts say

@highlight

TSA using the "human factor" in screening will help identify risk, security expert says