The New York Times magazine is running a bombshell story alleging that the Pakistanis knew all along that Osama bin Laden was living for years in his longtime hiding place in the northern Pakistan city of Abbottabad, where he was killed by a U.S. Navy SEAL team on May 2, 2011.

The Times story, titled "What Pakistan Knew About bin Laden," will carry weight: It was written by Carlotta Gall, the dean of the correspondents who have covered Afghanistan and Pakistan since that fateful day in 2001, when al Qaeda's four hijacked planes crashed through America's comfortable sense that vast oceans insulated it from its enemies.

At great personal risk Gall has authoritatively covered the war in Afghanistan for the past 12 years. Indeed, I first met her during the civil war in Afghanistan during the mid-1990s when she was an aid worker, and I have met her many times since. I encouraged her (along with, I'm sure, many others) to write a book about her reporting in Afghanistan, as no Western reporter has more to say about what has transpired there since the fall of the Taliban.

The bin Laden story in the New York Times magazine is an extract from Gall's forthcoming book, "The Wrong Enemy: America in Afghanistan, 2001-2014."

Gall makes two astonishing claims in her Times magazine piece.

The first claim: An unnamed Pakistani official told her, based on what he had in turn heard from an unnamed senior U.S. official that "the United States had direct evidence that the ISI chief, Lt. Gen. Ahmed Shuja Pasha, knew of bin Laden's presence in Abbottabad." ISI is Pakistan's powerful military intelligence agency.

The second claim: "The ISI actually ran a special desk assigned to handle bin Laden. It was operated independently, led by an officer who made his own decisions and did not report to a superior. He handled only one person: bin Laden...the top military bosses knew about it, I was told."

It is, of course, hard to prove negatives, but having spent around a year reporting intensively on the hunt for al Qaeda's leader for my 2012 book "Manhunt: The Ten-Year Search for bin Laden From 9/11 to Abbottabad," I am convinced that there is no evidence that anyone in the Pakistani government, military or intelligence agencies knowingly sheltered bin Laden.

How did I arrive at this conclusion?

On three reporting trips to Pakistan I spoke to senior officials in Pakistan's military and intelligence service. They all denied that they had secretly harbored bin Laden. OK, you are thinking: "But they would say that, wouldn't they?"

Well, what about the dozens of officials I spoke to in the U.S. intelligence community, Pentagon, State Department and the White House who also told me versions of "the Pakistanis had no idea that bin Laden was hiding in Abbottabad"?

During the course of reporting for my book I spoke on the record to, among others, John Brennan, now the CIA director and then President Obama's top counterterrorism adviser; then CIA Director Leon Panetta and his chief of staff, Jeremy Bash; then Secretary of State Hillary Clinton; then Chairman of the Joint Chiefs, Adm. Mike Mullen; then Vice Chairman of the Joint Chiefs, Gen. James Cartwright; then director of the National Counterterrorism Center, Michael Leiter; then senior director for counterterrorism at the National Security Council, Nick Rasmussen; then head of policy at the Pentagon, Michele Flournoy; Michael Vickers, who was then the civilian overseer of Special Operations at the Pentagon; Tony Blinken, who is now the deputy national security adviser; and Denis McDonough, who held that position before Blinken.

These officials have collectively spent many decades working to destroy al Qaeda, and many are deeply suspicious of Pakistan for its continuing support for elements of the Taliban. But all of them told me in one form or another that Pakistani officials had no clue that bin Laden was living in Abbottabad.

Indeed, an early debate between senior national security officials at the White House, once CIA intelligence established that bin Laden could be hiding in Abbottabad, was whether to mount a joint U.S.-Pakistani raid on bin Laden's suspected hideout.

This plan was rejected because the officials were concerned that such a joint operation carried the risk that word would leak out about the bin Laden intelligence. This debate would have been moot if the Pakistanis already knew bin Laden was living in Abbottabad.

And, by the way, if the U.S. government had any evidence that the Pakistanis were knowingly sheltering bin Laden, as Gall claims, why cover this up?

In 2011, the relationship between the United States and Pakistan was at its lowest point ever. Early that year a CIA contractor killed two Pakistanis in broad daylight in the city of Lahore, and both countries were trading accusations about each other's perfidy. The tension was compounded by the fact that the CIA drone program in Pakistan was then at its height, which was deeply unpopular among Pakistanis. What did U.S. officials have to lose by saying that bin Laden was being protected by the Pakistanis if it were true?

The fact is that the senior Pakistani officials Gall alleges were harboring bin Laden were utterly surprised that al Qaeda's leader was living in Abbottabad. Based on the bewildered reactions of top Pakistani officials to the events on the night that bin Laden was killed, it was obvious to U.S. Ambassador to Pakistan Cameron Munter and to U.S. officials monitoring communications in Pakistan that the Pakistanis had not had a clue about bin Laden's presence there.

Finally, in the course of reporting my book I discovered that bin Laden was even hiding from some of the people living in his own compound; forget about letting officials in the Pakistani government in on the secret.  One of the wives of the bodyguards protecting bin Laden didn't know that the tall stranger hiding on the compound was al Qaeda's leader.

In fairness to Gall, I have heard from four current and former U.S. intelligence and military officials that some of the thousands of documents that U.S. Navy SEALs picked up at bin Laden's Abbottabad compound that haven't been publicly released could point to some kind of official Pakistani collusion.

If that is the case, the Obama White House should release any documents that are relevant so that the American public can be the judge if one of our allies was knowingly harboring bin Laden all along. So far there is no evidence that that is the case.

@highlight

Peter Bergen: NYT article says Pakistan knew bin Laden was hiding in Abbottabad

@highlight

He says reporter Carlotta Gall is a respected authority, but there's no evidence

@highlight

Bergen: Why would many high-level U.S. intelligence officials deny Pakistan's knowledge?

@highlight

Bergen: If Obama administration has information showing Pakistan knew, it must release it