(CNN) -- Public attitudes about HIV and AIDS have changed dramatically since the first AIDS cases were reported 30 years ago.

But in many parts of the world, the stigma is still powerful.

CNN Hero Patricia Sawo, a pastor and AIDS activist in Kitale, Kenya, recently spoke with CNN's Kathleen Toner about how much has changed since she was diagnosed with HIV -- and how much work remains to be done.

Kathleen Toner: What was the stigma like when you tested positive for HIV in 1999?

Patricia Sawo: It was hard in those days. No one wanted to take care of people with AIDS. So for me, that was the worst part of it. I was going to die, and die alone. And I was worried not only for myself, but for my children. I was afraid.

The stigma was the painful part of it. After I went public, within one week, I lost my job, my husband lost his job ... the landlord wanted us out of his house. If I'd died in those days, I was not going to die of AIDS. I was dying of the stigma.

Toner: You mentioned your children. Did the stigma impact them?

Sawo: My kids went through it because people knew I was HIV-positive.

I remember one day I visited my children in school, and they were crying because their friends wouldn't play with them. Their parents had told them not to, because they said they might get infected.

I was testing my children so they would know their own HIV status. So I told them (to tell the other children) that your parents are better than their parents, because at least they know their status and you know your status. Their parents probably don't even know their status, so they are the ones who are at risk. It caused a big problem in the school. But I had decided to educate the community.

Toner: Tell me some of the other ways you're trying to change people's attitudes in your work as an AIDS activist.

Sawo: I do a lot of work in the church.

Before I tested HIV-positive, I personally believed that HIV was a disease for sinners. So for me, HIV was about people outside the church. I believed it, I preached it, and I thought if they changed their lives -- even if they are HIV-positive -- God would heal them.

In 2002, I realized my attitude was wrong. HIV is not a moral issue. It is a virus which, with the correct information and knowledge, can be taken care of. So the church must change its attitude. The church leaders must change their way of preaching.

Today, I do pastors workshops and train church leaders. I take them through HIV information and lead them to be able to begin congregational responses on HIV and AIDS. As church leaders, we need to shepherd and take care of the people, and that's why we need all information of all kinds.

I'm also a trained HIV counselor and peer educator. There are also young people that I've mentored. I've taken them through accepting their status (as HIV-positive). And there are many young people that now go out in schools. They are teachers that I've helped who even speak about their HIV status in schools.

Toner: You're doing so much work. Has the situation improved?

Sawo: Things have gotten better where stigma has been reduced, because there, people have accurate information. But there are areas where people don't have the knowledge and look at it as a punishment or curse, or maybe as a traditional illness or taboo. ... We have to educate.

Toner: What is your hope for the future?

Sawo: My dream is that finally we will have an AIDS-free world.

With the information that we have now, HIV is something we can deal with. People don't have to die of AIDS.

HIV is something that can end with the people who have it. With the right information, attitude change and access to treatment, HIV can end with us.

There's still a lot of work to do, especially in Africa. But HIV is something that we can overcome.

See the full story on CNN Hero Patricia Sawo: Church leader reverses stance on HIV, reaches out to those affected

@highlight

CNN Hero Patricia Sawo, a pastor in Kitale, Kenya, was diagnosed with HIV in 1999

@highlight

She said she and her family were treated like outcasts -- even her children

@highlight

Sawo is trying to educate people that HIV "is not a moral issue"