Madrid (CNN) -- When Marco Torremocha was laid off last year as a health and safety technician on construction sites -- another victim of Spain's deep economic crisis -- he wanted to put his severance pay into a sound investment.

An American friend entrepreneur living in Madrid, Phillip Stark, had a little idea: Earplugs.

Now, the pair who met while playing in very loud rock bands -- Marco on guitar and Phil on bass -- have a business that seems almost unheard of in Spain. They sell earplugs at rock concerts, nightclubs, even rehearsal studios.

"Many people who are unemployed in Spain," says Torremocha, referring to the six million without jobs, "don't have anything to invest."

But he did, thanks to severance pay after 11 years on construction sites, following the bust of the real estate boom -- a big part of Spain's financial crisis.

"You work for a private company and now you think broader," he said, explaining that he risked 2,000 euros [$2,600] -- a small portion of his severance pay -- as seed money for the earplug business.

Stark didn't have any startup cash. But he seems to have marketing in his DNA -- his family has a clothing store business in his native Ohio -- and he'd previously tried other ventures in Madrid, including a tourism magazine, that flopped.

COMPLETE COVERAGE: Marketplace Europe

But this time, Stark says, "failure is not an option. I get frustrated with people who say 'can't.' I hate hearing people be negative."

Both men complain they've been exposed to loud music without hearing protection and sometimes have low-level ringing in their ears long after the concerts are done.

Their earplugs are called Stark Plugs. They went on sale late last year at a few locales in Madrid, gradually adding more sites. But this weekend they're reporting a huge leap forward, with hundreds of sales daily at the big Primavera Sound music festival in Barcelona.

The earplugs are dispensed from vending machines. For two euros [$2.60], you get two yellow earplugs, made from a soft, foam-like thermoplastic polymer called Goma EVA. They come in a tiny clear plastic case that fits easily in your pocket.

They brought five vending machines to the festival, and Stark wrote in an email on Friday: "Next year we should definitely take fifty machines and put them everywhere."

READ, WATCH: Croatia president on the country's future in oil

Some of the buyers in Barcelona, Stark added, are concert photographers who must stay long hours exposed to the loud music.

In Madrid, Wurlitzer Ballroom, a small nightclub just off Madrid's Gran Via street, was one of the first places to sell Stark Plugs. Manager Alvaro Villacis said the earplug machine is a novelty -- for his club and many others in Spain.

Most of his 15-member staff already use them for protection, including himself. "I don't want to go deaf," Villacis said.

On a night that I visited in May, a band called Trono de Sangre (Blood Throne) was playing at top decibel. I quickly inserted a pair of Stark Plugs, which instantly damped dow the sound to a more palatable level, although even at lower volume, I wouldn't count myself as a fan of Blood Throne's shock and screaming style.

Amalio Varela, a radio sound technician, was right up front during the Wurlitzer show with his girlfriend, and told me during a break, outside, that he's used Stark Plugs and likes the idea.

"If you forget your own, you can buy them for two euros," right in the club, he said.

READ MORE: How a very British oven maker wants to reinvent itself

Exactly how much protection the earplugs offer is open to debate, says Peter Cobo, a researcher at an acoustics center of the Spanish government's Higher Council for Scientific Research, (CSIC), who has not seen Stark Plugs.

Cobo says Spain has a law on general ambient noise that lists 65 decibels as the level where it becomes potentially annoying, and also separate legislation requiring corrective action when workplace noise, such as at a factory, exceeds 80 decibels.

Cobo says a rock concert can easily exceed 100 decibels and that earplugs, depending on their quality and how well they are placed in the ear, probably could reduce the sound by 20 decibels or more.

Torremocha and Stark aim to expand quickly. They've put advertising on their vending machines and even on the tiny earplug plastic case, along with marketing schemes using mobile phone codes to direct consumers to web sites to view more products.

READ MORE: Luxury brand favors quality over speed

And they've already added so-called "high-end" earplugs to their lineup, from an American company called Ear Peace, which is trying to break into the European market, with Torremocha and Stark as new sales representatives.

Ear Peace plugs sell for about 15 euros [$19.65] at concerts in Spain. You get three earplugs made of soft, hypoallergenic silicone, with tiny filters to temper the sound, and a small cylindrical aluminum carrying case that fits on a key ring.

Stark said the Ear Peace plugs were also selling well at Primavera Sound in Barcelona from merchandising stands, but not as briskly as the less-expensive Stark Plugs.

Coins dropping into their vending machines is a sound Stark and Torremocha would like to get used to.

@highlight

Marco Torremocha and Phillip Stark are running an unusual business in Spain

@highlight

Amid a deep economic crisis, they are selling ear plugs

@highlight

The two rockers found their ears were ringing after concerts

@highlight

They are now selling the plugs at a huge music concert and say it's proving big business