Three months of political unrest, one week of horrific internecine violence, a few frenetic hours of negotiations -- it all culminated in a breakthrough deal In Ukraine to cut the president's powers, reinvent the Constitution and pave the way to free a key opposition leader.

These developments Friday gave hope to the Eastern European nation. But as long as angry protesters pack Kiev's Maidan, or Independence Square, as long as the emotions remain raw, as long as the bloodshed is still fresh, this story isn't over.

"I feel very proud of Ukrainians because we showed we are able to struggle for our future, our freedom," said Sophia Holotna, whose friend was among the scores of demonstrators killed in the capital.

"But now I feel almost very sadness. It's my first feeling."

The agreement -- hashed out overnight and into the afternoon among Ukrainian leaders, opposition figures and European Union representatives -- drew some cheers when it was announced to the Maidan crowd.

Track how the crisis in Ukraine unfolded

One of the main opposition leaders, Vitali Klitschko, took the stage a short time later. He got a notably frostier reception, contending that the government was trying to divide the protesters, before walking off to a handful of jeers.

Later, a protester -- not a leader, not part of any political group, just an ordinary Ukrainian he insisted -- expressed disappointment with the deal and proposed that action should be taken if  President Viktor Yanukovych doesn't resign by 10 a.m. Saturday.

Another protester, Viola Danis, said simply the deal is "not enough."

"This agreement does not pay for the life of my friend and the lives of the Ukrainian people," she said.

As the crisis brewed in Kiev, a senior U.S. State Department official -- who talked to reporters on condition of not being identified and who had just been on the phone with Ukraine's foreign minister -- said that Yanukovych had gone to Kharkiv, Ukraine's second's largest city, for a meeting. The same official characterized such travel to eastern Ukraine by the President as "not unusual."

While the government revolves around Yanukovych, there is not a single face of the opposition. Its demonstrators have strong and varying opinions about what they'd accept -- and what they'd be willing to do if these standards aren't met.

Thus, while there is an apparent truce, there's not peace in the Ukraine. Uncertainty, anger and anxiety still predominating, helping to paralyze parts of this Eastern European nation.

"It's not possible to work in this environment, not to study, (not) to do nothing," said another protester by the name of Alexei. "Basically everything has stopped and we're waiting for this situation to resolve. And it's really exhausting."

Deal calls for cutting powers, end to occupation

Friday was a day of action -- but unlike on Tuesday and Thursday, thankfully, the action happened in meeting rooms and Parliament, rather than in pitched battles on the streets.

The first, biggest announcement on this front was the landmark agreement calling for cutting the president's power and rolling back the Constitution to what it had been in 2004. According to a draft posted on the German Foreign Office's website, further constitutional reforms must be completed by September.

"Good compromise for Ukraine. Gives peace a chance. Opens the way to reform and to Europe," Polish Foreign Minister Radoslaw Sikorski said via Twitter.

The deal also requires presidential elections "as soon as the new Constitution is adopted but no later than December 2014."

And there will be an investigation -- conducted by government authorities, opposition figures and European Council representatives -- into the violence.

By then, security forces should've long ago stepped back from a" confrontational posture" with permission to use force only to protect pubic buildings, per the agreement. And within 48 hours, protesters should have turned in their illegal weapons and withdrawn from streets and public buildings.

But will they?

In a conversation urging a protest leader to accept the deal that was overheard by ITN/ITV, Sikorski pleaded, "If you don't support this, you'll have martial law, you'll have the army. You will all be dead."

The U.S. State Department official acknowledged the agreement is "a very tough sell" for many seething opposition activists, and called the deal "very, very fragile."

Speaking to CNN, Klitschko said he's listening to his side's dissenters and still pushing to maintain pressure on Yanukovych -- but not through violence.

"I tell everybody it is very important ... not to be involved in the war," said Klitschko, who called ensuring that the country doesn't "split" as a top priority. "(It's) also very important to find a peaceful way to be the winner."

Parliament acts to free opposition leader

Hours after that deal was signed, Ukraine's Parliament, the Rada, moved quickly to pass a series of measures seemingly in line with protesters' demands.

The first order of business was to fulfill the first requirement of the agreement -- passing a law to roll back the country's constitution to an earlier version that limits the President's powers.

Other bills called for the dismissal of the nation's interior minister and release of Yulia Tymoshenko, a former prime minister who earlier was a hero of the country's 2004 revolution, and who is a powerful symbol to the opposition.

A year after Tymoshenko lost the 2010 presidential election to Yanukovych and became his fiercest opponent, Ukrainian prosecutors charged her with signing overpriced gas deals with Russian state-owned energy provider Gazprom.

She was convicted and sentenced to seven years in prison at a trial she repeatedly called a farce overseen by a judge she called Yanukovych's  "stooge." International observers criticized her trial as being a politically motivated sham.

Even with parliament's action, Tymoshenko's freedom was not expected to be immediate: A court must now act to free her, and other charges pending against her remain in place.

Violence erupts

This wave of unrest began in November, amid anger about Yanukovych's decision to scrap a European Union-oriented trade deal and turn toward Russia.

Russia, which has offered to lend money to cash-strapped Ukraine in a deal worth billions of dollars and to lower its gas prices, has put pressure on Yanukovych to crack down on demonstrators.

Western leaders, who have offered Ukraine a more long-term aid package requiring economic modernization, urged the President to show restraint, open up the government to the opposition and let the democratic process work out.

Yet, fairly soon, it became clear that the discord wasn't just about Ukraine's ties to Europe or Russia, but about larger issues such as corruption and control. The opposition called Yanukovych heavy-handed, with Klitschko and others saying protesters wouldn't leave Maidan until the president resigns.

This tension boiled over Tuesday, when security forces waded into a Kiev crowd with water cannons, stun grenades, nightsticks and armored personnel carriers. At least 26 people -- protesters and police alike -- were killed.

Late Wednesday, the government announced it and opposition leaders agreed to a truce and to start talks aimed at a longer-term solution.

But it didn't last, collapsing in unprecedented gore in Kiev and unrest elsewhere in the Ukraine.

Some protesters in the capital appeared to be armed, while men wearing what looked like government uniforms fired what appeared to be automatic weapons and, in at least one case, a sniper rifle. The government later confirmed its police fired at protesters, explaining they did so to protect unarmed officers.

The death toll was far more uneven than on Tuesday: While authorities said three more police died, protesters said more than 100 of their own had been killed.

The fresh blood sparked outrage among Western governments, several of which pushed sanctions against those responsible.

Even after Friday's deal was announced, demonstrators went to graphic lengths to remember the dead -- bringing coffins onto their stage in Independence Square.

Pavel, a demonstrator who identified himself only by his first name, said he'd helped carry away some of those shot Thursday, and he insisted he won't forget, nor will he give up.

"As long as (Yanukovych) is president," he said, "the movement will continue."

Explainer: What and who are behind Ukraine's political crisis?

iReport: Protester describes bloodied people being rushed to medics

U.S. talks tough, but options limited in Ukraine

@highlight

Opposition leader: It's "very important to find a peaceful way to be the winner"

@highlight

Government, opposition agree on deal to end violence, alter constitution

@highlight

Some protesters say the deal is "not enough," demand president's resignation

@highlight

Yanukovych is believed to have gone to eastern Ukraine, U.S. official says