Washington (CNN) -- A suspect in an alleged Russian spy ring was arrested Tuesday in Cyprus a day after 10 other suspects in the case were arrested in the United States.

Robert Christopher Metsos was arrested at Larnaca airport in Cyprus after an Interpol "red notice" was served on him for suspected espionage and money laundering, Cypriot police told CNN.

Authorities in Washington were being notified so extradition proceedings can begin, police said.

Metsos, 55, is free after paying 20,000 euros (about $24,000) in cash as bail, but he is not allowed to leave the country, police said.

Metsos received money from a Russian agent and buried it in a park in northern Virginia, according to a court document. Two other suspects later showed up at the park to dig up the money, the document said.

The Justice Department announced Monday that 10 people were arrested on charges of being Russian agents involved in a long-term mission in the country.

Five of the arrested suspects appeared in a New York courtroom Monday. Four of the five, including a longtime U.S.-based columnist for the Spanish-language El Diario newspaper, were advised of their rights and ordered held due to flight risk, with their next hearing scheduled for July 1.

The other defendant, identified in a court document as Anna Chapman, was denied bail, and her next hearing was scheduled for July 27.

The Russian Foreign Ministry said in a statement the arrests are "unfounded and have unseemly goals."

"We do not understand the reasons why the U.S. Department of Justice has made a public statement in the spirit of the Cold War," said the statement, posted on the ministry's website. "Such incidents have occurred in the past, when our relations were on the rise. In any case it is regrettable that all these things are happening on the background of the 'reset' in Russian-U.S. relations announced by the U.S. administration."

Asked about the incident Tuesday in an appearance with Israeli Foreign Minister Avigdor Lieberman in Jerusalem, Russian Foreign Minister Sergey Lavrov said, "We still have not received an explanation. ... I am hopeful we will get an explanation."

He said the timing of the announcement was significant but did not elaborate. Asked about the matter again following the news conference with Lieberman, Lavrov said, "I have already said everything."

Assistant U.S. Attorney Michael Farbiarz said search warrants in the case were being executed "across the country." He called the initial criminal complaint "the tip of the iceberg."

"These people are trained together," Farbiarz said of the defendants. "At the core of this is deception."

Separate hearings for the other detained suspects were expected later Monday in other states.

A Russian Embassy spokesman said Monday that he was unaware of the reports of the arrests, and said he was seeking more information from Russian officials.

The suspects were "trained Russian intelligence operatives," a Justice Department spokesman said, and information from court documents alleged they were part of a mission to plant "deep-cover" agents in the United States.

The Justice Department said the 10 people arrested and another person not yet in custody were supposed to recruit intelligence agents, but were not directly involved in obtaining U.S. secrets themselves. All were charged with acting as agents of a foreign government, and nine also were charged with conspiracy to commit money laundering.

The charges include conspiracy to act as an agent of a foreign government without notifying the U.S. attorney general, a crime that carries a maximum penalty of five years in prison, the Justice Department said. Conspiracy to commit money laundering has a maximum penalty of 20 years in prison.

The case resulted from a "multiyear investigation" conducted by the FBI, the U.S. Attorney's Office for the Southern District of New York and the Justice Department's National Security Division, according to a Justice Department statement. The 11 suspects were charged in two separate criminal complaints.

Last week, President Barack Obama and Russian President Dmitry Medvedev spoke of strengthened ties between the former Cold War foes after their meeting at the White House. However, court documents and Justice Department officials described a Russian intelligence operation straight out of a 1950s spy novel.

According to the court documents, some of the suspects adopted phony identities, including those of dead Americans, and posed as married couples. The suspects engaged in secret communications including exchanges of bags, money drops and use of invisible ink, as well as more modern touches such as private wireless computer networks between specific laptops, the documents said.

A decrypted message from Moscow to two of the suspects said they were sent to the United States for "long-term service," one of the documents said.

"Your education, bank accounts, car, house, etc. -- all these serve one goal: fulfill your main mission, i.e, to search and develop ties in policymaking circles in U.S. and send intels (intelligence reports)," the document said.

The Russian operation was believed to date back to the 1990s, the court document said. It added that the FBI conducted extensive electronic surveillance of the suspects for years, including secretly recording and videotaping them and surreptitiously entering residences to take photographs and copy documents.

One of the suspects is Vicky Pelaez, a columnist for "El Diario" for more than 20 years covering politics, immigration and other issues, her lawyer confirmed. Pelaez is married to Juan Lazaro, another of the suspects arrested Monday, and the couple resided in Yonkers, a New York suburb.

Pelaez, Lazaro, Chapman and two other suspects -- identified as Richard Murphy and Cynthia Murphy -- appeared in the New York courtroom. The other suspects were identified in court documents as Donald Howard Heathfield, Tracey Lee Ann Foley, Michael Zottoli, Patricia Mills and Mikhail Semenko. Another suspect, Christopher R. Metsos, was still being sought.

Semenko and Chapman allegedly conducted the private wireless computer links to communicate with a Russian government official, one court document alleged. In one instance, Chapman was in a bookshop and the Russian government official drove by in a van to make the wireless connection, the document said.

Another document described alleged efforts to secretly get money to the suspects to fund their clandestine activities, including money drops involving exchanged bags in public places and other subterfuge.

In one incident, Metsos, the suspect still at large, received money from a Russian agent and buried it in a park in northern Virginia, the document said. Mills and Zottoli later showed up at the park to dig up the money, the document said.

CNN's Jill Dougherty, Carol Jordan, Michael Schwartz and Arkady Irshenko contributed to this report.

@highlight

NEW: Man arrested at Cyprus airport after Interpol alert

@highlight

NEW: Robert Christopher Metsos allegedly buried money in Virginia park

@highlight

Russian Foreign Ministry says arrests are "regrettable" against background of renewed U.S.-Russia relations

@highlight

Documents say suspects were involved in long-term missions in the U.S.