Whilst the energy grids we rely on to provide us with cheap and reliable electricity may have been fit for purpose in the 20th century, it is now abundantly clear that the design of 21st century energy networks will have to be very different. In Europe, the foundations for a secure, flexible and more energy efficient future are already being laid.

The SmartGrids project will transform how electricity is supplied in Europe. Instead of centralized power generation, new suppliers will be linked up providing new trading opportunities for businesses and homeowners.

Traditional carbon-based power generators are far from efficient. They waste well over half their energy in heat and contribute over a third to total greenhouse emissions. It is now widely accepted that continuing to rely so heavily on such polluting systems would not only spark environmental catastrophe but also economic collapse.

With an aging electricity grid, a drive to lower carbon emissions by 2020 and burgeoning new markets in renewable energy, the time was right for Europe's leaders to set about trying to find another way.

The result is SmartGrids -- one of many projects set up under the European Union's European Technology Platform (ETP). Combining the expertise of industry, NGO's, scientists and regulators, SmartGrids is proposing a fundamental shift away from traditional energy supply models.

Work on the vision of the project started in 2005 and was followed up by the Strategic Research Agenda (SRA) in 2007. This summer will see the publication of the Strategic Deployment Document (SDD) which will take the project a step closer to realization.

Duncan Botting, Vice-Chairman of the SmartGrids Advisory Council is currently co-editing the SDD. He spoke to CNN about how the SmartGrids will differ from the old networks and the challenge of replacing the electricity grid across 27 EU states without any loss of power.

"The grids built in the 1950s and 1960s were designed for power to effectively be poured in at the top -- big central generation. This power then went through transmissions systems and then smaller wires for distribution to the home," Botting told CNN.

Instead of energy just being pumped one-way down wires and into homes, SmartGrids envisions a two-way flow of electricity, where customers -- big and small -- not only receive energy but also generate it themselves and, when necessary, make it available to the grid.

It's hard enough trying to create a reliable system that is able to manage this complex interaction between power generators. But when you throw in the complication of 27 member states, each with their own networks, all at different levels of maturity you start to realize the scale of the task at hand.

"It takes up to 40 years to completely replace a grid," Botting said. "In order to get this right we need to change things at the right pace. We're not changing the grid like for like but with smarter more intelligent bits of kit."

An example of this is the automated regional active network management system -- Aura-NMS for short. A collaborative project between engineering company ABB -- where Botting heads up technology and business development -- EDF Energy, Scottish Power and seven leading UK universities.

"Aura-NMS is trying to take a slightly different view of life," Botting said. "If you go back 50 years we used to have local control centers around the networks, with people there telling us what and where a problem was. Aura-NMS is trying to mimic this but also enable microgrids which can be maintained in their own right, away from the main grid."

Botting wishes to stress that this is a very simplified explanation, but, in a nutshell, the idea is to change from what he describes as a 'passive' network -- one designed to cope with a peak load -- to an 'active' network which balances multiple power generation with demand, resulting in vastly improved energy efficiency.

The push towards more intelligent electricity grids is a global phenomenon. The United States is currently researching an Intelligrid and Botting recently visited Taiwan for an international symposium on the issue. Jeremy Rifkin, President of the Foundation on Economic Trends, is a big supporter of SmartGrids and believes that new inter-connected power grids mark the beginning of what he describes as the 'Third Industrial Revolution'.

The first European SmartGrids are still a way off. But how does Botting think you and I might experience the system come 2050.

"The idea," Botting explains, "would be that instead of having a meter in your house, you would now have a smart gateway which would be programmable."

He sites scenarios where consumers might, for example, want to sell some surplus energy from their house back to the grid. "The ability to trade will be automated," says Botting. "You choose what you want to do.

"At the other end of the stream, wind farm generators for example, instead of being told that they are generating too much energy because the grid cannot cope, there will be an arbitration which goes on automatically to maximize their throughput and maybe back off using a high carbon energy source."

Botting is well placed to offer a balanced assessment of the tasks that lie ahead. He combines a business role -- soon to take up a new post as Managing Director at ITI Energy -- with academic duties -- he is a visiting professor at both Imperial College, London and Strathclyde University in Glasgow.

"The business case for a government is different to that of a CEO. We are trying to make sure that the right things are in there for each of those audiences," he said.

He admits that nobody would be considering SmartGrids in usual economic terms, but climate change has changed the game. And he's convinced that advances in renewable energy technology -- a key aspect of the SmartGrids vision -- will keep pace with the project.

"You can't limit your imagination by what you have today," he said.

"If we are going to get security of supply with low carbon and renewable resources you then have to start looking at how they will be delivered to the end user. What are the economics if you don't do it? Well, you might not have a business, or the lights might go out."

Watch Jeremy Rifkin explain about how energy grids of the future will work here.

@highlight

The EU hopes SmartGrids will transform Europe's electricity network in 21st century

@highlight

New network will span 27 European countries aiming to achieve 'active' energy

@highlight

Vice-Chair of SmartGrids Advisory Council predicts an automated trading of energy