Santa Paula, California (CNN) -- When disaster strikes and people are buried in rubble, there's often no better search tool than a dog's nose.

It's a valuable asset that has already been utilized several times this year. Trained search dogs, along with their human handlers, have provided help in high-profile disasters such as the Japan earthquake in March and the Joplin, Missouri, tornado in May.

"After a disaster, there is a window of opportunity for finding live people," said Wilma Melville, founder of the National Disaster Search Dog Foundation. "The first eight hours are critical."

There are about 250 search-and-rescue teams, each made up of a dog and a handler, that are certified by the Federal Emergency Management Agency. But Melville says that's half as many as there should be.

"Approximately 500 teams, I feel, would cover the country well for the hurricanes on the East Coast, the great center of the country, which is bombarded and tormented with tornadoes, and the West Coast, which can definitely anticipate earthquakes," she said. "We should have about 500 teams, highly trained, strategically placed, ready to reach a disaster site within 12 hours."

Since 1996, Melville and her organization have been creating and training more of these teams. It starts by finding shelter dogs with the potential to become search dogs. Then it trains the dogs and pairs them with a firefighter or rescue worker who will live, train and work with them.

"The Search Dog Foundation is the only group in the nation that gives a highly trained, professionally trained dog, to a handler and then stays with that handler for the rest of the team's life together," said Melville, 77. "We provide health insurance for the dog. ... We provide food for the dog. The big thing is, we provide ongoing training for that dog and handler."

Melville's nonprofit has also streamlined the training process so that it can be done in about a year rather than the three or four years it once used to take.

In all, the group has trained 131 teams around the country -- for free. It has responded to 80 missions around the world, including Japan, Joplin, last year's Haiti earthquake and the September 11 attacks in New York City. But it was a 1995 tragedy -- the federal building bombing in Oklahoma City -- that inspired Melville to create it.

She and her black lab, Murphy, had been training together for several years before they made the trip to Oklahoma City to help find victims. Melville had started the training as a hobby after retirement, and she and Murphy were FEMA-certified in 1994.

After arriving in Oklahoma City, Melville said, she was devastated by the scope of the tragedy, in which 168 people were killed. One survivor was found by a dog, she said.

Later, Melville was surprised and outraged to learn that there were only about 15 similar canine teams in the country.

"We are a huge nation, and this one building alone requires far more than 15 dogs that are highly trained," Melville remembered thinking. "This nation is in a terrible situation. ...

"I said: "Well, there's only one thing to do. I either go back to my horseback riding in the hills, or I make a difference and find a better way to create canine disaster search teams for this nation.' "

Do you know a hero? Nominations are open for 2012 CNN Heroes

The Search Dog Foundation receives no federal or state money. Melville said it's funded by grants, donations, awards and corporate support. About 90% of the dogs that it trains come from shelters.

Hundreds of dogs are tested each year for training, but only a small amount get selected. Even fewer make it through the training. The dogs must have drive, focus and high energy, Melville said.

Eric Gray's dog, Riley, was a former shelter dog rejected by two foster homes because he was deemed too hyper to be a pet. But his search-and-rescue training "gave him a purpose," Gray said, adding that Riley has become an important partner in his efforts as a firefighter.

"(Riley) was able to focus the incessant drive ... that he had, and (he was given) an opportunity to really blossom as a dog rather than just being handed from home to home," Gray said. The two recently helped with search-and-rescue efforts in Haiti and Japan.

Veteran handler Debra Tosch searched the World Trade Center with her dog, Abby, after the September 11 attacks.

"When I rounded that corner and was a little overwhelmed by the enormity of it, Abby had just the opposite effect," Tosch said. "She started pulling on the leash, saying: 'Great! We finally get to go to work. Let's go.' ... She got very excited."

Melville said search efforts are usually fun for the dog "because they don't get a paycheck. They get a toy, and the toy is their reward."

Even after winning several awards for her work, Melville believes she is far from done. Her foundation is building a national training center on 125 acres of Santa Paula hills between Los Angeles and Santa Barbara.

"In my heart, the number 168 is forever engraved," she said. "I still want to train 168 canine disaster search teams -- one for each of the persons who died in Oklahoma City. ...

"Now, I see that it is possible -- it's even likely -- within my lifetime. I wonder who number 168 will be."

Want to get involved? Check out the National Disaster Search Dog Foundation website at www.searchdogfoundation.org and see how to help.

@highlight

Wilma Melville's nonprofit trains dogs to be search-and-rescue specialists

@highlight

It also matches up the dogs -- many of whom are from shelters -- with a permanent handler

@highlight

Since 1996, the group has trained 131 rescue teams around the country

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes