Editor's note: Robert J. Shiller is a professor of economics at Yale University. This op-ed is based on his book with George Akerlof, "Animal Spirits: How Human Psychology Drives the Economy, and Why It Matters for Global Capitalism." Akerlof is a 2001 Nobel laureate in economics and professor of economics at the University of California at Berkeley.

Robert Shiller says basic psychogical factors led to excesses which have devastated the economy.

(CNN) -- President Obama's National Economic Council head Lawrence Summers noted in his speech March 13 that the economic crisis has led to an "excess of fear" that must be reversed.

To understand the role fear plays in the current crisis, we must understand the role of human psychology.

John Maynard Keynes thought psychology was the major cause of economic booms as well as busts, though this aspect of his work is now largely forgotten. He said people's economic decisions, in both good times and bad times, are largely, ultimately, if indirectly, driven by animal spirits, primitive psychological tendencies.

In a recently published book, George Akerlof and I identified three animal spirits that played critical roles in the current economic meltdown. They are confidence, bad faith and storytelling.

Let's first consider confidence and its dictionary meaning. Confidence means complete and secure trust. But trust goes beyond the rational use of information that is usually considered in economic theory. Trust is largely an emotion. Indeed we saw the role of vivid emotions in the stock and housing market booms that brought on our current problems.

Trust is a state of mind that is the opposite of vigilance. People were purchasing and selling complex financial instruments without looking carefully at them. This trust is broken.

The second animal spirit that came into play was bad faith. With so many trusting people, an uglier side of human nature became prominent. The temptation for smart promoters was overwhelming.

Questionable practices boomed, and regulators failed to step in, because of the view, taken from economists, that private markets would be self-policing. Investors would only put their money at increased risk if they were duly compensated by higher expected returns. Thus, there was little worry about laxity of regulation in securities and real estate markets.

But, this self-policing view did not consider that these investors might be overconfident.

There is a myth that capitalism produces what people really want, as long as firms can make a profit. But, instead, more generally, it produces what people think they want, as long as firms can make a profit.

True, unregulated capitalism will produce good medicines that cure our ills. But unregulated capitalism will also produce snake oil that people think they want, but does not cure our ills. (To guard against the production of such things, the federal government established the Food and Drug Administration in 1906.)

The problem of snake oil has special relevance for financial assets, which are only pieces of paper. Most investors can surmise their value only from what others, such as accountants and rating agencies, tell them. These accounting and rating agencies also have their own incentives. And those incentives have not been fully aligned with the public's interest. And so when people are overconfident, financial markets produce assets that take advantage of that overconfidence.

If unprotected by effective regulation, people will be sold snake oil assets. Just recently an industry arose, in Wall Street and beyond, to produce them.

A third animal spirit bolstered the previous two. People act and think and live according to stories, especially human interest stories, not usually abstract calculation. That goes for their personal decisions. But there is also always a story, usually with some grain of truth and human interest, about the economy.

These stories are often overly exuberant, on the one side, or overly pessimistic on the other. Ten years ago we had the story of the dot-com millionaires. Most recently we believed alchemists of financial engineering were packaging risky financial assets to make them safe.

People were overconfident. And markets took advantage of their beliefs to sell them what later proved to be snake oil assets.

These three animal spirits then explain how factors in human psychology play a key role in why the economy fluctuates as much as it does. The confidence comes and goes. The stories come and go. The snake oil comes and goes.

This explanation for economic fluctuations has implications for the role of government. The first role of government is, before the fact -- as with the Food and Drug Administration -- to protect the public from negative consequences of their animal spirits (and to let them prevail and even to encourage the positive consequences).

If, as now, the snake oil has been swallowed, it is the role of the government to restore our health. The government must aim to achieve full employment of the population by added spending to boost the economy and policies to make credit widely available.

It should fulfill the full-employment goals of the Employment Act of 1946. That means that producers who produce good products at a profit should have buyers who want to buy them; workers who have trained for productive jobs should be able to get them.

It also means that producers who can produce such products can get the credit to finance their production; and buyers who want to purchase these products can obtain the credit to purchase them. Why are such targets useful and necessary?

History tells us. In the Great Depression, both Hoover and Roosevelt had many pragmatic schemes to put people back to work and keep credit markets from falling apart. But for lack of a correct theory of the economy, and targets corresponding to that theory, their measures fell far short. Unemployment in the United States only fell below 10 percent after the start of World War II, in 1941.

Such targets are necessary for political reasons as well. Any effective plan to resolve our crisis will involve massive sticker shock. The two targets are necessary to justify and explain the tough and expensive measures that need to be taken.

The opinions expressed in this commentary are solely those of Robert Shiller.

@highlight

Robert Shiller: Economic boom gave rise to schemes that relied on trust

@highlight

He says basic psychological factors are key to restoring confidence

@highlight

Government has a role in preventing fraud from being sold to the public, he says

@highlight

Shiller: Government must aim for full employment and widely available credit