Boston (CNN) -- On this brisk April morning in Boston's South End, worshipers filled New England's largest Roman Catholic church. It was a time to pray -- and reflect on the torrent of violence this city has seen.

Last Sunday, a special blessing was said here for the runners in the Boston Marathon. Now, there were people sitting on the wooden pews who might have witnessed the tragedy. They were all scarred inside.

Almost a week has passed since bombs made from pressure cookers blew up near the finish line of the race. Three people died, and more than 170 were wounded. Many remain in hospitals.

Cardinal Sean O'Malley knew his role was to help heal.

He greeted people ahead of Sunday Mass at the Cathedral of the Holy Cross. It was in this sprawling 19th-century stone building that President Barack Obama quoted scripture Thursday to bring comfort and resolve for those still reeling from the Boston Marathon bombings. It was time again to seek solace.

Maria Fernandez attended the service with her friends.

"This is the best place to be right now if you're from here and want to support Boston," she said.

Inside the church, all eyes fell on four large photos of the victims, candles flickering in front of them.

Life edges back to normal in Boston, with lives forever changed

Some prayed. Others whispered.

O'Malley, Boston's archbishop, hoped the service reinforced Boston's communal ties after the tragedy.

"We are all scattered in the pain and horror of this week's violence," he said. "Some of those here were among those injured. But everyone has been affected."

He voiced what so many have been thinking: Why would anyone do this? What were the bombers thinking?

It has been "very difficult to understand what was going on in their heads," he said.

He said he was struck by the outpouring "of goodness and generosity" of first responders and others. "Our challenge is to keep this alive."

O'Malley cautioned against revenge and retaliation. He asked those incensed by Monday's attack not to focus their anger randomly against any ethnic or religious group.

"We must build civilization on love, or there will be no civilization at all," he said.

He even quoted John Lennon.

"Everything will be OK in the end. If it's not OK, it's not the end."

"Our faith goes beyond that optimism," O'Malley said. "Love is stronger than death."

Outside the cathedral, stores and coffee shops were abuzz with chatter Sunday morning. The tone turned somber as people filed into the church.

A week of bruising news

"It's a good thing to be here right now," said Dennis O'Rourke, hurrying up the cathedral steps.

There were other services Sunday in Boston.

Christian, Jewish and Muslim leaders gathered for an interfaith service on Boylston Street, near the marathon finish line. A week ago, it was a place of carnage. On Sunday, it became a sanctuary -- an open-air church, synagogue, mosque and temple, rolled all into one.

Volunteers wore white T-shirts that said: "Do you want a hug?" They embraced strangers on the street.

The area remains a barricaded crime scene. Old South Church of Boston was closed Sunday for the first time since the city's colonial days. Parishioners were invited to attend morning service at the Church of Covenant.

"We are shaken, but we are not forsaken," the church said in a statement.

Central Reform Temple announced cancellation of Sabbath Eve service on its website, citing emergency conditions in Boston.

"We are determined to gather together for worship and mutual support as soon as possible," the temple said.

Instead, the Friday service was scheduled for Sunday morning at nearby Emmanuel Church.

Temple Israel opened its doors to the congregation of Trinity Church for a 10:30 service Sunday. Trinity is in Copley Square, near the marathon finish line, and it remains closed.

Trinity's congregation filled the sanctuary at Temple Israel, which can seat about 900 people, said Rabbi Ronne Friedman. The clergy and staff were surprised in the best possible way that so many people showed up.

The synagogue, he said, was honored to host Trinity in an hour of need.

"It was beautiful, moving," he said. "And it was a reminder of the deep bonds that exist between us. It reminded us all that our proximity is not just geographical.

"After the trauma of the past week, we are in proximate relationship with one another spiritually and psychologically. I think we all very much felt it was one Boston."

Imam Talal Eid of the Islamic Institute of Boston said Muslims were participating in interfaith prayers.

"I know that in all mosques, there have been prayers said for the victims," he said.

The holiest day of the week for Muslims is Friday, but several Boston mosques were closed then because of the lockdown during the massive manhunt for one of the bombing suspects. The same was true for synagogues, which hold services Friday evening and on Saturday.

With Monday will come a new week. Officials have called for a moment of silence at 2:50 p.m. Then, the bells will toll in Boston and the entire state of Massachusetts. And everyone will stop to remember.

CNN"s David Ariosto reported from Boston and Moni Basu from Atlanta.

@highlight

Bostonians filled churches Sunday to pray and heal

@highlight

Cardinal Sean O'Malley says everyone has been affected

@highlight

A week ago, there was carnage on Boylston Street; on Sunday, people of all faiths united there

@highlight

Bells will toll in Massachusetts on Monday afternoon to remember the bombing victims