Santo Domingo, Dominican Republic (CNN) -- A proposed regulation in the Dominican Republic could stop illegal immigrants from studying in the nation's public schools.

Immigration officials say requiring students to have valid identification documents is part of the nation's sovereign right.

But immigrant advocates have criticized the move, which is likely to affect a large number of immigrants from neighboring Haiti.

"We recognize that there is a human drama, a social drama impacting the Dominican Republic in terms of migration that particularly affects the case of our Haitian neighbors. And obviously Dominican society needs to approach it responsibly," said Jose Ricardo Taveras, the Dominican Republic's general director of migration.

After a 7.0-magnitude earthquake devastated Haiti in January 2010, more than 200,000 displaced Haitians crossed the border, according to the International Organization for Migration. Since then, many have returned to Haiti. But historic tensions between the neighboring nations remain.

There are about 54,000 foreign children studying in the country's schools, nearly half of whom are undocumented, according to government estimates.

Children born in the Dominican Republic to illegal immigrant parents are not Dominican citizens, according to the country's constitution.

It was unclear when the proposed regulation, which was included in a draft plan presented to the Dominican Republic's president on Wednesday, would go into effect. The president will have the final say on whether -- and when -- to implement regulations presented by immigration officials.

The proposed measures also would require residency permits for foreigners and impose fines on businesses that hire illegal immigrants.

Dominican Republic Education Secretary Josefina Pimentel said foreign students still have access to public education, and that officials have been working to help immigrant students obtain the necessary documentation.

But immigrant advocacy organizations have said the government should reconsider its approach.

"We need to design a migration policy that conforms with the rule of law and conforms with the focus on human rights, which is what we are proposing," said Roque Feliz, deputy director of Centro Bono, a Jesuit nonprofit.

In a statement Wednesday, the organization criticized immigration officials.

"We are aware that modern states are sovereign and define their migration policies, but ... no law nor any regulation can infringe on rights guaranteed in the constitution," the statement said.

Taveras has defended the new measures, saying authorities are not violating human rights or aiming to deprive children of education.

"To enroll a Dominican child in a school, it is necessary to present a birth certificate, so it is the same for foreigners. We are not trying to violate, but rather regulate," he told CNN affiliate Telesistema.

Dominican authorities have historically shied away from enforcing immigration laws, he said, noting that the country's immigration problems have long been complex and controversial. In recent years, immigration from Haiti has remained high, he told Telesistema, because the international community has not done enough to help Haiti after the 2010 earthquake.

The Dominican Republic was the first country to give aid to Haiti in the earthquake's aftermath, sending food, medicine and rescue crews.

But historically, a much wider gap in relations has existed between Haiti and the Dominican Republic since colonial times.

Dominicans recall how they were under Haitian rule for a period in the mid-1800s, and how they repeatedly fought Haitian aggressions. Today, Haitians provide cheap labor in the Dominican Republic, a trend that has caused resentment on both sides, not unlike the illegal immigration debate in the United States.

The Dominican Republic gained its independence from Haiti in 1844, after Haiti occupied it. By the early 20th century, Haitians had become a source of cheap labor in the neighboring country.

Racism and security concerns resulted in a massacre in 1937, when Dominican leader Rafael Trujillo ordered the execution of Haitians living near the border between the countries, resulting in the killing of 20,000 to 30,000 Haitians, historians say.

Taveras told Telesistema it was time for his country to do more to enforce immigration laws.

"We have to push this," he said.

CNN's Mariano Castillo and Catherine E. Shoichet contributed to this report.

@highlight

Dominican officials say immigration regulations are the country's sovereign right

@highlight

Immigrant advocates have criticized the move

@highlight

It is likely to affect a large number of immigrants from neighboring Haiti

@highlight

"We are not trying to violate (rights), but rather regulate," one official says