KINGSTON, Ontario (CNN)  -- For Shona Holmes, simple pleasures such as playing with her dog or walking in her plush garden are a gift.

Canadian Shona Holmes, who had a brain tumor, sought medical care in the United States.

After suffering from crushing headaches and vision problems, she was diagnosed with a brain tumor four years ago. She was told if it wasn't removed, she could go blind or even die.

"They said to me that you had a brain tumor and it was pressing on your optic chasm and that it needed to come out immediately," Holmes said.

Holmes is Canadian, but the "they" she refers to are doctors at the Mayo Clinic in the United States, where she turned after specialists in her own government-run health care system would not see her fast enough.

"My family doctor at that time tried to get me in to see an endocrinologist and a neurologist," Holmes recalled. "It was going to be four months for one specialist and six months for the other."  Watch Holmes talk about her experience in getting treatment »

Even with the warning from U.S. doctors in hand, Holmes said she still couldn't get in to see Canadian specialists. Because the government system is the only health care option for Canadians, she says she had no choice but to have the surgery in the U.S.

Her treatment at the Mayo Clinic in Arizona cost $100,000, and she and her husband put a second mortgage on their home and borrowed from family and friends to pay for it.

When she recounts that part of her painful story, she weeps.

"That's the stuff that I find so tragic -- having dinner with my friends and I know how much money I owe them," Holmes says, tears streaming down her face.

With the health care reform debate raging in the U.S., Republicans in Washington are seizing on Holmes' story and other accounts from Canada to warn against government involvement in the health care system.

The Senate's top Republican, Mitch McConnell, R-Kentucky, asserted several times on the Senate floor last month that a government-run health insurance option, which President Obama and Democrats want, could lead to a government-controlled health care system like Canada's. Watch McConnell talk about Canada's health care system

McConnell singled out Kingston General Hospital in Ontario as a prime example of what Americans should be fearful of: staggering delays in treatment.

CNN went to Kingston General and played a DVD for its chief of staff Dr. David Zelt of McConnell slamming the hospital.

Zelt insists McConnell's numbers -- an average of 340 days wait time for knee replacements, 196 days for hip replacements -- are an exaggeration.

"I find it very frustrating that someone of that stature would not really have true knowledge of the numbers he is actually quoting on things," Zelt told us, saying the average wait time for a knee replacement is actually 109 days, and a hip replacement is 91 days.  Watch Zelt talk about Canada's health care system »

However, Zelt does concede that in Canada's system, where every Canadian citizen is covered, there are limited resources, shortages and often delays.

"In our health care system, we're looking at what we have to do to prioritize patients -- critically ill versus purely elective surgeries," Zelt said.

"I'm not going to say we don't have issues with timeliness for some things. It does happen. But again take the other side of the coin -- these patients have access. They're on somebody's waiting list if they have a problem, and I think the senator would need to look at that issue. Yes it may take time, but they will get seen."

McConnell's remarks have not only ruffled feathers with Ontario's doctors but also with government officials across the border.

Canadian Sen. Hugh Segal, whom we met up with at Kingston's picturesque waterfront, says his "fellow conservatives" to the south are dead wrong about Canada's health care system.

"The notion that we have some bureaucrat standing next to every doctor between the patient and that doctor is a complete creation, there is no truth to that at all," Segal said.  Watch Canadian senator challenge McConnell's assertions »

"What you have is a longer life span, better outcomes and about one-third less costs. That's what you have."

What Segal, Zelt and other Canadian officials underscore is that their government-run system is driven by the value of the care and that the quantity of tests and procedures don't necessarily equal quality.

"You can have a patient from the hospital with abdominal pain as an example, and you can run him through every high-tech equipment, CT scan, MRIs -- it's unlimited," Zelt said.

"But then you have to take a step back and look at that. What's the cost of doing those types of investigations, and what's the value really added to the patient?"

Despite Shona Holmes' horror story about her inability to get timely treatment for a brain tumor, Canadian officials and doctors insist most life-threatening cases are treated quickly.

Toronto's Doug Wright can attest to that. The 40-year-old father of three young boys found out last month he has cancer -- a tumor on his leg.

But he says he never had to wait more than five days to see a specialist or get a test. And from diagnosis to surgery, it will be just over a month.

"The community medical system thought this process could not have been any better. I have not had to wait to see some of the best specialists in the country, who are renowned internationally," Wright said.  Watch Wright talk about his treatment »

An investment adviser, Wright has the money to go to the U.S. for his care, but says there is no need.

But Wright recognizes one reason he has gotten such a rapid response from Canadian doctors is because he has cancer.

"The bad news is I didn't have to wait for anything, because you don't have to wait when it's a serious issue," he said.

Still, people can wait for months, or even years, for elective surgery.

Wright's friend Rick Hession has a heart condition that could cause a stroke, but he has a three-month wait or more for an operation to help correct it.

He says he can't exercise the way he would like to until he gets the surgery, but he's willing to wait. He calls it a small price to pay for free health coverage for all Canadians.

"I'm OK with it, and I think most people I talk to find they really are [willing to wait]," says Hession.  Watch Hession talk about waiting for treatment »

The reality is that despite GOP rhetoric to the contrary, no Democratic plan now on the table calls for a Canadian-like government run health care system.

But in talking to doctors, government officials and even average Canadians, they concede their system is far from perfect, but there is one statistic they are quite proud of: All Canadians have health coverage. That's 33 million people, compared with the 47 million uninsured in the U.S.

@highlight

Woman with tumor said wait would have been too long; she got costly U.S. treatment

@highlight

Canadian man with cancer says he was put on fast track for treatment

@highlight

Sen. Mitch McConnell says U.S.-run program would mimic Canada's problems

@highlight

Some doctors who spoke to CNN say McConnell doesn't have facts right on waits