Anaheim, California (CNN) -- As tensions roil between Latinos and city officials over accusations of police brutality, Hispanic activists will press the Anaheim City Council for a way to have at least one elected Latino to represent them, leaders said Thursday.

Their pledge to continue their grass-roots campaign came after the City Council rejected Wednesday night a ballot measure that would have established voting districts, including at least one to represent Latino neighborhoods.

The measure, voted down 3-2 after more than three hours of passionate appeals by residents, would have ended how city council members are now elected at-large. Latino residents feel that under the current conditions they are not being represented adequately -- especially in the wake of videotaped violent confrontations between police and Latino residents.

Last month videos captured protestors confronting Anaheim police and officers shooting rubber bullets at mostly Latino residents. One video also shows a police dog running at several people and biting a man in the arm.

The City Council is scheduled to meet again August 21, and Latino residents said they would be back to call for city leadership to reflect the diversity of the community.

"When you have a representative that lives in the neighborhood and that is elected, he's responsible to address the needs of that community," said MartÃ­n LÃ³pez, a community activist. "I believe if we had districts, it would be easier for these people to deal with the socio-economic problems from our communities that have been forgotten."

Anaheim resident Juan Alvarez is the son of Mexican immigrants who supports the districting ballot measure, but told CNN he has an issue with the idea that new representatives have to be Hispanic.

"I think it's all about what does a representative have to say, how are they going to fix the issues, what can they do for the community and how can they serve. That's the way we should choose our officials," Alvarez said.

"But definitely districting will help alleviate a lot of the issues."

Currently, 52% of the city's 336,000 residents are Latino but few have held public office. The City Council struck down the ballot measure saying it needs to be studied more and instead they will put into place a citizen's advisory committee on elections and community involvement.

Anaheim Mayor Tom Tait was among the supporters of the measure to elect council members from districts.

"I believe Anaheim residents should have a say in how they want to be governed," Tait told CNN. "District elections bring government closer to the people. Whether this is accomplished through the courts or the vote of the people, district elections are Anaheim's future."

Also in attendance was Genevieve Huizar, the mother of Manuel Angel Diaz, the 25-year-old unarmed man whom a police officer shot to death last month.

Bob Dunn, spokesman for the Anaheim Police Department, said the officer fired in self-defense. Police said Diaz was a gang member and held a concealed object in his front waistband with both hands. Police added that Diaz had a criminal record that included various drug charges.

"The entire family of Manuel Diaz is disappointed in the council's vote yesterday, although she appreciates the efforts of the council that voted in favor it," Dana Douglas, attorney for the Diaz family, told CNN.

The mother "wants people to demonstrate and make their voices heard, but peacefully. She's not going to stop until there is justice for her son's dead and fair treatment for all the people of Anaheim," said Douglas.

When Huizar spoke at the council meeting, she was interrupted by a person who yelled, "You are a bad mother!" This caused commotion as the man who shouted the comment immediately left the meeting.

Diaz's family filed a $50 million lawsuit July 24 in Orange County Superior Court against the Anaheim police department and the officers involved in the shooting. According to Douglas, the money that Huizar recovers for the death of her son will be used to create a community center or some other facility in her son's name to benefit underserved children in the community.

A day after Diaz's death, police killed another man, Joel Acevedo, 21, after a brief pursuit that involved Acevedo allegedly opening fire on police. The violence sparked outrage within the community and a series of protests aimed at the police. On July 24, hundreds of demonstrators flooded the streets of downtown Anaheim vandalizing shops, including smashing the windows of a Starbucks and looting apparel from retailers at the Anaheim Towne Center mall.

The violence was at odds with how Anaheim is home to Disneyland, which markets itself as the "happiest place on Earth."

The American Civil Liberties Union also filed a lawsuit July 28 in Orange County Superior Court suing the city of Anaheim for violating the California Voting Rights Act by excluding the city's Latino community with the at-large process to elect city officials.

The suit seeks to change Anaheim's election policies by adopting districting to guarantee diversity in representation.

Some Anaheim residents at Wednesday's meeting said the change needs to start with the police department in order to rebuild the relationship between the city and its residents.

"I would like for the officers to be more patient, not to be so scared. Just because of one man, doesn't mean that everybody's the same," said Anaheim resident Perla Castillo. "There's people that are nice, that are hard workers and if there's riots and stuff it's because they don't have answers."

Other Latino residents at the meeting expressed their support for the actions of the police department.

"I really think that the community needs to look at themselves," said Anaheim resident Alexandra Araiza. "And realize that their kids might be the problem."

Anaheim police officers have shot seven people, killing five, since January 1 and said the shootings are a result of the increase in gang-related crime in the last year. Mayor Tait said he asked the U.S. Attorney's office in Los Angeles to investigate the Diaz and Acevedo shootings, but said the city would not tolerate unlawful protests.

Meanwhile, more than 17,000 Orange County residents signed a petition that was delivered July 30 to the California attorney general's office and seeks a state investigation of the Anaheim police in the wake of the fatal shootings, according to Presente.org, a national Latino advocacy group that collected the petition signatures.

"We're trying to do the best we can in the neighborhoods that are controlled by gangs," said Anaheim Police Chief John Welter. "We don't want to be seen as law enforcement to come in and just do nothing but be an occupying army of a neighborhood.

"We want to have a good relationship with our residents so that they can do more about helping us stop the crime before it occurs."

@highlight

Anaheim City Council says no to a ballot measure about creating election districts

@highlight

Latino leaders ask police to tone down use of force and seek a seat on council

@highlight

Mother of man killed by officer sues police for $50 million

@highlight

Anaheim is home to Disneyland, "the happiest place on Earth"