(CNN) -- Reports of sex assault in the U.S. military are up by half, another startling annual figure around a problem the Pentagon believes is still under-reported.

But the Defense Department said the sharp year-over-year increase for fiscal 2013 largely reflected steps to encourage more people to come forward if they've been assaulted.

And Pentagon leaders acknowledged they've still got a long way to go, and have put special emphasis on getting male victims to file claims.

"The best way to combat this crime is to prevent it," Defense Secretary Chuck Hagel said after his department released the latest figures in a report.

The numbers break out this way: There were 5,061 sex assault reports in the 2013 fiscal year, which ended last September 30. That represents a 50% increase from the same period the year before.

There is no indication the spike was due to an overall increase in actual incidents, officials said.

Hagel said victims of sexual assault are "not only human beings, they are fellow soldiers, sailors and Marines. We cannot let them down."

The issue received heightened attention from the Obama administration and Congress after last year's report also showed a troubling jump in reported sex assaults.

A serious problem

Rep. Niki Tsongas, co-chair of the Military Sexual Assault Prevention Caucus and the top Democrat on the House Armed Services Subcommittee for Oversight and Investigations, said the figures continue to indicate a serious problem.

"The rise in reporting is encouraging, possibly signaling that legislative and military changes from recent years are having a positive impact," she said in a statement.

But Tsongas added better reporting and other steps to address the issue "does not obviate the simple fact that these heinous crimes continue to occur at an alarming rate, to both men and women."

Sex assault in the military has become a major concern for the Pentagon.

Senate clears military sex assault prosecution bill

An anonymous survey from 2012 found that nearly 26,000 service members said they were the victim of an incident of sexual assault or unwanted sexual contact. But only a fraction actually filed a report.

Issue involves generals, too

President Barack Obama demanded the military brass "leave no stone overturned" in efforts to prevent abuse.

Directives from this year's report include calls to advance and sustain an appropriate culture within the military to report incidents as well as increased efforts to evaluate commander training in dealing with the issue.

There have been several instances in which senior officers, including generals, have been accused or charged with a variety of actions that constitute sexual assault. Some actually oversaw programs that sought to combat sexual assault.

The report also calls for a review of alcohol policies and highlights an effort to improve levels of reporting for male victims, long thought to be an under-reported demographic.

According to military law, sexual assault is defined as intentional sexual contact characterized by use of force, threats, intimidation, or abuse of authority or when the victim does not or cannot consent.

Tougher action in Congress fell short

It also includes categories of sexual offenses that include rape, sexual assault, aggravated sexual contact, abusive sexual contact, forcible sodomy, or attempts to commit these acts.

The issue also generated outrage in Congress, which approved reform measures last year that included a provision preventing commanders from overturning convictions.

The Senate sought to take things further, approving legislation this year imposing modest reforms to strengthen prosecution. But proponents of tougher action were disappointed the chamber rejected a proposal that would have altered the way crimes like sex assault and rape are handled.

Survivors of military sex assault frustrated with legislation

@highlight

The latest annual figures compiled by the Pentagon show a 50 percent increase in reports

@highlight

The Pentagon says the surge indicates more people willing to come forward

@highlight

NEW: There were 5,061 sex assault reports for the 2013 fiscal year

@highlight

NEW: Defense Secretary Chuck Hagel said the best way to combat sex assault "is to prevent it."