Beijing (CNN) -- In China online popularity can sometimes spell trouble.

Charles Xue realized that recently when he was arrested in Beijing on charges of soliciting prostitutes. Xue's supporters claim he is being singled out because of his online activities.

Xue, 60, is a Chinese-American businessman and blogger, whose regular musings about issues such as corruption and political reform have made him hugely popular -- he has more than 12 million followers on Sina Weibo, China's Twitter-like micro-blogging site.

But he has also caught the attention of authorities.

His arrest, prominently reported in state-run media, is widely seen by Chinese netizens as part of a government crackdown on the spread of rumors on the Internet.

On Friday, another well-known microblogger was reported to have been detained. Dong Rubin was being held on charges of mis-stating his company's registered capital, according to a statement from his lawyer reported by the South China Morning Post.

China has more Internet users than any other country, with more than 500 million people online, and an estimated 300 million microblog users. Although the services are censored -- with sensitive terms blocked and posts deleted -- the speed with which information can be disseminated has proven a headache for Beijing.

While the microblogs have been used to disseminate false information such as extraterrestrial sightings, they have also become a forum for spreading news of scandals, protests and venting public anger at incidents such as the 2011 Wenzhou bullet train crash, when the response from authorities was heavily criticized online. After that incident, which focused public opinion against authorities, a senior Beijing official visited the headquarters of Sina and urged the Internet firm to curb the spread of "false information."

Counting re-tweets

Since then the authorities have even quantified what constitutes such a crime.

"Internet users who share false information that is defamatory or harms the national interest face up to three years in prison if their posts are viewed 5,000 times or forwarded 500 times, under a judicial interpretation released on Monday," the state-run Xinhua News Agency reported this week.

If a netizen posts a single message deemed as slanderous, for instance, and it's viewed more than 5,000 times, or re-tweeted or shared more than 500 times, it may be considered as a "serious case" punishable under China's libel law.

The authorities have not been slow to take action. Last month Beijing police closed down an Internet marketing company and arrested four of its employees for publishing posts attacking Lei Feng, a "selfless" People's Liberation Army soldier who became the subject of an official propaganda campaign after his death more than four decades ago. The police said the company, Erma, has long used salacious and provocative posts about public figures and institutions to "rock" the Internet and drive traffic to certain sites, the South China Morning Post reported.

Earlier this year, journalist Liu Hu was arrested after publicly accusing a senior official of negligence. Prior to his detention, Liu used his real Weibo account to make repeated allegations against Ma Zhengqi, deputy director of the State Administration for Industry and Commerce and former vice-mayor of Chongqing, a bustling metropolis in southwest China.

The police have said only that Liu was suspected of fabricating and spreading rumors.

Persecution

According to Nicholas Bequelin, a senior researcher with Human Rights Watch, China's state media may say the campaign is aimed at combating fraud, hoaxes and defamation, but in reality "it is more a political persecution of critics of the party and the government."

But why the crackdown now?

It is prompted in large part by the uncertainty caused by China's slowing economic growth and by the current leadership transition in China, said Jeremy Goldkorn, founder and editor of Danwei, a China-focused blog and media research firm.

"These factors have caused the party to return to the Leninist tactic of stepping up information controls, and to the Maoist practice of asking 'who are our enemies?' and 'who are our friends?' which is why some social media personalities now find themselves in trouble," he said.

Shaping opinions

Another factor is that China's massive Internet-savvy population consists mostly of young people who go online for online games, e-commerce and social networking. Each day, tens of millions of people use micro-blogging services such as Weibo to share information. Among them are celebrity bloggers like Xueâ€” business tycoons, movie stars, writers and commentatorsâ€” who have millions of "followers," giving them enormous influence in shaping the opinions of such a large and mobile population -- a real worry for the Beijing government anxious to avoid an erosion of its control.

As a result -- no doubt influenced by the online whistle blowers exposing official malfeasance -- the new administration of President Xi Jinping is pursuing an anti-corruption campaign, vowing to target those who put the party and state in jeopardy.

"Xi was forced to accelerate the drive by a steady drum beat of Internet revelations that forced the regime to sack and try a series of mid-level officials to demonstrate to a deeply cynical public that it was willing to act against rampant corruption and arrogance of power," said Andrew Wedeman, author of "Double Paradox: Rapid Growth and Rising Corruption in China."

"The contradictory response to the media, bloggers and whistle blowers reflects the regime's fear that it might be losing control of the campaign," Wedeman said. "It cannot afford to let the Internet keep driving the campaign. It cannot lose control over the choice of targets."

Internet regulation

Yet even advocates for change accept not all accusations made online are accurate.

"You have a need to regulate the Internet," said Bequelin. "There are a lot of unsavory things happening in China, such as unscrupulous PR companies mounting campaigns against another company just to offer their service to put an end to it. But the best disinfectant is sunlight. If you have a free press, then these rumors just get dragged out naturally."

Because many Chinese citizens do not trust the state-run media to expose any wrongdoings of the party, Bequelin said, they turn to Weibo.

Meantime, the authorities are trying to assuage concerns that the drive against rumor-mongering could muzzle legitimate whistleblowers.

A recent Xinhua report quoted Sun Jungong, a spokesman for China's Supreme Court, pledging that "netizens who help expose corruption online will not face charges, even if their posts are not 100% accurate."

Still, the campaign may be intimidating some bloggers.

"When posting on Weibo, some bloggers joke about it by adding words like 'be kind to me, don't forward more than 500 times'," said a Chinese journalist who requested anonymity. "Others are having fun forwarding nonsensical messages, press releases or Weibo postings from government accounts more than 500 times."

"At some point, the government will need to declare victory and pull back," said Wedeman, a professor at University of Nebraska-Lincoln who has focused on the issue of corruption in China.

"So long as it cannot control the flow of rumors and charges on the Internet, it cannot begin to draw the campaign to a close without looking like it is sweeping things under the rug."

@highlight

Chinese government involved in crackdown on the spread of rumors on the Internet

@highlight

They are targeting sharing of false information that is defamatory or harms national interest

@highlight

Bloggers, users with huge numbers of followers, influence under the official spotlight

@highlight

Critics believe the crackdown is a politically-motivated campaign against free speech