Washington (CNN) -- President Barack Obama said Thursday his plan to improve America's education system includes charter schools, intense teacher education and parent involvement.

"Now, I know some argue that during a recession, we should focus solely on economic issues ... but education is an economic issue, if not the economic issue, of our time," Obama said at the National Urban League's 100th Anniversary Convention in Washington. "We've tolerated a status quo where America lags behind other nations."

On the issue of higher education, he noted that America used to be first and is now 12th globally when it comes to college graduation rates. Middle-schoolers continue to fall behind in math and science, and the income gap continues to widen between white and African-American students, he said.

"It's essential that we put a college degree that's in reach of everyone (who) wants it," he said, adding that the college graduation rate needs to increase by 2020.

He also noted that the federal government has increased scholarships and other loan money to achieve that goal, "so young people don't graduate like Michelle and me with such big loan payments every month," he noted to an applauding audience.

Obama said his administration wants to reform and strengthen historically black colleges and universities, but "even if we do all this good stuff for higher education, too many of our children see college as a distant dream because their education went off the rails long before they turned 18," he said.

He said he is challenging states to offer better early learning options so children can enter kindergarten ready to learn.

"Knowing colors, knowing shapes ... knowing how to sit still. You gotta learn that, especially when you're a boy," he said smiling.

He acknowledged heavy criticism from civil rights groups about the education reform plans.

"Part (of the criticism) reflects a general resistance to change....the status quo is not working," he said. "We're lifting up quality for all our children... You can't win grants unless you've got a plan to ...deal with schools that have been forgotten."

The Obama education plan champions better teacher pay, but also asks for tangible results. He noted that his sister is a teacher.

"I'm here because of great teachers," he said. "Teachers are the single most important factor in a child's education from moment they step into the classroom. I want higher salaries. I want more support. I want them to be trained like the professionals they  are... with rigorous residencies like doctors go through.

"I don't want talented young people to say, 'I'd love to teach, but I can't afford it.' Instead of a culture where we're always idolizing sports starts and celebrities, I want some teachers on the covers on some of those magazines," he said.

The president has demanded accountability in his plan.

"As we applaud teachers for their hard work, we need to make sure we're seeing results in the classroom," he said. "Let's work with teachers to become more effective."

If that doesn't work, Obama said officials need to find the right teacher for that classroom. "Our goal isn't to fire or to admonish teachers, it's to provide accountability."

Obama noted that the administration's Race to the Top program has sparked 32 states to reform their education laws "before we even spent a dime," he said. "In each round we've leveraged change across the country ... sown the seeds of achievement."

He said the program is different from the No Child Left Behind reform that he said caused states to lower standards.

"They are now raising those standards back up partly because of Race to the Top," he noted.

Obama said sometimes a school's problems are so deep, they need a complete overhaul.

He said he's challenging states to turn around 5,000 of the lowest-performing schools, and $4 billion has been earmarked for those schools. "It's not about labeling a troubled school as a failure, it's about investing in that school's future."

"In some cases that means restarting the school under different management as a charter school," he said. "Some people don't like charter schools ... but I want to give states and school districts the chance to try new things. If charter schools doesn't work, we'll hold it accountable and shut it down."

Obama called Race to the Top "the single most ambitious, meaningful reform effort we've attempted in this country in generations. We won't see results overnight. ... It may take a decade for these changes to pay off."

The last ingredient to Obama's education reform effort is parent involvement. But the president said children should take responsibility for their education, too.

"Parents are going to have to get more involved in their children's education," he said. "Our kids need to understand nobody's gonna hand them a future. Education isn't something you just tip your head and they pour it in your ear. You've got to want it."

Obama acknowledged that some families are dealing with unemployment, substance abuse and violence.

"I know the character of America's young people. I saw them volunteer on my campaign ... ask questions in town hall meetings and ... write me letters."

Race to the Top is funded under the American Recovery and Reinvestment Act to reward states for aggressively reforming their education systems. The $4.35 billion is being awarded in two phases.

Tennessee and Delaware were the only two states to receive funds in the first round of the competition.  Eighteen states and the District of Columbia were selected as finalists this week to receive more than $3 billion in the second round of funding for the program.

The second-round finalists will travel to Washington in early August to present their plans to the reviewers who scored their applications, according to the Education Department. The winners will be announced in September.

Not all of the finalists, however, will be awarded grants from the nearly $3.4 billion remaining in program, Education Secretary Arne Duncan said, adding that Obama has requested $1.35 billion for the program in the administration's fiscal 2011 budget.

Tennessee received nearly $501 million, allowing the state and all 136 school districts to move forward in implementing comprehensive school reform plans over the next four years. Delaware has received about $100 million.

The two states earned high marks for the commitment to reform from elected officials, teacher's union leaders and business leaders. Federal education officials said Delaware and Tennessee also have aggressive plans to improve teacher and principal evaluation and turn around their lowest-performing schools. In addition, both states have put in place strong laws and policies to support their reform efforts.

@highlight

NEW: Obama says charter schools, teacher education and parent involvement are key

@highlight

The Race to the Top program rewards states for aggressive education reform

@highlight

NEW: Obama says states have already begun to raise their education standards