(CNN) -- It's not news that the national debt presents a daunting challenge. The public debt is growing faster than the economy, a trend that cannot be sustained.

Even more immediately, at years' end we will face a $7 trillion fiscal cliffâ€”a series of policies will kick in, from the blunt, across the board spending cuts (or sequester) to the expiration of the tax cuts that would reduce spending and raise taxes so abruptly and mindlessly it would put us back into recession. But ignoring and waiving the policies instead would add additional trillions to the debt and set us up for a fiscal crisis.

A fiscal cliff or a mountain of debt. It will require presidential leadership to avoid either threat. While the likely approach will be to replace the slated policies with a gradual debt reduction plan that would bring the deficit down and leave the debt so that it is no longer growing faster than the economy, there are many different ways to achieve this -- all with pros and cons -- and many specifics that need to be filled in.

However, the tendency during campaigns, of course, is for politicians to talk about what they promise not to do, rather than own up to the tougher decisions their stewardship would require.

Instead of allowing the presidential candidates to duck and bob to avoid specifically saying how they would stem the flow of red ink, what if voters insisted that all presidential candidates directly answer the question, "how would you fix the debt?"

Quite simply, candidates should not even apply for the job of running the country if they aren't willing to share the details of their approach for fixing the debt.

We should devote one of the three presidential debates to the topic of how, specifically, each candidate would change the budget, cut spending, and reform entitlement programs and the tax system to fix the debt. Candidates must debate the debt, not duck it.

At the debate, each candidate would present a detailed plan of his preferred approach for reducing the deficit. Any plan should save at least $4-6 trillion over the next decade -- the amount most experts have pegged as the minimum needed to stabilize the debt -- or at the very least, a candidate should explain why his plan achieves any less.

Both President Barack Obama and Gov. Mitt Romney would have a lot of fleshing out of their plans to do before this debate.

Thus far, the president has only offered much smaller plans which are best described as a first step towards dealing with the problem rather than a full-blown plan, while Romney has offered a plan that could get control of the debt but with the bulk of the specifics on the spending cuts and tax breaks he would reduce, left blank, thus leaving none of the critical details filled in.

In the debate, the candidates would be led through a discussion of their proposals on defense, domestic spending cuts, reforms to Social Security, Medicare, and other entitlement programs, and taxes, and make the case for their specific proposals.

The plans could be scored by outside experts ahead of time so that fuzzy math wouldn't even enter the discussion. No avoiding the question, no magic asterisks, no talking about the fun parts, like lower tax rates or new investments, without the real work of detailing how they would pay for them. Voters would see beneath the hoods and assess the trade-offs of the different approaches.

Certainly, either plan would not be the final word when one of the men becomes president, since it will go though many changes to achieve congressional support. But it would be the start of the conversation.

It is unimaginable then that we should be asked to choose a candidate without knowing how they would serve as the country's fiscal stewards during what experts have called the most predictable and most avoidable, economic crisis in history. And with so many difficult choices to be made quickly after the election, the notion that there will be some kind of mandate for how to proceed if the candidates haven't addressed this issue head on is both highly optimistic and dangerous.

The stage afforded by the fall debates is the most viable possibility for compelling the candidates to answer these tough but necessary questions. It's what they call an adult conversation, and we should give it a try.

The opinions expressed in this commentary are solely those of Maya MacGuineas.

@highlight

Maya MacGuineas says public debt growing faster than economy; this can't be sustained

@highlight

She says soon U.S. faces a $7 trillion cliff as fiscal policies kick in that could spark recession

@highlight

She says candidates should be compelled in a debate to outline plans on cutting debt

@highlight

MacGuineas: Voters can't be expected to choose without specific, fact-checked proposal