(CNN) -- Tonight, Tuesday, June 5, as the sun set on the East Coast, the planet Venus began its "transit" across the face of the sun. Pay close attention: Barring a miracle of future medicine, this is your only chance to witness such a crossing. The next one will take place in 2117.

That's because the transit of Venus is basically an eclipse, just like when the moon passes across the face of the sun. It requires a close alignment of the sun, Venus and Earth. The moon is not nearly as large as Venus but it is so close to Earth that its disk covers nearly the entire solar disk. Venus, on the other hand, is so far away that it appears as a small black dot covering about 3% of the solar disk.

Venus orbits the sun every 226 Earth-days, compared to our 365 days, so the two planets sort of pass each other relatively often. But their orbits lie in slightly canted planes, so the alignment needed for an eclipse happens only once a century or so.

Nearly 500 years ago, Johannes Kepler figured out the orbits of the planets. He understood that Venus was 30% closer to the sun than Earth, and that Mars was 50% more distant. But he didn't know how to measure the distance from any planet to the sun.

A century after Kepler, Edmund Halley, of comet fame, proposed measuring the distance from Earth to the sun using a series of observations of the transit of Venus from widely separated points on Earth.

Halley did not live to measure the next transit of Venus, in 1761, but others mounted worldwide expeditions that did the trick. The best measurements of that transit were made by Jeremiah Dixon and Charles Mason, of Mason-Dixon-line fame. Today, we can measure interplanetary distances far more accurately than the transit method allows, though amateurs can still contribute their measurements using an app from Astronomers Without Borders. As for the specialness of the transit, well, it's rarer than passages of Mr. Halley's famous comet.

The transit of Venus can't be observed with the Hubble Space Telescope because the extreme brightness of the sun would destroy the telescope and its instruments. But astronomers have figured out a clever way for Hubble to "observe" the effects of the transit on the light from the sun: by looking at the moon. The moon "shines" in reflected sunlight, so it is basically a weak mirror that is safe for Hubble to observe.

The reason astronomers want to observe reflected sunlight during the transit of Venus is to test whether they can detect the faint imprint of passage of the sun's light through the atmosphere of Venus. They have used similar observations of more distant stars to find "exoplanets" (planets orbiting stars other than the sun) and in a few rare cases, to measure characteristics of the exoplanet atmospheres.

The goal of the Hubble observations is to find signs of life and/or habitability, such as water or carbon dioxide in the atmosphere. Hubble will focus its cameras on the moon for the full six hours of the transit of Venus. So the transit of Venus is now being used to help us learn about other Solar Systems.

Venus is the second closest planet to the sun, after Mercury; Earth is third; Mars is fourth. That means only Mercury and Venus (and our moon) can cause eclipses from a vantage point on the Earth. But if we lived on Jupiter, Earth and Mars could also be seen (rarely!) transiting across the sun.

Here is the poor man's way to "see" the transit of the Earth across the sun: look with the Hubble Space Telescope at Jupiter in 2014, to see the reflected light of the sun from Jupiter's surface. (The light falling on Jupiter, and being reflected from there, is what we would see if we lived on Jupiter. The sun is too bright for Hubble to observe directly.)

Those Hubble measurements would reveal whether signs of life on Earth -- signs of us! -- are detectable in starlight as a planet with an atmosphere transits across the star.

Drake Deming, professor at the University of Maryland, points out that Earth can be seen transiting the sun from many vantage points throughout our galaxy. If there is intelligent life out there, maybe it is looking for signs of life on Earth from such transits.

You may have witnessed the last transit of Venus in 2004. But the one before that was visible only to your great-great-grandparents, on December 6, 1882.

As William Harkness (1837-1903), then director of the U.S. Naval Observatory, said on the eve of the 1882 transit: "There will be no other transits of Venus 'til the 21st century of our era has dawned upon the Earth. When the last transit occurred the intellectual world was awakening from the slumber of ages, and that wondrous scientific activity, which has led to our present advanced knowledge, was just beginning. What will be the state of science when the next transit season arrives God only knows. Not even our children's children will live to take part in the astronomy of that day."

You are in that day, another age of wondrous scientific activity. What will the world of your great-great grandchildren be like in 2117?

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Meg Urry says we should take the chance to view Venus' transit

@highlight

The alignment needed for the event happens only once a century or so

@highlight

The next one will take place in 2117, she says