(CNN) -- For 13-year-old Brandon Marti, the intranasal vaccine felt "good," "cold" and "watery" at the Children's Hospital at Montefiore in the Bronx, New York, on Tuesday.

Brandon Marti, 13, receives a dose of the intranasal vaccine for the novel H1N1 flu Tuesday.

Marti, among the first to get vaccinated against the novel H1N1 influenza virus this week, said he would tell his friends and classmates that "the swine flu vaccine is good, and protects me from getting the swine flu."

New York has received a shipment of 68,000 doses of the FluMist variety vaccine. This form was made available before the injectable kind because it was ready first, said Thomas Skinner, spokesperson for the Centers for Disease Control and Prevention.

As states across the country receive and distribute the vaccine, questions still linger about who should get it and why. Here are some guidelines:

Where is the vaccine?

The campaign to inoculate millions of Americans against H1N1 flu began Monday. Every state is developing a vaccine delivery plan, according to the CDC.  How much do you know about H1N1? Take our quiz. »

All states in the United States have ordered vaccine, said Dr. Thomas Frieden, director of the CDC, at a briefing Tuesday. Each Friday, the CDC will provide information about how much vaccine is available to states and how much has been ordered. So far, about 2.2 million doses out of the available 2.4 million have been ordered, he said. Learn more from your state.

The vaccine is being made available as soon as it comes off the production line, Frieden said. This week the intranasal mist variety, called FluMist, became available, and next week the injectable form will made available, he said. iReport.com: Are you getting the H1N1 vaccine?

Frieden acknowledged that these first few weeks will be "bumpy" in terms of distributing the vaccine, and that demand is currently greater than supply. However, he expects that supply will soon outstrip demand.

"It will take some time to get the whole system, from the manufacturer through the distributor to the providers and to people who want to get vaccinated, up and running," he said.

Who should get it?

The CDC recommends that specific groups of people get vaccinated first, but there are no rankings within the priority groups, Frieden said.

The nasal spray version of the vaccine should be used only in people 2 to 49 and who do not have an underlying health problem, Frieden said. The priority groups for it include health care workers, children and people who care for infants, he said. Pregnant women should not have the FluMist version because it contains the live virus.  Kathleen Sebelius and CNN's Dr. Sanjay Gupta discuss H1N1 vaccine »

Ashley Marti, 9, sister of Brandon, also got her H1N1 vaccination Tuesday.

Health care and emergency medical services personnel should be in the priority group because vulnerable patients could potentially contract the flu from them, the CDC said. Already, infections among health care workers have been reported, and the health care system capacity could become significantly lowered if large numbers of these workers are absent, the CDC said.

Once the injectable shot becomes available, all priority groups should be vaccinated, the CDC said. These include pregnant women, because they are at higher risk of complications and may be able to provide protection to unvaccinated infants. People from 6 months to 24 years old should also receive the vaccine, and people from 25 to 64 should get it they have a chronic health disorder or a compromised immune system, the CDC said.

According to a CNN/Opinion Corp. poll in late August, two-thirds of Americans said they plan to be vaccinated against H1N1 flu.

Does anyone have to get it?

There are no formal penalties for those who do not get the vaccine, but people in the military are required to receive it, according to the American Forces Press Service. The state government of New York has said that health care workers must get the vaccine, although no law outlines penalties for noncompliance. Still, some workers fear they'll lose their jobs if they don't get vaccinated.

How many doses do you need?

For people 10 and older, the U.S. Food and Drug Administration has approved the use of one dose of the vaccine. For children 9 and younger, two doses may be required, Frieden said. The CDC recommends that three to four weeks pass between the first and second dose.

What if the virus mutates?

Nathan Stein, 7, participated in a clinical trial for the H1N1 vaccine over the summer.

The virus has not changed much since the spring, Frieden said. In fact, the part of the virus that determines whether it's very deadly is different from the part that determines whether the vaccine will fight against it, he said, meaning that vaccination will still most likely offer protection even if the H1N1 flu becomes more deadly.

Why should you get it?

Frieden said the flu can range from mild to severe. It can make a person sick for one, two or three days, leading to absence from school or work, and some people may even need hospitalization. "Tragically, some people may die from it," he said. Still, it is not a disease that sends a lot of people to the hospital, he said.

The vaccine is also safe, Frieden said. The novel flu vaccine is made in the same production facilities by the same companies with the same methods as the seasonal flu vaccine, and it is the same kind of vaccine that has been given each year, he said. His own children will get it, as will the families of other public health experts, he said.

Some people are concerned that it is too late to get vaccinated against the novel virus, but Frieden also dismissed this.

"It's too soon to say it's too late because we don't know what the rest of the season will bring," he said.

CNN's Elizabeth Cohen contributed to this report.

@highlight

CDC: About 2.2 million doses out of the available 2.4 million have been ordered

@highlight

Intranasal spray version of vaccine should be given to people 2 to 49

@highlight

Pregnant women and children younger than 2 should not get the FluMist version

@highlight

iReport.com: Are you getting the H1N1 vaccine?