(CNN) -- The oohs and aahs of the Independence Day holiday will be more subdued this year in Texas, where months of severe drought have led to restrictions on fireworks across much of the state.

Not only are dozens of counties imposing restrictions on small-bore pyrotechnics like firecrackers and bottle rockets, but cities such as San Antonio, Austin, Amarillo and Lubbock have canceled municipal Fourth of July displays because of the tinderbox conditions.

"Temperatures are in the triple digits, and we're not seeing any relief," Chris Angerer, deputy chief of operations for the Lubbock fire department, said Thursday. Wildfires have already reached into the city limits and destroyed three homes, and months without significant rain have left grasslands brown and dry, looking "like the dead of winter."

Canceling the fireworks shows is "causing a little bit of a stir," said fire engineer Deborah Foster, a San Antonio fire spokeswoman. "But it's for the protection of the people of San Antonio. One errant spark and we could have a major grass fire."

Why there's no messing with Texas

Wildfires have scorched nearly 3.3 million acres of Texas since November, setting ablaze an area larger than Connecticut. Authorities have banned outdoor fires in 235 of the state's 254 counties, a figure the Texas Forest Service called record-setting.

Firefighters battle to contain Texas wildfires

Texas is the worst-hit of several states in a band of severe drought that stretches from Arizona to Florida. More than 90% of the state is suffering from "extreme" or "exceptional" drought conditions, according to the U.S. Drought Monitor at the University of Nebraska at Lincoln.

The "exceptional" category -- the most severe -- covers 72% of the state, according to figures published Thursday. Only a small patch of northeast Texas, from roughly Fort Worth to the Oklahoma state line, has seen anything close to normal rainfall, the Nebraska service reports.

On Louis Grissom's farm in the Panhandle town of Seminole, the cotton is stunted and the peanut plants are undersized. Grissom and his fellow farmers are bracing for losses and making preparations to sell off livestock. "Miles of pasture" where cattle used to graze has been scorched, and one fire in early June left more than 300 cows dead, he said.

"Our cotton, we can't even water it," Grissom said. "Our money crop is peanuts. It's taking all the water we can pump just to irrigate our peanut crop, and our peanut crop is not even growing as fast as normal." At the beginning of the planting season, "the water just wouldn't wet the ground, it was so dry."

The U.S. Department of Agriculture on Wednesday declared disasters in 213 Texas counties due to the drought, along with seven parishes in neighboring Louisiana. The move comes after a loss of pasture, grain and forage crops of more than 30% in the affected district and opens the door to federal support for farmers.

The Texas agricultural extension service estimates that state farmers have suffered $62 million in losses, including buildings, crops, livestock -- even more than 4,100 miles of fences, which can cost $10,000 per mile to build, lost to fires.

Authorities in Arizona and New Mexico have also been battling extensive wildfires, including one near Los Alamos, New Mexico, home to one of the U.S. nuclear laboratories that produced the atomic bomb. That fire has scorched more than 70,000 acres of land, but firefighters reported some success in limiting its spread Wednesday night.

Firefighters scramble to contain blaze near nuclear lab

In the West Texas oil towns of Midland and Odessa, water is getting to be as valuable as crude oil. Reservoirs managed by the Colorado River Municipal Water District are running dry, forcing the cities to impose new restrictions on water use.

The district has cut Midland's water allocation by 20% this year, and the city's biggest water source, the O.H. Ivie Reservoir, is projected to run dry by December 2012 if current conditions continue, municipal spokeswoman Tasa Watts said.

"At this point, that's the hand we've been dealt," Watts told CNN.

Effective Friday, residents can water lawns only twice a week, between dusk and midmorning. About 60% of Midland's water use goes to outdoor irrigation, Watts said. Violations carry a fine of up to $500.

In addition, residents are barred from refilling swimming pools, and restaurants will serve water to customers only upon request, she said.

This year's drought is part of a long-term trend dating back to the mid-1990s, but 2011 "has been one of the worst that we've had in this period," said Tom Spencer, head of the Predictive Services Department of the Texas Forest Service. The period from October 2010 through May is one of the three driest since 1895, he said.

"Any rain would be good for temporary relief," Spencer said. "But right now, we need a weather pattern change or some tropical storms or tropical events to break this drought. More than likely it's not going to happen until after the summer."

In April, Gov. Rick Perry called on "Texans of all faiths and traditions" to pray for rain. But the state remains parched -- and though Tropical Storm Arlene came ashore in eastern Mexico on Thursday, the storm is unlikely to help, Spencer said.

"There's a high-pressure system on top of us, steering rain events around the state," Spencer said.

For Grissom, that means cotton yields of maybe one-fifth what he grew a few years ago and not enough hay for his cows. With harvest time barely three months away, he and his fellow farmers are running out of time.

"God's in control. I hope that he'll see fit that we get some rain," he said.

CNN's Dave Alsup contributed to this report.

@highlight

A record-breaking drought has gripped more than 90% of Texas

@highlight

Wildfires have scorched nearly 3.3 million Texas acres since November

@highlight

"Temperatures are in the triple digits, and we're not seeing any relief," fire official says

@highlight

Cities are imposing water restrictions as reservoirs run dry