(CNN) -- Authenticity has become one of those buzzwords that we love to hate. Like many other words that have met a similar fate after being co-opted, misused, and overused, authenticity entered the popular lexicon because it tapped into something powerful in our culture.

Having spent the past decade studying human behavior and the thoughts and emotions that drive it, I would guess that the concept of authenticity tapped into our yearning for more genuine and sincere connection and for less manipulation and pretending. It doesn't matter if we're talking about politics, work, school, family life, or our kids' soccer games -- we've grown tired of being hustled.

Watch Brené Brown's TED Talk: Listening to shame

Unfortunately, hustling didn't fall out of favor the same way the word authenticity did, leading me to believe that a conversation about what it really means to be authentic could be helpful. I think the conversation is more important than the buzzword issue. And I don't buy the criticism that if you have to talk about authenticity, you're not being authentic.

To me, that's a lot like saying, "If you have to ask how much it costs, you can't afford it." Well, the folks I know who have lots of money always ask how much something costs before they buy it. The fear of being perceived as unable to afford the new shoes is what gets us into trouble. The same is true with this conversation -- fear keeps us silent, but I don't see a lot of evidence that not talking about authenticity has given us much clarity about what it means to stop pretending, pleasing, and performing.

TED.com: Thandie Newton on "embracing otherness"

Before I started doing my research, I always thought of people as being either authentic or inauthentic. Authenticity was simply a quality that you had or that you were lacking. I think that's the way most of us use the term: "He's a very authentic person." But as I started immersing myself in the research, I realized that like many desirable ways of being, authenticity is not something we have or don't have. It's a practice -- a conscious choice of how we want to live.

Authenticity is actually a collection of choices, choices that we make every day. It's the choice to show up and be real. The choice to be honest. The choice to let our true selves be seen.

Some people consciously practice being authentic, and some people don't, and then there are the rest of us who are authentic on some days and not so authentic on other days. Trust me, even though I know plenty about authenticity and it's something I work toward, if I'm feeling too vulnerable or I've been trapped in a shame spiral of "never good enough," I can sell myself out in a second and be anybody you need me to be.

TED.com: Brené Brown on the power of vulnerability

Given the magnitude of the task at hand -- to be authentic in a culture that teaches us that being imperfect is synonymous with being inadequate -- I decided to use my research to better understand the anatomy of authenticity.

What emerged from the data as the most powerful elements of building authenticity were understanding that authenticity is a choice and a practice -- having the courage to be vulnerable, and engaging with the world from a place of worthiness rather than a place of shame or "never enough."

When I started thinking about what it really means to practice authenticity, I realized that choosing "being real" over "being liked" is all about playing it unsafe. It means stepping out of our comfort zone. And believe me, as someone who has stepped out on many occasions, you're likely to get knocked around when you're wandering through new territory.

TED.com: The Web's secret stories

It's easy to attack and criticize someone while he or she is taking a risk -- voicing an unpopular opinion, or sharing a new creation with the world, or trying something new that he or she hasn't quite mastered. Cruelty is cheap and rampant -- especially when you attack and criticize anonymously, as technology and the Internet allow so many people to do these days.

If you're like me, practicing authenticity can be a daunting choice -- there's risk involved in putting your true self out in the world. But I believe there's even more risk in hiding yourself and your gifts from the world. Our unexpressed ideas, opinions, and contributions don't just go away. They are likely to fester inside and eat away at our sense of worthiness.

However afraid we are of change, the question that we must ultimately answer is this: What's the greater risk? Letting go of what people think, or letting go of how I feel and what I believe and who I am? e. e. cummings wrote, "To be nobody but yourself in a world which is doing its best, night and day, to make you everybody but yourself means to fight the hardest battle which any human being can fight and never stop fighting." I'm convinced that choosing authenticity is one of the most courageous battles that we'll ever fight.

The opinions expressed in this commentary are solely those of Brené Brown.

@highlight

Brené Brown says "authenticity" is a word that's out of favor, but it's key to a fulfilling life

@highlight

She says people who choose to express their real self risk criticism and shame

@highlight

Brown says there's more risk if we keep our selves bottled up, losing faith in our worth