(CNN) -- The World Heritage Committee has given Australia another year to prove it's doing enough to protect the Great Barrier Reef or suffer the humiliation of having it enter the list of sites in danger.

The country has been scrambling to ensure adequate measures are in place after a damning review of the reef's health and safety at the last committee meeting in 2013.

The World Heritage Committee said on Wednesday it is still concerned about planned coastal developments, including planned new ports and liquified natural gas facilities.

However, World Heritage Center director Kishore Rao said in a statement, "UNESCO is confident the overall direction towards next year's decision is a positive one."

Australian Environment Minister Greg Hunt declared the year delay "a positive outcome for Australia and we can be proud of our achievements in protecting the Great Barrier Reef World Heritage Area."

Rich in biodiversity

Stretching 2,000 kilometers down the coast of the state of Queensland, the Great Barrier Reef boasts the greatest biodiversity of any World Heritage Site.

It's home to hundreds of species of coral, fish, bird and mollusks, but also runs along a busy coastline lined with farms, towns and beaches that attract millions of tourists each year.

Conservationists say not enough is being done to protect the region from the burden of business interests, particularly a planned coal port at Abbot Point, near the city of Bowen.

"The first step must be to immediately ban the dumping of dredge spoil in the Great Barrier Reef World Heritage Area. Dredging and dumping for new port developments pollutes Reef waters, and the majority of Australians want to see an end to this outdated practice," said the World Wildlife Fund's Australia reef campaigner Richard Leck.

In a report released in April, UNESCO "noted with concern" proposals to dump three million cubic meters of dredge spoil inside the World Heritage area from the Abbot Point site.

It said it also "regrets" the approval for the dredge spoil to be dumped "prior to (the government) having undertaken a comprehensive assessment of alternative and potentially less impacting development and disposal options."

In a statement following the Committee's extension of the deadline on Wednesday, Minister Hunt defended the decision, saying the approval of the Abbot Point development "complied with Australia's obligations under the World Heritage Convention, was subject to rigorous environmental assessment and applied Australia's world-leading net benefit approach."

'Years of neglect'

The degradation of the Great Barrier Reef has been occurring for decades, according to scientific reports and anecdotal evidence.

In a speech on Tuesday in Washington, D.C., actor and director Leonardo DiCaprio declared he'd seen the "devastation" firsthand.

"What once had looked like an endless underwater utopia is now riddled with bleached coral reefs and massive dead zones," he said, comparing his experience diving on the Great Barrier Reef 20 years ago to a dive at the same location two years ago.

The same year, in 2012, the then environment minister Tony Burke admitted that years of neglect had contributed to a sharp drop in the reef's coral coverage.

"There's no doubt there's been a level of neglect for decades which if it had been dealt with otherwise we'd be in a much better situation now," Burke told the Australian Broadcasting Corporation, at the time.

He was responding to a report from the Australian Institute of Marine Science (AIMS) and the University of Wollongong that the reef had lost half of its coral cover in the last 27 years.

Most of the damage was inflicted by tropical cyclones, the report concluded, as well as coral predation by the crown-of-thorns starfish and coral bleaching, mostly caused by warmer water.

Battered by cyclones

Images released this week by the Catlin Seaview Survey show the devastating effects of Cyclone Ita, a category five tropical cyclone, which hit the region in April.

Before and after images show colorful coral snapped and flattened by waves whipped by fierce winds, which smash reefs, especially those not far from the surface.

"There is a myriad of increasing and cumulative impacts on the Great Barrier Reef. We can control impacts such as fishing, coastal development and marine debris. However we do not have the same control over storms and cyclones," said Ove Hoegh-Guidberg, Catlin Seaview Survey's chief scientist.

"Ensuring that our coral can bounce back from these disturbances is at the heart of the matter," he said.

The government says it's "absolutely committed" to protecting the Great Barrier Reef and is spending around $180 million dollars each year to improve the reef's health.

However, it remains to be seen whether it's enough to protect what the environment minister has in the past called a "vast and priceless ecosystem."

U.S. military jettisons bombs near Australia's Great Barrier Reef

'Game-changing' cameras capture beauty and fragility of reef life

@highlight

World Heritage Committee gives Australia another year to address issues with Great Barrier Reef

@highlight

Committee has warned it may be added to danger list

@highlight

Reef suffering effects of weather events, coastal development, crown-of-thorns starfish

@highlight

Boasts the greatest biodiversity of any World Heritage Site