The last few years haven't been kind to the private jet industry. A still-not-recovered global economy has meant a continued lull in the sales department, and many execs are wary of incurring the wrath of shareholders should they get caught cruising on a corporate jet.

The market is starting to find its footing, however, thanks in part to the innovations of a few savvy companies, who are working together to make private aviation faster, cheaper and more accessible.

According to WINGX Advance, a market intelligence provider for the aviation industry, the private jet industry (including fractional and whole ownership) was practically stagnant in the U.S. last year, and declined by nearly 4 percent in Europe.

By comparison, the charter business is soaring. Adam Twidell, the founder of PrivateFly, an online booking service that has done for the private jet industry what Expedia and Priceline did for commercial flights, has seen a yearly threefold growth since he launched his company in 2007. While third-party booking sites have become standard in the field of commercial aviation, in the private jet industry, PrivateFly is an innovator.

"When I really started looking around online, I couldn't believe there wasn't a way to book a private jet," says Twidell. He recognized a gap in the market, and his wife and partner, Carol Cork, sold her house to help him start a new company that would fill the gap. Though Twidell jokes that his "mother-in-law still isn't completely convinced it was a wise decision," PrivateFly has since become Europe's fastest growing aviation company.

The advantage to customers, he notes, is that they can compare prices of over 2,500 aircraft, either through the website or on the PrivateFly mobile app. They can also book a jet at practically a moment's notice.

"Our record to get somebody airborne from having their request submitted is 40 minutes," he notes.

Read more: Frequent flyer health tips

For the 700 operators that list their jets through the site, they can ensure their planes aren't sitting around, gathering dust and incurring parking fees.

"Essentially, it's a matchmaking exercise," says Twidell.

Making the connection between supply and demand less obscure has also helped bring down the price of private jets. For example, if an operator has an "empty leg," that is, they've flown someone one way and face a potentially empty cabin on the return flight, they can offer a discount for that leg of the journey. In this way, private flight has become more affordable, and more accessible, than ever before.

PrivateFly isn't the only company to take advantage of the empty leg. U.S. charter company JetSuite posts several empty leg sales daily (they dub these "SuiteDeals") via Facebook and Twitter. These range from $499 to $1,499 for one leg of a journey on either a Phenom 100 (which seats up to four) or a CJ3 (which can seat six). That price is not per person; it's per aircraft.

"Some of those trips are silly, like Santa Monica to Van Nuys. But sometimes you can get an entire plane for $499 that flies from Los Angeles to New York, and you can split the price between four people," says JetSuite CEO Alex Wilcox. Granted, he notes, "that's a rarity."

JetSuite's clients have to buy into a membership (and these start at $50,000), but they get considerably more bang for their buck. The number of flight hours they use is subtracted from the total, and JetSuite says they charge half of what their competition might charge, around $3,000.

"A lot of our competitors are still caught up in the 1980s, when private jets were all about champagne and caviar. We don't serve food on board; we're just a time machine," says Wilcox, who was also a founding partner of JetBlue.

Read more: Economy class goes gourmet

Aside from cutting food, JetSuite saves money by offering more transparency in booking. Customers, for instance, can choose to land in airports with lower taxi landing fees -- a savings that is reflected in their total bill. It also opts for lighter, less expensive planes.

"We have an efficiency model," says Wilcox. "Not only does the Phelon 100 cost less, but it burns less gas. We're saving a ton of money on fuel and capital costs, and we pass those savings on."

Though their model may come across as rather austere for a luxury product, Wilcox notes it's more practical in the current climate.

"There's a stigma attached to a corporation having their own airplanes right now," he notes. "So a lot of companies are looking for alternative solutions. For guys who are afraid to use airplanes because their shareholders won't like it, they use us."

JumpJet, a private jet service that launched last October, is hoping to bring the price of bookings down even further, so they're on par with first- and business-class commercial flights. The company is still in the process of gathering members and plans to launch its first flights in May. Like JetSuite, JumpJet is a membership program, with plans starting at $2,350 per month (these include 10 U.S. domestic round trip flights of up to 3.5 hours). Unlike JetSuites, JumpJet doesn't own any planes. Rather, they purchase charters and allow members to divide the cost.

"We're not one jet, one customer, which is a tradition for the industry," notes Will Ashcroft, JumpJet's CEO. Instead, JumpJet will try and pair members who are heading to the same place at the same time on a single flight.

Read more: What women want: Hotels look to cater for more female business travelers

While not all JumpJet flights will be equivalent to a first-class ticket, for a long-haul flight, the prices can be about equivalent, especially when you take into account the time savings.

"Most people give up three to five hours a day flying commercial, and when you fly private you get this time back," says Ashcroft, referring to the hours saved avoiding security lines, bag checks and customs.

"Keeping that in mind, when you break down a coast-to-coast trip, it is $6,600 to fly JumpJet, versus $6,000 to fly first class with an airline. I'd take a private jet any day."

@highlight

Private jet sales were practically stagnant in the U.S. last year

@highlight

New charter businesses let customers compare prices and book flights on private jets

@highlight

The companies also help jet owners fill empty planes at lower prices

@highlight

Some service providers use membership fees and bring down prices of flights