(CNN) -- Before the thousands of passengers and crew of the snakebit Carnival Triumph debarked Friday, an investigation into what went wrong had already begun.

"We started the investigation right after we were notified Sunday" that the ship's engine room had caught fire, cutting all but generator power to the floating city, said Patrick Cuty, a senior marine investigator for the U.S. Coast Guard.

Initially, investigators got engineering schematics for the vessel from Carnival, Cuty told CNN.

Because the Carnival Triumph is a Bahamian-flagged vessel, the Bahamas Maritime Authority is the primary investigative agency, and will work with the Coast Guard and the National Transportation Safety Board.

Coast Guard investigators boarded the vessel Thursday as it headed to port to get passengers' accounts of what happened and how it was handled, he said.

Investigators have already pulled the voyage data recorder -- a device that records alarms, voice communications on the bridge, engine speed, navigation information and rudder angle, said Cuty. The probe will likely take eight to 12 months to complete, he said.

'Amazing' crew handled icky jobs on crippled cruise ship

Though the investigation into the cause of the fire in one of the ship's two engine rooms is just beginning, Cuty said it appears that the fire suppression worked as it was designed to do.

The engineer who was on watch at around dawn on Sunday saw the fire ignite over a video feed and immediately notified the bridge, Cuty said. "He saw the flash; that's what alerted him."

He continued, "Fire doors closed, the extinguishing systems worked, the fire was extinguished, it was kept closed as it is supposed to be so that the fire can cool down."

Lawsuit filed over 'floating hell' cruise

Based on an inspection Thursday of the engine room, the fire did not appear to have been large, Cuty said. "It was just a fire that was, apparently, in the right place."

Though the crew might have been able to restore power to the vessel by firing up the generators in the ship's other engine room, Cuty said the ship's engineers made the right call in not doing so.

"Really, the safe thing to do was to tow the vessel back into port rather than re-energize the power system that was damaged by fire," he said.

He said the listing ship was never in danger of exploding or of capsizing, as some passengers had feared. Fuel tanks are kept far from the engine rooms and the vessel, which began tilting when the power loss led its plane stabilizers to stop working, listed only about 5 degrees from the wind.

Cuty commended the ship's 1,086 crew members, saying they went to great lengths to meet passengers' needs -- including redirecting emergency power to certain parts of ship to provide occasional water and toilet service.

"The crew did an excellent job, from what we saw above and below decks and, over all I think, they accomplished their mission as far as safety goes: they brought everybody back safe."

Tears and big hugs as passengers reunite with families

Passengers, too, praised the crew. Many said they bent over backward to meet the needs of passengers, performing well even during unpleasant jobs such as cleaning the raw waste that had sloshed out of toilets.

"They served us with smiles, and served us in ways that are truly unthinkable, the things they had to do for us, yet they did it with smiles," said passenger Joy Dyer, wearing a Triumph bathrobe with "Float Trip 2013" scrawled on the back.

Investigators will look into passenger reports from previous cruises of the Triumph that noted "some mechanical issues," Cuty said. "They may be completely unrelated to this," he said.

Meanwhile, busloads of passengers departed Mobile on Friday for their homes.

Among the passengers arriving in Galveston, Texas, were Tony and Jenny Larocca of Lake Charles, Louisiana, on their first trip away from the kids -- a cruise that the husband got his wife for Christmas. Their souvenir? A bag of stinky clothes and a new appreciation for each other.

"There's no way I could have made it without him," Jenny Larocca said.

As the former passengers spoke, tugboats pulled the crippled Triumph to a Mobile, Alabama, shipyard for repair. The ship won't resume cruises until at least mid-April.

Opinion: My celebration trip on the Carnival Triumph: From joy to misery

Nightmare vacation

The Triumph's more than 3,100 passengers were in their third day of a planned four-day cruise from Galveston to Mexico when a fire in an engine room left it with no propulsion, adrift in the Gulf of Mexico.

The power outages put toilets out of order and the listing caused many of them to overflow, sending urine and feces sloshing across floors and down hallways.

Passengers reported long lines for food, shortages of fresh water and widespread boredom. Many passengers slept in hallways or outside to escape the odors and heat below decks.

Five things we've learned about cruising

Late Thursday, Carnival CEO Gerry Cahill apologized on behalf of the company. "We pride ourselves in providing our guests with a great vacation experience, and clearly we failed in this particular case," he told reporters before boarding the ship to apologize in person.

But for passenger Norma Reyes, it was too little too late.

"The hallways were toxic," said Reyes, who vowed never to go on another Carnival cruise. "Full of urine. It was horrible. If that ship caught on fire and they had not contained it, where would we be? Floating in the ocean or dead."

Others were more forgiving.

"They did a good job of managing expectations," Brett Klausman said. "The information that trickled out was probably well-thought-out to kind of keep people safe and calm."

Passengers Linda and Bill Byerly said their experience was different from that of passengers in the lower-level rooms. Their balcony room had ample fresh air.

Linda Byerly said she took dance classes offered by the crew and the couple spent much of their time "chilling."

"It was pretty slow," Bill Byerly agreed.

Opinion: The dirty secrets below decks

Fallout

Carnival has offered to give each passenger $500, a free flight home, a full refund for the trip and for most expenses incurred on board, as well as credit for another cruise.

Travelers have few options for compensation in these cases, other than what the cruise line is already offering, according to travel expert Jason Clampet of Skift.com, a travel website.

"The passengers on the ship aren't going to have a great deal of recourse when they get home," he said. Travel "insurance really doesn't cover this sort of thing. Their trip wasn't interrupted and they aren't incurring extra expenses ... so they can't be compensated that way."

But the resulting PR could hurt Carnival, he said.

"I think people will think twice about taking a cruise," Clampet said.

After a bad cruise, can you cruise into court?

Previous problems

The fire is at least the second problem for the ship since late January, when it had an issue with its propulsion system, according to a notice posted on the website of Carnival senior cruise director John Heald.

It's also not the first fire to disable one of the cruise line's ships.

In 2010, the Carnival cruise ship Splendor lost power after an engine room fire, leaving it adrift off Mexico's Pacific coast. The ship was towed to San Diego.

Opinion: How Carnival can clean up the PR mess

Leonara Chavez and David Zambrano were on the Splendor when it lost power in 2010. They said watching coverage of the Triumph passengers' ordeal was "like looking in a mirror."

"It's like deja vu," Chavez said.

She said they took the free cruise offered by Carnival after the 2010 debacle. Despite walking the halls of the ship recounting things that had happened, she said they were determined to enjoy the trip.

But what happened aboard the Triumph, she said, has sealed their decision when it comes to cruising: They won't be going again.

Why did the rescue take so long?

CNN's Sandra Endo, Rich Phillips, Martin Savidge, Chandler Friedman, Victor Blackwell, Tristan Smith, Joe Sutton, Mike Ahlers, Dave Alsup, Lateef Mungin, Steve Almasy, Katia Hetter and Marnie Hunter contributed to this report.

@highlight

Investigation began Sunday, right after the fire was reported

@highlight

Tugboats move Triumph to shipyard for repairs

@highlight

Passengers begin final trips home, happy for showers and toilets

@highlight

Most passengers praise crew for their efforts