(CNN) -- Liang Chao was a typical farmer's son who migrated to the city seeking a better life. He seemed to have found it in Shenzhen, a booming city in southern China, where he worked at Foxconn, a company better known for producing components for Apple, Dell, Hewlett-Packard and other companies.

But the 21-year-old worker was found dead on May 14 after falling from the seventh floor of a factory dormitory, according to local police.

Liang's death was the ninth in a spate of similar incidents in which Foxconn employees have fallen to their deaths from buildings. Shenzhen police are treating the cases as suicides.

Liu Kun, a spokesman for the Taiwanese-owned Foxconn, said: "According to the police, most of the nine employees were suffering from personal problems related to emotions or health."

A few days after Liang's death, another Foxconn employee died after falling from a building at the Shenzhen factory complex. In all, state-run media reports there have been 10 deaths and two failed suicide attempts over the past five months.

These incidents, widely reported by the Chinese media, have raised questions about the plight of migrant workers and the pressures they endure living and working in big cities.

Foxconn is one of the world's top electronics manufacturers. Of its 800,000 employees in China's mainland, 420,000 are in Shenzhen, where they work in shifts and live in the sprawling factory complex.

Right now, there are no concrete answers as to what drove the workers to commit suicide. Foxconn insists that its workers are treated well and there could be a number of factors at play. Liu said the company is analyzing the mindset of their employees to try and get to the root of the problem.

"It's true our employees basically stay at the same place 24 hours a day, seven days a week," he said. "We also find some young employees don't know their roommates' names and don't communicate with each other. Some prefer recreational activities using mobile phones or computers instead of taking part in traditional pastimes. Many of our workers come from rural areas and to adjust to life in the city becomes another challenge to them."

China has witnessed dramatic changes since the late statesman Deng Xiaoping launched his reform and open-door program in 1978.

Over the past 30 years, in a population shift that resembles the 19th century Industrial Revolution in Europe, millions of farmers have moved away from the land into the cities. Some have found jobs in small towns, working in local industries that range from coal mining to poultry raising. Others have surged into cities such as Beijing, Shanghai and Shenzhen, where they take jobs in factories, shops and restaurants.

As of last year, an estimated 150 million farmers have moved from farming to non-farming jobs, joining what is called "liudong renkou," or floating population of rural migrants. This in-migration has helped lift more than 300 million Chinese out of abject poverty. It has also brought prosperity in the cities, where a robust middle class and a legion of millionaires have emerged.

But as with any radical change, China's reform has its losers as well as winners. The massive economic advance has produced unintended consequences, including growing income gaps and social malaise.

"We have a lot of very poor people and very few rich people," said Xu Haoyuan, a psychotherapist in Beijing. "There is a lot of resentment."

Many migrants, far from home and family, can also feel alienated and often don't have ready access to counseling, experts said. Foxconn said it is taking measures to improve its workers' lives, organizing recreational activities, calling in Buddhist monks to offer spiritual consolation and setting up a 24-hour help line.

Liu said the line's logs show it has helped prevent more than 30 suicides in the past month.

"Most cases involved emotional affairs, personal reasons or poverty of the family," Liu said. "Some got depressed because their supervisors scolded them."

Liu said the company was overwhelmed because counselors were scarce. "Foxconn has never seen anything like this in the past 20 years of operating in the mainland," he said.

Xu, who also teaches psychology in a privately run college in Beijing, attributes some of the behavior to societal changes in post-Mao China.

"When Western countries turned to the market economy, they still had a strong sense of religion and a strong belief system. Not in China. Over the centuries, this was stamped out. Chairman Mao dumped Confucius during the Cultural Revolution. After Mao died, people dumped his ideas. So the ideology is all messed up; there is no belief system out there. People behave badly."

Xu said that some people follow a new mantra. "It's 'rou ruo qiang shi' -- the weak are bound to be eaten by the strong," she said. "That's worse than 'survival of the fittest'."

Xu and social workers say that in some extreme cases, people can lash out and hurt themselves or others around them. They worry about the recent spate of bloody attacks on school children.

In rural Shaanxi on May 11, a 48-year-old man wielding a kitchen cleaver charged into a kindergarten and hacked to death seven children and two women. He then committed suicide. The incident followed several multiple killings in recent weeks -- five of them occurring at schools, taking the lives of 17 people, including 15 children.

In the first official reaction to the spate of school attacks, Premier Wen Jiabao told Hong Kong's Phoenix TV: "Aside from taking strong security measures, we must also strive to solve the underlying causes that led to these problems. We are making serious efforts in tackling social tensions, settling disputes and improving the government's ability to smooth things out."

Sociologists and psychologists are searching for answers. Some blame poor mental health care in China. According to a report from the Beijing Suicide Research and Prevention Center, China had 173 million adults suffering from mental illness in 2005, with some 91 percent of them -- about 158 million -- never receiving professional help.

"There are too few qualified professionals, even in big hospitals, and there is no community-based mental health counseling," Xu said. "People who are mentally ill do not realize they are ill; their friends and relatives don't know, so when they act up, everybody is surprised."

As with the Foxconn employee deaths, Xu said the attacks against students could indicate that people with problems may feel they have nowhere to turn for help.

May Lam, assistant professor of psychiatry at the University of Hong Kong, agreed that finding an outlet for concerns can be difficult.

"In China, it's highly controlled and people might have difficulty expressing their views," Lam said. "Demonstrations are not encouraged so people find it difficult to find channels to lodge their complaints and air their views and grievances,"

@highlight

String of apparent suicides has occurred at Taiwanese-owned Foxconn plant

@highlight

No concrete answers yet as to what may have motivated the workers

@highlight

Workers, far from family, can feel alienated with nowhere to turn, experts say

@highlight

Company has called in monks to offer spiritual consolation and set up a help line