Editor's note: Since the FBI arrested a Brooklyn businessman in late July on federal charges of organ trafficking, CNN has been conducting a worldwide investigation into the sale of kidneys, using willing donors and willing recipients from China to Israel to the United States. This installment examines two very different stories of Israelis involved in the trade.

Yechezekel Nagauker in a Chinese hospital where he got a kidney transplant after paying $100,000.

TEL AVIV, Israel (CNN) -- In a dank Tel Aviv hospital room, you can see at a glance just how desperate some Israelis are for a new kidney.

In one bed, Ricki Shai's mother lies practically unresponsive. Her diabetes is slowly killing her. It has forced the amputation of both of her legs.

Sitting in a bed beside her is Shai's father, Yechezekel Nagauker, also a diabetic. But he decided, his daughter says, not to wait for a kidney donor.

"My father didn't want to be like my mother," Shai said.

In April, Nagauker cut a deal with a kidney broker, who promised him a new life and a new kidney for $100,000. It was available only in China, the donor said.

"The broker went to him and suggested that he become a new man. 'Come with me. Two days, $100,000, and two days you will be a new man,' " Shai said.

Today, Shai calls the broker "the killer."

Nagauker's body is rejecting the new kidney.

The family's story is one of several that have come to light in recent weeks as part of a worldwide CNN investigation into what appears to be a widespread black market in human organs, a network now being probed by authorities in Israel and the United States.

Nagauker went to China, where his daughter said he was taken to a rural hospital and given the kidney of an 18-year-old Chinese girl. Shai captured images on her cell phone of her father in what she described as a filthy hospital.

The surgery went poorly, and the girl who donated the kidney died shortly after surgery, Shai said.

"They gave her $5,000, and she died," she said.

The broker has yet to face any sanctions. Until just last year, the entire transaction was not only legal in Israel; some state-sponsored health insurance plans paid for transplants.

Before March 2008, Israeli law allowed citizens to go abroad for live organ transplants from non-related donors. Israeli investigators are looking intensively at illegal organ trafficking under the new law, the country's Health Ministry said.

Nancy Scheper-Hughes, who studies the organ trade, says Israel has become ground zero for both legal and illegal transactions. For years, she said, the very first treatment for anyone with kidney disease in Israel has been to find a new kidney rather than linger on official lists waiting for one.

"There's a belief, of course, that not only is transplant better than dialysis, but you want a living donor, because it's better than a kidney that was on ice or that was under a truck," said Scheper-Hughes, an anthropologist at the University of California at Berkeley and founder of the newsletter Organs Watch.

"Michael," a broker who insists that he operates legally but still wanted to keep his name and face a secret, said Israelis do not like to weaken their own. His mother, he said, needed a kidney and happily agreed to buy one in China rather than receiving a transplant from her own son.  Watch "Michael" on how he brokers kidney transplants »

The broker said he has arranged nearly 220 transplants. It has been relatively uncomplicated, he said.

Israel's 2008 law banning the strict brokering of kidneys for cash has made things trickier, Michael says. But if a patient arrives at his door with a donor claiming to be a relative, he can easily send them overseas with no questions asked.

But are they really relatives?

"I don't know," the broker said. "I don't care. I don't deal with that."

For her part, Shai says her family is "breaking." But she has no doubt that the organ broker her family used is still in business.

"We are paying the price," she said.

@highlight

Israeli man paid $100,000 to broker to get new kidney

@highlight

His body is rejecting kidney he received from 18 year-old in China

@highlight

CNN investigating what appears to be widespread black market in human organs