(CNN) -- Washington gubernatorial candidate Rob McKenna looks to help Republicans cross an important threshold while expanding their power at the top of state government nationally.

McKenna is locked in a competitive race in a state that hasn't had a Republican governor in nearly 30 years. It's just one example of how the party is leveraging trends and strengthening its hand in a number of ways in state races across the country.

If projections bear out and they grab four seats in addition to retaining the three they are defending, Republicans could hold the governorships of 30 states after Election Day, the most for them in nearly half a century.

Such an advantage would fortify their positions against Democratic policies, like "Obamacare," tax increases and government spending and give them enormous influence in Washington -- even if Mitt Romney doesn't win the White House.

"It does help Republicans policy wise if one party controls the majority of governorships," said Cook Political Report Senior Editor Jennifer Duffy.

2012 ballot initiatives: Voter-run or special interest-hijacked?

While the presidential campaign impacts state-wide candidates -- especially for increasing voter turnout -- races for governor can turn on more parochial issues.

Nowhere is that more apparent than in Washington state.

McKenna has deep roots in King County, the state's most populous. He is a former county councilman and has run and won statewide previously. His Democratic opponent, former U.S. Rep. Jay Inslee, is mostly experienced in congressional races.

But McKenna is tapping a sense of voter discontent with a string of Democrats, whose margin of support has been slim over the years.

"They've had Democratic governors since 1984 and there's a sense that voters are unhappy that despite promises, these governors haven't been able to change things," Duffy said, pointing out problems with education and the economy in the state.

A recent Elway Poll of likely voters showed McKenna with a 47% to 45% lead over Inslee, which was within the survey's margin of error.

While the fight remains tight in Washington state, Democrats might have to throw in the towel in North Carolina.

The Tar Heel State elected its first woman governor in Democrat Beverly Perdue in 2008 but she is retiring amid a campaign finance investigation. Charlotte Mayor Pat McCrory could become the first Republican governor since 1985 and only the third since 1901.

He leads comfortably in the polls against Democrat Lt. Gov. Walter Dalton.

"More than the investigation," Duffy said of Perdue, "you've got voters with buyer's remorse. The reason she isn't running again is she was behind in all the polls - there was no path to victory for her."

Key governor's races snapshots

Compiled by Adam Levy and Robert Yoon, CNN Political Research

Delaware

Gov. Jack Markell (D) vs. Jeff Cragg (R)

Democratic Gov. Jack Markell appears headed for a second term this November. Markell's Republican opponent is Jeff Cragg, a small business owner from Wilmington. Delaware has become an increasingly reliable Democratic state and with the defeat of former Rep. Mike Castle in the 2010 U.S. Senate primary, the state now has no Republicans in statewide elected office. Cragg is unlikely to change the GOP's fortunes, especially in a presidential election year with Vice President Joe Biden, a Delaware native, on the Democratic ticket.

Indiana

(Open seat) -- Gov. Mitch Daniels (R) is term-limited

Rep. Mike Pence (R) vs. John Gregg (D) vs. Rupert Boneham (Libertarian)

Six-term GOP Rep. Mike Pence mulled a 2012 presidential bid but opted instead to run for governor to replace term-limited Republican incumbent Mitch Daniels. His Democratic opponent is John Gregg, the former Indiana House speaker. Pence's years in Congress and on the Sunday talk show circuit, as well as his brief foray in near-presidential politics, have given him a relatively high profile for a state candidate. That, plus Indiana's Republican-friendly state voting trends, gives him a leg up over Gregg. Republicans control the governorship, both U.S. Senate seats and a majority of U.S. House seats.

Missouri

Gov. Jay Nixon (D) vs. Dave Spence (R)

Democrat Jay Nixon hopes to become the first Missouri governor re-elected to a second term since the late Mel Carnahan in 1996. The Republican nominee is Dave Spence, a businessman who has been spending personal funds on the campaign. Nixon won the governorship in 2008 with a comfortable 58.4%, but Missouri voters have proven to be fickle at the ballot box, especially for state office. Since the 1970s, Republicans and Democrats have traded control of the governorship six times. Though a long-time swing state, Missouri has voted Republican in the last three presidential elections. The Democratic incumbent appears to have a leg up in the home stretch.

Montana

(Open seat) -- Gov. Brian Schweitzer (D) is term-limited

Steve Bullock (D) vs. Fmr. Rep. Rick Hill (R)

The race to replace outgoing Democratic incumbent and frequent CNN contributor Brian Schweitzer is extremely competitive, but it's been overshadowed by Democratic Sen. Jon Tester's equally competitive U.S. Senate re-election contest. The Democratic nominee is Steve Bullock, the state attorney general. He faces Republican Rick Hill, a former congressman. Schweitzer leaves office with fairly high marks. He began October with a 61 % approval rating, which helps Bullock. But the state leans Republican overall.

New Hampshire

(Open seat) -- Gov. John Lynch (D) is retiring

Maggie Hassan (D) vs. Ovide Lamontagne (R)

As is the case in Montana, the race in New Hampshire to replace a popular outgoing Democratic governor has become one of the most competitive races. The Democratic nominee is Maggie Hassan, a former state senator. She faces Republican Ovide Lamontagne, an attorney and conservative activist who was the tea party's choice over Kelly Ayotte in the 2010 GOP U.S. Senate primary. He also was the GOP gubernatorial nominee in 1996, receiving 39.5% of the vote against Democrat Jeanne Shaheen. John Lynch leaves office with high marks, which helps Hassan. But polling on the gubernatorial race itself has been mixed, with Lamontagne leading in two October polls and Hassan leading in one. Both candidates were well below the 50 % mark in each poll. Democrats have controlled the governorship for all but two years since Shaheen's win in 1996.

North Dakota

Gov. Jack Dalrymple (R) vs. Ryan Taylor (D)

Incumbent Republican Jack Dalrymple seeks a full term in the office previously held by fellow Republican John Hoeven, who resigned in late 2010 after winning the U.S. Senate seat held by retiring Democrat Byron Dorgan. The Democratic nominee is Ryan Taylor, the state senate minority leader. Although there's a tight U.S. Senate in the state this year, Dalrymple appears to have all the advantages heading into November. Republicans have had a lock on the governorship since 1992.

Utah

Gov. Gary Herbert (R) vs. Peter Cooke (D)

Utah has not had a Democratic governor in almost 28 years and incumbent Republican Gary Herbert looks likely to continue that trend. Herbert took office in August 2009 when then-Gov. Jon Huntsman resigned to become U.S. Ambassador to China. He won a 2010 special election to complete the rest of Huntsman's term and received 64% of the vote over Peter Corroon, the mayor of Salt Lake County. His Democratic opponent is Peter Cooke, a businessman and retired two-star major general with the U.S. Army Reserves. Utah is solid Republican country, and Herbert is a safe bet for re-election.

Vermont

Gov. Peter Shumlin (D) vs. Randy Brock (R)

Election Night 2012 should be much less suspenseful for Democratic incumbent Peter Shumlin than it was two years ago. That year, Shumlin narrowly edged his Republican opponent, Brian Dubie, 49% to 48%. Under Vermont law, the state legislature decides the gubernatorial election if no candidate receives a majority of the vote. Shumlin officially won the election in January 2011, though Dubie conceded the race shortly after Election Day. This year, Shumlin is expected to win re-election easily. His Republican opponent is Randy Brock, a state senator.

West Virginia

Gov. Earl Ray Tomblin (D) vs. Bill Maloney (R)

If it feels like just a year ago when Democratic incumbent Earl Ray Tomblin ran against Republican businessman Bill Maloney for the West Virginia governorship, that's because it was. Tomblin took office in late 2010 after his Democratic predecessor Joe Manchin resigned to take over the late Robert Byrd's U.S. Senate seat. A year later, Tomblin won a special election to complete the rest of Manchin's term. He beat Maloney, 50% to 47%. Now, the two face off again for a full term. The major difference now is that 2012 is a presidential election year, and the shadow of President Barck Obama looms even larger over the race than it did a year ago. Republicans, as they did in 2011, hope to link Tomblin with the president, who is unpopular in the Mountain State.

@highlight

Republicans could gain four gubernatorial seats this year, crossing the 30-seat mark nationally

@highlight

Republican gains could help the GOP fight federal initiatives like health care reform

@highlight

Races in Washington and North Carolina could elect GOP governors for the first time since the 1980s