Got bottled water? Food? Sandbags? Batteries? Toilet paper?

Those are questions that millions of people in the mid-Atlantic and Northeast are asking themselves this weekend, as they prepare for Hurricane Sandy -- which has already proven to be a deadly storm and is threatening heartache, and headaches, as it creeps toward the region.

Local and state officials have joined meteorologists in trumpeting the storm's potential breadth and impact, especially if it collides with a cold front from the West to create a "superstorm" that stalls over the Eastern Seaboard for days.

Computer models predict portions of Delaware, Maryland and Virginia could see up to a foot of rain, according to the CNN Weather Unit. And even though it's still October, communities in and around the Appalachian Mountains could be socked by heavy snow.

A state-by-state breakdown of hurricane preparation efforts

Anne Hargrove, for one, has gotten the hint -- and, as evidenced by her fruitless trips Friday night to Northern Virginia supermarkets, pharmacies and big-box stores such as Walmart, so, too, have many of her neighbors. She found no C or D batteries and no small water bottles, but did come away with other essentials just in case the storm knocks out her electricity.

"Basically, I got (jugs of) water, toilet paper, paper towels, paper plates, paper cups, flashlights," Hargrove said Saturday in Alexandria. "The reason I did it last night was because I knew if I waited until today, I'd have to drive like 50 miles to find the place that still had it."

Sandy already disrupting transportation

The rush to stay ahead of the storm is something that Richard Heilman noticed, too, as he stood in front of empty shelves at his Ace Hardware store in the Virginia city.

If the emphatic warnings from officials weren't enough, fresh memories of recent long stretches without power over the past year or so -- including a devastating and deadly storm system this summer that left millions in the dark for about a week -- have spurred many to get out and not be caught flat-footed.

Keep a hurricane preparation checklist

"People are a little bit more, hey, maybe I should go get my batteries now instead of waiting until they're all gone," Heilman said.

For some, simply stocking up is not enough.

Residents of New Jersey's barrier islands, from Sandy Hook south to Cape May, were ordered to evacuate by Sunday afternoon, as were people at Atlantic City casinos.

"I would much rather people stay in their homes," said Gov. Chris Christie, who issued the order Saturday. "But the fact of the matter is, if we're looking at hurricane force winds on the barrier islands sustained for 24 hours or more,  it is simply unsafe for people to be there."

Carol Elliott said she was concerned, but won't be leaving her North Wildwood home -- because she doesn't have anywhere else to go.

Others, though, planned to abide by the order -- and keep their fingers crossed that Sandy doesn't prove to be as fierce as feared.

"I'm heeding the warning and we're going," Cheryl Nolan told CNN affiliate WKYW. "And I'm hoping that I have a house when I come back."

It won't be until late Sunday, and in some cases Monday, when the Category 1 hurricane makes its full impact known on the United States. But the storm, which Saturday night boasted 75 mph sustained winds that extend out 105 miles from its center, has already proved its might as it spun northward from the Caribbean.

Officials blame Sandy for at least 45 deaths. That figure includes 29 people in Haiti, with four more reported missing, Civil Protection spokesman Joseph Edgard Celestin said. Another 16 people were reported dead in Cuba, Jamaica, Panama, the Dominican Republic and Puerto Rico.

While locales as far south as Charleston, South Carolina, got drenched, strong winds and pelting rains lashed North Carolina's Outer Banks late Saturday afternoon. The National Weather Service estimates places such as Kill Devil Hills will get between 4 to 7 inches of rain over several days, though storm surges were a parallel and, in some places, more severe concern.

Farther south in Atlantic Beach, North Carolina, Jimmy Butts raised hurricane warning flags over his seaside bar Saturday.

"It's going to be a ... strong mullet blow, what we call here in the fall," Butts told CNN affiliate WSOC. "(There will) be a lot of rain and maybe 30, 40 mph winds."

'Superstorm' meets barnstorm as weather and politics collide

As of 11 p.m., Sandy was centered about 360 miles east-southeast of Charleston and 305 miles south of Cape Hatteras, North Carolina, according to the National Hurricane Center. Now heading northeast at a 14 mph rate, the storm is expected eventually to boomerang toward the shore and begin seriously impacting heavily populated areas Sunday.

Forecasters are still trying to pinpoint where it will its biggest impact when it finally does come entirely over land. Computer models show it striking somewhere along a roughly 700-mile stretch -- from North Carolina to as far north as Connecticut.

Its potential merger with the cold front could "energize this system" and make it more powerful, said Louis Uccellini, who is responsible for environmental prediction at the National Oceanic and Atmospheric Administration.

Such a scenario is not unlike the weather system that led to 1991's "Perfect Storm," when moisture flung north by Hurricane Grace combined with a high pressure system and a cold front to produce a tempest in the north Atlantic during Halloween. But Grace never made landfall.

Hurricane safety: When the lights go out

Anne Kennedy headed on Saturday to RFK Stadium, like many other Washington, D.C., residents, to fill up her car's trunk with sandbags that she'll pass onto her daughter, who has two babies at home. Amid all the frenzy, Kennedy said she's gotten the point.

"I just turned off the news," she said. "It's too much."

Some have resigned themselves to the fact that Mother Nature is in charge -- and that, whatever they do, it won't stop the wind, rain or storm surges.

"The most stressful thing is to stand in your house, watch the water come up, and there's nothing you can do," Norfolk, Virginia, resident Bill Sawyer told CNN affiliate WVEC.

"It's going to keep coming. And then you're stuck, because now you can't get out of your house."

Stay well-fed in any disaster

@highlight

Hurricane-force winds extend 105 miles out from Sandy's center

@highlight

The storm is responsible for at least 45 deaths in Caribbean, Central America

@highlight

The mid-Atlantic and Northeast could see flooding, high winds, major power outages

@highlight

People are stocking up on essentials and sandbags in preparation of the storm