(CNN) -- The Supreme Court on Monday will rule on a politically-charged Obamacare appeal involving a requirement that certain, for-profit businesses provide contraceptive coverage to their employees.

Can those employers avoid the requirement if they object on moral or religious grounds? Can they do so if they see this as a requirement that can -- in their view -- ultimately lead to abortion?

That's what the justices have weighed over several months. Here are five questions to consider in advance of their decision, which incidentally is the last of the term and should come down shortly after 10 a.m. ET.

1. How big is this case?

It's the most closely watched one this term. The legal and social pique may not reach the heights of two years ago when the justices narrowly preserved the Affordable Care Act and how it is paid for.

But the stakes are still large, and the decision could serve as a primer for other pending challenges to the health law championed by President Barack Obama and in play as a campaign issue this midterm season as Republicans seek to retake the Senate.

"This case isn't that practically important, except for the employees and businesses involved. There just aren't a huge number of those," said Thomas Goldstein, publisher of SCOTUSblog.com and a Washington appellate attorney.

"But everyone can agree the social questions presented-- about when people can follow their religious convictions, and when people are entitled to contraception care-- are truly important," he said.

2. What's the case about?

The court is zeroing in on part of the health care law that requires certain employers to offer insurance coverage for birth control and other reproductive health services without a copay -- even when the employers say doing so would violate their religious beliefs.

The decision actually stems from separate appeals filed by two companies, Conestoga Wood Specialties, a Pennsylvania cabinet maker, and Hobby Lobby, an Oklahoma-based retail giant. Conestoga employs about 1,000 people, while Hobby Lobby has roughly 13,000 workers.

Companies say it's wrong for the government to require they provide insurance coverage for, say, drugs that would be provided to prevent human embryos from being implanted in a woman's womb, which the business owners equate to abortion.

Under the law, companies that refuse to comply could be fined more than $1 million daily.

3. Who says what?

The White House and its allies say the requirement is "lawful and essential to women's health."

The Obama administration has defended it in court, and has already created rules exempting certain nonprofits and religiously-affiliated organizations, like churches, from the requirement. In those cases, women would receive coverage from another source at no cost.

Supporters of the law also fear a high court setback on the contraception mandate will lead to other healthcare challenges on religious grounds, such as do-not-resuscitate orders and vaccine coverage.

More broadly, many worry giving corporations religious freedom rights could affect laws on employment, safety, and civil rights.

Hundreds of advocates and demonstrators on both sides are expected to rally in front of the courthouse on Capitol Hill.

4. How will the court rule?

The justices have a good deal of discretion and could reach a "compromise" by interpreting the law narrowly.

Conservatives, in theory, have the five votes to strike or severely limit the contraception mandate.

But some on the bench may worry about the long term impact in overruling large parts of a law passed by Congress, and now being carried out in stages.

On the other hand, only one conservative justice who sides with the four more liberal members would be enough to give another huge legal boost to Obamacare.

Liberals in general have criticized the conservative majority high court for being overly sympathetic to business interests.

5. How did we get here?

This is the next chapter in the pitched legal fight over the Affordable Care Act that was approved by Congress in 2010 without any Republican support.

Obama and Democratic allies moved forward to help provide insurance coverage for tens of millions of Americans without it. So far, 9 million people have signed up for benefits since last October, but Republicans claim the program is too expensive and won't work.

The first lawsuits challenging the healthcare overhaul began just hours after Obama signed it into law.

The landmark June 2012 decision upheld key parts of Obamacare, ensuring that it would move forward just before the President's reelection.

Nearly 50 pending lawsuits have been filed in federal court from various corporations challenging the birth control coverage benefits. But the Supreme Court will have the final say on those with its decision on Monday.

A Mennonite family's fight over Obamacare reaches

Opinion: How Obamacare can reduce abortions

Court set to rule on Obamacare contraception mandate

Hobby Lobby: The beliefs behind the battle

@highlight

The justices will rule on Monday over the next challenge to Obamacare

@highlight

Should employers offer health coverage for contraception if they object on moral grounds?

@highlight

Companies appealing say doing so could ultimately lead to abortions, which they oppose

@highlight

The case isn't as big as two years ago, but it does have political implications