(CNN) -- As the Olympic flame burned above Sochi on Tuesday evening, a scene of mayhem and death exploded a few hundred miles away in the Ukrainian capital, Kiev, where blazes roared and violent clashes erupted along protesters' barricades.

At least 100 people were killed just on Thursday and hundreds more hospitalized in confrontations pitting government forces against demonstrators opposed to a regime that has strong support from President Vladimir Putin's Russia. It was the deadliest day in the three months since the showdown started.

Between the two spectacles, you can bet Putin's attention focused more sharply on the crisis in Ukraine, which is officially an independent country since 1991 but in reality remains a state over which Moscow exercises enormous influence, infuriating much of Ukraine's population.

At the heart of the battle lies a fundamental question: Is Ukraine a free nation or is it a piece of Moscow -- a piece on Putin's chessboard? The more immediate question is how far the Moscow-backed regime will go to put down opposition protests.

As it happens, both Sochi and Ukraine play a large role in Putin's strategy. To Putin, staging a successful Olympics is a way to consolidate power, to build up his image for domestic and international audiences, and to show a resurgent, self-assured and powerful Russia under his rule.

What happens in Ukraine is part of the same larger objective, but it is far more important.

Ukraine has experienced much bloodshed throughout its history, with foreign powers inflicting unspeakable devastation. Since the collapse of the Soviet Union, it has struggled to get back on its feet, with little success.

A decade ago, pro-Western demonstrators managed to depose a Moscow-allied president, Viktor Yanukovich, and replace him with a new leader who wanted closer ties to the West. That uprising, known as the Orange Revolution, was part of a wave of "color revolutions" along Russia's borders, and it inspired protests in Russia, which Putin swiftly put down.

The most recent crisis burst on the scene in November when Yanukovich (once again in power after his 1995 defeat) decided not to sign a trade deal with the European Union, an agreement that would have increased links with the West and was fiercely opposed by Moscow. Russia wants the former Soviet republics to join a Moscow-centered customs union.

The decision to turn away from Europe enraged the opposition, bringing hundreds of thousands of people to the streets of Kiev and other Ukrainian cities.

Protesters were incensed by what they saw, quite correctly, as acquiescence to Russian bullying. In August, when Ukrainian officials were negotiating the EU's Eastern Partnership agreement, Moscow made it clear it would not tolerate a turn to the West.

Russia, Ukraine's principal trading partner, suddenly imposed crippling sanctions against Ukrainian imports. Putin's top economic adviser explained it as "preventive measures" in case Ukraine decided to "take the suicidal step" of signing an agreement with the EU.

Moscow has used similar bullying tactics with other former USSR members. Armenia had spent years working on a deal to join the EU Eastern Partnership. Then abruptly in September, while pressure was coming down on Ukraine, the Armenian president met with Putin in Moscow and announced the end of the talks with Europe, triggering protests in the Armenian capital.

For Ukrainians, the EU deal symbolized a new future, the chance of economic and political modernization and rule of law. Europe required reforms as part of the deal. The Russian customs union cements the status quo.

Putin offered Yanukovich $15 billion in loans to help the country through its economic crisis. He also persuaded him to take a much harder line against protesters. The Ukrainian president had repeatedly pledged not to use force against protesters. According to The New York Times, he changed his mind after meeting with Putin in Sochi.

Ukrainians have long been divided between easterners, who favor close ties with Russia, and westerners, who feel more European. But persistent economic stagnation and the ability to travel abroad and compare conditions have brought new impetus to calls for reform.

The Ukrainian economy is mired in deep corruption, with Russia-style oligarchs making enormous fortunes in shady deals -- such as those allegedly made ahead of the Sochi Olympics -- while the economy fails to offer better prospects. Transparency International ranks Ukraine as one of the world's most corrupt countries.

Next door in Poland, for example, which is now part of the EU, per capita income has grown steadily, now topping $18,000, up about 50% in the last decade. Ukraine, meanwhile, has per capita gross domestic product of $6,300, even lower than it was five years ago.

Perhaps nothing rankles Ukrainians more than Putin's attitude toward their country. In 2008, when then-President Viktor Yushchenko tried to join NATO, Putin warned the West to keep its hands off Ukraine, calling it "Little Russia," a term dating back to the days when Imperial Russia's czars ruled parts of Ukraine. A Russian newspaper reported that Putin told then-U.S. President George W. Bush that "Ukraine is not even a state."

What started as protests over a trade deal has moved far beyond. Demonstrators demand constitutional reform. Demonstrations aim at ending the authoritarianism of the Yanukovich regime, empowering parliament and laying the groundwork for political and economic progress.

Unfortunately, the protests have attracted a segment of thuggish extreme right-wing groups. Estimates vary on their size and strength within the opposition. But their presence has given the regime and its Russian backers an excuse to label the protesters as fascists and neo-Nazis.

In predictable fashion, Russia has also blamed the United States for the turmoil, accusing Washington of trying to impose the "Western vector" of development and of telling "a sovereign state what they should do next."

The United States is, in fact, expressing support for the protesters, but it is proposing a power-sharing government until the next elections. If anything, Washington and the EU have failed to offer as much backing as they should. Their disagreements have been aired publicly in embarrassing leaked recordings -- although they are not verified.

Their reluctance to challenge Putin's geopolitical claim to controlling Ukraine is a source of profound frustration for Ukrainians who say they are being sacrificed to appease Putin.

Opposition leaders have met with Western officials to request more support.

What is most striking about the protests has been their perseverance through the brutal Ukrainian winter. Three months into the crisis, with the intensity of the violence and the bloodshed increasing, Putin has reason to worry about how this will end.

Just as he wants the Sochi Olympics to show what his Russia is capable of accomplishing, he knows the Russian people are keeping an eye on what exactly Ukrainian protesters can achieve. The raging flames of Kiev now matter more than the carefully tended fire in Sochi.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: New Russia on display in Sochi, but the old one is showing its face in Ukraine

@highlight

Ghitis: Putin has called Ukraine "Little Russia" and wants it to turn away from the West

@highlight

Ghitis: Protesters enraged by seeing their leaders' knuckle under Russia's bullying

@highlight

As demonstrators refuse to stop, she says, Putin should be worried they might prevail