(CNN) -- The Federal Communications Commission on Tuesday approved "high-level rules of the road" designed to ensure that internet providers grant everyone equal access to the Web.

But the 3-2 vote immediately came under attack from both flanks, with internet-freedom advocates saying the new rules don't go far enough and critics saying the government should stay out of online business altogether.

In announcing the proposed rules this month, FCC Chairman Julius Genachowski said they would require high-speed internet providers to treat all types of Web content equally.

The rules are designed to, in effect, keep the companies that own the internet's real-world infrastructure from slowing down some types of websites or apps -- say, those belonging to a competitor -- or speeding up others for high-paying clients.

For average internet users, the vote affects whether government will guarantee they'll continue to have access to all Web content, regardless of their internet provider's wishes, and whether they'll get that content as quickly as businesses or individuals able to pay more for it.

The commission's agenda said the vote addressed "basic rules of the road to preserve the open internet as a platform for innovation, investment, competition and free expression."

Web freedom advocates argue the vote doesn't do that.

Commissioner Michael Copps, a Democrat, signed off on the rules but called them only a "first step in the right direction."

"In my book, today's action could have, and should have, gone further," he said. "Going as far as I would have liked was, however, not in the cards."

For example, he said, the rules won't absolutely prevent broadband providers from "pay for priority" -- giving faster service to those able to pay for it, or to one favored business over another.

Instead, the regulations say those practices "generally violate" nondiscrimination rules.

The vote was along party lines, with the commission's three Democrats voting to "concur" with the rules and its two Republicans voting against them.

Commissioner Robert McDowell, a Republican, called the vote a "radical step" and said it puts the FCC "on a collision course" with the courts, which he predicted will throw the rules out.

"The FCC is not Congress," he said. "We cannot make laws."

Republicans have largely argued the government has no right to interfere with business practices online.

McDowell said "nothing is broken in the internet-access market that needs fixing."

President Barack Obama, in a written statement, called the rules an important part of his administration's goal of advancing "American innovation, economic growth and job creation."

"Today's decision will help preserve the free and open nature of the Internet while encouraging innovation, protecting consumer choice, and defending free speech," Obama said.

As a candidate, Obama pledged to support open-internet policies.

Although the commission approved the rules, Congress could still act to amend or weaken them. Members of the House and Senate, from both sides of the aisle, have expressed concerns for different reasons.

Internet proposal sets off political firestorm

Lawmakers already are considering legislation that would, in effect, repeal the rules. And at least one is threatening to cut off funding to the FCC to implement  the rules.

The proposal also doesn't set the same set of rules for mobile communications as it does for Web-based ones. So, the rules protecting information on a home computer might not keep the same data free on a mobile phone.

Sen. Al Franken, a Minnesota Democrat and one of Congress' most vocal net-neutrality advocates, calls the issue "the most important free-speech issue of our time."

In a column Monday for The Huffington Post, Franken said some of the current proposal's language could actually weaken protections.

"(T)his Tuesday, when the FCC meets to discuss this badly flawed proposal, I'll be watching," he wrote. "If they approve it as is, I'll be outraged. And you should be, too."

Copps, however, said that "if vigilantly and vigorously implemented by the commission -- and if upheld by the courts -- it could represent an important milestone in the ongoing struggle to safeguard the awesome opportunity-creating power of the open internet."

Genachowski, the FCC chairman argued that currently there are no rules governing internet freedom and that the regulations strike a balance between the two extremes of opinion. He also noted they include new rules for mobile that address some critics' concerns.

He called the policies "high-level rules of the road" and called internet freedom an ongoing issue for the commission.

@highlight

FCC approves open-internet "neutrality" plan, with complaints from both sides

@highlight

Plan is designed to keep people who pay from getting better Web service than others

@highlight

Congress could still act to amend or weaken rules