(CNN) -- He was born into poverty, became wealthy via the stock exchange, suffered the suicides of both his parents, and would ultimately end his own life on the golf course that bears his legacy.

The life of Clifford Roberts was remarkable tale, a man who -- in a rags-to-riches ode to the American Dream -- rose from farm boy to the position of advisor for the American president via his role as creator of one of the most iconic golf courses in the world.

As chairman of The Masters, Roberts would become legend, but the story of his life was one filled with twists and turns and which, ultimately, ended in tragedy on the banks of Augusta National's par-three course in September 1977.

A triumph over adversity

"Cliff managed to rise above the tragedy of his parents. He was a land man and he traveled across the country, approaching farmers and buying their land for drilling rights," said Curt Sampson, author of "The Masters: Golf, Money and Power."

"He made a real success and moved to New York, where he got into stock brokerage and proved himself highly skilled in the art of ingratiating himself to people with money. He was as skilled with stocks and he was with 'the schmooze'."

It was in New York that Roberts befriended legendary amateur golfer Bobby Jones, who in 1930 completed the unique feat of a calendar Grand Slam, by winning the U.S. Open, British Open, U.S. Amateur and British Amateur.

Jones had retired from golf aged just 28, with his celebrity at an all-time high. He sought money and sanctuary, and together with Roberts conceived the idea of building an ultra-exclusive club in the more temperate south where monied New Yorkers could head for retreat and rounds of golf in the sun.

Building a national treasure

Augusta, Georgia, was familiar to both men. Roberts had completed his First World War training at the town's Camp Hancock facility, while Jones had a house nearby.

Roberts raised $70,000 to buy a pre-Civil War, 365-acre Indigo plantation, and the pair invited British designer Dr. Alister Mackenzie to set out a golf course .

"They built it for a dime, and got all their labor and materials for practically nothing," said Sampson.

"When they finished they declared bankruptcy, reorganized and gave themselves a new name."

The big sell

Augusta was ready in just 124 days, but it took a lot longer to sell the prospect to an America in the grips of recession.

"Thanks to the Depression, the duo (Roberts and Jones) failed to attract many early takers, and the club teetered on the brink of bankruptcy for years," wrote Cameron Morfit, in Golf Magazine.

In 1933, Roberts invited a group of wealthy business types to travel down from New York by train. He paid for everything, and the carts were stocked generously with prohibition-flaunting whisky.

But his greatest trick was launching the event that would put Augusta on the map.

A new kind of tournament

It started life as the Augusta National Invitational in 1934, before Roberts finally convinced Jones on a name befitting of the tournament's elitist home -- The Masters.

Jones came out of retirement to play, and Roberts was made chairman. He immediately set about putting his stamp on the event.

"He changed the locations of perimeter mounds to improve gallery viewing. He was the first to use a series of leader boards placed throughout the course. He also devised a system for showing the cumulative score of each player," the history of the Masters on the official web site reads.

Friends in high places

The Masters gave Roberts new influence. In 1948 he invited a five-star general named Dwight Eisenhower to visit Augusta.

Roberts would ultimately serve as Eisenhower's political and financial advisor, and -- according to Sampson's research -- help illegally distribute funds to the Republican party en route to his election as president in 1953.

"Their relationship is told through Eisenhower's oral history. Roberts is open about being a bag man, and carrying satchels of cash around to avoid paperwork and detection," Sampson said.

Iron fist in a velvet glove

The Jones-Roberts relationship was widely seen as "good cop, bad cop" partnership. Sampson called Roberts an "iron fist in a velvet glove", and the many stories of Roberts ruthless pursuit of perfection at the course attests to this.

"He (Roberts) hated to see a dead tree limb or anything out of place," said Carl Jackson, who'll caddy in his 50th Masters at the 2011 edition, in an interview with Golf.com.

"Almost every time I would see him he would wave for me. He would say, 'You go and you tell that goddamn greens superintendent that I'm out here on number 14 and to come out here this very minute.'"

There was the incident in 1948 that Roberts ejected Frank Stranahan from The Masters for hitting additional balls in a practice round. Stranahan claimed a conspiracy against him.

And the fierce control he kept over television broadcasters, from the moment The Masters went went live for the first time in 1956 with CBS persists in ethos to this day.

Barriers to entry

But the controversy that defined Roberts' reign at Augusta, was unquestionably the club's apparent reticence to embrace black players -- and black members.

The PGA of America dropped their Caucasian-only clause in 1961, but it was 14 years before Lee Elder became the first African American to compete at The Masters.

In the intervening years Charlie Sifford won twice on the PGA Tour, and applied time and again to be part of The Masters field. But to no avail.

Product of the different era

Augusta National under Roberts occasionally was frequently compared to the Plantation it was built on. The workers were black, the caddies were black, and they politely served the white folk who played and relaxed there.

But was it really any more than a reflection of the society at the time?

"I don't think Cliff was motivated by racial issues at all," Sampson said. He was simply a product of the time and his environment."

The legacy of Jones and Roberts

When Jones succumbed to a debilitating illness in 1971, Roberts assumed total control of Augusta, and of The Masters.

His would preside over their legacy for another five years, before terminal illness led him to end his life on the golf course that defined it. Typical of his ordered world, he had his haircut and attached the doctor's note to a letter for his wife before shooting himself.

A plaque was erected at the entrance to Augusta, and his legacy continues to be fiercely protected at every turn by the club that made him chairman in memoriam.

"Although he was a tough man, he was a person who was truly dedicated to golf and the quality and standards of the game," Arnold Palmer reflected.

"All of us in golf appreciate what he has done for the game," said Jack Nicklaus.

"From the time I met Clifford Roberts until his death, I never knew him to do anything that was not in the best interest of Augusta National. As a youngster [he] would ask me what I thought of something, and I would try to give him an answer. He would then research it, come back to me and say, 'Jack, we agree and we are going to fix that on the golf course.' Or, he would tell me why they didn't agree with me.

"He was just a fun-loving guy; a good guy. I love the story about the spoof he put on at one of the jamborees. They always said he could walk on water, and he rigged it so he could walk across the water at No. 16.. There was an age difference but we were good friends," Nicklaus told Golf.com

@highlight

Clifford Roberts was born in Morning Sun, Iowa, and suffered the suicides of both his parents

@highlight

Having served in the First World War, he became a successful banker on Wall Street

@highlight

Roberts and amateur golfer Bobby Jones conceived Augusta National Country Club

@highlight

The pair founded what would become The Masters in 1934, one of golf four majors