(CNN) -- Look at the goals Ivan Rosales has set for himself and you'll see an example of the American ambition that makes our nation great.

Ivan is a recent graduate of California State University in San Bernardino, and is about to start a master's program in bioethics at New York University. But that's just a steppingstone on his path, he hopes, to medical school, where he wants to study oncology.

Along the way, he'd also like to join the military and serve our country as an Army medic.

Sounds like a guy you'd want as your neighbor (or your doctor), right?

In America: Program granting work rights for childhood immigrants begins

Well, there's a catch: Ivan was born in Mexico and came to the United States when he was 8 months old. Although two older siblings were born here and are citizens, Ivan is an undocumented immigrant.

But the Obama administration saw that America was losing out when people like Ivan could not reach their full potential because of their immigration status.

The administration announced June 15 that it would consider requests for "deferred action" -- that is, a stay of deportation proceedings -- for young people who came to the United States before age 16, were 30 or younger as of June 15, have lived in the United States for at least five years, have graduated or are enrolled in school or were honorably discharged from the military, have stayed out of trouble and pass a background check.

Excitement has been building among eligible young people during the 60 days U.S. Citizenship and Immigration Services had to work out the details. The agency published the request forms Tuesday and is accepting requests starting Wednesday.

"Deferred action for childhood arrivals," as it is officially called, lifts the immediate threat of deportation proceedings from about 1 million aspiring citizens who see America as their only home. It does so at no cost to taxpayers; applicants must pay a $465 fee, which will cover the program's cost.

But it does more than that. It is the first step toward the creation of a new immigration process that recognizes the contributions of new Americans â€” whatever their provenance â€” to our country and our culture.

In Ivan's case, that means getting an education that allows him to treat people who are fighting America's No. 2 killer. He knows a few cancer survivors; he tells me he has known too many others who have died. Already as an undergraduate, Ivan did stem-cell research that could lead to new cancer treatments.

For the next two years, at least, Ivan will be able to work legally to help pay for graduate school. He can apply for internships and volunteer without worry.

What is most meaningful to Ivan? "I'll be able to have a valid ID," he tells me. "That's the most overwhelming thing. Even something that simple will give me a sense of actually belonging."

Ivan and his peers will be America's next generation of entrepreneurs and farm workers, engineers and assembly-line employees, inventors, nurses, teachers -- and doctors. If they aren't curing you, they might be hiring you, teaching your children or keeping food on your table.

They are good for America.

We are at our best when we encourage and reward hard work, not question it. We are at our strongest when we lift aspirations, not when we stifle them.

We also must treat this positive step as an initial accomplishment, not a final one.

As Ivan and other aspiring citizens move closer to achieving their dreams, all of us must come together and move Congress to pass a permanent road map to citizenship for all who pledge allegiance to our country.

Wednesday is a day of new promise, new confidence and new opportunity to preserve and strengthen the American dream â€” not just for Ivan but for all of us.

The opinions expressed in this commentary are solely those of Ali Noorani.

@highlight

Ali Noorani: To see the promise of immigrant ambition, look to the goals of Ivan Rosales

@highlight

He says Rosales came illegally as infant to U.S; a college grad, now wants to be oncologist

@highlight

He says Rosales can request stay of deportation under new Obama plan Wednesday

@highlight

Noorani: Step should be prelude to Congress passing reform that welcomes people like Rosales