Don't consider this a count-down to doomsday, but on February 15 an asteroid is going to come pretty close to Earth.

And this is only one of thousands of objects that are destined to one day enter our neighborhood in space.

"There are lots of asteroids that we're watching that we haven't yet ruled out an Earth impact, but all of them have an impact probability that is very, very low," Don Yeomans, manager of the Near-Earth Object Program Office at NASA's Jet Propulsion Laboratory, said at a press briefing.

This particular asteroid is called 2012 DA14. NASA scientists reiterated Thursday that people have nothing to worry about.

"No Earth impact is possible," Yeomans said.

The asteroid is thought to be 45 meters -- about half a football field -- long. It will come no closer than 17,100 miles from our planet's surface.

What would happen if the asteroid hit

An object the size of 2012 DA14 appears to hit Earth about once every 1,200 years, Yeomans said.

"There really hasn't been a close approach that we know about for an object of this size," Yeomans said.

On its close approach to Earth, the asteroid will be traveling at 7.8 kilometers per second, roughly eight times the speed of a bullet from a high-speed rifle, he said.

If it were to hit our planet -- which is, again, impossible -- it would collide with the energy of 2.4 megatons of TNT, Yeomans said. This is comparable to the event in Tunguska, Russia, in 1908. That asteroid entered the atmosphere and exploded, leveling trees over an area of 820 square miles -- about two-thirds the size of Rhode Island. Like that rock, 2012 DA14 would likely not leave a crater.

Here's a comforting thought: Meteorites enter the Earth's atmosphere all the time. About 100 tons of rocks come in from space every day, Yeomans said. They are mostly small, from the size of a grain of sand to the size of a human fist.

If you have a telescope at least a few inches in diameter, you would see it as a small point of light moving across the sky, said Timothy Spahr, director of the Minor Planet Center at the Harvard-Smithsonian Center for Astrophysics.

You'll have to be located in Eastern Europe, Asia or Australia for the best telescope-aided view, scientists said. It won't be visible to the naked eye.

More on the February 15 asteroid approach

What else is out there?

So, we know that this particular asteroid isn't going to hit us, but how about all of those other giant rocks floating nearby beyond our atmosphere?

NASA says 9,672 objects have been classified as Near Earth Objects, or NEOs, as of February 5. Near Earth Objects are comets or asteroids in orbits that allow them to enter Earth's neighborhood.

There's an important distinction between these objects: Comets are mostly water, ice and dust, while asteroids are mostly rock or metal. Both comets and asteroids have hit Earth in the past.

More than 1,300 Near Earth Objects have been classified as potentially hazardous to Earth, meaning that someday, they may come close or hit Earth. NASA is monitoring these objects and updating their locations as new information comes in. Right now, scientists aren't warning of any imminent threats.

Yeomans and colleagues are using telescopes on the ground and in space to nail down the precise orbit of objects that might threaten Earth and predict whether the planet could be hit.

Observatories around the world send their findings to the NASA-funded Minor Planet Center, which keeps a database of all known asteroids and comets in our solar system.

NASA also has a space probe tracking asteroids to learn more about them. The Dawn probe was launched in 2007 and has already sent back dramatic pictures from the giant asteroid Vesta.

The spacecraft is now heading to the dwarf planet Ceres. Vesta and Ceres are the two most massive objects in the main asteroid belt.

A new asteroid adventure in 2016

A mission that's scheduled to launch in 2016 will teach scientists even more about asteroids.

OSIRIS-REx will visit an asteroid called 1999 RQ36, take a sample of at least 2.1 ounces and bring it back to Earth.

"This is going to be the largest sample of an extraterrestrial object returned to Earth since end of the Apollo missions over 40 years ago," said Edward Beshore, deputy principal investigator for the mission, who is based at the University of Arizona, Tucson.

The probe will arrive at the asteroid in 2018, study it, then bring back the sample in 2023.

1999 RQ36 is made of materials "almost identical to those that were present when the solar system was formed about 4.5 billion years ago," he said. That means studying this asteroid could yield greater understanding about the sources of organic molecules and water that gave rise to life.

This asteroid, like the one that will fly by on February 15, is considered a near-Earth object. The mission would further clarify the threat that this particular object poses, and better predict the orbits of other near-Earth asteroids, Beshore said.

Scientists at the University of Arizona are collaborating with NASA and Lockheed Martin Space Systems on this mission.

To better predict the orbits of hazardous objects, this group is looking at the Yarkovsky effect, a force created when the asteroid absorbs sunlight and re-radiates it as heat.

The effect is, at first glance, quite small -- Beshore cited his colleague Steven Chesley's comparison of this effect to the force you feel when you hold grapes in your hand. But over time, it's an important consideration when trying to understand where an asteroid is headed.

"That force, applied over millions of years, can literally move mountains of rock around," Beshore said.

We can't say this enough: Don't panic over it.

More space and science news on CNN's Light Years blog

@highlight

Asteroid will fly by Earth on February 15

@highlight

NASA: 9,672 objects have been classified as Near Earth Objects

@highlight

The OSIRIS-REx mission will take a sample from a different asteroid and bring it back