(CNN) -- "All politics is local." That four-word statement, originally uttered by former Democratic House Speaker Tip O'Neill, is one of the favorite clichés of political pundits everywhere. But it's seldom respected when it matters most.

Consider, for instance, the special election in New York's 23rd Congressional District, which conservative Democrat Bill Owens won in spite of partisan and nonpartisan polling that had shown Conservative Party candidate Doug Hoffman with a solid lead.

Almost overnight, Hoffman became a sort of folk hero among conservative activists around the country, a decidedly ordinary-looking man who seemed poised to take an extraordinary path into Washington. Some 95 percent of his fundraising came from outside the district.

Hoffman, indeed, had some initial success. The original Republican nominee, Dede Scozzafava, dropped out of the race after polling showed her trailing both Hoffman and Owens. But when push came to shove, Hoffman lost.

Why? Because those activists -- however well-meaning they might have been -- misunderstood the district. The 23rd is a Republican district, but it is not a particularly conservative one, having split its vote between Barack Obama and the moderate Republican John McHugh last November.

If Nancy Pelosi is regarded suspiciously in the 23rd, so are Sarah Palin and Fred Thompson, who cut commercials and robocalls on behalf of Hoffman. What the voters there wanted was a candidate who understood them. Owens -- superior to Hoffman in his command of local issues -- provided the best approximation.

Alternatively, consider the outcome in New Jersey, where Republican Chris Christie knocked off incumbent Gov. Jon Corzine. This election is being touted as a referendum on Obama, who took a risk -- a bad one, indeed -- by campaigning on behalf of Corzine.

But Obama was the least of Corzine's problems: Voters in Tuesday's election approved of Obama's performance 57 percent to 43 percent, according to exit polling. It was Corzine they didn't like; 27 percent of the voters who approved of Obama nevertheless found someone other than the Democratic incumbent to vote for.

Corzine, for his part, ran a polarizing campaign; every time Christie's name appeared in one of his commercials, it came with a scarlet (R) -- for Republican -- attached. Republicans are not popular in New Jersey, but local issues drove the race.

Whereas three-quarters of Corzine's voters cited a national issue -- health care or the economy -- as their primary reason for voting for him, two-thirds of Christie's picked a local one (property taxes and corruption).

There is a much stronger case that national factors were in play in Virginia. The voters who turned out there Tuesday were more likely to have supported John McCain than Obama last year. Obama carried the state by 6 percentage points last year. But exit polls found that 51 percent of this year's voters in Virginia were people who had voted for McCain.

Even a strong Democratic candidate would have struggled under the circumstances. But Democrats also made a mistake in thinking that Creigh Deeds, who hails from rural Bath County on the West Virginia border and wears his upbringing on his sleeve, would be the best candidate to represent them in the state.

In many other states -- Ohio, say --  it's the rural, working-class vote that swings elections. But that's not the case in Virginia, which is one of the wealthiest and most suburban states in the country. There, suburban moderates such as Mark Warner tend to do better. Deeds might have been the right candidate -- but he was in the wrong state.

State-level politics, indeed, routinely differ from national ones. That's why you have Democratic governors in red states such as Oklahoma and Wyoming, but Republican ones in blue states such as Vermont and Hawaii.

That does not mean that local elections can't tell us anything about national trends -- the White House would be feeling better, certainly, if Democrats had won New Jersey, and likewise Republicans if they'd won NY-23. But usually the party that applies a one-size-fits-all approach to local races is the losing one.

The opinions expressed in this commentary are solely those of Nate Silver.

@highlight

This year's elections more about local concerns than national ones, says Nate Silver

@highlight

Special election in New York in a district that isn't particularly conservative, Silver says

@highlight

New Jersey voters rejected Gov. Jon Corzine for local reasons, Silver says

@highlight

Silver: In Virginia, Democrats had candidate who didn't appeal statewide