(CNN) -- Two idyllic South Pacific islands are facing a water crisis; they're running out of it, and fast.

The island nations Tuvalu and Tokelau have declared states of emergency after six months of little or no rainfall.

It's estimated that at the current rate of consumption the Tuvaluan atoll of Funafuti, home to 5,000 people, will run out of drinking water in two weeks. Tokelau, a territory of New Zealand with a population of 1,500, could run dry in just one.

"We are all working in line with the fact that we recognize this national emergency situation," Jo Suveinakama, the general manager of the Tokelau government told Radio New Zealand.

The New Zealand Red Cross flew emergency supplies to Tuvalu Monday on a New Zealand Defense Force flight along with two aid workers and two foreign ministry staff.

"We have mobilized 2,000 collapsible water containers, hand sanitizers, tarpaulins to be used to capture rain (and) two emergency desalination units," Andrew McKie, New Zealand Red Cross International Operations and Emergency Manager said in a statement Tuesday.

The emergency desalinators are being sent south on a patrol boat at midnight Tuesday to the small atoll of Nukulaelae, part of Tuvalu, whose population of 330 is reported to be down to its last 60 liters of water. Schools have closed as residents conserve what little water they have and pray for rain.

"It's a pretty dire situation there," Gareth Smith, New Zealand High Commissioner to Tuvalu told Radio New Zealand. Smith is one of the two foreign ministry staff sent to Tuvalu this week.

In Nukulaelae, water is being rationed. Families - some with as many as 10 people - are forced to live on just 40 liters a day, according to Dave Hebblethwaite, a water management adviser from the Applied Geoscience and Technology Division of Secretariat of the Pacific Community.

"Families are getting by washing in the sea and only having a short wash in fresh water if at all," he said, adding that most of the fresh water is being reserved for drinking and cooking.

The Tuvalu government briefed a group known as the "Diplomatic Corps" Tuesday in the Fijian capital of Suva on the type of aid that might be needed. Delegates included head of foreign missions, international agencies and regional organizations. Parts for desalination units and fuel top the list, Hebblethwaite said.

Tuvalu, the world's fourth smallest country, is a nation of four reef islands and five atolls covering 26 square kilometers in the Pacific Ocean halfway between Hawaii and Australia.

The island nation relies almost exclusively on rainwater collected from the roofs of homes and government buildings to supply a population of 10,000. However, three dry spells over the last three years has gradually drained the community's water supplies.

"Communities in Tuvalu are pretty used to doing it tough," Hebblethwaite said. "Atoll environments are really hard environments to live in and when you're just relying on rainfall for all of your water, you find yourself in situations where you do need to make the most of every small amount.

"For these communities to be asking for external assistance, it shows that the situation is quite serious," he said.

New Zealand's Foreign Affairs Minister Murray McCully has warned the water crisis could lead to food shortages as crops fail.

"We're now doing an assessment, not just in Tuvalu but also in other areas of the Pacific that are affected by the shortage of rainfall, making sure we deal with the drinking water issue most urgently," he told Radio New Zealand.

Tuvalu imports the bulk of its food but its people also grow their own crops, mostly taro. The root vegetable is grown in pits filled with organic matter due to the lack of soil available on the atoll.

"We know that on some of the islands, particularly on Nukalaelae, many pits are suffering damage from either drying out or getting saline from the water table. So there's certainly an impact on food security," Hebblethwaite said.

"We're even finding that some fruit trees are suffering, even coconuts, which is unusual. Coconut palms on Nukalaelae are starting to lose their fronds," he said.

Tuvalu has been very vocal in its calls for international help to mitigate the effects of climate change. It has warned that it is in danger of "sinking" as sea water levels rise.

"The information we have about climate change and rainfall patterns is getting better and better every month," Hebblethwaite said. However he added that assessing long term trends on the islands was difficult to due the lack of rain gauges.

"One thing's for sure, water will be the main mechanism by which climate change impacts on these island communities, whether it be by droughts or by storms or floods," he said. "So building their resistance to today's climate variability that they're experiencing will be a key defense they can employ against the future impacts of climate change, and I think people are recognizing that."

@highlight

Tuvalu and Tokelau in the South Pacific running out of drinking water

@highlight

Tokelau with a population of 1,500, could run dry in just one week

@highlight

Tuvalu, located midway between Hawaii and Australia, has two weeks of water