Washington (CNN) -- Afghan President Hamid Karzai and Secretary of State Hillary Clinton declared the Afghan leader's visit to the United States this week a success, saying on Thursday that it had helped strengthen the partnership between Washington and Kabul at a critical point in the war against Taliban and al Qaeda extremists.

They also stressed that President Obama's July 2011 deadline to start withdrawing U.S. forces from Afghanistan did not represent a weakening of America's commitment to the war-torn Islamic republic.

The two leaders spoke at the U.S. Institute of Peace in Washington -- part of what became a week of playing down tensions between U.S. and Afghan officials.

"From our side, this was a highly successful visit [that] took our relationship to an even higher level," Clinton said. "We are building a very strong partnership that links together all levels of our governments."

Clinton said there is no contradiction between the July 2011 withdrawal date and Obama administration promises of an "enduring partnership."

Kabul residents: Karzai needs to make jobs, not war

The date is meant to be "the beginning of the security transition," she said. But "we're not going anywhere." The U.S. government will be supporting Afghanistan's war against extremist elements "far into the future," she said.

Karzai said his highly anticipated U.S. trip had been "meaningful, substantive, and had all the right tones and objectives."

The July 2011 date doesn't pose a problem, he said, because "we know the United States will not abandon the cause."

On another topic, Clinton said the expected NATO offensive in the southern Afghan province of Kandahar this summer would not be a "massive assault."

"D-Day is not coming to Kandahar," Clinton said, adding that "Kandahar is not Marjah," the area of the last major NATO offensive that rooted out the Taliban from the area to empower a government presence.

Kandahar, Clinton said, is an active area where "people are getting on with their lives." Therefore, she said, the goal of the upcoming operation is to "weed out" members of the Taliban who are intimidating the people who live there.

"They don't pose a threat," Clinton said of the Taliban presence in the province. "They are not going to take over Kandahar, but their presence has a chilling effect."

Karzai acknowledged there had been a misunderstanding among the Afghan people about the operation, which was clarified this week during his talks in Washington.

Karzai also spoke of his plan for reintegration of thousands of Taliban, whom he called "country boys" who are "ideologically not against us" and don't hate the United States. On the other hand, he said, political reconciliation with Taliban leadership would be much more difficult and far off in the future, requiring Pakistan's involvement because many Taliban live there.

Karzai also said he raised the issue of his brother, Walid, with President Obama, amid reports that Walid was heavily involved in the drug trade. Karzai said he lacked the authority to fire his brother, who is an elected official, but added without elaborating that the issue was resolved to Washington's satisfaction. Clinton declined to comment about Walid Karzai.

Earlier in the day, Karzai paid tribute to U.S. military members killed in the nearly nine-year American war in his nation, visiting the grave sites of Afghan war veterans at Arlington National Cemetery in Virginia.

Karzai slowly walked past several markers -- part of what has been called the "saddest acre in America" -- under a cloudy sky. He was joined by Secretary of Defense Robert Gates, Joint Chiefs of Staff Chairman Adm. Mike Mullen and Gen. Stanley McChrystal, commander of the U.S. forces in Afghanistan.

The group visited Section 60 of the cemetery, the burial ground for personnel killed in Afghanistan and Iraq. More than 500 veterans are buried there.

Karzai stopped at the grave site of Army Pfc. Justin Davis, who was killed in June 2006. He also paused at the graves of Army Specialist Ross McGinnis, killed in December 2006, and Army Capt. John Tinsley, killed in August 2009.

Karzai has repeatedly expressed thanks this week to the American people for the sacrifices they have made in his country. He has said Afghanistan will remain a dependable partner with the United States and its allies in the global war on terrorism.

The two governments have been using the week to portray their sometimes tempestuous relationship as a largely friendly one, paving the way for greater progress in the war against the Taliban and other extremists.

After meeting with Karzai on Tuesday, Clinton conceded that "we will have disagreements time to time, but that is a sign of a mature relationship and a steady relationship."

Clinton said it is unrealistic to expect the two nations to see eye-to-eye on every issue.

"President Obama and President Karzai both understand that the ability to disagree on issues of importance is not an obstacle to achieving our shared objectives, but rather it reflects a level of trust," she said.

Sandwiched between sessions with Clinton, Karzai huddled with Obama at the White House on Wednesday.

Obama said he is confident his administration will meet the 2011 withdrawal date, but warned that there is "going to be some hard fighting" in the months ahead. He stressed that the United States is in Afghanistan for the long haul.

"This is a long-term partnership," he said. "We are not suddenly, as of July 2011, finished with Afghanistan."

Meanwhile, Karzai defended his recent meeting with Iranian President Mahmoud Ahmadinejad, noting that while Afghanistan is "a partner and friend" of the United States, it also wants to "remain friendly" with its neighbors.

The Washington meeting -- Karzai's first visit to Washington after his re-election -- came after some recent well-publicized spats between Washington and Kabul.

Karzai's win in last August's national vote was marred by irregularities that forced a runoff. Since then, the Obama administration has publicly pressured Karzai to rid his government of graft and improve delivery of services to the Afghan people.

Karzai irritated U.S. officials when he blamed election fraud on foreigners who want a "puppet government" in Afghanistan. He further aggravated his most powerful ally when he told tribal leaders that the U.S.-led military alliance would not move against Taliban fighters in Kandahar "until you say we can."

Media reports have also included harsh criticism of Karzai by a former United Nations diplomat as well as claims that Karzai said he would consider joining the Taliban insurgency.

At one point, the White House indicated it would call off this week's visit. But in recent weeks, the two governments have sought to play down their differences, rejecting the idea of any dispute between their leaders.

Obama said Wednesday that reports of heightened tensions between the U.S. and Afghan governments "were simply overstated." Tensions are virtually inevitable in "such a complicated and difficult environment," he said. But "our job is to be a good friend and to be frank with President Karzai."

Karzai's role, in turn, is partly to ensure Afghan sovereignty is respected, he said.

"I am very comfortable with the strong effort that President Karzai has made so far," Obama said. "There are going to be setbacks" and disagreements, but "we share a broad strategy" that can hopefully be set out "in a declaration by the end of this year."

Karzai, in turn, said the U.S.-Afghanistan relationship is "strong and well-rooted." There are moments that "we speak frankly to each other," but those exchanges only strengthen the relationship, he said.

Obama and Karzai said they discussed, among other things, the need for greater protection of Afghan civilians in light of the stronger U.S. military campaign. Karzai said a recent decision to transfer local detention centers to Afghan government control was a "major point of progress."

CNN's Paul Courson and Elise Labott contributed to this report.

@highlight

NEW: Clinton says expected Kandahar offensive is not "D-Day"

@highlight

NEW: Karzai says issue of his brother has been resolved with United States

@highlight

Karzai visits graves of U.S. soldiers at Arlington Cemetery

@highlight

Meetings this week have tried to play down tensions between Washington and Kabul