(CNN) -- The scenes were shocking. Hooliganism is supposed to be a thing of the past, but the fighting in the streets of Warsaw during the opening week of Euro 2012 was a stark reminder that football's "disease" has not been cured.

The first major tournament to be held in Eastern Europe has already provided a cocktail of color and a wealth of excitement on the pitch, but the violence between Russia and Poland fans has cast a shadow over the continent's showcase event.

Despite being on a small scale so far, the problems have turned the spotlight towards 2018 -- when Russia will host the planet's biggest soccer spectacle, the World Cup.

"The Russian press are obviously very, very upset about what has happened," Russian football expert James Appell told CNN. "How this will affect attitudes towards 2018 won't come from inside Russia, it'll be a baton that is picked up by the international press and by UEFA and international footballing authorities.

"I think Russia will only react to criticism if it comes from outside. I don't think Russian authorities have really taken the kind of steps that have been needed through pressure on a domestic front.

"I'd expect in the aftermath of what has happened that the European footballing authorities and perhaps even FIFA will step in and mandate some kind of changes that need to be made in Russian football in order for 2018 to go ahead peacefully."

Geoff Pearson, an expert on football hooliganism at England's University of Liverpool, believes Russian authorities need to take an initiative ahead of the World Cup.

"They need to be able to identify who these groups are in each city because it is almost certain these groups will look to attack certain groups of fans that travel to Russia for the World Cup in the same way the Polish hooligan groups have attacked Russian fans in Warsaw," Pearson told CNN.

"The important thing is that the police, between now and 2018, are able to identify who these groups are and that they are closely monitored so they don't cause trouble."

Trouble also erupted at Russia's first match as the tournament kicked off last Friday, when a black Czech Republic player was allegedly subject to racist chants and four Polish stewards attacked in the stands.

It is not the first time violence has tainted the European Championship. In 1980, when Italy hosted the tournament, England's clash with Belgium had to be halted due to fighting in the stands. In 1988, police arrested English, Dutch and German fans due to violence.

And at Euro 2000, nearly 1,000 England fans were arrested after riots in the Belgian cities of Charleroi and Brussels.

European soccer's ruling body UEFA has often been accused of failing to properly punish such problems, but this week it fined the Russian Football Union $149,000 and threatened its national team with a six-point deduction for the Euro 2016 qualifiers if there is any repeat.

It may act again over Tuesday's street brawls, where police arrested 184 people -- 157 Polish and 24 Russian -- after a Russian national day march through Poland's capital sparked confrontations.

Appell believes Friday's events should have proved a forewarning.

"The violence was 100% predictable," he said. "You can talk about the immediate short-term context, which was thousands of Russian fans coming over to Poland and causing trouble in the stadium in Wroclaw on Friday in the match with the Czech Republic.

"Reaction to that in Poland has been pretty unequivocal; a number of fan ultra groups vowed revenge immediately after Friday and there was some anticipation that would be carried out before the Poland-Russia fixture.

"The longer term context you can go back probably about a millennium and look at the relations between Poland and Russia, and it wouldn't be difficult to guess this is the sort of fixture that would bring those tensions to the boil."

Given the complex historical context between the two nations, it was hardly surprising that their Group A clash was preceded by violence.

Their relationship has been punctuated by conflict, stretching back as far as the 11th century. Most recently, Poland was occupied by Russia under Stalin during World War Two, in a brutal chapter that saw the Red Army commit multiple numbers of atrocities.

Tuesday's march, which marked the establishment of Russian sovereignty in the aftermath of the collapse of the Soviet Union, was sanctioned by the Polish authorities.

Inside the stadium just before kickoff in Tuesday's game, Russian fans unfurled a huge banner that read "This is Russia" -- which some commentators claimed carried Neo-Nazi symbols on it. It depicted Dmitry Pozharsky, a Russian prince who led resistance to Polish-Lithuanian rule in the 17th century.

It provoked another familiar question when it comes to the issue of football in Russia: how easy is it to separate the soccer from the politics?

"It's very hard and I'd say that goes not just for international fixtures but also for Russian domestic football fan culture," Appell said.

"At your average Russian Premier League game the kind of slogans, iconography and symbolism such as flags, banners and chant that wouldn't have looked entirely out of place at a nationalist march outside football territory.

"It's very difficult sometimes to separate what you're seeing as an expression of football culture and an expression of nationalistic culture."

But just as the authorities have done, Appell is keen to stress that the pockets of trouble witnessed in the tournament's first week do not mean UEFA was wrong to award the tournament to Poland and Ukraine.

"I actually think on whole, if you leave aside Group A fixtures, the experiences the vast majority fans have had in Poland and Ukraine have been extremely positive. This is about the behavior of the football fan and not the location in which they are behaving."

Polish police said their swift intervention when Tuesday's violence escalated prevented further casualties, and claimed fans carrying knuckledusters and batons were not interested in the football.

The police also reiterated that over half a million people have so far attended matches, or fan zone areas, highlighting the small number of incidents leading to arrest.

Poland's sports minister Joanna Mucha said she was both "disgusted" and "ashamed" -- and vowed not to let a small minority spoil an atmosphere at the tournament she described as "fantastic."

Despite the outrage, Pearson agreed that the chaos in Warsaw was preventable.

"I can't be 100% sure as I wasn't there but what happened in Warsaw seemed to be a complete mess," he told CNN.

"Historical tensions make it a high risk event. The bottom line is, we wouldn't have seen trouble had there not been between 10,000 and 20,000 Russian fans in Warsaw. There were obviously things that went wrong on the day.

"There was a situation where hooligans of both teams mixed in with other crowds, that meant normal fans got attacked and were subject to quite aggressive policing. That's when we move from these small criminal groups fighting to wider disorder.

"No doubt there were groups of both Polish and Russian supporters who attended that match with a view to confrontation. We're talking relatively small numbers here and it should be possible to police those groups and, if possible, exclude them from the stadium."

@highlight

Soccer violence at Euro 2012 sparks fears for 2018 World Cup in Russia

@highlight

Russian fans fought with Polish supporters ahead of group match in Warsaw

@highlight

Experts say the violence could have been prevented with more forethought

@highlight

Polish authorities sanctioned a Russian national day march through the city