The family trip to San Diego that we've been discussing, in part to visit SeaWorld with the kids, might be off -- indefinitely. I relayed that news to my husband (he wasn't pleased) after watching the stirring documentary "Blackfish," which will be showcased on CNN at 9 p.m. ET Thursday.

The film tells the story of the killing in 2010 of experienced SeaWorld trainer Dawn Brancheau by a 12,000-pound orca.

You might be surprised to find out that the director of "Blackfish," Gabriela Cowperthwaite, once would routinely take her kids to shows at SeaWorld in San Diego. That was the case until that day nearly four years ago when the whale Brancheau trained and performed with in Orlando pulled her underwater.

The death led Cowperthwaite to make a documentary, raising questions about the safety and humaneness of keeping killer whales in captivity over the past 39 years.

The film includes interviews with a number of former SeaWorld trainers, including one who said he would never take his child to SeaWorld.

"I am not at all interested in having my daughter who is 3-and-a-half grow up thinking that it's normalized to have these intelligent, highly evolved animals in concrete pools," said John Jett, a former SeaWorld trainer, who said he grew increasingly concerned about the stressful conditions the animals were living under at SeaWorld. "I don't want her to think that's how we treat the kin that we find ourselves around on this planet. I think it's atrocious."

In conversations with parents across the country, most of whom had not seen the film and many of whom contribute to the parenting and lifestyle site Babble.com, I found strong differences of opinion about keeping animals in captivity and about taking kids to SeaWorld as well as to zoos, circuses and aquariums.

Parents weigh benefits and costs of captivity

Janis Brett Elspas of Los Angeles, who describes herself as a lifelong animal lover, took her four kids, 16-year-old triplets and a 17-year-old, to SeaWorld every chance she could from the time they were very little.

"Since I love nature, I really wanted them to be exposed to that early," the host of the blog Mommy Blog Expert and social media strategist said in an interview.

At a time when some species of whale are on the endangered list, Elspas believes places such as SeaWorld provide crucial education to children about whales.

"We need to educate children about why these whales are so important, why they're so beautiful, what their unique characteristics are, because these kids are also going to be the world's future marine biologists," she said.

Joanna Mazewski, a mom of two who grew up in Orlando, Florida, wholeheartedly agrees.

"If we don't give our children the opportunity to go visit them, how else would they learn about these animals?" said Mazewski, who is a Babble.com contributor. "It's a hands-on experience and a hands-on opportunity, too."

On the other side are moms such as Pilar Clark, who believes parents should not take their kids to SeaWorld, circuses or other places where "animals are made to perform for the enjoyment of humans."

At a very young age, Clark was deeply affected by animals in captivity, begging her parents to take her home early after trips to the circus and SeaWorld.

"I still have a photo of myself posing awkwardly in front of a lion standing on top of an elephant, and that bothered me so much," the mom of two, social media strategist and contributor to Babble.com said.

"I didn't really want to see the wild animals being made to do what people wanted them to do."

Explaining SeaWorld position to kids, other parents

Clark's kids, 4 and 7, have no issue with the family position of "No SeaWorld, circuses and aquariums," but other parents are a different story. An awkward conversation usually ensues when other families invite Clark and her kids along to an animal park or circus.

"People are taken aback when you say, 'You know what, I don't really agree with circuses or believe in them, so we'll pass,' " Clark said. "That always seems to shock people a little bit, at least I've found."

Sheri Silver and her family have made a 180-degree shift in terms of their feelings about places such as SeaWorld. Silver's daughter, now 22, was obsessed with sharks and marine life in general beginning at 3 and dreamed of swimming with dolphins.

So, at 10, her parents took her to SeaWorld to swim with the dolphins, and then at 16, she swam with them again in the Bahamas. But during her college years, she saw the documentary film "The Cove," which explores the killing of dolphins and porpoises in Japan. Everything changed.

"She was devastated by what she learned," said Silver, a mom of three, blogger and food writer for Babble.com. "She made every member of our family watch it ... and those issues became very much on our radar to the point where we stopped going to aquariums."

Once "Blackfish" came out, they immediately went to see it and were deeply moved.

"There's not only no kind way, no humane way to keep (whales) in captivity. It is traumatizing to them," Silver said. "Once you know it, you can't ... unknow it and go with any kind of open mind or heart."

SeaWorld's conservation efforts

Elspas, the Los Angeles mom of four, says she feels bad when whales are captured or born into captivity, but she says they are not safe in nature, either, citing how some countries still permit their slaughter.

Places such as SeaWorld, she says, are one of the few ways to preserve and protect each species of whale from extinction ultimately.

"I think a lot of the anti-whale-in-captivity people are thinking that people are using them for entertainment value and for their own selfish purposes, but I think it's really important from the educational aspect."

Also missing from the discussion, said Orlando-native Mazewski, are the conservation efforts by SeaWorld, which include taking in injured birds and animals and having staffers travel to beaches to recover stranded animals.

"There is a controversy," said Mazewski. "At the same time, they are doing a lot of good to save a lot of animals that would be in danger or ... wouldn't survive in their natural habitats."

On the fence

Somewhere in the middle are parents such as Alice Gomstyn, who participated in coverage of the SeaWorld 2010 death during her time as a Web producer for ABC News.

Gomstyn says she has to balance her concerns about animals in captivity with how certain places help endangered species continue to survive. She's waiting until her two children, 11 months and 3 years old, get a bit older to decide whether animal parks are a potential family destination.

"It's easy to say, 'Well, I'm not going to visit any of these places' " she said. "But when you have a child and you see his face light up at the sight of a four-legged furry thing, it's hard to deny him that joy."

Gomstyn, who is now a Babble.com contributor, also wonders what the alternatives would be if there were no SeaWorlds, zoos and aquariums, since most families can't afford to spend thousands of dollars on an African safari or on a whale-watching expedition.

"I think (kids') universes of animals, or at least live animals, would be limited to the squirrels, cats and dogs in the neighborhood, which I think would be too bad for them because kids these days in general have a lot less exposure to wild animals than they did years ago," Gomstyn said. "And I think they are missing out because of that."

Follow Kelly Wallace on Twitter and like CNN Living on Facebook.

@highlight

"Blackfish" tells the story of the 2010 death of an experienced SeaWorld trainer

@highlight

It questions the safety and humaneness of keeping killer whales in captivity

@highlight

Parents across the country have different feelings about taking kids to SeaWorld and zoos

@highlight

There are benefits and costs to keeping animals in captivity, parents say