(CNN) -- As the death of the first patient diagnosed with Ebola in the U.S. sparks more fears, airports are beefing up screening for people from affected nations.

With developments pouring in from all corners of the world, here's what you need to know to quickly get caught up on the latest:

WEST AFRICA

No relief in sight:

The world's largest outbreak of Ebola has killed more than 3,800 people, the World Health Organization said Wednesday. The numbers reflect confirmed Ebola cases in Guinea, Liberia, Nigeria, Senegal, Sierra Leone and the United States, the WHO said.

The virus is affecting medical workers. A United Nations official is being treated in Liberia after contracting Ebola. The unnamed worker is the second U.N. member infected with the virus in Liberia. The first one died last month.

A possible $32 billion hit:

The outbreak could cost the African economy $32 billion over the next two years if it spreads to its larger neighbors, the World Bank estimates.

The steps some countries have taken to prevent the spread of the Ebola virus amount to "putting a towel under the door of a building on fire," World Bank president Jim Kim told CNN's Richard Quest on Thursday.

Complete coverage on Ebola

Liberia postpones election:

Liberia's President on Thursday postponed a senatorial election that had been set for next week, citing the Ebola outbreak in the country.

The nation's election commission had recommended the delay, saying that the prevalence of the virus, authorities' efforts to combat it and citizens' efforts to isolate themselves weren't conducive to a free and open election.

Officials have not yet revealed any new date for the election, which had been set for Tuesday.

U.S. troops arrive in Liberia:

A group of 90 U.S. Marines and airmen arrived in Liberia on Thursday to help Ebola response efforts, along with four V-22 Osprey aircraft and two C-130 transport planes.

Their arrival brings the total number of U.S. troops deployed in Liberia to 334, military spokesman Lt. Col. Dave Doherty said. And there are more coming. In late October, 700 troops from the 101st Airborne Division are scheduled to deploy to Liberia.

Liberian leader a 'bit more confident':

Liberian President Ellen Johnson Sirleaf on Thursday acknowledged the human and economic toll that Ebola has taken on her country since beginning in March and during the ensuing intensifying weeks, before adding, "We are a bit more confident (now) that our collective response will turn the curve away from the dire projections."

Sirleaf outlined several steps to overcome the crisis. They include a "more timely and decisive response" to the Ebola crisis, including new testing, treatment and burying centers;" improving the nation's normal health care system; and bolstering the economy overall, including through infrastructure and other projects.

U.S. CASES

Thomas Duncan dies:

Thomas Eric Duncan, the first person diagnosed with Ebola in the United States, died Wednesday, 10 days after he was admitted to Dallas' Texas Health Presbyterian Hospital. His family wonders whether the outcome would have been different if doctors had admitted Duncan to a hospital on September 25, the first time he showed up with a fever and stomach pain.

Duncan's family has criticized the care he received. The Dallas hospital that treated him says staff members did everything they could.

Ebola test negative for Dallas deputy:

An Ebola test was negative for a Dallas deputy who was hospitalized with possible symptoms of the deadly virus, officials said. The deputy, Sgt. Michael Monnig, didn't have any direct contact with Duncan but had reported contact with Duncan's family.

Physicians at Texas Health Presbyterian discharged him Thursday, soon after the negative test came back, hospital spokeswoman Candace White said.

New travel screening:

Five of America's biggest, busiest airports are beefing up measures. Now, people arriving from the three nations hardest hit by Ebola will get special screening, including having their temperature taken. The airports are: New York's JFK, Washington Dulles, Newark, Chicago O'Hare and Atlanta international airports.

IN OTHER COUNTRIES

Spain ramps up response:

After a nurse's assistant in Spain became the first person to contract Ebola outside Africa, five people related to the case were being monitored in a Madrid hospital, including her husband, an emergency room doctor and the neighborhood doctor who saw her before the case was confirmed.

'Save Excalibur' fails:

Despite a public push to save its life, Excalibur -- the Spanish nurse assistant's dog -- was euthanized because of concern it may have become infected with Ebola. Critics said the dog should have been quarantined, just like the assistant's husband has been.

Sporadic infections unavoidable, the WHO says:

Sporadic Ebola infections will be unavoidable in some European countries because of direct travel from their hubs to hotspot areas in West Africa, the World Health Organization said Wednesday. But the risk of spread, it said, is avoidable and extremely low.

Australia scare:

A 57-year-old woman who returned to Australia after treating Ebola patients in Sierra Leone has been isolated at a hospital and is undergoing tests, including one for the deadly virus, authorities said. She had isolated herself at home and checked her temperature twice daily since her return, as recommended by national guidelines.

The Queensland Department of Health announced early Friday that initial tests on the woman came back negative for Ebola.

United Kingdom:

The UK's Heathrow and Gatwick airports and Eurostar railway terminals will begin screening passengers arriving from Ebola-affected Liberia, Sierra Leone and Guinea, a government spokesman said. Screening will involve assessing passengers' recent travel history, who they have been in contact with and future travel arrangements, as well as a possible assessment performed by medical personnel.

Macedonia:

A Macedonian hotel has closed after a person staying there died two hours after being taken to a hospital, the country's health ministry announced Thursday. The patient did not live in one of the West African countries most affected by Ebola, nor did he have a high temperature that's symptomatic of the virus.

Still, even though there's a "rather high chance" this person did not have Ebola, "we are undertaking all the necessary measures" just in case, according to the health ministry. That includes not only shutting down the hotel, but also quarantining those who were in the same hotel, as well as medical staff who had direct contact with the patient.

Dominican Republic:

Dominican authorities met US Airways Flight 845 on Wednesday after it landed in Punta Cana from Philadelphia "due to a possible health issue on board," airline spokeswoman Michelle Mohr said.

"Strictly adhering to all CDC guidelines for airlines in response to the Ebola virus," officials checked and eventually cleared the plane, according to Mohr.

CNN's Greg Botelho, Alexander Felton, Khushbu Shah, Saskya Vandoorne, Richard Quest, Brent Swails and Nima Elbagir contributed to this report.

@highlight

NEW: Liberian president "a bit more confident" about avoiding most dire predictions

@highlight

NEW: Spokesman: US Airways followed CDC guidelines after health scare on Dominican flight

@highlight

After negative test, Texas sheriff's deputy is discharged

@highlight

Hotel closed in Macedonia after sudden death, ministry says