Banda Aceh, Indonesia (CNN) -- Visitors shuttle in and out of a state-of-the-art hospital in an Indonesian town once devastated by towering tsunami waves five years ago, while in nearby Thailand backpackers dance to music in bars and tourists lodge in a hotel that had been demolished in the Boxing Day disaster.

Over in India, Sri Lanka and the Maldives -- all hit by the waters that claimed the lives of some 245,000 people in 14 nations on December 26, 2004 -- homes, schools and roads have been rebuilt, and livelihoods reclaimed.

The road to recovery in the Indian Ocean countries battered by the tsunami, which washed away entire communities, created nearly $10 billion in damage and caused more casualties than any other tsunami in recorded history, has been steady despite some challenges, according to the United Nations and local officials.

"It was essential to have discussions with communities about what they wanted and needed. The result took a little bit longer but was much better. This is the essence of this 'build back better' concept, to have people involved in the reconstruction," said Hakan Bjorkman, Indonesia country director for the United Nations Development Programme.

"The most important lesson learned from this massive recovery effort is the importance of involving the people who are affected in the process, in a really meaningful way," he added.

Did you survive the tsunami? Did you lose a loved one? Share your thoughts on the 5th anniversary on CNN iReport

In Aceh, a special government-backed agency, BRR, was set up to oversee the vast rebuilding. That agency was superseded by the BKRA this year, and together they have overseen the spending of $3.2 billion dollars of aid money.

That money has been ploughed into the state-of-the-art hospital, a new terminal building at the airport, hundreds of bridges, nearly two dozen ports, some 1,800 schools, 3,800 mosques and about 150,000 homes.

To local conservationist Mike Griffiths, who said much of Banda Aceh had been reduced to a "level plane of shards" and who compared the tsunami aftermath to that of the atomic bombing of Nagasaki in World War II, the town has quickly bounced back.

"It's so built up now," he said as he stood near a mosque where he had surveyed the damage in 2004 -- a time when nothing blocked a clear vision out to sea due to the tsunami destruction. "Now, we can barely see 100 meters because there's been so much reconstruction. Everything's been built up on both sides of the road."

In Thailand, few physical reminders of the disaster remain. The tourist industry was keen to clean up and move on as soon as possible.

On islands like Koh Phi Phi, where the powerful waves ripped through shops and eateries, and sliced off treetops, it is business as usual with bustling bars, cafes and hotels.

Today, the thumping music and jolly backpackers give the island the party atmosphere it had before the disaster, and it is the same in nearby Phuket.

Lodgings, like the Kamala Beach Hotel -- the destruction of which was immortalized in dramatic amateur video, have been rebuilt and expanded.

Overall, some $13.5 billion in aid was pledged after the tsunami, including $5.5 billion coming in from the general public, according to the UNDP.

"I think it was the timing. A lot of people were celebrating, it was Christmas and I think a lot of people were really, really touched when they saw those pictures," said Andrew Morris, of the U.N. children's agency, UNICEF, in Thailand. "It was phenomenal, it was unprecedented, I think contributions just flooded in from individuals, from companies, from children themselves. At UNICEF, we received $700 million. We know that children in many, many countries themselves got together to raise money. I think the tsunami really touched people's hearts."

Most homes have been rebuilt in the Maldives and in Sri Lanka, a majority of the lost infrastructure -- such as the 105,000 homes destroyed or damaged in the tsunami -- has been rebuilt.

In India, rehabilitation is complete in the hard-hit southern state of Tamil Nadu, but efforts are under way to build a few thousand new homes for those living in high-risk areas; most homes have been reconstructed in the Andaman and Nicobar Islands, as well as in Pondicherry, along the southeast coast.

But there have been some delays in southern India in Kerala, where 11,000 homes were to be constructed, with only 51 so far completed and handed over to survivors. Authorities blame the delay on issues regarding land acquisition and they have decided to pay residents to rebuild their homes on their own, said Abdul Wahid, private secretary to Kerala's revenue minister.

Back in Indonesia, some of the housing built for survivors remains empty due to poor construction that in some cases does not include drinking water or protect against the torrential rains.

In one area, stands dozens of abandoned and empty houses built by an aid agency. A woman named Mariami, who lost her husband and three children in the tsunami, has little income and feels she should have gotten more help.

"The walls are made of wood," she said of her new home. "I had to change them myself, because when it rains, the water gets inside the house. We don't even have drinking water here."

Warqa Helmi, of the BKRA, acknowledged that in some cases standards were not met but said the overall quality of new homes was good and corruption has been kept to a minimum.

"The building quality depends on the contractor and material used. Some are good; some are not. The donor projects were generally good. We closely monitored how the houses were built. There were penalties for the contractors if they failed to meet the quality standard," he said.

Many people across the region will mark the anniversary with prayers, a moment of silence, sprinkling water on mass graves in Indonesia and offering food to monks in Thailand, among other memorials as people in the region try to move forward.

"I try not to remember all the details," said Thai hotel manager Wisut Kasayapanand, who still has painful memories of that fateful day. "We try to remember the good things and forget the bad things. The tsunami brought us tears."

@highlight

Tsunami claims 245,000 people on December 26, 2004

@highlight

Rebuilding steady, though troubles with construction, land rights

@highlight

U.N.: $10 billion in damage: $13.5 billion in aid received

@highlight

On CNN International: "Tsunami 5" (all times GMT): December 26: 1430, 2030  December 27: 0930  December 28: 1330, 1730