On the surface, Hong Kong transmits an image of prosperity, comfort and convenience.

But beyond the façade of pristine skyscrapers and bustling shopping malls, a darker life exists for some of the territory's newest residents.

Deep into Hong Kong's New Territories, close to the border with Mainland China, lies Ping Che, a decrepit village that has become a prison for many of its inhabitants.

One of them is Arif, 26, a wiry, long-haired asylum-seeker from Bangladesh. His house, barely more than a few slabs of sheet metal propped against decaying beams, runs along open sewers. Flies circle near the improvised toilet -- basically a hole in the kitchen floor. The water is dirty and the electricity supply unreliable.

With only a shoddy air conditioner salvaged from a garbage dump, he mostly wilts in the humid summer weather and freezes in the winter cold. One night, while sleeping, part of the roof dropped onto his head. "I need to live in a better place," he says, with a hint of irritation.

Arif's nightmarish living situation is typical for the hundreds of people who arrive in Hong Kong each year to escape torture or persecution in their home countries. But that's when their troubles begin. While they wait for their claims to be screened, in a process that can take years -- and usually ends in rejection -- asylum seekers are barred from working, forced into crumbling housing and are given just enough food to survive.

According to some rights activists, this is intentional. "The government tries to dissuade refugees from seeking protection by intentionally causing hardship," explains Cosmo Beatson, who directs Vision First, a Hong Kong refugee aid organization. "It's not humane."

With no way to join society and no way to return home, these survivors languish in miserable situations like Ping Che, hoping for a reprieve that often never comes.

"Many of us came here to save our lives," says Arif. "But I think better die. Better die than live like this. How we're living is not life."

'I lost everything'

Four years ago, Arif was a pharmacology student in the Khulna district of Bangladesh. Described by Beatson as a "really smart kid," Arif ran a business to support his family. But his success drew the envy of terrorist groups in the war-torn country, who burned his vehicle, assaulted him, and threatened to kill him if he didn't pay huge sums of "protection" money.

Fearing for his life, he enlisted the help of an agent, who promised to take him to Ireland, his "dream country." Instead, the agent stole his belongings and left him stranded in Hong Kong.

"I lost everything," says Arif. "When I learned I was in Hong Kong, I was so shocked."

Arif was safe, in a technical sense. Like many other countries and territories, Hong Kong is bound by international laws preventing the deportation of refugees to countries where they risk harm. Refugees are allowed to file claims for protection when they arrive, and may legally remain until their status is officially determined. Those who are successful may be relocated to a third country, where they can attain legal status. In theory, Hong Kong is a big "waiting room."

In practice, Hong Kong is more of a prison.

Left with unpleasant memories of the 1970s influx of Vietnamese war refugees, which swamped its support systems, the Hong Kong government does everything it can to discourage refugees from integrating into its society.

To prevent economic migrants from trying to claim asylum, the government bans refugees from working -- those caught working face 22 months in jail. Instead, it forces refugees like Arif to depend on a non-profit, the International Social Service (ISS), for welfare.

Every month, ISS gives Arif a HK$1,200 ($155) stipend for rent -- which barely covers his room in Ping Che, with nothing left for deposits or utilities. Like other refugees, he gets HK$900 ($116) worth of food -- a bit more than US$1 per meal -- which must be picked up from faraway collection depots and then carried home.

The aid amount has not been adjusted for inflation since 2006. "I've watched the 7 kg bag of rice turn into 3 kg," says Beatson, who works closely with the villagers. "People are going hungry."

Salim is a 43-year-old asylum seeker from Bangladesh who lives with Arif. Nine years ago, he escaped Bangladesh after terrorists seized his retail business and tried to kill his family. But, he says, "Hong Kong is not a better life."

His broad frame fills his cramped bedroom, which is littered with filth-encrusted objects: old appliances, cookware, and furniture, many held together with tape. Because ISS aid only covers the bare minimum, Salim and his cohabitants hunt for clothes and other household essentials in a nearby garbage dump.

Salim says the ISS does not provide adequate medical care. "When I am sick, the doctors say, 'we cannot check you.'"

Instead they give him tablets of Panadol, a feeble painkiller that Beatson says refugees receive "whether they have migraines, dermatitis, venereal diseases, cancer, or are giving birth."

"The suffering caused is purposeful," continues Beatson. "[The government] causes so much slow pain that the people have no choice but to leave."

However, a spokeswoman for ISS says that each client is "individually assessed for needs, special concerns, and vulnerabilities," and that medical assistance is provided at the discretion of social workers. In response to suggestions that aid is insufficient, she replies "any assistance program will always be a compromise."

ISS does not determine aid levels, she adds, as the agency is funded directly by the government and only carries out government instructions.

Officials stand behind the austere policy, which they say is designed to keep its welfare system from getting overloaded with outsiders. "The objective of humanitarian assistance is to provide support, which is considered sufficient to prevent a person from becoming destitute while at the same time not creating a magnet effect," Hong Kong's Social Welfare Department wrote in a statement emailed to CNN.

Salim has a simpler explanation: "The Hong Kong government doesn't care. To them, we are not people."

'Like finding out heaven is fake'

Claimants who persist long enough to receive a status determination are often devastated to find they have been rejected without explanation.

According to Vision First, Hong Kong has received over 12,000 torture claims in the last 21 years -- and has accepted five. "This number is unbelievable," says Beatson. "It's an effective zero percent recognition rate."

For those in Ping Che waiting to be screened, these figures cause despair.

"It's a tunnel with no light at the end," says Beatson. "When it dawns on refugees what they're stuck in, they're in shock. They conclude that Hong Kong is safe, but they would've rather died. It's like finding out that heaven is fake."

To alleviate refugees' suffering, a small group of Hong Kong NGOs has formed what it calls the Refugee Concern Network to try and coordinate help.

One of its members is Julee Allen, who manages a refugee aid center in Hong Kong's Chungking Mansions. The center provides psycho-social support for more than 300 clients. But the work, she says, is very difficult.

In her first month on the job, a man suddenly broke down into tears. "He pulled up his shirt and showed me stab wounds all over his torso and started explaining what has happened in his country.

"When he left and shut the door behind him, I lost it. I spent 30 minutes crying, just saying, 'My God, how can we help someone who has been so deeply, deeply wounded?'"

Beatson says that the aid organizations simply cannot help everyone.

"All the charities combined only have about three million HKD (US$128,926). We need hundreds of millions," he says. "Our work might help five hundred people a little, but how do you help 6,000?

"We have to put pressure on the government," he adds.

Hong Kong legislator Fernando Cheung is one of the few politicians trying to help. He first visited Ping Che in February and describes the sight as "shameful."

Cheung immediately demanded a special meeting with the Hong Kong Security Bureau to voice his concerns, but was rejected. "They are trying to evade the problem," he says.

Unsatisfied, Cheung believes that government inaction jeopardizes Hong Kong's international reputation. "The government wants to project Hong Kong as a world-class city with advanced systems. They want investment.

"But the city is in many ways a façade," he says. "On the outside, it's got nice decorations. But if you look inside, it's empty -- there's no heart."

There has been minor progress. Late last year, court rulings determined that Hong Kong's refugee screening systems were incomplete. In June, the government announced a new system, which will screen not just torture claimants but all sufferers of persecution and cruel treatment. "It's a step in the right direction," says Cheung.

But there are no improvements planned for refugee welfare -- which is the most urgently needed reform. A provision allowing refugees to seek employment would raise living conditions immeasurably, but this seems a remote possibility at best. If things don't improve soon, Hong Kong's treatment of refugees will continue to fall short of the international standards it claims to embrace, and Ping Che will continue to wither.

Advocates say change is possible but only if people understand what the refugees are going through.

"Being an asylum seeker, refugee, or torture claimant is not a choice people make," says Allen. "Some seismic event has just turned that person's life upside down. If they could just go home and be safe, they would -- but they can't. It's important to remember it could be you -- it could be me -- it could happen any second."

As for Salim, all he wants is an opportunity for dignity.

"In the United States, Canada, Australia, they give people a chance," he says. "It is 2013. We should give a chance to everyone."

@highlight

Advocates say Hong Kong government policies make refugees' lives 'a living hell'

@highlight

Barred from work, refugees are given poor housing, meager food, and little medical care

@highlight

Refugees wait years for their claims to be processed, but are almost always rejected

@highlight

Human rights advocates say Hong Kong's international reputation is at risk