(CNN)More than 200 years after Samuel Adams and Paul Revere first buried it in Boston, it took an hour to remove all the objects crammed inside a tiny time capsule.

Onlookers anxiously watched the unveiling Tuesday, worrying the items might not have weathered the years very well.

"Could we actually go through the whole box, or would things prove too fragile to take out?" said Malcolm Rogers, director of Boston's Museum of Fine Arts. "It was like brain surgery, with history looking down on us."

Piece by piece, Pam Hatchfield, head of objects conservation for the museum, removed each item, whispering "wow" as she first caught a glimpse of some of them.

Among the stash Hatchfield removed from the 1795 time capsule: Five folded newspapers, a Massachusetts commonwealth seal, a title page from Massachusetts colony records and at least 24 coins.

And at the bottom, an inscribed rectangular silver plate, "probably made by Paul Revere and engraved by him," Rogers said.

"That was the treasure at the end," he said.

But getting to it was a painstaking process.

It took seven hours to remove the time capsule from the Massachusetts State House in December, and more than four hours before Tuesday evening's ceremony for officials to loosen the screws that were holding it shut.

Porcupine quill, dental tool used to remove contents

At the broadcast event, which took place at the museum in front of a painting of George Washington, Hatchfield used a porcupine quill and her grandfather's dental tool to help her safely remove the contents of the 10-pound box, which was uncovered during repairs for a water leak at the State House last month.

The box-shaped capsule was placed in the State House cornerstone in 1795 by Revere, the metalsmith, engraver and Revolutionary War hero; Adams, the brewer and governor of Massachusetts; and William Scollay, a local developer, when construction began. Revere was responsible for overlaying the State House dome with copper.

The time capsule measured 5.5 x 7.5 x 1.5 inches, officials said.

It's not the first time the box has been uncovered. In 1855, during some other repairs, the time capsule was removed and its contents cleaned, only to be put back in the cornerstone for almost 160 years -- with a few objects added. The box's materials were noted in reports of the time.

But this time, historians have had the opportunity to go through the contents with modern tools. After its removal December 11, the box was taken to the Museum of Fine Arts, X-rayed and given a thorough once-over.

Having an idea about what might be inside was nothing compared to actually seeing it, Rogers told CNN.

"Though we knew a little bit about what was in the box, it was a moment of extraordinary excitement as this brass container just the size of a cigar box was slowly opened with surgical precision, and you suddenly found yourself in the presence of history," he said.

Newspapers inside the box were in "amazingly good condition," Hatchfield said.

The large number of copper coins inside might have helped protect the artifacts, she said, since copper helps block the growth of fungus.

The collection of coins recovered from the time capsule included half-cent, one-cent, half-dime, 10-cent and 25-cent coins. Another set of coins included a pine tree shilling from 1652 and a copper medal showing George Washington.

Appraiser: Items worth hundreds of thousands of dollars

"This is the most exciting project I've ever worked on," a beaming Hatchfield told the crowd after she finished pulling out all of the box's contents, describing how thrilling it was to be part of building a bridge between the past and the present.

"This is what we, as conservators, live for," she said, sharing a fist bump with Michael Comeau, executive director of the Massachusetts Archives and Commonwealth Museum.

Going forward, conservators will work on preserving items removed from the time capsule.

They might not unfold the newspapers, Hatchfield said, in order to protect them.

If they were to go up for sale, the objects inside the box would fetch a pretty penny -- not because they're rare, but because of the history behind them, said Sebastian Clarke, an appraiser for the PBS program "Antiques Roadshow."

"The story's fantastic. George Washington was still the president of this country until 1797. ... The 17th century coin is maybe a 5 or 6,000-dollar coin, but with this story, the value increases tenfold," he said.

Experts say they haven't been able to confirm whether Paul Revere made the silver plate, which commemorates the placement of the legislature's cornerstone by Adams and Revere on July 4, 1795.

If Revere did make it, Clarke said, "the value has to be in the hundreds of thousands of dollars. It's magnificent."

But don't expect to see these objects showing up at any auction.

After the conservation process is finished, they'll go on display at the museum. And eventually, the time capsule and its contents will be placed again in the cornerstone of the Massachusetts State House, said William F. Galvin, secretary of the commonwealth.

One question still remains, Galvin said: Will officials add anything new to the time capsule before they put it back?

"The governor has wisely suggested that we might," he said, "so we'll think about it."

CNN's Todd Leopold, Kevin Conlon, Anderson Cooper and Erin Burnett contributed to this report.

@highlight

Appraiser: Items could be worth hundreds of thousands of dollars

@highlight

Coins, newspapers and other objects are removed from time capsule

@highlight

The capsule was buried more than two centuries ago by Paul Revere, Samuel Adams