(CNN) -- Like all online businesses, the marketing industry is being radically changed by the creeping ubiquity of mobile devices.

This shift to the smaller screen will inevitably have profound implications on both global marketing companies like WPP and Omnicom as well as on Internet companies like Google and Facebook whose revenue is mostly derived from online advertising.

It was no surprise, therefore, that one of the major themes his weekend at Stream, the annual WPP "unconference" about digital advertising and marketing, was the growing importance of mobile.

Held each September in the delightful Greek seaside resort of Marathon, Stream is distinguished by the audience-generated content from the 400 entrepreneurs, and advertising and marketing executives invited to the event. Talks by participants this year at Stream thus had titles like "Monetizing social discussion," "Banners are dead," "Mobile payments At scale," "Who will own your mobile wallet" and "Unlocking $50 billion in digital brand spend."

Yet for all the talk about mobile, Stream was, in part, characterized by a deep uncertainty about its impact on the industry. As Sir Martin Sorrell, WPP's long-time CEO, said in response to a question about whether Facebook can successfully monetize mobile technology: "We don't know the answer."

But I had a simpler question for the Stream attendees that I met in Marathon over the weekend. Is it possible, I asked, that the digital marketing industry could be destroyed by mobile? Could the shift to smaller screens actually kill online marketing?

"The small screen will disrupt but not kill the advertising industry," Jeff Pulver, a serial American internet entrepreneur and a regular Stream attendee, explained to me.

Perhaps. But that disruption, many people at Stream acknowledge, will be deeply challenging. It's a challenge, SessionM Chief Revenue Officer Bill Clifford told me, is to "create big moments on a small screen."

Clifford describes himself as an "inventor of new ad models in mobile." But those new ad models being developed by Clifford at SessionM are still, at best, in their infancy. And as Amy Gershkoff, the Global Director of Analytics at the PR agency Burston-Marsteller, told me, mobile will only successfully monetized when the advertising industry understand that mobile isn't just a smaller screen version of traditional Internet media.

"We need to rethink advertising," Gershkoff insists. We need to think about it, she says, as a personal service to mobile users.

Many Stream attendees agreed with Gershkoff that both the challenge and opportunity of mobile lies with its intensely personalized nature. "The days of dumb advertising are over," Randall Rothenberg, the President and CEO of the Interactive Advertising Bureau (IAB) told me over breakfast at Stream.

Bill Clifford's "big moments" must then, in fact, be big "personal" moments if the marketing industry is to successful transition to mobile media.

Perhaps the best description of the challenge was expressed to me in Marathon by the legendary investor and WPP board member Ester Dyson, who said that the advertising industry needed to "deliver value rather than just describing value."

Because we look at our mobile devices all the time, Dyson told me, this media should be "every advertisers dream." But the industry needs to learn to create useful products to consumers, such as Delta airline's bag tracking app, rather than just gratuitously impersonal advertising.

Mobile advertisers, Dyson explained, need to distinguish between media as a mirror and a painting. In the old days of television or desktop Internet advertising, advertising was like a painting that we could all admire without seeing ourselves. But today, Dyson says, advertising has a mirror with personalized information unique to us if we are to pay for information or products.

Amy Gershkoff sees three promising models for a mobile marketers and advertisers. The first is way in which Amazon is enabling consumers to scan products in stores with their mobile devices to get their online price. The second is Starbucks initiative to enable their customers to pay for their coffee via mobiles. And the third is the geo-targeted and content-targeted advertising that YouTube has developed specifically for mobile devices.

No event like Stream would, of course, be complete without the radical optimists -- the "Unlocking $50 billion in digital brand spend" crowd - who believe that mobile will trigger a unique cornucopia of opportunities for the advertising industry.

But, as the IAB's Rothenberg told me, the funny thing about the advertising industry is its constancy. From 1917 onwards, he explained, advertising has always made up around 2% of US GDP.

So, while - to borrow some words of wisdom from WPP's Martin Sorrell - "we don't know the answer" to how exactly the small screen revolution will change advertising, mobile probably won't radically alter the size of the industry.

The more things change then, the more they stay the same. Which is why it is probably appropriate that Stream is held each year in Marathon - the little town outside Athens that knows all about the unchanging and challenging nature of the long distance race.

@highlight

Mobile is changing the face of marketing but no one is sure what the long-term impact will be

@highlight

U.S. entrepreneur Jeff Pulver says small screen will disrupt, but not kill the industry

@highlight

But PR agency director Amy Gershkoff says the industry still doesn't get mobile media

@highlight

Mobile advertisers need to deliver value, not just describe it, says investor Ester Dyson