Washington (CNN) -- The captain of Southwest Flight 345, whose nose gear was broken while landing at LaGuardia Airport in New York last month, took control of the aircraft from his co-pilot when the plane was below 400 feet -- a critical phase of flight during which control is rarely changed between pilots, experts say.

The National Transportation Safety Board on Tuesday updated its investigation into the July 22 incident, noting the last-minute cockpit switch but did not reveal the captain's explanation for the change.

Other details released by the safety board, however, could provide an explanation, pilots contacted by CNN said.

The Southwest pilots told investigators the wind changed direction as the plane was landing, shifting from an 11-knot tailwind below 1,000 feet to an 11-knot headwind on the runway.

Passenger sues airline over LaGuardia nose landing

The captain took control at a point roughly midway through that period, "at a point below 400 feet," the NTSB said.

The wind shift, experts said, could have caused the plane to deviate from its glide path.

"This wind shift will most likely be part of the focus of this investigation," said Capt. Kevin Hiatt of the Flight Safety Foundation.

"The captain evidently saw something that concerned him enough that he elected to take control of the aircraft at that time," Hiatt said. "Does it happen? Not often. Does it happen sometimes? Yes, it does."

While emphasizing that it is still early in the investigation, pilots consulted by CNN said it is unusual for a pilot to take control of an aircraft in the final moments of landing.

Investigators likely are questioning the pilot about that decision, and, if there were problems with the approach, why he did not abort the landing.

"That's a key question: why did the captain feel the need to take over?" said Mark Weiss, a former 737 pilot and civil aviation leader at The Spectrum Group in Washington.

Commercial aircraft can manage abrupt changes in wind direction, experts say. But the changing wind direction would have tilted the plane nose-up, and the pilot may have responded by pushing the nose down to maintain the proper glide path, pilots contacted by CNN speculated.

'It was pretty chaotic' as landing gear collapses, passenger says

The Boeing 737-700 aircraft went from a 2 degrees nose-up attitude, when the plane was about 32 feet off the ground, to a 3-degrees nose-down attitude upon landing seconds later, according to information previously released by the NTSB.

The plane landed nose wheels first, instead of on the main landing gear as designed, and the nose gear collapsed, sending the plane on a lengthy skid down the runway. About 10 passengers were injured.

The NTSB said it has thus far found no anomalies or mechanical malfunctions with the plane. It is continuing its investigation.

Among the new details released Tuesday by the safety board:

-- The captain of Southwest Flight 345 had flown for the airline for almost 13 years and had been a captain for six of those years. He had 12,000 total flight hours, including 2,600 hours as pilot-in-command of B-737s. This was the pilot's second flight into LaGuardia, and he was "pilot monitoring" in both instances.

(Pilots tell CNN the captain's inexperience flying into LaGuardia was likely not a factor in the incident. Commercial pilots frequently fly into unfamiliar airports and study the approaches before landing. In addition, the pilots of Flight 345 were using an operational instrument landing system, which should have assisted in making the landing routine.)

-- The first officer had been with Southwest for 18 months and had 5,200 total flight hours, with 4,000 as pilot-in-command. He had about 1,100 hours in B-737s, with none of those as pilot-in-command. The first officer had experience at LaGuardia, including six flights this year.

-- This was the first trip the flight crew had flown together and was the second leg of the trip.

-- The weather in the New York area caused the flight to enter a holding pattern for about 15 minutes. The crew reported that they saw the airport from about 5 to 10 miles out and that the airplane was on speed, course and glide slope down to about 200 to 400 feet.

-- Investigators have five videos showing various aspects of the crash landing.

@highlight

Southwest Flight 345's captain took over during LaGuardia landing, NTSB says

@highlight

Such a change in that phase of a flight is unusual, aviation experts say

@highlight

The pilots reported a wind shift during landing, NTSB says

@highlight

The flight landed hard, broke nose gear at New York airport in July, injuring about 10