(CNN) -- Last Sunday, a group of us sat on the beach, watching the children play, when the talk turned, as it often does, to Pope Francis.

"The Pope said the loveliest thing yesterday. My father in Porto Alegre called me to tell me about it," my Brazilian friend Bete told us. My Swiss friend Diego chimed in with another charming anecdote, and everyone remarked how warm and affectionate Francis is.

I was pleased to hear all the comments, but not surprised, since it's been like that all year. Everyone is talking about him, all the time.

In this first year of his papacy, Francis has stirred up hearts and minds, not only among his flock, but also among a wider culture that is generally inhospitable, if not downright antagonistic, to the teachings of the Church of Rome.

He has sparked admiration and consternation, and most of all, he has inspired wide-flung interest and debate. It seems the voice of the vicar of Rome, even in this secularist age, has tremendous carrying power.

People who long ago dismissed the church as a hidebound, irrelevant institution seem to be irresistibly drawn to the captivating Francis. I was stunned, recently, to have a very liberal acquaintance of mine, who happens to be Jewish, tell me we finally have a progressive pope.

A priest reflects on Francis' first year

He used the word "we."

To my acquaintance, "progressive" is high praise, as it describes a belief in the growing wisdom of mankind and the inevitable improvement of our culture, resulting in welcome human flourishing. It was clear to him that both he and Francis share the same desire, to see all people living more joyful, fulfilling lives.

My friend's comment illustrated the peculiar power of Francis: that of presenting the central message of the church -- that God loves every man and woman passionately and desires their good -- in ways that those quite outside the influence of the church can recognize and warm to.

Pope Francis has been at pains to explain what he is about, which he characterizes as a new chapter of evangelization for the church.

His task is to find ways, and help the rest of the church find ways, to transmit the joy which so obviously fills him and sustains him. He calls it the joy of the gospel, which perhaps might be explained as the joy of knowing that we are truly loved, although all of us are completely undeserving of that kind of sacrificial devotion. He is the first one to declare himself a sinner, and undeserving, with an utterly disarming humility.

He writes, in Evangelii Gaudium, "I dream of ... a missionary impulse capable of transforming everything, so that the Church's customs ... can be suitably channeled for the evangelization of today's world rather than for her self-preservation."

This is quite a statement. It seems he understands that too many Catholics today find themselves with a bunker mentality, hoping to "get by" without calling too much attention to themselves. They feel beleaguered by those who no longer have the philosophical and religious education that would enable them to understand social doctrine, especially sexual, as anything other than stuffy nonsense that has outlived its usefulness.

The church has found itself, understandably, in a defensive posture. It has been greatly exacerbated recently by a new tendency in modern culture to decry an adherence to age-old, universal attitudes toward marriage and sexuality as intolerance and bigotry.

But that defensive posture, Francis seems to say, is not courageous and outward-looking, and not worthy of those who have been charged with the sacred mission of spreading the good news.

Of course, there are many who hope that he will repudiate some of those social teachings, and thereby change the character of the church itself.

Again and again he is asked why he doesn't emphasize those difficult matters, like abortion and marriage. He didn't mention them in Brazil, during World Youth Day. He explained then: "The Church has already expressed herself perfectly on this. ... It wasn't necessary to talk about that, but about the positive things that open the way to youngsters." When pressed for his personal position, he answered with direct and perfect simplicity: "That of the Church. I am a Child of the Church!"

Francis wants Catholics, bravely, out of their bunkers. He is telling them that there is tremendous power in the knowledge that believers carry within them.

The joy of the gospel, as Francis sees it, is capable of setting us free from sorrow, loneliness and inner emptiness. Aren't those exactly the torments that plague modern people, satiated with material goods like never before but atomized and radically alone?

It would be criminal for Catholics to hide it away because they are fearful of criticism or just lazy and unmotivated.

The Pope tells us to put joy into action, in service to the poor, love of the sick, going out to meet our brothers and sisters at the crossroads and bringing them home. He personally and infectiously shows us exactly how it's done.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Dr. Grazie Pozo Christie.

@highlight

Dr. Grazie Pozo Christie says everyone is talking about Pope Francis, all the time

@highlight

He has stirred hearts and minds of Catholics and non-Catholics, she says

@highlight

People are saying that "we" finally have a progressive pope

@highlight

She says Pope Francis wants Catholics, bravely, out of their bunkers