The Arab world's relationship with media is -- like the region itself -- complicated and often contradictory and one that has been changing rapidly since the Arab Spring.

While social media as emerged as a powerful new means of communication and news, two new surveys on media in the region have revealed its rise has not necessarily led to the demise of older, more established media.

TV is the most popular (but not most trusted) news source

Last month, ASDA'A Burson-Marsteller published their fifth annual Arab Youth Survey. The survey was the result of 3,000 face-to-face interviews with men and women aged 18-24 across 15 different countries in the Middle East and North Africa.

While 72% of those polled listed TV as their main source of news, only 40% listed it as a trusted source of information -- down from 60% in 2011.

"There's a big family market in the Middle East. You sit in a living room with your parents or peers and watch TV. During Ramadan, it's the biggest activity. But that doesn't mean you trust it," notes Sunil John, the CEO of ASDA'A Burson-Marsteller.

According to John, TV is continuing to lose credibility, particularly as the region's two biggest broadcasters -- Al-Jazeera and Al-Arabiya -- have each taken notably strong stances on Egypt's political climate; Al-Jazeera allegedly pro the ousted Muslim Brotherhood-president Mohamed Morsy and Al-Arabiya in the anti camp.

Read more: Iran's political cartoonists push boundaries

"Most Arabic TV has been questioned in terms of its editorial stance. That two of the region's most prominent stations are taking a pro- and anti- stance in countries such as Egypt is one of the most discussed issues on the 'Arab street,'" he says.

Matt Duffy, a former journalism professor at the UAE's Zayed University, said he wasn't surprised by the findings.

"I think more youths are noticing that information is different depending on what media outlet you're turned into," he says. "Also, the students were far more connected to social media. They were checking their BlackBerry devices far more than turning on the TV."

Social media has changed the landscape considerably. In 2011, nobody polled listed social media as a trusted source of news and only 11% rated online media. This year, 26% said they trust websites, and 22% social media.

For Duffy the increased trust in these outlets isn't necessarily a good thing.

"I found many of my students had trust in anything: Twitter, blogs, newspapers, Tumblr, TV. Many would see a tweet and just assume it must be true."

Internet freedom is valued, but so is regulation

Northwestern University in Qatar also published a survey last month, focusing primarily on media usage in the region. The survey polled 10,000 individuals across eight countries on their media views, and found that, for the most part, Arabs believe in freedom of expression online; 61% of those polled in the region agreed with the statement "It is okay for people to express their ideas on the internet, even if they are unpopular."

Saudi Arabian citizens voiced this view most strongly, with 76% agreeing with the statement. Conversely, Saudis were also the biggest proponents of curbing internet freedom; 62% agreed that the internet should be more tightly regulated in their country. Across the region, half of those polled agreed.

"There's an enormous inconsistency there," says Everette Dennis, the Dean and CEO of Northwestern University in Qatar, and one of the survey's authors. Dennis attributes the discrepancy to the region's acceptance of constraints on freedom of speech.

Read more: Arab youth find comic relief with stand-up

"Whether people see it that way or not, the idea of blasphemy is alive and well in the Middle East. It's blasphemous to have anti-Islam material online, and there's a general acceptance in monarchies that one does not criticize the leader. You can criticize the head of state, but not the emir. I gather there's this acceptance that it's the way it is."

A free media does not equal a trusted media

Some countries Dennis surveyed were predictably cautious of their media. In Egypt and Tunisia, only around one quarter of those polled agreed that news media in their country was credible.

Other countries, however showed less predictable results. In Saudi Arabia, for example, where media is tightly controlled, 74% believed their news was trustworthy. In Lebanon, which has more freedom of press, only 25% agreed.

"It's counter-intuitive," admits Dennis. He believes that, in fact, increased access to media, coupled with diversity, have a hand in shaping the results.

"There's limited access to media in Saudi; there's almost a sense of gratitude for having web access at all. That could be one factor. Lebanon is also much more diverse, so you get more viewpoints, and with it, more controversy."

@highlight

Two separate surveys highlight the Middle East's complicated relationship with its media.

@highlight

One poll finds that while most Arabs rely on TV for their news, few find it reliable.

@highlight

The two top broadcasters in the region may have damaged their credibility with their strong political leanings.

@highlight

Many living  without press freedoms still find their media trustworthy.