(CNN) -- Kim Jong Il's passing closes a sad and tragic chapter for the people of North Korea. His 17-year reign will be remembered as a dark period in their history characterized by great suffering and steady and dangerous provocations to the outside world.

Though North Korea is an extremely opaque country, we can have some confidence that a transition plan established over a year ago is now being implemented. Public pronouncements from Pyongyang indicate 29-year-old Kim Jong Un has assumed leadership, and preparations are under way for a public funeral for Kim Jong Il, with Kim Jong Un presiding. Even the launch of a short-range missile off North Korea's east coast around the time of Kim's death can be seen as "North Korean normalcy."

Thus, this is not a time to hyperventilate; rather, we must take a deep breath and give sober-minded examination to the actions we can take to improve the situation on the Korean Peninsula and strengthen our own security. As a former ambassador in the region who worked on North Korea security issues, I am keenly aware that this delicate situation presents immediate risks but also long-term opportunities.

The United States should do the following:

We must establish and maintain close channels of communications with our allies to ensure our activities going forward are aligned. First and foremost, we must be in complete lock-step with the South Korean government in Seoul. We also need very close cooperation with Tokyo.

We should establish close consultations with other parties with influence in North Korea, including Russia and primarily China. While our interests often diverge, we share with Beijing an aversion to instability and chaos on the Korean Peninsula. At a minimum, we need quality channels of communication with China to avoid misunderstandings and miscalculations. For example, if China were to mobilize forces to close her border with North Korea to prevent a massive influx of refugees, it would be important that no one misread those steps as Chinese preparations for sending forces across the border.

An immediate priority relates to North Korea's nuclear weapons program. We need solid intelligence to monitor any potential rogue activities or any moves to proliferate, and we must have credible plans to address such activities alongside our allies. Over time, we should work with allies and others to encourage the new regime in Pyongyang to make the wise decision to give up nuclear weapons permanently.

We must also monitor Pyongyang's missiles. While North Korea's new leader may continue to flex his muscles with a series of short range missile tests, we cannot forget that North Korea is suspected to have longer range variants of the Taepo Dong missile that may be able to reach Hawaii and Alaska with conventional payloads. And we know the North Koreans have flown a two stage missile over our ally Japan as far back as 1998.

Our Aegis ships and those of Japan need to be on alert for the unlikely, but very dangerous possibility, of a missile strike.

As we look further ahead, we must note that April 2012 will mark the 100th anniversary of the birth of North Korea's founder, Kim Il Sung (Kim Jong Il's father). Our intelligence analysts were already predicting the occasion would likely mean a range of provocative actions from Pyongyang to mark the birth of their country's father and to extract payoffs from the outside world.

Now we must add into the dangerous mix the probability that Kim Jong Un will encourage some activities to show his strength and demonstrate that he's firmly in charge. The key going forward will be to help protect our allies and our interests but not to overact to the North Korean regime's predictable pattern of behavior.

Looking out over an even longer horizon, we should see Kim's passing as the best opportunity in decades for the people of North Korea to move toward political reform. Whether by supporting Seoul's North-South dialogue, working with Kim Jong Un if he shows any interest in opening-up (not much is known about him, but we do know he had some exposure to the West during his school years) or interacting directly with the people of North Korea, we should seize opportunities to encourage meaningful reform.

We should be reminded that after Mao Zedong's death in China in 1976, it took only two years for Deng Xiaoping to launch China's opening to the outside world in 1978.

Given the magnitude of these events, wise stewardship of our country and military is essential if we are to take advantage of this opportunity to help forge a more stable situation on the Korean Peninsula. The unpredictable events unfolding in North Korea and across the world should serve as a reminder that we need a president with hands-on foreign policy experience.

The opinions expressed in this commentary are solely those of Jon Huntsman.

@highlight

Jon Huntsman: Death of Kim Jong Il could lead to more instability

@highlight

He says U.S. must work closely with China, Japan, Russia to stay on top of events

@highlight

N. Korean missiles that could reach U.S. territory need to be closely watched, he says

@highlight

Huntsman says centenary of Kim Il Sung's birth may give rise to provocative actions