(CNN) -- The ability to live completely off the grid is now a reality courtesy of solar homes, known as Earthships. The U-shaped buildings utilize local resources such as the sun and are made entirely of natural and recycled materials. The future of city living may be to not need the city at all.

"An Earthship is the name we have given a building or vessel that we use to live on this planet that is absolutely independent of all public and municipal utilities," explains Michael Reynolds, founder of Earthship Biotecture, who developed the concept.

In the mountains of New Mexico, USA, Reynolds has built 15 cliff-top homes which, as well as providing a view, were designed to prove that the Earthships could be built anywhere.

At their core are walls made from old tires, bottles, and tin cans mixed with concrete, so your home leftovers are creating new homes. Even sewage isn't spared and is used in indoor and outdoor treatment cells for food production and landscaping. Leftover 'gray' water is also used to flush toilets.

"We were accused of running sewage through the living room," says Reynolds. "That was scary to people but when you see the pictures of what it looks like, it's no longer scary if you understand it."

Most modern amenities such as plumbing, heating, power and even internet are provided in a self-sufficient way to change the face of remote living. The use of a design known as the 'stack effect' in their construction uses natural ventilation to regulate internal temperatures for comfort.

"A lot of people think off-the-grid living is like living in some kind of teepee or something," says Reynolds. "This is a pretty damn nice house." The Earthships range in price from $250,000 to $1.5 million.

But remote deserts are not the only modus operandi, as Reynolds' company has also built 75 homes across the city of Taos, New Mexico and his designs have gone global.

Earthships have been built across the USA, entered Europe, and relief projects are being developed in Malawi, Guatemala, Haiti, India, Jamaica, Philippines, and New Zealand. Fundraising is taking place for a self-sustaining music school on Easter Island, one of the most remote locations in the world.

But the spread of these ships has not been plain sailing, as their radical design breaks most architectural rules.

Reynolds has battled with local governments about the Earthships meeting structural codes. However, his fights are being won as hundreds of people now live, or use, these uniquely designed buildings around the world.

The company's next goal is to expand from remote living to more self-sufficient cities which would be more affordable and sustainable to build -- an Earthship city.

"If some government or corporation was getting ready to do a city for ten thousand people, they'd spend ten years putting in infrastructure to support that city's power and sewage," concludes Reynolds. "We don't need that: if I had a thousand acres somewhere, and funding, I could start building a city tomorrow."

@highlight

Earthships are self-sustainable buildings independent of all utilities

@highlight

The first Earthships were designed in New Mexico, in and near the city of Taos

@highlight

Walls are made from recycled tires, tin cans and bottles

@highlight

The price of each one ranges from $250,000 to $1.5 million