(CNN) -- Take away the 100-foot screens, the blasting lasers, and the holographic projections, and what do you have left? Tens of thousands of screaming electronic music fans with nothing much to cheer except a solitary figure, twiddling some knobs and occasionally raising his hand.

For EDM fans across the world, the festival and concert visual performances can be almost as crucial as the music -- transforming a DJ-set into an unforgettable, transcendent, multi-sensory experience.

In the hands of specialist artists, the lights, images and physical environment around the DJ are becoming an art form in their own right. Buoyed by the explosion of popularity of live electronic music -- plus technological advances like projection mapping, innovative VJ (video jockey) software, mushrooming visual computing power, and those famous holograms -- these artists are now getting the chance to display their creations on a spectacular scale.

Here, we look at six of the names working behind the stage to turn festivals and concerts into unforgettable immersive experiences.

Comix -- Avicii, Swedish House Mafia, Alesso

Avicii's 2014 arena tour was a jaw-dropping spectacle -- glittering with laser-fire, pyrotechnics, and epic on-screen visuals -- that promised that the young artist could pack out arenas across the world just as well as more established names. The company behind everything on screen are London designers Comix, and for sheer mesmerizing hypnotism, give Avicii a miss and look at their work on Swedish House Mafia's ultimate "One Last Tour."

Strangeloop -- Flying Lotus, Skrillex, Erykah Badu

If anyone was born to take music visuals to cinematic new heights, it was David Wexler, AKA Strangeloop. The grandson of Academy Award-winning cinematographer Haskell Wexler and the son of Oscar-nominated production sound mixer Jeff Wexler, the L.A.-born artist has worked with dubstep star Skrillex (whose spasmodic performance visuals have also seen him recreated movement-for-movement as a giant robot), and "soul goddess" Erykah Badu. But it all started with his art school classmate Flying Lotus -- Wexler and the experimental music idol have worked together since 2008.

Eyesupply -- Armin van Buuren, Afrojack

Armin van Buuren's six-hour long all-night "Armin Only" marathons this year called for a different kind of visual display. Eyesupply's Carlo Ruijgers said it took his team a year working with Armin to pull together the creative ideas. In the end the key was contrast: "Sometimes we go very theatrical, do a fairytale environment... or 3D-oriented," says Ruijgers.

United Visual Artists -- Massive Attack, Hans Zimmer

Bafta-winning documentary filmmaker Adam Curtis called it a "gilm." (It's cross between a gig and a film.) His collaboration with British trip-hop pioneers Massive Attack was intended to be a lot more than a DJ set. Tracks ranging from Russian punk to English pop trio The Sugababes synced to a video performance billed as an immersive revelation of the "illusion of democracy." The performance drew on the expertise of United Visual Artists, who have been making incredible visual displays for the band for more years.

The Light Surgeons -- Chase and Status, Cinematic Orchestra

The Light Surgeons have invented something they're calling "Live Cinema." It's an on-screen viusal performance, improvised live like a jazz band. It's similar to how VJs are working behind the scenes at a festival, anyway -- splicing clips together on-the-fly to match the ebb-and-flow of a DJ set. Here, they're in control of everything -- creating cinematic narratives (like this "kaleidoscopic view of the cultural landscape of Malaysia") to tell grand stories. And they make killer videos for top DJs, too.

Universal Everything -- Coldplay, George Michael

Electronic music's influence has seen visuals develop across genres. Kate Bush's comeback shows and Radiohead's most recent tour stunned fans with on stage performances and visual madness. And "dad rock" has realized it doesn't have to be boring, either. Even dishwater ballad monsters Coldplay have signed up a company who make screen-drippingly beautiful 3D animations. Just watch this.

Who have we missed? Seen great visuals at a festival or concert this year? Let us know. Tell us about your best festival experience in the comments below.

@highlight

Discover six of the names turning festival visuals into an art form in their own right

@highlight

Live EDM events have exploded in popularity, and become eye-popping experiences

@highlight

Tech developments are allowing never-before-seen experiences