(CNN) -- Why stay home when there are 195 or 196 (depending on whom you ask) countries out there with so much to show off?

Granted, spending January in the middle of Moscow won't do your poor circulation much good, and July in New Delhi requires industrial-strength antiperspirant.

But for each month there's a perfect city, and conversely each city can be best enjoyed in a specific month.

Here's a yearlong guide to the when, where and why:

January: Tromso or Kirkenes, Norway

Why: The chance to shorten your bucket list: specifically, to mark off the northern lights.

Although the aurora borealis can be spotted anywhere between latitudes 65 and 72 degrees, Norwegian towns such as Kirkenes, Tromso, Alta and Svalbard offer ringside seats, especially in the winter.

Sail Norway's fiord-lined coasts aboard a Hurtigruten cruise ship, and the crew will provide wake-up calls when viewing is best.

If snowmobiling and dog sledding under shimmery green curtains of solar particles colliding with atmospheric gases aren't on your bucket list, you just need better gloves.

Weather report: To quote Norwegian explorer Roald Amundsen, "There's no such thing as bad weather, only inappropriate clothing."

Who should avoid: Anyone dead set on maintaining a year-round suntan.

7 stunning European ski lodges

February: Rio de Janeiro

Why: If you thought the Brazilians' costumes were crazy during the Olympics, wait until you see them at Carnival in Rio.

Millions jam the streets for exuberant samba dancing, drumming and wild displays of joy.

Christ the Redeemer, the world's largest art-deco statue, watches over it all from Corcovado Mountain.

You don't have to be tall or tan or young or lovely to enjoy Ipanema and Rio's other famous beaches. But you do need a bikini, the skimpier the better. (Bottom half only for guys.)

Weather report: Sunny and hot (average 32 degrees Celsius/90 degrees Fahrenheit), perfect for the beach and revealing outfits.

Who should avoid: Prudes who believe women should stick to turtlenecks.

Lonely Planet's top U.S. destinations for 2013

March: New Zealand

Why: Art, food, weather ... in addition to the year-round views.

Although you'll want to spend time in the forward-thinking Kiwi city of Auckland -- maybe taking in the 2013 Auckland Arts Festival (March 6-24) -- this is the perfect month to get out in the country, where adorable lambs are everywhere, magically bounding from one beautiful hillside to another.

It's still warm enough for a day at the beach, yet fall colors are starting to erupt.

Plus, where else can you take in a food festival that celebrates foraged food? The Hokitika Wildfoods Festival (March 9) offers such delicacies as huhu grubs, sheep brains, gorse flower wine and wasp larvae ice cream.

Weather report: Gorgeous, crisp days with averages in the low 20s C/low 70s F.

Who should avoid: Squeamish eaters. Gollum and Sauron.

April: Phuket, Thailand

Why: Get a jump on your tan.

When deciding on which of Phuket's sandy beaches to put down your blanket, start at the Big Buddha, a 45-meter (148-foot) white jade icon with 360-degree views of Thailand's biggest island and the Andaman Sea.

Just know that arguments are fierce as to which beach is best -- there's one for every taste from hard-to-find Banana Beach to upscale resorts such as the Amanpuri.

Weather report: Monsoons don't start until next month, so slather on the sunscreen and get comfortable.

Who should avoid: The fun-averse.

May: Tokyo

Why: Cherry blossom photos minus other tourists' backs and heads.

During May's Golden Week, when everybody flees the city, Japan's capital is as empty as you'll ever find it.

The city's 160,000-odd restaurants are practically empty (relatively speaking), and you might even get a bid in at one of 1,000 stalls in Tsukiji Central Fish Market.

Carp streamers known as koinobori are flying, the mountains are a lush green and, by the time everyone returns to the city, you'll be going the other direction -- to the countryside or Kyoto or Hokkaido, where the cherry blossoms and accompanying hanami parties are just starting to bloom.

Weather report: With summer's crippling humidity still a month or so away, gardens and blossoms are at their height and temperatures in the low 20s C/low 70s F.

Who should avoid: Travelers who enjoy being lost in crowds.

June: Seoul, South Korea

Why: To perfect your golf swing.

Ever since 2009, when Y.E. Yang came from behind to knock out Tiger Woods in the Hazeltine PGA Championship, becoming the first male Asian to win a major (the women have been winning championships since 1998), golfing in South Korea has taken off like a bottle rocket.

With the President's Cup to be hosted here in 2015 and lots of new, upscale private clubs opening -- many that resemble modern art museums -- South Korea is becoming a legit golf destination.

Weather report: Mild temperatures and lots of camellias and azaleas.

Who should avoid: Cheapskates. South Korea's fancy new golf courses require large membership fees.

July: Tanzania and Kenya

Why: To experience the Great Migration, when thousands of wildebeest and zebras move across the sun-dried landscape of the Serengeti.

In July, you can ditch the crowds in the pristine, rarely visited northern Serengeti and more popular Masai Mara Game Reserve.

Weather report: Dry with pleasant temps, average high of 28 C/82 F.

Who should avoid: City dwellers who hate the outdoors and/or camping.

August: Quebec City, Quebec

Why: While it's roasting in the rest of the Northern Hemisphere, this 400-year-old city with cobblestone streets, eclectic cafe culture and nonstop entertainment rings in with perfect temps.

A lot of freebie entertainment is available, from Cirque du Soleil shows (tickets in other cities go for $100-plus) to fireworks over the St. Lawrence River to the world's largest movie screen.

Weather report: Mostly sunny with an average 25 C/77 F.

Who should avoid: Tightwads who dislike tipping -- street performers on every corner pass hats.

September: Cape Town, South Africa

Why: It's naturally beautiful throughout the year, but Cape Town is in prime spring form with flowers sprouting everywhere.

But because it's technically off-season, air fare and hotel bargains are available for bargain hunters.

Offshore you'll find magnificent right whales in the process of making more magnificent right whales.

Weather report: Temps pleasant with cool evenings.

Who should avoid: Claritin addicts.

October: Munich, Germany

Why: The ultimate party (6 million takers per year) is in full swing.

Despite its many imitators, the original Bavarian Oktoberfest, where beer isn't classified as alcohol but as a "health drink," is hard to top.

It's so popular no one wants to wait till October to start; the 2013 event runs from September 21 to October 6.

Men wear lederhosen, women sport boob-accentuating dirndls, oompah bands play and everyone is singing, albeit somewhat poorly.

While you might imagine that playing a prost song every seven minutes (that's the average toasting interval) could lead to a fast descent into chaos, Germans value rules and order, and even when tents are canvas-wall-to-canvas-wall, civility prevails.

For those hoping to finance the rest of their year of travel, take note that Oktoberfest workers can earn $19,000 in 16 days.

Crucial tip: Make a table reservation six months to a year ahead of time -- those who just show up to the party will not be able to find a seat inside any of the tents and won't be served.

Weather report: Temperatures are crisp and cool (about 16 C/60 F), and Bavaria's mountains are in their full autumn glory.

Who should avoid: Enochlophobics.

November: Sydney, Australia

Why: With more than 50 beaches (that's just those in the city limits) and 300 days of sunshine, there's no such thing as a bad time to visit this city.

But in November, before summer air fares kick in, reasonable flights and hotel rooms can be scored.

And even though the Melbourne Cup is run hundreds of miles to the south (on November 5), the thoroughbred horse race incites a countrywide party.

Weather report: Beach weather (mid-20s C/mid-70s F) without the crowds.

Who should avoid: People without sunscreen.

December: London

Why: Charles Dickens.

No sooner did sweaty Olympic bodies pack up their medals and go home than London began unpacking its impressive holiday decorations.

The sweet-spirited Cratchits left a legacy that England's capital doesn't take lightly.

From the giant Norwegian spruce (given to London by Norway each year) at Trafalgar Square to Hyde Park's Winter Wonderland to Harrods, Fortnum & Mason's and other department stores' extravagant, light-strewn windows, 'tis definitely the season to be jolly.

Carolers, light displays, ice skating and choirs at Westminster Abbey make this the quintessential place to celebrate Christmas. Not to mention that massive bargains and sales take center stage right after Boxing Day.

Weather report: Cold, wet days are perfect for sipping mulled wine in front of cozy, wood-burning fireplaces.

Who should avoid: Anyone who uses words like "bah" and "humbug."

@highlight

See the northern lights in Norway in January, then head to Rio for Carnival

@highlight

Check out the cherry blossoms in Tokyo in May and skip over to South Korea for golfing

@highlight

In December, soak up the holiday spirit in London