(CNN) -- When Clifton Green and his wife adopted an adorable little girl from Ethiopia, they knew they would eventually have to deal with the hair issue.

Clifton Green learned how to care for his daughter Miriam's hair, which is very different from his own.

The Atlanta, Georgia-based couple, who are white, had read books about transracial adoptions that addressed how to deal with Miriam's springy curls that grew in full, dark and strong after a toddlerhood of baldness.

Green took it upon himself to learn how to care for and style his daughter's textured tresses.

"We didn't have any skills, but we had the desire," said Green of learning to do his now 5-year-old daughter's hair. "It's the culture, it's important and we want to honor it and respect it."

For many African-Americans, having a child walk around with unkempt hair is an almost unpardonable sin.

That desire to be well groomed extends into adulthood and the multitudes of hairstyles are as diverse as the black community itself.

There are naturals, weaves, chemically relaxed styles, braids and dreadlocks, to name just a few.

Far from being superficial, black hair and its care goes well beyond the multibillion-dollar industry it has become and is deeply rooted in African-American identity and culture.

"Barbershops and beauty salons are perhaps second only to black churches as institutions in the community," said Ingrid Banks, an associate professor of Black Studies at University of California, Santa Barbara and author of a forthcoming book on contemporary black beauty salon culture.  iReporters share their hair-stories »

"It's not about hair per se, it's about what hair means, particularly for black women in terms of racial identity, identity based on gender and ideas about power," she said. "On one level, hair matters because race matters in our society. For black people, our hair has been infused with these racial politics."

Banks points to the ideas, which continue to linger, that if a black woman straightens her hair she is "selling out the race" and/or "embracing the white standard of beauty" while women who wear their hair in natural styles are "blacker than thou."

"When we think about that, there is no other racial or ethnic group in which those ideas come to bear on someone's politics," said Banks, who gathered data for her book by traveling to black hair salons across the country. "No one is saying that about white women, Asian women or Latino women."

Erin Aubry Kaplan, who wrote an article about Michelle Obama's hair and its implications for Salon.com, believes the first lady's straightened and perfectly coiffed style helps her image.

"She has been criticized about many things, but I think that underneath the criticism about her being radical or too outspoken about race is this uneasiness people have about her being this tall, dark-skinned woman," Kaplan said. "So her hair is important, because if she is tall, dark-skinned and has an Afro then she becomes really scary." Sound off: Is there such a thing as 'good hair?'

That unease was also evident in 2008 when The New Yorker magazine ran a cover with a drawing portraying Michelle Obama wearing an Angela Davis-style Afro while fist bumping her turban wearing husband.

"[The cover] I think was meant to poke fun at what people really fear," said Kaplan, who added that as a black woman who does not have kinky hair, she has had her own share of issues. "I understood the intent, but we aren't at the point where we can laugh at black images, because every black image resonates and reflects on black people as a whole."

Robert Morris can relate to the perceptions that black hair can evoke.

The CNN iReporter recently cut the dreadlocks he had been growing for years and said that along with the physical makeover came an attitude shift in how people responded to him. Check out Morris' iReport on his change

"I wasn't as approachable when I had the locks," said Morris, who now sports a shorter, cropped do that he is enjoying. "It seemed like I had the stigma of being 'the angry black man.' "

People's possible reactions to hair caused another iReporter to lose sleep.

Tamille Johnson said her decision to get kinky twists kept her up the night before her visit to the salon. Read Johnson's concerns in her iReport

"It was really surprising to me because I was so afraid what people would think about them and I didn't think I would feel that way," Johnson said. "Whenever I would get my hair done, I would get straight styles and I did not know if people would think that the kinky style was pretty."

Johnson, an administrator at UC Berkeley, said she found the experience to be soul searching and she came to terms with the fact that as long as she thought her hair was beautiful, that was all that mattered.

That attitude is one Renae Valdez-Simeon hopes to impart to her two daughters. Because her children are biracial, Valdez-Simeon said she has often heard comments about her children's "good hair." Go to Valdez-Simeon's iReport

"When a child has straight hair, they are told they have 'good hair' and while people aren't telling children with curly hair that they have 'bad hair,' in essence that is what you are saying because you are saying that straight hair is good hair," Valdez-Simeon said.

Valdez-Simeon, whose site Mixtkids.com is billed as "One Mom's journey to raise empowered mixed-race children," said she has increasingly heard the comments because her 7-year-old sports tight, curly ringlets while her 1-year-old's hair has yet to curl.   "I try to explain to people that good hair is not straight hair, it's healthy hair," said Valdez-Simeon, who also said all of the comments have come from African-Americans.

Comedian Chris Rock saw the same attitudes in his young daughters and it helped motivate his new documentary "Good Hair."

The film is narrated by Rock and explores black hair from a variety of angles, including the booming $9 billion generated by the black hair industry and the science behind chemical relaxers used to straighten hair.

Rock also visited the Bronner Bros. International Hair Show in Atlanta, a twice-a-year event that has been in existence since the company started in 1947.

Janet Wallace, hair show manager, said as many as 50,000 attendees have come annually to each of the events to see the latest trends, services and products available.

Stylists and the public alike are enthralled by the art form that is hairstyling, Wallace said.

"People want to look good from the cradle to the grave," Wallace said. "Hair is fun because there are so many adornments and things you can do with it."

Green acknowledges that he has not reached that level of artistry yet, but takes pride in styling his daughter's hair well.

On weekends, the Emory University professor can be found wielding the various combs, brushes and products he has found that work for Miriam's hair (Carol's Daughter is a favorite at the moment).

While he said he's still not that good with "rows," the cornrow style that braids the hair close to the scalp, he can work other braided styles, twists and an occasional French braid.

The ritual of doing Miriam's hair is not only a time of bonding for the pair, but also an opportunity for him to honor his daughter and her heritage.

Green has kept his sense of humor about the many people who express surprise that he is so well educated about and skilled with black hair.

"I don't want people to look at her and tell she has white parents," he said, laughing.

@highlight

Hairstyles tied to black culture and identity

@highlight

Professor: "Hair matters because race matters"

@highlight

iReporters share their experiences with their hair

@highlight

Father of an adopted daughter honors her heritage through her hair care