(CNN) -- One was the archetypal military strongman, intent on maintaining the social order and saving his country from "catastrophe." The other was a charismatic shipyard electrician and trade union leader who was just as determined to lead his countrymen to freedom.

Wojciech Jaruzelski and Lech Walesa attend the first multi-party session of the Polish parliament in 1989.

Yet nowadays Wojciech Jaruzelski, the last leader of communist Poland, and Lech Walesa both claim, in their different ways, to have played their part in setting Poland on the path to democracy.

The rise of Solidarity, the union and social movement which Walesa founded among the dockers of Gdansk in 1980, was crucial to the ultimate collapse of communism in Poland and across the Soviet bloc.

Feted in the West, Walesa was awarded the Nobel Peace Prize in 1983 after spending nearly a year locked up as Jaruzelski clamped down on dissent, becoming a symbol of a rising tide of resentment behind the Iron Curtain.

By 1989, Solidarity had become an unstoppable social movement, sweeping to victory as the communist authorities relinquished their grip on power by allowing free elections. Walesa describes the union as a screw turning in the opposite direction to the communist regime, ultimately "destroying the engine."

"The system was 10 times less efficient than the western system," Walesa told CNN, recalling his decade-long struggle. "It paid less, life was worse. Each country enslaved by the Soviets was different and in Poland we had TV and people could travel so we knew life could be better... and we'd never given up."

But Jaruzelski still believes that without his decision to impose martial law in 1981, Poland's revolt against Soviet domination would have been as ruthlessly and violently quashed by Moscow as had those in Hungary in 1956 and Czechoslovakia in 1968.

"For me personally it was a great tragedy, the consequences of which I've felt to this day," Jaruzelski told CNN. "Martial law was evil. But it was less evil than the real and inevitable threat we were facing. There was a threat of an explosion -- and an explosion in Poland would have meant an explosion throughout Europe."

As a key link in the Soviet Union's chain of Eastern European satellite states, Jaruzelski believes Moscow would never have allowed Poland to break away peacefully: "I feared a terrible catastrophe. If martial law had not happened, Poland might have been flooded by a sea of blood."

Walesa admits the threat of Soviet intervention in the early 1980s was real, but says Solidarity had already won the argument against communism by the time Jaruzelski imposed martial law.

"I knew we were not going to fight," he said. "Because in Poland there were over 200,000 Soviet troops, they had nuclear arms, and they shot better than us. We could conquer them only this way: You can arrest us, but when we come out we do the same, and we will never work for communism again."

Even his arrest and imprisonment only deepened Walesa's belief that Jaruzelski's government could be toppled: "My friends advised me to run away but I made a different decision. When they came to arrest me, I said, 'You have lost, I have won. You have just put the last nails into the coffin of communism.'"

These days Jaruzelski is no defender of the system which he served, describing communism as "beautiful and noble, but utopian." Yet he believes Solidarity's demands in the early 1980s amounted to an "economic time bomb" and that Poland was not ready for democracy at the time.

"The system was bad, I admit it today," he said. "But at the time, I wasn't aware of that. Everything has to ripen -- corn, fruit, man and societies. Western countries took centuries to arrive at democracy. Except for six or seven years after World War I Poland had never been democratic so it was a difficult process."

The Polish authorities also realized the urgency of economic and political reform, Jaruzelski adds, and had already begun the process before the Round Table talks with Solidarity in 1989 that led to elections.

"It was a difficult and painful process for both sides," he said. "I can talk primarily of the government side, and what huge resistance I had to overcome among the people who were in power -- in the party, in the state, the army and the security apparatus."

Both men pay tribute to outside forces which made the leap to democracy possible. For Jaruzelski, Mikhail Gorbachev's emergence in the Kremlin marked a "breakthrough moment" in which the threat of Soviet military intervention in Poland was lifted, and a possible end to the Cold War loomed into sight.

Walesa and Jaruzelski also acknowledge the unique role of the Polish-born Pope John Paul II and the Catholic church in brokering peaceful talks between the two sides.

For Jaruzelski, though, the fall of communism was not the product of Solidarity alone or a single summer of upheaval but "a great river made up of numerous streams."

"Nobody should monopolize that victory," he said. "Because in this stream there was Gorbachev; there was Reagan and then Bush, who caused the weakening of the Soviet Union by the arms race; there was Solidarity; there was the pope, and there were also -- which I will say without humbleness -- the reformists within the authorities at the time."

Both Jaruzelski and Walesa paint themselves as reluctant leaders. Jaruzelski describes his decision to become Polish prime minister as "one of the greatest mistakes of my life," while Walesa, who was elected Polish president in 1990, says it was never his wish to lead his country -- "but who else could have done it?"

Jaruzelski remains a divisive figure in modern Poland, derided by many as a living symbol of an oppressive past and occasionally summoned to court rooms to answer charges relating to his career as a leading servant of the communist regime.

"My generation, which remembers those times and can evaluate them in a balanced way, is passing away," he said. "And the new, younger generation, through school, books and TV, are being indoctrinated to be critical of martial law. Still, a large part of the society -- the majority, I think -- considers martial law to have been inevitable and justified."

Yet even Jaruzelski says Poles can be "proud" of their role in the downfall of communist regimes across Europe: "The Polish elections preceded the revolutions in Hungary and in Czechoslovakia and the fall of the Berlin Wall. That impulse, that example that came from us, was of great significance and I think it is our great historical tribute."

Walesa, unsurprisingly, offers a more direct assessment: "Poland knocked out the teeth of the Soviet bear. Once we had done that, knocking down the Berlin Wall, the Velvet Revolution, all was made possible -- but only once the bear had no teeth."

CNN's Claudia Rebaza interviewed Wojciech Jaruzelski. CNN's Fredrik Pleitgen interviewed Lech Walesa.

@highlight

Former Polish leaders Jaruzelski, Walesa speak to CNN

@highlight

Jaruzelski was military leader who declared martial law in 1981

@highlight

Walesa was leader of Solidarity, first president of post-communist Poland

@highlight

Both men claim to have played key roles in Poland's transition to democracy