Philadelphia (CNN) -- She's a top corporate executive, she leaves work every day at 5:30 p.m. so she can have dinner with her kids, and now Facebook COO Sheryl Sandberg is here to help working moms figure out how to follow her successful model.

Not surprisingly, Sandberg's effort to lead a new feminist movement among working professional mothers -- outlined in her new book "Lean In: Women, Work, and the Will to Lead," and her accompanying online campaign -- has triggered a debate:

Is a high-powered executive who earns more than $30 million a year the best person to advise other working moms on how to advance their careers?

TIME.com: Excerpt from Sandberg's book

Maria Kefalas -- a university professor, author and married mother of three -- can trace a lot of similarities between her career and Sandberg's, without the multimillion dollar salary, of course.

Like Sandberg, Kefalas achieved amazing career successes while balancing a busy family life by the time she reached her early 40s.

"My career had been so important to me, so central to my life," said Kefalas, a self-described "recovering supermom." "I wrote three books, was a full professor at 42 and was successful in my field."

Gallery: Brilliant women, then and now

Last summer, everything changed. Her husband had just spent a rough year undergoing chemotherapy for cancer when her youngest daughter was diagnosed with a serious illness.

Kefalas, like many other working parents, had a choice to make: go for a big promotion or spend more time with her ailing daughter.

It was a no-brainer, she said.

"In a second, it all evaporated and it was gone," she said, of advancing her career. "And I didn't give a rat's ass."

Overscheduled kids, anxious parents

Today, Kefalas is a sociology professor at Saint Joseph's University in Philadelphia and director of the university's Richard Johnson Center for Anti-Violence. Her schedule allows her to spend her precious time with her family, something she might have given up if she had pursued that promotion.

She said she believes the "dramatic and tragic" story of why she "had to stop moving up the academic ladder" speaks to the real world obstacles that working mothers face all the time.

That's something that Kefalas said Sandberg's good fortune and financial resources have allowed her to escape.

Work and family: How do you and your partner make it work?

"All mothers have to make choices and we're judged differently," she said. "The choices for working mothers are more costly than it is for men.

"And until that changes, you'll having women opting out."

'Lean in' or 'wise up'?

Sandberg's mission is to help create more female business leaders like herself. She believes women can do that by taking charge of their careers, to "lean in" rather than "pull back" when facing obstacles, she wrote in her book, which will be released on Monday.

"Women rarely make one big decision to leave the workforce. Instead, they make a lot of small decisions along the way," Sandberg wrote, according to a book excerpt on Time.com. "A law associate might decide not to shoot for partner because someday she hopes to have a family. A sales rep might take a smaller territory or not apply for a management role. A teacher might pass on leading curriculum development for her school.

"Often without even realizing it, women stop reaching for new opportunities."

That, she said, has resulted in what she calls a stalled revolution for all women.

"A truly equal world would be one where women ran half of our countries and companies and men ran half of our homes," she wrote.

She's not just interested in selling books, either. Sandberg's Lean In campaign promises to support women through community, education and small groups by offering "ongoing inspiration and support to help them achieve their goals."

"Women are held back by many things, including bias and lack of opportunity," Sandberg said in her "Welcome to Lean In" video, adding "We also hold ourselves back."

In her book, Sandberg outlined three things women can do to further their careers: don't slow down their career before deciding to start a family, let go of unattainable goals, and make sure their colleagues are aware when women are held to different standards than men, particularly when women succeed.

The book hadn't even hit the shelves before everyone from every corner started weighing in (check out Time's full coverage here).

Sandberg's push to get women into the corner office and at the conference table fails to take into account that not everyone is "superhuman and rich," as Anne-Marie Slaughter, a Princeton professor and former senior adviser to Secretary of State Hillary Clinton, wrote in Fortune Magazine

Kefalas said it a little more succinctly: Sandberg lives in a fantasy world.

"We don't live in a vacuum," she said, "Maybe Sheryl does, but not the rest of us."

She works hard for the money

Put aside Sandberg's dream of more women reaching the top rungs of the corporate ladder for a moment. Statistics indicate that women still have a lot of barriers to just earning pay equal to that of their male counterparts.

Today, more than seven out of 10 mothers taking care of children are in the labor force, and nearly half of all married couples are dual breadwinners, according to Pew Research Center data from 2010.

Time.com: Pay gap not as bad as you think

Still, the public remains conflicted about the impact working mothers have on their young children, with only 21% of Americans saying it's a good thing.

"The cultural story of good mothering has not been reconciled yet to reflect working women," Kefalas said. "There are social rules and the standards are very demanding."

There is a structural reality that women live in, and there's a story women tell themselves about their lives -- a story that is impossible to live up to, Kefalas said.

"There is no way to have it all."

Sandberg agrees. The book excerpt says women should "stop trying to have it all." It also acknowledges the "sacrifices and hardships" that are tougher today "because of the expansion of working hours."

But according to the Facebook executive, that doesn't mean working moms should give up on their careers.

"If more women lean in, we can change the power structure of our world and expand opportunities," she wrote. "Shared experience forms the basis of empathy and, in turn, can spark the institutional changes we need. More female leadership will lead to fairer treatment for all women."

Sounds easy enough, right? Not so fast, Kefalas said.

"At the end of the day, we make choices about the kind of people we want to be, and it's so much more than self-sabotaging."

Get the latest news from CNN.com

Opinion: Bravo to Sandberg for leaving work at 5:30

Pete Cashmore: Why it's OK to leave a tech job at 5 p.m.

Opinion: What Yahoo! CEO Marissa Mayer misses on work-life balance

@highlight

Facebook executive Sheryl Sandberg has written a new book, "Lean In"

@highlight

She hopes to inspire women to realize more success in the corporate world

@highlight

Maria Kefalas is a self-described "recovering supermom"

@highlight

She isn't sure Sandberg has the right recipe for success for working moms