Chatham, England (CNN) -- The history of journalism is not, as supporters of official regulation pretend, a long march toward state involvement. Campaigners for a free press have fought for centuries against state interference. Their certainty that journalism sanitized by official regulators is incompatible with liberty is recognized by such trivial instruments of democracy as the U.S. Constitution. The phone-hacking scandal has exposed the depths some journalists plumbed in pursuit of saleable stories. But it has done nothing to undermine this truth: regulation underpinned by statute would squander the fruits of struggle and betray the cause of progress.

Should the press be more regulated? Share your views

The Hacked Off campaign claims to have discovered alchemy by which state underpinning of press regulation can be rendered safe. In fact it parades an oxymoron: independent regulation backed by statute. It is offensive to the democratic principle that a free press is a crucial guardian of ordinary citizens' rights. Worse; it would do nothing to protect the victims of phone hacking.

Why UK's shamed newspapers need regulating

The Leveson Inquiry has made stark one conclusion that is profoundly inconvenient to proponents of statutory underpinning. Richard Shillito of Farrer & Co., expresses it well: "All or virtually all the egregious behavior which has given rise to calls for better press regulation is either actionable or contrary to the criminal law. Breach of privacy, copyright, confidence, harassment, data theft, forgery, hacking of computers and phones, contempt of court/Parliament -- these are all covered by existing law."

So, one powerful argument against state-sponsored regulation of the press is that appropriate remedies -- and penalties -- exist already for all of the offenses that have been discussed at the Leveson Inquiry. Journalism is subject to more than 50 laws ranging from the Official Secrets Act (1911) to the Bribery Act (2010) and including libel laws that have made this country destination of choice for "libel tourists."

So, it is reasonable to ask what Hacked Off really wants. In fact its supporters have made that clear. They yearn for journalism in which the public interest is defined without any reference to what the public is interested in: reporting that would impose on the majority the tastes of a narrow cultural and intellectual elite. In the words of Mick Hume, my fellow campaigner for press freedom, "[Their] demand for 'ethical journalism' is essentially a cultural manifesto masquerading as morality."

I prefer liberty. Why should Britain have press regulation at all? America has none, and its newspaper culture is committed to ethical reporting. But there will be stronger regulation. The Press Complaints Commission's failure to investigate effectively hacking at the News of the World -- compounded by its criticism of The Guardian for pursuing a story of luminous importance -- guaranteed it.

But Lord Justice Leveson has no mandate to impose state-sanctioned regulation. He has responsibility without power: Government and parliament must decide. They should not be tempted by a solution three Royal Commissions since 1945 have rejected. A sanctimonious alliance of celebrities and illiberal academics urges them in that direction. They would be utterly wrong to take it.

State involvement in the regulation of journalism destroys public trust. Before the internet, newspapers were trusted most when they stood apart from the state and spoke on behalf of their readers. Today the internet is cherished for the same reason. And, cherish it or not, pragmatists should note that it makes statutory regulation of newspapers an absurdly old-fashioned idea.

Supporters of state-regulation castigate its opponents as "first amendment fundamentalists." They mean that we support the U.S. Constitution's guarantee that government may make no law abridging the freedom of the press. I believe Britain should adopt a comparable guarantee. State supervision of newspapers offends their readers and journalism serves democracy best when its values are those the public consider decent.

Regulation underpinned by statute might satisfy a short-term appetite to avenge the suffering of innocent victims. It would please the few misguided MPs who still imagine that the press was wrong to shine light into the murky world of parliamentary expenses. But no matter how benignly intended or carefully designed it would have consequences worse than any good it could do.

As Christopher Meyer, former British Ambassador to the United States, explained to the Leveson Inquiry: "Once you allow the state into this area, whatever the best intentions may have been, you are by definition standing on the top of a slippery slope. Twenty, 25 years later, things change, politics change. It is quite possible a less permissive and liberal state, less conscious of our freedoms, might try to take advantage of that legislation to do things that would be offensive to the principle of freedom of expression."

Soldiers call it mission creep, and statutory regulation would not just provide a tool for misguided politicians at home. Authoritarian rulers everywhere would exploit the slightest hint of state involvement in the regulation of the British press. "Look," they would gloat, "The mother of democracy understands the need for the state to ensure that journalists behave. We agree."

Plainly authoritarians of right and left share a desire to regulate what the electorate may read. Shocking is the possibility that sincere liberals may soon find themselves tainted by an outcome they should despise. Were the superb work the Guardian did to expose phone hacking to result in state supervised regulation of newspapers, the injustice would be grotesque. An outcome that great newspaper deplores in every corner of the world cannot be a proper conclusion to its campaign.

I do not forecast an apocalypse, just a slow descent into controlled speech alien to the British tradition. It may be humanely directed, but the ultimate price of a statutory backstop to regulation of the newspaper industry is a docile press. Far better to cherish raucous, impertinent journalism that can speak truth to power on behalf of its readers and entertain them enough to secure their loyalty. A few individuals who already have our collective sympathy and who have received or will receive richly deserved compensation might enjoy the spectacle of state-sanctioned regulation. We would all be losers.

The opinions expressed in this commentary are solely those of Tim Luckhurst.

@highlight

Tim Luckhurst: Regulation is offensive to principle that free press is guardian of citizens' rights

@highlight

It would also do nothing to protect the victims of phone hacking, he adds

@highlight

Luckhurst: Journalism serves democracy when its values are those public consider decent