(CNN) -- Two years removed from his disastrous 2012 presidential bid, Rick Perry is fully recovered from back surgery, sporting new glasses, reengaging with the Republican conservative base, and showing signs that he's considering another run for the White House.

Immigration policy helped sink the Texas governor's previous bid, but it has now put him back in the spotlight. He met on Wednesday with President Barack Obama, who's under fire over the surge of undocumented minors on the southern border.

Obama accepted Perry's offer for a sit-down following a sharp exchange with the White House. Last week, White House spokesman Josh Earnest mocked his message on immigration, saying "the truth is it's hard to take seriously Governor Perry's concerns."

Perry points to his state's long border with Mexico as ground zero for the crush of mostly children entering the United States illegally.

"My message to President Obama is to secure this border, Mr. President. Finally address this issue and secure this border," Perry said last week at a congressional hearing near the border in McAllen, Texas.

But he may have disappointed fellow conservatives when he said that he was "tired of pointing fingers and blaming people." He added, "I hope what we can do is come up with some solutions here."

Perry used more muscular language days later when he said, "this is a failure of diplomacy. It is a failure of leadership from the administration in Washington, D.C."

Jeff Miller, a senior Perry political adviser, told CNN that Perry "is not saying anything different than what he's being advocating since 2010 -- that 'we've got to secure this border. There's a crisis going on.'"

Obama wants $3.7 billion for immigration crisis

But Miller said the current crisis is giving Perry a larger platform.

"Right now, because of the huge influx of these children crossing the border from Mexico, the media's paying more attention and more of the public is seeing the crisis the governor has been dealing with for years. Not a lot has changed, but now more people are listening to what the governor's saying," Miller said.

Immigration helped sink Perry in 2012

While a real front-burner issue in his state, Perry is also seeing political stars align. Immigration was the issue that damaged him more than any other when he ran for president last time, people close to him say.

Perry launched his presidential campaign in August 2011, months after former Massachusetts Gov. Mitt Romney and the rest of the field of candidates had jumped in.

Perry entered with lots of buzz and armed with big bucks and big name backers, and he quickly soared in national polls. But good times were fleeting, as Perry soon ran headfirst into Romney on illegal immigration.

In a debate a month later, Perry defended his support for government-funded tuition at state schools for undocumented immigrants. He argued that if you didn't support such a move, "I don't think you have a heart."

But some of his Republican rivals considered that soft.

"Governor Perry, you say you have got the experience. It's a bit like saying that, you know, the college coach that has lost 40 games in a row has the experience to go to the NFL," said Romney at another debate.

Rick Perry's busy summer

"The truth is, California -- I'll say it again, California and Florida have both had no increase in illegal immigration and yours is up 60 percent." Romney added.

Sources close to Perry tell CNN they believe that moment did more to hurt Perry with GOP primary voters than any other.

Still, Perry suffered a more memorable blow with an epic gaffe in a November 2011 debate, when he forgot the third of three federal government departments that he had said he would eliminate.

Perry's campaign limped on, but he called it quits after a disappointing fourth in the Iowa caucuses and fifth in the New Hampshire primary.

Political resurrection?

Fast forward two years.

Perry decides not to run for re-election and is again making his pitch to conservative voters.

"I have a simple suggestion -- It is time for a little rebellion on the battlefield of ideas," Perry told the base at this year's Conservative Political Action Conference.

And Perry's summer travel plans hint toward a 2016 bid.

He recently made his third trip over the past year to South Carolina -- the state the holds the first southern primary. The visit to the Palmetto State precedes upcoming stops this summer in Iowa and New Hampshire.

Perry even hosted a group of more than a dozen key New Hampshire Republicans at the Governor's Mansion in Austin a few weeks ago to wine and dine them, CNN is told.

When he goes to the Granite State next month, it will be his first trip there since 2012, when he failed to make much of an impression at all on voters there.

A veteran New Hampshire Republican ally setting up New Hampshire meetings tells CNN they are consciously doing things differently this time. They're opting for a manner more conducive to the way New Hampshire voters like to be approached, in a series of small, intimate meetings.

But the tactical shortcomings from 2012 is not the only thing he's trying to improve ahead of another possible candidacy -- it's also his readiness on a policy level.

Perry urges Congress, Obama to work together on border security

Perry sources admit that he simply wasn't up to speed on many of the key issues that confront a candidate, never mind a president.

To overcome that, he now has multiple policy briefings a week, every week on issues ranging from economic policy, to education, to the environment to national security.

One source tells CNN that if he is traveling and there is a think tank nearby, he will make a point of stopping for a briefing from experts.

Perry has also been trying to do more international travel, attending the highbrow annual World Economic Forum in Davos, Switzerland, going to Israel, and planning a trip later this year to China.

But it's firestorm over immigration that may give Perry his biggest opportunity for political resurrection.

Miller downplayed any impact from the current immigration crisis on a potential 2016 bid, saying "to me these are two completely separate issues."

But GOP analyst Ana Navarro, a CNN contributor who's close to former Florida Gov. Jeb Bush, another possible 2016 GOP presidential contender, said "Perry embodies an interesting dynamic regarding immigration.

"He's a border enforcement guy with the experience of being a border state governor, but he's also shown compassion towards the human angle of the immigration debate," she said.

Navarro added that "If he can somehow walk that tight rope, and be eloquent as to how he defends his position, it can show him as a pragmatist and be helpful."

Reality check: 5 things you need to know about immigration crisis

What Obama can and can't do on immigration

CNN Films: Undocumented

@highlight

New glasses, repaired back, Rick Perry is on the move

@highlight

He is reengaging with the GOP's conservative base

@highlight

Immigration helped sink his 2012 presidential campaign

@highlight

But it's putting him back in the spotlight now with his Obama meeting