(CNN) -- Mitt Romney arrived Wednesday in South Carolina as the clear front-runner for the Republican presidential nomination, while his rivals campaigned across the state to try to halt the former Massachusetts governor's momentum after his victory the day before in New Hampshire.

CNN projected that Romney's second straight triumph in the first two contests of the nomination process gained him seven of the state's 12 delegates, based on his first-place support from just over 39% of primary voters.

Texas Rep. Ron Paul, who finished second with about 23%, picked up three delegates, and former Utah Gov. and U.S. Ambassador to China Jon Huntsman gained two delegates based on his third-place finish with roughly 17% of the vote.

Former House Speaker Newt Gingrich and former Pennsylvania Sen. Rick Santorum got no delegates for their support of just under 10% each, and Texas Gov. Rick Perry also was shut out by trailing with less than 1% of the vote.

With 1,144 delegates needed to secure the nomination, the New Hampshire haul was more symbolic than substantive, but it further bolstered Romney's campaign after his razor-thin victory in last week's Iowa caucuses.

Next on the primary calendar is the January 21 primary in South Carolina, where Romney's five opponents are counting on the state's social conservatism and reputation for brass-knuckle political brawls to help their cause.

The Palmetto State has picked the winner of every GOP nomination fight since 1980.

Gingrich told a town hall in Rock Hill, South Carolina, that the result of the upcoming primary will be historic.

"I believe the next 10 days are as important as any 10 days we have seen in modern American politics," Gingrich said. "I believe that South Carolinians are either going to center in and pick one conservative or by default they are going to send a moderate on to the nomination."

Santorum, who lost to Romney by eight votes in Iowa, said Wednesday that it was "silly" for anyone to suggest Romney has the nomination wrapped up.

"This is a long process," Santorum said while campaigning in Ridgeway, South Carolina. "Half the people (who) voted yesterday weren't even Republicans."

Romney is hoping a combination of momentum, campaign cash, growing establishment support and a fractured opposition will lead to a victory not only in South Carolina but also in Florida at the end of the month. That would be four straight victories for Romney after Iowa and New Hampshire, and could bring the Republican contest to an early conclusion.

In a sign of Romney's support, his campaign said Wednesday it would report fourth-quarter earnings of $24 million for a total of $56 million in 2011.

"I have a long way to go before I get the nomination," Romney told CNN on Wednesday morning. The other candidates will "find new attacks. (But) I think in the final analysis people want someone who can lead the country back to strength with good jobs and rising incomes, and all these attacks I think will fall entirely flat."

In his victory speech Tuesday night, Romney sounded like the presumptive Republican nominee, calling Barack Obama "a failed president" who puts his faith in government while "we put our faith in the American people."

Romney is the first non-incumbent Republican in modern history to win both Iowa and New Hampshire.

Romney leaves N.H. with wind at back

For their part, the other candidates quickly tried to minimize New Hampshire's importance and appeal to South Carolina's more conservative electorate.

In Rock Hill, Gingrich said that if elected, "we will not tolerate a speech dictatorship in this country against Christianity." He also questioned Democratic challenges to Republican efforts to require more stringent voter identification efforts in some areas.

"What does it tell you about the Obama administration that they are afraid -- afraid -- to have an honest elections?" Gingrich said. "They are afraid if we only allow legal voters."

Perry noted the fact that he had all but abandoned New Hampshire, focusing his time and energy on South Carolina.

"South Carolina is a winner-take-all state," Perry said on CNN's "Piers Morgan Tonight." "Winning here, I can promise you, wipes out the caucus victory and New Hampshire. So if Mitt's thinking he's got it in the bag, I think he'll be in for a great surprise in South Carolina when he shows up here."

Are you in South Carolina? Tell us why you're voting

Santorum, meanwhile, took aim at both Romney and Perry. Without naming Romney, Santorum said electing a moderate would be little better than having a Democratic president.

"That's not a victory at all," Santorum said, adding: "We want a leader that believes in us and is not an establishment candidate who's going to do more of the same."

Responding to Perry's claim of being the only true political outsider in the race, Santorum noted that Perry "requested 1,200 earmarks as governor of Texas, and Rick Perry's been in politics in Texas for 25 years, so he's been in public life more than anyone else running for president."

Santorum's campaign said it has raised $3 million since the second-place finish in Iowa, with at least half of that planned for spending on ads in South Carolina.

Paul told CNN after his second-place finish Tuesday that he expects to raise more money, and his campaign chairman said Wednesday that Paul plans to spend $1 million in South Carolina, a significant amount in a state where television advertising isn't all that expensive.

Even if Romney is unstoppable as the GOP nominee, Paul and his aides made clear he intends to keep his campaign going, perhaps all the way to the Republican convention. The more delegates he can rack up, the more leverage he would have to integrate key messages of his libertarian, anti-interventionist movement into the Republican Party platform.

"We're on the move," Paul said Wednesday in West Columbia, South Carolina. "It isn't only because you have a candidate. We have an issue, and we have a set of principles that we're going to defend, and this is what motivates people."

Paul: Only I can stop Romney

In an interview with CNN before Tuesday's results came in, Gingrich acknowledged South Carolina will be vital to his presidential hopes.

"We're going to go all out to win South Carolina. We think that's a key state for us," the former speaker said, describing the race there as a contest between himself -- a "Georgia Reagan conservative" -- and Romney, "a Massachusetts moderate."

Gingrich has been pounding at Romney since Iowa, complaining about a massive negative ad campaign against him by allies of the former Massachusetts governor.

A Gingrich-allied super PAC has already launched its own anti-Romney barrage in South Carolina, and Gingrich and others have honed in on Romney's years as a financier with Bain Capital, accusing him of getting rich by gutting companies and laying off workers.

"The last thing you want is to nominate somebody who collapses in September because they can't answer the questions," Gingrich said Wednesday in an interview to broadcast on CNN. " ... You know, people want to attack me for my past, that's fine. I either will answer it and be ready to be the nominee or I won't. Romney ought to have to meet the same test."

Gingrich wasn't alone in attacking Romney's business record. In South Carolina, Perry told supporters Romney's firm "looted" a photo company in Gaffney and a steel company in Georgetown.

"I would suggest they are just vultures," Perry said. "They are vultures that are sitting out there on the tree limb waiting for the company to get sick, then they swoop in, they eat the carcass, they leave with that and they leave the skeleton."

Democrats have joined the Republican criticism, with Rep. Debbie Wasserman Schultz, who chairs the Democratic National Committee, saying Wednesday that Romney emerged from New Hampshire a "wounded candidate."

"Yesterday's primary couldn't have happened soon enough for him because his support in the state was rapidly eroding," Wasserman Schultz said "As I watched it erode, it seemed to me the more people got to know Mitt Romney the less they liked him."

Romney seemed unconcerned in an interview Wednesday on CNN.

"It's been brought up every time I've run," Romney said, adding that Democrats are trying to put "free enterprise on trial."

"But, you know, Rick Perry and Newt Gingrich are going to be the witnesses for the prosecution," he added. "I'm not worried about that. ... You saw last night that approach didn't work very well for (them). And so we'll take it to the next level."

At a Romney event Wednesday night, South Carolina Gov. Nikki Haley chided fellow Republicans for making an issue of Romney's business past.

"We have a real problem when we have Republicans talking like Democrats against the free market," she said as the audience cheered. "We believe in the free market."

A former businesswoman, Haley appealed to the audience as fellow executives.

"We want companies to be able to do what is best for companies, and during tough times you downsize and you make hard decisions and during good times you expand and you help those businesses grow more," she said in her introduction of Romney. "That's what he's done. He's done what every one of us has tried to do."

CNN's Paul Steinhauser, Alan Silverleib, Jim Acosta, Peter Hamby, Dana Bash, Kevin Bohn, Tom Cohen, Jessica Yellin and Rachel Streitfeld contributed to this report.

@highlight

NEW: South Carolina's governor says don't attack Romney's business record

@highlight

Mitt Romney shrugs off criticism of his days as a venture capitalist

@highlight

Ron Paul, Rick Santorum plan big spending in South Carolina

@highlight

The Republican presidential campaign shifts to South Carolina, site of the next primary