Boise, Idaho (CNN) -- Five American soldiers have been charged with killing Afghan civilians for sport and staging the slayings to look like legitimate war casualties. The youngest of those five -- a now 20-year-old private from Idaho -- came home a changed man, his mother says.

And, said Dana Holmes, the Army not only should have known something had gone dreadfully wrong, but commanding officers should be held responsible.

"The man that came home was not my son," said Holmes. "He was very thin. He'd lost about 50 pounds. He said the Army told him he had a parasite. I made him his favorite sandwich, and it took him two days to eat the whole sandwich. Just couldn't eat; he didn't sleep."

Pfc. Andrew Holmes was a healthy, 185-pound 18-year-old when he joined the Army, his mother said. He came home on leave in April -- weeks before the Army launched an investigation into the suspected illegal drug use by his platoon, Bravo Company, 2nd Battalion, 1st Infantry Regiment, Fifth Brigade.

Holmes' family had him hospitalized in Idaho to restore his strength. He told his mother that he gave himself daily IVs of fluids in Afghanistan to keep hydrated, a claim that horrifies his mother, who cannot believe the Army would not treat a soldier who was clearly ill. During his time on leave, she said, he was paranoid, always asking the family their whereabouts, concerned that someone was going to harm them.

Shortly afterward, he returned to Afghanistan to rejoin his unit.

"I threatened to break his leg and keep him home, but he just hugged me and said, 'Mom, I've got a job to finish.' It was hard to put him on the plane. It was the first time I've seen him fall apart, when we put him on the plane. ... He was still hyper-vigilant about making sure we weren't alone," she said.

And not long after Holmes returned to action, the Army launched its investigation, which quickly grew in scope -- with a new main focus on the murder of Afghan civilians. Now, Holmes and four others face numerous charges, including drug use, premeditated murder, possessing body parts and possessing photos of corpses. Seven others in the platoon are charged with various other crimes, from assaulting a fellow soldier who blew the whistle on the group's hashish smoking to collecting body parts as war trophies and posing them in grisly photos.

Tapes describe killings for sport

Holmes and some of the others are being held at Joint Base Lewis-McChord in Washington, where the platoon was based, to await courts-martial.

Dana Holmes thinks the Army should be held accountable for what happened at that forward operating post in Afghanistan.

"If they were smoking that much hashish, you can smell it," she said. "Where was the command? Did they just dump these boys off and say go forth and conquer?"

"How did they know what was going on? My son was a healthy 18-year-old kid when he went over there, and now he is a mess. And I don't understand why the Army is not going after the officers."

The highest-ranking soldier accused is a staff sergeant, Calvin Gibbs. His attorney has declined comment on the numerous charges Gibbs faces, including premeditated murder. He has not entered a plea.

Reports show Army sgt. tracked kills with tattoos

Gibbs has been depicted in documents and discussed in interrogation videos by some soldiers as the ringleader they feared. But no one above his rank has been charged with any offenses -- or, according to lawyers, disciplined for allegedly allowing the platoon to make up its own rules of war.

Holmes is charged with the first reported civilian killing in January. He is accused of conspiring with Cpl. Jeremy Morlock to shoot at the civilian and then toss a grenade to look like the soldiers were under attack.

Morlock's attorney disputes those accusations.

"As I stated before, my client through that period of time was suffering from brain damage," said Michael Waddington, a civilian attorney representing Morlock. "He was treated, not properly treated by a cocktail of drugs, given to him by the military.

"Our defense is not that three people were not shot. I don't think that that's in dispute at this point. ...There is a question of who shot them, whether or not my client was mentally responsible at the time of the shootings and what role he played in the shootings."

Holmes is also charged with smoking hashish, possessing a dismembered human finger and wrongfully possessing photos of human casualties.

His civilian lawyer, Dan Conway, said his client did not kill any civilian and was ordered by his supervisor, Gibbs, to keep a human finger.

"All I can speak for is the charge Pfc. Andrew Holmes is associated with, and I'll tell you that there is no proof that ... Holmes caused or conspired to cause the death of any human being unlawfully,'' Conway said.

The Army refuses to comment on any aspect of any of the cases and has sought to limit circulation of evidence, especially since videotaped interrogations of some of the soldiers and alleged written confessions by some soldiers were obtained and reported by media outlets, including CNN.

But it was the Army's own charging documents that portrayed a platoon gone rogue. In explicit detail the Army wrote how killings were staged -- how a fellow soldier was beaten and how Gibbs threw human fingers at another soldier believed to have snitched about the group's hashish smoking. It even charged one soldier with possessing a human skull.

The charges drew media attention from around the world. The Army's response: mostly silence.

The Army moved to restrict attorney access to what has been described to CNN by some who have seen them as a series to a series of gruesome photos of dead Afghans by allowing inspection of the material only at a secure facility in Lewis-McChord. A number of attorneys have objected, telling CNN the Army is limiting their ability to defend their clients because it is more concerned how the charges are being played in the media and perceived in Afghanistan.

The Army even ordered military attorneys to return photos and documents that may have "inadvertently" been sent to them.

Those who have seen the photos say they are worse than those depicting Iraqi prisoners in humiliating poses at the infamous Abu Ghraib prison.

"These remain allegations," said Geoff Morrell, a spokesman for the Defense Department. "They are abhorrent, even as allegations. But I think they are, they are an aberration in terms of the behavior of our force, thankfully, and so I don't think they are in any way representative of how, you know, American military men and women behave in the field.

"But let's let this trial take place, and let's see what judgment is ultimately rendered. And talk to the Army about whether there's a larger effort to try to look into the chain-of-command issues," Morrell said.

CNN tried to pose questions about those chain-of-command issues with both Army Secretary John McHugh and Army Chief of Staff Gen. George W. Casey Jr. but received only a brief email in response:

"The secretary and chief are going to decline the opportunity to do the interview."

Soldier blew whistle on platoon

That doesn't surprise Dana Holmes, who said the Army has ignored the soldiers and their families in this case from the beginning. She said her son insisted on having an attorney present for his questioning and was placed under guard for weeks and told he did not need one. Eventually he agreed to talk, but Conway said he was tricked into doing so, believing he was receiving representation when he was not.

Christopher Winfield, the father of another soldier charged with murder, told CNN he tried to report to the Army that his son had told him about the first murder, only to be ignored by the Army. Two more civilians died, according to the timeline provided by the Army in its charging documents. Winfield said that if the Army had heeded his calls for help those civilians might be alive and his son would not be in trouble.

The Army is now investigating his allegations that he tried to alert the Army.

Warning may have been ignored

Spc. Adam Winfield is charged with premeditated murder, although he is seen in an interrogation tape saying he fired his rifle but aimed high and missed.

His lawyer, Eric Montalvo, said his client is not guilty of premeditated murder despite what his client told investigators on the videotaped interrogation.

Dana Holmes said she doesn't believe anything the Army says.

"I hold the Army responsible for this whole mess," she said. "Especially now that the Winfields have come forward and said they warned them about all this. This was going on and the Army chose to do nothing about it."

Pfc. Holmes' attorney said he plans to put on a vigorous defense of his client, arguing that he killed no one. And he said he plans to ask serious questions about the Army's command of a platoon that everyone agrees went terribly astray.

"The only way these kind of allegations can occur is the command is completely derelict in supervising, meaning not there, or they're ignoring that this kind of conduct may be occurring," Conway said. "And I don't know which one it is at this point."

CNN's Todd Schwarzschild and Courtney Yager contributed to this report.

Watch The Situation Room with Wolf Blitzer weekdays at 5pm to 7pm ET and Saturdays at 6pm ET. For the latest from The Situation Room click here.

@highlight

Dana Holmes: "The man that came home was not my son"

@highlight

Holmes' mother says Army should be "going after" officers in charge

@highlight

His attorney says Andrew Holmes is innocent

@highlight

Holmes and four others are charged with murder