NEW YORK (CNN) -- Michelle Crawley says she's a "freak" about putting sunscreen on her two girls.

Emily Crawley and her dad, Jere, hit the pool on the first day of a Florida vacation, which left Emily sunburned.

"They are both pretty fair skinned," says the West Chester, Ohio, mother of two. So every time Emily, 6, and Claire, 3, go out into the sun, she slathers them with SPF 30 or higher .

But during a recent trip to Key Largo, Florida, Crawley's vigilance wasn't enough.

"I wasn't sure if it was my technique, the sunscreen or being in Florida," Crawley said, but "that evening they were just fried beyond belief."

Slathering on sunscreen has become as much a part of the summer ritual as the vacation itself, but a consumer advocacy group has a warning for parents like Crawley who think they're protecting their family with sunscreen: You may be getting burned.

The Environmental Working Group, a Washington-based nonprofit, has released an investigation of nearly 1,000 brand-name sunscreens that says four out of five don't adequately protect consumers and may contain harmful chemicals.

The group says that some of the products of the nation's leading brands -- including Coppertone, Neutrogena and Banana Boat -- are the poorest performers. Read about the study

Coppertone was named by the Environmental Working Group as having 41 products that failed to meet the group's criteria for issues ranging from failing to protect adequately to containing potentially harmful ingredients to making unsubstantiated claims.

But in a statement to CNN, the company says it "rigorously tests all its products in the lab and in the real world" to ensure that they're safe and effective.  Watch more on what to look for in sunscreen »

The makers of Banana Boat, which also failed to meet the Environmental Working Group's standards for various reasons, did not respond to CNN's requests for comment.

Neutrogena says its sunscreen products have been "embraced by dermatologists and consumers for their efficacy" and says its new Helioplex technology provides broad-spectrum UV defense against sun damage.

The science of sunscreens is simple: Active ingredients are compounds that absorb, reflect or block ultraviolet light. Sunscreens are regulated by the Food and Drug Administration not as cosmetics but as over-the-counter drugs. Sunscreens are rated based on their SPF, or Sun Protection Factor. The higher the SPF, the better the protection against sunburn.

The Environmental Working Group says that the SPF rating on a sun product is only part of what consumers need to know and that one of the biggest problems with sunscreens is that they don't fully protect against sunlight.

"A good, effective sunscreen must prevent against a broad spectrum of rays," said Sonya Lunder, a senior researcher at the Environmental Working Group.

Sunlight is composed of two types of ultraviolet light: UVB rays, which cause sunburns, and UVA rays, which tan. Although both may increase the risk of skin cancer, sun damage and wrinkles, the FDA doesn't require sunscreens to protect against both, just UVB.

The FDA acknowledges that new rules mandating UVA testing and labeling requirements are being evaluated, but the Environmental Working Group wants tougher standards now.

"The fact most sunscreens still don't don't offer UVA protection and the fact the FDA has been working for years to finalize its rules is really what provoked us to look at this issue," Lunder said.

Another issue: Is a key sunscreen ingredient safe?

Oxybenzone is a a popular UV filter in many sunscreens, one evaluated by the FDA as safe. The Environmental Working Group says its analysis of hundreds of studies of more than a dozen sunscreen chemicals finds that oxybenzone can penetrate the skin and pose health concerns, anything from hormone disruption to cancer.

The industry group representing sunscreen makers denies that oxybenzone causes harm and deems such claims irresponsible.

"Questions about the safety of oxybenzone unnecessarily alarm consumers," said John Bailey, the chief scientist for the Personal Care Products Council, which offers its scientific information about the safety of sunscreen ingredients online.

"Safe sun" has always been a priority for the American Academy of Dermatology, which sees sun overexposure as the single most preventable risk factor in the more than 1 million new cases of skin cancer expected to be diagnosed in the United States this year.

Although dermatologists agree that broad-spectrum sun protection is important, some experts see an even bigger sun danger if people perceive that their sunscreen isn't safe.

"We're concerned this will raise unnecessary confusion and cause people to stop using sunscreen," said the Skin Cancer Foundation, a nonprofit group dedicated to educating the public about sun safety. "Consumers should rest assured that sunscreen products are safe and effective when used as directed."

While sunscreen effectiveness is debated, all skin experts agree that how a sunscreen is used is just as important as what kind of sunscreen is used. Dermatologists say that an ounce of sunscreen should be applied to all exposed areas 30 minutes before going outside and should be reapplied every two hours, or immediately if you swim or sweat.

Common sense can also protect from the sun. Experts agree that children under 6 months old should be kept out of direct sun. Children need sunscreen with SPF 30 or higher.

If you are sensitive to sunscreen, never go without. Instead, try sunscreens that provide a physical barrier, such as zinc oxide or titanium dioxide. New micronizing technology makes both appear more transparent on the skin, so you don't have to look like a lifeguard with a white nose.

After her girls were sunburned, Crawley bought aloe and sun shirts, which they wore for the rest of their Florida trip. She is frustrated some consumers may not be getting the protection they think they are when they buy sunscreen.

"I think it's disappointing if you are putting your trust in these companies," she said. "Someone needs to be keeping an eye on it to make sure they are meeting their claims."

CNN correspondent Elizabeth Cohen, senior producer Jennifer Pifer and Melanie Diaz contributed to this report.

@highlight

Environmental Working Group: 4 out of 5 sunscreens tested don't adequately protect

@highlight

Group says chemical in sunscreens can penetrate skin and pose health concerns

@highlight

FDA allows the chemical in sunscreens, says it is safe

@highlight

Sunscreen manufacturers say their products are safe and effective