(CNN) -- The comparison would probably irk Michael Jackson purists, but it's easy to see why some of Kilian Martin's fans liken his fancy footwork to the late "King of Pop."

The Spanish skateboarder's stylish 360-degree toe spins, seen through the artful lens of filmmaker and friend Brett Novak, have a mesmerizing quality -- much like the rest of his repertoire.

Martin's artistic flourishes may not be as grandiose as some you'll witness in a skate park; you won't find the 27-year-old chasing air in halfpipes, for example. His tricks are more delicate, his approach more artistic.

"To me skateboarding is an art form," Martin tells CNN's Human to Hero series.

"I'm able to put my thoughts into it, picture stuff and then draw it ... using the world as my canvas and the skateboard as a brush."

Those canvases, as millions have witnessed on YouTube, range from abandoned train station ticket halls and derelict water parks to art galleries and deserted cityscapes in the U.S., Asia and Europe -- the place where Martin's skateboarding odyssey started.

Born and raised in Madrid, skating didn't figure much in his early childhood. Like most kids he played soccer but also competed as a gymnast and enjoyed surfing on family vacations in the Canary Islands.

The athleticism learned at the gym has clearly informed his skating style, but it was a love of the waves that ultimately influenced his future.

"When I was in Madrid I couldn't surf, so I thought that skateboarding could help my surfing," he explains.

"That's basically why I started skating. Then I got hooked ... and I stopped going to gymnastics when I was 16 years old. I love skateboarding because of the creative side of it. There's so much variety, so much you can do."

Streets ahead

Martin has made his name in a branch of skating called street freestyle made famous by U.S. pro legend Rodney Mullen.

Often referred to as the godfather of the genre, Mullen invented numerous moves in the 1980s which are now commonplace today, including the flatground ollie and a host of flip tricks.

"Freestyle skateboarding is pretty much how skateboarding started," says Martin.

"In freestyle skating there aren't really any rules and you can skate however you want. What I do is mix that freestyle skating with the streets (doing) spins, handstands and rail tricks on obstacles."

Initially, he plied his trade as a competition skater but after winning the 2010 World Cup freestyle in Paderborn, Germany he switched to making films.

None are particularly long -- most last around five minutes -- but all are jam-packed with tricks that Martin makes look easy. But the reality is often rather different.

"Sometimes I'll be trying tricks hundreds of times and I'll be completely exhausted and not really wanting to do it anymore but I push myself," he reveals.

There is also the task of knitting separate tricks together into a flowing sequence -- which is not easy in freestyle, a discipline sometimes derided for being a jerky, stop-start affair.

"Sometimes I'll have my eyes closed and picture myself (doing a trick). As I am filming it my mind and (visualizing) how it looks, I start to think of tricks I've done before and how I can keep the flow and how I can make a variation," Martin explains.

Evolving tricks is just as important as creating new ones, he says, pointing to his embellishment of the "daffy" -- an old and relatively simple maneuver where a skater straddles two boards, riding one behind the other.

"I've been able through the years to take that trick from flat ground to obstacles and come up with some ideas (integrating) the ollie, heelflip and going backwards. It's something that I'm proud of," he says.

Magnum Opus

Martin's talent has led to some unique opportunities, like skating to George Bizet's "Carmen," in a commercial for a brand of whisky.

He teamed up with a choreographer Miguel Elias for the two-day shoot at the Avenida Theater in Buenos Aires, Argentina at the end of last year.

"When I was skating Elias was giving me ideas. It was something very new to me. I listen when people give me suggestions for new tricks but a lot of the time it doesn't make sense because they're not skaters," Martin says.

"But a lot of what he was saying was making sense ... he came up for an idea for a wall trick. I was like 'wow,' this guy has so much style. Afterwards, I had a whole new respect for him."

More recently, Martin has hooked up with his buddy Novak again to shoot the next installment of his freestyle adventures. Life could not be better for the Spaniard, who is now based in California -- the cradle of the sport.

"What really makes me happy is making skate videos," he says.

"My goal is to develop my skating, basically take it to another level. It's not really about changing skateboarding, but changing my own skateboarding.

"It's something that I want to do for the rest of my life, as long as I have legs ... well even if I don't, 'cause I'll do a handstand!"

Read more: The 'Frog King' who spawned a golden legacy

Read more: The rise of the 'new Nadia Comaneci'

@highlight

Kilian Martin's atmospheric videos are a massive internet hit

@highlight

Spanish skater's elegant "dance" moves likened to pop star Michael Jackson

@highlight

Martin was a junior gymnast but got hooked on skating at age of 16

@highlight

The 27-year-old is noted for his development of tricks including the "daffy"