Washington (CNN) -- An ancient Persian symbol of freedom, tolerance and coexistence has joined documents like the Declaration of Independence, the Bill of Rights and the Emancipation Proclamation in Washington.

The Cyrus Cylinder represents the spirit and ideals of Cyrus, the leader of the Achaemenid Empire in the sixth century B.C. After peacefully conquering Babylon in 539 B.C.and declaring his principles on the cylinder, Cyrus freed the Jewish population of Babylon from long bondage and rebuilt the Temple in Jerusalem.

The Cyrus Cylinder inspired many throughout history -- in particular 18th century Enlightenment philosophers, historians and politicians in Europe and America -- as a source of their thinking on human rights, settling conflicts and leadership.

Thomas Jefferson reportedly owned two copies of the Cyropaedia, Xenophon's biography of Cyrus, and carried it for inspiration and guidance.

Today -- far from ancient Persia and the Enlightenment, in a different, far more divided Middle East -- the United States is struggling to open a window to resolve long-lasting tensions with Iran, tensions entwined closely with the fate of Israel, America's principal ally in the region.

"The Cyrus Cylinder sets up a model to run a multifaith, multifaceted, diverse society, leaving a model of the Middle East as a unit and what it could ideally be," said Neil MacGregor, director of the British Museum, in a recent TED Talk. The 2,600-year-old, football-sized clay cylinder is on loan from its permanent display at the British Museum in London for a five-city tour that began Saturday in Washington.

"In the Jewish tradition King Cyrus is known as the divinely anointed figure who enabled the Jews to restore their sacred institutions," said Rabbi Sarah Bassin, executive director of the foundation NewGround, a Muslim-Jewish Partnership for Change. "Many in exile chose not to return to Jerusalem and the Holy Land because they felt comfortable and safe with the lives they had in the Persian lands,"

Shared values and common heritage that draw people together are subject to interpretation and can also push people apart. Yet, Bassin argues, "Israel's identity is woven with the ancient stories of the Bible that happened throughout its borders, and now it's helpful to emphasize these core narratives that contain examples of cooperation and coexistence as a reminder that a different paradigm is possible."

Rabbi Marc Gopin, director of the Center for World Religions, Diplomacy and Conflict Resolution at George Mason University, suggests a country should be defined by the values of its culture and history rather than the policies of its government.

"Disputes should attack issues, not civilizations," Gopin said.

An expert on Arab-Israeli diplomacy, Gopin said such an approach creates more "nuanced" relations.

Ping pong diplomacy

Nuances are seen in President Dwight Eisenhower's cultural exchange program in the 1950s, which sent American jazz musicians, dancers and other artists to countries with strained diplomatic ties with the U.S. during the height of the Cold War. That paved the way for Soviet Premier Nikita Khrushchev's visit to the U.S. in 1959.

And an invitation from China to a U.S. national ping pong team in the early 1970s led to President Richard Nixon's visit in 1972 -- the first by a U.S. president since the Communist takeover in 1949.

"Exchange derives the history of values globally, and the social empathy that comes from cultural exchange is better than one thousand negotiations," Gopin said.

Cultural exchanges are going on between the U.S. and Iran, even with the ongoing conflict over its nuclear ambitions.

The U.S. wrestling team was welcomed in Tehran last month. Eight Iranian art experts have planned a visit to the U.S. as part of a State Department cultural exchange program, which coincides with the arrival of the Cyrus Cylinder.

"When you're engaging with Iran, you should communicate based on those shared values," Gopin said. "We all love the same values. Yet, we happen to have disagreements, so what should we do about those disagreements? Which is the point that ultimately leads to arguments and diplomacy."

"If Iranians see a single, even small indication that today, the United States is going to talk and act wisely, I can assure you that talking to the United States or any other nation around the world is welcomed by the Iranians," Mohammad Khazaee, the Iranian ambassador to the U.N., told CNN last week.

With the Cyrus Cylinder tour coming to the U.S. during a pivotal time in the relations of U.S. and Iran, the wisdom of Cyrus could guide diplomats to build constructively upon shared values.

"Each time a leader brings out the best things in the people they are fighting, magical things happen," Gopin said.

The Cyrus Cylinder is on display at the Smithsonian's Sackler Gallery and Freer Gallery of Art through April 28. It will be in Houston from May 3 through June 14; New York from June 20-August 4; San Francisco from August 9-September 22; and Los Angeles from October 2-December 2.

@highlight

The 2,600-year-old Cyrus Cylinder is on five-city tour of U.S.

@highlight

The clay cylinder is a declaration of freedom and coexistence from Persian King Cyrus

@highlight

Cyrus' philosophy guided many Enlightenment thinkers as well as Thomas Jefferson