(CNN) -- If you thought the Supreme Court's ruling two years ago remaking the individual mandate into a tax was the end of the legal threat to the Affordable Care Act, think again.

Set aside Hobby Lobby and similar lawsuits; those are important for religious liberty but don't threaten Obamacare's existence. Instead, as we saw Tuesday, courts are again considering serious challenges that strike at the core of how Obamacare operates.

First, in Halbig v. Burwell, the D.C. Circuit -- the federal appellate court that oversees executive agencies -- held that the IRS broke the law in issuing tax credits for people to buy policies from federal insurance exchanges. A couple of hours later, however, in King v. Burwell, the Richmond-based 4th Circuit ruled in favor of the government's authority to provide these credits.

FAQ: What the Obamacare court decisions mean for you

What's going on here and what's the big deal about some obscure tax regulations?

As it turns out, these tax credits, better known as subsidies, make Obamacare tick, even more than the individual mandate. Without them, consumers face the full cost of health care, which is a sticker shock that would further turn the public against the law and finally force the administration to reopen it. It's also these subsidies that trigger taxes on employers and individuals who don't buy the requisite level of care. So what the two courts are debating is whether President Obama illegally spent billions of taxpayer dollars and subjected millions of people to illegal taxes.

Watchdog: Fake applicants got Obamacare subsidies

The problem lies buried deep in the text of the Affordable Care Act, which provides federal subsidies only to taxpayers who enroll in exchanges "established by the state." As Judge Thomas Griffith, a moderate George W. Bush appointee who was supported by then-Sen. Barack Obama, wrote for the D.C. Circuit, "the federal government is not a 'state,'" and therefore "a federal exchange is not an 'exchange established by the state.'"

That should be the end of the discussion, and it would be in any sane world. But the government and its defenders argue, apparently channeling Humpty Dumpty's mantra that a word means just what he chooses it to mean, that "established by a state" is synonymous with "established by the federal government." Thus, in the King ruling, Judge Roger Gregory, whom Bush appointed in a good-faith gesture after his nomination expired under Bill Clinton, somehow found the language to be "ambiguous" and deferred to the agency's reading.

After all, why wouldn't Congress make subsidies available to all? Such questions of legislative history are irrelevant when the text is clear, but there's actually a simple answer: the Affordable Care Act's drafters wanted to give states an incentive to set up exchanges.

That's not uncommon; for example, only residents of cooperating states get Medicaid assistance.

Unfortunately for Obamacare's proponents, however, only 14 states and the District of Columbia chose to establish their own exchanges. If the D.C. Appeals Court ruling is correct, that means millions of people in 36 states are receiving subsidies for which they aren't eligible.

Study: Obamacare gave 10 million Americans health insurance

After-the-fact rationalizations notwithstanding, the concession that Obamacare's designers didn't anticipate so many state vetoes doesn't retroactively rewrite the plain language of the law. The fault lies squarely with those drafters, not the lawyers who point out the IRS abuse or the judges who strike it down.

The government will see rehearing by the entire D.C. Circuit; having stacked the court after Senate Majority Leader Harry Reid eliminated filibusters of judicial nominations, President Obama figures he has a good chance to reverse Halbig. At the same time, Mike Carvin, the lawyer for the plaintiffs in both cases, will bypass the similarly unfriendly 4th Circuit and ask the Supreme Court to hear King.

The high court could decide not to act until the D.C. Circuit rules, presumably eliminating the circuit split and thus the necessity of taking up the issue. But two more cases are coming behind these, one brought by Oklahoma's attorney general and the other by the state of Indiana. Waiting another year or two would only increase the economic damage of the IRS' shell game. The sooner the administration is forced to fix Obamacare, the better for the country and its battered rule of law.

@highlight

Ilya Shapiro: Court challenges are striking at the core of how Obamacare operates

@highlight

Shapiro: Who is eligible for subsidies? Without them, consumers face full, high costs

@highlight

Shapiro: Law says those in state exchanges are eligible, not federal exchanges

@highlight

Shapiro thinks millions of people in 36 states with federal exchanges get subsidies illegally