Two Chinese ships arrived at the coast of Vietnam on Monday to begin efforts to collect thousands of Chinese citizens who are fleeing the country after deadly attacks last week.

The chartered ships reached the port of Vung Ang in Ha Tinh, the coastal province where some of the worst violence targeting Chinese facilities and workers took place, Chinese state media reported.

One of the two, the Wuzhishan, departed later Monday for the southern Chinese port city of Haikou with 989 evacuees on board, according to the official Chinese news agency Xinhua.

Along with two other ships that are still en route, the vessels are being used to bring back almost 4,000 Chinese citizens who are leaving because of the recent unrest, Xinhua said.

Chinese authorities said Sunday that more than 3,000 Chinese had already been evacuated from Vietnam after protests over China's decision to move an oil rig into disputed waters of the South China Sea spiraled into riots last week in which foreign-owned factories were burned and looted.

At issue is the positioning of the rig in waters claimed by both China and Vietnam. Vietnam claims the rig's presence is "illegal," while China says it has every right to drill and has castigated the Vietnamese government for failing to ensure the safety of its nationals.

Two Chinese citizens were killed in the violence and more than 100 were injured, authorities said.

The crisis has frayed ties between the two Communist-run Asian nations, and there is little sign of either side backing down over the increasingly bitter territorial dispute.

Security tightened

A series of chartered planes carried scores of Chinese citizens, including 16 critically injured workers, back to China on Sunday, Xinhua reported.

The critically hurt patients were suffering from a range of injuries inflicted by beatings with iron bars, said Liao Zhilin, a spokesman for the hospital in the western Chinese city of Chengdu where they were admitted.

The badly injured workers were employees of China Metallurgical Group Corp., a contractor for an iron and steel complex being built in Ha Tinh, according to Chinese state-run media.

Vietnamese authorities have clamped down on the unrest, arresting hundreds of people. They have beefed up security at key locations and urged citizens not participate in further protests.

But that hasn't stopped China from pressing ahead with the measures to extract thousands of its citizens from the country. Beijing has also warned Chinese people not to travel to Vietnam and said it will suspend some planned bilateral exchanges with Hanoi, according to Xinhua.

Ships clash at sea

Out in the South China Sea, ships from both countries are facing off.

Vietnam's state-run news agency VNA on Saturday accused China of continuing to show "its aggressiveness by sending more military ships" to the area around the oil rig.

The news agency cited Nguyen Van Trung, an official at the Vietnam Fisheries Surveillance Department, as saying that China had 119 ships in the area Saturday morning, including warships, coast guard vessels and fishing boats.

Some of the ships were provoking the Vietnamese vessels by ramming them and firing water cannons at them, he said.

Vietnam says the rig site is clearly on its continental shelf, and moreover, is in its Exclusive Economic Zone. Hanoi has demanded that China remove the offending rig from the disputed waters, escort vessels from the region and hold talks to settle the issue.

'We are not afraid of trouble'

China, for its part, has continued to accuse Vietnamese ships of similar acts, saying they are trying to disrupt the oil rig's drilling operation. It has declared a 3-mile exclusion zone around the rig, which is operated by the state-owned oil and gas company CNOOC.

"We do not make trouble, but we are not afraid of trouble," Gen. Fang Fenghui, the chief of the general staff of the Chinese People's Liberation Army (PLA), said Thursday during a visit to the United States.

"In matters of territory, our attitude is firm. We won't give an inch," Fang said after meeting U.S. Joint Chiefs of Staff Chairman Gen. Martin Dempsey.

U.S. concerns

Relations between China and Vietnam soured this month when the Chinese platform began drilling for oil near the Paracel Islands, which are claimed by both countries.

At the time, the U.S. State Department called the move "provocative," saying it "raises tensions."

Beijing has laid claim to most of the South China Sea, putting it at odds with several of its neighbors in the region, including the Philippines and Malaysia. China is also locked in a bitter dispute with Japan over a group of tiny islands in the East China Sea.

While many commentators say Vietnam has every right to be upset over the positioning of the Chinese rig, at least one analyst says the issue not as clear cut as some suggest.

"Geographical proximity alone is not an unequivocal basis for claiming sovereignty or sovereign rights," writes Sam Bateman in the Eurasia Review.

Bateman, a senior fellow at the S. Rajaratnam School of International Studies at Nanyang Technological University, says Vietnam's claim to the Paracel Islands is "seriously weakened" by North Vietnam's recognition of China's sovereignty over the Paracels and the lack of protest between 1958 and 1975.

In 1974, the two countries fought the Battle of the Paracel Islands, which ended in a Chinese victory and complete control over the land and surrounding waters.

After the reunification of Vietnam in 1975, Vietnam's leaders publicly renewed the country's claim to the islands, but the issue remains unresolved.

"We have to acknowledge there are territorial disputes," including "what exactly is the status quo and who is seeking to change it," Dempsey said Thursday at the news conference with Fang of the PLA.

His comments were a veiled reference to Washington's view that Beijing is attempting to change the status quo by more aggressively seeking to establish control over disputed areas.

Protesters torch factories in southern Vietnam as China protests escalate

How an oil rig sparked anti-China riots in Vietnam

@highlight

Beijing has laid claim to most of the South China Sea

@highlight

A Chinese ship sets off with nearly 1,000 evacuees on board, Xinhua says

@highlight

Anti-Chinese protests in Vietnam descended into deadly violence last week

@highlight

The unrest was provoked by China moving an oil rig into disputed waters