Madrid (CNN) -- Spain's best-known judge, Baltasar Garzon, went on trial Tuesday in Madrid for the second time in two weeks, accused of abusing his judicial authority during his investigation of human rights abuses under the former dictatorship of Spain's Francisco Franco.

A seven-judge panel at Spain's Supreme Court is hearing the case, a week after a different seven-judge panel at the same court conducted the first trial against Garzon, for allegedly abusing his judicial authority in a financial corruption case.

Garzon, 56, was suspended from his post in 2010, pending these trials. If convicted, he would not go to jail but could lose his right permanently to be a judge in Spain.

Many observers said the second trial is the most important against Garzon, who became known internationally in 1998 when he sought the extradition of former Chilean dictator Augusto Pinochet, who was in a London hospital. Garzon accused him of the murder of Spaniards in Chile and crimes of genocide.

Reed Brody of Human Rights Watch said the trial against Garzon for his Franco investigation "is the first time in a consolidated democracy" and in the European Union that a judge "is indicted for investigating human rights abuses."

"Garzon is being tried for trying to apply in Spain the same principles he applied internationally. A democracy needs judges who aren't afraid," Brody told a news conference in Madrid on Monday, flanked by other international observers who are attending the trial.

In both cases, state prosecutors have asked that all charges be dropped. But under Spanish law, a private prosecution is also allowed and it is the lawyers for these parties that are pressing the charges against Garzon.

Last week's trial in the so-called Gurtel financial and political corruption case lasted three days and the seven-judge panel must now determine a verdict.

In the case Tuesday involving the Franco regime, a small civil servants union called Manos Limpias, or Clean Hands, brought charges against Garzon, saying he ignored a 1977 amnesty law approved in Spanish parliament, two years after Franco's death.

"Parliament unanimously approved the amnesty law. Judge Baltasar Garzon takes a stance as if they're crazy. What does he think? That he's better than them?" said Miguel Bernard, leader of Manos Limpias.

Bernard denies critics' charges that his group is a tiny far-right front, but he told CNN he was proud to receive an honor just last month from the Francisco Franco Foundation.

Garzon said in May 2010, at the time of his suspension from his post as investigating magistrate at the National Court, "I face this calmly, with the tranquility of knowing that I am innocent of these charges."

Franco's military uprising in 1936 triggered the three-year Spanish Civil War. The war ended when Franco's forces emerged victorious over Republican and leftist fighters. Franco's dictatorship continued until his death in 1975. Mass graves from the regime are still being unearthed.

Just outside the courtroom on Tuesday before the proceedings began, Garzon told CNN he is "okay" as he heads into this second trial. He talked with his lawyers and supporters, smiled broadly and appeared relaxed.

Outside the courthouse, several hundred people demonstrated in favor of Garzon, a far larger crowd than at the start of last week's trial.

Inside the ornate 18th-century Supreme Court building, various people, still looking for the remains of their relatives in mass graves from the Franco regime, filed into the courtroom, right next to Bernard of Manos Limpias. But the two opposing groups apparently did not recognize each other, and there were no apparent verbal exchanges.

The trial opened with preliminary issues, in which Garzon's defense lawyer called for the case to be thrown out. Among the questions was whether a case like this could go forward when not the state prosecutor but only a private prosecution is bringing the charges.

In the financial corruption case that Garzon was investigating, and which still has ongoing trials against defendants in various parts of Spain, Garzon ordered electronic surveillance against some defendants being held in jail, and some of their conversations were with their lawyers.

These lawyers later filed charges against Garzon, saying he had overstepped his judicial authority in ordering the wiretaps on their conversations in prison and also violated their constitutional rights.

During the trial, Garzon said his orders did not breach their attorney-client privilege and that the electronic surveillance was supported by prosecutors. It was done, Garzon said, on suspicion that the defendants in the corruption scandal were engaged in money laundering, even while they were in preventative prison.

Lawyers for the financial corruption defendants called on the court to clearly delimit how far a judge could go in investigating alleged crimes.

Garzon spent 22 years as an investigating magistrate at the National Court, which handles cases of terrorism and other delicate cases. He has investigated the late al Qaeda leader Osama bin Laden, the Basque terrorist group ETA, and drug traffickers.

At times in the past, Garzon has been considered a darling of the Spanish right or the Spanish left, depending on the cases he was investigating. His critics say he is too flamboyant and grandstands in front of the cameras.

Since his suspension in 2010, Garzon has been working as a legal adviser outside of Spain on human rights cases and judicial issues, including in Latin America.

A third case against Garzon, for alleged judicial improprieties linked to his organization of some courses at New York University that had major Spanish corporations as sponsors, is still in the investigation phase and no trial date has been set.

In that case as well, Spanish prosecutors have not pressed charges but a private prosecution has.

@highlight

Spain's best-known judge is on trial for the second time in two weeks

@highlight

A judges' panel has yet to rule after last week's trial

@highlight

Baltasar Garzon is accused of abusing his judicial authority

@highlight

The second trial is thought by many to be more important