(CNN) -- The BP oil spill has brought into the public's eye the tragedy of oiled wildlife.  The pictures last week of pelicans completely covered in oil were horrific and rightly produced an outcry of rage from the public.

Should these birds, and other oiled wildlife, be saved?  Much like the struggle to contain the oil itself, there are no quick fixes or easy answers.

First, we need to emphasize that rescue and rehabilitation of oiled wildlife must be performed by trained wildlife professionals and volunteers. Without proper training, would-be rescuers can inadvertently harm or further stress oiled wildlife or be harmed themselves, either by struggling animals or the oil itself.  Rescuers must go through a weeklong training on the handling of hazardous materials as well as proper wildlife rescue techniques.

Wildlife rehabilitation is difficult. It is more than simply retrieving, washing and releasing wildlife contaminated with oil. Rehabilitators not only clean wildlife but provide veterinary care and feeding.  Some animals are desperately ill, while others may need only minimal care.  Each animal is individually assessed and then treated appropriately. Experts may make the difficult decision that some creatures can't be saved.

Read why some experts say birds should be euthanized

Even if we do everything right, the long-term survival of rehabilitated wildlife may be uncertain. Beyond the short-term threats of oil poisoning and hypothermia, surviving wildlife face potential loss of their food sources and habitat. And it's not as simple as moving affected individuals to a new location -- if a species moved 500 miles away from where it was originally lived, it might not be able to locate food and in some cases might even return to the original, oil-polluted location.

Wildlife at risk from the BP oil spill include five species of threatened or endangered sea turtles, including the most endangered sea turtle in the world, the Kemp's Ridley sea turtle, which is largely dependent on the Gulf of Mexico.

The brown pelican, in addition to having symbolic importance as Louisiana's state bird, was only recently taken off the Endangered Species List.  For species that are threatened or endangered, every individual is critically important to help contribute to the survival of these species.

Some have argued that we shouldn't bother to try to save any oiled birds, that given the long odds many face, we should simply euthanize all of them. That line of thinking overlooks recent advances in wildlife rehabilitation. It also lumps the sickest birds together with ones that may only be mildly ill.

More broadly, it misses the point that this isn't just about playing the percentages. Humanity is an important factor in the decision to rehabilitate oiled animals.  People caused this problem, and many feel it is our ethical duty to try to help the wildlife suffering as a result, even if the task is difficult and the outcome uncertain.

At the National Wildlife Federation, we've heard from so many Americans who feel a sense of helplessness as the oil continues to gush and as BP's attempts to stop it continue to fail.

Knowing that efforts are being made to save the innocent wildlife victims of this disaster not only helps the emotional stress of the public, it also gives them hope and rallies them to get involved, whether it's making a donation to the response effort or contacting their elected officials.

The sad reality is that many of the Gulf's most critical species are now swimming against the current.  Rehabilitation is difficult, and survival is uncertain. This only underscores the critical importance of clean energy and climate legislation now so we can prevent these disasters from happening in the future. That's the only real way to ensure that we don't have to see more images of oiled wildlife struggling and dying in disasters of our own making.

The best way to help personally is to give, which you can do by texting WILDLIFE to 20222 to donate $10 to the NWF Gulf Oil Spill Restoration Fund. If you're in Louisiana and want to report oiled wildlife, call (866) 557-1401. Sign up for NWF's Gulf Coast Surveillance volunteer teams to help spot and report oiled wildlife throughout the Gulf at www.nwf.org/oilspill.

The opinions expressed in this commentary are solely those of David Mizejewski.

@highlight

Rehabilitating oiled birds is a difficult and risky effort, says David Mizejewski

@highlight

Naturalist says birds may not survive the return to a natural environment

@highlight

But saving birds can help ensure survival of endangered species, Mizejewski says

@highlight

People caused this problem; many feel ethical duty to save as many birds as possible, he says