LONDON, England (CNN) -- Believe the conspiracy theories: Out of sight and without your knowledge, governments truly are filtering what you see on the Internet.

Internet users are increasingly having content blocked by governments around the world.

The recent conflict between Georgia and Russia has highlighted many of the issues at play with Internet filtering, as its increasing use by governments raises serious doubts about the freedom of the Web.

Georgian authorities blocked most access to Russian news broadcasters and Web sites after the outbreak of the conflict, and both sides reported Web sites being blocked, removed or attacked as the situation unfolded.

According to one of CNN's iReporters in Georgia, the situation has been very frightening for citizens.

Andro Kiknadze said an online forum he used to organize supporters appeared to have been taken down, and he described a "cyberwar" in which some Web sites appear to be blocked.

"Please, please help us. We are losing our treasure, our freedom. I am almost crying because I'm seeing my country is falling," Kiknadze said.

So, what is Internet filtering, and why all the fuss?

Filtering simply means restricting access, blocking or taking down Web sites.

Karin Karlekar, senior researcher at freedom promoter Freedom House, said there were several ways in which content could be "filtered."

She said governments could use purpose-built filtering technology, censor Web sites, filter search results -- with the assistance of multinational corporations, and block applications and circumvention tools -- to stop online applications like Facebook, YouTube or Voice Over IPs that enable social networking.

And the use of these tactics appears to be quite widespread.

According to a 2007 report by the OpenNet Initiative, which surveyed more than 40 countries, almost two-thirds of the states involved were filtering content to some degree.

Ron Deibert, director of the Citizen Lab at the Munk Centre for Internet Studies at the University of Toronto, said in the research, "states are applying ever more fine grained methods to limit and shape the information environment to which their citizens have access."

"Some states block access to a wide swathe of content, while others tend to concentrate on one or two narrow baskets. South Korea, for example, tends to block access only to sites related to North Korea," Deibert said.

Although countries such as Iran and China -- home to the "Great Firewall of China" -- are obvious examples of where filtering is prevalent, other countries are also restricting content for varying reasons.

Ian Brown, research fellow at the Oxford Internet Institute, said the Internet in some European countries, including the United Kingdom, was also filtered. However, this was mostly to block child pornography and content that incited or glorified terrorism, he said.

Most democracies, and particularly those of the U.S. and India, had unrestricted Internet, though more than 40 countries were known to filter content, he said.

And it's not just governments involved in filtering. Search engine Google has been heavily criticized for working with the Chinese government to block searches for material about Taiwan, Tibet, democracy and other sensitive issues on its Chinese portal. Share your views on filtering and censorship of Web sites.

With recent developments in Georgia and Internet restrictions during conflict in Estonia last year, there are concerns that filtering could be further utilized in future "cyberwarfare."

Brown believed that filtering would be used more commonly in repressive states in the future. Although he didn't have exact figures, Brown understood the Chinese military had more than 100,000 people employed to look at cyber warfare.

Jonathan Zittrain, co-founder of Harvard Law School's Berkman Center for Internet and Society, said the tactic was very powerful.

"Filtering can help shape the message a country's citizens see, including, as may have happened recently when Georgia filtered some Russian Web sites, for the purpose of preventing enemy propaganda from reaching one's citizens."

Although Karlekar agreed that filtering was a strong aspect to cyber warfare, she said other trends were more concerning.

"Filtering isn't the primary technological way that Internet freedom can be compromised. The kind of 'cyberwarfare' that we hear about usually isn't filtering as much as 'denial of service' attacks that disable servers hosting particular Web sites, either of opposition media outlets or of foreign governments.

"Another type of 'cyberwarfare' that occurs more regularly is hacking into computers and stealing information, as well as planting Trojans or viruses," Karlekar said.

So, if governments are stepping up their Internet filtering and the threat of cyberwarfare is increasing, how can citizens sidestep the restrictions?

Zittrain said tech-savvy citizens are using a variety of tools to circumvent filtering.

"They range from the Electronic Frontier Foundation's Tor'software to commercial anonymizers and virtual private networks and 'buddy system' software like Psiphon, which allows a person in one place to handle requests for Web sites from someone in a place that filters."

In Iran, some citizens were overcoming Internet restrictions by using Freedom House's Gozaar Web site.

Karlekar said the site offered news and debates with a plurality of voices and gave Iranians an opportunity to participate. The domain name was changed weekly to keep ahead of Iranian authorities, she said.

Zittrain, a founder of the OpenNet Initiative, which tracks Internet filtering around the world, said the organization is working on a free tool that will let people easily report blockages as they find them.

He believed that such tools could help citizens in heavily restricted countries bypass filters placed by their governments.

@highlight

Governments filtering Internet content by blocking access and removing sites

@highlight

Georgia, Russia conflict highlighted many issues at play with Internet filtering

@highlight

Study: Almost two-thirds of 40 countries in the world are filtering content