(CNN) -- A middle-aged woman walked into the emergency room of Phebe Hospital with a fever on the evening of June 23.

Phebe was known as one of the best hospitals in rural Liberia, supported by the local government and international religious and academic partners. Phebe was especially known for its high-quality nursing care, serving as a training hospital for nearby Cuttington University, one of the country's few nursing schools.

A few hours after arriving in the emergency room, the woman was admitted to the medicine ward with a list of potential infections -- all the usual suspects in Bong County: malaria, typhoid, sepsis.

An epidemic had been raging for months in nearby Guinea, but Ebola was not considered as a possible diagnosis. After all, nobody at Phebe had ever seen a patient before with Ebola, and as the axiom goes in medicine, when you hear hoof beats, think horses, not zebras. Certainly don't start imagining unicorns.

The nurse who cared for the woman that night drew her blood and helped her to the toilet to urinate. When the woman began vomiting and soiled her sheets, the nurse cleaned up the mess, as nurses do all over the world every day.

For a disease whose transmission depends on the direct contact of one human being with the body fluids of another, Ebola has no better customer than nurses.

The other thing about nurses that the virus finds particularly helpful is they tend to work in shifts. Before the week was out, Bong County's first Ebola patient had died, and seven nurses caring for her had fallen ill. Six of them would also die in the coming weeks.

The remaining clinical staff, watching their colleagues falling ill all around them, abandoned the hospital. When the patients saw what was happening, those well enough to walk out did just that.

Over the ensuing months, the epidemic rippled across Bong. Hundreds of individuals were infected, and perhaps more importantly, basic social institutions also began to collapse.

One by one, all three hospitals in the county shut down due to fear of the spread of the virus, followed by most of the primary care clinics. Women were left without midwives to deliver their babies, accident victims without emergency rooms to care with them. Next the primary schools closed, then the secondary schools, and finally Cuttington University.

Guilty of Ebola until proven otherwise

Ebola is not just a disease of individuals but also one that infects society's most basic health and social welfare structures.

As a disease that afflicts health care institutions, it is perhaps fitting that the most powerful weapon in the fight against Ebola is not a single drug or vaccine but instead a particular type of health care institution: the Ebola Treatment Unit, or ETU.

On September 15, I helped International Medical Corps open the first ETU in Bong County. I have worked in many hospitals, both rich and poor, and have set up refugee camp clinics and trauma field hospitals in poverty-stricken and war-torn countries.

But managing an ETU has been an entirely different experience.

The primary goal of a hospital or clinic is to care for patients and, if possible, to save their lives. The primary goal of an ETU is to protect the lives of its staff.

The secondary goal is to protect surrounding communities and resuscitate local health care systems by taking patients suspected of having Ebola out of their homes and hospital emergency rooms, breaking the chain of transmission.

Caring for patients comes third on the list of priorities, though still remains important. After all, why would people go to an ETU if they did not think there was at least a chance that it would help make them better?

During the week before opening our ETU, I can honestly say that I worked harder and slept less than during any other time in my life. The sheer number of details involved in the construction and management of this unique type of health care facility is almost endless.

Ebola's $1 billion bill hits Africa's bright economic lights

First, a site had to be chosen, which has been a significant roadblock to the opening of other ETUs. Hospitals tend to be built close to the communities they serve; most communities, however, tend to want their ETU as far away as possible.

Our ETU sits in the middle of a forest, 2 kilometers (more than a mile) down a rough dirt road, on the grounds of an old leper colony. Perhaps it is not surprising that the survivors of one of humanity's oldest and most stigmatized diseases would be among the few to welcome a treatment facility for one of the newest stigmatized diseases.

Second, the design and infrastructure of the ETU had to be perfected, with separate spaces and wards designating different levels of risk, where staff members would know to take different kinds of precautions.

A borehole was drilled and giant tanks erected to mix up the nearly 12,000 liters of chlorine required each day to disinfect the ETU and its staff properly. A giant incinerator was built to burn the vast amounts of infected waste produced by the facility safely.

Third, supplies had to be purchased, both the normal kind present in any hospital, such as bed sheets and intravenous fluids, but also the expensive (and increasingly difficult to purchase) personal protective equipment. A single outfit of boots, gloves, suit, mask, hood, goggles and apron costs as much as $90, and at full capacity the ETU might go through 100 outfits a day.

Ebola hospital overwhelmed by patients

Finally and most importantly, local staff had to be hired and trained to work in the facility. While a small team of expatriates working with International Medical Corps manages our ETU, more than 90% of the staffing remains local.

During the week before opening our facility, I helped organize an intensive training for our first 50 staff members, including physician assistants, nurses, nursing aids, hygienists, sprayers, safety monitors, waste handlers, chlorinators, laundry staff and burial team members, to ensure they knew how to protect their health and the health of their colleagues while working in the ETU.

Just 72 hours before our opening day, we had a checklist of almost 50 items, ranging from goggles to gravediggers, that we still needed to be able to begin admitting patients safely to the ETU. The pressure to open the ETU had been building for weeks as the numbers of cases of Ebola in the county began to skyrocket.

Somehow, and I'm still not sure how, we made it happen.

@highlight

Phebe Hospital in rural Liberia was abandoned after first Ebola patient infected staff

@highlight

All three hospitals and schools in Bong County shut down due to fear of Ebola

@highlight

The first Ebola Treatment Unit opened in Bong County in mid-September