London (CNN) -- "After the storm of a life lived in the heat of political controversy, there is a great calm."

And so it seemed inside St. Paul's Cathedral on Wednesday as more than 2,300 guests from 170 countries stilled their quiet chatter and waited, silently, for the coffin of Margaret Thatcher to enter.

Those words from the Right Rev. Richard Chartres, Bishop of London, in many ways summed up the mood within: This was a farewell to a stateswoman and Britain's pioneering first female prime minister but also to a very human mother and grandmother now gone to her final rest.

The domed white marble splendor of St. Paul's, Christopher Wren's masterpiece, only served to remind those within of how insignificant even the greatest of leaders is in the end.

Rewriting history: How UK might have been without Thatcher

The coffin's solemn arrival was signaled to those waiting inside by the muffled tone of the cathedral clock tolling the hour.

Far from the fierce political debate and fervent protests that raged in Thatcher's life -- and indeed in the nine days since her death -- the coffin was carried quietly in by uniformed members of the armed forces.

Draped in a Union flag and topped with a white flower arrangement, it was placed carefully on a bier directly before the guests of honor at the service, Queen Elizabeth II and Prince Philip.

They sat across the aisle from Thatcher's children, Mark and Carol; and her grandchildren, Michael and Amanda; and next to serving Prime Minister David Cameron and his wife.

Thatcher: Revered and reviled, in death as in life

A ceremonial mourning sword lay on a red-covered table before the queen, carried in by the Lord Mayor of London.

The royals' red velvet-covered chairs had been the last to be filled, as steadily the cathedral filled to its capacity.

Those who'd taken their places in the tight-packed rows of seats behind and to either side included men in formal military uniform, adorned with gold braid and medals, cardinals with their distinctive red caps, women in elaborate black hats and foreign dignitaries, some in dark suits, others in more distinctive traditional dress.

Live blog: Funeral of Margaret Thatcher

Grey hair was much in evidence, and men outnumbered women -- as was the case by a much greater margin when Thatcher was in office. After all, when she entered Parliament in 1959, she made up part of only 4% who were women.

From time to time during the ceremony, sunlight poured through the windows of the cathedral to glint off the gold mosaic tiles and gilded carvings below the frescoed dome, lit also by gleaming candelabra.

There was no sign within the grand cathedral walls of the tight security outside, with crowds of supporters and a few pockets of protesters kept under the watchful gaze of some 4,000 police officers.

Welcoming the congregation, the Very Rev. David Ison, dean of St. Paul's -- who himself this week evoked the lasting anger and hurt felt by some in Britain as a result of Thatcher's policies -- recalled now "her leadership of this nation, her courage, her steadfastness, and her resolve to accomplish what she believed to be right for the common good."

Giving thanks for the country's traditions of freedom, democracy and rule of law, he invited those gathered to pray.

Only twice did a quiet murmur of laughter punctuate the solemn calm of the proceedings, when Chartres recounted anecdotes which gave a more personal sense of Thatcher's dealings with those she met.

She may not be able to control how she is judged by future generations, but the late prime minister's hand was behind much of the service that marks the end of her physical presence on Earth.

Opinion: Why Britain needs another Thatcher

As Chartres pointed out, at her request this was not a memorial service, filled with eulogies, but a simple funeral that reflected her disciplined Methodist upbringing as a grocer's daughter in Grantham.

He acknowledged the contentious nature of her legacy, saying, "the storm of conflicting opinions centers on the Mrs. Thatcher who became a symbolic figure -- even an 'ism,' " but said that lying there, she was "one of us," subject to human destiny.

"There is an important place for debating policies and legacy; for assessing the everyday lives of individuals and communities ... but here and today is neither the time nor the place," he said.

"This is a place for ordinary human compassion of the kind that is reconciling. It is also the place for simple truths which transcend political debate."

Thatcher's granddaughter, Amanda, gave the first reading, her voice clear and steady despite the gravity of the occasion.

Its theme of righteous struggle, "not against flesh and blood but against principalities, against powers, against the ruler of darkness of this world" was perhaps meant to bring to mind Thatcher's own struggles, first to reach power as a woman in the 1970s and then to exercise it for the good of her country.

As the Bishop of London said, "In a setting like this ... it is easy to forget the immense hurdles she had to climb."

Cameron, who now leads the Conservative Party that Thatcher headed from 1975 to 1990, gave the second short reading from the King James Bible.

The Archbishop of Canterbury, Justin Welby, rounded off the service with the final blessing.

The hymns and predominantly English music, chosen by Thatcher and her family, reflected the tastes of a woman Cameron described last week as a "patriot prime minister" with a "lion-hearted love" of her country.

And at the end of the funeral, as the other illustrious guests filed out -- including 11 serving prime ministers, 17 serving foreign ministers and senior clergy from around the world, as well as many British lawmakers -- the sense was reinforced that this was a farewell to a woman who, like her or loathe her, was truly out of the ordinary.

Indeed, many observers noted that the pomp and ceremony of her funeral procession, with full military honors, was barely distinguishable from the state funeral accorded to a monarch. No UK prime minister has been given such a farewell since Winston Churchill died nearly half a century ago.

Former Prime Ministers Tony Blair, Gordon Brown and John Major, former U.S. Vice President Dick Cheney, former U.S. Secretary of State Henry Kissinger, Israeli Prime Minister Benjamin Netanyahu, former U.S. House Speaker Newt Gingrich and Canadian Prime Minister Stephen Harper were just a few of the familiar faces among the departing guests.

Some 50 of the guests had links to the Falkland Islands, the disputed territory over which Thatcher led Britain to war against Argentina in 1982.

After receptions where relatives, dignitaries and former colleagues gathered to discuss their own memories of the politician once known as the "Iron Lady," Thatcher's family accompanied her coffin to a west London crematorium for a final farewell.

As Chartres said, those close to her must sometimes struggle to recognize the woman they know in the "mythological figure" created over decades of life in the public eye.

But as her daughter, Carol, said last week, the tributes paid by foreign and British leaders on her death prove that, whatever one's views on her politics, Thatcher's "place in history is assured."

Cameron's verdict, given via Twitter, was that the funeral was "a fitting tribute to a great prime minister, respected around the world."

@highlight

More than 2,300 mourners fill St. Paul's Cathedral for Margaret Thatcher's funeral

@highlight

Among them are foreign dignitaries, UK politicians and Queen Elizabeth II

@highlight

This is "the place for simple truths which transcend political debate," says Bishop of London

@highlight

Thatcher's granddaughter, Amanda, gives one reading, PM David Cameron another