London (CNN) -- The only thing more horrifying than the murder of a British soldier in a London street is the fear that there is little police can do in the age of "open-source jihad" to prevent these types of terror attacks.

"It's always the one we feared, the lone wolf that can come from nowhere and not be on our radar," said ex-London police chief John Yates.

On Wednesday two men hacked the soldier to death near his military barracks in Woolwich, southeast London before delivering a message to a witness's camera: "We swear by almighty Allah we will never stop fighting you until you leave us alone ... this British soldier is an eye for an eye, a tooth for tooth."

LATEST: London murder victim named

The message has all the hallmarks of classic al Qaeda rhetoric, and experts believe the blood-soaked men wielding cleavers for the cameras in London are just the latest proponents of the "open-source jihad" that seems to have grown just as the U.S.-led "War on Terror" scattered the organization's terror cells around the world.

"Nearly a decade ago there was a debate within al Qaeda about the future of the organization," according to Shiraz Maher, Head of Outreach at the International Centre for the Study of Radicalisation. "Afghanistan had been overrun by U.S. forces, the Taliban had been forced to retreat, and as a result al Qaeda lost its ability to train recruits there."

The organization needed a new plan to stay relevant as the U.S. struck at the heart of its traditional operation in places like Afghanistan, Pakistan and Yemen. Enter a man called Abu Musab al-Suri, the so-called architect of the new al Qaeda, who had a simple plan to change the way al Qaeda took the fight to the West.

"Every Muslim should be an army of one," Maher told CNN. "That was his grand idea -- every individual Muslim should be an autonomous hub that goes out and strikes the West and you can't contain it."

Al-Suri may have had the vision, but it was al Qaeda in the Arabian Peninsula (AQAP) that translated it into reality in 2010 through the online speeches of radical cleric Anwar al-Awlaki -- since killed by a U.S. drone strike -- and the publishing of "Inspire," the English-language magazine that acts as a how-to guide for followers to carry out small-scale terrorist attacks in the West.

"Since 2010 al Qaeda has been telling its followers in the West: 'Don't try and do another 9/11 or 7/7-style attack because invariably these things catch the attention of security services and you go to jail. Think small, think easy, think unsophisticated. Really scale it down to make it difficult to detect, because really it's a detection battle,'" Maher said.

"What they're demonstrating is you can do something very easy -- go buy a knife, go stab somebody, it's impossible to stop. Provided you pick a sensitive target, you can still cause absolute pandemonium."

So this is the growing struggle facing police forces around the world today, say experts -- not more traditional terror cells, which are more likely to show up through traditional surveillance methods, but self-starters who become radicalized through online sermons and publications.

READ MORE: The changing face of terrorism

In 2011 New York police arrested Jose Pimentel and accused him of plotting to detonate pipe bombs that he allegedly learned to make after reading "Inspire" magazine. Pimental pleaded not guilty to terrorism charges and is awaiting trial.

The pressure cooker bombs that killed three people near the finish line of April's Boston Marathon bore strong similarities to a design laid out in the first issue of the magazine titled "How to Build a Bomb in Your Mom's Kitchen," according to CNN's Paul Cruickshank.

In 2010 British MP Stephen Timms was nearly killed when a 21-year-old British student stabbed him during a meeting with his constituents in east London. The student, Roshonara Choudhry, told police she had become radicalized after watching the speeches of al-Awlaki online, and tried to kill Timms because he voted in favor of the Iraq War.

Yates, who was Metropolitan Police assistant commissioner until he retired in 2011, told CNN: "As someone who has tried to prevent these attacks in the past, they're the most difficult ones.

"If we have some serious targets, then of course you can apply the correct level of resources and tactics ... (but) Choudhry had never come to the attention of any authorities at any point."

OPINION: Real enemy in London hacking death

So what, if anything, can be done to prevent lone wolf attacks? The grisly murder in Woolwich has prompted calls for Britain's government to look again at a shelved bill that would greatly expand law enforcement's powers to monitor suspects' use of the internet, which is currently only possible on a more limited basis.

"There is some internet surveillance going on," said Yates. "It's been made very clear by police chiefs in recent weeks that if you download something like 'Inspire' you will be arrested, it is an offence and you will be charged."

So where to draw the line between free speech and invasion of privacy? The proposal to expand police powers for collecting online data caused uproar among privacy advocates in late 2012, but the government says more robust surveillance tools are now needed to effectively combat terrorism.

While acknowledging there are "powerful" arguments on both sides, Yates said: "All I know is that you've got to do something, because the level of sophistication in technology is going to make it extraordinarily challenging to improve the way that the internet and other means of communication are monitored if nothing's done."

READ MORE: UK Muslims condemn London slaying

But radicalization expert Maher said monitoring the internet and tracking down anyone who downloads an al-Awlaki speech or a bomb-making guide won't solve the lone wolf problem.

"You don't have to have read 'Inspire' anymore -- everyone knows what's going on because, if nothing else, the media talks about it so much. The idea of committing an unsophisticated attack against a high-profile symbol is out there. It's an impossible thing to work against," he said.

Yates says in order to prevent future attacks, counter-terrorism police must bolster their community engagement strategy -- making local people feel "free and able to provide relevant information at the right time."

"It comes back to the line from the 1980s with the IRA: 'Communities defeat terrorism.' That was the strap-line then, and it's no different today."

@highlight

Two men murder British soldier in broad daylight on busy London street

@highlight

Video shows a man with a cleaver and swearing "by almighty Allah" to keep fighting

@highlight

Experts say killing has hallmarks of 'lone wolf' terrorism

@highlight

Al Qaeda changed tactic in recent years: "Every Muslim should be an army of one"