SAN FRANCISCO (CNET) -- Google plans to unveil a service called Google Voice on Thursday that indicates Google wants to do with your telephone communications what companies such as Yahoo have done with e-mail.

Google unveils a phone service Thursday in which the search giant acts like a phone middleman.

Google Voice, the new version of the GrandCentral technology Google acquired in July 2007, has the potential to make the search giant a middleman in an important part of people's lives, telephone communications.

With the service, people can pick a new phone number from Google Voice; when others call it, Google can ring all the actual phones a person uses and handle voice mail.

The old version could let people centralize telephone services, screen their calls, and listen to voice mail over the Web.

But the new version offers several significant new features, though. Google now uses its speech-to-text technology to transcribe voice mail, making it possible to search for particular words.

Gmail's contacts now is used to instruct Google Voice how to treat various callers. And Google Voice now can send and receive SMS text messages and set up conference calls.

Existing GrandCentral users should get the option to upgrade Thursday, and Google plans to offer it to the public after "a number of weeks," said Craig Walker, product manager of real-time communications and head of Google Voice.

As interesting as the service itself, perhaps, is that Google plans to offer it at no cost.

Google is in the midst of a profitability push, trying to wring more money from existing sites, adding advertisements to properties such as Google Maps, Finance, and News that previously lacked them, and canceling many projects such as Google Lively that didn't pass financial muster.

With Google Voice, though, the company is showing more of its earlier, more patient approach.

"Our goal is to be able to offer it to people for free," Walker said in an interview at Google's offices here. Asked what the revenue model is for Google Voice, he offered only an indirect answer: "Let's get a bunch of happy users engaged in Google properties and getting their voice mail through this. Google gets value out of having happy Google users."

Money isn't completely absent from the picture. The company does charge for international calls, and it wouldn't rule out advertising in the future.

GrandCentral has appeared largely dormant from the outside since the Google acquisition, leading some to spotlight it as an example of a promising technology that was squelched by an acquisition. But, Walker said, there was plenty of work going on behind the scenes.

"In addition to innovation, there's been a process of getting migrated and integrating with the Google infrastructure," he said.

One big possible difficulty for people could be the issue of changing phone numbers. People's phone numbers can form a piece of their identity, in particular with home phone numbers held for years and number portability making it possible for people to keep their mobile phone numbers even if they change carriers. Even leaving aside the issue of the hassle of changing phone numbers, sharing your Google Voice number means committing your telephony to Google's services.

Another possible hitch is offering phone numbers that match where people actually live or work. Here, Google hopes to have things under control, though there were no numbers in the 415 area code for my test of the service.

"Our goal is to offer numbers to virtually everyone who wants to sign up. There are a finite number of numbers in the U.S., but we haven't reached anywhere near depletion," Walker said. "We hope to have a pretty good footprint (for area code choices) so that people will have really good choices."

Google Voice, hands on

Overall, I found Google Voice to be potentially useful, with the most compelling option the imperfect but still very useful transcription.

The first promise of Google Voice is to simplify your phone communications. You don't have to worry about which number to hand out to people, and if you're sitting with your cell phone next to you home or work phone, you can choose which to answer. If you have the "screen calls" option enabled, Google Voice will tell ask you if you want to accept the call or send the person to voice mail. (Google Voice asks first-time callers to identify themselves.)

In practice, virtualizing your profusion of real-world phone numbers with one that redirects is handy. You can set various preferences--for example, calls from your family members get a custom answering message; calls from your parents don't ring your work number; and calls from your spouse are answered directly when you pick up the phone rather than run through the Google Voice options such as answering the call, sending it to voice mail, or listening in on the voice mail.

But I thought Google Voice's most promising aspect is voice mail transcription.

Today, voice mail is a something of black hole for me. It's a pain to check, and I just tell people to send me an e-mail if they get my voice mail. When I'm on the road or at home, I check my e-mail much more frequently than my voice mail. And e-mail means I have their contact information and a record that they contacted me, all in a handy form that shows up through search.

Transcription brings some of these advantages to voice mail.

Because Google Voice e-mails you the text as soon as it's ready, you can quickly scan it to see if it's important. That's a lot less obtrusive than calling your voice mail system in the middle of a meeting.

Also, reading the text lets you quickly home in on the caller's phone number without having to wait through the whole message. On clever phones such as the Apple iPhone or T-Mobile G1, the phone number is highlighted in the e-mail so you can click it to call back, too.

However, the text-to-speech conversion is imperfect, to say the least--for example, it thought "Steve and Mary" was "Steven Mary." And here's an amusing sample of one transcribed voice mail I left myself: "hey i'm just testing the grand central transcription service to see if it really can do a good tax to speech recognition and that they believe in bed that's little voicemail and a web page because what would not be exciting what time you get in bed a voicemail on the web page."

The Web site uses bolder type for words it's more sure of, so you can make better guesses about

Walker said it takes roughly 30 seconds to translate a 30-second voice mail, which is pretty good turnaround. My timing test of a rambling, 1:45 voice mail took just almost exactly twice that time to show up translated in my inbox, though the voice version was available over the Google Voice Web site almost immediately.

Shallow Gmail integration

You don't need a Gmail account to use Google Voice--any Google account will do--but if you have one, you can customize the system's behavior for existing groups or individuals.

When a message from an unknown number arrives, you can save it with the caller's name through the Google Voice interface, and it will show up in your Gmail contacts, too. A "contacts" tab at Google Voice borrows heavily on the Gmail contacts tab.

However, Google left me wanting deeper integration. Where are Gmail's filters and labels? Google Voice is a big step toward the long-promised utopia of unified communications, but instead it presents me with a new inbox to check.

When I asked Walker whether Google Voice would be unified with Gmail more thoroughly, he wouldn't say, but indicated it's on Google's to-do list.

"There are a host of things we're working on," Walker said. "We want to get the core telephony from GrandCentral to Google Voice, to get that ironed out first."

Even where there is integration, for example with the Gmail contacts page, there are some shortcomings. For example, I have a Gmail mailing list for "family," and I doubt I'm not the only one. My wife is a member of the list, but Google Voice by default opted to use the settings for its "friends" category. Apparently the reason for the issue is that Google Voice is case-sensitive: it created its own "Family" group, with an uppercase F, that has no members in it.

Changing my existing group to "Family" in Gmail merely created two groups with that name, so to work around the issue I copied all the "family" members to "Family." I deleted the original to avoid the messy annoyance of keeping the two identical groups synchronized.

Tussling with carriers?

Another interesting possibility, given Google's Internet expertise and Google Voice's Web-based interface, would be to offer direct calling using VOIP (voice over Internet Protocol). Google Voice already has the potential to shift some of the customer relationship and valuable services from phone service companies to Google, and offering VOIP service would increase that potential.

Walker wouldn't comment that possibility, though he did point out that Google Voice can work with the Gizmo VoIP service. For the regular public switched telephone network, people still have to spend money with AT&T, Verizon, T-Mobile, Vodafone, and others.

"The point was to allow your existing services to work better together," Walker said. "You have to come with your own underlying phones and services for it to work."

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Google announces Google Voice, a phone service over the Internet

@highlight

The service offers "speech-to-text" transcriptions of voice messages

@highlight

Head of Google Voice: company plans to offer service for free

@highlight

Public users sign up for service starting in "a number of weeks"