(CNN) -- Health officials say the tap water near Charleston, West Virginia, is all right to drink. But many residents aren't buying it.

When he runs the hot water, Joe Merchant said, "within a couple of minutes, I'll have a headache from the steam."

Still other residents have photos of rashes that appeared when they washed their faces or took a bath or shower.

On January 9, the chemical 4-methylcyclohexane methanol, or MCHM, was discovered leaking from a storage tank into the Elk River and from there into Charleston's water supply. Its licorice-like smell alerted residents to the contamination and led to a do-not-use order for 300,000 West Virginians, some of whom could not drink or bathe in their water for more than a week.

Little is known about the health effects of the chemical, which is used to wash coal before market in order to reduce ash.

The spill was originally estimated at about 7,500 gallons, but Freedom Industries said late last month that about 10,000 gallons of chemical had escaped. The company also told regulators that a second chemical -- a mix of polyglycol ethers, known as PPH -- was part of the leak.

Officials: Coal slurry spill blackens 6 miles of West Virginia creek

Officials lifted the do-not-use order, saying the chemical was found at very low levels. But some aren't so sure.

On Tuesday, West Virginia Gov. Earl Ray Tomblin asked the Centers for Disease Control and Prevention to conduct further studies on the health effects caused by the spill.

"It is critical this study is funded and that work begins immediately," Tomblin wrote in a letter to CDC Director Dr. Tom Frieden.

An independent water test conducted early this month at CNN's request found trace levels of MCHM, both in untreated river water and in tap water from two homes in Charleston. The amounts ranged from less than 0.5 parts per billion to 1.6 parts per billion, well below the 1 part per million that the CDC has said it considers unlikely to be associated with any adverse health effects.

"We stand willing to continue to assist and will be discussing with officials there what additional toxicology and epidemiology studies may be needed," said Laura Bellinger, a CDC spokeswoman.

"The official agencies are saying (the water is) OK to drink," said Dr. Rahul Gupta, health officer and executive director of the Kanawha-Charleston and Putnam County health departments.

"They're not saying it's safe to drink. That's the word. People are looking for that word."

The CDC, in its official guidance, does not use the word "safe." It merely says that based on animal studies, levels of the chemical were calculated at levels where "a person could likely ingest without resulting in adverse health effects."

In the wake of the spill, two waves of patients sought treatment from private doctors and 10 emergency rooms in a nine-county area for non-specific symptoms such as rash, nausea, vomiting and cough, Gupta said.

5 West Virginia schools reopen after water concern

The first peak -- about 250 patients -- occurred in the first three days after the spill was reported on January 9, he said.

A lull ensued during the several days of the do-not-use advisory, followed by a second peak -- about the same number -- during the first few days after the advisory was lifted on January 13, he said.

Gupta acknowledged that his findings were "non-scientific" and that he did not know what the baseline incidence would be of patients appearing at an ER with such symptoms but said the anecdotes point to the need for further studies.

"Those two peaks are undeniable," he said. "Perhaps there is something going on here."

He's called for a long-term study to be carried out "in a manner able to capture any long-term impact."

Even at the Kanawha-Charleston Health Department, a sign is posted: Do not drink the water. A sign seen on one restaurant: "We use only bottled water."

In some places, the chemicals' licorice-like smell persists, Gupta said, including in his own home. He and his wife are avoiding tap water, he said.

They're not alone. Only about 1% of the 200 people who attended town hall meetings in late January about the matter saying they were drinking it, Gupta said. In a recent survey, only 4% of area residents said they are drinking tap water.

Asked whether he wants to hear the word "safe," Gupta said, "absolutely, I do."

"The question becomes, is a pregnant mom going to drink it? Should developing brains of children be drinking it?"

The CDC has expressed similar concerns. "Due to limited availability of data, and out of an abundance of caution, pregnant women may wish to consider an alternative drinking water source until the chemical is at non-detectable levels in the water distribution system," it said in a paper dated February 5. "For mothers with babies, there is no research that suggests consuming water with these low levels of MCHM poses any health risk to their baby. However, if you have any concerns, please consult your doctor."

Another chemical leaked from West Virginia plant, company says

But the West Virginia Poison Center said in a posting on February 10 that some symptoms, such as nausea and headaches, may not indicate that the chemicals were harmful.

"These symptoms are not due to toxic effects but are a body's physical and real response to unusual smells/tastes," it said, adding that the poison center received calls from more than 1,900 patients reporting chemical exposures related to the drinking water in the days after the spill was reported.

"Most reported symptoms included mild rashes and reddened skin from dermal exposure, or GI distress (nausea, vomiting and/or diarrhea) from ingesting contaminated water. The symptoms tended to be mild and self-limiting."

It urged that anyone with continuing symptoms be evaluated for other medical conditions and noted that viral gastroenteritis, influenza, the common cold and other infections are all common at this time of year.

A spokeswoman for West Virginia American Water Co. said the company was continuing to flush the system to get rid of pockets of licorice smell that remain. "For us, it's not over until we resolve the odor issue," said Maureen Duffy.

Dr. Tanja Popovic, the director of the CDC's National Center for Environmental Health, said February 5 that repeated testing had shown the water to be acceptable for all uses.

"What I can say is that with all the scientific evidence that we have, with everything that numerous people have worked on so far, I can say that you can use your water however you like," Popovic said. "You can drink it; you can bathe in it; you can use it how you like."

Tomblin said that tests had shown levels of less than 10 parts per billion or too low to detect and that he and his staff had been drinking the water "for the last couple of weeks." But when asked whether he could declare it "100% safe," he said, "No."

"The only thing that we can rely upon is what the experts tell us, and, you know, for all the tests done, that's who we've got to depend upon," Tomblin said.

A federal grand jury is investigating the spill at Freedom Industries, sources familiar with the grand jury's activities have told CNN.

CNN's Elizabeth Cohen and John Bonifield reported from Charleston, and Tom Watkins reported and wrote from Atlanta. Ashley Hayes, Stephanie Gallman and Matt Smith contributed to this report.

@highlight

Residents have been given the all-clear to drink the water near Charleston

@highlight

But some say they've suffered adverse effects from it

@highlight

A health official is calling for a long-term study

@highlight

The governor wants the CDC to investigate the issue