(OPRAH.com) -- If we could each pick a few songs to banish from our heads, Diana de Vegh would nominate all those soggy old refrains that say there's one -- and only one -- true love for each of us: our better half, our shining knight, the person we'll be lost without.

That line of thought, says de Vegh, a therapist in private practice in New York, isn't benignly corny -- it's harmful, feeding what she calls the myth of love scarcity.

"In the scarcity model, where there's only one person out there, we're all competing for the guy who's rich and handsome," she says.

Our relationships become fear based: We obsess and clutch instead of creating an environment in which two people try to unfold.

Oprah.com: 4 ways to finally get through to your man

De Vegh, a casually elegant woman with penetrating blue eyes, meets with clients in her Greenwich Village office, where richly textured wall hangings, a deep purple sofa, and a fireplace give evidence of a delight in color and comfort as well as an assured originality.

Her strong sense of self was hard-won: The reason she has thought so much about how we can separate romantic passion from the misconceptions that often surround it is that she's seen for herself how damaging they are.

As a very young woman, de Vegh was swept into an affair with then president John F. Kennedy -- perhaps the ultimate fairy-tale prince.

Her own experiences, and those of so many of the women she has counseled over the past 15 years, have sharpened her insights into the ways fantasy romance, rather than completing us, undoes us.

"Love is the ideological bone women have been thrown," she says, meaning that in our society, men often get the real power while women are fed the false promises of "magic candy" romance -- that someone special will shower us with attention, give us our identity, read our mind, and intuit our needs.

"Mind reading," she says, "is useful between a mother and an infant but not in a sexual relationship between adults."

Oprah.com: Should you really tell him everything?

When you want someone who can anticipate your thoughts and desires, you're really looking for an idealized parent -- usually a combination of Mommy and Daddy wrapped into one.

"For years, I was looking for men who would think I was charming and make me feel safe -- like Daddy's best girl," she says. The craving for that kind of attention is rampant.

"I see women all the time who say they're looking for romantic relationships, but I believe they're really looking to be parented. We all want to feel special and dear, with our foibles bathed in the loving glow of a doting father," she says.

"At the same time that we want Daddy's strong arms, we also want a mother's sweetness and tenderness." And when the romance goes south, she says, you end up feeling like a child who's been abandoned and is lost.

"We all naturally fall in love with a handsome, married man -- our fathers," she says. "They bring us out into the world. And if we're secure, we grow up to want something more interesting than parent-child love; we want an adult partnership."

But the precondition for that, she says, is a good relationship with ourselves.

It's when you view yourself as powerless, with your worth dependent on how someone else treats you, that love gets corrupted, de Vegh says.

"Letting men determine who we are is the negative hinge that turns desire into vulnerability, changes our bodies from sites of pleasure to sites of betrayal, and transforms solitude into loneliness. I think that when people say they're lonely, what they're really saying is that they don't like their own company. And something should be done about that, because if you don't like your own company, then you're the victim of whoever passes by."

Oprah.com: 4 steps to healthy communication

De Vegh suggests we create abundant lives for ourselves, and subscribes to what she calls the salad theory.

"Just as a salad needs some lettuce, a little tomato, cucumber, this and that, a full life involves friends, work, arts, and community. When I ask clients, 'What do you believe you can only get from him?' they say, 'He's so interested, he listens to me, he thinks I'm special, we do things together.' We can do things with zillions of people. Why is it that only he can get you doing things?

"There's no scarcity of love," she says. "We can find it with our coworkers, with our friends and families, in our dance class. We can love what the world offers us; we can love our own vitality. And without question, there can be passionate love between a man and a woman, where you open your heart and soul and you can be yourself -- your 7-year-old self, your 30-year-old self, your 60-year-old self. And he can say, 'I get you, and here I am. Sometimes I act like a spoiled brat, and sometimes I'm a straight-up guy.'"

But the relationship has to be an "emotional peership" between partners who are already working toward becoming fuller and fuller individuals.

Such a union requires both heart and mind, which is why de Vegh is wary of unexamined attraction.

"Often what we call chemistry is a mix of familiarity and anxiety, and it can be an excuse for not having to think," she says.

"Feelings are great, but we also have brains so we can decide what to do with those feelings. Now when someone comes into my office and says, 'Oh, we looked at each other, and I so knew this man,' I think that maybe what she recognized was, for instance, the withholding narcissism of her father.

"If we really had such good parents that we felt filled up with self-respect and the ability to engage in the world, we wouldn't be waiting to be bowled over by chemistry. We'd be saying, 'Oh, you look like a good and interesting person. Here's what I think about the world; what do you think?' We wouldn't be looking to get our needs met. Adults meet their own needs."

Oprah.com: The art of self-exposure

Having seen so many women devastated by the end of an affair -- "They feel they've failed, and that the halo they were given is gone" -- de Vegh is adamant that we not label ourselves as losers in love.

"At the church I used to go to, they always said faith enters through a wound. I think wisdom comes through our wounds, that our wounds have to turn into our blessings," she says.

"They make us soft and aware so we can say, 'Oh, yes, I learned that.' If it turns out that you and your partner have a different view of reality, that's good to know. You can honor that, and find someone who shares your view. If you're losing yourself in a relationship and he has all the power, it's important to take the self-respecting action of leaving and learning from the experience."

The best thing that can happen after a breakup is that you declare, I give up any hope of ever being parented the way I wish I'd been when I was a child.

"You might have to grieve for that loss," she says. "And there will be moments in a healthy partnership when you can say, 'I'm brain-dead and hysterical. Draw me a bath and put in some rubber duckies.'"

But that's temporary. We have to give up the longing to be the child in the relationship, she says. The good news is that once we do, we're free to find love that's genuinely pleasure based.

"We each have a potential song in us," de Vegh says -- one that can find its unique expression after we drop the sour chord of scarcity, dependency, and fear.

Oprah.com: How to communicate with your husband

By Dawn Raffel from O, The Oprah Magazine © 2011

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

Diana de Vegh says that the "one true love" myth leads to a harmful scarcity complex

@highlight

"In the scarcity model, we're all competing for the guy who's rich and handsome"

@highlight

Wanting someone who can anticipate your thoughts is really looking for an idealized parent

@highlight

De Vegh: "We have to give up the longing to be the child in the relationship"