Beijing (CNN) -- The diplomatic drama over Chen Guangcheng showed promising signs of a resolution Friday, with China indicating the activist could apply to travel to the United States and New York University announcing it has invited him to be a visiting scholar.

China was incensed after Chen, who broke out of house arrest, sought refuge at the U.S. Embassy in Beijing. He left the embassy after six days and went to a hospital, where he was reunited with his wife and their two children.

Since then, he has made several pleas to be allowed to leave China, including a call to a U.S. congressional hearing.

China's decision to allow Chen to travel abroad to study was seen as a significant sign of progress in what has been a thorny and controversial impasse.

"As a Chinese citizen, he may apply like other Chinese citizens according to the laws and normal procedures of the relevant departments," said Liu Weimin, a spokesman for the Chinese Foreign Ministry.

Secretary of State Hillary Clinton said the United States was "encouraged" by Liu's statement.

"From the beginning, all of our efforts with Mr. Chen have been guided by his choices and our values, and I'm pleased that today our ambassador has spoken with him again, our embassy staff and our doctor had a chance to meet with him, and he confirms that he and his family now want to go to the United States so he can pursue his studies," she told reporters in Beijing.

New York University said Friday it has invited Chen to be a visiting scholar, working with its law programs.

Chen would be in New York or one of the university's global sites, the university said in a statement, adding that the blind activist, 40, has "long-established relationships" with faculty at the NYU School of Law.

State Department spokeswoman Victoria Nuland earlier said Chen had been offered a fellowship from an American university, where he could be accompanied by his wife and children.

"The Chinese government has indicated that it will accept Mr. Chen's applications for appropriate travel documents," Nuland said. "The United States government expects that the Chinese government will expeditiously process his applications for these documents, and make accommodations for his current medical condition. The United States government would then give visa requests for him and his immediate family priority attention."

U.S. Ambassador to China Gary Locke, who spoke with Chen by phone for 20 minutes, said Chen told him he wants to travel to the United States for study, senior U.S. officials said.

The U.S. officials said that as long as Chen has a legitimate offer from an accredited institution and is serious about studying in the United States, he would be given a student visa. "We believe steps will play out expeditiously," one U.S. official said.

The news that embassy staff had an opportunity to meet with Chen underscores the progress in the case. Chen had said early Friday that U.S. Embassy officials had told him Chinese security personnel stopped U.S. diplomats from entering his hospital room Thursday.

He is in a Beijing hospital for treatment of a foot injury suffered during his escape.

But the embassy staff and doctor met with Chen at the hospital for 45 minutes, the senior U.S. officials said. Friday was the 10th birthday of Chen's son, and embassy staff brought him presents.

Clinton's long-planned visit to Beijing for strategic and economic talks became dominated by a flurry of negotiations between Chinese and U.S. officials over the Chen case.

The diplomatic headache came just months before a presidential election in the United States and a once-in-a-decade change of leadership in China. The uproar prompted sharp Republican criticism of the Obama administration as soft on autocratic governments that abuse their citizens, and it has touched a nerve politically.

In one remarkable development, Chen called into a congressional hearing Thursday chaired by Republican Rep. Chris Smith of New Jersey.

"China pledged to guarantee my constitutional rights and called me a free man," Chen said, speaking from his hospital room early Friday in Beijing to congressional commission members who listened by speakerphone in Washington, 12 times zones and thousands of miles away.

"I want them to keep their commitment by allowing me to travel abroad to recuperate," he said. "I want to go to the United States and rest for a while, since I haven't had a Sunday in seven years."

The Chinese comments came as U.S. diplomats spoke with Chen in the hospital. The officials also met with Chen's wife, Yuan Weijing, according to a senior State Department official who declined to be identified because of the sensitivity of the matter.

Clinton was due to leave China on Saturday for Bangladesh. It remains unclear whether a fresh deal over Chen's future will take shape before she departs.

Chen, Bo rewriting China's script

Chen said he was worried about his relatives in his hometown in the eastern province of Shandong, which he fled last month. He said he has not been able to contact some of them and blamed local Chinese officials for his living situation there.

"They have installed seven surveillance cameras in my house," he said. "In addition to have the guards stay in my place, they are building an electric fence around my house. They even scoffed, 'Let's see what this blind guy can do to us.' "

In a telephone interview with CNN, Chen expressed optimism that U.S. officials would act on his behalf.

"I believe they will help me," he said.

Until last month, Chen had been forcibly confined to his home for 18 months after serving four years in prison, apparently over his legal advocacy for what he called victims of abusive practices such as forced abortions and sterilizations by China's family planning officials.

When Chen left the embassy, U.S. officials announced that they had worked out a deal with China for his future and that Chen was leaving of his own free will.

The officials said the Chinese government had committed to relocate Chen to a "safe environment" away from the province where he and his family say they had suffered brutal treatment by local authorities. In addition, the officials said, China agreed to investigate those allegations of mistreatment and promised Chen would face no further legal issues.

Under the agreement, Chen was to be granted the opportunity to pursue university studies in the safe location. Locke said one of the proposals "allowed for the possible transfer some day to an American college or university."

But Chen subsequently indicated he regretted having abandoned the embassy and made pleas through CNN and other international news organizations to U.S. leaders to get him out of China.

His statements prompted bewildered reactions from U.S. officials, who reiterated that the decision to leave the embassy was Chen's and that he had repeatedly said he wished to remain in China.

Did Obama betray a Chinese hero?

On Friday, Chen mollified his tone compared with the comments he made a day earlier, when he said he was "very disappointed" in the U.S. government because he felt American officials had lobbied for him to leave the embassy and abandoned him at the hospital.

Instead, he expressed "deep gratitude" to American officials in Beijing for having treated him "extremely well" during his six-day stay in the embassy.

Jerome Cohen, an American law professor and friend of Chen, offered an explanation for Chen's statements after he left the embassy.

"Everything changed when he got to the hospital," said Cohen, who advised Chen by phone while he was inside the embassy. "All of a sudden, the people who had worked so hard to secure his future from our embassy and our State Department, they were tired as can be and they went home to sleep."

Chen is "in a very fragile emotional state," Cohen said. "You have to understand the enormous pressures in which he's been living and recently operating. And it got to be too much."

Chen's case has touched a nerve in China. Comments from Chinese officials reported by state media have criticized what they call "interference" by Washington.

Cohen said he is hopeful a deal can be reached to get Chen out of China.

"They're practical people," he said, referring to China's leaders. "They're going to want to get rid of him and his family in the most humane appearance possible."

Human rights advocacy groups, meanwhile, questioned whether Beijing would stick to its promises about Chen's future, noting that several of his friends and family members have been detained or are unaccounted for.

Visitors unwelcome in Chen's hometown

One of those friends -- the fellow activist who revealed Chen's dramatic escape to CNN last week -- reappeared Friday after being missing for a week.

He Peirong had been unreachable since she told a U.S.-based human rights organization that the Chinese security services had arrived at her home.

On Friday, she said by phone, "I just got home and I'm doing OK." She declined to comment further.

ChinaAid, a Texas-based Christian human rights organization, said it remained concerned about Chen's relatives and other human rights figures in China.

"The fight for freedom and rights continues," said Bob Fu, ChinaAid's president "Beijing gives Chen freedom with one hand and beats rights defenders with the other."

CNN's Jill Dougherty, Jaime FlorCruz, Steven Jiang, Dan Lothian, Eunice Yoon, Jethro Mullen and Stan Grant contributed to this report.

@highlight

New York University wants Chinese activist to work with its law programs

@highlight

China says Chen can apply to study abroad "like other Chinese citizens"

@highlight

U.S. Embassy staff had a chance to meet with Chen, Secretary Clinton says

@highlight

Chen says he wants to go to the United States to "recuperate"