(CNN) -- Huddled in the hallway of his Alabama home with three of his friends, Tillman Merritt had a gut feeling to jump into a closet as the massive twister barreled into the Tuscaloosa neighborhood.

Moments later, he was the only one to survive.

"I just heard a voice in my head saying 'go to the closet, go to the closet," Merritt said.

The closet walls pushed down on him as a roar surrounded him, followed by the sounds of pieces of the house snapping off. Then the crack of glass was heard, and insulation was flying everywhere.

When it was over, there was just a small hole for Merritt to crawl out of. Except for the closet he was in, the entire house -- and his three friends -- had been flung across the street.

He found the other three in the wreckage of the house, in a pile. His roommate and life-long friend was dead, the two others would succumb to their wounds.

As emergency responders continued to tally the dead on Saturday, stories began to emerge that illustrated the scope of what has become the second-deadliest, single-day tornado outbreak in U.S. history.

Among the victims for whom memorial services are planned starting Sunday are four students of the University of Alabama in Tuscaloosa. The area has been the focal point for the Wednesday disaster that swept through six southern states and has killed 337 people.

Among those deaths is Morgan Sigler, a senior graphic design major from Bryant, Alabama, who was killed when the storm struck Merritt's house.

She suffered internal injuries and died during surgery, her mother said. The Siglers' story is one of dozens of similar tales of tragedy in the South.

"She just lit up our world, she was our baby," Vega Sigler said.

Morgan Sigler was the kind of person who reached to those in need, and enjoyed the mission trips she undertook with her church.

"We know where she's at, but it doesn't make it any easier," her mother said.

The student was a creative type, and would build projects that she would give out as gifts to family members, Vega Sigler said. A professor even called to tell her parents how much potential Morgan Sigler had as a graphic designer.

Not far from where Morgan Sigler lived, Cody Kirk watched from his apartment complex as debris flew in the air nearby. It sounded like an engine from a 747 airliner for about three minutes, he said.

"I go around the corner, and there's nothing. There's absolutely nothing," he said.

Kirk was close friends with Morgan Sigler and knew the two other victims, Scott Atterton and Blake Peak.

Atterton was known for having a kind heart, and was not the kind of person satisfied with a handshake.

He would tell Kirk, "bring it in for the real thing," and give him a hug.

Peak was Morgan Sigler's boyfriend. He made her really happy, Kirk said.

According to the Alabama Emergency Management Agency, at least 45 people people died during the storms in Tuscaloosa County, more than in any of the other five southern states that recorded deaths from Wednesday's violent weather.

By early Saturday morning, emergency management officials tallied 249 deaths in Alabama, 34 in Tennessee, 33 in Mississippi, 15 in Georgia, five in Virginia and one in Arkansas.

Hundreds are unaccounted for in Tuscaloosa alone, though not all have been officially reported missing.

"We're hopeful and prayerful that a large majority of that is just duplicates within our dispatch system," Tuscaloosa Mayor Walter Maddox said. "However, we are putting cadaver dog teams through the city in a frantic search to find everyone that is accounted for."

The University of Alabama student newspaper, The Crimson White, began tallying e-mails from students who were searching for missing friends. Within hours, the newspaper had received 68 e-mails from worried students.

Graduate student Arefeen Shamsuzzoha toured much of the city Friday, taking photographs of the damage.

"The trees are completely stripped of all of their branches," Shamsuzzoha told CNN Saturday morning. "The ones that are standing just look like sticks rising from the ground."

When President Barack Obama visited the city Friday, his motorcade passed street after street of homes reduced to splinters, crushed and flipped cars, and debris strewn all around.

"I've got to say I've never seen devastation like this," Obama told reporters.

The storms also wreaked between $2 billion and $5 billion in insured losses across the region, according to the catastrophe modeling firm, Eqecat.

Records go back to 1680, and since then there has been only one other date in U.S. history on which more people died during a severe weather outbreak. On March 18, 1925, a severe storm system swept across seven states killing 747 people, according to the National Weather Service.

Weather officials say the reason why so many perished was due to the size and path of the tornadoes. Meteorologists rely on what is called an "Enhanced Fujita Scale" to rate the severity of tornadoes.

The lowest ranking, EF-0, applies to twisters with recorded 3-second wind gusts of between 65 mph and 85 mph, according to the National Weather Service. The highest, an EF-5, is assigned to tornadoes with speeds of over 200 mph

The weather service has so far recorded 11 tornadoes with EF-3 ratings or higher that struck central and north Alabama on Wednesday. Some of the twisters were three-quarters of a mile wide and traveled dozens of miles, experts said.

"That's an astounding amount for a single day tornado event." said Krissy Scotten, a weather service meteorologist in Birmingham. "It's one of those instances where you had very large tornadoes on very long tracks hitting heavily populated areas."

"When you put that together, you're going to see large loss of life and massive devastation," Scotten said.

An EF-4 touched down in Hackleburg, killing 29 people in the town of nearly 1,600 residents.

The storms destroyed almost every business in the city.  A doctor's office. The pharmacy. A ball field.

"It's pretty much wiped out," said Marion County Sheriff Kevin Williams. "It looks like a war zone."

From there, the tornado traveled more than 39 miles across three counties, said Chelly Amin, a National Weather Service meteorologist in Huntsville.

The same tornado, Amin said, virtually destroyed the tiny town of Phil Campbell, which has a population of little more than 1,000.

Those who survived the disaster thanked God or simple luck.

CNN's Mariano Castillo, Phil Gast and Sarah Hoye contributed to this report.

@highlight

NEW: Death toll from South's latest tornado outbreak tweaked to 337

@highlight

Storms causes at least $2 billion in insured losses, catastrophe expert firm says

@highlight

Deadliest single day from tornadoes was in 1925 when 747 people died