Washington (CNN) -- The nation's powerful gun lobby has faced headwinds from vocal lawmakers, a galvanized presidential administration and an American electorate that polls show favors tougher gun laws following December's school massacre in Connecticut.

Yet, when the hundreds of hours of legislative debate, on camera pleas, backroom negotiations and intense lobbying have ended, groups like the National Rifle Association may find that they have narrowed the scope of gun control legislation.

"If you have 100 missiles coming at you and you knock out 99, I would say you were successful," Richard Feldman, president of the gun rights group, the Independent Firearm Owners Association, said of efforts by gun rights groups.

"After the Sandy Hook massacre, I was very worried," said Feldman, who served as regional political director for the NRA during its rise to power in the 1980s.

"The talk was about an assault weapons ban, a gun registry, background checks. Everything was on the table. But the only thing legislatively coming down the pike, the only thing we're talking about is background checks. I would count that as a success for the NRA," he added.

Senate gun law proposal lacks enough support now

The Senate has taken up legislation backed by President Barack Obama and many Democrats that would toughen laws against gun trafficking and straw purchases, and devise ways to improve school safety.

A bipartisan compromise by Sens. Joe Manchin, D-West Virginia, and Pat Toomey, R-Pennsylvania, to expand background checks is the first item up for debate. But Manchin said on Monday that it didn't have enough support yet.

A minimum of 60 votes are needed to clear procedural hurdles. As things stand now, supporters need at least seven votes from Republicans, the party most closely aligned with NRA views on gun rights.

Though smaller gun rights groups, such as the Citizens Committee for the Right to Keep and Bear Arms, support the measure, the NRA reiterated its threat to hold those who back the compromise politically accountable.

The NRA exerts political clout through a rating system that identifies friends and foes of its positions in Congress.

It directs substantial contributions to political campaigns it favors or opponents of candidates it dislikes. The NRA was also able to marshal its large and active membership base to press lawmakers on the upcoming gun vote.

"NRA is opposed to Manchin-Toomey, and it will be a scored vote," NRA spokesman Andrew Arulanandam said, meaning lawmaker ratings with the organization will be affected by how they vote.

A high rating is a political plus for congressional lawmakers from conservative states or districts, especially those up for re-election in 2014.

"There is a lot of member contact going on right now that isn't so obvious," said Alan Lizotte, dean and professor at the State University of New York at Albany's School of Criminal Justice.

"This isn't one of those debates where we're seeing a lot of ads. But this is where groups like the NRA are strong at using members in states to reach out to lawmakers," he said.

Gun rights group endorses background check deal

The NRA's message both in public and private conversations with lawmakers is clear.

"The NRA is forever. Your vote on that issue is forever. And when the next election comes along we're going to talk about that," Lizotte said of the NRA's message to lawmakers.

The Manchin-Toomey amendment will be one of perhaps dozens to be debated on the broader package of gun laws pushed by President Barack Obama following the shooting deaths of 20 first-graders and six educators at the Sandy Hook Elementary School in Newtown, Connecticut.

In debate expected to last two weeks, senators will consider efforts by both sides to either expand or weaken the gun package.

Key issues that had some momentum coming out of Newtown but are fiercely opposed by the NRA appear to have a slim chance of passage.

These include a Democrat-driven push for banning semiautomatic firearms modeled after military assault weapons and limiting ammunition magazines to 10 rounds.

Republicans will push an NRA proposal to make state concealed weapons permits acceptable throughout the country, a concept opposed by many Democrats.

The assault weapons proposal by Sen. Dianne Feinstein, the Manchin-Toomey compromise and the plan around concealed weapons will all be up for votes beginning on Wednesday as amendments, Senate Majority Leader Harry Reid said.

The powerful gun lobby and its allies in Congress have been able to use a sophisticated campaign. They have consistently shifted the focus among various provisions, raised new arguments to old issues, and proposed solutions that would expand weapons use and training instead of increasing regulation.

The gun lobby has had a hand in helping to shape or steer the direction of many amendments to the overall bill, gun policy experts say.

Take, for example, the ban on semi-automatic firearms modeled after military assault weapons proposed by Feinstein, a California Democrat, and backed by Obama.

Fiercely opposed by the National Rifle Association, Republicans and some Democrats, Reid calculated that it would be best not to include it in the main bill because it would invite a filibuster.

In the House, Speaker John Boehner, R-Ohio, has said the chamber would look at anything the Senate approved. But he's not promising a vote.

"What the NRA does as well if not better than any organization in this country I do what you do in the old civics courses. You educate your supporters," Feldman said. "You get them to communicate their views with elected officials in a targeted manner."

Why is this so hard? The disconnect on background checks and guns

CNN's Kevin Bohn and Tom Cohen contributed to this report.

@highlight

The gun lobby has beat back challenges from lawmakers, public opinion

@highlight

Background check legislation once deemed a sure thing struggles to gain support

@highlight

Gun lobby's efforts include "activating" membership, pressuring lawmakers

@highlight

NEW: Senate plans to begin voting on gun amendments on Wednesday