New York (CNN) -- Imagine a vulnerable island, parts of it man-made, with towering buildings and lots of people crammed into small spaces. Now imagine a monster storm slamming into that island.

Manhattan vs. Irene.

It could happen Sunday, and hurricane experts are warning New Yorkers that even though Irene may not be a killer in the vein of Katrina, millions of people could be trapped in their homes for days. Without power, transportation, phones -- and experience.

A hurricane warning was issued late Friday afternoon for the New York City area, as well as points eastward to Cape Cod, Massachusetts, stoking fears that Irene could be the most destructive hurricane to hit the metropolis since 1938.

"The basic issue is, first, New York City has world-class emergency planners. I mean, they're the best in the game. But the city is out of practice when it comes to hurricanes," said homeland security expert Stephen Flynn, author of "The Edge of Disaster."

But it's not just New York that faces Hurricane Irene's wrath as it churns northward.

A heavily populated urban corridor from the nation's capital to the New York metropolitan area stands a chance of a wet and windy lashing.

Department of Homeland Security Secretary Janet Napolitano warned that significant power outages are likely on the East Coast.

"This isn't a mammoth storm ... in terms of lots of death and destruction, but what it is going to do is be very disruptive, and people have to be in position to camp out in their house," Flynn said.

"Time is always your ally before a disaster. It's always your enemy after a disaster," he said. "Using the time now to get prepared is key. When you have that many people packed in a little space, as dependent as they are on the transportation, everybody has to get informed and get better prepared."

But a survey released Friday indicated that the regions that are least likely to be prepared are urban areas in the Northeast, and many of them may be in the path of Hurricane Irene.

According to a CNN/ORC International Poll, 45% of Americans say they have a stockpile of food and water in their homes in case of a terrorist attack or a natural disaster like a hurricane or earthquake.

Those figures are highest in the South and the West -- where hurricanes and earthquakes are most frequent -- but only 36% of Northeasterners say they have emergency supplies of food and water.

People who live in rural areas are also more prepared than people who live in big cities: Only 42% in urban areas have a stockpile of food and water, compared with 51% of rural residents.

In recent days, though, public officials have made frequent media appearances and taken other steps to indicate that they are ready for the storm.

That includes shutting down all public transportation in New York -- including subways, buses and commuter rails -- after noon Saturday. Gov. Andrew Cuomo has also ordered the National Guard to deploy up to 900 troops. And most bridges in and around the city will be closed to traffic if winds exceed 60 mph, as would be the case with hurricane winds in excess of 74 mph.

"The sun is shining, but don't be misled," New York Mayor Michael Bloomberg said Friday afternoon. "There is a very dangerous storm headed in our direction."

Mandatory evacuations have been issued for some low-lying areas in all five of the city's boroughs, including Coney Island in Brooklyn, Far Rockaway in Queens and Battery Park City on the southern tip of Manhattan. Some of those are patients in five hospitals, eight nursing homes and other medical facilities that had to be moved out by 8 p.m. Friday, per the mayor's orders.

In addition, Bloomberg said that 91 emergency facilities -- which, among other purposes, will act as shelters -- opened across the city.

It's not just Manhattan that will be tested. Flynn noted that Long Island, home of the boroughs of Queens and Brooklyn and many other communities farther east, has 7.5 million people crammed together. If it were a state unto itself, it would be the nation's seventh largest -- and one that, likewise, is facing a hurricane warning.

"It's an island. The only way to get off and on to it is through the two boroughs and Queens and the Bronx, and what we know is, we're going to have a lot of outages," Flynn said.

At 3 p.m. Friday, Suffolk County ordered mandatory evacuations of barrier beach communities, particularly those on the western end of Fire Island, county spokesman Mark Smith said. Further evacuations in low-lying, beachside communities -- including parts of the Hamptons and Montauk -- could be mandated Saturday morning, he added.

"We expect long, long delays as these roads start to get jammed," East Hampton town supervisor Bill Wilkinson said. "We are sitting at 125 miles in the Atlantic, and there are -- from Southampton to the end of Long Island -- only two lanes. If you have to get somewhere and you want to get home, you better get on the road soon."

On Fire Island, nervous residents put away outdoor furniture, and the parking lot at Costco was filled as shoppers stuffed SUVs with bottled water and groceries.

Transit systems in Philadelphia and New Jersey will also shut down Saturday, though the operators of Boston's subway system vowed on Friday to add extra resources and stay operational through the storm.

And travelers planning to fly out of any of the busy airports in the Washington and New York areas are in for a headache. Thousands of weekend flights already have been canceled.

Baltimore/Washington International is "monitoring terminal and airfield drainage, checking generators and securing any equipment that may become airborne as a result of high winds," said Paul J. Wiedefeld, the airport's executive director.

Carriers are monitoring the weather conditions carefully and taking action.

Joe Rigby, president and CEO of the power company Pepco, said that close to a thousand line personnel were getting ready to handle outages just in the Washington area.

"We've been absolutely anticipating that this is going to hit us hard. It's going to hit us to varying degrees, probably less so here where we are but more as you move east of our service territory going over to Atlantic City," he said. "But we're anticipating that with the kind of rain and sustained wind, we're very likely going to have some serious damage and actually multi-day outages."

The main event in Washington this weekend was supposed to be the much-awaited dedication of the Martin Luther King Jr. National Memorial.

But as the district's homeland security department tweeted Friday: "The District's focus has shifted to #Irene. That's what's happening in the city this weekend."

@highlight

NEW: A hurricane warning is in effect for New York and nearby locales

@highlight

NEW: Mandatory evacuations are ordered in parts of the city and Long Island

@highlight

One expert says New York is out of practice with hurricanes

@highlight

Millions of people could be trapped in their homes without power or transportation