Cairo (CNN) -- The Arab League agreed on a path forward in Syria on Sunday that instructs President Bashar al-Assad to delegate powers to his vice president following the formation of a national unity government.

The Syrian government roundly rejected the plan, which it views as "blatant intervention in its internal affairs," Syria's official SANA news agency reported soon after the announcement.

The Arab League called for the government to start a dialogue with the opposition within two weeks and for the new government to be formed within two months.

The unity government should within three months prepare to elect a council that will write a constitution, the Arab League said. It should also prepare for parliamentary and presidential elections.

The plan, details of which were announced by Qatari Foreign Minister Hamad bin Jassim Al Thani at a press conference in Cairo, is the clearest statement yet from the Arab League on what the league's member states would like to see happen in Syria.

It remains unclear what weight, if any, the proposal will carry on the ground.

"The president will delegate his first vice president the full power to work with the national unity government to enable it to perform its task in the transitional period," the foreign minister said.

The Arab League will take its initiative, which does not back military intervention in Syria, to the United Nations in a bid to build international support. The organization also said it would extend its monitoring mission in Syria and increase the number of observers there.

The mission was scheduled to end last Thursday. It was not clear whether Syrian officials would accept the offer.

Secretary-General Nabil el-Araby said the Syrian government has not complied with some parts of an Arab League agreement aimed at ending a violent crackdown on protesters. Syrian officials are treating the crisis as a security problem, he said, noting that armed opposition factions controlling some areas made it difficult for observers to do their jobs.

But Arab League monitors have seen some aspects of the situation improve, he said.

"The presence of the Arab monitors provided security to opposition parties, which held an increase in number of peaceful protests ... in the areas where the monitors were present," el-Araby said.

Before el-Araby's statement, Saudi Arabia's foreign minister said his nation planned to withdraw its members of the observer team, according to an Arab League official. Prince Saud al-Faisal told Arab League foreign ministers that "Syria did not comply with the Arab resolution plan," according to the Arab League official, who asked to remain anonymous because he was not authorized to speak to the media.

Earlier Sunday, a five-nation committee led by Qatar requested a one-month extension of the mission from the foreign ministers of the league's 22 member states.

The committee made its request after reviewing a report submitted by Sudanese Lt. Gen. Mohammad Ahmad al-Dabi, head of the league's monitoring mission in Syria.

Before leaving Damascus for the meeting in Cairo, al-Dabi said the mission of the monitoring group is "not to stop the killing and violence in Syria but to investigate the Syrian government's execution of the article of the Arab plan aimed at solving the Syrian crisis."

The Arab League has called on President al-Assad's regime to stop violence against civilians, free political detainees, remove tanks and weapons from cities and allow outsiders, including the international news media, to travel freely in Syria.

Senior Arab League diplomats said the Syrian government has not accepted or rejected the possibility of a one-month extension.

Some worry the observers haven't been allowed to see the full situation in Syria.

"The Arab monitors indicated that the regime did not follow protocol, did not release the detainees, did not remove all military tanks, did not allow press to travel freely, did not recognize even once the peaceful protests, and the massacre of Idlib yesterday is proof of that. The regime let down the Arab League, and Arab nations have the responsibility to respond," said Burhan Ghalioun, head of the opposition Syrian National Council.

He spoke to reporters in Cairo following the Arab League announcement, calling for the protection of civilians in Syria, describing U.N. cooperation as vital and stressing the need for Al-Assad to resign.

"Any serious entrance of an interim period must start with al-Assad announcing his stepping down," he said.

The presence of Arab League monitors in the country hasn't quelled daily reports of deadly violence.

At least 59 people were found dead across Syria on Saturday, according to the Local Coordination Committees of Syria, an opposition activist group.

They include 30 unidentified corpses found at the National Hospital in Idlib and at least 16 dead from a bus explosion in northwestern Syria's Idlib province.

CNN cannot confirm the claims by opposition groups of violence and deaths, as Syria's government has limited access by foreign journalists.

For more than 10 months, Syria has been engulfed by an anti-government public uprising and a brutal security crackdown against protesters. The United Nations last month estimated well over 5,000 deaths since mid-March. Opposition groups estimate more than 6,000 people have died.

While activists blame the violence on al-Assad's regime, the government says terrorists have been responsible for the bloodshed.

CNN's Salma Abdelaziz, Joe Sterling and Samira Said contributed to this report.

@highlight

NEW: The Syrian government rejects the proposal, SANA reports

@highlight

The opposition Syrian National Council says President al-Assad should step down

@highlight

The Arab League will take its plan to the U.N. in a bid to build support

@highlight

The unity government should prepare for elections, the Arab League says