WASHINGTON (CNN) -- President Obama on Friday resumed -- with expanded legal protections -- the Bush administration's controversial system of military trials for some Guantanamo Bay detainees.

President Obama says the commissions are OK, "provided that they are properly structured and administered."

On the heels of Obama's shift this week to block the release of photos showing prisoners allegedly being abused by U.S. personnel in Iraq and Afghanistan, the military commissions announcement further infuriated the president's most ardent supporters while winning cautionary praise from some of his political foes.

Obama said he supports the idea of the military commissions but opposes the version of the law that had been governing such trials in recent years: the Military Commissions Act put in place under the Bush administration in 2006, but subsequently struck down as unconstitutional by the Supreme Court.

The president said military commissions "are appropriate for trying enemies who violate the laws of war, provided that they are properly structured and administered." But, he said, the 2006 act "failed to establish a legitimate legal framework and undermined our capability to ensure swift and certain justice against those detainees."

He said he plans to enhance due process rights for detainees held at the U.S. facility in Guantanamo Bay, Cuba, in order to improve the widely criticized approach created by his predecessor.

Statements that have been obtained from detainees through interrogation and cruel treatment, such as waterboarding, will no longer be admitted as evidence before the commissions, Obama said, and hearsay evidence will be limited.

The revised system also will give detainees greater latitude in selecting legal representation and afford basic protections to those who refuse to testify. Military commission judges also will be able to establish the jurisdiction of their own courts.

"These reforms will begin to restore the commissions as a legitimate forum for prosecution, while bringing them in line with the rule of law," Obama said.

He said he plans to ask Congress to enact other reforms to the 2006 law.

Sen. John McCain, R-Arizona, applauded his former opponent.

"Today's announcement is a step -- but only a step -- toward a comprehensive detainee policy that will deal with the detainees held at Guantanamo and elsewhere in a fashion that both accords with our values and protects our national security," McCain said in a written statement.

But Obama's announcement infuriated some of his core supporters -- with the revisions hardly calming the concerns of groups such as the American Civil Liberties Union.

The ACLU chided the military commission decision as "a striking blow to due process and the rule of law."

"These military commissions are inherently illegitimate, unconstitutional and incapable of delivering outcomes we can trust," said Anthony D. Romero, the group's executive director.

"Tweaking the rules of these failed tribunals so that they provide 'more due process' is absurd; there is no such thing as 'due process light.' " he said. "If the administration's proposed rules really bring these proceedings in line with constitutional requirements, there is no reason not to use our tried and true justice system. If they don't, these tribunals have no place in our democracy."

White House spokesman Robert Gibbs countered that military commissions have a long history in the United States.

"First and foremost, the president of the United States is going to do what he believes is in the best security interest of the people of the United States," Gibbs told reporters.

Obama suspended the military commissions by signing an executive order on his third day in office, the same day he signed an order to close the U.S. military prison at Guantanamo within a year and announced a 120-day review of the whole process. The review deadline is next week.

Gibbs said he does not know where and how trials for alleged terrorists will unfold on American soil. Nor did he disclose how many suspects would face legal proceedings under the revised commissions. Three Guantanamo detainees' cases have gone through the commission so far.

The Bush administration established the military trial system after the U.S. military began capturing detainees in Afghanistan in late 2001. The next year, it opened the Guantanamo facility, saying suspects were treated properly and received due process through the system.

But legal organizations and human rights agencies have repeatedly challenged the system on grounds that detainees were mistreated.

One lawyer representing a client at Guantanamo said closing the detention facility, which Obama is advocating, is a "meaningless gesture" if the military commissions continue.

"The military commissions are fundamentally flawed and can't be fixed," said Army Maj. Jon S. Jackson, a lawyer for Mustafa al-Hawsawi, one of five 9/11 defendants charged in the military commission process.

Khalid Sheikh Mohammed, the self-confessed mastermind of the 9/11 attacks, is the most high-profile of those defendants.

@highlight

Obama revives Bush system that was suspended in January

@highlight

New system to include expanded due-process rights for the suspects, Obama says

@highlight

ACLU calls move "a striking blow to due process and the rule of law"