London (CNN) -- The days of would-be terrorists needing to travel to far-off camps to make contacts and learn how to build bombs is rapidly receding. Social media forums like Twitter and Facebook provide a ready made Rolodex of sources -- dig further online, mine those contacts further, gain admission to private chat forums and eventually you will find instructions for bomb making.

Last month al Qaeda in the Islamic Magreb (AQIM) launched a Twitter account that has already gained more than 5,500 followers, and AQIM's account is following seven people including the Somali terrorist group Al Shabaab's official twitter handle and the al Nusra front in Syria, which in turn is following another rebel group in Aleppo.

You can see how rapidly the connections start to multiply and how easy it is for a budding terrorist to build up global contacts. Of course, it is impossible to prove any of these accounts are authentic, but many of their followers think they are, which is worrying in itself.

The British security service MI5 and its sister spy organizations GCHQ and MI6 all monitor social media, noting who is following whom on sites like Twitter, and providing vital information about alliances being forged between different groups and individuals.

But Professor Peter Neumann from King's College London points out that it's not without its challenges.

"This is the big problem because Web 2.0, the social media generates so much 'stuff' and there are so many people involved in chatting with radicals on the internet and to monitor that would require really huge resources and no intelligence service has completely figured out how to separate the 'chatter' from the 'real,' significant stuff," he said.

"You don't know, for example, if someone who chats online a lot is very dangerous or whether it's the opposite -- someone who doesn't chat at all and is just listening is actually more dangerous because that person maybe more likely to be operational. There's a lot of the online environment that we don't know yet."

Jean Paul Rouiller from the Geneva Centre for the Training and Analysis of Terrorism says social media is vital to modern terrorist organizations.

"They would not have been able survive, they would not be able to recruit people. The human touch always needed, but social media is their shop- window," he said.

Behind the shop-window of Twitter and Facebook accounts are more limited private chat-rooms where terrorist leaders from around the world exchange information and tactics.

According to Rouiller, one notorious forum was run by French terrorist suspect Nabil Amdouni until it was closed down by the French, and who was arrested last summer in Toulon.

Rouiller claims that documents recovered during the killing of Osama bin Laden in Abbottabad suggest that bin Laden himself may have posted messages on this forum. The dead al Qaeda chief was very careful to stay away from electronic devices himself, but it is thought he wrote down messages on pieces of paper which a trusted lieutenant would then type and save on to a USB stick, finally passing this to someone else to post on the forum.

There is also the case of another militant Moezeddin Garsallaoui who, Rouiller says, used to log into a chat forum after drone strikes to show his family in Europe that he had survived. He never posted a message, but his mere presence in the forum left an electronic signature that proved to his wife Malika al Aroud he was still alive.

READ MORE: Who really killed bin Laden?

Some experts think there are examples of terrorists who have immersed themselves in this online world of extremism and have "self radicalized" without ever having met another terrorist in real life.

Major Nidal Hasan, who allegedly shot dead 13 people and injured 30 others at Fort Hood in 2009, is an example cited by analysts like Neumann, as a "self-radicalizing" terrorist . Authorities say he was in email contact with the Yemen-based preacher Anwar al-Awlaki in the months prior to the shootings, but because of the lack of a wider "plot" or conspirators, the Department of Defense has categorized the killings not as terrorism, but as workplace violence.

READ MORE: Dead cleric inspiring new terrorists

Others though, like Rouiller, say that while online material can put an individual onto the wrong track, ultimately there is almost always a terrorist "mentor" who plays a key role in pushing someone towards violence and that mentoring almost always takes place face-to-face, in somewhere like a mosque, high school or university.

The big question in light of the Boston bombings is whether the Tsarnaev brothers, suspected of setting the bombs, were also "home-grown", radicalizing solely online, or whether there was in fact a terrorist "mentor" that capitalized on their discontent and steered them towards violence. And crucially, if they are guilty, did they learn their bomb making skills from the Internet, rather than in a terrorist classroom in Dagestan?

Analysis: The appeal of Islamic radicalism

Opinion: Should we still fear al Qaeda

@highlight

Social media forums can provide sources for would-be terrorists

@highlight

British security services monitor social media sites to track groups and individuals

@highlight

Some experts think terrorists have "self radicalized" through social media

@highlight

Others believe that ultimately there is almost always a terrorist "mentor"