Washington (CNN) -- The Supreme Court ruled for a Pennsylvania woman accused of violating laws tied to a chemical-weapons treaty when she attacked the other woman in a love triangle.

The justices by a unanimous vote on Monday concluded the government overstepped its authority when prosecuting Carol Anne Bond, as part of the country's obligations enforcing a chemical weapons agreement. At issue was whether Congress may criminalize conduct -- under its treaty ratification power -- that is otherwise the domain of the states.

Bond was given a long prison sentence in the federal system after being convicted of using potentially lethal chemicals against a romantic rival. She would have likely gotten a much shorter sentence under state law.

The decision sends the case back to lower courts, which could vacate the conviction.

The case of toxic love has soap-opera elements, but Bond's lawyers argued she was being treated like a foreign terrorist instead of someone caught up in an act of personal revenge against a friend.

"The global need to prevent chemical warfare does not require the federal government to reach into the kitchen cupboard," Chief Justice John Roberts wrote in his narrowly framed opinion, "or to treat a local assault with a chemical irritant as the deployment of a chemical weapon."

Beyond this fact-specific dispute, the case touched on larger concerns about the strength and purpose of the Constitution's 10th Amendment, designed to preserve state power.

It is also a question roiling the current political debate, especially among tea party conservatives in this post-9/11, security-conscious environment.

The court majority largely avoided those questions in its ruling. Roberts said the facts of the case limited their scope.

"This exceptional convergence of factors gives us serious reason to doubt the government's expansive reading of the [law], and calls for us to interpret the statute more narrowly."

Bond, a native of Barbados, lived outside Philadelphia and worked as a microbiologist. As a federal appeals court succinctly summarized the relevant facts in the case: "Bond was excited when her closest friend, Myrlinda Haynes, announced she was pregnant. Bond's excitement turned to rage when she learned that her husband, Clifford Bond, was the child's father. She vowed revenge."

The woman, known to her family as Betty, struck back by stealing dangerous a chemical -- arsenic-based 10-chloro-10H-phenoxarsine -- from her company. She also obtained potassium dichromate over the Internet. Both substances in heavy doses can cause toxic, even lethal harm with very little physical contact.

The 42-year-old then tried to poison Haynes some two dozen times over several months, secretly sprinkling small amounts of the chemicals on an apartment doorknob, car door handles, and a mailbox.

While suffering no more than a chemical burn on her thumb, Haynes grew suspicious -- one of the chemicals was a bright orange powder. After getting little help from local police, in 2007 she called postal inspectors, who set up surveillance cameras.

Bond was videotaped stealing mail and placing chemicals inside the mailbox and a car muffler, court records show. She was soon arrested.

Bond admitted her guilt early on and claimed she never meant to kill Haynes, but only wanted to cause her "an uncomfortable rash."

The defendant also said her friend's betrayal caused an "emotional breakdown" that made her respond in such a shocking fashion.

Instead of being charged with simple assault, which may have gotten her six months to a year or two in state prison, Bond was indicted in federal court on two counts of mail fraud and -- the bombshell -- two counts of violating a federal law and international treaty on the possession and use of "chemical weapons."

When a judge denied her motions to transfer the case to state court, Bond pleaded guilty and immediately appealed. She received a sentence of six years behind bars and nearly $12,000 in fines and restitution. She was released in August 2012.

There are about 1,000 treaties signed by the United States currently on the books.

Many academics and lawmakers had hoped the majority right-leaning bench will use this opportunity to delve further into the scope of the 10th Amendment, which states, "The powers not delegated to the United States by the Constitution, nor prohibited by it to the states, are reserved to the states respectively, or to the people."

In the broader political context, a bipartisan sphere of Americans worry the federal government and Congress have been overly aggressive in staking claims to disputes they believe are best left to states, especially in the criminal arena.

And it is not just felonies. Areas like gun ownership, zoning laws, environmental regulations, taxation, health care, and education standards all could be re-examined in the wake of this high court decision.

While agreeing the prosecution of Bond was improper, three other members of the court-- Justices Antonin Scalia, Clarence Thomas, and Samuel Alito -- would have gone farther and said the court should decide whether the law was a proper exercise of federal power.

"We have here a supposedly 'narrow' opinion which, in order to be 'narrow,' sets forth interpretive principles never before imagined that will bedevil our jurisprudence (and proliferate litigation) for years to come. The immediate product of these interpretive novelties is a statute that should be the envy of every lawmaker bent on trapping the unwary with vague and uncertain criminal prohibitions," said Scalia.

He added that the majority "enables the fundamental constitutional principle of limited federal powers to be set aside by the President and Senate's exercise of the treaty power. We should not have shirked our duty and distorted the law to preserve that assertion; we should have welcomed and eagerly grasped the opportunity-- nay, the obligation-- to consider and repudiate it."

Some of Bond's supporters argue that some federal prosecutions are novel and the penalties are often more harsh, creating conflict and confusion with local efforts to ensure public safety. They see Bond as an unexpected hero in the fight to return "the power back to the people."

"The proposition that the Treaty Clause is a trump card that defeats all of the remaining structural limitations on the federal government is not a proposition that is logically defensible," Sen. Ted Cruz, R-Texas, said when the case was argued in December.

Bond had won an earlier Supreme Court appeal, with a unanimous ruling she had "standing," or legal authority, to pursue her claims in the courts. That allowed her to continue trying to have her federal conviction tossed out, which was the current issue before the justices.

Her lawyers say she had been trying in recent years to repair her shaken marriage, and has come to terms with her husband's betrayal.

The case is Bond v. U.S. (12-158).

@highlight

Carol Anne Bond challenged her conviction on a federal chemical weapon charge

@highlight

She used poisons to try to get back at a woman who had an affair with her husband

@highlight

The case touches on the conflict between federal and state powers