(CNN) -- When David Green, 22, graduated from Western Washington University in December, he applied for dozens of jobs, from fast food to secretarial positions -- sending out more than 50 resumes and scoring only two interviews in the process.

The organization Reach to Teach has seen a 100 percent increase in applications to teach English in Asia.

"It was horrible. I couldn't find anything," said Green, a history and social studies major.

With few employment options in his hometown of Bellingham, Washington, Green applied to teach English in a South Korean middle school through Reach to Teach, an organization that assists college graduates with finding teaching positions in Asia. Green, who counts trips to Canada as his only experience abroad, will be leaving for Seoul on March 20 for one year.

"I am scared. I've only had one major breakdown so far, ... but I'm really excited about being on my own ... somewhere completely new where I know absolutely no one," he said.

Like Green, many recent college graduates are searching for alternatives to jumping into the job market in the face of the recession. An increasing number of young Americans are searching out paid positions teaching English in countries like South Korea, Japan, China and Spain as a means to expand their horizons and weather the economic doldrums.

Mitch Gordon, director of school relations for Reach to Teach, said his organization has seen more than a 100 percent increase in applications in the last six months, with 3,784 applicants compared to 1,488 during the same six-month period last year. The application system doesn't track U.S. applicants separately, but Gordon estimates more than 70 percent are from the United States.

The program also has seen a significant increase in current teachers extending their teaching contracts abroad for an extra year.

Gordon said he believes the recession is the primary reason for the steady increase in applicants, and the increase has made the program more competitive.

"We have more people for the same number of positions," he said. "We're able to raise our standards a little bit more."

Japan's JET (Japan Exchange and Teaching) program also has recorded a jump in applicants. For 2009 positions, the Japanese government-sponsored program has received 15 percent more U.S. applications than last year, according to program coordinator Joelle Williams.

The program attributes the jump in part to the economic situation and the tough job market in the United States. JET officials also noticed that more applications arrived farther in advance of the deadline this year.

'Taking control of my own life'

Ayana Hosten, a spring 2008 graduate of Claremont McKenna College, has been working as an English teaching assistant in Madrid, Spain, since February through a program organized by the Ministry of Education of Spain. Her contract is ending in June and she is already looking to extend her stay for another year.

Spain's Ministry of Education has announced more than 1,200 openings for U.S. and Canadian "cultural ambassadors" for the 2009-2010 school year. Grants provide the teaching assistants with about $900 a month for the eight-month stay. Teachers are responsible for their own lodging and transportation costs, and applicants should have a functional knowledge of Spanish.

For Hosten, 22, going to Spain was a way to escape a rough job market that left her without a full-time job between graduating and applying for the teaching program.

"After being unemployed for three months, it really started to affect me emotionally, which was something I was not prepared for," Hosten said in an e-mail. "Going to Spain was me taking control of my own life and pretty much just wiping my hands of the financial crisis."

Travis Lee, a University of Tennessee alumnus who is in a teaching program sponsored by a university in Wuhan, China, began teaching English in September 2008, originally intending to stay for one year.

"Now I'm thinking of extending my stay for another semester or full year, and if I really like it and can't find a job in America, who knows?" Lee said in an e-mail.

He said the economy and the tight job market have been a big influence in his consideration to stay in China.

Trying another path

For many recent graduates, working abroad is becoming a more secure option than searching for a job in the United States. Most teaching programs in other countries will provide teachers with a salary and health insurance, and some programs in Asia will even provide free housing, said Jake Hanin, a teach abroad program coordinator for the Council on International Education Exchange, who also has noticed an increase in applications.

For programs in Asia, fluency in English is usually the most important qualification for teaching jobs, and many do not require applicants to have previous teaching experience, Hanin said.

Lee's salary in China is approximately $555 per month, which he says is more than enough to live comfortably in Wuhan. The university also provides him with a rent-free apartment and pays his electric bill.

"We make twice what a Chinese teacher with a bachelor's makes and we do half the work," Lee said in an e-mail.

But for Lee and many other recent graduates, working abroad is primarily about having once-in-a-lifetime experiences in a completely different culture.

"You have plenty of time to get a career, start a family, and follow that path," Lee said. "Why not try another path first? What have you got to lose?"

CNN's Marnie Hunter contributed to this report.

@highlight

Economy is prompting some recent grads to delay entering U.S. workforce

@highlight

Reach to Teach applications are up 100 percent from last year

@highlight

Japan's JET program receives 15 percent more U.S. applications