Malaysia's highest court has rejected a challenge from the Catholic Church seeking to overturn a ban on non-Muslims using the word "Allah" to refer to God.

But after the Federal Court announced its verdict on Monday, the government released a statement saying that the ruling would only apply to the Church's newspaper, which has been at the center of the court battle since Malaysian authorities ordered the publication to cease using the Arabic word in 2007.

Malaysian Christians will still be able to use the word "Allah" in church, the government's statement said.

"Malaysia is a multi-faith country and it is important that we manage our differences peacefully, in accordance with the rule of law and through dialogue, mutual respect and compromise," the statement said.

Confusion

The conflicting interpretations of the ban have only added confusion to a debate that has inflamed religious tensions in the Muslim-majority country in recent years.

The editor of the the newspaper, the Herald, said it remains unclear what the implications of the court's verdict would be for the Christian community.

"We are in limbo," Father Lawrence Andrew told CNN.

But the chairman of the Christian Federation of Malaysia, Reverend Eu Hong Seng, said in a statement that Christians will continue to use the word "Allah" in bibles and during church gatherings.

The dispute began in 2007 when the Malaysian Ministry of Home Affairs, which grants publishing licenses, threatened to withdraw the Herald's permit for using the Arabic word in its Malay-language edition, on the grounds of national security and public order.

Malaysian authorities say non-Muslim literature that contains the word could confuse Muslims and cause them to convert away from Islam, which is a crime in many parts of the country.

Christian leaders argue that the word "Allah" predates Islam, and has long been used in Malay-language bibles and other texts to refer to God.

Anti-Christian violence

The dispute has sparked violence in recent years against Malaysia's Christian community, which accounts for around 9% of the country's population of 29 million, while more than 60% are Muslim.

A series of fire bomb attacks were carried out on places of worship after a court ruled in 2009 that the Church had a constitutional right to refer to God as "Allah" in the Herald.

But an appeals court reinstated the ban in October 2013. Three months later, arsonists set fire to a church in Kuala Lumpur, and Islamic authorities confiscated hundreds of bibles containing the word "Allah" from a Christian organization in the state of Selangor.

On Monday, a panel of judges at the Federal Court in Putrajaya ruled 4 to 3 that the word was not an integral part of the Christian faith, upholding the decision of the appeals court.

Outside the building, hundreds of Muslim activists celebrated the verdict, shouting "Allahuakbar" (God is great).

"We thank Allah because the court's decision has favored us this time. We hope that this is no longer an issue in the peninsular, which does not allow others (to use) the term," the head of Perkasa, a conservative Muslim rights group, told reporters.

Father Andrew from the Herald said the Church was looking into ways to challenge the ban.

"We need to fight this case to end, because we have to fight for justice when justice is derided or denied," he said.

"We have a moral obligation to champion the cause of minorities. We have a responsibility to uphold religious freedom."

Politics

It's likely that the ban is politically motivated, according to William Case, a political scientist with the City University of Hong Kong's Department of Asian and International Studies.

Malaysia's Prime Minister Najib Razak is a reformist to some extent, says Case, but his party failed to win a majority in the last election and he needs to recapture the support of the country's ethnic Malay, and mostly Muslim, community.

However, it's too soon to tell how the Malaysian government will implement the ban in practice, he says.

"This is the kind of ambiguity you would expect, because it's a very complex and tense set of circumstances. You might have the judiciary saying one thing, the cabinet saying another -- meanwhile pressure is mounting from the many Muslim groups involved who bring tremendous mass-based support, and on the other side from Christian groups."

The ruling may lead to further attacks on churches, Case warned.

"We do know that Malaysia has become more and more polarized in recent years on ethnic, and increasingly religious, grounds -- and that's becoming more and more severe."

But while the latest court ruling is distressing, Case says verbal threats against religious groups in Malaysia seldom translate into the kind of violence seen in neighboring countries, like Indonesia.

"We don't see extrajudicial killings, religious-inspired violence and abductions, and that distinguishes Malaysia in the region."

In 2013: Christian churches in Borneo vow to continue using the word 'Allah'

Sudanese Christian woman rearrested, legal team says

@highlight

Malaysia's top court dismisses bid to overturn ban on Christians using Arabic word for God

@highlight

Confusion over ruling as government says ban only applies to Church's newspaper

@highlight

Muslims say use of "Allah" in non-Muslim texts could cause Muslims to convert

@highlight

Church says it will continue to fight the ruling