ILULISSAT, Greenland (CNN) -- From the air, Greenland's ice sheet, the second largest on Earth, appears to be perfectly still.

A boat sails by an iceberg floating in the Jacobshavn Bay near the town of Ilulissat, Greenland.

But below the surface, the ice sheet is in constant motion, as ice built up in the interior pushes toward the coast in the form of massive glaciers. During warmer months, ice from these glaciers melts into the ocean.

It's an age-old process that scientists say has sped up in recent decades because of global warming.

The fear is that melting ice from Greenland and other Arctic areas could cause sea levels to rise enough to flood low-lying cities, such as Shanghai, China, and New York City, displacing millions of people in the process.

A recent report from the U.N.'s Intergovernmental Panel on Climate Change, made up of scientists from around the world, estimates the sea level rise by 2100 could be as much as 1½ feet.

"That sea level rise is only based on melt from ice sheets, and does not include a new fast flow of ice we have detected in Greenland that is generating additional icebergs," said Dr. Konrad Steffen, a climate scientist with the University of Colorado, Boulder.  Watch how greenhouse gases cause temperatures to rise »

Steffen estimates sea levels could rise three feet over the next century, a stark prediction that could wreak havoc around the world if it comes to pass. Greenland holds enough ice to cause sea levels to rise 23 feet if the entire ice sheet melted, a development few scientists expect to happen anytime soon. But global sea levels have been rising at the rate of three millimeters per year since 1993.

For each of the past 17 years, Steffen has spent one month at a remote research site called Swiss Camp, located 300 miles north of the Arctic Circle in Greenland. He monitors the changing ice sheet through a network of global positioning systems and weather stations, which have recorded a dramatic rise in temperatures since the mid-1990s.

"When we came here in 1990, the first two, three years were actually colder than normal. Then in 1994, 1995, it started to warm steadily and since then, we've had a temperature increase during the winter months of 4.5 degrees centigrade, 8.1 degrees Fahrenheit, which is very large, the largest temperature increase on earth," he said.

The rising temperatures feed what scientists call a "positive feedback loop." As the air warms, it melts ice on the sea and snow on land. This exposes more water and land to the sun. Those surfaces in turn absorb more of the sun's heat, leading to more snow melt and ice melt.

"When you look at our satellite analysis, we can see the melt area of Greenland over 30 years has increased by 30 percent," Steffen said.

Despite all the changes in Greenland, this is not the first time temperatures have risen on the world's largest island. During the 1920s and 1930s, there was a significant warming trend that occurred without the level of man-made greenhouse gases recorded in our atmosphere today. The majority of scientists say greenhouse gases are the chief cause of global warming.

The fact Greenland has warmed before leads some scientists to question how worried we should be about the current warming trend. Dr. Patrick Michaels, a climatologist, is part of a small group of climate change skeptics. He said Greenland's warm past didn't cause the ice sheet to disappear.

"Well, this happened for 50 years in the early 20th century, and it happened for a millennium after the end of the last ice age," he said. "And the ice didn't shed off it."

But Dr. Jay Zwally, a climate scientist with NASA, said he thinks the latest trend is different.

"The current warming trend in Greenland is very extensive and is not likely to be explained by natural variability alone," he said. Zwally said the warming is consistent with scientific predictions about the effects of man-made greenhouse gases.

Last year, satellite data collected by NASA scientists revealed Greenland is losing 100 billion tons of ice each year, more than it is gaining from snowfall in the interior. Steffen and others have also detected a new, faster movement of the ice sheet, causing the glaciers to dump more ice into the ocean, where it melts and contributes to sea-level rise.

Part of this faster flow is caused by moulins, deep holes in the ice sheet that allow water to flow beneath the surface.

"During the summer months, as the ice sheet melts, large running rivers of melt water snake down through the ice, to the bedrock base below," Steffen said.

Last year, researchers lowered a camera into a moulin to explore the depth and flow of the melt water. Once the melt water from the surface reaches the bedrock below the ice, it can lift the ice sheet and provide a layer of viscosity for the ice to move faster toward the sea, a process that could accelerate as Greenland continues to warm.

Steffen hopes his prediction of a three-foot rise in global sea level by 2100 won't become a reality. But he warned that even if we are able to reduce the world's carbon output from cars and power plants, it will take a long time for Earth's climate to stop warming and seas to stop rising.

"Even if we reduce our carbon dioxide output, the climate will continue to warm," he said. "So even by stopping the increase of carbon dioxide today, we will have a warming, we will have sea level increase." E-mail to a friend

@highlight

Greenland's ice melt area increased 30% in 30 years, one scientist says

@highlight

The island is now losing more ice each year than it gains from new snow

@highlight

This melting ice is causing sea levels to rise around the world

@highlight

Scientists fear low-lying areas could be flooded if seas continue to rise