SILVER SPRING, Maryland (CNN)  -- Thomas Cuddy enlisted in the U.S. Army 28 years ago, but he's facing his greatest battle now that he's out.

Retired veteran Thomas Cuddy is so weakened by ALS that he often can't catch himself when he slips.

Cuddy spends most of his days in his small apartment in Silver Spring, Maryland, reading on his couch, and working at his computer. He leaves only when it is absolutely necessary; the trek down the three flights of stairs is exhausting and dangerous. He slips easily, and he does not have the strength to catch himself.

Thomas suffers from amyotrophic lateral sclerosis, ALS, also known as Lou Gehrig's disease, after the legendary baseball star who lent his name to the mysterious illness over 60 years ago.

His doctors have told him to stop working but he cannot afford to, so he works when his body will let him. He is able to work from home most days -- he's a community relations officer, command speechwriter and medical publications reviewer based at Walter Reed Army Medical Center.

But as typing becomes an increasingly strenuous chore, even this will become too much to bear. Thomas hopes this day comes later rather than sooner. Sitting idly is not is his nature, but ever so slightly, that is changing.

"This is a disease where...one day you wake up and you can walk, and the next day you can't," he says. "And once you lose it, you can never get it back."

ALS is a progressive disease that attacks neurons in the brain, eventually leading to total paralysis. It affects 20,000 to 30,000 Americans at any given time, according to the ALS Association. It can take up to 10 years to fully develop, but by the time it is diagnosed, it is usually fatal within two to five years.

ALS was first classified as a disease in 1869, yet there are still few clues as to its cause. Researchers are just as far from finding an effective treatment or cure. In fact, just one drug has been approved by the FDA to treat ALS, and has been proved only to extend life by a few months.

"They have no idea what is happening to us. I'm taking it one day at a time," Thomas says.

Thomas has found that many of his brothers suffer from the illness as well -- his fellow veterans, that is.

"There have been recent studies that have been proven that if you are a veteran, your chances of developing ALS are double that of anyone else," Thomas says.

Dr. Mark Weisskopf, an assistant professor at the Harvard School of Public Health, said that doctors took notice as a large number of veterans of the first Gulf War began to report "non-specific neurological conditions." Several subsequent studies published in the last decade have established an increased rate of ALS among Gulf War veterans.

Weisskopf was co-author of a study in 2005 that found that men with any history of military service are about 60 percent more likely to develop ALS than men who did not serve in the military. He concluded that "the branch, length of service, and where you served didn't seem to matter."

The cause of this connection is still unknown. Weisskopf says that there may be an environmental trigger, but due to the immensity of potential exposures to which military personnel are subjected, no one has been able to pinpoint exactly what that trigger might be.

For men who are trained to fight for their lives, this disease is perhaps the ultimate torture.

"The way we are in the military, if you show us an enemy, we'll defeat it, "Thomas says. "It's really hard to identify what you're fighting. I'm just fighting to stay alive."

The Department of Veterans Affairs established ALS as a service-connected disease on September 23, 2008. This acknowledgment gives veterans suffering from ALS access to much-needed benefits such as health care, disability compensation, and many other essential support systems.

While it may seem as if the VA has moved slowly in reacting to these studies, Weisskopf notes that there is still a lot that is unknown about the connection between ALS and military service.

"In that regard, I commend the VA in taking this step before many scientists are fully convinced," Weisskopf says.

Nonetheless, for those suffering from ALS, navigating the vast bureaucracy at the VA can be an exasperating process. Veterans such as Thomas find themselves in the helpless position of watching their disease advance at a much faster pace than their paperwork. When he filed for disability last March, Thomas was told that his request could take up to a year to be approved -- if it is approved.

For now he waits. Despite his deteriorating condition, Thomas has chosen to remain positive. Each day, he carefully gets out of bed and tests his legs, hopeful that he is able to walk for one more day. He is all too aware that he will wake up one day soon and his limbs will no longer work. Someday, he will lose the ability to talk, and eventually, he will stop breathing. But today, he can do all of these things, and he is grateful.

"What I do all day long, is I tell myself in six months, I will probably be in much worse condition, and in six months I would give anything to be where I am today," he says. "So today I'm happy with what I have."

@highlight

ALS, a progressive disease, attacks brain neurons leading to total paralysis

@highlight

It affects 20,000 to 30,000 Americans at any one time but vets have twice the risk

@highlight

The VA listed ALS as a service-connected disease on September 23, 2008

@highlight

Retired vet Thomas Cuddy navigates VA bureaucracy as his disease progresses