WASHINGTON (CNN) -- Congress adjourned for the summer on Thursday without passing a relief package for farmers and ranchers suffering through the most widespread drought since the 1930s.

The only thing the Republican-controlled House of Representatives and the Democratic-controlled Senate have agreed on is that they'll take the issue up again after Labor Day.

"We need drought assistance, but instead we're just going to sit here in gridlock," said Jess Peterson, executive vice president of the U.S. Cattlemen's Association. "It's kind of disappointing."

Little hope for worsening drought in U.S. Plains

Most farmers devastated by the drought are getting help from federally assisted insurance policies. But a number of livestock producers are in serious trouble. Why? A decision by Congress four years ago to pass a five-year farm bill that eliminated key federal livestock support programs in 2012 instead of 2013.

Congress "had it expire because they wanted the gimmick to keep the cost of the last farm bill down," said Steve Ellis, vice president of the group Taxpayers for Common Sense. Now, in the midst of a brutal drought, "it turned around and really bit them in the behind."

Feeling pressure to do something before leaving Washington for the summer, House GOP leaders managed to pass a narrowly tailored $383 million disaster relief bill restoring expired programs for livestock, certain trees, honeybees and farm-raised fish.

The measure, funded by cutting spending on conservation programs, passed in a 223-197 vote. Thirty-five Democrats backed the measure, while 46 Republicans opposed it. Rank-and-file Democrats were quick to note that House Republicans came to power in the 2010 election promising reform, not fast fixes.

More Congress: Congress closes loophole in stock trading law after CNN report

"You want to hand (money) out to whoever comes to town and begs for it, go right ahead," said Rep. Jared Polis, D-Colorado. "I have some rooftop terrace restaurants in my district. Give them some while you're at it. That's not a solution (to) the underlying problem."

In June, the Senate passed a comprehensive new five-year farm bill renewing the livestock programs in question while cutting the deficit by roughly $23 billion. The bill cuts the deficit through reforms such as the replacement of direct payments to farmers with more taxpayer-subsidized crop insurance for farmers in need.

The measure passed in a rare bipartisan 64-35 vote.

The House GOP, however, remains sharply split on the merits of such a bill. A similar multiyear measure passed the House Agriculture Committee but has since stalled. Some tea party conservatives want to cut spending more deeply, while a number of Farm Belt Republicans -- fearing political vulnerability and constituent pressure -- continue to push hard for immediate federal relief for livestock producers.

USDA: Drought has made more than half of U.S. counties disaster zones

"Our livestock guys take just as much risk as any other farmer or rancher out there, and they need to have some kind of protection in situations like these," freshman Rep. Kristi Noem, R-South Dakota, told CNN. "We can't gamble with people's lives and businesses."

Speaker John Boehner, R-Ohio, admitted this week that "the House is pretty well divided" on the issue. "Frankly," he told reporters, "I haven't seen (a majority of) 218 votes in the middle to pass a farm bill."

Senate Democrats, with the backing of groups such as the Cattlemen's Association, have shown little willingness to adopt the narrower House plan and abandon their multiyear farm measure.

"If we get out in the real world, that's not what we're hearing from farmers and ranchers," said Senate Agriculture Committee Chairwoman Debbie Stabenow, D-Michigan. "They want us to get our job done. They want a five-year farm bill. They want us to address disaster assistance. I intend to do both."

Livestock producers caught in a Capitol crunch

Stressing the need to provide "long-term certainty," Stabenow urged the House to pass a full farm bill and work out its differences with the Senate. She blasted House Republicans for "trying to play politics."

For their part, consumers can count on rising food prices next year if Congress does nothing, Peterson told CNN. He urged the House to adopt a plan similar to the Senate's.

The House approach is to "kick the can" down the road, he said. "It's not how business should be conducted ... It's very shortsighted."

Complete coverage: U.S. drought

@highlight

Congress went into summer recess without agreement on a drought relief package

@highlight

The Democratic-controlled Senate passed a five-year plan with several reforms

@highlight

The Republican-controlled House passed a more narrowly tailored bill to restore a few expired programs

@highlight

Congress will take the issue up again when it reconvenes in September