(CNN)It has been one of the world's longest and deadliest civil conflicts. Since the first incidents more than three decades ago, an estimated 40,000 lives have been lost.

It has been, some say, a battle by activists among Turkey's Kurdish minority for independence. It has been, others say, a guerrilla war by rebels who have punctuated their campaign with terrorist acts.

Whatever it has been to the parties involved, the leader of the militant group at the forefront of the Kurdish insurgency in Turkey says it is time now for it to be over.

"Our struggle came to the point it cannot continue as it is," Abdullah Ocalan, longtime leader of the Kurdistan Workers' Party (PKK), said earlier in March from his jail cell. In a letter read to thousands gathered in the southeastern Turkey city of Diyarbakir to mark Persian New Year, Ocalan called for "a new era" with Kurds gathering as "a democratic society with the right to a democratic identity -- within Turkey and on the constitutional citizenship basis."

He urged fighters under his command to lay down their arms, stop their war against the Turkish state and join a "congress" to focus on the future.

Ocalan's letter is nothing less than historic.

As recently as 2012, the long-simmering war between the PKK and the Turkish government had heated to the point that the International Crisis Group, a conflict resolution organization monitoring the conflict, counted more than 700 dead over 14 months.

"We're seeing the longest pitched battles between the (Turkish) army and the PKK, we're seeing a widespread campaign of kidnapping, suicide bombings and terrorist attacks by the PKK. They're very much on the offensive and unfortunately this is matched by much harder line rhetoric on both sides," Hugh Pope, chief author of an International Crisis Group report, told CNN in 2012.

Perhaps vocally underscoring the cultural split between the Turkish government and the country's Kurdish population, when Ocalan's letter was read to crowds March 21, it was read in two languages -- Kurdish first, then Turkish.

The letter was read by Sirri Sureyya Onder, deputy of Turkey's pro-Kurdish People's Democratic Party. Onder is one of the few people regularly allowed to meet Ocalan at the prison where he is held on Imrali Island.

"Saturday officially showed us all that we have moved on to the negotiation period from the dialogue period we've been working on," Onder told CNN in a phone interview.

About a fifth of Turkey's population is Kurdish -- a minority long living under cultural oppression, most of them in the underdeveloped southeastern part of Turkey.

By 1998 -- 14 years after the insurgency began -- Turkey counted up to 18,000 PKK guerrillas living in the mountains.

The next year, Ocalan -- a hero to some, a villain to others -- was captured in Kenya by Turkish authorities, reportedly with the help of the CIA. The United States, the European Union and Turkey classify the PKK as a terrorist group.

Ocalan was sentenced by the Turkish government to life in prison for treason, and for years, he was the sole prisoner of Imrali. It's an Alcatraz-like island fortress best known in the West as the locale for the 1970s book and movie "Midnight Express." Now, he gets to choose fellow inmates.

Ocalan began the PKK in 1978 as a Kurdish separatist group in Turkey, part of a larger separatist movement by Kurds scattered throughout the region. Northern Syria, southern Turkey and northern Iraq have been home to millions of Kurds for thousands of years. There are also millions of Kurds in Iran, where they make up about 10% of the mostly Persian nation's population.

Violence flared in August 1984 when fighters from the PKK, which has a Marxist-Leninist philosophy, killed two Turkish soldiers.  As the years passed and the death toll mounted, the PKK proved to be a militant leg of a regional ethnic struggle to carry on the Kurdish culture.

But there have been periods of calm and times of talk. In 2009, Turkish intelligence officials allegedly met with high-ranking PKK members in Oslo, Norway, to begin a series of secret talks. In mid-2011, the talks were interrupted by new clashes.

The armed fights were followed by a hunger strike by Kurdish political prisoners in 2012, who ended the strike after 67 days upon Ocalan's request.

Things picked back up when President Recep Tayyip Erdogan announced talks with the imprisoned Ocalan in December 2012.

Since then, the Turkish government has lifted language bans, released political prisoners and continued talks with Ocalan despite opposition criticism.

In return, the jailed leader notably pronounced disarmament intentions and called for a ceasefire in his Persian New Year's letter in 2013. On May 8 of  that year, the PKK announced a slow withdrawal from Turkey.

But tensions between the sides sparked again when the predominantly Kurdish-populated city of Kobani was invaded by ISIS in October and Turkey didn't directly intervene. Talks between the PKK and the Turkish government continued, though.

But at Istanbul's Dolmabahce Palace last month, senior government officials met with pro-Kurdish parliamentarians and declared a "road map" accord on the way to a stable solution.

Onder said that Ocalan's letter "shows us that the ... road map decided at Dolmabahce is now a concrete step -- one that suits the spirit and the context of the resolution period."

But the government view over the accord seems to be divided. Erdogan told reporters that he does not fancy the declaration. Erdogan was not present at Dolmabahce either.

Onder said, "Despite the President's opposing remarks, the Turkish government took responsibility about its Kurdish problem for the first time."

@highlight

Kurds make up about a fifth of Turkey's population

@highlight

Since 1984, the militant Kurdistan Workers' Party (PKK) has fought the Turkish government

@highlight

Now, the leader of the PKK says it's time for the fighting to stop