It is like many of the images of aftermath in Syria's chaotic war -- a man being pulled from the rubble of the building. But this one is different. The panic is muted, the men dig not slowly, but leisurely. This is because they know he is a regime fighter.

"Where are your friends?" they ask, perhaps taunting him. "Are you from Yemen?" But no, this is something different.

As they pull his terrified, tired frame from the dust, the blood seeping from a head wound and pitted against the white coat of silt from the rubble, it becomes clear this regime fighter is Afghan.

Video obtained by CNN from Syrian rebels, which we cannot verify, shows this scene and the attempts by the rebels, who are engaged in a pitched battle to prevent the regime encircling the main Syrian city of Aleppo, to interrogate their new prisoner. That's the first indication there's something new here: he doesn't speak Arabic, but mutters in Dari. Facially, he appears Uzbek or Hazara, and is terrified.

Their video shows him bandaged up, and on an IV drip. He is locked in a basement and fed, then questioned further. A comparatively generous fate for a regime prisoner in this savage war.

It is unclear what happened to him, but he told his interrogators: "My name is Sayed Ahmad Hussaini. The Iranians pay people like me to come here and fight. I am from Afghanistan and I am an immigrant in Iran. The Iranians brought us to Syria to fight to defend the Zainab shrine. I don't want to fight anymore."

He says he wants to go home, and that he was paid about $500 a month to fight. There are many Afghan immigrants in Iran, trying to find some shelter from the decades of war that have torn apart their land. He says he was trained and then sent to assist the regime.

It is potentially a serious development in the Syrian war, and explains in some ways how the Syrian regime has gained ground in some areas after months of appearing exhausted.

In the fight for Aleppo, they are fiercely contesting a hill settlement called Handarat, which is itself tiny, but vitally overlooks the main supply road into rebel held areas of Aleppo. If the regime hold Handarat, they can cut off rebel Aleppo from resupply, effectively besieging it. Seasoned Afghan fighters could assist the regime - so far letting the Coalition and moderate Syrian rebels take on ISIS -- in other battles too.

CNN sent a photojournalist to eastern Afghanistan to follow up reports of recruitment by Iranian agents of mercenaries to fight for the regime.

Inside Afghanistan

In one village, four men who did not want their identity or location revealed, said they had just returned from training in Iran. There, they were taken to a police station, blindfolded, and taken to a training camp where they were shown tactics and light to medium weapons.

The men spoke in great detail about their experiences and were able to show the Iranian bank cards through which they will be paid their $500 to $1000 salaries a month. Other villagers ratified their stories.

Their motivations were complicated. Most said they sought money - a likely motivation as the NATO drawdown in Afghanistan is changing the Taliban's dynamics and reducing the amount of money sloshing around in the country. They also wanted to fight America -- saying that fighting the moderate Syrian rebels the regime is targeting most heavily and who receive U.S. assistance - was one way of continuing this fight from Afghanistan.

"We want to go there for two reasons one is to fight against those who are being assisted by Americans in Syria and secondly Iran pays us to fight in Syria," said one man. "Those who fight against Assad regime are America's slaves. That is why we want to fight them and kill them."

They said they were former Taliban who had left for Iran after disagreements in the militant group, known for its fractious and sprawling membership.

"Before this we used to be part of the Taliban in Afghanistan, but after our disagreements caused tensions among us, we left the Taliban and went to Iran. We are going there to fight. Either we will be killed or will be back with the monthly salary that the Iranian have promised to give us."

ISIS

Yet their limited knowledge of the Syrian conflict exposed a complex issue over which their loyalties to their paymasters, Iran, may be tested. Asked about ISIS, a predominantly Sunni group like the Taliban, the men said they knew little about them, but "if we see them in Syria, we will definitely sit with them, talk to them and if our thoughts were similar, we would become friends with them."

That would be one unexpected outcome for the Iranian agents accused of assisting these men.

Syria's war has local regime militia, joined by Hezbollah from Lebanon, Iraqi Shia militia, on one side. ISIS and its array of global radicals on another. And Syrian rebels, spanning the width of al Qaeda, to moderates with foreign backing. Syria's chaotic, intractable, and hopelessly unnegotiable war, just got another complex and battle-hardened actor.

@highlight

Unverified video from Syrian rebels shows them pulling an Assad regime fighter from rubble

@highlight

The man appears terrified and is unable to speak Arabic, it becomes clear that he is Afghan

@highlight

The man tells interrogators that he is an immigrant to Iran, which has paid him to fight in Syria

@highlight

CNN went to Afghanistan and met other men recruited by Iran who had returned from Syria