Tokyo (CNN) -- As searches for nearly 13,000 missing continued Sunday, police in Japan said 8,199 people had died since the monster earthquake and ensuing tsunami struck last week.

Meanwhile, the March 11 tremors shifted the Oshika Peninsula near the epicenter by just over 17 feet and dropped it by just over 4 feet, the Geospatial Information Authority in Tsukuba, Japan, reported Saturday.

Those two land mass movements are records for Japan, according to government figures.

The global positioning system data from the Tsukuba University-based authority revealed the peninsula on the Pacific coast moved in an east-southeasterly direction toward the epicenter. The quake also moved land masses in many areas ranging from the northeastern region of Tohoku to the Kanto region including Tokyo, the authority said.

Search and rescue efforts have been hampered by snowfall in the hardest-hit areas, said spokesman Patrick Fuller of the International Federation of Red Cross and Red Crescent Societies.

"The cold is a real issue, particularly for the thousands of people in shelters, many of them elderly," he said, describing providing medical care as a "massive challenge."

While efforts accelerated Saturday to restore power to cooling systems at the crippled Fukushima Daiichi nuclear power plant, the focus shifted toward rebuilding in some parts of the country hardest hit by the temblor and the devastating wall of water that followed.

"We need to go forward," Rikuzentakata Mayor Futoshi Toba told construction workers, according to Kyodo News.

Crews began building hundreds of temporary, prefabricated housing units in the coastal city, the agency said.

A widely reported rescue Saturday offered a brief glimmer of hope amid headlines of death and destruction. But Japanese authorities later changed their story, saying a man rescued from the rubble of his home Saturday had actually been staying in a shelter.

Originally, the Japanese Self-Defense Force reported that the man had been trapped for eight days.

Meanwhile, the Tokyo Electric Power Co. said workers had laid extensive electrical cable near the Fukushima Daiichi power plant's No. 2 nuclear reactor -- a key step in an effort to restore power to the plant that authorities hope will keep temperatures low. That would curb the emission of radioactive material and, in a worst-case scenario, a full nuclear meltdown.

Tokyo's fire department also began a new method of spraying water in and around the Fukushima Daiichi power plant's No. 3 reactor using an unmanned system that can spray sea water for up to seven hours at a time. In previous missions, firefighters, soldiers and power company workers had manually done the same in brief intervals to avoid prolonged radiation exposure.

Tests revealed abnormally high levels of radiation that violate Japanese food safety laws in samples of spinach and milk from areas near the nuclear plant, Chief Cabinet Secretary Yukio Edano told reporters Saturday.

Authorities are mulling regulating movement of agricultural products from the area, as well as collecting more data for analysis, Edano said.

On Friday, authorities acknowledged that the situation at the troubled power plant was far more serious than they had originally estimated.

Tokyo Electric's managing director, Akio Komiri, broke down in tears after leaving a news conference in Fukushima at which exposure levels were discussed.

In a written statement, company president Masataka Shimizu said, "we sincerely apologize ... for causing such a great concern and nuisance."

Even as the country's emergency agency raised its rating of the crisis at the Fukushima Daiichi nuclear plant from a 4 to 5 -- putting it on par with the 1979 incident at Pennsylvania's Three Mile Island -- Japanese Prime Minister Naoto Kan told his compatriots to bury their pessimism Friday.

"With a tsunami and earthquake we don't have any room to be pessimistic," he said. "We are going to create Japan again from scratch. We should face this challenge together."

Kan acknowledged the situation at the Fukushima plant remains "very grave" and said his government has disclosed all that it knows to both the Japanese people and the international community.

"The police, fire department and self defense forces are all working together, putting their lives on the line, in an attempt to resolve the situation," he said.

Meanwhile, the government raised the radiation exposure level for workers trying to avert a further crisis, Japanese public broadcaster NHK reported Saturday.

Tokyo Electric said workers at the plant -- including company employees, members of the military and firefighters -- can now be exposed to 250 millisieverts of radiation before they must leave the area.

An individual in a developed country is naturally exposed to about 3 millisieverts of radiation a year. The International Commission on Radiological Protection recommends no more than 50 millisieverts exposure in a given year for nuclear rescue and recovery workers. It offers no restriction in a crisis when "the benefit to others clearly outweighs the rescuer's risk."

Tokyo Electric has said it was doing all it can to protect workers' health. Japan's nuclear agency said Friday several hundred workers, including nonpower company employees, remained on site.

In populated areas outside the nuclear facility, there have been few indications of any immediate, dangerous fall-out from the crisis so far. For the past eight days, weather patterns indicate that the wind has likely blown most emitted radiation out to sea.

The British Embassy will run its last bus from Sendai to Tokyo on Sunday. As of Saturday, five of the embassy's free buses had transported 61 British nationals, 15 dependents and 31 persons of other nationalities over that route, according to Britain's Foreign and Commonwealth Office.

"Based on demand, we do not plan to run any more coaches after Sunday," the office said in a statement.

CNN's Yoko Wakatsuki contributed to this report

@highlight

NEW: Death toll rises to 8,199 people

@highlight

Police say more than 12,000 people are missing

@highlight

Tests detect radiation in spinach and milk near the Fukushima Daiichi plant

@highlight

Red Cross: Providing medical care in shelters is a "massive challenge"