Jacksonville, Florida (CNN) -- Republican presidential hopefuls headed into the homestretch of the critical Florida primary campaign Friday after a riveting debate that analysts believe gave Mitt Romney a boost over fellow front-runner Newt Gingrich.

Florida voters will decide Tuesday who gets the biggest delegate haul so far of the GOP presidential race, and the CNN/Republican Party of Florida debate provided the four candidates with their final chance to face one another on the same stage in the increasingly vitriolic contest.

Romney and Gingrich entered Thursday's debate in a statistical dead-heat for the lead, according to recent polling, with former Pennsylvania Sen. Rick Santorum and Texas Rep. Ron Paul trailing well back.

Paul, who concedes he has no chance of victory in Florida's winner-take-all primary, heads to more moderate Maine on Friday to campaign for the caucus that begins February 4, while Romney, Gingrich and Santorum all planned events in Florida to begin their final push for Tuesday's primary.

Needing a strong showing to try to blunt Gingrich's harsh attacks of recent days, Romney was forceful and had the former House speaker on his heels on some issues.

At the same time, Santorum had his strongest debate performance so far, coming across as a sincere and committed candidate who would best represent conservative principles.

"Romney won two ways tonight," said CNN contributor and Republican strategist Alex Castellanos. "One, by having a good debate and two by having Santorum have his best debate yet."

Romney appeals to the more moderate wing of the Republican Party while Santorum and Gingrich are competing for the conservative vote. If Santorum can build support, it would hurt Gingrich as the primary process continues.

Paul also had a good night, repeatedly prompting laughter and applause with self-deprecating one-liners and clear messaging about his libertarian policies that excite young supporters.

The focus, though, was on the two leaders. Romney, the former Massachusetts governor, provided his most forceful and unapologetic statement so far about his vast personal wealth, saying Republicans such as Gingrich shouldn't criticize him for being successful.

Romney released his tax returns this week under pressure from Gingrich and others, revealing he paid a rate of less than 15% on income in the millions, mostly from investments including some holdings in offshore accounts.

Gingrich had disparaged Romney's wealth on the campaign trail, saying he lived in a world of "Swiss bank and Cayman Island bank accounts" and did nothing for his money. Romney previously seemed uncomfortable discussing his finances, initially stalling on releasing his tax records, but he was ready Thursday.

"I think it's important for people to make sure we don't castigate individuals who have been successful and try to suggest there's something wrong with being successful and having investments and having a return on those," Romney said.

Addressing Gingrich directly, he said: "You indicated that somehow I didn't earn that money."

"I have earned the money that I have," Romney continued. "I didn't inherit it. Those investments lead to jobs being created in America. I'm proud of being successful. I'm proud of being in the free enterprise system. I'm not going to run away from that."

On the tax rate issue, Romney noted that combining taxes paid and charitable contributions equaled about 40% of his income, and added to applause: "Let's put behind this idea of attacking me because of my money and lets get Republicans to say, you know what, what you've accomplished in your life shouldn't be seen as a detriment but an asset to help America."

Other exchanges were just as compelling.

Asked to address the housing crisis, one of the major problems facing Florida voters, Gingrich began by claiming that Romney was knowingly and "unfairly" attacking him on his consulting record for mortgage giant Freddie Mac, sparking a fiery back-and-forth over which candidate has had a closer relationship with troubled lenders.

Gingrich claimed Romney had profited off of investments in both Fannie Mae and Freddie Mac. In turn, Romney explained his holdings were in a blind trust and involved mutual funds that included bonds of the mortgage lenders.

Then he turned the tables on Gingrich, pointing out that Gingrich also had similar investments involving Fannie Mae and Freddie Mac, which prompted a crowd response.

CNN Senior Political Analyst David Gergen gave that round to Romney, saying Gingrich threw a punch and Romney "came back and caught him unexpected."

Trying to widen what was becoming a two-man debate, moderator Wolf Blitzer asked Santorum and Paul if they believed any profits earned from investing in the government-backed entities should be returned.

"That subject doesn't really interest me," Paul replied to laughter, while Santorum sounded exasperated in calling for a halt to what he labeled "petty personal politics" that distracted from more important issues.

"Can we set aside that Newt was a member of Congress and used the skills that he developed as a member of Congress to go out and advise companies -- and that's not the worst thing in the world -- and that Mitt Romney is a wealthy guy because he worked hard and he's going out and working hard?" Santorum said.

Later, though, Santorum launched the toughest attack of the night on Romney in an extended back-and-forth over the health care plan Romney got passed in Massachusetts that in some ways served as model for the federal health care reform under the Obama administration.

Positioning himself as the strongest opponent of the health care law, Santorum insisted both the Romney plan and the federal plan included a mandate to own health insurance or face a fine -- a concept detested by conservatives.

He repeatedly returned to that point when Romney tried to argue the difference between a state plan for Massachusetts and a federal plan for the entire country, saying at one point: "Your mandate is no different than Barack Obama's mandate."

Throughout the debate, the audience was more vocal than during the previous Florida debate on Monday, when attendees were asked to hold their applause. Gingrich complained after the Monday debate against denying spectators the right to express themselves.

Also in contrast to Monday was Romney's approach, standing casually with a hand in his pocket for most of the two hours while responding with force to Gingrich salvos.

Afterward, Romney pronounced himself delighted with the debate, saying he thought it would give him a boost.

"When I'm shot at I'll return fire," he said. "I'm no shrinking violet."

Early in the evening, Romney drew frequent applause when he pushed back attacks by Gingrich over immigration.

Gingrich called Romney the most anti-immigrant candidate on the debate stage, repeating a charge in a campaign ad Gingrich eventually pulled after a complaint it was unfair by Republican Sen. Marco Rubio.

Romney responded with outrage, accusing Gingrich of using "highly-charged epithets" irresponsibly and denying he wants to deport all of the nation's estimated 11 million illegal immigrants.

However, Gingrich and Santorum also agreed with Romney that at least some illegal immigrants would be likely to "self-deport" if the government were to crack down on employers who hired illegal immigrants. All three men advocated a system of identification for immigrants that would help employers verify an employee's legal status.

Before the debate, Gingrich told an audience on Florida's Space Coast, hit hard by the end of the space shuttle program, that he would build a colony on the moon by the end of his second term in office -- a plan that found little support among his rivals on stage.

Santorum said the nation's debt crisis was too severe to consider such proposals, while Romney called the idea deeply flawed.

Citing his business experience, Romney said that if an executive had come to him suggesting spending "billions" of dollars on a colony on the moon, "I'd say 'You're fired.'"

Earlier in the day, Gingrich lashed out at Romney, accusing him of engaging in sleazy negative politics and being part of a fragile establishment desperate to stop the former House speaker from winning the GOP nomination.

One of Romney's most prominent supporters, former GOP presidential nominee Bob Dole, released a statement through the Romney campaign that characterized Gingrich as erratic, unreliable and certain to lead the Republican Party to defeat in November.

When Gingrich was in Congress, he "was a one-man-band who rarely took advice. It was his way or the highway," said Dole, a former U.S. senator from Kansas. As speaker, Gingrich "had a new idea every minute and most of them were off the wall. ... Democrats are spending millions of dollars running negative ads against Romney as they are hoping that Gingrich will be the nominee."

According to a CNN/Time/ORC International survey released Wednesday, 36% of people likely to vote in Tuesday's primary say they are backing Romney, with 34% supporting Gingrich. Romney's margin over Gingrich is well within the survey's sampling error. Santorum was at 11% and Paul at 9%, with 7% undecided.

Gingrich received a boost in the polls after his double-digit victory in Saturday's South Carolina primary, but Wednesday's CNN poll and another by the American Research Group indicate that his momentum might be waning.

CNN's Tom Cohen, John Helton, Alan Silverleib and Paul Steinhauser contributed to this report

@highlight

Front-runners Mitt Romney and Newt Gingrich spar in the final Florida debate

@highlight

Romney forcefully defends his personal wealth as good for America

@highlight

Rick Santorum attacks Romney on his Massachusetts health care reform plan

@highlight

The candidates also argue over immigration and going to the moon