(CNN) -- In an entertainment environment where sequels often do better than the original, it could be considered risky for a gaming company to do something different. However, one team thinks it's the perfect environment to showcase new ideas and stories, not more of the same.

"Dishonored" (Arkane Studios, Bethesda Softworks) is a brand new title set in a steampunk-like world that puts players in the role of an assassin set on restoring his name. Co-creator Harvey Smith said he and co-creator Raphael Colantonio didn't set out solely to make something unique, but that the game evolved from a core set of values they knew they wanted the game to have.

"It's a weird blend of a first-person shooter, but has the (role-playing game) depth in story and narrative," Smith said. "People would say, 'Aren't you afraid of (competing with) the sequels?' But other people would say, 'Thank goodness it isn't a sequel.'"

Smith said the team just started spitballing ideas about games they would like to play without worrying about sales or marketing. In what he calls an organic process, Smith and Colantonio took their experiences from previous games they worked on and decided to focus on an environment based around historical London in the 1800s during the Victorian era.

With the help of their visual design and art team, the look of the game changed into something of a "retro-futuristic" design, and with it, a change in what they wanted to do with the gameplay itself.

It was during this phase Smith and Colantonio began fleshing out the details and narrative of "Dishonored." The idea of having two distinct ways to play, and succeed, in the game became the focus.

But with that came problems, because it's a unique approach. Smith said many of the early problems with designing the game came because they were developing a new and different world.

"There's a different religion. There's a different calendar. There are different animals. There are different continental maps," he said. "I get why people want to work with a particular (established) brand because it solves a lot of problems going forward.

"(But) from a creative standpoint, it is super refreshing to work on something new and let it take you where your passions take you -- to not be beholden to some past thing you've done."

The process of creating something new is time consuming since there is no background material to help get a jump on designs. Even when early artwork started getting a steampunk look to it, Smith wanted to stay true to being original -- "No clichÃ©d steampunk."

Instead, he prodded the artists to think about a version of the alternate-history style that might exist on a completely different world.

One idea led to another, Smith said. But even with the game's aesthetic fixed, there was still gameplay style to create from scratch.

They settled on two possible approaches: combat or stealth.

"There were moments when we would look at the combat and it wouldn't be working just right," he said. "I can't tell you how many versions of the stealth model we went through. But the range is very deliberate; it is one of our core values to let players play improvisationally."

Smith said giving players the opportunity to write their own story and create their own experience with such a wide range of possibilities was important. Pete Hines, vice president of PR and marketing at Bethesda Softworks, said "Dishonored" is a blank slate where players get to define the game instead of having a narrative forced upon them.

"You play the game you want to play," Hines said. "It is really up to you based on your choices. What would it be like to be a supernatural badass assassin?"

Hines said with new environments and game mechanics, players get challenged. Because the world isn't as familiar as it may be in a game that has had sequel after sequel, they can play again and experience something fresh and new each time.

He compares the game, in a way, to the "Choose Your Own Adventure" books.

"Our tag line is 'Revenge Solves Everything'," he said. "But that doesn't mean killing solves everything. They've put in place consequences to the choices you can make."

Smith said how players go about completing the main narrative -- reclaiming your name and honor after being falsely accused of killing the empress -- will have an impact on what happens in the end. He said the emergent narrative, where things spontaneously occur due to what players do in the game, becomes something unique that gamers will take away from their experience.

With games like "Fallout," "BioShock," and "XCOM: Enemy Unknown," Smith thinks gamers are evolving. They want games with depth, he said, without sacrificing sheer entertainment value.

"Players have gotten fluent and thirsty for more interactivity," Smith said. "'Dishonored' is an interesting game. It is a game that doesn't play itself. Twenty years ago, that may have been a challenge. I think increasingly you are going to see more players want that sort of thing."

"Dishonored" will be released Tuesday, October 9, in North America, October 11 in Australia and Japan, and October 12 in Europe. It is available on PC, Xbox 360 and PlayStation 3.

@highlight

Bucking sequel trend, "Dishonored" takes a new approach

@highlight

Game creators riffed on games they'd like to play, started with clean slate

@highlight

Game is a sort of combination: a first-person shooter with role-playing game depth

@highlight

"Dishonored" hits stores on Tuesday