(CNN) -- In 2003, former newspaper editor Ali Reza Eshraghi made a mistake that cost him his freedom: he published a cartoon.

The sketch in question, a drawing from 1937 depicting U.S. President Franklin Roosevelt's pressure on the U.S. Supreme Court, seemed an innocuous choice for the Iranian newspaper, Hayat No.

But Iran's Special Court for the Clergy disagreed. According to Reporters Without Borders it ruled that that the cartoon's depiction of Roosevelt looked suspiciously like the Islamic Republic's founder Ayatollah Khomeini and was insulting to his memory.

The court shut down Hayat No, and Eshraghi spent nearly two months in prison.

A decade later, Eshraghi's friend and former colleague, journalist Omid Memarian, decided to honor the pressures placed on satirists in a book entitled, "Sketches of Iran: A Glimpse from the Front Lines of Human Rights."

The book, published in January by the International Campaign for Human Rights in Iran, was informed by Memarian's conviction that political cartoons played a unique role in his country's struggle for democracy.

"Over the past ten years I've been working as a journalist both in Iran and out of Iran, and I've seen political cartoons have a very strong impact on political discussions and social discussions," he explained.

"Cartoons communicate with a much wider audience, with different layers of society, with people from different social economic class, with different levels of education."

Read more: Dubai cops get a 'Lambo'

Shirin Ebadi, the Nobel Peace Prize-winning lawyer, notes in her forward to the book that decades of censorship have also meant that the subtle, tongue-in-cheek wit of cartoonists takes on special power, writing that "a society stricken by years of authoritarian rule cannot express itself and its pains in a straightforward manner."

Satire has long been used as a powerful medium for veiled political commentary and political cartoons became a favorite medium for poking fun at authorities. The satirical magazine "Molla Nasreddin," an Azeri language periodical published between 1906 and 1930 enjoyed a wide readership across the Middle East.

Its main character, a bumbling and backwards cleric often depicted in compromising scenarios, resonated with countries grappling with the thorny issue of modernization -- particularly Iran, where Molla Nasreddin's first year of publication coincided with the Constitutional Revolution, an attempt to reform Iran's monarchy.

The country's first experiment with liberal democracy was ended in 1907, but Molla Nasreddin's jokes lived on inspiring future generations of artists who have used political cartoons to offer subtle social commentary for decades.

"The reasons cartoons... have a very strong presence in Iranian culture is that in some of these cycles of oppression journalists or authors could not write. But cartoonists might find ways to express an idea or in a very delicate way," said Memarian.

Memarian believes cartoons have a unique ability to capture complex political problems in a succinct and visually powerful way, making them universally appealing.

Read more: Iraq's controversial comedy show

Now, the dynamics of the Arab Spring have bred a new cartoon culture that has moved away from understated critique to direct assaults on authoritarnism.

"The scope for public expression has become much wider" said Lina Khatib, director of the Arab Reform and Democracy Program at Stanford University. "People feel much more empowered in being able to express how they feel about autocracy without the fear which used to force them to opt for subtlety."

Tarek Shahin, author of the graphic novel "Rise: the Story of the Egyptian Revolution as Told Shortly Before It Began," agrees.

"As recently as three years ago just the fact that I wrote about politics and other social taboos had many of my friends and family worried about my safety and theirs by association," said Shahin. "Today you can't keep up with all the political jokes, be they cartoons, internet memes or street graffiti."

Read more: Arab women directors find international acclaim

Self-expression is finding new forms, too. Dean Obeidallah, founder of the New York Arab-American Comedy Festival and a stand-up comedian who conducts workshops in the Middle East, said he has witnessed an explosion in the number of local comics in the region.

But in Iran, according to Omid Memarian, many humorists have been forced to leave the country.

"Over the past seven to eight years, particularly over the past four years, many cartoonists -- like journalists -- have fled the country and live abroad," he said.

"They are under constant pressure to make sure their cartoons do not become a reason to harm the newspaper...There have been newspaper that have been shut down just for having a controversial cartoon."

Nonetheless, cartoonists in Iran are drawing on their creativity to evade censorship, which Memarian insists makes their work even more powerful.

"We're seeing actions become more ambiguous, more general, more interpretative," he said.

"(But) the process of decoding a message is more attractive. It's more appealing, more beautiful."

@highlight

Iranian cartoonists satirizing political system face great pressure

@highlight

Book of Iranian political cartoonists' work published to honor their role in society

@highlight

Satire used when straightforward expression is difficult or suppressed

@highlight

More satirists and comedians appearing across the region, says U.S. Arabic comedian Dean Obeidallah