I'm knee deep in the icy Atnarko River in central British Columbia. A belt is cinched across my chest waders to prevent water from dragging me under if I slip in.

Cougar tracks are pressed into the snow on the bank.

At least the grizzlies, which feast on spawning salmon here each fall, are napping this time of year.

On this morning, my guide Jai Condon demonstrates the art of fly-fishing.

He flicks the rod. Whoosh, whoosh, whoosh. And, releases.

"How do you lay the line down so nicely?" someone asks.

"Practice," he says, laughing.

I'm terrible. I don't get a nibble even though trout can be caught year round in the Bella Coola Valley, about 1,000 kilometers north of Vancouver. I didn't come here to fish, but I'm hooked.

Magical geography

Heavy fog scuttles my first full day of heli-snowboarding.

But Bella Coola Heli Sports has a genius Plan B, C, D, and so on, for the inevitable down days.

Conceived as an exclusive year-round resort appealing to the hard-core athlete looking for the kind of snow porn experience they've seen in ski movies, Bella Coola also keeps the grumpy, grounded adventurer content.

Depending on the season, there's cross-country skiing, hiking, biking, rafting, horseback riding, grizzly bear watching, and even, cattle ranching. (Help during calving and ski in the afternoon. Yes, really.)

A helicopter or boat (based on your level of indulgence) will also ferry guests to the fjords to soak in natural hot springs followed by a polar plunge in the Pacific Ocean.

"We didn't come here for the vertical," says Kristina Enquist, visiting from Finland with her husband, Eric.

"We came here for the whole experience."

The region's magical geography is what attracted a trio of filmmakers -- Christian Begin, Peter "Swede" Mattsson and Beat Steiner -- here 14 years ago.

Glaciers that date back to the last ice age blanket the Coast Mountains, which erupt from sea level to its highest peak, Mt. Waddington, at 4,019 meters.

This landscape doubled for the Himalayas in feature films "Seven Years in Tibet" and "Kundun." Sir Edmund Hillary even trained here.

And, 30 meters of snow piles up annually.

"Wow, this place is on steroids," Steiner recalls of his first visit.

"Everything about it is big. The trees are big. The mountains are big. The glaciers are big. The biggest fjords in the Americas. It's all big."

While the heli-ski industry was booming along the spine of the continent, nobody was operating here. The three mountain men applied for, and to their surprise, secured 10,700 square kilometers of terrain.

"Everybody was busy fighting in the interior," says Begin.

"We grabbed the jewel. We grabbed the coast."

'Rock star treatment'

Since 2003, Bella Coola has whisked guests from Vancouver to this remote paradise.

The one-hour flight in a Beechcraft 1900C is as spectacular as Steiner describes, if not stomach churning.

Jet-lagged tourists from the United States, the United Kingdom, Finland, Slovakia and Thailand are also aboard and head to lessons in helicopter and avalanche safety.

Skiing upon arrival is part of the outfitter's "rock star" treatment.

But the conditions are awful. Heavy snowfall, followed by a warm spell and a freeze means there's an extreme avalanche risk.

I cut my edges into a layer of crust harder than week-old pizza.

After a few teeth-chattering runs, we land at Tweedsmuir Park Lodge where guests acquaint themselves with the outdoor hot tub and teepee sweat lodge or gorge on salmon.

Bella Coola operates three lodges where a maximum of 34 guests a week never have to fight for fresh turns.

Meanwhile, other heli-ski operators run dozens of people per day over much smaller tenures, which, according to Mattsson, isn't private enough for his clientele.

Those with especially deep pockets book the Pantheon Heli Ranch where up to eight guests have exclusive use of 4,450 square kilometers of terrain. They also get coveted first descents.

Test a run that has never been skied and then name it. The cost: $105,260 ($114,800 Canadian) a week.

Typical guests are executives, doctors, celebrities; those aged 45 to 55. Almost all are men.

"It's always been a kind of a boy's club," Mattsson says. "I think heli-skiing is overall."

'Secret weapon'

Richard Lapointe is a former military pilot who has flown stunt jets, search and rescue missions and in conflict zones.

He's at the stick of my ride, an AStar B2 helicopter that seats only four guests.

He's also what my guide calls a "secret weapon."

Lapointe sneaks between impossibly tight rock faces and lands on plateaus the size of picnic tables in search of powder.

The snow gods have also delivered. A dump of weightless snow is up to my knees. I rack up 13,840 vertical meters of fresh lines in two days.

I glide by vast blue glaciers in the alpine, the only color on an endless canvas of untracked white.

Knobs and drifts in the forests send me airborne. My powder board leaves a deep channel -- and white smoke -- in my wake.

"You know junkies looking for their next fix? says Eric Enquist, the more daring half of the Finnish couple. "Now, I know what they were talking about."

Nobody is oblivious to the danger as we pick through recent avalanche debris and watch an ice sheet give way from a mountainside.

Condon, my fishing guide, later returns to the lodge cradling a block of that ancient ice. Chipped into glasses of scotch and other libations, I'm happy to have it dilute my spirits.

On my last day -- another when the helicopter can't fly -- Begin takes a group to the town of Bella Coola, population 852, which the Nuxalk First Nation calls home. The influence of aboriginal peoples, who have been in the region for 10,000 years, is everywhere.

Totem poles dot the streets.

Along Big Cedars Trail, an old-growth forest with massive trees features one that has been hollowed out to smoke fish.

It smells of meat.

Not far away, but tough to find without a guide, are the Thorsen Creek petroglyphs, a collection of mysterious rock carvings.

Brushing off a light dusting of snow, we find dozens of etchings of human faces, animals and geometric patterns.

The origins are still debated, but it's little wonder First Nations peoples consider this place sacred.

As I step back into the present, I learn all flights home are scrubbed due to strong winds and heavy snow.

I'm told this is a once-a-year event, leaving me happily stranded in Shangri-La.

Bella Coola Heli Sports;  Whistler, British Columbia; +1 604 932 3000

Fly: Pacific Coastal Airlines departs daily from South Terminal at the Vancouver International Airport.

Ferry: B.C. Ferries from Port Hardy on the north coast of Vancouver Island.

Drive: 12-14 hours from Vancouver

Heli-ski rates vary December to April and packages range from three to seven nights. For a standard week, prices start at $9,786 to $11,435 plus tax ($10,680-$12,480 Canadian) including the flight from Vancouver.

Summer and fall rates at Tweedsmuir Lodge include a two-night minimum, and during peak grizzly bear season, which runs Sept. 1-Oct. 14, guests must book three- to five-night packages at $2,272 to $3,555 ($2,480-- $3,880 Canadian)

@highlight

The highest peak in the Coast Mountains is Mt. Waddington at 4,019 meters

@highlight

Coast Mountain's rugged landscape doubled for the Himalayas in feature films "Seven Years in Tibet" and "Kundun"

@highlight

Guests at Pantheon Heli Ranch can ski uncharted terrain then name the new run