(CNN) -- Human activity and climate change have left about 75% of the world's coral reefs threatened, putting the livelihoods of many countries that depend on the ocean ecosystems at risk, according to a report released this week.

Local threats such as overfishing, coastal development, and watershed- and marine-based pollution are responsible for the immediate and direct threat to more than 60% of the world's reefs. Add to that thermal stress from rising ocean temperatures and the number of threatened reefs jumps to 75%, the World Resources Institute found in the report, titled "Reefs at Risk," released Wednesday.

"This report serves as a wake-up call for policy-makers, business leaders, ocean managers, and others about the urgent need for greater protection for coral reefs," said Jane Lubchenco, administrator of the National Oceanic and Atmospheric Administration. "As the report makes clear, local and global threats, including climate change, are already having significant impacts on coral reefs, putting the future of these beautiful and valuable ecosystems at risk."

The threat is the highest in Southeast Asia where nearly 95% of the region's reefs are threatened, mainly due to overfishing and destructive fishing, according to the report. Australia, home to the world's largest reef system, the Great Barrier Reef, had the lowest threat level at 14%.

The numbers represent an alarming trend: a dramatic increase in the percentage of reefs rated as threatened. According to the report, the level has increased by 30% in 10 years, mainly due to a rise in overfishing and destructive fishing.

The report attributes the rise to the growth in coastal populations in the Pacific and Indian Ocean regions.

Similarly, climate change is playing an increasing role in the growing threat levels as the warming atmosphere causes ocean temperatures to rise.

As a result, "mass coral bleaching, a stress response to warming waters, has occurred in every region and is becoming more frequent as higher temperatures recur," the report says, noting that "extreme bleaching kills corals outright."

"Our projections suggest that during the 2030s, roughly half of reefs globally will experience stress sufficient to induce severe bleaching in most years," the study says. "During the 2050s, this percentage is expected to grow to more than 95%."

Many countries, especially small island nations in the Pacific and Caribbean, rely on coral reefs for fishing, tourism and coastal protection, and the report says that "degradation and loss of reefs will result in significant social and economic impacts."

However, the report also notes that reefs have shown an ability to rebound from "extreme damage."

In order to help that recovery, "local threats must be tackled head-on with direct management interventions, while efforts to quickly and significantly reduce greenhouse gas emissions are of paramount concern not only for reefs but for nature and humanity as a whole," the report says.

Former Vice President Al Gore cautions in the report's introduction that if efforts "fail to address the multiple threats they (reefs) face, we will likely see these precious ecosystems unravel, and with them the numerous benefits that people around the globe derive from these ecological wonders."

@highlight

Causes are attributed to human activity and climate change

@highlight

The threat is the highest in Southeast Asia, the report says

@highlight

Threat levels have risen 30% in 10 years

@highlight

Corals are known to be resilient and have bounced back from "extreme damage"