(CNN)After years of making the case that the education of athletes is paramount, the NCAA now says it has no legal responsibility to make sure education is actually delivered.

On its website, the NCAA prominently states, "It's our commitment -- and our responsibility -- to give young people opportunities to learn, play and succeed." And later, it says that "in the collegiate model of sports, the young men and women competing on the field or court are students first, athletes second."

But the NCAA is taking a very different position in response to a lawsuit filed by former University of North Carolina athletes. The lawsuit claimed the students didn't get an education because they were caught up in the largest known academic fraud scandal in NCAA history.

In its response, the NCAA says it has no legal responsibility "to ensure the academic integrity of the courses offered to student-athletes at its member institutions."

Even with pages of online information about academic standards, and even though the NCAA has established a system of academic eligibility and accountability that it boasts of regularly, NCAA attorneys wrote in this court filing that "the NCAA did not assume a duty to ensure the quality of the education of student-athletes," and "the NCAA does not have 'direct, day-to-day, operational control' " over member institutions like UNC.

"It's nonsense. It's double talk," said Gerald Gurney, a former athletic-academic director who is now president of The Drake Group for academic integrity in collegiate sport.

"If you look at their basic core principles, it's all about academics, the experience, the integration of academics, and the education of the student is paramount," Gurney said. "They seem to talk out of both sides of their mouths."

The NCAA referred calls for comment to an online statement, which read in part:

The NCAA believes that the lawsuit misunderstands the NCAA's role with respect to its member schools and ignores the myriad steps the NCAA has taken to assist student-athletes in being equipped to excel both in the classroom and on the playing field.

"This case is troubling for a number of reasons, not the least of which is that the law does not and has never required the NCAA to ensure that every student-athlete is actually taking full advantage of the academic and athletic opportunities provided to them," said Donald Remy, NCAA chief legal officer.

In its response to the lawsuit, it also likened its role to that of the American Bar Association or American Medical Association, and said that those entities are not sued every time a lawyer or doctor acts inappropriately.

The scandal at UNC involved thousands of athletes who, over 18 years, were funneled into classes that never met, where advisers fudged grades and accepted plagiarism so that athletes who were falling behind in class could remain eligible to play sports.

Mary Willingham, the UNC whistleblower turned NCAA critic, has for years said that athletes across the country are accepted to colleges even though they're academically underprepared and then pushed into classes where little work is required. The system of eligibility that the NCAA brags about, she says, is a sham.

"Why do we go through the trouble of compliance if we can't legitimize that the courses are real and the education is real anyway? It makes no sense," said Willingham, who recently wrote a book about the UNC scandal called "Cheated." "If they can't legitimize that the academics are real and take no responsibility for that, then why certify students semester after semester to play? It's lost its meaning for me."

The NCAA's claim that it's hands-off when it comes to athletics seems to be a direct contradiction of what the organization has been repeating for years, not just in the rhetoric on its website, but in speeches by its president, Mark Emmert, and in court defending itself from numerous lawsuits over paying athletes.

For example, before it lost a case filed by former UCLA player Ed O'Bannon, suing for the right of athletes to make money off their images and likenesses, the NCAA stood on the pillar of amateurism, insisting that college athletes are paid with an education.

That's the defense the NCAA is now using in another class action filed by big-time sports attorney Jeffrey Kessler, seeking to make college sports a free market where athletes are paid salaries based on their value.

In response, the NCAA said that what sets college sports apart from pros is education: Consistent with "its commitment to amateurism, member institutions conduct their athletics programs for students who choose to participate in intercollegiate athletics as a part of their educational experience and in accordance with NCAA bylaws."

Attorney Michael Hausfeld, who represented both O'Bannon and now the UNC athletes, said this:

"This startling inconsistency is unfortunately all too symptomatic of the NCAA's shifting rhetoric and faltering commitment to its college athletes. NCAA President Mark Emmert has repeatedly proposed that 'What we live for is the education of our athletes,' but the NCAA's record tells a far different story."

But Rick Burton, professor of sport management at Syracuse University, said it's not realistic to think that the NCAA would regulate every professor and every course an athlete might take at each university across the country.

"I understand, I think, where the NCAA is coming from. We would not let the NCAA come in and tell us how to run our chemistry department at Syracuse University," he said.

"It sounds like someone is trying to say the NCAA should have been supervising that department at the University of North Carolina, and there's no logic to that," he said. "The people who are saying the NCAA should be held accountable for academics at every school are just looking for an opportunity to throw rocks at the NCAA."

UNC, which was also sued, has admitted to the fraud, but also asked for a judge to throw out the case, saying the athletes waited too long -- seven years -- to sue and the "educational malpractice" theory doesn't apply. UNC claims it is protected by state law.

This is reminiscent of another NCAA reversal.

The NCAA, which was founded a century ago to protect athletes from "dangerous and exploitive athletic practices," now says it does not enforce health and safety rules.

In fact, in response to a lawsuit filed by the family of a player who died in 2011, the NCAA wrote: "The NCAA denies that it has a legal duty to protect student-athletes."

A CNN investigation found that the NCAA has failed to open investigations in several cases where safety rules allegedly were broken. It has also fallen behind in imposing rules for concussions -- far behind even the NFL.

Ramogi Huma, president of the National College Players Association, and a leading thorn in the NCAA's side for decades, said this latest backpedaling from the NCAA leaves him wondering why the organization exists at all.

"There's nothing left the NCAA can claim it does that is beneficial to college athletes or society. One has to wonder what does the NCAA do if it doesn't protect players? If it doesn't play a role in the education of college athletics? It begs the question of why does the NCAA exist -- and why does it have a tax exemption."

@highlight

In response to lawsuit, NCAA says it doesn't control quality of education for student-athletes

@highlight

But its website emphasizes importance of education, "opportunities to learn"

@highlight

Lawsuit claims students didn't get an education because of academic fraud at UNC