London (CNN) -- With all the fuss in the media at the moment about Queen Elizabeth II's Diamond Jubilee anyone could be forgiven for thinking that the British are united in their adoration of their monarch. The reality is that while a large swathe of public opinion is largely indifferent to the royals -- but happy to have an extra public holiday to mark the jubilee -- many millions want the whole institution of monarchy consigned to the history books.

The British republican movement has been growing rapidly over the past 18 months -- thanks in large part to the heightened royal coverage prompted by last year's wedding of Prince William and Kate Middleton and this year's jubilee. Our cause is simple: it's about democratic reform and a rejection of inherited power and privilege. The case for Britain becoming a republic is threefold: the monarchy is wrong in principle, in practice and it is wrong politically.

We're supposed to be a democratic society, which means we should cherish and value democratic values, such as equality of citizenship, freedom to participate in government, accountability and transparency. In a democratic society there is no room for a head of state who is put there for life and by birth. A hereditary monarch has no place in a society that believes "we the people" should be in charge. The principled objection is unanswerable.

In practice the monarchy is an institution that is not fit for purpose. It is secretive, having recently lobbied successfully to have itself removed entirely from the reaches of our Freedom of Information laws; it lobbies government ministers for improvements to its financial benefits and for its own private agenda; it is hugely costly -- an estimated Â£202 million a year, enough to pay for thousands of teachers, nurses or police officers at a time of sweeping public spending cuts.

The queen and Prince Charles must be asked for consent before our elected parliament is able to debate any legislation that affects their private interests -- that consent is sought in secret and we have no idea whether, how or how many times it has been used.

Politically the monarchy is wrong because -- contrary to what is believed by many here and abroad -- it is a central feature of our unwritten constitution. The "Crown" is the supreme authority in this country -- not the people. The Crown has vast powers that cannot be challenged in a court of law and those powers are exercised by the queen on the instruction of our prime minister.

Those powers include considerable patronage -- the ability to appoint bishops, government ministers, heads of public bodies and so on -- as well as the power to go to war, sign treaties and change the law through the little-understood Privy Council. Thanks to the Crown there is almost no limit to the power of our politicians other than those limits they place upon themselves (such as our Human Rights Act, which they have the power to repeal). The pomp of the monarchy is a neat way of distracting from this highly questionable constitutional arrangement.

It is the power of the Crown and the authority it gives our politicians that most likely explains the hostility every government has shown the republican movement. But rather than engage with the issue on these serious matters most monarchists instead implore us to believe in fantasy and make-believe. "The queen has never put a foot wrong" is the time-honored clichÃ©, along with "but what about all the tourism the monarchy generates?"

The tourism argument goes that as Britain has a monarchy and also attracts a lot of tourists, the monarchy obviously acts as a great tourism magnet and therefore generates millions of pounds of revenue and economic activity. The problem is that there are no facts to back this up.

Does the monarchy pay its way?

There is no reason to believe that if Britain abandoned the monarchy tourism would suffer -- that's something even the head of official tourism agency VisitBritain has acknowledged. Our history is certainly an attraction -- and the great thing about our history is that it will always be there regardless of what we do in the future. Selling hotel rooms and "I Love London" T-shirts is, anyway, no reason to abandon a proud ambition for democratic reform.

As for the queen, well we really have no idea how she has done her job given that most of it is done behind closed doors. There has never been any real scrutiny of her role and she has never had to compete in open and free competition for the job. If keeping quiet and cutting ribbons is all we can expect of our head of state then perhaps we can agree she's done well -- but surely we can expect more.

As a national figurehead and leading public figure the queen has utterly failed to do anything of note or worth. After 60 years who can quote a famous speech or point to a moment of crisis or celebration when the queen offered leadership and inspiration?

For all the failures of the monarchy -- in principle, practice and in political terms -- the queen and the institution offer little in return but an empty chair where an inspiring national figure could have stood. These are the reasons why come the jubilee, republicans will be rejecting the celebrations and demanding real democratic change.

The opinions expressed in this commentary are solely those of Graham Smith.

@highlight

Millions want monarchy consigned to history, argues Graham Smith of Republic group

@highlight

Republic says monarchy is wrong in principle, in practice and politically

@highlight

No room in democracy for head of state who is put there for life and by birth, Smith says

@highlight

Most monarchists implore us to believe in fantasy about queen's role, he adds