Do we need women in the front lines of journalism? Don't doubt it for a second. We all suffered a terrible loss when an Afghan policeman shot and killed the extraordinarily talented AP photographer Anja Niedringhaus last week.

We lost the ability to see the world through Niedringhaus' compelling lens. We lost her insight, and we lost what would have come from her commitment to helping us understand the complexities of our world. Most of all, we lost the benefits of her unique ability to show us the connection between historical events and individual human beings.

Niedringhaus and her close friend, AP correspondent Kathy Gannon, were covering the run-up to elections when an Afghan policeman walked toward their car, shouted "Allahu akbar" and shot them both. Gannon, also a veteran journalist with vast experience covering the world's most dangerous places, was injured.

The shooting, as it happens, came shortly after the Women's Media Center released its report, "The Status of Women in the U.S. Media 2014."

The snapshot taken in the last quarter of 2013 found men still had almost two-thirds of all bylines and on-camera appearances in the major newspapers, television networks, newswire services and online news sites. We have seen notable improvements over the years, but the report points to "a troubling status quo and, in some places, a slipping back in time."

Women journalists remain concentrated in "women's" subjects such as family, style and health.

That means we are looking and trying to understand the world mostly through men's eyes when it comes to foreign affairs, justice and politics.

This is not just a matter of concern to women journalists. We are all shortchanged when women are subtly edged out of reporting on major world news.

Is there a difference in men and women's reporting?

Despite the gender bias, there are hundreds of female journalists around the world, many covering -- some dying -- in conflict zones. Women give us the hard news, the politics, the strategy, the conflict.

I won't argue here whether women are more sensitive in their coverage. But I will tell you this: Women listen to other women much more closely, and they pay much greater attention to how political and military developments affect individuals, particularly other women.

Consider this: Long before 9/11, Afghanistan had turned into a hell-on-Earth for women under the ultraextremist, hypermisogynistic Taliban, who made even the sound of women's laughter a crime.   A CDC study found Afghan women suffered among the highest levels of depression anywhere in the world -- levels that were, not surprisingly, much higher than for Afghan men.

Now that the U.S. is about to leave Afghanistan, the prospect that hard-won gains will be reversed creates enormous fears for Afghan women.

To see how this is covered, I googled three words: "Afghan Women Fear."  The first six news stories on the subject were all written by women.

Read the six stories: Rights slipping away / Peace talk plans / Silenced by fear / More backsliding / Hope and fear / The future

Niedringhaus once wrote, "For me it is about showing the struggle and survival of the individual."

You can see that clearly in her stunning pictures, especially on Afghanistan; in the image of a little girl struggling to see through her face-covering burqa, or a boy riding a merry-go-round while brandishing a toy machine gun, or in the gallery of portraits of the women in Afghanistan's parliament, the ones who have beaten the odds in a place where men's grip on power has been so hard to loosen.

Gannon, too, has shown she can write about the hard edge of fighting and politics. But it's no coincidence that Gannon, a woman, is the one who took us to Malala's old school in Pakistan to show us how, despite the growing fame of the girl who was nearly killed for advocating education for girls, her former classmates are even more frightened than before.

It's not all about the subject matter or the byline. The Women's Media Center found that men were quoted in The New York Times 3.4 times more often than women, but the number dropped when women wrote the story.

To be sure, a number of women journalists have strong and respected voices. CNN's Christiane Amanpour is a major figure in international journalism, and both ABC News and the "PBS NewsHour" are anchored by distinguished women journalists.

On the other side of the lens, you might be surprised to find countless talented and courageous women. When I was a CNN staffer, many of the network's top videographers were women. I still count many women friends among the people risking their lives covering conflict around the world.

But international journalism remains firmly dominated by men, even though women are taking enormous risks in the field. As Kimberly Dozier -- also injured in a war zone -- explained, "Anja and Kathy ... took risks almost no else covering the war was willing to take." But they did it carefully, and "only when they saw a story they thought needed to be told."

When it comes to news analysis and opinion -- a topic of particular interest to me -- the situation is just as bad, if not worse. Men opinion writers, according to the new report, outnumber women 4-to-1.

That's barely an improvement over 2011, when the OpEd Project found women wrote just 20% of op-eds in the country's top newspapers, and were "practically absent in the debate" on hard news topics, writing just 13% of opinions on international politics and 11% of opinions on the economy. Women wrote about half of all commentary on food, recreation, family and style.

We have made a lot of progress since the days when Eleanor Roosevelt started her weekly press conference open only to female journalists, partly as an effort to force newspapers to hire at least one woman. But there is a long way to go.

We are still seeing the world mostly through men's eyes. We are still hearing it explained to us mostly by men. And for the one-third of stories that come from women, from the pictures we were fortunate to have thanks to Anja Niedringhaus, from the stories we've read thanks to Kathy Gannon, we know what a difference it makes to have women in the front lines of journalism.

Don't doubt it for a second.

@highlight

AP photographer was killed and reporter shot last week in Afghanistan

@highlight

Frida Ghitis says the two women provided compelling angles on key world stories

@highlight

She says women belong on front lines, have an ability to highlight human concerns

@highlight

Ghitis: We are still seeing the world mostly through the eyes of male journalists