(Mental Floss) -- 1. Cordless tools

Your life may be safer and more comfortable because of inventions that came from space research.

As long as NASA was going to the trouble of sending Apollo astronauts to the moon, it figured it might as well equip them with drills and ask them to dig up rock samples when they got there.

But realizing that a 239,000-mile extension cord would be impractical, NASA teamed up with Black & Decker to develop tools that featured rechargeable batteries and special low-power consumption motors, which should make your DustBuster seem a lot more impressive.

2. Smoke detectors

In the 1970s, NASA partnered with Honeywell Corp. to create a device that would detect smoke and toxic gases in Skylab, America's first space station. The result was the first ionization smoke detector, using a minute amount of the radioactive isotope Americium-241.

This led to the 1979 introduction of inexpensive photoelectric detection devices, which go off when smoke (or sometimes a hot, steamy shower) blocks the light beam.

To date, smoke detectors have saved countless lives here on Earth, but they're especially useful in space, where running outside to wait for the fire truck isn't an option.

3. Enriched baby food

NASA-sponsored research has also helped make major improvements to commercially available baby food, and we're not talking about freeze-dried strained peas.

While testing the potential of algae as a food supply for long-duration space travel, a Maryland-based biosciences company discovered an algae additive that contains two fatty acids closely resembling those found in human breast milk.

The company now uses it to make an enriched infant formula called Formulaid, thought to be essential for babies' visual and mental development.

4. New-age pavement

When you buy a new set of tires, the old ones have to go somewhere, right? Most of them end up in huge, flammable tire dumps, which may hold millions of old tires, each one containing about a quart of oil in the rubber. If a dump catches fire, however, it can burn with a thick, toxic smoke for weeks on end.

But today, old tires are being put to good use. NASA's experience in fuel-related cryogenics helped develop processes to freeze the tires to below -200 degrees Fahrenheit so that they crumble, separating the rubber from other materials and producing what's called "crumb."

This waste is recycled into several new products, including an ingredient used to pave highways, which means your new radial tires may someday be rolling over your old ones.

5. Those cool ear thermometers

Any parent knows you don't take a baby's temperature by sticking a glass thermometer in its mouth, but inserting it the other way isn't much fun, either. And what about the incapacitated patient who can't even say "aaah"?

The Diatek Corp. of California wanted a safer way to take a person's temperature, and who better to turn to than NASA's Jet Propulsion Laboratory, the place with over 30 years of experience using infrared sensors to remotely observe celestial bodies?

Together, they developed a fast and accurate thermometer that, when its disposable probe cover (to prevent cross-infection) is inserted into the ear canal, detects infrared radiation from the eardrum and gives a digital readout in less than two seconds.

6. Fast-acting dental braces

Do your old-fashioned braces set off airport metal detectors? Save yourself embarrassing strip searches by getting new ones. Many orthodontists now use ceramic braces that are bonded to the teeth and strung together with a thin, light wire made of NiTinol (nickel-titanium), an alloy brought to you compliments of NASA.

Because of its amazing ability to maintain its original shape, NiTi (as it's known in the industry) provides space satellites with the ability to spring open after being cramped and contorted inside a rocket.

But don't think its capabilities are limited to space. When used in dental appliances, NiTi exerts a continuous force against the teeth to move in the right direction, eliminating the need for wire tightening, thus reducing a patient's overall time in braces ... and much of the pain.

7. Protective paint

What do the Statue of Liberty, a gigantic Buddha in Hong Kong and the Golden Gate Bridge all have in common? They're protected by the American space program ... sort of.

In the late 1980s, NASA's Goddard Space Flight Center began a research program to develop coatings for the Kennedy Space Center in Florida to shield the launch structures from salt-air corrosion, rocket exhaust and thermal stress.

Applications of this material proved ideal for protecting structures like bridges, antenna towers and the occasional big Buddha.

8. (Better) cardiac pacemakers

Pacemakers have come a long way since their invention in 1950. Far from the large, external contraptions used early on, modern pacemakers can self-adjust in most cases and even activate themselves when needed.

But one of the most significant advances in pacemaker technology came in the 1970s, with the help of a NASA-developed system of communication called bi-directional telemetry, originally used to communicate with satellites.

Siemens-Pacesetter, Inc. teamed with NASA to develop a similar telemetry system, which not only allows doctors to make changes to the unit's function over time, but also updates them on how the device is interacting with the patient -- all without picking up a scalpel.

9. Scratch-resistant glasses

Thanks to NASA technology, plastic lenses for glasses last up to 10 times longer than they used to. That's because its Ames Research Center created a scratch-resistant (read: extremely hard) coating to protect equipment from getting beaten up by space debris.

Later, the Foster Grant Corp. acquired the license for the coating method and used it in their plastic sunglasses, which matched the hardness of glass lenses, but were much lighter. Among other uses, it's now employed in most eyewear and industrial face shields.

10. Oh-so comfy sneaker insoles

Can't run a five-minute mile? Don't blame your sneakers. If they're relatively new, they're probably giving you quite a bit of help already.

In the 1970s, many shoe manufacturers began replacing their standard foam rubber insoles with a new, highly shock-absorbent material -- one giant step for tennis shoes.

The new kicks were padded with "viscoelastic" bubbles that conformed to your foot and then returned to their normal shape when you took the shoes off. Turns out, they got the idea (and the technology) from NASA, which had developed the material to better cushion astronauts during blastoff.

And one pop culture killer

Despite popular theory, NASA did NOT invent Tang orange breakfast drink for the astronauts. It was introduced in 1957 by General Foods and was on grocery store shelves for years before NASA decided it worked well in space. E-mail to a friend

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Several everyday items come from space program

@highlight

Cushions for astronauts leads to better shoes for us

@highlight

NASA communication system leads to better pacemakers

@highlight

Statue of Liberty protected by coating developed by NASA