(CNN) -- "War! What is it good for?" sings Edwin Starr in his 1970 song, before giving an unambiguous answer: "absolutely nothing." History, archaeology, and anthropology, however, suggest that the story is not so simple.

In the Stone Age, humans were a rough lot. When people 10,000 years ago disagreed, they usually solved their arguments without violence; but when they did decide to use force, they faced far fewer constraints than the citizens of functioning modern states. Violence was normally on a small scale, in homicides, vendettas, and raids, but because populations were also tiny, the steady drip of killing took an appalling toll. By many estimates, 10 to 20% of Stone Age humans died at other people's hands.

If we fast-forward to the 20th century, we see a stunning contrast. The century suffered world wars, genocides, and nuclear attacks, not to mention civil strife, riots, and murders. Altogether, we killed a staggering 100-200 million of our own kind. But between 1900 and 2000, roughly 10 billion lives were lived -- meaning that just 1-2% of the world's population died violently.

So if you were lucky enough to be born in the 20th century, your risk of dying violently was just one-tenth of that in the Stone Age; and since 2000, the United Nations tells us, the risk of violent death has fallen even further, to 0.7%.

These are astonishing statistics, but the explanation is more astonishing still. In perhaps the greatest paradox in history, what made the world safer was war itself.

What happened, it seems, is that starting about 10,000 years ago, the winners of wars began incorporating the losers into larger societies. The victors then found that the only way to make these larger societies work was by developing stronger governments; and one of the first things these governments had to do, if they wanted to stay in power, was suppress violence among their subjects.

The men who ran these governments cracked down on killing not because they were saints, but because well-behaved subjects were easier to govern and tax than angry, murderous ones. States that suppressed violence within their borders tended to grow; those that did not, tended to fail.

War is surely the worst possible way to create larger, more peaceful societies, but the depressing truth is that it seems to be pretty much the only way people have found. If Rome could have been built without killing millions of Gauls and Greeks, or the USA without killing millions of Native Americans -- in these and countless other cases, if conflicts could have been resolved by reason instead of force, the world would have reaped the benefits without paying such costs.

But that did not happen. The reality is that people hardly ever give up their freedoms, including their freedom to kill and impoverish each other, unless forced to do so, and virtually the only force strong enough to scare people straight has been strong government. Back in the 1600s the philosopher Thomas Hobbes nicknamed this "Leviathan," after the terrifying monster of the Old Testament.

The process of making Leviathan was not pretty. Whether it was the Romans in Britain or the British in India, pacification could be just as bloody as the savagery it stamped out.

Nor were all governments equally good Leviathans. Democracies, whatever their other faults, tend to value life more than dictatorships.

Nor did Leviathan always work the same way. In ancient times, the only way to run large, peaceful societies was by incorporating the conquered into empires, but in the last 200 years, the greatest powers -- Britain in the 1800s, the U.S. since the late 1900s -- have worked best by leaving other countries formally independent while incorporating them into globalized economies.

Nor, finally, was the making of Leviathan smooth. Some wars killed people without creating bigger, safer societies; some even broke such societies down. But across 10,000 years, enough wars did create these bigger, better-governed groups that rates of violent death fell by 90%.

The 21st-century world does not have a global government enforcing peace, and far from producing such a government, another great-power war could potentially destroy humanity altogether. The world does, however, have a single great power -- the United States -- capable of acting as a globocop, deterring other governments from using force.

The United Nations, European Union, the peace movement, and soft power generally have all done much to make the world a safer place since 1945, but the lesson of history is clear. At the end of the day, in answer to the song's question -- what has war been good for? -- is that war created Leviathan, and Leviathan made the world safer.

Like it or not, the ultimate guarantee of peace is the order the United States has created.

@highlight

Since 2000, U.N. says the risk of violent death has fallen to 0.7%

@highlight

In perhaps greatest paradox in history, what's made the world safer is war itself, Ian Morris says

@highlight

War seems to be only way people have found to create peaceful societies, he argues

@highlight

Morris: World has single great power -- USA -- capable of deterring governments from using force