After spending hours on Pinterest, combing through scores of gorgeous decor photos, do you ever look at your kitchen and hear the "Wah, wah, waaaaaaah" of a sad trombone?

Kitchens don't work like other rooms, say decorators, and it's not always obvious how to decorate them. Instead of four blank walls to adorn, there are cabinet doors, appliances and counter tops, which can leave you feeling a little boxed in.

"When we purchased our home we were stuck with a lot of light maple cabinets. Good storage, yes, but all I saw were square lines," said Holly Modica, the decorating blogger behind "House by Holly."

One way to deal with a grid of cabinet doors is a rigorous renovation, but not everyone has the budget for knocking down walls or installing custom cabinetry. Modica took a minimizing approach to her kitchen.

"The focus became how to soften the cabinets and add texture," she said. She collected soup tureens, baskets and weathered furniture from tag sales, made burlap shades for her chandelier and replaced only the backsplash.

"Now I barely notice the cabinets I once loathed," she said, because now the kitchen is stocked with decorative items she enjoys seeing every day.

"You have to look at decorating your kitchen in a different way," said "Chic on a Shoestring" decorator Kate Connor. "It's not harder, just different. The color of your cabinets, the hardware of the cabinets, your backsplash and countertops all make up the decor in your kitchen, whether you like them or not."

"People don't think of these things as decor, but they set the tone of the whole room. If they are outdated it can be difficult to decorate around them," she said.

Simple paint created Layla Palmer's favorite kitchen feature, two-toned cabinets. She applied mourning dove gray paint to the bottom cabinets of the kitchen in her last home, and alabaster white to the top. She also employed chalkboard paint and a painted beadboard backsplash to create the cottage look she loves.

"We made inexpensive cosmetic changes and all of them are easy to change if the new homeowner ever decides to do so," she said, like adding pine boards and crown molding to make their off-the-shelf cabinets look taller.

And who's to say you have to keep the cabinet doors as is?

"Sometimes people hesitate using glass doors on cabinets because they want to hide all their mess or they don't know how to beautifully style them with just simple stemware," said decorator Rina Norwood of Cornelius, North Carolina. Modica, too, uses open cabinets as part of her decor scheme.

"I like to display my pretty things, but keep my countertops clear," she said.

The builder-basic kitchens found in many homes can be a source of design frustration. The solution, say decorators, is to think "timeless" when approaching the most noticeable aspects of the kitchen.

"I chose to stay within a very neutral zone, colorwise, to keep it from becoming outdated. Keeping the cabinets white with a black counter top gives our kitchen a very classic, timeless look," said Carmel Phillips of Lexington, Kentucky. Updating the hardware, too, can be an  inexpensive and effective update to plain old cabinets.

"There is something so timeless, classic, bright and elegant about a white kitchen," said "Cuckoo 4 Design" blogger Julia Konya.

But you don't necessarily have to erase the dated features of the room. Sometimes, as in Sandra Kent's case, they can end up lending a very specific feeling to a kitchen.

"Cabinets say a lot of the time period," said Kent, from Dallas. "My mother has adorable maple cabinets built in the '50s and I think they make the kitchen. Our home has solid oak from the '80s and I think it represents a period of stability."

However, when it comes to investing in the kitchen, the practical and decorative choice is countertops.

"The decor feature that stands out the most in our kitchen, and I would have to say in most kitchens, are the countertops. They are a splurge that was well worth it and they make a huge difference," said Konya. "I first wanted to go with Carrara marble, but we are a very active family and I wanted something more durable. That's why I decided on highly durable and strong quartz."

Kitchens take a beating, and countertops, floors and appliances need to be strong enough to stand the test of countless dinners and holiday feasts. At the same time, there's got to be a cozy, comfortable feel in the room, because it's the place where family and guests are bound to congregate, said Connor.

Aside from plenty of comfortable seating, she thinks lighting is key.

"People are afraid to use lamps in a kitchen, but they really can amp up the coziness of the room. A small lamp near the sink or under the cabinets adds a nice warmth to a room that you can't get from overhead," Connor said. She finds the lamps she put on the buffet table in her kitchen were an easy decorating opportunity that ratcheted up the comfort level.

Are you obsessed with decorating your house? Show us your skills at CNN's Open House and your photo could be featured in next week's story. Our next focus, in honor of Prince George: Nurseries.

@highlight

Creating a beautiful kitchen with the original cabinets isn't impossible

@highlight

Countertops, seating and lighting are key -- accent colors can go a long way

@highlight

Share your nursery decor in the next CNN Open House iReport assignment