Tokyo (CNN) -- In the wake of the Fukushima nuclear disaster a year ago, the attitude toward food safety has become a matter of personal preference for many Tokyo residents.

After an earthquake-triggered tsunami engulfed the Fukushima-Daiichi nuclear plant in northeastern Japan, setting off the most serious radiation scare since the 1986 Chernobyl accident, Japan is still struggling to build a centralized radiation-detection system, leading to difficulty in measuring radiation and ambiguous safety guidelines.

For some consumers, this means checking for food labels that indicate food is safe. Others still avoid certain fish or agricultural products from northern Japan. Some residents still take food to radiation monitoring stations to ensure safety. But many consumers have gone back to eating much like they were before the disaster.

Yusuke Okuno, a 22-year-old service-industry worker, employed a cautious approach to radiation exposure immediately following the disaster. "I tried not to get wet when it rained, and when I bought vegetables, I always made sure of where they came from," he says. These days he doesn't pay that much attention. "It's been some time," he says. "I don't see much point in doing it now."

For the owner of the 60-year-old shop and wedding catering business Takasagoya at the Tsukiji Fish Market, the concern is business not health.

"One of the food products I sell is yakidai (grilled snapper), fish used for special occasions like weddings," he said. "There were many requests made by my clients not to use the fish from eastern Japan."

In response to food-safety concerns, the government has been stepping up efforts to assure people of the safety of Japan's agricultural products. Radiation monitoring centers have been set up in certain prefectures to identify and restrict the consumption of contaminated foods.

But getting yes-or-no answers is not easy. "Absolute values are very hard to measure," says Pieter Franken, director of Japan Operations at Safecast, a non-profit organization that collects and shares radiation measurements. "You have to decide for yourself, what do I believe and what don't I believe."

"For many people it's very confusing," says Franken. "There are more questions than answers to this thing."

Japanese exports dropped sharply in the months after the March 11 disaster amid global concerns about radiation in its food products. Fuji Apple exports to Taiwan dropped from nearly 1,400 tons to zero in a matter of two months.

Authorities have gone to great lengths to point out that the country's food products are safe. Government press releases report that no Japanese exports have failed radiation screening by any importing countries, and that cities like Hong Kong and New York are in fact more radioactive than Tokyo.

Tourism also plummeted 70% on radiation fears immediately following the disaster. Tourism is still below year-ago levels, but the 700,000 tourists that arrived in January represented only a 4.5% decrease from the same month in 2011, the Japan Tourism Agency said in February. The government has picked the anniversary of the disaster to unveil its new "Japan. Thank You." campaign to give an added boost to a tourism industry still in recovery.

Some tourists, like New York University law student Gene Levin, haven't given much thought to possible radiation contamination. Levin says he doesn't mind eating food that others shun, "because it will be delicious and cheap."

But for many Tokyo residents, the concern is still strong enough that they take their food to radiation-measuring stations set up around Tokyo.

However, checking food for radiation is not cheap. "We have around five to seven customers a day come and check their food for a fee of Â¥3,500 ($42)," says Hidetake Ishimaru, a member of Measuring Stations for Children of the Future, a non-profit organization that sets up stations around Tokyo to test for radiation in food.

"They will ask many questions like, 'is it okay to eat this one?'" He acknowledges that it is not an exact science. "We cannot answer clearly."

Safecast's Franken agrees. "The government has made specific recommendations, but people don't really know what to do with those, they want a second opinion," he says.

Franken, who has a nine-year-old child, says his wife takes location into account when buying food for the family, purchasing products from the south of Japan in general, and mineral water from France. "You can debate if it's logical or not, but that's what we do," he says.

The owner of Takasagoya thinks it's time to stop worrying. "The government has been testing the food," he says, and he thinks it's safe. As for himself, "I am very old. Unlike young people, I have fewer things to worry about."

Okuno, the 22-year-old service-industry worker who used to check the origin of his vegetables, has also moved on. "You cannot live forever in fear," he says.

As he lines up outside a sushi restaurant at the Tsukiji Fish Market with his girlfriend, Yoko Senuma, a student who turns 20 on March 11, it isn't the anniversary of the disaster that is foremost on his mind. It's treating his girlfriend to a birthday meal of sushi.

"She wanted good food. So I decided to take her here."

@highlight

Japan still hasn't built a central radiation detection system after the nuclear disaster

@highlight

Some Tokyo residents still have their food checked at radiation monitors in the city

@highlight

The Japanese government notes that no Japanese exports have failed radiation screenings

@highlight

Activist: "You have to decide for yourself, what do I believe and what don't I believe"