(CNN) -- When he was 6 weeks old, Kaiba Gionfriddo lay flat on a restaurant table, his skin turning blue. He had stopped breathing.

His father, Bryan, was furiously pumping his chest, trying to get air into his son's lungs.

Within 30 minutes, Kaiba was admitted to a local hospital. Doctors concluded that he had probably breathed food or liquid into his lungs and eventually released him.

But two days later, it happened again. It was the beginning of an ordeal for the Youngstown, Ohio, family that continued day after agonizing day.

"They had to do CPR on him every day," said April Gionfriddo, Kaiba's mother, who later found out her son had a rare obstruction in his lungs called bronchial malacia. "I didn't think he was going to leave the hospital alive."

With hopes dimming that Kaiba would survive, doctors tried the medical equivalent of a "Hail Mary" pass. Using an experimental technique never before tried on a human, they created a splint made out of biological material that effectively carved a path through Kaiba's blocked airway.

What makes this a medical feat straight out of science fiction: The splint was created on a three-dimensional printer.

"It's magical to me," said Dr. Glenn Green, an associate professor of pediatric otolaryngology at the University of Michigan who implanted the splint in Kaiba. "We're talking about taking dust and using it to build body parts."

Kaiba's procedure was described in a letter published in the most recent issue of the New England Journal of Medicine.

"It was pretty nifty that (doctors) were able to make something for Kaiba on a printer like that," April Gionfriddo said. "But we really weren't so worried about that. We were more worried about our son."

Toddler gets new windpipe from her own stem cells

Green, who has been practicing for two decades, and a UM colleague, biomedical engineer Scott Hollister, had been working for years toward a clinical trial to test the splint in children with pulmonary issues when they got a phone call from a physician in Ohio who was aware of their research.

"He said, 'I've got a child who needs (a splint) now,' " referring to Kaiba, said Green. "He said that this child is not going to live unless something is done."

Green and Hollister got emergency clearance from their hospital and the Food and Drug Administration to try the experimental treatment -- which had been used only on animals -- on Kaiba. The child was airlifted from Akron Children's Hospital to C.S. Mott Children's Hospital at UM.

"It was a mixture of elation and, for lack of a better word, terror," said Hollister, a professor of biomedical and mechanical engineering who has been studying tissue regeneration for more than 15 years. "When someone drops something like this in your lap and says, 'Look, this might be this kid's only chance' ... it's a big step."

The next big step was getting a CT scan of Kaiba's lungs so that the splint could be fitted to his organs' exact dimensions. Hollister used the results of the scan to generate a computer model of the splint.

The model was fed into a 3-D printer that can engineer structures using a powder called polycaprolactone, or PCL.

PCL is malleable; it can be fashioned into all kinds of intricate structures. When a splint is created using PCL, it becomes a sort of biological placeholder, propping up structures while the body heals around it.

PCL has been used for years to fill holes left behind in the skull after brain surgery, according to Hollister. As time passes, PCL degrades and is excreted out of the body, hopefully leaving behind a healed organ.

What followed in Kaiba's case was a painstaking process of creating the splint on the printer in layers. Information about each layer is transmitted from the computer to a laser beam, which melts the PCL into a 3-D structure.

"We can put together a complete copy of a body part on the 3-D printer within a day," Green said. "So we can make something very specific for a patient very quickly."

Green then took the splint, measuring just a few centimeters long and 8 millimeters wide, and surgically attached it to Kaiba's collapsed bronchus. It was only moments before he saw the results.

"When the stitches were put in, we started seeing the lung inflate and deflate," Green said. "It was so fabulous. There were people in the operating room cheering."

"This case is a wonderful example that regenerative technologies are no longer science fiction," said Dr. Andre Terzic, director of the Mayo Clinic Center for Regenerative Medicine, who was not involved in Kaiba's case. "We are increasingly ... finding new solutions that we didn't have before."

The technique used by Green and Hollister is part of a burgeoning field called regenerative medicine, which involves engineering therapies -- using things like stem cells, or "body parts" constructed out of biological material -- to harness the body's ability to heal itself.

Creating a part that is specific to a patient's organ takes on even more importance with diseases like bronchial malacia, in which conventional intervention is risky and often the alternative is life on a ventilator.

But while cases like Kaiba's are a medical boon, both Terzic and the UM researchers stress that this and other regenerative procedures must be replicated in a wider patient population.

"This gives us the opportunity to really do patient-specific and individualized medicine," Hollister said. "So we don't have to do one-size-fits-all. But there is still a lot of work to be done."

While that work is being done, Kaiba's family remains grateful that, 15 months post-surgery and at age 18 months, he is still able to breathe on his own.

"I'm just so happy he's still here, that he was able to make it through," April Gionfriddo said. "Hopefully (soon) he'll be able to run around and be an even happier child."

The splint will take three years to degrade, and in the meantime, Kaiba's lung should continue to develop normally, said Green.

Green and Hollister hope to begin clinical trials in a larger patient population this year or next.

@highlight

Kaiba Gionfriddo stopped breathing daily and had to receive CPR

@highlight

Doctors tried the equivalent of a "Hail Mary" pass

@highlight

They created a splint on a 3-D printer to enable him to breathe