(CNN) -- Trial lawyers use an expression -- "You can't unring a bell" -- after a jury is exposed to something damaging. Even if a judge commands people to disregard that something, the harm is done once the words have been uttered.

George Zimmerman may be wishing that several ringing bells sounded in his attorney's opening statement last week could be unrung, beginning with a now infamous joke.

After a streamlined prosecution opening in which a rapt courtroom was told of efforts to resuscitate Trayvon Martin's lifeless form and heard a straightforward argument that Zimmerman shot Martin "because he wanted to, not because he had to," Zimmerman's attorney Don West chose to open his defense by telling a joke.

Resorting to humor -- even in traffic court -- is fraught with risk, but seems a particularly unwise idea at the outset of a murder case in which the defense must counter the appearance of casual and callous indifference on Zimmerman's part. Even worse, perhaps, it runs the risk of appearing to trivialize the trial itself. (The joke chosen even implies that selected jurors who weren't savvy enough to dodge their civic duty will now have their time wasted.)

Prosecutors will tell you that the most significant challenge to securing a guilty verdict is to persuade initially resistant jurors to grasp the gravity of a case, making them at least open to returning a guilty verdict. Several post-joke comments made by West in his opening could unwittingly pave a path to conviction.

West said that it was a dangerous dog in Zimmerman's neighborhood that forced his hand, necessitating that he buy a 9 mm Kel-Tec PF automatic firearm. The attorney matter-of-factly suggested it was the American way for an ordinary person, faced with an uncontrolled animal in his community, to procure a firearm. (Firing shots at a menacing dog could easily imperil others, of course.)

Arguing that during the confrontation with Martin, Zimmerman's head was struck against the pavement, West told the jury: "When you get your bell rung, stuff happens." While defending an emotional case like this is admittedly a tricky high-wire act, these words suggest an act of vengeance by an armed man rather than a genuine effort to avoid death. It will not be surprising to hear those words repeated back in the prosecution's closing statement. Five of the six jurors are mothers for whom "stuff happens" may seem an insufficient accounting for the termination of a life cut short shy of two decades.

By his lawyer's account, Zimmerman's worries were not confined to perceived community dangers, but to his own physical well-being. He wanted to learn martial arts, West said, but washed out of fight school, where he was described as too "soft."

Many defense attorneys deliver short openings or don't open at all because of the risk of a bad backfire. West's lengthy opening resulted in a composite picture of a person who easily conjures threats and fears, sought a gun as a leveler for his insecurities and whose response to these perceived threats could be seen as questionable and retaliatory.

Criminal defendants are not only at the mercy of the state's awesome powers, but also must live with the tactical decisions of their attorney. Trying to persuade an appeals court to overturn your conviction because of detrimental choices made by your lawyers at trial is all but impossible.

On Monday, the prosecution resorted to the often potent technique of using a defendant's inconsistent statements in an attempt to collapse his believability and blunt possible jury empathy for him. Prosecutors showed a video of Zimmerman giving an expansive explanation of what happened during a scene walk-through the day after the shooting, followed by playing a lengthy taped interview that was conducted by Sanford police a couple of days later.

The prosecution hopes that jurors will agree that the more Zimmerman explains his actions, the more self-serving he sounds, and the less trustworthy he will appear, something vitally important for someone who, when all is said and done, offers the only account detailed enough to justify using lethal force.

The opinions expressed in this commentary are solely those of Eugene O'Donnell.

@highlight

Eugene O'Donnell: In George Zimmerman's trial, his attorney began with a bad joke

@highlight

O'Donnell: Resorting to humor in a trial is fraught with risk of appearing too casual

@highlight

He says the defense must counter the appearance of callous indifference

@highlight

O'Donnell: The more self-serving Zimmerman sounds, the less trustworthy he appears