(CNN)Yes, New York City got a lot less snow than forecast. Yes, if we had known there would be this little snow, things probably wouldn't have needed to get shut down as much as they were. But most of the complaining -- about either the forecast or the decisions by local and state governments -- is misguided.

First of all, taking a look at the big picture, this storm was forecast pretty well. The forecast was that a big storm would develop rapidly and cause heavy snow across much of the coastal northeast, from New Jersey up through New England, as well as high winds and coastal flooding. All that happened. The peak snow accumulations are coming in as high as advertised, just not in New York City.

There were very sharp gradients in the snow accumulations. That is, big differences over short distances. So a small eastward shift in the track of the storm was enough to take away most of our snow. Just 10 or 20 miles east of the city, in Long Island, snow totals are much higher.

The reality is that weather forecasts are always going to be uncertain. Forecasters are looking at a range of possibilities, as spelled out in different model simulations. They have to choose among them, or split the difference in some way. But there is no perfect way to know which is right, and there never will be. The science tells us that that is the nature of weather prediction: The information is inherently uncertain. That's just how it is.

Some meteorologists apologize

The right way to communicate uncertain information, really, is through probabilities. The models showed a sharp gradient in snowfall, but showed New York City on the snowy side. However, it was also clear that if the track were wrong, the city might avoid the worst of the snow. That uncertainty wasn't fully communicated. That suggests that if this storm points to a failure, it's really a failure not of the specific forecast, but of the format and language that is used to communicate all forecasts, an approach that fails to clearly spell out uncertainties and the difficulty of picking one of a number of potential storm tracks.

Of course, that has nothing to do with the complaints about the transit shutdowns, because those decisions could -- and perhaps should -- have been made regardless. But it's important to remember that despite the uncertainties, decision makers have to make decisions, and being under-prepared for a storm that turns out to be worse than the forecast can lead to serious loss of life and property. Being over-prepared, in contrast, merely leads to lots of griping on the Internet.

In the face of uncertainty, the right thing to do is almost always going to be to assume the worst-case scenarios. Maybe some decisions could have been different given what was known at the time (in particular, the subway shutdown might have been unnecessary even if the snow totals had come in as high as forecast). But it's still way too easy for those of us with no responsibility to play Monday morning quarterback. And overall, given the uncertainty of the different models -- and the fine line between the correct call and an inaccurate one -- the authorities look to have taken the right approach in being proactive.

Good weather forecasts and well-informed, proactive emergency preparation and management save lives and property. Those are great benefits to society, and if people take them for granted most of the time, that's OK. But it's also important to understand that the unavoidable cost of enjoying these benefits is that sometimes, the problem won't be as bad as forecast, and so some decisions might seem unnecessary after the fact.

So next time there is a forecast of a big storm, don't be tempted to disbelieve it just because you think this one was overblown. After all, there are many people in parts of Massachusetts and Rhode Island right now who will be very glad indeed about the weather forecasters' -- and their elected officials' -- caution.

The opinions expressed in this commentary are solely those of Adam Sobel.

@highlight

New York City spared worst of winter storm

@highlight

Adam Sobel: Officials still right to be cautious