(CNN) -- Last week, a federal judge issued a decision lifting the age and point-of-sale restrictions on emergency contraception, citing solid scientific and medical research showing that it is safe and effective in preventing unintended pregnancy.

This is great news for all women because these restrictions created confusion and barriers, and when unprotected sex has occurred, time is a crucial factor. Emergency contraception can prevent pregnancy for up to five days after intercourse, but the sooner it's used the more effective it is.

That's why women's health providers and activists lobbied to make emergency contraception available without a prescription â€” to reduce delays. And because emergency contraception is safe, making it over-the-counter was a big step in creating better access to birth control.

Clearing up confusion about what emergency contraception is and how it works has been more challenging.

It's a fact that emergency contraception is birth control. The reality is, pregnancy doesn't happen right after sex. It can take up to six days for the sperm and egg to meet after intercourse. That's why it's possible to prevent pregnancy even after the fact. Emergency contraception postpones ovulation, which prevents sperm from coming in contact with and fertilizing an egg. Pregnancy can't happen if there is no egg to join with sperm.

In contrast, the so-called "abortion pill," mifepristone, works by blocking the hormone progesterone, which is needed for a pregnancy to continue. So there's a big difference between emergency contraception and nonsurgical abortion.

There was much talk last week about the implications of lifting the age restrictions. Some of it was motivated by safety concerns, which is a good and natural question to ask about any medication.

It's a fact that doctors have been prescribing emergency birth control since the 1960s, and there have been no reports of serious complications. More to the point, studies have repeatedly shown that emergency contraception is safe for use by women of all ages, including teens.

Another concern among some is that access to emergency contraception will increase the rates of unprotected sex, especially among teens. There is no evidence to support this.

It's a fact that rates of unprotected sex do not increase when there is more access to emergency contraception. Research also indicates that teens understand how to use emergency contraception and that it is not intended for ongoing, regular use.

The bottom line is that the use of reliable birth control is the best way to prevent an unintended pregnancy, but the fact is that unprotected sex does occur and sometimes birth control methods do fail. A condom could break, a woman could forget to take a pill, or nonconsensual sex could occur.

That's why when a woman fears she might become pregnant after her contraceptive has failed or she has had unprotected sex, she needs fast access to emergency contraception, not delays at the pharmacy counter. Lifting these restrictions will allow emergency contraception to be stocked on store shelves, making it more accessible to everyone. It will provide a safe, effective way to prevent pregnancy and reduce the need for abortion

That's why last week's ruling is so important â€” it's based on good science and good sense. And that's a fact.

The opinions expressed in this commentary are solely those of Deborah Nucatola.

@highlight

Deborah Nucatola: Judge lifts age and sale restrictions on emergency contraception

@highlight

It's boon for young women, she says; time a crucial factor in preventing unwanted pregnancy

@highlight

She says "Plan B" postpones ovulation to prevent pregnancy; studies show it's safe for teens

@highlight

Nucatola: It will provide a safe, effective way to prevent pregnancy, reduce need for abortion