(CNN) -- U.S. Secret Service Director Julia Pierson called an incident in which a man scaled a fence and entered the White House "unacceptable" and told a congressional committee Tuesday that she takes "full responsibility."

Omar Gonzalez, a 42-year-old knife-wielding Iraq war veteran, entered an unlocked door to the executive mansion, Pierson told the House Committee on Oversight and Government Reform, which grilled her on the September 19 security breach.

A federal grand jury on Tuesday indicted Gonzalez on three separate federal and District of Columbia charges that could carry a maximum of 17 years in prison. His first court appearance is expected Wednesday in Washington.

The White House door through which Gonazlez barged had no remote locking mechanism and needed to be manually locked, Pierson told lawmakers, adding that such a mechanism has since been installed.

"It's clear that our security plan was not properly executed," she said. "I take full responsibility. What happened is unacceptable, and it will never happen again."

Saying she couldn't give complete responses because presidential protection is highly sensitive or classified, Pierson said the incident remains under investigation, and she doesn't "want to get ahead of the investigation."

It didn't come up at the hearing, but the Washington Post reported that the officer who tackled Gonzalez wasn't even on duty but was leaving a shift protecting the president's daughters.

Republicans and Democrats questioned how Gonzalez penetrated "five rings of security" in jumping the White House fence, overpowering a Secret Service officer and running deep into the White House, where he was finally subdued.

"How on earth did this happen?" asked Chairman Darrell Issa. "Why was there no guard stationed at the front door of the White House, and yes, how much would it cost to lock the front door of the White House?"

Added Rep. Elijah Cummings, the top Democrat on the panel, "I hate to even imagine what could have happened if Gonzalez had been carrying a gun instead of a knife when he burst inside the White House. That possibility is extremely unsettling."

Can the Secret Service actually change?

Rep. Jason Chaffetz asked whether officers who caught Gonzalez acted appropriately by not using lethal force. Pierson said the Secret Service agents "did use restraint in making a very difficult decision" but conceded that she didn't believe the security plan was properly executed, which is why the incident is being reviewed.

The Secret Service should take a more aggressive posture, not a restrained one, Chaffetz said, and if agents kill someone who has breached White House security, "I will have their back."

Former Secret Service Director Ralph Basham later said that neither he nor the American public wants the Secret Service's first reaction at seeing someone invade the White House lawn to be: kill that person.

But after 3Â½ hours, it was clear that the committee wasn't confident in the agency's own review. Issa concluded the hearing by saying he and Cummings agreed that "an internal investigation by the secret service is not sufficient" and said they plan to formally request an independent inquiry.

Another security lapse

Meanwhile, in another incident involving a violation of security protocol, an armed security contractor was allowed on an elevator with President Barack Obama during a visit to the Centers for Disease Control and Prevention in Atlanta on September 16, according to a whistleblower. This whistleblower spoke to Chaffetz's office, and the incident was confirmed by a Secret Service official.

Chaffetz tweeted on Tuesday evening, "security contractor with a gun next to the President happened two weeks ago, according to my whistleblower."

The security worker was acting strangely and had his phone out while on the elevator with the President, according to Chaffetz's office.

When the security worker was confronted about his behavior, it was revealed that he was armed. The incident was first reported by the Washington Examiner and was followed up with additional reporting by the Washington Post. The Post reported that the Secret Service was not aware he was armed until after the worker was confronted.

Pierson's future in question

At the end of the public session of the congresssional hearing, Cummings said "the jury is still out" on whether Pierson can stay on in and fix the problems at the agency.

Asked about his confidence in the director's ability to continue in her post, Issa told reporters, "This hearing did not add to my confidence."

Over and over, Democrats and Republicans sharply criticized the Secret Service director's leadership and expressed disbelief that no one at the agency had been held accountable. Pierson noted she has been on the job for 18 months and took steps to reform the agency but also said, "when you bring change into an organization, there is pushback."

But Pierson's testimony only appeared to further inflame some members of the committee.

"I wish to God you had protected the White House like you are protecting your reputation," said a scolding Rep. Stephen Lynch, D-Massachusetts.

Holding up a sign featuring the blue ADT security logo, Rep John Mica, R-Florida, asked Pierson, "have you ever heard of these guys?"

White House fence jumpers

Pierson told the committee that people jump the White House fence a few times a year.

"The Secret Service has apprehended 16 individuals who have jumped the fence over the last five years, including six this year alone. In fact, on September 11, 2014, a week prior to the events that are the subject of today's hearing, officers apprehended an individual seconds after he scaled the fence and ran onto the grounds," she said.

Sitting beside Pierson, Basham said the "unprecedented and unacceptable" breach poses difficult questions about the use of lethal force and the tolerance for additional fortifications around the executive mansion. There are no easy answers, and long-term consequences of any changes must be thought through, he told the committee.

Last week, a law enforcement official speaking on condition of anonymity said that prior to the intrusion, Secret Service agents interviewed Gonzalez twice before determining both times that they didn't have enough reason to keep him.

Pierson confirmed reports raised by a committee member that two Secret Service agents saw Gonzalez near the White House fence on September 19, prior to the breach, and "observed him for some time." Ultimately, Pierson said, the agents determined that Gonzalez wasn't acting inappropriately or violating any laws.

Opinion: Do we want a fortress White House?

Later, referring to the Secret Service's contacts with Gonzalez before the September 19 breach, she said there's not a lot that the service can do to manage "people with mental illness who do not commit a crime."

The Secret Service has said Gonzalez has acknowledged having post-traumatic stress disorder.

"We're limited by the system we have to work within: the laws of our country," Pierson said.

Incidents strain public trust

The Gonzalez breach and other "misbehaviors" and security failures by the Secret Service have "tested the trust of the American people" and blemished the Secret Service record, Issa said.

The California Republican cited several examples of misbehavior, including a reality TV subject crashing a state dinner, a 2012 prostitution scandal, an agent falling asleep outside a room in the Netherlands and gunshots fired at the White House in November 2011, an incident in which damage wasn't properly reported.

Committee members pointed out that in regard to the 2011 incident, The Washington Post reported a Secret Service employee was told to stand down after hearing gunshots near the White House and then felt unable the next day to contradict her superiors' false belief that the White House wasn't shot at.

Cummings called the report a "major problem," and Pierson said the contention that the officer did not challenge her supervisors for fear of being criticized is a concern.

"It's unacceptable," she said.

Answering another question from Issa about why damage to the White House wasn't initially detected but rather found days later, Pierson defended her agency's response and said records show that the Secret Service "did respond properly" by sweeping the area to see whether anyone was injured and whether there were obvious signs of damage.

Rep. Trey Gowdy and Pierson had a contentious exchange over why the Secret Service did not know that the White House had been struck by gunfire until days after the incident. Gowdy repeatedly asked Pierson why a housekeeper -- and not the Secret Service -- discovered the damage to the mansion.

She answered, in part, that agents swept the area that night to look for injuries or an intruder and found nothing. She noted that it was also difficult to see at night.

Pierson told the committee that any disciplinary action was pending the agency's investigation of the Gonzalez incident. But that answer did not satisfy Nevada Democratic Rep. Steven Horsford, who told her "someone should be held accountable."

Pressed by Chaffetz about how many times she has personally briefed the president in 2014 about incidents involving his security Pierson said once, and it was regarding the September incursion by Gonzalez.

The committee said that it would hold an executive session after the hearing so that Pierson could address some of the sensitive questions being asked.

CNN's Ted Barrett, Josh Levs, Michael Martinez, Deirdre Walsh, Evan Perez, Joe Johns and Joshua Gaynor contributed to this report.

@highlight

NEW: Whistleblower says an armed contractor was allowed on an elevator with Obama

@highlight

Secret Service chief says agents used "restraint in making a very difficult decision"

@highlight

Gonzalez entered White House via unlocked door, Pierson tells congressional committee

@highlight

Rep. Darrell Issa cites instances of "misbehavior" that undermine trust in Secret Service