(CNN) -- Promising the royal treatment or a picture-perfect all-inclusive resort, many of the world's finest hotels made the cut for the second annual Fodor's 100 Hotel Awards announced Wednesday.

While U.S. hotels account for nearly a quarter of the Top 100 winners, hotels in 41 countries made the list.

Fodor's Travel team of 700 global contributors nominated 4,000 hotels from the 17,000 properties they review annually. The winners were chosen by Fodor's senior editorial team, which examined the nominations as well as the hotels already singled out as Fodor's Choice picks.

"We look for properties with great amenities and stellar service that offer a unique experience to guests," explained Arabella Bowen, Fodor's Travel executive editorial director, in a statement. "Every traveler will find a dream hotel on this list, no matter what their travel personality happens to be."

Fodor's chose one hotel in each category to recommend to CNN.com readers.

New and noteworthy: St. Regis Bal Harbour (Miami)

One of the most hotly anticipated hotel openings of this year, the elegant and glamorous St. Regis Bal Harbour is drawing the high-end crowd away from South Beach. Located on an island 15 minutes north of South Beach, the resort offers a private beach and perfect location for a luxurious stroll at the Bal Harbour Shops.

"The design of the resort is stupendous, art deco glam, very smart and current and also harkens back to the city's art deco past," Bowen says. "And the beach is better than anything you'll find in South Beach."

Global icon: Fairmont Le Chateau Frontenac (Quebec, Canada)

The Chateau Frontenac, with beautiful views of the Saint Lawrence River and Old Quebec City, has been a landmark in Quebec and all of Canada since it was built in the late 1800s by the general manager of Canadian Pacific Railway.

"It's a tremendously historic property and probably the most photographed hotel in Canada," says Bowen. "It really does feel like a slice of old France. You can have afternoon tea and stay in the turrets and feel a bit like you're living in a fairy tale."

Trendsetter: The Out NYC (New York City)

The Out NYC advertises itself as New York's first straight-friendly urban resort, and that's just one of the ways it plays with its "out" identity as a gay-focused hotel in Manhattan's Hell's Kitchen neighborhood. It's also an urban retreat with everything a happening gay person might want in a getaway outside the city: lounges, a pool, spa, restaurant, nightclub and more.

"It's one of those properties that is changing the hospitality landscape," says Bowen. "You could do everything you wanted to do and never leave the property," although the pull of Broadway theater nearby might draw you out of your room or massage or nighttime dance party.

Trip of a lifetime: San Camp (Botswana)

For the trip of a lifetime -- a honeymoon, 25th anniversary or 50th birthday -- you're going to splurge, right? And maybe you want to go somewhere not everyone you know has already been? That's when Bowen recommends San Camp in Botswana.

While Fodor's is noticing an increase in travel to Botswana for safaris, San Camp is much more than a safari experience.

This "very intimate" site hosts a maximum of 12 guests and offers safaris, bird watching, cultural and archaeological visits, stargazing and other activities, Bowen says. "It's a vast and quiet place," she says. "You feel a little bit like you're at the end of the world."

Local experience: The Ahwahnee Hotel (Yosemite, CA)

For a hotel with an authentic sense of place in Yosemite, one need go no further than the Ahwahnee Hotel. Located in Yosemite National Park with an award-winning restaurant, "it's hard to get more local than the Ahwahnee," says Bowen. "The hotel does evoke its sense of place."

The hotel, which tends to book up quickly, has hosted all sorts of high-profile guests such as Brad Pitt, Lucille Ball and John F. Kennedy. Ahwahnee tends to get booked up very quickly.

"It's so much more than you'd expect from a national park lodge," Bowen says.

City chic: Hotel Monaco Seattle

The recently renovated Hotel Monaco Seattle doesn't just qualify as "city chic" because of the contemporary design typical of the Monaco brand. Another requirement, says Bowen, is that the hotel attract locals to hang out at its bar and restaurant.

They appreciate the long hours of the gourmet happy hour (4-8 p.m.) and the tasty treats served up by Sazerac hotel restaurant chef Jason McClure.

"The hotel has definitely upped the ante in that respect," she says. "They feature local musicians. You're in the center of town and part of the local scene."

Royal pedigree: Ciragan Palace Kempinski (Istanbul)

With global attention on the marriage of the British royals and the popularity of television programs such as "Downton Abbey," hotels with any sort of royal pedigree are proving quite popular. People want to live like royalty, even if only for a few days

Guests can live like rulers of the Ottoman Empire at the Ciragan Palace Kempinski, once the 19th-century home of an Ottoman sultan on the Bosphorus Strait.

"The rooms are absolutely spectacular, and you can imagine being waited on there by handmaidens back in the day," says Bowen. "The 11 palace suites come with 24-hour butler service. It's a perfect retreat in Istanbul."

Fun for all ages: Ocean House (Watch Hill, Rhode Island)

Ocean House is one of those special hotels that adults and kids can enjoy together and separately. "Family bonding time excellent but being able to do things on your own is also good," says Bowen.

Guests can swim at the private beach or pools, enjoy the spa, play croquet, participate in a cooking demonstration, go on winery tours or visiting a nearby lighthouse museum and carousel.

"It's such a fun property even people without kids could consider going," she says. Generations of families vacation here together, often coming year after year.

Best all-inclusive: The BodyHoliday (St. Lucia).

There are no worries at the all-inclusive BodyHoliday resort, where everything's included in the rate, even a daily massage and the tips. The property on the island of St. Lucia also offers singles relatively good rates.

The BodyHoliday's focus is on wellness, however the guest wants to pursue that goal. "You can get fit, relax, learn how to scuba dive and enjoy wine tastings and gourmet menus," says Bowen.

Go online for a complete list of this year's Fodor's Top 100 Hotel Awards.

@highlight

Fodor's 100 hotels were chosen from 4,000 nominations; winners are in 41 countries

@highlight

Categories include all-inclusive, city chic, family friendly and hotels with a royal past

@highlight

St. Regis Bal Harbour in Miami is making waves; Le Chateau Frontenac is iconic standard