(CNN) -- If ethical shopping has a star, it's Danny Seo, the celebrity eco-stylist who champions green consumerism from the pages of Organic Style magazine, where he's editor-at-large, as well as his books and TV appearances.

Danny's way: Promoting a green lifestlye as fun and accessible for all.

He's helped many of Hollywood's big hitters become more green, and been dubbed "the new Martha Stewart" for his enthusiasm, positivity and his practical approach to making our lives more environmentally friendly.

"Think big," he advises.

"Don't worry over the small things. If you drive a lot, invest in a hybrid. If you're renovating a house, invest in a super-efficient heating and cooling system. New floors? Think recycled nylon carpets made from old carpets (like Shaw flooring's Anso Nylon material).

One big statement really counts." He believes that being green doesn't have to be hard work and that we can all make a difference, while living stylish, comfortable lives.

He should know. Danny's eco credentials were there from the start -- he was actually born on Earth Day (April 22) -- and he started trying to change the world at a prodigiously early age. He started an environmental group when he was 12, which grew into a national organization.

He wrote his first book at 19. When reporters from the Washington Post were interviewing him about another topic and noticed his well-decorated eco apartment, suddenly he became a green lifestyle expert.

But while he doesn't believe we need to give up shopping to save the planet -- far from it, that new flat screen TV you crave might actually use less energy than the tube version you already have -- he does believe that we should change the way we shop.

"We should be thoughtful consumers," says Danny.

"At the end of the day, we need things in our everyday life: groceries, clothes, cleaning products, transportation. I think we need to stop shopping as a weekend activity or as something to do when 'bored.' Instead, making purchases when you need to can lead to a more responsible form of shopping.

"If a refrigerator breaks and you can't repair it, then don't you need to buy a new one? Why not get the most energy efficient model you can find... that's a win-win scenario."

The cheaper and better option

Despite the upscale image of many stylish, environmentally-friendly products - and the perceived high cost of organic food -- Danny firmly believes that going eco doesn't have to be expensive.

"A Stella McCartney organic cotton T-shirt. Yes, it will be expensive," he says.

"But Stella McCartney has always been expensive. A JCPenney organic cotton T-shirt can also be bought for just $15. It all depends where you shop.

"For people who complain that hybrid cars are too expensive, why not look at used cars? I found a Toyota Prius with only 10,000 miles on it for about 40 percent off the sticker price. Not bad."

Because green issues are becoming much more a part of the public consciousness, big brands are "greening" their products and eco choices are becoming much more widely available - making it much easier for ordinary consumers to make the switch.

"About ten years ago, it was tough," he says.

"You had to order your recycled paper toilet paper via catalogue! Today, it's a lot easier to find everyday green products in stores all over the country. There's a huge demand for quality, well-made, stylish eco-friendly products. My work with JCPenney proves that going green has gone to the mainstream.

"You can buy Method non-toxic cleaning products in stores like Target, Duane Reade and even Staples stores. And all the mainstream grocery store chains carry a wide variety of organic foods... even generic food has gone organic!"

All of which means we are seeing a new generation of ecologically-aware shoppers. But they are not, as you might imagine, the young, early adopters.

"I get emails everyday from people asking, 'where can I find a green version of this or that.' And it's from people you'd never expect: My parents' generation.

"When I saw a Method hand soap sitting on my parents' kitchen counter, I knew things have changed."

For Danny, the key to successfully moving what was a marginal concern into the mainstream is showing people that the less polluting, less wasteful option doesn't have to be a pious choice -- it can actually be easier, cheaper and just as stylish as well.

"In my world, I do it with beautiful photos, inspiring text, and how-to information," he says.

"My books are full-color, gorgeous and fun. My TV segments are instructional, but solutions-oriented... not gloom and doom. And I make it easy with online resources, simple web clicks and right-to-the-point answers. No wasted time!"

@highlight

Danny Seo has been called the 'new Martha Stewart" for the green generation

@highlight

Upbeat and practical advice has been taken by Hollywood stars

@highlight

'Think big' is his advice as going green can also be a cheaper and better option