Imagine this:  You've toiled at a company for years and followed all the rules.  You're productive, diligent, and respected by your peers.  In short, you're a model employee.  But the latest round of raises that have consumed the office leave you thinking that your male colleagues -- despite having the same job title -- make more than you.

You begin to suspect you're the victim of gender discrimination.  So, you decide it's time to "lean in" and secure the equal pay you deserve -- 77 cents on the dollar, the nation's going rate, just won't cut it.

But when you take this information to your boss you're told that the company's pay practices are secret and you can be fired for discussing them.

Throughout America, countless women find themselves between a rock and a hard place.   They suspect they're being denied equal pay, but have no way of confirming it.  Or worse, they don't know they're being shortchanged because company policies prevent them from discussing their wages.

The Equal Pay Act of 1963 was passed to prohibit wage discrimination on the basis of sex and sought to ensure that women earn equal pay for equal work.  Its purpose was clear: Eliminate the gender wage gap, which hurts women and families.  But 50 years later, pay discrimination is alive and well.   Gag rules that require employees to keep their pay secret perpetuate this inequity. It's time for our wages to get out from behind the secrecy paywall.

A majority of private sector workplaces in America  prohibit or discourage employees from discussing their wages with co-workers.  As a result, employees who mention what they earn are threatened with retaliation, including harassment, demotion, or termination.

Women who believe they're the victims of unequal pay face an impossible choice: Jeopardize their economic livelihood or suffer the indignity and economic consequences of discrimination.  Low-wage women workers -- many of whom live paycheck to paycheck and are seen as replaceable by their employers -- are especially likely to choose silence and live with pay discrimination rather than risk their jobs.

Still others will have no clue that they are being paid less. Pay secrecy policies can keep women in the dark for years.  Take Lilly Ledbetter, who worked as a supervisor at a Goodyear plant in Gadsden, Alabama, for  nearly two decades without knowing that she had been denied equal pay.  Had it not been for an anonymous note, she would never have learned that she was earning substantially less than her male colleagues.  Pay secrecy facilitated Goodyear's discrimination.

The Supreme Court, meanwhile, has exacerbated the problem.  For decades, plaintiffs were typically afforded discovery, the opportunity to secure testimony and documents from their employer, before resolution of their claims.  But in two deeply divided decisions, the Supreme Court recently abandoned that practice and now requires plaintiffs to provide more detailed information about the alleged discrimination before discovery.

This higher burden is nearly insurmountable for women alleging unequal pay.  Because of pay secrecy, their complaints often begin with a strong hunch that can only be verified through corporate records and sworn statements.  Denying them access to this basic information is tantamount to locking them out of the courthouse.

Unsurprisingly, workplaces that have abandoned punitive pay secrecy, like the federal government and many unionized workplaces, have been particularly effective in reducing the gender wage gap.  Female federal workers are paid 89 cents, and unionized female workers 88 cents, for every dollar paid to men.

Economists have posited that more transparent workplaces will lead to greater worker satisfaction and productivity, while closed pay practices will lead to lower motivation and mistrust of management.  Permitting workers to discuss their wages would also make managers more accountable.

The Paycheck Fairness Act,  reintroduced in Congress, would prohibit retaliation against workers who discuss their wages.  The legislation has been blocked, but if passed, would finally close loopholes in the Equal Pay Act. It would permit workers to compare notes and determine whether they're being paid fairly, without fear of retribution.

If the legislation continues to stall, President Obama can and should act.  He can sign an executive order requiring federal contractors to abandon punitive pay secrecy and protect nearly 22% of the American workforce.  Those refusing to comply would lose the government as a client.

And let's not let states off the hook.  State laws can provide important protections against employer retaliation.  In August, New Jersey Gov. Chris Christie signed a law banning retaliation against workers who inquire about salary. New Jersey  joins states like Vermont, Colorado, Michigan and California in outlining explicit protections for workers seeking equal pay.

Justice Louis Brandeis famously said the best remedy for social and industrial disease was publicity and sunlight its most effective disinfectant. Fifty years after the Equal Pay Act, pay secrecy still masks discrimination.  There is only one way to fight this darkness: light.

Join us Facebook/CNNOpinion.

@highlight

Many companies have secret pay practices: Discussing wages a firable offense

@highlight

They say women who think they are paid less than men can't find out; some never suspect

@highlight

Writers: Low-wage women workers most likely keep quiet, live with pay discrimination

@highlight

They back Paycheck Fairness Act, which would ban employer retaliation for discussing pay