(CNN) -- A series of gold-framed pictures cover the wall from left to right inside the working space of Senegalese human rights activist Bineta Diop. Nelson Mandela, Paul Kagame, Ellen Johnson Sirleaf, Yasser Arafat -- they're all here. This is Diop's wall of memories, reminders of meetings and accomplishments over the years.

"You meet them and you have to discuss and still you know you want to convince them that they need to do more on the issue of protection, on the issue of promotion and women leadership," says Diop, who's met a myriad of politicians and dignitaries throughout her career in human rights.

As the founder of Femme Africa Solidarity (FAS), a women's empowerment organization, Diop has been leading women-led peace building in the most fragile regions of Africa, including countries like the Democratic Republic of Congo, Somalia, Sudan and the Central African Republic. She says her mission to promote gender equality on the continent is worth the risk.

"We, Africa women, realize that our continent was torn about by conflict -- we realized that women was used as weapons of war, rape was used as weapon of war, the body of women was used in the battlefield and we said, 'We need to do something for this and nobody can do it for us but ourselves," Diop explains to CNN.

Having founded FAS in 1996, Diop has also been striving for stronger policies for women and for an increase in the number of female politicians in governments. It's a demanding role, one that requires the activists to live out of a suitcase.

Recalling a recent typical week, Diop, who is also the Special Envoy for Women, Peace and Security of the African Union, says: "I was in Addis. From Addis I went in South Africa and I went to Mozambique to meet the president of Mozambique. The day after I was back to Dakar. Two days after I was back to Geneva and I traveled to New York for one day. I came in the morning, I left the next day in the evening. I went back to Geneva, go to Paris and then came back to Senegal. So it's a life of crazy."

Over the years, Diop has led numerous on-the-ground campaigns for gender parity while trying to make sure women play a leading role in African development.

"We look at peace and security like a male-dominated structure and we say we need to dismantle it. Dismantle it and bring women's voices and their contributions," she says. "I always say military knows how to wage war but women also know how to wage the war to bring peace without guns."

Diop, whose efforts for peace in Africa were recognized internationally in 2011 when TIME magazine named her in their annual list of 100 most influential people in the world, started her mission close to home focusing on conflict resolution during election periods by assembling her own "women's situation room."

Diop's three-prong strategy starts with mobilizing women from all different walks of life. "Second, we mediate among the different political parties that was coming into conflict, through the women. And the third was the monitoring of the election -- to say let's get the result from the ballot, not the bullets."

She adds: "That's why Senegal now have, almost 50% of women in parliament to make a difference."

Also contributing to an increase of women in Senegalese National Assembly is the Parity Law -- which requires all political entities to put forward an equal number of men and women candidates -- passed into legislation in 2010.

Eighteen years since the group's inception, Diop says she's proud of the gains made for women on the continent -- but adds that there's still more work to be done.

"It's coming, we are having Africa women heads of state," she says. "We have three now. But also we see in politics, no more are we saying women cannot be president or women cannot be prime minister, women cannot be ministers in politics. But we still have few women billionaires. We have millionaires but few billionaires. So that glass ceiling in economics, we also need to break it.

"We are getting there. Africa is moving, the gender evolution is there. It's coming but we need to double our efforts."

READ THIS: Africa is rising, but for whom?

READ THIS: Hip-hop artist raps for respect

@highlight

Bineta Diop is the founder of Femme Africa Solidarity, a women's empowerment group

@highlight

She believes women can play an important role in conflict resolution on the continent

@highlight

Her fight for women's rights has seen Diop in some of the most dangerous parts of Africa

@highlight

Women now comprise almost 50% of Senegalese government, says Diop