Washington (CNN) -- The Obama administration is withholding some military aid to Egypt as it reviews how to proceed with any future help as deadly political violence continued to flare, a U.S. official told CNN.

But the White House said repeatedly on Tuesday any suggestion aid had been halted beyond two areas that have already been announced was inaccurate, and that a review of all assistance programs to Egypt is ongoing and no determination had been made involving the results of that assessment.

"Providing foreign assistance is not like a spigot. You don't turn it off and on or turn it up or down like a faucet. Assistance is provided episodically. That is, it's provided in specific tranches," White House spokesman Josh Earnest said.

"There are tranches of assistance that have gone to Egypt. There are also some that have been stopped," he said, noting the cancellation of military exercises in September and the delay of fighter jet shipments.

But David Carle, a spokesman for Sen. Patrick Leahy, confirmed to CNN on Monday that his office was told that military aid has been halted. Leahy, a Vermont Democrat, is chairman of the committee that oversees such funding.

"As we noted yesterday, the State Department and Foreign Operations Appropriations Subcommittee was told that the transfer of military aid was stopped, that this is current practice, not necessarily official policy, and there is no indication of how long it will last," an aide to Leahy reiterated in a statement on Tuesday.

But the U.S. official who spoke anonymously said the move is being described as a "reprogramming" of some funds to Egypt. In effect, Washington is temporarily holding up some assistance as it prepares for the possibility future help could be cut.

That official emphasized no decision has been made to permanently halt assistance and the administration would consult with Congress before deciding how to proceed once its review is completed.

But Earnest said the term "reprogramming" is not correct, and that the current approach is partly designed to "preserve some flexibility" so that the review can give President Barack Obama a "range of options" once it's finished.

"I think that would probably be maybe a more accurate way of describing this," he said.

What it means

The situation is an enormously sensitive matter, seeing that Egypt is a key ally at peace with Israel and a strategic lynchpin in the volatile Middle East.

If the United States were to designate the military's ouster of Egyptian President Mohamed Morsy a "coup," it would have to cancel aid and couldn't restore it until a democratic government is established.

So far, it hasn't applied that designation, but stepped up clashes over the past week between security forces and pro-Morsy demonstrators that have killed 900 people has heightened pressure to take stronger action.

Egyptian security forces may have upped the ante on Tuesday by arresting Mohamed Badie, a spiritual leader of the Muslim Brotherhood, the long-repressed political movement that propelled Morsy to office. State-run Nile TV said Badie is accused of inciting violence.

But if Washington continues with its current approach, it can withhold aid as long as it thinks doing so would be in its best interest. The United States could restore the aid without needing a legal determination that a democratic government has returned. If, for example, Egypt stops the bloodshed, the aid could quickly resume.

Earnest said on Monday the purpose of the review is to determine the potential impact on U.S. national security, whether the law is being followed and what will result in the "kind of outcome" that the United States is pressing for, a prompt return to a democratically elected civilian leadership.

He said U.S. involvement extends beyond a military relationship and includes influence at the International Monetary Fund as well as on tourism.

Billions in aid on the line: What will the U.S. do?

'Damned if you do...'

More than half of Americans in a new poll believe the United States should halt military aid. But the situation is complex.

"The United States is kind of in a 'damned if you do, damned if you don't' situation," said Tarek Radwan, associate director for research at the Atlantic Council.

Analyst Jon Alterman said the issue centers on what Washington wants to accomplish.

"If you are trying to change the decision-making process of the Egyptian military -- that is very hard to do right now because they believe they are locked in an existential struggle," said Alterman, Middle East program director at the Center for Strategic & International Studies.

"If what you are trying to do is demonstrate our resolve to the rest of the world and people looking on, that is another issue."

But the aid isn't one-sided. The United States has been granted preferential use of the Suez Canal -- an economic hub that connects the Mediterranean and the Red Sea.

It also has overflight rights, which gives the U.S. military the ability to fly over Egypt on the way to bases in the region.

Will cutting aid do anything?

Cutting aid will probably not accomplish much, some experts say -- particularly because Saudi Arabia has said it would consider matching the U.S. assistance if the Obama administration decides to cut it.

"Our Congress is not about to compete with that amount of money in Egypt," said Isobel Coleman, senior fellow at the Council on Foreign Relations. "(The Saudis) have deep pockets, and they are ready to put them in Egypt's disposal."

But Radwan said there could be a net effect. If the United States diversifies its engagement with Egypt, "not only the Obama administration, but any administration after would have for more policy flexibility," he said.

CNN's Chris Lawrence, Dan Merica, Kevin Bohn and Reza Sayah contributed to this report.

@highlight

Congressional office said the United States has halted military aid to Egypt

@highlight

White House said some aid stopped, but it cannot be turned on and off like a faucet

@highlight

Obama spokesman said review of aid to Egypt ongoing; no decisions made on future assistance

@highlight

Egypt has been embroiled in violence amid clashes between security forces and Morsy supporters