(CNN) -- As Chance Bothe, then 21, was driving home from college last year into the southeast Texas city of Ganado, he was focused more on texting a friend than he was on the road.

"I need to stop before I have a wreck and kill myself" was the message he sent shortly before his truck tumbled down a 20-foot ravine, his father said.

Bobby Bothe, 57, got a call at Dow Chemical, where he works, and thus began what turned into a months-long, multimillion-dollar recuperation for his son.

At the hospital, he ran into a friend's daughter, a nurse. "I told her, 'I don't know what to do,' and she said, 'You pray.' " He did.

His son had suffered a compound broken leg, broken ankles, broken ribs, a punctured lung, a broken sternum, a broken neck, a broken nose, crushed eye sockets, a crushed forehead and a fractured skull, Bothe said.

"They told us he wouldn't make it, they said he'd be blind, he'd never walk again."

After more than three weeks in a coma, Chance Bothe regained consciousness but initially recognized neither of his parents, Bothe said.

Bothe knows that many parents of young drivers are not so lucky. That was underscored by three crashes in three days this week in which 15 teenagers were killed.

In Illinois, four Chicago-area teenagers died Tuesday morning when their car plunged into a creek. They were students at Wilmington High School, the school superintendent said.

In Ohio on Sunday, a sport utility vehicle veered off a two-lane road into a pond, killing six of eight teenage occupants. The vehicle was meant to carry five people.

In Texas, an SUV carrying five teenagers collided with a gas tanker Sunday. All five young people were killed, and the tanker driver was seriously injured. The teen driver failed to stop at a stop sign, authorities said.

For survivors, recovery can be long. With such severe injuries, Chance Bothe was hospitalized for seven months. Now, the 22-year-old man has plastic eye sockets, metal rods in his legs and a rebuilt nose. "He's a little bit slower than he was" but is working on a ranch, attending online classes from home and planning to take his message of survival to high schools around the state, Bobby Bothe said.

It's a message the father supports. "I don't want no parent to ever go through this," he said. "You gotta know, my son is everything to me."

6 teens killed, 2 injured when overcrowded SUV flips into pond

Teen tragedy: 5 die in fiery collision with tanker truck in Texas

Though traffic fatalities have seen a historic drop in recent decades, young drivers remain at highest risk.

Motor-vehicle crashes are the top cause of death for people ages 15 to 20, according to 2007 figures from the National Center for Health Statistics.

In 2010, crashes killed about 2,700 people ages 16 to 19 -- more than seven per day -- and resulted in nearly 282,000 others being treated for injuries, according to the Centers for Disease Control and Prevention.

And drivers ages 16 to 19 are three times more likely than older drivers to be involved in a fatal crash, the agency says.

The weekend crashes in Ohio and Texas fit even higher-risk profiles:

-- Both SUVs were packed with other teenagers, which in itself is a risk factor. The more teenage passengers, the more likely a crash will occur.

-- None of the six teens who died in the Ohio wreck was wearing a seat belt. In 2011, 54% of high school students said they always wore seat belts, the lowest rate of any age group, according to the CDC.

-- Failure to focus on the task at hand also may have played a role with the 19-year-old driver in Ohio. "The lady driving was playing around when she was driving," said Asher C. Lewis, one of the two survivors of the crash, according to his account in the traffic crash report. "She was swaying and speeding. I think she was driving on purpose like that but I'm not sure why. It felt like she was driving like 80 mph." Teen drivers are more likely than their older counterparts to speed, the CDC says.

-- The Texas driver's age -- 16 -- put him and his passengers at heightened risk. Accidents are more likely to occur during the first few months after a teenager has received a driver's license.

-- The Texas driver was male: In 2010, the death rate for male drivers and passengers ages 16 to 19 was nearly twice that of females.

-- Both wrecks occurred on the weekend: More than half (55%) of teen deaths from motor-vehicle crashes occur on Friday, Saturday or Sunday, the CDC says.

Texas holds a dubious distinction related to crashes. According to the National Highway Traffic Safety Administration, young drivers were involved in 187 fatal crashes in 2010 in the Lone Star State; the next highest number was 113, in Florida. Ohio had 71.

Still, the trend for younger drivers -- as with drivers overall -- is toward safety. The 1,963 drivers ages 15 to 20 who died in motor-vehicle crashes in 2010 represented a 46% drop from the 3,617 who died in 2001, according to NHTSA.

There are proven ways to limit the carnage, according to the CDC. It cites graduated driver licensing systems in which teens' abilities to drive are expanded over time from the initial stages, when driving is restricted to low-risk conditions.

Some parents are equipping their vehicles with tracking technology, which they can use to monitor their children's driving habits in real time.

"Parents are very nervous," Ken Muth, a spokesman for American Family Insurance, said in a telephone interview. "Our agents hear it every day. Putting a 16-year-old behind the wheel on their own is a very frightening thing for a parent."

The company offers parents the option of installing a webcam on the rear-view mirror of the car used by new drivers.

The camera records what happens inside and outside the vehicle but saves the recording only when it senses a sudden movement such as hard braking or a sharp turn, Muth said.

The video is provided to the parents on a secure website, the equivalent of a driving report card for their kids, he said.

"They can sit and review what happened in that incident and use it as a learning tool," said Muth. He noted that the service is free for a year, and the insurance company is not privy to the information collected.

Muth credited the program for reducing risky driving behavior and said teens tend to embrace the technology after using it. "They develop trust with their parents, become better drivers and get more driving privileges."

Chris Mullen, director of technology research at State Farm, noted that the insurer set up a website last fall to aid beginning drivers and their parents. One of its programs -- Road Aware -- helps drivers learn to recognize and anticipate road hazards in front of a video screen rather than on the road.

"This is not a skill that's automatic," Mullen said in a telephone interview. "It has to be learned."

Forty-three percent of teen driver crashes are due to a failure to recognize hazards, she said.

In another example of help from technology, a teenager can activate an app on his or her cellular phone and then put it in their vehicle's cupholder, where it will score the driver's abilities based on acceleration, cornering and braking, she said. "It gives you feedback on the drive you just took and allows you to score it," she said.

Chance Bothe's near-fatal texting is common, according to CDC statistics. In 2009, distracted driving was linked to more than 5,400 deaths and about 448,000 injuries. Cell phone use was cited as the major distraction in nearly 1,000 of the deaths and 24,000 injuries.

Nine percent of U.S. drivers said they texted or e-mailed "regularly or fairly often" while driving.

Not all of those messages may be worth sending.

"It was just a curve coming into town," Bobby Bothe said. "And he never curved. Just kept going straight. If the creek would have had water in it, he would have drowned.

"Three of my buddies seen it happen; they went to him and they drug him out of the truck and the truck was on fire and it blew up as soon as they got him out," he said.

@highlight

"I need to stop before I have a wreck," Texas man, 21, texted shortly before a serious wreck

@highlight

Traffic fatalities have dropped, but young drivers remain at highest risk, studies show

@highlight

Distracted driving -- including texting -- is more common, CDC says