(CNN) -- At least 20 people were killed and 200 more were injured Friday in the northern Mediterranean city of Benghazi, Libya's second-largest, said a medical source in Benghazi who was not identified for security reasons.

The casualties occurred as thousands of Libyans took to the streets to voice their discontent over leader Moammar Gadhafi, witnesses said.

Friday's killings brought to 50 the number of people killed since Tuesday, when the protests began, the medical source said.

Amnesty International said security forces had killed at least 46 during the past three days, with sources at al-Jala Hospital in Benghazi saying that the most common injuries were bullet wounds to the head, chest and neck.

"The alarming rise in the death toll, and the reported nature of victims' injuries, strongly suggests that security forces are permitted to use lethal force against unarmed protesters calling for political change," said Malcolm Smart, the Amnesty's director for the Middle East and North Africa.

CNN was unable to independently verify the information.

In front of the main courthouse in a square in Benghazi, thousands of demonstrators filled the streets demanding a change of government, a protester said. He said people were chanting for Gadhafi and his children to get out of Libya. He called Gadhafi's authoritarian rule "the biggest dictatorship in history."

Late Friday, a witness said more people were still streaming into the already crowded plaza, with some erecting tents, apparently planning to spend the night.

There was no sign in the square of police or military forces except for the presence of three tanks, which were not moving, he said.

Another source said that he saw three Libyan army tanks in the square and that young demonstrators were engaging the tank crews in conversation. He said government forces were not visible in or around Benghazi.

He added that he visited Al-Jala hospital and that it was "full of dead and wounded."

Electricity was lost in parts of the city but had been restored by late Friday, when the city was quiet, he said.

Farther east, in al-Baida, thousands of people showed up to bury 13 protesters killed in clashes in recent days, said Mohamed Abdallah of the opposition National Front for the Salvation of Libya, who has been receiving information about Libya from sources there.

Plainclothes members of the Revolutionary Committee had reportedly fired at the protesters, Abdallah said.

Demonstrations unfolded Friday in other cities as well, he said.

CNN has not been permitted to report from Libya and cannot confirm information about the demonstrations.

The government maintains tight control of the news media and telephone services, and many people expressed fear of talking openly amid what they described as a climate of fear. CNN has been relying on information from protesters, human rights groups and foreign-based Libyan organizations assessing the situation through their sources on the ground.

Libyan state-run television was airing taped images of Gadhafi surrounded by adoring crowds.

The demonstrations erupted Tuesday after the detention of a human rights lawyer and spread across the country.

U.S. President Barack Obama condemned the government crackdowns in Libya, Bahrain and Yemen, which are all embroiled in unrest.

"Wherever they are, people have certain universal rights, including the right to peaceful assembly," Obama said. "The United States urges the governments of Bahrain, Libya and Yemen to show restraint in responding to peaceful protests, and to respect the rights of their people."

"The security forces' vicious attacks on peaceful demonstrators lay bare the reality of Moammar Gadhafi's brutal rule when faced with any internal dissent," said Sarah Leah Whitson, Middle East and North Africa director for Human Rights Watch.

Navi Pillay, the U.N. High Commissioner for Human Rights, also condemned the crackdown in Libya and other countries "as illegal and excessively heavy-handed."

Abdallah, the spokesman for the National Front for the Salvation of Libya, reported that protesters in Benghazi had freed people who had been detained during the first two days of the unrest. He said protesters also set afire a police station and the Revolutionary Committee headquarters in Benghazi, al-Baida and Darna.

Gadhafi's regime, however, has sought to portray a different picture of events and sent out tacit warnings via mobile phone texts to Libyans planning to make their voices known.

"The inappropriate use of telecommunications services contradicts our religion ... our customs ... and our traditions," said a text from the General Communications Body.

Another said: "We commend the conscious youth who have realized that sedition destroys his family, his city, his country. And we commend our cities who have realized that touching national unity destroys the prospects of future generations. Together for the sake of the Libya of Tomorrow."

A screen grab of the messages was sent to CNN by Abdulla Darrat, spokesman of Enough Gadhafi, a U.S.-based organization that has been in close touch with people on the streets of Libya.

State-run television countered the anti-government protests with coverage of pro-Gadhafi demonstrations.

It showed men chanting pro-Gadhafi slogans, waving flags and singing around the Libyan leader's limousine as it crept through Tripoli. Scores of supportive demonstrators packed the roadway and held up pictures of their leader as fireworks burst into the night sky.

The images followed reports from protesters, witnesses and human rights activists who described brutality by internal security forces, sometimes dressed in plain clothes.

One of the protesters likened the situation in Libya to that which occurred early this month in Egypt, telling Human Rights Watch that "they are sending baltaqiyyas (thugs) to beat us."

Libya, like many of its Arab neighbors, is suffering from economic hardship and a lack of political reform. Youth unemployment is high.

Gadhafi is acutely aware of popular grievances and has spoken with groups of students, lawyers and journalists in the past few weeks, a source told CNN this week.

CNN's Yousuf Basil, Fionnuala Sweeney, Ben Wedeman and Salma Abdelaziz contributed to this report.

@highlight

Witness says square in Benghazi is full of protesters, but there is little sign of police or military

@highlight

Tanks surrounded demonstrators in Benghazi, a protester says

@highlight

50 reportedly killed since Tuesday, 20 of them Friday

@highlight

U.S. president condemns the government crackdowns in Libya, Bahrain and Yemen