(CNN)In the two years since "Lean In" became a best-seller and sparked countless conversations about gender equality, author Sheryl Sandberg says she has gotten one question over and over from men: What can they do?

Now the Facebook chief operating officer is giving them some specific answers by aligning with one of the most popular athletes on the planet. If LeBron James is encouraging men to lean in for women, don't you think some of his 19 million Twitter followers will get the message too?

That's certainly what Sandberg and her LeanIn.org colleagues are hoping, following their brand new partnership with the National Basketball Association and the Women's National Basketball Association and the creation of a public service campaign called #LeanInTogether.

In a 30-second video of NBA and WNBA all-stars, we see James of the Cleveland Cavaliers holding up a poster, which says "All-Star Dad."

Dwayne Wade of the Miami Heat says, "When men lean in, everyone wins," and then touts how he leans in for his wife, mother and grandmother.

"Help women aim high," says Al Horford of the Atlanta Hawks.

The significance of the message and the men who are relaying it is twofold, says Sandberg. To truly bring about equality at home and at work, men need to be part of the discussion, and we need to bring the discussion to where men are, she says.

Sheryl Sandberg at BlogHer: Not every woman has to be a CEO

"The conversation about equality has long existed by women, for women, in women's forums where women are, and that will continue, and that's important. But bringing it to the center of the court, bringing men to the center of that conversation -- people like LeBron James and Steph Curry (of the Golden State Warriors) and Dwayne Wade, saying 'I'm in for equality and here's why' -- I think that could be transformative," said Sandberg in a phone interview.

What Sandberg and LeanIn.org are also hoping to do is show men specifically what they can do, providing a series of tips about things they could start doing at home and at work, and as managers, as soon as they finish reading this story.

Many of the suggestions might seem like common sense to many women -- such as male managers giving women credit in meetings and men sharing 50-50 in household and child care duties at home.

But Sandberg says with the list of "simple, clear, everyday things, practical things" men can do that are based on real data, men will see not only how they can help but how they individually will benefit.

For instance, research shows that boys and girls with a more involved father are healthier, mentally and physically, happier, have stronger emotional attachments and relationships, are at lower risk for substance abuse and are more successful at work and at home, Sandberg said.

For girls, there's an extra benefit, she said. By age 14, if a girl sees her father doing child care and housework, her concept of the array of things she can do professionally is much broader than that of girls who don't see their fathers doing household chores, she said, pointing to a study by the University of British Columbia and published in a journal of the Association for Psychological Science.

"The way men react when you tell them children of more active fathers of any income level, no matter how active a mother is, do better -- a lot of men, particularly those with wives who are home (and who say) 'I'm covered. My kids are in good hands' ... they are motivated," said Sandberg.

Despite 'Lean In,' workplace equality remains abysmal

Dads might think they are doing all they can by telling their daughters they can be anything they want, but if Mom is still doing all the cooking and cleaning, their girls aren't getting the full message.

"What really matters is seeing what you do. You have to walk the walk. She needs to see equality to believe it."

Another huge goal, Sandberg says, is showing men they won't lose out in the workplace when there is more equality in the executive suites and in boardrooms.

"If you've long been in the majority and long held power, and you see change, you could naturally be nervous that this wasn't going to help you," said Sandberg. Men need to realize it's not a zero sum game, she said.

"When companies do better, there are more jobs, more promotions, more salaries for everyone. When companies do worse, there's less for everyone," she said. She mentioned a recent study by the International Monetary Fund, which found that if women were in the workforce at the same percentage as men in the U.S., our country's gross domestic product would grow by 5%.

"We haven't seen 5% GDP growth in a long time. ... That's a lot of jobs for a lot of people, so understanding that this is beneficial for everyone, I think, is huge."

Work-life balance not just a women's issue

Sandberg's #LeanInTogether comes as emphasis seems to be growing on getting boys and men to think about gender equality.

Sandberg will be one of the opening night speakers at a four-day conference on engaging men and boys that begins Thursday in New York. The conference is sponsored by The Center for the Study of Men and Masculinities at Stony Brook University.

In January, a U.N. conference sponsored by Iceland and Suriname, which I was honored to attend as a panel participant, brought together ambassadors, other policymakers, and athletes and artists, with the goal of changing the discourse among men on gender equality.

An overriding message repeated at the conference was that we can't keep telling men what to do. We need to show them what many men are already doing every day at home and at work.

"Dad' gets a makeover in Super Bowl ads

That is why the recent focus on caring dads in ads during this year's Super Bowl was so applauded by men like sociologist Michael Kimmel, who is spearheading this week's New York conference on men and masculinities.

"This provides a counternarrative to all the action hero, buffoon images that we see," Kimmel told me when I talked to him days before the Super Bowl.

Kimmel said very few men, fewer than 10%, can relate to the way the media depict masculinity, according to a study conducted by Dove Men+Care. Kimmel was hired by the brand as an adviser to help analyze its research.

Men today are spending far more time doing housework and helping with child care and are enjoying more egalitarian relationships than any generation in American history, and their ideas about what it means to be a man have begun to shift as well, said Kimmel, who is the author of more than 20 books including "Manhood in America: A Cultural History."

Sandberg says we need to recognize and support the new definitions of masculinity and hopes the message from stars like James and Wade goes a long way toward doing that.

"I am increasingly convinced that unless we fully accept men as caregivers, we can't fully accept women as leaders," she said. "We've got to stop calling it 'Mommy and me.' As long as we are calling it 'Mommy and me,' we are communicating to women that this is their job ... and we have to do both sides of this."

Admittedly impatient about gender equality (I'm impatient too!), Sandberg concedes we have a long way to go until the gender equality problem is solved and LeanIn.org can close its doors.

"We have been fighting for equality for too long," she said, noting that women starting earning about 50% of college degrees back in 1981.

"Thirty-four years is plenty of time to get 50% of the top jobs, and we're not close. We're at 5(%) in the Fortune 500. And so we have to change, we have to change more. We have to get more people involved."

Enter King James.

Do you think NBA stars like LeBron Jones and Dwayne Wade can help encourage men to 'lean in'? Share your thoughts with Kelly Wallace (@kellywallacetv) on Twitter or CNN Living on Facebook.

@highlight

Sandberg's "lean in" movement is partnering with the NBA and WNBA

@highlight

In a PSA, LeBron James encourages men to lean in for women

@highlight

Studies show girls whose fathers do chores consider a wider array of professions