(CNN) -- The enduring beauty of the U.S. Open has little to do with the golf course on which it is played in a given year.

(Although the course in Pebble Beach, California, where the final round of this year's Open is scheduled to be played Sunday, is quite a looker.)

But the thing that sets the Open apart from other top-tier championship events in big-time sports is this:

You can play your way into it. If you're watching the Open on television this weekend, and you're a good golfer with a handicap low enough to prove it, and you're saying to yourself: "Man, would I like to be out there competing in that thing. . . ."

Well, if you're an unknown who's not a part of the sport's elite, and you want to give it a try and you do well enough, you'll be there. Dozens of golfers do it every year. It's what makes the Open perhaps the sporting event whose rulebook best represents the American ideal.

There are other tournaments that open their doors to non-marquee competitors; the British Open holds qualifying rounds, and this year the U.S. Tennis Association has instituted a feature similar to the U.S. Golf Association's qualifying system. But nothing can compare with the scope and the spirit of inclusiveness of the pathway that leads to golf's U.S. Open.

Every year, numerous spots in the Open are reserved for players who think they're good enough to compete with the most famous names in the game.  This year, local qualifying rounds were held on more than 100 golf courses.  More than 9,000 golfers filled out entry forms.

A big, guaranteed chunk of the spots in the Open was, as always, given to established stars who are exempt from having to qualify, having proven themselves in other prestigious golf events. But at those 100-plus local qualifying courses, and at sectional qualifying courses that were the next level, the thousands of dreamers were welcomed.

They couldn't just stroll in and tee off. They had to have demonstrated that they were serious and skilled golfers; professionals (both playing pros and teaching pros) are eligible to compete in the qualifying rounds, and amateurs must meet a handicapping formula devised by the USGA.

But once they stepped up to the first tee,  the only thing between them and Pebble Beach was how well they played on those local and sectional courses.  And once the best of them arrived at Pebble Beach, the playing field was absolutely level.  According to USGA officials, half of the 156 competitors at the Open this year got there through the qualifying rounds. They were looking out at the same 18 holes as golf's current legends were.

The appeal of this is that, to get into the U.S. Open through the qualifying rounds, there are no admissions committees peering down their noses at you; there is no one in an executive office telling you there's no room for you to try. You don't have to know anyone with influence in the high echelons of golf; you don't have to be recruited by anyone; you don't have to have an agent.

You just have to have your game, and your belief in yourself.

I'm not a golfer; never have been. But I think the reason I have always so admired the tradition of the U.S. Open's qualifying rounds is that there was someone from my hometown who, at the age of 17, played himself into the Open that way. Just four years earlier, when he was 13, he'd had polio. But he recovered, and he fought through it, and he willed himself to excel.

I know that a lot of you probably have stories about tenacious golfers from your own towns who made it to the U.S. Open one year. But the 17-year-old from our town was pretty special. His name was Jack W. Nicklaus; he didn't make the 36-hole cut at the Open that first year he qualified, but by three years later, in 1960, at age 20, he was paired in the final rounds with Ben Hogan. In 1962 he won the Open, the first of his 18 major championships. After qualifying in that first year, he would play in 44 consecutive U.S. Opens.

For decades, on warm summer weekend afternoons, you could walk around his hometown and you would almost inevitably hear a sound coming from one screened-in porch or another. It was someone who lived in the house, calling out: "Get up, Jack!" Nicklaus would be somewhere in the country, somewhere in the world, playing in a tournament, and he had just struck his putt, and here, back home, as on TV the ball rolled toward the cup, the person in the house would be cheering for him, willing that ball toward the hole: "Get up, Jack!"

He may be the best golfer who ever lived, but once he was a boy, an Ohio pharmacist's son, dreaming of making it to the U.S. Open. He played his way in, as so many did before him, as so many have after. It's the essential magic of the Open. And on Sunday, as the drama of the final round at Pebble Beach unfolds, somewhere in the United States someone will be sitting in front of a television set, thinking: I'm good enough to be there.

If he's right, and he wants it badly enough to go after it, next June the U.S. Open is exactly where he'll be.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says the U.S. Open has a special quality among top sports events

@highlight

He says amateurs are able to qualify to play alongside the elite of golf

@highlight

Greene says a 17-year-old polio survivor from his hometown broke into the game at the Open

@highlight

Jack Nicklaus went on to have a legendary career, Greene says