(CNN) -- A week of critical diplomacy is set to begin in Washington, Beijing and Pyongyang. But the sides are so far apart, at least in public declarations, it is impossible to predict where any diplomatic efforts will lead.

North Korea continues to hold fast to the position that its nuclear and ballistic missile programs are non-negotiable. Pyongyang's official news agency says the North wants U.N. Security Council sanctions lifted. The sanctions were put in place after North Korea launched a three-stage rocket last December that put a satellite in orbit. More sanctions were added when the North conducted its third underground nuclear test in February.

The U.S. and South Korea insist that a verifiable path to dismantling those programs must be on the table for any negotiating process to begin.

South Koreans are increasingly saying they may need a nuclear deterrent to counter Pyongyang's threats. China, of course, detests the possibility the U.S. would reintroduce strategic nuclear weapons there. (They were removed in 1991.) Everyone is heaping pressure on China to rein in the North Koreans.

Looking at the North's rapidly growing nuclear threat, some South Koreans admit that after years of dismissing all the bombastic rhetoric from Pyongyang, real fears are emerging.

"It really is a game changer," said Hahm Chaibong, president of the ASAN Institute for Policy Studies in Seoul. "We really don't know what to do with it because these are political weapons, these are psychological weapons."

North Korea outlines exacting terms for talks with U.S., South Korea

Wanted: Bold diplomatic moves (by the other guy)

Hahm says the six-party talks don't evoke confidence anymore. In his view, what is needed is a bold, new strategy comparable to President Richard Nixon's historic 1972 visit to Beijing credited with not only laying the groundwork for rapprochement with the U.S., but opening up China to the world.

North Korean leader Kim Jong Un is no Zhou Enlai. But Beijing may be hoping Washington will overlook that.

"The Chinese are very keen to just get back to any kind of talks," Stephanie Kleine-Ahlbrandt told CNN. The International Crisis Group's Northeast Asia project director says more than one Chinese source has suggested a repeat of the Nixon-Zhou scenario.

"The Chinese regularly tell me, if (President) Obama would just pick up the phone and talk to Kim Jong Un, we could solve this whole thing!"

Don't hold your breath. Obama is in lockstep with his regional allies vowing not to reward Pyongyang's bad behavior.

China is feeling more wanted than ever. The North Koreans have signaled their readiness to meet with anyone from Beijing. The U.S., Japan and South Korea have repeatedly and publicly declared that China holds the key to reining in the North. While Beijing raised its hand in the vote in favor of sanctions on Pyongyang, many believe it is staying that hand when it comes to enforcing them.

"If China is not active and China is not fully committed, I don't think this is an issue that can be resolved," says professor Lee Jung-Hoon of Seoul's Yonsei University.

China has shown disdain for Kim's recent outbursts. But Beijing's No. 1 priority is keeping his regime from collapse and millions of hungry North Koreans on his side of the border. China is arguably sympathetic to young Kim's predicament. That's the reason, says Kleine-Albrandt and others, that China will not go as far as the U.S. and its partners in Asia would like.

Nuclear weapons: Who has what?

Understanding Kim Jong Un's predicament

"We think they're blackmailing us right now, we think they want money from us," said John Delury, a professor of Northeast Asian studies at Yonsei University in Seoul. "What we fail to understand is their profound insecurity."

Delury recalled the six-party talks, when U.S. diplomats were trying to persuade the North Koreans to denuclearize. "We said, look, you'll be safe without your nuclear weapons, look at Libya!"

While almost no one inside North Korea has access to the real Internet, we can safely assume that Kim is the exception. We should also assume that the young leader has watched the grisly videos of Moammar Gadhafi being lynched by a mob of his own people. Kim may see his own face in that video.

South Koreans are hardly sympathetic. "There's growing public sentiment," says Lee Jung-Hoon, that "we have to be very firm with this regime. It's good to have dialogue and, yes, we want to talk with North Korea. But it's a fading hope that somehow we could convince North Korea, through dialogue, to give up its nuclear weapons program.

"If that's the case, what's the point in engaging in dialogue? Shouldn't we now be focusing on beefing up our security so our deterrence, especially nuclear deterrence, is firm so we will not be vulnerable to these threats?"

Diplomacy to deal with North Korea is gathering momentum. But the vast difference in the positions of all the parties raises doubts about the outcome.

If it fails, many predict Pyongyang will immediately subscribe to another round of missile or nuclear tests and the familiar, and destabilizing, sequence will begin anew.

War of words: Timeline of a crisis

@highlight

North Korea says its nuclear and ballistic missile programs are non-negotiable

@highlight

The U.S. and South Korea say a way to dismantle those programs must be on the table

@highlight

South Koreans may want nuclear weapons of their own, an idea that rankles China

@highlight

China's top priority is keeping Kim Jong Un's regime from collapse