(CNN) -- CNN created the Global Wage Calculator with data supplied by the International Labor Organization, which takes on the gargantuan task of compiling the average wage of the world, as well as individual countries.

The ILO collects this data by sending out annual questionnaires to countries' national statistical authorities and also trying to collect it directly from national statistical authorities' publicly available information.

They can't cover the entire world -- some countries don't supply or have the information -- but this interactive uses data which counts for 93% of the globe's employees.

However, there are some important caveats.

The total employed population is broken into two groups. Employees who earn a wage, and the self-employed who earn what the ILO calls "employment-related income."

The ILO does not include the latter because what is earned as a "wage" and what is earned as "profit" and reinvested in the company is hard to untangle and could therefore confuse the concepts.

The share of employees in total employment varies across the world. In most developed economies, employees represent about 85% of total employment. However, in developing countries this is much less. In Africa, for example, employees are on average about 30% of total employment.

This means the average wage as calculated by the ILO will not always capture what an average family lives on, particularly as self-employed workers in developing countries can earn much less than wage earners.

China is also a special case. There is information on public wages and private wages, but nothing which combines the two. Because the percentage split is unclear, the ILO keeps the data points separate.

The concept of an "average wage" is also imperfect because inequality has increased across the globe, and the percentage of low paid workers has increased in a substantial number of countries.

However, global distribution figures still show how the majority of people in the world are still earning far less than the wealthy minority.

The data also comes from different years, as some countries don't send their data to the ILO as regularly as others. However, with wages stagnant in recent years, at least in developed economies, the differences are likely to be small. You can see what year your data comes from in the blurb comparing your wage to the average in your country.

In order to be able to compare wages globally, they are converted into what's called a "purchasing power parity" U.S. dollar. This uses a 2012 World Bank conversion rate to weight wages relative to the buying power of $1 inside the U.S. However, the comparison is not perfect because the definition of wages can vary from one country to the next.

The $PPP figure reveals the buying power of what you earn, inside your country, relative to the spending power of someone in the U.S.

The G20 data is presented as an indicator of global wages. Argentina and the EU are excluded because comparable data is not available.

The representative jobs CNN chose were in the main guided by data the ILO had in hand, for reasons of consistency. The wages used by CNN can be found on the ILO website here, as can the years it is available.

The U.S. chief executive and British Queen data comes from public records and were selected to represent those on relatively higher incomes. The Queen's income is what she receives to carry out her public duties. She also has private income.

This interactive was put together with assistance from Kristen Sobeck, one of the co-authors of the ILO Global Wage Report.

Opinion: Why Europe's unemployment ills need urgent economic medicine

Opinion: Our predatory capitalist system need not be a zero-sum game

Quest: Davos and its dictionary diplomacy

@highlight

The International Labor Organization compiles the average wage of the world

@highlight

The data comes with important caveats, including how many people are "employees"

@highlight

Global wages are compared by converting into "purchasing power parity" dollars

@highlight

This shows how much your earnings buy you compared to someone earning in the U.S.