Washington (CNN) -- Bomb plots targeting the New York Stock Exchange and the city's subway were among more than 50 terrorist acts worldwide thwarted by top-secret surveillance programs since the 2001 al Qaeda attacks on the United States, security officials said Tuesday.

The startling details disclosed at a House intelligence committee hearing reflected a unified effort by the Obama administration and legislators to defend the telephone and e-mail surveillance made public this month by classified leaks to newspapers.

Testimony by Gen. Keith Alexander, the National Security Agency director, as well as officials from the FBI, Department of Justice and the Director of National Intelligence office called the programs created under the Patriot Act in the aftermath of the 9/11 attacks a vital tool against terrorist plots.

Joined by panel Chairman Rep. Mike Rogers and other legislators, they condemned the document leaks by former government contractor Edward Snowden as harmful to the United States and its allies.

The leaks also led to what officials called widespread public misinformation about the surveillance programs that necessitated the relatively rare open hearing by the intelligence panel, where they detailed previously classified information in order to set the record straight.

It was the most comprehensive and specific defense of the surveillance methods that have come under ferocious criticism from civil liberties groups, some members of Congress and others concerned about the reach of government into the private lives of citizens.

National security and law enforcement officials repeated that the programs are tightly run with significant regulation and oversight by federal judges and Congress.

Addressing the most basic questions that have emerged, Rogers asked Alexander if intelligence workers have the ability to simply "flip a switch" in order to listen to phone calls or read the emails of Americans.

When Alexander replied "no," Rogers asked again to reinforce the message for anyone listening.

"So the technology does not exist for any individual or group of individuals at the NSA to flip a switch to listen to Americans' phone calls or read their e-mails?" he repeated.

"That is correct," Alexander answered.

He and others also asserted that the leaks were egregious and carry huge consequences for national security.

"I think it was irreversible and significant damage to this nation," Alexander said when questioned by Rep. Michele Bachmann.

"Has this helped America's enemies?" the conservative Minnesota Republican asked.

"I believe it has and I believe it will hurt us and our allies," Alexander said.

President Barack Obama has defended the programs as necessary in an era of terror.

In an interview with PBS' Charlie Rose broadcast on Monday night, Obama said the situation requires a national debate on the balance between security and privacy.

Obama bristles at suggestion he's shifted on snooping

Alexander told a Senate committee last week that the surveillance programs helped stop dozens of terror plots, but he was unable then to provide classified details.

Under pressure from Rogers and other legislators, Alexander joined law enforcement officials Tuesday in making public some declassified details of the Patriot Act provisions.

In recent years, Alexander said, information "gathered from these programs provided government with critical leads to prevent over 50 potential terrorist events in more than 20 countries around the world."

Details of most of the thwarted terrorism acts remain secret, but national security officials said they were working on declassifying more information and could have a report to Congress as early as this week.

Sean Joyce, the deputy FBI director, detailed how email surveillance of foreigners under one program helped authorities discover the two New York City plots.

In the fall of 2009, Joyce said, the NSA intercepted an e-mail from a suspected terrorist in Pakistan. That person was talking with someone in the United States "about perfecting a recipe for explosives," he said.

Authorities identified Afghan-born Najibullah Zazi of Denver. The FBI followed him to New York and eventually broke up planning to attack the city's subway system. Zazi pleaded guilty and is currently in prison.

Snowden claims online Obama expanded 'abusive' security

In the other New York case, the NSA was monitoring a "known extremist" in Yemen who was in contact with a person in the United States, Joyce said. The FBI detected "nascent plotting" to bomb the stock exchange, long considered a target of terrorists, and the plotters were later convicted, according to Joyce.

He also said e-mail surveillance disrupted an effort to attack the office of a Danish newspaper that was threatened for publishing a cartoon of the Prophet Mohammed in 2006.

The plot involved David Headley, a U.S citizen living in Chicago. The FBI received intelligence at the time regarding his possible involvement in the 2008 Mumbai terror attack that killed 164 people, Joyce said.

The NSA, through surveillance of an al Qaeda-affiliated terrorist, found that Headley was working on a plot to bomb the newspaper.

Headley later confessed to conducting surveillance and was convicted. He also pleaded guilty to conducting surveillance in the Mumbai case.

In a fourth case, secret surveillance "tipped us off" to a person who had indirect contacts with a known terrorist group overseas, Joyce said.

"We were able to reopen this investigation, identify additional individuals through the legal process and were able to disrupt this terrorist activity," Joyce said.

In an exchange with Joyce, Rep. Mac Thornberry of Texas said the case involved someone financing a designated terrorist group in Somalia.

Rogers, who scheduled the hearing in recent days after Alexander pledged to declassify information on terror plots thwarted by the secret programs, said it was necessary to clear up public confusion caused by misinformation.

"If half the things I read in blog and other places were true, I wouldn't support it," the Michigan Republican said, later adding that skeptics "have no understanding" of what is going on.

In particular, he said Snowden disclosed only a sliver of information about the programs without knowing the full extent of what they did and the strict regulation and oversight of them.

"None of the things he talked about were accurate," Rogers said of Snowden.

The hearing came one day after Snowden defended his actions in leaking classified documents to Britain's Guardian newpaper and the Washington Post.

In a series of blog posts on the Guardian website, the 29-year-old Snowden said he disclosed the information because Obama worsened "abusive" surveillance practices instead of curtailing them as he promised as a presidential candidate.

The former NSA contractor insisted that U.S. authorities have access to phone calls, e-mails and other communications far beyond constitutional bounds. While he said legal restrictions can be easily skirted by analysts at the NSA, FBI and CIA, Snowden stopped short of accusing authorities of violating specific laws.

Instead, he said toothless regulations and policies were to blame for what he called "suspicionless surveillance," and he warned that policies can be changed to allow further abuses.

At Tuesday's hearing, officials detailed how the programs operate and the judicial and legislative oversight involved, repeating several times how access to the content of e-mails or telephone calls -- or even the names of people involved -- required authorization.

Deputy Attorney General James Cole noted that basic phone records collected under Section 215 of the Patriot Act were not protected by Fourth Amendment rights to privacy, citing a 1979 Supreme Court ruling.

In the case, Smith v. Maryland, the justices ruled that information about telephone calls -- such as their time and duration -- was different from the content of the calls and therefore not protected under the Fourth Amendment.

Cole also provided a detailed description of the legal framework of the programs, noting that the anti-terrorism surveillance effort is not "off the books" or "hidden away."

"This is part of what government puts together and discusses," he said. "Statutes are passed. It is overseen by three branches of our government -- the Legislature, the Judiciary, and the Executive Branch."

He described the U.S. phone records collected under Section 215 as basic information "just like what you would get in your own phone bill."

"It is the number that was dialed from, the number that was dialed to, the date and the length of time. That's all we get," he said. "We do not get the identity of any of the parties to this phone call. We don't get any cell site or location information as to where any of these phones were located. And, most importantly, and you're probably going to hear this about 100 times today, we don't get any content under this. We don't listen in on anybody's calls under this program at all."

Tech companies jockey to seem the most transparent

Instead, it takes permission from a special court to get access to further information, based on a verifiable link to a terrorism investigation, Cole explained. Such links have mostly come from another surveillance program that collects communications information of foreign terrorism suspects living overseas.

Critics question the need to store the vast amount of U.S. phone records, saying it creates a database prone to abuses and provides little return for the risk and privacy concerns.

Alexander said Tuesday the phone database played a role in stopping 10 terrorist acts since the 9/11 attacks. At the same time, he and other officials said there were no cases they knew of in which anyone willfully misused the system to access information.

"If you're looking for the needle in a haystack," Cole said, "you have to have the haystack."

@highlight

Officials disclose details of plots to bomb New York's subway system, stock exchange

@highlight

Secret surveillance programs helped uncover more than 50 terrorist acts, officials say

@highlight

The NSA chief says intelligence leaks about the surveillance programs harmed security

@highlight

NEW: Official: "If you're looking for the needle in a haystack, you have to have the haystack"