Dozens of video-capable smartphones -- most of them Steve Jobs' own creations -- peered out over the sea of technology journalists like digital periscopes.

Nothing particularly video-worthy was going on in that moment: It was January 2010, and a bunch of us tech writers, wearing plaid and skinny jeans and funny hats, were waiting in line outside the Yerba Buena Center in San Francisco for an Apple news conference.

But a line outside a news conference where Steve Jobs will appear is no normal line. It's the kind of thing you might just want to record every second of. And so, when our media handlers, wearing bright T-shirts with the simple Apple logo, let us into the building where Jobs would unveil his company's "magical" iPad, pretty much everyone in the audience raised his or her iPhone in unison and clicked "record."

I'm sure our collective scramble down a hall toward a dimly lit auditorium was recorded and uploaded dozens of times.

Apple's revolutionary co-founder, who died Wednesday at the age of 56, had that kind of power over people -- even the ostensibly objective technology press corps, which breathlessly hangs on Apple's announcements as if their gadgets have the power to change the world.

Which, if we're being honest, they do.

"The world has lost a visionary," President Barack Obama said in a statement posted Wednesday night on the White House blog. "And there may be no greater tribute to Steve's success than the fact that much of the world learned of his passing on a device he invented."

"So much talk on Twitter of Steve Jobs, but Twitter HQ has been eerily quiet the past few hours save the clicking of keyboards he tailored," Twitter designer Mark Trammell posted on his popular Twitter feed. All around the world, it seems, people used the technology Jobs created to remark on his impact and his passing -- a testament to the personal impact Apple's suite of iProducts has on many of our lives.

Regardless of your technological tack -- whether you're addicted to that red light that blinks on top of the BlackBerry or swear your allegiance to the Android overlords -- it's hard to deny the industry-changing power of Jobs and the Apple brand. Before the iPhone, an app-running, touch-screen device didn't exist. It was the first true smartphone, just as the iPad was the first true tablet computer. But way before that, back in a California garage in the 1970s, Steve Jobs and Steve Wozniak essentially kick-started the personal computer revolution. In part, I owe the fact that I'm able to type this story and send it to you over the Internet to the vision of Jobs and Wozniak.

If the technological history explains part of the hype that surrounds every press conference Jobs presided over, his personal life tells more of the story.

Gallery: Steve Jobs' life offstage

After we iPhone-holding hordes made our way into the auditorium where Jobs would reveal Apple's tablet computer, I took a seat next to a buttoned-up tech analyst and noticed the music playing over the loudspeakers: Bob Dylan's "Like a Rolling Stone."

"How does it feeeeeeeel...." Wired wrote on its live blog of the event, quoting the lyrics. (In case you're not familiar with that phenomenon, tech bloggers, myself included, post -- instantly and publicly  -- pretty much every word Steve Jobs utters at these press conferences. Apple doesn't allow live video feeds, so these insta-blogs are the only way to get information about new Apple gadgets out to the salivating public in real time).

When Jobs emerged, the audience greeted him with a standing ovation. Again -- all iPhones in the air.

As he paced the stage in front of a massive, glowing PowerPoint-style presentation, wearing his trademark mom jeans and black turtleneck, a scruffy beard and Harry Potter glasses on his face, writers hung on his every word.

He told us the iPad would be "truly magical and revolutionary," and the doubters believed him.

"I went into it prepared to be very skeptical," Ars Technica's Jacqui Cheng told me after the event, "but I was impressed."

That's partly because Jobs carried weight like no one else in the industry. His presentations were the rock concerts of the technology world. His ability to connect new gadgets with human wants and desires -- their ability not just to make you a productive worker but to connect you with loved ones -- took them to another level.

His onstage charisma is something everyone since -- most notably Facebook's Mark Zuckerberg -- has tried to imitate, without quite the same success.

That's partly because of style but also because of history.

Jobs' status as a counterculture figure -- the kind of guy who loves Bob Dylan, whose company asks fans to "think different," and who went on a find-yourself pilgrimage in India, where he experimented with psychedelic drugs -- puts him in a more sacred place in the public consciousness than other tie-wearing tech execs, who seem like photocopies of each other compared to someone with Jobs' rich personal history.

No one videotapes the walk into a Microsoft press conference hosted by Steve Ballmer, for instance. I've been to those, too.

Jobs' story is almost painfully American and it reads like a screenplay: Driven individual from humble beginnings sells Volkswagen bus to found company in his family's garage; in process, revolutionizes music, digital movies, computing and mobile tech.

"To technology freaks and geeks, he is a 'demigod', whose product launches are adulatory affairs regularly likened to religious revivalist meetings," the British newspaper The Guardian wrote in 2006. "The Jobs life story -- humble birth, rise and fall, then miraculous comeback -- has even been likened by Apple fanatics to the heroic myths of Odysseus, Jason, Krishna and Christ."

Maybe all this, in part, explains why the suit-wearing analyst sitting next to me at the 2010 iPad event literally shrieked with joy when Jobs announced some details of that tablet, including a detachable keyboard he could use to file reports on the go.

I don't claim to fully comprehend the pandemonium that surrounds a Steve Jobs press conference. In June 2010, about six months after the iPad event, I attended Apple's World Wide Developer Conference (known to insiders as WWDC) at San Francisco's Moscone Center. That massive glass building was cloaked in an Apple logo big enough to have its own ZIP code. Inside, the usual suspects were waiting for a chance to see Jobs unveil the latest-generation iPhone, which turned out to be the iPhone 4.

I was in a pack of tech bloggers waiting behind a velvet rope, just outside the giant conference room where the event would be held. We were talking about all the latest iPhone rumors -- would it really be a game changer, etc. -- when security guards (really) lifted the velvet rope to let us in. Keep in mind there were maybe 100 writers and photographers covering this event and we were getting let in before anyone else -- to choose our seats in a room with at least 2,000 chairs.

Bottom line: We were getting really good seats, no problem.

Still, the moment that rope lifted, there was a mad rush.

I didn't expect it at all, and almost got knocked out of the way as these laptop- and camera-toting journalists sprinted -- literally sprinted -- into the empty news conference.

At the time, I thought this was completely insane.

But, upon reflection, I don't condone it, but I get it.

They were rushing not to hear about the iPhone 4. They wanted the best chance possible to get close to a man who's been described as the Thomas Edison of our time. A legend.

A man who, in his own words, "put a dent in the universe."

You don't get that kind of opportunity every day.

@highlight

Author describes pandemonium surrounding Steve Jobs press conferences

@highlight

The Apple co-founder had cult-figure status in the tech world

@highlight

The company's product annoucements are blockbuster events

@highlight

One audience member shrieked with joy as Jobs announced iPad in 2010