(CNN) -- Maria D'Angelo is a former private school teacher who has made the shelters of Los Angeles her classroom. Her goal: to transform the lives of homeless children through academic and social opportunities. Through her nonprofit, the Children's Lifesaving Foundation, D'Angelo believes she can spread hope to a community often overlooked.

"I believe everyone is fundamentally good," she explained. "I don't like to give up on people."

For D'Angelo, the reality of growing up poor is personal. When she was 13, D'Angelo and her siblings immigrated to Staten Island, New York, from Naples, Italy. Her father, an artist and chef, had moved three years earlier to establish a life for his children. "We moved into a $30-a-month walkup apartment," she said. "None of us spoke English."

So to help her parents make ends meet, D'Angelo and her siblings went to work. Her first job was in a bakery after school, which foreshadowed her love of service. "Each Saturday night, (my boss) would give me all the baked goods and cakes that were left over," she said. "So, I would bring them to the entire neighborhood. ... I was so thrilled."

Despite growing up in poverty, D'Angelo never saw herself as poor. "Being poor is a real state of mind," she explained. "We never felt poor; we just lived in a poor environment."

D'Angelo went on to college and became a high school Spanish and Italian teacher. She also served as a tour guide for New York's Rockefeller Center. But it was on a trip to a homeless shelter that D'Angelo was "accidentally" introduced to a future life of nonprofit work.

After moving to Los Angeles in 1990, D'Angelo worked as a volunteer in a shelter and met an 8-year-old boy who couldn't read. She learned that the boy never attended school because his mother never took him for the required physical exam. Without hesitation, she got the mother's permission and took him for the exam.

Soon, D'Angelo was taking other kids to the doctor and eventually on field trips. "I then started bringing the kids on outings to the beach and to the mountains," she said.

And in 1993, D'Angelo founded the Children's Lifesaving Foundation. With her son and daughter working closely by her side, the former teacher's nonprofit works to connect youth in Los Angeles shelters, who are often exposed to drug use and violence, with resources that support the "whole family."

D'Angelo believes that children succeed when their family's social, emotional and academic needs are addressed. "We need to focus on all these aspects to be a whole person," she said. Her main goal is to provide them with the same sense of hope she had as a child.

The Children's Lifesaving Foundation is funded through a combination of grants and private donations. With a staff of more than 250 volunteers, the foundation provides services that fall under three key initiatives: living, learning and enriching.

Designed to meet the domestic needs of at-risk families, the living platform transitions children and parents from shelters into stable housing in safe communities. Upon qualifying for this program, families are given a fully furnished apartment, complete with a year's worth of food, clothing and appliances.

"We also help to supplement their income for that first year," D'Angelo added.

She says the program is available only for families who are ready to change their lives. Parents must be drug- and alcohol-free and have a job, among other qualifications, when they move into their new homes.

To assist families in maintaining their homes, the foundation also provides access to financial and credit coaching, interview training and mentorship opportunities. Through this platform, the group has moved more than 60 families into homes. "It plants hope in the hearts of these children and families," D'Angelo explained.

The nonprofit's learning platform is dedicated to academic growth. Through this initiative, the children have access to computer labs and one-on-one tutoring sessions from Children's Lifesaving Foundation volunteers. Under the nonprofit's Care Through College Program, it is D'Angelo's goal to make sure that each child is prepared for college.

"To have that basic education is so important. ... It is going to prepare them for life."

Upon completion of this program and graduation from high school, students receive four-year college scholarships.

"They actually care about your life, not only in school but outside of school," said 19-year-old scholarship recipient Christopher Rojas. "Thanks to them, I am able to attend college."

Rojas, who lives with his mother and two siblings, is studying film production at a Santa Monica community college. The Children's Lifesaving Foundation helped spur his interest in photography with classes through a local nonprofit, and he attended a summer cinematography session at the University of Southern California with help from the foundation and D'Angelo's daughter, Francesca.

The foundation's enrichment platform is what D'Angelo describes as social aspect of her organization. Through this program, the nonprofit provides L.A.'s inner-city youth -- some homeless, some not -- with recreational activities. This can include summer camps, birthday celebrations, family movie nights and pizza parties. D'Angelo believes that through these events, Children's Lifesaving Foundation families are able to see a world unrestrained by poverty.

"It shows the kids that they so deserve it," she said.

Over the nonprofit's 20-year history, its three platforms have helped more than 75,000 families.

"If your heart is open, you are kind," D'Angelo said. "And if you are kind to another person, you open their heart."

@highlight

Former teacher Maria D'Angelo offers hope to families living in Los Angeles shelters

@highlight

D'Angelo was inspired after meeting an 8-year-old boy who couldn't read

@highlight

Children's Lifesaving Foundation focuses on living, learning and enriching

@highlight

Over 20-year history, its three platforms have helped more than 75,000 families