Pretoria, South Africa (CNN) -- A defense attorney Tuesday tried to poke holes in the highly emotional testimony of the first witness in the murder trial of Olympian double-amputee Oscar Pistorius, as another witness said she also heard screams the night model Reeva Steenkamp was killed.

On the second day of the trial, testimony continued with the questioning of Pistorius' neighbor, Michelle Burger, who said Monday she was awakened by screams, followed by gunshots, when Pistorius shot and killed his girlfriend on Valentine's Day last year.

Defense attorney Barry Roux attacked Burger's credibility, accusing her of using her husband's statement to craft her own.

Paragraph by paragraph, Roux pointed out similarities between their two statements. Burger repeatedly explained that the statements were similar because they both heard the same thing. "I'm as honest as I can be to the court," she said.

Pistorius has admitted he killed Steenkamp but pleaded not guilty, saying that he mistakenly believed he was shooting a burglar. He only realized after firing four shots that his girlfriend was not in bed but in the bathroom he was firing at, his defense team said on his behalf Monday.

Burger cried when she described the gunfire. "It was awful to hear the shots," she said through tears.

On Monday, Burger testified that, "Something terrible was happening at that house." She called the shouts and screams "petrifying."

Roux questioned how Burger had heard the screams from far away: "You heard that out of a closed toilet in a house 177 meters away?"

Clearly rattled at times, she was granted a small reprieve as the court adjourned to investigate claims her image had been seen on television -- a violation of her right to remain anonymous.

The case has fascinated South Africa and much of the world, with its high-profile defendant, the double-amputee track star so talented that he competed not only in the Paralympics but against able-bodied runners in the Olympics two years ago.

Neighbors heard shouting

A second witness, another of Pistorius' neighbors, told the court Tuesday she also was awoken by shouting on the night Steenkamp was killed.

In brief testimony, Estelle van der Merwe said she heard loud voices that went on for about an hour and put a pillow over her head to try to get back to sleep. She said she heard four sounds but could not be sure what they were.

Burger's husband, Charl Johnson, was the third witness to take to the stand before the court adjourned for the day. Describing what he heard from his home that night, he said the "intensity and fear in (the woman's) voice escalated and it was clear that her life was in danger."

"That's when the first shots were fired. I remember hearing a succession of shots," Johnson said. "I heard the lady scream again and the last scream faded moments after the last shot was fired."

Prosecutor Gerrie Nel, reading a report from an expert, told the court that of the four bullets that were fired toward Steenkamp: "The fourth bullet hit her in the head. She then died."

At this remark, Pistorius clutched his head in his hands.

LIVE UPDATES: Pistorius on trial for murder

Testy testimony

Burger's testimony has been marked by confusion at times.

After Roux had asked her a question several times Tuesday, Judge Thokozile Matilda Masipa intervened: "When counsel asks a question, you answer that question ... The quicker way to get out of that (witness) box is to answer exactly what counsel is asking."

During Nel's questioning Monday, Burger told the court that she heard a woman's screams and a man yelling for help.

"Just after 3, I woke up from a woman's terrible screams," she said. "Then I also heard a man screaming for help. Three times he yelled for help."

She assumed a nearby home was being invaded by criminals. She later told her husband that she feared the woman had witnessed her husband being shot "because after he screamed, we didn't hear him."

Roux spent hours hammering Burger with questions in Monday's cross-examination, asking repeatedly if there could have been shots before she woke up, if she was sure about the sequence of events and about her knowledge of guns.

He asked if the "bang" sounds she heard might not have been gunshots, but rather a cricket bat bashing at a bathroom door. She answered that she had clearly heard gunshots, testily answering Roux's questions about how much time had elapsed between them by saying she "didn't sit there with a stopwatch and take down the timing of each shot."

Moments of low comedy

Despite the serious subject of the trial, there were lighter moments, such as when Roux described the voice of Pistorius as sounding "like a woman screaming" when he's anxious.

"I'm 100% certain I heard two different people that evening," Burger insisted.

There also was repeated confusion, irritation and befuddlement over the language in which Burger testified. She spoke Afrikaans, her native language, and had an interpreter translate her words into English.

Personal essay: What my son taught me about Oscar Pistorius

But she regularly corrected her interpreter's English and had a brief discussion in English with the judge about whether she should testify in that language.

It was agreed she would continue to testify in Afrikaans, but she repeatedly lapsed back into English.

Pistorius pleaded not guilty Monday to one charge of murder and a firearms charge associated with Steenkamp's killing, as well as two gun indictments unrelated to Steenkamp.

It's expected to take at least three weeks for Judge Masipa to hear the case and decide whether Pistorius mistook Steenkamp for a burglar or killed her in cold blood.

In South Africa, which abolished jury trials in 1969, premeditated murder carries a mandatory life sentence, with a minimum of 25 years. Pistorius also could get five years for each gun indictment and 15 years for the firearms charge.

INTERACTIVE: Explore each side's argument

If he isn't convicted of premeditated murder, the sprinter could face a lesser charge of "culpable homicide," a crime based on negligence, and could be looking at up to 15 years on that charge, experts say.

Parts of Pistorius' trial are being televised live -- a first in South Africa -- after a judge's decision last week allowing cameras in the courtroom. But witnesses have the option of not having their images televised. The witnesses so far have taken that option.

June Steenkamp, Reeva Steenkamp's mother, was in the courtroom for Monday's testimony, marking the first time she had laid eyes on Pistorius in person. The two had never met before.

Steenkamp's parents have avoided previous court appearances because they wanted privacy.

Dream couple

Pistorius, now 27, and Steenkamp, 29 when she died, were a young, attractive, high-profile couple popular in South Africa's social circles.

Pistorius, nicknamed the "Blade Runner" because of the special prostheses he uses while running, won six Paralympic gold medals and became the first double-amputee runner to compete in the Olympics, in London in 2012.

Cover girl Steenkamp, who was soon to star in a TV reality show, was on the cusp of becoming a celebrity in her own right. Everything changed before dawn on Valentine's Day 2013, as Steenkamp lay lifeless in a pool of blood on the floor of her boyfriend's house in an upscale gated community in Pretoria.

Moments before, Pistorius says, he had pointed his 9 mm pistol toward an upstairs toilet room and fired four bullets through the locked door.

In court documents, Pistorius has said he heard a noise from the bathroom in the middle of the night and -- feeling vulnerable without his prosthetic legs on -- charged toward the bathroom on his stumps.

He has said he shot through the toilet door in order to protect himself and Steenkamp.

"I felt a sense of terror rushing over me," he said in his court affidavit. "There are no burglar bars across the bathroom window, and I knew that contractors who worked at my house had left the ladders outside."

"It filled me with horror and fear of an intruder or intruders being inside the toilet. I thought he or they must have entered through the unprotected window. As I did not have my prosthetic legs on and felt extremely vulnerable, I knew I had to protect Reeva and myself."

Prosecutors are painting a different picture. They say the pair had an argument and that Steenkamp locked herself in the toilet.

At last year's bail hearing, the state said Pistorius put on his prosthetic legs, collected his gun from under the bed and walked down the hall leading from the bedroom to the bathroom before unloading a flurry of shots through the door.

Pistorius is not claiming self-defense; he is claiming to have been mistaken about his need for self-defense. He is denying that he intentionally, unlawfully killed Steenkamp. He has never denied killing her.

The case has put the spotlight on South Africa's rampant gun violence and high crime rates.

Roughly 45 people are murdered every day, according to police statistics, and the number of home burglaries is up 70% in the last decade.

In 2012, more than half of South Africans told the country's police force that they were afraid of having their homes broken into. In his affidavit, Pistorius said he had been the victim of violence and burglaries before, including death threats.

CNN's Robyn Curnow, Nick Thompson, Ashley Fantz and Susannah Cullinane contributed to this report.

@highlight

NEW: Second witness says she was awoken by shouting

@highlight

NEW: Husband of first witness also takes the stand Tuesday

@highlight

Pistorius shot and killed Reeva Steenkamp at his Pretoria home last year

@highlight

The double-amputee Paralympic and Olympic sprinter says he mistook her for a burglar