(CNN) -- Australian Prime Minister Julia Gillard is expected to secure a major currency conversion deal with her nation's number one trading partner as she begins a six-day visit to China Friday.

The deal has ramifications beyond Beijing-Canberra ties as a step towards full convertibility of the yuan on international markets, denting the primacy of the U.S. dollar as the world's reserve currency of choice. Currently, Chinese and Australian companies must use the U.S. dollar as an intermediary for trade.

The Australian leader also faces the task of assuring China that her nation's growing defense agreements with the U.S. pose no threat to Beijing.

"I don't view us as being in a position where the strong and growing relationship we have with China is somehow in contest, or in contrast, to the relationship we have with the United States of America," Gillard said Thursday at a Foreign Correspondents lunch in Sydney, ahead of her departure.

Leading what she called the "most senior Australian political delegation" ever to visit China, Prime Minister Gillard will also be amongst the first western leaders to meet China's new President Xi Jinping.

The Australian delegation includes the Foreign Minister, Bob Carr, Trade Minister Craig Emerson and Financial Services Minister Bill Shorten.

"The timing of this visit so soon after the new leadership has entered office is deliberate and reflects the importance of our rapidly evolving relationship with China and our high-level political oversight of that relationship," Prime Minister Gillard said.

The visit is primarily aimed at furthering the Australian governments ambition for greater engagement with Asia -- and China in particular -- as outlined in a major policy paper released in October.

"Australia in the Asia Century" acknowledged Australia's economic prosperity was tied Asia and it detailed a set of objectives to be achieved in order for Australia to boost its wealth by taking advantage of the rise of a massive Asian middle class.

Australia's dependence on China as it marches toward global economic dominance has been clear for many years now. In 2011-12, China was again Australia's largest two-way trading partner for goods and services, with trade topping $128 billion. China accounts for 14.7% of the total trade of goods and services and takes one quarter of Australian exports, much of it in raw materials. Significant Australian exports of coal and liquid gas are used to power Chinese industry, but Australian suppliers are facing increasing pressure from U.S. and Russian rivals.

"It's a competitive world and you're right, the amount of competition in the energy sector is getting stronger and stronger and more and more acute," she said.

"I am very confident that we can be very good at what we do. I think we're very good now and we are always going to have to look for the innovations that make us an even better quality supplier," she added.

Under the currency deal that Prime Minister Gillard is expected to announce whilst in Shanghai, the Australian dollar would become directly convertible to Chinese yuan, overcoming the need to first convert to U.S. dollars. This would remove expensive exchange rate issues, cutting the cost to Australians of doing business in China, though the Prime Minister remained coy when asked to confirm the deal.

"You are going to have to wait until I'm in Shanghai," she told the Foreign Correspondents luncheon.

With the Chinese economy expected to grow at about 8% this year, the currency deal would be an important and much needed political bonus for the struggling Gillard government in an election year. She did however warn that the Australian dollar was expected to remain high due to Chinese demand and the perception that Australia is a safe currency haven.

"Australian dollar to U.S. dollar exchanges are now estimated to be the fifth highest traded currencies in the world," she said.

Gillard will also take the stage at the Bo'ao Forum for Asia on Hainan Island where the world's business leaders and economic thinkers will gather to hear from China's senior policy makers.

Later, in Beijing, she will meet with President Xi Jinping, to discuss what she termed Australia's position as an "energy superpower," as well as regional defense and security issues.

Australia's decision to permit U.S. marines to be stationed on its soil as part of Washington's refocus on the Asia Pacific has upset Beijing. Ahead of the 16th annual Australia-China Defence Strategic Dialogue later this year and a Chinese navy ship visit for the International Fleet Review, the Australian government is also working on agreements to allow U.S. naval and aircraft access to Australia.

But Prime Minister Gillard there is no competition between the United States and China for Australia's attention and allegiance.

"We will continue to do what we've done for some period of time - to attend to our friendship and alliance with the United States while growing our friendship with China," she added.

Tension resulting from North Korea's threat to launch missile attacks against U.S. allies in its neighborhood and even against the U.S. mainland also is expected to be raised.

Foreign Minister Bob Carr told ABC television that Australia will seek information from the Chinese leadership.

"We will raise with China our concerns that if the provocative and bellicose behavior of North Korea continues, then it will simply result in rising tensions in north-east Asia and put Japan and South Korea in a position where they will pay more attention to their security," he said.

"China has a keen interest in seeing that the provocative behavior by North Korea comes to an end."

Regardless of pressing international geo-politics, domestic issues are never far away.

Although meeting President Xi is expected to bolster Prime Minister Gillard's image at home where she has been criticized for being uncomfortable on the world stage and disinterested in international affairs, her political opposition have taken aim.

READ MORE: Party keeps faith with Gillard but will Australia's voters?

Whilst welcoming the prospect of a currency conversion deal, the opposition has reiterated concern over the government's threatened crackdown on skilled worker visas, which Prime Minister Gillard claims is being abused.

She said the visa category was delivering jobs that could go to Australians, to foreign workers, leaving supporters and critics alike condemning her for buying into a divisive and long running race debate.

On the eve of her departure for China, the opposition coalition leader, Tony Abbott said that the Prime Minister is "very interested in the Asia century when she's traveling to Asia, but when it comes to skilled migration, a totally different story."

@highlight

Australian PM Julia Gillard begins six-day visit to China Friday

@highlight

Gillard expected to secure major currency conversion deal with China

@highlight

Currently, Chinese and Australian companies must use U.S. dollar as intermediary for trade

@highlight

Deal would be step towards full convertibility of Chinese yuan on international markets