WASHINGTON (CNN)  -- Sheila Wash greets her son and daughter, 13-year-old Cecil and 9-year-old Sheliah, every day when their school buses arrive "home."

Sheila Wash says being homeless has been an "eye-opening experience" for her.

They talk about the school day, their homework and even joke that Sheliah can't remember what she ate for lunch. The fourth-grader wonders aloud, "What did we have? We had something good."

But it's hardly a homecoming for any of them.

The Wash family has been homeless since 2007, after Sheila lost her government job. She says unemployment benefits quickly ran out and, as she searched for a job, the family was forced to move six times in the last two years. They're now living in the Family Forward Shelter in Washington.

"I just thank God we have a roof over our head right now. You have to accept the things that come to you. You don't like them but, you know, until you can get your foot forward, you do what you have to do. We just keep going," Wash said.

Wash's situation was only made worse as the economic recession set in. Jobs became harder and harder to find with more competition for each position. She says she's still searching.

The Washes are part of the changing face of homelessness in America today. For years, homelessness has been depicted as that of an individual man or woman living on the street and begging for money. But with the perfect storm of the foreclosure crisis and the faltering economy, more and more families are becoming homeless. According to a recent count by the Metropolitan Washington Council of Governments, the number of homeless families in the Washington region alone has jumped 15 percent since last year.

There are several national estimates of homelessness, but many are dated or based on dated information. TheU.S. Department of Housing and Urban Development points to a study done in 2007 -- before the brunt of the foreclosure crisis hit --which stated that about 3.5 million people, 1.35 million of them children, are likely to experience homelessness in a given year. That study was conducted by the National Law Center on Homelessness and Poverty

"People lose their jobs. Their monthly household expenses spiral out of control because maybe their car broke down that month, and when you have such a tight budget with high rental costs, there is no room for error. And so that is what really leads families to the shelter door," said Mary Cunningham, author of "Preventing and Ending Homelessness - Next Steps."

Reflecting on their struggles over the last few years, Sheila calls it "eye-opening." "It's like they say you never know [someone] until you walk in their shoes, so truly I know now and if I ever get out [of] this situation, I will always give back to people less fortunate than I am because I know their struggles," Wash said.

School officials in Prince George's County, Maryland, where the two Wash children go to school, say a day doesn't go by without the need to enroll another child as homeless. Denise Ross, supervisor for the school district's Homeless Education Office, said they've been inundated with requests.

"Some of them are embarrassed, some of them are scared, some of them are sad. They're just not sure what's going to happen next," Ross said. "Students who are displaced or homeless students feel that school is a safe haven. They really want to come to school. They really want to attend school."

For homeless students, Prince George's County Schools offers free transportation to and from school, free breakfast and lunch, help with school supplies and also clothing. "Either in the shuffle of being evicted or moving from shelter to shelter or place to place, their clothes may not have followed them. Or may have been set out and somebody may have taken them. So they may only have [the] clothes that are on their back. Our intent is always to provide them with at least three complete sets," Ross said.

Sheila Wash says school is not only important because of her children's education, but it has also been an important source of stability in their lives. "[A] very big help," she says. And help they still need with the obstacles ahead.  Watch Kate Bolduan's report on the Washes' plight »

The Family Forward Shelter is a hypothermia shelter, only open through the winter, which means the Wash family needs to find another temporary home, and they haven't had much luck.

But with a smile that seems to never fade, 9-year-old Sheliah describes the one wish that keeps her family going.

"I wish we had a house with a car," she says. "I pray that my mom, that we wake up in the morning and that [we] get a house and everything we wanted."

@highlight

Sheila Wash and her two kids have been homeless since 2007, after she lost her job

@highlight

School officials in the Washes' district say more of their students are homeless

@highlight

Author: Having "no room for error" on finances often sends families to shelter door

@highlight

By one count, homelessness in the D.C. area has jumped by 15% over last year