(CNN)Russian President Vladimir Putin has insisted that the Minsk II ceasefire agreement from February 12 is the road to "a final settlement" of the conflict in Ukraine -- and although the truce is shaky, Ukraine and the West have a strong interest in seeing it hold.

The West is not going to enter into a proxy war with Russia -- and Ukraine's best hope is to wind down the war and to use the breathing space for much-needed reform.

Minsk II confirms the military gains Russia has made in Ukraine and gives Moscow plenty of leverage over Kiev. But compared to war, it is the lesser evil.

In fact, the agreement could be turned to Ukraine's advantage, providing the country with the breathing space it urgently needs to enact political and economic changes. A stronger Ukrainian state -- more functional, less corrupt, and better able to deliver to its citizens -- would be much more capable to resist Russian aggression.

It is Ukraine's weakness that has allowed Russia to invade the country in the east. A weak sense of national solidarity and togetherness there, as well as insufficient supervision of the border, allowed unofficial and official Russian troops to enter into the Donbass region. And a badly-trained, badly-equipped and badly-organized army wasn't able to push back.

As long as the conflict in the east continues, Ukrainian President Petro Poroshenko's new government will only reluctantly pursue reform. In times of war, national unity is needed to mobilize potential support --this is not the time to fight the abuse of power in the country by mighty oligarchs, as their support is urgently needed for the war effort.

But if Minsk II holds, Ukraine can refocus its energy on tackling its biggest internal challenge, which has been neglected for more than two decades: to build proper state institutions.

A new Ukraine could emerge democratic, liberal, and much better governed, a country that would become attractive not only to its own citizens -- millions have emigrated in the last few years -- but also to Western investors.

The momentum is there. Poroshenko's government has made some small but promising steps in the right direction. And the Maidan generation, a much more politicized civil society, continues to exert pressure on leaders. Unlike its predecessors, the government knows that it needs to deliver. If not, sovereignty again might fall back to the citizens in a new Maidan that could push the current leadership away.

The terms of Minsk II are however favorable to Russia. It represents the current correlation of forces. Russia is much stronger militarily than Ukraine, even under the self-imposed condition of keeping Russian engagement on the level of deniability. And the West is not ready to seriously tip the military balance in Ukraine's favor.

Not surprisingly, Minsk II is not aimed at directly restoring Ukraine's territorial integrity. While the first Minsk agreement, reached in September, stipulated that international observers would monitor the Russian-Ukrainian border, Minsk II makes the return of the border to Ukraine conditional on constitutional reform -- a new constitution to which representatives of the rebel-held territory must agree. In practice, this means that Ukraine has to negotiate its new constitution with the Kremlin.

The choice for Ukraine is -- according to the current truce -- to accept either that the rebel-held territory is going to be built up as a heavily-armed Russian proxy state, or to accept a new constitution that will give Russia substantial influence over the future course of the country. Either Russia can switch on and switch off the war at will, or Ukraine accepts giving up the substance of its sovereignty. Either way, Russia will have achieved its goal of bringing Ukraine back into its sphere of influence.

Ukraine and its Western supporters must develop a counter-strategy. Russia is weaker than it may seem. Its economy is heavily damaged by plunging oil prices and Western sanctions. The costs of the conflict have been high.

Over the last year, the Kremlin had to learn some hard lessons: that the West is relatively united against Russia's attack on Ukraine, enough to impose tough sanctions; that Ukrainians in the east don't welcome Russians as liberators, and that many are ready to fight for their independence; and that the appetite for war with Ukraine is pretty low in Russia.

Putin's regime is not suicidal. Winding down the war and rebuilding ties with the West is therefore a political and economic necessity, at least over the mid-term. Ultimately, the contract between Putin and Russian voters remains focused on economic well-being, on sharing at least part of the income from natural resources. This contract can only temporarily be switched to aggressive patriotism -- over the longer term, the regime needs to deliver some degree of prosperity.

The challenge for Ukraine and its Western supporters is to turn Minsk II into an opportunity. The government must demonstrate its fierce dedication to reform and start a serious fight against corruption. If the war loses prominence at some point, there will be no excuse for inaction. The task is huge, but the Maidan movement and the tensions Russia have created a new sense of citizenship for some in Ukraine -- one that the government must seize upon.

The trick will be to remain under the threshold of what Russia may see as a provocation that could trigger fresh rounds of warfare. But if Ukraine can quickly move forward with its reform agenda, and if Russia becomes weaker as the economic crisis hits the country hard, the advantage may soon be on the Ukrainian side. The stronger Ukraine becomes -- politically, economically and also militarily -- the more difficult it will be for Russia to control the interpretation of Minsk II.

And if that succeeds, and Ukraine one day becomes a shining example of freedom and prosperity -- like Poland -- people in Donbas may one day push for reunification, just as East Germans pushed for reunification in 1989. The zone of liberal-democratic stability will move further east, ultimately challenging the autocratic petro-state that Putin has built in Russia.

Whether this can work or not depends primarily on Ukraine: on the readiness of civil society to stay engaged and push for reform, the readiness of the bureaucracy to embrace a new order, and the readiness of oligarchs to give up their social and political power in order to maintain positions of economic leadership.

It also depends on the West: Firstly, the EU and U.S. must make it as costly as possible for Russia to switch on war as a means to prevent Ukraine's reform. Unfortunately, the temptation for Russia to use this tool will remain, as military power is its only remaining strength. Moscow must be told in clear terms that the West is going to react to a full return to the battlefield with harsh measures.

The West must also make up for two decades of disinterest in and neglect of Ukraine and start with serious engagement with Kiev to help it to build a decent state, to give Ukrainians a perspective. A "Compact for Ukraine," announced by Angela Merkel, Barack Obama and other Western leaders in Kiev in April that puts all kind of support into a package would be a good start.

The West doesn't want to fight Russia in Ukraine militarily. But in response to the military invasion in the east, the West must now swarm the country with help and support. It is in the interest of Ukraine, and in the interest of a European order that has brought the continent the freest, most peaceful and most prosperous epoch of its history.

@highlight

Ukraine and the West have a strong interest in seeing the Minsk II ceasefire agreement hold

@highlight

Ukraine's best hope is to use the breathing space for much-needed reform