Talks between Iran and six world powers over Tehran's nuclear ambitions ended Wednesday on a promising note when they released a joint statement for the first time, suggesting Iranian officials appear willing to negotiate.

The meeting in Geneva ended with a statement that described the talks as "substantive and forward-looking."

The tone of the negotiations appeared to signal a shift, a departure from the diplomatic standoff that prevailed under former Iranian President Mahmoud Ahmadinejad.

The latest discussions centered on a proposal put forth by Iran, which wants the six powers to recognize what it says is the peaceful nature of its nuclear energy pursuits.

Details, however, were scarce.

"We will be doing the negotiation in the negotiating room and not in the press," Iranian Foreign Minister Javad Zarif told reporters after the talks concluded.

Discussions were scheduled to resume November 7 and 8.

According to Iranian Deputy Foreign Minister Abbas Araqchi, who is taking a lead role in the negotiations,  the sides could reach an agreement in as little as three to six months.

"The Iranian proposal was a new proposal with a level of seriousness and substance that we had not seen before," White House spokesman Jay Carney told reporters.

Differences remain.

"No one should expect a breakthrough overnight," Carney said. "And these are complicated issues. They're technical issues. And as the President has said, the history of mistrust is very deep.

"The onus remains on Iran to come into compliance with its international obligations.  And any deal must prove to the international community that Iran's program will be used for exclusively peaceful purposes," he said.

A senior U.S. administration official echoed Carney's cautious optimism.

"A positive outcome is not guaranteed," the official said, stressing at the same time that discussions were "intense, detailed, straightforward" and "candid."

The two-day talks brought together Iran's representatives and those from the so-called P5+1 -- the United States, Russia, China, France and Britain, all countries with permanent seats on the U.N. Security Council, plus Germany.

European Union foreign policy chief Catherine Ashton, who is leading the talks for the P5+1 bloc, called it a "very intensive and very important meeting."

She also declined to offer specifics but said they were the most detailed to date.

The joint statement built on a measured hope that was expressed after the first day of the talks.

"For the first time, we had very detailed technical discussions," a senior U.S. State Department official said. A spokesman for the EU's foreign policy chief called Iran's presentation "very useful."

Zarif, who is leading the Iranian delegation, said in a Facebook post Wednesday that their proposal outlined "a new view which emphasizes the need for pursuing a common goal by all players" and identified areas that must be agreed upon.

"This framework was welcomed as a new approach by the heads of the delegations. Of course we would like to see a new approach by the 5+1, as well," he said.

Opinion: Why there's room to strike a deal

'Ball is in Iran's court'

Many in the West fear Iran is pursuing the development of a nuclear bomb, but Iran -- slapped with sanctions because of its program -- has always maintained that it is developing nuclear energy capabilities for peaceful purposes only.

Ashton's spokesman, Michael Mann, said Tuesday that the mood was one of "cautious optimism" but that the "ball is in Iran's court" to respond to the bloc's concerns.

The P5+1 bloc put forward its own proposals at a meeting with Iran in Kazakhstan in the spring, and these remain on the table, Mann told reporters.

Critics have expressed suspicions about Iran's uranium enrichment, fearing that Iran may secretly be transforming nuclear fuel into atomic bomb-grade materials.

On Monday, Iran's Araqchi said shipping Iran's enriched uranium out of the country was a "red line." But on Wednesday, he hinted at flexibility, saying that "red lines need not be obstacles."

Iran insists the West must accept its right to enrich nuclear fuel for civilian purposes as allowed under the Treaty on the Non-Proliferation of Nuclear Weapons, to which Iran is a signatory.

Thawing relations?

This week's high-level talks in Geneva are the first such talks since the election of President Hassan Rouhani this summer raised the prospect of a shift in direction from Iran.

During a visit to the U.N. General Assembly in September, Rouhani's diplomatic approach raised hopes in the West of a thaw in relations with Tehran and progress in negotiations on its nuclear program.

Rouhani's visit culminated in a phone call with U.S. President Barack Obama and a meeting between U.S. Secretary of State John Kerry and Iran's Zarif.

Iran nuclear talks are key topic as Obama, Netanyahu meet

It was the first such high-level contact between the two sworn enemies since Iran's 1979 revolution, which sent relations between the two into a deep freeze.

In another sign of easing tensions, Iran's state news agency IRNA reported Wednesday that Iran and Britain plan to introduce their nonresident charges d'affaires --  the level of diplomat below ambassador -- within two weeks.

Tehran and London agreed to the step on October 8, after a telephone call between Zarif and his British counterpart, William Hague.  The diplomats' mission will be to improve relations on the way to the eventual reopening of embassies, Hague said then.

Asked about Wednesday's IRNA report, Britain's Foreign and Commonwealth Office told CNN that an announcement would be made in due course.

Britain closed its embassy in Iran and evacuated its entire diplomatic staff from that country in late 2011 after hundreds of student protesters stormed the embassy and another British diplomatic compound. Hague also ordered the Iranian Embassy in London to close immediately, saying that Iran was in breach of its international obligations to protect diplomatic missions.

Israel warns against easing sanctions

As the latest talks in Geneva continue, Israel has warned against easing the punishing economic sanctions imposed against Iran too soon.

Such a move would be a "historic mistake," Israeli Prime Minister Benjamin Netanyahu said Tuesday.

"Now is an opportune moment to reach a genuine diplomatic solution that peacefully ends Iran's military nuclear program," he said. "This opportunity can only be realized if the international community continues to place pressure on Iran, because it is that pressure that has brought Iran back to the negotiations in the first place."

Not everyone is pleased with the talks.

Alireza Jafarzadeh, with the opposition National Council of Resistance of Iran, accused Iran of using them to buy time to move forward with its nuclear weapons program. He called for still tighter sanctions.

"The P5+1 is allowing Iran to talk its way into a nuclear bomb; this explains the new atmospherics and smiles by the Iranian regime's officials," Jafarzadeh said. "The ruling mullahs only understand the language of strength and decisiveness. More concessions will only result in more deceit by the Iranian regime."

Ali Larijani, Iran's powerful parliamentary speaker and a close associate of the nation's supreme leader, Ayatollah Ali Khamenei, said last week that Iran is serious about resolving the dispute over its nuclear program.

It is keen to resolve the issue "in a short period of time," he told CNN's Christiane Amanpour in an exclusive interview from Geneva. "From Iran's side, I can say that we are ready," he said.

Opinion: How Tehran got back to the negotiating table

@highlight

Member of the opposition accuses Iran of using talks to buy time

@highlight

The sides could reach a deal in several months, says Iranian minister

@highlight

Iran's proposal was one with a new "level of seriousness," U.S. official says

@highlight

P5+1 bloc, Iran issue joint statement for first time, but it's short on details