Okavango Delta, Northern Botswana (CNN) -- The hot African sun is turning cool and big and a deep soft orange, and the impala are getting mighty jumpy. They ought to be. A half-kilometer across the grassy bush, we're watching a pack of eight African wild dogs, downwind and sniffing a scent, planning their evening hunt.

We have a plan, too. We're going to follow them.

Not far away, a large herd of zebra also knows this is the most dangerous time. They've pastured all day in a broad, open field, nibbling vegetation. As long as these prey remain in an open area, they are safe, because they can see the predators coming. They can outrun all but the cheetah, and in a large group, the likelihood of any particular individual being caught is lessened.

A herd of wildebeest is mingling with the zebra and following them through the tall grass. "The zebra and the wildebeest, they are friends," our guide, 46-year old, bush-born Botswanan Kgotla "Balepi" Mokwami of Kwara Camp, tells me.

"The zebra have short necks, but the wildebeest, they have long necks. So the zebras' heads are high and they can see above the grass and they tramp it down low enough so the wildebeest, whose heads are low, can see too."

If you go: Visiting the Okavango Delta

It's like the baboons and the impala, Mokwami explains. Earlier, we watched impala graze near a family of baboons, with one baboon sitting on a stump, keeping watch for lion, cheetah and leopard. If the baboon detects danger, the impala will know, too. But now the night approaches, and the darkness will neutralize the prey's advantage. They must head for the shrubs and trees to hide. But they know that is where the predators sit in wait. This just might be their time to die.

We have come here to Kwara Concession, a 170,000-hectare private reserve deep in the world's largest inland delta, Botswana's famed Okavango. Thousands of tourists visit the delta every year, willing to put up with inconvenience and discomfort and considerable expense, to witness nature work its astonishing wiles.

Every darkening evening, for millennia now, a great game has been afoot here. In the Southern Hemisphere's autumn months of March through June, the delta floods with water from Angola's highlands, inundating 1.5 million hectares of flat land and attracting one of the world's greatest concentrations of wildlife.

Safari experts on 'trip of a lifetime'

Many of the animals, the vegetarians such as impala, elephant, giraffe, zebra and hippopotamus, come for the rich grasses and trees. The carnivores come for them.

So tonight we are watching the dogs from a short distance. We whisper to each other in our open-air, Jeep-style vehicle that seems able to drive through anything. Mokwami is at the wheel and his tracker, Gomos Kgaogano, is perched on a mounted seat above a front headlight. This is a rare moment, and even Mokwami, who was born in the Delta, is thrilled to see the dogs.

African wild dogs, also called Cape hunting dogs, are officially endangered. Conservationists say shrinking habitat and farmers, hunters and rangers who poison and shoot them to protect livestock are eroding their number. The dogs roam small swaths of forest, desert and savanna in southern Africa. They hunt whatever they can catch: antelope, small wildebeest, warthogs, rodents and even birds.

Tonight, they are after impala. Suddenly, they are on the move, first as an unorganized group, then in a line, first walking, now trotting. We haven't seen the impala, but Mokwami knows the dogs have their scent.

"The impala are that way (he points to the right), but the dogs will go that way, then up there (he points to about 11 o'clock), they will turn right. They always follow the line of the bush. Then they will run." He turns his outstretched arm to 2 o'clock. "We need to be there to see the chase."

"How do you know that?" I ask incredulously. "These are dogs," he says. "I know these dogs. I have seen dogs before."

The dogs pick up the pace. We start bushwhack-driving toward 2 o'clock, pacing the dogs along the track. We reach a point, and now see the impala through the bush to the right, maybe 600 meters off. The dogs slow, they turn to the right and accelerating, leap into the bushes just behind us.

We have a difficult time seeing them, but Mokwami knows where they are heading and we turn right, directly toward the impala along the outside of the bushes that are giving the dogs cover. Suddenly we see a dog through the bushes, then another, then another. They are sprinting. They are making their move.

We accelerate, blasting and bouncing through the uneven grass. The impala are on high alert, watching the bush, watching us, perceiving a threat but not yet knowing what it is. Suddenly, the dogs streak out of the bush straight for the impala, and the chase is on.

On level, unobstructed ground, Mokwami explains as we dash in pursuit, a dog can catch an impala. An impala's high step can kick up dirt, and if it can gain ground, the flying dirt will confuse the dog's scent. But there they are! From behind a bush, an impala flies in full sprint, and at most two seconds behind, the dogs are ripping after it like a stiff evening wind. The speed and focus of the predator and the prey are razor-sharp. We race along on a parallel track.

The dogs are going to get him, I'm sure of it. Mokwami isn't so certain. "Mayyyybe, mayyybe," he says. What I have yet to learn is that the impala isn't just running from something, it's running toward something. This isn't a chase. It's a race.

I begin to understand the great game being played. The predators here are the best in the business, but the prey are thinkers, too. It's a balancing game for both. Natural selection has left the prey with innate understandings about how to survive in a predator-driven world. Those that don't know, die. For the predators, those that understand and counter, eat. Those that don't, die.

"It is a great balance," Mokwami explains. "It is great drama every day. The impala, they know things the dogs do not know. It is the same with the zebra. They know the herd protects them, and they watch out for each other. The lions, they know they must sneak up quietly, and get as close as they can and surprise the zebra, or pounce on the zebra when the zebra tries to get through the bush.

"Each one reacts and counter-reacts to the other. It is not easy to win. But once now, one does. Once later, the other one does. It is not so uneven. It is the way they live."

And this time, the impala will win, because it knows, just ahead, there is a small lake, and it knows dogs cannot run fast through water. The dogs are close on the impala's heels, but it reaches the pond maybe one second ahead, charges in, and the dogs stop at the shore. They know following is pointless, and besides, there are hippopotamus in the lake, and that is a danger. The dogs don't look happy. In fact, they look stunned.

Later, from far off, we see the dogs again in ravenous pursuit of several other impala. The race is on again. We scream over the bumpy grass, trying to catch up, but the pack loses us. Mokwami explains that this time, the dogs will eat. There is no water around, and it is the dog's last chance before darkness. The impala will not escape.

Every evening it is like this, every year, forever.

If one makes the journey here, the great game is easy to see. It plays out under the darkening African sky. Over time, the prey get better at escaping, because the ones that don't, die and don't reproduce. The predators get better too, because the ones that don't adapt to the prey's improving skills also die off. It's natural selection: All the species improve by hunting or fleeing from each other.

On the way back to camp, tracker Kgaogano catches a hyena in his spotlight. It is heading toward where the dogs last chased the impala. It will see if the dogs left anything for it to eat, Mokwami explains. Maybe the hyena will try to chase the dogs from their catch. Maybe it will win tonight. Maybe not.

@highlight

A rare sighting of African wild dogs leads to an exciting game drive

@highlight

Thousands of tourists visit the Okavango Delta each year to see survival in action

@highlight

"It is a great balance," a guide said. "It is great drama every day"