(CNN) -- Remember when you were 12 years old and you'd pass notes in class, making snide remarks about members of the opposite sex?

Remember the electricity that shot through school when word went around that there was going to be a schoolyard rumble?

Remember the rollercoasters of emotions, the whispers of gossip, the crying because your best friend betrayed you, the molehills made into mountains?

If life is just like high school, then the Internet might be an age group lower. Much of our digital world means never having to leave junior high school behind.

Sure, the Web has plenty of mature, resourceful people who create clever online projects or crowdsource solutions to global problems. But some experts also believe it perpetuates childhood.

Janet Sternberg, a communications professor at Fordham University in New York who's written a great deal about online civility, sees a reverse of a pattern created by television. If, as cultural critic Neil Postman asserted, TV ended childhood -- the medium provided an impetus for young people to act older, which created hand-wringing about generations growing up too quickly -- the Internet has done the opposite, she says.

"The Internet and digital media have produced this 'Peter Pan effect' where we never grow up, we're perpetual children, we never have to be responsible for anything -- we keep this juvenile mentality," she says.

Indeed, the Web has a clique for every would-be adolescent -- class clowns, bullies, drama queens and fanboys. (There's plenty of room for geeks and nerds, too.) They all get to indulge in their petty squabbles, and few of them show signs of growing up.

Looking for a fight on the playground blacktop? Check out Facebook and Twitter, where complete strangers assault each other with name calling. Want to be part of the popular crowd? Try YouTube, full of instant celebrities who have done little except mix Diet Coke and Mentos in their mouths.

Meanwhile, mainstream news and culture sites indulge in instant-gratification come-ons, from car-crash videos to galleries of kittens and puppies.

Of course, if you don't like any of it, you're free to post in the comments, where the level of discourse is somewhere between "This sucks" and "You suck."

It's all instantaneous, thanks to the always-on aspect of digital media -- available at the swipe of a smartphone. Who needs to think?

"We say whatever's on our mind," says Sternberg. "Restraint is one of the signs of adulthood, and our whole culture is celebrating a lack of restraint."

A squirt of dopamine, a shot of attention

Of course, why wouldn't it?

It's really two distinct if not unrelated issues. On the one hand, there's the concept of immediate satisfaction. It's in the very core of our lizard brains, the cries of "Act now!" and "Just do it," the things that give us a squirt of dopamine and keep us coming back again and again. Marketers and media people have always known its value, and the Internet -- in the form of catchy headlines and eye-grabbing, multi-frame galleries -- does this very well.

And then there's the stuff that appeals to us on a gut level, whether it's graphic images, blunt language or a longing for attention. Perversely, it sometimes creates an antagonistic response: A recent Pew survey noted that a distinguishing aspect of Twitter chatter is its "overall negativity."

"Twitter users are not representative of the public," the survey hastened to add. But Twitter users' voices are often picked up by the wider media, which makes the wisecracks and incivility conveyed on the service even more attractive to attention-getters. And around and around we go.

Besides, attention is a good thing, right? We all want to be popular, enjoy a taste of celebrity. Digital life celebrates viral videos and Facebook memes. Does it matter what you said? No -- what matters is how many people hear you say it.

It all contributes to a potent mix, says Susan Douglas, a communications professor at the University of Michigan.

"It's this weird moment," she says, reeling off such facets as the rise of youth culture, the spread of celebrities oriented to youth, politically oriented dismissals of fact and the 140-character Twitter culture. With "a rise of incivility that is completely accepted and enabled by social media, you have some kind of a brew here."

However, it's a brew that gets eyeballs -- and that's what matters to many websites, says Fairfield University communications professor Michael Serazio.

"What do audiences reward?" he asks, observing that an 8,000-word investigative piece will usually lose out to a zingy tweet. As the media environment gets faster and faster -- now we also have 6-second Vines -- nobody wants to be the guy who passes around articles that get dismissed by commenters with "tl;dr" (too long; didn't read).

So we end up back in the schoolyard. Says Serazio, "We reward the emotional over the rational."

Figuring things out

Sure, you've probably heard some of these complaints before, the grousing of elders and eggheads about those darn kids and their clothes and their hair and their newfangled technology.

Critics deplored newspaper tabloids, which catered to first-generation immigrants learning the language and time-pressed laborers grabbing a few minutes to read lurid headlines on the train. In the early '60s, FCC Chairman Newton Minow famously called television "a vast wasteland," echoing the thoughts of many who had hoped that the medium would bring about a golden age of entertainment and enlightenment -- not "The Real McCoys" and "Clutch Cargo."

It's always something, the elitists charge.

Still, like television in the 500-channel era, the Internet is many things, many of them worthwhile. Along with the spitball-blowers and OMG hyperventilators, there are smart sites that use smart prose and smart graphics (and are quite capable of satirizing everybody else). They're the kids who are actually trying to learn something -- respect for others, at the very least.

OK, so they can sometimes be goody-two-shoes. And their voices often get drowned out by the unruly din of the digital masses. Does that mean they should end up at wrong end of wedgies?

Class? Class? Will class ever come to order?

Rachel Weingarten, a marketing strategist, sees some signs that the Internet is wising up a little.

Some of her clients, she says, are trying to use thoughtful whispers rather than sledgehammer amplification, talking up to customers rather than talking at them.

The reverse didn't work, she says. One well-known candy gave its front page over to a Twitter feed, inviting "every 14-year-old idiot on Earth" to talk smack about the brand. Now, "the boutique brands are saying, help us find our niche, and help us keep connected," she says. "People no longer want the big campaign. People now want you to help figure out who they are again."

In other words, they're growing up.

Michigan's Douglas also credits some of the Internet's noise to uncertainty. Web users are still figuring out whom to trust, how to communicate, what this new (and it IS still new) technology can do. They're like a bunch of kids getting their first surge of hormones. They won't always be bouncing off the walls.

But, in the meantime, it's going to take some work to leave the schoolyard. Sternberg, for one, isn't optimistic. She mentions Freud and his "Civilization and Its Discontents," which argues that civilization relies on restraint of childish behavior. The Internet, of course, is just a reflection of our larger civilization -- and she doesn't like what she sees.

"The idea that being an adult is prized in our culture -- that idea is evaporating," she says. "It's really uncool."

@highlight

People engage in juvenile behavior online, even if they're adults

@highlight

Internet and digital media have produced "Peter Pan effect," says one observer

@highlight

We reward short and punchy, not long and thoughtful

@highlight

Tide may be changing -- some marketers are tamping down the noise