In the absence of a proper voters' roll and credible international observers, no one can honestly say with any degree of certainty whether last week's elections reflected the will of the Zimbabwean people. One thing is certain -- the numbers simply do not add up.

And isn't it strange that there have been no jubilant celebrations by the "winners?" It's as though the Zanu-PF and Robert Mugabe, elected to yet another term as Zimbabwe's president, can't quite believe it themselves. The general mood across the nation is one of despondency. Everyone seems depressed. No one knows what to do next. It would seem the will of the people has not triumphed at all. Riot police patrol quiet streets. No one sings or dances.

What happened on July 31 was a demonstration of what can be done by a small group of people who have everything to lose and who have spent more than 30 years cementing their grip on power and wealth. It certainly was not a popularity contest.

Mercifully it was peaceful. Memories of the 2008 election -- burnt and lacerated bodies, weeping girls and women who had been raped, swollen, bleeding feet and dead bodies -- were fresh in the minds of many.

LATEST: Western nations question Zimbabwe poll results

The Zanu-PF's "victory" must be considered in the light of the following: This is a country where 95% of the population is unemployed; an estimated 25% live and work in the diaspora to keep their relatives back home fed and at school; 15% are orphans (largely as a result of the AIDS pandemic). It is therefore pretty easy to buy people -- and votes.

All those in the top echelons of the army, the police, the judiciary and the body responsible for elections are hand-picked, self-avowed Zanu-PF loyalists -- rewarded over the years via a well-orchestrated patronage system with land, farming implements, luxury vehicles, plasma TVs, diamonds and business opportunities.

Robert Mugabe is a very wily politician. After losing the election in 2008, he and his generals threw everything into this election -- determined to win at all costs. They left nothing to chance. They also enlisted the help of the controversial Israeli company Nikuv, which has been accused of manipulating the vote in Zambia during the last election.

The Registrar General's office was used to disenfranchise young people mainly in the urban areas, and to overstate the number of old people in rural areas over 80. According to their own figures, the RG registered just 8% of those in the 18-19 age group -- and 220% of those in the over-80 age group, according to analysis by the The Research and Advocacy Unit, an NGO based in Harare. Younger people tend to vote for the MDC, led by Morgan Tsvangirai, Mugabe's main rival, and older people for the long-time president's Zanu-PF party.

The office also disenfranchised millions of people in the diaspora, despite having signed up to the Southern African Development Community election guidelines, which stipulate that provisions should be made for those in the diaspora to vote.

A chaotic registration process registered just 1.8 million voters in the urban areas that are a stronghold for Tsvangirai's MDC, many of whom spent days queuing up to vote. Hundreds of thousands were disenfranchised -- either their names had been removed completely from voter rolls, or they appeared in a different ward or even a different constituency. The voter's roll was only made available to parties other than Zanu-PF on the eve of the election after a High Court injunction had been granted, which meant that other parties did not have the time to raise the alarm about the myriad irregularities. Neither could people check that their names were on the list, and in the right place. This caused enormous confusion on the day and many would-be voters simply gave up.

The opposition MDC party and civil observers have documented thousands of examples of impossible numbers related to the election. In the rural area of Uzumba, for instance, 21,000 people allegedly voted in 12 hours at 15 polling stations -- that's one voter every two seconds. No village in Zimbabwe has that many adults, and the process of finding one's name on the list, dipping a finger in the special ink and placing one's X next to a candidate would clearly take longer than 120 seconds.

There was documented evidence of Zanu-PF bussing rural people into urban areas to vote. Although their names did not appear on the roll, they had voting slips produced by the registrar's office which allowed them to cast their votes. It is believed that this is what led to the MDC losing most of its urban seats.

Zanu-PF covertly continued to enroll more voters right up until the eve of the poll, after the Zimbabwe Electoral Commission refused to extend the registration days. The African Union and SADC observers brushed this off as inconsequential.

Matabeleland province consistently voted for Tsvangirai in the past, yet in this election Mugabe made almost a clean sweep. These are people who hate Zanu-PF -- people who have bitter memories of the Gukurahundi genocide allegedly perpetrated by Mugabe's men in the early 1980s. It is inconceivable that they would vote en masse for Zanu-PF.

Intimidation also played a huge role in the contest. In the weeks leading up to the election, and even as early as January when Mugabe first started agitating for elections to take place, The Zimbabwean and other independent media were inundated with reports from all over the country of threats by Zanu-PF's traditional leaders, youth militia, army and police officers of a repeat of the 2008 violence if the party and Mugabe did not win.

There is, of course, some support for Mugabe in the rural areas, where he has given hundreds of thousands of families land, agricultural inputs and food -- which was given as humanitarian aid by the international community and re-bagged and distributed in Mugabe's name strictly to Zanu-PF members during the past 15 years. Many families were threatened with the loss of their land and homes if Zanu-PF did not win in their area.

Police officers and their families were warned that they would lose their homes if Mugabe did not win the election. Add to this the tight control by Zanu-PF of the mass media the constant demonization of Morgan Tsvangirai, his MDC party and Western sanctions, and the exhaustion of a populace ground down by decades of poverty, lack of access to independent information, violence and the threat of violence -- and you begin to understand the toxic recipe for a Zanu-PF "success" at the polls.

The MDC also failed Zimbabweans on several counts during the five years since they won the election but were forced by the SADC into a power-"sharing" coalition with Zanu-PF. These failures included Tsvangirai's indiscretions after his wife died, corruption in urban councils controlled by the party, failure to bring meaningful legislative change through parliament and greed on the part of some MPs who sided with Zanu-PF in pursuit of more pay and perks.

I doubt there will be any serious violence now. People are shell-shocked and Mugabe's loyal forces are well prepared with Chinese weapons and Israeli water cannons.  Riot squads are out in full force.

Tsvingirai's options are limited. He seems inclined to appeal to the Constitutional Court for a nullification and a re-run. But it is highly unlikely that judgement would go in his favour given the compromised nature of the judiciary. Just a few weeks before the election, Mugabe packed the courts with hand-picked loyalists.

The MDC could appeal to the SADC to nullify the result. But this is also unlikely to succeed given that the SADC and the AU have already endorsed the results.

Passive resistance in a country where 95% of people are unemployed is a non-starter. Any other resistance would be met with greater force and give Mugabe the chance he is waiting for -- to lock up all MDC leaders.

@highlight

Robert Mugabe declared winner of Zimbabwe election: Opposition disputes result

@highlight

Opposition leader Tsvangirai calls election "fraudulent," plans to fight in court

@highlight

Mbanga: Ruling Zanu-PF party rigged voter rolls, threatened police officers

@highlight

Mbanga: Zimbabwe is despondent after Mugabe re-election