(CNN) -- For years the message was simple: Use condoms to prevent HIV. But if you are at high risk of contracting the virus, health experts want you to consider an additional strategy -- taking a pill every day to reduce your chance of being infected.

New guidelines published by the Centers for Disease Control and Prevention say pre-exposure prophylaxis, or PrEP, should be taken daily by people who are at high risk for contracting HIV.

The recommendation is based on several large national and international studies, which were done in varying at-risk populations, such as gay and bisexual men, heterosexual couples where one person is HIV-positive (the other is not) and injection drug users.

The studies all showed that this drug can help reduce infection rates by more than 90% when taken daily.

"While a vaccine or cure may one day end the HIV epidemic, PrEP is a powerful tool that has the potential to alter the course of the U.S. HIV epidemic today," Dr.Jonathan Mermin, director of the CDC's National Center for HIV/AIDS, Viral Hepatitis, STD and TB Prevention, said in a statement.

"These guidelines represent an important step toward fully realizing the promise of PrEP. We should add to this momentum, working to ensure that PrEP is used by the right people, in the right way, in the right circumstances."

According to the guidelines, those circumstances would be anyone who:

• has had sex without a condom;

• is not infected with HIV but is in a sexual relationship with an HIV-infected partner;

• is a gay or bisexual man who has had a sexually transmitted disease within the last six months and is not in a mutually exclusive relationship with a recently tested HIV-negative partner;

• is a heterosexual man or woman who does not always use condoms when having sex with partners already at risk, and who isn't in a mutually exclusive relationship with a recently tested HIV-negative partner;

or

• has injected drugs or shared drug paraphernalia in the past six months

In 2012, the Food and Drug Administration approved Truvada, a pill that combines two antiretroviral drugs for the prevention of HIV. It was first approved in 2004 as an HIV treatment and is still the only FDA-approved medication for PrEP.

Truvada isn't cheap. A month's supply can cost you anywhere from $1,300 to $1,700, according to Drugs.com. But insurance may cover the bill.

To be effective, this pill must be taken every day.

Dr. Anthony Fauci, an immunologist who has been at the forefront of HIV/AIDS research for decades, called it a highly effective approach to preventing the spread of the virus that causes AIDS.

"(It's) one that benefits not only the individual patient at risk for HIV infection but also will help to reduce the number of new HIV infections across the United States," said Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health. "It should be used together with -- and complementary to -- condoms and not as a substitute for condoms."

The new guidelines replace interim ones published two years ago; they provide a comprehensive place where doctors and patients can find information on PrEP and come with a supplement that provides checklists for physicians, giving them step-by-step support for dealing with patients who might be considered for prophylactic treatment.

"PrEP is a new approach to HIV prevention that requires continuing collaboration between patients and providers, as effectiveness requires adherence to daily medication and regular medical visits for monitoring, counseling and testing," said Dr. Dawn K. Smith, an epidemiologist in CDC's Division of HIV/AIDS Prevention who led the development of the guidelines.

"Individuals will have to decide with their doctor if PrEP is right for them, but for some, this may offer a much-needed strategy to help protect themselves from HIV infection."

There are 1.1 million people in the United States living with HIV, according to the CDC. An estimated nearly one in six do not know they're infected.

Men who have sex with men are the hardest hit -- while they make up 2% of the U.S. population, they account for 63% of all new infections each year, according to the CDC. Heterosexuals make up 25% of all new annual infections; 9% are injection drug users.

"HIV infection is preventable, yet every year we see some 50,000 new HIV infections in the United States," said Dr. Tom Frieden, the CDC's director, in a statement. "PrEP, used along with other prevention strategies, has the potential to help at-risk individuals protect themselves and reduce new HIV infections in the United States."

@highlight

CDC recommends at-risk groups take Truvada daily to prevent HIV infection

@highlight

Studies show pill can help reduce infection rates by more than 90% when taken daily

@highlight

Health experts say they hope this will "alter the course of the U.S. HIV epidemic"