Khartoum, Sudan (CNN) -- On the heels of international condemnation of the bombing of a refugee camp, a satellite monitoring group said Friday that Sudan is enhancing its airstrike capabilities along its border with South Sudan.

The U.S.-based Satellite Sentinel Project said that since taking control of the border town of Kurmuk on November 2, the Sudanese Armed Forces appear to be upgrading military facilities. It said Sudan has started fortifying the airstrip and positioned armor nearby.

Digital imagery, analyzed by the Harvard Humanitarian Initiative, showed four new helicopter landing pads, three helicopter gunships and an Antonov, a plane often used in Sudanese bombing campaigns, on a newly improved airstrip in Blue Nile state's capital of Damazin.

The satellite project also reported a new 250-meter expansion of the Damazin airstrip.

The project's co-founder, John Prendergast, said the buildup is alarming.

"The airfield improvements suggest Sudan's readiness to widen its aerial bombing campaign in its border areas of South Kordofan and Blue Nile, as well as neighboring South Sudan," he said.

"If this buildup and bombing campaign isn't countered aggressively by the international community, it appears likely that Khartoum's actions will plunge Sudan even more deeply into internal war as well as ignite a full-scale war with South Sudan."

Charlie Clements, head of the Carr Center for Human Rights Policy at Harvard's Kennedy School, said the analysis of the images underscored an "urgent threat to human security on both sides" of the border.

Conceived by actor George Clooney, the Satellite Sentinel Project combines satellite imagery analysis and field reports with Google's Map Maker technology to provide an early warning system to deter the resumption of war between north and south in Sudan.

The two sides fought a bitter, bloody civil war that cost as many as 2 million lives. Before the independence of South Sudan in July, human rights monitors expressed concerns that long-standing grievances could end in violence consuming the region again.

The United Nations human rights chief called Friday for an investigation into the bombing Thursday of the Yida refugee camp in South Sudan's oil-rich Unity state.

"The camp at Yida, which is close to the border with Sudan, is housing thousands of civilians, including women and children," said U.N. High Commissioner for Human Rights Navi Pillay.

"While the number of casualties is not yet clear, I understand that five or six bombs were dropped on the camp, and that at least one fell close to a school," she said, calling for an "independent, thorough and credible investigation to establish the precise circumstances of this aerial bombing."

The camp houses about 20,000 refugees who have fled the violence in the states of Southern Kordofan and Blue Nile.

Southern Kordofan, Blue Nile and the Nuba Mountain region straddle Sudan and South Sudan's ethnic and political lines. Although these territories are geographically part of Sudan, the population has faced "exclusion, marginalization and discriminatory practices that have resulted in their opposition to the Sudanese government," according to the U.N. human rights office.

Sudanese Armed Forces began launching aerial attacks against rebels in the region shortly after the Sudanese President Omar al-Bashir ordered the dismantling of joint units that had integrated South Sudanese and Sudanese military fighters within Southern Kordofan.

Fighting between the Sudanese army and rebel groups has flared in border areas in the months since South Sudan became the world's newest nation.

Friday, the Sudanese state news agency SUNA reported that the Sudanese army had repelled an attack by the Sudanese People's Liberation Movement/Army-North in the South Kordofan town of Talodi.

Last month, hundreds of rebels were killed in fighting, according to government officials.

The SPLM/Army-North once represented the northern chapter of the SPLM, which now governs newly independent South Sudan. Many of its members come from the states of South Kordofan and Blue Nile.

The rebels, however, said they were successful in thwarting a Sudanese attack.

"The fighting in Talodi is an extension of a government offensive everywhere in South Kordofan and Blue Nile state," said Yasser Arman, secretary general of the SPLM/Army-North.

CNN's Moni Basu reported from Atlanta and journalist Isma'il Kushkush reported from Khartoum, Sudan.

@highlight

NEW: The Satellite Sentinel Project says images show a Sudanese military buildup

@highlight

NEW: The group said Sudan is fortifying an airstrip and positioning armor

@highlight

NEW: The images suggest Sudan may increase bombing, John Prendergast says

@highlight

NEW: The U.N. human rights chief calls for a probe into a refugee camp bombing