(CNN) -- Walk into Naughty Auties, a virtual resource center for those with autism, and you'll find palm trees swaying against a striking ocean sunset. Were it not for the pixelated graphics on the computer screen in front of you, you would swear you were looking at a tropical hideaway.

David Savill, who has named himself Dave Sparrow in Second Life, has Asperger's syndrome.

David Savill, 22, lives in Gloucester, England, in real life and created this spot within the virtual world of Second Life. Residents of this digital realm can represent themselves with 3-D images called avatars and connect with each other over the Internet.

Savill has Asperger's syndrome and said he wanted Naughty Auties to serve those with autism spectrum disorders and their friends and family.

Savill, who represents himself in the virtual world using an avatar named Dave Sparrow, said one benefit is that visitors can practice social interaction and find information about the condition. The graphical representations of real people create a "comfort zone" that can coax users out of their shells and get them communicating with others, he said.

"You're on your own computer, in your own room, your own space," Savill said.

"So you're not going out into the real world meeting people, you're going meeting people online and in your own home, so you're perfectly relaxed. It's just a fantastic tool to use to bring people together."  Take a video tour of Naughty Auties with Savill »

Autism, more precisely the autism spectrum, is a range of brain disorders that can cause difficulties in social interaction, communication and behavior. Asperger's syndrome is at the milder end of this spectrum. People with Asperger's are often high-achieving but can have difficulty in social situations.

CNN learned about Savill's Second Life place from an iReporter in England who has named herself Janey Bracken in Second Life. Bracken, who prefers not to share her real name, submitted stories to iReport.com describing Savill's resource center and providing information about other places where those with the condition can turn.

"[Savill] said that his life changed when his family decided to get the Internet," Bracken wrote. "He was able to use chat rooms and soon realized that people used symbols to express themselves: the smiley signs, the angry signs, hug signs, etc., to enhance the text. He went on to say that subconsciously his brain was learning about communication from these sessions of chat."

Second Life has its own economy and social scene, and Bracken and Savill hope it could become a haven for those seeking help for autism.

While many think such computer interactions could eventually be helpful in treating autism, scientists say more information is needed to truly assess their value. Dr. Fred Volkmar, a professor in Yale University's Child Study Center, said he would want more concrete studies done before he could be sure.

"Although not much research is yet available, there is clearly considerable potential in use of new technologies for fostering social skills," Volkmar said.

To answer this need, scientists are beginning to explore the possibilities in Second Life. One such researcher is Simon Bignell, a lecturer in psychology at the University of Derby in Derby, England, who is running a project that is evaluating teaching and research in Second Life.

Bignell, known in-world as Milton Broome, said Second Life is an uncharted but promising area for new applied psychological research. Virtual reality can be used to simulate new environments for people on the autistic spectrum, he said.

"For people with autism, we've found it's a very nice way of setting up situations they might come across in their everyday lives," Bignell said. "For people who have social, emotional, communicational problems ... we can get them familiar with an environment before they actually try it out in real life."  Watch more on autism research in a virtual world »

He started the "Autism Research" discussion group within Second Life to serve as an information-sharing tool for interested parties. He also has an office within Second Life and can sometimes be found working in SL-Labs, the university's in-world psychology lab space. The lab areas contain meeting spots, informational kiosks and games. A portion of these areas contain information about autism and Asperger's.

Savill said Second Life excels at minimizing geographical separations between people and bringing people from all over the world to meet together quickly and easily.

He added that he wanted to emphasize that virtual worlds are an emerging and important tool not just for autistic people, but for the people who know them.

"It's not just to help people with autism, it's to help people whose lives have been affected by autism, be they family or friends or employees of people who have autism," Savill said. "Naughty Auties is a fantastic meeting place for people." E-mail to a friend

@highlight

People with autism spectrum disorders could find a haven within Second Life

@highlight

Second Life is a virtual world where people represent themselves with avatars

@highlight

David Savill, 22, has Asperger's syndrome and founded a virtual gathering spot

@highlight

iReport: See your Second Life stories and news of a virtual world