Misrata, Libya (CNN) -- NATO said Tuesday that it lost contact with a U.S. unmanned helicopter flying surveillance for the organization over the central coastal area of Libya.

Contact with the Fire Scout was lost at 7:20 a.m., said Wing Cmdr. Mike Bracken, a NATO spokesman.

A Pentagon source told CNN that the Fire Scout belonged to the U.S. Navy.

Libyan state television reported that an "Apache helicopter was downed in the area of Majr in Zliten," claiming it was the fifth NATO aircraft to be downed.

An Apache is a manned attack helicopter. Bracken denied that NATO had lost any attack helicopters during the alliance's mission in Libya.

The loss for NATO came as the military chiefs of the 15 nations participating in the Libya campaign met in London and two influential U.S. senators introduced a resolution expressing support for limited U.S. involvement in Libya -- part of an effort to counter rising pressure from U.S. lawmakers to withdraw backing for the mission.

The resolution, introduced by John Kerry, D-Massachusetts, and John McCain, R-Arizona, authorizes the commitment of U.S. forces for one year while stressing the lack of support for any use of American ground troops.

Libya state TV on Tuesday reported a NATO strike southwest of Tripoli in Nalut city, resulting in "material and human damages."

Libyan forces were also continuing their attacks. At 6 p.m. in Misrata, a CNN employee saw three Grad-type rockets strike the center of the city, slightly wounding a 13-year-old boy in front of a bicycle shop.

In Dafniya, between Tripoli and Misrata, five rebels were killed and 31 were wounded in clashes along the frontline, according to officials at Misrata's Al-Hikma Hospital.

The Libyan war erupted from anti-government protests in February. Following a United Nations mandate to protect civilians, NATO began bombing military targets in March. However, strongman Moammar Gadhafi still maintains control in Tripoli.

Tuesday, Human Rights Watch said that Libyan government forces had planted more than 150 landmines in at least one location in the Nafusa Mountains in western Libya.

The global monitoring group visited the site, inspected mines that had been removed, and interviewed the rebel fighters who removed them.

"These antipersonnel landmines pose a huge threat to civilians," said Steve Goose, arms director at Human Rights Watch. "More than 150 countries have banned landmines, but Libya continues to defy this global trend."

The human rights group said it has confirmed Gadhafi's use of five types of landmines in six locations in Libya.

NATO officials stressed that it was Gadhafi who was deliberately and indiscriminately targeting his own people as the alliance faced questions over a series of incidents over the weekend and into Monday that resulted in allegations of civilian casualties and strikes on Libyan opposition vehicles.

"Let's not lose sight that it is the Gadhafi regime which started this crisis," Bracken said.

Libya said that 15 people, including three children, were killed in Monday's incident. Libyan government spokesman Musa Ibrahim said the attack included strikes from eight rockets.

"You are planting the seeds of hatred, NATO," Ibrahim said.

Five houses and a farm were hit Sunday in the Surman area, west of Tripoli, he said.

One of the homes belongs to Khaled el-Kweldi, a top aide to Gadhafi, Ibrahim said. The Libyan leader was not home at the time of the attack, but three children were killed, Ibrahim said.

NATO said a residential building west of Tripoli was targeted early Monday.

"NATO is aware of allegations that this strike caused civilian casualties," Bracken said. "That is something we cannot independently verify, but I say again that this was a legitimate military target."

He would not detail how NATO came to determine that the target was a command-and-control communications node except to say that 17 satellite dishes could be seen in aerial imagery.

Bracken said the center was involved in coordinating attacks on the Libyan people.

Monday's strike in Surman came a day after NATO acknowledged an errant airstrike in Tripoli may have caused "a number of civilian casualties." Libya's government said Sunday that nine people were killed and six wounded when a NATO strike hit a residential neighborhood in the Libyan capital.

NATO said Sunday that a military missile site was the intended target. "However, it appears that one weapon did not strike the intended target and that there may have been a weapons system failure," a NATO statement said.

On Saturday, NATO expressed regret after its aircraft mistakenly struck vehicles aligned with the Libyan opposition in the key and hotly contested eastern oil city of al-Brega.

Meanwhile, Libyan opposition leader Mahmoud Jibril arrived Tuesday in Beijing for meetings with Chinese officials, state media reported.

Jibril, chairman of the executive board of the opposition Transitional National Council, will be in China for two days, according to Foreign Ministry spokesman Hong Lei.

"China's major task is to promote peace and encourage talks," Hong said. "China has followed closely the development of the situation in Libya, and calls for the political resolution of the Libyan crisis."

The Ministry of Foreign Affairs called the rebels "an important political power of Libya."

That recognition comes a month after Jibril said that China bolstered the opposition movement's stature by purchasing a shipment of oil from the opposition group for $160 million.

"We have maintained contacts with both sides of Libya, and urge them to take actions that are conducive to the interest of the people of the country," Hong said. "We believe that the future of Libya should be determined by the Libyan people themselves, and China will respect the independent choice of the Libyan people."

In May, Jibril met in Paris with French President Nicolas Sarkozy and Prime Minister Francois Fillon. France has been a strong backer of the Libyan rebels and the NATO air campaign.

Also in May, Jibril tried to secure formal recognition for the interim council from the White House, but failed.

Since then, Secretary of State Hillary Clinton has said the United States views the group as the legitimate representative of the Libyan people.

For weeks, NATO forces have been targeting forces loyal to Gadhafi in an effort to prevent them from inflicting civilian casualties. Most of those strikes have come from missiles fired from ships located offshore or from aircraft flying above the North African nation.

CNN's Ben Wedeman, Elizabeth Joseph, Jack Maddox, Per Nyberg and Helena Hong contributed to this report.

@highlight

NEW: 5 rebels killed along frontline in Dafniya, hospital officials say

@highlight

Human Rights Watch reports landmines in the Nafusa Mountains

@highlight

The drone that went down was a U.S. Fire Scout, NATO spokesman says

@highlight

U.S. senators introduce a resolution for limited U.S. involvement