(CNN) -- Last summer, Jessica Rodriguez didn't want to go outside, or even open the door. She didn't want anyone to see she had lost her hair during breast cancer treatment.

Rodriguez, 39, said she found strength from the support of her husband and children, and through an organization called Nueva Vida, a support network for Latinas with cancer based in Washington. At support meetings, she met other women who had lost their hair in cancer treatment and realized she was not alone.

"They were going through the same," said Rodriguez, who moved to the United States from Peru 12 years ago and now lives in Germantown, Maryland. "I say: They're OK. It's only the hair. It's going to go grow back."

Some Latina breast cancer survivors such as Rodriguez have found comfort and assistance from organizations geared toward Hispanics. Nueva Vida and other groups are trying to address needs such as breaking language barriers, paying for treatment and finding support from others going through similar challenges.

Rodriguez said she didn't know how she could have paid for treatment without Nueva Vida. It introduced her to a Maryland state program that covered her surgery, chemotherapy and radiation.

"I may be not talking to you," she said. "I don't know. I don't think I could have made it without all the help."

What the statistics say

Cancer remains a major health problem among Hispanics, but statistics show they are at a surprising advantage compared with some other ethnic groups. Researchers are trying to figure out why.

In the United States, the death rate from all cancers among Hispanics is about 129 per 100,000 people per year, compared with 191 per 100,000 for whites and 239 per 100,000 for African-Americans/blacks, according to the National Cancer Institute. Breast cancer incidence and mortality specifically are also lower among Hispanics than whites or blacks, according to the American Cancer Society.

The figures are puzzling, given that Hispanics have a lower socioeconomic status on average than whites. Data from the Pew Research Center suggests the typical Hispanic household had $6,325 in wealth in 2009, while the typical white household had $113,149.

Even more curiously, a 2013 study in the International Journal for Equity in Health found that, among Hispanics in Texas, mortality rates for several cancers, including breast cancer, tend to be lower among those with more socioeconomic deprivation. A low mortality rate does not correspond with low socioeconomic status in whites and African-Americans, the study found. More research needs to be done to confirm these findings.

The phenomenon associating Hispanics with better health outcomes despite lower average income and education rates is called the "Hispanic paradox." A possible explanation for this trend is that smoking is much less common among Hispanics than non-Hispanic whites or African-Americans, according to the Centers for Disease Control and Prevention.

Another theory is that people who immigrate to the United States tend to be healthier than those who stayed in their home countries. It's also possible that some who get sick return to their home countries.

Mentally ill Latinos struggle to seek help

Despite slightly better statistical odds of not getting cancer than whites or blacks, Hispanics are not immune to these conditions, and breast cancer kills more Hispanic women than any other cancer.

More often in Hispanics than whites, breast cancer is detected at an advanced stage, according to the American Cancer Society.

A 2013 study in the journal JAMA Surgery focusing on young women with breast cancer, ages 15 to 39, found that the time between diagnosis and treatment of breast cancer differed significantly depending on the ethnicity of the participants. Researchers found that about 15% of Hispanic and African-American women waited more than six weeks for treatment, compared with 8% of non-Hispanic white women. Longer waiting periods are linked to shorter survival time, the study found.

Dr. Mariana Chavez MacGregor, breast oncologist at MD Anderson Cancer Center in Houston, said she believes that access to health care is partly responsible for the later detection of breast cancer in Hispanic women.

"If people have no health insurance, doing a test for something you don't even have, it's really at the bottom of the list," she said.

There are also, she said, "probably cultural reasons in which we may have more difficulty dealing with this and seeking medical attention."

What survivors say

Research is ongoing to narrow down the best ways to improve the quality of life among Hispanic breast cancer survivors and their caregivers. Nueva Vida is participating in a research project led by Kristi Graves at Georgetown University to figure out the best approaches.

The issues that tend to arise among Hispanic women who have breast cancer aren't unique to Hispanics, and it is impossible to generalize across individuals; there are also many cultures that fall under terms such as "Hispanic" and "Latina." Nonetheless, Graves and researchers have picked up on some themes that often arise.

"Breast cancer isn't always talked about in Latino families," Graves said. "In some of these families, when you mention cancer it's considered synonymous with death."

Some survivors Graves has spoken with didn't tell their families about the cancer diagnosis until they had to start chemotherapy, because they didn't want to worry them.

"For some of the women, when they did start talking about cancer, they were really pleasantly surprised at the amount of support and information that they received," Graves said.

For women whose first language is Spanish, translation may be an issue. They may have a hard time finding a physician with whom they feel comfortable, and who can adequately explain treatment options and procedures.

When family members step in to translate to doctors, some women hold back important details. For instance, one woman Graves met didn't tell her doctor about the problems with sexual functioning she was having during treatment, because her daughter was translating for her.

Let's talk about sex ... and cancer

In her study, Graves will be testing an intervention in which survivors and caregivers share their concerns separately, in different groups, led by a facilitator, and then everyone comes together to talk about the topic.

When tried on a smaller scale, "(facilitators) delivered information separately to the survivors and caregivers; it seemed that each group could open up further and talk about their own specific needs," Graves said.

Getting help

Another community organization supporting Hispanic breast cancer patients is called Comadre a Comadre in Albuquerque, New Mexico. A comadre is a "non-biological close female kinship" in "the Hispanic/Latino extended family unit," the website explains.

This group was founded by six survivors and director Elba Saavedra, who is also an assistant professor for research at the University of New Mexico College of Education.

The organization works with women in a nonclinical setting, giving them resources and support during their breast cancer treatment. A grant from the Susan G. Komen for the Cure helped jump-start Comadre a Comadre in 2003. The organization offers support groups and classes in Spanish and English, one-on-one support and financial assistance.

Comadre a Comadre is trying to get out positive messages about screening and break down some of the cultural barriers. For instance, many women put the needs of the rest of their family before their own.

"We need to be there for children and grandchildren; it's important we get in there and get those mammograms," Saavedra said.

Dalila Romero, a co-founder of Comadre a Comadre, had breast cancer in her mid-40s. At the time, she had recently lost her mother to pancreatic cancer.

The support group she tried didn't resonate with her; she couldn't connect with the women there, who had different backgrounds and life stories from her own.

"Not knowing the resources in the community, I had to basically support myself because I didn't know what the outcome was going to be," Romero said.

Now she goes with women with recent diagnoses to their initial appointments for chemotherapy, radiation and surgery to help them navigate the system.

Helping patients navigate health care system

Some women are private about their struggle with cancer, so much so they don't want to sit around other women who have it. Romero knows of one woman who moved because she didn't want anyone in her town to know she had cancer.

When she learned about Nueva Vida, Rodriguez immediately liked the idea of finding support in other women who also had cancer, but she held back at first in telling her parents in Peru until doctors were sure of what it was.

"I didn't want my mom to get sad because she's over there and I'm here," she said. "I didn't want to worry them. I took time to tell them."

Clear of cancer, Rodriguez is currently a Zumba instructor through Nueva Vida, and loves teaching. The women in this organization have a lot of need, she said.

They are, she said, her "sister survivors."

@highlight

Hispanics have a lower cancer incidence and mortality than whites and blacks

@highlight

This phenomenon is part of what is called the "Hispanic paradox"

@highlight

Financial and linguistic barriers in the Hispanic community can hinder treatment