WASHINGTON (CNN) -- Some 65 years after their service, the 300 surviving Women Airforce Service Pilots are being honored with the Congressional Gold Medal.

The House of Representatives on Tuesday passed a measure awarding the women one of the national's highest civilian honors. The Senate passed a similar measure in May and President Obama is expected to sign it.

Jane Tedeschi when she was in the Women Airforce Service Pilot program.

With only about a quarter of the former WASPs still alive and all in their late 80s or older, it was important for the House to act quickly, Rep. Ileana Ros-Lehtinen, R-Florida, a sponsor of the bill, told CNN.

"This is a largely overlooked veterans group. They haven't gotten the medals they deserve, the recognition they deserve," Ros-Lehtinen told CNN.

From the time she was about 8 years old, Jane Tedeschi wanted to fly.

"[Charles] Lindbergh was flying across the Atlantic, and a lot of other people were flying air races and things like that. It was very romantic," she said.

Flight was still relatively new in the 1920s and 1930s, and female pilots were few.

But Tedeschi was determined.

In 1941, she found a childhood friend who taught flying and started taking lessons. After the friend was sent off to war and the airport near her home in Bethesda, Maryland, was closed to private flying, she traveled about 40 miles to Frederick and spent nights on the floor of a farmhouse to continue her lessons.

Around the same time, Deanie Parrish was working in a bank in Avon Park, Florida, and kept seeing aviation students who were attending a flying school there.

"I asked an instructor 'Why can't I learn to fly,' and he didn't have an answer...so I decided to find out for myself."

She found an instructor and started taking lessons.

These two women were not only fulfilling a personal dream. Along with 1,100 other women, they would become an instrumental part of the war effort during World War II, becoming the first women to fly U.S. military aircraft.

The Women Airforce Service Pilots was born in 1942 to create a corps of female pilots able to fill all types of flying jobs at home to free male military pilots to travel to the front.

In the days after the outbreak of the war, Jacqueline Cochran, one of the country's leading female pilots at the time, went to a key general to argue that women would be just as capable pilots as men if they were given the same training.

She won the argument, and the program was launched.

Parrish joined up at age 21 in November 1943.

"Everybody was doing something," she said. "I wanted to do something for my country."

Some 25,000 women pilots applied, and 1,830 were accepted. They had to pay their own way to Texas for 21 to 27 weeks of rigorous training, for which they received less pay than the male cadets in the same program, Parrish said.

Candidates had to be at least 21 years old and at least 5-feet, one-half inch tall.

When Tedeschi underwent a physical, she was told her height was only 5 feet.  Watch Tedeschi recall WWII »

"I frowned," she recalled. "I said I need that half-inch, so he wrote it down." She was in.

Eventually 1,102 women completed the program and were assigned to one of 120 bases across the country to start their missions.

Depending on the base, they did everything from participating in ground-to-air anti-aircraft practice; towing targets for air-to-air gunnery practice with live ammunition; flying drones; conducting night exercises; testing repaired aircraft before they were used in cadet training; serving as instructors; and transporting cargo and male pilots to embarkation points.

"We were still civilians. All of our training was to make [Army] Air Corps pilots," Tedeschi said.

They flew more than 60 million miles in every type of aircraft -- from the PT-17 and AT-6 trainers, the fastest attack planes like the A-24 and A-25 or heavy bombers such as B-17s or B-29s.

Paid $250 a month, the women were not officially part of the military -- receiving no benefits, no honors.

Eventually Parrish was sent to Florida where she flew a B-26 bomber for air-to-air target practice, training gunners for combat.

Tedeschi, who graduated in May 1944, was sent to a Selma, Alabama, base which did more engineering work.

"We did whatever they asked us," she recalled in a CNN interview. "You knew enough about flying you could adapt ... sometimes it was a little tougher."

For instance, she would take planes up after repair which could involve acrobatic work -- "which, of course, we liked to do," or be called to do night flying.

While the work was technically non-combat, it could be dangerous.

Thirty eight of the pilots were killed. Parrish recalled the military would not allow the flag to be put on a colleague's coffin.

"It still bothers me," she told CNN.

As the war was winding down in December 1944, the program was closed -- with no recognition from the government and not much help for the women who served.

"You got home the best way you could," said Parrish. "I paid my own way home."

The women then went off to restart their prewar lives -- but without getting any of the help that male veterans were getting.

Several of the women, however, said they were not bitter since the only reason they had signed up was to do their part for the country, pointing out that they were just like the thousands of other women who also learned new skills and went to work in the factories to replace male workers sent off to war.

"We were proud of what we did, and the war was over. It was time to get on," said Tedeschi, who is married and 89 years old.

But many Americans were not aware of their efforts. The WASP records were sealed for more than 30 years. In 1977 Congress voted to make them eligible for veterans' benefits.

"I didn't care for veteran status, but now I could have a flag on my coffin ... that is important to me," Parrish said.

Parrish married a pilot after the war. She and her daughter, Nancy, for over a decade have documented the work of the WASPs. Read more about the WASPs at the Wings Across America Web site.

While some of the WASPs say the medal itself is a nice gesture, more importantly they say they hope the publicity will teach younger generations about their accomplishments and remind some still skeptical men just how capable women are.

"People all over the country will hear about it. It will be a national event," Parrish said.

@highlight

NEW: Congress votes to give women Congressional Gold Medal

@highlight

First women to fly U.S. military aircraft are honored for service

@highlight

Women helped train male pilots during World War II