European leaders warned Friday that reports of widespread spying on world leaders by the U.S. National Security Agency have raised "deep concerns" among Europeans and could affect the cooperation needed for effective intelligence gathering.

"A lack of trust could prejudice the necessary cooperation in the field," the leaders said in a joint statement issued at the conclusion of a two-day European Union summit in Brussels, Belgium.

Spanish Prime Minister Mariano Rajoy announced that Madrid has summoned U.S. Ambassador James Costos over the matter. The U.S. Embassy in Madrid declined to comment, saying that Rajoy's statement stands for itself.

German Chancellor Angela Merkel said the assertions that the U.S. National Security Agency spied on her and other world leaders had "severely shaken" relationships between Europe and the United States, and trust will have to be rebuilt.

Germany's Angela Merkel: Relations with U.S. 'severely shaken'

"Obviously, words will not be sufficient," Merkel told reporters Thursday in Brussels. "True change is necessary."

Germany and France intend to seek talks with the United States "with the aim of finding before the end of the year an understanding on mutual relations in that field," the EU leaders' statement said. Other nations are welcome to join these talks, it noted.

French President Francois Hollande, speaking in Brussels, said the aim of the talks would be to establish a joint cooperation framework with the United States "so we put an end to these practices and ... these monitoring schemes."

Hollande said there is an "ongoing dialog" with the United States over its past actions, but the priority is establishing a "code of conduct" for the present and future.

This is essential because France and its European allies "cannot accept" the kind of monitoring which has gone on, whose purpose "is not just political -- it is mainly an economic issue," Hollande said.

"It is relevant to the markets, to the prices, to the mergers and acquisitions. This is where the monitoring may have the highest impact -- on jobs in particular," he said.

The main purpose of intelligence efforts is tackling terrorism and ensuring security, he said, but no one should have to fear their personal data being used.

Meanwhile, Merkel is under pressure to take a strong stance back home, where her conservative party is in negotiations with the Social Democratic Party, known as the SPD, to form a grand coalition government.

In remarks quoted Friday by the German newspaper Der Spiegel, SPD chief Sigmar Gabriel criticized the outgoing government's handling of spying allegations made this summer.

"Of course, it is outrageous that an American secret service would tap the chancellor's cell phone," Gabriel said. "I recall quite well, though, that some politicians and, by the way, the media, too, declared the NSA affair as over and done with. We cannot repeat that error."

Gabriel said the SPD would "vehemently push in the coalition talks for the effective protection, not only of the chancellor's privacy, but just as hard for that of 82 million other citizens in Germany.

"It's about more than just a bugging scandal with the chancellor. It's about freedom and civil rights in the digital age."

At the summit, EU leaders discussed data protection and privacy.

'Lack of trust'

Angela Merkel raised the surveillance issue in a phone call with U.S. President Barack Obama on Wednesday after the German government said it had information that the United States might have monitored her cell phone.

On Thursday, White House spokesman Jay Carney repeated what he had said Wednesday -- that Obama assured Merkel that the United States is not monitoring and will not monitor her communications. He did not say anything about possible past monitoring.

The German spying allegation came in the same week that the French daily newspaper Le Monde reported claims that the NSA intercepted more than 70 million phone calls in France over a 30-day period.

Der Spiegel reported in June that leaks from government contractor-turned-whistleblower Edward Snowden detailed how the agency bugged EU offices in Washington and New York, and conducted an "electronic eavesdropping operation" that tapped into an EU building in Brussels.

Merkel spoke with Obama by phone in July about allegations that the United States was conducting surveillance on its European allies.

The Guardian newspaper -- citing a document obtained from Snowden -- reported Thursday that the NSA monitored phone conversations of 35 world leaders. The confidential memo is from 2006, prior to Obama's election as president. None of the world leaders is identified.

Their phone numbers were among 200 handed over to the NSA by a U.S. official, the memo states. It says that the NSA encouraged "senior officials in its 'customer' departments, such as the White House, State and the Pentagon, to share their 'Rolodexes' so the agency can add the phone numbers of leading foreign politicians to their surveillance systems," even though tracking until then had yielded "little reportable intelligence," the Guardian reported.

'Significant challenges'

In a USA Today op-ed published online Thursday night, Obama's homeland security and counterterrorism adviser Lisa Monaco conceded that recent "disclosures have created significant challenges in our relationships." To address them, the President has ordered a "review (of) our surveillance capabilities, including with our foreign partners," she wrote.

"We want to ensure we are collecting information because we need it and not because we can," said Monaco.

Michael Desch, a professor of political science at the University of Notre Dame, said this is "an important piece of evidence that our technological capabilities have far outstripped our thinking about how we should use those capabilities to best advance U.S. national security."

While the allegations of U.S. spying on world leaders will soon drop out of the headlines, Desch said, "the larger problem of the disconnect between our capabilities and our thinking about how to use them (will) remain for years to come."

He added the diplomatic fallout resulting from the controversy "should encourage U.S. leaders to ask, even if we have the technical capability to target these leaders, whether it is in our interest to do so."

@highlight

Hollande says France and Germany want to set a code of conduct with United States

@highlight

Germany's Angela Merkel says the spying claims have "severely shaken" trust

@highlight

Madrid summons U.S. ambassador over spying allegations

@highlight

Merkel faces pressure on the matter back home, where her party is in coalition talks