(CNN) -- Imagine a world where anyone could be like Tony Stark in the "Iron Man" movies -- manipulating 3-D images in thin air.

That future could be a lot closer than you think.

A Silicon Valley startup called Meta is creating augmented-reality glasses that will let you interact with virtual objects in the real world.

"It elicits this very magical effect where you could literally place holograms on the real world, reach out and touch them with your hands," said Meron Gribetz, Meta founder and CEO.

Gribetz, 28, is the brains behind the technology. Originally from Israel, he moved to the United States seven years ago to study computer science and neuroscience at Columbia University.

As a student, he began contemplating what the next computer could be.

"All I knew was that I wanted an infinite computer screen, and I wanted to be able to touch holograms and stick them on parts of the real world," he said.

Gribetz launched the company in December 2012 and moved to California with help from Y Combinator, which helps fund and nurture promising tech startups.

He now lives and works with 25 employees in a Los Altos mansion overlooking Silicon Valley and has four other properties where employees sleep at night.

"We all live together, work together, eat together," he said. "At certain key points of the year we have mattresses lined all around the living room."

It's not a typical work environment, but what Gribetz is creating is far from ordinary.

He believes Meta glasses could change computing as we know it.

"The fundamental game changer that we're bringing to the table is this application that allows you to take your phone, tablet and soon personal computer and project them in 3-D in your environment when they're not actually there," he said.

If this happens, it could usher in the next generation of computing using your hands and a pair of glasses. He believes the potential applications are endless.

"We've had surgeons apply for this because they want to be able to perform surgery while seeing a 3-D CAT scan," Gribetz said. "We've had architects apply for this because they want to be able to build houses with their hands collaboratively."

Eventually, Gribetz says, the glasses could also be used for 3-D Skype sessions.

"You could actually put on these glasses and see a 3-D render of your mother from all the way across the country in New York sitting on the chair in your room here in California," he said.

The first version of the glasses, a developer edition, is selling for around $700. The glasses are set to be delivered in December, Gribetz said.

Meta is also creating 3-D apps that range from virtual Lego to surgery applications. But soon developers from around the world will have a chance to weigh in.

"We're going to start off by perfecting five or six applications that showcase the differences from other form factors," Gribetz said. "But soon thereafter we're going to open this up to developers worldwide, and they're going to come up with things that we couldn't even imagine."

In a demonstration video provided by Meta, a woman uses the glasses to sculpt a virtual vase with her fingers before printing it in 3-D, while others play chess on a virtual board.

So how does the technology work?

"The glasses are ... a two-part system. The first is a 3-D output display that's built with a stereoscopic pair of see-through augmented-reality glasses. The 3-D output display allows you to see the holograms in 3-D," Gribetz said. "The 3-D scanner scans your environment and tells the computer where to place the 3-D graphics relative to the user and the world."

Unlike Google's rival Glass eyewear, which has a smaller screen and is primarily controlled by your voice, Meta glasses could have the potential for an infinite screen controlled by your hands.

"Google is going to take one category of wearable computing, the notification machine," Gribetz said. "Meta is a graphical solution that's going to allow people to build 'Iron Man'-like interfaces and interact with digital information in a much more natural way graphically."

Until then, there are some limitations. The first version can only be used indoors. The company also is working on increasing the field of view, improving latency issues and making the glasses smaller and less bulky. Within two years, Gribetz says, the glasses will be as sleek as a pair of Ray-Bans.

But stylish specs with built-in computer technology do raise the inevitable questions about privacy.

"I'm highly concerned with those issues. ... I have a fundamental belief that when you and I are talking and you're recording information about me, I should know about it," Gribetz said. "There will be an LED light indicating that you're being recorded if that's the situation."

If Gribetz has his way, hardware like the desktop computer, keyboard and mouse could soon be a thing of the past.

"We're looking to change the way people interact with computers by making them much more natural," he said. "Every application from the 2-D world can enter the 3-D world now. It really represents a huge shift from 2-D computing."

@highlight

A startup is creating glasses that let you interact with virtual objects in the real world

@highlight

Glasses let you place 3-D holograms in real world, then reach out and touch them

@highlight

CEO of startup Meta: The potential applications are endless

@highlight

"We're looking to change the way people interact with computers," he says