(CNN) -- The age of the virtual assistant is here to stay with Microsoft adding the voice of Cortana to its Windows Phone 8.1.

I'm old enough to remember the days when certain computing tasks required a steep learning curve. Now it seems almost magical that I can tell my virtual assistant to remind me to take out the garbage when I get home or call my mom when I get busy.

The best part is that when it speaks to me, it does so in a way that allows me to believe, for a brief moment, that I'm interacting with another person. That's because these virtual assistants sound so human.

For the creators of artificial intelligent systems, it's critical to build them so that they can facilitate emotional connection with users. When machine interactions with humans feel effortless, natural and "real," that's the ultimate metric of success.

We're just getting started. Today's artificial intelligence systems are just scratching the surface of what's possible for personal assistants, advisors and maybe, in some cases, true companions. Indeed, the machine-human relationship in the movie "Her" may not seem so far-fetched in the decades to come.

Future virtual assistants will offer far more capabilities and can be personalized for each person. Why should we settle for the voice that companies choose for us?

We've known for quite some time that typically female voices are preferred, based on their ability to be heard in a clear manner across a broad range of devices. Of course, female voices also tend to be trusted more than male voices.

However, if there is one request heard over and over again, it's for more and varied choices in the persona of these virtual assistants, along with greater control over their spoken voice.

Creating text-to-speech, or TTS, can be a difficult task. The more human the system needs to sound the more data needs to be collected. Often times this requires massive amounts of linguistic and acoustic information, based on recordings of real humans.

Fortunately, the technology is rapidly evolving. Future modeling techniques, where TTS voices are made from mathematical models of its human counterparts, will be lifelike enough to simulate human speech. They will also allow more rapid voice creation, allowing a previously unachievable level of personalization, where each person could even pick his or her unique voice for a virtual assistant.

Modeling technology will also make possible the combination of different voice traits. For example, the deep qualities of a voice similar to James Earl Jones could be combined with the unorthodox speaking style of someone like Jack Nicholson.

Microsoft took a page from the gaming world by basing Cortana on the character from the Halo video game series. Perhaps future voices in our devices will be as readily available to manipulate to create a cacophony of recognizable personal assistants from favorite film and TV actors, radio hosts, family members, comedians -- the sky would be the limit.

Whether it's a character from our favorite game or movie, or a persona created by users themselves, we could allow our virtual assistants the freedom to keep us entertained as well as informed.

While there is a fine line between personalization and novelty, I see us on a collision course for having more intelligent conversations with our digital assistants in the years ahead. The gadget-oriented systems of today will continue to grow and adapt to our ever-expanding needs, and the more they learn about us, the more they can assist us.

When looking at the challenges facing humanity, whether it's eradicating disease, solving our planet's renewable energy needs, or even colonizing other worlds, it's worth pondering if it will be the humans or the intelligence systems that we create that will tackle these problems. And will we be listening if it's the virtual assistants that are doing the work?

@highlight

Microsoft added the voice of Cortana to its Windows Phone 8.1

@highlight

Brant Ward: The age of the virtual assistant is here to stay

@highlight

Today's artificial intelligence systems are just scratching the surface, he says

@highlight

Ward: Future virtual assistants will offer more capabilities and personas