Hong Kong (CNN) -- As emerging markets slump and the euro zone continues to struggle, the Philippine economy made a surprising surge in the first part of this year.

The slowdowns in BRIC countries, China in particular, are feared to drag down the global economy. But in the first quarter of 2012, the Philippine economy grew 6.4%, the fastest since 2010 and already far outpacing the International Monetary Fund's forecast growth of 3.5% for this year.

The growth surge was driven in part by a recovery of electronics exports after a decline in demand last year, while analysts say the economy was buoyed by strong domestic consumption.

It is the money sent home to the Philippines by its overseas workers, known as remittances, and the rise of outsourced call centers that serve as the long-term stabilizers relatively unhindered by a sagging global economy, according to analysts.

"About 70% of our economy is from consumption, so remittance is the key fuel behind that," said Haj Narvaez, Manila-based head of research for the Philippines at Credit-Suisse. "It drives consumption in malls. Even on the property side, the government estimates a third of remittances go into home purchases and rentals of properties."

It is estimated that 11% of the population of 92 million work overseas. Remittances account for about 10% of the country's GDP, which totaled $225 billion in 2011.

Because Filipinos head to a wide variety of countries to work, the diversity protects them from the full impact of regional economic troubles. The Middle East has the largest portion of the Philippines' overseas labor force, with 61% working there. Asia is the next highest, with 27%, followed by the 6% in Europe.

Moreover, these migrants often work as domestic workers, nurses or skilled technicians, types of jobs that are believed to be less vulnerable during an economic slowdown.

"You have an aging population in the West, and you have a young population here in the Philippines that is waiting to do jobs that some people in the West aren't willing to do," Narvaez said.

Another sector that has helped drive consumption is the call center industry, which has overtaken India's as the largest over the past decade. These jobs are considered well - paid -- enough for workers to afford, after several years' employment, down payments on condominiums in Manila's booming property market, Narvaez said.

These jobs could leave the country structurally well positioned going into a slowdown; as wealthier economies seek to cut costs, they tend to increase outsourcing to low-cost, English-speaking markets like the Philippines.

Singapore-based Edward Teather, the senior economist for ASEAN at UBS, said the Philippines has experienced "a virtuous circle of improved stability" with more investments, lower inflation, currency valuations going up and interest rates coming down.

Other factors that have aided in the country's growth early this year are the transfer of operations to the Philippines from Thailand by flood-disrupted businesses, said Teather, as well as improved electronics exports.

While most analysts are optimistic, they do not expect growth for the year to be maintained at the first quarter's level -- Bloomberg's compiled predictions for GDP growth in 2012 averages at 4.2%.

Standard & Poor's upgraded the country's debt rating last Wednesday to BB+, one notch below investment grade.

Last Friday, the Philippines Stock Exchange Index hit an all-time high. The peso was the best performer among the 11 major Asian currencies, according to Bloomberg, up 5% against the dollar this year.

Cuts in interest rates and the government's plans to spend more aggressively have boosted investor confidence in the Philippines, which has a third of its population living below the poverty line of $1.25 per day.

Economists also credit President Benigno Aquino for his efforts to push back corruption and undertake infrastructure projects.

"You can see evidence of construction activity in Manila," Teather said. "You can see cranes on the horizon. You can see new roads have been put in place."

@highlight

In the first quarter of 2012, the Philippine economy grew 6.4%, outpacing expectations

@highlight

The growth surge was driven in part by a recovery of electronics exports

@highlight

Remittances and outsourced call centers serve as long-term stabilizers

@highlight

Cuts in interest rates and the government's plans to spend more aggressively have boosted investor confidence