The deadliest outbreak of Ebola virus on record has sparked fears that the killer virus could spread from West Africa to other regions and continents.

The outbreak began with just a handful of cases in Guinea in March. Since then, that number has grown to 909 confirmed cases and another 414 probable or suspected in that country, Sierra Leone and Liberia and Nigeria, according to the World Health Organization.

Some 729 people of the 1,323 total confirmed and possible infections have died, reports WHO as of July 27.

The WHO says "drastic action is needed" to contain Ebola, warning that previously undetected chains of transmission are boosting the numbers of sick and increasing the chances that the disease spreads from Africa.

"This epidemic is without precedent," said Bart Janssens, director of operations for Médecins Sans Frontières, also known as Doctors Without Borders. "It's absolutely not under control, and the situation keeps worsening. ... There are many places where people are infected but we don't know about it."

What's the latest?

The Ebola outbreak has been centered in Guinea, Sierra Leone and Liberia, where authorities have been working to contain the virus.

In Liberia, President Ellen Johnson Sirleaf announced Wednesday that, "without exceptions, all schools are ordered closed pending further directive from the Ministry of Education." She also declared Friday a nonworking day "to be used for the disinfection and chlorination of all public facilities."

On the same day, the Peace Corps said it was temporarily removing its 340 volunteers from Liberia, Sierra Leone and Guinea due to the outbreak.

The announcement comes as two Peace Corps volunteers were isolated after coming in contact with someone who ended up dying of Ebola, a spokeswoman for the group said. She said these two Americans "are not symptomatic," and the Peace Corps will work to return them to the United States once they get medical clearance to travel.

Concerns about Ebola aren't confined to those three countries.

Last week, a Liberian government official who had contracted the virus died in isolation at a hospital in Lagos, Nigeria.

Patrick Sawyer, a naturalized American citizen who worked in Liberia, flew to Nigeria intending to attend a conference. After exhibiting symptoms upon arrival July 20, he was hospitalized and died on July 25. He's the first American to die in the outbreak, though two other U.S. aid workers in Liberia have contracted Ebola and are being treated.

Sawyer's was the only known case in Nigeria, WHO said.

And the British government convened an emergency meeting to discuss the threat of Ebola to the UK, even though no case has been reported there. Officials discussed what measures could be taken if UK nationals in West Africa should become infected, Foreign Secretary Philip Hammond said.

Why was someone infected with Ebola allowed on a plane?

It is unknown whether Sawyer was displaying symptoms before he flew from Monrovia, Liberia's capital, to Ghana and then to Togo to switch planes to fly to Lagos.

His Minnesota-based widow, Decontee Sawyer, told CNN that he had cared for his ill sister in Liberia, though she said he didn't know at the time that his sister had Ebola. When he arrived in Nigeria, he told officials that he had no direct contact with anyone who had the disease.

Because it takes between two and 21 days before Ebola symptoms to show, there's little health officials can do to stop an asymptomatic person from flying to another country, said CNN Chief Medical Correspondent Sanjay Gupta.

So, serious viruses such as Ebola may be just "a plane ride away" from reaching the developed world, according to Marty Cetron of the U.S. Centers for Disease Control and Prevention (CDC).

Mindful of this, Nigeria-based airline companies ASKY and Arik Air suspended operations at the end of July into Monrovia and Freetown, the capitals of Liberia and Sierra Leone, respectively. ASKY said passengers departing from Conakry, Guinea, would be screened for signs of the virus.

Cetron says it is unlikely the virus would spread on an airplane unless a passenger were to come into contact with a sick person's bodily fluids.

Stressing the key role that those working at airports play in keeping Ebola in check, the CDC spokesman said: "Being educated, knowing the symptoms, recognizing what to do, having a response to protocol, knowing who to call -- those are really, really important parts of the global containment strategies to deal with threats like this."

What else is being done to stop the spread of the disease?

Ebola patients are being isolated by health officials in West Africa, and those who have come into contact with them are being told to monitor their temperatures.

President Sirleaf has closed most of Liberia's borders with neighboring countries, and the few points of entry that are still open will have Ebola testing centers. The President also placed restrictions on public gatherings and ordered hotels, restaurants and other entertainment venues to play a five-minute video on Ebola safety.

The CDC has issued an alert to health workers in the United States to watch out for any patients who may have recently traveled to West Africa and could have contracted the virus.

Why does Ebola generate such fear?

Medecins Sans Frontieres (MSF) describes Ebola as "one of the world's most deadly diseases."

"It is a highly infectious virus that can kill up to 90% of the people who catch it, causing terror among infected communities," it says. The death rate in this outbreak has dropped to roughly 55% because of early treatment.

There is also no vaccination against it.

Of Ebola's five subtypes, the Zaire strain -- the first to be identified -- is considered the most deadly.

The WHO said preliminary tests on the Ebola virus in Guinea in March suggested that the outbreak there was this strain, though that has not been confirmed.

What is Ebola, and what are its symptoms?

The Ebola virus causes viral hemorrhagic fever, which according to the U.S. Centers for Disease Control and Prevention (CDC), refers to a group of viruses that affect multiple organ systems in the body and are often accompanied by bleeding.

The virus is named after the Ebola River in the Democratic Republic of Congo (formerly Zaire), where one of the first outbreaks occurred in 1976.

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. These symptoms can appear two to 21 days after infection.

The WHO says these nonspecific early symptoms can be mistaken for signs of diseases such as malaria, typhoid fever, meningitis or even the plague.

MSF says some patients may also develop a rash, red eyes, hiccups, chest pains and difficulty breathing and swallowing.

The early symptoms progress to vomiting, diarrhea, impaired kidney and liver function and sometimes internal and external bleeding.

Ebola can only be definitively confirmed by five different laboratory tests.

How is it treated?

There are no specific treatments for Ebola. MSF says patients are isolated and then supported by health care workers.

"This consists of hydrating the patient, maintaining their oxygen status and blood pressure and treating them for any complicating infections," it says.

There have been cases of healthcare workers contracting the virus from patients, and the WHO has issued guidance for dealing with confirmed or suspected cases of the virus.

Carers are advised to wear impermeable gowns and gloves and to wear facial protection such as goggles or a medical mask to prevent splashes to the nose, mouth and eyes.

MSF says it contained a 2012 outbreak in Uganda by placing a control area around its treatment center. An outbreak is considered over once 42 days -- double the incubation period of the disease -- have passed without any new cases.

How does it spread?

The WHO says it is believed that fruit bats may be the natural host of the Ebola virus in Africa, passing on the virus to other animals.

Humans contract Ebola through contact with the bodily fluids of infected animals or the bodily fluids of infected humans.

MSF says that while the virus is believed to be able to survive for some days in liquid outside an infected organism, chlorine disinfection, heat, direct sunlight, soaps and detergents can kill it.

MSF epidemiologist Kamiliny Kalahne said outbreaks usually spread in areas where hospitals have poor infection control and limited access to resources such as running water.

"People who become sick with it almost always know how they got sick: because they looked after someone in their family who was very sick -- who had diarrhea, vomiting and bleeding -- or because they were health staff who had a lot of contact with a sick patient," she said.

@highlight

There are more than 1,300 confirmed and suspected Ebola cases, hundreds of deaths

@highlight

Liberia closes all schools, sets day "for the disinfection ... of all public facilities"

@highlight

"This epidemic is without precedent," a humanitarian official says

@highlight

Ebola is a viral hemorrhagic fever, affecting multiple organs and accompanied by bleeding