The Supreme Court on Tuesday upheld a Michigan law banning the use of racial criteria in college admissions, a key decision in an unfolding legal and political battle nationally over affirmative action.

The justices found 6-2 that a lower court did not have the authority to set aside the measure approved in a 2006 referendum supported by 58% of voters.

It bars publicly funded colleges from granting "preferential treatment to any individual or group on the basis of race, sex, color, ethnicity or national origin."

Justice Sonia Sotomayor reacted sharply in disagreeing with the decision.

"For members of historically marginalized groups, which rely on the federal courts to protect their constitutional rights, the decision can hardly bolster hope for a vision of democracy that preserves for all the right to participate meaningfully and equally in self-government," Sotomayor wrote.

But three justices in the majority, Chief Justice John Roberts, Anthony Kennedy and Samuel Alito. concluded that the lower court did not have the authority to set aside the law.

"This case is not about how the debate about racial preferences should be resolved. It is about who may resolve it," Kennedy wrote.

"Michigan voters used the initiative system to bypass public officials who were deemed not responsive to the concerns of a majority of the voters with respect to a policy of granting race-based preferences that raises difficult and delicate issues," he added.

Justices Antonin Scalia, Stephen Breyer and Clarence Thomas voted in the majority as part of concurring opinions.

Sotomayor and Justice Ruth Bader Ginsburg dissented, and Justice Elena Kagan took no part in the case.

The court's first Latina justice, Sotomayor, took the unusual step of reading part of her powerful dissent from the bench, taking more than 15 minutes to express her concern about the ruling's impact.

"This refusal to accept the stark reality that race matters is regrettable. The way to stop discrimination on the basis of race is to speak openly and candidly on the subject of race, and to apply the Constitution with eyes open to the unfortunate effects of centuries of racial discrimination," she said.

"As members of the judiciary tasked with intervening to carry out the guarantee of equal protection, we ought not sit back and wish away, rather than confront, the racial inequality that exists in our society," she added.

The latest step

The decision was the latest step in a legal and political battle over whether state colleges can use race and gender as a factor in choosing what students to admit.

The debate in recent years has centered around whether and when affirmative action programs -- while constitutionally permissible now -- would eventually have to be phased out as the goal of obtaining diversity is met.

Last year, the court affirmed the use of race at the University of Texas, but made it harder for institutions to justify such policies to achieve diversity.

In that dispute, a white student said the college's existing affirmative action policy violated her "equal protection" rights. Civil rights supporters of such programs claim Michigan's ban also has the same effect, and a federal appeals court agreed.

The Supreme Court ruled in 2003 that while state universities could use race as a factor in choosing which students to admit, they could not make race the determining factor in deciding whether applicants are accepted.

Michigan has said minority enrollment at its flagship university, the University of Michigan, has not gone down since the measure was passed.

Civil rights groups dispute those figures and say other states have seen fewer African-American and Hispanic students attending highly competitive schools, especially in graduate level fields like law, medicine, and science.

"Students deserve a robust education where a variety of viewpoints are shared and debated," said Professor Kevin Gaines of the University of Michigan, one of the original plaintiffs. "Proposal 2 has meant less diversity in our universities, which has had a chilling effect on the quality of discourse in the classroom. Unfortunately, that will continue, at least for the time being, in Michigan."

But supporters of Michigan's policies applauded the high court's conclusions.

"The court emphasized the value of allowing hotly contested policy decisions to be debated in the states rather than encouraging one-size-fits-all orders from Washington," said Carrie Severino, chief counsel for Judicial Crisis Network.

"In preserving for the states and the people the right to pursue race-neutral policies with respect to hiring and higher education, the court reaffirmed the blessings of liberty and equality under law for another generation," Severino said.

Controversial efforts

The Michigan ban also prohibits the state from considering race and gender in public hiring and public contracting decisions. But the current high court case dealt only with the college admissions portion.

Efforts over decades to create a diverse classroom have been controversial.

The Brown vs. Board of Education high court ruling in 1954 ended segregation of public schools, but sparked nationwide protests and disobedience by states that initially refused to integrate.

In the 1978 Bakke case, the justices ruled universities have a compelling state interest in promoting diversity, and that allows for the use of affirmative action. That issue involved a discrimination claim by a white man denied admission to medical  school.

The referendum issue has been around at least since 1996, when California voters endorsed Proposition 209, which bans use of race, sex, or ethnic background by state agencies in areas of education, and government hiring and contracts.

Six other states now have similar laws, and others may follow suit.

"With today's opinion, the court has placed responsibility for affirmative action squarely in the hands of the states. State universities can choose to adopt affirmative action admissions programs, and state voters can choose to discontinue them," said Jennifer Mason McAward, a law professor at the University of Notre Dame.

"The fact that this relatively simple judgment generated five separate opinions by the justices, however, points to a much more nuanced and heated debate among the justices regarding the permissibility and wisdom of racial preferences in general," McAward said.

Roberts has made the issue a key part of the court's docket in recent years and it could serve as a major legacy of the current conservative majority.

The case is Schuette v. Coalition to Defend Affirmative Action (12-682).

I was an affirmative action 'imposter'

@highlight

Key argument in opinion concludes that lower court didn't have authority to set aside Michigan law

@highlight

Michigan law bars publicly funded colleges from granting preferential treatment on the basis of race

@highlight

The debate centers on whether affirmative action programs would be phased out in the future

@highlight

It's now possible that other states could seek to act on affirmative action