With over 700 million active smartphone users, China's mobile market is insane in scale. But sheer numbers aside, what makes it really impressive?

China has long been a mere manufacturer. Products, usually designed elsewhere, get assembled here. And when China's mobile industry creates, it's often churning out low-end handsets and that occasional shameless copycat app.

But one former Silicon Valley insider says China is no longer a factory hub lacking imagination. It has become a hotbed of crazy innovation.

"People think about China as copycats, but they don't expect to see the kind of innovation that they see here when they arrive," says Hugo Barra, former Google executive and current Vice President of Chinese cult smartphone maker Xiaomi.

Local spice

Barra cites Didi -- a local taxi calling app with over 100 million users across 178 Chinese cities -- as an example of "made-in-China" mobile innovation.

He says its built-in messaging service to explain hard-to-find addresses and a haggling option to sweeten an offer during rush hour make it more than just "the Uber of China."

"Didi is a phenomenal example of the 'local spice,' it's an innovation that I like talking about," says Barra. "Because it's an app for calling a taxi, there is no big deal in that. But the way it was built, it's actually pretty clever."

When Barra ditched Google for Xiaomi last year, his move made international headlines.

"Some of my friends were astonished that I would move all the way out to China," he says.

"But most of the people that I worked with are software engineers who knew what was happening here. They weren't as surprised."

Global app culture

China's mobile stars are gaining on their Silicon Valley rivals thanks in part to their marketing prowess and innovation.

Xiaomi outsells the Apple iPhone in China. It claims to have a valuation of $10 billion, and plans to sell 60 million of its customized Android-powered smartphones this year in China and in its first overseas market, Singapore.

Beijing's Momo -- a networking and, yes, flirting app -- has over 100 million registered users. Launched for Chinese users in 2011, it predates its Western rival Tinder.

Shenzhen-based Tencent boasts a market cap bigger than HP. It has a vast portfolio of businesses including the wildly popular mobile messaging app WeChat.

With 272 million monthly users, WeChat is not only a rival to Viber and WhatsApp. It's turned into the extended operating system of China's mobile millions.

"Starting from messaging, it's now extended to e-commerce, gaming, socializing, and posting your pictures," says Andy Tian, former Google exec and CEO of the Beijing-based mobile startup Asia Innovations. "And it's the only place where you can actually get a taxi nowadays on a street in Beijing."

Tina Tao, Chief Operating Officer for the startup incubator Innovation Works, believes WeChat is on its way to becoming a truly global brand. And it's one of many more to come thanks to the global mindset of China's mobile developers.

"They have adopted things not only from their local market, but from the Internet culture of other countries," says Tao. "So they have grown up with the global concept and global culture from day one."

Beijing blessings

China's mobile might is driven by a rich talent pool of globally-minded and highly-educated developers. Getting the blessing of Beijing doesn't hurt either.

"The government is actively molding entrepreneurial innovation here all the way from loosening restrictions for new companies to reducing the annual audit requirement," says Tian. "Politics and innovation are actually aligned."

Barra concurs: "I see the Chinese government as probably one of the most involved governments that I've ever experienced when it comes to tech, in a positive way."

"We can get introductions literally to any mobile operator who are partners that we work with, anywhere in the world, through the embassies, through the chambers of commerce and so on. There's a system built to make these things happen."

And yes, this is the same government that censors the mobile Internet in China. But China's tech players don't see that as an operating risk, just the legal lay of the land.

"You want to build a good product or good community to fulfill your users," says Tao. "And second, you have to fulfill the government requirement."

China's mobile stars are backed by Beijing, powered by top talent, and also road tested by some of the toughest customers on the planet.

Tian calls China's home market "intense" in their mobile usage and is "one of the hardest consumers to get money from."

In this environment, it's best to keep the focus on the road ahead and not on any pirates or copycats who may come your way.

"We always say the idea is worthless, you need execution and don't worry about your idea being copied by others," says Tao. "Otherwise, even if you have a good idea in the first place, you cannot succeed."

It's the mantra of China's mobile mavens. Execute fast, or die.

Three top Chinese mobile apps to know

1. For networking (read: flirting): Momo predates Tinder and has over 100 million registered users.

2. For getting a cab: Didi has a built in messaging service and a haggling option.

3. For everything else: WeChat is a mobile messaging service that has now extended to e-commerce, gaming, and photo sharing.

@highlight

Contrary to its reputation, China is a hotbed of mobile innovation

@highlight

Beijing's Momo flirting app predates its Western version, Tinder

@highlight

WeChat is becoming an extended operating system for millions of mobile users

@highlight

The government tries to make things easy for innovators