SHENZHEN, China (CNN) -- The white BMW Mr. Liu drives around this humid coastal city in southern China may be real, but the spiffy little black smart phone he carries with him is definitely fake.

Phone clones: China's "bandit" mobile phone market is huge.

"But it has Bluetooth, GPS, Wi-Fi, FM radio, a digital video camera, hundreds of games, even a voice recorder," says Liu. "And I invested over $500,000 to make it."

Liu, a 31-year-old who studied fine arts in college and designs cigarette cartons on the side, is one of countless thousands here who've earned big bucks manufacturing "gray market" mobile phones, millions of which are not only being sold across China but also exported to dozens of developing countries in Africa, Latin America, the Middle East and other regions around the world.

"They are everywhere," said Karl Weaver, a wireless evangelist and mobile device specialist for the Chinese handset ecosystem. "You can find them in major department stores and malls, in back alleys and in underground markets. Everyone is selling them. It is really very entrepreneurial."

In 2008, an estimated 150 million, or 20 percent, of the 750 million handsets produced in China were either counterfeit or off-brand phones, according to CCID Consulting, a market research firm based in Beijing. Of those, over 51 million were sold in China while the remainder were sent to foreign markets.

Known here as "shanzhai ji", or bandit phones, China's gray market handset industry was virtually non-existent just a few years ago. While a handful of illegal companies produced black market mobiles, they often were of poor quality mainly because the technology needed to make them was hard to come by and even harder to master.

This all changed in 2005 when Mediatek, a microchip design company from Taiwan, developed what experts call a turnkey solution -- a platform that integrated many complex mobile phone software systems onto a single chip. This made it much easier and cheaper to build handsets and churn out new models at astounding speeds.

"[Mediatek] basically commoditized the entire market," said Jonathan Li, founder of Shanghai-based technology design studio Asentio Design. "They made it really simple and really cheap to make your own phone. Almost anybody could do it."

The shanzhai business got another boost a couple of years later when the Chinese government relaxed regulations limiting the number of companies that could manufacture handsets, lowering the entry barrier for hundreds of entrepreneurs eager to have a piece of the world's biggest mobile phone market.

"It is so easy to do because this whole ecosystem is in China," said Weaver. "It isn't so complex for a guy to figure out by watching how the global supply chain works in the mobile handset space to do his own thing."

Small operations, big rewards

By 2008, an estimated 3,000 to 4,000 shanzhai businesses had emerged, many with fewer than a dozen employees operating in offices sometimes comprised only of a back bedroom in a small apartment or basement of a private home. Some blatantly copy major brands, producing knock-offs with slight twists in their names, others come up with special makes of their own.

Either way, the shanzhai phenomenon has not gone unnoticed by legitimate handset manufacturers. The gray market phones, which typically sell for around $100, have already driven down the prices of brand name mobiles and are beginning to take away their market share, too.

"You cannot compete with them. You can't," said an employee of Chinese telecom equipment maker Huawei Technologies who spoke on the condition of anonymity. "It is almost impossible to make a profit [from handsets] now because of shanzhai."

Some manufacturers, like Nokia, say they are working with the Chinese government to crackdown on the counterfeiting companies as well as raise awareness about the potential dangers of the fake phones, some of which have had exploding batteries or expose consumers to abnormal amounts of radiation.

"We have a very good working relationship with the Chinese authorities," Lucy Nichols, Nokia's global director of intellectual property rights and brand protection, told CNN. "They recognize this is an issue that needs to be addressed."

Aside from also trying to highlight the risks of using shanzhai mobile phones, Beijing has yet to take serious steps to curtail the proliferation of the underground mobile phone industry.

Some experts say this is because the companies involved in it blur the boundaries between legitimate and illegitimate enterprises. Even though they may still partake in shady practices, such as evading taxes, avoiding safety checks and using pirated software, a growing number of bandit phone firms are becoming licensed, creating brands with nearly as much recognition as established domestic ones.

And whether licensed or not, nearly all the grey market firms place orders with mobile phone component companies that work with major manufacturers as well, which keeps factories up and running especially as handset sales plummet amidst the economic downturn.

Not just faking it

Many shanzhai companies have begun to move beyond mere copying and into the realm of creativity. Some have been developed to suit the needs of the local market, with two slots for SIM cards for businesspeople traveling between Taiwan, Hong Kong and the mainland.  View the gallery of the phones »

Some have gimmicky appearances, like cigarettes boxes or watches, but others have special lights that can be used to identify fake money, large screens and keypads for the elderly or extra loud speakers for farmers who may not be able to hear their phones while working outside.

"This is an important way to cultivate grassroots innovation," said Jack Linchuan Qiu, a communications professor at Chinese University of Hong Kong who has studied the shanzhai industry.

"There is a lot of raw power in the development of these bandit phones that could be channeled into normal, productive creativity from the bottom up."

Fierce competition among bandit phone firms continues to drive prices down while prices for more advanced technology continues to go up, causing many of the companies to close simply because they can't make the margins they did a couple of years ago.

Thousands of shanzhai companies have disappeared in recent months or have moved into new areas of opportunity, making shanzhai laptops and digital cameras.

Mr. Liu is now planning his exit strategy, too. He says he is not sure what he'll do next, but whatever it is, he hopes it will involve making lots of money. "I am trying to realize a big dream," he said. "But every success has a shortcut."

@highlight

One fifth of 750 million mobile phones produced in China thought to be 'fake'

@highlight

New microchip allowed phones to be made cheaper, better and develop new models

@highlight

Big name manufacturers working with Chinese gov. to crack down on counterfeiting

@highlight

Despite legal gray area, growing number of bandit phone firms are becoming legit