Editor's note: James Losey is a Policy Analyst and Chiehyu Li is a Program Associate, both with the New America Foundation's Open Technology Initiative. The opinions expressed in this op-ed do not necessarily represent those of Ars Technica or CNN.com.

(Ars Technica)  -- If you've followed broadband discussions in Washington, DC, then you've heard that wireless is the future of communications.

The National Broadband Plan offers wireless as the competitive solution to the broadband duopoly dilemma, and in the recently released White House Wireless Innovation and Infrastructure Initiative, President Obama reiterated his State of the Union commitment to helping "extend next-generation wireless services to at least 98% of Americans."

If you watch TV, you might think this is a good thing. The whole country is moving to 4G -- next generation wireless -- and according to some carriers, this is our chance to beat the world in broadband.

For Obama, it's a chance to Win the Future.

It will certainly help us win a future -- but if this, as Obama said, is our "Sputnik moment," we are not reaching for the moon.

Defining "4G"

Trying to understand 4G can give you a bit of a headache. Some surveys show that most Americans have no idea what the term "4G" means, but many plan to upgrade anyway.

It's faster -- and at times more expensive -- but will the technology bring us up to the same speed as other countries?

Driving adoption of next-generation technology is essential for America's communications to catch up with the rest of the world; our broadband networks, by most standards, stand in the middle of the pack on speed. However, the wireless upgrade path is not as straight as one might assume.

The problem comes down to what "4G" really means. The buzzwords flying around the US mobile space are Long Term Evolution (LTE), HSPA+ and WiMAX.

However, before this past December, the International Telecommunications Union (ITU), the global standards-setting body responsible for ensuring some level of interoperability in mobile communications, had set the 4G standard as LTE Advanced -- technology that is not expected to be deployed until 2012 at the earliest.

That month the ITU updated their policy, saying that "'4G,' although it is recognized that this term [is] undefined, may also be applied to the forerunners of these technologies, LTE and WiMAX, and to other evolved 3G technologies providing a substantial level of improvement in performance and capabilities with respect to the initial third generation systems now deployed."

In other words, the term 4G can be applied to LTE and WiMAX, the leading technologies currently rolling out in the US and globally -- even though they are technically still 3G or (in marketing speak) 3.9G HSPA+, which might otherwise be more accurately defined as 3.5G.

Getting beat abroad

Comparing wireless networks globally on the basis of 4G can be like comparing apples and oranges -- while 3G begets 4G, not all 4G is created equal.

The real leap forward for next-generation deployments is defined not so much by technology but by speeds. Certainly, in this context, the 4G-branded service available in the United States does not compete with 4G service offered elsewhere.

That's not to say wireless speeds in the United States aren't improving; indeed, they are beginning to match the speeds of lower-end broadband connections. Verizon, claiming the "Fastest, most advanced 4G network in America," is rolling out LTE offering up to 5-12 Mbps download speeds.

AT&T also claims the title of "Fastest mobile broadband network" with two layers of HSPA+ and LTE. Sprint's WiMAX network is slightly slower at 3-6 Mbps. T-Mobile has focused on HSPA+, claiming peaks of 21Mbps, although speeds realized by users are considerably slower and T-Mobile is pushing for the claim of largest, not fastest, network.

While these speeds do bring next-generation mobile broadband up to the standard of wireline broadband connections, the FCC found that the average wired broadband speed is between 3 and 4 Mbps.

Our past research has shown that broadband in the United States is slower and pricier than service in other developed countries. This gap in speeds persists with the move to 4G wireless broadband.

For example, TeliaSonera rolled out LTE services in major Nordic and Baltic countries including Denmark, Estonia, Finland, Norway and Sweden last year with speeds that blow US 4G offerings out of the water: "In normal circumstances, the average download speed is 20-80 Mbit/s."

German mobile provider Vodafone is offering LTE service with 7Mbps speeds on the low end while also offering downloads up to 50Mbps on more expensive plans.

Asian countries have made great progress in launching 4G services since 2006, including LTE and WiMAX in Japan and Taiwan. NTT DoCoMo, a Japanese major mobile service provider, launched an LTE mobile data communication service called "Xi" in November 2010.

In its coverage area of five major cities, Xi boasts maximum downlink speeds of 37Mbps.

Taiwan is also ahead of the US in 4G speeds. Mobile provider VMAX began WiMax service offering a maximum speed of 16Mbps down and 4Mbps up in Taipei City.

We can do better

President Obama threw down the gauntlet with his "Sputnik Moment" rhetoric in the State of the Union speech. The comment implicitly referenced the missile gaps and past technological races of yesteryear, but the White House Wireless Innovation and Infrastructure Initiative may fall short of those heady days of innovation.

For instance, the goal of 98% of American's receiving 4G speeds may have already been met, if one believes the carrier estimates.

AT&T says that it has "completed its deployment of HSPA+ to virtually 100 percent of its mobile broadband network" and it claims that 300 million people are covered.

Those engaged in the effort to free up an additional 500MHz of spectrum, as the National Broadband Plan recommends, must recognize the value of connectivity through unlicensed spectrum with nearly 40 percent of smartphone connectivity through unlicensed WiFi.

By definition, a 4G roll-out alone does not bring America up to speed. The ITU has applied the term to describe capable technology but it does not define the actual service received by the consumer.

Services branded 4G in the US meet the unambitious National Broadband Plan universalization goals, but they are not next-generation services when compared to speeds in other countries.

Our mobile communications will suffer from a generation gap -- whether the technology is called "4G" or not.

COPYRIGHT 2011 ARSTECHNICA.COM

@highlight

Whole country is moving to 4G -- next generation wireless

@highlight

U.S. broadband networks, by most standards, stand in the middle of the pack on speed

@highlight

4G-branded service available here does not compete with 4G service offered elsewhere