(CNN) -- Researchers in Tanzania have chemically reproduced the stench of smelly feet in an innovative new approach to combat the spread of malaria in the country.

The scientific team at Tanzania's Ifakara Health Institute has developed a potent serum -- similar to that of human foot odor -- to lure and kill mosquitoes, which can carry malaria and other diseases.

Four times more powerful in attracting mosquitoes than natural human odor, the synthetic smell is now being used in a pioneering research program aimed at killing mosquitoes outdoors using a "mosquito landing box."

"The goal is to eliminate malaria," said scientific researcher, Fredros Okumu, who is developing the technology. "We are going to do this by tackling the transmission of disease outside the house."

Mosquitoes are lured inside the boxes by the synthetic odor, which is dispersed by a solar-powered fan. Once inside, the insects are either trapped or poisoned and left to die.

"We know mosquitoes don't see people, they smell them." Okumu said.

"Substances we emit when we sweat, such as lactic acid, act as a signal to mosquitoes ... The aim here was to produce a mixture that would mimic a human being."

The result, said Okumu, was a chemical blend that "smelt just like dirty socks."

"If you came to our lab when the research was being done, you would have thought that someone had just come off a soccer field," he admitted.

Okumu, who is currently completing a PhD from the London School of Hygiene and Tropical Medicine, in England, plans to develop the mosquito landing boxes over the next two years, thanks to a $775,000 joint grant from the Bill and Melinda Gates Foundation and the not-for profit organization Grand Challenges Canada.

"This is a great example of an African innovator, with an African innovation, tackling an African problem," said Dr Peter Singer, CEO of Grand Challenges Canada.

"Malaria kills about 800,000 people a year, mostly children, in Africa. At the moment existing technologies, such as bed nets and sprays, tend to repel mosquitoes inside the home.

"This technology attracts mosquitoes outside the home to kill them, and could be complimentary to what is there now," Singer continued.

Working closely with villagers in remote communities where malaria is endemic, Okumu is aiming to produce a practical and sustainable technology that will be easy to run and operate.  Okumu is keen to explore further cost-saving measures in order cement the mosquito boxes as part of everyday Tanzanian life. Ideas include using the boxes' solar-panel technology to supply energy to people's homes and substituting the costly chemical mosquito lure with actual foot odor collected from specially designed cotton pads placed in people's socks.

"We hope at the end of the two years we will be able to tell the world this is a good strategy to use and start involving industry and more communities and villages," said Okumu.

The prevalence of malaria in Tanzania has decreased in the last 10 years and Okumu has seen rates in his region dramatically decline from 40% in 1997 to around 7% today.

"We are sure that the reduced rates are due to the improved delivery of bed nets, drugs, insecticides and living standards," said Okumu. "But malaria is not going to disappear using these existing methods."

Okumu says he hopes to see his boxes used across the region before existing methods become less effective.

"Mosquitoes can modify their behavior quite rapidly to deal with the added deterrents of sprays and bed nets," he said.

"For example, instead of going into houses to bite people, mosquitoes are now starting to wait to bite people outside," he said.

For Okumu, this is a personal as well as a scientific venture. Born in western Kenya, malaria has been apart of Okumu's life for as long as he can remember.

"All the places I have lived have been malaria zones. When I was growing up I had malaria at least twice every year," he said.

He continued: "Malaria has claimed so many lives and diseases like this are one of the biggest blocks to our social and economic development."

@highlight

Scientists have chemically reproduced the pungent smell of foot odor

@highlight

The chemical mixture is four times more powerful in attracting mosquitoes than natural odor

@highlight

The synthetic smell is being used in a new initiative to kill mosquitoes in the open air

@highlight

"The goal is to eliminate malaria" says researcher Fredros Okumu