Spewing red hot lava 300 meters in the air, an erupting volcano in the east of the Democratic Republic of Congo (DRC) is turning the war-torn African country into an unlikely tourist destination.

Tourists have been visiting the Virunga National Park on overnight treks and in increasing numbers to witness the latest lava eruptions from the volcano, which have been flowing since November 6.

Mount Nyamulagira is considered to be the most active volcano in the area and for $300 each, around 60 to 70 volcano fans have been traveling an hour from the eastern city of Goma to the start of the trek at the Virunga National Park.

With the aid of the European Union, Virunga National Park has been a driver in boosting tourism to eastern Congo over the past few years.

Tourism officials predict that visitor numbers at Virunga National Park will rise to nearly 4,000 this year -- up from 1,800 in 2010, while Africa's oldest national park is expected to raise over $1 million in revenue for the first time in its history, according to a report in the International Business Times.

The Democratic Republic of Congo is home to eight national parks, five of which are UNESCO World Heritage Sites, as well as being home to many endangered species, making it ripe territory for eco-tourism.

However statistics on the country, which has been embroiled in civil war since 1998, are grim reading. It is a place where women are systemically raped, children are forced to fight as soldiers and most people struggle to survive on less than $2 a day.

But the volcano's proximity and its vivid colors are worth braving the rough terrain for, according to one of the first people to visit the area.

"We really wanted to go in," says Ethan Kinsey, a tour operator from Tanzania who was in one of the first overnight volcano treks. "(National park wardens) had to assess the safety of it and then we hiked in immediately."

On the northern side of the volcano, participants can watch lava spew out of the Earth from a tented camping site 1.5 kilometers away, which has been deemed safe by a volcanologist.

Kinsey says: "Where you look across at the volcano, there is nothing between you and it except a few piles of rock. It is really quite dramatic.

"You really don't know what is happening underneath (the ground) -- it could just blow up. But it seemed like pretty regular explosions."

Kinsey traveled into the national park with two friends and recommends staying overnight.

"The colors are so much more vivid ... It really is beautiful. We slept with our tents open so we could see it, and the tents face the volcano so we could see the explosions in the night."

Orphaned gorillas find a safe haven

Kinsey says he felt very at ease while on the trek despite the warnings about the region.

"There are a lot of people walking around with guns, a lot of people walking around with AK-47s, carrying rocket launchers ... But obviously, if the national parks are confident that they can provide a safe experience then it's safe," he says.

"The rebel activity that is causing instability is not targeted at tourists. It is not really targeted at the rangers either. I felt safe."

He added: "I think that there will be a lot of interest (in volcano trekking) so now I just have to spread it out and get it out there that we can do this."

The impoverished central African country also made its debut at the World Travel Market in London in September this year, signaling to the world that it means business when it comes to boosting tourism revenue.

In its efforts to promote tourism, the DRC government, in conjunction with the Institut Congo pour la Conservation de la Nature (Congolese Wildlife Authority), has recently launched a tourism visa that can be obtained online through Virunga's website for $50.

DRC borders Uganda, Burundi and Rwanda at the junction of the Rift Valley Lakes region, but despite the country's more varied biodiversity, Uganda and Rwanda generate more revenue from the gorilla tourism trade, because of the instability in the area according to analysts EuroMonitor.

Many governments currently warn their citizens against traveling to the Democratic Republic of Congo due to extreme security risks as a result of continued military activity.

However, GoCongo, a tourist operator in the area, describes the DRC as a place of adventure.

The company wrote on their website: "No one goes there to rest and sit in a chair for a couple of weeks. Congo is an experience and asks for active people ... If you really need (five star) lodges, whisky on the rocks and your 20-channels television, please go somewhere else."

National park experts are unsure how long the volcano will continue to erupt, spraying vibrant lava and rocks into the sky.

The Virunga National Park, a World Heritage site has eight volcanoes that spread across the Virunga mountain range, but only two are currently active. The 7,900 hectare site is also home to critically endangered mountain gorillas.

"The area where the eruption is taking place is an area that has been affected by eruptions for around two-and-a half-years ... Our mountain gorillas don't live in that area. They are about 50 kilometers away so they are completely untouched," says Virunga National Park development officer Cai Tjeenk Willak said.

@highlight

Virunga National Park in the DRC is inviting tourists on overnight treks to see an erupting volcano

@highlight

Eight volcanoes are found in the vicinity of the national park but only two are currently active

@highlight

Surrounding wildlife, like the endangered mountain gorillas, are out of harm 50 km away