(CNN) -- Once again a new Gallup Poll has reported that Vermont is the least religious state in the country, with only 22% of the people willing to call themselves "very religious." On the other side of the poll, there is Mississippi, where a whopping 61% of citizens lay claim to that self-description. But what does it really mean to be "very religious" and not just spiritual?

I've been living in Vermont for much of my adult life, adding up to nearly four decades. And I've been keenly interested in the question of religion, having written a biography of Jesus and practiced Christianity as best I can for much of my life. I've also traveled in the South quite often, and understand where that 61% comes from: Not long ago I drove across Mississippi, and I couldn't find a secular radio station on the dial. It was all preachers, all sounding alike. Repent, repent, repent. Billboards everywhere shouted religious slogans. It seemed there was a church on every street corner in every town I passed through.

So what's going on here? Do Mississippians have a direct line to the divine? Don't the majority of people of Vermont also have an interest in religion or belief in God? Is this why Vermont was the first state in the union to allow for civil unions? And does secularism run rampant here?

On any given Sunday, while I'm sitting in church, many of my neighbors are out walking in the woods, skiing, or reading a book by the woodstove (it's what we do in Vermont). Indeed traditional churches in Vermont struggle to fill their pews, and one often sees churches being sold off to real estate developers, who convert them into apartments or places where secular business can take place under high ceilings that once filled with prayers.

But it would be a mistake to assume the absence of the usual trappings of religion means that people in Vermont -- or anywhere, really-- aren't pondering the big questions. Religious affiliation doesn't necessarily equate with spirituality in any deep way.

Indeed, when I step into my local co-operative food store in Vermont, the bulletin board is crammed with listings for local meditation groups or yoga classes or panel discussions on "spirit and nature." The community spirit is strong in this state, and the value of helping one's neighbor is cherished here as much as anywhere. And these values include things like spending money on education, on good health care for all, and making sure that the land itself is responsibly used, with a keen awareness of environmental consequences. Indeed, Vermont was chosen the No. 1 greenest state in a recent poll.

I'm not sure that the religious fervor in Mississippi necessarily results in any of these things, For example, the state consistently ranks near the bottom in health care for low income people and environmental responsibility

For some years I've taught courses at Middlebury College on poetry and spirituality, and students often say to me: "I'm spiritual but not religious." They are, nevertheless, on a quest. They like to ask big questions about God, about human fulfillment, about spiritual practice in the widest possible terms. With them I explore major spiritual texts, including the Book of Psalms, ancient Taoist poems from China, Islamic poetry, and the work of such great Christian poets as John Donne, George Herbert, Gerard Manley Hopkins, and T.S. Eliot. My sense is that there is no end of genuine interest in spiritual matters among students in my neck of Vermont.

Yet many of the traditional churches -- in Vermont as elsewhere -- fail to address questions of spirituality in ways that interest those who might have a deep spiritual longing but can't profess a simple faith in God or subscribe to any dogma.

Jesus himself put forward the essential questions: What does it mean to live an ethical life? What is this mysterious thing called "spirit" and how does it relate to questions about God? How do we live, as people of faith, in communion with each other as well as God? In so many ways, Jesus was the ultimate seeker, hungry for the deepest kinds of experience. He looked for, and found, astonishing answers, inviting us to follow him in our quest.

From what I can tell, God-hunger is alive and well in Vermont. But it tends to thrive outside the walls of traditional churches (though it can be found there as well, as apparently 22% of Vermonters will say). I would refer the good pollsters at Gallup back to the story of Jesus, who when asked by pesky Pharisees where the Kingdom of God could be found, said: "Don't say, look, it's here or there! For, behold, the kingdom of God is within you." (Luke 17:21)

That's a challenging response, but it might not register as an appropriate answer on any Gallup Poll.

The opinions expressed in this commentary are solely those of Jay Parini.

@highlight

Jay Parini: Gallup poll finds Vermont least religious state. Mississippi is most religious

@highlight

He says in South, religion all over radio, road signs, towns; in Vermont fewer go to church

@highlight

But Vermont ranks high on environment, health care. Mississippi ranks at bottom

@highlight

Parini: Vermonters spiritual seekers, God-hungry: neighbor-helpers more than churchgoers