(CNN) -- When convicted intelligence leaker Bradley Manning asked Thursday for hormone treatment at a military prison so he can become Chelsea Manning, the response was immediate: No.

So would the former Army private have a better shot at becoming a woman if he were transferred to a civilian prison, a move his lawyer has suggested he might attempt?

Maybe. But he should get ready for a fight.

Recently, federal courts in some states, including Virginia, Maryland and Massachusetts, have authorized hormone treatment for inmates at government expense, ruling that it's part of an inmate's right to adequate medical care guaranteed by the 8th Amendment.

But no prisoner has undergone state-sponsored gender reassignment surgery, according to Dr. Ron Shansky, the former Illinois Department of Corrections medical director. He consults nationally on prison health-care issues, particularly concerning transgender inmates. He evaluated his first transgender inmate in 1989.

"These kind of requests are so rare -- few compared to the thousands in the system -- so corrections employees don't have a lot of experience or training," he said.

"And the prison system in this country has a history of being old-fashioned, puritanical," he said.

A correctional staffer is more likely to think that a male inmate acting like a woman is doing that out of defiance or acting out. "Only lately, I think, has there been some understanding that medical science says that this treatment is, in some cases, as critical as giving an inmate his heart medication or dialysis."

Robert wants to be Michelle

The only inmate close to getting a state-covered sex change is Michelle Kosilek.

She was Robert Kosilek, a laborer who was convicted of murdering his wife in 1990 and given a life sentence without parole.

Kosilek began asking for hormone therapy in 1992, arguing that he felt debilitating depression and wanted to kill himself. "She couldn't look in the mirror," said his lawyer, Joseph Sulman. "She felt trapped in her own body. She was not a man, despite having the genitals of a man."

Doctors diagnosed Kosilek with gender identity disorder, a condition listed in the American Psychiatric Association's Diagnostic and Statistical Manual of Mental Disorders, a book of classifications of mental disorders widely used by American mental health professionals. The newest edition, the DSM-5, now calls the condition gender dysphoria, but it's essentially the same symptoms: intense confusion and strain over one's gender.

5 things to know about gender identity

Kosilek was eventually given estrogen and other drugs, Sulman said, but when she asked for surgery, many Massachusetts officials fiercely opposed funding the operation, which the Boston Globe has reported could cost $50,000.

In 2008, Republican state Sen. Scott Brown filed legislation to ban the use of taxpayer money to pay for the surgery.

"We have many big challenges facing us as a nation, but nowhere among those issues would I include providing sex change surgery to convicted murderers," Brown said, according to the Boston Globe. "I look forward to common sense prevailing and the ruling being overturned."

More than 20 state lawmakers sent a letter to the state's prisons chief saying they did not support providing Kosilek a state-funded operation.

The legislation failed.

In September 2012, two decades after Kosilek first requested treatment, U.S. District Judge Mark Wolf ruled that the state must pay for the surgery, citing the 8th Amendment.

Wolf made history. While other judges across the country had ordered corrections departments to provide drugs and psychotherapy to gender-confused inmates, he was the first to order that the state pay for surgery.

The government is in the process of appealing the ruling, and Michelle Kosilek remains, anatomically, a man.

"Michelle understands that to get this far is a very big deal. It's precedent-setting," Sulman said. "To go from not being able to look in the mirror to feeling trapped in her own body to knowing that there is chance to fully transition, I think her mental state has improved."

Read more about the Kosilek case

Michael wants to be De'lonta

A Virginia inmate is close to getting a similar ruling. In 2004, inmate Michael Stokes, serving 73 years for bank robbery, was able to reach a settlement with the state's corrections department that allowed her to receive hormones behind bars.

Stokes was going by Ophelia De'lonta and, with permission from correctional officials, styling herself like a woman, wearing makeup and tweezing her eyebrows. According to a court document (PDF), she was seeing a prison therapist about her incessant urges to rid herself of the genitalia she was born with. She kept telling prison officials that she felt overwhelmed.

Eventually, De'lonta couldn't take it anymore. She bought disposable razor blades at the prison commissary and tried to cut her penis off.

After her hospitalization, she filed a federal lawsuit in 2011, claiming that the state failed to provide adequate medical care because it refused to give her a sex change operation.

In January, the 4th U.S. Circuit Court of Appeals found that De'lonta can argue that denying her the surgery violates the 8th Amendment's prohibition against cruel and unusual punishment.

As De'lonta's case makes its way through the courts, there could be more to come across the nation.

In 2012, the Federal Bureau of Prisons updated its health care policy to include transgender inmates.

Bureau spokesman Chris Burke said officials would not be giving interviews on the topic, but he forwarded its patient policy (PDF), which says an inmate has the right to an evaluation to determine whether treatment is necessary.

A unstudied population

Correctional professionals know little about how many inmates like De'lonta or Kosilek are inside U.S. prisons.

That could be a big problem, some experts say, because transgender people are more likely to wind up in the criminal justice system than others in the general population, and they are at higher risk for security problems behind bars.

The National Gay and Lesbian Task Force and the National Center for Transgender Equality published a 2011 report based on a survey of 6,450 people who identified as transgender or gender-nonconforming. Sixteen percent said that they had been compelled to make a living illegally, such as prostitution or selling drugs, due to discrimination that led to bad work environments, loss of a job, poverty and other tough situations.

Once in jail or prison, those people reported that they had been physically or sexually assaulted because of their gender issue.

A 2007 University of California, Irvine study found that people who identify as transgender are 13 times more likely to be sexually assaulted in prison.

There were 1.6 million inmates in state and federal prisons in 2011, according to the Bureau of Justice Statistics. Yet only a few studies appear to have been done on identifying prisoners who are transgender.

A 2009 study of California's men's prisons identified more than 330 transgender inmates -- people born as men but identifying as women -- out of a population of approximately 160,000.

More than 80% of the inmates said they live as women before being prisoners, and nearly half had lived on the streets.

These figures are partly why, in 2011, authorities in the Chicago area began housing transgender detainees based on the gender they identify with rather than the one they were born with, according to The New York Times.

Transgender detainees at the Cook County Jail are allowed to meet with a panel of doctors and therapists to determine where they should be housed, and correctional employees are instructed to let transgender inmates wear clothing or use hygiene products that they feel suit their gender.

Corrections employees are also trained in how to interact with transgender people.

A similar program was implemented in Denver last year.

When an arrested person is booked, they are evaluated to determine where they should be placed: a female or male housing unit, taking into consideration which gender the person lives as.

"It seemed like a no-brainer to us to have this both from a security standpoint and to make the people who come through the justice system feel like they are being treated equally," Denver Undersheriff Gary Wilson said.

"And it's saved us a lot of money," he explained. "Before this, we had to have 23-hour lockdowns to protect someone vulnerable. This made more sense, and with training, it was fairly simple to get off the ground."

California law lets transgender students pick bathrooms

Former Navy SEAL comes out as transgender

Transgender first-grader wins right to use girls' restroom

Transgender MMA fighter goes public

Miss Universe ends ban on transgender contestants

@highlight

Convicted intel leaker Bradley Manning has said he is female

@highlight

The Army has refused to provide hormone therapy for gender reassignment

@highlight

His attorney has suggested he may attempt to move to civilian prison

@highlight

It's not certain he would have a better shot at a sex change there