(CNN) -- India has overtaken China as the world's biggest importer of weapons, with Asian nations the most aggressive consumers of military hardware, a new report says.

Between 2007 and 2011, India's business accounted for 10% of the global arms market, according to data from the Stockholm International Peace Research Institute (SIPRI). South Korea was next, accounting for 6% of sales, followed by Pakistan and China (5%) and Singapore (4%).

Siemon Wezeman, a senior analyst with SIPRI, said India's defense spending reflects its regional security concerns and Delhi's global aspirations.

"India procures arms in relation to its tense relationship with Pakistan and increasingly sees China as a potential threat," he told CNN. "It also wants to assert itself as a major regional or even global power."

Much of this expenditure has focused on the modernization of its armed forces with the purchase of fighter jets and warships, according to The Hindu.

Meanwhile, China's relative decline as an arms importer comes at a time when it is increasing its overall defense budget, investing in major projects such as the development of a stealth fighter jet and an aircraft carrier program. Many of these weapons are instead produced domestically.

At the National People's Congress earlier this month, Beijing announced plans to increase its military spending by 11.2%, a move some analysts suspect is in response to U.S. plans to increase its military presence in the Pacific -- an assertion it has rejected, saying its spending is in proportion to its economy.

China increases defense spending

"The Chinese government has maintained reasonable and appropriate growth in defense spending on the strength of rapid economic and social development and the steady increase of fiscal revenues," NPC spokesman Li Zhaoxing told reporters in March.

But China's announcement is sure to stoke concerns among some its neighbors.

China regards Taiwan as part of its territory and has vowed to use force against the island if it ever formally sought independence. Beijing has also claimed a significant portion of the South China Sea as its own territorial waters, putting it in conflict with other nations that have made claims on portions of the region.

Wezeman said China has gradually modernized its armed forces and arms industry in the past two decades. He said development of the latter was mainly influenced by an embargo on arms sales to China imposed by European Union nations and the United States after the 1989 Tiananmen Square crackdown.

This, he said, forced China to look to other sources such as Russia for new equipment and licenses to produce weapons itself, which in turn helped to improve its own indigenous arms production capability.

As a result, China has become a major exporter of arms. According to SIPRI, it is now the world's sixth largest seller behind the U.S., Russia, Germany, France and Britain -- with India's long-time foe Pakistan chief among its clients.

Russia's defense industry has been the chief beneficiary of India's custom, according to SIPRI, though France has recently muscled in with new deals to supply submarines in addition to Mirage and Rafale combat aircraft from Dassault.

SIPRI estimates India is likely to spend more than $100 billion on weapons in the next 15 years.

@highlight

India's business accounted for 10% of the global arms market between 2007-2011

@highlight

Focused on the modernization of its armed forces with the purchase of fighter jets, warships

@highlight

China has become a bigger exporter of weapons as its defense industry has expanded

@highlight

China and India have been increasing defense spending as their economies grow