(CNN) -- So you want to become a pro golfer. The top players rake in millions of dollars each year, and you want a piece of the action.

Whether you're a promising five-year-old, an amateur trying to make the next step or a professional seeking to kickstart your career, the best way forward is generally to work with the people who've been there and done that.

They might not always be cheap, but golf academies offer training techniques that have taken the likes of Tiger Woods, Lee Westwood and Ernie Els to the top of the tree. But fear not, CNN has some tips from one of the sport's leading instructors, David Leadbetter.

There are three areas where beginner golfers struggle, he says.

First off, you need to hold the club right.

"Most people grip the club too much in the palm of the hand, which creates tremendous tension and doesn't allow the wrist to work correctly," says Leadbetter, who helped Nick Faldo go from a nearly man to the winner of six major titles between 1987-1996.

"People who do this wear a hole in their glove. It's important to hold the club out towards the fingers, not the palm. It helps more golfers than you can believe."

Next, learn how to bow.

"So much of golf is based around how you set your foundations. It's really important that when golfers set up for the ball that instead of having slouchy round shoulders, pull your shoulders down, then your arms can actually get to your chest," the 59-year-old says.

"Almost like how the Japanese how bow: rear end out, slightly bend your knees, pull your shoulder blades down and arms resting in your chest, and you're in perfect position."

From there, it's all about the arms.

"Make sure your arms and chest always stay together through the swing," Leadbetter advises. "Practice little wedge shots -- put a club-head cover or towel under the left armpit and make little half-swings."

Along with Butch Harmon, Hank Haney and Pete Cowen, Leadbetter is one of the most renowned coaches in the golf world.

Their success with major champions such as Faldo, Tiger Woods, Phil Mickelson, Greg Norman, Darren Clarke, Rory McIlroy, Graeme McDowell and Louis Oosthuizen has helped them launch golf schools around the globe.

An hour with Harmon would cost you $600, according to Golf Digest, while Haney charges $500 and Leadbetter brings in $3,500 for a three-hour tuition.

But unless you are a top player, or paying hefty corporate rates, it's unlikely you'll get one-on-one time with these gurus. The next best thing is their schools, which range from short workshops to full-year programs for school-age players.

These aren't cheap, either.

A student accepted into Haney's International Junior Golf Academy, based on Hilton Head Island in the U.S., needs a $7,000 deposit just to reserve their place. However, there are cheaper holiday programs available.

Haney, who worked with 14-time major winner Woods from 2004-2010, also lent his name to an academy in China, at the Mission Hills Haikou resort on Hainan Island, where 2005 PGA teacher of the year Peter Krause was installed as head instructor.

Harmon, whose father Claude won the 1948 Masters at Augusta, took on Woods as a top young amateur in 1993 and helped transform the American into a global phenomenon -- spending a record 264 weeks as world No. 1 -- until their split in 2004.

His Las Vegas-based golf school offers three-day courses with the man himself for $5,900 (including four nights' accommodation at Caesars Palace), and a similar package with his staff professionals for $2,400.

Junior deals cost just $225, while video lessons are offered for $30 an hour.

Leadbetter became a coach after failing to qualify by one shot at the European Tour School as a hopeful young professional.

"I went and studied with some of the top coaches at the time," he told CNN of his early days before making his name refining the swing of fellow Englishman Faldo.

"He was a successful player by the time he came to see me, but he realized he needed an extra gear if he was going to win the big ones," Leadbetter said.

"He was very much a perfectionist, and the challenge was we didn't see immediate results, it took a couple of years. We had to work through that period where we weren't getting good results, but it all worked out in the end."

Leadbetter's Florida-based academy, with 36 holes designed by former client Norman, has become the headquarters for a worldwide empire located in 13 countries including Spain and China.

Former child prodigy Michelle Wie was one of his most famous students, and he has worked with four players who have reached golf's No. 1 position.

"A coach these days is much more than just a swing instructor, you're almost a part-time psychologist as well," Leadbetter said.

He expects the trend of Asian players dominating the women's pro ranks to spill over onto the men's circuit soon.

"They have the discipline. It's a great sport for the Asian mind: they're very methodical, very even-keeled and have tremendous work ethics. Not only in golf but in all walks of life. It's an ideal sport for them to play."

Els, another of Leadbetter's success stories, is also helping to teach young players in his native South Africa.

The 41-year-old, a three-time major champion and the European Tour's all-time leading money winner, set up a foundation in 1999 that focuses on kids from families with limited resources. His players take on those from Woods' foundation in an annual Ryder Cup-style match play competition.

The most successful graduates so far are Oosthuizen and Charl Schwartzel.

Oosthuizen stunned the golfing world in 2010 by winning the British Open after making the halfway cut in only one of his eight previous major appearances.

"Things weren't going that great on the farm, and we just heard of this foundation which had just started," Oosthuizen told reporters at St. Andrews about his early days.

"It was an unbelievable three years with what Ernie did for me, traveling around the country, helping with expenses, giving clinics, things like that. He's such a good mentor, probably without him I wouldn't have been here."

Oosthuizen has also worked with Cowen, a coach who helped Northern Irishman McDowell win the U.S. Open last year and Clarke the 2011 British Open.

Cowen, who has academies in his native England and Dubai, counts eight-time European No. 1 Colin Montgomerie and Oosthuizen's 2011 Masters-winning compatriot Schwartzel among his former clients.

He also helped Lee Westwood to become world No. 1 last year, and move within striking distance of overhauling Els' European money record.

Westwood is another player giving back to the golfing community.

The 38-year-old runs clinics at courses across England, and has branched out with sessions in Spain at La Manga.

Non-residential academies cost about $235 for three days, with entrants having the chance to win equipment and a day playing with Westwood.

Els believes that such schools are vital for golf's continued development.

"I don't think there's another sport that does more for its young participants," he wrote on Links Magazine's website.

"Tiger, myself and a lot of other guys on tour all can remember those who helped us when we were growing up. It is why we give back to the game at the junior and grass-roots level.

"The future of the game is bright, but only if we continue to make golf accessible to the younger generation. If we all do our bit, the combined effect is significant.

"I believe that introducing and encouraging a youngster in golf gives them a step up on life's ladder. If they go on to become great players, that's a bonus."

@highlight

Golf's best-known coaches have set up academies all around the world

@highlight

They cater for young players, professionals and weekend warriors

@highlight

One-on-one tuition is expensive but cheaper options are available

@highlight

Working with golf's top names helps coaches establish their empires