(CNN) -- Traveling in a plane soaring 2,400 meters above the ocean when the door in front of you suddenly swings open, is many things: terrifying, disturbing, dramatic.

For former New Zealand Prime Minister Helen Clark, it was also "a bit annoying."

If it seems like the understatement of the century, then that's because you get the impression there isn't much that rattles the 63-year-old, who is now the third most powerful person at the United Nations.

Back in 2005, the then-prime minister was flying along the south west coast of New Zealand when her six-seater plane hit turbulence, forcing the door to swing open.

After some scrambling the rogue door was closed, and Clark -- today the Administrator of the United Nations Development Program -- landed safely, though with a badly bruised elbow. That was the "annoying" bit, she said.

Eight years later, securely seated in the United Nations office in New York, one of the longest serving female prime ministers of all time says "nothing" scares her. Well, apart from a few extreme sports.

"I think I've conquered fear," she said. "Except I'm not going into a parachute jump. I don't want to go into a bungee jump -- wonderful revenue earner for New Zealand tourism that it is. And I don't want to do a deep sea dive," she said.

"So there's three things off my list but I'll try almost anything else."

Small country, big ambition

Almost a decade before German Chancellor Angela Merkel was toasting a third consecutive term in office, Clark was on the other side of the world celebrating her own successful third election.

Clark, the leader of the New Zealand Labour Party, led the country for nine years, from 1999 to 2008. That's just two years less than British Prime Minister Margaret Thatcher. And six years longer than recently ousted Australian Prime Minister Julia Gillard.

Since leaving politics and joining the United Nations in 2009, Clark's international profile has continued to grow -- this year Forbes' ranked her as the 21st most powerful woman in the world.

"I could not have credibly done this job [at the United Nations] if I had not had the experience of leading a small country," she said of New Zealand, which has a population of around 4 million.

"There's no greater accountability than having to face your own electors every three years. So I like to think this has been a preparation for this position now."

Women of the world

Clark is also the first female to head the United Nations Development Program, overseeing 8,000 staff in 177 countries, and an annual budget of $5.8 billion.

Her vision is a big one: "Eradication of poverty and tackling exclusion and inequality in our world -- and doing it in a sustainable way."

Where does one start with such an immense goal? For Clark, part of the answer lies in the empowerment of women.

"If you can't inherit the family property, if you can't borrow money, if you can't hold title to land or a rental title because you're a woman -- this isn't fair," she said.

"Oftentimes attitudes towards women can be the tremendous unseen barriers -- people don't see a woman doing certain jobs. I've had a lot of experience of crashing my head through glass ceilings so I know it can be done, but it's not something you do by yourself. You have to build support networks."

Force of nature

Growing up on a farm in New Zealand, Clark learned to be self-reliant from a young age -- a trait she's held throughout her career.

"We slaughtered our own meat, we grew our own vegetables. I think I come from generations of extremely resilient people who tend to survive through thick and thin," she said.

To illustrate her point, Clark recalls meeting another head of state on the steps of New Zealand parliament one day: "I had the keys in my hand and I said 'come along with me.' I unlocked the door to the private lift and took him up. He was astonished. Where was the army of functionaries who were opening the door pressing the lift button?"

When her party suffered a devastating defeat at the 1990 elections, Clark was down, but not out. "I became well known in New Zealand for saying 'let's move on,'" she said. "Another door will open if you look for it."

And while leading the United Nations Development Program has been one of her greatest achievements, it has come with sacrifices, such as working on the other side of the world from husband Peter Davis.

"I don't necessarily want to be remembered as the most popular girl on the block," she said. "I want to be remembered as the girl who made a difference."

@highlight

Helen Clark opens up about being third most powerful person at U.N.

@highlight

Former NZ Prime Minister now head of U.N. Development Program

@highlight

First female to hold position at U.N., ranked 21 on Forbes list of powerful women