(CNN) -- The immigration debate took center stage Thursday as U.S. President Barack Obama fielded questions in a forum broadcast live online by the Spanish-language Univision network.

"I want you to acknowledge that you did not keep your promise," co-host Jorge Ramos said in Spanish, noting that the president didn't deliver on his 2008 campaign pledge to push immigration reform during the first year of his term.

Obama said the first year of his term was consumed by efforts to help the economy and stop the country from going into another Great Depression.

And Republican political opponents, he said, kept many significant immigration measures from getting off the ground.

For immigrants, 'deferred status' still means no federal health insurance

"I am happy to take responsibility for the fact that we didn't get it done," Obama said. "But I did not make a promise that I would get everything done 100% when I was elected as president. What I promised was that I would work every single day as hard as I can to make sure that everybody in this country regardless of who they are, what they look like, where they come from, that they would have a fair shot at the American dream. And that promise I've kept."

Asked whether his move this summer to halt deportations of some children of illegal immigrants was politically motivated by a desire to win the Latino vote, Obama said, "I think if you look at the polls, I was winning the Latino vote before that.

"I did this because I met young people all across the country, wonderful kids who sometimes were valedictorians, were participating in the community, had aspirations to go to college, some were serving in our military. ... There's no way you would think it was fair or just for us to have them suffering under a cloud of deportation," he said.

After answering a series of Spanish questions about topics ranging from teacher strikes to Mexico's drug war, Obama brought up the topic again at the end of the forum.

Asked by Ramos to identify his biggest failure, Obama offered a quick response.

"Jorge, as you remind me, my biggest failure is that we haven't gotten comprehensive immigration reform done," he said. "But it's not for lack of trying or desire."

The hourlong forum, co-sponsored by Facebook, was broadcast live online in Spanish and English on Thursday afternoon and was scheduled to air on Univision later Thursday night.

On the campaign trail, both Obama and Republican challenger Gov. Mitt Romney have discussed immigration in their efforts to woo Latino voters, considered a key demographic in the November election.

Obama handily won the Latino vote in 2008 over Republican Sen. John McCain, and recent polls have showed Obama leading Romney among Latino registered voters.

Romney steps up effort to woo Latino voters in Univision forum

The impreMedia/Latino Decisions weekly tracking poll reported Monday that Obama held a 68% to 26% advantage over Romney among Hispanics.

A Gallup poll conducted partially before and partially after the Republican National Convention at the end of August said Obama leads Romney among Latino registered voters 64% to 27%.

But Latino leaders have criticized the president for an overall increase in deportations of undocumented immigrants in recent years. Last year, U.S. Immigration and Customs Enforcement removed 396,906 illegal immigrants, the largest number in the agency's history. Some Latino leaders have also criticized the president for not moving quickly enough on immigration reform at the beginning of his presidency.

Obama: 'I need a dance partner on immigration reform'

Politicians across party lines have vowed to fix what they argue is the nation's broken immigration system.

But it's unclear what shape so-called comprehensive immigration reform could take -- particularly in a politically divided Congress. Many immigrant rights groups have proposed creating a "path to citizenship" that would give millions of illegal immigrants an opportunity to become legal residents. Critics have called such proposals unfair offers of amnesty to lawbreakers.

Measures aimed at dealing with the thorny issue -- including the DREAM act, proposed by Democrats and backed by Obama -- have not gained enough support to pass Congress despite several attempts.

The Obama administration has said its deferred action policy -- which allows people younger than 30 who arrived in the United States before the age of 16, pose no criminal or security threat, and were successful students or served in the military, to apply for a two-year deferral from deportation -- is a temporary measure aimed at addressing a problem that requires a permanent solution.

During the primary campaign, Romney said he opposed the DREAM Act, but also called for an unspecified GOP version that has yet to emerge from the party or his campaign.

On Thursday, Obama said he had never wavered in his support for immigration reform and criticized Romney's stance on the topic.

"The issue here for voters is whose vision best represents the aspirations, not just of the Latino community, but of all Americans who believe that we are a nation of laws and a nation of immigrants. And that candidate I believe is talking to you right now," he said as the audience at the University of Miami cheered.

Romney spoke for about 35 minutes in another "Meet the Candidates" forum hosted by Univision on Wednesday.

The events come weeks after Ramos criticized the Commission on Presidential Debates for not picking a Latino debate moderator.

"I think that they should have noticed that this country is changing very rapidly," Ramos told CNN in August. "Minorities, for instance, surpass whites in U.S. births, and those changes simply are not reflected. I really can't believe why they didn't choose a member of a minority group to be part of at least one debate, and I really can't understand why (the commission didn't pick) a journalist from the fastest (growing) voting block in the country, the Latinos."

The bipartisan commission that organizes presidential debates announced the moderators last month.

PBS' Jim Lehrer will host the first debate on October 3 in Denver. Candy Crowley, CNN's chief political correspondent and host of "State of the Union," will host the second debate on October 16 in Hempstead, New York, at Hofstra University. And CBS' Bob Schieffer will host an October 22 debate in Boca Raton, Florida.

Univision presidential forums stocked with partisans

CNN's Sarah Aarthun, Tom Cohen and Kevin Liptak contributed to this report.

@highlight

Obama says stalling of immigration reform was "not for lack of trying"

@highlight

Recent polls have showed President Obama leading among Latino registered voters

@highlight

Latinos are considered a crucial bloc for the November election

@highlight

The forum comes after co-host criticizes lack of Latino moderator in upcoming debates