In order to understand the turbulent world of Thai politics, you have to start with one name: Thaksin Shinawatra.

The former prime minister has dominated the country's political scene for more than a decade despite going into exile after his ouster in a 2006 coup.

Back in 2010, deadly clashes took place between security forces and Thaksin supporters who had occupied central Bangkok. They were demanding his return.

Now, his sister is in power and she recently tried to pass an amnesty law that could have allowed his return. The attempt failed, but it provided fuel for the current protests shaking the capital.

Here's a quick primer to make sense of it all.

1. Who is Thaksin?

He's a deeply polarizing figure -- a billionaire telecommunications mogul who built his political power on policies popular with Thailand's rural villagers. His success ruffled a lot of feathers among the country's established elites, and critics accused him of corruption and autocratic rule. He was prime minister between 2001 and 2006, when the military deposed him in a bloodless coup.

2. What happened in 2010?

Thaksin's ouster spurred the protest movement that developed over the years into the widespread "red shirt" demonstrations that occupied upscale parts of Bangkok in 2010. By that stage, the movement had broadened to represent other issues, including resentment at the military's involvement in politics and economic inequality. The crackdown by security forces on the red shirts resulted in clashes that left around 90 people dead. It has been described as the worst civil violence in Thailand's history, and the country remains severely scarred by the experience.

3. Could the current protests lead to a repeat?

The situation is different this time.

Those protesting are opponents of Thaksin rather than his supporters. His sister, Yingluck Shinawatra, is now prime minister. Her government is under pressure after widespread anger over its recent failed attempt to pass a bill that could have granted amnesty to Thaksin and others.

Although the public has generally moved on from the conflict over the amnesty bill, the opposition Democrat Party is trying to use the issue to bring down Yingluck's government, says Paul Quaglia, director of the Bangkok-based risk assessment firm PQA Associates.

"The government is facing probably a countdown until it will have to dissolve and hold new elections," Quaglia says. "But it doesn't look like it's a replay of 2010 when we're going to see violence in the streets and an extended takeover of central Bangkok."

4. What has Thaksin been up to?

He has been living in exile in a number of different places, most recently Dubai, while continuing to play an active role in Thai politics.

He briefly returned to Thailand in 2008. Later that year, he was convicted by a Thai court of corruption and sentenced in absentia to two years in prison over a controversial land deal. Courts have also frozen billions of dollars of his assets, but he is believed to still have a great deal of money held elsewhere.

He's also stayed heavily involved in Thai politics over the years, communicating with supporters via social media and video messages. With his younger sister in power since 2011, his influence remains strong. Critics say Yingluck is Thaksin's puppet, but she insists she has always been independent.

5. What is happening this week?

After weeks of demonstrations, thousands of protesters have gathered around government buildings in central Bangkok, occupying some of them for varying periods of time. Yingluck has expanded the area in and around Bangkok covered by an internal security law that gives police extra powers to disband protesters. In parliament, the Prime Minister is facing a "no confidence" motion against her. And police have issued an arrest warrant against protest leader, Suthep Thaugsuban.

For most of Bangkok, business as usual despite protests

6. What's at stake for the region?

The demonstrations are bringing instability once again to Thailand, a key regional economy and popular tourist destination. The protests are centered on Bangkok, a vital transportation hub, especially for air travel. So far, the protests are concentrated in specific parts of the city. More than a dozen countries have issued travel warnings for citizens to avoid areas near protests in Bangkok.

7. What do the demonstrators want?

Suthep Thaugsuban, a former deputy prime minister under the previous Democrat-led government, has said the demonstrations "will not stop until Thaksin's regime is wiped out." Such an aim seems ambitious. Yingluck's government was democratically elected and her Pheu Thai party retains support in its core areas. The current protests have echoes of 2008 when demonstrators opposed to a pro-Thaksin government occupied Bangkok's main airport and government offices.

8. Where are the protesters getting their support from?

Opposition to Thaksin and Yingluck is strongest among the urban elites and middle class. That means the capital.

"Bangkok is the ground zero for anti-Thaksin protest movements," Quaglia says. "The rest of the country, other than southern Thailand, is either in his camp or sort of politically neutral." That's why the recent demonstrations have been concentrated in the streets of the capital.

9. What's the government's support base?

Thaksin's traditional support comes from the populous rural areas of north and northeast of Thailand. The government's botched amnesty move may have hurt its standing in those areas, but not fatally.

"Despite the pictures of thousands of people in the street that doesn't necessarily mean the government will go -- or if it does go, that it will lose the next election," Quaglia says.

10. What is likely to happen next?

Questions remain over the ability of Yingluck's government to maintain order in the capital and weather the heavy political pressure in Parliament. Some observers are concerned that government supporters, tens of thousands of whom rallied in Bangkok on Sunday, could clash with opposition demonstrators.

Yingluck has said authorities would "absolutely not use violence" to disperse the demonstrators.

Even if Yingluck survives the "no confidence" motion against her, the situation appears unlikely to calm down soon.

"We're going to see political instability here for some time," Quaglia says.

@highlight

At the heart of the unrest is the polarizing figure of Thaksin Shinawatra

@highlight

His sister is now prime minister, and critics say she's his puppet

@highlight

A recent move to grant amnesty to Thaksin and others caused anger

@highlight

Protesters say they won't stop until "Thaksin's regime is wiped out"