West Virginia is recovering from another hazardous health crisis -- a toxic chemical spilled into the Elk River that poisoned the water supply for hundreds of thousands of residents.

Safety and health advocates are cautiously optimistic things will change following the leakage of 4-methylcyclohexane methanol from a storage tank belonging to a company called Freedom Industries. But that appears doubtful based on past experiences.

Pregnant West Virginia women told to drink bottled water

"Chemical Valley," as it's known, has a less than stellar record. This is the third major accident in just over five years.

In 2008, a Bayer Cropscience pesticide explosion killed two workers and injured eight others. Two years later, three consecutive accidents at a DuPont plant released a deadly nerve agent used in World War I, killing one worker.

The Chemical Safety Board investigated and in both cases found that the companies cut critical corners to save money.

In the Bayer Cropscience explosion, the report found multiple "deficiencies" and "critical omissions."

In the DuPont accident, the CSB found "numerous safety deficiencies" and "incomplete investigations" of previous near accidents.

But safety advocates say local and federal officials did little to beef up safety standards and protections.

"Any kind of real reform is not there," Maya Nye, spokeswoman for People Concerned about Chemical Safety, said. "Our lives are currently in the hands of chemical industry lobbyists."

After the most recent incident, the chemical industry said it would consider taking appropriate steps if they are needed.

The chemical industry in West Virginia is a lot like the coal industry -- large and powerful.

CNN tests at 2 W.Va. sites show acceptable chemical levels in water

Elected officials have been reluctant to take on industries that contribute millions of dollars to political campaigns and also employ tens of thousands of people in the state, which is dependent on these high-risk, high-reward industries.

Neil Berch, an associate professor of political science at West Virginia University, said the latest incident raises the same debate that followed past chemical spills -- as well as questions about the erosion of mountains from mining and deadly accidents relating to coal, including the Massey Energy Upper Branch Mine explosion of 2010, whicht killed 29 miners.

"There's always a tension between the economic benefits ... and the environmental issues," he said.

Even Nye, who is lobbying for better safety measures for chemical tanks, is sympathetic.

Her father worked for the chemical companies and she acknowledged that it's a dominant source of livelihood for West Virginians.

"It's what the economy is dependent upon," Nye said.

The chemical industry employs more than 27,000 West Virginians and boasts that the average annual wage is $78,000. The coal industry, which is even more powerful in the state, employs 60,000 people.

And both the coal and chemical industries fiercely fight additional oversight that they say is too costly.

On the front page of the West Virginia Coal Association's website, a banner blares: "Let EPA hear from America today. EPA policies are hurting real people!" referring to the Environmental Protection Agency.

And just three days before the chemical spill, the American Chemical Council responded to proposed safety topics of discussion. While the organization said it would support some ideas, it said it is "concerned" that some options would "further complicate an overly complex regulatory system by creating requirements for assessing safer alternatives."

What is 4-methylcyclohexane methanol?

In response to the most recent chemical accident, the chemical industry group said in a statement: "If careful examination suggests that new steps are needed, ACC will work with members of Congress to ensure any new rules are targeted and minimize unintended consequences."

Berch said elected officials are most concerned with "keeping the coal industry alive."

Those tensions are apparent as elected officials are measured in their response, and it crosses party lines.

In an interview on Friday on CNN, Sen. Joe Manchin, a Democrat and a former governor, said he is "not going to cast guilt on anybody."

Manchin said, however, that he would push for legislation that would require inspections of chemical tanks near water.

In the House, Republican Rep. Shelley Moore Capito, who represents Chemical Valley and is running for Senate, has called for a congressional investigation. She said she supports a review by the Chemical Safety Board.

But both Manchin and Capito have repeatedly made sure to separate the latest spill from the coal industry, even though the chemical involved is used in that industry.

"We have the country we have today because of the coal that has been provided, a lot of it from West Virginia, that has given us the life that we have and the wars that we have won and everything that we have taken for granted," Manchin told CNN.

"The incident that happened with this spill is not related to my view of the EPA, of overreaching and not looking at economics and trying to reach a balance in the energy industries," Capito told The Charleston Gazette. "I see this as a chemical issue, and so the coal issue is secondary."

Fueling elected officials' soft approach is a deep distrust of the federal government among West Virginians, who feel forgotten and insignificant to Washington.

"The sentiment of the people is probably related to the influence of coal," Berch said, as coal runs successful campaigns against government intrusion.

The federal government has also failed to protect West Virginia residents from deadly chemical and coal accidents.

More investigations launched as 180,000 residents still without water

In this instance, Angie Roser, executive director of the West Virginia Rivers Coalition, said at least three federal laws, including the Clean Water Act and the Safe Drinking Water Act, should have provided oversight of the chemical tanks, but that the local Department of Environmental Protection hasn't been on the site since 1991.

While federal laws are going unenforced, state and county laws are failing to fill in the gaps, she said. No local law exists that requires the inspection of above-ground chemical storage tanks.

And at a second facility owned by Freedom Industries, inspectors have cited five violations, including for storage and containment.

Now both Manchin and Capito have asked the Centers for Disease Control and Prevention to explain why pregnant women are advised to drink bottled water when drinking restrictions are slowly being lifted for other residents.

"We are deeply disappointed in the CDC for recommending a screening level before receiving all relevant studies and information, which has resulted in confusion, fear and mistrust among Kanawha Valley residents," they wrote in a letter to the CDC.

The state has not fared much better.

The state admitted it has no response plan for a release of the chemical, The Charleston Gazette reported.

In the latest incident, seepage from the tank entered the soil, found its way to the Elk River and then entered a water plant downstream.

Nye said she can still vividly remember the oxygen liquid blast in 1978, when she was 8 years old, that killed three people. In addition to the 2008 and 2010 chemical accidents, Nye said there have been many more smaller-scale ones.

"I am concerned with all the tanks; there are so many of them," Nye said, saying they are too numerous to even know how many exist in Chemical Valley. "You name the chemical and we've got it."

She said she has lived through numerous shelter-in-place orders to protect against chemical accidents. More disturbingly, she said there have been accidents when people should have been ordered to stay indoors but weren't, because it's up to the chemical company to admit and determine the hazard -- a system that allows for little accountability, Nye said.

She is optimistic that things will change this time.

"I think because so many more people were impacted, the response will be different," Nye said.

Local West Virginia officials are signaling that more oversight is necessary and numerous local and federal investigations have been launched.

But that deep-seated distrust of government could persist.

With a trickle, not a flood, water restrictions are ending

"A lot of people I've talked to have said they will never drink their water again," Rosser said.

@highlight

The Charleston area has experienced 3 hazardous material incidents over 5 years

@highlight

The chemical, coal industries are politically and economically powerful in West Virginia

@highlight

Safety, health advocates cautiously optimistic response will be different this time