LONDON, England (CNN) -- In the developing world millions of people struggle to operate machinery, read from a blackboard, or just see the world around them, because they don't have access to the eyeglasses they need.

Self-refraction glasses let the wearer adjust the lenses to suit their vision, without the need for an optometrist.

But a pair of glasses developed by Joshua Silver, a physics professor at the University of Oxford, offers an affordable solution.

The glasses can be adjusted to the right strength by the wearer without the need to visit an optometrist.

A major reason for that is a chronic shortage of optometrists -- in Ghana, for example, there is just one for every eight million people. That makes it incredibly difficult for ordinary people to visit an optometrist, without which it's impossible for them to get glasses.

But Silver thinks he may have come up with a solution to the problem. His self-refraction glasses mean people can correct their vision without needing an optometrist (see Fact Box).

"Take a Sub-Saharan country where there is one optometrist for every million people; those people will never see an optometrist, so how will they get eyewear?," he told CNN.

"Any model of delivery of vision correction in the developing world that depends on eye care professionals won't work. If you find a model that doesn't rely on them, then you potentially have a solution."

Silver has been developing the glasses for over 20 years and continues to research the technology at the Center for Vision in the Developing World (CVDW) at the University of Oxford.

He told CNN that about 80 percent of those who try the glasses are able to correct their vision, but there are limitations. They can't be used to correct astigmatism and it's not known if they are suitable for children, although the CVDW is currently running a study to determine if schoolchildren can correct their own vision with their teachers' help.

So far, 30,000 pairs of self-refraction glasses have been distributed around the world, through an adult literacy program in Ghana and the U.S. Military Humanitarian and Civic Assistance (HCA) Program.

The man behind the HCA program was Kevin White. He has now retired from the military and has set up Global Vision 2020 to distribute self-adjustable glasses.

White has just returned from Liberia, where he trained 40 people from local NGOs to dispense the glasses. White sees charity organizations already working in developing countries as the key to distribution.

"If I can train people from existing networks to dispense glasses, and they can spare one day each week or month to dispense the glasses, then they can see 50 to 100 people in a day -- and that's a way to reach a lot of people," White told CNN.

But for the program to be sustainable, White says the next step is to train his dispensers to become trainers themselves, so that he builds a growing network of people in developing countries who can distribute the glasses.

Silver estimates that one billion people in the developing world don't have access to the glasses they need, and he has said that he would like to see all of them wearing glasses by 2020. But he is under no illusions that he can do it alone.

"No one person or company can possibly deliver that many glasses by 2020. There's a big infrastructure that needs to be set up to do that, and I'd like to see it happen," he told CNN.

Distribution is one problem, cost is another. Currently, it cost $19 to manufacture a pair of self-refraction glasses, and Silver acknowledges that the price needs to come down to a few dollars a pair to make them affordable.

Another issue is style. The glasses are currently functional, rather than fashionable, and that may limit their uptake, but more cosmetic versions are being developed.

Silver says far more research is needed before those one billion people get their glasses, but he sees his self-refraction technology as a step toward that goal.

He told CNN, "It's one of the world's largest problems. There's an immense amount of interest in solving it and self-refraction is one route that can assist with that."

@highlight

A lack of optometrists means many in the developing world can't get glasses

@highlight

Josh Silver has developed glasses with lenses that can be altered by the wearer

@highlight

The technology could be used to provide glasses for one billion people

@highlight

Global Vision 2020 is training charity workers to dispense the glasses