Detroit, Michigan (CNN) -- Dave Bing was once the kind of guy who might sing a little Motown in the shower, or even club-hop with actual Motown artists.

What different times those were for the mayor of Detroit.

Bing was born and raised in Washington but long ago built a life in the city symbolic of the country's rise and crash. He was drafted by the Detroit Pistons in 1966 and played with the team for nine seasons. After his basketball career ended, he returned to the city to launch an automotive supplier, Bing Group. He spent 29 years building the business, he said, and by 2008 he thought maybe it was time to retire.

Wrong.

Bing had once supported former Mayor Kwame Kilpatrick, but not after Kilpatrick tumbled deep into scandal that led to his resignation and a jail sentence. A small group of friends convinced Bing to run, he said, and he won the chance to finish Kilpatrick's term in 2009. Later that year, he secured a full term.

Sports, Bing said, taught him how to work on a team, to understand skills and weaknesses. Business showed him how to find and grow talent, how to recognize his own skills and weaknesses. None of it could have prepared him to run Michigan's largest city. Bing hasn't announced yet whether he'll run for re-election next year.

"It was in much worse condition than I ever anticipated," Bing said of Detroit. "We're working through the process as I speak, but it's probably the second most difficult job in this country behind the president."

Indeed, he's facing the threat of bankruptcy, stalemates with city council and hard, sometimes raucous talks with Detroit residents and city workers. This summer hecklers riled about city pay cuts shouted him down during a community meeting.

One day later, Bing was calm, too busy to think long about chants and criticism. There's no time for it, he said. No time anymore to sing, no time for late nights on the town. There's hardly time to sleep, he said. But it doesn't change his belief in the city that fills his memory and dominates his thoughts.

So, CNN asked Bing: In a city notorious for its troubles, what would you want visitors or residents to see?

Here are some of his answers.

Detroit's riverfront

"We have something that's distinct from almost any city in the country," Bing says, a view across a waterway and into another country.

"It's beautiful," he said.

Detroit's riverfront draws together public space, art and events, especially along the River Walk. Within a few years, he expects there to be more attractions, commerce and living space along the water. It's the Motor City, but the city needs to give more people more reasons to get out and walk, he said.

Detroit Institute of Arts

High on Bing's list of must-sees for Detroit is a trip to the Detroit Institute of Arts, a 658,000-square-foot, 100-gallery museum founded in 1885. Its collection features American, African-American, European, African, Asian, Native American, Oceanic, Islamic and ancient art, as well as collections of modern and graphic art.

"I think the Detroit Institute of Arts is probably renowned worldwide," Bing said.

Earlier this year, metro Detroit voters went for a property tax increase that will supply the museum with an estimated $23 million annually for 10 years. The funding is expected to help stabilize the museum's budget and dodge dramatic cuts to exhibitions, education and hours. The museum now offers free admission to residents of the three counties that approved the tax.

"Huge investments had been made in a lot of our cultural institutions," Bing said. Even as other parts of the city struggled, "I think that's one thing we've held on to."

Motown Museum

When Bing moved to Detroit in the 1960s, he came as a basketball player, a celebrity of sorts. He slipped right in to the nightlife of the time, and that meant Motown.

"The athletes, we always thought we were entertainers, and the entertainers thought they were athletes," he said. "We really got together quite often."

Smokey Robinson, the Temptations, the Four Tops, the Supremes -- he said he knew them all well.

"You fell in love with them because they were true entertainers," he said.

He's too busy now to sing, but anybody who comes to town should know that history, he said. Some of it is kept up at the Motown Museum, a music-studio-turned-museum known as Hitsville, U.S.A., founded in 1985.

"People don't realize how Motown got started, where it got started. I mean, it was a little house," Bing said. "For all the success they had out of that one little place, people need to see that."

Detroit's Tigers, Lions, Red Wings -- and Pistons?

Bing is proud to call Detroit home to four professional sports teams -- the Tigers, Lions, Red Wings and Pistons. He loves the energy of a game, the pride teams bring to the city and the crowds in stadiums and restaurants.

But as an NBA Hall of Famer who came to Detroit for basketball, he'd rather the Pistons move back to the city from their suburban home, the Palace of Auburn Hills.

He didn't lay out a plan for how to make it happen, but he said it's a goal.

"My whole career in basketball was downtown, and I think that's where it belongs, and I'll do everything I can to try to get it back downtown," he said.

The future

"There are several very strong neighborhoods in our city," he said, the areas around Midtown and Detroit's downtown, especially. But he's optimistic about what comes next.

Here's his prediction for what visitors and residents will see in a decade:

"Instead of seeing the vast amount of empty land where there's nobody there, I think we've got to do some different things. Urban farming is something we've been talking about for some time. We will probably see some of that.

"We would see people living out in neighborhoods where there's only one or two homes. We're not going to see that. We're going to try to convince those people to move so there's density in all of our neighborhoods, so we can really look out for each other, we can help protect each other, we can bring people and families back together again like it used to be. Where we care for each other, where we support each other. That's the kind of city I see."

@highlight

NBA Hall of Famer Dave Bing became Detroit's mayor in 2009

@highlight

"It's probably the second most difficult job in this country behind the president," Bing said

@highlight

Bing offered up five can't-miss things in Detroit for visitors or residents

@highlight

Some spots, like the Motown Museum, are already famous; some he hopes will be