(CNN) -- Talk with two people who have been to Marrakech and you'll get very different views on what a trip there is like.

One person will speak of the allure of wandering through a warren of market streets; the other will complain of getting lost over and over again. One will tell you that people there are among the friendliest they've met, if you can meet them halfway on the language. The other will say that the locals are only out to make money and not even directions are free. The food is exotic yet easy on the palate, or restaurants serve up bland clichÃ©s that still manage to turn you inside out.

And they would both be correct. Bottom line: Marrakech is not for the timid traveler.

My wife and I visited last November. We had heard it had much of what we look for in a travel destination: Centuries of history coupled with a very modern vibe. The city has a European feel, from the brand-name stores to the widespread use of French as a second or third language.

The crowded souks and calls to prayer from the mosque minarets are what you would find at the heart of a Middle Eastern country. It is the outline of the High Atlas Mountains that reminds you that this is North Africa.

Share your Morocco tips and photos

The city's origins stretch back to the 11th century. Back then Marrakech was a key trading route with sub-Saharan cities. And like other hubs -- Bruges as a European port, Samarkand on the Silk Road -- Marrakech had its golden epoch before falling from favor. The result is that parts of the city within the rose-colored walls and imposing gates surrounding the medina, or Old City, have a sense of being frozen in time.

The massive Jemaa el Fna is likely to be the focal point of your time in Marrakech, both as a destination and as a much-needed reference point. It is one of Africa's largest squares, and as long as the city has existed it has been a place where storytellers, musicians, healers and just about everyone else has gathered.

During the day you can't walk through it without some snake charmer or henna tattoo artist offering to make your stay more memorable. At night, they push aside to make way for innumerable food stalls offering as genuine a selection of Moroccan cuisine as you'll find at any restaurant. Grills sizzle beneath tiny merguez sausages and fish and skewers of vegetables. For the more adventurous, there is boiled goat head or bowls of snails.

More than once we were brought food that we didn't order, like the deep red harira soup and a basket of bread, maybe some fresh olives. We paid for it anyway, and frankly, it was worth it. It exposed us to foods we may not have tried otherwise. Just plan on paying a bit more than you might have expected. Later, you'll walk it off as you wander amid the chaos, moving to incessant drum beats and chants, trying your best to take it all in.

Just north of the Jemaa el Fna you'll find the myriad alleyways of the Marrakech souk, or traditional market quarter. No map will help you navigate these passages; just accept that you are going to get lost and enjoy yourself along the way. While souvenir stalls are everywhere, you can still find shops selling items of remarkable craftsmanship that reflect local designs -- whether it is in the intricate patterns and colored glass of the hanging lamps, or leather goods from the tannery in another part of the city.

And trust me, the shop owners are always ready to make a deal. Make eye contact with a market trader, and before you know it you're haggling over the price of something that you may or may not need, but will provide a terrific story when you get back home. Nothing here has a set price, and shopkeepers can be aggressive when they think you are interested in something. But no trip to Marrakech would be complete without trying your hand at negotiating.

At some point you realize that the hardest thing about visiting Marrakech is that you are usually moving at someone else's pace. The streets of the souk are jammed with people who are either jostling to get past you or quite content standing in your way.

You and the other pedestrians will be on the lookout for young people on motorbikes heading in both directions. And everyone will try to maneuver around donkey-pulled carts. But anywhere you go -- and this is what makes a trip to Marrakech so special -- is an assault on the senses. It could be the vibrant colors of the shops selling mounds of rich spices or hand-tied rugs, the smell of food cooking, the press of the crowd, or the calls of the souk.

When all the bustle gets to be too much, there are plenty of sites that give you a chance to relax. South of the Jemaa el Fna stands the 19th century Bahia Palace and gardens, originally built for a high-ranking official and his concubines. You won't find a palace in the sense of Versailles or the Hofburg. Instead, you'll meander through a series of rooms with little more than lavishly decorated floors, walls and ceilings, leading to courtyards with fruit trees and fountains. We walked through the palace on our own, though I suspect a proper tour could be organized. The Ben Youssef Medersa, a former boarding school where for hundreds of years young men studied the Quran, will amaze you with its intricate stucco and cedar carvings.

Or just sit in the shadow of the Koutoubia Mosque minaret, an important example of the region's Islamic architecture. Or simply hop on one of the tour buses at the far end of Jemaa el Fna and check out Marrakech's modern Gueliz district.

Staying in Marrakech is best experienced at a riad, a traditional Moroccan home built around a central courtyard. The whole idea was originally to create as private a dwelling as possible, so even finding the entrance to one can be a challenge (always ask your hosts if someone can meet you, if not at the airport, at least at the edge of the Old City to get you there). The best have only a few rooms, each uniquely decorated and appointed. Your hosts will be more than ready to offer suggestions on where to eat, what to see, or just to offer a soothing cup of tea on the rooftop terrace.

Soothing tea aside, when you get back from Marrakech, don't expect to feel relaxed. Exhausted is more like it. You will have navigated more alleyways, gotten lost more times and told more people "no, thank you" for one reason or another than you should on a vacation. But a few weeks later, when you are looking back over the pictures you took, none of that will matter much. All you'll remember will be the sights and sounds that make Marrakech so special.

And you'll be thinking about when you might go back.

@highlight

Marrakech is not for the timid traveler. But if you're up for an adventure, it's a great destination

@highlight

The city's origins stretch back to the 11th century, and there's plenty of history to explore

@highlight

For the full experience, stay at a riad, a traditional Moroccan home built around a central courtyard

@highlight

Have you traveled to Morocco? Share your photos and travel tips with CNN iReport