The campaigns of President Barack Obama and Mitt Romney don't agree on much. But on one subject, officials from both sides are in sync.

As the GOP primary race goes into its third official month, the biggest winner appears to be the president.

Referring to rivals Newt Gingrich and Rick Santorum, a Romney campaign staffer said, "The only person's odds of winning are increasing are President Barack Obama's," arguing it was time for Gingrich and Santorum to depart the race.

Several leading Republicans have publicly echoed that sentiment in recent days, confronted with poll numbers showing the president's job approval rating above 50% for the first time in months -- a far cry from last fall when he was mired in the low 40s.

The ongoing Republican infighting has dragged down Romney's favorability rating among swing voters, forced him to awkwardly pivot right from stances that otherwise would have resonated with a broader electorate in the fall and led to a series of gaffes that could have been avoided had the former Massachusetts governor sewed up the nomination weeks ago.

All the while, Obama's own campaign machinations have largely skated under the radar, allowing him to appear to be the adult in the room as the Republican candidates fight over contraception, illegal immigration, the minimum wage and each others' pasts.

In the process, Obama's favorability among key voting blocs such as women and Latinos has jumped significantly.  And most important, recent surveys suggest the president has rebounded among independent voters, a swath of the electorate that catapulted him to victory four years ago but had abandoned him during his presidency.

Equally disturbing to Republicans are a series of recent surveys showing the president handily beating Romney in a head-to-head contest, a reversal from October when Romney held a slight lead.

That trend led conservative stalwart George Will last week to forecast Romney is headed for a Barry Goldwater-esque defeat come November.

Ongoing Republican sniping has also allowed the Obama campaign to steadily build its campaign apparatus behind the scenes, opening scores of field offices in every key state out of which staffers and volunteers methodically resurrect the unparalleled get-out-the-vote effort from four years ago.

"We're using this time to build while they're destroying each other," top Obama adviser David Axelrod said earlier this week.

The campaign has also restricted its advertising to one positive spot on the president's energy policy, a subject Democrats believe will be among the key issues in the fall as gas prices rise. The campaign is also set to release a 17-minute documentary-style video next week showcasing the president's achievements during his first term.

At the same time, Obama's lack of a direct opponent has allowed him to stay on message and conduct the re-election bid on his own terms. Conveniently, Obama avoids commenting on his likely Republican opponent until the nomination is actually wrapped up. But that hasn't stopped the president from goading the Republicans at nearly every turn, often trying to upstage them -- like his White House news conference on the GOP's Super Tuesday -- before every key primary this season.

Of course, it was only four years ago when some Democrats were making similar doom-and-gloom predictions about their own contentious nominating fight, during which then-Sen. Hillary Clinton and Obama exchanged heated rhetoric well into May.

But forecasts that such bickering would harm the eventual nominee's candidacy were all but forgotten two months later when Clinton offered a resounding endorsement of her onetime opponent at the Democrats' national convention. Meanwhile, fears that Clinton's ardent supporters wouldn't vote for Obama come November largely never materialized.

Republicans are holding out hope for a similar outcome on their side, mindful that most Americans aren't paying close heed to the ins and outs of the GOP race.

"I get the feeling there's a real disconnect between the political class that's paying attention to all of this and what the public thinks," said Ari Fleischer, the former press secretary to President George W. Bush and a CNN contributor. He's predicting that most of the GOP infighting will be forgotten once the party rallies around a nominee.

"I'm seeing more and more conservatives who aren't Romney fans starting to say, 'You know what, it's time to start fighting Barack Obama and stop fighting ourselves,' " Erick Erickson, a CNN contributor and founder of Redstate.com, said earlier this week.

But senior officials on the president's campaign argue the parallels between 2008 and 2012 are tenuous at best.  For starters, the long Democratic primary campaign four years ago was widely believed to burnish Obama as a candidate.  Not so with Romney, who has made a string of verbal missteps and shows little sign of getting more comfortable on the campaign trail.

Democrats also argue the Obama and Clinton sniping pales in comparison to that of the Republican candidates this year, each of whom have spent millions of dollars on negative commercials and have sparred repeatedly during 20 televised debates. The result is a Republican primary electorate largely unsatisfied with its crop of candidates and showing little enthusiasm at the polls.

"That lack of enthusiasm among Republicans is real, and it's unmistakable," said Jim Messina, the president's campaign manager, pointing to low voter turnout figures.  Adding to that contention is a recent CNN/Opinion Research Corp. poll showing GOP enthusiasm since the fall has ticked down 13 points, to 51%.

Finally, the president's supporters maintain Obama and Clinton did not shift leftward on key positions during their primary battle, forestalling the need for an awkward trek back to the middle during the fall campaign.

In contrast, Romney has been forced to embrace more conservative positions on several key issues that could make courting independent voters difficult come November.

"They think they can wipe the slate clean," Axelrod said. "The American people take his words seriously and his positions seriously ... we're going to hold him to them."

@highlight

Some leading Republicans think it's time to wrap up the race

@highlight

While Republican candidates spar, Obama campaign can quietly prepare for fall

@highlight

Some drawing parallels with 2008 Democratic campaign, which went into May

@highlight

Republican enthusiasm, support from independents falling as campaign goes on