Editor's note: Annette Gordon-Reed won the 2008 National Book Award for "The Hemingses of Monticello: An American Family," a book the award judges said, "is more than the story of Thomas Jefferson and his house slave Sally Hemings; it is a deeply moral and keenly intelligent probe of the harsh yet all-too-human world they inhabited and the bloodline they share." She is a law professor at New York Law School and a history professor at Rutgers University, and editor of "Race on Trial: Law and Justice in American History."

Annette Gordon-Reed says Barack Obama's election reshapes perceptions about race in America.

(CNN) -- By now, it has become almost a cliché: "I never thought I'd live to see it happen."

That common reaction to the election of Barack Obama, an African-American, to the presidency of the United States captures much about the country's troubled racial history.

Black people have been a presence on the North American continent from the early 1600s, and the 1500s if you count the Spanish settlement at St. Augustine, Florida.

Yet, the fact that we were brought to America as slaves and had to wage a centuries-long battle for freedom -- and then for civic and civil rights -- has often shaped perceptions about what is and is not possible for blacks to achieve.

It has also shaped views about what whites as a group will and will not tolerate when it comes to black advancement, as if the races were in a zero-sum competition; any black "gain" seems to be viewed automatically as a "loss" to whites.

True, the president-elect did not get a majority of white votes, and much opposition to him was clearly based upon his race -- sometimes shockingly so. One of my most poignant memories of the campaign will always be an exchange I had with a friend who had gone to Pennsylvania to canvass for Obama. The experience was at once exhilarating and disheartening to him.

An idealistic young white man who had grown up in a progressive community, he was happy to have a candidate he could support enthusiastically, yet he found himself crestfallen when would-be voters told him flatly that they would never vote for a black man for president. Not that Obama's political views were anathema to them, or that he did not have enough experience: his race alone was a deal breaker.

The question, from the moment it was clear that Obama was a serious contender, was just how many Americans were like the people my young friend encountered.

All over the world, those who figured such people represented the majority of white Americans, asked, "Will they (meaning whites, obviously) let him win?"

Singer Chrissie Hynde of the Pretenders reportedly answered that question, saying in Blender magazine that while she really liked Obama, she knew her "people" (again, meaning, whites) and they would not allow him to win.

In the end, no critical mass of eligible white voters came out to defend the White House as "whites-only" territory.

The possible legions fulfilling the expectation of the "Bradley Effect" -- when prospective voters tell pollsters they might vote for a black candidate, intending all the while to vote for the white candidate -- never materialized. Or, if they did, their votes were not enough to change the outcome.

The Obama candidacy was essentially a bet that the conventional wisdom about what we "knew" of white Americans was faulty. "Yes We Can" could mean many things, but it was certainly an ingenious way to address the racial question.

It called on black and white alike to ignore edicts imposed from the outside about what they were "supposed" to do, think and feel. This was a bigger hurdle for whites. Blacks have been voting for whites for as long as we have been allowed to vote.

While race could remain a factor for whites, in today's world, it might not trump everything. Concerns about an unpopular war, fatigue with the party in power, the lack of enthusiasm for the  candidates on the opposing ticket and sheer terror as the economy slid into the abyss might loom as more important than a candidate's color, if one had the right candidate.

Make no mistake: the times we live in fostered Obama's triumph. The country has had unpopular wars, bad candidates and shaky economic times before, and it is safe to say that no black candidate, no matter how talented, could have been elected president during those earlier times.

Obama's success is evidence that the United States has changed in important ways. It does not, however, signal the death of racism in the country, anymore than the passages of the 13th, 14th and 15th Amendments to the Constitution, the decision in Brown v. Board of Education, or the enactment of the civil rights provisions of the 1960s ended the struggle against racial prejudice.

Each of those momentous events, considered almost miraculous in their time, brought vibrant hopes that were far too often dashed. They were just beginnings, means to an end that was yet to come.

Racism is no easy foe. The election of one man will not, by itself, be enough to overcome the history that has given race its meaning in the United States.

It is clear, however, that we must edit our narrative about race. We, all of us, must reconsider the things we say people can do and cannot do today, because of the truths we know about our past.

The election of 2008 is evidence that many Americans may be willing to do that; to chart a new course on the question of race. I am not totally surprised. Back in 1997, when I started traveling the country speaking about my first book, "Thomas Jefferson and Sally Hemings: An American Controversy," I braced myself for the hostility I anticipated from whites who might not be able to accept that our third president had children with an enslaved African-American woman.

Instead, many people -- most typically Southern whites -- came out to tell me about their "Hemings-Jefferson" type family histories, eager to contribute to a more truthful account of what has happened between the races from this country's beginnings.

Impulses to truth and reconciliation, wherever found and however expressed, should be nurtured. A better future depends upon it. Yes we can.

The opinions expressed in this commentary are solely those of Annette Gordon-Reed.

@highlight

Annette Gordon-Reed: Obama bet perception of racial barriers was faulty

@highlight

She says the "Bradley effect" never materialized in voting booths

@highlight

Race is not an easy foe, and this is not the end of racism, she says

@highlight

She says the election calls for rethinking what racial barriers still exist