(CNN) -- Lance Armstrong may be associated with cycling and doping allegations, but for many, his greatest strides have been against cancer.

The cancer awareness organization that Armstrong founded, the Lance Armstrong Foundation, has been flooded with supportive e-mails and calls in the last 12 hours, said Doug Ulman, its president and CEO. Armstrong announced late Thursday that he would give up his fight against charges of illegal doping, allegations that he has repeatedly denied.

The messages range from "I'm more committed now than I ever have been" to "I'm so sorry you guys have had to deal with this issue, can't wait to be more supportive in the future," Ulman said. A lot of notes from cancer survivors say they'll never forget how helpful the foundation has been for them.

"Things like that -- that's the motivation, that's what keeps us focused on our work, and ultimately that's the result of Lance founding this 15 years ago, and his leadership ever since," Ulman said.

Early Friday, the U.S. Anti-Doping Agency said it was banning Armstrong from cycling competitions for life and negated his wins since 1998, but this move may not be the final word. The International Cycling Union has claimed it has jurisdiction, questioning the agency's authority.

Your top Armstrong questions answered

"People are just so supportive of Lance, they're so supportive of the mission of the organization, and I think, ultimately a lot of people are ready and just are relieved to put this aside, so that we can focus on our work," Ulman said.

Livestrong, the foundation's popular brand name, is receiving even more donations than last year and is on track to raise between $45 million and $50 million for 2012, Ulman said.

All told, the organization, which turns 15 in October, is approaching $500 million in fund-raising during its lifetime. And more than 100,000 people have engaged in an awareness-raising activity such as running, walking or riding in the name of Livestrong.

A November report from Livestrong said that in a survey of nearly 10,000 people, 72% said they had worn one of the organization's wristbands or purchased other merchandise. And 44% had donated to Livestrong, while 22% had engaged in a Livestrong event. The survey included cancer survivors and their family members.

"Livestrong has been, and hopefully will continue to be, a very positive force in the anti-cancer community," said Dr. Otis Brawley, chief medical officer for the American Cancer Society and CNN.com conditions expert, in an e-mail.

"They have stressed support for cancer research and support for the cancer patient," Brawley said. "They have emphasized that the success of medical research has created a number of young cancer survivors with unique needs that medicine needs to address."

Lance Armstrong: Cancer won't wait

Armstrong found out he had testicular cancer at age 25 when he was emerging as a rising star among cyclists. He started a small group to raise money for cancer called the Lance Armstrong Foundation in 1997.

Ulman, also a cancer survivor, had no idea who Armstrong was at that time, but the cyclist contacted him after reading about the work Ulman was doing with young adults with cancer.

"He basically just said, 'Hey, I think we have a lot in common. And I'm trying to get my foundation off the ground,' " Ulman recalled. "'If there's anything we can ever do together, let me know.' "

In 2001, Ulman joined the Lance Armstrong Foundation as its fourth employee. The organization had been focused on putting on bike rides, raising money and starting partnerships.

The foundation started a program to provide support and education to people who had recently been diagnosed with cancer. After a series of focus groups, the name Livestrong emerged for the program.

In 2004, Nike wanted to honor Armstrong and the foundation with a yellow wristband. The name Livestrong seemed fitting for it, Ulman said.

What's behind the Armstrong headlines?

The wristbands have been far-reaching. Ulman said they hit a tipping point where people wanted to express that they were part of the community as well as the fight against cancer.

"We've really democratized philanthropy, and really given an opportunity for everyone to participate," Ulman said. "You only needed to have a dollar to be part of this movement, and more than 85 million people have joined since then.

"That's what in life I think a lot of us search for," he added. "We just search for a way to give back and be a part of something bigger than any one of us."

Nike said in a recent statement that it would not drop support for Armstrong in response to the latest chapter of Armstrong's doping saga.

The company said: "Lance has stated his innocence and has been unwavering on this position. Nike plans to continue to support Lance and the Lance Armstrong Foundation, a foundation that Lance created to serve cancer survivors."

The organization has gained more prominence as Armstrong became more famous as a cyclist, scoring seven Tour de France victories from 1999 to 2005.

Armstrong and the tenuous nature of heroism

"His visibility has given us opportunities that we would have never had access to," Ulman said. "In our lifetime, for sure, there has not been another athlete that has done more for a cause than Lance has."

Armstrong is his foundation's biggest single individual donor, having contributed more than $6 million over time, Ulman said. The cyclist's legal case over the doping allegations does not get financial support from the foundation.

Today, Armstrong's foundation has more than 100 employees and thousands of volunteers globally. A team of 12 "navigators," most of them social workers, answer questions about cancer, returning phone calls within 24 hours.

Armstrong is serving a term as chairman of the foundation's board. He speaks to Ulman several times a day, and he participates in some way in the organization's work on a daily basis. His activities include giving speeches and talking to survivors.

In October at the TEDMED conference in Coronado, California, Armstrong said that what every cancer patient wants is to be heard.

"They want me to sit there, look at them in the eye and feel their story," he said.

Lance Armstrong Foundation boss on beating cancer three times

CNN's Chelsea Carter and Madison Park contributed to this report.

@highlight

The Lance Armstrong Foundation has raised nearly $500 million to fight cancer

@highlight

More than 80 million Nike wristbands that say Livestrong have been sold

@highlight

Armstrong is the foundation's biggest single individual donor, CEO says