(CNN)After a grand jury decided in November not to indict police officer Darren Wilson in the fatal shooting of Michael Brown in Ferguson, many shifted their attention to a federal investigation into the killing.

But on Wednesday, officials told CNN that federal investigators didn't find enough evidence and that Justice Department prosecutors won't recommend civil rights charges against Wilson.

Attorney General Eric Holder, who has the final say in the matter, has said he will announce his decision before he leaves office, which is expected to be by the spring.

The news that emerged Wednesday is likely to upset those who saw the federal investigation as a way to pursue justice for Brown and his family.

"I think you have a lot of people who will be disappointed if this does turn out to be the case," said Antonio French, a St. Louis city alderman who lives near Ferguson. "The community and the family wanted a day in court, an opportunity to see all the evidence laid out, cross-examined. And it looks like that's not going to happen."

Some legal experts, however, said the prosecutors' decision wasn't surprising in light of the laws involved.

But this doesn't mean that all legal avenues are closed off for the Brown family.

First, let's explore why analysts aren't surprised by the news.

"These cases are very hard to bring," said CNN senior legal analyst Jeffrey Toobin.

"If someone is not prosecuted on state charges, the odds that they will be prosecuted on federal charges are substantially lower," Toobin told CNN's Anderson Cooper.

Holder had already acknowledged at the situation in November, saying that "federal civil rights law imposes a high legal bar in these types of cases."

But he also may have raised some people hopes, according to Areva Martin, an attorney.

"Holder traveled to Ferguson, he talked to that community and he talked about how aggressive the Department of Justice was going to be in its own independent investigation," Martin told CNN.

The Brown family doesn't appear to have been holding out much hope from the federal investigation.

Family attorney Benjamin Crump had expressed pessimism in November about the probable outcome.

"That is a very high standard and it's not very likely," Crump said. "The family understands if there is no indictment it is likely the killer of their child won't be held accountable and that's heartbreaking to them."

Martin said the federal hate crimes statute wasn't designed for cases like this one.

"I think there's a lot of confusion about the federal hate crimes statute and how it should be used," she told CNN.

The key factor in the investigation was likely to be whether Wilson exhibited "racial hostility," Toobin said in August.

"The most important thing would be, did he say anything that indicates racial hostility, either before, or after, or during (the shooting)?" Toobin said.

Wilson is white, and Brown was African-American.

But race didn't have to be a factor in the shooting for investigators to allege there was a federal civil rights violation, said CNN legal analyst Danny Cevallos.

Federal statute says it's a crime for government officials "to willfully deprive a person of a right or privilege protected by the Constitution."

Federal prosecutors could have argued that Brown's right to life was violated, Cevallos, a criminal defense attorney, said. But it's a tough case to make.

"They have to show that the officer intended to deprive somebody of that constitutional right," he said. "They would have to show intent to kill ...which is not a particularly easy showing to make."

--------------------------------------------------

So, what avenues are still open for the Brown family?

Legal experts still expect Brown's family to file a civil lawsuit against Wilson and the Ferguson Police Department.

Crump said in November that the family is considering the option of civil remedies to obtain "some sense of justice."

The family could file a wrongful death lawsuit against Wilson and the Ferguson Police Department, CNN legal analyst Paul Callan said at the time.

He said Brown's family could file a lawsuit under Section 1983 of Title 42 of the U.S. Code -- a federal statute that permits damages against state officials for violations of legal or constitutional rights.

Another CNN legal analyst, Mark O'Mara, noted in November that law enforcement officers are afforded certain legal protections.

Wilson's attorney, Neil Bruntrager, told CNN that he was expecting a civil suit from Brown's family. But he said he thought they would have a difficult case to make.

"Even though it's a different standard, in a civil case, you still have elements you have to prove and they're going to flow very closely to what you have to prove in a criminal case," Bruntrager said.

"If you don't have enough for a grand jury even to issue an indictment, it's going to pretty hard, I think, in a civil suit," he said.

The Justice Department is also carrying out a civil rights investigation into the Ferguson Police Department's overall track record with minorities.

That inquiry is examining accusations that the police department as a whole practiced racial profiling and heavy-handed tactics.

But that type of investigation typically looks at possible reforms for a law enforcement agency, rather than punishing past alleged misconduct, analysts say.

"People consistently expressed concerns stemming from specific alleged incidents, from general policing practices and from the lack of diversity on the Ferguson police force. These anecdotal accounts underscore the history of mistrust of law enforcement in Ferguson that has received a good deal of attention," Holder said in September.

"Our investigation will assess the police department's use of force, including deadly force. It will analyze stops, searches and arrests. And it will examine the treatment of individuals detained at Ferguson's city jail," Holder said.

Wilson resigned from his position as a Ferguson police officer in November.

@highlight

"These cases are very hard to bring," says CNN legal analyst Jeffrey Toobin.

@highlight

Brown family attorney had expressed pessimism about the investigation in November

@highlight

Family is still expected to bring a civil lawsuit against Darren Wilson and Ferguson police