(CNN) -- Despite a 911 operator's urgent pleas, a staffer with CPR training at an elderly living facility refused to perform the procedure on a resident who had stopped breathing.

The reason for the refusal? Glenwood Gardens in Bakersfield, California, has a policy against its employees providing medical care.

Lorraine Bayless, 87, died.

Shocking? Does this all sound just plain wrong?

Well, medical professionals, lawyers and those who work in the world of elderly independent living say it's much more complicated. While all states have so-called Good Samaritan laws aimed at protecting people against legal liability if they jump in to perform CPR on someone who needs it, few people know about the laws.

And Good Samaritan laws have been fiercely challenged in courts across the country, leaving the average person unclear about just how protected they may be.

"In America where there's a lawyer behind every defibrillator, there's worry that some people have 'Am I going to get sued?'" said Arthur Caplan, a medical ethicist at New York University.

Last week, shortly after Bayless' death, the family said they were satisfied with the care she received, according to KGET.

"I never said I was fine with that," daughter Pamela Bayless told CNN Monday before hanging up the phone. "That was completely taken out of context, and I have no further comment."

From a "medical ethics point of view, I think if you call 911, and 911 says, 'start CPR,' you have to do it," Caplan said. "You are under an obligation to do it. You've started that process and you must follow through.

"The policy on paper may make sense," he said, "but policy be damned when someone's life is at stake."

The 911 call

When Bayless collapsed in a dining room last Tuesday morning, someone at Glenwood Gardens called 911, and Bakersfield Fire Dispatcher Tracey Halvorson answered.

A Glenwood Gardens employee gave the phone to a nurse who identified herself as Colleen.

During the call, Halvorson tried to reason with Colleen to start CPR, and when she said her boss won't allow that, the dispatcher asked her to hand the phone to someone nearby, or anyone the nurse could flag down who was not beholden to the facility's policy.

"I understand if your boss is telling you you can't do it," the dispatcher said. "But ... as a human being ... you know ... is there anybody that's willing to help this lady and not let her die?"

"Not at this time," Colleen answered.

In the last three minutes of the call, Halvorson said, "OK. I don't understand why you're not willing to help this patient."

Colleen: "I am but, I'm just saying that ..."

Dispatcher: "OK, I'll walk you through it all. We, EMS take the liability for this, Colleen. I'm happy to help you. This is EMS protocol."

Colleen is then heard asking someone nearby to call a supervisor.

"Can you get (unintelligible) ... right away," Colleen said. "I don't know where he is. But she's yelling at me and saying we have to have one of our other residents perform CPR. I'm feeling stressed and I'm not going to do that, make that call."

The nurse asked the dispatcher when the fire department would arrive.

"They're coming as quick ... they've been on the way all this time. But we can't wait. This lady is going to die," the dispatcher answers.

Colleen replies, "Yeah."

Glenwood Gardens' corporate owner is Brookdale Senior Living, Inc., based in Tennessee.

CNN asked spokesman Matt Fontana why a nurse would be involved if the facility's policy prohibits staffers from performing medical care.

"(Colleen) was hired to be the Resident Services Director and that is the capacity in which she was serving," Fontana explained in an e-mail.

"Glenwood Gardens is an independent living facility which, by law, is not licensed to provide medical care to any of its residents," Fontana told CNN.

"We are conducting an internal review to determine all of the facts about what occurred while waiting for the paramedics, who arrived moments later," he wrote. "We have communicated our deepest sympathies and condolences to this resident's family on the passing of their loved one."

Late Tuesday night, Brookdale released a statement that said it was conducting a company-wide review of its policies.

"This incident resulted from a complete misunderstanding of our practice with regards to emergency medical care for our residents," the statement said.

'Ethical north star'

"How could someone who is trained as a medical professional have their views so inverted by a corporate policy?" said Dr. Joseph Fins, chief of the division of medical ethics at Weill Cornell Medical College. "If this had happened on a city street in Manhattan, one would be governed by common morality."

The nurse at Glenwood is "confused about where their ethical north star is," he said.

Fins and other experts pointed to Good Samaritan laws that seek to protect well-intentioned helpers who try to save someone in danger.

But there have been challenges to California's Good Samaritan law.

In 2009, the state Supreme Court ruled on a case involving a woman who tried to pull a motorist from a wrecked car. The woman was accused of yanking the motorist like a "rag doll" and worsening the motorist's injuries. The court found that the woman was not covered under the state's Good Samaritan law, which had been in place since 1980.

The law provides that "no person who in good faith, and not for compensation, renders emergency care at the scene of an emergency shall be liable for any civil damages resulting from any act or omission."

And according to Caplan, Vermont's Good Samaritan law fines a person $100 if it's clear that they could have stepped in to perform CPR but refused.

The Bakersfield Police Department told CNN that they're investigating what happened at Glenwood Gardens.

Dr. Graham Nichol, a professor of medicine at the University of Washington, said he was shocked by what happened there.

CPR doubles survival odds, he said.

"If liability was a concern," Nichol said. "I would suspect there is a greater liability if someone dies."

CNN's Paul Vercammen, Miguel Marquez and Lindsey Knight contributed to this report.

@highlight

Staffer at elderly living facility refuses 911 operator's request to perform CPR

@highlight

Resident Lorraine Bayless, 87, of Bakersfield, California, died

@highlight

Ethics expert: "If you call 911, and 911 says, 'start CPR,' you have to do it"

@highlight

Vermont "Good Samaritan" law fines people $100 if they choose not to perform CPR