(CNN) -- Consider who comes to mind when we think of entrepreneurs. Does a day go by without mention of Bill Gates, Mark Zuckerberg or Richard Branson in the media? While admirable, these men are not accessible, especially to women.

Women are as likely as men to think entrepreneurship is a good career choice, that entrepreneurs have high status, and are represented positively in the media. So why do they admire this endeavor from afar, but think they are less equipped to do this?

A study of women entrepreneurs released last December by the Global Entrepreneurship Monitor (GEM) found an estimated 187 million women starting and running businesses in 59 economies. That's a lot of women entrepreneurs -- about equal to the population of Brazil.

Yet this pales in comparison to the number of men running businesses. In only one of the 59 economies (Ghana) were there more women than men entrepreneurs. Of the other 58, a handful had equal participation among the sexes, but the majority showed fewer women entrepreneurs than men -- with a ratio as low as 1:5 in South Korea, meaning there were five male entrepreneurs for every female entrepreneur.

The biggest concern right now for policymakers centers on job creation. When people have jobs, society thrives, both economically and socially. Entrepreneurship plays a major role in job creation -- it is high-growth entrepreneurs who provide the majority of net new jobs in a society each year. We should be concerned when any group in society is excluded, even in part, from this activity, and when those participating tend to shy away from higher potential ventures.

Films take on media portrayal of beauty

Why aren't there more women entrepreneurs? One explanation, revealed in the GEM study, centers on attitudes. Fewer women than men believe there are lots of opportunities for entrepreneurship and that they have the capabilities for this endeavor.

Women are also more likely than men to be dissuaded by fear of failure. In wealthier countries, where entrepreneurs face more competition and markets are more sophisticated, the gap widens. It may stem from less awareness, training, or experience with entrepreneurship, but a seeming lack of confidence in one's capabilities and an aversion to failure is disconcerting.

In addition, women are less likely to know an entrepreneur personally. Their inner circle of advisors is smaller, less diverse, and more often made up of family, spouses, in particular.

What all this suggests is that women need more entrepreneurial role models, for one. This is happening in Brazil, Sweden and even Iran, where women entrepreneurs, even those in traditionally male-dominated fields are celebrated in the media and given recognition for their accomplishments.

Dr. Rehana Kassim is the owner and founder of Rehanstat Sdn Bhd, which offers customized market research for an extensive list of public agencies and private companies. She is a role model in her home country of Malaysia. Yet her story, and those of other successful women entrepreneurs, are scarcely in the public eye.

Top female chef's recipe for success

Other elements include training and guidance, as well as connecting women with other like-minded entrepreneurs to share experiences and provide support and advice. Programs like the Goldman Sachs 10,000 Women project are providing women with training, networks, and the confidence to grow their businesses. In Ireland, the Going for Growth initiative holds roundtable discussions for women entrepreneurs, led by female mentors who have successfully grown their businesses.

What remains a challenge, however, is infusing these positive attitudes across societies. Women entrepreneurs need people willing to invest in their businesses. They need families that support their ambitions, customers willing to buy from them, suppliers willing to work with them, and employees willing to work for them.

When stakeholders such as these, and their societies as a whole, embrace their efforts, their economies can benefit from the ideas, the creativity, and the energy of half their population.

@highlight

The number of women running businesses in the world is about equal to the population of Brazil

@highlight

Women are more likely than men to be dissuaded by fear of failure and to doubt their capabilities

@highlight

Mentors and role models would help grow confidence, says expert Donna Kelley