Seoul, South Korea (CNN) -- The main aim of President Barack Obama's getting-to-know-you meetings with Chinese counterpart Xi Jinping in California is to build a personal relationship between the men who lead the world's two most powerful countries.

But they have a lot of thorny issues to discuss, not least the shared challenge of what to do about North Korea.

The two sides will probably repeat well-worn mantras on their desires to see the denuclearization of the Korean peninsula and the need to ensure stability in the region.

But Obama should take a step back from the stalemate high politics and raise the case of Guk-hwa Jang. Guk-hwa is a 15-year-old North Korean orphan who was forcibly repatriated from Laos, through China to Pyongyang last month, along with eight of her young friends who were all trying to get to South Korea.

These nine young refugees are unique in that we know their identities and because they got all the way to Laos before being caught and sent back.

Forced to return home

But there are thousands more North Koreans who have risked their lives to leave their country, only to be caught in China and forcibly repatriated.

The North Korean government makes it illegal to leave the country without state permission, and refugees we have spoken with tell us that a typical minimum punishment for repatriated citizens is a three-month interrogation which involves beatings and torture.

For those suspected of having associated with South Koreans or other foreigners, involvement in religious activities, or attempts to go to South Korea, refugees tell us that the punishment is ramped up to months of forced labor or banishment to a political prison camp. The North Korean government denies human rights violations and has said that the country has "one of the best systems for promotion and protection of human rights in the world."

Tightening security

The problem on the border is getting worse. Since Kim Jong Un came to power, there have been marked increases in border security on both sides of the Sino-North Korea border. People on the ground in the region, as well as refugees that my organization has assisted have reported that over the past 18 months physical border security has been built up on both sides, border guards have been reorganized and incentive structures changed to reduce corruption. Punishments for those caught at the border or sent back from China have been become even more severe.

Chinese authorities have actively cooperated with the North Korean government in this effort by implementing security crackdowns on their side of the border that have made it increasingly difficult for activists and defection brokers to assist people fleeing from North Korea. The result is that 2012 saw a 44% drop in the number of North Korean refugees arriving in South Korea compared to 2011 (from 2,700 to 1,500). The figures so far for this year show a further 20% drop in arrivals compared to last year, according to data from South Korea's Ministry of Unification.

Chinese leaders bristle when foreigners call them out on human rights issues. They counter that outsiders should not infringe on their sovereignty or meddle in their "internal affairs." But the Chinese government's crackdowns on North Korean refugees is by nature an international issue involving the violation of human rights of citizens of another country -- a clear abrogation of international refugee law that the Chinese government has ratified.

Vulnerable people

The current heightened crackdown on North Korean refugees should give President Obama the urgency to lead the international community in voicing concern for these vulnerable people, and suggest that the Chinese government's actions will affect interpretations of what kind of superpower China aims to be, in terms of their emphasis on acting according to international law, humanitarian principles and in the interests of global human progress.

For their part, the Chinese authorities should also take a longer-term, strategic view in their implementation of policy on this issue. Beijing repatriates North Korean refugees to serve the dual goals of preserving their political relationship with Pyongyang and preserving "stability" on both sides of the border.

But such clear complicity in the North Korean government's repression of their people puts the Chinese government on the wrong side of not just international opinion and increasingly even the Chinese people's attitudes towards North Korea, but also the wrong side of history.

Grassroots capitalism

North Korea is changing. The gradual breakdown of centralized control, an unstoppable grassroots capitalism, new information flows, an explosion of corruption and even demographic shifts and the rise of a "market generation" mean that the current system is unsustainable in the long term.

North Korean refugees are playing a quiet but vital role in this bottom-up transformation of the country by acting as a bridge back into their homeland.

A December 2010 survey of 396 defectors living in South Korea conducted by the Database Center for North Korean Human Rights showed that 50% maintain contact with their families in North Korea through illicit channels, accelerating flows of information and money back into the country.

I personally know defectors who have sent back thousands of dollars even in their first year of resettlement in South Korea, and Professor Lankov at Kookmin University in Seoul estimates that a total of $10-15 million flows back in remittances from resettled North Korean refugees every year. This money fuels the grassroots marketization and has the effect of liberalizing and opening up North Korean society from the bottom-up, increasing the pressure for change.

Pressure from within

The Chinese government has long wanted North Korea to mimic its own process of economic liberalization and opening, in order to be a more reliable economic partner and improve stability in the long term. This can be seen in the subtle and not-so-subtle hints on the need for reform that are dropped every time a top North Korean official visits their country. But Beijing has been trying this charm offensive for over a decade, and they surely now realize that North Korea's leaders listen to no foreign government and are impervious to such external pressure.

The only pressure point that can really change the regime's calculus is the bottom-up pressure from their own society that no authoritarian government can ignore. If North Korean refugees are able to quietly pass through China without being actively hunted down and sent back -- as they were freer to do under a policy of "benign neglect" a few years ago -- then they will be able to play this bridge role and increase the pressure for change from within North Korea, which is the only kind of pressure that can effectively force the regime to innovate and adapt their governing system in a sustainable way.

On the other hand, if Beijing follows Pyongyang's will and unstintingly collaborates in the repression of the North Korean people, they will enable the regime to bunker down, deny change and store up bigger problems for the future. Meanwhile Pyongyang will continue to develop its nuclear weapons and missiles and engage in periodic provocations, unsettling the region and worsening China's strategic environment, as well as their relationship with the United States, South Korea and Japan.

Increasing frustration

China will also continue to hemorrhage soft power on this issue, increasing distrust with people of other countries in the region. And if and when North Korea finally does open up or reunify with the South, the people of North Korea will not easily forget the Chinese government's brazen complicity during decades of their government's repressive policies. This will create a long-term complication in China's relationship with either a reformed North Korea or a reunified Korean peninsula alike.

People the world over will watch and hope that the presidents of China and the United States can develop a productive and healthy relationship in order to more effectively deal with the shared challenges that affect much of humanity. But if frank and tough discussions on both countries' roles in the world cannot happen in this setting, then where can they happen?

The Chinese government is increasingly frustrated with North Korea but has always fundamentally fallen back on preserving the status quo. Obama should urge Xi and others with the power to change China's direction to reconsider their active cooperation with Pyongyang's repression of their people, particularly on the issue of forced repatriations of refugees, which only prolongs the denial of an opening which will one day become inevitable.

It is not too late for the Chinese government to chart a new path on the right side of history, and be remembered as a force for positive change in North Korea rather than a collaborator in the regime's repression. Ultimately, that is not just the right thing to do; it's also the smart thing to do.

The opinions expressed in this commentary are solely those of Sokeel Park.

@highlight

Recent case of 9 North Koreans repatriated from Laos highlights human rights

@highlight

China regularly repatriates North Koreans, who may face torture back in their country

@highlight

China needs to be on the right side of history, writes Sokeel Park