Editor's note: Randall Balmer, an Episcopal priest, is professor of American religious history at Barnard College, Columbia University, and a visiting professor at Emory University. His most recent book is "God in the White House: How Faith Shaped the Presidency from John F. Kennedy to George W. Bush."

Randall Balmer supports Obama's unusual broadening of a president's words to include nonbelievers.

NEW YORK (CNN) -- President Obama's mention of "nonbelievers" in his inaugural address represents an important broadening of the circle of acceptability in American life, an acknowledgement of our growing diversity and a fuller embrace of the principles articulated in our nation's charter documents.

One of the hallmarks of American life, dating to the 17th century, is its religious pluralism.

The Atlantic seaboard during the colonial period was home to everyone from Puritans, Roman Catholics and Dutch Reformed to Quakers, Baptists, Presbyterians, Swedish Lutherans, Anglicans, Huguenots, Mennonites and Schwenckfelders. Jews arrived in New Amsterdam in 1654, refugees from South America after the Portuguese takeover of Recifé.

Somehow it all worked, especially in the crucible of religious pluralism in the Middle Colonies: New York, New Jersey and Pennsylvania, where William Penn launched his "Holy Experiment" of religious toleration.

In the context of the New World, these religious groups learned to coexist with remarkably little conflict, and when it came time to configure the new nation, the founders in their wisdom elected not to designate any group as the state religion.

"Congress shall make no law respecting the establishment of religion or prohibiting the free exercise thereof," the First Amendment to the United States Constitution reads.

This provision set up a kind of free market for religion in America, allowing religious groups to compete in a marketplace unfettered by government interference. Indeed, American history is littered with religious entrepreneurs (to extend the economic metaphor) who have peddled their wares in this marketplace and thereby contributed to the vigor and vitality of American religious life.

The story of religion in America life has been one of expansion and ever-increasing diversity. Although Roman Catholics were present in the colonial period -- Maryland, named for the wife of Charles I, was founded by Catholics from England -- Catholics arrived in great numbers from Ireland, Germany and Italy over the course of the 19th century.

Many Protestants, their hegemony threatened, resisted, sometimes with violence. Jews from Germany and Eastern Europe came as well.

Most of the resistance was episodic. With notable -- albeit unfortunate -- exceptions, we Americans eventually rise to our better selves and embrace the principles of equality and toleration enshrined in our charter documents. And we can trace these changes in our rhetoric.

The term "Judeo-Christian," although coined late in the 19th century, became popular in the 1930s as the clouds of war were gathering in Europe. In 1955, after World War II, when so many sons of Jewish and Catholic immigrants fought the Axis powers, sociologist Will Herberg published a book entitled "Protestant-Catholic-Jew," arguing that any of these religious expressions was legitimately "American."

The following decade saw still more changes. The civil rights struggle brought the vibrancy of African-American religious life to national attention, and Lyndon Johnson's signature on the Hart-Cellar Immigration Act in 1965 removed immigration quotas.

In the decades since, the arrival of people from around the world, especially from South Asia and Southeast Asia, has literally recast the religious landscape of the United States. Muslim mosques, Hindu temples, Sikh Gurdwäräs and Buddhist stupas have sprouted across the nation, from cities to the countryside.

And our rhetoric has evolved as well. Whereas America might once have been described as a "Protestant" nation and then a "Christian" nation (to reflect the inclusion of Roman Catholics), we moved to "Judeo-Christian" and then "Protestant-Catholic-Jew."

More recently, we have talked about the "Abrahamic Traditions," Jews, Christians and Muslims, thereby broadening the circle to include Islam, one of the three major monotheistic religions. Even with this broadening landscape, however, presidents have generally acknowledged only believers and failed to mention atheists or agnostics.

Our rhetoric, in fact, has always lagged behind our reality. When President Obama declared, "We are a nation of Christians and Muslims, Jews and Hindus and nonbelievers," he sent a signal that it's time, once again, to enlarge the circle of inclusiveness, consistent with the great American tradition of equality and toleration.

Although I'm sure that Buddhists and Jains and Sikhs and countless other religious adherents would like to have been included in the president's roll call, the message was clear: We are a diverse nation, and the "free exercise" of religion guaranteed in the First Amendment also protects the exercise of no religion at all.

The opinions expressed in this commentary are solely those of Randall Balmer.

@highlight

Randall Balmer: It's unusual for a president to include nonbelievers in his words

@highlight

He says America has widened its circle of religion for hundreds of years

@highlight

Balmer says rhetoric has grown to include Jews, Muslims, Hindus

@highlight

The First Amendment makes it appropriate to recognize nonbelievers, he says