Washington (CNN) -- President Barack Obama extended a helping hand to Japan on Friday as hundreds of people were dead and additional hundreds were missing after a devastating 8.9-magnitude earthquake and ensuing tsunami.

"I offer our Japanese friends whatever assistance is needed," he said during a news conference. "Today's events remind us how fragile life can be."

Obama said Friday that the main U.S. assistance to Japan for now would probably be "lift capacity" in the form of heavy equipment to help clean up damaged infrastructure.

The U.S. government is taking inventory of how many military personnel are in Japan to provide help, he said, adding that American citizens in Japan will also receive assistance.

Obama called the earthquake and tsunami "a potentially catastrophic disaster," saying the images of destruction were "simply heartbreaking."

At a session of the President's Export Council on Friday morning at the Old Executive Office Building, Secretary of State Hillary Clinton spoke about the U.S. delivering coolant to Japan for its nuclear reactors, CNN has confirmed.

"You know Japan is very reliant on nuclear power, and they have very high engineering standards. But one of their plants came under a lot of stress with the earthquake and didn't have enough coolant. So Air Force planes were able to deliver that. So we're really deeply involved in trying to do as much as we can on behalf of the Japanese and on behalf of U.S. citizens," she said.

Neither the Air Force nor the Pentagon could confirm that U.S. Air Force planes delivered coolant to the Japanese power plant.

Obama said he has been in touch with Japanese Prime Minister Naoto Kan about the potential vulnerability of any nuclear power plants in Japan.

"So far, they have not seen any evidence of a radiation leak, but obviously you have to take all potential precautions," Obama said.

The president said he has spoken with his energy secretary, Steven Chu, "to make sure that if in fact there have any breaches in the safety of the nuclear plant, they are dealt with."

Five U.S. Navy ships were heading to Japan, and two others were already docked in the country, according to the Pentagon. The State Department on Friday said there were no immediate reports of casualties among the tens of thousands of U.S. citizens -- tourists, military personnel and others -- in Japan.

The nuclear-powered aircraft carrier USS George Washington is in the maintenance yard in Japan and unable to get underway. Another nuclear-powered aircraft carrier, the USS Ronald Reagan in the western Pacific, is the only carrier heading to Japan.

"We currently have an aircraft carrier in Japan, and another is on the way." Obama said Friday. "And we also have a ship en route to the Mariana Islands to assist as needed."

Among the 38,000 U.S. military personnel, 43,000 dependents and 5,000 Department of Defense civilians assigned to Japan, there are no reports of loss of life and no reports of major damage to U.S. warships, aircraft or facilities in Japan, said Pentagon spokesman Col. David Lapan.

Obama was awakened at 4 a.m. ET with news of the disaster and received a briefing from his top security and emergency response advisers at 9:30 a.m., the White House said.

In a statement, Obama sent his condolences to the people of Japan and declared that the United States stands ready to offer aid, citing the strong ties between the two nations. Obama also spoke by telephone with Kan, White House spokesman Tommy Vietor said.

Clinton pledged "immediate disaster relief assistance" and said "we are working closely with the government of Japan to provide additional help," according to a State Department statement.

Pentagon spokesman Lapan said Japan's foreign minister had formally asked the United States for help, launching the process of figuring out what is needed and what the U.S. military can provide.

The State Department issued an alert against nonessential travel to Japan because of the earthquake and tsunami. The alert said that Tokyo airports were closed and others also may be closed or restricted, and that public transportation in Tokyo and other areas has been interrupted.

The alert also said strong aftershocks were likely "for weeks" and included instructions for what to do if caught in another earthquake or aftershock. It urged U.S. citizens in Japan to contact family and friends to let them know of their well-being.

Two U.S. airlines -- Delta and American -- announced the cancellation of flights to Tokyo. It was unclear if flights to other Japanese airports also would be affected. In addition, Delta, United and Continental airlines announced they were waiving change fees for people whose travel plans involving Japan were affected by the disaster.

At the State Department, Assistant Secretary of State for Consular Affairs Janice Jacobs said a 24-hour consular task force has been set up to help Americans affected by the earthquake.

Americans in Japan who need help, or people seeking information about a loved one in Japan, can send an e-mail to japanemergencyusc@state.gov, Jacobs said. Americans outside Japan but in tsunami-affected areas who need help, or people seeking information about an American in affected areas outside Japan, can e-mail pacifictsunamiusc@state.gov, she said.

A telephone information line also has been set up at 1-888-407-4747, said Jacobs, who encouraged people to use the e-mail options if possible. When seeking information about Americans in Japan or other affected areas, Jacobs said, provide the full name, birth date and location of the person, as well as any pre-existing medical conditions, and if they are elderly or a child.

Obama, who was first informed of the earthquake before dawn by Chief of Staff Bill Daley, said he has instructed the Federal Emergency Management Agency "to be ready to assist Hawaii and the rest of the U.S. states and territories that could be affected" by tsunamis.

"The United States stands ready to help the Japanese people in this time of great trial," Obama said.

Vice President Joe Biden, traveling in Moldova, called the disaster a "mega-earthquake" and said "the thoughts and prayers of the American people ... are with our friends in Japan."

"We the United States stand ready to do anything we can to help our Japanese friends as they deal with the aftermath of this tragedy," Biden said, according to a pool report of his remarks.

CNN's Michael Martinez, Ed Henry, Barbara Starr, Elise Labott, Larry Shaughnessy and Bonney Kapp contributed to this report.

@highlight

NEW: Obama says U.S. is monitoring Japanese power plant for radiation leaks

@highlight

NEW: U.S. is sending coolant in case any nuclear reactors leak

@highlight

Navy ships are headed to Japan to help in relief effort

@highlight

No American casualties are reported; State Department sets up phone, e-mail information