WASHINGTON (CNN) -- The H1N1 flu virus could cause up to 90,000 U.S. deaths, mainly among children and young adults, if it resurges this fall as expected, according to a report released Monday by a presidential advisory panel.

The report urges speedier production of the H1N1 vaccine and the availability of some doses by September.

The H1N1 virus, commonly known as swine flu virus, could infect between 30 percent and 50 percent of the American population during the fall and winter and lead to as many as 1.8 million U.S. hospital admissions, the President's Council of Advisors on Science and Technology reported.

The report says 30,000 to 90,000 deaths are projected as part of a "plausible scenario" involving large outbreaks at schools, inadequate antiviral supplies and the virus peaking before vaccinations have time to be effective.

Up to 40,000 U.S. deaths are linked to seasonal flu each year, with most of the fatalities occurring among people over 65. With seasonal flu and H1N1, this fall is expected to bring more influenza deaths and place "enormous stress" on intensive care units nationwide, which normally operate near capacity, the report says.

An H1N1 resurgence may happen as early as September, at the beginning of the school year, and infections may peak in mid-October, according to the report. However, the H1N1 vaccine isn't expected to be available until mid-October, and even then it will take several weeks for vaccinated individuals to develop immunity, the report says.  Watch more on H1N1 predictions for this fall »

The potential "mismatch in timing" could significantly diminish the usefulness of the H1N1 vaccine, the report says.

"Even with the best efforts, this will cause some illness, some severe illness and unfortunately, some deaths," Thomas Frieden, director of the Centers for Disease Control and Prevention, said Monday.

"But a lot so far has gone remarkably right," Frieden said. "There's a vaccine well on its way to being distributed, diagnostic tests available in well over 100 laboratories, treatments pre-positioned around the country ... and guidance issued for health care providers, schools, businesses and other communities."

Among the report's recommendations are for government agencies to:

• Prepare several "planning scenarios" to determine demand for supplies and care.

• Set up surveillance systems to track information about influenza-like illnesses.

• Develop plans to protect the public's most vulnerable groups, such as pregnant women and those with pre-existing medical conditions.

• Speed up the production of the H1N1 vaccine and have an initial batch -- enough to vaccinate up to 40 million people, especially those who are at risk of serious disease -- by mid-September.

Health and Human Services Secretary Kathleen Sebelius said the government's preparation and guidance for the public was based on the need to strike a balance "on a continuum of being paralyzed with fear versus complacency."

So far, clinical trials for the H1N1 vaccine have not indicated adverse side effects beyond what are experienced with the seasonal flu vaccine, Sebelius said.

However, there would be no formal decision to launch a vaccination campaign until those trials were complete, she said. That decision would be hers, she said, and she emphasized that any vaccination program would be strictly voluntary.

Pregnant women, health care workers and parents or guardians of infants under 6 months of age are among the most vulnerable segments of the population, Sebelius has said.

Adults under the age of 65 with an underlying health condition -- such as asthma -- are also considered to be more at risk from the H1N1 virus.

H1N1 preparation guidelines for the nation's businesses and school systems were released three weeks ago. The plans are available at the Web site www.flu.gov.

The H1N1 vaccine would require two shots, the second three weeks after the first. Immunity to the virus would not kick in until two weeks after the second shot.

The World Health Organization declared the H1N1 virus a global pandemic on June 11. More than 1,490 people around the world have died from the virus since it emerged this spring, a WHO official said last week.

CNN's Caleb Hellerman contributed to this report.

@highlight

Panel: Up to 50 percent of U.S. population could be infected this fall, winter

@highlight

H1N1, plus seasonal flu, could place "enormous stress" on hospitals

@highlight

Vaccine expected in mid-October, but too late to help many, panel says

@highlight

Panel urges availability of some doses by mid-September