(CNN) -- Having had to request and frequently justify force requirements for combat and noncombat missions, I know that terms like "mission creep" and "boots on the ground" in connection with America's intervention in Iraq are frustratingly ill-defined and usually improperly used by those who have likely never had to plan or execute a military operation.

As neither of these terms come from military doctrine, as a former commander I'd like to try to clarify what I think they mean ... and what they don't mean.

Commanders are given missions. In the most recent situation in Iraq, a team of 300-plus military members -- of all ranks, and likely of many specialties -- were sent to Baghdad and Irbil to "assess" the situation facing the Iraqi Security Forces' ability to blunt ISIS. As part of that mission, the commanders on the ground -- Gen. Lloyd Austin at Central Command and Maj. Gen. Dana Pittard, who was sent from his posting in Kuwait to oversee operations -- conducted further analysis of the mission. They then likely assigned small teams to various Iraqi and Peshmerga units in the fight and the Operational Command Headquarters in Baghdad and Irbil to see just how bad things were.

Opinion: What the U.S. can realistically do in Iraq

As part of the assessments, these teams were asked to evaluate the state of the Iraqi Security Forces and the Peshmerga, and determine what they would need to put up a fight against an increasingly powerful, and horrific, enemy.

That mission changed slightly when the President saw threats against the operation centers in the two cities, and he was made aware of an emerging humanitarian crisis in Ninewa Province, near the town of Sinjar.

'Heroic' mission rescues desperate Yazidis from ISIS

The new humanitarian missions -- as well as an expansion of the requirement to "conduct an assessment" -- required different skill sets, and more people: intelligence analysts to track the enemy and help coordinate air strikes; logisticians to look at potential requirements needed to transport refugees; operators and fire supporters (artilleryman) who understand battlefield maneuver and fires; medical specialists to potentially treat refugees; aviation specialists who might need to coordinate ground maneuver with fast-moving jets and slower-moving helicopters delivering aid; communication specialists who can expand the satellite communication to Air, Navy, Marine, Army and Special Forces assets; and reconnaissance experts who would need to contribute to a better understanding of what was happening on the ground in the crisis areas.

Were there 40,000 Yazidis -- as initially reported -- or were there 500? What were their conditions? What is the ground like for the potential of large fleets of arriving air or ground transport? What does the enemy look like near the location?

Who are the Yazidis, and why does ISIS want to kill them?

All of these questions were part of the commander's assessment -- the military calls them Priority Intelligence Requirements, or PIR (another one of those pesky military acronyms). The special operators who were pulled off Mount Sinjar Wednesday night were doing those kinds of missions.

I can't predict with certainly what may happen next. But because I've been a part of these kinds of missions, I'm optimistic. I do know U.S. military forces are protecting the operation centers in Irbil and Baghdad; we now have a better assessment of the fighting capabilities of the ISF and Peshmerga than we had 30 days ago, and we now know a lot more about the situation on Mount Sinjar.

Why does the U.S. intervene militarily in Iraq but not in Syria?

Is this "mission creep?" I don't think so. It is what we in the military call situational assessments and a troop-to-task analysis, as the mission evolves.

Are there more "boots on the ground?" Absolutely, even though many who wear the uniform flinch at this term (most would prefer to be called military professionals rather than be referred to as part of a uniform; this term was initially coined to help determine how long a soldier had been in theater -- "I have 450 days boots on the ground in Iraq" -- so we would know how much time at home we needed to provide them to recover).

Now, as a private citizen and a former soldier, I'd prefer the various analysts discuss what the mission is, and how we are accomplishing it. The arbitrary use of the two confusing and ill-defined terms of "mission creep" and "boots on the ground" are not helpful in getting to the meat of the strategic issues against a determined enemy.

Join us on Facebook.com/CNNOpinion.

@highlight

U.S. has sent military advisers into Iraq to help in fight against ISIS

@highlight

Military analyst: Many wrongly focus on the terms "mission creep" and "boots on the ground"

@highlight

He says the advisers are sizing up what needs to be done and recommending accordingly