(CNN) -- At about 33 feet long, weighing 4 to 5 tons and baring large blade-shaped teeth, the dinosaur Torvosaurus gurneyi was a formidable creature.

"I suppose it wouldn't be a good idea to cross the way of this dinosaur," said Christophe Hendrickx, doctoral candidate at the New University of Lisbon in Portugal.

Thanks to Hendrickx and paleontologist Octavio Mateus, Torvosaurus gurneyi may have the distinction of being the largest terrestrial predator found in Europe. Hendrickx and Mateus describe this dinosaur in a new study in the journal PLOS One.

The remains of Torvosaurus gurneyi were discovered at the Lourinha Formation, a fruitful site of dinosaur bones north of Lisbon.

Before this study, bones that scientists say belong to the new species were thought to belong to Torvosaurus tanneri, a North American dinosaur species.

But comparisons between the remains of the Portuguese and North American specimens suggest that they warrant distinct species names. For instance, Torvosaurus tanneri had at least 11 teeth, while Torvosaurus gurneyi had fewer, scientists said.

Torvosaurus gurneyi lived about 150 million years ago. The continents had previously all been one land mass, but by the time of this dinosaur, the Iberian Peninsula had broken off from North America, Hendrickx said.

"The study provides compelling evidence in support of the hypothesis that temporary connections between North America and Europe existed during the Late Jurassic, and these allowed for intercontinental faunal mixing," Gregory Erickson, a Florida State University paleobiologist not involved in the study, said via e-mail.

Subsequent geographic isolation led to the development of distinct species, Erickson said.

The Tyrannosaurus, Carcharodontosaurus and Giganotosaurus from the Cretaceous period -- defined as 145.5 million to 65.5 million years ago -- were larger than Torvosaurus gurneyi. But this European giant seems to have been a powerful predator.

The dinosaur appears to have been a carnivore that probably ate herbivorous dinosaurs. Its teeth were nearly 4 inches long; its skull was thought to be about 45 inches long.

The environment where it lived was tropical, with temperatures ranging from 86 to 95 degrees Fahrenheit. A diverse collection of dinosaurs roamed the area.

"The fauna was certainly dominated by dinosaurs," Hendrickx said.

Specimens that most likely belong to this species include an upper jaw bone, teeth and partial tail vertebrae, remnants discovered in 2003.

Hendrickx proposes other material found at the same site in Portugal also belongs to Torvosaurus gurneyi. A tibia and femur seem to fit the profile, as do embryos that Hendrickx, Mateus and colleagues described in the journal Nature last year.

Torvosaurus gurneyi could have been covered with proto-feathers, given evidence from closely related dinosaurs, the scientists said. But as for its colors, no one yet knows.

Erickson called the discovery exciting. It demonstrates that large theropods -- meat-eating dinosaurs -- lived in Europe during the Late Jurassic.

"Torvosaurus gurneyi was the T. rex of its time," Erickson said.

Hendrickx named the species after James Gurney, an artist and writer known for the illustrated "Dinotopia" book series about -- guess what? -- a society of people and dinosaurs.

Mammoth, 'very strange-looking' dinosaur skull found in Canada

First dinosaur bones in Saudi Arabia discovered

@highlight

Torvosaurus gurneyi is said to be a new species

@highlight

A new study says it lived about 150 million years ago and roamed Europe

@highlight

It probably ate herbivorous dinosaurs on the Iberian Peninsula