LONDON, England (CNN) -- The historic days when Britain was frequently troubled by marauding, ransom-seeking Scandinavian invaders resulted in a rueful proverb "Once you have paid the Dane-geld you'll never get rid of the Dane." It is a proverb which should be noted by governments thinking of bailing out troubled automobile companies.

Despite a vociferous campaign by workers MG Rover failed to survive.

As the U.S. authorities contemplate how to respond to pleas for help from the "Big Three" -- GM, Ford and Chrysler-- they might pause to reflect on the experiences of past British governments when they tried to help the troubled British Leyland group in its various historical forms.

The British Leyland Motor Company, BLMC, was formed back in 1968. It was a merger promoted by the Industrial Reorganisation Corporation set up by the 1964-70 Labour government of Harold Wilson. But weakened by such developments as the 1973 oil crisis, Britain's Three Day Week and the industrial militancy of the times, the group struggled to compete and was part-nationalized in 1975.

With car, truck and bus manufacturers and other varied interests, the group at one time held some 40 per cent of the British car market. But although it had such prestigious marques as Jaguar, Rover and Land Rover and introduced the innovative and best-selling Mini, the group had an incoherent product range, was slow to develop new models to cope with international competition and frequently had to go cap in hand to the government.

When Margaret Thatcher came to power in 1979 she knew that how her government tackled what was effectively a state-controlled industry would have a crucial effect on the morale and practice of British industry and managers. She wanted to back the company's chief Michael Edwardes in fighting trades union militancy. But she and her ministers found that commercial needs and political realities frequently collided. Tell us what you think

She was determined to confront the unions and to cut back on state subsidies. But in no time she found even a chairman she admired and who shared her objectives coming to her asking for further supplements to the £1 billion previously pledged to the ailing company by the previous Labour government.

With the company's employees due to be balloted on a painful re-structuring plan there was a danger that if they said no there would be a forced liquidation. As Thatcher recorded in her memoirs "The economic consequences of such a collapse were appalling. One hundred and fifty thousand people were employed by the company in the UK." There were an equal number of jobs in the component industries dependent on Leyland and it was calculated that closure would cost the British balance of trade £2 billion a year.

In an insight into the dilemmas faced by many governments now, the former prime minister noted: "Closure would have some awful consequences. But we must never give the impression that it was unthinkable. If ever the company and its workforce came to believe that there would be no end to their demands on the public purse."

She refused to guarantee BL's debts but even so the ballot was successful. Then the company asked for government backing, and money, to implement its corporate plan. Thatcher was skeptical, commenting "BL's annual plans always forecast major improvement but every year things seemed to get worse..."

The company's share of the UK car market had slumped from 35 to 16 percent. Thatcher had her ministers comb through the company accounts and they concluded that the plan was likely to fail. But in the end BL got government backing and money because, as she put it: "People simply would not understand liquidation of the company at the very moment when its management was standing up to the unions and talking the language of hard commercial commonsense."

Things did not get any better. BL's management was reluctant to sell the company or to let the government engage an independent adviser on the disposal of its assets. Amid a worldwide recession there were more wage claims, more strikes and Thatcher lectured the company and the industry on its poor productivity and over-readiness to strike.

As she acknowledged, "On any rational commercial judgement, there were no good reasons for continuing to fund British Leyland."  Watch iReporters on the bailout »

Thatcher wanted out of government involvement in the industry, or at least a middle way with a partial selloff. But no deal was struck. With ministers growing increasingly nervous about the unemployment prospects if the company went under, a re-structuring plan was finally agreed. As she admitted: "The political realities had to be faced. BL had to be supported ... and, most painfully, we provided £900 million."

Thatcher and her ministers claimed that there was a long-term change in attitude from British Leyland workers. But they regretted that the huge extra sums they were forced to provide came from the taxpayer or, because they were forced to raise interest rates, from other businesses. "Every vociferous cheer for higher public spending was matched by a silent groan from those who had to pay for it."

Some jobs were saved, for a while. But did the British taxpayer get value for money? It seems very doubtful. After various re-configurations the BL Group, by then renamed MG Rover, went bankrupt in 2005, bringing to an end mass car production by British-owned manufacturers. MG became part of a Chinese group, Jaguar and Land Rover were sold on by Ford in 2008 to TATA Motors of India.

@highlight

UK governments spent billions trying to help troubled British Leyland group

@highlight

BLMC formed in 1968 but Margaret Thatcher privatized it

@highlight

However MG Rover went bust in 2005, later sold to a Chinese company