There is a dark duality about the Golden Gate Bridge.  Majestic and macabre, the bridge is an architectural wonder that also happens to be a magnet for suicides.

It is the most-used suicide spot in the United States, second in the world.

"People come from all over the world to go onto this bridge," said Sergeant Kevin Briggs, a retired police officer who used to patrol the Golden Gate. "Not just to sight-see, but also to take their life."

On Friday, San Francisco's Golden Gate Bridge Board of Directors unanimously approved $76 million in funding to erect a 20-foot-wide steel net -- extending out from each side of the 1.7-mile  span -- to deter would-be jumpers. The federal government will cover $50 million of the cost; the rest will come from state and local sources.

Last year, 46 people died after jumping off the Golden Gate, according to the Bridge Rail Foundation, an organization dedicated to stopping suicides from the bridge. The organization estimates that more than 1,600 people have leapt to their deaths since the bridge opened in 1937.

"Where nets have been erected as suicide barriers they've proven to be 100% effective thus far," said Denis Mulligan, CEO and general manager of the Golden Gate Bridge Highway and Transportation District, which presented the proposal to the board. "Suicidal people have stopped jumping at those locations."

Those locations include the Clifton Suspension Bridge in England and the Duke Ellington Bridge in Washington, where, after barriers were installed, suicide rates went down dramatically.

"Apparently, suicidal individuals don't want to hurt themselves, they want to die," said Mulligan. "So where nets have been erected, people stop jumping."

The decision to move forward with the Golden Gate plan punctuates a contentious fight that has simmered here for decades.

On one side of the debate were those who believe a suicide barrier will detract from the bridge's beauty. On the other side were mental health and other advocates, some of whom bore an intimate sense of the potential benefits of such a barrier.

One of the barrier proponents is Kevin Berthia. He stood on the precipice of the Golden Gate Bridge on a cold afternoon in March 2005. He was unemployed, drowning in a sea of medical bills, and distraught.

"I was hurting a lot," said Berthia. "I was dealing with a lot of issues, and I felt like I was dealing with them by myself."

Almost as soon as he hopped over the 4-foot barrier (which many argued makes jumping too easy) to the bridge's outer railing, he was approached by Sergeant Briggs.

Briggs had been there before. During his 23-year career, he coaxed more than 200 people back from that same railing. Two people he wasn't able to save.

"When someone goes over on the other side of that rail, it's like having a gun to their head, their finger on the trigger, and the hammer pulled back," said Briggs, founder of Pivotal Points, a crisis management and suicide prevention organization.

"They're ready to go. The pain is great -- they see no hope."

For more than 90 minutes, Briggs listened while Berthia talked, the biting wind swirling around them. As the minutes passed, Berthia says the burdens he was carrying slowly lifted.

Eventually he decided to come back over the barrier.

"I knew things would get 10 times worse when I came back over, but I wanted to give it another shot," said Berthia, who says it took another eight years to get help for his mental health problems.

Opposition faded

A few years ago, the transportation district invited public comment about installing a suicide barrier, said Mulligan, the transportation district head, and opinion was deeply divided.

"Leave the bridge alone," one commenter posted. "It's not the bridge's fault people choose to commit suicide there."

Another commenter echoed a common perception about how effective a barrier could be: "Sadly,  desperate people do commit suicide and they will find another means to do it if the GG bridge is not available to them."

An artist's rendering from the proposal shows a horizontal barrier that extends from the deck, beneath the roadway, and doesn't clash with the bridge's unique International Orange hue.

Feds boosting mental health access, treatment

Berthia said a suicide net certainly would have discouraged him from considering jumping, that his attraction to the bridge was the ease with which he could perish.

Very rarely do people who are stopped from jumping go on to commit suicide, according to a study published in 1978 by Richard Seiden, a researcher at the University of California, Berkeley.

More than 90% of would-be jumpers who were stopped, according to the oft-cited study, were still alive decades later.

Berthia and Briggs say the decision to fund a barrier is overdue.

"It should have been there a long time ago," said Berthia. "A lot of lives could have been saved."

Briggs says that the father of a young man who died after jumping off the Golden Gate Bridge summed it up potently for him.

"A view or a life? A view or a life?" said Briggs, paraphrasing the father. Those few words were what he says convinced him that something needed to be done.

When asked about advocates' argument that lives have been lost needlessly during the years the transportation group assembled its plan, Mulligan said, "With the passage of time I think society's values and understanding of suicide has evolved, and so has our board's."

It will be several years before the net is built, said Mulligan. Still, a plan in motion -- even if it takes some time -- is of great solace to advocates.

"(It has been) 77 years of needless deaths and survivor family devastation," Kevin Hines, one of the rare people who survived a suicide attempt from the bridge, said before the board's vote.

He said the move toward a safety barrier means the community at last is "placing higher value and worth on people's lives over a piece of bright red iron."

How I learned to live after trying to end my life

I was an accomplice to my brother's suicide

@highlight

Board of directors approves plan to erect suicide barrier on Golden Gate Bridge

@highlight

Golden Gate Bridge is the most-used suicide spot in the United States

@highlight

Last year, 46 people died jumping off the bridge