(CNN) -- The announcement by senior Nigerian military and government officials that an agreement has been reached with Boko Haram for the release of more than 200 kidnapped Chibok girls is welcome, although it has understandably been greeted with considerable caution. And news that a ceasefire has also been agreed, and that further negotiations will take place, is another positive development.

But this is a case when we will actually need to see the girls emerging from their six-month confinement before we can truly believe.

After all, it was only recently that it was announced that Abubakar Shekau, reputed leader of the jihadist group, had supposedly been killed ... again. Yet Shekau, or someone proclaiming to be him, probably lives on in a country where much political, economic and now military affairs take place in the shadows.

The problem with establishing what is really going on in Nigeria, and with Boko Haram specifically, is that after five years of warfare and many casualties, there is much that is still uncertain about the group. Indeed, it appears to be both an actual organization and a brand name for banditry.

Early reports have claimed that the meetings that resulted in the alleged agreement with Boko Haram took place in Ndjamena, the capital of neighboring Chad, which itself is firmly under the control of an autocratic government. But it is difficult to know for sure what is going on in Nigeria, a place where a significant part of business is conducted by a shadowy combination of political, military, and business individuals. And this is creating even bigger problems for Nigeria than the national and global demands for the girls' rescue.

For a start, it has been unclear how Boko Haram is financed -- and how much assistance it might be receiving from disaffected members of the northern Nigerian elite, as well as those holding government positions at the federal and state levels.

"Underground" campaigns involving the use of armed thugs have been a staple feature of Nigerian party politics for decades, and international human rights groups have noted a "dirty war" conducted by soldiers and government-financed militias. These abuses, combined with the dysfunction of the armed forces, complicate external assistance.

The problem for Nigeria is that although the jihadists will eventually almost certainly be crushed, as were the secessionists in Nigeria's civil war, the clock is ticking on a greater threat to the Nigerian nation, namely popular protests in northern Nigeria following February's presidential poll, which President Goodluck Jonathan is certain to contest.

Boko Haram is a militant, cultist variant of Islamism, and it continues to challenge the secular Nigerian state. Its campaign has tapped into widespread disaffection in the northern region of at least 80 million people, which has been in decline even as the rest of the country experiences economic growth.

This is the backdrop to the unfolding drama of the kidnapped girls, who themselves have become pawns in a multilayered drama.

If the negotiations announced Friday are genuine, Boko Haram -- which has muscled its way onto the global stage by mimicking jihadist declarations and terrorist actions of others, including the use of suicide bombers -- can command a high price for their release. While the group is still largely a Nigerian phenomenon, and although such militant groups have previously been overwhelmed by the brutal force for which Nigerian soldiers and police are known, Boko Haram is more tenacious and resilient than its predecessors. Moreover, it is now fortified by a powerful global jihadist ideology.

So, how should the Nigerian government respond?

Friday's announcement suggests that the Chibok girls are alive and well; and a rational course for Boko Haram would be to negotiate an amnesty with the government, following the example of the Delta insurgents.

But the announcement, if it can be believed, has implications that stretch beyond these girls' fortunes. Indeed, the campaign for the Nigerian presidency has effectively merged with the campaign to defeat Boko Haram. This means that if the government is successful in brokering a lasting ceasefire with Boko Haram and bringing home these girls, Goodluck Jonathan would undoubtedly get a significant boost in his reelection efforts.

With a multi-billion government trough at his disposal, it would be hard to bet against him come February. But the way this "deal" unfolds will have significant implications for his electoral chances and the peace and political stability of Africa's largest nation.

@highlight

Boko Haram has reportedly agreed to free more than 200 schoolgirls who were kidnapped earlier this year

@highlight

Boko Haram has muscled its way onto global stage by mimicking terrorist actions of others, Richard Joseph says

@highlight

President Goodluck Jonathan would benefit politically from any deal, he says