Like most Americans, President Barack Obama is tired of war. Unlike most Americans, he just started another one.

In launching his new campaign against Islamic State terrorists inside Iraq and Syria, the Nobel peace laureate acknowledged the engagement wouldn't be another Iraq or Afghanistan. And a day after Secretary of State John Kerry insisted the campaign is not a war, press secretary Josh Earnest on Friday affirmed that the United States is indeed "at war" with ISIS.

But semantics aside, Obama is embarking upon a sustained military operation without an end date, price tag or clear definition of victory -- threatening his legacy as a war-ender and almost certainly dashing his goal of leaving the next commander in chief with a clean slate.

"This effort will be different from the wars in Iraq and Afghanistan," Obama insisted during his address to the nation on Wednesday, noting no American troops were being sent in a combat role and a coalition of allied nations was joining the fight.

But while Obama has broad public approval for his ISIS mission, according to polls, the decision to engage the U.S. military in Iraq and Syria undercuts his image as a president opposed to war -- though describing him as a foreign policy "dove" was never truly accurate.

During his campaign for president in 2008, Obama made clear he opposed military engagements such as the the war in Iraq, which he termed "dumb" and vowed to end. But he maintained there were times and places where U.S. military engagement was necessary.

When he accepted his Nobel Peace Prize in 2009 -- awarded for fostering a "new climate" in international relations -- Obama admitted war wasn't going to end under his presidency.

"We must begin by acknowledging the hard truth: We will not eradicate violent conflict in our lifetimes," he said then. "There will be times when nations -- acting individually or in concert -- will find the use of force not only necessary but morally justified."

In the six years he's been President, that use of force has translated into a surge in drone strikes against suspected militants in countries like Pakistan, Yemen and Somalia -- the latter two examples Obama cited Wednesday as models for his mission against ISIS.

The drone campaign has infuriated civil libertarians and human rights advocates, who point to civilian casualties that often go unnoticed by the American public. But the strikes have allowed Obama to keep troops out of dangerous situations while mitigating terrorist threats.

When he's sent American personnel into danger, it's been in small, tactical missions in the model of the raid that led to the killing of al Qaeda leader Osama bin Laden.

Obama attempted to sum up his policy during remarks at West Point last spring: "To say that we have an interest in pursuing peace and freedom beyond our borders is not to say that every problem has a military solution," he said then.

Put more bluntly a few months earlier, Obama said he wasn't interested taking a "swing at every pitch" that came his way.

With his expansion of the mission in Iraq, Obama seems to have seen a pitch he liked, making him the fourth president in a row to order an air campaign over the country.

His goals there, analysts say, are distinct from Iraq campaigns in the past.

"I do not believe what he's laid out in his speech or what he intends to do is transformative," said Aaron David Miller, a scholar at the Wilson Center in Washington who's worked for Democratic and Republican administrations. "He's not interested in nation-building."

While Obama may be setting out on a very different type of mission in Iraq, vowing the United States. wouldn't "get dragged into another ground war" there, he's nonetheless setting his successor up to carry on the mission.

"He has clearly gotten pulled back in," said David Gergen, a former adviser to four presidents and CNN analyst. "He's a very reluctant warrior. He didn't want to do this. But it is good he recognized reality."

@highlight

Despite broad public support, Obama's campaign against ISIS undercuts his image as a president opposed to war

@highlight

Obama hit the war in Iraq as "dumb" while running for president, but was never viewed as a true foreign policy dove

@highlight

Obama is now the fourth-straight president to order an air campaign over Iraq