As Islamist militants swept through northern and western Iraq in early June in a lightning advance, President Barack Obama examined his options and announced that he would be prepared to "take targeted and precise military action."

Nearly two months later, Obama, albeit reluctantly, on Thursday approved the use of airstrikes in Iraq. He said the step was taken to defend U.S. personnel in the city of Irbil and protect religious minorities facing what he called a "potential act of genocide" from the Islamic State, the extremist group most recently known as the Islamic State of Iraq and Syria (ISIS).

The escalation marks a turning point in the Obama administration's foreign policy, which has avoided direct military involvement in Iraq and Syria until now.

It's been a cautious policy that has come under fire from Republicans and some military and foreign policy experts.

And while Obama's foreign policy ratings have plummeted, he has sought to avoid dragging a war-weary nation into another Mideast conflict.

'Political cover'

Administration officials acknowledge Obama was reluctant to authorize military action, but was compelled to act to protect the Kurdish stronghold of Irbil and stave off the potential slaughter of tens of thousands of Christians and Yazidis, both religious minorities in Iraq.

"When we have the unique capabilities to help avert a massacre, then I believe the United States of America cannot turn a blind eye," Obama said on Thursday.

But he was still careful to emphasize the need to protect American diplomats and military advisers stationed in Irbil. And White House spokesman Josh Earnest stressed on Friday that the "top priority" of the military operation is "first and foremost the protection of American personnel."

CNN military analysts retired Maj. Gen. James "Spider" Marks and retired Col. Rick Francona said the presence of U.S. personnel in Irbil gives Obama the political cover to act militarily to address the precarious humanitarian situation.

"If that humanitarian disaster was not in place, I don't know that the President would have acted as aggressively," said Marks, a CNN military analyst.

But now, military commanders have a "green light" to act, Ben Rhodes, Obama's deputy national security adviser said.

Francona agreed that Obama would not have authorized airstrikes unless U.S. personnel were stationed in Irbil and noted that the administration's goals are unclear.

"I think they're looking at this very tactically and I don't know if they have a strategic vision here," Francona said, noting that the immediate objectives are clearly to blunt ISIS's advance toward Irbil and help protect the Christian and Yazidi refugees.

Opinion: Can the West live with 'brutal' al Qaeda offshoot ISIS?

Political heat

That is not the first time the administration has been criticized for lacking a strategic vision for countering ISIS.

Republicans on Capitol Hill have repeatedly criticized Obama for undermining American influence globally by not acting decisively enough on Iraq and Syria -- among other global crises.

And even after Obama authorized airstrikes in Iraq Thursday, the most consistent critics of his policy in Iraq and Syria continued to slam him.

Republican Sens. John McCain of Arizona and Lindsey Graham of South Carolina, who have partly pinned ISIS's advance on Obama's full military withdrawal from Iraq, knocked Obama's "policy of half measures" and called on him to "degrade ISIS."

"It is inherently expansionist and must be stopped," the pair said in a statement following the President's announcement Thursday. "The longer we wait to act, the worse the threat will become."

And House Speaker John Boehner lamented the "ongoing absence of strategy" in a statement released Friday. And in June, an animated Boehner accused Obama of "taking a nap" instead of dealing with ISIS.

Republicans, like House Intelligence Committee Chairman Mike Rogers and Sen. Bob Corker, criticized Obama last summer for not ordering military strikes in Syria after that country's authoritarian regime reportedly used chemical weapons in the ongoing civil war -- which Obama had called a "red line" that would prompt action.

The link with Syria

Many have also criticized Obama's inaction in Syria as contributing to ISIS' growth by failing to bolster the moderate rebel forces.

Without sufficient financial and military support, moderate rebel factions have dwindled as some fighters and entire groups opted to join ISIS and other Islamist factions fighting against government forces.

The hands-off  approach in Syria even prompted the American ambassador to the country, Robert Ford, to resign recently because he could no longer defend the policy, he told CNN in June.

"Had there been more military assistance ... the opposition would have probably been able to gain ground a couple years ago more quickly," Ford said. " (And) the ability of al Qaeda and Islamist extremist groups to recruit away from the moderates would have been less."

And aside from the destruction of Syria's chemical weapons arsenal, Ford said there is "nothing we can point to that has been very successful in our policy."

Ford and others have called ISIS a national security threat to the United States and fears are growing that its fighters could return to Europe or the United States and carry out terrorist attacks.

"To stand back and do nothing is to simply see this cancer metastasize further," Ford said.

Map: Where is ISIS?

Increasing strength

But even as Obama's policy in Iraq and Syria faces continued criticism, his reluctance to intervene militarily is in line with most of the American public's thinking.

In a September 2013 CNN poll, about six in 10 Americans opposed a resolution that would authorize military action in Syria and 55% opposed airstrikes.

And a recent Pew Research Center poll showed that only 39% of Americans believed in July that the United States has a responsibility to intervene in Iraq.

Meanwhile, the militant group has not only continued to increase its territorial gains, but also increased its military strength by reportedly seizing weapons, armored vehicles and even tanks from Iraqi forces -- equipment the United States provided to Iraq.

"You can pull that thread," Marks said of the link to U.S. policy in Syria. "It's positive in my mind that had we acted more aggressively in Syria, the problem with ISIS would probably be less exacerbated and aggressive."

What to know about ISIS

Will anyone stop ISIS?

Could ISIS retaliate against the West?

@highlight

By authorizing strikes, Obama's decision marks a turning point in Iraq foreign policy

@highlight

Obama's reluctant action comes after GOP criticism of his foreign policy on Iraq and Syria

@highlight

Obama said the U.S. was acting to protect Americans on the ground in Irbil

@highlight

But past failures, questions over a broader strategy loom as U.S. asserts power in Iraq