(CNN) -- If kings and queens are able to savor the best things in life, why shouldn't they get to retire, too?

It's not traditional, and it kind of goes against one of the biggest perks of being a king or queen -- a secure job for life. But it happens, as the world saw Monday.

King Juan Carlos I of Spain became the latest royal to say he's stepping down.

It's "time to hand over to a new generation," the 76-year-old announced in a televised address, declaring that he's leaving the job he's had for nearly four decades.

His son, Crown Prince Felipe, 46, will take over.

The Spanish King is one of several monarchs to step down in recent years.

Queen B takes her leave

In January 2013, Queen Beatrix of the Netherlands passed the crown to her son Prince Willem-Alexander. He was 46 at the time.

Queen Beatrix had been ruling for more than three decades. Much beloved by the Dutch people, she tried to assure them that her retirement didn't mean she was taking off for Florida and forsaking their love.

"This doesn't mean that I'm taking leave from you," she told a throng of admirers in Dam Square outside the palace in Amsterdam.

Her abdication was a move marked by tradition in the Netherlands -- knowing that it's best to go out while on top, historians say.

Queen Beatrix was the third successive Dutch monarch to abdicate, following her grandmother and her mother.

"Beatrix's abdication wasn't controversial," explained royal commentator and historian Richard Fitzwilliams. "The people were happy with that and no one thought less of the monarchy."

A father to son handoff in Belgium

In July 2013, King Albert II of Belgium gave up his kingship, reportedly over concerns that he was too old to carry out his duties. Those duties include "suggesting, advising, warning and encouraging" lawmakers in the country, according to Belgium's government website.

King Albert was 79 when he retired. He had ruled for 20 years. His son, a 53-year-old trained fighter pilot who became King Philippe, took over. The country had been in turmoil at the time, torn between the North and South where residents spoke different languages.

A pope quits (and makes history)

Europe must have been especially lovely in 2013, because even the Pope didn't want to keep working. An unprecedented "I quit" came in February when the Vatican announced that Pope Benedict XVI -- Germany's Joseph Ratzinger -- was leaving the papacy. His "advanced age" was the reason he wanted out, the Vatican said.

The then-85-year-old had led the Catholic church since 2005.

He became the first pope in nearly 600 years to leave the post.

So what do monarchs -- and one pope -- do when they retire?

Benedict's retirement hasn't been all that different from anyone else's. Archbishop Georg Ganswein told Reuters that Benedict has been doing a lot of reading, reflecting and praying. He's taking walks in the Vatican gardens, playing the piano and receiving guests at a monastery. He's mostly a homebody, making only a few public appearances, such as the canonization ceremonies for Popes John XXIII and John Paul II in April.

A change of the guard in Qatar

Sheikh Hamad bin Khalifa Al Thani, the Emir of Qatar, abdicated and transferred power to his son in 2013.

Sheikh Hamad, who gained power in 1995 after overthrowing his father, sent out a public message to announce his plans.

"I declare that I will hand over the reins of power to Sheikh Tamim bin Hamad al-Thani and I am fully certain that he is up to the responsibility, deserving the confidence, capable of shouldering the responsibility and fulfilling the mission," according to the Independent.

Sheikh Hamad's decision to cede power willingly was a first in the modern history of the region. The norm is for Gulf leaders to rule for decades until their death or until circumstances conspire to overthrow them, such as the Arab Spring uprisings that toppled leaders in Tunisia, Egypt and Libya.

His son, Sheikh Tamim, became the youngest monarch in the region at the age of 33.

Spanish selfies and change

In Spain on Monday after the King announced his departure, tourists took selfies in front of the royal palace in Madrid. Some gazed through the gates.

"Change is good, new blood could be good, why not?" said Spaniard Natividad Andres. "Everything is so unpredictable, you think about politicians that offer you one thing and give you another and things continue to work."

Lola Garcia told Reuters that she worried about what the abdication indicated.

"It's a shame. I'm really sorry," she said. "I don't know what's going to become of Spain and I don't like what I see coming."

On Monday, the King noted in his speech that Spain had been suffering financially.

"The long, deep economic crisis we are going through has left a lot of scars socially, but it has also pointed toward a future of hope," he said.

Royal watcher Fitzwilliams called King Juan Carlos' abdication a "real tragedy."

"He wanted to go down in history as the king who was a symbol of national unity for a very disparate Spain," Fitzwilliams said. "Spaniards -- many of them older -- are great admirers of him."

There was still a "tremendous amount of good will" toward the King, he said, despite scandals that had lately rocked his rule.

King Juan Carlos' popularity took a hit in 2012 when he fell and broke his hip while on a trip in Botswana, and Spanish news outlets began running a photo from the trip that showed him next to an elephant he had shot. The image appalled many Spaniards.

Fitzwilliams recalled Monday, however, that the King had, in his long rule, managed to bring together fractious political groups in Spain and stop a right-wing military coup in 1981.

"He's done the country enormous service," Fitzwilliams said.

Could a British royal be next?

The news of King Juan Carlos' abdication didn't shock British author and historian Kate Williams.

"We've seen this in Belgium and the Netherlands," she said. "I think it's often thought that rule should go to someone who is young and vibrant and fun. But you will never see it in the United Kingdom. Never."

Queen Elizabeth II has said that she believes the job of ruling Britain was given to her by God, and only God can take it away, Williams said.

The queen staying in her job is critical to a cohesive sense of culture in Britain, she said.

But it's happened before in the U.K.

There's no way Queen Elizabeth doesn't consider the shock waves sent through British society when King Edward VIII abdicated in 1936.

That "haunts" the palace still, Fitzwilliams said.

King Edward caused a huge stir when he declared that he wanted to marry American divorcee Wallis Simpson, an act that broke the rules of the Church of England. He gave up the throne and became the Duke of Windsor.

Together, the couple toured Germany. It was reported that the former king had Nazi sympathies. He lived out the rest of his life in France.

The episode is considered, Fitzwilliams said, a shame on the legacy of the British monarchy.

@highlight

Netherlands, Belgium and Qatar all had monarchs step down in 2013

@highlight

King Juan Carlos I of Spain announced Monday he would abdicate

@highlight

Royal watcher says there's no chance Queen Elizabeth would give up throne