BATH, England (CNN) -- Lurking among the orchards and misty meadows of South Somerset, England, is a quiet, green energy revolution.

Many old watermills in south west England are being used to create local energy.

The tranquil, rural area is most famous for agriculture -- particularly apples and cider -- and along its many rivers are a series of historic watermills, which were for centuries used to grind corn and other cereals for local farmers.

But now their waterwheels are being put to a new use: generating clean, green power.

"The mill was falling into disrepair," says Brian Shingler, owner of Gants Mill.

"It had been in the family for over 50 years and I knew I was looking at a wasted resource; so I decided to do something about it.

"It was partly altruistic -- we wanted to do our bit to save the planet. We also knew that the only way electricity prices could go was up, and it made good business sense as well."

Shingler wasn't the only local interested in the new potential of watermills.

He got together with five others and in 2001 they formed the South Somerset Hydropower Group with the help of the local council. Together they applied for grants to help fund work to convert their Mills -- including $130,000 from the UK's Energy Saving Trust.

So far ten sites in the area have joined the scheme -- installing machinery and clearing and repairing weirs and leaks.

Six mills are already online delivering approximately 164,688 units (kilowatt hours) of green electricity each year.

The power is used locally, with any surplus sold on to the national grid. In some cases it isn't the first time mills have been used this way, as many had already generated power historically.

"From about 1870 through to the Second World War a lot of mills on English rivers were used to supply electricity to large country houses," says Shingler.

"It was usually a 24-volt system used to charge up batteries. But once the national grid took off, and that got out into all the villages, everything changed and generating your own power worked out more expensive and the mills fell out of use."

But now those days are coming back. With rising power prices, and a growing awareness of green issues, watermills are becoming increasingly attractive as low carbon community power sources.

Already the South Somerset project is being replicated in nearby Mendip at sites along the River Frome, as well as in Dorset and Devon, with other projects setting up around the country, including Yore Mill in Yorkshire.

David and Ann Kiely bought that site in 1993, hoping to run it as a tourist attraction.

"When we bought Yore Mill it was with the intention of diversifying our farming business," he says.

"At one time it housed an historic collection of Victorian horse drawn vehicles, but visitor numbers had steadily declined and the collection sold."

But after having their pig farming business devastated by the foot and mouth crisis in 2001, the couple hit on the idea of using the mill to generate power.

"When we thought it through, the idea made a lot of sense," says Kiely.

"The turbines were here in situ, we have a powerful water source and we can generate 55KW per hour per day - enough to supply 100 households. We've had tremendous local support for the project too."

The couple received a Government grant of $79,000 to help complete the work. The major obstacle to more conversions is that high start-up costs can deter potential conversions. "It is definitely getting harder," says Shingler.

"There are less and less grants available at the moment. But that could all change. The price of electricity is getting higher all the time. We now get about 10 or 12 pence a unit; we used to get 2 pence. You're looking at under ten years to make a profit -- less if prices keep going up steeply.

"The real issue is how much of the infrastructure you already have, and how much engineering you need to do; how much equipment you have to buy."

But all UK renewable energy producers were given a boost recently when the British Government announced on October 16 that it intended introducing a "feed in tariff" guaranteeing rates for renewably produced electricity.

The tariff is intended to kick-start the renewable energy sector by paying an above market rate for power that is then slowly reduced year-on-year.

The British Government hopes it will reward early-adopters and stimulate production. When Germany did the same thing in 1999 it led to a huge growth in renewable energy production -- they currently have ten times as much wind power as the UK, and 200 times more installed solar energy.

"Watermills will probably only ever supply two or three per cent of the nation's need," says Shingler.

"Simply because of the finite number of suitable rivers. Generating power like this is quite a thirsty business and you need a very good flow."

But generating power locally increases efficiencies by reducing wastage from transporting electricity long distances, and stimulates regional economies.

"In the end the economics come down to the size of the river," says Shingler.

"Some people run small operations that rely on filling up a pond and then releasing when it's full, but the payback on a small site takes much longer."

But whatever the obstacles, Shingler has no regrets: "It's all been quite fun, really -- especially when the cheque arrives!"

@highlight

UK watermills undergoing a renaissance thanks to appeal of green energy

@highlight

Many disused watermills in southwest England now supplying UK's national grid

@highlight

British Government hopes to compete with Germany on green energy production