Alcohol. Bond's alcohol.

The British spy James Bond may routinely get himself out of dangerous situations with skill and charm, but his body may be suffering all the while because of his drinking habits. British researchers predict he could die from alcohol-related causes, such as liver damage, by age 56.

Scientists wanted to examine just how much alcohol the famous fictional secret agent consumes, and what effect that could have on his health. They published a study, led by Graham Johnson of the emergency department of Royal Derby Hospital, in the British Medical Journal's Christmas edition, which features a variety of offbeat research papers.

Researchers found Bond's weekly alcohol consumption totaled 92 units a week, which is more than four times what doctors recommend. A real person would not be able to carry out such complicated tasks and function as well as Bond does while maintaining such habits, they conclude.

A unit of alcohol is defined as 10 milliliters or 8 grams of pure ethanol in the United Kingdom. For some perspective on that, a bottle of wine is nine units, and a pint of beer is three, according to this study.

The finding of 92 units a week could actually be the low end of the truth, as studies have shown that "people generally underestimate their alcohol consumption by about 30%," the study said, noting other research has demonstrated that health surveys don't account for about half of all alcohol sold.

In other words, Bond may be drinking much more than the large quantities portrayed in the books.

"We advise an immediate referral for further assessment and treatment," the study authors wrote, as well as "a reduction in alcohol to safe levels."

10 hotels featured in James Bond movies

Two study authors analyzed all 14 original James Bond books by Ian Fleming, focusing on the number of days on which alcohol-related events were described. But each of them only read half the books, representing a shortcoming of the study, which was conducted in "the study authors' homes, in a comfy chair."

They found that in "From Russia with Love," on the third day of the story, Bond drank about 50 units of alcohol -- the highest daily consumption in the collection of stories.

It also appears that the spy's alcohol intake dropped around the middle of his career, but then picked back up gradually toward the end.

"This consistent but variable lifetime drinking pattern has been reported in patients with alcoholic liver disease," study authors wrote.

Note that researchers did not analyze the Bond films, only the books, so the precise level of alcoholism that Bond portrays on the big screen is an open question.

James Bond 50th anniversary coverage

About 2.5 million deaths worldwide are attributable to alcohol use, the study said. The cause of alcohol-related death is most often injury, liver cirrhosis, poisoning and malignancy.

A real person who drank as much as Bond, more than 60 grams of alcohol per day, would be in the highest risk group for malignancies, depression, hypertension and cirrhosis and could also suffer sexual dysfunction.

Early death would be likely for the spy as a result of such rampant alcohol consumption, researchers said.

Fleming, the author who created the Bond character, and frequently drank and smoked tobacco, died at age 56 of heart disease. "We suspect that Bond's life expectancy would be similar," the researchers wrote.

Alcoholism may even be responsible for Bond's famous catchphrase "vodka martini -- shaken, not stirred." This may have health-related implications, too.

Study authors posit that if Bond's alcohol consumption in the books is so chronic and excessive, he may be suffering from an alcohol-induced tremor. Chronic exposure to alcohol can damage a part of the brain called the cerebellum, which can lead to a tremor.

This suggests -- and of course, this is only speculation -- that perhaps Bond can't actually stir his drinks.

James Bond submarine car sells for $920,000

Is Bond the man with the golden liver?

"In Casino Royale he drinks over 39 units before engaging in a high-speed car chase, losing control, and spending 14 days in hospital," study authors wrote. "We hope that this was a salutatory lesson."

And yet, Bond kept drinking in subsequent novels.

There's plenty of opportunity for another installment: "From Rehab With Love."

@highlight

Study looked at 14 James Bond novels

@highlight

About 2.5 million deaths worldwide are attributable to alcohol use

@highlight

Researchers project Bond could die at age 56 because of alcohol use