How could it happen here?  This is the question plaguing residents of Newtown, Conn., a picture-perfect country town with good schools, quiet streets and a strong sense of community.  But small towns like Newtown are where 60% of rampage school shootings in the United States occur.  Far from big urban centers where gun violence is common, these communities are generally very safe.  But more often than not, they are the places where this kind of tragedy strikes.

My research team spent two years trying to understand rampage school shootings.  We spent several months in Kentucky and Arkansas, in two towns that had been the scenes of shootings in the late 1990's. We interviewed  the shooters' neighbors,  friends, instructors, coaches and Sunday school teachers. We talked to people who had observed the shooters in jail cells right after the shootings, and years later in prison.  We combed the records of every shooting of this kind in the U.S. from the 1970s onward, looking for patterns.  And while each tragedy has its own anatomy,  a picture emerged that makes sociological sense and probably has some bearing on the Newtown case.

Opinion: Put reason back in America's gun debate

Rampage shootings are never spontaneous.  They are planned, often for months in advance. We don't know yet whether the Newtown shooter, Adam Lanza, gave any warnings, but in the episodes we studied, shooters commonly  told their peers  -- often in a veiled and ambiguous fashion -- what they had  in mind.

One reason shooters tip their hands is that they are trying to solve a problem.  Though they are often intelligent, high-performing boys, their peers tend to see them as unattractive losers, weak and unmanly. In a school culture that values sports prowess over academic accomplishment, they face  rejection.  The shooters are rarely loners, but tend instead to be failed joiners, and their daily social experience is full of friction.  Since they are almost always mentally or emotionally ill, those rejections -- so common in adolescence -- take on greater importance and become a fixation.  Rebuffed after trying to join friendship groups, they look for ways to gain attention, to reverse their damaged identities.

The shooting is the last act in a long drama: a search for acceptance and recognition.  The  earlier acts fail miserably.    But once a shooter starts to talk about killing people, ostracism can turn to inclusion.  Suddenly, he is getting the attention he has been craving.  Michael Carneal, who killed three high school girls and paralyzed a fourth when he was a freshman in a Kentucky high school, pulled pranks, told loud silly jokes and stole CD's in an attempt to impress.  None of it worked.  But the day he started talking about shooting people, that began to change.  The Goth group he desperately wanted to join wheeled in his direction for the first time.

Carneal never thought about how his actions would destroy lives or send his neighbors into a lifetime of angry mourning.  Interviewed after the shooting, he said he thought that those boys would at last become his friends. He would be asked over to their houses and they would visit him.  He would be cool. He was a skinny 13-year-old with glasses, a bright boy fond of reading and terrible at football --  all he was after was another identity.

Opinion: Mourn...and take action on guns

Look at photos of Seung-Hui Cho, the shooter at Virginia Tech who murdered 32 people, and you will  see eerie echoes of what Lanza reportedly wore: mask, military fatigues, multiple guns in assault position.  Many of these young men are trying to cast themselves as stars of a movie that ends in a blaze of suicidal gunfire and notoriety. Our research on earlier shootings showed the attack is on a school because  that is the center  stage in a small town, where  the young men can rivet the entire community

If so many clues are out there, why don't more people see them?  High-school teachers see students less than an hour a day, and rarely compare notes with other teachers, even after witnessing troubling behavior. They often do not document infractions, preferring to address problems in their own classrooms.

Peers, on the other hand, do hear things.  Why don't they come forward?

Opinion: Parents' promise: I will keep you safe

First, the signal is noisy.  Michael Carneal was always saying goofy things.  He explained to his would-be friends that they would see who "lived or died on Monday."   Mitchell Johnson, who, together with Andrew Golden, killed four kids and a teacher in an Arkansas middle school, told his friends that he would be "running from the cops."   They recognized in hindsight that he was telegraphing his intentions.   But at the time, most didn't know what to make of these comments.  A few students took Michael Carneal's warnings so seriously that they didn't go to school that fateful Monday.    But none of the dozens of kids in either school who heard veiled threats reported them to adults.

They didn't know how to interpret the signals.  In the context of goofball comments they were used to, how could they know these were real warnings?  Crossing the DMZ that separates kids from adults in early adolescence is socially dangerous.  Why risk being deemed a tattletale or teacher's pet when you don't know whether those crazy asides actually mean anything?

This quandary is the root of preventing rampage shootings in schools.  Law enforcement will never be able to respond fast enough to stop shootings that often end in seconds.  This is why we have to find ways for people who hear troubling rumors or threats to report them to people who can investigate and intervene.  And while we do not know enough now to tell whether anyone had a clue about Adam Lanza's murderous intentions, it will not come as a shock if it turns out there were people in his social orbit who had an inkling, fuzzy and incredible as that inkling might be.  It would fit the pattern of what we saw in virtually all of the other rampage shootings in American schools.

Opinion: Has life in America gone insane?

Would gun control help?  Yes and no.  Yes, because anything that thwarts the efforts of a Carneal or a Johnson to get their hands on guns will make it harder to perpetrate a massacre and will deter the ambivalent.   If Adam Lanza had had to go to greater lengths to get his hands on weapons, he might have run out of psychic energy to do this terrible deed.  It appears he had little trouble, though, because the guns belonged to his mother, were registered and legally owned.  Why in the world we enable civilians to own such lethal instruments baffles millions of citizens and will be the subject of a searching debate if our politicians can get over the barriers that have prevented serious reform.

But gun control is not enough.  A  determined person will find a way.  Andrew Golden and Mitchell Johnson took a blow torch to a safe to try to get at the guns they knew were hidden there.  That failed, so they found wire clippers and managed to cut their way through the cables that were supposed to keep Golden's grandfather's gun collection out of the wrong hands.  People who are this intent on getting their hands on weapons are very difficult to stop.  That is not an argument against gun control because thousands of unbalanced young men are not quite that determined; they are ambivalent.  That is why gun control is a necessary but not sufficient step.

Although we will not be able to stop all of these tragedies, we can cut down on their number by insuring that adults make themselves available to kids in completely confidential settings, reassuring them of their privacy when they take that risky step to come forward.  We can provide opportunities for "round pegs" like Michael Carneal, a bright, intellectually inclined kid, to find a social space that doesn't depend on athletic prowess or a handsome face.

If the reports of his childhood acquaintances prove to be correct, Adam Lanza may have been through a similar experience.   Kids can be very cruel and they are not always courageous enough to own up to their culpability for ostracism, particularly since they don't know -- and cannot be held responsible -- for the extreme consequences of emotional damage they may be causing.

In the end, though, there will be troubled boys and some of them will become killers.  To the extent that we can capture the warning signals they send out to their peers, we can do our best to stop them in their tracks, even if we do not always succeed.

Follow @CNNOpinion on Twitter

@highlight

Katherine Newman: Bucolic country towns are locus for most school shootings in U.S.

@highlight

She says her research shows patterns in such shootings; they are often planned far in advance

@highlight

She says attackers often hint at plans; they long to fit in, gain peers' attention acceptance

@highlight

Newman: We must provide settings for children to confide in adults