KABUL, Afghanistan (CNN) -- As a journalist, as a human being, the stories of the people around you stick with you. Whether it is in passing memory or in daily wonderment, they are in your mind and many in your heart, engrained forever.

CNN's Atia Abawi, center, with Banafsha (denim jacket) and her siblings and mother.

The first story I worked on for CNN in Afghanistan back in November, just as we were opening our new bureau in Kabul, was on a girl who attended a school for street kids called Aschiana.

Aschiana, which means "nest" in Dari, was a place for the nearly 60,000 street kids in the capital city to escape from their terrible reality and get an education.

There, we met Banafsha, an 11-year-old girl who along with her two younger sisters would beg on the streets for bread, feeding their family of eight. Her mother would stay home and take care of her baby brothers and their father, she told us, was a heroin addict.

Banafsha was young in age but her eyes told of experiences that have taken her far beyond childhood.

In our conversations, she spoke with candor and honesty, not allowing emotions to creep in. Until when, she told me that she prayed everyday for a change in her life.  Watch Abawi's first story on Banafsha »

"I say, 'God take me out of this poverty and have my father go work so I can go to school,'" she said, wiping away one lonely tear.

The story received a tremendous response from viewers and readers after it was posted on CNN.com. An organization from the U.S. began to sponsor Banafsha, promising to provide for her.

This was great to hear, but it didn't stop me from worrying. Did I bring her more trouble or was she going to be okay?

Every time we would drive around the neighborhood, I would look for her to see if she was among the other street beggars. Were they suffering in the winter cold? Did they have enough food?

About a week ago, I went to the headquarters of the NATO-led International Security Assistance Force with our cameraman Charlie Miller. As we were leaving, we met three little street kids, a sweet girl among them with a beautiful smile -- which made me think of Banafsha and her sisters.

The sight of kids begging always breaks my heart because I know that their childhoods are forever stolen by poverty.

I am also always scared to give them money because I remembered a story Banafsha told me about her little sister. She was given two dollars by an American, and when the American walked away, an older boy came and punched her 7-year-old little sister in the face, knocking her out. When she woke up, her money was gone.

As we were driving away from those children and the smile on the girl's face, I shared the story with our driver and told him that I wished I knew how Banafsha was doing now.

On our way home we decided to stop at a DVD shop, part of our limited entertainment living in Kabul.

After making my selection, I walked out and I heard a beggar girl with a familiar smile on her face exclaim, "You came over to our house!"

There was a girl next to her in a yellow dress also beaming with the same indistinguishable smile, lugging a bag of leftover pieces of bread over her tiny back.  Watch Abawi reunite with Banafsha and her family »

It was Banafsha's little sisters: 10-year-old Samira and 7-year-old Tamina.

I was so excited to see them and even happier that they recognized me. But I was at the same time dejected that they were still on the streets.

They told me that they go to school but they still beg on the streets. However, Banafsha is at home and no longer begging.

We went home with them because I wanted to see Banafsha and her mother. On the way to their house in the middle of a Kabul graveyard, Samira told me that her dad left again three days ago and they have no clue where he is.

As Samira went to go get her mother, who was nearby at their grandmother's home, her little brother called Banafsha for us. She came out of a little room in the backyard, used for the wintertime. It holds what is called a "sandalee," a table heated by coal that is used by the more impoverished in Afghanistan to stay warm in the torturously cold winter.

Banafsha looked drained, her eyes heavy with burden. I heard a baby crying from the room she just left, which had to be her little brother Ajmal. If it was true that she was not begging anymore I knew she was still carrying the weight of her family on her tiny shoulders.

She was wearing a denim jacket and new dress. The family told me that the organization that has promised to help has been there twice so far, bringing Banafsha clothes and some cooking supplies for the family.

They said they were grateful for the help Banafsha was getting but there were still difficulties.

Banafsha was quiet and didn't talk much, but she had her rare moments when a smile would creep out. Those moments were like a glimmer of light in a dark room to me.

The entire family had that same smile, but it was Banafsha's and her mother's that were the most infrequent.

As we were about to leave, I asked about their health and the mother said everything was fine except for something on Banafsha's arm.

She pulled up her daughter's sleeve and showed us a thick forming rash. Banafsha told us it kept growing and it was itchy.

Charlie pulled out his still camera and took a picture of it. He planned on showing it to a medical friend in the city for treatment.

I did not want to say goodbye, but I also did not want to intrude anymore than we had. That day, seeing them, re-energized me in a way that I could not explain.

In Afghanistan, you see a lot of misery, in the city of Kabul alone your heart sinks at every turn. The poverty, the destruction, the hopelessness and the loss of dignity for survival, is everywhere.

You are grateful for what you have and how lucky you are, but you know it is not fair. Those feelings continue to weigh on your heart and mind, and they can add up. Some times you are strong about it, other times you feel weak.

And as much as it pains you, you know you are lucky to see their lives, you know you have benefited from these people and from this place -- in ways you may never understand why.

@highlight

Abawi meets Banafsha while doing a story about a school for street kids

@highlight

Banafsha and her sisters beg on the streets for food

@highlight

Abawi runs into Banafsha's sisters six months later

@highlight

Banafsha receives some help from a charity, but the family is still struggling