(CNN) -- In most of the country, employers can force pregnant workers out of the workplace when their pregnancy interferes with their normal job duties.

Heather Wiseman, a retail sales associate, lost her job because consuming water while working, an activity necessary to maintain a healthy pregnancy, violated store policy.

Victoria Serednyj, a nursing home activity director, lost her job because her pregnancy interfered with her ability to lift heavy tables. Her employer terminated her employment even though lifting tables "took up a small part, roughly five to 10 minutes" of her day and her co-workers volunteered to perform this task.

Workers covered by the Americans with Disabilities Act, by contrast, can continue working despite their physical limitations.

The Americans with Disabilities Amendments Act of 2008 broadened the ADA to include many short-term and relatively minor physical conditions. Pregnant women who experience comparable physical limitations should also have the opportunity to receive accommodations that will enable them to continue working.

According to EEOC regulations issued in 2011, the amended ADA requires employers to accommodate persons who experience "shortness of breath and fatigue when walking distances that most people could walk without experiencing such effects."

It also requires employers to accommodate persons with back injuries resulting in a "20-pound lifting restriction that lasts or is expected to last for several months." In some circumstances, even a far more common 50-pound lifting restriction may qualify an individual for ADA coverage.

To date, courts have balked at including pregnancy within the Americans with Disabilities Act. They've reasoned the physical limitations accompanying pregnancy are too short-term and minor to qualify as disabilities.

The courts' remaining objection to providing ADA accommodations to pregnant workers is pregnancy is "the natural consequence of a properly functioning reproductive system" and therefore cannot be a disability.

The Family and Medical Leave Act provides no protection to the approximately 40% of American workers who fall outside its scope.

Even for workers covered by the act, it does little to enable women to continue working during their pregnancies. When a pregnant worker is unable to perform her usual job duties, her employer may force her to take unpaid leave under the act even when temporary job modifications would enable her to continue working.

If the employer requires her to take leave before the 28th week of pregnancy, the worker will lose her FMLA-guaranteed right to reinstatement because she will exhaust her 12 weeks of FMLA leave before the baby arrives.

Unlike pregnant workers, ADA-eligible employees can continue earning a paycheck whenever they are able to do their job with reasonable accommodations. And if ADA-eligible workers also enjoy FMLA coverage, they can save their FMLA leave for situations when their medical condition truly necessitates time off.

The courts' objections misunderstand the Americans with Disabilities Act. The ADA significantly differs from earlier disability laws that viewed persons with disabilities as defective. The ADA recognizes much of the disadvantage associated with disability is more environmental than biological.

For example, historical decisions to solely provide building access by stairs reflect the historical assumption wheelchair users would not, and should not, participate in public life.

Had wheelchair users historically been considered full citizens, employers and architects would not have so frequently designed buildings that exclude them.

Properly understood, the ADA's mandate to reimagine our social environment to accommodate historically excluded persons should encompass pregnancy.

Like more traditional "disabilities," the interaction between pregnancy and many work environments constricts women's employment opportunities. It also reflects the historical workforce marginalization of childbearing women.

If American culture is to value pregnant women as legitimate wage earners, work polices should accommodate pregnancy's physical effects. Accommodation rights for pregnant workers need to catch up to accommodation rights for persons with disabilities.

The opinions expressed in this commentary are solely those of Jeannette Cox.

@highlight

Law professor: Americans with Disabilities Act should include pregnancy

@highlight

Courts have balked, saying physical limitations are too short-term and minor to qualify

@highlight

Work policies should accommodate pregnancy's physical effects, says author