(CNN) -- Zieba Shorish-Shamley's Afghanistan doesn't exist anymore.

As recently as the 1970s, Afghan women could be seen wearing miniskirts in Kabul.

The tea and fresh fruit her Muslim family shared over laughter with their Jewish friends at home. The female lawmakers who spoke out in Afghanistan's parliament. The tourists who were so enchanted by Kabul, the country's cosmopolitan capital, they called it the "Paris of Central Asia."

When the Afghan native recently returned home, all of those childhood memories seemed like a mirage. What she saw instead was what many Americans now associate with Afghanistan: destruction.

"When I got off the plane, I cried my eyes out," she said. "Most of Kabul was destroyed."

Shorish-Shamley's memories represent a side of Afghanistan that's easily overlooked. As Afghans prepare to pick a president in their national election Thursday, much of the media has focused on pre-election violence. Afghanistan has often been portrayed as a barbaric country where warfare has been a way of life for centuries.

But not long ago, Afghanistan was something else: a politically stable, religiously moderate government that recognized women's rights, Afghan natives and scholars say.

Elizabeth Gould, co-author of "Invisible History: Afghanistan's Untold Story," says a U.S. diplomat visiting Afghanistan in the early 1970s said its citizens were so passionate about democracy that he saw them debate their constitutional rights in the streets.

"The years after World War II, in the '50s, '60s and early '70s, were the golden years," Gould said.

Afghanistan's 'wave of freedom'

Afghanistan's earlier stability started at the top. It rested in part on its royal leadership. The country was ruled by a king, Mohammad Zahir Shah, from 1933 to 1973.

Though a monarch, some say Zahir Shah tried to spread the power in Afghanistan. In 1964, he convened a council of scholars, religious and tribal leaders to create a constitution that supported more individual freedoms. Critics say, however, that the shah was slow to implement those democratic reforms.

"The king and some of the people who worked for the king believed in democracy and the rights of people," said Shorish-Shamley, now founder and director of the Women's Alliance for Peace and Human Rights in Afghanistan. "It was the '60s, and there was a wave of freedom."

Shorish-Shamley says Afghanistan was, in some ways, ahead of the United States when it came to empowering women.

"We had more women in parliament than the U.S. had in Congress at the time," she said. "We were moving toward democracy. People didn't have much, but they were happy."

That wave of freedom filtered down to ordinary people's lives, says Tanya Amri, an Afghan-American who spent her early childhood in Kabul.

Amri remembers an idyllic time. Her mother worked as a journalist, and her father worked at the U.S. Embassy. There was hardly any crime in Kabul, and the government was stable, she says.

When she tells some Americans that her mother worked as a journalist in Afghanistan, they can't digest the news.

"They ask me if my mom wore a burka,'' said Amri, who is writing a book about Afghanistan's food and cultural heritage. "I tell them she wore a miniskirt."

Religious intolerance may be a problem in Afghanistan today, but not as much in the past, Amri says.

The country has a history of religious tolerance. Its mixed religious heritage could be seen in two soaring statues of Buddha that were carved into a cliff in central Afghanistan. Buddhist monks lived in the caves behind the cliff, she says.

"At one point, Afghanistan was a Buddhist country," Amri said. "In those caves, 2,000 monks used to meditate."

The Taliban, however, demolished the statues in early 2001 because they deemed them graven images offensive to Islam.

Afghanistan's earlier religious tolerance was due in part to geography. It was at the intersection of the ancient world's great civilizations, says Paul Fitzgerald, co-author of "Invisible History."

Afghanistan was crisscrossed by the Silk Road, an ancient network of routes that linked China to Rome. Wool, gold, silk and spices were dispatched over the roads, and Buddhist and Hindu pilgrims settled into Afghanistan, Fitzgerald says.

"Afghanistan has been called the graveyard of empires, but it's more of a crossroad of cultures," Fitzgerald said.

The cultural richness is what Shorish-Shamley remembers from her childhood. Though she was a Muslim, she remembered attending Jewish holiday celebrations. Hindus, Sikhs, Shiites and Sunnis lived easily with one another, she says.

"My mother's best friends were Jewish," she said. "My mother had a set of cups and dishes that were kosher that she kept for her friends when they came over for dinner."

Is the past romanticized?

Yet there are others who say it is tempting to romanticize Afghanistan's past.

Christine Beasley, the program manager in Afghanistan for World Vision, a Christian humanitarian group, says Afghanistan did modernize in the 1960s and the 1970s. But most of the country's rural areas remained conservative in their practice of Islam and treatment of women.

"There was relative stability, but the changes in the '60s and '70s were confined to very small, urban elite, primarily around Kabul," Beasley said.

Afghanistan's stability started to unravel in 1973. A military coup ousted the king. If he was so just, why would a coup succeed?

Fitzgerald says Afghans grew unsatisfied because change wasn't coming quick enough to the impoverished country.

"It was the lack of progress at modernization by the traditional Afghan government that was the source of unrest," Fitzgerald said. "It was not the fact that they were modernizing. They didn't have the economy to absorb all of those educated Afghans."

In the late 1970s under a communist regime, Afghanistan's internal stability worsened. In 1979, the Soviet Union invaded and deposed the country's leader. But Soviet forces ended up getting bogged down in a 10-year-long military conflict. The Soviets were finally driven out by U.S.-backed Afghan resistance fighters.

Afghan resistance leaders formed a government but it eventually descended into civil war. In 1996, the Taliban stepped into the power vacuum left by feuding factions and took control.

The Taliban, though largely indigenous to Afghanistan, was nurtured by  Pakistan's military and intelligence services. The Taliban "would have never been able to take over Afghanistan without that support," says Peter Bergen, CNN national security analyst.

"The Taliban has to be viewed as a creation of Pakistan intelligence with the objective of taking over Afghanistan and putting in a Pakistani-friendly government," says Elizabeth Gould , author of "Invisible History."

Shorish-Shamley, the Afghan women's activist, agrees with Gould and says it is useless to negotiate with the Taliban.

"There is no such thing as a moderate Taliban," she said. "If you will show me a moderate Nazi, I will show you a moderate Taliban."

Perhaps Afghanistan can recover its stability. Afghans and exiles recommend the same solutions: weed out government corruption, oust the Taliban, boost economic development and prevent Pakistan from interfering in Afghanistan's internal affairs.

Amri, the Afghan-American who is writing a book about her native country's heritage, says nostalgia will not be enough. She and other Afghans must return to Afghanistan to help it recover.

"It's up to the people of my generation to go back and contribute," she said. "I'm very hopeful. Nothing lasts forever. I hope it happens in my lifetime."

@highlight

Afghan exile says her world doesn't exist anymore

@highlight

She says Kabul was the "Paris of Central Asia"

@highlight

Afghans say their country was stable and tolerant not long ago

@highlight

Others say Afghanistan's golden age was confined to cities