(CNN) -- An NBC reporter and his crew spoke Tuesday of their overwhelming relief after being freed from kidnappers in Syria who kept them bound, blindfolded and repeatedly threatened to kill them during a five-day ordeal.

Speaking from Turkey, Richard Engel described on NBC's "Today" show how he and his crew were seized by a group of masked, heavily armed men shortly after crossing into northwest Syria from Turkey on Thursday.

Read more: Syrian refugees on run: 'I want people to feel our pain'

While the NBC crew members were bundled into a waiting container truck, one of the rebel fighters who had been escorting them into Syria was executed on the spot, Engel said.

Then followed five days during which the team was moved among a series of safe houses and interrogation places, always blindfolded. Although they weren't physically harmed, they were subjected to "a lot of psychological torture" and threats of being killed, Engel said.

Read more: Refugee figures fail to give true picture of Syria crisis

"They made us choose which one of us would be shot first. When we refused, there were mock shootings. They pretended to shoot him several times," he said, referring to producer Ghazi Balkiz. Hearing a gun fired while blindfolded "can be a very traumatic experience," he said.

Back in the United States, fears for their well-being mounted. The network sought word of where they were but kept their disappearance out of the news for fear of jeopardizing their safety.

While the crew was missing, there was no claim of responsibility, no contact with the captors and no request for ransom, the network said.

Read more: Syrian rebels gaining ground in Aleppo, opposition says

Only on Monday did the welcome news come that they had been freed after their kidnappers ran into a rebel checkpoint as they moved the hostages to another site. Two of their captors were killed in the ensuing firefight, but the NBC crew was unharmed.

The team spent the night with the rebels who rescued them before crossing the border into Turkey on Tuesday morning.

"We're very happy to be here. We're in good health. We're OK," Engel told the "Today" show from Antakya, still wearing the same clothes he was held in but smiling broadly.

Read more: Syrian regime approaching collapse, NATO chief says

Engel, alongside Balkiz and cameraman John Kooistra, spoke of how they tried to use jokes to keep each other's spirits up during their long ordeal.

Kooistra said that he had "made good with my maker" and with himself, and that he had been "prepared to die many times."

Engel also pointed out how fortunate they were to have been released unharmed while so many others in Syria remain in captivity or fear for their lives.

Syria's government has severely restricted foreign news organizations' access to the country.

Read more: An afternoon with a Syrian bombmaker

NBC has not named all the crew members, but the opposition Syrian Observatory for Human Rights said there were two Americans, a Briton of Jordanian origin, a Turk and a German of Syrian origin in the NBC team.

Conflicting accounts have emerged of who was responsible for the crew's abduction and subsequent release.

Engel said he had "a very good idea" of who kidnapped them, saying it was the Shabiha, a militia loyal to the government of Syrian President Bashar al-Assad.

He said their captors talked openly of their loyalty to the government and of their Shia faith. The majority of the rebels are Sunni Muslims. Engel said the NBC journalists were told they had been captured with the intention of exchanging them for Iranians and Lebanese held by the rebels.

Read more: Aleppo Today TV becomes vital news source amid Syria's chaos

The Observatory also cited a rebel who participated in the operation to release the NBC team as saying that gunmen loyal to the Assad regime were behind the kidnapping.

However, NBC said earlier the abductors belonged to an unknown group that was "not believed to be loyal to the Assad regime."

And Mohammed Cheikh Omar, a brother of Ammar Cheikh Omar, one of the captured members of the NBC team, told CNN that his brother said the kidnappers were a group claiming to be Free Syrian Army.

Ammar Cheikh Omar said the group that freed the crew was a Free Syrian Army brigade called Ahrour el Sham.

The Observatory named the rebel group that freed the crew as the Freeman of the Levant Brigades.

In other developments:

Other hostages still held in Syria

A Ukrainian journalist, Ankhar Kochneva, continues to be held by Syrian rebels who have reportedly threatened to kill her unless a hefty ransom is paid.

The rebels have given the Ukrainian government more time to meet their demands, the official RIA Novosti news agency reported Tuesday.

And Russian Foreign Minister Sergei Lavrov said Tuesday that Moscow was taking "all the necessary steps" to free two Russian citizens abducted in Syria on Monday, RIA Novosti reported.

Their captors have demanded a ransom payment, the state-run Itar-Tass news agency cited the Foreign Ministry as saying.

The two Russians, who work for a private company in Syria, were seized near the port city of Latakia, Itar-Tass reported. An Italian engineer was kidnapped alongside them.

Blasts shake Palestinian refugee camp in Damascus

Explosions rang out inside a densely populated Palestinian refugee camp in Damascus as clashes erupted again between rebel fighters and a pro-government Palestinian militia, the Syrian Observatory for Human Rights said.

The renewed fighting comes amid wide concern about the humanitarian situation in the Yarmouk refugee camp, home to nearly 150,000 people.

Syrian warplanes bombarded the camp Sunday, hitting a school and a mosque and causing at least 15 deaths, the opposition Local Coordination Committees of Syria said.

Since then, fighting between rebels and a Palestinian faction reportedly led by Ahmad Jibril, a longtime leader of the Popular Front for the Liberation of Palestine General Command, has rocked the camp.

One displaced Yarmouk resident told the pro-Assad Al-Watan newspaper that a large number of Syrian armed forces were gathering to the west of the camp Tuesday.

He said he believes this "may be a lead-up to a military operation to cleanse the camp of the militants."

Mohammad Shtayyeh, a member of the central committee of the Palestine Liberation Organization and head of the relief committee for the Palestinians in Syria, condemned the loss of life in Yarmouk.

He said it was the responsibility of the Syrian government to ensure the safety of Palestinians in their country.

"Palestinian blood should not be part of the struggle for Syria, and the Palestinians are not part of it," he told CNN.

Speaking by phone to U.N Secretary-General Ban Ki-moon on Monday, Syrian Foreign Minister Walid Al-Moallem warned the Palestinian refugees against helping the rebels.

He "stressed the need for the Palestinians to refrain from supporting or harboring these armed group which are intruders to the camp and help expel them," according to Syrian state news agency SANA.

UNRWA, the U.N. agency for the Palestinian refugees, said that "credible reports point to civilian deaths, injuries and destruction of property in Yarmouk."

Thousands are fleeing the camp in search of safety, the agency said. UNRWA is now housing more than 2,600 displaced people in the Damascus area, a number that is rising fast, it said. Initial reports suggest well over 2,000 Palestinian refugees have also sought refuge in Lebanon, it said.

The agency "remains gravely concerned about the safety of the Palestine refugee population in Syria and appeals to all parties to refrain from actions that endanger civilian lives and property," it said.

U.N. humanitarian chief Valerie Amos said via Twitter that she was horrified by the bombing of the camp. "Senseless loss of life. Civilians must not be targeted," she said.

U.S. State Department spokeswoman Victoria Nuland said the latest attacks "mark a significant and alarming escalation of the conflict in Syria. All parties must stop unlawful attacks on civilians and comply with international law."

Palestinian Authority President Mahmoud Abbas has urged combatants in Syria "to spare our camps and our people in Syria" and not draw the Palestinians into the civil war. He also called on the world community "to take immediate action" to protect Palestinians in Syria.

Rebels and the government have gained and sought support from Palestinians in Syria.

Many displaced Palestinians have been living for decades in Yarmouk, a nearly square-mile district inside Damascus about five miles from the center of the city.

Formed in 1957, the urban enclave is the largest Palestinian refugee community in Syria, with more than 148,500 registered refugees, the United Nations said.

At least 28 people have been killed across Syria on Tuesday, including nine in Damascus, according the LCC. Two children are among the dead, the activist network said.

CNN's Kareem Khadder contributed to this report.

@highlight

NBC correspondent Richard Engel describes his crew's five-day ordeal in Syria

@highlight

"They made us choose which one of us would be shot first," Engel says of captors

@highlight

All the NBC crew was released unharmed after a firefight at a checkpoint

@highlight

More fighting shakes a large Palestinian refugee camp in Damascus