(CNN) -- Pakistan said Saturday it will reassess its relationship with the United States, NATO and the International Security Assistance Force in the wake of a deadly attack by NATO forces on two military checkpoints inside Pakistani territory, marking a major setback in worsening U.S.-Pakistan relations.

"The prime minister will take the Parliament into confidence on the whole range of measures regarding matters relating to Pakistan's future cooperation with US/NATO/ISAF, in the near future," Pakistani Prime Minister Yousuf Raza Gilani's office said in a statement.

The attack by NATO helicopters killed 24 soldiers and wounded 13 others in Mohmand Agency, one of seven districts in the volatile region bordering Afghanistan, the Pakistani foreign ministry and military said in a statement.

"It's a huge incident," Syed Masood Kausar, governor of northwestern Khyber Pakhtunkhwa province, told reporters in Islamabad.

Many of the wounded were in critical condition, military officials said. The officials did not want to be identified because they are not allowed to talk to the news media.

A spokesman for the NATO-led ISAF, Gen. Carsten Jacobson, said close air support had been called in during an operation with Afghan national security forces and ISAF in the rugged border area in the east of Pakistan, where the border is not always clear.

"A technical situation developed on the ground that caused the force to call for close air support and it is this close air support that highly likely caused the soldiers that perished on the Pakistani side," he told CNN. He said he could not discuss casualty numbers, since "they can only come at the moment from the Pakistani side."

"This incident has my highest personal attention and my commitment to thoroughly investigate it to determine the facts," U.S. Marine Gen. John R. Allen, NATO's commander in Afghanistan, said Saturday.

He also offered his "sincere and personal heartfelt condolences" to the families of any Pakistan Security Forces members killed or injured.

In a joint statement, the U.S. State and Defense departments said they are monitoring the reports and issued their condolences.

The departments' secretaries, Hillary Clinton and Leon Panetta respectively, said they support NATO's plan to investigate.

"In their contacts, these U.S. diplomatic and military leaders each stressed -- in addition to their sympathies and a commitment to review the circumstances of the incident -- the importance of the U.S.-Pakistani partnership, which serves the mutual interests of our people," the statement said.

Panetta shares Allen's regret for any loss of life, said Pentagon spokesman Capt. John Kirby.

The spokesman for the Pakistan military, Maj. Gen. Athar Abbas, condemned the strike. "There is absolutely no justification for this unprovoked and indiscriminate attack," Abbas told CNN. "There is no confusion about the locations of these check posts. They are well inside the border, they are clearly marked and NATO has their location on their maps."

Abbas rejected any NATO claim that NATO aircraft were pursuing insurgents who were crossing into Pakistan.

"There are no more safe havens in Mohmand. We have cleared them. They would have nowhere to hide," he said.

He told CNN there had been "no militant activity, to the best of our knowledge," in the area at the time, and that the border posts targeted were old and marked, and were supposed to be identified on the maps of NATO pilots operating near the border. Two of the dead were officers, he said.

"Let's wait for an investigation," he said. "Only then, the real truth will come out. But, on the face of it, we have lost 24 of our soldiers and officers, which is highly tragic and is not acceptable."

He cited similar incidents in the past for having resulted in "a great resentment" toward the NATO forces.

After a meeting Saturday of the Defense Committee of the Cabinet, the prime minister's office released a statement condemning the attack and saying it had "gravely dented the fundamental basis of Pakistan's cooperation with NATO/ISAF against militancy and terror."

The committee added that it decided to ask the United States to vacate the Shamsi Airbase within 15 days. The base, in southwest Pakistan, is reportedly used for CIA drone strikes.

A similar demand was made in June, when Pakistan's defense minister called for the United States to leave the airbase used to launch drone attacks against Taliban and al Qaeda targets on the border with Afghanistan, the state-run Associated Press of Pakistan reported then.

"We have told them (the U.S. officials) to leave the airbase," Defense Minister Ahmed Mukhtar told reporters about Shamsi Airbase in Balochistan, APP reported.

Mukhtar added that trust between the United States and Pakistan had eroded in the aftermath of the May 2 killing of Osama bin Laden by U.S. special forces acting inside the town of Abbottabad, Pakistan, without Islamabad's knowledge or permission.

But the Americans never left, according to embassy sources in Islamabad and Pakistani military officials.

In a statement, Gilani said he "strongly condemned the NATO/ISAF attack on the Pakistani" checkpoint.

The matter is being taken up by the Foreign Ministry "in the strongest possible terms" with NATO and the United States, the statement from his office said.

U.S. Ambassador to Pakistan, Cameron Munter, said: "I regret the loss of life of any Pakistani servicemen, and pledge that the United States will work closely with Pakistan to investigate this incident."

In response to the attack, Pakistan closed NATO's two supply routes into Afghanistan, Pakistani military and intelligence officials said.

NATO trucks have used the routes, in Khyber Agency and Balochistan, to supply U.S. and international forces fighting in Afghanistan.

About 50 containers and trucks carrying supplies for NATO were stopped at the town of Jamrud in Khyber Agency on Saturday morning, said Jamil Khan, a senior government official in Khyber Agency, bordering Afghanistan.

They were ordered to turn back toward Peshawar, the provincial capital of Khyber Pakhtunkhwa province, he said.

A second route from Pakistan into Afghanistan, the Chaman border crossing in Balochistan province, had been open to NATO supply trucks earlier Saturday but was shut in the afternoon, the military and intelligence officials said.

Roughly 40% of nonlethal NATO supplies and fuel go through Pakistan, with hundreds of supply trucks using the two routes into Afghanistan.

In addition, the spokesman for the government of Balochistan, Kamran Asad, said the provincial government had banned the entry of NATO supplies.

About 130,000 troops are deployed in Afghanistan with ISAF, 90,000 of them American, according to NATO figures.

Pakistani politicians responded angrily to the incident in Mohmand.

"This is the time to be united as a nation and to punch NATO with a fist," said Ahmed Khan Bahadur, a provincial lawmaker from the Awami National Party, the ruling party of Khyber Pakhtunkhwa province. "NATO could never dare if we were united."

Former international cricketer-turned-politician Imran Khan, who heads the Pakistan Tehreek-e-Insaf party, said it was time for Pakistan to pull out of the U.S.-led "war on terror."

The incident could be the deadliest for Pakistani soldiers involving NATO since a U.S. airstrike in June 2008, which Pakistan said killed 11 of its forces who were cooperating with the U.S.-led war in Afghanistan.

That airstrike, also in Mohmand Agency, prompted the government in Islamabad to summon the U.S. ambassador and lodge an official protest.

NATO's Allen had met Thursday with the Pakistani Chief of Army Staff Gen. Ashfaq Parvez Kayani, the Pakistani military said.

"The visiting dignitary remained with him for some time and discussed measures concerning coordination, communication and procedures between Pakistan army, ISAF and Afghan army, aimed at enhancing border control on both sides," a Pakistani military statement said.

U.S. Army Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, spoke with Kayani on Saturday to express his condolences, according to Pentagon spokesman Col. Dave Lapan.

"He noted the immediate investigation by ISAF to determine what happened," Lapan said.

CNN's Barbara Starr, Reza Sayah and Nasir Habib in Islamabad contributed to this report.

@highlight

NEW: The U.S. State and Defense departments say they are monitoring the reports

@highlight

ISAF spokesman says it is "highly likely" close air support caused the deaths

@highlight

Pakistan's prime minister calls an emergency meeting of services chiefs

@highlight

Pakistan closes NATO supply routes across the border to Afghanistan