(CNN) -- A few kilometers from the city center of Manaus, Brazil, is a natural phenomenon called "the meeting of the waters."

Here, the Rio Negro and Amazon rivers join, but don't mix -- light and dark waters, flowing side by side for 8-10 kilometers, due to different water temperatures, speed and acid levels.

Eventually, the two rivers become one, and the mighty Amazon continues its journey through northern Brazil.

It is just one of the countless features that makes Manaus such a unique city.

With the Amazon rainforest as its backyard, FIFA and city officials hope it will also be enough to draw in fans from around the world as one of Brazil's 12 host cities for the 2014 World Cup.

The city of two million people rises from the rainforest, isolated from much of the rest of Brazil's population. Traffic jams clog the streets. Fishing boats dot the river. Ports swarm with activity during the day, and overnight.

In the middle of it all, a stadium is being built from the ashes of one that stood before it. In this spot, the Arena da Amazonia is being constructed to welcome the world next summer.

The renderings of what the completed stadium will look like can be seen all over the city, from the sides of city buses to billboards above the busy streets.

But in reality, there is still much to be done. In June, it was a still a concrete shell, with no seats, no roof, no grass.

To complicate matters, having the rainforest as a backdrop is both a blessing and a curse. Instead of having a full year to prepare, Manaus has just a few months remaining until the intense rainy season hits in December.

If the stadium is not ready by then, construction will become that much more difficult.

Miguel Capobiango Neto is the city liaison's officer to FIFA, overseeing World Cup preparations for the city, and that includes the Arena da Amazonia.

In June, he estimated the stadium was about 65 percent complete, and on track to finish in December.

Sustainability

The construction of the stadium is as unique as the city that's building it.

To save time, parts of the stadium -- such as the roof, for example -- are being built in other locations like Portugal, Germany and southern Brazil. The pieces are then assembled in Manaus, creating another challenge.

"These logistics give us a big headache," Neto said. "We need very good planning to have everything here at the right time."

Meant to look like a basket made by indigenous tribes in the rainforest, eco-friendly elements have gone into its construction, so ample rainwater will water the pitch, while sunlight and wind will be harnessed for power.

"When we thought about making this arena, we thought about sustainability," Neto said.

"Everybody here in the Amazon region worries about the environment, so we tried to follow that way of thinking...like saving the rain water, using sunlight, and using the wind."

When it is complete, the stadium will hold 44,000 people, and cost an estimated $550 million Brazilian reais, or about $225 million -- if it is completed on time, and on budget.

During the recent Confederations Cup, protests erupted over whether the money being spent on the World Cup might be better invested elsewhere and in Manaus the big question remains -- what will happen when the World Cup is over?

Manaus' local football teams don't draw in a big crowd. So the city has plans to use the stadium for other events, like concerts, conferences, and even UFC fights -- with jujitsu as perhaps the area's most popular sport.

City organizers are focused on the bigger picture, knowing the World Cup can bring more than just a new stadium.

They hope it will leave a lasting legacy of infrastructure improvements the city so desperately needs -- like more reliable electricity, internet, and transportation upgrades.

Long after the final whistle blows next summer, and a champion is crowned, that will be the true legacy of Manaus as a World Cup host city.

@highlight

Manaus, right next to Amazon, is one of host cities for the 2014 Brazil World Cup

@highlight

A new stadium with sustainable features called Arena da Amazonia in construction

@highlight

Most of the work must be completed before the rainy season starts in December

@highlight

The 44,000-seater stadium cost $225m and will also host concerts and conferences