(CNN) -- What's going on in Ferguson? It's been nine days since Michael Brown was killed, and his family is still waiting for information from investigators about what happened to their young man.

Eyewitnesses and cell phone videos recount the minutes after his death --before Brown lay dead for five hours, uncovered in the street -- but the state can't provide the family with any information?

No state autopsy reports. No witness statements. No grand jury indictment. No nothing. There's something seriously wrong here.

Imagine having to conduct an autopsy on your son while his body lies in a funeral home so you can know how he died before you bury him.

The Ferguson Police Department was implicated in racial profiling in a 2013 Attorney General of Missouri report, so how can anyone possibly think they would want to investigate one of their own in a shooting? The FBI should have been on hand from the beginning.

While the National Guard is deploying to Ferguson, I implore local law enforcement to deploy common sense -- withdraw from the investigation.

State Highway Patrol Captain Ron Johnson, appointed to coordinate security operations, has been a tremendously important presence in the community and now we need the same on the prosecutorial side. The attorney general should immediately appoint a special prosecutor working jointly with the Justice Department.

The community needs this.

The first and "very preliminary" autopsy results have just been released, and they paint a very grim picture of how Michael Brown died: He was shot at least six times, including twice in the head, according to acclaimed pathologist Dr. Michael M. Baden, who conducted the autopsy at the request of Michael Brown's family. (Let that sink in, the family had to hire a private pathologist to get answers.)

At least one of the bullets appear to have entered and exited several times, shattering Brown's right eye, traveling through his face, leaving through the jawbone and re-entering through his collarbone, said Baden. The final shot was apparently the fatal one, which hit Brown on the top of the head.

With 50 years of experience (he has conducted some 20,000 autopsies), Baden spoke with calming authority about his findings; he said that the state medical examiner was a trusted colleague who would likely make very similar findings. But since Baden did not have access to Michael Brown's clothing (to examine gun powder residue), or X-rays, or witness statements, or toxicology reports (and I can't help but wonder why he wasn't given access to this), he could not respond to the calls for justice in Ferguson.

He said that Brown was shot from anywhere between one foot and 30 feet away. He said bullet wounds to Brown's arms could have been sustained by Brown putting his hands up or making a defensive gesture by crossing his arms. From where I sit, six bullets pumped into an unarmed kid in broad daylight is excessive force.

But that only moves us slightly closer to truth. The eyewitness' accounts vary so widely -- and eyewitness testimony is notoriously unreliable, often refuted by the scientific evidence produced at trial. At least one witness, Piaget Crenshaw, told CNN that it "looked as if" the officer tried to pull Brown into the car, then was "chasing after the boy" until Brown turned around and was shot.

But others say Brown was shot in the back.

At the moment, the case hinges on the accounts of two conflicting witnesses: Dorian Johnson and Officer Darren Wilson.

Johnson was walking with Brown when the shooting occurred and gave this account, reported by MSNBC:

Johnson said a police officer approached as he and Brown were walking in the middle of the street and told them to use the sidewalk. They complied, and the officer began to drive away, but then threw his car into reverse and came back alongside the teens, nearly hitting them.

Johnson said he heard Wilson say something like "What'd you say?" before trying to open his car door and slamming it into Brown. Then, Johnson said, the officer reached out and grabbed Brown by the neck with his left hand. The two men struggled briefly, and then Wilson, still in his car, shot Brown once, Johnson said.

Johnson said that he and Brown "took off running together," but Brown was shot a second time "striking him in the back," he said. After the second shot, Brown turned around, putting his hands in the air and saying, "I don't have a gun. Stop shooting!" according to Johnson. He said that Wilson then approached Brown and fired several more shots until he "crumbled into a fetal position."

As the news conference for the autopsy was taking place, a caller to a St. Louis radio station, who identified herself only as "Josie," told listeners she knew Wilson's side of the story. Here is a summary of what she said:

He says the boys were walking in the street, Wilson rolled the window down and told them to get out of street.

Wilson may have called for backup when he pulled over.

He heard the call for the strong armed robbery and saw the teens carrying something that might have been cigars.

He pulled over and when he tried to get out of the car, twice he was pushed back into the car by Michael Brown. Brown then punched him in the face and Wilson reached for his gun.

Brown grabbed the gun and at one point had the gun pushed again Wilson's hip so Wilson pushed the gun away and the gun went off.

Brown and his friend ran and Wilson got out of the car and pursued. He told them to freeze and Brown and his friend turned around.

Brown started to taunt him, then bum rushed Wilson, coming at him full speed. Wilson started shooting.

Wilson said the final shot was in the forehead and Brown fell two or three feet in front of the officer.

A source with detailed knowledge of the investigation into the shooting told CNN that "this account is accurate."

Where witness accounts differ, an autopsy can provide certainty, as it will allow us to recreate the crime scene and -- with certainty -- know how far apart the men where, what Brown was doing when he was shot and whether he ever had his hand on Wilson's gun.

There was one important question that Baden could answer for certain. Michael's mother wanted to know whether her son had suffered when he died. Baden assured her that the bullet to the head had rendered him unconscious and in his opinion "he had not suffered."

I hope the local authorities recuse themselves from the investigation and turn it over to a special prosecutor with the attorney general. And for crying out loud, hurry up and complete the three autopsies, the investigation and the grand jury proceedings.

What Ferguson and Michael Brown's family need right now are answers, and until we have them, there will be nothing but more heartbreak, chaos and uncertainty.

@highlight

Mel Robbins: 9 days later, investigators still haven't told Brown family what happened

@highlight

FBI should have been there from start; attorney general should tap special prosecutor, she says

@highlight

She says confusing story has varying accounts; investigators should tell what they know

@highlight

Robbins: Baden autopsy best information family has gotten so far; they need more answers