Ann Arbor, Michigan (CNN) -- Even among the hundreds of applications, this one stood out. Most applicants to creative writing programs submit stories about the angst of their suburban childhoods. This writer's stories concerned the daily ordeals of a boy living with his family on the streets of Nairobi, Kenya, and the horrific plight of a Rwandan girl whose mother is Tutsi and father Hutu.

Not only did the applicant have what writers call "material," he was blessed with an uncanny ear for human speech and the poetry to describe his characters' very unpoetic lives.

I can still remember the young Kenyan boy watching his mother decant the glue she intends to sniff. The glue, the boy tells us, "glowed warm and yellow in the dull light," and when his mother had poured enough, "she cut the flow of the glue by tilting the tin up. The last stream of gum entering the bottle weakened and braided itself before tapering in midair like an icicle."

Still, this applicant gave us pause. The writer had so much to say, he seemed to be trying to channel a raging waterfall through the tiny funnels of two short stories. His use of punctuation was idiosyncratic, to say the least. And the applicant was a priest!

Would the other students be willing to share their stories, rife as these tend to be with profanity, drugs and sex, if a clergyman was in the room? And would this particular clergyman understand what all great religious writers know -- that true literature doesn't spring from one's certainties about the universe, but rather from one's questions?

That said, how could our students be inhibited by a classmate who didn't hesitate to describe a 12-year-old Kenyan prostitute being paid by rich white tourists to perform sexual acts with their monkey? As to the shapelessness of the applicant's prose and the eccentricity of his punctuation, anyone with this writer's gifts could be taught to structure his material and punctuate his characters' speech correctly.

If I still felt apprehensive about having a priest in my workshop, that anxiety vanished when Uwem Akpan walked in the room. Rather than wear his clerical garb and collar, Uwem showed up in a blue and maize University of Michigan sweatshirt. With his wide, gap-toothed smile, wall-shaking laugh, disarming candor and gleeful giggle, he exuded magnetic charm.

Nor was Uwem out of place for being the only Nigerian in his cohort. Despite what the judges of the Nobel Prize might say about American writers being too insular to compete with their European counterparts, this country's MFA programs provide one of the only spaces on the planet where writers of many races, religions, nationalities and sexual orientations can come together.

Writers find common ground not through the homelands they once inhabited but the thematic questions with which they grapple.

Early that first semester, I assigned a story by Philip Roth called "Defender of the Faith," in which a Jewish sergeant who has witnessed the horrors of the concentration camps must decide whether to grant special favors to the Jewish recruits in his command or enforce strict impartiality.

I didn't know whether Uwem would connect to Roth's quintessentially Jewish outlook. But the moment the discussion started, Uwem's hand shot up. "This is the story of my continent!" he declared. If Africans continued to put tribal allegiances above universal fairness, Uwem said, progress would remain unattainable.

This abhorrence of tribalism is what makes Uwem so open-minded. Like most people who are comfortable in their own skins, he is wonderfully able to inhabit the skins of others.

One semester, he audited a seminar on Holocaust literature. The professor had no idea who Uwem was, so she couldn't help but be surprised when he asked, "Can you tell me, please, how is it that people can do such terrible things to one another?"

If anyone else had asked that question, the professor might have thought he was simpleminded. But she could tell that this mysterious stranger was asking his question in the most profound way, from the depths of his own experience.

A few months later, Uwem accompanied me to my temple for the Jewish New Year. After sitting -- and standing -- for hours through the service, he commented that he had studied in the Bible how Jesus opened the scroll to read, but he had never quite understood how that worked, so it was beautiful for him to see how the Jews really did that. And he was happy to note what Catholicism had copied from Judaism.

Just as Uwem opened his mind and heart to us, I opened my mind and heart to Uwem. An atheist with a degree in physics, I don't believe in prayer. And yet, when Uwem stopped by the evening before a frightening operation on my spine, I granted his request that he pray for my well-being. Startled by the warmth I felt flowing along my spine as Uwem held his hands above my head, I burst out crying.

Of course, my colleagues and I never forgot why Uwem was in Ann Arbor, Michigan. During his two years in our program, all of us worked hard to help him develop his many gifts. But mine was the first workshop Uwem took, and I saw his stories at their rawest. As I waded through the reams of rough drafts he had given me, it occurred to me that I had been called upon to help the children of Africa the only way I could -- by helping Uwem to write their stories.

We talked about the need to focus each story around a single character's conflict and a single thematic question rather than attempting to convey everything Uwem knew about all his characters. I also urged him to allow his young protagonists at least a chance for freedom or redemption.

Yes, the children whose lives he wanted to depict were the victims of adults who abused, exploited and betrayed them. But even in a society in which a child can be prostituted to provide her family's food and pay her brother's school fees, the prostitute's brother might choose to decline that money, to leave the family, to walk away.

Uwem listened attentively, but I wasn't sure that he believed what I was saying. I didn't see another version of his story about the street family in Nairobi for several months. When I did, the hairs at the back of my neck stood up.

That second version of "An Ex-Mas Feast" was so powerful and finely polished that I asked Uwem if he would send it to the deputy fiction editor of The New Yorker, whom I had met a few weeks earlier when the magazine brought its college tour to Ann Arbor. Uwem hesitated -- I didn't know this, but he already had submitted an earlier version of the story, twice, to "The Editor" at The New Yorker -- but I kept nagging him until he sent the new version.

The rest, as they say, is history. The magazine accepted Uwem's story for its fiction issue. Then, a year later, it published a revised version of the story about the half-Tutsi, half-Hutu Rwandan girl.

In many ways, Uwem's success makes sense. Even when he was studying to be a priest, he gave up precious hours of sleep to stay up writing. He applied to an MFA program and got accepted. His teachers recognized his extraordinary potential and helped Uwem to achieve it.

And yet, much of Uwem's success is inexplicable. In a world in which so little attention is paid to children's suffering, a world in which fewer and fewer publishing houses remain interested in acquiring literary fiction and independent bookstores, even in college towns such as Ann Arbor, are closing their doors, the editors at every major publishing house in New York competed for the privilege of publishing a book that might not sell many copies but had shaken them to the core.

And Oprah ... how could Oprah, who had never selected a collection of stories for her book club, choose a collection like Uwem Akpan's, with its multilingual patois, complete absence of pathos or sentimentality and nearly unbearable-to-read violence toward children?

Yet all of this came to pass. Oprah respected her audience enough to assume that if she was so deeply moved by Uwem's stories, they would be moved as well. In choosing "Say You Are One of Them," Oprah brought to Uwem's cause the intelligence and heart of her many readers.

That any of this happened at all, let alone in five short years, is a literary miracle.

The opinions expressed in this commentary are solely those of Eileen Pollack.

@highlight

Eileen Pollack: There was concern about Uwem Akpan's application to a writing program

@highlight

She says he fit in well and his talent soon became evident

@highlight

Akpan's blessed with great talent for hearing people and with poetic writing ability, she says

@highlight

His book of stories about African children has been selected by Oprah's book club