Los Angeles (CNN) -- Los Angeles has long been a destination for artistic dreamers from Europe: Zsa Zsa Gabor moved to Hollywood from Hungary in the 1940s to act. Warsaw-born Roman Polanski moved to Southern California in the 1960s to direct.

Not to mention one ambitious actor named Arnold Schwarzenegger, who arguably has done more to boost California's image as a place receptive to Europeans than any tourism initiative the state might have dreamed up the past 30 years.

But for accented aspiring pop stars from the EU and beyond, L.A. hasn't generally been considered the place to launch an international music career. That honor fell to cities such as London and New York. Until now.

These days Manhattan is getting the flyover treatment as singers from all over Europe and farther east set their sights on the U.S. market via Hollywood as the new must-conquer gateway to American ears and eyes.

Artists such as Estonia's Kerli, Italy's Marco Bosco, t.A.T.u.'s Lena Katina from Russia, Slovakia's TWiiNS and Austria's Fawni are suddenly swarming L.A. with dreams of making it big.

Their presence is being felt at small clubs such as the Troubadour (Katina played a solo show at the venue last year) to red carpets (Fawni is now well known to Hollywood event photographers) to purchased billboards on Sunset Boulevard (Bosco recently bought expensive outdoor media to promote himself along the busy, high visibility corridor).

"I love being here...Los Angeles is my second home now," says Katina, who is working on her first solo record and now splits her time between L.A. and Moscow.

Katina and other singers from Russia and Europe's timing couldn't be better: America has finally started to embrace the increasing globalization of pop music on a scale beyond the occasional super group (see ABBA) or German one-hit wonder (see Nena's "99 Luftballoons") thanks largely to Websites such as YouTube, which has leveled the playing field and cut out past gatekeepers such as MTV.

Swedish singer Robyn topped many critical lists in 2010, with Denmark's Medina set to make similar inroads in the United States this year with early adopters in the pop and dance music arenas.

But perhaps the most interesting singer ready to make the crossover in 2011 is Estonia's Kerli.

"When I first got here, someone told me 'there are no friends in the music business' and I was so hurt," the former winner of a Baltic version of "American Idol" said over coffee at a West Hollywood restaurant last month.

"But Los Angeles is an amazing place to live once you find the people that inspire you, and I've found that circle of friends here," the singer said. "We make art together, and we constantly feed off each other."

The blonde beauty who looks like a glammed-out Goth version of Lady Gaga (though she and her fans loathe the comparison) and sounds like a hybrid of Bjork, Brandy and Avril Lavigne moved to L.A. around four years ago and has been slowly winning over American fans ever since.

Her debut for Island Records, 2008's "Love Is Dead," did fairly well for a new artist, considering Kerli is pushing a sound she herself calls "Bubblegoth." According to Nielsen SoundScan, around 65,000 copies were sold.

However, both the singer and her label are thinking bigger this year after buzz surrounding her just-released "Army Of Love" began heating up the internet.

It's too soon to tell if mainstream pop radio stations will embrace Kerli in 2011 (her follow-up full length record is expected to see a release by summer), but there are encouraging signs. AOL's popular Popeater blog featured the singer late last year in a campaign worthy of a former "American Idol" star; rolling out her video for the released-in-December "Army Of Love" with video diaries building up to a December 22 premiere.

"It's like Euro trash meets angels singing in a choir," Kerli said of "Army Of Love," which continues to draw interest online because of the video, which has a curious mix of swirling melodies set against striking visuals (the clip was shot in Estonia).

Adventurous college radio listeners have long been boosters of acts from the Baltic states and other European countries, but mainstream pop fans rarely hear singers such as Kerli on the U.S. pop charts.

And while European artists who have "made it" overseas have been buying second homes in the Hollywood Hills for decades, more interesting are the new pop singers living nearby, such as Slovakia's TWiiNS, who are hoping against odds to make a name for themselves in America after a modicum of success elsewhere.

The duo, who are identical twins, moved to L.A. last year. They are currently working on their first record for L.A.-based indie label B Records with known U.S. producers including Bryan Todd, who has worked with names such as Jordin Sparks.

"We love Los Angeles because of the weather, nice people and shopping, but the main reason why we moved is our work," Veronika Nízlové said via email last month.

Her twin sister Daniela added the transition has not been easy.

"It's really hard to come from Eastern Europe and try to achieve success in America. We are not native speakers, we are not Americans...it's a little disadvantage to us, but our big advantage is that we are twins. "

TWiiNS, which scored a minor European hit last year with a remake of Sabrina Salerno's 1980s hit "Boys," seem already savvy to the city's sometimes cruel undercurrent. In their forthcoming single "Welcome to Hollywood," the pair warn other aspiring singers that not everything is sunshine and smiles in the City of Angels.

"The song is not about the perfect Hollywood," Veronika said, "It's about people with their 'friendly faces' which is far from being true. You should have open eyes and be careful whom you trust. Hollywood and all that goes along with it really has two sides to it."

Sage advice from Los Angeles' latest émigrés, who sing on their soon-to-be released single: "Welcome to Hollywood/Boy you better give it up before it gets you down/Welcome to Hollywood/Just got to get a grip of how to get around."

@highlight

Pop stars from all over Europe are setting their sights on the U.S. market

@highlight

Estonia's Kerli, Italy's Marco Bosco and Austria's Fawni want to make it big in L.A.

@highlight

Los Angeles has long been a destination for European artists seeking fame