(CNN) -- If you've thrown a birthday party recently, you might have personally experienced the shortages or price hikes intermittently hitting the helium market.

Unfortunately, balloon customers are not the only ones being affected. Many helium users, from scientists to manufacturers in a number of industries, have experienced the negative impact of helium shortages and rising prices. If steps aren't taken to develop and put into place a long-term strategy for managing this valuable and non-renewable resource, things can get worse.

Everyone has benefited, to some degree, from research made possible by liquid helium. Cell phones, iPads and laptops are possible because of experiments enabled by liquid helium. In the medical world, magnetic resonance imaging (MRI) is but one example of a host of diagnostic and treatment tools that exist only as a result of groundbreaking experiments carried out by using helium. In fact, the strong and extremely stable magnetic field that MRI devices require to work is accomplished by immersing powerful superconducting magnets inside liquid helium. Manufacturers of fiber optics cable and semiconductors used in electronic components rely on helium. And these are just a few examples of the importance of helium.

Those who are particularly hard hit are members of the scientific community. An interruption in helium supply can cause weeks or even months of work to become useless. For many of these researchers, helium costs are a significant fraction of their operating budgets. The large increases in helium prices that they have experienced over the last few years have placed them in a tight financial bind.

Opinion: Don't deflate the party

So, is there anything that can be done?

One of the main causes of the current shortage is the nature of the helium market itself. Helium, unlike most other gases, is a minor byproduct in the production of natural gas. Those fissures and crevices that have trapped natural gas below the Earth's surface are also capable of trapping helium, although typically in small amounts. It takes a certain minimum level of helium concentration to make it economically viable to separate out the helium from the natural gas.

As a consequence, out of the thousands of sources of natural gas that exist, only 14 are being processed for their helium content. And when more than a few of those helium sources are shut down for maintenance and repair, as they have been over the last few months, helium shortages can occur.

Decades ago, the U.S. established the Federal Helium Reserve to provide a readily available supply of helium for defense, space, and scientific research needs. The reserve, located in the Texas panhandle, is the only long-term substantial storage source for helium in the world. In the 1960s and 1970s, the U.S. bought and stored significant amounts of helium there. In 1996, Congress directed the Bureau of Land Management, the agency in charge of the Reserve, to sell off helium in order to recoup some of the costs associated with its purchase.

Under current law, those sales are to be completed by the beginning of 2015, less than two years away. Right now, the helium being sold by BLM accounts for more than 30% of the helium sold worldwide. Once BLM ends its sales of helium as required by current law, the impact on the availability and price for helium is expected to be significant.

At the request of BLM, the National Research Council studied these issues and made recommendations, including a series of steps to help properly manage the helium reserve for the long term, strategies to protect the most vulnerable of users such as scientists, and ways to develop and implement a plan to protect this very important resource.

The time is ripe to update the nation's policies and programs for managing helium. If it's done right, our children will continue to be able to celebrate their birthdays with balloons, and grow up to develop critical new technologies that they'll need to prosper in the next century.

The opinions expressed in this commentary are solely those of Moses Chan and Jim Lancaster.

@highlight

Moses Chan, Jim Lancaster: Everyone has benefited from research involving helium

@highlight

Chan, Lancaster: We need a long-term strategy for managing this valuable resource

@highlight

They say the scientific community in particular has been hard hit by helium shortages

@highlight

Chan, Lancaster: The time is ripe to update the nation's policies for managing helium