Prime Minister Shinzo Abe's trip to Vietnam, Thailand and Indonesia underscores that the Association of Southeast Asian Nations (ASEAN) remains the cornerstone of Japan's Asian diplomacy.

Before cutting his trip short to deal with the kidnapping of Japanese nationals in Algeria, Abe commented, "Open seas are public assets and Japan will do utmost to protect them by cooperating with ASEAN. China's economic rise is definitely a plus for Japan but it is important for China to act responsibly as part of international society."

Coming amid an escalating territorial dispute with China over the Senkaku/Diaoyu islands, it appears that Abe's diplomacy aims to strengthen Japan's hand vis-a-vis China.

Ironically, during his last visit to the region back when he was previously premier in 2007, Abe promoted an Arc of Freedom and Prosperity. At that time the reaction to this values-based initiative aimed at containing China was lukewarm. Now China's muscle flexing in the region has everyone worried.

Beijing's growing assertiveness in territorial disputes has raised tensions and left China diplomatically isolated. While everyone is concerned about Abe's revisionist views concerning Japan's wartime history, especially his caviling about the "comfort women," there is widespread appreciation in the region for Japan's post-WWII contributions to peace and development. ASEAN has no concerns that Japan represents a threat to regional stability, but the same cannot be said for China.

Abe is on a mission to reinvigorate the Japanese economy, win control of the upper house of the Diet (National Assembly) in summer elections and push through constitutional revision to remove constraints on Japan's military. Hounded from office in 2007 because of his poor political skills and failures to address voters' economic anxieties, Abe II seeks redemption and has hit the ground running. He has publicly pressured the Bank of Japan to adopt unlimited monetary easing and a 2% inflation target, unveiled a $117 billion fiscal stimulus package, sent his finance and foreign ministers on key diplomatic missions to Southeast Asia and Australia, and dispatched an envoy to South Korea to reach out to new President Park Gyeun-hye.

This flurry of diplomatic activity is driven by economic and security concerns. Japanese companies are investing heavily in the growth prospects of Southeast Asia. Japan is a leading economic partner overall and Abe seeks to reassure its partners, and voters at home, that Japan will remain a major global player. When the Democratic Party of Japan (DPJ) took over in 2009, PM Yukio Hatoyama promoted warmer ties with Beijing, but that strategy has not exactly worked out.

Chinese maritime and aerial probing in the disputed territory in the East China Sea has escalated security concerns and also damaged economic relations. It has been assumed that economic relations would continue to prosper despite chilly political relations, but that calculus no longer holds. Japanese business has played a key role in China's rapid rise, and will continue to do so, but on a lesser scale as the mood has soured dramatically. ASEAN's GDP is less than a third the size of China, but the region is resource-rich, has a lot of untapped growth potential and represents a good hedge against political risk in China.

Much has been made of the Obama strategic pivot to Asia involving the reallocation of U.S. security assets to a region where Washington sees the greatest economic opportunities and security risks. While the U.S. was distracted by wars in Iraq and Afghanistan, there was a perception of policy drift towards the Asia-Pacific, leaving China to expand its influence. The Obama Administration talks about cooperation with Beijing on key issues, but seems to have settled into a "contain and isolate" mode.

Abe is also pivoting. He has called for a $1 billion (2.6%) increase in defense spending and will build six new Coast Guard patrol vessels. He also included significant security-related logistical support in his fiscal stimulus package, is shifting security assets to Okinawa in southwestern Japan and is establishing a Coast Guard patrol group that will focus on monitoring Chinese probing in the disputed territory. Abe also seeks to modify defense guidelines to facilitate expanded security cooperation with the U.S.

Part two of the Abe pivot is expected following the Upper House elections. If the LDP succeeds in winning it will hold the reins in both houses of the Diet, creating an opportunity for him to push through his longstanding agenda of removing constitutional constraints on the military. While this will prove controversial at home, and in a region where memories of Japan's wartime excesses still resonate, Washington welcomes the prospect of enhanced burden sharing.

China's decade of smile diplomacy -- aimed at reassuring the region that a rising China is not a threat -- has imploded and its feistiness has only increased its diplomatic isolation. Equally, Japan's rightward political shift and the Abe pivot could backfire, alienating the region while stoking tensions. The current test of wills and ratcheting up the saber rattling is a dangerous dead-end.

Quiet diplomacy and a cooling off period leading Beijing and Tokyo to hand each other a ladder to climb down might prove more helpful in averting some grave miscalculation over the divisive islets. Renunciation of military solutions after all, is a cornerstone of Japan's post-WWII success and high esteem in the region.

@highlight

Kingston:  It appears that Abe's diplomacy aims to strengthen Japan's hand vis-a-vis China

@highlight

Beijing's growing assertiveness in territorial disputes has raised tensions, left China diplomatically isolate

@highlight

Japan's new prime minister is on a mission to reinvigorate the Japanese economy

@highlight

Abe seeking to reassure partners, voters at home, that Japan will remain a major global player