(CNN) -- The economic performance of Africa in the last few years has been remarkable. The continent has consistently defied the global trend.

Five years after the global financial system came perilously close to collapse, the global economic outlook is still uncertain. In Europe, GDP is still below pre-crisis levels and unemployment is at a record high. Recovery in the United States, although stronger, remains weak by historic standards, and even China, which has done so much to drive global growth, is slowing down.

Yet, in what some might call an unexpected twist, average growth in Africa over the last decade has been more than 5%. Of the 10 fastest-growing global economies, seven are in sub-Saharan Africa. But how will this economic spike be sustained? How do we ensure we continue along this trajectory?

Read more: Africa's giant infrastructure projects

It is the world's appetite for Africa's rich natural resources which, up to now, has been the major driver of this stellar record. And it is this same appetite that will provide both the opportunity and the solution for Africa to sustain these economic achievements.

While not all African countries are commodity rich, the continent has 12% of the world's oil reserves, 40% of its gold, and 80% to 90% of its chromium and platinum. Africa is also home to 60% of the world's underutilized arable land and has vast timber resources.

The idea that these abundant natural resources can be the driver for an industrial revolution across the continent is growing. The latest edition of the Economic Report on Africa (ERA 2013) sets out how the continent's future will be determined by how policies that promote commodity-based industrialization are designed and implemented.

We believe that such a transformation is both imperative and possible. But it requires courage, vision and a new mindset from the continent's business and political leaders to overcome the challenges which continue to hold back the building of a successful and dynamic industrial base in Africa.

Read more: Ethiopia bids to be Africa's powerhouse

There is no one-size-fits-all solution to accelerating resource-based industrialization. But important lessons can be learnt from the success of countries such as Malaysia, Indonesia, Thailand and Venezuela in promoting value addition, new services, and technological capabilities.

Malaysia, in particular, is a perfect example of how a commodity-based economy was transformed, through focused state interventions and an allocation of resources towards the industrial sector, to a high-income and diverse manufacturer in only a few decades. Through a series of five-year development plans, centered on a vision to transform the structure of the economy and raise incomes in the medium- and long-term, investment was oriented towards industry. Today, Malaysia is a key manufacturer and exporter of a wide range of goods and services.

It is clear that governments, both individually and collectively, have an important role. A supportive policy and investment framework is essential to attract long-term investors. Policies to build local capacity and address inequality are essential. Moreover, developing skills through training and incentives will ensure that local economies are able to grow and diversify.

Ozwald Boateng: New wind of change is blowing through Africa

However, a barrier to Africa's industrialization that is not often talked about is the mindset of private sector leaders -- both in and outside Africa. Many are still indulging in the same historical rent-seeking attitudes that have resulted in the short-terms gains of crude, cocoa and gold sales.

More business leaders need to change their thinking and understand that short-term revenue gains -- as opposed to long-term value addition -- offer little or no contribution to sustainable economic growth.

We are now seeing a new style of African business leader emerging -- leaders who are building, investing, growing for Africa's future. It is their efforts which will provide the jobs and income which will have the biggest impact on tackling poverty and driving wider social progress.

Africa's private sector must take the lead in improving coordination between farmers, growers, processors, and exporters; in increasing competitiveness in the value chain, and ensuring the price, quality, and standards that market demands are met.

Read this: How Africa's natural resources can lift millions out of poverty

We need to see national and regional champions created and supported, and help foster effective collaboration between public and private sector and the development world. This is the essence of the emerging economic philosophy called Africapitalism, a private sector led partnership mode focused on Africa's development.

We have already seen real progress on the continent. Ethiopia's leather industry is not only developing fast but is also increasing high-value-added activities. South Africa and Egypt are making similar strides. In Ghana and Zambia, the cocoa and mining sectors have long contributed to wider socioeconomic growth. In East Africa, the success of Kenya's fresh vegetable producers in adding value to their exports has been remarkable.

But when Africa only sees some 10% of the income from its own coffee crop, we can see that much work still needs to be done.

Africa now has the chance, as never before, to shape its own economic future through industrialization. This will help to spread prosperity throughout the continent. An industrialized Africa will also provide a much-needed new driver of global growth. It is in everyone's interest that Africa succeeds.

The opinions expressed in this commentary are solely those of Carlos Lopes and Tony Elumelu.

@highlight

Natural resources are driving rapid growth in many African countries

@highlight

Abundant resources can drive industry on the continent, say two experts

@highlight

Governments should tackle inequality and lay framework for supportive policies

@highlight

New style of business leaders is emerging, building and investing in Africa's future