Two days after snow began to fall -- and a day after many Georgians, including hundreds of schoolchildren, finally made it home -- the state's governor apologized Thursday for what many saw as an insufficient and ineffective response.

Gov. Nathan Deal told reporters he was "not satisfied" with how his state dealt with the 2.6 inches of snow plus the sheets of ice that it turned into, leading to massive gridlock throughout metro Atlanta. In addition to students stranded at school, many drivers camped out in their cars or abandoned them by the hundreds along thoroughfares big and small.

"I accept responsibility for the fact that we did not make preparation early enough to avoid these consequences," Deal said. "... I'm not looking for a scapegoat. I'm the governor, the buck stops with me."

Speaking later Thursday with CNN's Wolf Blitzer, Deal said "we all made errors in judgment" and that "the major lesson is we have to be more proactive." According to the governor, that means taking action like declaring a state of emergency earlier on -- even if it ends up being a false alarm, relatively -- and making sure the resources are available to deal with such a crisis.

"Apologies are something that don't change the circumstances," said the governor, a Republican running for re-election in November. "What we intend to do is change the circumstances."

Winter now taking a kinder approach

Mother Nature has helped thaw some of the snow, slush and ice in northern Georgia, thanks to sunny skies and temperatures that crept above freezing.

Yet while the major interstates are largely clear, the danger is hardly over. The National Weather Service's forecast calls for nighttime temperatures in the mid-teens through much of the region.

That means the threat of yet more ice, especially on untreated roads. To that point, while a few area school districts such as Gwinnett and Walton counties are vowing to reopen, most in the area will remain closed because of still-hazardous conditions, especially on secondary roads.

One man who lives on such a road is Ed Diefenbach. The 50-year-old said Thursday afternoon that no one had treated his tree-lined road on the city of Atlanta's northern outskirts, along which there are hundreds of homes. Instead, drivers are crawling past remaining icy patches.

Diefenbach, who posted pictures to CNN iReport, recalled how a friend retrieved his hungry 10-year-old son from school Tuesday night because buses couldn't move while he had to ditch his car up the street. He said he's concerned not only about the road now, but how authorities -- whatever their comments to date -- will respond to the next crisis.

"The mayor (Kasim Reed) was very defensive and so was the governor," Diefenbach said of both public officials' earlier comments. "... It's just a lot of frustration."

Georgia emergency official under fire

At Thursday's news conference, the director of the Georgia Emergency Management Agency acknowledged having made "a terrible error in judgment" in not opening the emergency operations center six hours earlier than he did.

Charley English said he first talked to the governor about how serious the situation was becoming, particularly around metro Atlanta, as the forecast shifted at 9 or 9:30 a.m. Tuesday. This was some six hours after meteorologists upgraded to a winter storm warning.

"I got this one wrong," he said. "I made the decision not to do anything until later that morning."

He said that next time out when forecasts change, GEMA and the state team it coordinates will respond more aggressively.

Asked whether he planned to resign, English said, "That's not my call."

Deal was noncommittal about English's future, saying it was too early to talk about firing anybody. But the governor did say that during Tuesday morning, "we were told that further action was not necessary."

To that point, in an e-mail exchange with Deal's chief of staff, English affirmed Monday afternoon that he would have alerted the governor's staff "if the weather was going to be bad," but he didn't believe that was the case then. The e-mails were first reported by the Atlanta Journal-Constitution and later obtained by CNN.

In another e-mail between the two around 4:15 p.m. Tuesday, the emergency management director acknowledged the huge challenge  -- how to treat slick roads when they were covered by so many slow-moving or stalled vehicles.

"I don't see how we are going to get rid of the ice with such low temps predicted," English wrote. "Too many cars out there now to make a lot of progress."

Reed cited the mass exodus from his city as largely responsible for the resulting gridlock. The mayor admitted a "lack of experience"  in dealing with "severe weather events" in Atlanta also played a role.

"We made an error in the way that we released our citizens," the mayor told NBC's "Today," claiming that the situation might have gone more smoothly if schools, then private businesses, then government offices released people in that order. "I think it would have made a major difference."

Katrina vet: 'I think they failed'

Whether such explanations or promises of change will assuage the legions of critics remains to be seen.

The crisis dragged on far longer than many would have liked. It was not until Wednesday evening -- more than a day after the snowfall began -- that Deal announced that all of metropolitan Atlanta's schoolchildren had gotten home.

Some chided officials for learning little from a 2011 ice storm that paralyzed the region for a week, because no one could safely get anywhere.

The Atlanta Journal-Constitution's Pulitzer Prize-winning cartoonist, Mike Luckovich, depicted Deal and Reed responding to the snowfall by making snow angels. In fact, as the snow picked up midday Tuesday, those two officials were together at a ceremony honoring the Atlanta mayor.

"I think they failed," retired Lt. Gen. Russel Honore, who led the recovery efforts after Hurricane Katrina on the Gulf Coast, said of the official response. "... Admit it, fix it and be ready for next week."

The anger was pervasive, among locals such as Diefenbach and travelers such as Greg Shrader, a truck driver from Maine who gave up after sitting in traffic for 27 hours for what should have been a three and a half hour trip.

"I have never been failed by officials like I have here. Still no equipment, no well-being check. No plan," Shrader told CNN on Wednesday. "I guess they're waiting for it to melt."

R. David Paulson, a former director of the Federal Emergency Management Agency, understands the challenges that officials face as they weigh how to react -- and risk overreacting -- when bad weather approaches. Taking steps such as opening up shelters, evacuating people and urging businesses to shutter is costly, but so are the consequences of not acting.

"That costs a lot of money," said Paulson, now a consultant. "But how much is a life worth?"

Deaths and new life

Those who won't be forking over money include motorists who abandoned their cars in Georgia cities such as Atlanta and Roswell, where authorities have vowed that vehicles will be towed free of charge.

The towing of the remaining abandoned cars was expected to begin around 9 p.m. Thursday. Some people in the area have been able to rescue their vehicles sooner.

Many of them showed up still sleep-deprived and seething at two locations Thursday to get chauffeured to their vehicles by members of the National Guard in four-wheel-drive vehicles.

Deal has extended the state of emergency through Sunday night "to assure that all necessary resources are available for state agencies and local governments to clear roads and all other winter storm-related obstacles."

Yet it's not just Georgia that's dealing with the storm's aftermath.

Parts of Alabama were still digging out on Thursday, with the Shelby County Sheriff's Office declaring in the morning that many roads there were "still impassible (and) closed to regular traffic."

"Civilian vehicles cannot safely travel due to icing and impede the travel of emergency vehicles responding to calls," the office said on Facebook, before reporting hints of progress later in the day.

Highway patrolmen in North Carolina and Mississippi both responded to some 600 calls apiece from motorists who'd either crashed or abandoned their cars after the weather hit.

Throughout the Southeast, the icy weather was blamed for 10 deaths -- five of them in Alabama and the others in North Carolina and Mississippi.

But there were also plenty of signs of hope and life amid the madness and mess.

Take the story of Amy Anderson, who was stuck in her car with her husband when she went into labor. As a police officer looked on, Anderson gave birth to a daughter, whom she and her husband, Nick, named Grace.

"When we gave her the name Grace, it just fully explained the whole situation," the new mother told CNN's Piers Morgan on Wednesday. "Just by the grace of God that we all came out healthy."

There were also lifesavers, like the manager of a Kroger supermarket in Roswell who opened the store's doors and fed about 80 people, according to CNN affiliate WSB.

"I don't consider myself a hero," the manager Bren Sexton said, deflecting praise from those who called him just that. "It was just second nature. It's what we would do for anybody who needs help/"

Then there's Dr. Zenko Hrynkiw, a Birmingham, Alabama, neurosurgeon. As falling snow brought things to a standstill on Tuesday, Hrynkiw trekked over 6 miles in scrubs, a jacket and slip-on shoes from one hospital to another for an emergency brain surgery.

The patient had only a 10% of living given the size and nature of his brain hemorrhage, according to Hrynkiw.

But he did make it, said the surgeon: "(We) battled a demon there for a while and it all worked out OK."

Hrynkiw said he's been at work for days, though he hasn't been alone as other medical personnel have also stuck it out.

"Everyone is doing the same thing," he told CNN's Anderson Cooper on Thursday. "Everyone is pitching in, the nurses are staying overnight. You've got to do what you've got to do."

@highlight

"I don't see how we are going to get rid of the ice," emergency official admitted

@highlight

Georgia's governor apologizes, says that changes are needed to prevent a repeat

@highlight

He extends state of emergency through Sunday night to free up needed resources

@highlight

"It's just a lot of frustration," an Atlanta resident says of the storm response