(CNN) -- More than nuclear bomb tests, the suicide of former South Korean president Roh Moo-Hyun has stunned the South Korean public. While the news has shocked the nation, perhaps the level of surprise at the method wasn't as great.

The suicide of former president Roh has shocked South Korea.

In a country with one of the highest suicide rates among economically advanced countries, traditional concepts of honor and public "face" remain powerful social forces.

According to World Health Organization figures, rates of suicide in South Korea doubled to 21.9 deaths per 100,000 people between 1996 and 2006. The United Nations cites that 90 percent of suicide cases were caused by mental disorders, but socio-cultural and economic pressures play a large part.

While each case of suicide has a number of complex personal issues, the connection between suicide and honor has a historical basis in many Asian countries.

"There are cultural histories in Asian societies of honorable suicide, such as hara-kiri in Japan, where the person assumes total responsibility," said Dr. Erminia Colucci, research fellow at the University of Melbourne's School of Population Health.

"In many western countries, a suicide in someone of Roh's position might be more about looking for understanding. In collectivist societies, like Japan and Korea, where a person's identity is more tied closely to other groups, suicides can be seen as the ultimate way to rebuild or reclean your image, if it changes."

"I think there is something paradoxical in it. On one hand, some see it as a way of maintaining status and restoring honor to you and the people you represent, but the pressure from that group could contribute to you considering suicide."

Roh was under investigation for corruption and some believe the pressures he felt just became too great.

"Roh had come to power as a human rights lawyer, as an uneducated outsider pledging to clean up Korean politics, so it was particularly hard on him to have what he stood for and the reality of what happened under his administration. I think that was particularly hard for him to take," David King, director of the Korean Studies Institute at the University of Southern California told CNN. Watch more on the rise and fall of Roh

In a suicide note to his family, Roh described his life as "difficult" and was sorry for making "too many people suffer." Roh had said he was ashamed about the scandal and in the first round of questioning, he said he was losing face and that he was disappointing his supporters.

In South Korea, Roh is the latest and highest profile of recent suicides of public figures. In late 2008, two South Korean actors took their lives. Police cited malicious online rumors as a possible cause for the suicide of Cho Jin-sil in October 2008. The blogs and chat rooms had speculated that she had been pressuring fellow actor Ahn Jae-hwan to repay a debt before he took his own life in September 2008.  Video: How South Korean continue mourning »

High-profile suicides can make for lurid headlines, which Dr Paul Yip, director of the Centre for Suicide Research and Prevention at the University of Hong Kong, believes are far from helpful in combating suicide rates.

"Common in Asia is to sensationalize suicides, especially among celebrities. Often the local or national media publish lots of details of how it was done. The media (in Hong Kong) has got better in their responsible reporting," he said.

"Whenever famous people kill themselves there is an effect on those people who are most vulnerable from a similar age group -- we see this in Taiwan, South Korea and Japan and China, " said Yip.

"People at risk can see Roh's death as an example and say, 'Well if he can do it, so can I'. Neither Roh nor any of the high-profile people who have committed suicide would have thought about this affect. There are a number of complex issues. There isn't just one that leads someone to take their life."

Copycat deaths are a worry for Yip, and Colucci agreed that there can be lots of meaning in the method of a suicide, which people may be encouraged to follow.

"The way that Roh died is similar to some of the methods used in Japan, which is interesting. It really suggests it's about the people wanting to relieve the burden they feel they are on others. For young people, it can be really connected to ideas of identity. For many, they feel it's the last thing they have control over," said Colucci. Watch CNN's report on Japan's suicide forest

Yip advised the South Korean Ministry of Health during Roh's administration to help them devise a new approach to dealing with mental health issues and the problem of suicide.

"It is sad that Roh, whose government really did a lot to tackle the issue, should have done this. Last year a mental health act was passed by the South Korean government, as it recognized that more steps needed to be taken," said Yip.

While there are distinct differences between the societies and traditions of Japan, Korea and Hong Kong, Yip was at least encouraged that the Chinese Special Administrative Region has seen a decline in the number of suicide cases since its peak in 2003 of some 1,200 to around 9000 .

A key element has been breaking though the taboo of talking about mental health issues, one that Yip believed was common across Asia.

"They've been stigmatized, and very common that it would not be talked about, especially if there is not a good mental health support system in place. Ten years ago in Hong Kong, people didn't want to talk about it."

However, Yip is well aware of the link between suicide rates and economic change, which many have cited as a reason for suicide rates increasing.

"The rate generally goes up more in Asian countries than the west when there is an economic downturn. For an age group like Roh's, suicide can seem like a very traditional, if extreme way to solve problems. The problems at first are economic, but make people feel great shame or disgrace. There is a large sense of pride in middle-age men and working people."

Making it acceptable to talk about problems, making people feel connected to their community and having a support system in place were methods Yip believed has helped to reduce those at risk.

But it was not just something that charities or governments can work on, Yip said: "We have to reach out to the main concern groups, it's a multi-layered approach."

@highlight

South Korea has one of the highest rates of suicide in developed countries

@highlight

Concepts of honor and "face" remain strong social forces in many Asian societies

@highlight

Suicide is a complex mix of issues, but ideas of 'honorable' death persist