Dar es Salaam, Tanzania (CNN) -- African countries should invest in broadband infrastructure to improve the welfare of their people, according to Ajai Chowdhry, co-founder and CEO of HCL Infosystems, the global IT services provider.

The Indian entrepreneur, who is often described as India's equivalent to Bill Gates, said access to information will be critical in solving many of the continent's problems.

"I've a very strong belief that Africa should take a leadership position in putting up broadband right down to every village and you'll see the change," he said. "If you give people information you can actually transform Africa."

Chowdhry was co-chair of the World Economic Forum (WEF) in Dar es Salaam, Tanzania last May. With the theme "Rethinking Africa's Growth Strategy," WEF's summit focused on the continent's relationship with major economic partners and looked at its options for a sustainable future.

In 1976, Chowdhry co-founded HCL in a Delhi garage, along with five others deployed emerging microprocessor technology to create India's first personal computer.

He urged African nations to connect to each other in a similar way to the European Union. "Your power to negotiate becomes better if you all come together," he said.

Connectivity is a familiar issue for Mr Chowdhry. His company, which has now grown to become a global enterprise, with 65,000 employees, has been awarded a major contract by the Indian government to implement "Pan-Africa" -- a networking project that will enable Africa's 53 heads of state to communicate over videoconferencing.

Mr Chowdhry spoke to CNN about the business ties between India and Africa and his company's expansion plans.

CNN: Is India really eyeing Africa as an investment opportunity?

Ajai Chowdhry: There are many traditional links between Africa and India, for more than 40 years. If you look at 1949, local currency here in Tanzania was the Indian rupee. A lot of Africans have gone to India to study and for medical tourism, because we have great medical facilities. Our prime minister enjoys also deep connects with different heads of state in Africa, so there's a lot of interest both from the private sector and the government.

CNN: What do Indian companies gain by working in Africa? Obviously money is the ultimate end but what specifics can they get from Africa?

AC: It's a question of a billion Indian people and a billion African people -- the problems and solutions in India are absolutely the same as in Africa. So if you actually create products for India they can definitely be sold into Africa and similar solutions can be created.

CNN: What's the importance of the South-South trade? Have you seen a difference in the past few years?

AC: Yes, there is a deep shift taking place and India specifically is very interested in growing its ties with Africa in many ways. There's a whole bunch of Indian companies that have actually come and set-up training centers in Africa and more are coming in.

CNN: The subcontinent is often lauded for where it's come from and where it's now. Why has Africa struggled to match? You said India has a billion people, Africa has a billion people. Where is that disconnect happening?

AC: Its' probably the fact that India is one country -- in Africa you are looking at 50 odd countries so obviously there are rules, regulations, governments that are different -- that's really Africa's challenge.

But if all of Africa comes together, pretty much like what's happening in Europe, then I think the whole situation will change and they can actually bargain better for cooperation with other parts of the world. Your power to negotiate becomes better if you all come together.

CNN: What challenges have you come across in your investments in Africa?

AC: We haven't really found any great challenges, because for us the conditions are so similar. We are quite used to diversity because in India, although it's one country, there are 30 different states. Plus, what we've seen is a lot of trust between Africans and Indians because of what's happened in the past.

CNN: What can Africa provide to Indian companies, other than just markets?

AC: Markets are of course very important, but one of the areas we would be looking at is to have other locations to work out from. So maybe one day when we don't want to do some of the outsourcing work that we do for the U.S., UK or European companies, then maybe we can actually partner with African companies to actually deliver.

CNN:  Africa has been long settled with the reputation of providing minerals and raw products. Do you think there is hope for manufacturing and skills now?

AC: Definitely manufacturing because you have to look at your domestic market. India emerged out of the problems in the last years pretty much unscathed, because we have a huge domestic market.

But the one area where Africa can make a big difference is by not just looking at putting up roads -- it should look at putting up internet broadband-type infrastructure.

One question I've always answered is why are the poor, poor. The reason why is because they don't have information. If you give people information you can actually transform Africa. I've a very strong belief that Africa should take a leadership position in putting up broadband right down to every village and you'll see the change. If you actually make something like that happen in Africa, the continent will be transformed.

@highlight

Access to broadband internet is key for Africa's future, says Ajai Chowdhry

@highlight

HCL Infosystems boss says African countries should 'come together' like the European Union

@highlight

Both private and public sectors in India are interested in investing in Africa, he says