Washington (CNN) -- President Barack Obama and congressional leaders will discuss the looming fiscal cliff impasse Friday at the White House, aiming for a last-minute deal to stave off automatic tax increases and spending cuts.

The 3 p.m. meeting -- which will include Obama, Vice President Joe Biden, House Speaker John Boehner, House Minority Leader Nancy Pelosi, Senate Majority Leader Harry Reid and Senate Minority Leader Mitch McConnell -- will come days before the deadline to reach a deal, and after another day of Republicans and Democrats blaming each other for the stalemate.

White House spokeswoman Amy Brundage confirmed the meeting, but did not elaborate. Boehner spokesman Brendan Buck and McConnell spokesman Don Stewart both tried to put the onus on their rival political party -- in the former case urging the Democratic-led Senate to pass a bill approved by the GOP majority in the House, and in the latter asking for a detailed proposal from Obama.

Earlier Thursday, McConnell said his side won't "write a blank check for anything Senate Democrats put forward just because we find ourselves at the edge of the cliff."

While a Senate Democratic leadership member said such details would be forthcoming, two White House officials said Obama will not send a fiscal cliff measure to Congress.

Reid, the Nevada Democrat, argued that Republicans undermined a potentially major agreement over the past two years by refusing to compromise on their opposition to higher tax rates for the wealthy. Hours before Friday's meeting was announced, he was doubtful there would be a deal by January 1.

"I don't know, time-wise, how it can happen now," Reid said.

Democrats, GOP challenge each other to act first

The Consumer Confidence Index sank Thursday amid growing fears the sides won't come together. If they don't, economists have warned it could cause another recession.

Fiscal cliff fears jolt consumer confidence

At the least, hopes for an imminent so-called grand bargain that would address chronic federal deficits and debt appeared dashed right now, leaving it to the White House and legislators to work out a less ambitious agreement.

The principal dispute continues to be over taxes, specifically the demand by Obama and Democrats to extend most of the tax cuts passed under President George W. Bush while allowing higher rates of the 1990s to return on top income brackets.

Obama campaigned for re-election on keeping the current lower tax rates on family income up to $250,000, which he argues would protect 98% of Americans and 97% of small businesses from rates that increase on income above that level.

Republicans oppose any kind of increase in tax rates, and Boehner suffered the political indignity last week of offering a compromise -- a $1 million threshold for the higher rates to kick in -- that his GOP colleagues refused to support because it raised taxes and had no chance of passing the Senate.

Fiscal cliff a self-inflicted problem

Last Friday, the president proposed the scaled-back agreement that included his call for extending tax cuts on households with incomes under $250,000, as well as an extension of unemployment insurance.

McConnell told Obama in a telephone conversation Wednesday that he must see details of a proposal before he can figure out how to proceed on a Senate vote.

However, a senior Democratic Senate source said Thursday that McConnell must first work things out with House Speaker John Boehner before Democrats divulge more.

Such squabbling has left many doubtful there will be a deal before the fiscal cliff takes effect. Reid criticized Boehner's insistence the Senate act on House measures, saying Democrats and Republicans have to agree on something together.

"We are in the same situation we've been in for a long time," Reid said. "We can't negotiate with ourselves."

Both sides play the 'blame game'

Reid said Boehner wants to wait until after the new House re-elects him as speaker early next month before proceeding with a compromise -- one that will need support from both Democrats and Republicans to pass.

Boehner is "more concerned about his speakership than putting the country on firm financial footing," Reid claimed.

In response, Boehner spokesman Michael Steel said Reid should stop talking and instead take up legislation passed by the House to avert the fiscal cliff. This comes a day after Boehner's leadership team issued a statement saying the Senate must go first -- either by passing or amending the House-passed proposal -- and only then will they act, an assertion Buck repeated Thursday evening.

Reid and Democrats reject the GOP proposals, which would extend all tax cuts passed under former President George W. Bush and revamp the spending cuts of the fiscal cliff. They've called them insufficient, shifting too much deficit reduction burden on the middle class.

Instead, Reid called on Boehner to allow a vote on a Senate-passed measure to implement Obama's plan to extend tax cuts to the $250,000 threshold.

However, McConnell rejected that possibility Thursday, as he sought to focus the debate on revising House-passed measures.

One possibility is the fiscal cliff takes effect and taxes go up in January, then Congress steps in to bring tax rates back down for at least some people -- allowing them to say they're lowering taxes, even if taxes for some wealthy people are higher in 2013 than they were in 2012. But retiring Republican Rep. Steve LaTourette of Ohio calls that scenario little more than a political game.

"Nobody is willing to pull the trigger (because) everybody wants to play the blame game," LaTourette said. "This blame game is about to put us over the edge."

Opinion: Art that calls the fiscal cliff's bluff

Polls show most back Obama

Obama and Democrats have leverage, based on the president's re-election last month and Democratic gains in the House and Senate in the new Congress. In addition, polls consistently show majority support for Obama's position on taxes.

The Gallup daily tracking poll released Wednesday showed 54% of respondents support Obama's handling of the fiscal cliff talks, compared with 26% who approve of Boehner's performance.

"We believe very strongly a reasonable package can get majorities in both (chambers)," a senior White House official said. "The only thing that would prevent it is if Sen. McConnell and Speaker Boehner don't cooperate."

Americans less optimistic of fiscal cliff deal

Anti-tax crusader Grover Norquist has vowed to back primary challenges against Republicans who violate his widely signed pledge not to raise taxes. Even if a deal is reached, he predicts budget showdowns will continue -- every time the government needs more money to operate.

"There the Republicans have a lot of clout because they can say we'll let you run the government for the next month, but you've got to make these reforms," he said this week.

On Wednesday, Treasury Secretary Timothy Geithner told Congress the government would reach its borrowing limit at year's end, but could take steps to create what he called "headroom" for two months or so.

However, Geithner said uncertainty about the fiscal cliff and deficit negotiations make it hard to predict precisely how long government measures to address the situation will last.

Crisis two years in the making

The possibility of a fiscal cliff was set in motion over the past two years as a way to force action on mounting government debt.

Now, legislators risk looking politically cynical by seeking to weaken the measures enacted to try to force them to confront tough questions regarding deficit reduction, such as changes to government programs like Social Security, Medicare and Medicaid.

The two sides seemingly had made progress early last week on forging a $2 trillion deficit reduction deal that included new revenue sought by Obama and spending cuts and entitlement changes desired by Boehner.

Obama's latest offer set $400,000 as the income threshold for a tax rate increase, up from his original plan of $250,000. It also had a new formula for the consumer price index -- called chained CPI -- that wraps in new assumptions on consumer habits in response to rising prices, such as seeking cheaper alternatives, and would result in smaller benefit increases.

Statistics supplied by opponents say the change would mean Social Security recipients would get $6,000 less in benefits over the first 15 years of chained CPI. Liberal groups have openly challenged the plan, calling it a betrayal of senior citizens who contributed all their lives for their benefits.

Boehner appeared to move on increased tax revenue, including higher rates on top income brackets and eliminating deductions and loopholes. But his inability to rally all House Republicans behind his plan last week raised questions about his role and what comes next.

Reid and other Senate Democrats say House Republicans must accept that an agreement will require support from legislators in both parties, rather than the GOP majority in the House pushing through a measure on its own.

Some House Republicans have said they would join Democrats and support the president's plan in hopes of moving past the volatile issue to focus on spending cuts and entitlement reforms they seek.

Will fiscal cliff hurt the economy?

CNNMoney's Jose Pagliery and CNN's Adam Aigner-Treworgy, Brianna Keilar, Jessica Yellin, Deirdre Walsh, Ted Barrett, Greg Botelho and Kevin Liptak contributed to this report.

@highlight

NEW: McConnell's spokesman says Obama should give details of his proposal

@highlight

Boehner, Reid, Pelosi and McConnell will meet at the White House on Friday

@highlight

The Senate returns to work; the House will be back in session Sunday

@highlight

Without a deal, taxes go up and spending gets slashed in the new year