In Egypt prominent liberals are now supporting a military-backed government overseeing a resurgence of post-Mubarak authoritarianism. Since the ouster of President Mohamed Morsy on July 3, those few remaining true to basic principles have found themselves marginalized as the goals of the 2011 revolution are squandered by the military.

Many of the self-identified liberals who filled the streets of downtown Cairo on June 30 demanding Morsy's resignation justified their actions by pointing to a broken political system and the absence of democracy. In the eyes of protesters, Morsy used his electoral victory as a free pass to enforce an authoritarian style of government which denied its people basic human rights, supervised an increase in sectarian violence, and prioritized a regional Islamist agenda over the basic needs of the Egyptian people.

Although these same "liberals" described their revolution as democracy in action, a considerable number of them have since supported the increasingly authoritarian decisions of the interim government which followed.

The targets of these actions expand beyond the Muslim Brotherhood  to a comprehensive swath of Egyptian society as journalists and activists are detained, satirical programs are canceled by private networks, and the constitutional drafting committee proposes laws meant to restrict freedom of expression and NGO operation.

Egypt's armed forces, the driving force behind these events, has simultaneously amended its oath to renounce loyalty to the elected president and sought after immunity for its top leaders.

Egypt's liberals have responded to these moves with outward support on numerous occasions. Perhaps most disheartening is the explicit praise and backing coming from leaders of Egypt's National Salvation Front (NSF), a liberal-left coalition formed in opposition to Morsy's authoritarian rule.

Current NSF leader and former Secretary General of the Arab league, Amr Moussa, presently chairs the same constitutional drafting committee unable to scale back military authority and secure basic civil liberties while Wafd party leader and NSF stalwart El-Sayyid el-Badawi, recently stated that the NSF will endorse General Abdel Fattah el-Sisi's prospective presidential bid.

Much of NSF's leadership has also supported the interim government's violent dispersal of sit-ins at Rabaa el-Adawiyya and el-Nahda, an event which claimed the lives of hundreds of Egyptians. More recently, the same supposed bedrock of Egyptian liberalism failed to condemn a court ruling that disbanded the Muslim Brotherhood and a constitutional provision granting the military immunity.

On the surface, the predicament of liberals seems illogical. What would drive a high-ranking, liberal public official to back such a flagrant disregard for civil liberties and transparent government? The answer lies within the Egyptian electorate. Since January 2011, liberals have failed to instill their values within the political ideology of Egypt's voters.

AMANPOUR BLOG: Egypt not on a 'proper path to democracy,' suggests Egypt deputy PM

In fact, since the revolution, more than two-thirds of the votes across parliamentary elections, the constitutional referendum, and the presidential election have gone to representatives of political Islam. Former presidential candidates, Hamdeen Sabahi and Amr Moussa, who captured roughly 20% and 11% of the vote respectively, are now opting for a new strategy: "If you can't beat them, ban them."

The Muslim Brotherhood and its allies within political Islam cannot be beat fair and square so liberals are now opportunistically working with the military to efface them from Egyptian life. The result is a man-made political landscape handcrafted to undemocratically meet the needs of the country's most powerful liberals.

The events following June 30 have rendered Egypt an inoperable landscape for the few citizens pursuing the genuine aims of liberalism. The isolated voices of figures such as Mohamed ElBaradei and Amr Hamzawy, who have spoken out against the interim government's authoritarian tactics have been shunned by their "liberal" brethren working in concert with the military's government.

Consider ElBaradei, former interim vice president and director-general of the International Atomic Energy Agency. A strong proponent of liberalism, ElBaradei expressed vehement disagreement with the interim government's plan to employ violence to crack down on Brotherhood protesters on August 14.

Remaining loyal to his principles, ElBaradei resigned from his position when the interim government moved forward with this decision. In the meantime, "liberals" backing the government harshly criticized ElBaradei while his own Constitution Party filed a lawsuit against him.

On July 31, Hamzawy, a prominent political scientist, former member of parliament, and head of the Egypt Freedom party thrashed his fellow "liberals" in Egypt's daily Al-Shorouk for betraying their principles in support of the military.

His article was met with strong criticism and personal attacks. When fabricated headlines told of a relationship with the Muslim Brotherhood and the United States, he responded to rumors on his Twitter account, warning that the current regime was working to silence pro-democracy voices.

We are now seeing a brand of liberalism in Egypt which does little to serve its own values and principles. Disenchanted onlookers and advocates of the goals of Egypt's 2011 revolution look on as so-called liberals work with the military to supervise the resurgence of authoritarianism.

An Egypt which serves the interests of Bread, Freedom, and Social Justice cannot exist without a pluralistic society participating in an inclusive democracy, the principles of which struggle to survive within the minds of a powerless minority.

GPS BLOG: Egypt's growing militant threat?

@highlight

Egyptian liberals are supporting post-Mubarak authoritarianism, write Elmenshawy and Kotb

@highlight

They are backed by leaders of the Egypt's National Salvation Front (NSF), they say

@highlight

Elmenshawy and Kotb: Liberals have failed to instill their values within the ideology of voters

@highlight

Liberals are working with the military to efface the Muslim Brotherhood, they write