Tripoli, Libya (CNN) -- Anti-Gadhafi forces have come across a military site in southern Libya that contains what appears to be radioactive material.

The site, not far from Sabha in the Sahara desert, has two warehouses containing thousands of blue barrels marked with tape saying "radioactive," and plastic bags of yellow powder sealed with the same type tape.

The fact that Libya might have radioactive material is not a surprise: In 2004, the the International Atomic Energy Agency (IAEA) confirmed that the Libyan government had yellowcake stored in Sabha. Afterward, Moammar Gadhafi's government vowed its intent to dismantle its nuclear program, and there has been no indication it was ever developed enough that it might appear in weapons.

Still, the fact that it was lying seemingly unguarded -- such that it could end up in the hands of terrorists or nations intent on illicitly turning radioactive material into weapons -- is a definite cause for concern, said David Albright, a former weapons inspector and now president of the Institute for Science and International Security.

"During wars, nuclear material is not protected very well," Albright said, noting that IAEA crews in the past have entered war-zones such as in the former Yugoslavia and Algeria. "The IAEA needs to get there as soon as possible, to determine if anything is missing."

Yellowcake is processed uranium ore that can be used to produce enriched uranium for nuclear purposes, with Albright noting that it -- if it is what outside experts believe -- is not highly radioactive, in itself.

Even so, Cirincione seconded the sentiment that the discovery was cause for alarm.

"These pictures are amazing and sobering. Remember we had been assured by the State Department just weeks ago in August that significant mustard gas, MANPADS and nuclear materials were all secured. This discovery appears to show that in fact we can't count on anything being secured in Libya now," Cirincione said.

The yellowcake is not in itself a real danger, but having it next to high explosives is a potential environmental disaster if they were to explode, said Cirincione, who's president of the Ploughshares Fund, a global security foundation.

Fighters entered Sabha, long regarded as a pro-Gadhafi stronghold, on Wednesday afternoon and initially met no resistance, officials said.

About a dozen lightly armed revolutionary fighters are now guarding the military site outside the city.

Electric power in Sabha, which had been off for two weeks, was restored Thursday evening. In addition, Al Madar, one of the nation's mobile phone networks, began working in the city after being down for more than a month.

Elsewhere, revolutionaries have taken control of the southwestern town of Ubari, chasing Moammar Gadhafi loyalists from the area as Libya's new leaders continued to gain momentum, National Transitional Council field commander Al-Amin Shtawi said Thursday.

The announcement comes days after the NTC received the significant milestone of being recognized by South Africa, Algeria and the African Union as Libya's legitimate rulers.

"Due to the role and obligations that the National Transitional Council has fulfilled and due to the African Union position, Algerian-NTC (diplomatic) relations will move from semi-official to official," said Algerian Foreign Minister Mourad Medelci, according to state-run Radio Algerie. Algeria had been among Gadhafi's biggest allies in the region, and is where his wife and three of his children fled to in August.

Troops loyal to Libya's new leaders have been putting pressure on several regime holdout cities in recent days. Along with Thursday's military action in Ubari, fighters have also clashed with Gadhafi loyalists in the northern town of Bani Walid and in Sirte.

Despite not yet having complete control over the entire country, the NTC says it is planning on how to set up a new government.

Elamin Belhaj, a senior member of the NTC, told CNN Wednesday that the formation of a Libyan government will not be announced until anti-Gadhafi forces control the borders of the country and liberate the three cities of Bani Walid, Sirte and Sabha .

That effort could take up to one month, he said.

After liberation, the NTC will create an interim government by appointing a prime minister who will be responsible for forming the government. The prime minister will decide how many ministers will be in that interim government, but he must return to the NTC for approval of that government. That government will create a new constitution that will be put before the Libyan people for approval in a referendum.

CNN's Ben Wedeman, Brian Walker and Greg Botelho contributed to this report

@highlight

NEW: An ex-inspector says the IAEA should view material marked "radioactive" soon

@highlight

NEW: Algeria says it will recognize Libya's transitional government as official

@highlight

Anti-Gadhafi forces came upon the military site that may have radioactive material

@highlight

Troops have been putting pressure on several regime holdout cities in recent days