Ukrainian acting Interior Minister Arsen Avakov said Wednesday that the separatist protests in Ukraine's eastern region would be resolved within 48 hours -- either through negotiations or the use of force.

At the same time, Russia insisted that the presence of its troops just over the border was no reason to worry.

The United States and others have accused Russia of fomenting the separatist unrest as a pretext for military intervention.

Using classified and commercial satellite imagery, the United States estimates there are up to 40,000 Russian troops on the border with eastern Ukraine. NATO has also warned of a major troop buildup.

The U.S. ambassador in Kiev, Geoffrey Pyatt, posted photos via Twitter on Wednesday to illustrate the U.S. estimates.

The photos depict what is supposedly a field outside the Russian city of Rostov --  empty in October, filled with troops and armored vehicles on April 2.

A U.S. official with direct knowledge of the matter told CNN those photos "are consistent" with classified imagery.

Washington is sharing some information with the Ukrainians, but not highly classified intelligence, the official said. Ukraine was aligned with Moscow until a month ago, and it is believed Ukraine's security services are still penetrated by the Russians, the official said.

But Russia's Foreign Ministry said Wednesday that Ukraine and the United States have "no reason for concern" about the presence of Russian forces, which it says are on military exercises.

"Russia has repeatedly stated that it does not conduct unusual or unplanned activities which are militarily significant on its territory near the border with Ukraine," the Foreign Ministry said in a prepared statement.

It added that accusations that Russia was building up its armed forces were "groundless."

Asked if he considered the threat of a Russian advance into Ukraine more likely now than last week, Defense Secretary Chuck Hagel told CNN's Jim Sciutto, "We are always vigilant.  We are always looking at the options that we need to take."

Hagel said Gen. Philip Breedlove, NATO's supreme allied commander in Europe, has been asked to develop "new and additional measures and options."

Meanwhile, the separatist protests in eastern Ukraine have entered their fourth day.

Pro-Russian protesters seized government buildings in the cities of Donetsk, Luhansk and Kharkiv on Sunday.

Rebels who occupied Donetsk's regional government building a day later -- declaring a "people's republic" and calling for a referendum on secession from Ukraine to be held by May 11 -- remained in control of the building Wednesday, holed up behind substantial makeshift barricades.

In Kharkiv, more than 70 people were detained Tuesday in what Ukrainian authorities said was an anti-terrorism operation, as security forces cleared a government building of protesters.

The 48-hour deadline set by Avakov to end the crisis may escalate the tensions in Ukraine's eastern region.

"There are two opposite ways for resolving this conflict -- a political dialogue and the heavy-handed approach. We are ready for both," he said, according to official news agency Ukrinform.

On Tuesday, Moscow warned that any use of force to crack down on protests in the region, which borders Russia, could lead to civil war and called for "the immediate cessation of any military preparations."

Opinion: Turning Crimea into 'Putinland'?

Hostage reports

There were conflicting reports late Tuesday over whether demonstrators who seized control of a Security Service of Ukraine building in Luhansk took hostages.

An anti-terrorism unit outside the building said the pro-Russian demonstrators were holding hostages, Victoria Syumar, a Security Service spokeswoman, and Yarema Duh, spokesman for the National Security and Defense Council, told CNN.

Fifty-one people were released from the building early Wednesday morning, the Security Service said in a statement.

But pro-Russian demonstrators holed up in the building denied having taken anyone hostage, according to Reuters reports.

Ukrainian interim President Oleksandr Turchynov reiterated Tuesday that he would treat pro-Russian separatists who have seized buildings in the country's east as "terrorists" who will be prosecuted with the full force of the law.

His remarks came ahead of a vote in parliament that approved legislation outlawing groups and individuals who call for separatism. Of the 450 members of the Ukrainian parliament, 230 voted in favor of the bill.

Kerry: 'Contrived pretext' for intervention

U.S. Secretary of State John Kerry discussed the situation in eastern Ukraine twice on the phone Wednesday with his Russian counterpart, Foreign Minister Sergey Lavrov.

The two officials talked about "the importance of resolving the security situation in key cities in eastern Ukraine peacefully and through dialogue, and they both rejected the use of force to obtain political objectives," State Department spokeswoman Jen Psaki said.

Kerry said Tuesday that Russian forces and special agents were behind what he called the most-recent "chaos" in eastern Ukraine.

He described the developments as "more than deeply disturbing" and said they amounted to what could be a "contrived pretext for military intervention just as we saw in Crimea."

Echoing that view, Polish Foreign Minister Radoslaw Sikorski told CNN's "Amanpour" show that Russia is financing subversion in eastern Ukraine using the pretext of ethnic tensions.

"What's happening in Ukraine is unacceptable," he said. "A more powerful nation is first taking a province away from a less powerful country and now financing subversion using the pretext of ethnic problems, which are nonexistent."

Kerry will meet Monday with his Russian, Ukrainian and European Union counterparts to discuss efforts to de-escalate the crisis, according to a statement from EU foreign policy chief Catherine Ashton.

Ashton "calls against any further destabilization of Ukraine, whether from the inside or the outside," the statement said.

German Chancellor Angela Merkel told her country's parliament Wednesday that "the situation in the Ukraine remains difficult ... and unfortunately in many places it is not clear how Russia helps the de-escalation of the situation.

"Therefore we will continue to do what we've been doing: on the one hand pursue a path of dialogue, but on the other hand make clear that in our view Ukraine has a right to its own development. We demand this. Ukraine must decide its own destiny, and in this we will help Ukraine."

Kerry warned of increased sanctions targeting Russia's banking, energy, mining and arms sectors if the Russians "cross over" into eastern Ukraine. Current sanctions target individuals over Russia's annexation of Ukraine's southeastern Crimean Peninsula last month.

U.S. Navy ship headed for Black Sea

Similar pattern seen in revolts

U.S. officials told CNN on Tuesday that one reason the United States believes Russia may have orchestrated the pro-Russian demonstrations in Donetsk, Luhansk and Kharkiv is that the disturbances and violence had a similar pattern and similar separatist motivations, even though the cities are at significant distances from one another.

U.S. officials have long noted that these three cities are specific areas that Moscow has been trying to influence.

Although Ukrainian forces have been able to regain control for now, the U.S. assessment is that Russia may be trying to fabricate a pretext for military action using some of the tens of thousands of troops still massed on the border, several U.S. officials told CNN.

Even after weeks of tension and uncertainty, the United States does not know what political calculation Russian President Vladimir Putin might make in deciding whether or not to move his troops into Ukraine, officials said.

The belief is the decision will be made by Putin with little or no influence from his top military and foreign policy advisers. There is also a U.S. view that Putin may leave the troops on the border for some time to come to intimidate Ukraine's government, American officials said.

Those troops remain positioned so close, and are so heavily armed, that the United States and NATO calculate they could "roll across" eastern Ukraine in three to five days, one official said.

Russia has said it does not intend to invade eastern Ukraine, although it says it reserves the right to intervene to protect ethnic Russians.

@highlight

Kerry and Lavrov discuss the situation in eastern Ukraine in two phone conversations

@highlight

U.S. ambassador tweets pictures he says show Russian buildup

@highlight

"We are always vigilant," Defense Secretary Chuck Hagel says of Russia's moves

@highlight

Ukraine's acting interior minister says unrest in eastern region will be resolved in 48 hours