(CNN)King Salman of Saudi Arabia has inherited the throne from his older brother and with it a host of pressing challenges in a turbulent region.

To the south, Yemen is in chaos. To the north, the militant group ISIS is wreaking havoc in Iraq and Syria. More broadly, Saudi Arabia remains locked in a regional cold war with Iran.

Within the kingdom's borders, Salman has to decide how to pace sensitive reforms while keeping a lid on extremism.

The stakes are high in one of the leading regional powers in the Middle East and a key U.S. ally.

"Saudi Arabia has been critical to preserving some degree of regional stability in the face of a growing Iranian threat, during the rise of Islamic extremism that followed the U.S. invasions of Afghanistan and Iraq, and during the new wave of upheavals that began in the spring of 2011," Anthony H. Cordesman, a Middle East expert at the Center for Strategic and International Studies, wrote in a commentary this month.

Here are some of the main challenges Salman now faces:

The new king has been plunged straight into the deep end with a fast-developing crisis on Saudi Arabia's southern border.

The pro-Saudi government in Yemen has crumbled amid sectarian unrest. The country's president and prime minister resigned Thursday night after a move by Shiite Houthi rebels to gain power in the capital in recent days.

Sunni majority Saudi Arabia, which provides energy and financial support to Yemen and shares a long border with it, is looking on with growing anxiety, fearful of the prospect of another Shiite-dominated state in the region.

"This will terrify the Saudis, just as the Shia uprising in Bahrain did," said CNN intelligence and security analyst Bob Baer.

"Saudi Arabia, all these years, has avoided sending troops into Yemen. It's a quagmire for the Saudis," said Baer. "They've got a reinforced border and they've put a lot of troops down there. But, still, they are panicking."

Mohammed Albasha, a spokesman for the Yemeni Embassy in Washington, told CNN on Wednesday that without Saudi support, "Yemen will become a failed state."

It's not far from that already.

The poorest country in the region, Yemen is home to al Qaeda in the Arabian Peninsula, which U.S. officials consider to be the most dangerous branch of the terrorist network, according to CNN terrorism analyst Paul Cruickshank.

The Yemen crisis feeds into a broader issue for Saudi Arabia: the growing influence of Iran in the region.

Yemeni officials have frequently accused Iran of providing financial support and weapons to the Houthis in an effort to control Yemen's Red Sea coast, on one of the world's busiest shipping lanes.

"That makes Saudi Arabia very uncomfortable," said CNN global affairs analyst Bobby Ghosh. "Saudi Arabia, a Sunni majority country, regards Shia-run Iran as a mortal enemy. Both are facing each other off in a bizarre game of chess they're playing across the Arab world."

Tensions have simmered between Tehran and Riyadh at least as far back as Iran's Islamic Revolution in 1979. The conflict in Syria has been viewed as a proxy conflict between the two, with Iran supporting the regime of President Bashar al-Assad, and Saudi Arabia helping rebel groups.

But the rise of the ISIS extremists amid the relentless bloodshed of the Syrian war has complicated the equation.

"There are signs by the Saudis and the Iranians that it is in their interests to de-escalate tensions to confront ISIS," said Harith Al-Qarawee, a fellow at Harvard's Radcliffe Institute for Advanced Study. "But it's impossible to move from hostility to alliance quickly.

"Although the two sides realize that ISIS is a threat to some extent to both of them, they don't think it is so big a threat as to move that fast to cooperation," he said in November.

The bloodthirsty seizure of large swathes of territory in Syria and Iraq by ISIS has created a major headache in the region for the Saudis.

And the attempts of ISIS leader Abu Bakr al-Baghdadi to style himself as spiritual leader of Muslims presents a challenge to the Saudi monarchy, which is responsible for Islam's two holiest cities, Mecca and Medina.

"The Saudis fear it as a potential domestic threat, turning Salafism into a revolutionary political ideology rather than the pro-regime bulwark it has usually been in Saudi Arabia," says F. Gregory Gause, III, a senior foreign policy fellow at the Brookings Institution in Doha, Qatar.

Saudi Arabia is considered to be a key U.S. ally in the fight against ISIS. One of Salman's sons, Prince Khaled, was reportedly among the pilots who carried out the first airstrikes on ISIS positions in Syria last year.

But Salman also has some responsibility for Saudi Arabia's backing of jihadist fighters in previous conflicts, according to David Andrew Weinberg, a Senior Fellow at the Foundation for Defense of Democracies.

"Salman played a significant role in the 1980s and 1990s gathering support in the royal family for mujahedeen holy warriors in places like Afghanistan, places like the Balkans," Weinberg told CNN. "A number of these Afghan and Balkan veterans have in fact come back to Saudi Arabia and sown continued radicalism."

The Saudi government, though, has denied ever providing support to ISIS, which is a splinter group of al Qaeda.

Salman's predecessor, King Abdullah, is credited with managing to ride out the ructions of the Arab Spring that swept away other Arab rulers. But with a fast growing population in an unstable region, the royal family has no room for complacency.

"Saudi Arabia has faced, and will face, constant challenges in finding the pace of modernization and reform that pushes forward as fast as possible while retaining Saudi popular support, meeting Saudi Arabia's unique religious and cultural needs, and ensuring that evolution will not turn into either regression or revolution," said Cordesman.

"As events in other parts of the region since 2011 have shown all too clearly, it is easy to get things terribly wrong and very hard to keep them going right," he wrote.

While some observers have applauded Abdullah's cautious reforms, others say he moved too slowly.

"If you look at where Saudi Arabia is today, it hasn't actually moved that far from when he assumed the throne in 2005," Weinberg told CNN.

The monarchy needs to allow greater freedoms for women, improve the rights of the Shiite minority, modernize the education system and give greater powers to elected bodies, according to Cordesman.

With the recent sharp drop in oil prices, officials will have to chart a careful course for the economy. Saudi Arabia depends heavily on oil revenues to fund its government.

"Above all, the Saudi government needs to ensure that its rapidly growing population will have meaningful jobs and futures," Cordesman said.

@highlight

Yemen's pro-Saudi government has crumbled amid sectarian unrest

@highlight

Saudi Arabia also faces difficulties in its cold war with Iran and the fight against ISIS