(CNN) -- As the sun set Sunday evening, millions of people in a mammoth chunk of the Central and Eastern United States finally got relief from scorching heat -- though, for many of them, it won't last long.

Summer has been out in full force for days, baking areas from Missouri to New York to Georgia in life-threatening heat, and unleashing thunderstorms that knocked out power to millions and killed 13 people on Friday and Saturday. Then, three more people died Sunday afternoon after a fresh batch of storms.

Between June 24 and Saturday, 1,928 record-high temperatures were broken or tied nationwide, not including new ones expected from Sunday that still aren't in the National Climatic Data Center's official count.

Many cities and towns in the Southeast and Midwest saw temperatures Sunday that topped 100 degrees Fahrenheit, much like they've experienced in the few days prior, and the Northeast also saw blistering heat. The National Weather Service warned, for instance, that the heat index (or what it actually feels like) near the North Carolina coast could hit 120 degrees.

Thunderstorms rolling across some of the roasting locales late Sunday afternoon brought some relief, but also danger as well.

The National Weather Service reported that a man in Calico in eastern North Carolina, died around 4:30 p.m. when a shed fell on him as he was trying to store his golf cart.

A few minutes later and about 15 miles east in Gilead, strong storm-related winds knocked over a tree that fell on a couple in a golf cart, killing them both.

These deaths were tied to a batch of storms that affected not only North Carolina, but also South Carolina and Georgia. Another band moved east from the Chicago area through Ohio, at one point prompting a tornado warning.

Tamara McBride, an Ohio Emergency Management Agency spokeswoman, said the latest storms downed trees and power lines to produce yet more outages. Yet as of Sunday night, there were no reports of new fatalities.

The forecast in that state, like in many others through the Midwest, Southeast and Mid-Atlantic region, calls for slightly cooling Monday, compared to over the weekend.

Yet temperature drops are all relative: It will be cooler, for instance, for residents of Louisville, Kentucky, but they can still expect a high of 99, and a heat index of 103, on Monday. In Columbus, Ohio, the thermometer is forecast to rise as high as 96, though it should feel even warmer.

Many other locales should be even more sweltering, with highs Monday forecast yet again to be around or above 100 degrees from Missouri to South Carolina.

The lack of any significant let up in the blistering conditions is a concern, authorities say, because the effects of heat can be cumulative -- so the longer you experience it, the more likely you are to experience conditions such as heat stroke, dehydration and the like.

"Current indications are that this heat wave may continue for much of the upcoming work week," the weather service's St. Louis bureau warned. "Do not wait until the heat wave has lasted for several days, take action today to protect your health and continue to do so."

Hundreds of thousands of people in Indiana through Maryland are still dealing with this heat without the benefits of electricity, due to a derecho -- or massive storm usually with straight-line wind damage -- that barreled eastward late Friday and into Saturday and was fueled, in part, by the extreme heat.

The destruction prompted state of emergency declarations by governors of Maryland, Ohio, West Virginia and Virginia.

Deaths tied to those storms were reported from Ohio to New Jersey, all of them linked to downed trees except for the electrocution of a man in Washington.

Will 2012 be the hottest summer on record?

Virginia had the highest death toll, at seven, with the state Department of Emergency Management noting the deaths were spread across four different counties.

And in New Jersey, 2-year-old and 7-year-old cousins died after a fallen tree crashed on the tent they were huddling inside in Parvin State Park, state Department of Environmental Protection spokesman Larry Ragonese said.

While down from a peak of about 4 million from right after the storms hit, the number of storm-related outages was still dangerously high given that people were trying to get by without working air conditioning or ice.

Record heat, storms bring despair, 'horror'

One of the most affected utilities was APE Ohio, which had around 425,000 customers out of power as of 10 p.m. Sunday. Widespread outages were reported further east as well, including over 310,000 Dominion customers in Virginia plus more than 490,000 outages in Maryland for customers of BGE and Pepco.

"It's the combination of heat and power outages that are hitting people," McBride from Ohio's emergency management agency said, predicting some may not get electricity until "well into the week."

"As the days continue with food and without power, we will just have to mobilize resources."

One such initiative, ordered by Ohio Gov. John Kasich, is to have National Guard troops check on and help the state's most vulnerable, primarily the elderly and the ill.

Cities throughout the affected regions offered water at certain sites and opened cooling shelters, including 35 in Virginia alone, to help people stay cool.

Photos: Storm damage in Washington, D.C.

Emergency rooms in Prince George's County, Maryland, filled up over the weekend by people looking to escape the heat, said Fran Phillips, deputy secretary for the state's Department of Health and Mental Hygiene. She noted that libraries and community centers across the state would stay open late to act as cooling centers.

"This is not a one-day situation; it is a multiday challenge," said Virginia Gov. Bob McDonnell, who called it the largest power outage unrelated to a hurricane in his state's history.

Instagram down in mass power outage

CNN's Josh Levs, Greg Botelho and Maggie Schneider contributed to this report.

@highlight

NEW: 3 people are killed in North Carolina because of a fresh batch of thunderstorms

@highlight

NEW: Hundreds of thousands remain without power due to past storm-related damage

@highlight

13 people died due to those earlier storms, which were fueled in part by extreme heat

@highlight

High temperatures should remain in the 90s and 100s in many locales Monday