(CNN) -- How's the broadband access in your community -- or perhaps in other places where you'd like to live, work or send your kids to school?

Now you can look that information up via an interactive National Broadband Map, unveiled February 17 by the National Telecommunications and Information Administration and the Federal Communications Commission. It's one way to understand the current state of the digital divide.

Broadband internet access is one of the main tools for businesses and people to get ahead or, increasingly, to access many basic services. But not all Americans have broadband access.

In fact, a new telecommunications administration report, Digital Nation 2010, says that about one-third of U.S. households still lack a broadband internet connection. Furthermore, 5% to 10% of Americans only have access to internet services that are too slow to even support a basic set of online functions, such as downloading Web pages, photos or video.

Mobile broadband is a huge part of the future of internet access, which is why the Obama administration is pushing for its National Wireless Initiative, which would expand wireless broadband networks to cover where 98% of Americans live.

However, ubiquitous availability is not the same thing as equitable access, and lax federal net neutrality requirements for wireless carriers might especially hinder the internet experience for cost-conscious mobile users.

According to the telecommunications administration, 36% of Americans "have access to wireless internet service at maximum advertised download speeds of 6 Mbps or greater, which some consider the minimum speed associated with '4G' wireless broadband service."

The catch is that often mobile users never actually see those maximum advertised speeds, as Ars Technica reported last year. Most users who run network speed tests on their phones (something you can do with most smartphones and some other phones), typically see considerably lower actual speeds much of the time.

The National Broadband Map is based on data "collected from broadband providers or other data sources," so it may be interesting to compare this map with the crowdsourced cell coverage maps I wrote about earlier this week. Those are based on data about signal strength and network speed collected from mobile users' phones running apps such as Open Signal Maps or RootMetrics.

The vast majority -- 95% -- of Americans live in places that at least have access to 3G-speed wireless networks, with advertised minimum speeds of at least 768 Kbps. But increasingly, that's not enough to really be considered "wireless broadband."

The National Broadband Map, says the telecommunications administration, "includes more than 25 million searchable records showing where broadband internet service is available, the technology used to provide the service, the maximum advertised speeds of the service and the names of the service providers. Users can search by address to find the broadband providers and services available in the corresponding census block or road segment, view the data on a map or use other interactive tools to compare broadband across various geographies, such as states, counties or congressional districts."

It might also be interesting to consider the implications of local demographics, which can easily be explored via The New York Times' interactive map of U.S. Census data. In some cases, there are interesting correlations between the broadband options available in an area and the race, income or education level of the people who live there.

The opinions expressed in this commentary are solely those of Amy Gahran.

@highlight

5% to 10% in U.S. have access to internet too slow to support basic functions

@highlight

The federal government offers an online map for tracking where fast internet is available

@highlight

Mobile broadband sometimes does not reach advertised speeds