It's rare that a defendant is put on trial knowing that whether he wins or loses, chances are he'll still spend his life in prison.

That's exactly the scenario Michael Dunn faces, as his second trial in the November 2012 killing of 17-year-old Jordan Davis approaches. Jury selection began Monday morning. The retrial will follow and is expected to last about two weeks.

Before jury selection began, Davis' parents, Ron Davis and Lucia McBath, were outside the Duval County Courthouse, along with Sybrina Fulton, the mother of Trayvon Martin, the unarmed teen killed by a neighborhood watch captain earlier the same year.

"This trial speaks to me because I am that family," Fulton said. "The family that's missing a son. I'm the family that's a victim of senseless gun violence. That's the purpose of me coming here, that's just to stand with the family, to be with the family and to show the support."

About 40 people gathered demanding justice for Jordan Davis as well as other slain African-Americans, including Emmett Till, Rodney Mitchell and Karvas Gamble Jr. Protesters carried signs that said "Justice 4 Jordan" and "Is it OK to murder me because I like loud music?"

A pastor led the group in prayer before Davis' parents entered the courthouse. The gathering promptly dispersed, but not before McBath thanked the crowd for supporting her son.

"We just want to thank the country and thank you all for the wonderful support and prayers that you've given us these last two years. We could not do this without you. We're very grateful for every moment that we've been on your minds and your hearts," McBath said.

She added, "Whatever verdict we receive, we will be humble and abide by. But the verdict and the justice that we seek will always and will only come from God."

Defense attorney Waffa Hanania expressed concern to County Court Judge Russell Healey that the rally, which "appears to be sanctioned by Mr. Davis' family," could influence potential jurors.

Healey responded that there is "only so much I can control," but conceded that "it's not helpful to us getting a jury here in Jacksonville." He said that the court would determine what potential jurors heard and saw when they're questioned.

The first trial

Earlier this year, on what would've been Davis' 19th birthday, a Jacksonville, Florida, jury found Dunn guilty on four of five counts in the case.

While Dunn said he shot into a Dodge Durango full of teenagers in self-defense, he was convicted on three counts of second-degree attempted murder -- one each for firing at Davis' pals, Leland Brunson, Tommie Stornes and Tevin Thompson -- and one count of shooting into a vehicle.

The attempted murder convictions alone carry a cumulative minimum sentence of 60 years in prison for the 47-year-old Florida man.

Opinion: Why prosecutor is retrying 'loud music' murder case

The 12 jurors, however, deadlocked on the final and most serious charge: premeditated first-degree murder.

Dunn claimed that after a heated argument over loud music at a Jacksonville gas station, Davis threatened him and Dunn thought he saw Davis produce a gun or lead pipe.

Though Davis had a knife in his pocket, police recovered no weapons matching Dunn's description, and his fiancee, Rhonda Rouer, testified that Dunn never mentioned seeing a weapon.

Following the argument, Dunn pulled out a handgun and began firing. He continued firing even as Stornes, the driver, put the Durango in reverse and retreated, witnesses said.

Dunn fired 10 shots at the SUV. Three of those bullets hit Davis, one piercing his liver, lung and aorta.

'... they didn't call 911'

After the shooting, neither Dunn nor Rouer called police. They drove 40 miles to a bed and breakfast in St. Augustine, and once there, defense attorney Cory Strolla said, Dunn took his dog for a walk and Rouer ordered a pizza and movie.

"They had cell phones, but they didn't call 911. He didn't drive to a police substation," Assistant State Attorney John Guy said during the first trial. "That defendant put his head on his hotel pillow and went to sleep."

Asked why he never called police, Dunn said, "It makes sense that I should have (contacted authorities). We didn't. I can't tell you why."

In the morning, Rouer watched a news report about the shooting and the two then drove another 130 miles home to Satellite Beach where Dunn was apprehended.

What happened in the hours after the shooting may play a role in the new murder trial, as prosecutors must prove that Dunn planned to kill Davis. In the first trial, prosecutors alleged that Dunn's actions after the shooting were indicative of his intent, an assertion Dunn's defense attorney denied.

Davis' father, Ron Davis, was certainly struck by Dunn's actions after killing his son and expressed satisfaction in February that Dunn would face a lengthy prison bid.

"He is going to learn that he must be remorseful for the killing of my son, that it was not just another day at the office. My son will never be just another day at the office where (Dunn) can leave the scene and be stoic," he told reporters.

Awaiting sentencing

Dunn has not yet been sentenced on the original counts. In addition to the 60-year minimum he faces on the attempted murder charges, he could spend another 15 years in prison on the count of shooting into a vehicle.

While his new defense attorney, Hanania, hasn't been speaking to media, Strolla has said his client would appeal the original verdict.

That may explain why -- even though, pending appeals, Dunn could spend the rest of his life in prison -- prosecutors are preparing for another highly publicized trial on the murder charge.

To hear prosecutor Angela Corey tell it, it's about justice.

"Justice for Jordan Davis is as important as it is for any victim," she said after the first trial in February.

CNN legal analyst Paul Callan said he can see how some people might think it defies logic to try the case again, but from Davis' parents' perspective, it makes all the sense in the world.

"If he winds up with 60 or 75 years in jail, from a pragmatic standpoint it doesn't make a whole lot of sense to retry the case," Callan said after the first trial.

"On the other hand if you're the parents of Jordan Davis and you believe, as well you should, that your son's reputation has been besmirched by this self-defense claim, the family (might) want a retrial, and that's something that a prosecutor has to consider carefully."

@highlight

Jury selection begins in Michael Dunn's retrial on murder charge

@highlight

Dunn charged with killing Jordan Davis, 17, after argument over loud music

@highlight

Earlier this year, jury found Dunn guilty of three counts of attempted murder

@highlight

However, jury was hung on first-degree murder charge, so prosecutors will try again