(CNN)Lake Waban on the southern edge of Wellesley College is best known for its shoreline trails offering a scenic reprieve from campus life.

Freshman Katy Ma sees it in a different light after learning about Xie Bingxin, the influential 20th century Chinese writer and activist who attended the Massachusetts single-sex college in the 1920s. In one of Bingxin's poems, she describes the tranquil waters of Lake Waban as her only source of comfort in bouts of homesickness.

Now, Lake Waban provides Ma with a tangible connection to a woman from another time, someone who rose to prominence after walking the same grounds as her. And, not just any woman, but someone who shares Ma's cultural roots.

"Knowing that someone lived in the exact spot where you are right now, and knowing that so much came out of her life inspires you to think that you can accomplish just as much," she said.

It's a big deal for Ma, who says she never learned about a single Asian-American in school. As far as she knew growing in Philadelphia, the white men featured in public monuments were the only people who made noteworthy contributions to history.

She knows better now thanks to her involvement with activist group SPARK Movement, which is putting women on the map, with a little help from Google.

Ma and a group of girls around the world spent the past five months researching locations of significance in the lives of women who don't always get a mention in history class. Starting this week, their stories will be featured on Google's Field trip app tagged to significant locations in their lives.

For Bingxin, it's Wellesley University. For dancer Janet Collins, it's New York's Metropolitan Opera, where she became the first African-American prima ballerina. For 19th century journalist Annie Smith Peck, it's Musho, Peru, the village at the base of Mount Huascarán, which she scaled in 1908 in a record-setting feat. For journalist Nellie Bly, it's the site of Women's Lunatic Asylum on Blackwell's Island, now Roosevelt island in New York, where she went undercover for a story.

Most of the women have Wikipedia pages or obits online; far fewer have parks, squares or monuments named for them.

"Every single one of these woman is a rock star," Ma said.

"These women have been edited from history not because they didn't make meaningful contributions to society but because someone deemed their stories not worthy of being told."

The initiative started in 2013 when SPARK approached Google with data showing that women and people of color were underrepresented in the popular doodles featured on its search homepage. The Google Doodles team has since made strides toward balance the ratio.

The encounter led to talks about another SPARK project on representation of women and people of color in parks, monuments and public spaces -- "all the places outside a school textbook where we learn about who's important in the world," SPARK Executive Director Dana Edell said.

The conversations led to Google's Niantic Labs, creator of Field Trip. The app displays geotagged stories within a certain geographic radius created by different publishers. Users can choose to be alerted to locations in a certain category.

Google agreed to publish the stories if SPARK created them. After all, SPARK's vision fit into Field Trip's goal to help people "discover the stories around them," said Google's Yennie Solheim Fuller, who worked with SPARK.

"It's one thing to read about a landmark while sitting on your couch," she said. Visiting it in person creates a sensory experience that's harder to forget, and telling a story about the place has the potential to create an even stronger connection, she said.

"We're hoping it brings more awareness to those locations and stories," she said. "What I really hope is that people learn something cool about a place and a woman, and feel inspired to do something similar in their community."

The initiative launched on Monday featuring 119 women in 28 countries representing the arts, science and technology.

The hard part was not finding women, 15-year-old SPARK member Ajaita Saini said. Pinpointing locations to feature was the greater challenge, sometimes because of lack of information; in other cases, it was hard to choose just one.

Take for example, Deborah Sampson, who disguised herself as a man so she could fight in the Revolutionary War. The coordinates of her birthplace will show up for anyone using the app in the vicinity of Plympton, Massachusetts.

The app also features Mary Anning, a 19th century British self-educated fossil hunter who was unable to publish her discoveries in her lifetime. The app highlights the British shore where she made some of her most significant findings, including the first complete skeleton of a long-necked Plesiosaurus.

Saini, a student at Middlesex County Academy for Science, Mathematics and Engineering Technologies in New Jersey, knows firsthand that women's contributions to science, technology, engineering and math don't usually make it into the lesson plan.

Through this project and other SPARK initiatives, she hopes to change that.

"It's time we recognized the female scientists, researchers, musicians who are invisible to us," she said. "They definitely existed, we just don't learn about them."

@highlight

Teen activist group SPARK researches history's "invisible" women

@highlight

Stories of women will be shared on Google's Field Trip app