(CNN) -- This weekend, Morgan Spurlock's "Inside Man" gives CNN viewers an inside and in-depth look at the issue of firearms -- as viewed from behind the counter of a gun store. Here are five things to know about the debate:

1 -- There is no debate about the impact of gun violence. In 2010, the Centers for Disease Control and Prevention tallied more than 31,000 firearm deaths in the United States. Each year, some 55,000 violent deaths occur in the country, costing $60 billion in medical care and lost productivity, according to the agency. More than 38,000 people in the country are suicides.

But, more than six months after 20 children and six adults were killed in Sandy Hook Elementary School in Newtown, Connecticut, legislative efforts to stem the impact of gun violence have failed to gain traction. "At this point, nothing is different," said Dr. Arthur Kellermann, a policy analyst at the Rand Corporation in Washington who has witnessed the power of firearms as a hunter and gun owner and as an emergency room doctor. "The public's attention has moved on."

2 -- Much of what we know is outdated. That's because, in 1996, pressure from the National Rifle Association led Congress to cut $2.6 million from the budget of the federal Centers for Disease Control and Prevention's Center for Injury Prevention that had been devoted to finding out what works.

To underscore its point, Congress -- in a move led by Jay Dickey, a former gun-rights advocate and Republican legislator from Arkansas -- added this language to the agency's appropriation: "None of the funds made available for injury prevention and control at the Centers for Disease Control and Prevention may be used to advocate or promote gun control."

Congress added the same restrictive language it had imposed on the CDC to all agencies of the Department of Health and Human Services after a National Institutes of Health study concluded that a person carrying a gun was nearly 4.5 times more likely to be shot in an assault than someone who is unarmed.

Today, 17 years after the CDC restrictions were put in place, the NRA maintains its position that government research into gun violence is not necessary.

"What works to reduce gun violence is to make sure that criminals are prosecuted and those who have been found to be a danger to themselves or others don't have access to firearms," the NRA's director of public affairs, Andrew Arulanandam, told CNN early this year. "Not to carry out more studies."

3 -- But more studies may be in the cards. The Obama administration has signaled it wants to resume such efforts. This month, the Institute of Medicine and the National Research Council laid out priorities for a research agenda to help policymakers better understand the causes and impact of gun violence and how to reduce it. The report says progress can be made in three to five years through research into the characteristics of gun violence, risk and protective factors, prevention and other interventions, gun safety technology, and the influence of video games and other media.

The report came after President Obama ordered in January that federal agencies -- including the CDC -- identify the most pressing firearm-related violence research needs and signaled that he wanted to devote $10 million per year to the task.

How successful will it be? "It's too early to tell," according to Kellermann. But he worried in a telephone interview that the matter could wind up as a tug of war between CDC and legislators in the House, who are responsible for passing -- or not passing -- appropriations. "You can see the most highly respected public health institution in the world turn into a rag doll between a determined administration and the equally determined House" majority, he said.

"I'm just hoping that research will be restarted," he said. "Surely we can agree that having a better understanding of effective strategies to reduce gun violence is a worthwhile goal that everybody ought to be able to agree on."

Off the radar of the gun debate, which has focused on assault weapons bans and background checks, has been the fact that community-level strategies have already been shown to lower gang violence in a number of cities, he said.

Rather than racing after every 911 call, it makes sense to break the chain of events -- such as illegal gun trafficking, illegal acquisition and illegal carrying -- that often lead to the next 911 call, he said.

Focusing police efforts on the highest-risk people and places works, he said. Between 1997 and 2007, "Atlanta put that strategy in place and, over a decade, had a 50% reduction in homicides."

4 -- If you choose to own a gun, do it responsibly. Whatever one thinks about gun control, anyone who opts to own a gun should store it responsibly. Incidents in which a family member is killed or injured by a gun in the home far outnumber the times when a gun is used to injure or kill an intruder in self-defense, Kellermann said.

"What people must understand is that the gun that is kept loaded and readily available for protection is also readily available to a curious child, to a depressed or upset teen, an angry spouse or a depressed grandparent."

5 -- Reasons for owning a gun have changed. A national survey published in March by the Pew Research Center for the People & the Press reported that nearly half (48%) of gun owners say the main reason they own a gun is for protection, up from 26% who gave that answer in 1999.

Less than a third (32%) cited hunting as the main reason, down from nearly half (49%) in 1999.

The findings make no sense, since violent crime in the country overall has dropped by 48% since 1993, according to Kellermann.

Perhaps even more important -- and less understood -- is the evidence that the benefits of keeping a gun for protection are far outweighed by the risks, he said.

But those studies are more than 17 years old and out of date, which is why, he said, new research is needed.

@highlight

Obama is seeking to fund work into how to stop gun violence

@highlight

The NRA says such research is not necessary

@highlight

For the first time, protection outranks hunting as a reason to own guns