It's an idea that's radical in its simplicity.

Swiss voters on November 24 will consider capping executive pay at 12 times what the lowest-paid worker at a company makes -- the premise being that a CEO should make no more in a month than a low-level employee earns in a year.

The referendum, which is called the "1:12 initiative" and began after supporters gathered 100,000 signatures to put it on the ballot, is the kind of elegant solution to income inequality that we in the United States should consider more seriously.

Not because the initiative, as it will be voted on, would work in the United States. It likely wouldn't. But because the idea of tethering top executive pay to SOME sort of concrete metric might stop American execs from floating further into the stratosphere.

RELATED: The most unequal place in America

Here in America, the land of unequal opportunity, the CEOs of top-500 companies make in a single day about what it takes an average "rank-and-file" worker a year to earn, according to the AFL-CIO, the federation of unions. Switzerland has an average CEO-to-worker compensation ratio of 148 to 1, the group says.

The average U.S. rate is 354 to 1, according to the AFL-CIO.

Others put the ratio somewhat lower, around 273 to 1 in 2012.

Either way, it's bad. And some U.S. companies are worse, still. JC Penney Co. has the highest ratio -- 1,795:1 -- on a list of 250 businesses compiled by Bloomberg. That department store's CEO got $53.3 million in pay and benefits in 2012, Bloomberg says. Workers, by comparison, earned only about $30,000 a year.

So, like, whatever, right? What's Miley up to? It's tempting to excuse sky-high exec pay as either necessary (to attract top "talent" and because these inequality-era celebs are thought to increase the value of the companies where they exercise said talents) or inconsequential. The Swiss vote, for example, does nothing to increase average worker pay. It aims solely to clip cash from the very top of the economic ladder.

But the pay ratio does matter, for a couple of common-sense reasons.

One is that democracy starts to unravel if a few people become wildly, ethereally successful, while the rest of a country struggles. That was the best argument I heard on a recent phone call with Cedric Wermuth, a Swiss politician who has been one of the earliest proponents of the 1:12 initiative. Wermuth is not arguing for the enforced pay ratio on practical or economic grounds. His is a moral position -- that it is fundamentally unfair for the pay gap to be so wide, and that it allows a few uber-rich people to wield undo influence over society, economics and politics.

"There is a certain threat to democracy," he told me.

RELATED: Is income inequality 'morally wrong'?

Wermuth doesn't expect the 1:12 initiative to pass, but it does have about 35% to 40% support in recent polls, he told me, which is fairly staggering, and indicates people are fed up.

Another argument against sky-high CEO pay is that it's unnecessary. Lynn Stout, a distinguished professor of corporate and business law at Cornell Law School, told me CEO pay has been rising for decades and that the Untied States is, in effect, subsidizing the trend with "unlimited tax deductions" on certain forms of pay.

"I'm a big fan of capitalism," she said. "I love corporations and I love the business world and I think it's done more for peace and prosperity than people may realize. But there are structural reasons to think that executive pay and CEO pay are out of whack."

A $1 million salary worked for American CEOs from the 1930s to 1980s, she said. CEO pay, including options realized that year, jumped about 875%, to $14.1 million, from 1978 to 2012, according to the Economic Policy Institute. That increase, which is calcuated using 2012 dollars, according to EPI, is "more than double stock market growth and substantially greater than the painfully slow 5.4% growth in a typical worker's compensation over the same period."

A 5% increase at the bottom versus 875% at the top.

That's the same, right?

"What we've got is basically an arms race," Stout said, "where the CEOs are competing on pay because they each want to have higher status than the others."

RELATED: Should we vilify the rich?

Finally, all of this is bad business. Peter Drucker, who is recognized as the father of business management, famously said the CEO-to-worker salary ratio should not exceed 20:1, which is what existed in the United States in 1965, according to the Economic Policy Institute. Beyond that, managers will see an increase in "resentment and falling morale," Drucker once wrote, according to a blog post by The Drucker Institute.

That resentment is behind both the Occupy movement and the Swiss vote.

So the question to me is not if we should do something about outlandish executive pay, but what, exactly. The 1:12 ratio would be unlikely to gain any traction in the Untied States, said Mark Borges, principal at Compensia, a company that does consulting on executive pay issues. He called the measure, which, according to Wermuth, includes stock options and other non-salary forms of pay, "potentially draconian" and said most ratios between CEO and worker pay he hears discussed deal with three-digit numbers. Twelve is a shock, I'll agree, and it's probably too extreme for the United States.

It's clear, however, that the ways America has been trying to curb executive pay are not working -- perhaps because they're too convoluted and lack teeth. Shareholders get to vote on executive pay in the United States, for example, but their decisions aren't binding. Loopholes let CEOs dodge taxes on their income. And the Securities and Exchange Commission currently is asking for public comment on a proposal that would require companies to disclose the ratio of their CEO's pay to the median income of workers. (Tell them what you think of that here). But, according to some news reports, the metrics are so loosey-goosey it will be difficult to compare one company to another.

That's still just a disclosure.

Maybe we need an enforceable ratio. Something simple and real.

The best idea I've heard comes from Stout, the Cornell professor. She has suggested making CEO pay non-deductible when it's higher than 100 times the minimum wage.

I might take it one step further: Perhaps the United States should cap CEO pay at 100 times the minimum wage, combining Stout's idea with the Swiss proposal.

It's just an idea, and it should be vetted by economists and the public. But, to me, that's the point. These are concepts that should be on the table in the United States. It's ridiculous that SEC attempts to make CEO pay ratios transparent are controversial in the business community. The conversation needs to move forward.

Limiting CEO pay to 100 times the minimum wage would still allow top execs to be millionaires -- they'd earn a maximum wage of about $1.5 million per year, given the current federal minimum of $7.25 an hour, figured for a 40-hour work week. And here's the best part: If the fat cats wanted a pay increase, maybe the best way for them to get it would be to throw political weight behind a campaign to boost the minimum wage.

That's a reform simple enough to make a difference.

@highlight

Switzerland will vote on a 1:12 executive-to-worker pay ratio

@highlight

John Sutter: The U.S. should consider a similar proposal

@highlight

He says such a ratio could curb income inequality and sky-high CEO pay

@highlight

Sutter: Executive pay skyrocketed over decades while worker pay stagnated