(CNN) -- President Barack Obama said Friday that children from communities wracked by poverty and violence need help from the government, schools, family and clergy to have a chance to climb "ladders of opportunity" to reach the middle class and beyond.

Speaking at a Chicago high school near where he used to live, Obama cited gun violence that killed 443 people in the city last year as one reason why children need community wide support to help them believe they can improve their lives through education and hard work.

"In too many neighborhoods today, whether here in Chicago or the farthest reaches of rural America, it can feel like, for a lot of young people, the future only extends to the next street corner or the outskirts of town," he said, adding "that no matter how much you work or how hard you try, your destiny was determined the moment you were born."

Making his third campaign-style appearance in three days, Obama again emphasized proposals from Tuesday's State of the Union address, such as raising the minimum wage to $9 an hour and providing good pre-schooling for every child as necessary to help people better themselves.

The president also called for Congress to vote on a package of gun proposals aimed at decreasing shootings like ones that occur daily on streets and in homes, as well as mass killings in recent months at a school, a movie theater and even a place of worship.

According to the Centers of Disease Control, there were 11,078 homicides by firearm in the United States in 2010, and 7,220 of the victims -- 65% -- were aged 15-34. In addition, 6,151 -- or 56% -- were African American, a demographic that comprises about 13% of the total U.S. population.

"This is not just a gun issue," he continued. "It's also an issue of the kinds of communities that we're building, and for that we all share responsibility as citizens to fix it."

It all starts at home, the president said, calling "strong, stable families" and "loving, supportive parents" the most important ingredients for reducing violence.

Noting he was raised by a single mother, he called for promoting marriage and encouraging fatherhood, saying he wished he had a father around and involved when he was a boy.

"By the way, that's all kinds of parents," he added, drawing applause when he specified "it includes gay or straight parents."

He acknowledged the challenge, saying "it will not be easy, but it can be done."

"No solution we offer will be perfect," he said. "But perfection has never been our goal. Our goal has been to try and make whatever difference we can."

Obama headed to his hometown after a White House ceremony Friday morning to award the Presidential Citizens Medal -- the nation's second-highest civilian honor -- to 18 people. They included posthumous honors for six educators killed along with 20 first-graders in December's Connecticut school massacre.

The president hugged family members of the slain teachers and administrators from Sandy Hook Elementary School in presenting the medals, saying: "We could not be more grateful to your loved ones, who gave everything they had" for the children in their care.

In his remarks later at Chicago's Hyde Park Academy High School, Obama mentioned Hadiya Pendleton, 15, who was killed by gunfire in the city last month after returning from taking part in inaugural activities in Washington.

Pendleton's parents were in the crowd Friday, just as they were at the State of the Union as guests of first lady Michelle Obama, who attended Hadiya's funeral.

The president said his package of gun measures was intended to save young lives and that "they deserve a vote," repeating the phrase a few times as he did in Tuesday's address at the Capitol.

Chicago's record murder rate: Don't blame guns alone

Fierce opposition by the National Rifle Association makes passage of any significant gun legislation uncertain. In response to Obama's State of the Union address, the NRA has sought to discredit the motives and impacts of legislation proposed by the president and Democrats.

"They only care about their decades-old gun control agenda â€” ban every gun they can, tax every gun sold and register every gun owner," NRA chief executive Wayne LaPierre said in a statement on Thursday. "This president has taken the art of public deception and manipulation to a whole new level."

Obama seeks an updated version of the 1994 assault weapons ban, which expired in 2004, that would prevent the manufacture and sale of some semi-automatic rifles modeled after fully automatic assault weapons.

Obama's emotional plea might lead to vote on guns

He also proposes limiting ammunition magazines to 10 rounds, expanding background checks to all gun transactions, including sales at gun shows. In addition, the president wants Congress to take steps to better screen people with mental illnesses, so they cannot obtain weapons.

Legislation proposed so far also would crack down on so-called straw purchases, in which a legal buyer purchases weapons for distribution to non-legal buyers.

The NRA and other opponents argue the Democratic proposals are veiled attempts to limit gun ownership and eventually take away weapons, and therefore violate the constitutional right to bear arms.

In particular, opponents contend the proposed ban on semi-automatic rifles focuses on a weapon used in a tiny percentage of killings and other gun violence.

Opinion: Chicago's violence took my dad, friends

Harold Pollack, co-director of the University of Chicago Crime Lab, confirmed on Friday that so-called assault weapons targeted by the proposed ban account for a small fraction of murders in the United States.

However, Pollack said the ban proposed by Obama can help reduce gun violence, especially what he called the psychologically impactful mass shootings such as the Newtown attack in which a lone gunman used a Bushmaster semi-automatic rifle.

The combination of such weapons with high-capacity magazines "facilitates mass homicides," Pollack told CNN, noting that professional criminals generally don't use such rifles that look like military weapons.

"The people who do use these weapons are often the most dangerous or most sociopathic," Pollack said. The Newtown shooter, a 20-year-old man living with his mother, took her legally owned guns and killed her before going to the school to open fire on students and teachers.

New player in gun control ad wars

To Pollack, such a mass killing -- while relatively rare -- "traumatizes communities and the entire society in a way that demands attention."

Studies show that street crime such as shooting deaths cost communities more than lives, Pollack said, citing emergency medical services and criminal investigation as tangible costs along with intangibles such as residents moving away to escape the threat.

Obama also made that point in his remarks on Friday, saying "it's very hard to develop economically if people don't feel safe."

In the aftermath of the Newtown shootings, the NRA called for putting armed guards at every school, rather than seeking to limit the ability of people to obtain weapons. It also wants tougher enforcement of existing gun laws, which Pollack agreed was necessary.

"A lot of the underground gun market could be stopped if we treated guns with the same amount of determination and tools as the drug market," he said.

For example, Pollack noted how committing a crime with a gun brought additional charges, and he called for similar treatment for illegally possessing a firearm.

How we talk about guns in my Chicago classroom

In a Google Hangout online chat on Thursday, a participant asked Obama how renewing the assault weapons ban would help reduce gun violence caused primarily by handguns.

He responded that his proposed package would affect handgun violence through the expanded background checks and cracking down on straw purchases. Renewing the weapons ban focused on what Obama called "weapons of war."

"It's not going to solve every problem," the president continued, noting that some restrictions are already in place.

"We can't purchase a grenade launcher from a store, although there may be some folks who want to buy those," he said. "And the reason is we think on balance, the Second Amendment does not automatically assume that any weapon that's available you can automatically purchase."

NRA: Obama's State of the Union shows true colors on gun violence

CNN's Ashley Killough, Paul Steinhauser and Halimah Abdullah contributed to this report.

@highlight

NEW: President Obama says gun violence harms economic growth

@highlight

He awards Presidential Citizens Medals posthumously to educators killed in Newtown

@highlight

The NRA opposes Obama's gun plan as a step toward unconstitutional restrictions

@highlight

An expert on urban crime says the president's package would help