ATLANTA, Georgia (CNN) -- Researchers at the University of Pennsylvania have zeroed in on a possible marker for ovarian cancer. The discovery of the marker, called TEM1 and found in the blood vessels surrounding the tumor, could lead to new screening and treatment options.

The scientists had found that a particular gene, named TEM1, is over-expressed, or present in abnormally high levels, in the blood vessels feeding some ovarian tumors. "When a patient has a higher level of this gene, it always correlates with decreased survival," lead researcher Chungseng Li, Ph.D. told CNN. "We were looking for [a way] to identify those patients and looking into a therapy against this gene."

Li, a post-doctoral fellow at the University of Pennsylvania's Ovarian Cancer Research Center, presented his findings Tuesday at the American Association for Cancer Research's annual meeting in Philadelphia, Pennsylvania.

George Coukos, M.D., Ph.D., the director of the lab where Li works, calls the discovery important because TEM1 will let researchers and doctors eventually image, or visualize, the cancer "and also target it therapeutically through a TEM1 antibody."

"I think it's very exciting that people are starting to get closer to a test that might be able to be used for screening," says Barbara Goff, M.D., director of gynecologic oncology at the University of Washington School of Medicine. Goff is not connected to Li's study.

"I don't think we're there yet, but I think we can be cautiously optimistic," she says. Goff notes that, like Li's group, other researchers have identified different markers that may be predictive of ovarian cancer, but so far, no prospective studies have been done in humans. Still, she calls the finding "promising."

Ovarian cancer is one of the deadliest cancers in the United States because it is so hard to detect in its early stage, when it is still treatable. It's diagnosed in approximately 20,000 American women each year. The overall five-year survival rate is 46 percent, but jumps up to 93 percent if caught before it has spread; however, only one in five women's cancer is diagnosed at this early stage.

Currently, there is no test to detect ovarian cancer early. "Nothing, except CA-125; it's the only serum marker we have," says Coukos, referring to a blood test that detects a protein often found in high concentrations in tumors. "But it doesn't perform very well: it is not sensitive and not very specific either, so it performs very poorly in terms of early diagnosis of ovarian cancer."

If a screening test is "sensitive," it results in few false negatives; if a test is "specific," it results in few false positives.

Li and his colleagues created the first mouse that expresses human TEM1. They then developed a new way of using PET scans -- a type of detailed medical imaging -- to detect even small numbers of cells that contain TEM1, and used DNA analysis to confirm the results. They found that high levels of TEM1 were linked to decreased survival in ovarian cancer patients. They also found that all 52 samples of ovarian cancer contained TEM1 in the blood vessels, compared with none of the healthy tissue samples. This could one day open the door to a screening test for ovarian cancer, although Li says that is still a long way off.   Also, the research could lead to new treatments. "Future treatments could target the blood vessels containing TEM1, thereby disrupting the blood supply the tumor needs to grow," Li explains.

Li and Coukos hope that their TEM1 findings can be used for detection and treatment of other cancers as well. "TEM1 is over-expressed in a variety of tumors," says Coukos, including breast cancer, colon cancer and glioblastoma.

"I think the biggest problem for screening for ovarian cancer is that it is not a very common disease, only about one out of every 2,500 women gets it," explains Goff. "So it's important, if you have to screen 2,500 women to detect every case of ovarian cancer, that you have a test that is incredibly sensitive and incredibly specific and incredibly inexpensive. Bringing all three of those things together is the real challenge." Read one ovarian cancer patient's blog

Goff developed a "symptom index" -- a set of questions that doctors can ask women (or women ask themselves) to determine who would benefit from having further tests, including a CA-125 test and a trans-vaginal ultrasound.

The symptom index consists of these three questions: Do you have bloating or increased abdominal size? Do you have pelvic or abdominal pain? Do you have eating difficulty, or are you feeling full too quickly?

"Rather than screening the entire population, we only end up screening the 2 percent to 3 percent of the population who test positive on the symptom index, so it makes it potentially much more cost-effective because you do early diagnostic tests on so few people," she says. And while she acknowledges the symptom index can't catch all cases of ovarian cancer, it's better than nothing, which is what is available now.

Goff says that if ovarian cancer is suspected, it is important is to get to the right doctor.

"There have been a number of studies which show that women with ovarian cancer, if they are operated on by a gynecologic cancer specialist, have a substantially better outcome than women who don't," she says. "If you think you have ovarian cancer, make sure you get into the right hands, because if you can't have your cancer diagnosed early, the next most important thing is to get into the hands of the right doctor who'll do the right operation and treat you in the right way."

@highlight

Ovarian cancer is diagnosed in about 20,000 American women each year

@highlight

Researchers found TEM1 in the blood vessels surrounding ovarian tumors

@highlight

Higher levels of TEM1 are linked to decreased survival

@highlight

The new finding could possibly lead to screening test, treatment option