Misogyny is so deeply rooted in India's collective psychology that even the president's son -- in this case, Congress Parliament member Abhijit Mukherjee -- could entangle himself with a remark against women protesting gang rape.

He called them "dented and painted women" who go to discos, have little connection with ground realities and are making candlelight vigils fashionable.

After an enormous backlash, he apologized and retracted his comments, but many are not satisfied and want his resignation

Misogyny has long permeated our textbooks, our pedagogy and our parenting. In fact, it runs so deep that it reflects itself even in our linguistics. The Hindi phrase most commonly used to describe sexual violence or rape against women is "izzat lootna," which means "to steal the honor of." Another Hindi word used for rape, "balatkar" (or "bad act"), is considered so erudite and technical that it's barely ever used. (Its English equivalent would be "coitus" instead of "sex.")

So, for the most part, we're stuck with "izzat lootna" -- and the necessary question: Why should a rapist be given so much credit? Rape is a criminal act of force and perverse subjugation. When a woman is raped, her most fundamental rights as a human being are violated.

Yet, she is just as honorable as she ever was. Honor cannot be stolen. It can only be surrendered. Surely in the act of rape, it is the perpetrator, not the victim, who surrenders honor.

The brave girl from Delhi died with her honor intact. Her rapists will live in ignominy.

Unfortunately, in India rape is inextricably linked by men -- and women -- to shame: the ultimate desecration. Many victims are murdered by their rapists or choose to commit suicide. It is also not uncommon for the parents of rape victims to kill themselves. Thus, most victims don't speak up about what happened to them, lest their families be ostracized, lest they never find a husband or be shunned by their friends.

About 10 months ago, I was offered a role of a young, urban woman who gets gang raped. The film explores how she chooses to deal with what happens to her. It is a very powerful script, and most of me wanted to accept the role immediately. But a gnawing part of me worried about how I'd be perceived by the general public were I to perform this role.

Female sexuality in Hindi cinema is extremely fraught, especially because audiences seem unable to comprehend the distinction between what a role demands from an actor and that person's conduct offscreen.

In the script the woman is attractive, confident and self aware; she'd had several consensual relationships with men and enjoyed her sexuality. Truth be told, her character is not far from me in real life. Still, in patriarchal, judgmental, misogynistic Indian society, these are labels most women are afraid to carry publicly. On top of this, the character gets raped.

I was afraid to accept the role. Afraid of whether audiences and the media would think I was promiscuous, desecrated. Embarrassed at the prospect of saying I'm doing a film in which I get raped, lest aspersions be cast on my character.

There lay, in my own mind, the seeds of the same misogyny that makes Mr. Mukherjee's remarks in the wake of the student's gang rape so deplorable. Seeds I had to uproot at once. I accepted the role.

At the time I was offered the film, rape wasn't getting the sort of national attention it is getting right now. It was still a topic that made most people uncomfortable, a topic that women and men alike were not able to freely express their opinions on.

That India's young public is today demanding so vocally the need to address the way we view sexuality and gender equality is empowering. People are sharing their own experiences of sexual violence on blogs and social media. Men and women are collaborating to seek legal reform, to challenge the societal perceptions they have been force-fed.

We now understand that to remain silent bystanders of a crime is to collude with the criminal. It is clear to me that as actors, filmmakers, artists, journalists, activists -- people who use a medium that has the potential to reach so many minds -- it is our responsibility to educate and mobilize, while we entertain.

For the last 10 months, as we have been rehearsing and shooting, the subject of rape has been my foremost preoccupation. Two points have struck me in particular: First, the director, who is also the scriptwriter, is male. His co-writer, the music composer, is also male. These two artists, Tarun Chopra and Daboo Malik, chose to champion a cause that almost always gets packaged as a women's issue.

In India, sexual violence is perpetrated almost entirely by men. Rapists are male. Should men not feel responsible then to prevent the occurrence of this crime? Shouldn't men be disturbed that their mothers, sisters, wives and daughters constantly feel unsafe or feel they have to dress and behave in a particular way to avoid getting raped? Isn't it time men educated other men about consent?

Secondly, and this point took me longer to acknowledge, women are as guilty as men for the mindset that breeds the crime. We kill our own infant daughters, we immolate our sons' wives if they bear female children, we disapprove of women who make an effort to be attractive -- and doubt their character. We still look at marriage as if it's the purpose for which we were born.

But misogyny is no longer misogyny when expressed by a woman. It's self-loathing.

And while it is easy -- and justified -- for women to point fingers at men for the chauvinism in our society, don't we owe it to ourselves to look within?

Join us on Facebook/CNNOpinion

@highlight

President's son faces backlash after "dented and painted women" comment

@highlight

Hindi phrase "Izzat lootna," used to describe rape, means "to steal the honor of"

@highlight

Mangaldas: "Why should a rapist be given so much credit" for criminal, perverse act?

@highlight

New Delhi woman dies with honor intact; her rapists will live in ignominy, Mangaldas writes