Editor's note: Douglas W. Blayney, MD, is president of the American Society of Clinical Oncology and professor of internal medicine at the University of Michigan. He specializes in the treatment of breast cancer and lymphoma and was in private practice for 17 years in California. Brenda Nevidjon, RN, is president of the Oncology Nursing Society and clinical professor of nursing at Duke University School of Nursing. She was the first nurse and first woman to be chief operating officer of Duke University Hospital.

Douglas Blayney says a health care bill provision on end-of-life care has been completely misconstrued.

(CNN) -- The heated national debate on health care reform has taken an unusual turn, with many eyes focused on a minor provision regarding end-of-life care embedded in the House bill.

The measure provides coverage for Medicare beneficiaries who elect to meet with their medical team once every five years to discuss options for treatment if they become seriously ill. It's called end-of-life care or advance care planning.

Some opponents of the House bill have expended great energy and resources in recent weeks to convince seniors that this provision will somehow result in government-sponsored euthanasia.

We have seen the volatile response to these allegations at town hall meetings across the country.

This argument is completely false. This provision simply provides for Medicare to pay for voluntary conversations between patients and their health care practitioners on the difficult but important subject of planning for care at the end of life.

The provision is purely optional, and patients would be able to choose whether to discuss the issue with their practitioners. For those who decide to do so, there would be clear benefits.

These discussions can include where a person wants to receive care and how physical needs, including pain, are to be managed. The merits of broader health care reform legislation aside, there should be no controversy about the benefits of end-of-life care planning discussions. According to a 2008 study in the Journal of the American Medical Association, these discussions have been proven to improve patient care and quality of life.

Confronting the prospect of death isn't easy for anyone. So perhaps it's no surprise that few people talk with their doctors, nurses or loved ones about their wishes for end-of-life care. Surveys show that only 13 percent of Americans have established a living will laying out their desires for treatment near death, and shared it with their medical teams.

We discuss end-of-life care with patients to fulfill our commitment to them throughout the course of their care. When a disease cannot be cured, we can assure our patients that we can make them comfortable in their last days. When these conversations are done in advance and done well, everyone benefits -- patients, families and all members of our care teams.

As practitioners, we know from experience that discussions with patients in the end stages of their cancers and with their family members may be long and emotional, but ultimately lead to end-of-life care centered on the patient's wishes. We have seen many patients who were well-cared-for by their families, with professional help, and were comfortable in their surroundings.

We know, through research and through our own experience, that patients who have discussed end-of-life care make better-informed treatment decisions, experience less pain and depression, and fare better overall. iReport.com: Share your hopes for health care reform

At some point, we all will need to make decisions about care at the end of life. Whether ill or not, every American should think ahead about the kind of treatment they want, discuss their desires with their loved ones and their doctors and nurses, and develop living wills to document their wishes.

A new Medicare benefit that acknowledges the value of end-of-life conversations between health care practitioners and patients is long overdue and should be included in any health care reform bill. It is good medicine and improves the lives of patients -- exactly what policymakers say they are looking for in health care reform. More importantly, it would help all Americans live their final days with dignity and in accord with their own wishes.

The opinions expressed in this commentary are solely those of Douglas W. Blayney and Brenda Nevidjon.

@highlight

Blayney, Nevidjon: Health care debate has focused on a minor provision

@highlight

They say idea that government would engage in euthanasia is false

@highlight

They say bill only provides payment for optional discussions on end-of-life care

@highlight

Blayney, Nevidjon: Research shows benefits of advance planning