Falls Church, Virginia (CNN) -- It's a Tuesday night at Nell and Matt Dillard's suburban Washington home, and the family of four is watching "Glee," a scripted Fox television program.

Ninety seconds into the comedy, one of the teenage female characters makes mention of Asian men and their sexual prowess. Nell Dillard immediately looks over at her 13- and 11-year-old boys watching next to her, but she sees no immediate reaction they have gotten the veiled sexually suggestive "joke."

"What's up with that," says father Matt Dillard, shaking his head at what he's just heard. "Why throw that in this show?"

Such are challenges many families face when trying to control the video material their children receive from a range of content providers: TV, radio, Internet, mobile devices, and interactive video games.

Now the Supreme Court is poised to take a fresh look at a key aspect of multimedia regulation -- "indecent" material aired on the broadcast networks during the supposedly "family friendly" prime-time hours of 8 to 10 p.m. Oral arguments in this key free-speech dispute will be held Tuesday.

At issue is whether the Federal Communications Commission may constitutionally enforce its policies on "fleeting expletives" and scenes of nudity on prime-time television programs, both live and scripted. The agency had imposed hefty fines on broadcasters for separate incidents. An expected ruling by summer could establish important First Amendment guidelines over expressive content on the airwaves.

A range of competing interests are at stake: Free speech versus censorship; regulation versus responsibility; art versus indecency.

For the Dillards, the specific questions raised by this appeal are just the tip of digital iceberg.

"It's not (like) when we were kids, when there was three networks and PBS," Matt Dillard told CNN one recent evening. "We've had to do the controlling over anything coming over a screen -- a TV screen, computer screen, telephone screen -- anything where there is video content or streaming. We lump all that together. ...

"It feels like the Wild West out there, where there is no rating system. We're not asking for a clampdown on free speech. They (media) have every right to that. We're just looking for the tools to help us make the best decisions for our kids."

The Case

ABC, CBS, NBC and Fox are all parties in the case challenging the FCC regulations. A federal appeals court in 2010 for a second time struck down the government's policies, concluding they were vague and inconsistently applied. Pending fines against the broadcasters were dismissed. The government then appealed to the high court.

Controversial words and images have been aired in scripted and unscripted instances on all the major over-the-air networks during the past decade, when the FCC began considering a stronger, no-tolerance policy.

The changes became known as the Golden Globes rule, for singer Bono's 2003 acceptance speech at the live awards show on NBC, where he uttered the phrase "Really, really, f---ing brilliant."

The commission specifically cited celebrities Cher and Nicole Richie for potty-mouth language in the 2002 and 2003 Billboard Music Awards, which aired live on Fox. Richie, in an apparent scripted moment said, "Have you ever tried to get cow s--t out of a Prada purse? It's not so f---ing simple."

The complaint against ABC involved "NYPD Blue," a scripted police drama, and the CBS complaint involved "The Early Show," a news and interview program.

The high court two years ago ruled in favor of the FCC on the issue of "fleeting expletives," concluding federal regulators have the authority to clamp down on broadcast TV networks airing isolated cases of profanity.

The court, however, refused at the time to decide whether the commission's policy violated the First Amendment guarantee of free speech, ruling only on its enforcement power. The justices ordered the free-speech aspect to be reviewed again by a New York-based federal appeals court, which subsequently ruled in favor of the broadcasters.

The nine-member bench is now ready to take a broader look at the questions presented. In fact, the government helpfully sent to each justice a DVD copy of the "NYPD Blue" nudity scene. There has been no word on whether they have watched it.

The Justice Department, in its new appeal, lumped both the expletives and nudity cases together, saying the court should decide the free speech questions as one.

Explicit language is heard with greater, albeit varying, frequency on cable television, the Internet, and satellite radio, which do not use public airwaves. But the federal government is charged with responding to viewer complaints when "indecent" language and images reach broadcast television and radio, which is subject to greater regulation.

That is especially relevant during daytime and early evening hours, when larger numbers of families and younger viewers may be watching.

The FCC formally reversed its policy in March 2004 to declare even a single use of an expletive could be illegal. In response, a voluntary rating system used by all television networks was revised to warn viewers when material that might be offensive will be aired.

The Arguments

Family rights groups say the TV networks and their cable cousins need to be sent a strong message.

"You turn on television today, and the amount of bleeps of profane words, almost sounds like a Morse code signal. There hardly are any safe harbors today, on broadcast television, for children and families," said Tim Winter, president of the Parents Television Council, which helps families make "informed television viewing decisions."

"How does more shock, more f-bombs, more indecency serve the public interest, especially when they know children are watching," he said.

But the networks and their programming partners worry the FCC policies are "chilling" their speech, forcing them to make creative compromises, for fear of sanction.

"When preparing scripts or song lyrics, they now have to concern themselves with whether something can get airplay, whether their best lines can make it on the screen. That inhibits artistic creativity," said Andrew Jay Schwartzman, who heads the Media Access Project, a law firm representing actors, producers, writers and musicians. "The FCC's attempt to broaden its scope has created uncertainty, has created circumstances that force broadcasters to censor themselves needlessly and at the expense of the First Amendment.

Time Warner -- the parent company of CNN -- filed a supporting amicus brief in the high court dispute two years ago. The company is part owner of the CW broadcast network and operates several cable networks.

The Stakes

For families like the Dillards, there are no easy answers. Nell and Matt admit they sometimes disagree on what their boys should be watching.

"He, as a typical guy, may think it's OK -- some of the potty humor and guy humor -- that I think they don't need to be exposed to quite yet," Nell said about certain shows.

Matt adds, "We do have blockers in place that prevent the worst cases, but there are ways to get around that, from the kids' perspective and by the content providers." The couple says parental controls and program ratings are not tools that are comfortably reliable and dependable.

The Dillards say they maintain ultimate responsibility, but appreciate the fact the government maintains some regulatory control over broadcasts, supplementing their own monitoring.

"It's a business and they (broadcast networks) want advertisers and viewers. They have these cable stations they're competing with, so I think they're are going to push it as far as they can," Nell said. "If you expect a show is going to be rated TV-14, you want to know there is an institution standing there to make sure the network will provide that kind of show, and if they don't, then the FCC can come in and do what they do."

But, she admits, "It's hard for us sometimes, and you find you're sort of giving in a little bit with each time you let them (the children) watch something a little different."

The case is Federal Communications Commission v. Fox Television Stations Inc. (10-1293).

@highlight

Parents face more challenges when trying to control what children see on TV

@highlight

The Supreme Court is poised to look at "indecent" material aired from 8 to 10 p.m.

@highlight

Among the issues: Free speech versus censorship; art versus indecency