(CNN) -- In many parts of the world, being born a girl means being born without rights.

A girl born today in Egypt has a 91% chance of undergoing female genital mutilation (FGM) by the time she reaches puberty, according to the World Health Organization. She has a 22% chance of being married by the time she is 18 and a 99% chance of experiencing sexual violence at some point in her lifetime.

In Afghanistan, according to the sharia law in that country, a girl is legally allowed to marry when she is 15, while 12% of girls aged 15-19 bear children, according to a 2010 survey used by Human Rights Watch. If she is lucky, she might be the one in five girls today in Afghanistan who learns to read.

Even if she receives an education, she may become one of the 87% of women to experience violence, according to Oxfam.

Female genital mutilation (FGM), child marriage, child pregnancy, sexual violence, and the exclusion of girls from education are consequences of the violence and oppression institutionalized and maintained by the so-called "honor system."

For girls raised in these societies, their sexual purity and obedience to a set of pre-determined norms is viewed as the yard stick of a family's honor and status.

As girls, they are inherently valued as less than boys. Men can beat, torture, maim, rape and exclude them from all decisions with impunity.

Too often, girls' bodies are the property of their male guardians. Their brains and creativity are valueless. And their choices are irrelevant.

These are not aberrant instances; they are realities widely-accepted and legally mandated in honor-based societies in the Middle East, Africa, and Southeast Asia. Shariah law in many countries institutionalizes girls' oppression, legalizing and enforcing the honor system.

But even in societies without shariah law, such as the United States, girls and women are at risk of gender-based violence such as FGM.

Up to 200,000 girls in America are at risk of being torn and mutilated as a result of FGM -- even though it has been illegal since 1996. Young girls are sometimes taken abroad by their families on "cutting vacations" to have the procedure performed.

In July, President Obama said: "...there's no excuse...Female genital mutilation -- I'm sorry, I don't consider that a tradition worth hanging on to. I think that's a tradition that is barbaric and should be eliminated. Violence towards women -- I don't care for that tradition. I'm not interested in it. It needs to be eliminated."

The President is correct. Culture is no excuse for abuse of girls and women. He is also correct when he said: "One of the single-best measures of whether a country succeeds or not is how it treats its women."

The U.S. government recently initiated an inquiry into FGM in the United States. This is a positive step, although the U.S. woefully lags behind its European counterparts.

UK Prime Minister David Cameron has exhibited leadership in trying to end FGM in his country and globally by hosting his recent Girl Summit and by engaging the UK Border Patrol to prevent parents from taking girls overseas to be cut.

This is an effective practice that will hopefully inspire similar action in the United States.

Fortunately, the global community understands the need to end the abuse of women and especially girls. In 2011 the United Nations declared October 11 the International Day of the Girl Child. This year's theme is "Empowering Adolescent Girls: Ending the Cycle of Violence."

The lead agency for the day, UNICEF, released a concept note to address its policy recommendations for eradicating violence against adolescent girls. These include:

These are all commendable ideas to empower and educate girls, and they are essential.

However, these recommendations fail to acknowledge or address the root cause of violence affecting hundreds of millions of girls: the "honor system".

Technical training will not prevent a girl's father from selling her to a much older man.

Additional data collection will not stop a girl's clitoris from being removed.

Advocacy without action will fall on deaf ears.

UNICEF and other U.N. agencies, in addition to governments around the world, must condemn the legal frameworks which institutionalize and perpetuate violence against girls.

All of us have a role in informing policy and getting the right issues on the table.

We can tweet at U.N. agencies and officials creating the global policy and write to our local representatives urging them to guarantee that women's rights is always part of the conversation with countries that oppress women.

At the community level, we can encourage existing women's and girls' agencies to invest in resources and outlets for victims of honor-based violence.

If at least 200,000 girls are at risk of FGM in the U.S., chances are that one of them lives in your community.

Are the teachers, social workers, and doctors in your area prepared to help her?

Statistics are ever-changing. It is impossible to know definitively whether a girl born this very moment will have the same chances as her older sister, her aunt, or her mom.

But something is certain. If we do not courageously speak out and demand change, we will know what that girl's future will look like -- and it is very bleak.

@highlight

Many girls around the world have no protection from being raped and maimed by men

@highlight

Some governments are taking action, but more needs doing, says Kweskin

@highlight

Individuals must lobby politicians to condemn so-called "honor systems" and countries that perpetuate them, says Kweskin

@highlight

October 11 is the U.N.'s International Day of the Girl Child