(CNN) -- Tamara Rojo is so often described as the greatest dance actress of her generation, it might possibly be true.

Prima ballerina with London's prestigious Royal Ballet for over a decade, the Spaniard's presence on a cast list is guaranteed to fill any theater in London, New York or Paris.

Her graceful adagio combinations and perfectly formed arabesques may have wowed audiences across the globe, but how would the 37-year-old fare when parachuted into a dance culture she'd never encountered?

This was the challenge for Rojo's "Fusion Journey." Over the course of 10 days, the classically trained ballerina traveled from London to Beijing to immerse herself in the traditions of Chinese dance and create a brand-new piece inspired by this meeting of east and west.

Guided on her trip by a local rising star of Chinese contemporary dance, 34-year-old choreographer Fei Bo, Rojo said the experience will change how she thinks about performance forever.

In her own words, this is the story of her journey.

Tamara Rojo: Ballet affects everything I do. On a physical level it impacts what I eat and drink, how much I sleep, when I go out. But it also affects how I see the world. When I read a book, watch television, go to the theater, I think to myself: "How can I assimilate that into my art form? How would that be translated on the stage into a ballet?"

This is one of the reasons why the thought of traveling to Beijing was so exciting for me. Classic ballet is based on very particular notions of beauty, much of which is derived from the Greek concept of harmony: Nothing too much or too little, all in perfect proportion, everything in a good relation to everything else.

See also: See Beijing's hidden culture, before the bulldozers get there

But of course, other art forms and cultures have quite different notions of beauty. The first thing I noticed about the Chinese ballet is that it is much more influenced by philosophy than physicality -- there was a lot more emphasis on meaning.

These ideas are typically expressed with little gestures of the hand or head. Such movements might not be the most beautiful to my eye, but because they have a shared cultural meaning -- a meaning that is understood by onlookers because it is part of their tradition -- it's beautiful to them.

One of the main challenges I experienced out there was trying to understand this complicated and subtle language. While I could always admire Chinese and Asian dance from a distance, I felt that I could never really understand the depth of meaning -- and everything that comes with it -- until immersing myself in the culture first hand.

I discovered that Chinese ballet is a relatively young art form. It was introduced by Madam Mao during the Cultural Revolution (1966-76) and, until recently, it was used as a form of propaganda for the communist regime -- with communist heroines being saved by communist heroes and so on.

But that part of history is viewed with mistrust by the younger generation, so at the moment ballet is going through a sort of reinvention. What's really surprising is that the youth of China are now obsessed with incorporating traditions from before the revolution.

Unfortunately, a lot of that has been lost, and when they can't find what they're looking for, they invent it. So what they call classical Chinese dance is really only 10 or 20 years old and has bits of traditional ballet, a little bit of Kung Fu, a bit of contemporary dance, a bit of everything.

After a mere two days immersed in Chinese culture, Fei Bo and I combined our influences from east and west to create something new: a fusion of dancing cultures.

See also: Keeping the world's greatest dancers on their toes

The piece was choreographed by Fei Bo. He wanted to create something about a philosopher who had a dream and when he woke up he wasn't sure what reality was anymore.

And then I remembered a very famous Spanish play by Pedro Calderon de la Barca called " La Vida es Sueno" which means "Life is a Dream."

And it was funny that exactly the same saying exists in Chinese, in Spanish and in English, so we thought that it was the perfect fusion, the perfect combination of cultures for the title.

While the choreography was made by Fei Bo, the interpretation was made by me. Imagine a performance of Hamlet by a Chinese theater company; the actors would interpret the text through their traditions and what they know acting is supposed to be, but those words are still, of course, intrinsically English. So, in a sense, it wouldn't be English and it wouldn't be Chinese.

My performance of "Life is a Dream" is just the same. I was doing steps created by a Chinese contemporary choreographer and I am a classically trained European dancer, so my interpretation is where the fusion occurred.

I'm not going to pretend that in one week I understand all the depth of Chinese culture or that I can really move my hands like a traditional Chinese dancer -- that would be naÃ¯ve and arrogant of me.

However, I found that the need for human beings to understand the world through art and story telling is universal; we just have different vocabularies. I like to think that, in the future, my own performances will be enriched by new ways of communicating.

@highlight

Royal Ballet principal ballerina Tamara Rojo travels to Beijing to create dance fusion

@highlight

On journey Rojo seeks to understand different cultural notions of beauty

@highlight

She explains how her interpretation of Chinese dance creates synthesis of east and west