(CNN) -- Foreign diplomatic missions in North Korea face an ominous decision after Pyongyang said Friday it could not guarantee the safety of embassies and international organizations in the event of armed conflict.

Tensions on the Korean peninsula remain in a heightened state amid new reports that North Korea has prepared missiles for launch, while South Korea has deployed naval destroyers to its coasts.

The British Foreign Office said North Korea told British officials that it would not be able to guarantee the safety of diplomats in the capital if fighting breaks out.

Several diplomatic missions said the North Koreans held a meeting Friday for ambassadors in which they asked whether anyone needed assistance in evacuating their personnel.

"We are consulting international partners about these developments," the British Foreign Office said in a written statement. "No decisions have been taken, and we have no immediate plans to withdraw our embassy."

A spokesman for Sweden's ministry of foreign affairs said the North Koreans "did not urge us or ask us to evacuate," but offered assistance for those who wanted to leave.

The Swedish Embassy in North Korea acts "as the United States' interim protecting power and provides basic consular services to U.S. citizens traveling in North Korea," according to the U.S. State Department.

The Swedish Embassy remains open and operational, the spokesman said.

Russian state media reported a more specific suggestion for its diplomats.

North Korea asked the Russian Embassy to consider a possible evacuation of its staff because of the tensions, Denis Samsonov, spokesman for the embassy, told Russian state media.

France's foreign ministry state it was taking the situation "seriously." It said it had no current plans for evacuations of personnel or French nationals in the country.

The developments come as two medium-range missiles have been loaded onto mobile launchers on the East coast of North Korea, a U.S. official told CNN on Friday. A second U.S. official said intelligence on that is not definitive.

The account followed a report by South Korea's semi-official Yonhap news agency, citing military sources in Seoul, that the two missiles were ready to be launched. Yonhap said the missiles have been hidden in an unidentified facility.

In response, South Korea has sent Aegis destroyers equipped with advanced radar systems to both of its coasts, Yonhap said, citing navy sources.

The United States would "not be surprised" if North Korea launched a missile, White House spokesman Jay Carney said Friday. "We have seen them launch missiles in the past and the United Nations Security Council has repeatedly condemned them as violations of the North's obligations under numerous Security Council resolutions."

New regional tensions were triggered by North Korean saber rattling, including threats to launch nuclear strikes, and the flexing of military prowess by the United States and South Korea in response.

These followed the imposition of stepped up U.N. sanctions against the North after its latest nuclear test in February.

North Korea has also said it planned to restart "without delay" a reactor at its main nuclear complex that it shut down five years ago as part of a deal with the United States, China and four other nations.

Most observers say the North is still years away from having the technology to deliver a nuclear warhead on a missile.

And many analysts say the increasingly belligerent talk is aimed at cementing the domestic authority of North Korean leader Kim Jong Un.

A U.S. State Department spokeswoman said Thursday the situation did "not need to get hotter," reflecting efforts by the Obama administration to ease its rhetoric and cool tensions.

But the latest developments by North Korea, which has accused the United States of pushing the region to the "brink of war," could signal a missile launch soon, officials have said.

The missile components, U.S. and South Korean officials have said, are consistent with those of a Musudan missile, which has a 2,500-mile range, meaning it could threaten South Korea, Japan and Southeast Asia.

U.S. reducing rhetoric that feeds North Korean rhetoric

It is believed a missile launch would be a "test" launch rather than a targeted strike.

That is because it appears the North Koreans have only moved the components so far. The United States is waiting to see whether North Korea issues a customary notice to its airmen and mariners to stay out of the region.

Communication intercepts in recent days also seem to show that Pyongyang might be planning to launch a mobile ballistic missile in the coming days or weeks, another U.S. official said.

Key dates in U.S. military moves near North Korea

Wednesday, the United States announced it was sending ballistic missile defenses to Guam, a Western Pacific territory that is home to U.S. naval and air bases. North Korea has cited those bases when listing possible targets for missile attacks.

North Korea: Our global fear and fascination

Pentagon officials, while decrying North Korean rhetoric, said recent announcements of U.S. military deployments in response to belligerent statements by Pyongyang may have contributed to the escalating tensions.

As the bombast reaches a fever pitch, the United States is refining its message. The Pentagon now says it is working to decrease the temperature as it maintains a frank and vigilant stance toward the threats.

Photos: Painting a picture of North Korea

Starting Wednesday, North Korea also barred South Korean workers and managers from entering the Kaesong industrial complex, an economic cooperation zone that sits on the North's side of the border but houses operations of scores of South Korean companies.

It also repeated a threat from the weekend to shut down the complex, where more than 50,000 North Koreans work.

CNN's Jethro Mullen reported and wrote from Hong Kong. CNN's Barbara Starr reported from Washington. CNN's Laura Smith-Spark wrote in London. CNN's Kyung Lah, Judy Kwon and K.J. Kwon contributed in Seoul; Per Nyberg in London; Tim Schwarz in Hong Kong; Joe Sterling and Henry Shirley in Atlanta; Elise Labott and Tom Cohen in Washington.

@highlight

NEW: France does not plan to evacuate staff

@highlight

A U.S. official confirms reports that North Korea has loaded a pair of missiles into launchers

@highlight

Communications suggest a North Korea missile launch is a possibility, a U.S. official says

@highlight

State Department: "This does not need to get hotter"