Princeton, New Jersey (CNN) -- President Obama has recently blasted the influx of money from undisclosed donors flowing into the midterm campaigns. He repeated a claim, which major media outlets have not been able to substantiate, that foreign funds may have been used in the United States.

At a recent rally in Philadelphia, Pennsylvania, the president said "American people deserve to know who is trying to sway their elections."

"You don't know: It could be the oil industry. It could even be foreign-owned corporations. You don't know because they don't have to disclose."

In making these attacks Obama is returning to a central theme that animated his 2008 campaign: the need to change the campaign finance system. As a candidate, Obama railed against the way that money influenced politics. He reiterated a long-standing theme of reform-candidates that unless the political process changed, policies would remain the same and Americans would never gain confidence in their government.

But Obama broke from these principles almost as soon as he made the argument. During the campaign, Obama disappointed many campaign reform advocates when he announced that he would not use public funds in the general election campaign so that he could raise an unlimited amount of money in his race against Sen. John McCain.

In 2004, President George W. Bush and Sen. John Kerry dealt a blow to the public finance system when they didn't use public funds in their primary election campaigns. But Obama took this decision a step further, rendering one of the more successful Watergate-era reforms ineffective.

Ironically, when he announced his decision he said, "If we don't stand together, the broken system we have now, a system where special interests drown out the voices of the American people will continue to erode our politics and prevent the possibility of real change. That's why we must act. The stakes are higher than ever, and people are counting on us." His campaign then raised an unprecedented amount of money, much of which came from large donors.

After starting his presidency, Obama showed minimal interest in reform. He left the "broken system" alone. Obama shelved substantive campaign reform proposals as he turned his attention to the economic crisis, health care reform and the wars in Afghanistan and Iraq.

Obama's actions followed a pattern of candidates running on campaign finance reform as an issue, then putting it aside once they get into office. Who wants to anger powerful interest groups and donors right before taking on their policy agenda?

The president's plate, moreover, was so full from day one that it was a lot to ask him to take on something as charged as campaign finance. Nonetheless, at the moment when the president arguably had the most political capital to move forward with an issue as difficult as campaign finance reform, Obama succumbed to these familiar and predictable fears.

There have been a few exceptional moments when presidents acted differently. In 1978, for instance, President Jimmy Carter followed through on his promise to try to clean up government in the wake of Watergate. He supported legislation that created stricter ethics rules for executive branch officials and established the Office of the Independent Counsel to investigate alleged corruption.

While the reforms turned out to be flawed and produced numerous unintended consequences, Carter's actual choice in 1978 marked an unusual moment when a president took reform seriously. Carter's reform built on the historic campaign finance reforms that Congress passed in 1974.

Not only did Obama downplay campaign finance reform, but he subsequently embraced a legislative strategy that depended on cutting deals with powerful interest groups such as the pharmaceutical industry so that lobbyists would "buy into" legislation rather than oppose it. The strategy worked politically with health care reform although, according to Ryan Lizza's recent account in The New Yorker, it weakened the chances for passing climate change legislation through the Senate.

The Supreme Court's Citizen United decision was certainly damaging to reform efforts. So too were many other factors, such as Federal Election Commission decisions and tax laws that have allowed donors to contribute large amounts of funds without disclosure.

President Obama, however, certainly shouldn't claim to be an innocent bystander. While he has pushed for significant lobbying and transparency reforms, the major reform groups concluded in January 2010 that the "Obama administration has not pursued public policy reforms in the campaign finance area."

Both parties have stood silent as the nation's campaign finance system erodes. At best they have supported relatively mild reforms like the McCain-Feingold legislation, that have left huge holes for money to flow into the system -- and which was weakened by another Supreme Court decision in 2006. According to Craig Holman of the nonprofit group Public Citizen, "This is a low point for the campaign finance reform movement -- I've never seen it lower."

This a difficult challenge given that the conservative majority on the Supreme Court is clearly hostile toward reform. But the president and Congress must consider stronger regulatory mechanisms and the possibility of restoring a system of public finance for campaigns.

Until presidents and congressional leaders decide to make campaign finance reform a priority issue the relationship between money and politics won't change. This is unfortunate since the way that politics works profoundly influences the type of policies that government can produce.

The power of money in politics was there for all to see when interest groups were able to gut key cost control measures during the health care debate.

Like most presidents before him, both Democrats and Republicans, Obama is now witnessing the consequences of accepting the status quo, and the flow of money is only likely to grow. As Jan Baran, a former general counsel for the Republican National Committee told The New York Times, "This year is practice for 2012."

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

President Obama is criticizing influx of campaign money from undisclosed donors

@highlight

Julian Zelizer says Obama campaigned in 2008 for finance reform

@highlight

Once in office, president dropped the issue to focus on other things, Zelizer says

@highlight

Obama chose to live within existing system rather than reform it, he says