(CNN) -- They're among the rarest instruments in the world, but they'll be discarded come spring.

They're so fragile even the players' breath risks nudging them out of tune.

Turn up the temperature in the concert hall and you'd have, not a finely chiseled viola, flute or conga, but a glass of water.

"And you'd be healthier for drinking it!" says Tim Linhart, ice-instrument maker extraordinaire to an orchestra playing a series of concerts throughout the winter in the remote Swedish town of Luleå, just beneath the Arctic Circle.

Hearing is believing

Hearing really is believing when it comes to these evanescent instruments made -- bar the strings and other odd parts of metal or wood -- entirely from frozen water.

Linhart has held ice concerts not only in Sweden over the past 15 years but also in far-flung locations from Beaver Creek, Colorado, to the Italian alps.

His main problem, he says, in attracting a greater audience to the genre is people's incredulity that an ice instrument could make more than the most rudimentary sound.

A recording of an ice violinist busking a solo classical piece outside Luleå's House of Culture in around -10 C is evidence to the contrary.

The sound is sharp and ethereal, with a wide tonal range.

Not only classical

But the ice repertoire doesn't include only refined, classical pieces.

Along with the violins and a viola, cellos and a bass, there's an ice banjo in this year's lineup to accent country and bluegrass numbers.

Six- and 12-string guitars suit rock 'n' roll, and an ice xylophone resting on bicycle inner tubes -- to aid its resonance -- works across the genres.

As for the orchestra's gigantic spherical "bubble drums," Linhart tells CNN, "they really shake your skeleton."

Doubtless they'll be deployed to funky effect in the -- inevitably, this being Sweden -- series of Abba-themed concerts among the 40 or so on the program this year.

Winter pursuit

A stone sculptor in warmer months, the bearded Linhart, 53, makes all the instruments for the winter concerts in a six-week burst in his back garden.

They're transported to a specially built igloo auditorium seating 170 people in a nature park outside Luleå, where the orchestra plays.

Originally from New Mexico, Linhart was invited to this town of 80,000 residents in Swedish Lapland 10 years ago to take part in the building of one of the world's first ice hotels.

He met his wife here. That's one reason he's stuck around, but no doubt it also helped that Luleå is one of the coldest towns in Sweden.

Saving on its air con bills, Facebook is building its first server farm outside the United States in the town.

Lovers of a cold climate

So, apart from loving a sub-zero climate, how else do ice instruments differ from the conventional kind?

They're quicker to make, for a start, Linhart says.

"I can do the carving on the front and back plate of a standup bass in two hours.

"The chisel just glides through the ice.

"My tools are similar to those of a regular instrument maker," he says. But when it comes to sealing one of his creations together, "the only glue I use is water."

"If you want to glue a crack in an ice instrument, you just take a little straw, blow through it until the ice melts and then let it freeze again.

"With wood, you can only carve.

"With ice, you can also grow."

Just add water!

Another difference from conventional instrument making?

Linhart wears dishwashing gloves while he's carving, something you wouldn't see many master violin makers doing.

Icy materials

The sculptor works mainly with "white ice," a pearl-colored blend of water and snow that's especially flexible when frozen.

Then there's clear ice: "Pure frozen water with no flaws, just molecule against molecule all the way through."

But it's harder to find. Northern Sweden is a good place to look, but you have to dig 20 centimeters beneath a lake surface to find the bubble-free stuff.

Instruments wrought from either material are both more beautiful and more fragile than traditional instruments, Linhard says.

What other instrument, he asks, lets the light shine through?

Their unique visual qualities are exploited in the performances, when non-warming LEDs, constantly shifting in color, are placed inside the instruments.

"It's like a nightclub in heaven," Linhart says.

Spring thaw

The instruments are exceedingly delicate.

They melt in springtime and require constant maintenance before then.

When played, the violins are suspended by strings from the ceiling to keep them from the musician's warm body.

Just the breath from players and audience means every instrument has to be re-tuned slightly between each song.

Such attention is worth it, says Linhart, for the exquisite sound these magical objects produce.

"Ice instruments have a more detailed sound than wood, say, which absorbs the vibrations from the strings and dampens the sound," he says.

"Ice is stiffer. It picks up all the vibrations.

"That's why it makes your hair stand on end.

"You might think the sound on a normal instrument is perfectly clear -- until you hear an ice instrument and go, 'Ah ha!'

"The clarity is crystal."

Flight plans

Up next on Linhard's icy agenda is an instrument dreamed up specifically for ice called the orgasmatron, after the machine in the Woody Allen film "Sleeper."

It's like a cello, but one a player bows from inside, making his or her body part of the sound.

Linhart doesn't intend his ice-crafting career to end with instruments.

His dream project is an ultralight airplane made from ice.

Luckily, temperatures tends to get colder the higher you fly.

Ice Music continues in Luleå until April 6.

You can view the concert program at Icemusic.se.

Tickets booked at Ticnet.se.

Pieces of ice: "Shining Child," played by Michael Mandrell

"Terra Aria," played by cellist Giovanni Solima.

@highlight

Orchestra playing ice instruments stages winter concerts in Sweden

@highlight

People surprised at how beautiful ice can sound, says instrument maker

@highlight

Expat American Tim Linhart has organized ice concerts throughout world

@highlight

Next on his drawing board: a plane made from ice