WASHINGTON (CNN) -- Participation in government health insurance programs -- particularly those aimed at children -- increased from 2006 to 2007, leading to a decrease in the number of Americans lacking insurance, the U.S. Census Bureau said Tuesday.

The Census Bureau says 15.3 percent of Americans lacked health insurance in 2007.

Overall, 45.7 million people, or 15.3 percent of U.S. residents, did not have health insurance in 2007, the bureau said in releasing reports on poverty, income and insurance. That represents a decrease from the 2006 level of 47 million, or 15.8 percent.

The decrease came as a surprise, as the number of uninsured Americans had been expected to rise for a seventh straight year. It also gives a boost to proponents of expanding government health-care plans such as the State Children's Health Insurance Program, or SCHIP.

In December, President Bush signed legislation that extends SCHIP federal funding through the end of March 2009. That action came after Bush vetoed two congressional attempts to expand the program. In vetoing one of the measures, Bush said the proposed expansion "moves our country's health-care system in the wrong direction."

The percentages of people covered by private health insurance and by employment-based health insurance both decreased slightly in 2007, the Census numbers showed, although the number of those covered by employment-based insurance, 177.4 million, was not statistically different from 2006.

However, the percentage of people, including children, covered by government health insurance programs increased to 27.8 percent in 2007 from 27 percent in 2006. The number of children under 18 without health insurance fell to 11 percent, or 8.1 million -- lower than the 2006 numbers of 11.1 percent and 8.7 million.  See a state-by-state breakdown of uninsured Americans »

Meanwhile, participation in Medicaid, the government insurance program for low-income Americans, increased to 13.2 percent and 39.6 million in 2007, up from 12.9 percent and 38.3 million in 2006.

Using a three-year average from 2005-2007, data showed that Texas had the highest percentage of uninsured, with 24.4 percent, the bureau said.

With 8.3 percent, Massachusetts and Hawaii had the lowest estimates for uninsured rates, according to the Census Bureau, but the two were not statistically different from Minnesota (8.5 percent), Wisconsin (8.8 percent) and Iowa (9.4 percent). Hawaii also did not differ statistically from Maine (9.5 percent), it said.

But "even with the overall drop in uninsured Americans, the 45.7 million uninsured number for 2007 exceeds the combined population of 24 states plus the District of Columbia," a group called Families USA said in a written statement. The group says on its Web site it is "dedicated to the achievement of high-quality, affordable health care for all Americans."

Being uninsured is a stark reality many Americans live with daily.

They include Linda Pendleton of Greensboro, North Carolina. Pendleton was unable to afford private coverage when the convenience store where she worked stopped offering insurance to its employees two years ago. It worked out fine, she said, until she was diagnosed with stage IV breast cancer last month.

Unable to work, she moved in with her daughter and her three grandsons. She has applied for Medicaid and disability, but has yet to receive a response. "So right now I'm trying to pay for everything," said her daughter, Randi Sharp.

But that's not easy. With two of her sons disabled, Sharp stays at home to care for them. Her eldest son receives disability payments of $632 per month, which supports the family, she said. The father of Sharp's children is supposed to pay support, but "he up and left and the court can't find him."

Though her monthly rent is $600, Sharp said her landlord has cut her some slack. And she goes to churches for her food and didn't buy her sons school clothes this year, she said. Meanwhile, her mother is so dragged down by her reaction to the chemotherapy that she "can barely do things for herself," Sharp said.

And even relatively modest fees threaten to cut short her mother's chemotherapy treatments. "If I don't give them cash on Thursday, if I don't give them $70, they're not going to see her any more," Sharp said.

A yard sale over the weekend and trips to the pawn shop have helped. So does cutting back on food. "There are days I go without even eating for two or three days," she said. "I've exhausted all of our resources."

And while the number of those living without health insurance is down, one economist points out, "we're still seeing an unraveling of the private health insurance system."

Overall, insurance premiums have continued to rise faster than wages or inflation, putting the squeeze on companies and on individual families, said Elise Gould, an economist at the Washington-based Economic Policy Institute. With 2007 being an economic peak year, "you'd think some of the economy would have helped our workers," she said. "We're not seeing that."

Another underlying problem, she said, is that people purchase cheaper insurance but often have substandard coverage -- something they often don't find out until they experience a health-care emergency and must pay a large amount out of pocket.

Ron Pollack, executive director of Washington-based Families USA, issued a statement saying, "It is ironic that, at the very time the Bush administration tried to cut back Medicaid and twice vetoed legislation to extend children's health coverage, the public safety net cushioned the loss of employer-sponsored health coverage. It demonstrates the importance that the next president should protect, and not undermine, the public health safety net."

Although the uninsured rate for children living below the federal poverty level decreased to 17.6 percent in 2007 from 19.3 percent in 2006, children in poverty were more likely to be uninsured than all children, the Census numbers showed. Still, the numbers of uninsured children decreased across all ethnic groups.

However, people must lack health insurance for a year before being counted as "uninsured" by the Census Bureau, meaning the actual number could be higher.

In other data, the real median household income increased 1.3 percent nationwide, reaching $50,233, the Census Bureau said. The official poverty rate remained statistically unchanged, although the number slightly increased -- 37.3 Americans lived below the poverty level in 2007, up from 36.5 million in 2006.

African-American households had the lowest median income, with $33,916, compared with $54,920 for non-Hispanic white households, the data showed. The median income for Hispanic households was $38,679.

Household income rose in the Midwest and South, declined in the Northeast and remained unchanged in the West, the bureau said.

As defined by the Office of Management and Budget and updated for inflation using the Consumer Price Index, the Census Bureau put the weighted average poverty threshold for 2007 at $21,203 for a family of four; $26,530 for a family of three; $13,540 for a family of two; and $10,590 for individuals.

Working women earned 78 percent of the corresponding male salaries, according to the bureau. Median earnings increased for both men and women following three years of decline.

CNN's Tom Watkins contributed to this report.

@highlight

Census: 45.7 million Americans uninsured in 2007, down from 47 million in 2006

@highlight

Decrease a surprise, number was expected to increase for seventh straight year

@highlight

Findings will give boost to backers of expanded government health-care plans

@highlight

Real median household income increased 1.3 percent nationwide, Census finds