(CNN) -- A trip to the Winter Olympics in Sochi should be all about superhuman feats of skill or endurance on skis, skates or bobsleighs. But hearing the talk of U.S. security plans in the run-up to the Games in Russia next month, visitors may think they are entering a war zone.

Contingency plans for evacuating Americans in case of an attack are well in hand, it would seem.

The United States is moving to two warships into the Black Sea. If ordered, helicopters could be launched from there to Sochi, a U.S. official told CNN recently.

And if more capacity is needed, C-17 transport aircraft will be on standby in Germany and could be on the scene in about two hours.

That's in addition to U.S. precautions on Russian soil, where FBI agents are now arriving in Sochi to work with their Russian counterparts, according to Rep. Michael McCaul, chairman of the U.S. House Homeland Security Committee.

The United States has also discussed at the highest levels the sharing of its high-tech bomb detection technology -- developed to protect service members from deadly homemade bombs in Iraq and Afghanistan -- with Russia.

Concern over explosives is heightened because the radical Islamists who have threatened to attack the Sochi Games have a track record with hidden bombs. One was detonated under a stadium grandstand in Grozny in 2004.

Look who's watching over you at Sochi

And with the largest delegation of any nation to the Winter Olympics and Paralympics, as well as -- according to McCaul -- 10,000 to 15,000 Americans as spectators, the United States appears to be taking nothing for granted when it comes to security.

American athletes, coaches and staff are being warned not to wear their red, white and blue Olympic uniforms outside the "ring of steel," the Russian security cordon surrounding Sochi.

They also will be under the watchful eye of U.S. security officials who will attend events with them, according to State Department officials.

Travel warning issued

The State Department went so far last week as to issue an updated travel alert for the region, warning Game-goers that bombings and abductions continue in Russia, particularly in the North Caucasus region.

It cited media reports about the hunt in Sochi by Russian authorities for "black widows," wives of dead insurgents who act as suicide bombers, even as it said the U.S. government has not corroborated the reports.

The reports were just one example of what one senior State Department official has described as an "uptick in threat reporting" in the lead-up to the Winter Games.

"Our expectation is that we will see more in the coming weeks," the official, speaking on background, told reporters during a briefing on Olympic security measures.

But is the U.S. contingency planning in line with the potential threat?

Security expert Matthew Clements, editor of IHS Jane's intelligence review in London, thinks not.

"It's normal for countries to outline contingency plans for the removal of their nationals from any country in which there's a risk to them," he said. "At the same time, this is usually only undertaken in very serious situations such as cases of civil war or other kinds of conflict.

"In the event of a terrorist attack on someone in Sochi, even if it was around the city or venues, I don't think the idea of there being a U.S. military evacuation of their citizens from there would be a realistic prospect."

This, says Clements, is because it would cause huge logistical difficulties, would likely be overkill in terms of the situation and "probably the Russians wouldn't be very happy."

'We've had conversations'

It is unclear whether a military evacuation would entail U.S. forces entering Russian territory, but Secretary of Defense Chuck Hagel has publicly hinted that there is a plan of some sort.

"We've had conversations with the Russian government on protection of our citizens," Hagel said recently.

He also has said the United States has offered assistance to Russia, but there has been no request from the Russian government for help.

McCaul, speaking on CNN's New Day, also said the notion that Moscow needs foreign help to deal with its own homegrown terrorist threat would likely rile many Russians.

"There's a sense of nationalistic pride in Russia, just as we would have in the United States," said McCaul. "And so, while they've been very productive, cooperating with us on some issues, when it comes to the military, it gets a little sensitive."

But former FBI assistant director Tom Fuentes, a CNN law enforcement analyst, believes the U.S. precautions make sense.

"You'd hope that the U.S. wouldn't be sitting around waiting for a telegram from Russia going 'hey, come and get your people.' So to me, that's a commonsense approach, and the military should have a very robust plan to come in and do that," he said.

"If an attack occurs, you're going to have chaos. You're going to have a large problem to get ships and get helicopters, so merely getting your forces in to get your people out will be quite an event just by itself."

Russian ambassador says he's certain Olympics will be safe

Britain taking 'extra measures'

Other nations are well-aware of the security risk attached to any such major event -- but are more coy about their precautions.

Darryl Seibel, spokesman for the British Olympic Association, declined to go into detail about the security measures planned for Team GB in Sochi.

"We will take some extra measures for our delegates," he told CNN. But, he stressed, "that is not new -- we have done that for a number of Games. That's been part of our planning from the beginning."

Seibel said the primary responsibility for security always falls to the host country and the organizing committee.

It's something of which Britain is very conscious, having hosted the Summer Olympic Games in 2012. As it turned out, the London Olympics went off without incident, but the security measures taken included parking missile batteries on apartment block roofs and a huge warship on the River Thames.

The precautions in Sochi are even more extensive, those who've been there say.

"This security operation is the most impressive and well-fortified that we've ever seen in Olympic history," McCaul said.

Even so, a Quinnipiac poll conducted in the United States last week found that half those surveyed believe a terrorist attack at the Winter Olympics is very or somewhat likely.

Allaying fears

But American authorities have sought to allay concerns.

"What I can tell you is there has been an uptick in some of the reporting, but that is not unusual. It's of concern, but not unusual for an event like this," said White House spokesman Jay Carney.

"The State Department has handled and is handling the issue of travel advisories for U.S. citizens, and we are offering the Russians any assistance that they might require or request in a situation like this."

It's not clear exactly how many people will travel to Sochi for the Games.

Scott Blackmun, chief executive of the U.S. Olympic Committee, said in a statement: "The safety and security of Team USA is our top priority.

"As is always the case, we are working with the U.S. Department of State, the local organizers and the relevant law enforcement agencies in an effort to ensure that our delegation and other Americans traveling to Sochi are safe."

Former champion Olympic swimmer Michael Phelps said that the security issues are likely the last thing on the athletes' minds right now.

"As an athlete, we don't notice anything," he said. "You know, we're there to represent our country and we are there to compete at the highest level."

Being in the Olympic Village with athletes from all over the world is incredible, he said, adding "there's nothing like it."

CNN's Barbara Starr and Laura Bernardini contributed to this report.

@highlight

10,000 to 15,000 Americans are expected in Sochi to watch the Games, a lawmaker says

@highlight

The U.S. State Department is warning Americans to take extra precautions

@highlight

A travel warning cites reports about Russia authorities hunting for possible suicide bombers