(CNN) -- The California Senate passed Wednesday a bill that would regulate therapies that purport to be able to change a child's sexual orientation -- from gay to straight.

"The entire medical community is opposed to these phony therapies," Sen. Ted W. Lieu, D-Torrance, said after passage of Senate Bill 1172, which he introduced.

SB 1172 would prohibit children younger than 18 from undergoing sexual orientation change efforts.

CNN.com blogs: Gay in America

"Being lesbian or gay or bisexual is not a disease or mental disorder for the same reason that being a heterosexual is not a disease or a mental disorder," Lieu said in a news release. "The medical community is unanimous in stating that homosexuality is not a medical condition."

The bill is expected to go to the Assembly for an initial policy review next month.

In a telephone interview, the director of communications for Equality California, called the bill's passage "long past overdue."

"The California legislature has taken the right first step in making sure that young people are protected from these unscrupulous therapists who are really engaging in therapeutic deception that is based on junk science," said Rebekah Orr, whose group took the bill to Lieu.

Privacy laws make it difficult to estimate the number of people who have undergone such practices, "but we certainly know it's not an uncommon experience," she said.

"We hear regularly from survivors of these programs who nearly universally were driven near the point of suicide before they were finally able to escape the program and start to heal," she said.

The president of an organization that promotes reparative therapy, the National Association for Research & Therapy of Homosexuality, called the bill "another triumph of political activism over objective science."

"In NARTH's view, a truly scientific response would call for more and better research to answer these questions, not a legislative ban that runs roughshod over professional judgment and parental choice," said Christopher Rosik, a psychologist.

But Peter Drake, who participated in one such program, backed the Senate's move as a way of protecting youths from "a very very dangerous therapy that doesn't work and leaves a lot of people feeling despair and hopelessness."

Drake said he was in a straight marriage for 28 years and had two children before he came out. "I was always faithful to my wife but I was always struggling," he told CNN in a telephone interview. "After many years of struggling and hoping it would go away and it didn't, I heard about reparative therapy."

Couples challenge Illinois law denying same-sex marriage

After three years in the therapy, "there was absolutely no change in my sexual orientation," he said. Instead, he felt "despair, embarrassment and I became depressed really."

Only after he abandoned reparative therapy and entered more traditional therapy did he improve, he said. "I have always been a gay man and I just had a hard time accepting it."

His wife and children have been supportive, he said.

James Guay began the therapy at age 16. "I volunteered for it, and it was still incredibly damaging," he said. "It created a lot of pain and havoc and emotional turmoil that this bill hopes to prevent."

Guay, now a 40-year-old marriage and family therapist in private practice in Beverly Hills, said he spent years trying to become straight. "It didn't work," he said in a telephone interview. "When the reality sinks in that there has been no intrinsic change in romantic and love attraction, then we carry the burden: Oh, there's something wrong with me. That's where a lot of the damage can be done."

At age 20, Guay finally gave up his effort to change. "I met my first boyfriend," he said. "That kind of shined the light on the fact that, oh, wow, this feels very natural, feels very right, does not feel like this wicked, evil sinful kind of thing that I was told that it was."

Orr predicted the bill would pass the assembly, but said her group has work to do to ensure that happens.

"The reality is that a lot of folks don't really know much about this," she said. "So we have education work to do."

Wednesday's 23-13 party line vote came a few weeks after psychiatrist Robert L. Spitzer, in a letter to the editor of the Archives of Sexual Behavior, apologized for his 2003 study of reparative therapy, which suggested that it could help gays and lesbians become straight.

In his study, he asked 200 participants to describe their changes in sexual orientation; most said they had become mostly or exclusively heterosexual.

But the study was deeply flawed, Spitzer concluded nearly a decade after its publication. "I offered several (unconvincing) reasons why it was reasonable to assume that the participants' reports of change were credible and not self-deception or outright lying," he wrote. "But the simple fact is that there was no way to determine if the participants' accounts of change were valid.

"I believe I owe the gay community an apology for my study making unproven claims of the efficacy of reparative therapy. I also apologize to any gay person who wasted time and energy undergoing some form of reparative therapy because they believed that I had proven that reparative therapy works with some 'highly motivated' individuals."

"Everyone agrees that this quackery needs to stop," Lieu said in the news release.

He predicted that approval of his patient protection plan "will help raise public awareness of bogus and unethical therapies by mental health providers who promise to change a person's sexual orientation."

He added that recent testimony during policy committee reviews had shown that "These non-scientific efforts have led in some cases to patients later committing suicide, as well as severe mental and physical anguish."

@highlight

The bill would prohibit children from undergoing sexual orientation change efforts

@highlight

"The entire medical community is opposed to these phony therapies," Sen. Lieu says

@highlight

Pro reparative therapy group calls bill a "triumph of political activism over objective science"