(CNN)How long will the data last in your hard-drive or USB stick? Five years? 10 years? Longer?

Already a storage company called Backblaze is running 25,000 hard drives simultaneously to get to the bottom of the question. As each hard drive coughs its last, the company replaces it and logs its lifespan.

While this census has only been running five years, the statistics show a 22% attrition rate over four years.

Some may last longer than a decade, the company says, others may last little more than a year; but the short answer is that storage devices don't last forever.

Science is now looking to nature, however, to find the best way to store data in a way that will make it last for millions of years.

Researchers at ETH Zurich, in Switzerland, believe the answer may lie in the data storage system that exists in every living cell: DNA.

So compact and complex are its strands that just 1 gram of DNA is theoretically capable of containing all the data of internet giants such as Google and Facebook, with room to spare.

In data storage terms, that gram would be capable of holding 455 exabytes, where one exabyte is equivalent to a billion gigabytes.

Fossilization has been known to preserve DNA in strands long enough to gain an animal's entire genome -- the complete set of genes present in a cell or organism.

So far, scientists have extracted and sequenced the genome of a 110,000-year-old polar bear and more recently a 700,000-year-old horse.

Robert Grass, lecturer at the Department of Chemistry and Applied Biosciences, said the problem with DNA is that it degrades quickly. The project, he said, wanted to find ways of combining the possibility of the large storage density in DNA with the stability of the DNA found in fossils.

"We have found elegant ways of making DNA very stable," he told CNN. "So we wanted to combine these two stories -- to get the high storage density of DNA and combine it with the archaeological aspects of DNA."

The synthetic process of preserving DNA actually mimics processes found in nature.

As with fossils, keeping the DNA cool, dry and encased -- in this case, with microscopic spheres of glass - could keep the information contained in its strands intact for thousands of years.

"The time limit with DNA in fossils is about 700,000 years but people speculate about finding one-million-year storage of genomic material in fossil bones," he said.

"We were able to show that decay of our DNA and store of information decays at the same rate as the fossil DNA so we get to similar time frames of close to a million years."

Fresh fossil discoveries are throwing up new surprises about the preservation of DNA.

Human bones discovered in the Sima de los Huesos cave network in Spain show maternally inherited "mitochondrial" DNA that is 400,000 years old -  a new record for human remains.

The fact that the DNA survived in the relatively cool climate of a cave -- rather than in a frozen environment as with the DNA extracted from mammoth remains in Siberia - has added to the mystery about DNA longevity.

"A lot of it is not really known," Grass says. "What we're trying to understand is how DNA decays and what the mechanisms are to get more insight into that."

What is known is that water and oxygen are the enemy of DNA survival. DNA in a test tube and exposed to air will last little more than two to three years. Encasing it in glass -- an inert, neutral agent - and cooling it increases its chances of survival.

Grass says sol-gel technology, which produces solid materials from small molecules, has made it a relatively easy process to get the glass around the DNA molecules.

While the team's work invites immediate comparison with Jurassic Park, where DNA was extracted from amber fossils, Grass says that prehistoric insects encased in amber are a poor source of prehistoric DNA.

"The best DNA comes from sources that are ceramic and dry -- so teeth, bones and even eggshells," he said.

So far the team has tested their storage method by preserving just 83 kilobytes of data.

"The first is the Swiss Federal Charter of 1291 -- it's like the Swiss Magna Carta -- and the other was the Archimedes Palimpsest; a copy of an Ancient Greek mathematics treatise made by a monk in the 10th century but which had been overwritten by other monks in the 15th century.

"We wanted to preserve these documents to show not just that the method works, but that the method is important too," he said.

He estimates that the information will be readable in 10,000 years' time, and if frozen, as long as a million years.

The cost of encoding just 83Kb of data cost about $2,000, making it a relatively expensive process, but Grass is optimistic that price will come down over time. Advances in technology for medical analysis, he said, are likely to help with this.

"Already the prices for human genome sequences have dropped from several millions of dollars a few years ago to just hundreds of dollars now," Grass said.

"It makes sense to integrate these advances in medical and genome analysis into the world of IT."

Read more from Make, Create, Innovate:

Behold the 'Internet of Sheep'

Will you soon be able to 'swallow the doctor'?

Meet the world's first 1,000 mph car

@highlight

Science is now looking to nature to find the best way to store data in a way that will make it last for millennia

@highlight

Just one gram of DNA is theoretically capable of containing all the data of internet giants such as Google and Facebook

@highlight

Researchers in Zurich wanted to find ways to combine the storage capacity of DNA with the stability of the DNA found in fossils

@highlight

The Zurich team say their process could make the data encoded in DNA readable in 10,000 years' time or even longer