(CNN) -- Threats by al Qaeda in the Arabian Peninsula against targets in Yemen prompted the closure of the U.S. and British embassies there Sunday, officials said.

"There are indications that al Qaeda is planning to carry out an attack against a target inside of Sanaa, possibly our embassy," John Brennan, the assistant to the president for homeland security and counterterrorism, said on CNN's "State of the Union" on Sunday. "And what we do is to take every measure possible to ensure the safety of our diplomats and citizens abroad, so the decision was made to close the embassy."

The United States is working closely with the Yemeni government on the proper security precautions, he said.

Another senior administration official told CNN late Sunday that the closing of the U.S. Embassy was because of a specific, credible and ongoing threat. No additional details were provided.

The British Foreign Office told CNN its embassy also closed because of security concerns. A spokeswoman said a decision would be made later Sunday on whether it would reopen on Monday.

U.S. State Department spokesman Fred Lash would not elaborate on any specific security threats, and said he did not know how long the embassy would remain closed.

The embassy on December 31 alerted Americans in Yemen to remain on alert for the possibility of terrorist violence.

On Christmas Day, a Nigerian man allegedly attempted to detonate an explosive device on board a Northwest Airlines flight from Amsterdam, Netherlands, to Detroit, Michigan. On Saturday, President Obama linked the suspect, 23-year-old Umar Farouk AbdulMutallab, to an al Qaeda affiliate based in Yemen.

Shortly after the incident, Yemen-based al Qaeda in the Arabian Peninsula claimed responsibility for the bombing attempt.

"I think what we've seen over the past several years in Yemen is an increasing strengthening of al Qaeda forces in Yemen," Brennan told CNN. "There are several hundred al Qaeda members there."

In a Sunday interview on the BBC's "The Andrew Marr Show," British Prime Minister Gordon Brown said besides increased security measures, "We've got to also get back to the source of this, which is Yemen, Somalia, Pakistan, and we've got to recognize that we've got a group of young people who have been radicalized as a result of teaching by extremist clerics, and we've got to recognize that we're fighting a battle for hearts and minds here as much as everything else."

He said Britain will work with American authorities to support the Yemeni government in its counterterrorism efforts.

Al Qaeda in the Arabian Peninsula said the attempted attack on the airliner was in retaliation for airstrikes against it on December 17 and 24. One of those attacks targeted four al Qaeda operatives believed to have been planning an imminent attack in Yemen against the United States or Saudi Arabian embassies, or both, a senior U.S. military official told CNN on Sunday.

Three of the targets were killed in the attack and a fourth was wounded, the official said. The wounded man was actually wearing his suicide vest when captured by the Yemenis, according to the official.

On Saturday, Gen. David Petraeus, head of the U.S. Central Command, met with Yemeni President Ali Abdullah Saleh in Yemen, a senior U.S. government official told CNN. During his meeting with Petraeus, Saleh expressed his appreciation for U.S. help in combating extremists, offered more support for U.S. counterterrorism strikes, and said he would continue providing assistance for the U.S. investigation into the attempted bombing, the official said.

The official said that Petraeus was carrying several messages and "various items" of information from Obama to Saleh. No further details were available.

The two men discussed the latest intelligence on al Qaeda in Yemen, the official said, adding that the group in the U.S.-Yemeni meeting was kept very small on both sides.

In remarks Saturday, Obama pledged that everyone involved in the attack would be held accountable, and highlighted his administration's attempts to crack down on extremist enclaves in Yemen. The president also reiterated his long-standing promise to "disrupt, dismantle and defeat" al Qaeda.

Obama said that AbdulMutallab had recently traveled to Yemen and that "it appears that he joined an affiliate of al Qaeda." Al Qaeda in the Arabian Peninsula apparently trained AbdulMutallab, equipped him with explosives, and directed him to attack the plane, the president said in his weekly radio address.

Obama has been criticized by some political opponents for not responding more aggressively to the bombing attempt.

From the first day, the Obama administration has been focused on Yemen, Brennan said Sunday.

"We are very concerned about al Qaeda's continued growth there, but they're not just focused on Yemen," he said of al Qaeda. "They are, in fact, looking toward the West." That's why, he said, "we have to get to this problem in Yemen now."

"This is not the first time this group has targeted us," Obama noted. Recently, he said, "they have bombed Yemeni government facilities and Western hotels, restaurants and embassies -- including our embassy in 2008."

"Everything is possible" in terms of U.S. military assistance, Brennan told NBC's "Meet the Press" on Sunday. The United States is providing Yemen with "security, intelligence and military support," he said. "We want to make sure the Yemenis have what they need."

He told CNN that while the United States has made progress in diminishing al Qaeda's capabilities, the organization is still a threat and still has the capacity to carry out attacks, and continues looking for ways to do so.

CNN's Barbara Starr contributed to this report.

@highlight

Obama aide cites indications al Qaeda planning attack in Yemeni capital

@highlight

U.S. Embassy in Yemen shuts down due to ongoing terror threats

@highlight

British Embassy also closes Sunday due to security concerns

@highlight

Attempted bombing of U.S.-bound plane reportedly linked to al Qaeda unit based in Yemen