(CNN) -- Newt Gingrich's immigration plan could be a breakthrough moment for conservatives. It could be a new kind of signal from conservatives that we are not bound in an absolutist straitjacket when it comes to immigration reform.

First and foremost, Gingrich's solution to illegal immigration is not amnesty. His plan would create a narrow and demanding path to legality, not to full citizenship.

According to his "21st Century Contract with America," solving America's immigration problem would begin with full control of the border by January 1, 2014. All government resources necessary would be made available for this, including "round-the-clock drone flights" and "multi-layer, strategic fencing in urban areas."

Additionally, Gingrich's plan would reform the legal visa system, offer incentives for the best brains in the world to come to America (with H1-B skilled work visas), develop a legal guest-worker program run by corporations outside of the government, and make English the official language of government. A majority of conservatives agree with these reforms.

Where they differ right now is on Gingrich's plan for legality for the illegal immigrants already in the country. Gingrich's call for a "humane" immigration policy in last Tuesday's CNN debate sounded too much like amnesty to many conservatives. But a closer look at Gingrich's plan might change minds.

Gingrich's immigration plan would only grant legality, not full citizenship, to anyone who has entered the country illegally should they meet stringent requirements.

Anyone with a criminal record would be ineligible and subject to deportation, as well as those who entered the country recently and have no commercial or family ties to the United States.

Only those who can sustain themselves without government assistance (Social Security, Medicare, Medicaid, etc.) and pay for their own private health insurance would be eligible to stay. An independent, local "citizen's review" board would grant legal status based on the requirements above as well as the immigrant's standing in his or her community. Should they be permitted to stay, they will still be subject to a $5,000 penalty.

Gingrich's plan is strict and nuanced. But more importantly, it could be a sign of a new conservative philosophy. As he said in the debate, "I do not believe that the people of the United States are going to take people who have been here a quarter century, who have children and grandchildren, who are members of the community, who may have done something 25 years ago, separate them from their families, and expel them."

Some of Gingrich's fellow GOP presidential contenders seized on this statement and used it against him. Michele Bachmann called his plan amnesty and said it would give 11 million illegal immigrants a free pass.

Campaigning in Iowa after the CNN debate, Gov. Mitt Romney was also quick to call Gingrich's plan amnesty. Other prominent conservatives, like Iowa's Rep. Steve King, bristled at Gingrich's plan, saying it would be another magnet or incentive for illegal immigrants to enter the country and set up a family.

Now that Gingrich is a legitimate frontrunner in the GOP presidential race his plan will be fully vetted, as it should be. There are some legitimate concerns.

How big is this group of illegal immigrants we're talking about? If Gingrich's plan would legalize 1 million, and the actual problem is 10-15 million, it's not much of a solution. How can an illegal immigrant have stayed here 25 years legally without having broken additional laws such as filing taxes with a false social security number or receiving welfare without being eligible?

Another question: Why not just focus on enforcement first? Once it is achieved, Americans would be much more open to additional reforms and possible accommodations.

Despite these serious and consequential objections, Gingrich has the nation's attention right now and should use this moment to offer a full, detailed explanation of his immigration plan to the American people.

It is not a perfect, comprehensive plan, but it's a starting point and moves the conversation in the right direction. Conservatives have long been victim to the liberal argument that they would mass deport all illegal immigrants. Gingrich offers a serious alternative that needs to be debated.

The opinions expressed in this commentary are solely those of William J. Bennett

@highlight

Newt Gingrich's immigration plan has been attacked as "amnesty"

@highlight

William Bennett says the plan is nuanced and strict and deserves study

@highlight

He says it emphasizes border security and attracting skilled workers

@highlight

Bennett: Gingrich plan could be a breakthrough for conservative philosophy on immigration