(CNN) -- Mexico's new leader had a message for U.S. officials as he toured Washington on Tuesday: Ties between the neighboring nations must go beyond the drug war.

The two countries should team up to create jobs, Mexican President-elect Enrique Pena Nieto said at the White House.

"We should reconsider greater integration of North America to achieve a region that is more competitive and capable of creating more jobs," Pena Nieto told U.S. President Barack Obama as reporters looked on.

Before his first meeting with Obama, the 46-year-old former governor said he wanted to reshuffle the list of priorities the United States and Mexico share.

In an editorial published by the Washington Post on Friday, Pena Nieto said there was a potential for more trade, manufacturing and energy deals.

"It is a mistake to limit our bilateral relationship to drugs and security concerns," the president-elect wrote. "Our mutual interests are too vast and complex to be restricted in this short-sighted way."

Obama told reporters he was eager to develop a strong relationship with Pena Nieto and take on a broad agenda.

"We are very much looking forward to having a fruitful discussion here today about ... how we can strengthen economic ties, trade ties, coordination along the border and improving our joint competitiveness, as well as public security issues," he said.

New president: Grow economy to fight drugs

A crackdown on cartels was a hallmark of outgoing President Felipe Calderon's six-year tenure, and the United States voiced its support, offering $1.6 billion to aid in the fight.

Pena Nieto said Tuesday that his government will focus more on reducing violence, but he's offered few specifics about that approach.

He told CNN's Wolf Blitzer on Tuesday that boosting his country's economy and creating more social programs could be the greatest weapon to fight organized crime.

Without economic opportunities, he said, "millions of my countrymen have no other option than to dedicate themselves sometimes to criminal activity."

Opinion: To-do list for Obama and Mexico's new president

The United States is Mexico's largest trading partner. The two countries share billions of dollars in imports and exports and a border that stretches nearly 2,000 miles.

For the first time in more than a decade, economic issues are likely to dominate the agenda shared by Mexico and the United States, the Washington-based Woodrow Wilson International Center for Scholars said in a policy brief this week.

That's because drug-related violence appears to have plateaued and illegal immigration in the United States from Mexico has dropped dramatically, according to Andrew Selee, director of the center's Mexico Institute.

FBI most-wanted fugitive captured in Mexico

"What's driven the U.S.-Mexico agenda for the past 10 years has been the influx of undocumented immigrants and the headlines about increasing violence, and now both of those have leveled off. ... It allows the two governments to begin to talk about other issues that matter for their long-term well-being," Selee said.

While security concerns took a back seat during Obama and Pena Nieto's public remarks, both leaders mentioned the need for immigration reform.

"We do have to tell you that we fully support your proposal for this migration reform," Pena Nieto said. "More than demanding what you should do, I do want to tell you that we want to contribute. We really want to participate and we want to contribute toward the accomplishment, so we can participate in the betterment and well-being of so many people who live in your country."

In addition to meeting with Obama, Pena Nieto spoke with other officials in Washington, including U.S. Homeland Security Secretary Janet Napolitano and House Minority Leader Nancy Pelosi. He was scheduled to travel to Canada and meet Wednesday with Prime Minister Stephen Harper.

Obama noted that it was a longstanding tradition for Mexico's president-elect to visit Washington before taking office.

"We meet early with the president-elect of Mexico because it symbolizes the extraordinarily close relationship we have between the two countries," he said.

Earlier this week, analysts said on CNN en EspaÃ±ol's "Mexico Opina" that they hoped Tuesday's meeting would signal a new approach to interactions between the United States and Mexico.

Opinion: Mexico's misconceptions

"Pena Nieto should convince Obama that Mexico deserves more attention. ... This is the moment to change the style and propose a higher agenda," said Olga Pellicer, a professor at Mexico's Autonomous Institute of Technology and a former diplomat.

Political analyst Gabriel Guerra said Pena Nieto's government should push to have a greater influence on affairs within the United States, convincing U.S. officials that Mexicans are "important and relevant."

"The image of the country is very negative. There is a perception that we are corrupt and drug associates. This is a result of accumulated neglect," he said. Pena Nieto "is inheriting a neglected relationship."

Mexican beauty queen killed in shootout

Some critics have said Obama neglected Latin America during his first term, and lambasted the U.S. president for not bringing up Mexico or other countries in the region during last month's foreign policy debate with Republican challenger Mitt Romney.

Opinion: Mexico, U.S. ties ripe for major expansion

On Tuesday, Obama quipped that he was jealous that Vice President Joe Biden would be attending Pena Nieto's inauguration in Mexico on Saturday, and he said he was looking forward to attending the North American Leaders' Summit there next year.

"Any excuse to go to Mexico, I'm always game," Obama said.

Opinion: Can Pena Nieto save Mexico?

CNNMexico.com and CNN en EspaÃ±ol's Mario Gonzalez and Rey Rodriguez contributed to this report.

@highlight

Mexico's president-elect meets with U.S. President Barack Obama

@highlight

Enrique Pena Nieto says he wants to reshuffle the priorities the countries share

@highlight

There is potential for more trade, manufacturing and energy deals, he says

@highlight

Pena Nieto takes office as Mexico's president Saturday