(CNN)Hillary Clinton's lawyerly news conference Tuesday, at which she doggedly parried suggestions that her use of a private email server to conduct official State Department business was improper, might extinguish the matter for most Americans -- but it doesn't get Clinton out of the woods politically.

The real possibility of lasting political damage to the former secretary of state will come if her emails reveal any favoritism to any of the foreign donors who contributed to the welter of powerful charitable organizations housed at the Bill, Hillary & Chelsea Clinton Foundation. This is the multibillion-dollar foundation Hillary Clinton leads alongside ex-President Bill Clinton and their daughter, Chelsea.

What we already know about the foundation's donors is controversial: Some of the corporations, banks and foreign governments that have funded foundation projects have abysmal human rights records and have been involved in everything from drug money laundering to aiding terrorism in violation of American law.

The Clintons can make a plausible case that it's best to solicit money from companies and foreign governments -- even ethically challenged ones -- and put it to good use attacking problems of global poverty.

As Bill Clinton recently told reporters: "You've got to decide when you do this work whether it will do more good than harm if someone helps you from another country."

It's an interesting and important debate, and most Americans would probably approve the idea of putting "bad" money to good use.  But the argument only works if Clinton's work as secretary of state was completely separate from the foundation's tip-toeing around ethical challenges.

To figure that out requires analyzing the history of what began as the William J. Clinton Foundation shortly after he left office in 2001.  Different initiatives were added over the years to combat AIDS, climate change, poverty and other ills; the most high-profile of these projects, the Clinton Global Initiative, added in 2005, brings world leaders together to tackle the world's problems.

To make things even more complicated, the foundation's website says its mission is supported by the Clinton Presidential Center in Arkansas, which includes an archive of the President's papers. The foundation recently co-sponsored a Black History month event with the center.

The foundation's thicket of relationships with corporate donors and foreign heads of states is difficult for outsiders to penetrate and understand. And with 350 employees spread across 180 nations, running the foundation is an expensive proposition: in 2012, the various initiatives spent $214 million according to The New York Times but still ended up $8 million in the red.

Who gave, and why, is hard to figure out. According to The Wall Street Journal, "The Clinton Foundation does disclose its donors, which isn't required by law. But the disclosure is limited; dates and exact amount of the donations aren't disclosed. Donations are listed in value ranges and updated annually with only the previous year's donor getting an asterisk by his or her name."

Hillary and Bill Clinton have put some safeguards in place to put distance between her job as secretary of state and the inner workings of the foundation.

During Hillary Clinton's years as secretary of state, the high-profile Clinton Global Initiative split off from the larger Clinton Foundation, and Bill Clinton says he had no direct involvement in its day-to-day operations. Hillary Clinton also stayed away from the foundation during her time at the State Department and agreed to subject possible conflicts to the department's ethics office. It was only after she resigned that she formally joined the foundation and added her name to its title.

Ideally that would settle the matter, but there's the possibility that the elaborate formal safeguards may have been breached or ignored.

An investigation by The Wall Street Journal found that "at least 60 companies that lobbied the State Department during her tenure donated a total of more than $26 million to the Clinton Foundation," raising questions about whether the firms were using the donations to curry favor with the secretary of state.

In one well-publicized case, Hillary pressed a state-owed Russian airline to buy American planes from Boeing. The effort worked: Boeing ended up with a $3.7 billion contract. (To be sure, secretaries of state are always lobbying foreign countries to purchase American products. It's part of their job.) But weeks after Clinton's persuasion (what she called a "shameless pitch"), Boeing donated $900,000 to the foundation.

A CNN investigation by Alexandra Jaffe recently showed that half a dozen banks that gave money to the Clinton Foundation were involved in ethically questionable behavior and might have used donations to the foundation and/or its CGI spinoff as a way to gain favor with the Clintons and enhance their tarnished reputations.

In 2012, the British bank Standard Chartered paid $667 million in fines for violating sanctions against Iran and HSBC paid $1.92 billion to settle claims of illegally doing business for customers in Cuba, Iran, Sudan and Myanmar and allowing drug dealers to launder money through the bank.

Both banks have been major contributors to the foundation. As Jaffe notes, "the fact that the foundation partnered with banks that were actively under investigation raises questions over what restrictions, if any, the foundation placed on its fundraising operation."

And according to The Washington Post, seven nations donated millions to the foundation during Clinton's time as secretary of state, including a $500,000 gift from Algeria that the foundation failed to clear in advance through the State Department's ethics office.

That sort of corner-cutting, and the cozy-seeming connections between Clinton and various corporations and governments, will be tough to explain on the campaign trail.

If emails suggest Clinton was aware of the corporations, banks and nations sending money to her foundation during her time at the State Department -- or worse, took action to help encourage the flow of donations -- the issue would almost certainly derail her likely presidential campaign.

It's much too early to count Hillary out, of course.

The Clintons can credibly argue that the money they collected has funded more than a billion dollars' worth of good works, from lowering the price of HIV-fighting drugs in developing countries to advancing green technology and educating girls and women.

But there's no scenario in which voters can be expected to ignore or support the former secretary of state if she is shown to have been simultaneously arranging pay-to-play deals with businesses and governments seeking help or favors from the U.S. government while she was in office.

What will matter is not why or how Hillary stored her emails but whether the actual emails show her in ethical quicksand from which no presidential candidate can escape.

@highlight

Errol Louis: Bigger question than kind of email used is whether Hillary Clinton's emails show favoritism for donors

@highlight

He says some corporations and foreign nation donors stained by sanctions for illegal behavior

@highlight

Louis: If voters see a quid pro quo from the former secretary of state's emails, it could derail her candidacy