Cairo, Egypt (CNN) -- Thousands of Egyptian workers went on strike Thursday to demand better compensation and transparency in executive salaries, authorities said.

The walkout included employees in the petroleum, railway and telecommunication industries, as protests demanding the resignation of President Hosni Mubarak dragged into their 17th day.

On Wednesday, tens of thousands of protesters jammed Cairo's Tahrir Square, with so many spilling into a nearby compound of government buildings that government officials moved parliament to another site.

The government again sought to portray the imminent threat of chaos if the octogenarian president, Hosni Mubarak, were to end his 30 years of autocratic rule by stepping down right away.

Egyptian Foreign Minister Ahmed Aboul Gheit told PBS' "NewsHour" Wednesday that the military might have to intervene if that were to occur.

"Do we want the armed forces to assume the responsibility of stabilizing the nation through imposing martial law, and the army in the streets?" Aboul Gheit asked rhetorically. "For the army to rule, to step in, to put its friends on the scene, that would be a very dangerous possibility."

He urged the protesters to adopt "some rationality" and said the self-proclaimed Council of the Wise, a group of prominent Egyptians from various walks of life, should determine a course of action.

Aboul Gheit told PBS that Mubarak's interest was to protect the stability of the most populous nation in the Arab world. That's why he will not accede to the protesters' demands that he relinquish power immediately, he said.

"He thinks that it would entail chaos and it would entail violence and it would entail also opportunities for those who would wish to act in a manner to threaten the state, the stability of the country and society," Aboul Gheit said.

Human Rights Watch has put the death toll at more than 300 since the January 25 rally that ignited the movement.

"Instead of running scared, the regime is fighting back with both words and violence to quash its opponents, portraying the opposition as a foreign-backed, un-Egyptian group of conspirators," Human Rights Watch said Wednesday on its website. "Sadly, its propaganda campaign appears to be as crude as its actual physical crackdown has been."

The protests were largely peaceful Wednesday, with demonstrators in one rally composed solely of children who chanted anti-Mubarak slogans. "We want the whole regime to end because they are not making our lives any easier," said 11-year-old Yousef Saeed.

Some of their older relatives said they had brought the children to the square to witness history unfolding. "It is the birth of freedom," said Saeed's uncle, Mohammed Mostafa. "Witnessing this event will engrave in them love of this nation, loyalty, freedom and respecting change. I want them to be free."

But the prospect of freedom was competing with the cost of living as a motivator for some Egyptians, 20% of whom live in poverty. "Whether Hosni stays or Hosni goes, what's important is that the youth get jobs," said Amgad, a mother of three living an hour outside Cairo, in the rural town of Fayoum on the Nile Delta. Her work at a doctor's office earns her $30 per month -- not enough to pay the electricity bill.

Amgad said her husband, a day laborer, has been unable to find work since the demonstrations began on January 25. "Our situation is horrible, to be honest," she said as she showed CNN the bedroom where she, her husband and their three daughters sleep. "I can hardly feed them."

On the streets of Cairo, the people showed no signs of relenting. They chanted, "Mubarak is a thief."

The embattled president, meanwhile, went about business as usual Wednesday, meeting with his foreign minister and Russia's deputy foreign minister, state-run television showed.

The unrest extended beyond Cairo. Two people were killed and others were wounded in clashes with police in southern Egypt, state TV reported. A journalist said the hostilities stemmed from complaints about a member of the police force in Kharga.

In the northern town of Port Said, protesters attacked the governor's building over a land and housing dispute, state TV said.

The protesters were galvanized by the tears and words of an activist who was seized by security forces and held for 10 days before he was released Monday.

"If you are true Egyptians, if you are heroic Egyptians, it's time to step down," Wael Ghonim told CNN Wednesday in a message directed to the ruling elite. The 30-year-old Egyptian father of two administered the Facebook page that is widely credited with calling the first protest. Ghonim, on leave from his job at Google in Dubai, said he was prepared to die for the cause.

"Kidnap me, kidnap all my colleagues!" Wael Ghonim said in comments that challenged Vice President Omar Suleiman to try to undo his efforts and those of his supporters. "Put us in jail! Kill us! Do whatever you want to do. We are getting back our country. You guys have been ruining this country for 30 years. Enough! Enough! Enough!"

Mubarak's regime said Tuesday that it had discussed a number of reforms with leaders of various opposition groups and appointed a panel to look into amending the constitution. But its insistence that Mubarak's immediate exit was a recipe for chaos elicited impatience from the Obama administration.

Washington is calling on its African ally to expand negotiations with opposition groups, lift the 30-year state of emergency and make constitutional changes to bring about democratic elections.

But White House Press Secretary Robert Gibbs expressed impatience Wednesday with the pace of progress on those matters. "I think it is clear that what the government has thus far put forward has yet to meet a minimum threshold for the people of Egypt," he told reporters.

A short White House statement on U.S. Vice President Joe Biden's telephone conversation with Vice President Omar Suleiman used the word "immediate" or "immediately" four times.

Biden "urged that the transition produce immediate, irreversible progress that responds to the aspirations of the Egyptian people."

The statement also hinted the White House harbors doubts as to whether the Egyptian government is seriously committed to reforms, referring to the regime's statements as "what the government is saying it is prepared to accept."

Meanwhile, an Arab diplomat said that Saudi Arabia would consider matching the more than $1.5 billion in military aid that the United States provides each year to Egypt if Washington were to cut it.

CNN's Ben Wedeman, Nic Robertson, Saad Abedine, Amir Ahmed, Caroline Faraj and Frederik Pleitgen contributed to this report.

@highlight

NEW: Thousands of Egyptian workers strike demanding more money and transparency

@highlight

Day 17 of protests demanding the immediate resignation of President Mubara

@highlight

Egypt's foreign minister tells PBS that Mubarak exit would mean chaos

@highlight

The protests expanded beyond Tahrir Square into a government compound Wednesday