(CNN) -- A rare tropical disease called Guinea worm is closer to being eradicated, according to former President Jimmy Carter and other experts.

There are now only 542 known cases of Guinea worm left worldwide, as of 2012, representing a 48% decrease from 2011, officials said Thursday at a news conference.

"We cannot rest until we get and contain the very last case," said Dr. Donald R. Hopkins, affiliated with the Carter Center in Atlanta, which has been instrumental in the effort to wipe out Guinea worm.

The World Health Organization this week said in a report that Guinea worm, also called dracunculiasis, has a global eradication target for the year 2015.

So far, only one disease has reached the status of worldwide eradication since 1980: smallpox.

Guinea worm a greater challenge than smallpox

In 1986, when the Carter Center began leading its international campaign against Guinea worm disease, there were 3.5 million cases in 21 countries.

South Sudan has the most known cases today, at 521, followed by Chad (10), Mali (7), and Ethiopia (4), according to the Carter Center. These are the only four countries that still have transmission of Guinea worm.

In Sudan, a war is waged to eradicate the 'fiery serpent'

A main obstacle to eradication is that one case of Guinea worm disease, if not addressed quickly, can spread to hundreds more people, Carter said.

Communities that depend chiefly on open water sources like ponds in rural and isolated areas are especially affected, according to the World Health Organization.

The disease gets into the body when people drink contaminated water, which contains water fleas that have ingested Guinea worm larvae. The human stomach kills the water fleas, but not the larvae within. Worms can get through the intestinal wall and move around under skin tissues.

A patient will develop a painful skin blister, through which a worm will emerge about 10 to 14 months after infection. The worm can be up to three feet long, and looks like a very long spaghetti noodle.

When the patient heads to a body of water to try to soothe the fiery pain, the worm deposits more larvae in the water, and the cycle starts over.

No vaccines or treatments are available for Guinea worm, but the international effort has made significant strides with health education and encouraging behavior changes.

How fight against Guinea worm was won

Prevention strategies include filtering drinking water and discouraging people with Guinea worm from wading in water. Water can also be chemically treated with larvicide.

While Guinea worm disease does not usually result in death, it is associated with incapacitating pain and secondary bacterial infections. Patients find it difficult to work, farm and function. In a household where a parent has had Guinea worm, toddlers will be less well nourished because the infected parent will have difficulty farming, Hopkins said.

Carter recalled Thursday that he first saw people living with Guinea worm in Ghana. He saw a young woman, about 20, who appeared to be holding a baby. But he discovered that it was not a baby; it was her right breast, which was swollen because of the disease.

The international effort is monitoring about 7,000 villages, Carter said. "We need to find anyone who has Guinea worm" and "prevent them from going back to the water source," he said.

In terms of government support from individual countries, South Sudan is most strongly behind the eradication efforts, Hopkins said. In that country, there are about 110 workers on payroll, and some 12,000 unpaid volunteers, Carter said.

The program in Mali, however, has not been able to operate fully, or at all, in areas occupied by rebel groups, said Ernesto Ruiz-Tiben, director of the Guinea Worm Eradication Program at the Carter Center. The unrest there has made efforts to stop Guinea worm more difficult.

Educating people about Guinea worm has other benefits besides preventing this specific disease, Hopkins said, such as helping people to think more carefully about the water they drink. A clean water supply can help prevent other diseases.

Such education efforts also empower local populations, showing them that they can do something to correct their own problems, Carter said. Villagers often want to know how to address other diseases, too.

"The people themselves say, 'How can you help us with other problems?' " Carter said.

CNN's Madison Park contributed to this report.

@highlight

Guinea worm disease cases worldwide have dropped by 48% in a year

@highlight

The World Health Organization set a target for eradication in 2015

@highlight

Only smallpox has been eradicated worldwide since 1980