(CNN) -- As a concept, recycling has lived and died many times throughout its 4,000-year old history. But it always re-emerges as an idea when humans need it most, such as during the Great Depression, and later during World War II, when American companies recycled or reused around 25 percent of the waste stream.

A sign in Cheshire, England signalling a recycling drop-off area.

Today, the global recycling industry generates $160 billion a year, processing more than 500 million tons of materials.

The industry is becoming one of the world's biggest employers. While the official amount of people employed by the industry is 1.5 million worldwide, the real figure -- when you factor in illegal recycling operations in the developing world -- is likely to be much, much higher. The United Nations believes, for example, that as many as 10 million people in China alone are now in the recycling business.

What's not to like about recycling?

There are some fairly persuasive arguments for recycling, and for using recycled goods. Energy savings is just one of them. By reusing existing materials you are essentially removing the process involved in sourcing the "virgin materials" in the first place.

Take soda cans, made from aluminum. According to Friends of the Earth, creating a ton of these from scratch takes five times the amount of energy as it would to produce a ton of recycled cans. According to the Bureau of International Recycling (BIR), the companies that manufacture recycled aluminum are using 95 percent less energy than if they were using "virgin materials." (For plastics the energy savings are almost as high -- 80 percent, BIR says, while making paper from recycled paper (as opposed to wood) can save 64 percent of energy.)

Looking at it another way, according to the National Recycling Coalition, the amount of energy saved in one year by Americans recycling their soda cans, plastic containers, newspapers and packaging represented the energy equivalent of:

Not surprisingly, recycling also impacts pollution levels. BIR says producing paper from recycled paper as opposed to wood can slash air pollution by as much as 74 percent and water pollution by 35 percent; while manufacturing recycled steel results in 86 percent less air pollution.

There are different types of pollution savings to be made, reducing the pollution generated by manufacturing the stuff in the first place. And then there is the pollution that results in dumping the waste in landfills, instead of recycling it. A recent report from the European Environment Agency (EEA), for example, has predicted that greenhouse gas emissions from household waste will drop by more than 80 percent by 2020 -- largely because of increases in recycling levels which are diverting waste away from landfills.

And the carbon savings can be huge, even when a relatively small amount of effort has been made. The UK has one of Europe's lowest recycling rates when it comes to municipal waste -- 27 percent. Yet, the impact on its carbon emissions has already become worthwhile, according to Waste & Resources Action Programme, or WRAP. WRAP says that these relatively minor efforts already mean a 10 million- to 15 million-ton reduction in carbon dioxide (CO2) emissions a year -- the equivalent of taking 3.5 million cars off the road.

What about the costs? One of the main objections to the recycling movement has been the cost factor. Throwing something away is obviously going to be a lot cheaper than going through the hassle of recycling it. And certain materials are going to be a lot tougher to recycle than others, driving up costs and energy spent. But, as a 2004 study by research group GPI Atlantic found out, there are many different ways to measure cost.

GPI looked at the Canadian province of Nova Scotia, which back in the 1990s had decided that 50 percent of its trash was going to get recycled instead of landing up in incinerators or landfills. The annual cost to the province of doing this was $18 million more than it would have cost to chuck trash away. But, when different factors were considered, the number looked very different These factors included:

GPI concluded that Nova Scotia was in fact saving up to $125 million simply because it had embraced recycling.

The developing world's gain?

Arguably, recycling has seen the most economic success in the poorer parts of the world. According to the Earth Institute, the aluminum can recycling business in Brazil now employs more people than its car industry. Brazilians collecting used soda cans have boosted their earning power significantly, earning $200 a month against the standard minimum $81 monthly salary.

Then there are the inhabitants of a single 174-hectare slum in India's largest city, Mumbai, that have managed to create a $1.3 billion recycling industry between them, according to the Observer. Dharavi is home to one million slum dwellers, with a quarter of them fully employed (albeit often illegally) in a recycling business which processes 80 percent of Mumbai's plastic waste alone.

"There is a lot to be learned from the developing world," the Observer quoted Friends of the Earth's Claire Wilton as saying. "Where a scavenger mentality, grassroots recycling and sheer necessity can lead to imaginative leaps in redeploying waste."

That being said, the economic impact may be welcomed by those in poorer countries sifting through everyone's trash -- but the health impact still leaves a lot to be desired.

Around 70 percent of the world's electronic waste ends up in southern China. A recent study by Hong Kong's Baptist University found that the basic methods employed to recycle these items was having an unsettling effect on people living nearby, specifically women. Women in their mid-20s in one recycling site in Zheijiang Province were found to be carrying the highest levels of cancer-causing toxic chemicals like dioxins and furans than they had seen anywhere else in the world.

It is still too early to say what the long-term effects of these chemicals will be on these women, but it is likely that it will become clear when they attempt to have children. Dioxins and furans have been linked to reproductive problems specifically.

The researchers found that the women had twice the amount of dioxins in their breast milk and three times as much in their placentas as normal. They were also found to be at increasing risk of experiencing spontaneous abortions the longer they chose to live there.  E-mail to a friend

(Source: The Observer; Friends of the Earth; The Independent; California Environmental Protection Agency; National Recycling Coalition; New Scientist; BIR; The Economist; Bureau of International Recycling; UNEP; Wired)

@highlight

Recycling as a movement 4,000 years old

@highlight

More than 500 million tons of material recycled every year

@highlight

Recycling a boom industry in developing world

@highlight

Health risks arising from poor recycling operations in China