(CNN) -- A cat and mouse game is being played out in Russia involving Alexei Navalny, Russia's best known anti-corruption campaigner. Its consequences could cast a shadow over the future of the Putin regime.

Navalny, who has announced his candidacy for mayor of Moscow, achieved prominence by producing a blog that provided detailed reports on the corruption of Russian state-run companies, including the theft of $4 billion by executives from Transneft, the state-owned pipeline company.

What's behind Navalny's conviction?

When massive protests broke out after the falsified December 4, 2011, parliamentary elections, Navalny emerged as one of its leaders and in the eyes of many, a future Russian presidential candidate.

All this seemingly came to an end when Navalny was sentenced to five years in a labor camp on July 18 after being convicted of misappropriating roughly $500,000 worth of state-owned timber while he served as an adviser to the governor of the Kirov region. Before the trial, Navalny predicted his conviction. "They didn't fabricate this case in order to allow an (acquittal)," he said.

The day after the conviction, however, the state prosecutor stunned observers by requesting that Navalny be freed on bail so he could continue to campaign for mayor of Moscow. Navalny is now free to campaign against Sergei Sobianin, the Kremlin-backed candidate, who has 73% of support in the opinion polls.

Opinion: Putin, a hypocrite on Snowden, Navalny

This seeming act of generosity, however, may have a hidden motive.

Elections in Russia do not resemble elections in the West. The core of a victorious candidate's support is generally passive voters who are threatened at their place of work, bribed with small gifts or favors or bussed to the polling places where they can vote under the watchful eyes of their supervisors. It is this system that accounts for the electoral "success" of Russian President Vladimir Putin in the 2012 elections and that of the United Russia Party (described by Navalny as the "party of swindlers and crooks") in the last parliamentary elections.

The system suffers from one defect: The results lack legitimacy.

For this reason, the authorities may actually want Navalny to campaign against Sobanian. His principal accusation against the regime is that it is corrupt. But it will be more difficult to make that argument now that he himself has been convicted of corruption, however unfairly.

If, despite all calculations, Navalny begins to pose an electoral threat, a higher court can uphold Navalny's conviction at any time and he can be jailed and his candidacy terminated.

Almost from the beginning of the Putin era, the regime has responded to opposition by accusing its opponents of corruption. Mikhail Khodorkovsky, the former head of the Yukos oil company, was convicted of tax evasion and fraud after he used his wealth to finance opposition political parties. Sergei Magnitsky, a Russian lawyer who exposed the theft of $230 million in a tax fraud scheme by high officials, was tortured to death in prison and then, in an almost unprecedented move, was found guilty of tax evasion posthumously.

The cat and mouse game with Navalny is part of this tradition. But it may not be enough to save the regime from the anger of the people.

In Russia, the corruption market is valued by the Indem think tank at more than $300 billion annually, or more than a quarter of the GDP. Russians pay bribes to obtain contracts, to get licenses and permissions, to avoid inspections, to get medical treatment or get their children into universities. Moreover, the chain of corruption rises to the very top. It has been credibly reported that Putin has a personal fortune of more than $40 billion and that he and his closest cronies control 10% to 15% of the Russian gross national product.

Under these circumstances, the regime may be sitting on a time bomb. According to a report cited by the Russian Academy of Sciences, 34% of Russians "always" wish they could shoot bribe takers. Another 38% "sometimes" wish they could do so. In Moscow, the number of people who are disgusted with bribe takers is even higher. Two-thirds of Muscovites would gun them down.

The Russian leaders periodically announce drives against corruption and may even arrest a few of their own officials in order to convince the population that they are taking action. The reality, however, is that corruption is integral to the Putin system in which loyalty is rewarded with the freedom to steal, ostensibly private businesses prosper only because they have connections to officials and are therefore, in effect, state-protected monopolies and the system of justice is totally subordinate to the economic interests of the highest ranking state officials. .

Independent reformers like Navalny pose a serious threat to this system, which is why they have to be persecuted. But the failure to reform the system means its inner contradictions will only grow, setting the stage for a deeper crisis in the years ahead.

The opinions expressed in this commentary are solely those of David Satter.

@highlight

David Satter: A cat and mouse game is being played out in Russia on Alexei Navalny

@highlight

Satter: Its consequences could cast a shadow over the future of the Putin regime

@highlight

He says Russia's corruption is enormous; the likes of Navalny is a threat to Putin

@highlight

Satter: The failure to reform the system will set the stage for a deeper crisis in the future