Editor's Note: This is the last in a five-part series exploring Judge Sonia Sotomayor's background and life with those who know her, revealing the experiences that might shape her views as a Supreme Court justice.

Sotomayor was nominated to U.S. district court in 1991 and federal appeals court in 1997.

(CNN) -- Sonia Sotomayor had been a federal appeals court judge for about four months when Ellen Chapnick got a phone call in 1998.

The Columbia Law School lecturer's students had worked and studied with Sotomayor as part of a program at the school, but Chapnick figured the partnership had come to an end with the judge's new job.

"She called me up and said, 'You know, I really miss your students. Isn't there something we can do about that?'" recalled Chapnick, now Dean of the Social Justice Program at the school. "And, of course, a judge rarely asks a question when she doesn't know the answer."

That call, and the partnership that would continue another six years, captures the essence of the woman who has spent years on the federal bench, friends and colleagues said.

They remember a tireless worker spending late hours in her chambers or on projects like the college course: A tough decision-maker who would pick apart any lawyer foolish enough to come to court unprepared; a thoughtful jurist whose years as an aggressive prosecutor endeared her to law enforcement even as she developed a reputation as a social liberal; and a child of the Bronx who maintained a heart for people from all walks of life as she ascended to the legal world's loftiest positions.

"Her hobby is people," said Chapnick, who became friends with the woman now going through Senate confirmation hearings on her nomination to the U.S. Supreme Court. "I've been in situations with her when everybody else around the table is a lot 'less important' -- if you define importance by positions of power and prestige -- and she's asking them questions."  Watch Chapnick on how Sotomayor put students 'through the wringer' »

In 1984, Sotomayor, now 55, worked at Pavia & Harcourt, a "boutique" law firm in New York that focuses on international business issues.

Her job included representing Fendi, the Italian luxury goods company that wanted to crack down on imposters selling knockoffs of its high-end handbags.

Steven Skulnik, a colleague at the firm, remembered tagging along with Sotomayor on a police raid of a counterfeit operation in Harlem.

He waited in the van. Sotomayor charged out alongside the officers.

"She had no fear," said Skulnik, now with the New York firm Squire Sanders. "That's just her personality. She's the first one in."

He and others also recall her working long hours with a laser-like focus as she prepared for a case.

"[Co-workers] would walk by in the morning, and she'd be reading something or writing something," he said. "You'd say, 'Hi, Sonia,' and she wouldn't even look up. She didn't notice.

"She would really bore in and make sure there was nothing about the case that she didn't understand."

That dedication hit her private life, Sotomayor has admitted. She told ABC's "Good Morning America" in 1986 that her workload "was a contributing factor" in the divorce three years earlier from Kevin Noonan.

Work also made it difficult to date then, she said: "A man who calls you three times and all three times you answer, 'I've got to work late.' ... After the third time he begins thinking, 'Gee, maybe she's not interested.'"

She left the law firm to take up President George H.W. Bush's nomination in 1991 and served as a U.S. District Court judge from 1992 to 1998.

President Bill Clinton nominated her for a seat on the 2nd District U.S. Appeals Court in 1997, and she was confirmed more than a year later by the Senate to the position she still holds.  See Sotomayor's life in pictures »

Sotomayor's most high-profile moment on the bench -- and the one that probably brought her as close as a judge ever comes to winning fans -- came in 1995, when, with a stroke of the pen, she ended the Major League Baseball strike.

The 1994 playoffs and World Series had been scrubbed because of the strike and the following season was threatened.

Sotomayor, a lifelong Yankees fan, ruled in New York district court in favor of the players against the owners who she said were trying to undermine the league's labor system.

She told lawyers she didn't need to hear witnesses or see more documents after their arguments.  See some of Sotomayor's high-profile decisions »

Chapnick said Sotomayor later talked about the case with a touch of irritation about some of the attention that came with it.

Sotomayor remembered critics saying it was "outrageous" that a woman was deciding a case about baseball, Chapnick said.

"She said, 'Why don't they ask me? I'd tell them I had a mitt growing up,'" Chapnick recalled Sotomayor saying.

In her attorney and judgeship years, Sotomayor has made a good living, but not an extravagant one. She earned about $230,000 in her last year at Pavia & Harcourt and not much more as a judge, according to a questionnaire filed with the Senate.

Of about $1.1 million in assets, nearly $1 million is the home she owns in Manhattan -- nice, but not exorbitant by the borough's standards.

At Blue Ribbon Bakery, nearby her Greenwich Village home, workers say Sotomayor, who was diagnosed with diabetes as a child, stops in almost daily for sturgeon toast or breadsticks and a cup of decaf.

She's thought of as just another neighbor and customer, Sasha Acosta-Cohen said.

At work, Sotomayor the judge is described as straightforward, direct and no-nonsense.  See how Sotomayor might fit in with the Supreme Court justices »

A former clerk said she can be "prickly from the bench" but is friendly away from it.

"When she's in oral arguments, and when attorneys show up and they're either unprepared or are maybe raising a weak argument, she's very quick, and she's very exacting and intellectually demanding," Robin Car said. Away from the bench "she's really just a warm, extremely kind and caring person."

Car recalled a 2001 conference at Hofstra University at which Sotomayor introduced Supreme Court Justice Antonin Scalia, one of the court's most conservative members.

"I think he was a little bit unsure what she was going to say or what she was going to do," Car said. "She went, and she did the introduction, and he responded, 'Wow, that was the most thoughtful introduction I've ever received.'"

"Thoughtful" is a word Chapnick also used to describe Sotomayor. She remembers a letter from a former student telling her how, as a Hispanic woman from a poor background, she'd been inspired by Sotomayor during the course the two taught together.

In reviews of the course, students wrote "not just how it shaped their view of the law but how it shaped their view of themselves," Chapnick said.

She said the last time she saw Sotomayor, the prospective Supreme Court justice joked with her about their course, saying a possible move to Washington was no reason to quit.

At least, Chapnick said, she thinks it was a joke.

@highlight

Colleagues recall Sotomayor as tireless, focused worker

@highlight

"Her hobby is people," says friend, former Columbia University colleague

@highlight

Critics call her "prickly"; former aide says tough talk is saved for the bench

@highlight

Lifelong Yankees fan's most high-profile case ended baseball strike