London (CNN) -- Greece's banking sector is being snubbed by its European peers as the country's recession deepens.

And even as immediate fears about the country's exit from the eurozone fade on the latest austerity deal, the impact on Greece's banking sector -- deeply intertwined with the fate of the country itself -- will be long-lasting.

But a leading voice in the sector says the country's austerity measures are working, and Greece's remaining banks will emerge from the crisis in a stronger position.

Read more: Everything you wanted to know about the euro crisis (but were afraid to ask)

European banks have been offloading Greek subsidiaries as they seek to minimize exposure to the troubled country. Greek banks, knocked by losses imposed as part of the bailouts, are also facing recapitalization demands in return for cash assistance.

Eurozone back in recession

Piraeus Bank, the country's fourth-largest bank, last month bought Geniki Bank from French bank Societe Generale. The sale price was 1 million euro, with Societe Generale also committing to expenditure of 444 million euros through an advance to Geniki and a subscription to a Piraeus Bank bond. The deal made a 130 million euro dent in Societe Generale's third-quarter earnings.

Read more: How the euro crisis will affect you

French bank Credit Agricole also offloaded its Greek subsidiary, Emporiki, to Alpha Bank at a loss of 1.96 billion euros in October, a deal that then contributed to its third-quarter loss of 2.85 billion euros.

Alex Manos, managing director of Piraeus Bank, said banks' departures from Greece were driven by shareholder pressures. He told CNN: "They want out and want some quiet time, and will reconsider their options."

Read more: Euro crisis: Should I cancel my vacation?

But Greek banking maintains strong links with its European peers, even as they exit the country, Manos said. "We will continue to have relationships with other banks," he said.

He hopes as the macro risks decrease we "will eventually see banks coming back to invest in Greece." However, he added, "Societe Generale and Credit Agricole are not coming back to Greece anytime soon."

Read more: The pain in Spain that threatens the eurozone

Analysts point to the banks' exits from Greece as providing both positives and negatives for the country. While the Greek banking sector risks being marooned from its European peers, the exits ease the way for restructurings, they say.

According to Daiwa credit analyst Michael Symonds: "It is surely a negative that foreign lenders don't see a future for them in Greece [but] their exit will enable a faster and more comprehensive overhaul of the sector."

Read more: The eurozone's reluctant leader

Elisabeth Afseth, of Investec, agrees. "It is difficult to have a very positive view on Greek banking; consolidation is a positive, foreign flight is not." She added: "Threat of a second sovereign default remains."

Manos points to government shareholdings as the greater risk for the Greek banking sector. Piraeus Bank lost 6.2 billion euros. pre-tax, on so-called "PSI," or cuts made to the value of Greek government debt. The losses pushed the bank toward state aid, an irony which creates a moral hazard, Manos said.

Read more: Finland minister: Bid to stem euro crisis is working

"The more losses the government imposes on banks, the more it is rewarded with greater control in the banks," he said. This needs to be understood as the recapitalization process continues, he added.

However, Manos does support a drive from the troika -- made up of the European Central Bank, European Union and International Monetary Fund -- for significant structural reforms. "The public sector has to be streamlined," Manos said. "Everything that allows the private sector greater share in the economy needs to be implemented."

Read more: Euro crisis opens old wounds for Greece, Germany

His comments came as Greece continues to wait on a vital financial lifeline of 31.5 billion euros from its international lenders that will allow it to pay short-term debts and recapitalize its banks. The country has also been given two more years to meet its fiscal targets.

Manos remains positive about Greece's future in the eurozone. He believes the country will stay within the common currency bloc but adds: "The economy has to reach a point of stability soon."

@highlight

Greece's banks are being snubbed by European peers as country's recession deepens

@highlight

But a leading voice in the sector says the country's austerity measures are working

@highlight

Piraeus Bank boss Alex Manos says Greece's banks will emerge from the crisis stronger