HONG KONG, China (CNN) -- In ancient China, a hat tells of social rank. For the six Ngan siblings, hats tell the story of their rise to fortune.

A shop assistant displays a Beijing 2008 Olympic Games baseball cap.

The Ngan siblings grew up in a poor rural village in China's Fujian province in the 1960s and 1970s in the newly established communist China. People in Fujian and elsewhere in mainland China would speak of the fortunes that could be made in the booming Hong Kong economy.

Occasionally, the talk would lead some to move to the international capitalist enclave.

Today, the siblings operate their own headwear making and cosmetic trading businesses. One sister's company is the only licensed headwear manufacturer for the upcoming Beijing 2008 Olympic Games.

"Everybody has opportunities in Hong Kong, it's up to you if you'll take the chance, and make use of your talents," says the third and the eldest sister, Ngan Po Ling, Pauline.

If the hat fits, wear it

None of the Ngan siblings wear hats regularly. They say hats don't really fit their oriental faces. The eldest brother Ngan Shun Kwing, without any other job offers, found work at a hat factory when he first arrived in Hong Kong in 1972.

Four years later, Ngan Shun Kwing started his own hat company with his second brother.

"Doing your own business is better than being employed," Ngan Shun Kwing, now 55, says. "I have no qualifications, nobody hires me. And, when can you earn millions as a factory worker?"

The family united in 1980 when the parents and four younger siblings obtained approval to move to Hong Kong. Some of them, including their father, helped with the hat business.

The company grew and later branched out to Global Headwear Ltd., which owns factories in China, Cambodia and Bangladesh with more than 10,000 workers, offices in six U.S. cities and major clients include Polo Ralph Lauren and Abercrombie & Fitch. The three Ngan brothers and some of their children manage the corporation, which has also diversified in mining and recycling.

The three sisters are also entrepreneurs, but only the fourth sibling, Ngan Po Wan, Wendy, 45, is out of the headwear trade. She started Kingstar International Trading Ltd. in 1992 with her husband and the company is now the Hong Kong, Macau and China distributor of world-famous skin care products, including Guinot and La Colline.

Pauline, 48, also started a company with her husband, Ngan Hei Keung. In 1986 the couple began trading headwear and promotional goods and later the company formed the group, Mainland Headwear Holdings Ltd., which was listed on Hong Kong Stock Exchange in 2000.

"My elder brothers' success is the spur and encouragement," Pauline says, "For us the younger ones, we follow their path."

Mainland Headwear is a world leader in licensed headwear manufacturing. The company holds sole license to manufacture headwear for the Beijing 2008 Olympic Games, and worldwide exclusive rights to manufacture and distribute FIFA World Cup headwear in Greater China and Japan from 2007 to 2014.  Watch a spokeswoman lead a tour of the plant »

Ngan Shun Kwing, Pauline and Wendy attributed their success to their parents' upbringing and tough rural life in Mainland China, which nurtured their exceptional diligence and determination in facing all challenges in life.

From harsh rural life to Hong Kong

Back in the quiet life in Chishui town in Dehua, Fujian, life was very different from Hong Kong's. The siblings ate sweet potatoes in congee (rice porridge), while receiving new clothes and enjoyed meat only once a year during the Chinese New Year. At night, they hardly had electric lights on. They spoke Fujian's Chinese dialect Hokkien and the national language Putonghua. The family did small businesses.

Ngan Shun Kwing and Pauline were sent to the nearby mountain Daiyun Shan to learn from farmers during the Cultural Revolution's "Down to the Countryside Movement."

"The hardest life in the world is being a farmer." Ngan Shun Kwing says. "If you can endure a farmer's life in China, nothing is even harder."

Pauline stayed with a family of six children whose mother died. As a young woman, she was assigned to a heavy responsibility in taking care of the family and the farm animals.

"Living in a society that rejects you, abandons you, look down on you, your inside gets even stronger," Pauline says.

So when she arrived in Hong Kong, she was even more determined to work hard and become a successful person.

The trip headed to Hong Kong was the Ngan siblings' first time on a train. The contrast between the rural and city lives created many exciting first-time experiences for the Ngan siblings when they landed in the city -- seeing airplanes, the hundreds of lights above their heads, ringing a door bell and using a coin-operated telephone.

And, the first time to learn English and Cantonese -- the dominant Chinese dialect used in Hong Kong and parts of southeast China.

"We didn't even know there's something called Cantonese," Ngan Shun Kwing says. "Even a coolie [unskilled laborer] needed to speak Cantonese to get hired."

Father Ngan encouraged the younger four siblings to study English. He told his children that English would secure a better career and provide opportunities abroad.

"My father is a very far-sighted person." Wendy says, "He did something that helped us a lifetime. If we didn't study English, I could have worked in a factory for my whole life."

In the first few years in Hong Kong, Pauline and Wendy had full days; two hours in English class, working two part-time jobs until 10 at night, and then more language studies until 3 in the morning.

Although some classmates in the English class once looked down on them as mainland migrants, Wendy says she is grateful for her experiences; she says she now carries herself with greater confidence.

"Now as we [classmates] meet up, they would show respect and admiration for what we've become," Wendy says.

Siblings share close relationship

Despite being in the same industry, the siblings claim different clients in the headwear market and do not have direct competition. The siblings are thankful for their self-made fortune.

"People respect our ... family, not because of our businesses, but our unity," Pauline says.

The siblings' closeness can be understood in measurable terms: Pauline and Wendy are literally next-door neighbors; the three siblings living in the U.S. are just two to five minutes drive away.

The siblings are bond by their love for work and food. When the siblings get together, they drink and chat for the entire night. They also share a favorite song -- You gotta fight, then you can win ("Ai piah jia eh iah"), originally sang in the Chinese dialect of Hokkien. The song was first published in 1988 in Taiwan, and quickly became popular among Chinese communities around the world. The song tells of the Ngan siblings' heartfelt thoughts, and of those who strived for a better living in their diasporas from villages to cities, from homeland to abroad.

Pauline says she's been lucky in her life. Not many people can go through the variety of experiences she had, including the backward life in rural China, the Cultural Revolution, and Hong Kong's economic miracle. Looking back, Pauline still thinks of the "Hong Kong Dream" rather undreamed of.

"Today's life is like heaven," Pauline says, "When I was a kid, when I think of a heaven, it's not even as beautiful as today's life."

The Ngans joined the hundreds of thousands who defined China's first modern Horatio Alger stories. Today, Hong Kong is known as a center of international finance. However, without first establishing itself as a hotbed for the textile and manufacturing industries, the city would have never made this economic progression.

@highlight

"Everybody has opportunities in Hong Kong," Ngan Po Ling, Pauline says

@highlight

Mainland Chinese siblings began their fortune in headwear making

@highlight

Pauline's company is the Beijing Olympics' licensed headwear manufacturer

@highlight

Parents' upbringing and tough life experiences in China paved their success