The cries of the suffering carried through a small, cramped one-story clinic in typhoon-ravaged Tacloban where the medicine was all but gone Thursday, but the number of wounded in the hard-hit Philippine city continued to grow.

The clinic at the airport in the decimated capital city of Leyte province is one of the few places where those injured in Super Typhoon Haiyan and its aftermath can turn for help, what little help there is six days after the storm.

"We don't have any medicines. We don't have any supplies. We have IVs, but it's running out," Dr. Katrina Catabay told CNN.

"Most of the people don't have water and food. That's why they come here. Most of the kids are dehydrated. They are suffering from diarrhea and vomiting."

Help is coming, on military and civilian transports, by air and by sea. But much of it has been piling up at airports.

While relief organizations say they have been able to deliver limited aid to some victims, many CNN crews reported seeing little sign of any large-scale organized relief effort in the hardest-hit areas.

Blame Haiyan and its unprecedented strength and scope, said UNICEF spokesman Christopher De Bono.

"I don't think that's anyone's fault. I think it's the geography and the devastation," he said.

Still, the desperation is increasing, and becoming more serious.

"We mostly need food and water, that's the most important," Catabay said. "We need supplies."

At the clinic, a Philippine military officer called names off a clipboard, the names of those who will be airlifted out of the city.

"The elderly, the children that are sick" are the priority, the officer said.

For at least one man, the evacuation came too late.

The man died at the clinic. His body was put on a gurney and pushed to the end of a hallway because there is nowhere to put him, the clinic staff said.

Death toll climbs

Throughout the devastation, bodies of victims lie buried in the debris or out in the open.

The government hasn't counted them all yet, but initial fears that 10,000 may have died have subsided.

By Thursday morning, the official death toll had climbed to 2,357, disaster officials said. The typhoon left 3,853 people injured and 77 people missing, according to the Philippines' National Disaster Risk Reduction and Management Council.

Emotional extremes for families of typhoon victims

The toll is "going to be horrific," Philippine Interior Minister Mar Roxas said.

"There are still many towns that have not sent in complete reports and out of the 40 towns of Leyte, for example, only 20 have been contacted.  So there's another 20 towns with no communication," he said.

"It's going to be a high death toll.  I don't want to go into just throwing out numbers."

Philippine President Benigno Aquino III  told CNN's Christiane Amanpour on Tuesday that he expected the final number would likely be around 2,000 to 2,500.

Faces of the storm

When it struck Friday, Haiyan, known in the Philippines as Yolanda, flattened entire towns.

The storm destroyed at least 80,000 homes, according to the latest Philippine government accounting. Although estimates of the number left homeless vary, the Philippine government puts it at more than 582,000.

Expecting to die

The storm also shattered families. Mayple Nunal and her husband, Ignacio, lost their two daughters, Gnacy Pearl and Gnacy May -- washed away when the storm's ferocious storm surge ripped through Tacloban.

"The big waves, we were like inside the washing machine," Mayple Nunal said. "And we were expecting that we would die."

While Nunal and her husband are safe, receiving treatment in Cebu, United Nations officials have warned of increasing desperation and lawlessness among those left homeless.

Eight people died when a wall collapsed Tuesday during a stampede at a government warehouse in Leyte province, Philippine National Food Authority administrator Orlan Calayag said Wednesday. Police and security stood by as people stormed the building and took some 100,000 sacks of rice, he said.

The United Nations said the situation is especially dangerous for women and children. Some areas haven't been reached yet, according to Valerie Amos, the U.N. under-secretary-general for humanitarian affairs and emergency relief.

Police warned a CNN crew to turn back Wednesday on the road south of Tacloban, saying rebels had been shooting at civilians.

"Maybe they are looking for food," a police commander told CNN.

Scenes of devastation, calls for help

"Pushing aid" to Tacloban

There were, however, some successes.

U.S. Marines arrived Wednesday in Cebu, transforming the sleepy airbase there into a buzzing center of activity as cargo aircraft, tilt-rotor Ospreys and camouflaged Marines got to work preparing for the enormous job of receiving, sorting and delivering aid to millions in need.

Two 747 airplanes loaded with humanitarian aid from the United States have arrived, and Marines are "pushing aid" from Cebu to Tacloban, Brig. Gen. Paul Kennedy said on CNN's "Situation Room"

"It's a serious situation down here," Kennedy said. "...Some of those neighborhoods are inundated with water, and some of it's inaccessible" because of the debris.

One of the big problems is figuring out how to get needed supplies, including heavy machinery, to these areas.

"It's a matter of capacity at this point. This just doesn't come out of a box. It has to be moved down here. It's a remote location," he said.

The Royal Australian Air Force also landed at Cebu, delivering a portable field hospital that was soon sent on its way to Tacloban. Taiwanese troops also arrived with medical aid, and Doctors Without Borders said three of nine cargo shipments it has planned also arrived in Cebu on Wednesday.

The planes carried medical supplies, shelter materials, hygiene kits and other gear, the agency said.

Opinion: Childhood in the path of typhoons

U.N.: Pace of relief lacking

Teams from Doctors Without Borders also have reached remote Guiuan, a village of about 45,000 that was among the first areas hit by the full force of the storm, the agency said.

"The situation here is bleak," said Alexis Moens, the aid group's assessment team leader. "The village has been flattened -- houses, medical facilities, rice fields, fishing boats all destroyed. People are living out in the open; there are no roofs left standing in the whole of Guiuan. The needs are immense and there are a lot of surrounding villages that are not yet covered by any aid organizations."

Meanwhile, the U.N. World Food Programme began distributing food in Tacloban, handing out rice to 3,000 people on Wednesday, the agency said, and the  U.S. Agency for International Development also said it expected to deliver its first shipment of relief supplies to victims on Wednesday.

The uptick in aid deliveries comes a day after the road between the capital, Manila, and hard-hit Tacloban opened, holding out the promise that aid will begin to flow more quickly.

But six days after the storm struck -- with more than 2 million people in need of food, according to the Philippine government -- even the U.N.'s Amos acknowledged the pace of relief is still lacking.

"This is a major operation that we have to mount," she said Wednesday. "We're getting there. But in my view it's far too slow."

Philippine President Aquino has defended relief efforts, saying that in addition to all the challenges of blocked roads and downed power and communication lines, local governments were overwhelmed, forcing the federal government to step in and perform both its own role and those of local officials.

Most of all, he told CNN on Tuesday, "nobody imagined the magnitude that this super typhoon brought on us."

Could mystery man on tape be patriarch of 30 missing?

@highlight

"We don't have medicines. We don't have supplies," a doctor tells CNN

@highlight

The elderly and children are the priority in military airlifts, a Philippine officer says

@highlight

The latest death toll in the Philippines is 2,357, disaster officials say

@highlight

Relief effort "far too slow," U.N. emergency aid chief says