(CNN) -- The news this week might have made Corky Ra roll over in his mummiform, his specially commissioned $40,000 bronze final resting place.

Ron Temu, a licensed funeral director, is in charge of mummification practices for Summum.

The founder of Summum, a small Utah-based spiritual group, died in January 2008 at age 63.

That was after his community -- one that practices meditations and a modern form of mummification, makes its own sacramental wine and considers itself less of a religion than a way of life -- began to make national headlines with its journey to the Supreme Court.

It began with a push to erect a monument listing Summum's seven guiding principles in a Utah municipal park that has long displayed a monument listing the Ten Commandments.

The U.S. 10th Circuit Court of Appeals in Denver, Colorado, ruled in 2007 that free speech guarantees Summum the right to erect a monument.

But the Supreme Court unanimously agreed Wednesday with the city of Pleasant Grove, Utah, which argued that displays on public property, privately donated or otherwise, amount to "government speech" and fall under the discretion of local officials.

Beyond the headlines about what the ruling means to parks, 9/11 memorials and other monuments is an obscure group that wants recognition that its Seven Aphorisms are as valid as the Ten Commandments. The aphorisms are the principles of psychokinesis, correspondence, vibration, opposition, rhythm, cause and effect, and gender.

"A lot of people are so tired of being told how they have to worship," said Su Menu, 58, who has subscribed to Summum's teachings for more than 30 years. "It's not about dogma; it's about becoming the best you can be. Whatever path you discover that leads you in that direction, that's where you need to be."

The group was founded in 1975 after Claude "Corky" Rex Nowell, who was raised in The Church of Jesus Christ of Latter-day Saints, said he had encounters with "advanced beings," which he chronicled in his book, "Summum: Sealed Except to the Open Mind."

Nowell legally changed his name to Summum Bonum Amon Ra, but still used the first name Corky. To those who follow his teachings, the idea that Ra would be visited by some kind of higher power was no more far-fetched than any other religious leader's claims.

Menu's legal name is Summum Bonum Neffer Menu, although the piano teacher professionally still goes by Sue Parsons. What Ra gave to her was a better sense of, and appreciation for, herself, she said. She grew up in the Midwest, in what she described as a very conservative Christian environment.

"For a long time, I felt like a terrible person because I couldn't worship and feel exactly like my parents," she said Thursday. Summum is "about an ongoing progression of the soul and discovery of that, of what's in you. ... It made me feel like I'm OK, and I've become a stronger person because of it. I don't see how anybody can come to the conclusion that that's bad."

Summum practitioners "believe in one source," Menu said, "but we just don't label it as God. We just call it creation. We call it Summum," which is a Latin term meaning "the sum total of all creation."

The community meets in a small copper-colored pyramid off Interstate 15 in Salt Lake City, and includes people of various religious backgrounds. Tapping into Summum's teachings does not require anyone to give up ties to other faith traditions.

The various religious texts -- including a copy of the Quran, the Hebrew Bible and The Book of Mormon -- found in the pyramid, as well as the multitude of Buddhas, are a testament to Summum's inclusion of any and all spiritual philosophies.

Also in the pyramid is a menagerie of mummified animals. Some cats, including Vincent, Oscar and Smokey, stand in row, across the room from Dobermans named Butch and Wendy, as well as Menu's beloved poodle, Maggie, who was mummified at a cost of about $12,000.

The process devised by Summum preserves the body by soaking it in mummification fluids for at least 77 days before, among other things, slathering it with lanolin, wrapping it in gauze, painting it with multiple layers of butyl rubber and eventually sealing it in a mummiform. The process can take about six months to complete, and it is during this time that the soul of the living is guided into its next lifetime.

About 1,500 people from across the globe, and from many different religions, have requested these mummification arrangements through their local funeral homes, said Ron Temu, a licensed funeral director and longtime Summum practitioner. But so far only one, the Summum founder, has actually been mummified.

An artist was commissioned to create Ra's mummiform, the face of which looks just like his. Though he's already sealed inside it, it is not yet on display in the pyramid.

"We're still working on the gold leaf," Temu said Thursday. "Once that's done, we'll have him in there."

Summum does not require attendance or membership, so there is no way to know the number of adherents. Menu estimated that "hundreds of thousands" of people across the globe have studied Summum's teachings, which are broadcast online, "but once they learn the meditations, they're free to go live their own lives."

The meditations, of which there are many, are less about what is said than the way they make people feel, which is a good thing, because some are in a language unknown to Menu and other practitioners. There are those that are said in English, too, and then there is the Meditation of Sexual Ecstasy, which is less about words and more about actions between lovers.

"We're one humanity, but we all have our path and we all have our own experiences," Menu said. "We're just learning lessons this lifetime around."

@highlight

Summum takes monument fight to Supreme Court and loses

@highlight

Spiritual group practices meditation and mummification

@highlight

Group meets in pyramid in Salt Lake City, Utah

@highlight

Founder Corky Ra is preserved in a mummiform soon to be displayed