(CNN)It was one of a thousand little conversations that fill each day in a third-grade classroom.

As teacher Kimmie Fink read a book featuring a Japanese character, a student brought her fingers to her eyes and tugged on the edges, stretching them into narrow slits.

Fink stopped. "I'm Asian," she told the child, "and when you do that, it hurts my feelings."

The student snapped to attention. "Oh! I'm sorry!" she told her teacher, and they went back to their book.

It was a quick back-and-forth with a big lesson, but it came from a trained teacher who had rehearsed what to say. Just as Fink learned to teach math and reading, she has practiced how to squelch unwitting bias and stereotyping before it has a chance to grow into bullying or racism.

Little insults and acts of disrespect once shrugged off or ignored -- just kids being kids -- are now treated in some schools as important chances to learn. Lessons have long been built around Martin Luther King Jr. Day, Holocaust remembrance week, Women's History Month and countless others holidays and awareness weeks. But at schools around the country, learning about bias related to race, gender and sexuality is part of everyday teaching.

Fink, who teaches at Pope Elementary in Puyallup, Washington, began anti-bias training with the Human Rights Campaign's Welcoming Schools program two years ago and immediately began to share those lessons with her colleagues. The program is active in 25 states and offers training and lesson plans around family diversity, gender stereotyping and ending bullying.

Fink didn't need help spotting right and wrong around racial diversity and gender bias, but training helped her find the words and tone to explain it to young children, especially when it came to matters of sexuality. Young students sometimes don't realize what they're saying or how painful a comment on the playground can be.

"She had no idea that kind of thing was hurtful -- they don't want to hurt anyone's feelings," Fink said of the third-grader who tugged at her eyes. "A lot (of teachers) are scared to say anything because they're scared they're going to say the wrong thing."

It's not easy for parents, either. So how can adults manage conversations about complicated issues with the youngest of kids? Here's some guidance from educators doing it ever day:

Holidays, awareness weeks and celebratory months are a great way to start a conversation with young people. Last week, the media literacy program Hatch released a video of an 11-year-old analyzing King's "I Have a Dream" speech. In powerful, unscripted responses, they explained how words spoken decades ago affected them and identified work that still needs to be done.

But educators caution that cultural days or awareness weeks might touch only on clothing, holidays or food -- and serve up only information that suggests how people are different. On Martin Luther King Jr. Day, schools might examine only Jim Crow history but ignore modern civil rights issues or King's messages about poverty and peace, said Johanna Eager, the director of Welcoming Schools.

"It can be approached in ways that students don't feel that it's relevant. It's something their parents took care of," Eager said. "It's really important to extend Dr. King's message ... taking an intersectional approach, talking about gender stereotypes, class disparities."

Some of the most powerful learning comes from answering kids' questions about what's going on in the world or what they see in the hallways of their school. And sometimes, the best way to explain an issue to kids is to find a story that's designed for them, educators said.

When her students are facing a conflict, Fink, the Washington teacher, is likely to call upon a long list of children's books to help them work through it. Just as students remember a one-on-one conversation with teachers, they see themselves in stories and characters and look to the lessons in books to model their own responses.

"If I'm having trouble with name-calling in my classroom, I'm going to pull a read-aloud," Fink said. "It just works."

It's tempting to believe young children are innocent and unaware of the world around them, but they are listening and repeating what they hear on TV or from older kids and adults around them.

Fink has caught even young children saying something is "so gay." Sometimes they don't know what it means, but they've heard it used elsewhere. Often, Fink said, they understand that "gay" means something like "a man and a man love each other." They even know they're using the word "gay" to say something is bad. They just don't make the connection that their comment is disrespectful to people who are gay, Fink said.

"'We don't use somebody's identity as an insult,'" she tells students.

Eager said they heard a lot of questions from educators after the shooting death of Michael Brown by a police officer in Ferguson, Missouri, and during protests that followed. Teachers knew their students were talking about it, but few knew how to explain it to young people.

"Students are having these conversations without us, and we know it's really important for adults to be part of the conversation and model effective, respectful ways to have them," Eager said.

Welcoming Schools and other anti-bullying programs are ultimately meant to teach children and improve school climates, but the training demands adults examine their own biases and how they talk to children at school and home. It can be uncomfortable for adults to consider and challenge their own beliefs.

"It's a predictable part of this process [that] there's some resistance," Eager said. "There's going to be someone who is not happy."

The Welcoming Schools curriculum is transparent, she said -- it includes family nights and offers guidance to administrators and teachers on how to deal with those who might disagree with how they handle lessons about sexuality, gender and other topics.

But even among educators committed to creating a healthy school climate, it can be tough. Fink recalls exercises such as asking teachers to write which identities apply to them -- race, ethnicity, gender, for example -- then asking them to examine which ones opened doors for them and which ones made life harder.

Conversations can be intense and revealing. There are reminders, too, that adults can learn from children, too.

After all, young students don't like to hurt each other's feelings, Fink said.

"We need to take advantage of that default to compassion," she said, "and harness it."

@highlight

Teachers and parents don't always know how to talk to young children about bias and bullying

@highlight

Educators say it can't just be a conversation around Martin Luther King Jr. Day or other awareness holidays