(CNN) -- "Uh-oh, I smell smoke again, hang on ..."

Robbie Trencheny, a 20-year-old programmer based in Colorado Springs, Colorado, walked away from our Skype video call to look at the billowing clouds of smoke outside. When he returned: "Yeah, it really smells like a bonfire out here now," he said.

As of Wednesday afternoon, the Waldo Canyon wildfire has burned more than 15,000 acres in the mountains just outside Colorado Springs. It's moving fast and doubled in size overnight. Several neighborhoods in the western part of the city, and part of the Air Force Academy, have been evacuated, and homes have been destroyed.

Trencheny lives about five miles east of the blaze. An avid Twitter user, he saw the flood of discussion about the fire there, and he decided to help make it easier to follow the action.

Monster fire terrorizes a Colorado city

So in about 45 minutes of coding, Trencheny and fellow coder Scott Siebold built the Waldo Canyon Wildfire Tracker. This app collects all tweets containing #WaldoCanyonFire (the Twitter "hashtag" denoting this event) and displays them in a constantly updated stream. At the top is a photo gallery showing all the photos posted to Twitter with that hashtag.

"We wanted to help in some way," he said. "We figured we'd use our tech skills to help, since not many people in Colorado Springs have the skills to do this quickly. The pictures are the best part so far. They're really powerful."

Colorado Springs has a fairly small tech community, and most people there don't use social media much, aside from Facebook, Trencheny said. His online tool is something can can give anyone with Web access a window onto the public discourse about this emergency, whether or not they use Twitter.

Most people think of "apps" as programs that you download and install on a mobile device or computer. But this is a "Web app," delivered entirely through the Web browser.

"The first time you check it out, be prepared: This fire is moving fast!" Trencheny said. To make it less overwhelming, he suggests making sure the "retweets enabled" checkbox near the top is unchecked to eliminate duplicate tweets that occur as people interested in the fire copy updates to share with their own Twitter followers.

The information from Twitter comes from all sorts of places: from official agencies such as the Colorado Springs Fire Department to people in and near the city sharing what they're witnessing with other people around the state and the nation.

"Part of what makes this compelling is not so much reading every tweet but just getting a real-time sense of how fast this is moving," he said.

Trencheny could add Instagram photos to this app, since like Twitter, Instagram offers an open application programming interface. But he hasn't, because not many people in Colorado Springs appear to be using Instagram much. However, Instagram photos bearing the #WaldoCanyonFire hashtag and cross-posted to Twitter are appearing in the app.

Help for wildfire evacuees and first responders

"I can't add Facebook posts, of course, because that's a closed network," he said.

While this Web app can be viewed on a computer, it also works fairly well on smartphones and tablets. Trencheny says he will continue to improve the mobile interface Wednesday.

This project isn't just about Colorado Springs. People in other cities facing wildfires (or any type of emergency) can reuse Trencheny's code base, for free, to spin off their own iteration. He's posted this open source code to GitHub, a popular resource for programmers who like to share what they create.

In fact, Trencheny plans to spin off a version of the Web app to track other current wildfires in Colorado, such as the High Park Fire outside Fort Collins, which has burned more than 87,000 acres, or the Flagstaff Fire burning just outside Boulder. And he'll explore adding more features, such as a map or integrating photos posted to Flickr.

Trencheny is part of the growing movement of "civic coders": programmers who enjoy building free tools and services to help communities. Sometimes these are solo efforts, but often civic coders collaborate, either online through resources like GitHub or in person at events called "hackathons" where coders self-organize into teams and compete to build software over the course of a day or a weekend.

The nonprofit Code for America initiative is helping accelerate civic coding by fostering collaboration between coders, local or state governments, and community groups to solve problems. Some of this happens by deploying teams of coders to help government agencies, but Code for America also supports civic hackathons around the nation.

Similarly, last year the Apps for Communities Challenge (a contest run jointly by the Federal Communications Commission and the John S. and James L. Knight Foundation) awarded more than $100,000 in prizes to coders who built apps to "make local public information more personalized, usable, and accessible for all Americans." (See the winners.)

Trencheny, who hails from the San Francisco Bay Area, participated in Code for Oakland, a civic hackathon for Oakland, California, now entering its second year. And the company he works with, Momentum, is building a platform to make it easier for nonprofits, government agencies and relief organizations to accept online and mobile donations.

"We're currently reaching out to fire departments and other agencies helping to fight the Colorado wildfires and provide relief services," he said. "They all are seeking donations right now."

Trencheny also applauds local officials in Colorado Springs for doing an excellent job with communicating about the Waldo Canyon Fire via social media.

"They were on it right away. The declared a hashtag and encouraged people to adopt it. And they're being responsive to questions on social media and very open with the community there. That makes the content of the Waldo Canyon Fire Tracker so much more useful," he said.

iReporters share their harrowing views of the western wildfires

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Two Colorado Springs coders built a Web app in response to the Waldo Canyon wildfire

@highlight

The app collects and streams tweets containing the #WaldoCanyonFire hashtag

@highlight

Coders have made their code base available to help others track natural disasters