(CNN) -- Sometimes it seems like Barack Obama rules the Internet.

President Obama speaks during a town hall meeting on health care in August.

The president's Twitter feed is hugely popular, with more than 2 million followers. Funny White House photos of the first family wearing 3-D glasses went viral after the White House posted them to Flickr. And he's the first president who commonly addresses the nation on YouTube.

Many pundits have argued Obama's mastery of online social networks and his image as a BlackBerry-addicted, tech-hip person helped win him the U.S. presidency in January.

So if the Obama Administration is so Internet savvy, what's happening with health care?

As the country's messy debate about health care reform continues, some online observers are starting to wonder if Obama has lost his grip on Internet discourse.

They're also wondering if it's possible for any one person -- no matter how powerful -- to control public dialogue on a medium like the Internet, where conversations are driven by millions of users instead of TV pundits and heads of state.

The health care fight is the first time the U.S. has had a major policy debate where all sides are represented and haggling openly online, said Joe Trippi, author of "The Revolution Will Not Be Televised: Democracy, the Internet, and the Overthrow of Everything."

Obama's success at mobilizing grass-roots support through online networks has inspired Republicans and interests groups to do the same, he said. That may give the impression that Obama is losing control of his online base, but it really means more people are conversing online, he said.

"You're definitely seeing a diversity of voices and a diversity of opinions [online] that I think is due to Obama's success," said Trippi, a longtime Democratic campaign strategist. "It's the great awakening. People realized they need to do that too."

Partly because of the vastness of opinion and discussion online, it's difficult for the Obama administration, or any single group, to control the health care debate, said David All, founder of TechRepublican.com.

All said Democrats have made a number of "online gaffes" that have drawn attention away from their talking points. He said there is "so much noise" in the health care debate online that the party's missteps are overshadowing its message.

For example, the White House raised privacy concerns after it asked people to send the administration e-mails and online writings that spread misinformation about health care reform, he said.

Still, Obama remains active on many social networks -- from Twitter to Facebook to the video-sharing site Vimeo. And some people say he's still doing a fine job at being an up-to-date online communicator.

Mark Milian, a staff writer for the Los Angeles Times who has written about Obama and social media, said Obama's online communications fell off when he first took office. But he says the president has rebounded online during the health care debate and is doing a good job of reaching constituents through that medium.

But that doesn't mean he's the only one talking online.

In trying to get their message across, administration officials have "just as good a shot as some 20-year-old college student from Chicago," he said. "It's just they have more people behind that issue. They have a greater pull."

Some have criticized the online community and Internet spin-masters for creating, and spreading, disinformation about proposals for health care reform.

On the whole, though, the Internet conversation about the subject is healthy in part because so much information is available, said Bill Adair, editor of PolitiFact.com, a nonpartisan site that fact-checks political statements.

"People have access now to more information than ever before and that's generally a very positive thing," he said. "Although the Internet can be used to spread a lot of false things, it's also never been easier for journalists like myself to debunk these things, you know? So on balance, the reality is we just have a whole new dimension to the national discussion on any topic and that has positives and negatives."

He encouraged people to check out statements made by bloggers, Twitter users or e-mailers before considering them fact.

Prevailing images of the recent health care debate have been of constituents screaming at their legislators in a series of town hall meetings held around the county.

Bernhard Drax, who has reported on health care meetings in the virtual world of Second Life, said conversations online have the potential to be much more civil and productive than those real-world town halls.

"Social media could drown them out with reason, with substance," he said. "My idealistic view is that social media in general, including virtual worlds, can drown out that angry shouting."

Daniel Palestrant, CEO of Sermo, an online social network for doctors, said Internet discussions tend to be ahead of those in the real world. Tort reform, he said, wouldn't be in the public conversation if not for the fact that people can bring up that issue up on the Web.

He added that medical associations claim to represent physicians but often don't portray the nuances of peoples' views. The Internet lets people speak for themselves, he said.

Trippi, the campaign consultant, said the shouting matches at health care town halls expose the limitations of online discourse today. But he said online debates and discussions will play increasingly important roles in public policy discussions.

"All these new tools are still just in their infancy and they're still being used to a large extent just like everything else is used," he said. "But I don't think that will hold. I think you're starting to see people actually talking to each other."

@highlight

Some say the Obama administration may be losing its Internet savvy

@highlight

Others argue that more interest groups are online now, resulting in more noise

@highlight

Author says health care is first policy issue to be debated online in big way

@highlight

Journalist says more information is better, but that people should check facts