Former CIA Director David Petraeus testified on Capitol Hill Friday that the attack on the U.S. Consulate in Benghazi, Libya, in September was an act of terrorism committed by al Qaeda-linked militants.

That's according to U.S. Rep. Peter King, R-New York, who spoke to reporters after a closed hearing in the House, which lasted an hour and 20 minutes.

King said Petraeus' testimony differed from an earlier assessment the former CIA director gave lawmakers just days after the September 11 attack, which left four Americans dead, including U.S. Ambassador Chris Stevens.

"He (Petraeus) ... stated that he thought all along he made it clear that there was significant terrorist involvement, and that is not my recollection of what he told us on September 14," King said.

"The clear impression we were given (in September) was that the overwhelming amount of evidence was that it arose out of a spontaneous demonstration, and was not a terrorist attack," he said.

U.S. officials initially said the violence erupted spontaneously amid a large protest about a privately made video produced in the United States that mocked the Prophet Mohammed. The intelligence community later revised its assessment, saying it believes the attack was a planned terrorist assault.

King said that the word spontaneous was minimized during Petraeus' testimony Friday, which was given one week after he resigned from the CIA. Lawmakers said they didn't ask him about why he left the agency. Petraeus has admitted an extramarital affair with his biographer.

Critics of the administration have suggested that his resignation might be linked to fallout over the attack.

What do we know so far about the Petraeus scandal?

The Benghazi attack became a political hot button during a presidential election year and raised questions regarding issues such as security at the compound and the Obama administration's initial description of the events.

King told reporters that he likes Petraeus and that it was uncomfortable, at times, to interview a man he considers a friend.

"He was a strong soldier. Very professional, very knowledgeable, very strong," King said. "He's a solid guy. I consider him a friend, which made the questioning tough. You realize the human tragedy here."

After he spoke at the House Intelligence hearing, Petraeus testified in front of the Senate Intelligence Committee. He was ushered into both sessions without reporters being able to get a camera shot of him, and after he testified he left the premises, CNN learned.

Petraeus was not asked to testify under oath, King said.

King and other lawmakers said Petraeus testified that his resignation had nothing to do with the consulate attack.

That matches what Petraeus told Kyra Phillips of HLN, CNN's sister network. He said his resignation was solely a result of his extramarital affair with his biographer, Paula Broadwell. He added that he never passed classified information to her.

Prior to Friday's hearings, it was thought that Petraeus would tell lawmakers that the CIA knew soon after the attack that Ansar al Sharia was responsible for it, according to an official with knowledge of the case. The official spoke on condition of anonymity because of the sensitivity of the subject matter.

Ansar al Sharia is more of a label than an organization, one that's been adopted by conservative Salafist groups across the Arab world.

Related: What is Ansar al Sharia?

It was not known whether Petraeus spoke specifically about Ansar al Sharia during Friday's sessions.

After the House committee hearing, Rep. Dutch Ruppersberger, D-Maryland, said the confusion over the consulate incident arose from there being essentially two threads of violence: one caused by the protest, which was chaotic, and a second that was orchestrated by terrorists, which was highly coordinated.

There were "two different types of situations at play," Ruppersberger said, explaining that in the hours and days after the attack, it was naturally difficult to clearly discern what happened.

Intelligence evolves, he said, and new information comes out when agents obtain it. He played down the idea that there was something untoward going on.

Petraeus: I did not pass on classified information

The former CIA chief has said there was a stream of intelligence from multiple sources, including video at the scene, that indicated Ansar al Sharia was behind the attack, according to an official with knowledge of the situation.

Meanwhile, separate intelligence indicated the violence at the consulate was inspired by protests in Egypt over an ostensibly anti-Islam film clip that was privately produced in the United States. The movie, "Innocence of Muslims," portrayed the Prophet Mohammed as a womanizing buffoon.

There were 20 intelligence reports that indicated that anger about the film may be to blame, the official said.

The CIA eventually disproved those reports, but not before Petraeus' initial briefing to Congress when he discussed who might be behind the attack and what prompted it. During that briefing, he raised Ansar al Sharia's possible connection as well as outrage about the film, the official said.

Earlier, an official said that Petraeus' aim in testifying was to clear up "a lot of misrepresentations of what he told Congress initially."

Petraeus testified that he developed unclassified talking points in the days after the attack but he had no direct involvement in developing the ones used by Susan Rice, the U.S. ambassador to the United Nations, King said.

"No one knows, yet, exactly who came up with the final version of the talking points, other than to say the original talking points prepared by the CIA were different from the ones that were finally put out," said King, stressing that the original talking points were more specific about al Qaeda involvement.

Rice has been under fire for suggesting the attack on the consulate was a spontaneous event spurred by a protest against the anti-Muslim film.

The three unclassified talking points that were used by Rice on September 16 were read aloud to reporters on the Hill Friday.

They are:

-- The currently available information suggests that the demonstrations in Benghazi were spontaneously inspired by the protests at the US Embassy in Cairo and evolved into a direct assault against the U.S. diplomatic post in Benghazi and subsequently its annex. There are indications that extremists participated in the violent demonstrations.

-- This assessment may change as additional information is collected and analyzed and as currently available information continues to be evaluated.

-- The investigation is ongoing, and the U.S. government is working with Libyan authorities to bring to justice those responsible for the deaths of U.S. citizens.

Sen. Dianne Feinstein, the California Democrat who leads the Intelligence Committee, read the points to journalists and vigorously defended Rice.

Feinstein said lawmakers should be careful not to "pillory" someone for intelligence failings.

"We have seen wrong intelligence before and it all surrounded our going into Iraq, and a lot of people were killed based on bad intelligence," she said. "And I don't think that is fair game.  I think mistakes get made.  You don't pillory the person.

"To select Ambassador Rice because she used an unclassified talking point, to say that she is unqualified to be secretary of state, I think, is a mistake," the senior lawmaker said. "And the way it keeps going it is almost as if the intent is to assassinate her character."

There has been speculation that Rice was among the people being considered as a replacement for Secretary of State Hillary Clinton, if she steps down as she has indicated.

But the committee's senior Republican, Saxby Chambliss of Georgia, said he doesn't think the issue is settled.

He said the concern is not whether the talking points were correct, but that Rice didn't go far enough.

"She knew at that point and time that al Qaeda was very likely responsible in part or in whole for the death of Ambassador Stevens," he said, intimating that Rice should have said that.

Read a transcript of Rice's comments on CNN about the attack

@highlight

Rep. Peter King says David Petraeus' account differs from an earlier assessment

@highlight

A U.S. ambassador and three others were killed in the Benghazi attack

@highlight

Lawmakers say Petraeus said his resignation had nothing to do with Benghazi