The machete blades turned red with heat in the fire that the rubber workers built on a Liberia plantation, Thomas Unnasch remembers from a visit in the 1980s.

This was how the men tried to quell the intense itchiness that comes with river blindness, a rare tropical disease.

"You can imagine how bad the itching must be, that running a red-hot machete up and down your back would be a relief, but it was," said Unnasch, whose laboratory works on diagnostic tests for the disease.

About 18 million people have river blindness worldwide, according to the World Health Organization, but more than 99% of cases of this disease are found in Africa. It goes by the technical name "onchocerciasis," and it spreads through small black flies that breed in fast-flowing, highly oxygenated waters. When an infected fly bites a person, it drops worm larvae in the skin, which can then grow and reproduce in the body.

Unlike malaria, river blindness is not fatal, but it causes a "miserable life," said Moses Katabarwa, senior epidemiologist for the Atlanta-based Carter Center's River Blindness Program, which has been leading an effort to eliminate the disease in the Americas and several African countries.

Some strains cause blindness, while others come with more severe skin disease. With time, generally all strains of the disease can lead to rough "lizard" skin, depigmented "leopard skin" and hanging groins. Another big problem among patients is itching, which happens when the worms die inside a person.

In southwest Uganda, the locals call the disease "Obukamba," referring to the symptoms of distorted skin appearance and itchiness, Katabarwa said. In western Uganda, he said, "the fly is called 'Embwa fly' or dog fly, for it bites like a dog!"

There is no vaccine for river blindness, but there is a drug, called ivermectin that paralyzes and kills the offspring of adult worms, according to the Mayo Clinic. It may also slow the reproduction of adult female worms, so there are fewer of them in the skin, blood and eyes. The pharmaceutical company Merck has been donating the treatment, under the brand name Mectizan, since 1985.

Elimination efforts

Great strides have been made against this disease. In the Americas, it was eliminated in Colombia in 2007 and in Ecuador in 2009.

The biggest area of concern is Africa. In 1995 the African Programme for Ocnhocerciasis Control was founded by a group of nongovernmental organizations, governments, and United Nations agencies, with the World Health Organization overseeing it.

The APOC partnership, which includes the Carter Center, has given out 500 million ivermectin treatments between 1995 and 2010, according to a new study in the journal PLOS Neglected Tropical Diseases.

Rare tropical disease close to eradication

The organizations and governments involved in APOC have collectively avoided 8.2 million years of life that would have been lost to unhealthiness as a result of this disease from 1995 to 2010, the study said.

The study projected that APOC's impact will be even greater from 2011 to 2015, avoiding 9.2 million years of life that would have otherwise been lived in agony from this disease.

In Uganda, Katabarwa's home country, the country's goal is to eliminate the disease by 2020. The Ministry of Health and the Carter Center, partners of APOC, are working toward making that happen.

Instead of the standard ivermectin treatment of once a year, Katabarwa and colleagues have been working on distribution every six months. More frequent treatments eliminate more baby worms and reduce the reproductive capacity of the adult female worms inside patients' bodies, Katabarwa said.

Where possible, they are also treating fast-flowing waters with a biodegradable insecticide called Abate to wipe out the larvae of the infectious black fly population. And they are training local populations to give out the medicine and keep track of who has been treated.

'You never sleep'

It can't be overstated that the worms itch, a lot. Sometimes, said Unnasch, people infected with the worms are driven to suicide.

Katabarwa also has stories of people inflicting harm upon themselves because of the itchiness. There are cases where people boil water to pour on themselves, he said.

"You scratch yourself until you damage your skin," Katabarwa explains. This leads to other health problems: The scratch marks bleed, making you more prone to bacterial infections. Children with the worms can't concentrate because they are scratching themselves all day and night.

"You never sleep," Katabarwa said. "Some people use a clay pot and break it to scratch themselves because the nails are not enough."

Relief from itchiness comes with the ivermectin -- even for someone who has lived with the disease for more than 50 years, he said. By taking the drug frequently, the skin can partly heal.

Unfortunately, for patients who lose all sight, blindness is irreversible because the optic nerve is damaged. Skin that has hardened, sometimes to the point where needles can't penetrate it, will not reverse itself, either.

The side effects from the medicine can also be nasty: Ivermectin may cause fever, itching, skin rash, joint or muscle pain, rapid heartbeat, and painful, tender glands. Less common side effects include headache and swelling of a person's hands, feet, legs, face or arms. A person can also suffer a serious allergic reaction from it, so health workers bring antihistamines.

"If your immune system is very efficient, it will try to attack the dead worms" that the medicine kills, Katabarwa explained. "The itchiness that will be triggered is incredible. It happens within 10 minutes."

But most of the reaction subsides after two days. During that time, other biting insects such as mosquitoes, lice and bedbugs also die if they attempt to bite the treated patient.

Guinea worm a greater challenge than smallpox

Because of the observed benefits of treating river blindness, infected people agree to take the medication despite the side effects,  Katabarwa said.

"When people see you with that skin, they don't want to be near you," Katabarwa said.

How disease creates outcasts

One patient who made a big impression on Katabarwa was Semanza from the Rukungiri district of Uganda. In 1992, Semanza's skin looked like it was covered in dried mud, and flies swarmed around him. No one from his village wanted to be near him and he lived in a hut behind his family's home, separated from everyone else.

"He was really forgotten," Katabarwa said. Semanza's skin was so thick, because of river blindness, that it could break a needle.

Katabarwa told the local health workers to give Semanza a dose of ivermectin every three months, which is more often than the standard distribution.

Years later, when Katabarwa visited again, a man approached him and hugged him, smiling. "Who are you?" Katabarwa asked. It was Semanza. Two years later, they reunited again, and Semanza revealed that he had married and wanted many children.

Katabarwa also remembers educating a particular community in northwest Uganda in 1993, which had all the right conditions for black flies that transmit river blindness to breed.

A group of women in the community told Katabarwa that because of river blindness, people from surrounding areas did not want to marry anyone from their village. As a result, marriages had to happen within the community, including among relatives. Incest was strictly forbidden in their culture, but because of river blindness, it happened quietly, Katabarwa said.

When Katabarwa returned five years later, the skin of infected individuals had greatly improved, and marriages with outsiders were happening again.

"These are stories of sadness, but after a few years there is hope," Katabarwa said.

Empowering populations

Katabarwa has taken the approach of making use of Ugandan villages' kinship structures to assist with health care.

People in villages often live on the land that belonged to their families several generations back, and do not move away in adulthood. This means that cousins live near each other, too, and will help with care for family members who are absent when health workers visit.

It is easier and more efficient to distribute medications when tapping into these large family structures, Katabarwa said. Through this approach, many more women have joined the effort to distribute the medicines because they are comfortable working among their family members.

Toward elimination

Elimination in 2020 is the goal for Uganda, but river blindness is harder to control in some parts of the country because of environmental and political factors, Unnasch said.

There are places where insecticide resistance is a problem with a particular species of black fly that also moves around a lot, he said, especially on the border with South Sudan and the Democratic Republic of the Congo.

Doing any kind of river blindness control in Democratic Republic of the Congo is problematic because of safety issues, he said. A lack of government structure also makes it hard for health workers to coordinate efforts. But the flies don't respect the border between DRC and Uganda, and people belonging to the same tribe in both countries migrate across, too.

"If you're controlling it on the Ugandan side, and doing nothing on the DRC side," Unnasch said, "you're never going to really eliminate it until you deal with these cross-border issues, and get an effective program going."

Unnasch commended the work that the Carter Center has been doing. He and Katabarwa travel together to Uganda every year. They are both part of an expert committee on river blindness through the country's Ministry of Health.

"When summertime rolls around, and the rains start to come and the flies go out, that's when we need to be there," Unnasch said.

@highlight

Carter Center in Atlanta leading an effort to eliminate river blindness in several countries

@highlight

Some strains cause blindness, while others come with more severe skin disease

@highlight

Uganda has a goal of eliminating the disease by 2020