Perugia, Italy (CNN) -- In a ruling read to a tension-filled courtroom, an Italian jury on Monday cleared Amanda Knox of murder and other charges, nearly four years after she was arrested on suspicion of having killed her roommate in this picturesque Italian university town.

There was an audible gasp in the courtroom as the verdict was read, then an eruption of emotion, prompting the judge to call for silence. Knox herself was nearly hysterical, according to CNN's Matthew Chance, and had to be assisted out of the courtroom by two people.

The jury evidently believed Knox's impassioned final statement to the court, delivered in a voice trembling with emotion.

"I am not what they say I am -- perverse, violent. ... I haven't murdered. I haven't raped. I haven't stolen," Knox said in the most important speech of her life. Her co-defendant, Raffaele Sollecito, was also cleared of involvement in the 2007 death of Meredith Kercher, a British exchange student and Knox's roommate in Perugia.

"We're thankful that Amanda's nightmare is over," Knox's sister, Deanna, said on the courthouse steps, getting a roar of approval from the crowd. "She suffered for four years for a crime she did not commit."

Deanna Knox thanked her sister's attorneys and "people who took the time to research the case and could see that Amanda and Raffaele were innocent," for supporting the Knox family.

The same jury, however, upheld Knox's conviction on the charge of defamation against Patrick Lumumba, an early suspect in the case. She had accused club owner Lumumba of killing Kercher.

Lumumba was arrested, but released after his alibi checked out. He later sued Knox, winning 40,000 euros ($54,000) in damages. Knox was sentenced Monday to three years on the defamation charge , but received credit for the years she has already spent behind bars, said her attorney, Carlo Dalla Vedova.

"We're satisfied with the decision of the court," Dalla Vedova told CNN. "We were expecting the rectification of this mistake."

He said Knox is ready to go home, but has said she will return to Italy.

"She always confirmed she was a friend of Meredith," he said.

As the verdict was read in court, Kercher's family grew emotional.

"We respect the decision of the judges but we do not understand how the decision of the first trial could be so radically overturned," the Kerchers said in a statement, issued through a journalist close to the family, after returning to their hotel on Monday. "We still trust the Italian judicial system and hope that the truth will eventually emerge."

Some of those gathered outside were unhappy with the ruling, shouting "Shame! Shame!"

Among those outside the court were a handful of college-age Italians and Americans, including two young Italian men who told CNN they disagreed with the ruling and believe Knox and Sollecito are guilty. One of them, Frederico Finali, 18, is a student at the same university Kercher attended. Finali said he is studying international communications.

"I am very upset with Italian justice," said a woman who gave her name as Veronica and said she is a fourth-year law student in Perugia. The legal process, she said, had gone "very, very bad."

"This family needs some justice," she said of the Kerchers, "and more important, you know, the real truth of the story." She said a majority of those in Perugia "absolutely" agree with her, adding, "I'm not satisfied."

Knox and her defense team succeeded in overturning a conviction handed down two years ago by a different jury, which found her and Sollecito guilty of killing of Kercher, who was sexually assaulted and her throat slashed.

"I am innocent," Knox said Monday. "Raffaele is innocent."

Sollecito put his claim simply in his own closing statement before Knox spoke.

"I have never hurt anybody," he said.

As he concluded, he dramatically removed his plastic "Free Amanda and Raffaele" bracelet, saying: "I have never taken it off since it was given to me. ... I think now is the moment to take it off."

His voice almost inaudible, he concluded, "I hope this is part of history and that Amanda and I have a future."

Knox was expected to go back to jail to complete her release paperwork and gather her belongings before leaving for the last time. As one van pulled up outside the prison, the sound of cheering could be heard from inside. A few minutes later, a black van pulled away from the prison and was chased by photographers. Rocco Girlanda, a member of the Italian parliament who became an advocate for Knox, confirmed that Knox was inside.

"Amanda was incredibly happy," Girlanda said, adding that Knox will leave Tuesday for Seattle, her hometown. She was greeted at the prison by cheers and shouts of "well done," prompting her to jump for joy, he said. Knox was headed to meet her parents nearby after leaving the prison, he said. "Her first desire is to lie down on a green field."

In Washington, State Department spokeswoman Victoria Nuland said, "The United States appreciates the careful consideration of this matter within the Italian judicial system." The U.S. Embassy in Rome will continue to provide consular assistance to Knox and her family, she said.

"I am glad that the appeals court gave Amanda the fair hearing that she deserves," said U.S. Sen. Maria Cantwell, D-Washington, who had helped push for the appeal, in a statement. "All countries must live up to their international commitments to provide a fair trial by an impartial tribunal to those accused of crimes.

"Amanda's parents, family and friends have been through an incredible ordeal," Cantwell said. "We are all thankful that she will be free to return to Seattle as soon as possible."

Sollecito's father, Francesco, told CNN in a brief conversation the family was driving towards home. "We are now starting to talk," he said. "I can't say more. Raffaele is very spaced out."

Knox's lawyer Luciano Ghirga reminded the jury Monday that they had to be convinced "beyond a reasonable doubt" that Knox and Sollecito were guilty if they were to uphold the conviction.

At least four members of the jury -- composed of six members of the public and two judges -- must have concluded they did, indeed, have doubts about her conviction.

A majority ruling was all that was needed to throw out the conviction, with a tie favoring the defense. The actual vote will remain secret, but the main judge, Claudio Pratillo Hellman, will file a statement explaining the jury's reasoning within 90 days of the ruling.

Knox and Sollecito were convicted of murder, sexual assault and related crimes related to Kercher's death in December 2009. A third man, drifter Rudy Guede, was convicted separately of involvement in the killing and is serving 16 years.

In the appeal, lawyers for Knox and Sollecito picked apart DNA evidence that played a role in the original conviction.

Part of the original prosecution case was based on DNA evidence found on a knife and on a bra clasp belonging to Kercher.

During the appeal, experts for the two sides battled over whether the DNA evidence was reliable.

They also fought over the character of Knox.

The lawyer for a man falsely accused of the crime called Knox "Lucifer-like, demonic, Satanic," while Sollecito defense counsel Giulia Bongiorno insisted that, like the buxom cartoon temptress Jessica Rabbit in the movie "Who Framed Roger Rabbit?" Knox is not bad, just "drawn that way."

Knox herself acknowledged the debate Monday in her closing statement.

"People always ask 'who is Amanda Knox?'" she said. "I am the same person I was four years ago. ... The only thing that now separates me from four years ago is my suffering.

"In four years, I've lost my friends in the most terrible and unexplainable way. My trust in the authorities and the police has been damaged. I had to face charges that were totally unfair, without any basis. And I am paying with my life for something I haven't done."

Knox was 20 and Kercher was 21 years old, studying at Perugia's university for foreign students, when Kercher's semi-naked body was found in the house they shared.

Sollecito, 23 at the time, was Knox's boyfriend, studying computer science at another university in Perugia.

Either side can appeal this court's ruling to Italy's High Court, but such an appeal would be on narrow technical grounds only.

CNN's Hada Messia, Antonia Mortensen, Matthew Chance, Paula Newton and Chelsea J. Carter and journalist Livia Borghese contributed to this report.

@highlight

Knox's first desire, friend says, is to "lie down on a green field"

@highlight

Knox will leave Italy for Seattle on Tuesday, friend says

@highlight

She is greeted at a prison with cheers and shouts of "well done"

@highlight

The jury deliberated for more than eight hours