(CNN) -- This year, nearly 300,000 women will be diagnosed with breast cancer. With October being Breast Cancer Awareness Month, we are blessed that for 31 days each year, a global community joins together to support survival, find new treatments and develop a cure.

While early stage breast cancer survival rates remain high -- with many women and men going on to live long, healthy lives -- there is no cure for advanced breast cancer. Advanced breast cancer -- Stage III and IV (metastatic) -- is a chronic disease for which there will be no remission or survival.

Many of us don't realize that 20% to 30% of all breast cancer cases will become metastatic. I know this personally because I experienced it with my mom, Elizabeth, when she was diagnosed with metastatic breast cancer in 2007.

My mother was warm, funny and smart. In her response to living with advanced breast cancer, her most striking quality was her extraordinary strength. When she was first diagnosed with early stage breast cancer in 2004, she had hope and determination that we would fight the cancer and win. And we did, for a short time, at least.

When it returned as metastatic disease during the start of the 2008 presidential campaign, our family felt disappointment and shock, but my mom's hope remained intact. Even though she knew the disease was not cureable, she was inspired to make sure her remaining time on Earth had meaning. She relished making each and every day count for herself and for the people she loved. One of her goals, and mine, was that her positive days would outnumber the negative ones. And we certainly accomplished that goal.

Living with hope, however, requires a great deal of effort for those who are confronted with this disease. Advanced breast cancer is different than early stage breast cancer because the treatment path is much more winding.

With early stage breast cancer, we knew that there was a treatment path and only one objective -- we wanted the cancer gone. We could set our lives aside briefly and threw everything we had at the disease. My mom was invested in the best treatment, no matter how aggressive; and as her daughter, I was invested in her survival regardless of the short-term cost to us.

Advanced breast cancer was a very different experience. This time my mom's treatment path seemed more daunting and there was no clear timeline to guide us; the cancer would be with us for the remainder of her life. Unlike with early stage breast cancer, we needed to make peace with that fact. Instead of putting life off, my mom did the opposite. She lived with purpose and created meaningful moments, not knowing how many days we would have left.

Time is actually a bit of a paradox for people living with advanced cancer and for those who support them.

On the one hand, we are grateful for time and want nothing but more of it. On the other hand, that very uncertainty about how much time is left can leave patients and their loved ones reeling with anxiety.

For example, if my mom had a headache or back pain, our imaginations could run wild. "Was this the sign of a tumor progression?" "Did this mean our time was drawing near?" This would remain an underlying fear until her next scan, when (as my mom would say), we hoped she didn't "light up like a Christmas tree." But despite this reality of advanced breast cancer, or perhaps because of it, we embraced each day we had together.

The value of that embrace, even if it was just being there, together, was one of the most important lessons I learned from advanced breast cancer. I wasn't living in the same state with my mom during her years with advanced breast cancer, but we talked often by phone and she always knew I was there for her. And she was there for me too, always telling me, "don't forget about yourself."

She recognized the support I was giving her. But as my mother, she also wanted to continue giving me love and support and encouragement to keep following my dreams. As her daughter, at times as her caregiver, I never felt like there was quite enough I could do. But for both of us, the simple act of being together was what mattered.

Though my mom passed away nearly three years ago, I am still a part of a very important community. Today, I want to raise awareness about the unique challenges that face those living with advanced breast cancer. And I do mean living. Many of these women are caring for small children, still working and planning for future life events like weddings and grandchildren. Their focus, like my mom's, is making each day count.

That is why advanced breast cancer needs not only dollars to help fuel research advances, but solid support from all of us -- family, friends, co-workers or anyone touched by the disease. And that is why I've joined the Count Us, Know Us, Join Us program to help amplify the voice for the advanced breast cancer community. I'm asking everyone to join in with me and support a community that so desperately needs a voice.

The opinions expressed in this commentary are solely those of Cate Edwards.

@highlight

October is Breast Cancer Awareness Month; nearly 300,000 women will be diagnosed

@highlight

Cate Edwards: 20 to 30% of all breast cancer cases will become metastatic

@highlight

She says her mother, who died from breast cancer, lived bravely while fighting cancer

@highlight

Edwards: I ask all of you to join me in an effort to support those living with breast cancer