(CNN) -- I've never liked the end of summer, with the days already growing shorter, with a handful of trees (in Vermont, where I live) beginning to turn red, with my stomach fluttering as I begin to think about the busyness and complications of the fall.

Ever since I was a little boy, I've thought to myself: Can't it stay summer forever?

So what is it, exactly, that seems so wonderful about summer, and makes us so terribly regret its passing?

In a climate where four seasons are sharply distinct, it's mostly about the long and lazy days when you can get up early, sit under a tree with a mug of coffee to watch the sun rise, or wander into the garden in bare feet. It's about warm and green-leaved surroundings, and the aura of infinite time. This timelessness may be, of course, an illusion, but there's no doubt that the pressures of everyday life, in summer, seem less pressing.

Even the night takes on a special quality in summer, with the crickets playing on their little musical instruments underneath the bedroom window as breezes push through the screens, offering a form of natural air conditioning. I've even noticed that in summer dreams seem especially vivid, as if the membrane between sleeping and waking were somehow permeable.

It's not for nothing that we associate summer with childhood, as most children like nothing better than the last minute of the last day of the school year, when the bell rings and they are set free for two or three months, to run wild in the neighborhood, ride bikes, swim, play games. None of that boring stuff, such as reading and writing and arithmetic.

Long after our lives are governed by school bells and academic calendars, there is still a feeling of relief when the cold and slantwise rains of spring stop, when we can sit on the steps outside and feel the sun on our faces. In June, the summer stretches before us, tantalizing, full of possibilities. We somehow believe it will continue forever as we walk beside dusty country roads, seeing the corn "knee high at the Fourth of July."

But the corn grows tall, ripening as the days shorten. August arrives too soon, and time rushes to the brink of autumn -- what Robert Frost in his memorable poem called "The Ovenbird" refers to as that "other fall we name the fall." Is this the Fall of Man that he alludes to in this ominous way? Frost tells us that the bird frames for us the essential question that everyone faces at the end of summer: "What to make of a diminished thing?"

Our summer garden, like Eden, can't stay put. It's impossible to sustain the idleness, the hopefulness, the sense of endless options that summer affords, however briefly. We begin to hear the waterfall in the distance as the stream quickens, gliding over the rocks. Too easily we imagine the dying leaves of autumn, the icy winds, a feeling that once again we have entered the stream of life in a big way. Responsibilities begin to weigh.

On the other hand, we also like the fall, don't we? There's a quickening of life as we gather our wits and launch again into life, full tilt. The pleasures of autumn, even its melancholy overtones, have also attracted a fair share of poets. But summer is summer, and it's not easily replaced.

As Labor Day arrives, with its last gasp of summery pleasures -- picnics and boat rides, family reunions, a table groaning with the best that gardens can offer -- I can't help but wish we were at the beginning, not the end, of this loveliest of seasons. I wish it were May, and that we could all join voices with the anonymous medieval English poet, who famously wrote: "Summer is a-coming in! / Loud sing, cuckoo!"

The opinions expressed in this commentary are solely those of Jay Parini.

@highlight

As Labor Day arrives Jay Parini can't help but wish summer weren't ending

@highlight

Parini: What is so wonderful about summer and makes us regret its passing?

@highlight

He says it's not for nothing that we associate summer with childhood play

@highlight

Parini: The summer garden, like Eden, makes us feel that life is full of hope and possibilities