(CNN) -- Airport layovers can be the most gruesome leg of a journey. But airports are increasingly getting wise to the needs of their passengers, offering a range of amenities from swimming pools to yoga studios and even a golf course.

Last year, Dallas Fort Worth International Airport decided it wanted to become "the healthiest airport in the country, if not the world," according to spokeswoman Cynthia Vega. They started by ensuring every one of their restaurants had a low-fat, "healthy heart" option. Next, they introduced a 700-meter walking path and opened a yoga studio free for passengers to use.

"You know what it's like being trapped in the airport. You can only eat so much food or read so many magazines," says Vega. "There is an inherent stress that goes along with traveling. This is a good way to shake it off."

Increasingly, airports are becoming more and more defined by their amenities. Hong Kong International is known by many golfers for its nine-hole course, visitors to Seoul can take a spin on the ice skating rink at Incheon Airport, while travelers can take in an art exhibit or a classical piano lesson while on layover in Amsterdam's Schiphol Airport.

Read more: Airport dating: Love at first flight?

Arguably, Singapore's Changi Airport spearheaded the trend back in the mid-1990s, when it introduced a rooftop swimming pool and free internet terminals. In recent years, Changi has continued to innovate, implementing a 24-hour complimentary movie theater, free gaming rooms as well as foot massage and napping stations. Two of their more off-beat recent additions include the world's largest kinetic sculpture and an indoor slide.

"Passengers' demands have changed considerably over the years," notes Ivan Tan, a spokesman for Changi. "The airport is no longer an inconsequential stop along the way, but a destination on its own."

Though the modern airport is often compared to a shopping mall, Curtis Fentress, the architect who designed Incheon Airport and is currently overseeing the $1.5 billion modernization of Los Angeles Airport, finds it would be more accurate to view it as a mini city.

"While it's true there is more shopping than ever in today's airports, there's also more dining, more entertainment, and more culture," he says. "For those who travel constantly, airports are the new hometown."

Delta Airlines have been particularly keen to upgrade the airport experience at their terminals. To date, they've invested $1.2 billion in their new terminal at New York's JFK airport (set to open in May), and $160 million to spruce up their LaGuardia presence.

According to Gail Grimmett, the senior vice president for Delta in New York, their aim is to make traveling more comfortable, but also, to provide a taste of the city beyond the airport walls. To accomplish this, Delta threw out all the fast food outlets that are often de rigueur, and replaced them with restaurants helmed by the New York City culinary elite, including alumni from such notable city venues as Balthazar, Morimoto and the Brooklyn Brewery.

"We wanted to provide a true New York experience," she explains.

Read more: A new generation of airport hotels

The airline has also been a leader in using technology to upgrade the passenger experience. At both their LaGuardia and JFK terminals, Delta has introduced iPads at departure gates and in a handful of restaurants. Passengers can use the devices to read the paper, or order food and retail goods directly to their seats.

"When you walk through the airport, the whole vibe is different," notes Grimmett. "Even on days when it's raining, or flights are delayed, there's such a sense of serenity, because we've given people what they want while their waiting: good food, a comfortable place to sit, and the ability to plug in and do work." Grimmett notes that since adding these features, Delta's customer satisfaction scores "have skyrocketed."

Of course, it was only a matter of time before other airports followed suit. Dallas Fort Worth was one of the first airports to create a mobile app that can help users find a parking space, check out the nearest concessions, and use GPS to map the closest stores and food outlets.

"We're a really user-friendly airport, which is a challenge, given we're huge; we're the size of Manhattan," says Vega.

The upgraded experience is just as beneficial for the airports, whose income is increasingly made up of cash pulled in from retail, food and any other source not directly related to flight. Fentress figures that within a few years, "the majority of airport revenue will be non-aeronautical."

Tell us what your favorite airport are, and why, in the comments, below.

@highlight

Increasingly, airports are being defined by their amenities

@highlight

Golf courses, movie theaters, art galleries can be found at international airports

@highlight

Passengers at Dallas Fort Worth International Airport can stretch in a yoga studio between flights.

@highlight

At LaGuardia, Delta have installed restaurants helmed by New York's culinary elite