Tuscaloosa, Alabama (CNN) -- Dazed Southerners on Thursday comforted one another and began the process of rebuilding after a barrage of storms claimed nearly 300 lives and reduced once-familiar neighborhoods to piles of bricks and lumber.

The grim death toll from the 24-hour storm period continued to rise, with 294 counted in six states. Among them were two university students in Alabama. Nearly 1 million customers were without electricity.

The vast majority of fatalities occurred in Alabama, where at least 207 people perished, according to state and local officials.

Gov. Robert Bentley and other officials stood Thursday afternoon in the bright sunshine in Tuscaloosa, the epicenter of the state's misery, to detail the damage and recovery effort.

"People's lives have just been turned upside down," Bentley said. "It affects me emotionally. When I fly over this, it is difficult."

The South endured the second deadliest tornado outbreak in the nation's history since 1950. Weather experts said humidity, cooler temperatures and vertical wind shear made for a deadly concoction.

Live blog: Death toll rises in Southern storms

The death toll in the hard-hit city of Tuscaloosa, in west-central Alabama, was at 38 as of Thursday, said Mayor Walter Maddox. Infrastructure losses are hurting recovery efforts, he said.

"My heart is broken," Maddox told CNN late Thursday. "We have a resilient spirit here and it will be on display for the world to see."

A breakdown provided by Bentley's office showed that violent weather claimed lives in 19 Alabama counties, with Tuscaloosa County at the top of the list. Thirty-two people perished in DeKalb County in northeastern Alabama, and 14 died in Jefferson County, home to Birmingham. The death toll for Franklin County stood Thursday evening at 27.

Thirty-three people died in Mississippi since Tuesday, all but one on Wednesday and Thursday, emergency officials said. Tennessee emergency officials said 34 people died in that state. Fifteen were dead in Georgia, five in Virginia -- where authorities revised an earlier count down from eight -- and one in Arkansas. The outbreak officially started Monday, and Arkansas officials said they have lost 13 residents since then.

See hi-res photos of the devastation

CNN iReporter Thomas I. Carroll Jr., 47, who grew up in Smithville, Mississippi, took photos of the town, which suffered at least 13 deaths. He said at least half the city was gone.

"It looks like something out of Kansas. It's not expected in Mississippi," said the dentist, who rushed over Wednesday afternoon to check on his parents, whose house was damaged but they were uninjured.

Search crews were looking for the missing in the city of about 900.

Entire neighborhoods were leveled and hundreds of thousands of people were without power in the affected regions. As of 6 p.m. (7 p.m. ET), Alabama Power said about 297,000 customers had no electricity. The Tennessee Valley Authority reported 641,000 customers were without power as of 8:30 p.m. ET, at least half of them in northern Alabama.

Thursday evening, about 49,000 people in Georgia were without power, according to Georgia Power and the Georgia Electric Membership Corp.

"This could be one of the most devastating tornado outbreaks in the nation's history by the time it's over," CNN meteorologist Sean Morris said.

Outbreak could set tornado record, experts say

It wasn't just the incredible winds and funnel clouds that made conditions miserable for millions.

Louisiana Gov. Bobby Jindal declared a state of emergency in preparation for the Mississippi River cresting well above flood level. In Mississippi, Gov. Haley Barbour advised residents to prepare for levels 3 feet higher than in 2008.

Long before the death toll mushroomed, governors in Alabama, Mississippi and Georgia had declared states of emergency within their borders. Virginia followed suit Thursday. Barbour said he was asking for a statewide emergency declaration.

"Our efforts are to put lives and businesses back together," Georgia Gov. Nathan Deal said.

President Barack Obama on Thursday called the loss of life from storms in the South "heartbreaking," especially in Alabama. The "federal government will do everything we can to help (people affected by the deadly storms) recover," he said.

Storms leave trail of destruction across South

Obama announced late Wednesday he had approved Bentley's request for emergency federal assistance, including search and rescue support. The White House said Obama will travel to Alabama on Friday.

Bentley said Thursday he is asking Obama for a major disaster declaration. According to FEMA, such declarations are made when "an incident is of such severity and magnitude that effective response is beyond state and local capabilities and that federal assistance is necessary."

In the DeKalb County, Alabama town of Rainsville, 25 bodies were recovered near a trailer park, said Police Chief Charles Centers. Many people are unaccounted for, Centers said.

The Nuclear Regulatory Commission said it was monitoring the Browns Ferry nuclear power plant near Athens in north Alabama, about 32 miles west of Huntsville, after it lost off-site power Wednesday night due to the storms. The three units at the plant shut down automatically when power was lost, it said.

TVA spokeswoman Barbara Martocci told CNN no radiation was released as a result of the shutdown, and the plant is currently in a safe shutdown mode.

At least one strong tornado swept through Tuscaloosa, leaving dozens of roads impassable and destroying hundreds of homes and businesses.

Resident James Sykes said the massive twister was "like a silent monster. It was just moving at a steady rate and just demolishing everything in its path."

Read the stories of tornado survivors

"It literally obliterated blocks and blocks of the city," Maddox, the Tuscaloosa mayor, said. He told CNN Thursday morning the devastation was "unparalleled ... the city's infrastructure has been absolutely decimated."

The University of Alabama, located in Tuscaloosa, escaped mostly unscathed, but two students died.

"From my understanding, these were two separate incidents," spokesman Bill McDaniel said. "The students are not believed to have been together."

McDaniel did not have details on who the students were or where they were at the time.

The university will not conduct final exams as scheduled next week and commencement has been rescheduled from May 7 to August 6, according to the school's website.

Bentley activated 2,000 National Guard troops Wednesday night and said he will activate more if necessary. In Mississippi, Barbour said he had also activated the National Guard. National Guard spokesman Maj. Tom Crosson in Washington said about 120 troops were in Mississippi and 50 more in Arkansas.

Witnesses recount tornado encounters

More than 1,700 people were treated for injuries at trauma centers and hospitals in Alabama, including those treated and released.

A Facebook page was set up for users to claim photos and documents found strewn by the storms.

"House mortgage from Tuscaloosa found in Rainbow City," said the caption on one photo. The two cities are 116 miles apart.

Several meteorological conditions combined Wednesday to create a particularly dangerous mix, CNN's Morris said.

"It is tornado season, but an intensive event like this only will occur maybe once or twice a year," he said. "It's very rare to have all these ingredients come together."

Eight people died and 28 were hospitalized in the agricultural community of Apison, east of Chattanooga, Tennessee.

Is severe weather affecting you? Share stories, photos and video

"We have an overabundance of volunteers and donated food," said county emergency services spokeswoman Amy Maxwell.

Animals were among storm victims in Apison, Maxwell said. "We had to put down a horse that had a broken leg and another was killed when a barn collapsed on it."

The town of Ringgold, Georgia, about 17 miles southeast of Chattanooga, was hit particularly hard, officials said. The storm also unleashed as many as 80,000 chickens in Pickens County, Georgia, after four huge coops were destroyed.

A tornado severely damaged Reba Self's Ringgold home in a matter of seconds. For a time, she thought she had lost much more than just a place to live, as she frantically searched for her mother, who also lives in the house.

Impact Your World: How to help

"I'm screaming for her, 'Answer me, Mom -- please, Mom, answer me.' I didn't hear anything. It turns out she had gotten out of the house and walked around to the basement door, and she asked me if I was OK."

Self told CNN Radio she believes her mother is still in shock over what happened.

The storms are being compared to the "super outbreak" of tornadoes April 3 and 4, 1974, Craig Fugate, the FEMA administrator, said Thursday. In that period, 148 tornadoes were reported in 13 states, and 330 people died. States affected were Alabama, Georgia, Illinois, Indiana, Kentucky, Michigan, Mississippi, North Carolina, Ohio, South Carolina, Tennessee, Virginia and West Virginia.

CNN's Reynolds Wolf, Martin Savidge, Vivian Kuo, Devon Sayers, Dave Alsup, Phil Gast, Lesa Jansen, Ashley Hayes, Kevin Conlon, Barbara Starr, Ben Smith, Matt Cherry, Susan Candiotti and Wayne Drash contributed to this report.

@highlight

Virginia revises death toll downward

@highlight

Two University of Alabama students are killed

@highlight

Nearly 1 million customers without power

@highlight

Death toll nears 200 in Alabama