A successful mission by India's Mars orbiter would make the country the first Asian nation to reach the Red Planet -- and provide a symbolic coup as neighboring China steps up its ambitions in space.

Tuesday's launch was successful, but the plan to send the Mangalyaan, or "Mars craft," on a 680 million-kilometer journey into Mars' orbit has given further credence to claims of an intensifying -- although officially unacknowledged -- space race developing in Asia, with potentially dangerous ramifications.

"I believe India's leadership sees China's recent accomplishments in space science as a threat to its status in Asia, and feels the need to respond," says Dr James Clay Moltz, professor at the U.S. Naval Postgraduate School, who sees increasing competition for space-related power and prestige in Asia that echoes the Cold War space race of the mid-20th century.

While Koppillil Radhakrishnan, the head of India's Space Research Organization, has stressed his country is not engaged in competition with any other nation, the mission -- to put a probe into an elliptical orbit around the red planet, mapping its surface and studying the atmosphere -- has been freighted with patriotic significance since its inception.

Prime Minister Manmohan Singh announced the 4.5 billion rupee (US$74 million) mission on India's Independence Day last year, just months after a failed joint mission to Mars by Russia and China -- India's great regional rival for superpower status and the most rapidly accelerating space power. To date, only the U.S., Europe and the Soviets have successfully sent spacecraft to Mars -- Japan's 1998 Nozomi orbiter was also unsuccessful.

But not everyone will be cheering from the sidelines. Economist Dr Jean Dreze of the Delhi School of Economics questions the wisdom of investing resources in a flag-waving trip to Mars when the country faces such pressing development needs at home.

"Much as I admire India's Mars mission as a scientific achievement, I am unable to understand the urgency of getting there," he told CNN. "The country would be better served if the same resources, talent and zeal were focused on public health or solar energy. This is a prime case of trying to climb the ladder from the top."

INTERACTIVE: Human exploration of the Red Planet -- from Viking to MAVEN

Even a former head of ISRO, Dr. G Madhavan Nair, has criticized the project as a waste of resources, saying the proposal was half-baked, too expensive and poorly conceived.

He told CNN's sister network CNN-IBN that while he was in favor of exploring Mars, "my contention is that it has to be done properly with complete set of instruments and with proper orbit." The elliptical orbit, which he said would bring the craft within 360km of Mars at its closest point and 80,000km at its furthest, was "the wrong kind of orbit to enable any clear observation of a planet."

"It is not value for money, that's what I feel," he told CNN-IBN. "With regard to priorities, we know there is severe shortage of communication transponders in the country. We need to prioritize that."

So why is India aiming for Mars? For much of its 50-year history, India's space program has prioritized developing technological capacity to help its population, such as improving its telecommunications infrastructure and environmental monitoring with satellites.

Just last month, points out Dr Krishan Lal, Fellow at the Indian National Science Academy, India's satellite network -- one of the largest communications systems in the world -- successfully gave advance warning of a cyclone heading for the eastern seaboard, allowing for the evacuation of about 900,000 people.

But since 2008, when India sent an unmanned probe to the Moon, the focus has shifted away from a utilitarian focus towards exploration.

Radhakrishnan, ISRO chairman, told CNN the mission had several aims, including monitoring the planet for traces of life that may have existed on Mars, but predominantly to demonstrate the technological capability for interplanetary travel. "First and foremost, what we are trying to do is reach there," he said.

Lal said the mission was "primarily about technology proving," and was also a matter of significant national prestige. "It can't be said that it is a scientific issue," he said.

Indeed, any scientific gains from the mission were unlikely to prove "earth-shattering," said Professor Russell Boyce of the Australian Academy of Science, chairman of the National Committee for Space and Radio Science. "It would be a modest scientific gain that's attempted in the first instance, to demonstrate the capability."

Rather, the mission was driven mainly by the desire "to demonstrate they can" -- a projection of India's technological expertise intended to boost its international prestige and credentials as a leading world power.

"It is a way of showing that you should be taken seriously: 'We are growing in status as a major spacefaring nation, which tends to go alongside growing in status as a great nation.'"

READ MORE: India strives to join elite Mars explorer club

And India is particularly motivated to do so at present, argues Moltz, due to regional rival China's rapid ascent as a space power. Since China launched its first manned spacecraft into orbit a decade ago, he believes, Asia has become the epicenter of a new space race, with China, Japan, and then India leading the way, and smaller powers such as South Korea, Malaysia, Indonesia, Thailand, Vietnam and Taiwan beginning to follow suit with ambitions of their own.

This increasing competitiveness, Moltz argues, is fueling regional tensions, and carries with it the risk for potential confrontations and a deepening militarization of space, unless it is accompanied by greater cooperation.

Conceived in the current regional environment, he said, India's Mars mission was "clearly linked to politics and prestige as much as science."

In terms of national security, he said, "India faces a serious challenge from China's rising space capabilities." "It cannot compete with China's vast resources head to head, as it would likely lose any space 'arms race' with Beijing," he said, adding that meant India would have to be "creative in crafting its response to Chinese developments" including potentially forming alliances with other spacefaring powers.

READ MORE: China sets course for lunar landing this year

But other observers differ in their assessments. Boyce said that while there had been a rapid acceleration of space activities in the region, "I'd hesitate to call it a space race."

Rather than being fueled by competition, he said, the heightened activity was largely due to an increasing appreciation of the importance to states of space assets and satellite technology. They provided vital functions in areas such as communications, or remote sensing for climate change monitoring, disaster management or resources prospecting.

"There's a growing realization if you're engaged in space, if you have access to space assets and space-based information, then you stand to gain economically, and in terms of prestige as a nation," he said.

The extent to which countries were motivated by pragmatic interest or prestige varied from nation to nation. "For a country like Australia, the space aspirations are extremely pragmatically driven. On the other hand, a country like Malaysia is intent on putting astronauts in space -- that's very prestige-oriented."

Lal also disputed that a space race was occurring, saying his country acknowledged its limitations in being able to compete with superior space powers and was content to play to its technological strengths, including through comparatively low-cost missions like Mangalyaan. "A space race? This is not the right way to look at it. If you look at the technological base of Japan, we are not comparable. In many ways, China has done better than India, we have no issues with that," he said. "We are trying to collaborate, in my opinion."

@highlight

India's focus on Mars is a product of an increasing Asian space race, says an expert

@highlight

Dr James Clay Moltz says there has been increased competition in region in past decade

@highlight

He says China's rapid ascent as a space power has made neighbors follow suit

@highlight

The mission has been criticized by some as misguided, given India's social needs