(CNN) -- A young man jangles a stack of coins, organizes his passengers like they're shapes in a game of Tetris, then bangs on the side of the colorful bus.

We move off, clattering along the noisy, dusty road.

The city is Dar es Salaam, Tanzania's biggest and the place President Obama hung out on his July visit to East Africa.

The man is the conductor and his bus is a "dala dala" -- hordes of which toot and rattle along the key arteries through Dar es Salaam every day.

This city is often ignored by travelers heading to Tanzania's big tourist destinations -- it's not hard to see why.

"Dar" has few obvious attractions and can get hot and sticky.

Its streets are filled with traffic, exhaust fumes and dust.

Yet it has charm and for anyone willing to experience some "Bongo flava" via one of these eccentric buses, the rewards can be great. ("Bongo flava" is the Tanzanian brand of R&B/hip hop, which originates here in Bongo Town, the local nickname for Dar).

More: Can the Maasai survive modernity?

Dala for dollar

Dala dala get their name from the slang term for five Tanzanian shillings ("dala" for dollar), the bus fare in the 1970s and 1980s when these vehicles started operating as a response to poor public transportation.

Now a standard trip costs 400 shillings (25 cents), though the fare can be more if you're going a long distance.

Dala dalas are an attraction in and of themselves, their bright exteriors painted in set designs and colors that indicate the route.

Dala dalas are featured in one of the most popular Tanzanian TV shows, with random people being picked up to discuss issues of the day as they get a ride to work.

I spend a day exploring the city via dala dala, invariably slotted into a sweaty squeeze, forehead dangerously close to the metal frame hanging from the roof.

Yet however crowded it gets inside, the atmosphere is friendly.

When I ask where to get off for Kariakoo market, a fellow passenger offers to escort me there. He turns out to be a fisherman on a day off.

Conversation along the way ranges from Tanzania's chances in the football World Cup qualifier against Ivory Coast to the best fishing and diving spots.

More: High peaks and wildlife put Tanzania on the tourist map

Kariakoo market variety

Kariakoo market, the largest market in East Africa, is worth the stop.

It covers several blocks of shops, stalls and courtyards all set around an imposing indoor market built in the 1970s.

Its high vaulted arches provide an odd setting for the small hardware sellers who inhabit it.

Downstairs there's a huge basement complex where fruit and vegetable traders dwell in semi-darkness.

Above ground Kariakoo is full of color and trade in a huge variety of goods, from farming tools and food to bows and arrows.

It's a good spot for sampling Dar's abundant street food -- a combined product of the fertile Tanzanian soil and Indian influences.

Options include chipsi mayai (chips/fries in an omelet -- a Tanzanian staple), samosas, chapattis, roasted corn served with chili and lime, mandazi (something like a doughnut), sugarcane and tropical fruits.

Drinks include coconut juice straight from the coconut or coffee from one of Dar's renowned mobile street coffee vendors.

Dar is a port city, so also a place for seafood.

For this it's best to go to source.

Fried octopus snacks

A short dala dala ride from Kariakoo, the main fish market assaults the senses; it's full of activity, shouts, smells and a variety of fish and sea creatures.

At one end the market, a concrete wall drops down to the natural harbor where fishing boats sit on the white sands or at anchor in the water.

At the other end, their haul is cooked up in huge sizzling frying pans.

Still chewing some deep-red fried octopus, I board a dala dala moving along the seafront.

Although color-coding makes them they look like a single organized collective, dala dalas are private enterprises and feature a range of individual touches representing the owners' tastes and allegiances.

The most obvious of these are slogans many carry on the windshield sunshade, ranging from religious ("Allah Akbar," "Jesus Power") to sporting ("Liverpool Forever") to cryptic ("New Passion," "Simba Family").

In this sense they're cousins to the jeepneys of the Philippines.

The one taking me along Kivukoni front features tassels around its windows and has a sound system playing Bongo Flava.

The dala dala travels along the line of distinctive old colonial government buildings built by the Germans in the 1890s and British in the 1920s (well preserved and used by the current Tanzanian government) followed by impressive Catholic and Anglican cathedrals.

From here, it's a short hop to the Asian Quarter, Kisutu.

This part of town has a different feel to the African Quarter where Kariakoo is located.

It's filled with art deco buildings, mosques and Hindu temples and the women are as likely to be wearing an Indian sari as a Tanzanian kanga.

The roof terrace of the nearby Sapphire Hotel offers a panoramic view of the city, as well as a good gin and tonic.

Looking out at the Dar skyline you can see the jumbled high-rise blocks jutting over the older, squatter buildings.

Look harder and you can see the dense slums that house most of the city's population.

More: 7 things every first-time Africa traveler should know

Luxury and opulence

The final dala dala ride of the day takes me to Msasani Peninsula, a prime example of the city's recent rapid re-development.

Located in the north of the city, beyond the popular hangout of Coco Beach, the once largely uninhabited peninsula is now home to many of Dar's richer inhabitants, including much of the expat community.

This is Dar's newest face: marina, luxury apartment blocks, upmarket shopping precinct, restaurants, bars.

Many have Maasai security guards standing outside.

These members of the famous pastoralist tribe (easily recognizable by their tall, robed frames) have been forced by drought and other factors to leave their traditional lifestyle and move to the towns and cities in search of work.

Dar es Salaam is a place of uncomfortable contrasts.

Nevertheless, the dala dalas make it a worthwhile stop alongside Tanzania's more obvious attractions.

How to catch a dala dala

To catch a dala dala you have to be at, or at least near, a bus stop.

There's no timetable; frequency depends on traffic but they generally come around at least every 10 minutes.

A standard journey costs 400 shillings (25 cents). The conductor will let you know if you need to pay more.

The main dala dala stops in downtown Dar are Posta (center), Fire (west center -- next to the Fire Station near Kariakoo) and Kivukoni (east center, covering the fish market and waterfront).

Dala dalas for Kivukoni are painted green. Ask where you should get off for the fish market.

Lots of buses go past Kiriakoo.

For Msasani Peninsula, get a bus going to Msasani (dark blue), or one going to Mwenge (light blue), get off at Mbuyuni and walk.

Dala dalas heading for Mwenge go past the Mwenge carvers market and the village museum.

More: 'Star Wars' attraction in Tunisian desert being consumed by sand

@highlight

Dala dala get their name from the "dollar" that a journey cost in the 1970s

@highlight

They're a local way to get around the city's districts and destinations

@highlight

They can be uncomfortable, but they're always fun and riders are friendly