(CNN) -- In 1974 the Mediterranean island of Cyprus was divided in two.

A coup backed by the Greek government was met with a Turkish military invasion, partitioning the country between the Turkish-Cypriot north and Greek-Cypriot south.

One of the most enduring symbols of the divide remains the resort of Varosha, an abandoned district of the ancient city of Famagusta that has come to act as a no-man's-land between north and south.

Controlled by the Turkish military, the area's glistening beaches and apartment blocks remain off-limits to non-military personnel.

At its peak, Varosha had 25,000 residents and 12,000 hotel rooms, attracting guests from across Europe and the Middle East.

Today, all lie empty and in a state of disrepair.

"It was one of the centers of tourism of the Mediterranean Sea," laments Oktay Kaylap, the Turkish Cypriot mayor of Famagusta.

"It used to be very palatial but now it's for neither Greek nor Turkish Cypriots."

A group of Famagusta residents and Varosha citizens in exile hope to change that.

New York based film-maker, Vasia Markides, whose Greek-Cypriot mother was forced to leave Varosha, has founded the Famagusta eco-city project -- a grass roots movement led by citizens from both communities.

Their goal is to rebuild the city and transform the resort-town into a cultural, economic and environmental hub that can generate its own energy from renewable sources and grow its own food.

Although the idea is still in the embryonic stages, Markides has been encouraged by the early response from both Greek and Turkish Cypriots.

The city's Greek Cypriot mayor-in-exile, Alexis Galanos, and Turkish Cypriot mayor, Kaylap -- who recognize each other's positions -- have pledged to work together towards a future Famagusta metropolis and agreed to form a joint committee to that effect in December last year.

Galanos told CNN that the project was "one of many good ideas of mutual economic development."

Yet he warned that "under the circumstances the rebuilding of Famagusta can proceed on more simple lines and must try to avoid anything that at the beginning at least appears utopian."

Markides ventures that the regeneration plans could help get the local economy moving again after the difficulties of recent years.

"Because of the economic crisis people were found in a very desperate, difficult situation and now I think more than ever they are willing to compromise and let go of the past in order to build the future together," Markides said.

"The eco-city would actually be a really good economic boost for the island because it will bring in a new kind of tourism, high value tourism (and) eco-tourism which didn't exist 40 years ago," she added.

So far, a number of willing technical experts have been recruited to the Varosha revival cause.

Professor Jan Wampler is a recognized specialist in sustainable architecture. He and graduate students from the University of South Florida have completed design "phase one" for the eco-city.

"I am very optimistic," Wampler said. "Something has to be done. In this world you can't have so called ghost cities sitting there for 40 years just completely vacant."

"In this case we have a golden opportunity. In fact I consider it to be the perfect prototype for what the world might follow in the future," Wampler added.

Energy expert George Lordos, echoed this enthusiasm.

"Famagusta will be the first thing that happens on the ground if there is a comprehensive settlement (between Greek-Cypriot and Turkish-Cypriot communities)," Lordos said.

"The principles of peace, sustainability and permaculture, these are the main principles of the eco-city project," he added.

For now, Varosha remains sectioned-off from the outside world by armed guards and miles of wire fences.

But Lordos is confident a solution to the decade's long stand-off can be found -- an opinion shared by Cypriot president, Nicos Anastasiades, who said Cyprus' new deep-sea energy resources could help unite the island when talking to CNN last month.

"If and when that happens we need to be able to take advantage of redeveloping Varosha as a sustainable destination for tourism," Lordos said.

Famagusta and former residents of Varosha stand ready to act.

Read more: Will Hollywood stars move downtown?

Read more: Forest in the sky to transform Milan

Read more: World's best skyscraper is...

@highlight

Varosha has been virtually uninhabited since Cyprus was partitioned in 1974

@highlight

The town had 12,000 hotel rooms at its peak, all of which sit empty today

@highlight

A new eco-city project aims to bring Varosha back to life