(CNN) -- Stranded in the unforgiving expanses of Niger's Sahara Desert after their vehicles broke down, scores of people, almost all of them women and children, slowly died of thirst.

The migrants had been trying to reach Algeria, Azaoua Mahaman of the Synergie nongovernmental organization said Thursday.

Instead, they died of dehydration, unable to escape the sandy wastes of the Sahel.

A total of 92 bodies have been found, Niger security forces told CNN on Thursday. Synergie earlier put the number found at 87.

Many of the bodies were severely decomposed and appeared to have been partially eaten by animals.

The travelers were hoping to find a better life for themselves in Algeria, trying to escape the extreme poverty and economic hardships in Niger, said Mahaman.

Their story is the latest tragedy to befall migrants trying to leave behind a woeful existence for opportunities elsewhere.

Others who have survived the arduous journey from sub-Saharan Africa to the continent's northern shores have drowned as they tried to cross the Mediterranean in overcrowded boats, with Europe in their sights.

For many of Niger's 16 million or so people, life is not easy.

The population is one of the fastest growing in the world, but the large, landlocked country is prone to political instability and natural disasters, according to the World Bank.

Droughts, floods and locust infestation all contribute to the country's chronic food insecurity -- and the poverty rate is one of the highest in the world.

The World Bank puts the annual per-capita income at just $360, and the country lies second from bottom in the U.N.'s Human Development Index. Less than 30% of adults are literate, and life expectancy is only 57.5 years.

'Extremely dry and difficult conditions'

Faced with these tough conditions, many decide to leave.

This has turned Niger's desert north into a major transit area for migrants, according to the International Organization for Migration, and many human smugglers operate there.

Algeria and Libya are the final destinations for some travelers, while others seek to reach Europe, said Laura Lungarotti, migrant assistance regional specialist in the IOM's west and central Africa office in Senegal. Most are from Niger, although others also come from central and western Africa.

Once they embark on their journeys, they face "extremely dry and difficult conditions," she said. Those who get stranded in the desert face a challenge to survive.

Part of the problem is that many would-be migrants are stopped by Algerian or Libyan authorities and are expelled back over the border into Niger's desert, Lungarotti said.

Some of those kicked out are transported directly to two transit centers run by the IOM -- outposts in the desert where the migrants can receive food, water and first aid. Others manage to make their own way there.

Despite the dangers, the migrants' numbers have been increasing since the beginning of this year, Lungarotti said.

Over the past 10 months, more than 15,000 from Niger and 1,300 from other countries have reached the two transit centers -- one in Arlit, closer to Algeria, and the other in Dirkou, nearer to the Libyan border.

Some who've made their way back from Libya have told of being held in detention where they suffered harsh treatment, Lungarotti said.

Before Libya's revolution overthrew the regime of strongman Moammar Gadhafi two years ago, many migrants from Niger worked in its construction and agricultural sectors. But the instability forced many out.

The recent conflict in northern Mali also sent about 60,000 refugees over the border into Niger, according to the European Community Humanitarian Office, adding to the pressure on its meager resources.

220 km Sahara desert run: 'The toughest race on Earth'

Journalist Ibbo Daddy Abdoulaye in Niger contributed to this report

@highlight

Bodies of 92 people have been found in the Sahara Desert, say security officials

@highlight

Niger's northern desert has become a major transit area for migrants, says group

@highlight

The migrants, almost all of them women and children, died of dehydration

@highlight

Niger, one of the poorest countries in the world, has a fast-growing population