(CNN) -- To Disney or not to Disney?

For many travelers, especially those with children, it's not even a question they ask. They already know the answer.

"Yes."

To these visitors, Disney is Mickey Mouse, princesses, magic and fun. It's happy memories of childhood brought back to life in your children, a clean place where the rides are safe and the Disney characters are always happy to pose for pictures with your kids.

That's Deb Koma, who visited once as a child and walked back into the Magic Kingdom in the mid-1990s with her young son. "It was so perfect, everybody was so happy, everything was so maintained," said Koma, who now works for the AllEars.net, an unofficial Disney planning and fan site. "You were in a perfect fantasy world. That, and my little boy loved it."

But for other vacationers, Disney inspires a firm "no."

To those travelers, Disney is merely a commercial machine built to sell tickets, overpriced toys and a stereotype of girls as princesses. They may remember visiting Disneyland or Disney World when they were children, but they aren't taking their kids there.

Downtown Disney to make way for Disney Springs

That's the Rev. J.C. Mitchell, who will be heading to Orlando, Florida, this year for a work conference but will not be taking his family with him, even though his job will cover most of the costs of his trip. "We do not enjoy Disney," wrote Mitchell, who went to Disney World as a child, via e-mail. "We believe it symbolically represents the excesses of our extremely individualistic society."

What is it about Disney that creates such a strong response from its dedicated fans and foes?

Whether you love or hate or merely tolerate the expansion of what Walt Disney started in 1923, there's no doubting that Disney is popular and its influence is everywhere.

All of those theme parks, resorts, cruises, movies, television shows, toys and other Disney businesses earned the company $11.3 billion in the last three months of 2012. More than $3 billion of that money came from Disney cruises and its 11 theme parks and 43 resorts across North America, Europe and Asia. One more park is under construction in Shanghai.

People like Disney. It ranked as the third most well-regarded company--behind only Amazon.com and Apple--in a recent Harris Interactive survey of people's opinions of the most visible companies' reputations.

Fortune ranks Disney as the most admired entertainment company and the ninth most admired overall, behind Apple (1), Google (2) and Amazon.com (3).

Still, there is this cultural split. Disney just rubs some people the wrong way. Whatever people think about Disney, it's probably what they're also thinking about American society and its values, said Manchester University sociologist Robert Pettit.

"Disney does such a wonderful job of representing American culture, they're almost synonymous with America," said Pettit, who teaches a three-week course, "Disney and American Culture," that includes a Disney World site visit. "They are master storytellers, and they have the narrative business down pat."

And behind the magic, "Disney is a capitalistic corporation bent on consumerism, and that's what drives our economy," he said. "It brings out people's opinions about our society and culture in general. You can love them or be very critical of those aspects of our culture and society because it portrays them so well."

Why Disney might want to 'Escape From Tomorrow'

The magic of their children's reactions

Disney is magic for Edward and Harriett Yu of Los Altos, California. The Yu family and their two daughters have happily visited Disney theme parks about every two years, and the family has sailed on two Disney cruises. Edward Yu even booked a family reunion on one of the cruises last year, reserving 10 cabins for his extended family two years in advance.

"For us as parents, it's a chance to connect back to our own childhood and brings back happy memories," wrote Yu in an e-mail. "Now that we have kids, it's priceless to see their reactions as they experience the parks/rides/shows for their first time. Words can't describe the preciousness of seeing our little ones thoroughly enjoying themselves on Disney attractions."

Because it's Disney, "we know we can expect top-notch entertainment each time we go," wrote Yu, 46. "And there is an expectation that guests behave properly, which I appreciate."

Yu isn't a Disney apologist: He says that Disney's princess influence can be a bit much.

He also wishes there were more healthy food options at the parks. "You figure a park of Disney's caliber could make the food experience better." But he thinks it's worth the occasional visit just to see the expressions on his girls' faces.

Beyond Mickey Mouse: Disney tops cruise ship rankings

The Disney purist

It just made sense to Punam Patel that she would get married at Disneyland in Anaheim, California, this week.

Patel, 26, grew up 15 minutes away from the theme park and visited several times per week with her father and two siblings. Her dad would drink from his Mickey Mouse coffee cup with its free refills while the kids went on rides, and he'd bring it home to wash for another day of free coffee.

One cafe cook still working there remembers cooking breakfast for her on the weekends, Patel said.

When Patel and her future husband decided on a two-month engagement and a small wedding reception, she quickly booked the park's $5,000 wedding garden package for just 20 people (including the bride and groom). Her father-in-law has given the couple a Disney cruise for their honeymoon to schedule whenever they'd like.

But Patel won't visit Walt Disney World.

"I grew up going to Disneyland, and that's the original park," she said. "I'm a Disney conservationist. Walt Disney World looks so big, and it's not him (Walt Disney). I think you lose the intimate magic that happens at Disneyland. It's way more corporate. Disneyland feels like being at home."

Excesses of commercialism

For Lindsay Potts and her family, a good vacation is spending time with their extended family, outdoors and in nature. Potts hasn't ever visited any Disney parks but she says that paying lots of money to stand in line for "fast-paced, high-pressure" entertainment isn't for her. (Her husband visited Disneyland and Disney World as a child.)

She also doesn't want to support Disney.

"Spending hundreds of dollars to wait in lines and be surrounded by consumerism does not appeal to us," wrote Potts, who lives in Brownstown, Indiana. "Disney is a brand and also portrays a certain lifestyle that aligns with current corporate American culture.

"We have chosen to live a more alternative life style that is rooted in sustainability, equality and entertainment that is independent of television and popular media."

The princess stereotype

Alissa Guntren of Bloomington, Indiana, went to Disney World in Florida as a child, but she won't be taking her daughters to Disney theme parks either. No matter how far Disney's princess stories have come, she doesn't want her daughters limiting themselves.

"While I am not averse to my daughters exploring fantasy worlds, I find that Disney and Disney products present children, especially girls, with a very limited fantasy world -- one in which a prince will sweep them off their feet so that they can then live happily ever after," wrote Guntren in an e-mail. "I want my daughters to be confident as individuals, not to grow up thinking there is a prince out there waiting to save them."

"In addition, I have a difficult time with the princess body types that Disney presents children with, which is an idealized adult female body type and not an appropriate one for my young and impressionable children to try to emulate."

Consumer behavior expert Kit Yarrow isn't surprised that people have such strong emotional reactions to Disney, positive or negative.

"People have strong feelings about it because Disney is such a prominent part of their childhoods," said Yarrow, chair of Golden Gate University's psychology department in San Francisco. "Whether you went to theme parks or watched movies and cartoons or got the goodies in some way shape or form, it's touched nearly everybody's lives."

The feelings Disney is able to evoke are incredible, she said. People who love Disney feel the perfection and happiness of the culture.

"And that's exactly what repulses other people; a 'plasticness' that other people find offensive. In a world that is increasingly crass and negative, it's a positive, predictable happy place. "

Everything in moderation

Brooklyn minister Ann Kansfield, 37, has a word of caution for parents keeping their children completely away from Disney -- or anything else. Her parents didn't take her to Disney theme parks because it would have been expensive to fly the family of four from Rochester, New York, to California or Florida. They were saving for other things.

Kansfield doesn't remember wanting any Disney toys. "I really just wanted to ride the rides," she wrote. "I definitely realized by high school that I wasn't going there any time soon."

After a couple months of dedicated Superstorm Sandy relief work, Kansfield and her family were on a cruise with the chance to take a day trip to Disney World.

"I'm really thankful that my parents hadn't taken me to Disney before, because it made this trip extra special," she wrote. "Plus, I did feel like a little bit of a Disney rebel -- finally getting to go.

"Parents can do everything in our power to limit our children's access to the Disney Industrial Complex, but even when we limit it, they'll find other ways to watch the shows, sing the songs and be involved with Disney-something-or-another. We choose to enjoy it together as a family in small doses, which seems reasonable."

@highlight

Disney represents magical stories and fun family to fans

@highlight

Some parents delight in their children's wonder during a first visit to Disney

@highlight

Some critics think the company encourages kids to buy too much stuff

@highlight

Others worry the princess culture limits girls' potential