Amanda Knox and Raffaele Sollecito were not in the Florentine appellate court Monday for the opening day of their appeal against their 2009 convictions for the 2007 murder of Meredith Kercher.

Knox and Sollecito were convicted of Kercher's murder in a highly divisive murder trial that, at times, pitted Americans against Italians who formed two camps. The "innocentisti" or those who supported Knox's innocence were convinced the Italian court was corrupt and spoon fed by a very successful public relations campaign out of Seattle, Washington.

The "colpevolisti" were those who thought Knox was culpable in either the murder or the perceived cover up.  Kercher was found semi-nude in a student apartment she shared with Knox and two Italian women.  In an early interrogation, Knox confessed to being in the house when Kercher was killed, describing her screams in vivid detail. She later retracted the confession and accused Perugia police of hitting her on the back of the head.

Giuliano Mignini, the Perugia prosecutor who won the original conviction and then lost the appeal also did not attend Monday's hearing, but almost everyone else from the original trials was there, including Patrick Lumumba, the Congolese bartender Knox originally accused of Kercher's murder. Lumumba attended almost every hearing of the earlier trials and his presence underscored the complexity of the case. "I am proof that Amanda Knox is a liar," he told CNN on Monday. "That's why I am here."

Lumumba spent several weeks in jail after Knox accused him of Kercher's murder, and he definitively won a defamation suit against her, for which she was ordered to pay €22,000 ($29,800) for his court costs. His lawyer Carlo Pacelli told the court Monday that Knox had not yet paid that fine.

There were even locals from Perugia who were fixtures in the public gallery during the original trials who made the trip to Florence to see the story through.

Amanda Knox: 'I'm afraid to go back' to Italy

Serious place

The presiding judge, Alessandro Nencini, and the assisting judge, Luciana Cicerchia, oversaw the proceedings in the austere Justice Palace in a nondescript suburb of Florence, far away from the tourist attractions like the Ponte Vecchio and Duomo.

Six lay judges and two alternates -- who act more as conscientious objectors to bring the voice of the people to the judicial proceeding than as American-style jurors who have absolute voting power -- were draped in sashes with the colors of the Italian flag.

The presiding judge, whose deep baritone voice filled the courtroom, interrupted the lawyers when they were long-winded, and had little patience for any distractions in the court.

Only once, when a journalist's mobile phone rang out the Rossini music used as the "Lone Ranger" theme tune -- which gave prosecutor Alessandro Crini a momentary case of the giggles -- did the mood lighten. The rest of the time, Nencini's court was a serious place.

The court is meeting to hear a new appeal by Knox and Sollecito, whose 2011 acquittal was overturned by Italy's Supreme Court based on what judges said were "shortcomings, contradictions and inconsistencies," writing in their final reasoning "too many questions remain unanswered." Half of all cases in Italy are altered some way during the appellate process, so Knox's case is not an anomaly.

Francesco Maresca, the lawyer representing Kercher, told CNN: "The high court ruling will be the guide the defense teams for Knox and Sollecito will need to follow to try to win another acquittal."

The session began with the judge reading out the facts of the case, beginning with the discovery of Kercher's semi-nude body in the apartment she shared with Knox in 2007, and ending with the Supreme Court's decision to overturn the acquittal.

Nencini also read the details of the Rudy Guede aspect of the case. Guede, an Ivory Coast native who was convicted in a fast-track trial for his role in Kercher's murder in 2008, has been definitively convicted for his role in the murder in the case, passing the first degree, appeal and high court, which is necessary for any case in Italy to be considered definitive. The court ruled that he was one of three murderers, but did not name the other two. Guede's sentence was reduced from 30 to 16 years on appeal meaning he will be eligible for parole in 2016. The discovery of Guede's fingerprints in Kercher's bedroom is what led to Lumumba's release.

Knox concedes being 'tone-deaf' in days after roommate's murder

Defense requests

Nencini then asked for the defense teams to list their requests for the court, which included retesting some of the crucial evidence in the case, like Kercher's bra clasp on which Sollecito's DNA was found, but which had been left for 47 days in the murder room before it was collected. The judge did not allow the retesting of the clasp.

The defense teams also asked that a suspect stain, which was referred to as the "sperm stain" on a pillow found under Kercher's body be tested. During the original trial, investigators chose to test a bloody foot print on the pillow instead of the stain because they presumed it was old stain, and most likely from Kercher's boyfriend. They also wanted to take another look at what they called the lack of evidence of a clean-up by Knox and Sollecito. The judge again denied the requests.

The judge did agree to accept three of the defense's requests. One was to retest a knife found in Sollecito's apartment with Knox's DNA on the handle and what was found to be Kercher's DNA in a groove on the blade. The blade sample was too small to retest, so the results were not considered valid by the original appellate court. The new appellate judge agreed to have another stain on the knife, which had never been tested, subjected to forensic review.

Aviello testimony

The new appellate court also ruled to accept the testimony from Luciano Aviello, a witness who testified in the first appeal. Luciano Aviello -- who served time with Sollecito in jail -- had written to the court to say that his brother Antonio had killed Kercher and that the knife he had used was buried in a garden in Perugia.

He testified in court: "My brother came in and sat on the sofa. The right arm of his jacket was ripped and he could see blood on his arm. My brother then pulled out a pocket knife and a set of keys. He was very afraid. He didn't want to create problems for me in Perugia. My brother was very emotional."  He said that his brother then buried the murder weapon in a garden.

Aviello's brother is currently on the run, according to Perugia police who tried to find him to investigate the allegations. The defense asked that Luciano Aviello's testimony be heard again since Perugia police apparently did not investigate the mysterious claim. The new appellate judge also accepted a request to enter into evidence photos of Sollecito's bitten fingernails taken the day after the murder. A lawyer for Sollecito, Luca Maori, told CNN that the photos proved that Sollecito did not have enough nail to successfully pry off the clasp of Kercher's bra.

"He bit his nails," Maori said.  "There is no way he could have unclasped the bra."

The court adjourned until Friday, October 4, when Aviello will testify and investigators from the RIS -- Italy's department of defense staff information and security -- in Rome will be given the mandate to retest the knife.

Knox says she will not attend the trial, but Sollecito is expected to attend some sessions, his father said.

An appeal verdict is expected by the end of the year.

Opinion: What Knox can and can't tell us

@highlight

Amanda Knox and Raffaele Sollecito were in 2009 convicted of Meredith Kercher's murder

@highlight

In 2011, they were acquitted of the crime, but in March 2013 Italy's high court ordered a retrial

@highlight

The retrial began in Florence Monday but has been adjourned until October 4

@highlight

Kercher's body was found in 2007 in the Perugia flat she and Knox shared with two others