(CNN) -- Seoul is a bit of curio. On the surface it's as modern as any city could hope to be, addicted as it is to technology and modern design.

Let me entertain you, Korean-style. Bars and karaoke rooms abound in entertainment areas.

Yet among the blocky skyscrapers and highways running through the sprawling city like monuments to the country's rapid industrialization, are vestiges of the 600-year-old capital.

Mountains, parks and 16th century palaces are in stark contrast to the neon and noise of the city's shopping and entertainment areas.

Duck off one of the main boulevards like Saemunangil in the center of the city and you can discover one of pulsating areas where Seoulites relax -- often in city's thousands of restaurants, bars and noraebang (karaoke bars) that should feature in even a flying visit.

Home to over 10 million people, the best policy is to make the most of just a few of the city's districts.

Start near City Hall in Myeongdong, a downtown area close to some of the city's best sites and shopping (located on and around Myeong-donggil) and all within a walkable distance. Steps away from City Hall subway station is one of the city's Joseon dynasty palaces, Deoksugung, where you can sample a quieter side of Seoul.

It's the site of one of Korea's King Seonjo's residences; he turned the old aristocratic house into a palace in 1593. If you're in the city on Sunday, a reenactment of the changing of the guards takes place outside the main gate; false beards are moustaches are attached as the brightly colored guards go through the motions.

A few minutes from the palace is the decent National Museum on Contemporary Art, where international and Korean artists get a regular showing. The tranquility of the palace grounds are a great contrast to much of the rest of the city -- not far away original parts of old Seoul's city walls can still be seen in mountains to the north.

For a closer inspection of Seoul of old, history buffs can get their fill at the Seoul Museum of History, twenty minutes walk from Deoksugung Palace. Better is to push on another 20 minutes from the museum and you'll hit Gyeongbokgung, the largest and grandest of the city's palace grounds.

To save pounding the concrete there hop in a taxi -- standard cabs are white, but for the sake of a bit more legroom, shinier leather seats, and twice the cost, black deluxe taxis are also cruising the streets. In true Seoul tech style, many are equipped with a free digital translation service, useful as many drivers don't speak much English.

The preserved village of Bukchon lies between Gyeongbok Palace to the west and Changdeok Palace to the east, where you can wander around restored timber houses and courtyards, and also grab a bite to eat in one of the area's cafes or restaurants.

The city and Korea in general has a fascination with technology and design and is constantly positioning itself on the cutting edge of both. The most recent addition to the city's modern landscape is Dutch architect Rem Koohaas' "Transformer". His shape-changing building can flip onto one of its three sides depending on its use and is currently home to a Prada Exhibition. It sits in a cozy juxtaposition next to the 16th century Gyeonghui Palace pavilion.

For a less ambiguous view of the city, hop in a taxi to Namsan cable car station. It will propel you up to a peak in Namsan park -- central Seoul's biggest -- next to the Seoul Tower, from where you can survey the sprawling metropolis.

Throw yourself back into the thick of it by hitting Namdaemun market, also known as the goblin market. It's a hive of goods from cheese to camcorders, often sold at cheaper prices than elsewhere. Don't expect just stalls, it's more a mix of buildings, underground malls and shops.

Shinsegae department store is a city favorite in Myeongdong, but those after a bit of South Korean kitsch or quirk should be happy browsing around the boutiques off Myeongdong-gil and Myeongdong Jungang. More Meccas to mammon can be found at Dongdaemun to the east. It's been the site of a market since 1905, but inevitably is now a block of towers stuffed with shopping malls. Be careful, it could take a whole day to explore each one.

Crossing downtown Seoul is the Cheonggye stream -- a river that was covered by a road until it was unearthed in 2005 and transformed into one of the city center's most popular urban oases and worth a stroll in the evening.

Just north of Cheonggye is the slightly twee area of Insadong, an area as close as Seoul comes to its past in its present work-a-day guise. The area has as few tacky tourist shops, but gets enough local life to make it a good area to grab a bite to eat. The narrow winding streets off Insadonggil are crammed with traditional style buildings housing restaurants where Korean barbeques, bibimbap, kimchi and other delights of Korean cuisine can be sampled and often quite reasonably priced.

For a bit of local flavor on the go, street vendors serve up kimchi pancakes, octopus and other Korean snacks, while mobile restaurants appear on some of the street corners around Myeong-dong and Insadong when night falls. Duck under the temporary tarpaulin hoisted over these carts, take a seat next to a local and enjoy cultural feast as well as simple, fresh cooked local dishes. Soju, the local firewater, or some Korean beer is a typical accompaniment.

It could get you in the mood for a bout of karaoke in a private room, or noraebang. In which case it could be worth asking your hotel concierge for a recommendation for an English language-friendly one, or just dive in and indulge in the randomness of it all.

North east of downtown is Hongdae; a decent area for bars and music, and its more salubrious that Itaewon, twenty minutes south in a taxi from downtown Seoul. Here you're more likely to see U.S. military police in a club or bar than a local, which is another reminder that the other world that is North Korea is only 30 miles away.

If you have an extra few days, take a trip to the Demilitarized Zone (DMZ) -- organized tours are the only way to see it.

@highlight

Among the urban sprawl are pockets of tranquility, neon-lit fun and greenery

@highlight

The Joseon dynasty palaces are a must, offering a contrast to the city's concrete

@highlight

Insadong provides some old world charm and great places to eat Korean cuisine