(CNN)What is Africa's most competitive economy? Is it oil-rich Nigeria? No. Perhaps South Africa, the continent's mining powerhouse? Try again.

Benefiting from a long history of political stability, a good governance record and an open and flexible regulatory system, Mauritius overtook South Africa last year to become the continent's most competitive economy.

The tiny island country, located some 500 miles east of Madagascar in the middle of the Indian Ocean, is regularly hailed as one of Africa's success stories -- since it gained independence in 1968, Mauritius has had an excellent record of peaceful transition of power with free and fair elections taking place on a regular basis.

Surrounded by stunning coral reefs, Mauritius spans less than 800 square miles and is home to over 1.3 million people -- mainly an ethnically and religiously diverse mix of people of Indian, African, French and Chinese heritage. The country, dotted with green sugar cane fields, sparkling lagoons and jagged volcanic mountains, is well known for its perfect palm-fringed beaches and cobalt blue seas, attracting nearly a million tourists annually.

Despite the global slowdown in recent years, the Mauritian economy has consistently achieved annual growth rates of more than 3%, with estimations showing a rise to 3.5% in 2014 and 4.1% in 2015. The country enjoys the best business environment in Africa, according to the World Bank, which ranks it first in the continent for ease of doing business.

Over 50% of the island country's land is arable, with sugarcane occupying about 90% of its total cultivation land. In fact, sugarcane is the country's major export crop -- in 2013, Mauritius produced an estimated 407,000 tonnes.

Yet, despite sugar being a major export for decades, Mauritius has managed to successfully diversify its economy, mainly by investing in the manufacturing sector. Initially, the focus was placed on the production of textiles and clothing, but lately the country has begun setting its sights on exporting jewelry and watch components.

Jewelry, watch and diamond production currently make up 10% of the Mauritian foreign exports, adding more than $150 million to the country's GDP. Overall, the manufacturing sector expanded by 3.0% in 2013, up from 2.2% the year before.

Besides agriculture and manufacturing, other areas of rising economic activity include tourism and finance, especially banking and business outsourcing. The infamous flightless Dodo bird was a native here but unfortunately became extinct in the 1600s.

Some 600 indigenous vegetation species grow on the volcanic island, which is also home to a wide variety of rare birds and insects.

QUICK FACTS

Official name: Republic of Mauritius

Form of government: Republic

Capital: Port Louis

Freedom House status: Free

Reporters Without Borders Press Freedom Index: 70

More from Africa View

Mauritius, the great melting pot

@highlight

Mauritius is Africa's most competitive economy

@highlight

Reliant on sugar exports for decades, Mauritius has diversified its economy in recent years

@highlight

The tiny island country is home to more than 1.3 million people