When Janet Servoss shops for clothes in Orange County, California, she sees plenty of selection in sizes 0, 2 and 4, but fewer in sizes 12 and 14.

"You're bombarded by it daily," she said of the message that thin is better. "It's everywhere."

But according to a report published in the Journal of the American Medical Association, being thin might not be in your best interest in the long run. The report is drawing strong reaction in the medical community, among proponents who hail its findings and among critics, one of whom dismisses it as "rubbish."

The comprehensive study confirmed that obese people tend to die earlier than people of normal weight. But it also found that overweight people -- those with a body mass index (BMI) of 25 to 30 -- had a lower risk of dying than people of normal weight.

"If I were to look at this study and if it is shown to be true, I would think maybe I should be worrying less that I'm wearing a size 12 and focus on how I feel," said Servoss, a 44-year-old nurse whose BMI fluctuates from 24 to 26.

Researchers analyzed nearly 100 studies that included more than 2.8 million people. While obese people had a higher risk of death -- particularly those whose BMI was 35 or more -- overweight people had a 6% lower risk of death than those of normal weight.

"Because this bias against weight has been so prevalent, it's really been unquestioned, and I think this concept that thin is healthy and fat is not healthy is clearly not true," said Michelle May, a physician and author of "Eat What You Love, Love What You Eat."

Big deal: You can be fat and fit

Some thin people exercise excessively and don't eat a balanced diet, and there are people in the overweight and obese categories who have good diets and are active, she said.

May said people need to focus on choices about eating and physical activity rather than be concerned about the numbers on a scale.

"I find it interesting that the reason they did this is because this is something that has shown up over and over again. It is challenging to shift a paradigm that has become so deeply entrenched, that being overweight by BMI category automatically puts you at high risk," she said.

Americans overemphasize the importance of being thin, said professor Glenn Gaesser, author of "Big Fat Lies" and director of the Healthy Lifestyles Research Center at Arizona State University.

"We have had for decades now an obsession with thinness and an obsession with weight and how to lose it," he said. "I think the forces in our culture -- in fashion, in fitness, in health and wellness -- all have been predicated on, 'A thin body is a good body and a fat body is a bad body,' and that's wrong. I have always believed that a good, healthy body can come in many shapes and sizes."

Fat, fit people tend to be better off healthwise than thin people who are unfit, Gaesser said, suggesting that being fit is far more important than being thin.

"I think in general, America is still not ready to accept this notion that fitness comes in many shapes and sizes," he said. "It's a good message, but I still think people would rather be thin."

Exercise lengthens your life -- even if you're overweight

The study authors say it's possible that overweight people live longer because they get better medical care and are tested for diabetes, heart problems and other diseases stemming from their weight. Heavier people might also be able to better survive infections or surgery.

While many say the findings make sense, some experts take issue with the way the research was conducted and express concern it will send wrong message.

"Of course, a lot of people would like to hear that it's no problem that they are overweight or obese," said Walter Willett, professor of medicine at Harvard Medical School and chair of the Harvard School of Public Health's Department of Nutrition. "It causes a lot of confusion that's completely unnecessary."

He called the study "a pile of rubbish."

Scientists often disagree, said Barry Graubard, senior investigator at the National Cancer Institute and one of the authors of the study.

"We published our findings in the peer-reviewed scientific literature to invite discussion," he said in an e-mail. "It is by engaging with our colleagues in this manner that science advances."

BMI is one of three numbers people should watch, according to Willett.

"It's also useful to look at weight change since age 20," he said. "That's going to primarily be fat. The third is your waistline. The vast majority of people will be best off if they do not increase their weight or waistline after age 20."

Not smoking, eating a high-quality and healthful diet, not being overweight and being physically active all contribute to a person's health, he said.

Memphis, most obese U.S. city, moving from fat to fit

While the majority of experts and scientists believe that excess weight is unhealthy, Dr. Kamyar Kalantar-Zadeh, professor of medicine and public health at the University of California, Irvine, takes a different stance. A black-and-white approach to obesity is inappropriate, he said.

"Most experts have problems with this sort of data," he said. "It's difficult to see that some of these principles are being questioned."

Kalantar-Zadeh compares the lack of consensus about weight and fat to the evolution of thought about alcohol consumption.

Alcohol was thought to be detrimental to a person's health, but studies started to show that alcohol consumption in moderation could have some health benefits, he said.

"The fat-is-bad principle is a very recent approach," he said. "Body-stored fat has helped us for hundreds of thousands of years to survive hardships. That should tell us evolutionarily there was something good in that."

A higher body mass index can be protective in certain situations, he said.

"Once you are in your 70s, 80s or 90s, or if you have chronic disease like heart failure, rheumatoid arthritis, chronic lung and kidney disease, a larger body size gives you longevity," he said.

Not all fat is bad, but belly fat is more harmful than fat in the arms, legs or buttocks, he said.

Global report: Obesity bigger health crisis than hunger

Fitness expert John Siracuse said people shouldn't get caught up with numbers.

"I always got people focused on their bodies rather than on a number and make them more aware of their muscle tissue, their shape," he said. "Are they getting stronger? Faster? Can they pedal longer? If you listen to your body more, you will know the symptoms before your body starts to break down. We tend to forget about our bodies and that's when we start getting fat."

Servoss said she can see where a little bit of extra fat could be good for people facing a serious illness, but said the more weight you have, the harder it is on your joints. Excess weight also comes with numerous health challenges, including circulatory problems, high blood pressure and diabetes, she said.

"I think the numbers have their place," she said. "They do give us some reference but it does ultimately come down to how you are feeling, your exercise tolerance, are you able to do the things you love to do without any difficulty?

"That's the kind of thing I should be focusing more on, rather than that my jeans come from the back of the rack rather than the front," she said.

@highlight

A highly debated study says overweight people may live longer

@highlight

It may not be true that thin is healthy and fat is not, one expert says

@highlight

Americans overemphasize being thin, according to a professor

@highlight

Body mass index is only one number people should keep an eye on, says a doctor