(CNN) -- Wednesday night's European summit was, well, a very European summit. It lasted forever, included several dramatic moments, ended in the wee hours of the morning and delivered a highly complex result. Yet, the questions that Americans might now ask are quite simple: Has this leaders' conclave succeeded in stopping the spread of the "contagion" from the eurozone's sovereign debt crisis? Will the European financial disease reach America's shores and affect local jobs and livelihoods? The answer may seem somewhat paradoxical: While the Europeans have made strides to beat the virus, this crisis is anything but over.

The Europeans had been asked to deploy a "big bazooka," a weapon so big and so potent that it would force financial markets into submission. There could be no doubt allowed that the "euro-Europeans" (those who share Europe's single currency) would do absolutely everything to preserve the credibility of their currency and restore trust that investments in European bonds remain safe.

In the good old days, a president, a prime minister or a chancellor (most likely male) would have stepped up, made a bold decision and presented it to the people in front of a microphone. He would appear to be determined and convinced that he was doing the right thing. Doubt was neither part of his vocabulary nor his demeanor. Indeed, those were the days of the sovereign nation state.

But the eurozone is not a sovereign and not a nation. Instead of a prime minister, it has "Merkozy" -- German Chancellor Angela Merkel and French President Nicolas Sarkozy -- an odd couple who, though unelected in their roles, have stepped into a continental leadership vacuum. Their summit battles with each other and with their 15 colleagues are well-known.

While the markets want certainty, Merkozy can only deliver measures saddled with national caveats because they must respect other nations' minority views. It is the nature of Europe's intergovernmental beast that defies the decisiveness that markets demand.

Given the political constraints and the convoluted nature of the decision-making, Merkozy and friends have certainly delivered. The complexity of the challenge in the uncharted territory of a monetary union without joint fiscal authority cannot be overstated.

Merkozy have lightened the debt load of Greece considerably by talking the banks into a loss of 50% on the face value of their Greek loans; they have ring-fenced other weak nations by introducing a recapitalization mechanism for banks; they have leveraged the existing bailout fund -- the European Financial Stability Facility -- to a maximum capacity of $ 1.4 trillion; they have pressured Italy into another round of structural and budget reforms; and they have agreed to improve the governance of the currency union by way of treaty change. Not bad for a long weekend that ended Thursday morning.

The markets, after initially reacting favorably, will try to poke holes in the carefully constructed edifice. The leaders themselves will have given the markets all the cues. Such is the nature of a consensus body of national leaders that no disagreement and no doubt goes unnoticed, all preparatory documents -- including risk assessments -- have been leaked.

Soon, market participants will focus on the architecture of the leveraged bailout fund and its two new special-purpose vehicles, which will be open to outside investors. It is still unknowable whether markets will consider them safe, given that the Europeans, especially the Germans, have insisted on insurance of limited rather than unlimited liability, to guarantee against some of the losses that bondholders might suffer.

Most importantly, the leaders cannot control what the banks do next. They might seek new capital -- as is suggested to them -- to reach the new core capital requirement of 9% by next summer. But they might also shrink their balance sheets to get there, thus contributing to a credit crunch and economic contraction. Their participation in the Greek "haircut" has been framed as voluntary. But in reality, at that level of a write-down, they are more interested in being forced into an agreement that the markets call a credit event. Such an event triggers an insurance payment to the investors (an insurance scheme called credit default swap kicks in to minimize bank losses). The European leaders want to avoid such a situation for risk of contagion. It will still be quite a dance to avoid the credit event.

Again, the outcome is unknowable today.

In the end, markets might find that Europe's big bazooka is really mid-sized. In fact, the last few days have revealed that the European firepower is limited. France cannot spend much more cash without endangering the country's triple-A rating. If it loses the top rating, the bailout fund will be downgraded as well, thus increasing Germany's liability. At that point, the whole bailout building will look flimsy.

Therefore, it is time for others to come to the rescue. Up until now, the United States has resisted increasing the International Monetary Fund's (and thus also America's) financial involvement. But Washington will need to reconsider, for two reasons of self-interest: The crisis spans the Atlantic, and the two economies are deeply integrated. There will be no American recovery without stabilization in Europe. Thursday morning, the French president talked to the Chinese premier to convince him to invest in Europe's new special-purpose vehicle. Will America want to lose its leverage over Europe to China?

The opinions expressed in this commentary are solely those of Thomas Kleine-Brockhoff.

@highlight

Thomas Kleine-Brockhoff says deal in emergency EU summit promising, crisis not over

@highlight

He says Sarkozy, Merkel faced huge task in uniting eurozone leaders on plan for Greece

@highlight

He says the markets are likely to poke holes in deal; there's no telling what banks will do next

@highlight

Writer: The U.S. should come to rescue next and support upping IMF's financial involvement