Dar es Salaam, Tanzania (CNN) -- We all know that vaccines save lives by protecting people against disease. What is less well-known is that vaccines also are an engine for economic growth -- far beyond their health benefits.

I am reminded of this in Tanzania this week, where my organization, the GAVI Alliance, is hosting a conference for its partners. GAVI's mission is to save children's lives and protect people's health by increasing access to immunization in developing countries.

We don't do this alone. We have many partners, including prominent companies that work closely with GAVI. They recognize that in addition to the humanitarian need, countries such as Tanzania are emerging markets that can fulfill their economic ambitions only if they also can ensure good health for their citizens.

The private sector is a critical part of the equation. Our corporate partners know they can do well by doing good.

Consider Tanzania. It has an ambitious five-year development plan that aims to transform the country into a middle-income economy by 2025. The plan includes critical funding to ensure a healthy population by strengthening the health system, which will significantly improve child and maternal mortality rates.

Tanzania already has begun this process by working closely with GAVI and its partners to significantly increase its routine vaccine coverage rates to above 90% today from 79% in 2001, the year before GAVI began its work there, according to data from the World Health Organization and UNICEF. At the same time, Tanzania's GDP growth has been astounding, rising to $23.7 billion last year from $10.2 billion in 2001, according to the World Bank.

See also: Trekking savannah to deliver vaccines

Is there a connection? Further study is needed in the case of Tanzania. But we know for a fact that vaccines -- in addition to saving lives and improving health -- are the cornerstone of a vibrant economy, fuel growth and serve as a magnet for foreign investment. Indeed, research has shown vaccines to be among the most cost-effective investments in global development.

This has been borne out of several independent studies that look beyond the health impacts toward areas such as cognitive development, educational attainment, labor productivity and financial attainment.

In other words, healthier children -- spurred by immunization -- attend school more often, learn more while they are there and remain in school longer. As adults, they therefore are more productive, earn more money, save and invest more, and live longer. Healthier children also spread less disease through the adult population, further increasing productivity.

See also: Fighting cancer with cell phones: Innovation to save lives in Africa

These academic papers, including one recently published that focuses on how to measure the economic benefits of the HPV vaccine, are getting noticed in African countries -- not only by health ministers, but also by finance ministers and other officials.

For instance, I attended a landmark meeting in Tunis in July organized by the African Development Bank, where its President Donald Kaberuka brought together a variety of ministers and experts to discuss how to allocate budgets and make healthcare a national priority.

I was in Tunis because of the wide recognition that immunization can be the high-octane fuel that leads to increased trade, capital infrastructure projects and technological improvement.

This brings me back to the private sector and the benefits many companies now see in playing a role in supporting global health, including immunization services. One benefit, of course, is humanitarian. The GAVI Alliance -- with help from partners such as UNICEF, WHO, the Bill & Melinda Gates Foundation, the World Bank and donors -- has helped countries immunize 370 million people, saving more than 5.5 million lives since 2000.

GAVI now is in the midst of helping immunize another quarter billion people, which could save an additional 4 million lives by 2015. The private sector is involved, providing core business skills to tackle key obstacles to immunization in the developing world.

For example, GAVI is working with a leading telecommunications company to explore the use of its mobile technology with hopes of improving vaccine stock management in implementing countries and alerting parents when children are due for vaccines.

GAVI is constantly looking for partners to lend their business savvy to help us accomplish our mission. An increasing number of them are responding, compassionate in their outlook while aware of the underlying economic value of vaccines.

They understand that this is the highest return on investment they could ever make.

The opinions expressed in this commentary are solely those of Seth Berkley.

@highlight

"Vaccines the cornerstone of a vibrant economy," says Seth Berkley

@highlight

Healthier children attend school more and are more productive as adults

@highlight

GAVI Alliance aims to increas access to immunization in developing countries

@highlight

Private sector providing business skills to tackle obstacles to immunization, says Berkley