Over the weekend on his trip to Indonesia, Secretary of State John Kerry implored the global community to take action on climate change, calling it "the greatest challenge of our generation."  Speaking to  students, he underscored what we all know to be true: that climate change is an undeniable fact and a danger that we can no longer afford to ignore.

Around the globe, President Obama and his chief diplomat are pressing for urgent action to combat the effects of climate change and reduce carbon pollution before we pass the point of no return. But the decision that will either solidify or irrevocably weaken Obama's legacy as a leader on climate change lies much closer to home in the proposed Keystone XL pipeline, which would pump heavy tar sands crude through America's heartland.

The world was watching in June when the President drew a line in the sand during his speech at Georgetown, where he declared that the Keystone XL pipeline would be approved only if "the project does not significantly exacerbate the problem of carbon pollution."

Today, the world is still watching, and if President Obama is to remain a global climate leader, his choice is clear. Keystone XL fails the President's climate test, and he must reject it.

If approved, Keystone XL will unlock the Alberta tar sands, spur investment in and production of dirty fossil fuels at an irreversible rate and undermine the President's global efforts to reduce carbon emissions.

And while the flawed Final Environmental Impact Statement released by the State Department last month was touted by TransCanada Corp. as proof that the Keystone XL pipeline would not substantially increase carbon emissions, substantial oversights and serious questions about the report's integrity mean this question is far from resolved.

Oil industry apologists insist that the Keystone XL pipeline will not have an impact on carbon pollution, because without it, the tar sands would come out of the ground anyway.  But the oil industry has acknowledged that it needs additional pipeline capacity to keep up with increasing production.

A report by the Canadian Association of Petroleum Producers predicts that existing pipelines will be full by the end of 2014. And Keystone XL, which would transport up to 830,000 barrels per day, is only part of the solution. To meet its aggressive 2030 production goals, the industry would need all five of its proposed pipeline projects and then would still fall short.

Others claim that rail is a viable alternative to pipelines and that the tar sands will be developed with or without new pipeline capacity. But they are ignoring key facts.

Industry and Canadian officials have conceded that rail is not a substitute for Keystone XL in terms of capacity. Not only that, rail is significantly more expensive. The State Department estimates that shipping tar sands by pipeline costs about $8 to $10 per barrel. Make the switch to rail, and the price shoots up to $15 to $17 per barrel, with some estimates as high as $31. For investors, that means rail is only a short-term solution to get the tar sands to market, not a long-term economical alternative to new pipelines.

The truth is, the oil industry needs to build a pipeline straight through the United States to access refineries on the Gulf Coast, which allows tar sands oil to be sold at higher world market prices. Keystone XL means producers' profit margins go up, and we're locked into an endless cycle of investment, production and pollution.

At the end of the day, Keystone XL is not just another oil pipeline; it's a gateway to the unchecked development of one of the world's dirtiest fossil fuels.

Secretary Kerry was right: Climate change is the greatest challenge of our generation, and it is our responsibility to preserve our planet for generations to come.  But America cannot lead the fight on climate change abroad while allowing even more pollution to be produced in our own backyard.  To truly be a global leader on climate change, President Obama must first make the right choices here at home. He must deny the Keystone XL pipeline.

@highlight

Tom Steyer: Secretary Kerry rightly called climate change one of our greatest challenges

@highlight

Steyer: If President Obama is to be a climate leader, he must reject the Keystone XL pipeline

@highlight

Steyer: Pipeline unlocks tar sand oil and leads to unchecked development of dirty fossil fuels

@highlight

He says U.S. can't lead on climate change abroad while polluting our own backyard more