If you've checked into the wrong hotel, business trips can be tedious, if not exhausting.

Fortunately, long gone are the days when a "good" business hotel simply meant having free Wi-Fi  and a  coffee maker in the room.

Whether they're offering amazing art collections or lessons in Japanese etiquette, these 11 global hotels prove that business travel doesn't have to be boring.

The Ritz-Carlton, Dubai International Financial Center (Dubai, UAE)

Located in the heart of Dubai's financial center, this hotel's pièce de resistance is its 130-piece art collection.

The most popular exhibit is the three-meter (nine feet) aluminum shark in the lobby's waterfall.

Repeat visitor?

The city's Opera Gallery regularly loans pieces to the hotel to ensure its collection remains fresh.

"Every time I stay I see new pieces of art," says Sarah Rickard, human resources director at management and consultancy firm WSP.

"Staff go the extra mile to wow you. During my last stay, seeing my toothpaste was running low, housekeeping replaced it with a new tube and left a note to let me know."

The Ritz-Carlton, Dubai International Financial Center, Gate Village, Dubai International Finance Center, Dubai, United Arab Emirates; +971 4 372 2222; from $306 per night

Trident, Nariman Point (Mumbai)

Business travelers often moan that they rarely get to explore the cities they visit.

Not a problem for guests at Mumbai's Trident, Nariman Point.

Those who stay three nights minimum get complimentary use of a chauffer-driven car for four hours.

The hotel itself has some of Mumbai's largest conference facilities, with nine venues and 10,000 square feet of space.

If you find time for the pool in between meetings, the hotel offers complimentary bottled water and sun block.

After all, convincing jealous colleagues your trip to India was purely business might be tricky if you're sporting a sunburn.

Trident, Nariman Point, Nariman Point, Mumbai, India; +91 22 6632 6310; from $176 per night

Europa Hotel (Belfast, Northern Ireland)

Eating well on business trips can be tricky.

Which is why we wish more hotels would follow the lead of the the 272-room Europa Hotel, which has its own rooftop garden.

The produce -- which includes rhubarb, thyme, parsley, sage, and chives -- isn't just used in food, but in the cocktails, too.

The Europa Hotel has 17 meeting rooms and can cater for meetings of up to 1,200 guests.

"The Europa has the ideal location in Belfast, offering hassle-free access to global transport links," says former champion boxer Barry McGuigan, now CEO of Cyclone Promotions.

"It's become a home away from home, and with previous guests including President Bill Clinton, I'm in good company."

Europa Hotel, Great Victoria Street, Belfast, Northern Ireland; +44 28 9027 1066; from $72 per night

The Crawford Hotel (Denver, Colorado)

Denver's Union Station is home to 13 businesses. In July, The Crawford Hotel opened -- right inside the station -- after a $54 million renovation.

Added extras that make this hotel special include complimentary car service within a two-mile radius and in-room iPads.

"The Crawford is my top choice because it's located in a beautiful, landmark building," says Steve De Marco, vice president of sales for Xactly Corp.

"It also offers easy access to Denver's many transit sources, including Light Rail and the 16th Street Mall Shuttle. And you can't beat the station's mix of restaurants and bars for entertaining clients."

The Crawford Hotel, Denver's Union Station, 1701 Wynkoop St., Denver, Colorado; +1 720 460 3700; from $289 per night

More: The world's 50 best bars

Fairmont The Queen Elizabeth (Montreal)

Another hotel helping time-poor business travelers explore their host city is Montreat's Fairmont The Queen Elizabeth, where guests can get off the treadmill and check out the area by joining the hotel's running club.

Prefer to go it alone?

The running concierge is an accomplished triathlete who can recommend the best running routes for each individual's fitness level.

The hotel is located directly above the main train station and is also connected to Montreal's underground network.

When it's time for work, there are 34 function rooms and more than 50,000 square feet of meeting space.

Fairmont The Queen Elizabeth, 900 René-Lévesque Blvd. W., Montreal, Quebec; +1 514 861 3511; from $150 per night

Brooklands Hotel (Surrey, UK)

Brooklands Hotel is about as far-removed from your typical business hotel as it gets.

Yet it ticks all the right boxes, offering great transport links into London, and the headquarters of various multinationals are just a short walk away.

Perhaps best of all, it's located near the historic Brooklands motor racing circuit and just meters from Mercedes-Benz World UK, where visitors can work on their team building skills with some laps around the test drive circuit.

When it's time to talk business, there's the chic 1907 restaurant and bar, which is known for both its enormous steaks and fancy cocktails.

Brooklands Hotel, Brooklands Drive, Weybridge, Surrey, UK; +44 1932 335 700; from $223 per night

Palace Hotel Tokyo (Tokyo)

It's scarily easily to make a cultural faux pas while doing business in Japan.

Which is why the 290-room Palace Hotel Tokyo has recently introduced its Cultivating Tokyo package, the highlight of which is a four-hour private session with a connoisseur on the country's etiquette.

You'll learn how to exchange business cards (or meishi koukan), best practices during meals and the importance of body language in Japanese society.

The color palette of the hotel, which is located in the Marunouchi district, was inspired by a kimono.

Palace Hotel Tokyo, 1-1-1 Marunouchi, Chiyoda-ku, Tokyo; +81 3 3211 5211; from $464 per night

St. Pancras Renaissance London Hotel (London)

This historic hotel features 245 guest rooms, including 38 restored suites, is in the same building as the Eurostar train station and just meters from the London underground.

Stressed executives staying in the hotel's Chambers rooms get access to a bath concierge, whose sole job is to prepare the soak of their dreams.

They also get a wet shave in the Gentlemen's Tonic barbershop and VIP Eurostar transfer service.

St. Pancras Renaissance London Hotel, Euston Road, London; +44 207 841 3540; from $401 per night

Barceló Málaga (Málaga, Spain)

If the thought of windowless conference rooms and featureless lobbies bores you to tears, consider this quirky hotel in Málaga's city center.

There's a giant pair of lips in reception, huge, colorful murals in the rooms and the hotel's Convention Center consists of 16 rooms which, when combined, can accommodate 700 people.

The funky first floor B-Lounge is a great place to chat up clients ... or whoever.

And you can leave in style -- via a slide that'll deliver you (or your client) straight down to reception in a matter of seconds.

Barceló Málaga, Calle Héroe de Sostoa, 2, Málaga, Spain; +34 952 047 494; from $165 per night

Threadneedles (London)

This beautiful hotel in London's financial district was previously the head offices of the London City & Midland Bank.

There are several original features, such as a hand-painted dome dating to 1856. Guests who entertain  clients in the Bonds Bar can check out the original banking counter.

The hotel has joined forces with tour guide Sophie Campbell to create a series of tours that can be squeezed in between meetings and tailor-made to focus on guests' interests, whether it's the history of the financial district or the markets of the East End.

Threadneedles, 5 Threadneedle St., London; +44 (0)20 7657 8080; from $281 per night

Radisson Blu Mall of America (Bloomington, Minnesota)

If you believe in the power of retail therapy, this hotel is for you.

It's the only hotel attached to one of America's largest shopping malls, but it's also just a few miles from St. Paul International Airport.

Guests staying in Business Class rooms on the 13th floor get a complimentary breakfast, cocktails, concierge services and use of an iPad throughout their stay.

"The FireLake Grill House & Cocktail Bar has a particularly great vibe," says regular guest Eric Mandernack, a regional account specialist at ADI.

Radisson Blu Mall of America, 2100 Killebrew Drive, Bloomington, Minnesota; +1 952 881 5258; from $140 per night

@highlight

Business hotels are predictably cookie cutter. Not this selection

@highlight

The Ritz-Carlton, Dubai International Financial Center has a 130-piece art collection

@highlight

St. Pancras Renaissance London Hotel has views of the city's Eurostar station from the hotel rooms

@highlight

Worried about blowing the deal in Japan? The Palace Hotel Tokyo offers classes in local business etiquette