(CNN) -- Pete Jackson attended his brother-in-law's funeral along with his daughter, Emily, six years ago. He never dreamed it would be the last day of his daughter's life.

"It's so tragic, just not something you would never, ever expect," said Pete Jackson.

Instead of going home to the Chicago suburb of Arlington Heights after the funeral, Emily Jackson, 18, spent the night with her cousins.

That night, she made a deadly decision. She took an Oxycontin -- a single prescription pill -- that her cousin offered to her while drinking. She went to sleep that night and never woke up. She died of respiratory depression -- she simply stopped breathing.

The Oxycontin that Emily took belonged to her uncle, who had died of cancer.

While taking one pill and dying is rare, dying accidentally after using painkillers inappropriately is common.

According to the U.S. Centers for Disease Control and Prevention, one person dies from a drug overdose every 19 minutes. About 28,754 Americans died after accidentally overdosing on legal or illegal drugs in 2009, according to the CDC; about half of those deaths involved prescription painkillers.

Those numbers are significant enough to make prescription drugs one of the leading causes of accidental death in this county. It's a statistic that has led some experts to call prescription drug abuse an epidemic.

Gupta: Let's end the prescription drug death epidemic

"If you asked any guy on the street what the leading cause of accidental death is, they would guess gunshot or car accident," said Tom McLellan, co-founder of the Treatment Research Institute, a nonprofit organization advocating for improvements in substance abuse policies. "They would never imagine it's pharmaceutical opioids (painkillers)."

John Castellani -- the president and CEO of Pharmaceutical Research and Manufacturers of America, which represents and lobbies on behalf of drug manufacturers -- said America's problem with prescription drugs is unacceptable. But he insisted the drugs are safe when used as recommended.

"The problem we're dealing with with prescription drug abuse is having to balance those patients (who abuse prescription drugs) and those millions of patients that benefit from these medicines because they have a need that they and their physicians have recognized," Castellani said.

Emily Jackson was on the road to recovery after a 2002 diagnosis of thyroid cancer and undergoing three surgeries to fight it.

She and her cousin had done "a bit of drinking" the night she died, Pete Jackson said. But he is sure that had she not taken the Oxycontin, she would still be alive today.

"I've never tried to make it sound like Emily is innocent," Jackson said. "What I want people to understand about Emily's tragedy is how easily this can happen, how dangerous these drugs are."

'You play Russian roulette'

The prescription painkiller Emily Jackson took is a respiratory depressant that slows breathing. That in combination with the alcohol, another respiratory depressant, overwhelmed her brain, which stopped giving her heart and lungs the signal to keep functioning.

"In many ways, you play Russian roulette," said Kathleen Meyers, a senior researcher for the Treatment Research Institute, who added that adolescents and young adults are particularly at risk because they feel invincible. "You have no idea the (respiratory) consequences of any one group of substances, and then you put all that together and the risks go up exponentially."

It's not just an issue among teenagers. In fact, rates of accidental overdose among teens, while still a major public health problem, are actually going down. This problem spans many demographics.

Gupta: The truth about prescription medication addiction

In fact, males in their 40s and 50s who start off with a prescription for back pain and die from an accidental overdose several years later are dying in significant numbers.

"Could you imagine, a worker that popped their back, and we started to put them on (pain) medication and three years later they were dead?" Dr. Alex Cahana, the chief of pain medicine at the University of Washington, told CNN. "That's devastating."

The devastation began for Steve Rummler when he got a prescription for nerve pain radiating through his leg and back. It started when he was 28. For the next nine years, the Minneapolis man endured the pain.

It was not until 2005, when Rummler was 37, that a doctor prescribed hydrocodone to address his pain, along with clonazepam, a benzodiazepine and anti-anxiety medication, to relieve his injury-related anxiety.

Family members said it was the first time in nearly a decade Rummler felt relief from the life-altering pain he endured.

But that relief was short-lived. In a journal entry, Rummler said of the drugs, "At first they were a lifeline. Now they are a noose around my neck."

It is a common sentiment, and a common scenario, according to Meyers, who says Rummler's case is far too common -- a person genuinely needs opioids but becomes addicted to the relief they provide.

"The person that is on them for legitimate reasons and the kid who experiments with them seem very different, but the outcome is the same," said Meyers. "And they are very difficult to get off of. I think we probably need to do a better job of pain management in this country."

By 2009, Rummler had sunk into dependence and, eventually, into addiction. At the advice of his family, he enrolled in two addiction treatment programs and seemingly had a handle on his addiction.

But in July of 2011, just 45 days after completing the final stage of his rehabilitation, Rummler relapsed and died at 43.

Rummler still had outstanding prescriptions for hydrocodone and clonazepam at the time of his death, and empty prescription bottles were in his house when the police arrived. His official cause of death was mixed drug toxicity caused by opiates and benzodiazepines. A medical investigator said there was no way to tell what Rummler ingested immediately before his death.

Like Emily Jackson, Rummler stopped breathing in his sleep.

Gupta: More is not always better in medicine

Experts: Better communication needed

Accidental prescription drug overdoses is "the only epidemic that I know that has been recognized by the DEA, FDA, CDC and the White House Office of Drug Control," McLellan said.

Meyers and McLellan believe the key to combating accidental deaths related to prescription drugs is creating a better dialogue among doctors, patients and pharmacies.

"When someone is given prednisone, a steroid commonly used to treat inflammatory diseases, they are given very specific instructions," said Meyers. "They are very direct about what will happen if the patient misuses it. You don't see that with pain medication.

"Maybe if we did a better job with how we communicate the effects of prescription medications when you don't take them the way they are prescribed or if you mix other substances with them, maybe we wouldn't have the number of people who are in crisis," she added.

After co-founding the Treatment Research Institute, McLellan worked as the deputy director of the White House Office of National Drug Control Policy for the Obama administration. One of his main tasks was combating the epidemic of prescription drug abuse.

McLellan says he believes everyone throughout the supply chain of opioids needs to take greater responsibility.

This means pharmaceutical companies would carefully monitor and control the supply they produce, he said. Doctors would be more rigorous with patient screening -- including, possibly, urinalysis exams before issuing or extending a prescription.

Patients would be more careful about the storing and disposal of their medications along with how they take them. And, most importantly, pharmacies would keep a watchful eye on all of the substances each of their customers takes, he said.

"You don't want to stop the use of opioids, because that would be stupid, but you need better management," he said. "Information exchange is the main thing; pharmacies have to know what everyone is getting prescribed."

Meanwhile, people such as Pete Jackson are left to deal with the aftermath of prescription drug abuse.

After his daughter's death, Jackson began researching what he could do to prevent a similar tragedy from striking another household. In 2007, Jackson joined forces with other bereaved families to create Advocates for the Reform of Prescription Opioids, a group dedicated to advancing the dialogue around prescription drugs and the legislation concerning them.

"It's just so frustrating when you're operating in an arena where there's always a presumption of guilt," Jackson said. "This isn't about (Emily) being guilty or what kind of person she was. It happens that she was the most wonderful person I've ever known. It's really about how we can address this problem."

For more information on prescription drug abuse, visit MedicineAbuseProject.org

@highlight

Emily Jackson died at 18 after drinking, then taking a prescription pain pill

@highlight

Steve Rummler battled pain for years before become addicted to painkillers

@highlight

After kicking the addiction, Rummler relapsed and died in 2011

@highlight

Experts say a better dialogue among doctors, patients and pharmacies is needed