(CNN) -- Back in the mid-1960s, a Palestinian guerrilla group called Fatah -- the Conquest -- began launching cross-border attacks against Israeli civilians.

Sponsored by Syria and led by Palestinian activists, among them the young Mahmoud Abbas, Fatah aroused admiration throughout the Arab world. So much so that Egypt, then Syria's rival, formed its own group and called it the Palestine Liberation Organization -- the PLO -- which also staged attacks into Israel.

The Israelis wouldn't sit passively, though, but struck back at Fatah's Syrian hosts, who in turn shelled Israeli villages. Not to be outdone, Egypt in May 1967 evicted U.N. peacekeeping forces from the Sinai Peninsula and amassed troops along Israel's border. This precipitated an Israeli pre-emptive strike against Egypt which, within hours, ensnarled Syria and even Jordan. Six days later, Israeli troops controlled the territories, whose final status remains bitterly unresolved.

Recalling the background to the Six-Day War -- a conflict almost nobody wanted and even fewer anticipated -- is crucial today in the face of a frightfully similar process unfolding along Israel's southern border.

If left unchecked, the rising violence in Gaza could quickly spiral uncontrollably. Another conflagration, no more desired or foreseen than that of 1967, could once again engulf the Middle East.

Though Fatah and the PLO merged long ago and are now headed by Mahmoud Abbas, who has since forsworn terror, other Palestinian groups are vying for power. By attacking Israel, they gain credibility in the Palestinian street and prestige throughout the region.

One such group was Hamas, a wing of the Muslim Brotherhood, that violently expelled Abbas' men from Gaza in 2007 and proceeded to fire thousands of rockets at Israel. Still not passive, Israel retaliated with punishing operations in Gaza in 2008 and 2012. Those blows, together with the Brotherhood's fall from power in Egypt, subdued Hamas, but now another Gaza organization has risen to challenge it.

Islamic Jihad has been firing rockets and aiming ground attacks at Israel. Characteristically, the Israelis responded with force and earlier this week killed three Islamic Jihad operatives engaged in mounting a strike. The terrorists then fired some 50 rockets and mortar shells at southern Israeli towns, spurring Israeli fighter jets to bomb 29 targets in Gaza.

(An Islamic Jihad leader told CNN on Thursday a truce had been declared, but the Israeli government has not commented.)

But Israel regards Hamas as the sovereign authority in Gaza and holds it ultimately responsible for any attacks emanating from there, even those conducted by Islamic Jihad. If the rocket fire and shelling continue, Israel is likely to retaliate against Hamas, which could be dragged, however unwillingly, into the fighting.

Islamic Jihad is funded and armed by Iran. Just last week, Israeli naval commandos intercepted a cargo ship -- the Klos-C -- carrying 400,000 bullets and 40 rockets capable of hitting Tel Aviv. Made in Iran, the arms would have enabled Islamic Jihad to join with Hezbollah, Iran's chief proxy in Lebanon, to rocket every Israeli city. The goal is to deter Israel from striking Iran's nuclear facilities and to paralyze it with multiple existential threats.

But what if Iran -- much like Egypt in 1967 -- miscalculated? What could happen if an Israeli reprisal for Islamic Jihad's rockets results in a confrontation between Israel and Hamas?

Would Hezbollah then join the clash, unleashing its arsenal of more than 100,000 rockets against the Jewish state, and would Israeli forces have to invade Lebanon to stop them? Would Iran watch idly while its closest Middle East ally was crushed by the "Zionist enemy," or would it, too, leap into the fray?

Gaza remains a combat zone as of this writing, and rocket alert sirens are wailing in southern Israeli cities. As in previous exchanges, a de facto cease-fire might be worked out and relative calm restored to the region. Or the confrontation could widen, and what began as a skirmish could inexorably expand into war. As the example of 1967 reminds us, a single spark in the combustible Middle East can swiftly fan a flare-up into a firestorm.

The opinions expressed in this commentary are solely those of Michael Oren.

@highlight

Michael Oren: The flare-up in Gaza could ignite a wider war

@highlight

In 1967, conflicts in the Mideast spiraled into the Six-Day War, he says

@highlight

Oren: Islamic Jihad, challenging Hamas for supremacy in Gaza, launched rockets into Israel

@highlight

He says the question is whether a truce can prevent conflict from becoming conflagration