There are few issues that preoccupy new parents more than this: Is my baby growing normally? When the percentiles seem off-kilter, we worry -- but experts say there's rarely reason for concern.

A growth chart can be used to monitor where a child's height and weight falls in relation to national averages.

For starters, healthy kids come in a wide range of shapes and sizes, and they don't grow at a steady rate, either.

Your child can look very different from your friends' kids -- or from his own siblings at the same age -- and still be completely normal.

What influences growth

At birth: A baby's size when he's born is based partly on genetics. Firstborns tend to be smaller than subsequent children because the uterus is smaller and tighter in first-time moms.

Boys are larger than girls, and multiples, boys and girls, are smaller than average.

Some environmental factors that can influence a newborn's size:

• the mother's weight -- very heavy women tend to have larger babies

• weight gain during pregnancy -- a very low gain (under ten pounds) usually means a smaller baby

• whether or not Mom smokes or drinks a lot of caffeine -- both of which can limit an unborn baby's growth

• a mom's chronic illness -- diabetics, for instance, often have very large babies.

During the first two years: A baby's growth is based on a combination of her birth size and the size she's genetically programmed to be: A small newborn who's going to be a big child will grow faster in the first two years than a big baby who's going to be a small child. Parenting.com: Baby milestones

Laura Hileman's son, John, was 23 inches long when he was born -- the average newborn is just 20 inches -- and his pediatrician joked that he might be seven feet tall as an adult.

"But based on my height and my husband's, the doctor didn't think that would happen," says the Nashville mom. Sure enough, by the time John was 3, his growth had slowed and his height was just average for his age. Parenting.com: Toddler milestones

During childhood: Both weight gain and increases in height come in short bursts of what can seem like rapid growth -- which is why kids can sometimes look almost chubby one month but lean the next.

The duration of a growth spurt, as well as how much a child grows during one, differs from child to child (and from spurt to spurt in the same child). But it's not uncommon to see a visible difference in a very short time: At age 10, my son Sam once outgrew a pair of dress pants in less than a week.

No one knows what causes a kid to shoot up one month and not another, but there does seem to be a seasonal pattern. "Although we don't have a good explanation for it, children seem to grow fastest in the summer and slowest in the fall," says Joseph Gigante, M.D., associate professor of pediatrics at Vanderbilt Children's Hospital in Nashville.

Doctors do know what triggers growth in the first place: It's the human growth hormone, a chemical produced in bursts throughout the day but released largely during sleep. That's why it's important for kids to get the shut-eye they need throughout childhood and adolescence.

During puberty: After infancy, the tween and teen years are the period of most rapid change. For girls, the growth spurt begins between 10 and 11 and lasts until around 15; for boys, it starts about two years later and lasts until age 17 or so. Girls typically stop growing about three years after they've had their first period, but boys continue to grow throughout their teens. Parenting.com: Ages, stages hot spots

Ways to keep track

Until 2002, the growth chart -- the tool doctors use to make sure kids are growing normally -- was based exclusively on norms for bottle-fed Caucasian children. Since breastfed babies tend to be smaller, as do Hispanic and Asian-American babies, the chart now includes averages for all ethnic groups, as well as for breastfed infants. In addition, the new charts track body mass index, which helps pediatricians know when a child is at risk of obesity. Parenting.com: Guide to childhood obesity

Most growth disorders are diagnosed by pediatricians, not parents, but sometimes a child who isn't growing normally can slip through the cracks. According to a study in the Archives of Disease in Childhood, about 70 percent of all kids are measured inaccurately at their checkups. (Measurements tend to be off by about half an inch.)

So watch carefully as your child is being measured. And feel free to pitch in, if needed, to hold a wiggly baby still, which will help make sure the measurement is accurate. Double-check to see if the nurse records this information on the correct chart for your child's age and sex, too. My son Sam was once briefly in the 110th percentile for height; then the nurse realized she'd charted him on the curve for girls, not boys. Parenting.com: Height calculator

By comparing your child's current place on the chart with earlier recordings, your doctor will be able to see if he's growing normally.

Signs that something may be amiss:

• His height seems off, given the height of his parents or siblings.

• He's nowhere near the averages

• He drops 20 percentile points or more from one year to the next.

• He's gaining weight much more rapidly than he's gaining height.

• Puberty comes very early or very late.

In such cases, your doctor may suggest a specialist.

Most of the time, though, you just need to wait for the next growth spurt. And then you, like me, may find yourself buying your child another new pair of dress-up pants. E-mail to a friend

Try a FREE TRIAL issue of Parenting Magazine - CLICK HERE!

Copyright 2009 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

Margaret Renkl is a contributing editor to Parenting and the mom of three kids.

@highlight

Use a growth chart to see where your child falls among average children

@highlight

Children seem to grow fastest in the summer and slowest in the fall

@highlight

Very heavy women tend to have larger babies

@highlight

Breastfed babies, Hispanic and Asian-American babies tend to be smaller