(CNN) -- A freelance NBC cameraman with Ebola is "reasonably stable" a day after arriving at a Nebraska hospital, though a doctor there cautioned Tuesday it is much too early to say he'll make a swift and smooth recovery

Officials at The Nebraska Medical Center offered few details about Ebola patient Ashoka Mukpo's condition and treatment, beyond saying that he was receiving an experimental drug known as brincidofovir, or CMX001.

The fact they didn't sound any alarms isn't altogether surprising, given Mukpo was able to walk onto the plane that took him to the United States with assistance and his father, Dr. Mitchell Levy, told NBC News on Sunday that his son was feeling "not that ill."

But Dr. Phil Smith, the medical director of the hospital's biocontainment unit, said Tuesday that the 33-year-old Mukpo still has a ways to go in his Ebola fight.

"With Ebola patients in general, sometimes they come in early and they don't look that sick, but later they develop complications with gastrointestinal issues, fluid loss, diarrhea, high fever and other complications, so it is early in the course," Smith said. "So we will have to see how it goes."

That includes waiting to see what, if any effect brincidofovir has on Mukpo. Smith described this drug as " an antiviral medication that has been used in a number of other infections."

Dr. Angela Hewlett, the Nebraska hospital's associate medical director, said this experimental medicine was chosen "based on the Centers for Disease Control (and Prevention) and our assessment for other products that had been utilized for the treatment of Ebola."

"We can't actually tell how he's responded yet," Hewlett added. "It's too early to say."

The 33-year-old -- who had also worked for Al Jazeera and Vice News -- started presenting symptoms on October 1, about two weeks after arriving in the Ebola-wracked Liberian capital of Monrovia.

A reporter asked Tuesday if Mukpo might have gotten the deadly virus while cleaning a car that he used to transport someone suffering with Ebola. Smith said that was possible, depending on a few factors including "how sick the patient was in the car."

"If they just had a fever than that's very different from a patient that was actively vomiting or having diarrhea or bleeding," Smith said. "Contact with bodily fluids like that actually can transmit this disease."

Who are the American Ebola patients?

Official: No one knew woman who infected Duncan had Ebola

Meanwhile, the lone person to be diagnosed with Ebola in the United States -- Thomas Eric Duncan, a Liberian citizen who arrived in Dallas on September 20 -- remains in critical condition at Dallas Texas Health Presbyterian Hospital.

His nephew, Josephus Weeks, pointed to a few positive developments including that Duncan's liver is "doing very well," his blood pressure is like that of "a normal person, his diarrhea "has slowed" and "his fever is pretty much gone." At the same time, the Rev. Jesse Jackson -- who is serving as a family spokesman -- noted that "the infection around the liver and the lungs appear to be quite questionable at this stage."

"We're not quite ready to say that (Thomas Eric Duncan has turned the corner), because the doctors would not say that," said Jackson. "But the upbeat was that they gave us the three or four good news signs... I left hopeful."

The family continued to fight accusations that Duncan lied on a travel questionnaire about his exposure to Ebola prior to coming to the United States, thus putting many people at risk. Some in Liberia have claimed that he helped a woman who suffered from, and ultimately died, from Ebola but didn't admit to it.

"He helped a pregnant woman to get health care and she died, which was a noble thing to do," Jackson said, insisting that Duncan did not know the woman had Ebola.

This story was backed up Tuesday by Pewu Wolobah, a member of the Ebola task force in the community where Duncan and the woman, Marthalene Williams, lived.

According to Wolobah, at the time Duncan filled out that questionnaire and left Liberia on September 19 "we had no evidence to suggest that (Williams) had died from Ebola."

"It was only after, over the following days, those who'd come into contact with her started falling ill that we deduced she'd had Ebola," said Wolobah. "We instated a quarantine on the community on (October 1) and are in the process of identifying all those who came in contact with Marthalene."

Wolobah added that "so far we've identified over a 100 people" who might have been infected by Williams.

"And that's just the beginning," he said.

American with 'high-risk exposure' released, no symptoms

An American doctor who'd been hospitalized and isolated after a high-risk exposure to Ebola was released Tuesday with no symptoms of the deadly virus, officials said.

He was admitted to the NIH Clinical Center in Bethesda, Maryland, last month for observation.

The patient was volunteering at an Ebola treatment unit in Sierra Leone when "a needle stick injury" caused the scare, the National Institutes of Health said in a statement.

"The initial hospitalization was characterized by a brief period of fever that was subsequently determined to not be related to infection with Ebola virus," the statement said.

The patient, who "feels well and has no fever," will remain at home and check his temperature twice a day until the end of a 21-day observation period, the statement said.

Doctors Without Borders staffer from Norway infected

A staff member for Doctors Without Borders, which is also known as Medecins Sans Frontieres, has come down with Ebola, the non-profit agency announced Tuesday.

The Norwegian national -- who was not named -- contracted the virus while working in the Sierra Leone city of Bo, according to Doctors Without Border. The staffer was put in isolation on Sunday and will be moved to Europe for treatment.

Doctors Without Borders is one of several nonprofit agencies that have sent staffers and volunteers to West Africa, sometimes at great personal risk.

Dr. Kent Brantly, for instance, was working for the nondenominational evangelical Christian international relief organization Samaritan's Purse when he contracted the virus in Monrovia in Liberia. Nancy Writebol, another American, was with the international missionary group Serving in Mission when she got the disease in the same place and at about the same time.

Senator: Suspend most travel visas from Ebola-hit region

Sen. Bill Nelson, a Florida Democrat, on Tuesday called for the U.S. government to temporarily suspend most travel visas issued to those coming from the West African nations that have been ravaged most by Ebola.

Writing to Secretary of State John Kerry, Nelson suggested that one way to prevent the virus from spreading into the United States would be to clamp down both on "unnecessary travel to the United States under existing visas and the issuance of new visas for citizens of countries that the Centers for Disease Control and Prevention identifies as areas with high rates of infections."

Currently, Duncan is the only person to be diagnosed with the virus in the United States, though authorities have warned that number may grow.

The administration of President Barack Obama, also a Democrat, has thus far refused to prevent people from coming into the United States from the Ebola-hit region. So have most other countries.

Yet Nelson argued that policy should change, saying, "Considering the changing events and overall magnitude of the situation, it may be time to reexamine the travel issue from the standpoint of visas."

Not everyone is embracing this plan, however. Jesse Jackson, for one, said Tuesday that taking such steps could hurt the economies of longtime American allies like Liberia.

"We should quarantine the disease, not quarantine nations and not quarantine airline flights," the civil rights leader said. "We should not panic."

Nurses union poll: U.S. hospitals aren't prepared

For all the pronouncements that the United States is prepared to notice, control and combat Ebola, one major player in this fight appears to disagree: the nation's nurses.

The United States' largest nurses union, National Nurses United, released a survey Tuesday in which 85% of respondents said that nurses haven't been able to interact or ask questions at their hospitals about Ebola.

According to the same poll -- which includes responses from 1,600 registered nurses in 35 states -- more than three-quarters of the responding nurses said their hospitals haven't communicated to them any policy about what to do if an Ebola patient is admitted.

Its not just about education and communication, but having the physical tools to deal with such highly contagious cases.

Nearly 40% of the respondents, from more than 300 hospitals, believe their facilities don't have plans to properly equip so-called isolation rooms with things like plastic covered mattresses and pillows. One-third weighed in that their hospitals don't have enough protective gowns or eye-protection goggles or shields.

"Handing out a piece of paper with a link to the (CDC) or telling nurses just to look at the CDC website -- as we have heard some hospitals are doing -- is not preparedness," said nurse Bonnie Castillo, who heads the union's disaster relief program. "Hospitals can and must do better, and we should have uniform national standards and readiness."

CNN's Nima Elbagir and Kevin Conlon contributed to this report.

@highlight

NEW: Poll of U.S. nurses: Ebola education, supplies lacking in U.S. hospitals

@highlight

Ashoka Mukpo is getting an experimental drug known as brincidofovir, or CMX001

@highlight

Liberian official: Duncan left before it was known woman who infected him had Ebola

@highlight

NIH: American doctor with high-risk Ebola exposure released with no symptoms