(CNN) -- Tobacco has been ingrained in our society since our nation's earliest days. But if cigarettes were introduced today, they'd most likely never be approved for market.

For an example of changing attitudes, just Friday, a Florida jury handed R.J. Reynolds $23.6 billion in damages in a lawsuit filed by the widow of Michael Johnson Sr., a smoker who died at the young age of 36 from lung cancer, leaving her to raise their two children -- an award that will, of course, be appealed. So the announcement of a merger between America's second- and third-largest tobacco companies, R.J. Reynolds and Lorillard, feels like a lost episode of "Mad Men."

What other industry is permitted to sell a product that, if used as intended, kills half of its consumers? That's not only a dysfunctional public health policy; it's the worst business strategy ever. Imagine the immediate recalls if any other product killed half its customers. What if each Google search or Facebook post took a day off your life?

Of course, tobacco has an ingredient that no other consumer product has: nicotine, a substance as addictive as heroin. It's a sure-fire recipe for consumer loyalty to a deadly product, used by companies that have been determined by the federal courts to be liars and racketeers, guilty of putting profits ahead of public health.

About 70% of smokers want to quit, but many find it very difficult. This year, we learned another reason why. The Massachusetts Department of Public Health released data showing that between 1999 and 2011, levels of inhaled nicotine in cigarettes had gradually increased by 15%. Quitting is a herculean task, even for the most motivated.

Yet there is some positive news. Despite the nicotine manipulation and the nearly $9 billion that Big Tobacco spends each year marketing its deadly products, smoking rates have declined dramatically over the past several decades.

Today, youth smoking prevalence is below 10%, and adult smoking rates are at 18%. Clean indoor air initiatives, increased excise taxes and bold anti-tobacco public education campaigns like Legacy Foundation's Truth, the FDA's the Real Cost and the Centers for Disease Control and Prevention's Tips from Former Smokers are formidable weapons against the ever-evolving strategies of the tobacco companies.

If stronger standards were adopted, like a ban on menthol or a reduction in nicotine levels in cigarettes, then public health officials could help consumers even more.

With the U.S. cigarette market in decline, it shouldn't come as a surprise that these companies want to join forces. Both have business models that depend on securing "replacement smokers" -- a term coined by R.J. Reynolds -- for the 480,000 who die each year from the effects of smoking tobacco in the U.S. alone.  Sadly, every day, about 2,100 young people who have been occasional smokers progress to become daily smokers, easily filling the consumer pipeline so vital to meet and exceed their bottom lines.

R.J. Reynolds and Lorillard produce Camel and Newport, two of the top cigarette brands young people most often buy. By reducing competition, cutting costs and brainstorming for new strategies, the merger will no doubt try to find new users to make loads of money domestically and worldwide.

Of course, there is an alternative -- though highly unlikely -- ending to this story. Merging two tobacco giants and consolidating their research, development, marketing and financial power could be used to invent technologies that bring an end to the burned tobacco horror story of the past century.

While the jury is still out on the peril or promise of e-cigarettes, wouldn't it be wonderful if this merger became an opportunity to push reset? Shouldn't the tobacco industry be challenged to introduce products to the marketplace that provide consumer pleasure without the unbearable pain of lung cancer, prostate cancer, pancreatic cancer and heart disease? If that could become a reality, we might finally put combustible tobacco -- packed with all its lethal tar and carcinogens -- in the history books for good.

Unless this scenario happens, let's not kid ourselves. These companies are jockeying to meet their financial targets, satisfy their shareholders and sell as much deadly tobacco to Americans as they possibly can. Until they truly turn over a new leaf, nearly half a million American lives will continue to go up in smoke each year.

@highlight

Robin Koval: If cigarettes were introduced today, they'd never be approved for market

@highlight

Koval: Attitudes are changing; R.J. Reynolds lost lawsuit filed by widow of lung cancer victim

@highlight

Koval: Now, two giant tobacco companies are merging, which seems like a throwback

@highlight

She says merger could be opportunity to create product that doesn't kill half its users