Hong Kong (CNN) -- When Maia Stack returned to the pagoda, or tower, where she had been abandoned as a baby she was overwhelmed by what had happened there 11 years earlier.

"I remember thinking, 'Wow, I wonder if my birth family hid behind those bushes or something'" said Stack, now 18 years old, on returning to Hangzhou, China.

"I felt very disengaged throughout the entire process. I kind of removed myself from the situation because it was too emotionally challenging."

Stack is one of tens of thousands of children -- 95% percent of whom are girls -- who have been adopted from China since its government ratified international adoption in 1992.

In 1979, Chinese officials introduced the one-child policy requiring that couples have only one child to slow the country's massive population growth.

Could China's one-child policy change?

With only one chance to pass on the family name, many Chinese couples are unhappy having a girl and either abort the pregnancy or abandon the baby.

Because of this, China is one of the easiest countries from which to do an international adoption, according to ACC, a U.S.-based adoption agency that specializes in China. The process takes around two years and costs between US$19,000 and $23,000.

Many of those adoptees eventually visit China to experience their heritage first-hand.

Being Chinese helped to define Stack's childhood growing up in Milwaukee, Wisconsin. She and her sister, who is also adopted from China, attended a Saturday school to learn Chinese language and culture while other children were playing soccer or baseball.

Stack was home schooled until partway through high school and attended a group of students that never treated her differently. However, when she started attending a charter school where she was the only Asian in a group of 40 students things changed.

"I did feel much like an outsider. I had the darkest skin, the only head of black hair in a sea of blond and brown," she said. "As the 'representative Asian,' the kids fed back to me the typical stereotypes about Asians -- super smart, good in math, short ... While they didn't mean harm, it did hurt."

Spending four-and-a-half months in Beijing in 2011 studying Mandarin changed her outlook.

"I feel very proud to be both Chinese and American," she said. "I know that those things will always be a part of me whether I live in China or in America."

Today, Stack is a board member of China's Children International -- an organization founded by high school girls to bring together Chinese adoptees around the world.

Amy Cubbage and her husband, Graham Troop, adopted their daughter June from China when she was two years old. After deciding they wanted children, the couple chose to adopt internationally because of the positive experience Cubbage's sister had adopting children from Russia.

They applied for a non-special needs adoption in 2006, Cubbage said. But after nearly two years and no match, they put their names on the list for special needs children -- meaning the child requires some form of medical treatment.

Finally in the fall of 2008, the couple was connected with June, who had been born with a cleft lip that has been repaired.

As she grew older, June enjoyed attending Chinese cultural events so much that, at the age of five, she asked her parents if she could visit China.

"We were going to take her back eventually," said Troop, a librarian in Louisville, Kentucky. "I was a little surprised because it was a little early, but we felt that if she was asking to go she must have a need to go."

The family made the trek to China last month visiting the Great Wall, Beijing's Tiananmen Square and June's orphanage in Guangxi province, among other sites.

"She was joyful the whole time," Cubbage, a lawyer, said of her daughter. "It was clear that she had a large connection to the place."

Upon visiting with the foster family that tended to their daughter June's parents were overcome with emotion.

"We could see the love that they had on their faces for her and the sadness that they didn't have her anymore," Cubbage said. "I know they are happy that she was adopted but it was easy to see that they were sad too."

Six-year-old June already shows a great deal of interest in her Chinese heritage, but it's not always easy to explain.

"She asks why her parents couldn't take care of her and we try and answer that as best as we can. It's hard," her father said. "(Hearing about her adoption) is sort of a comfort to her. She likes to hear her story told."

The family plans to return to China regularly.

"The bottom line for us is that we chose to do an international adoption. She didn't. She didn't have any other choice," Cubbage said. "So I feel as a mom it is my responsibility to teach her."

Jenna Murphy* and her husband are taking their five-year-old daughter to China in September -- something they decided before they even brought her home.

"We're doing it in stages. She won't go back to the province where she was born this time," Murphy said. "We will just go to the major cities and the touristy, lovely places."

When they picked their daughter up from the orphanage, she was 10 months old and could barely sit up, but after bringing her home to Australia her development quickly improved.

Murphy said she wants her daughter to have a positive opinion of her birth country despite the challenges she has already faced in life.

"I don't want her to think 'they didn't want me'... or for it to be even in the realm of possibility," Murphy said. "I want her to see China as a good thing."

As for Stack, the high school senior said she wants to take a year off before college to volunteer in a Chinese orphanage.

"I'm so blessed to have been adopted," she said. "I feel compelled to go back to China and volunteer and give back to the kids that weren't adopted."

*Name has been changed to protect her from South Australian law prohibiting adopted children from being identified in the media.

@highlight

Thousands of girls are adopted out of China each year, ending up in homes around the world

@highlight

Many of them find identity and purpose in returning to China to visit their roots

@highlight

Adoptive parents often choose to travel back to China frequently with their adopted children

@highlight

Many adoptive parents feel it a duty to teach their children about where they came from