(CNN) -- It was one of the worst passenger ship disasters since the sinking of the Titanic a century ago. On January 13, the Costa Concordia was sailing a few hundred meters off the rocky Tuscan coastline of the island of Giglio.

The ship, nearly the length of three football fields, rammed into a bed of rocks around 9:45 p.m. Within minutes, the massive vessel began to tilt, as water rushed into the engine rooms through a gash some 50 meters long. The crippled ship, without power or propulsion, drifted onward a few miles before turning toward the small harbor on the island and coming to rest on rocks nearby.

Thirty-two people from eight countries -- both crew and passengers -- died. Many more barely escaped in the hours after the Concordia came to rest on its side, tilting ever closer to the sea. Countless survivors told CNN the same story -- they had received little or no safety training after boarding the ship, whether in Barcelona several days earlier or at a port near Rome just hours before the disaster. International guidelines at the time recommended a safety drill within 24 hours of embarkation, but the disaster came well before that period had elapsed for the 600 who stepped on board in Rome.

Multiple passengers who spoke to CNN and other media said they didn't know where to gather during the emergency. The common refrain: It was chaos, every passenger for him or herself. Some said that when they asked crew members for help, they got blank stares.

Covering a cruise ship disaster

Nearly six months later, lessons learned that night have brought changes to safety and evacuation procedures in the cruise industry. Carnival, the parent line of Costa, and several other cruise lines now require safety instruction, referred to as muster drills, before leaving port. The new muster policy consists of 12 specific emergency instructions, which include providing information on when and how to don a life jacket, where to muster and what to expect if there is an evacuation of the ship.

Last year, nearly 16 million cruise bookings were made worldwide. About three-quarters of them were from the United States, according to the industry group Cruise Lines International Association, which represents 26 cruise lines, including the world's largest, Carnival and Royal Caribbean.

But the Concordia disaster cast a shadow on a rapidly expanding industry that maintains it is one of the safest modes of transportation. It has also focused attention on how some international cruise companies operate, registering their ships in countries where there may be weak regulations or where international rules are poorly enforced, but at the same time headquartering their companies in the United States and Europe.

At a U.S. Senate hearing in the aftermath of the Concordia disaster, there was tough questioning about the practice. Democratic Sen. Jay Rockefeller of West Virginia, one of the strongest voices at the congressional hearing, spoke to CNN about the cruise lines.

"They just know how to work the system and they work it very well and always to their advantage," he said.

Rockefeller and other critics of the industry say that cruise lines that are headquartered in the United States but have their ships registered elsewhere are getting a free ride on the backs of U.S. taxpayers, placing demands on federal agencies such as Immigration, Customs and the Coast Guard, which are charged with oversight when those ships enter and leave U.S. ports.

"They don't reimburse the Coast Guard, they don't pay taxes that will help with these 20 federal agencies that are watching over them in various ways and whose services they use, or might use," Rockefeller told CNN.

In the five years before 2010, Carnival, the company that owns Costa, paid 1.1% tax on $11.3 billion in profits.

Leading U.S.-based companies like Carnival often register their ships in foreign countries under what the industry calls "flags of convenience." For example, Carnival registers the majority of its ships in Panama and is incorporated there. Its headquarters is in the United States. Despite repeated requests, Carnival did not grant CNN an interview. However, Bud Darr, a spokesman for the Cruise Lines International Association, the industry group that represents Carnival and other major cruise lines, told CNN, "There's a variety of components that go into that decision [about where to register a ship] and it's individualized to a ship's owner. It's individualized across maritime sectors." Budd added, "Are there some fees and taxation considerations that go into that? Certainly."

The International Transport Workers Federation, which represents mariners around the world, is highly critical of "foreign flagging," saying on its website, "Cheap registration fees, low or no taxes and freedom to employ cheap labor are the motivating factors behind a ship owner's decision to 'flag out.'"

However, the Cruise Lines International Association maintains its members pay plenty of port and other fees in the United States. "We pay a wide array of fees, duties and we pay all of the taxes we are required to pay," Darr told CNN.

Rockefeller said that while more regulation of the industry is needed, achieving that will be difficult because of the industry's lobbying in Washington. According to Darr, the Cruise Lines International Association spent nearly $10 million on lobbying between 2004 and 2011.

The International Maritime Organization, which is tasked with the international supervision of passenger ships, has also been under fire in the wake of the disaster. Under the International Convention for the Safety of Life at Sea, known as SOLAS, there are many mandated standards for ship operators, but critics -- including U.S. lawmakers -- point to the fact that there are also many codes, guidelines and recommendations that are voluntary. Additionally, there are no unified standards for reporting incidents at sea. The International Maritime Organization does keep records of incidents reported voluntarily by ship operators, but does not maintain a public database of that information.

The International Maritime Organization has promised to address the issues raised by critics once the Italian authorities' accident report is published. So far, its Maritime Safety Committee, which met five months after the sinking of the Costa Concordia, has issued only voluntary guidance. That new guidance includes the introduction of onboard stability computers, new free-fall lifeboats and the establishment of appropriate minimum levels for staffing qualified mariners on board each passenger ship.

Bloggers and industry observers, meanwhile, have tried to fill any gaps left by the International Maritime Organization by archiving incidents, relying on information from media reports and passengers.

Ross Klein, a Newfoundland professor, has written four books on the cruise industry and maintains a database online. At the congressional hearings in March, he told the Senate committee there were more than a dozen incidents of passenger ships sinking and 99 ships running aground between 1973 and 2011. Klein also testified that 79 ships experienced fires between 1990 and 2011. Even so, given the rapid expansion of the industry, the number of fatalities has been low. And cruising remains popular. The industry is now worth $25 billion a year. Most of its customers are Americans, with 13 million U.S. bookings in 2011. The industry also is tapping into new markets, especially in Asia.

In the spring, a few months after the Concordia disaster, Costa released a statement that said bookings were robust. Meanwhile, the Cruise Lines International Association maintains the industry is committed to ensuring the safety of passengers. But industry insiders and regulators say another serious accident could do irreparable damage to the cruise lines' reputation -- and reinforce existing calls for more rigorous international regulation.

@highlight

Lessons learned in Concordia disaster have brought changes to cruise industry safety

@highlight

Disaster cast shadow on industry that maintains it is one of the safest modes of transport

@highlight

Sen. Rockefeller says cruise lines getting free ride on backs of U.S. taxpayers

@highlight

Industry group says members pay required taxes and plenty of port and other fees