Washington (CNN) -- Using the available scientific evidence "it is not possible to reach a definitive conclusion" about the source of the anthrax used in the 2001 anthrax letter attacks which killed five people, according to a report issued Tuesday by the National Academy of Sciences.

The findings come two and a half years after the FBI said Army microbiologist Bruce Ivins was allegedly behind the anthrax mailings, and the spores could be genetically traced to a flask labeled RMR-1029 in his lab.

The scientific panel said the anthrax used in mailings to news organizations and members of Congress was the Ames strain Bacillus anthracis, and spores from those letters shared "a number of genetic similarities" with spores in Ivins' flask. But the findings say the FBI did not fully explore other possible explanations for those similarities.

Ivins knew he was under suspicion by the FBI and committed suicide in July 2008 before any charges were filed against him. Ivins was involved in anthrax vaccine research at the U.S. Army Medical Research Institute for Infectious Diseases at Fort Detrick in Frederick, Maryland.

Paul Kemp, a lawyer who represented Ivins, said that since August 2008, the Justice Department has maintained it had a "smoking gun" in the case against Ivins, citing the flask.

"Their smoking gun just turned into smoke and mirrors," Kemp said of the report. "They said they had a smoking gun that would have convicted him (Ivins) in court and this report shows they didn't."

Kemp later added: "Over 200 people had access to the anthrax that came out of that flask."

In response to the report, the FBI said, while the scientific investigation could not pinpoint the source of the anthrax, it helped its agents and the Justice Department to focus resources and conclude that Ivins was behind the attacks.

"Ultimately, the late Dr. Bruce Ivins was determined to be the perpetrator of the deadly mailings. The FBI and Department of Justice were preparing for prosecution at the time of Dr. Ivin's death," the FBI said.

Ivins maintained his innocence up until his death, Kemp said, adding that Tuesday's report "just casts doubts" on the FBI's conclusion that his former client was responsible.

The FBI praised the report for highlighting the value of what the FBI called "microbial forensics," which it said "proved significant" in solving the case.

"Although there have been great strides in forensic science over the years, rarely does science alone solve an investigation. The scientific findings in this case provided investigators with valuable investigative leads that led to the identification of the late Dr. Bruce Ivins as the perpetrator of the anthrax attacks," the FBI said.

Throughout the anthrax probe, investigators grappled with questions about how much experience the perpetrator would have needed to make the anthrax and whether the material was "weaponized" with a silicon dispersant to allow it to float through the air, thus making it more likely the deadly spores would be inhaled.

The National Academy of Sciences panel said it found "no scientific basis on which to accurately estimate the amount of time or the specific skill set needed to prepare the spore material contained in the letters." The panel said the time required to make the anthrax could range from two to three days to several months depending on the methods used to make the anthrax.

The group said it found no evidence the perpetrator intentionally added silicon-based dispersants to increase the flow of spores in the air. The panel said silicon was not detected on the outside of the spores which would be necessary as a dispersant. Silicon was found only inside the spores.

The FBI conducted a security review of the academy's draft report in October 2010. The FBI subsequently asked to provide the panel some additional information. That material included an analysis of environmental samples taken from "an undisclosed overseas site at which a terrorist group's anthrax program was allegedly located." Investigators looked at the overseas site as part of the anthrax letters investigation. The Academy of Sciences report said samples from the site had inconsistent evidence of Ames strain B anthracis and further review was recommended.

The FBI also told the panel an analysis was done on human remains identified as belonging to 9/11 hijackers from United flight 93 which crashed in Pennsylvania. One test came up positive for anthrax but all other results were negative. Remains from the other 9/11 flights were not tested for anthrax.

The National Academy of Sciences report offers no opinion on Ivins' guilt or innocence. It looks only at the scientific underpinnings of the FBI's investigation. The scientists also did not have access to classified information.

The FBI asked the National Academy of Sciences to conduct an independent review of the science used in its investigation. That review began in 2009. The FBI's investigation of the anthrax attacks was closed in February 2010 and some critics have said the bureau should have delayed that move until the release of the National Academy of Sciences report.

Rep. Rush Holt, a Democrat from New Jersey who had criticized the FBI investigation, said he's re-introducing legislation calling for a 9/11 style commission to look into the anthrax letter attacks.

"It would take a credulous person to believe the circumstantial evidence that the FBI used to draw its conclusions with such certainty," Holt said in a press release. "The FBI has not proiven to me that this is an open and shut case."

The anthrax letters were mailed from New Jersey, the state Holt represents.

Iowa Sen. Charles Grassley, the ranking Republican on the Judiciary Committee, said the report "shows that the science is not necessarily a slam dunk." Grassley called for an independent review of the FBI's investigation.

At one time the FBI used Ivins as one of its scientific consultants in the anthrax investigation. After clues led investigators to focus on Ivins, the FBI performed surveillance on him, executed search warrants and studied lab records showing he had spent late hours alone in his lab prior to the time the anthrax letters were mailed. After his death, Justice Department and FBI officials released numerous documents from the investigation and said they believed Ivins bore sole responsibility for the attacks.

The anthrax-laced letters were mailed in fall 2001 -- shortly after the 9/11 terror attacks -- to then NBC news anchor Tom Brokaw, the New York Post, Sens. Patrick Leahy of Vermont and Tom Daschle, who was the Senate Majority Leader at the time.

Five people died from inhalation anthrax which officials say was caused by contaminated mail. Two of those people were Washington area postal workers Joseph Curseen Jr. and Thomas Morris Jr. The other victims were Bob Stevens, a photo editor at American Media, Inc. in Boca Raton, Florida; Kathy Nguyen, a New York City hospital worker; and Ottilie Lundgren, an Oxford, Connecticut, widow. Seventeen other people became sick from either inhaling anthrax or skin exposure.

@highlight

NEW: Legislators call for independent review of the FBI's investigation

@highlight

Panel says it cannot say what was the source of the anthrax used in the attacks

@highlight

The panel does not offer an opinion on the guilt or innocence of suspect Bruce Ivins

@highlight

Ivins, who knew he was under suspicion by the FBI, committed suicide in 2008