(CNN) -- It is one of the most remarkable images of the 20th Century -- and no one is watching.

As the thoroughbreds stampede around the bend at Britain's most prestigious horse race, a lone woman darts onto the track.

In a shocking instant she is mowed to the ground by one of the animals galloping at more than 55 kilometers per hour, her hat rolling away as she is trampled beneath the pounding hooves.

Yet take a closer look at the famous 1913 photo of suffragette Emily Davison sprawled on the Epsom Derby race track, and you'll see the majority of spectators are not straining to see the tragic scene -- but the winning horse crossing the finishing line.

This Saturday marks 100 years since the feminist gave her life in a grisly -- and mysterious -- protest for women's right to vote, throwing herself in front of the King's horse during the most high-profile sporting event on the planet.

"Emily Davison's actions were of huge significance," Melissa Benn, British journalist and daughter of former Labour MP Tony Benn, told CNN.

"She cared enough about a principle - that women should have equal political rights - to sacrifice her health, her reputation with the establishment, her comfort, her safety and ultimately her life."

Feminism's forgotten hero?

But a century after her horrifying death, how many people would be able to name one of the women credited with helping bring about the vote for British females?

While 1950s U.S. civil rights protester Rosa Parks made history for her refusal to give up her bus seat, and Burmese democracy campaigner Aung San Suu Kyi famously endured house arrest throughout the 1990s, the name "Emily Davison" has failed to gain such international recognition.

"Very few women - or men - would be able to name her," said Benn.

"A lot of it was due to the lack of widespread, mainstream media at the time -- limited photography, film, newspaper coverage. News was filtered through very few, limited sources -- and all of those were in the hands of powerful men."

Despite the huge coverage -- film technology was in its early days but the remarkable incident was captured on three newsreel cameras -- many newspaper front pages instead led on the winning horse.

"The big story in the papers the next day was the winning horse Craganour having the title taken off him for alleged rough riding," Michael Tanner, horse racing historian and author of the 'Suffragette Derby,' told CNN.

"The press treated Davison as a mad, middle-aged crank who had tried to destroy a pleasant day of sport for the masses."

Four days after she dashed beneath the pounding hooves, Davison died in hospital from her horrific injuries.

The 40-year-old passed away amid public condemnation, with the Queen Mother reportedly sending her apologies to the jockey that the race had been interrupted by a "brutal lunatic woman."

It's unclear whether Davison intended to commit suicide at the Epsom Derby. She was carrying a return train ticket and a banner, with some historians now suggesting she instead wanted to attach the banner to the royal racehorse Anmer.

A militant campaigner

Born in London in 1872, Davison studied literature at Royal Holloway College before working as a teacher in an era when a woman's place was as a dedicated wife and mother in the home.

At 32 she joined the Women's Social and Political Union -- known as the Suffragettes -- a campaign group for women's right to vote, who carried out militant protests such as chaining themselves to railings and prison hunger strikes.

On the night of the 1911 census, Davison hid in a broom cupboard in the House of Commons so that when asked to fill out the form, the address of a woman without the vote would, ironically, be Parliament.

In 1999, Melissa Benn's Labour MP father, Tony Benn, fitted a brass plate to the crypt door to commemorate the audacious protest.

"What's interesting is how Davison's tactics so suit a later age -- which is more dramatic and media-savvy," said Melissa.

"There was certainly controversy about the suffragettes' methods -- many thought they were publicity-seeking and destructive and too elitist -- and there was tremendous dispute within the movement about their tactics."

Davison was arrested nine times for her demonstrations and even in prison was a force to be reckoned with -- throwing herself down an iron staircase and going on hunger strikes.

White funeral

While Davison's fatal Epsom Derby protest divided opinion, her coffin procession through the streets of London -- including a haunting sea of suffragettes dressed in white -- had the appearance of a "state funeral," said Tanner.

"It was arguably bigger than Margret Thatcher's funeral," he added. "The suffragettes held her up as a heroine. In death, she became a martyr."

Five years after Davison's death, in 1918, women aged over 30 won the vote in Britain. Ten years later the age was reduced to 21 -- equal with men.

"Her legacy today is an enfranchised female population: a growing number of women in mainstream politics; the first woman Prime Minister; a much more equal society," said Benn.

"But we still have a long way to go. Four fifths of Parliament are men -- it is a very masculine place."

Tanner however, argues that the outbreak of World War One the following year did more to help the women's movement than Davison's deadly protest.

"It was more of a result of the female contribution to the war effort, that the first movements were made to giving some concessions to women," he said.

One thing is certain, 100 years ago Davison paid the ultimate sacrifice in her for equality -- with a fearlessness that still resonates today.

@highlight

100 year anniversary of Suffragette Emily Davison's death at Epsom Derby

@highlight

Militant campaigner ran in front of King's horse, died four days later

@highlight

Legendary feminist, yet many women today wouldn't know her name

@highlight

Five years later, women over 30 given right to vote. Her legacy still disputed