Elevated hopes that Malaysia Airlines Flight 370 might soon be found were tempered Friday, when the joint search agency said the latest signal probably isn't from the missing plane.

The most recent acoustic signal detected by an Australian aircraft in the search Thursday is "unlikely to be related to the aircraft black boxes," Australian chief search coordinator Angus Houston said in a statement Friday.

"On the information I have available to me, there has been no major breakthrough in the search for MH370," Houston said.

"Further analysis continues to be undertaken by Australian Joint Acoustic Analysis Centre."

But Australian Prime Minister Tony Abbott told reporters in China on  Friday that authorities are "very confident" the signals picked up by acoustic detectors are coming from the black box of missing Malaysia Airlines Flight 370, CNN affiliate Sky News Australia reported.

It's unclear whether Abbott was referring to four signals detected earlier this week.

As planes and boats scoured the Indian Ocean for more signals and signs of wreckage, a senior Malaysian government official and another source involved in the investigation divulged details about the flight to CNN on Thursday, including new information about what radar detected, the last words from the cockpit and how high the plane was flying after it went off the grid.

Malaysia Airlines Flight 370 disappeared from military radar for about 120 nautical miles after it crossed back over the Malay Peninsula, sources say. Based on available data, this means the plane must have dipped in altitude to between 4,000 and 5,000 feet, a senior Malaysian government official and a source involved in the investigation tell CNN.

The dip could have been programmed into the computers controlling the plane as an emergency maneuver, said aviation expert David Soucie.

"The real issue here is it looks like -- more and more -- somebody in the cockpit was directing this plane and directing it away from land," said CNN aviation analyst and former National Transportation Safety Board Managing Director Peter Goelz. "And it looks as though they were doing it to avoid any kind of detection."

But former U.S. Department of Transportation Inspector General Mary Schiavo was not convinced. She said the reported dip could have occurred in response to a loss of pressure, to reach a level where pressurization was not needed and those aboard the plane would have been able to breathe without oxygen, or to get out of the way of commercial traffic, which typically flies at higher altitudes.

That would have been necessary had the plane's transponder been turned off and it lost communications. "If you don't have any communications, you need to get out of other traffic," Schiavo said.

"We still don't have any motive and any evidence of a crime yet," she said, adding that most radar can track planes at altitudes below 4,000 feet, so the plane's descent may not have indicated any attempt by whoever was controlling it to hide.

She held out hope that the black boxes hold the answers and that they will be found soon.

New flight details revealed

Malaysian sources told CNN that Flight 370's pilot, Capt. Zaharie Ahmad Shah, was the last person on the jet to speak to air-traffic controllers, telling them "Good night, Malaysian three-seven-zero."

The sources said there was nothing unusual about his voice, which betrayed no indication that he was under stress.

One of the sources, an official involved in the investigation, told CNN that police played the recording to five other Malaysia Airlines pilots who knew the pilot and copilot.

"There were no third-party voices," the source said.

The sources also told CNN that Malaysian air force search aircraft were scrambled about 8 a.m. March 8 to the South China Sea and the Strait of Malacca, soon after Malaysia Airlines reported that its plane was missing. The aircraft took off before authorities corroborated data indicating that the plane turned back westward, a senior Malaysian government official told CNN.

But the air force did not inform the Department of Civil Aviation or search and rescue operations until three days later, March 11, a source involved in the investigation told CNN.

Later Thursday, communications officials from Malaysia's Transportation Ministry denied that jets had scrambled shortly after the plane went missing, calling that claim a "false allegation."

Possible signal raises hope

The possible signal heard by a search plane was picked up through sonar buoys equipped to receive such electronic data and was detected near the Australian ship Ocean Shield, said the Joint Agency Coordination Centre.

The Australian Defense Force source said the signal detected was not at the 37.5 kHz frequency consistent with the pingers from flight data recorders but in a range that suggests strongly that it is from something that is man-made. Commodore Peter Leavy of the Royal Australian Navy said Wednesday in Perth that existing technology in RAAF P3 aircraft had been modified to allow the acoustic processor to pick up sounds in the frequency range. Using the technology in this way is experimental, according to the source.

The source said four RAAF P3 Orions have been modified with this technology, with the sonar buoys expiring and sinking about eight hours after they are deployed from the aircraft. On Wednesday, Leavy said that each P3 is capable of deploying 84 buoys, laid in a pattern or grid coordinated with the Ocean Shield.

Although Leavy said the buoys have sensors that can detect signals "at least" 1,000 feet below the surface, the source is confident that the technology has been tested at a "much deeper depth."

Crews have been narrowing the search area in the Indian Ocean.

Imagining the search underwater

Search areas shrinks

Up to 12 military aircraft, three civil aircraft and 13 ships were assigned to assist in Friday's search for the Boeing 777-200ER, which was carrying 239 people when it vanished March 8 on a fight from Kuala Lumpur, Malaysia, to Beijing.

There were no sightings reported by search aircraft or objects recovered by ships on Thursday, the Joint Agency Coordination Centre said.

Friday's search area was about 18,000 square miles (46,700 square kilometers), centered 1,436 miles (2,312 kilometers) northwest of Perth.

That's far smaller than the search area's size a few weeks ago.

"It's pretty incredible, if you look at where we started, which was virtually the entire Indian Ocean, now getting it down to what's essentially a couple hundred square miles (where the pings have been detected) is pretty miraculous," Marks said.

The Ocean Shield first picked up two sets of underwater pulses on Saturday that were of a frequency close to that used by the locator beacons. It heard nothing more until Tuesday, when it reacquired the signals twice. The four signals were within 17 miles of one another.

"I believe we are searching in the right area, but we need to visually identify wreckage before we can confirm with certainty that this is the final resting place of MH370," Houston said Wednesday.

As the search continues, a U.S. Navy supply ship will help provide supplies and fuel to the ships that are looking for the missing plane.

The USNS Cesar Chavez will help supply Australian naval ships involved in the search "in the coming days," the Navy said in a statement.

That's likely a sign that search teams are preparing for a lengthy hunt, analysts said.

Tracking pings is only one early step in the hunt to find the plane's data records, wreckage and the 239 people aboard.

"I think they're getting ready for the long haul," Goelz said. "Even if they do get four or five more pings, once they drop the side-scanning sonar device down, that is going to be painstaking and long. So I think they are settling in for the long search."

Friday is Day 35 in the search. Time is of the essence: The batteries powering the flight recorders' locator beacons are certified to emit high-pitched signals for only 30 days after they get wet.

"The signals are getting weaker," Houston said Wednesday, "which means we're either moving away from the search area or the pinger batteries are dying."

As the focus narrows, more questions emerge in search for Malaysia 370

The hunt for a Flight 370 ping: How they are doing it

How deep is deep? Imagining the MH370 search underwater

@highlight

Search agency: The fifth signal is unlikely to be from the black boxes

@highlight

"There has been no major breakthrough," the head of the agency says

@highlight

Friday's search is focused on a smaller area

@highlight

A U.S. Navy supply ship is joining the search for the missing plane