(CNN) -- Boarded up windows on austerity-hit Main Streets are a familiar site as the economic downturn bites hard, but gleaming storefronts in another corner of the retail sector prove that, for some, the worst of times can also be the best.

Luxury brands, including fashion label Burberry and vehicle manufacturer Rolls-Royce, have all enjoyed bumper years, recording slump-busting profits that may raise eyebrows among consumers forced to tighten their non-snakeskin belts.

Such income surges will dispel doubts raised when markets first began to falter over the resilience of the high-end market. However, they also redraw the world's shopping map, showing how emerging economies are spreading their spending wings.

"The most fundamental driver for that kind of growth is coming from sales to consumers from emerging markets like China and India," said Imran Amed, who runs the Business of Fashion website.

"But also I just returned from Brazil where things are booming."

For Burberry, whose signature trench coat is clearly proof against recession as well as the British weather it was designed for, this translates into a 21% leap in turnover in the last quarter alone.

Rolls-Royce, meanwhile, has posted its best results in its 107-year-history thanks to 2011 sales of more than 3,500 of its stately $308,000-plus cars -- a year-on-year profit jump of 31%.

Such figures are in contrast to the bleak environment elsewhere in the retail sector. European Commission figures show that sales fell by 2.5% in the eurozone between November 2010 and 2011, and by 1.3% across the European Union.

Richard Perks, director of retail research at industry analysis company Mintel, said Europe's luxury brands have remained relatively unaffected by reduced spending because the global consumer base for exclusive goods is expanding, chiefly in Asia.

It's a situation that has put luxury retailers in what Bernard Fornas, CEO of French watchmaker and jeweler Cartier, describes as "a good mood."

"The luxury market is always more optimistic than most other industries because we have the addition of a new continent -- China," he told CNN.

"The Chinese consume locally, but there are about 70 million traveling around the world, so we benefit from that because we sell a dream, we sell emotion and nowadays, more than ever, we need that."

While emerging market appetites have, according to Amed, caught the entire luxury sector on a "rising tide," Guy Chatillon, CEO of Ralph Lauren Watch and Jewelry, says it is important for brands to push hard for their share.

However, he says, high-end brands have little to fear from rising raw material costs that have added to the pressures on other sectors of the economy. "Luxury is about quality detail and authenticity," he said. "It is long term."

Outside of Asia and Brazil, wealthy consumers are also reaching for their Louis Vuitton purses again following several years of downturn-induced caution, according to Amed.

He says that while economic hard times have hit those in the middle to lower income brackets, in countries such as Britain and the United States "there's an elite class of consumer that remains untouched by the crisis."

"Everyone stopped shopping in 2008 because there was a crisis of confidence; everyone's financial portfolio was hit," he said.

"And, even if you did have money and weren't that affected by everything, it was seen as a bit crass to go out spending on luxury goods. Now that a certain amount of time has elapsed, I think that hesitation to shop has dissipated somewhat and the big spenders are out spending again."

@highlight

Luxury brands including Burberry and Rolls-Royce report strong profits

@highlight

Analysts say entire luxury sector is bucking trend of economic downturn

@highlight

China and other emerging markets seen as key market drivers