Tokyo (CNN) -- Journalists got their first ground-level glance Saturday around Japan's stricken Fukushima Daiichi nuclear facility -- eying shells of reactor buildings, tons of contaminated water and workers scurrying still to mitigate damage from a crisis that began eight months ago.

An epic 9.0-magnitude earthquake and subsequent tsunami March 11 wreaked havoc around Japan, killing more than 15,000 people. While many of those died instantly, the East Asian nation was on edge for weeks as utility and government employees scrambled to prevent a worsening nuclear catastrophe at the Daiichi plant, located about 150 miles (240 kilometers) north of Tokyo.

Japan's Nuclear and Industrial Safety Agency eventually categorized the accident as a level-7 event on the international scale for nuclear disasters -- the highest level -- putting it on par with the 1986 Chernobyl disaster.

It took months, but the Tokyo Electric Power Company (the plant's operator) eventually indicated that its workers were gaining control in the crisis. Throughout the summer and fall, there were no longer reports of explosions, nor stories about new leaks of radioactive material into the ground and sea.

But the facility still remained off-limits to reporters and, for a 20-kilometer radius around the plant, to the general public due to the continued high levels of radiation and ongoing efforts to prevent yet more blasts and leaks.

That temporarily changed Saturday, when about three dozen journalists traveled by bus through abandoned towns en route to the nuclear facility. They passed, for instance, withered plants at an abandoned nursery, a shattered car dealership and a gas station that had been taken over by crows.

Radiation readings rose steadily as they neared the plant, including 6.7 microsieverts in Okuma. There, those on board put on respirator masks, adding to an ensemble of a protective suit, two pairs of gloves, two sets of plastic booties over their shoes and a radiation detector.

At the plant's gate, the radiation reading was 20 microsieverts. The reading is still well below the threshold to mandate an immediate health risk -- 1,000 microsieverts equals 1 millisievert, and South Carolina-based medical physicist G. Donald Frey previously told CNN that radiation workers in the U.S. typically aim to be exposed to less than 5 millisieverts per year. Yet it was the cumulative effect that has prompted the continued evacuations of thousands around the Fukushima Daiichi facility.

A half-dozen large cranes dominated the skyline inside the gates, while the grounds were pockmarked with vessels containing what the Tokyo Electric Power Company has said is 90,000 tons of water laced with radiation. They were visible in tanks that filled a field, as well as dozens of large, four-story tall silver tanks filled with tainted seawater.

U.S., French and Japanese flags hung near a water decontamination facility, which appeared as a cluster of white tents surrounded by black sand bags. The presence of toxins didn't appear to prevent pine trees from standing, and seemingly thriving, all around the facility.

Last spring was marked by regular reports of explosions, leaks and other problems at the plant. Those accounts, and radiation readings, in June led Japan's Nuclear Emergency Response Headquarters to confirm that three reactors -- Nos. 1, 2 and 3 -- had experienced full meltdowns. A meltdown is a catastrophic failure of the reactor core, with a potential for widespread radiation release.

The damage became starkly evident the closer one got to the heart of the nuclear facility.

From afar, a new structure surrounded the No. 1 reactor building, which had lost its roof due to a massive hydrogen explosion related to overheating the day after the quake.

No. 2 appeared to be intact, painted blue and white, despite a reported hydrogen detonation on March 15.

The No. 3 building, meanwhile, had been diminished to a skeletal concrete frame and large pile of rubble, which crews were cleaning up with cranes ahead of it being covered by its own structure.

And the No. 4 building -- whose reactor was inactive at the time of the tsunami -- also had significant damage, with one side entirely blown out, exposing the nuclear spent fuel pool.

Crumpled trucks and cars, twisted metal, a gutted office building and a huge dented storage tank were visible at the base of the reactor buildings, where radiation readings stood at 1,000 microsieverts (or 1 millisievert) per hour. Some of the debris resembled what swept up elsewhere in Japan by the tsunami, while others -- like three white cars, with Tokyo Electric markings -- were more distinct to the facility.

Around the plant, crows and dragonflies fluttered in the disarray. So, too, did scores of the 3,200 workers that Tokyo Electric says usually work daily at the plant. They included workers building water tanks, operating cranes, entering buildings used to store highly radioactive waste, and manning the facility's tightly contained disaster center.

The challenges notwithstanding, Tokyo Electric spokesman Tetsuya Terasawa insisted vast progress has been made in recent months.

He said that temperatures at the three most damaged reactors (Nos. 1, 2 and 3) were below 100 degrees Celsius, or the boiling point, a critical measure. All elements of the nuclear cooling system were perched on grounds 30 meters above the reactors, well out of the reach of any future tsunami, according to Terasawa.

Addressing Fukushima Daiichi workers, Goshi Hosono -- the Japanese government's nuclear crisis manager -- said he feels relieved that the facility is becoming increasingly stable.

"Every time I come back, I feel conditions have improved. This is due to your hard work," Hosono said.

The decommissions of Fukushima Daiichi's first four reactors will likely take more than 30 years to complete, according to a draft report released late last month by Japan's Atomic Energy Commission. The report indicated that nuclear fuel should begin to be removed by the end of 2021 -- a key, but hardly the last phase in a clean-up effort that is expected to continue for another two decades beyond that.

Masao Yoshida, the man in charge of the plant, said that all the reactors have stabilized and predicted that Tokyo Electric was on track to have a cold shutdown by year's end.

But he conceded that the danger is still far from over -- especially for the thousands still toiling to bring this nuclear nightmare to an end.

"Even saying it's stabilized doesn't mean that it is extremely safe," said Yoshida. "When working, the radiation remains high. So when it comes to working every day, there is still danger."

@highlight

Journalists haven't been to the Fukushima Daiichi plant since the March 11 quake

@highlight

About 3 dozen traveled there by bus Saturday, seeing the damage and recovery firsthand

@highlight

A Japanese official says, "I feel conditions have improved"

@highlight

The plant's chief says a cold shutdown is likely, though it's still dangerous for workers