WASHINGTON (CNN)  -- The U.S. Navy succeeded in its effort to shoot down an inoperable spy satellite before it could crash to Earth and potentially release a cloud of toxic gas, the Department of Defense said Wednesday.

A Delta II rocket lifts off, carrying a  reconnaissance satellite that failed hours later.

The first opportunity for the Navy to shoot down the satellite came about 10:30 p.m. ET Wednesday. The plan included firing a missile from the USS Lake Erie in the Pacific Ocean west of Hawaii to destroy the satellite.

"A network of land-, air-, sea- and space-based sensors confirms that the U.S. military intercepted a non-functioning National Reconnaissance Office satellite which was in its final orbits before entering the Earth's atmosphere," a Department of Defense statement said.

"At approximately 10:26 p.m. EST today, a U.S. Navy AEGIS warship, the USS Lake Erie, fired a single modified tactical Standard Missile-3, hitting the satellite approximately 247 kilometers (133 nautical miles) over the Pacific Ocean as it traveled in space at more than 17,000 mph."

It was unknown whether the missile hit its precise target -- the satellite's full fuel tank. The Department of Defense said it wouldn't know for certain for 24 hours whether the fuel tank had been hit. However, several defense officials told The Associated Press the missile did apparently destroy the fuel tank.  Watch a report on the successful shootdown »

"Debris will begin to re-enter the Earth's atmosphere immediately," the department said. "Nearly all of the debris will burn up on re-entry within 24-48 hours and the remaining debris should re-enter within 40 days."

However, even if the missile didn't score a direct hit, "any kind of hit provides a much better outcome than doing nothing at all," Adm. Mike Mullen, chairman of the Joint Chiefs of Staff, told reporters at Pearl Harbor, Hawaii.

The missile didn't carry a warhead, with authorities saying the impact was expected to be sufficient to destroy the fuel tank.

Navy gunners had just a 10-second window to fire, and officials had said they might not be able to take their shot on the first opportunity. Earlier Wednesday, officials had expressed concern about weather conditions, saying the launch could be delayed. However, the 10-second window would have occurred on each of the next nine or 10 days.  Watch Pentagon spokesman Jeff Morrell describe the launch window »

Officials had said the missile would not be fired until the space shuttle Atlantis landed, which it did Wednesday morning, to ensure the shuttle would not be struck by any debris from the destroyed satellite.

The attempt cost up to $60 million, according to estimates.

Without intervention, officials say, the satellite would have fallen to Earth on its own in early March. However, since it malfunctioned immediately after it was launched in December 2006, it had a full tank -- about 1,000 pounds -- of frozen, toxic hydrazine propellant.  Watch how the failing satellite failed to spark fears »

The fuel tank probably would have survived re-entry if the satellite had fallen to Earth on its own. That could have dispersed harmful or even potentially deadly fumes over an area the size of two football fields. Hydrazine is similar to chlorine or ammonia in that it affects the lungs and breathing tissue.

The Chinese military destroyed an aging weather satellite last year, prompting questions about whether the United States is merely flexing its muscle to show an economic and military rival that it can destroy satellites, too. James Jeffrey, deputy national security adviser, denied that this week, saying, "This is all about trying to reduce the danger to human beings."

But Beijing appears to have doubts.

"China is continuing to closely follow the possible harm caused by the U.S. action to outer space security and relevant countries," Foreign Ministry spokesman Liu Jianchao said Thursday.

"China further requests that the United States ... promptly provide to the international community the necessary information ... so that relevant countries can take precautions."

In 1989, a U.S. fighter jet destroyed a U.S. satellite by firing a modified air-to-air missile into space from an altitude of 80,000 feet. That adds to evidence that the U.S. acted Wednesday strictly to guard against the prospect of a potential disaster, said Gen. James Cartwright, vice chairman of the U.S. Joint Chiefs of Staff.

The military timed its shootdown attempt so that resulting debris would tumble into the atmosphere and not interfere with other satellites, said Christina Rocca, a U.S. diplomat and expert on disarmament. Her comments were included in an online United Nations report on this month's Conference on Disarmament in Geneva, Switzerland.  See dangers and possible solutions to satellite problem »

The military also timed its efforts to minimize the chances that debris would hit populated areas. But the United States is "prepared to offer assistance to governments to mitigate the consequences of any satellite debris impacts on their territory," according to a report of Rocca's remarks on the Web site of the Geneva office of the U.N.

One Pentagon official said that since early January, a team including 200 industry experts and scientists had worked furiously to modify the Aegis air-defense missile system so it could shoot down the satellite. Among the team's challenges was modifying the sensors designed to detect the heat from an incoming warhead, as the satellite will be much cooler.

The missile was to release a "kinetic kill vehicle," enabling it to "see" the satellite and adjust its course toward it if necessary, officials said.

In January 2007, China used a land-based missile to destroy a 2,200-pound satellite that was orbiting 528 miles above the Earth. The impact left more than 100,000 pieces of debris orbiting the planet, NASA estimated -- 2,600 of them more than 4 inches across. The U.S. agency called the breakup of the Fengyun-C satellite the worst in history. E-mail to a friend

CNN's Jamie McIntyre, Suzanne Malveaux and Miles O'Brien contributed to this report.

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: China asks U.S. to provide information so "countries can take precautions"

@highlight

Pentagon: Most debris will burn up on re-entry within two days

@highlight

The remaining debris should re-enter the atmosphere within 40 days

@highlight

Pentagon won't know for certain for 24 hours whether fuel tank was hit