(CNN) -- The number of people who have fled Syria and registered as refugees amid the country's civil war was to surpass 3 million Friday, and a further 6.5 million are believed to be displaced within the war-torn nation, the U.N. refugee agency said.

That means almost half of all Syrians have been forced to leave their homes amid the roughly three-year conflict, and one in eight has fled across the border, the agency said.

In terms of scope and budget, the U.N.'s effort to help the Syrian refugees is the largest in the agency's 64-year history, spokesman Adrian Edwards said.

"The Syrian crisis has become the biggest humanitarian emergency of our era, yet the world is failing to meet the needs of refugees and the countries hosting them," Antonio Guterres, the U.N. high commissioner for refugees, said in a news release Friday.

The data come a week after the U.N. said it had documented the killings of 191,369 men, women and children in Syria from March 2011, when an uprising began, to the end of April this year.

The uprising began with mostly peaceful protests against the regime of Syrian President Bashar al-Assad in Daraa province. Syria responded with a ferocious crackdown against demonstrators and has consistently said it is battling armed terrorist groups as it targeted anti-government protesters.

The war, pitting an Alawite Muslim-dominated regime against a largely Sunni Muslim insurgency, has torn the country apart. Numerous factions, some of them Islamist, oppose the government, and one of them -- ISIS, or the Islamic State of Iraq and Syria -- has captured large swaths of northern and eastern Syria for what it says is its new Islamic caliphate.

Refugees "are arriving in a shocking state, exhausted, scared and with their savings depleted," the U.N.'s refugee agency said. "Most have been on the run for a year or more, fleeing from village to village before taking the final decision to leave."

Most of the refugees are in countries neighboring Syria, including Lebanon (1.14 million), Jordan (608,000) and Turkey (815,000). Governments estimate that hundreds of thousands more are in their countries but unregistered, putting a strain on their economies, the U.N. said.

Donors have given more than $4.1 billion to help, but more than $2 billion more is needed by the end of 2014, including to help more than 2.4 million people prepare for the winter, the U.N. said.

More than 80% of the refugees are struggling to make a living in communities outside of camps, and more than a third are living in substandard shelters, the U.N. said.

"The response to the Syrian crisis has been generous, but the bitter truth is that it falls far short of what's needed," Guterres said.

In far southwestern Syria, near the border crossing with the Israeli-occupied Golan Heights, militants detained 44 U.N. peacekeepers from Fiji for a second straight day on Friday, the United Nations said.

These peacekeepers "are safe and in good health," the United Nations said Friday, citing "credible sources" since its officials had not yet talked directly with those being held.

The United Nations said militants detained the peacekeepers on Thursday, a day after taking the crossing from the Syrian regime.

Those holding the peacekeepers are members of the al Qaeda-linked al-Nusra Front, one of the groups fighting the al-Assad government, an Israeli military official told CNN on condition of anonymity.

In addition, 72 U.N. peacekeepers from the Philippines were "restricted to their positions" Thursday and Friday near Syrian villages in the area, the organization said without elaborating.

The United Nations has said it is talking with a variety of groups to try to secure the detained peacekeepers' release.

The world body revised the number of detained and restricted peacekeepers Friday from its earlier count of 43 and 81, respectively. The new count, it said, came after a check of the peacekeepers' leave records.

The Fijian peacekeepers were detained Thursday morning near the Syrian town of Quneitra, the location of the border crossing that rebels had captured, according to the United Nations.

Al-Nusra Front fighters and other Syrian rebels seized control of the Syrian side of the Quneitra crossing Wednesday, a capture that represents a new dynamic in a war long feared not only for its deadly effects inside Syria but for threatening to widen into a destabilizing regional conflict.

During the fighting Wednesday between Syrian forces and rebels, three errant mortar rounds and some small-arms fire crossed into Israeli-controlled territory, Israeli military spokesman Lt. Col. Peter Lerner said.

An Israeli military officer was moderately injured, the military said on Twitter, and Israeli forces responded by striking two Syrian military positions.

U.N. peacekeepers have been in the Golan Heights area since 1974, charged with maintaining a ceasefire between Syrian and Israeli forces since a 1973 war.

Israel seized control of the Golan Heights during the 1967 Six-Day War and fought off an attempt by Syria in 1973 to retake the rocky plateau.

In 1981, Israel annexed the Golan Heights. It is considered to be occupied territory by the international community.

CNN Exclusive: A 13-year-old witness to ISIS's beheadings

What can U.S. do against ISIS in Syria?

CNN's Richard Roth contributed to this report.

@highlight

NEW: U.N.: 44 peacekeepers seized near Golan Heights "are safe and in good health"

@highlight

U.N.: 3 million have left Syria during civil war; 6.5 million others are internally displaced

@highlight

Almost half of all Syrians forced to leave their homes, agency says

@highlight

More than 80% of refugees are struggling to make a living, U.N. says