Passengers aboard US Airways Flight 2846 were waiting on the tarmac at Phoenix's Sky Harbor Airport when their pilot came on the intercom.

"We've been notified about a health emergency aboard the aircraft," passenger Dean Davidson heard.

A few minutes later, Davidson saw a flight attendant walk toward another passenger sitting a few rows ahead of him. The flight attendant handed the slender middle-aged man a medical mask.

Emergency personnel boarded the plane a short time later and removed the man, Davidson said. A firefighter then came on the intercom and announced that the passenger had active tuberculosis and was contagious and that other passengers on the flight had been exposed. He advised them to contact their physicians immediately, Davidson said.

Arizona health officials are not recommending passengers on the plane seek medical care because their risk of being infected with tuberculosis is "very, very low," said Dr. Rebecca Sunshine, disease control director for Maricopa County Public Health.

"To put this in perspective... We're much more concerned that the passengers on this flight contracted influenza than that they contracted TB," she said.

The US Airways flight took off from Austin, Texas, on Friday, according to airline spokesman Bill McGlashen. It landed in Phoenix approximately two hours later on a layover before it was scheduled to fly to Los Angeles. There was no warning or flag on the passenger's record when he was going through security or when he boarded the plane, McGlashen said.

After the plane took off, the Centers for Disease Control and Prevention notified the Transportation Security Administration of a possible risk. The TSA then notified US Airways, McGlashen said.

The passenger in question has not been confirmed to have an infectious disease, CDC spokeswoman Karen Hunter said Sunday. "And even if a passenger had infectious TB, the duration of the flight was so short that there would likely be no risk of exposure to other passengers."

Another spokesperson for the CDC said Monday the government organization is still waiting on test results for the passenger, a U.S. citizen who was traveling internationally.

Fast facts about tuberculosis

Tuberculosis is caused by a bacterium called Mycobacterium tuberculosis, which mainly affects the lungs. It can also infect other parts of the body including the kidneys, spine and brain. There are two types of TB: latent TB infection, which is not contagious, and TB disease, which is contagious.

A person infected with latent TB shows no sign of symptoms and may not feel sick. Someone with TB disease usually feels ill; they may be coughing up blood and may have a fever, night sweats and/or chest pain.

TB spreads through the air when a person with an active TB infection coughs, sneezes or speaks. Germs can stay in the air for hours, but the risk in this case was very small, said Dr. William Schaffner, an expert on infectious diseases at Vanderbilt University.

"The risk is greatest for people sitting two rows ahead of and two rows behind the individuals," Schaffner said. "We don't have to worry about the blankets and seat rests and the like. It's how the air is transmitted and handled in the plane."

Schaffner said passengers on the plane should have a TB skin test done by their local health care provider. People who contract TB must take several medications for six to nine months to combat the infection, according to the CDC.

Some varieties of the TB bacterium have developed a resistance to common antibiotics and may be more difficult to treat. People with weakened immune systems, such as those with HIV, are particularly susceptible to the disease.

The number of TB cases in the United States has been declining since 1992, according to the CDC. In 2010, the most recent CDC data available, there were 569 deaths from TB.

Davidson was flying home from Austin, where he had been visiting his daughter for Thanksgiving. He said other passengers told him the potentially infected man appeared "awkward" before and during the flight, continually rubbing his face.

Davidson plans to get in touch with his doctor Monday morning. He said he has not heard from US Airways about the incident.

In January 2010, a person infected with an active case of tuberculosis flew from Philadelphia to San Francisco on US Airways despite being on the CDC's "Do Not Board" list, which is different from the TSA's "No Fly" list.

The Do Not Board list was created in 2007 after Atlanta lawyer Andrew Speaker traveled abroad with a drug-resistant case of tuberculosis, setting off an international health scare. Speaker insisted that he had not been told he was contagious; public health officials disagreed.

The CDC manages the Do Not Board list in coordination with the Department of Homeland Security. The list is authorized under the Aviation and Transportation Security Act of 2001, according to the CDC. Local and state health officials can contact the CDC to request that someone be placed on the list.

"To include someone on the list, CDC must determine that the person 1) likely is contagious with a communicable disease that would constitute a serious public health threat should the person be permitted to board a flight; 2) is unaware of or likely to be nonadherent with public health recommendations, including treatment; and 3) likely will attempt to board a commercial aircraft," the CDC website states.

"Once a person is placed on the list, airlines are instructed not to issue a boarding pass to the person for any commercial domestic flight or for any commercial international flight arriving in or departing from the United States."

The Do Not Board list does not apply to other methods of transportation. The CDC reviews the records of every person on the list every two weeks to see whether they are eligible to fly again.

In general, airline passengers are not legally obligated to tell an airline when they are sick, said Jeff Ment, an attorney who specializes in travel law. Unlike cruise lines, which require you to disclose illnesses leading up to the cruise, he said, airlines do not include any language in the ticket purchasing process that would prevent you from traveling.

"If you have some disease and its contagious, where's the threshold?" he asked. "If you have the flu? If you have a really bad cold? I think that once you establish some rule that there has to be notification, it becomes a slippery slope."

As a "common carrier," Ment said, airlines are legally required to do as much as possible to ensure the safety of their passengers.

If a passenger appears too ill to survive the flight without medical assistance, an airline could prevent him from flying, he said. Or if the airline knew that a passenger had a contagious disease, employees could require her to wear a mask during the flight to prevent germs from spreading.

In this kind of situation, any legal troubles would more likely stem from a civil lawsuit. After the 2007 incident, Speaker was sued by eight of his fellow passengers in a Canadian court.

Ment said plaintiffs would have to show that the infected passenger knew that he had the disease and was extremely careless around his fellow travelers.

"The line is crossed when the person knows they're sick and intentionally tries to do something (to infect others) or acts with callous disregard for your well-being," Ment said.

@highlight

Health officials are not recommending other passengers seek medical care

@highlight

Passengers aboard US Airways Flight 2846 may have been exposed to TB

@highlight

One man was removed from plane after it landed in Phoenix

@highlight

CDC says passenger has not been confirmed to have infectious tuberculosis