(CNN) -- Want to marvel at California's giant sequoias or hike the Mount Katahdin section of the Appalachian Trail? With most of the United States' national parks still shuttered, the country's stunning state parks are getting some well-deserved attention.

There are more than 7,800 state park sites around the country, attracting over 720 million visits per year, according to the National Association of State Park Directors. By comparison, the National Park Service's 401 sites had over 282 million visitors last year. Many state park visitors are repeat visitors, enjoying the state parks near where they live. Here are some of our favorites.

Calaveras Big Trees State Park, California

Known for its North Grove of giant sequoias, Calaveras Big Trees State Park became a state park more than 80 years ago. Within the grove is the first redwood documented by Augustus T. Dowd in 1852, known as the "Discovery Tree" and the "Big Stump." This park is considered the state's longest continuously operated tourist site. The South Grove has a five-mile hiking trail through the sequoias. Located about 150 miles north of San Francisco, the park is open for day visitors and campers.

Fall Creek Falls State Park, Tennessee

The most popular state park in Tennessee, Fall Creek Falls State Park is about a two-hour drive east of Nashville. The park's more than 20,000 acres includes the highest waterfall in the Eastern United States, virgin hardwood timber stands and spectacular places to spend the day hiking or staying to camp. While oak and hickory trees can be found in most of the park, the gorges host tulip poplar and hemlock forests.

Stone Mountain State Park, North Carolina

A National Natural Landmark, Stone Mountain features a 600-foot granite dome that doesn't disappoint the first-time visitor. Hike, fish, rock or camp surrounded by 14,000 acres of the park's forests, waterfalls and streams. (There are more than 16 miles of trails and 20 miles of designated trout waters.) Visitors can also enjoy learning about historic mountain living at the Hutchinson Homestead, which includes a blacksmith shop, meat house, log cabin and barn.

Statue of Liberty, Grand Canyon, Mount Rushmore to reopen

Fakahatchee Strand Preserve State Park, Florida

About 10 miles from Everglades National Park in Florida, rare and endangered tropical plants thrive in the waters of the Fakahatchee Strand Preserve State Park. Sometimes called the Amazon of North America, the Fakahatchee Strand is the only ecosystem in the world where bald cypress trees and royal palms share the same forest canopy. It's also home to 44 native orchid species. Animal fans might spot American crocodiles, Florida panthers and black bears, Everglade minks and Eastern indigo snakes.

Water enthusiasts can enjoy fishing, canoeing and kayaking. Even hikers can walk on trails created upon many of the raised railway beds of the old logging train that still crisscross the Fakahatchee Strand. The beds create a grid of trails, many of which are maintained for hiking.

Baxter State Park, Maine

The highest point in Maine, Baxter State Park's Mount Katahdin is the northern most point on the Appalachian Trail. Katahdin is often considered the most difficult hike on the trail, and Maine is considered one of the most difficult states on the trail.

Even if you're not tackling the trail, Baxter State Park requires preparation. It has incredible and difficult rock climbing, more than 200 miles of hiking trails and cold weather that will require you bundle up for your outdoor fun. Travelers looking for an easy hike can try Big and Little Niagara Falls while experienced hikers looking for a daylong trip can try the more difficult hike to Baxter Peak.

Finding spirituality on the Appalachian Trail

Punderson State Park, Ohio

Once a quiet lake resort for Clevelanders looking for a break from the city, Punderson became a state park in 1951. The 741-acre park is in Ohio's glaciated plateau region and used to be buried under glacial ice. Visitors can enjoy boating, fishing, golf, swimming and hiking. In the winter, the park features a lighted sledding hill, three snowmobile trails, two cross-country ski trails and even dog sledding on the Mushers Trail.

Kealakekua Bay State Historical Park, Hawaii

With the arrival of Captain Cook in 1779, this is the site where Hawaiians and Westerners first had extended contact. But the bay had been settled more than 1,000 years ago, before Westerners arrived. There is much that is sacred and protected in this historical park, and visitors are asked to respect spiritual and archeological sites where ceremonial structures once stood.

The Ka'awaloa Cove is home to some of the best snorkeling in the area, and it's also home to a delicate, living coral reef. Spinner dolphins also visit the bay to rest and nurse their young. The Pali Kapu O Keoua is a 600-foot high pali, or volcanic fault line and vertical sea cliff created by landslides and waves. Travelers should also avoid disturbing the natural environment for these animals and plant life, and stay away from the pali to avoid injury.

Kartchner Caverns State Park, Arizona

About 55 miles from Tucson, Kartchner Caverns State Park has Arizona's tallest natural column formation below ground level (and the world's longest stalactite formation). Book the cave tour to see this remarkable underground state park -- the cave is 2.4 miles long and remained hidden until its discovery in the 1970s. Come back for above-ground introductions to camping, Halloween parties and other activities.

Camping: Horror or bliss?

State Forest State Park, Colorado

Northwest of Rocky Mountain National Park, State Forest State Park's 71,000 acres offer the spectacular beauty of alpine lakes, trails, forests and moose viewing. The park has more than 600 moose in residence year-round. Head to North Park, the "moose viewing capital of Colorado," to see them. There is lots of winter sports activity and six rustic cabins for rent year-round.

Snow Canyon State Park, Utah

Located in the 62,000-acre Red Cliffs Desert Reserve at the intersection of the Colorado Plateau, Great Basin desert and the Mojave Desert, Snow Canyon State Park averages only 7.5 inches of rain annually. There's evidence that lava flowed down park canyons, filling them with basalt as recently as 27,000 years ago. The animal and plant life living within the 7,400-acre park have adapted to the desert environment. Look for protected species such as gila monsters, peregrine falcons and desert tortoises. Try camping, hiking or canyoneering.

What are your favorite state parks? We know we missed some of your favorites, so please share them in the comments section below.

@highlight

There are more than 7,000 state park sites in the United States

@highlight

Take advantage of a local state park while many federal park service sites are shut down

@highlight

Florida's Fakahatchee Strand Preserve is often called the Amazon of North America

@highlight

Pick the right state park to explore and you'll hike a bit of the Appalachian Trail