(CNN) -- U.S. President Barack Obama on Friday implored Sudanese officials to fully implement a 2005 peace agreement and move forward with a referendum that could see Sudan split into two nations.

"At this moment, the fate of millions of people hangs in the balance," Obama told world leaders gathered at the United Nations to discuss the country's future. "What happens in Sudan in the days ahead may decide whether a people who have endured too much war move towards peace or slip backwards into bloodshed."

The vote is scheduled for January.

It would allow the autonomous southern region -- which holds a majority of the nation's oil -- to secede from the north. Fears that the process would cause more instability in the war-torn nation have sparked concerns among the international community.

"The referendum on self-determination ... must take place peacefully and on time," Obama said. "And the will of the people of southern Sudan and the region of Abyei must be respected regardless of the outcome."

Abyei is a disputed oil-rich city in southern Sudan.

"The worst-case scenario is war. Nobody wants war, but both sides are preparing for war," said John Ashworth, a southern Sudan analyst. "There are still major stumbling blocks. We have just over a hundred days to the referendum and virtually nothing is in place."

Obama called the stakes surrounding the vote "enormous."

"We all know the terrible price paid by the Sudanese people the last time north and south were engaged in war," he said.

The referendum was part of a 2005 peace agreement that ended two decades of violence between the north and the south. The conflict led to the deaths of 2 million people, many from starvation.

"This is the awful legacy of the conflict in Sudan. The past must not become Sudan's future," Obama said.

U.N. Secretary-General Ban Ki-moon echoed Obama's comments, saying, "The Sudanese people cannot afford a resumption of conflict. We must all assist them in finding a peaceful way through one of the most important passages in their country's history."

Analysts say that a failure in Sudan would have broader implications, including sparking instability in the region.

International aid agencies are urging world leaders to act as the referendum nears.

"Failure to act risks a new eruption of violence and threatens the future of Africa's largest country, with just over 100 days until the referendum to decide whether the south should remain part of Sudan," five international aid agencies said in a letter to world leaders.

Oxfam, the International Rescue Committee, Tearfund, World Vision and Christian Aid warned that the next three months will be crucial for Sudan. The aid agencies work in the nation.

"This meeting will show whether they have the commitment to make the financial and political investment needed to help Sudan have a peaceful future," said Kirsten Hagon, head of the Oxfam office in New York. "Today's decisions will affect the lives of millions of Sudanese people."

Obama cautioned, however, that "no one can impose progress and peace on another nation."

"Ultimately, only Sudanese leaders can ensure that the referendum goes forward and that Sudan finds peace," he said. "There's a great deal of work that must be done and it must be done quickly."

Ban laid out expectations for the referendum as decided by the international community.

"We expect the referenda to be peaceful, carried out in an environment free of intimidation or other infringements of rights," he said. "We expect both parties to accept the results, and to plan for the consequences. And finally, we expect the parties to adhere to the [comprehensive peace agreement], without unilateral acts on either side, north or south."

Obama said that those Sudanese leaders who follow the path to peace will enjoy improved relations with the United States, including agricultural development, expanding trade relations and "even working to lift sanctions if leaders fulfill their obligations."

But for those "who flout their responsibilities ... there must be consequences," he said, warning of "more pressure and deeper isolation."

Meanwhile, Amnesty International called on Sudanese authorities Friday to halt what it described as the intimidation of journalists. The group said journalists are regularly detained for carrying out their work while others have been tortured or tried on politically motivated charges.

"No credible poll can be conducted in an environment where freedom of speech is being so openly violated," said Rania Rajji, Amnesty International's Sudan researcher.

"The governments of north and south Sudan must ensure the vote is held in an atmosphere where all Sudanese can freely express their views and halt any further restrictions to freedom of expression."

Currently, Omar al-Bashir is the president of Sudan, while Salva Kiir serves as the president of the southern region and the nation's vice president.

At stake in the referendum are Sudan's massive oil reserves, found mostly in the south, but still controlled by the government in the north.

Ban said the U.N. mission in the country has trained more than 9,000 southern Sudanese police ahead of the vote.

"U.N. staff will be positioned in every county in southern Sudan during the polling," he said. "I have also established a panel to facilitate a credible, transparent process."

And Ban pledged the United Nations' continued support "in assisting all Sudanese in fulfilling their long-held hopes for a better future."

CNN's David McKenzie contributed to this report.

@highlight

The talks come as the referendum vote scheduled for January nears

@highlight

The vote could split Sudan into north and south

@highlight

"Nobody wants war, but both sides are preparing for war," an analyst says