(CNN) -- Let's say you're on a job hunt and you've talked with people at two different companies.

At one, the leaders are bombastic, always proclaiming themselves right and never admitting wrong. They have swagger but little capacity for reflection. They seem more brittle than nimble. At the other, the leaders are sure of themselves in a different way: They don't mind acknowledging their weaknesses. In fact, they have a culture of achieving success by keeping goals in mind and directly facing failures.

Which team would you rather join?

The question isn't about workplaces only. It's about our country -- and whether we Americans are confident enough today to handle unpleasant truths.

In the Jefferson County, Colorado, school district, a new right-leaning school board recently tried to push through a history curriculum that would celebrate America more and downplay the role of protests and social unrest. This move, perhaps predictably, has led to protests and social unrest by students and teachers.

Meanwhile, at the U.N. General Assembly last week, President Barack Obama's speech about ISIS and human rights made passing reference to Ferguson, Missouri, and our own problems here at home. Some critics jumped on Obama for preaching "moral equivalence" between Ferguson and ISIS and for being an "apologizer in chief."

At play in both situations is a dispute about what it actually means to love this country. To the Jefferson school board, patriotism means talking up America, not talking it down. It means teaching children to behave -- and telling them that America was built by people who behaved.

This isn't patriotism. It's the wishful thinking of people steeped in the status quo.

Similarly, to the critics of the President's U.N. speech, patriotism means pointing out aggressively where others have sinned, erred, fallen short -- but treating any acknowledgment of our own sins, errors, shortcomings as aiding and abetting evil.

This isn't patriotism. It's the bluster of the deeply insecure.

True patriotism comes not from being scared to talk about where America has failed (and still fails) to live up to its stated creed and ideals. It comes from naming those truths plainly and closing the gap between our ideals and our institutions. We have to combine reverence for our exceptional creed with a demanding skepticism toward claims that we have already fulfilled it.

So consider, for instance, the Jefferson County guidelines and their message to teach the virtues of "free enterprise." Well, yes. Capitalism has generated more wealth in the United States than had ever been generated in human history. At the same time, more of that wealth than we typically acknowledge was built on slave labor and, after the Civil War, on the industrial indentured servitude of "freedmen."

This is a both/and, not an either/or. And citizens of a complex country like the United States should be able to deal with such complexity. Consider too: It is true both that the summer of 2014 marked the 50th anniversary of the signing of the Civil Rights Act into law and that it marked the killing of an unarmed black youth in Missouri that sparked national outrage and local upheaval.

There is of course a legitimate case -- made mostly by conservatives -- that a country unwilling to instill in young people a spirit of patriotism is a country headed for trouble. After all, America has little to bind together a vast continent and a diverse people besides a civic creed on parchment and commercialism everywhere else.

That's why Donald Kagan, the historian of ancient Greece, argues that it's a vital purpose of public education to make patriotic citizens. It's not enough, as some of my friends on the left think, just to point out where America has faltered or to dissent against policies they don't like. True patriotism requires more commitment.

But to impart such patriotism to children we should behave like adults and not children. Which means admitting that even though we Americans have done good things, and still do, we have also done bad things, and still do. The good may outweigh the bad but doesn't excuse it.

And when the bad is happening today -- in the treatment of African-Americans in Ferguson, say -- the best way to be American is to confront it and make it better. Even if that means being impolite and disobedient to authority.

More than 140 years ago, a U.S. senator from Missouri stood to address the tin-pot patriots of his time. His name was Carl Schurz. He was a German immigrant and had been a general of the Union Army in the Civil War. To the jingoists' chant of "My country, right or wrong," Schurz replied, "Our country -- when right, to be kept right; when wrong, to be set right."

Put that in every school board's curricular guidelines. Put it on the desk of every pundit who finds it easier to demonize than to solve problems. And put it on the conscience of the complacent and the cynical alike. That's patriotism for grown-ups.

@highlight

Eric Liu: Some Colorado school board members and Obama critics get patriotism wrong

@highlight

There's nothing unpatriotic about pointing out the ways America falls short, he says

@highlight

Liu: To impart patriotism to our children, we should act like adults