Beijing (CNN) -- "I have a bomb!" a wheelchair bound man shouted, holding what looked like a homemade bomb. "Stay away from me."

Minutes earlier, Ji Zhongxing had wheeled himself into Beijing International Airport's arrivals terminal. As he began to distribute leaflets to publicize his cause, he was stopped by airport security. Arriving passengers walked past him, seemingly oblivious to the looming danger.

Ji had written on his personal blog in 2006 that he had been attacked and beaten by security guards outside a police station in Shandong Province in 2005 after carrying a passenger on his motorcycle. He was paralyzed after the incident and petitioned for official compensation.

Shortly after his standoff with airport security, the disgruntled petitioner detonated his device, causing a minor explosion and injuring his arm. A policeman also suffered minor injuries but there were no other casualties, except perhaps China's fragile facade of stability.

Sympathy

The country's mainstream and social media covered the explosion and its aftermath. Rather than decry what was an act of terror, many people sympathized with Ji -- some even depicted him as a hero for warning people away before setting off the bomb.

But an editorial in the state-controlled Global Times this week stated that although cases like Ji's were sad, extremism by victims was not "tolerable."

"It's important to remember that Ji should be condemned and dealt with by law. His grievances can't provide moral support for his extreme actions, nor can they shield him from legal punishment," the editorial stated.

"Behind extreme crimes at the cost of self-harm, there are often unfortunate stories of suffering and tears. We support and call for the authorities to investigate those sad stories and consider investigation to be an important element that cannot be neglected when tackling extreme cases."

Central concern

Authorities will also be worried that Ji's act may spawn similar actions

Ji's act was the latest in a number of incidents involving petitioners airing grievances and seeking social justice.

In 2011, Qian Mingqi, a 52-year-old unemployed man, set off consecutive explosions in three government buildings in Jiangxi province, killing two -- including the bomber himself -- and injuring ten people.

Qian, it turned out, had been trying to seek redress for the loss of his property, which he claimed was illegally demolished by local authorities. "Ten years of fruitlessly trying to seek redress have forced me to go on a path I did not wish to make," he had posted on Sina Weibo, China's Twitter-like microblog.

While these sad tales have become more frequent, they are not new. I've seen this replayed many times.

Annual petition

The Chinese practice of going to Beijing to "shangfang" (petition) is centuries old, dating back to the days when aggrieved citizens could petition the emperor.

Every year, ahead of the annual meeting of China's legislature in Beijing, police take away thousands of petitioners from around the country seeking redress for problems with local officials.

Many of them phone media offices like ours to seek help, or to simply vent their frustrations.

Every month or so, we receive packets in the mail containing handwritten accounts and pictures, recounting their sad stories.

China is grappling with an acknowledged rise in social unrest, sparked by public anger over land grabs without proper compensation, official corruption, the growing gap between the rich and the poor and environmental damage.

Abusive behavior

Allegations of official abuse and police brutality are common. Spontaneous riots are also frequent.

In central Hunan province, for example, watermelon vendor Deng Zhengjia, 56, recently died after he and his wife were beaten up by six officers of "chengguan," the Urban Management Law Enforcement forces, prompting online uproar and detention of the officers.

Such abusive behavior has put the spotlight on the problem of the "chengguan," the para-police agency tasked with enforcing non-criminal city regulations.

Although it has no legal authority to detain suspects, critics say, they frequently do so and sometimes even resort to "enhanced interrogation." They confiscate merchandise and impose arbitrary fines, leading critics to suspect corruption.

They are also known to collude with property developers to evict people.

Growing discontent

Human rights groups have called on the Chinese government to clip the chengguan's powers and investigate its violent acts.

"The chengguan are not protecting the safety of Chinese citizens, they're actively undermining it," said Sophie Richardson, China director at Human Rights Watch. "The Chinese government can signal that it's serious about meaningful rule of law by ending chengguan abuses and impunity."

The Chinese leadership recognizes the risks posed by growing social discontent, but seems unable to find fundamental solutions.

It fears that political liberalization might lead to massive "dongluan" (chaos).

Such fear drives the Chinese leaders to seemingly contradictory policies and behavior.

Instead of addressing legitimate complaints, officials tend to resort to force and intimidation. Many cities have set up elite police squads to deal with riots and "terrorism."

They say they encourage "whistleblowers" to expose abuses, but when they aim at abusive officials, they get muzzled.

Li Chengpeng, one of China's most influential bloggers, recently had his Weibo account suspended after he posted a pointed essay about Ji Zhongxing's case. Ji, 34, had long been silenced by a system that tolerates little dissent, he said.

'Festering away'

The Shandong native has been paralyzed since 2005, when he was allegedly beaten up by several "chengguan" officers while working as an unlicensed motorcycle driver in southern Guangdong province. He was suing for damages, asking for over 334,000 yuan (about US$53,000) but to no avail.

"I am now festering away, paralyzed and over 100,000 yuan in debt," he posted on his blog that has since been deleted. "The only thing that is keeping me going is the thought of seeking justice."

In desperation, Ji brought his struggle for justice to Beijing, adding his voice to the chorus of discontent.

Chinese political scientist Li Fan says Chinese leaders can ignore this rising chorus at their own peril.

"The airport bombing shows that when people are hopeless they will resort to more violence," he explained. "It's dangerous because next time someone will think, if no one listens, take even more radical steps, then your voice can reach the top and your case can be solved."

Li, author of the book "The Rise of Civil Rights Movement in Contemporary China," believes the old petition system has very limited role.

"The Chinese government should give people more space, to be able to speak out and participate in local affairs. It's a good way to defuse the anger of the people," said the Beijing-based political scientist. "Otherwise there will just be more and more protests."

@highlight

Many on Chinese social media sympathized with plight of Beijing airport "bomber"

@highlight

But an editorial in state-controlled Global Times said this action is never justified

@highlight

Incident the latest involving petitioners airing grievances and seeking social justice

@highlight

China grappling with rise in social unrest sparked by official corruption, wealth gap