Newtown, Connecticut (CNN) -- The mother of the man identified by authorities as the gunman behind an elementary school massacre liked to play parlor games in a ladylike setting with neighbors, discussing their landscaping and backyard gardens in this charming exurb some 60 miles from New York City.

Nancy Lanza was a personable neighbor who lived on a block of spacious houses on a crest overlooking gentle hills, acquaintances said.

She and her family moved to the Sandy Hook neighborhood about 1998, raising two sons with husband Peter until the couple separated a few years ago.

"It was just a nice, normal family," neighbor Rhonda Cullen said Saturday, recalling a recurring neighborhood ladies night over the Bunco dice game.

"We used to joke with her that she'd do all this landscaping that no one could see because it all was in the back, and because her house was so set back," added Cullen.

At odds with this image of New England gentility was how the Lanza household possessed a cache of weapons -- including an assault-style rifle and two handguns -- in a community prized for its stillness.

Those weapons were found with Nancy Lanza's younger son, Adam, 20 -- whom three law enforcement officials said was the gunman in Friday's mass shooting at Sandy Hook Elementary School.

Read more: Latest developments

After gunfire at the school killed 20 children and six adults -- the second deadliest school shooting in U.S. history -- the shooter killed himself, officials said.

Before Friday's rampage, authorities said, Adam Lanza killed his mother in her home in Newtown's Sandy Hook community, after which the school takes its name. Adam was living with his mother, two law enforcement sources said. The other son, Ryan, was living in New Jersey.

Said Cullen, struggling to make sense of the weaponry and the carnage: "Something doesn't add up."

Marsha Lanza, an aunt to Adam Lanza, described him as a "quiet, nice kid," but he had issues with learning, she said. Her husband is brother to Adam Lanza's father.

"He was definitely the challenge of the family in that house. Every family has one," she told CNN affiliate WLS. "They have one. I have one. But never in trouble with the law, never in trouble with anything."

She said Adam Lanza's mother "battled" with the school board and ended up having her son home-schooled.

"She had issues with school," said Marsha Lanza, who lives in Crystal Lake, Illinois. "I'm not 100% certain if it was behavior or learning disabilities, but he was a very, very bright boy. He was smart."

Nancy Lanza was a giving, quiet, reserved person who grew up on a farm in New Hampshire with three siblings in a self-reliant family, Marsha Lanza said. The Lanza family is from Kingston, New Hampshire, she said.

"She didn't have to work because my brother-in-law left her very well off, very well off. She was always there for her kids," Marsha Lanza added, referring to Nancy Lanza's financial situation after she and her husband divorced.

The gunman's mother owned guns for self-defense, the aunt said.

"She never felt threatened, or she would have said something," Marsha Lanza said.

The aunt also said she couldn't begin to understand the mass shooting.

"Why these kids, why these innocent little kids? That just still baffles me," she said. "I can't understand why."

Remembering the victims

She said she doesn't believe gun laws should be changed. "It's the person who does the killing, not the gun," she said. "I thank God every day that my kids have faith and know right from wrong -- and I'm not saying her kids didn't -- but you have got to give your kids roots."

Adam Lanza's brother, Ryan, works as a certified public account in New York, the aunt said. "I couldn't imagine Ryan doing such a thing. He is too well-educated," she said. "He has it together."

Dan Holmes, who owns a local landscaping business, said Nancy Lanza was a gun collector, and that she showed off a rifle she had recently purchased.

"She told me she'd go target shooting with her boys pretty often," Holmes said.

But ATF Special Assistant Agent Gene Marquez said his agency "has not been able to uncover any evidence that the mother and the son were actively engaged in going to the gun ranges, practicing marksmanship, or anything of that nature."

The three weapons found at the scene of the shooting were legally purchased by his mother, a law enforcement official familiar with the investigation told CNN.

Neighbor Gina McDade said Nancy Lanza was a "stay-at-home mom" and not a teacher or part-time employee of Sandy Hook Elementary, as some media reports stated.

Nancy Lanza had earlier worked in finance in Boston and Connecticut, said a friend who knew her well but who didn't want her name published. Nancy Lanza had retired or was on a break from her career, but she was not a teacher, the friend said.

The friend said Nancy was devoted to her sons and had been "caring for Adam," but would not provide further details.

Nancy Lanza's relatives say they share the nation's grief and struggle "to comprehend the tremendous loss that we all share," according to a statement from James Champion, who is a police officer and brother to Nancy Lanza.

"On behalf of Nancy's mother and siblings, we reach out to the community of Newtown and express our heartfelt sorrow for the loss of innocence that has affected so many," said the family statement, which was read by Rockingham County, New Hampshire, Sheriff Michael Downing.

That county includes the town of Kingston, where Adam Lanza's father, Peter, was raised.

Peter Lanza released a statement Saturday expressing condolences to the families of victims.

"Our family is grieving along with all those who have been affected by this enormous tragedy. No words can truly express how heartbroken we are. We are in a state of disbelief and trying to find whatever answers we can," said the statement.

Four years ago, the Lanzas' marriage was ending.

Nancy Jean Lanza sued Peter John Lanza for divorce on November 24, 2008 -- three days before Thanksgiving, Connecticut court records show.

The husband was known in the family as "P.J.," Marsha Lanza said.

Nancy Lanza checked off "yes" for financial disputes but "no" for parenting disputes, records show.

They were divorced in September 2009 after an uncontested hearing, records show.

Peter Lanza is tax director and vice president of taxes for GE Energy Financial Services in the New York City area, according to his resume posted on the website LinkedIn. He has been an adjunct faculty member at Northeastern University in Boston since 1995 and also teaches a partnership tax class in the master's in taxation degree program at Fairfield University in Fairfield, Connecticut, his LinkedIn page states.

On LinkedIn, he wrote summaries about himself, including: "Career dedicated to developing and refining partnership tax planning and transactional skills" and "Work closely with many of the preeminent partnership tax advisors in the United States on a daily basis."

Hours after the shooting Friday, a reporter with the Stamford Advocate found Peter Lanza as he pulled his blue Mini Cooper into his driveway in Stamford, Connecticut.

Peter Lanza was apparently unaware that his son was behind the school massacre and his ex-wife had been killed, the newspaper reported.

Peter Lanza told the reporter, "Is there something I can do for you?" and then declined to comment upon being told of his family's involvement in the shooting, the newspaper reported.

The newspaper quoted an unidentified neighbor as saying Peter Lanza and his new wife, who has been living in the neighborhood for at least a decade, were married fairly recently.

Peter Lanza was taken in for questioning, but there was no indication he would face any charges, one U.S. law enforcement official told CNN.

Ryan Lanza was taken into custody for general questioning Friday from a home in Hoboken, New Jersey, according to three law enforcement officials. They did not label him a suspect.

The more complicated story of Adam Lanza was still being assembled by authorities and media in the aftermath of the massacre.

Authorities on Saturday said they were examining the sequence of events that led Adam Lanza to dress in what a law enforcement source said was "black battle fatigues and a military vest," enter Sandy Hook Elementary and begin firing.

He was named by authorities as the invader who shot to death 20 children -- ages 6 and 7 -- and six adults, then killed himself.

Adam Lanza was found dead in a classroom, and police recovered three weapons from the scene: a semiautomatic .223-caliber rifle made by Bushmaster and two handguns made by Glock and Sig Sauer, a source with knowledge of the investigation said.

Adam Lanza had no known criminal record, a law enforcement official said.

A member of Lanza's family told investigators that he had a form of autism, according to a law enforcement official who spoke under condition of anonymity due to the sensitive nature of the investigation.

Acquaintances struggled with fathoming the deadly actions being attributed to someone they had known.

Alex Israel was in the same class at Newtown High School with Adam Lanza, who lived a few houses down from her.

"You could definitely tell he was a genius," Israel told CNN, adding she hadn't talked with him since middle school. "He was really quiet, he kept to himself."

His former bus driver, Marsha Moskowitz, told CNN affiliate WABC that he was "a nice kid, very polite" like his brother.

"It's a shock to even know (the family)," she said. "You can't understand what happened."

A former classmate told CNN affiliate WCBS that Adam Lanza "was just a kid" -- not a troublemaker, not antisocial, not suggesting in any way that he could erupt like this.

"I don't know who would do anything like this," the classmate said, before walking away distraught. "This is unspeakable."

CNN's David Ariosto reported from Connecticut. Michael Martinez wrote this story and reported from Los Angeles.

@highlight

NEW: Relatives struggle to comprehend, express 'our heartfelt sorrow'

@highlight

NEW: Gunman Adam Lanza was a 'challenge,' home-schooled, aunt says

@highlight

NEW: Parents divorced; mom was left 'very well off,' aunt says

@highlight

Father is a VP at GE Energy Financial Services, mother was homemaker