LONDON, England (CNN) -- For the most part, the audience won't see his snarling eyes but the menacing growl from the orchestra confirms they are there.

Valery Gergiev uses his eyes to convey the feeling of the score while performing with the London Symphony Orchestra.

Russian maestro Valery Gergiev may appear to conduct with his whole body; from his sweeping arms to his quivering fingers to the way he stands on the tips of his toes and puffs out his cheeks. But the true message comes from the look on his face, most of all, through his eyes.

"You can do the same thing with your right hand, totally the same, but give a different look, the sound will change," Gergiev tells CNN.

Valery Gergiev is considered one of the greatest conductors of his time. He's certainly one of the busiest. Not only is he the principal conductor and artistic director of Russia's famous Mariinsky Theater, he's the general director responsible for the institution's opera, ballet, orchestra and latterly Academy of Young Singers.

He's also the artistic director of a number of international music festivals: the Stars of the White Nights Festival, the Red Sea Festival and the New Horizons Festival.

Last year, he'd barely unpacked his bags after long tenures as the principal guest conductor of the Metropolitan Opera in New York and principal conductor of the Rotterdam Philharmonic Orchestra when he accepted the role as principal conductor for the London Symphony Orchestra (LSO).

They, of course, were thrilled. "I often think of the LSO as a wonderful fast car and he is able to drive that and he takes them with him in the most extraordinary way," the LSO's managing director Kathryn McDowell tells CNN.

Recently, he's been taking that car back to the music of his homeland, launching a worldwide tour in August of the complete cycle of symphonies from Russian composer Sergei Prokofiev at the Edinburgh International Festival.

The performances promise to deliver as many surprises for the musicians as they do for the audience.

"We don't really know what he is going to do in the show -- it can vary enormously from the rehearsal," says Rachel Gough, principal bassoon with the London Symphony Orchestra.

"For me, that's a positive thing -- it's creative. Something's happening and it's about the emotion and the feeling behind the music and not really the notes, because that's just a means to end."

There's no doubt the musicians could play each piece note-perfect without a conductor: each performance is the culmination of years of practice, hours of painstaking work to refine their art.

But it's the conductor who provides the artistic cohesion. From the podium, Gergiev is pulling, willing, compelling them to follow his lead.

"When he is conducting, there is this animal instinct which comes out of him and you don't see it in rehearsal, you see it when he is performing and the look on his face," says Matt Gibson who plays the double bass for the LSO.

"When he looks at you and really wants you to do what he wants you to do, you have no choice. You will do it." See more interviews with the LSO on Gergiev

Gergiev's career started when his mother encouraged him to play piano as a child. It was his father's sudden death when Gergiev was just 14 that drew him closer to music and eventually led to conducting.

"It was a huge shock. My father was totally and completely a healthy man, a young man, he was 49," Gergiev tells CNN.

"From that moment it was clear inside that I will never stop this. I didn't know about conducting, but playing piano and my love for music developed hugely."

Gergiev was just 25 when he made his debut with the Kirov Opera in 1978, conducting Prokofiev's "War and Peace."

He's barely stopped since. On top of his commitments to the world's leading orchestras, he stages impromptu concerts to promote peace.

The most recent was in the central square of the South Ossetian capital of Tskhinvali in August, in front of the bombed-out buildings where its government once met. Watch video of the concert

On October 19, he'll join the World Orchestra for Peace for a rare performance in Jerusalem to promote unity in the Middle East. Read more about the Orchestra for Peace

His manager Doug Sheldon says Gergiev's energy and motivation may at first have come from an early awareness of his own mortality.

"I think he probably wondered if he would live longer than his father and I think he probably felt that life was not very secure, that I have to get a lot done in a short period of time," he tells CNN.

Sheldon thinks that later evolved into a personal mission to ensure the spirit of classical music -- and the work of the Russian greats -- does not die.

"He sees the need to continually reach out to people and the vehicle is music," Sheldon says. "He sees that as the way to express the very best and the very deepest of the human condition and the soul."

It's often said that the eyes are the window to the soul. Perhaps that's what the musicians are seeing when Gergiev is on the stage.

"If you do something, if anyone in the orchestra does something that he wasn't quite expecting or takes a little turn here or there, then he'll look up and grin and that's a good moment," says Rachel Gough.

@highlight

Russian Valery Gergiev is considered one of the world's leading conductors

@highlight

He holds three senior positions at the famed Mariinsky Theater in Russia

@highlight

In 2007, he joined the London Symphony Orchestra as principal conductor

@highlight

Gergiev conveys emotion to musicians, mainly through his facial expressions