London, England (CNN) -- The fashion world was Friday mourning the death of celebrated British designer Alexander McQueen as questions were raised over the future of his multi-million dollar luxury clothing brand.

A day after McQueen was found dead in his London home, the 40-year-old's flagship store in the city was closed, while flowers were laid in honor and a flag was flown at half mast over the shuttered doorway.

A manager at the Alexander McQueen store in New York, where similar memorial scenes of flowers and candles were reported, said the shop would also be closed in light of the designer's death.

McQueen's New York fans show support

Emerging from a modest background as the son of an east London taxi driver to become a household name, McQueen's success has been hailed as a testament to his talent, but analysts say there are doubts his name will endure.

Design brands have previously outlived their founders, with notable examples being the success of Frenchman Yves Saint Laurent's empire despite his death in 2008, and the survival of Gianni Versace's label following his 1997 murder.

Industry insiders say McQueen's hands-on involvement in his business as the creative driving force behind the label's bold and eccentric output will be difficult to sustain without the designer at the helm.

Gucci Group, which acquired a 51 percent stake in the McQueen brand in 2001, has yet to make a statement on the future of the label and its 11 stores worldwide which, according to the Financial Times, was not profitable until 2007.

The fashion house has not disclosed current figures for the brand which, the Times of London newspaper reported Gucci paid £13.6 million ($21.2 million) for its stake in.

Tim Gadoffre, CEO of luxury brand analyst Marival & Company, said McQueen's death represented a "disaster" for the brand and said there would be substantial doubts over the label's ability to survive its visionary founder's death.

Says Gadoffre, despite huge celebrity success, the McQueen brand had only just been consolidated as a going concern and the next decade would have been crucial in converting the designer's name into a long-term franchise.

"It is too early to tell, but I'm not convinced it is possible to project the business any further without him," he told CNN.

Nevertheless, retailers were reporting a sharp rise in sales of  McQueen items in the immediate wake of his death.

A spokeswoman for the upscale Liberty of London department store told CNN it had seen a 14-fold increase in McQueen brand sales, with top sellers including his signature skull print scarf and main line collection.

McQueen's death reportedly occurred on the eve of the funeral of his mother, Joyce, with whom he was said to have a very close relationship .

Tributes have poured in for McQueen, with many in the fashion and film industry hailing the "enfant terrible" for his diverse clothing creations and for dressing stars such as Sarah Jessica Parker and Nicole Kidman.

"His brilliant imagination knew no bounds as he conjured up collection after collection of extraordinary designs," said British Vogue Editor Alexandra Shulman, adding that his work "influenced a whole generation of designers."

"His death is the hugest loss to anyone who knew him and for very many who didn't," she said in a statement on the magazine's Web site.

"We are deeply shocked and saddened at the news of Alexander McQueen's untimely death," said a statement on the London Fashion Week Web site. "He was a unique talent and one of the world's greatest designers. Our thoughts are with his friends and family at this sad time."

Although McQueen was not showing a collection at the London Fashion Week, he was to unveil his ready-to-wear collection at the Paris fashion shows in March.

His 2010 spring/summer collection featured alien-inspired makeup and prints, according to Vogue, and "was lauded as his best by the fashion press." Dresses in that ready-to-wear line had exaggerated tiny waists and rounded hips, and models on the catwalk wore high club-like boots with them.

Model Naomi Campbell said she was "truly devastated" by McQueen's death.

"His talent had no boundaries and he was an inspiration to everyone who worked with him and knew him," she said in a statement released by her publicist.

Designer Carolina Herrera called McQueen "one of a -kind" and said in a statement that he was "one of the most talented designers of his generation. This is a big loss for the world."

The designer was born as Lee Alexander McQueen in 1970 in London's East End, the son of a taxi driver.

He left school with few qualifications, but later studied fashion at London's prestigious St. Martin's College and worked on the famous Savile Row street of tailors at a company that made suits for Prince Charles. One anecdote that helped cement his bad-boy image claimed that he had once embroidered a suit for the Prince of Wales with a profanity sewn into the lining.

His clothing line was purchased in 1991 by stylist Isabella Blow, who became a close friend. She committed suicide in 2007, five years after his label was brought into the Gucci Group.

@highlight

NEW: Fate of McQueen's fashion brand uncertain after designer's death

@highlight

McQueen, 40, found dead at London home on Thursday

@highlight

McQueen had reputation for controversy, earning him title "enfant terrible"