(CNN) -- Iraq is today a shattered society, shaped by two major international wars, bombings, debilitating sanctions, civil war, emigration of millions of its best-educated people, deadly insurgency and counterinsurgency and foreign occupation over 20 years.

While Iraq never achieved full unity after it was cobbled together by the British in 1920 from three large and mutually alien communities -- the Sunni Muslim Kurds in the northern highlands, the Sunni Muslim Arabs in the central plains and the partly Farsi-speaking Shia Muslim Arabs in the southern lowlands -- Iraq had made great social and economic progress. By 1990, it was the most advanced of the Arab countries. Now that is all gone.

Yet, even today, there is a memory of collective statehood, or Iraqiyah. Some of us who have lived among the Iraqis believe they have a chance to invigorate a new beginning of Iraqiyah but that the return to something like the state that existed before will take years.

How is the American withdrawal regarded? My hunch, from having known Iraq and Iraqis of all persuasions for more than half a century, is that most will be happy to see us leave. But, at the same time, they have learned to fear one another, so their politically effective attitudes will vary from one community to the next.

Insofar as there are winners from these destructive years, it is the Shiites. With our help, they emerged to control the government and such armed forces as exist. Most of their leaders have lived and studied in Iranian theological institutions, so they see Iran as a friend and patron. More recently, they have made beneficial economic and diplomatic contact with China, Russia, India and members of the European Union. Thus, while the (Shia) Iraqi government realizes that the United States (inadvertently) helped them to power, that time is past, and an anti-Iranian America could pose dangers. Better, they would conclude, that America be gone.

For the Kurds, the answer is different. They have benefited from the destruction of the Sunni Arab central government to establish a vigorous mini-state under the Kurdistan Regional Government. The Shia Iraqi regime is unlikely to challenge Kurdish autonomy. And if it manages to keep the giant oil field at Kirkuk, the Kurdistan Regional Government could underwrite its autonomy economically.

But, with the Americans gone, the Kurdistan Regional Government faces one danger: their people, as distinct from their state, spill over into Syria, Iran and Turkey. Revanchist movements of Kurds in those countries have brought upon the Kurdistan Regional Government attacks and may bring more severe attacks once the American hand is withdrawn. Thus, the Kurdistan Regional Government should favor at least a strong American influence in their neighborhood.

The Sunni Arabs have been the big losers in this long and dreadful conflict. A whole generation of their educated elite have fled the country, tens of thousands have been killed, hundreds of thousands wounded. Most of their property has been looted, seized or burned. The dangers posed by the Shiites are still clear and present. Surely, one would think, despite the memory of the American role in these events, they would like the Americans to stay to prevent the Shiites from further action against them.

No, I find that is not true. They, above all other Iraqis, were the nationalists, raised on efforts to eject the British and then to overthrow the British puppets; for them, getting rid of foreign manipulation was always the ultimate objective. So, although they might hope that America's hostility to Iran would spill over into Iraq to their advantage, they share with the Shiites and the Kurds satisfaction that the Americans are nearly gone.

But are the Americans really nearly gone? Are any of the hopes or beliefs of the Iraqis likely to be fulfilled? The U.S. is reportedly doubling the size of its embassy personnel from 8,000 to 16,000, with about 200 military personnel remaining to assist them. So long as hostility to Iran remains the governing policy in the Middle East, Iraq remains pivotal. The same geostrategic appreciation, but focused on India and the Gulf oil states, governed British policy in the 1930s and 1940s. There is no sign the basic policy has changed by the move from London to Washington.

While at least the more abrasive aspects of the American presence in Iraq are likely to diminish, I believe that in the eyes of all three groups of Iraqis, the withdrawal will be regarded as cosmetic rather than real. In this event, it seems likely that the current friction among at least America, the Sunni Arab rebels and the Shia government will not abate much while the Kurds will continue to cultivate their close but covert relationship with Israel. And if America's relationship with Iran worsens, the Kurds and Americans will draw closer.

The opinions expressed in this commentary are solely those of William R. Polk.

@highlight

Iraq is a shattered society, yet there is a memory of collective statehood, says William R. Polk

@highlight

Polk: Most Iraqis will be happy to see us leave, but they have also learned to fear one another

@highlight

Kurdistan Regional Government should favor a strong American influence in its area, he says

@highlight

The Sunni Arabs have been the big losers in this long and dreadful conflict, Polk says