Los Angeles (CNN) -- Dr. Conrad Murray's defense team challenged the motives and methods of the prosecution's anesthesiology expert Friday, while the judge threatened to hold the defense propofol expert in contempt for comments he made about the prosecution.

Dr. Steven Shafer, the last prosecution witness, will still be on the witness stand when the trial resumes Monday.

Shafer testified Thursday that the "only scenario" to explain Michael Jackson's death was that he overdosed on propofol infused through an IV drip set up by Dr. Murray.

Prosecutors argue that Murray's reckless use of the surgical anesthetic propofol to help Jackson sleep led to his death, while the defense contends Jackson self-administered the fatal dose, along with sedatives, without Murray knowing.

Shafer, in his testimony Thursday, said the level of propofol in Jackson's blood taken during his autopsy could not have been from either Murray or Jackson injecting the drug, but only from an IV system that was still flowing when his heart stopped.

Prosecutors, however, opened the door for one scenario in which Jackson, not Murray, could have triggered the overdose.

"Can you rule out the possibility that Michael Jackson manipulated something to cause it to flow?" Deputy District Attorney David Walgren asked Friday.

"That's a possibility," Shafer said. But that is assuming Murray set up the drip and left Jackson's side, he said.

Would Shafer's opinion that Murray was responsible for Jackson's death change if he knew Jackson turned the drip on?

"No, if Michael Jackson had reached up, seen the roller clamp and opened it himself, this is a foreseeable consequence of setting up an essentially dangerous way of giving drugs," Shafer said. "It doesn't change things at all. It would still be considered abandonment."

Lead defense lawyer Ed Chernoff decided to conduct Shafer's cross-examination instead of leaving it to Michael Flanagan, the defense team's most knowledgeable lawyer about propofol.

Toxicology studies of drugs in Jackson's blood and computer models Shafer used to analyze how he died were overshadowed Friday when Chernoff focused on the personal and professional rivalry between Shafer and Dr. Paul White, the defense expert.

The experts first met in 1978 when White was an assistant professor at Stanford University and Shafer was a medical student. They became friends and co-authored research papers, but this trial appears to have changed their friendship.

Chernoff accused Shafer of wanting to "shove it down his (White's) professional throat" in a question stricken from the record by Los Angeles County Superior Court Judge Michael Pastor.

White was lectured by Judge Pastor about comments about Shafer attributed to him in an online blog.

White admitted Friday that he told a reporter that he had changed his opinion of Shafer after hearing his testimony Thursday. "I was his teacher when he was a medical student," E! News Online quoted White as saying. "The truth will come out. It always does."

White denied calling Shafer "a scumbag," as the website quoted him as saying.

Pastor, who imposed a gag order on all parties in the trial, set a contempt of court hearing for White next month.

"You are not in any way shape or form, to comment on your views regarding the state of the evidence, witnesses or your views as to any counsel in this case," Pastor said.

Chernoff cross-examined Shafer about the assumptions he used to reconstruct an IV drip system he believed Murray set up next to Jackson's bed. Shafer demonstrated the system in his testimony Thursday.

Shafer testified that he did not think it was significant that investigators never found a key component of the tubing in the system. "It's so easy to remove," Shafer said.

Murray appeared visibly shaken by Shafer's testimony Thursday, especially when he demonstrated his version of the IV drip.

Jackson died because Murray failed to notice that his patient had stopped breathing while he was hooked up to an IV drip of propofol, Shafer testified. The doctor should have realized Jackson had stopped breathing about 11:45 a.m. on June 25, 2009, he said.

"When you're there, you see it, you know it," Shafer said.

Phone records and testimony showed that Murray was on the phone with one of his clinics, a patient, and then a girlfriend about the time that Shafer calculated the oxygen in Jackson's lungs became depleted, causing his heart to stop beating.

"Had Conrad Murray been with Michael Jackson during this period of time, he would have seen the slowed breathing and the compromise in the flow of air into Michael Jackson's lungs, and he could have easily turned off the propofol infusion," Shafer said

Murray, accused of involuntary manslaughter, could have then easily cleared Jackson's airways and restored his breathing by lifting his chin, he said.

Earlier testimony from paramedics and emergency room doctors said Jackson was clinically dead by the time an ambulance arrived at the pop icon's Los Angeles home nearly a half-hour after Murray realized there was a problem.

The last three prosecution experts, all medical experts, focused the Murray trial on the science surrounding Jackson's death, a contrast to earlier testimony from Murray's girlfriends and Jackson employees.

Shafer demonstrated how he believed Murray set up the propofol infusion by hanging a 100-milliliter vial from a stand with tubing attached that would have led to a catheter port in Jackson's left leg.

"This is the only scenario that I could generate" that would produce the high level of propofol found in Jackson's blood during his autopsy, Shafer said.

"This fits all of the data in this case, and I am not aware of any data that is inconsistent with this explanation," he said.

The Los Angeles County coroner ruled that Jackson's death was caused by a combination of sedatives with the propofol, which Murray admitted in a police interview that he used to help Jackson sleep.

The defense contends that Jackson swallowed eight lorazepam tablets, a claim based on testing of lorazepam levels in Jackson's stomach contents. Shafer discredited the defense lab tests, saying a new test showed the equivalent of only "1/43rd of a tablet" of the sedative in the stomach.

The level of lorazepam in Jackson's blood was far higher than what would be expected based on the dosages Dr. Murray told detectives he gave Jackson in the hours before his death, Shafer said.

Murray said he gave Jackson a total of 4 milligrams of lorazepam in two separate doses starting 10 hours before his death. Toxicology results indicated that Jackson was given 40 milligrams -- not four -- in a series of 10 doses, he said.

Shafer testified Wednesday that Jackson would be alive now but for 17 "egregious deviations" by Murray from the standard of care required of physicians.

Murray's use of propofol almost every night for two months to help Jackson sleep was so unusual, there is no documentation on the dangers, Shafer said.

"We are in pharmacological never-neverland here," Shafer said, "something that's only been done to Michael Jackson."

The trial is expected to conclude with the start of jury deliberations possible as soon as the end of next week.

@highlight

NEW: Defense anesthesiology expert faces a contempt of court hearing

@highlight

NEW: Dr. Steven Shafer says Michael Jackson could have turned the fatal IV drip on himself

@highlight

NEW: If Jackson infused himself with propofol, Dr. Conrad Murray's still guilty, Shafer says

@highlight

Murray's involuntary manslaughter trial could to go the jury the end of next week