Palisades, New York (CNN) -- About six weeks ago, a large earthquake devastated Haiti and killed over 200,000 people. Saturday, a huge earthquake releasing 500 times more energy, devastated Chile and killed hundreds.

So why did the smaller earthquake kill so many more people? And why the sudden spate of disastrous earthquakes in the Americas?

No, the apocalypse is not coming. No, the two earthquakes are not linked in any way. And no, Pat Robertson, you can't blame the Devil or the French. The real answers, for those comfortable with science and the Enlightenment, are tectonics and poverty.

Of the many revolutions of the 1960s, the one that really mattered to geologists was the revolution of plate tectonics. Tectonics is the word geologists use to describe the process by which mountains move and rocks squeeze and crunch.

In the sixties, new data from research cruises and from earthquake seismometers led to the realization that tectonics makes mountains slide sideways long distances. Earth scientists discovered that the Earth has a patchy skin of mobile plates a hundred miles thick and thousands of miles across, and that they move horizontally at a slow but irresistible pace. It's where they collide that our problems begin.

South America is a prime example of this process, one that geologists call "subduction." It's why we have the long chain of mountains called the Andes and it's why countries like Chile and Peru suffer giant, destructive earthquakes every few decades.

Off the coast of Chile is a tectonic plate called the Nazca Plate. Unseen by most, it has been inching its way towards the South American continent, and sliding underneath it, for well over a hundred million years. Since the day that Magellan first rounded Tierra del Fuego it has encroached by 130 feet in a roughly east-north-east direction.

The Nazca plate doesn't slide under the South American plate in an orderly fashion though. It moves in fits and starts, sometimes sticking and sometimes slipping, sometimes here and sometimes there. Along the coast of Chile, patches can get stuck for over a hundred years. When they do finally slip, they go with a bang. All that squeezing energy is released in seconds and an earthquake happens.

On Saturday a patch roughly the size of Maryland came unstuck, unleashing one of the most powerful tremors ever recorded. Fifty years ago, a patch four times bigger and with an area of about 50,000 square miles, the size of Louisiana, slipped and triggered the Valdivia earthquake. Its magnitude has been estimated as at least 9.5, making it the largest earthquake of modern times.

Over millions of years, this tectonic squeezing has formed the Andes and raised the high desert known as the Altiplano. Elsewhere it has created the Alps, the Rockies, the Himalayas, and Tibet. It has also created and distorted some of the islands of the Caribbean, including Haiti.

So that's why some parts of the world suffer from big earthquakes that strike with irregular frequency, while other regions are seismically quiet: it all depends on where the plates meet and how fast they are running into each other.

Knowing this helps us assess seismic risk and mitigate it. It helps us know where the strongest earthquake shaking will hit and roughly how often. Predicting when the shaking will hit is a much greater challenge, and geophysicists are working hard to reach that goal. In any case, prediction is not the real problem: poverty is.

Poverty is what ultimately kills most people during an earthquake. Poverty means that little or no evaluation is made of seismic risk in constructing buildings and no zoning takes place. It means that building codes are not written, and even if they do exist they are difficult, or impossible, to enforce. It means the choice between building robustly or building cheaply is not a choice at all.

Haiti is a tragic illustration of this. Weak building materials and poor construction standards share much of the blame for the grotesque numbers of fatalities, injured and internally displaced people.

Of course it's complicated. Earthquake shaking is a complex process and the chain of causation from earthquake source magnitude through infrastructural damage to human harm involves factors like the type of earthquake fault, its orientation, the hardness of bedrock or presence of wet soil, and so on. A lot also depends on the time of day the earthquake strikes in terms of how many people are inside buildings that could collapse. Population density, distance from the epicenter, and the depth of the rupture are the most important factors of all.

Nevertheless, those countries most at risk of seismic tragedy are not simply those on tectonic plate boundaries, but also those with the least money to spend on protecting themselves.

The opinions expressed in this commentary are solely those of Colin Stark.

@highlight

Chile's quake released 500 times more energy than Haiti's, says Colin Stark

@highlight

Earthquake's magnitude is related to movement of plates on earth's surface, Stark says

@highlight

Quake damage partly due to level of poverty, quality of building techniques, he says