(CNN) -- The Pentagon has revolutionized warfare during the past decade, making unmanned aerial vehicles, known as UAVs, a staple of modern combat in Afghanistan and Iraq.

A USAF technician at Creech Air Force Base, checks Hellfire missile attachments on a Predator.

Remotely-controlled drones, such as the Predator and the Reaper, have allowed the U.S. military to spy on and attack enemy combatants without putting their own forces at risk, thereby making UAVs a must-have.

"The real advantage of unmanned aerial systems is they allow you to project power without projecting vulnerability," says USAF Lt. Gen. David Deptula at the Pentagon.   But as USAF commanders try to provide enough pilots to take charge of drones, many are considering another aspect of the warfare revolution -- the psychological impact on those controlling the vehicles.

As Dr. Kory Cornum, a USAF colonel, explains: "Whereas we have thousands of years of data on what it's like to go to war really, we only have a few years of data on what it's like to go to war virtually. And so we don't have really enough data."

Pilots are now dealing with something never experienced before -- a rapid transition from intense combat to home comfort, often in less than an hour.

Some describe it as a version of post-traumatic stress disorder, often more associated with soldiers directly in harm's way. Peter Singer, an adviser to U.S. President Barack Obama's campaign team and author of "Wired for War," described one encounter with a frustrated non-commissioned officer.

"She actually banged the table, saying: 'No one is paying attention to this issue of PTSD [post-traumatic stress disorder] among my men and women, no one's paying attention to it," Singer says. "And she talked about a scene where they were flying a drone above a set of U.S. soldiers that were killed and the drone was unarmed at the time and they couldn't do anything about it. They just circled above and they watched U.S. soldiers die in front of them."  Watch the debate about the impact of UAVs on pilots »

USAF fighter pilots like Major Morgan Andrews remotely control drones from Creech Air Force Base in Nevada. Less than an hour after targeting he'll be back in suburban Las Vegas, his drive home more physically dangerous than the combat mission he has just undertaken.

Commanders at Creech say that if there is stress, it comes from relentless around-the-clock shift work.

Andrews says that like any good pilot he has learned to compartmentalize his life, using his commute to and from work to transition.

"I think about work, I think about what happened," Andrews explains, "what I could've done better, anything I maybe did wrong that I could've done differently, how could I do it better next time. I just kind of go through it and usually, by the time I get home, I've sorted it all through my mind and stick it away in a file and go on with life."

For Andrews, fighting from Nevada more than outweighs the drawbacks of long overseas deployments, allowing him to enjoy life at home with his family and friends.

Cornum adds that the drive home is more of a blessing than anyone realized. "It does give you some amount of time, as opposed to if you lived on base and you could literally walk out of war and into your house," he says. "I don't know if 30 minutes is enough. But it gives you time to decompress."

But conducting remote warfare, as Cornum explains, brings with it stress that vary from those usually experienced by troops.

"The big difference is that when you are actually deployed, you are with all your battle buddies who are experiencing the thing 24/7. Whereas when you go home, you go home to your family, to your neighbors, who are not in the battle all the time. And that's good and bad."

@highlight

Robotic warfare allows pilots to control armed vehicles without risk to themselves

@highlight

Military experts are now looking at the psychological impact this may have on pilots

@highlight

Pilots now transition from battlefield to home environment in less than an hour

@highlight

Some pilots welcome operating from the U.S. rather than being deployed overseas