London (CNN) -- This April, in Washington D.C., ministers from developed and developing countries will discuss how we can prevent the unnecessary deaths of over a million children a year.

Death caused mostly by diarrhea due to a lack of safe drinking water and sanitation. Deaths that outnumber those caused by AIDS, malaria and measles combined. In fact, the biggest cause of child deaths in sub-Saharan Africa and the second biggest worldwide.

The Washington gathering, as part of the Sanitation and Water for all partnership, comes soon after the announcement that the Millennium Development Goal (MDG) target to halve the number of people who do not have access to safe drinking water has been achieved, a full five years ahead of the target date.

The news that an additional two billion people now have access to safe water in the last 20 years is certainly a cause for celebration, but our journey towards universal access to water still has some way to go. Now is not the time for complacency.

Despite this recent progress, 783 million people from the poorest and most dispossessed communities across the world do not have access to safe drinking water. They will be the hardest to reach, the most marginalized and excluded. If context was needed for the scale of the challenge, we are talking about reaching the equivalent of over two and a half times the population of the U.S. with clean water.

We should focus first and foremost on the poorest of the poor when investing in water. They must be our priority moving forward.

Basic systems that can be managed by communities themselves accounted for less than 20% of donor funding to the water and sanitation sector in 2010. This is a worrying statistic as it will leave many of the 783 million without access to safe water on the sidelines. You certainly won't hear these people celebrating achieving this water Millennium Development Goal when their need remains so great.

But more worrying still, is the consistent failure to achieve the other half of the same MDG goal -- that of halving the proportion of the population without access to basic sanitation.

A staggering 2.5 billion still live without toilets, and access to sanitation is one of the most off-track targets of the Millennium Development Goals, particularly in Sub-Saharan Africa. On current trends, it will be over 250 years before the region has universal access to both water and sanitation.

Graphic: How much water does the world waste?

Having clean water and safe sanitation transforms lives, such as that of Yacouba Doumbia a student from the Simba East school in Mali.

"I used to get sick, especially with stomach aches and headaches. Having the new toilet has made things easier for us because if we need to go to the latrine we can and there is water and soap to wash our hands after. We collect water from both the borehole and well," Doumbia said.

"We drink from the borehole and wash our clothes from the well. I can see a lot of difference. For me the borehole water is tastier. I used to get sick when I drunk from the well water. I used to suffer from stomach aches."

So the question is now how to get these services to everyone on the planet. How do we repeat the improvements in the lives of Yacouba and his community with the billions who are still waiting for these services?

That is the challenge facing the Sanitation and Water for All partnership when it holds its biennial meeting in April, a meeting I am honored to have been asked to participate in.

Thirsty for knowledge? Take the water security quiz

This group of ministers and officials are committed to the endeavor of bringing water and sanitation to all. We have to make sure that we back up their drive and ambition with the political will and the investment required to provide these essential services to every person on the planet.

We have it in our power to provide water and sanitation to everyone within a generation. Let's put ourselves on the path to achieving this crucial goal.

The opinions expressed in this article are solely those of Barbara Frost

@highlight

Poor water sanitation kills more children each year than AIDS, malaria and measles combined

@highlight

Over three-quarters of a billion people do not have access to clean drinking water

@highlight

International NGO WaterAid helps provide safe domestic water, sanitation and hygiene education