Ukrainian President Viktor Yanukovych accepted the resignation of Prime Minister Mykola Azarov and his government Tuesday, amid a political crisis fired by violent protests on the country's streets.

Azarov and his Cabinet will continue in their roles until a new government is formed, a notice on the presidential website said.

Yanukovych's announcement comes only hours after Azarov submitted his resignation and as the national parliament met in an emergency session aimed at ending the crisis.

In a first step, lawmakers voted overwhelmingly to repeal sweeping anti-protest laws whose passage this month angered anti-government demonstrators.

The special parliamentary session also looked at legislation that might provide amnesty for more than 200 people arrested since the demonstrations began in late November. It's been adjourned until Wednesday, when lawmakers will continue the debate, state news agency Ukrinform said.

But activists on the street have said that while the concessions are a step in the right direction, their fundamental grievances have yet to be addressed.

'We all want to live in a lawful state,' says Ukrainian protester

They want to see wide-ranging constitutional reform and a shake-up of the Ukrainian political system.

The controversial anti-protest laws were rammed through parliament on January 16 by a show of hands by members of Yanukovych's Party of Regions.

Anger about the legislation escalated the long-running anti-government protests into violent confrontations, with police and protesters fighting pitched battles in the icy streets of Ukraine's capital, Kiev.

Division of powers

As the crisis has deepened, Yanukovych's government has come under increasing pressure both internally and from Western governments concerned about an apparent bid to limit people's democratic rights.

Vitali Klitschko, leader of the opposition Ukrainian Democratic Alliance for Reforms party, or UDAR, told reporters at parliament that the repeal of the anti-protest laws was a small but very important step.

Much remains to be done, he said, according to his party's website. "Today, we still have to consider a very important issue on the amnesty and release of all detained demonstrators," he said.

"It is also crucial to address the question of the constitutional reform, which will divide powers between a President, a Prime Minister and the Parliament."

In a statement posted on the government's website, Azarov said that by quitting he intended to "create more opportunities for social and political compromise for a peaceful settlement of the conflict."

That conflict "is a threat to the entire Ukrainian society and every citizen," he said, adding that the government was doing all it could to prevent bloodshed.

It will likely take more than Azarov's departure to satisfy the demands of hardy protesters who, despite the bitter cold and threat of violence, have massed in and around central Kiev's Independence Square, or Maidan, to demand Yanukovych's ouster and new elections.

In recent days, protests have also spread to other cities around the country.

Yatsenyuk: 'Shameful practice'

Azarov's resignation may have been a case of jumping before he was pushed.

He was widely expected to face a vote of no confidence in his government at the special parliamentary session, and his post had already been offered to an opposition leader.

Arseniy Yatsenyuk, who heads the Fatherland Party, refused Yanukovych's offer to be prime minister, but Azarov's position was made almost untenable.

Speaking in parliament Tuesday, Yatsenyuk urged the President to sign the law repealing the anti-protest legislation as soon as possible, according to the official Ukrinform news agency.

"I'm asking Viktor Yanukovych to immediately sign a law for which the parliament has just voted," he said. "We have finally closed the shameful practice of voting by a show of hands and abolished those laws against which the whole of Ukraine rebelled."

Fatherland is also the party of former Prime Minister Yulia Tymoshenko, who has been imprisoned since 2010 on charges the United States and Europe have called politically motivated. In a statement Monday evening, she called on the opposition to remain firm.

Another round of talks was held Monday between the government and the opposition as they sought a resolution to the crisis.

Read more: Is Ukraine becoming a dictatorship?

Force 'not the answer'

Ukraine was high on the agenda for a long-planned "Russia summit" in Brussels, Belgium, attended by Russian President Vladimir Putin, European Commission President Jose Manuel Barroso and European Council President Herman van Rompuy.

Speaking at a news conference after the summit, Van Rompuy urged restraint and said those responsible for violence in Ukraine must be held accountable.

"The present stalemate must be rapidly overcome," he said, as he called for genuine dialogue between the government and opposition.

The European Union is ready to move ahead with the planned trade deal, or association agreement, with Ukraine whose dismissal by Yanukovych first triggered the popular protests, Van Rompuy added.

Barroso said the repeal of the anti-protest laws and a potential amnesty for arrested protesters, if confirmed, would be "important steps" toward resolving the crisis.

"Use of force is not the answer" to the present political situation, he said.

There have been tensions between Russia and the European Union over developments in Ukraine, with each side accusing the other of interference.

But Putin has denied that Moscow is exerting undue influence in Ukraine. "Russia has always respected, is respecting and will respect the sovereign rights of all the international entities including new states that emerged after breakdown of the Soviet Union," he said at the summit.

The European Union's foreign policy chief, Catherine Ashton, who was also at the summit, will travel to Kiev later Tuesday for talks. Stefan Fule, the European Commissioner for EU enlargement, also returned to Kiev on Tuesday.

Their main objective is to help bring a halt to violence and provide political stability in Ukraine, while respecting the will of the people, said Van Rompuy.

Read more: Ukraine protests - 5 things you need to know

U.S. Vice President Joe Biden called Yanukovych on Monday night to reiterate American support for "a peaceful, political solution to the crisis," the White House said.

Ukraine, a former Soviet republic, is home to 45 million people. The clashes over the past 10 days are an escalation of weeks of largely peaceful public protests prompted by Yanukovych's decision in November to spurn the planned trade deal with the European Union and turn toward Russia instead.

He and Putin agreed a $15 billion deal for Russia to buy Ukrainian debt.

@highlight

Senior European official urges restraint, dialogue between parties in Ukraine

@highlight

President Viktor Yanukovych accepts resignation of Prime Minister and Cabinet

@highlight

Parliament debates legislation that might give amnesty to arrested protesters

@highlight

Lawmakers vote by an overwhelming majority to repeal sweeping anti-protest laws