(CNN) -- In his State of the Union address, President Obama reaffirmed that the country's war in Afghanistan would be over by the end of 2014.

He also laid out more specifics.

Of the approximately 66,000 U.S. troops in Afghanistan now, more than half -- 34,000 -- will come home in the next year, Obama said.

At the same time, Afghan troops will assume most of the responsibility for combat missions.

"This spring, our forces will move into a support role, while Afghan security forces take the lead," Obama said.

It was previously expected that Afghan forces would take the lead in combat missions by the middle of this year. But a U.S. official told CNN that the military transition has accelerated and that Afghans will lead all security operations by March.

What does this news mean for Afghanistan and America's longest war? Here are some key questions that will be asked in the coming months:

1. Are the Afghan troops up to the task?

There are certainly doubts.

A Pentagon review in December claimed that only one of 23 Afghan army brigades was capable of functioning on its own.

Meanwhile, literacy rates are low, desertion rates are high, and many deserters have joined the insurgency. There also have been a troubling number of "green-on-blue" attacks: Afghan troops attacking their American comrades.

But Defense Secretary Leon Panetta has spoken positively about the progress Afghans have made in growing their army, reducing violence and becoming more self-sufficient. Afghan forces now lead nearly 90% of operations across the country.

"We're on the right path to give (Afghanistan) the opportunity to govern itself," Panetta said earlier this month.

Afghan President Hamid Karzai said he welcomes the U.S. troop withdrawal and insists his army can defend the country against the Taliban.

"It is exactly our job to deal with it, and we are capable of dealing with it," Karzai said during an interview with CNN's Christiane Amanpour.

What the army needs now, Karzai says, is more equipment and firepower. He came to the Pentagon last month with a wish list asking for more helicopters, drones and other hardware, according to a senior defense official.

"We need an air force. We need air mobility," Karzai told Amanpour. "We need proper mechanized forces. We need, you know, armored vehicles and tanks and all that."

2. What presence will the U.S. have after 2014?

The plan is to withdraw all combat troops but keep a residual force in the country to help train Afghans and carry out counterterrorism operations when needed.

The size of that force is still being discussed.

Gen. John Allen, the former commander of U.S. troops in Afghanistan, recommended between 6,000 and 15,000 troops. But that figure was lowered to a range between 2,500 and 9,000, according to a defense official.

There might not be any U.S. troops at all if the United States cannot come to an agreement over immunity with Afghanistan. There was no American presence in Iraq at the end of that war because the Iraqi government refused to extend legal protections to U.S. troops.

Karzai, who's in favor of a residual force, said he would put the immunity decision in the hands of Afghan elders, and he expressed confidence that he could persuade the elders to see things his way.

Leaving no U.S. troops at all would be a major misstep, said Peter Bergen, CNN's national security analyst. He said the U.S. has abandoned Afghanistan already, in 1989, and the decision left America with little understanding of the power vacuum that led to the Taliban's rise in the first place.

"The current public discussion of zero U.S. troop presence in Afghanistan ... will encourage those hardliner elements of the Taliban who have no interest in a negotiated settlement and believe they can simply wait the Americans out," Bergen wrote in an op-ed for CNN.com. "It also discourages the many millions of Afghans who see a longtime U.S. presence as the best guarantor that the Taliban won't come back in any meaningful way."

3. What's at stake?

The main fear among the Afghan people is that the country could revert to another civil war once the United States withdraws its combat troops. The Taliban are still "resilient and determined," according to a recent Pentagon report, and insurgents continue to carry out attacks and pose a major security threat.

"Some people we've spoken to sort of take it for granted that there's going to be a civil war when the United States leaves," said CNN's Erin Burnett on a recent trip to Afghanistan. "It happened before when the Soviet Union left (in 1989)."

For all the violence Afghanistan has seen in the past decade, it has also seen major advancements in human rights and quality of life.

"During the Taliban, basically there were thousands of girls going to school in Afghanistan. Now you have millions of girls going to school," Burnett said. "So there's been real progress on women's rights. Obviously there remain a lot of problems -- honor killings, forced marriages, domestic violence -- but there has been real progress."

Retired Army Gen. Stanley McChrystal, once America's top commander in Afghanistan, said the Afghan people are "terrified."

"They're terrified because they think they have something to lose," McChrystal said. "There has been progress made. There is a better life. There are girls in school. There are things that are better than they were and opportunities potentially ahead.

"But they're afraid that if we completely abandon them in 2014, as they perceive we did in 1989, (things) would all go back."

And in Washington, there are worries that the wrong move could put the United States right back where it started, with nothing to show for a bloody conflict that started in 2001.

Chairman of the House Armed Services Committee, Rep. Buck McKeon, R-California, expressed concern last week that a hasty withdrawal could be "needlessly fraught with risk."

"Since the president took the commendable step of deploying a surge to Afghanistan in 2009, we have known that our hard-fought gains are fragile and reversible," McKeon said. "That isn't my assessment, but the consistent opinion of experts both military and civilian."

4. Who will lead after Karzai?

Afghanistan's only president of this century won't be in charge for much longer.

Elections are scheduled for April 2014, and Karzai has reached the term limit set by his country's constitution. He told Amanpour it's "absolutely time to go."

"A new president will come to this country. A new government will come to this country. And I'll be a happily retired civil servant," he said.

So while Afghanistan oversees a major military transition, it also will have to make a political transition.

Who will lead the country during this critical moment in its history? Will the vote go smoothly, without violence and without controversy? There were reports of ballot tampering and other violations in the last one.

The answers might be just as important to Afghanistan's security as the readiness of its troops.

"The single biggest challenge for us is the political transition, the elections of 2014," said Saad Mohseni, the media mogul behind Afghanistan's Tolo Television. "(If) we have credible elections, I think we'll be OK for the next five, six years. (If) we don't, there is a real danger that we'll see instability, especially in 2014 as the U.S. troops withdraw."

5. What part will the Taliban play?

Despite the ongoing insurgency, Karzai seems eager to resume stalled peace talks with the Taliban and include them in the political process.

The Taliban pulled out of talks last year, but Karzai said last month they "are very much conveying to us that they want to have peace talks. They're also people. They're also families. They also suffer, like the rest of Afghans are suffering."

Javid Ahmad, a Kabul native now with the Asia Program of the German Marshall Fund of the United States, believes revitalized peace talks are essential to Afghanistan's future and to the legacy of America's war.

"If withdrawing responsibly in 2014 is indeed high on President Obama's agenda, then he has little choice but to prioritize and accelerate the peace talks, negotiate a cease-fire between all sides, and reach a settlement that ensures that the Taliban lay down their weapons," Ahmad wrote in a recent column.

But will the Taliban be willing to cooperate? And if they enter negotiations, how much of an influence would they have on an Afghan society that has seen so many changes in the past decade?

"There have to be some red lines," said Jawed Ludin, Afghanistan's deputy foreign minister for political affairs. "Some of the achievements that we've had in the last 10 years can't be negotiated."

Karzai sounded confident that most of the Taliban would acknowledge this.

"I think there is now a critical mass in Afghanistan of the educated, of the Afghan people who want a future of progress and stability," he said. "And I think also that the Taliban recognize that this corner has been turned, the majority of them. Some may be there among them who would not -- who would remain, you know, in the darkest of the mindset possible. But those are a few."

CNN's Chris Lawrence, Mike Mount and Jake Tapper contributed to this report.

@highlight

President Obama has revealed new details about the troop withdrawal in Afghanistan

@highlight

But there are several key issues that still must be resolved in the coming months

@highlight

The Afghan military has its critics, but the U.S. has praised its progress

@highlight

There are fears that Afghanistan's advancements might be at risk after 2014