Washington (CNN) -- Still reeling from the Costa Concordia accident in January that left at least 30 passengers dead, two of the largest cruise ship industry organizations have announced new safety policies aimed at helping both passengers and rescuers during an emergency at sea.

Under two new rules, a record of the nationality of all passengers aboard vessels will be kept on land and made readily available to search-and-rescue teams in an emergency, and passengers will be given a specific set of safety instructions during "musters," or safety drills.

Passenger cruise ship regulations previously required companies to record the name and gender of each passenger, and to distinguish between adults, children and infants for search-and-rescue purposes. The new requirement to also record passenger nationality is intended to help ensure rescuers have key information immediately available to them in the event of an emergency.

"Certain governments have indicated that this would be very helpful in accounting for all passengers during rescue operations. In such situations, it is necessary to communicate with consulates and embassies to help locate, account for, and care for those involved in the incident," David Peikin, Cruise Lines International Association's director of public affairs, told CNN. "It was conveyed to us by governments at the (International Maritime Organization) that experience has demonstrated significant value in knowing which officials to contact for this purpose."

The new rule requiring documentation of passenger nationality is not related to security concerns over terrorism, Peikin added.

In the new muster policy, the 12 specific emergency instructions given to all passengers include:

1. When and how to don a life jacket.

2. Description of emergency signals and appropriate responses in the event of an emergency.

3. Location of life jackets.

4. Where to muster when the emergency signal is sounded.

5. The method of accounting for passenger attendance at musters both for training and in the event of an actual emergency.

6. How information will be provided in an emergency.

7. What to expect if the master orders an evacuation of the ship.

8. What additional safety information is available.

9. Information on whether passengers should return to cabins prior to mustering, including specifics regarding medications, clothing, and life jackets.

10. Description of key safety systems and features.

11. Emergency routing systems and how to recognize emergency exits.

12. Who to seek out for additional information.

"Our industry continues to actively identify a range of measures that will improve the safety of passengers and crew, which is the top priority of the cruise industry," Christine Duffy, president and CEO of CLIA, said in a statement announcing the new safety policies.

In February, CLIA, which represents 26 U.S. cruise ship companies, and the European Cruise Council, with 30 cruise ship companies, announced a policy change requiring all musters be performed prior to leaving port. After the Costa Concordia accident, officials learned about 600 of more than 3,000 the ship's passengers had not participated in the muster drill because they got on the ship within hours of the accident.

The massive passenger ship Costa Concordia struck rocks and rolled onto its side in shallow water off an island on Italy's Tuscan coast on January 13. There were roughly 4,200 people on the ship when it ran aground -- about 3,200 passengers and 1,000 crew members, the vast majority of whom made it off the ship safely.

Since the accident, the cruise line industry has been under pressure to improve safety measures in place during emergencies. Industry representatives have met several times since the disaster to address concerns. More changes to safety procedures are expected in the coming months.

@highlight

Groups representing U.S. and European cruise companies announce new safety policies

@highlight

The nationality of all passengers is to be recorded along with names and ages

@highlight

Instructions to be given to passengers during safety drills are spelled out