(CNN)The Holy Land makes for inspiring, fascinating, confusing travel.

To some, the chunk of territory between the Jordan River and the Mediterranean Sea is all Israel.

To others, it's all Palestine.

For most -- as is true so often in this region of shifting truths and manipulated historical narratives -- it's a bit of both.

More on CNN: Anthony Bourdain: Parts Unknown Season 2

1. For beaches, it's Red, Med or Dead

Israel is hemmed in by sea.

Eilat has snorkeling and beach activities on the Red Sea side.

Rosh HaNikra has stunning cliffs on the Mediterranean Sea side.

At the Dead Sea you can float away at Ein Bokek, where the salty waters of this inland lake effortlessly support your body.

2. Identity is complicated

Onlookers frequently cast the conflict here as simply between Jews and Arabs.

Axe-grinders on both sides like to evoke an enduring death-struggle between Muslims and Jews.

But for long stretches of history, no such struggle existed.

In truth, the problems of the last century or so are both religious and political -- and it's worthwhile knowing who's who.

Most Israelis (a political identity) are Jewish (a religious identity) -- and most take pride in their country's ethnic diversity. European Jews, Russian Jews, African Jews, American Jews, Arab Jews and many others mix more or less freely.

There's a reason for that. If you can satisfy Israel's religious establishment that you're Jewish -- according to complicated rules of birth, ancestry or conversion -- you instantly become entitled to Israeli citizenship and state benefits.

Palestinians (a political identity) -- most of whom are Arab (a cultural identity) -- are chiefly Muslim, but there are substantial minorities of Palestinian Christians and others.

3. The security barrier is worth seeing

Take a walking tour of East Jerusalem, such as those run by Green Olive Tours, or a pilgrimage to the Palestinian city of Bethlehem -- where Jesus was born -- and you'll run into Israel's infamous security barrier.

Israel built this barrier to keep suicide bombers from getting to Israel. It's eight meters (26 feet) high in places and includes concrete barricades, gates, barbed wire and patrol roads. While it has reduced the number of bombing attempts, it has also kept Palestinians from moving freely between the West Bank and Israel proper.

Most of the barrier runs inside West Bank territory, rather than on the boundary line.

This fact prompted the International Court of Justice to rule that the construction of the barrier violated international law.

With its armed guards, watchtowers and fortified gateways, for travelers it can be a stark symbol of Israel's military control over the territory.

4. Eco travelers will love the desert

Vast, scorching desert fills Israel's southern third -- known as the Negev in Hebrew or Naqab in Arabic.

Despite the camels and the tents, few of the Negev's hippyish ecotours have much to do with some of the oldest inhabitants of this desert.

Bedouin Hospitality -- a social enterprise founded by civil rights activists -- offers a chance to hear Bedouin stories in person, hosted among Bedouin tribes.

5. Jerusalem resonates with religious meaning

Few people forget their first visit to the Old City at Jerusalem's core, still encircled by the crenelated walls built by the Ottoman sultan Suleiman the Magnificent in 1538.

Within this tiny area, roughly one square kilometer, the Via Dolorosa -- walked by Jesus -- leads to the Church of the Holy Sepulchre, where Christian tradition says Jesus was crucified and buried.

Steps away, Jews pray at the Western Wall, the last structure remaining from the Jewish Temple, destroyed by the Romans.

Nearby, the Al-aqsa mosque, mentioned in the Quran, stands alongside the golden Dome of the Rock shrine commemorating the Prophet Muhammad's mystical Night Journey.

Al-aqsa and the Dome of the Rock stand on a hill known as the Noble Sanctuary, or the Temple Mount, considered holy by Muslims, Jews and Christians as the place where Abraham prepared to sacrifice his son.

In terms of religious significance, that's quite a plateful.

And among the holy sites, daily life roars on: souks crowd the narrow, stone-flagged alleyways, children go to school, libraries jostle with restaurants.

Also on CNN: 10 of Israel's best museums

6. Jerusalem has its own syndrome

For some, the city can be too much.

Around 100 tourists each year succumb to Jerusalem Syndrome, a psychiatric condition linked to the city's atmosphere of intensity.

Sufferers typically show signs of prolonged agitation and religious fervor, spending days -- often dressed in white robes (typically a hotel bed sheet) -- declaiming religious verses or preaching public sermons on moral purity.

Most recover.

7. Tel Aviv feels like its own country

An hour away from Jerusalem, over on the coast, secular-minded Tel Aviv swings along amid beach parties, designer brands and hipster attitudes.

During the Jewish Shabbat -- the day of rest, which runs from Friday sunset to Saturday sunset -- western Jerusalem remains quiet in prayerful contemplation, but Tel Aviv lives the high life, with seaside promenades, crowded stores and lounge bars packed.

This hedonistic city, gazing west into the Mediterranean sunset, has also carved out a new identity as a gay capital, offering a uniquely accommodating welcome to LGBT visitors and residents.

In a country where the Jewish religious establishment generally calls the shots, Tel Aviv embodies a bubble of liberality and easygoing apathy.

8. Countryside walks are fantastic

The West Bank is crisscrossed by walking trails. Many are devoted to nature, some -- such as Birzeit's Sufi Trails -- to culture.

One of the best is the Abraham Path, linking the Palestinian cities of Nablus, Bethlehem and Hebron in a two-week trek. It's also manageable in shorter day-stages, with overnight stops at homestays and rural guesthouses.

Israelis have a long tradition of nature tourism, centered on national parks, wildlife reserves and forest walks, including the stunning Jesus Trail, which coils through the hills above the sparkling Sea of Galilee.

Visitors can plug into Israel's network of "zimmers" -- rural B&Bs ranging from farm stays to exclusive country retreats.

9. When you visit Israel, you're also visiting biblical Palestine

When you visit as a tourist, you're visiting two distinct places.

See only one, and you see only part of the whole picture.

The sovereign state of Israel came into being -- apologies for the euphemism, and for glossing over the previous few millennia of history -- in 1948, on a sliver of land along the Mediterranean coast, in the northern hills and the southern deserts, adding the western districts of Jerusalem after an initial outbreak of fighting with its Arab neighbors.

This is where Israeli culture and the Hebrew language thrive.

The eastern parts of Jerusalem (including the ancient walled Old City), plus the kidney-shaped piece of West Bank that surrounds Jerusalem on three sides, the Gaza Strip and the Golan Heights did not form part of the modern state of Israel at its creation in 1948, but they came under Israel's control during the 1967 war.

Since then, Israel has effectively annexed East Jerusalem, putting it and other adjacent areas in the West Bank under full Israeli government control, while greatly expanding Israeli settlements in the West Bank. At the same time, it unilaterally pulled its military and settlers out of Gaza, but has maintained control over the area's borders (with the exception of the Rafah border crossing between Gaza and Egypt).

The international community deems Israel's presence in East Jerusalem, the West Bank and the Gaza Strip as an illegal occupation.

These areas are where Palestinian culture and the Arabic language are strongest.

A Palestinian state, should one ever materialize alongside Israel, is likely to be centered on that kidney-shaped territory, known to most of the world as the West Bank, along with the Gaza Strip along the Mediterranean.

Pockets of Israeli culture thrive across the West Bank in "settlements" -- Jewish-only townships whose presence is widely seen as contravening international law.

And pockets of Palestinian culture remain strong across Israel, from the urban clamor of Jaffa and Haifa to rural hamlets in the countryside and desert.

10. It's prickly outside, but sweet inside

Sabra is the Hebrew word for cactus fruit -- prickly on the outside, sweet in the middle. It's also how native-born Israelis proudly describe themselves.

The metaphor is apt. Social graces aren't high on Israel's list of priorities, and service in shops and restaurants can be brusque.

But if you peel away the prickly exterior, there's generally warmth and affability beneath. Maybe even a smile.

Intriguingly, the same word in Arabic, saber, connotes patience and tenacity. Tough hedges of cactus are still used to mark land boundaries across the West Bank, and the idea is linked to a key concept in Palestinian self-identity -- sumud, meaning steadfastness or quiet resolve.

One plant, two people, three interpretations. So typical.

Editor's note: This story has been revised to fix some inaccuracies.

Freelancer Matthew Teller contributed to this story. Anthony Bourdain Parts UnknownNorth America/Latin AmericaPremiere episodes: Sundays, 9 p.m. ETReplays: Saturdays, 9 p.m. ETAsia/South AsiaPremiere episodes: Mondays, 9 a.m. HKTReplays: Fridays,10 p.m. HKT; Sundays, 9 a.m. HKT

@highlight

Jerusalem offers the chance to see many of the world's major religions in one city

@highlight

Some tourists suffer "Jerusalem Syndrome," spending days agitated with religious fervor

@highlight

An often neglected aspect is the countryside, which is great for hiking