Washington (CNN) -- Legalization of the more than 11 million unauthorized immigrants in the United States would raise wages, increase consumption, create jobs and generate more tax revenue, two policy institutes say in a joint report Thursday.

The report by the Center for American Progress and the American Immigration Council estimates that "comprehensive immigration reform that legalizes currently unauthorized immigrants and creates flexible legal limits on future immigration" would yield at least $1.5 trillion in added U.S. gross domestic product over a 10-year period.

"This is a compelling economic reason to move away from the current 'vicious cycle' where enforcement-only policies perpetuate unauthorized migration and exert downward pressure on already low wages, and toward a 'virtuous cycle' of worker empowerment in which legal status and labor rights exert upward pressure on wages," study author Raul Hinojosa-Ojeda writes.

The study looks at three scenarios: deportation of undocumented workers, temporary worker programs and legalization of the current undocumented population. Deportation would lead to a loss of $2.6 trillion in gross domestic product over 10 years, the report says, while a worker program would lead to a gain of $792 billion. Full legalization would lead to the best economic results, the study says.

Other groups, such as the Center for Immigration Studies and the Federation for American Immigration Reform, say that unfettered immigration harms the United States and that entry into the nation must remain limited.

When running for president in 2008, Barack Obama said that comprehensive immigration reform would be a priority in his administration, but the issue has been sidelined by health care reform efforts in Congress, the weak economy and the wars in Iraq and Afghanistan.

There are indications, however, that the Obama administration aims to revive immigration reform efforts in Congress this year.

The study bases many of its conclusions on an examination of what happened after passage of the Immigration Reform and Control Act of 1986, which granted legal status to 3 million unauthorized immigrants.

A 2006 Pew Hispanic Center report found that 56 percent of illegal immigrants in the United States in 2005 were from Mexico, a total of about 6.2 million unauthorized immigrants.

About 2.5 million unauthorized migrants, or 22 percent of the total, came from the rest of Latin America, primarily from Central America, the Pew Hispanic Center study found.

Of the remaining illegal immigrants, about 13 percent were from Asia, and 3 percent were from Canada and Europe, the Pew study said.

The report released Thursday says U.S. enforcement efforts -- mainly along the nearly 2,000-mile border with Mexico -- are costly and ineffective.

"The number of unauthorized immigrants in the United States has increased dramatically since the early 1990s despite equally dramatic increases in the amount of money the federal government spends on immigration enforcement," study author Hinojosa-Ojeda writes.

According to the report, the U.S. Border Patrol says its annual budget has increased by 714 percent since 1992, from $326.2 million in fiscal year 1992 to $2.7 billion in fiscal 2009. And the cost ratio of Border Patrol expenditures to apprehensions has increased by 1,041 percent, from $272 per apprehension in 1992 to $3,102 in 2008.

Similarly, the Border Patrol says the number of agents along the border with Mexico has grown by 390 percent, from 3,555 in fiscal 1992 to 17,415 in 2009.

"Yet the unauthorized immigrant population of the United States has roughly tripled in size over the past two decades, from an estimated 3.5 million in 1990 to 11.9 million in 2008," the report says, noting that illegal immigration appears to have declined slightly since 2007 as a result of the global recession.

The report points out that a long-term study conducted by the University of California, San Diego, found that 92 to 98 percent of unauthorized immigrants keep trying to cross the border until they succeed.

Increased enforcement has several unintended consequences, such as making the Southwestern border more lethal by channeling migrants through remote and rugged mountain and desert areas, the study found. The number of border-crossing deaths doubled in the decade after increased border enforcement started, a 2006 Government Accountability Office report said.

An October 2009 report by the American Civil Liberties Union of San Diego & Imperial Counties and Mexico's National Commission of Human Rights estimates that 5,607 migrants died while crossing the border between 1994 and 2008.

Tightened borders also have created new opportunities for people smugglers, who charged an average $2,000 to $3,000 per person in 2006, the study said. Ninety percent of illegal immigrants now hire smugglers, according to the report.

An examination of trends after the 1986 immigration reform law shows that legalization of unauthorized immigrants has benefits, the report says. Legalized workers earned more, moved on to better jobs and invested more in their education so they could get higher pay and better jobs.

A previous study found that "the wages of unauthorized workers are generally unrelated to their actual skill level," Thursday's report said.

"Unauthorized workers tend to be concentrated in the lowest-wage occupations; they try to minimize the risk of deportation even if this means working for lower wages; and they are especially vulnerable to outright exploitation by unscrupulous employers. Once unauthorized workers are legalized, however, these artificial barriers to upward socioeconomic mobility disappear."

Study author Hinojosa-Ojeda is founding director of the North American Integration and Development Center at the University of California, Los Angeles.

The self-described progressive Center for American Progress is a nonpartisan research and educational think tank headed by John Podesta, who was chief of staff for President Bill Clinton.

The Immigration Policy Center, established in 2003, also is a nonpartisan institute.

The report, titled "Raising the Floor for American Workers, The Economic Benefits of Comprehensive Immigration Reform," can be found on the Web.

@highlight

2 policy institutes look at the more than 11 million unauthorized immigrants in U.S.

@highlight

Report: Legalization of current population would boost wages, consumption, jobs, tax revenue

@highlight

Institutes estimate $1.5 trillion boost in U.S. gross domestic product over 10 years

@highlight

But other groups say unfettered immigration harms U.S., so entry into nation must be limited