North Korea's enigmatic leader Kim Jong Il -- who, after succeeding his father 17 years ago, captained his poor, closed nation and antagonized its enemies -- is dead, state media reported Monday.

Kim, 69, died at 8:30 a.m. Saturday, according to state media.

A tearful broadcaster reported that Kim died due to "overwork" after "dedicating his life to the people."

Kim suffered "great mental and physical strain" while on a train during a "field guidance tour," North Korea's state-run KCNA news agency reported.

A look back at the life of Kim Jong Il

More specifically, the agency reported that Kim suffered a heart attack and couldn't be saved despite the use of "every possible first-aid measure."

He had been treated for "cardiac and cerebrovascular diseases for a long period," KCNA noted.

His funeral will be held December 28 and the national mourning period extends until December 29, said the news agency.

North Korean and communist party officials "released a notice on Saturday informing" members of the Workers' Party of Korea, military "and all other people" of Kim's passing, according to KCNA.

South Korea's national security council convened after news broke about Kim's death and was still meeting as of 2 p.m. Monday, President Lee Myung-bak's office said.

The president canceled the rest of his Monday schedule, and all members of South Korea's military have been placed on "emergency alert," according to Lee's office.

Under the alert -- which is short of the highest possible level -- South Korean forces will monitor North Korean troop movements closely and tighten security measures at sea, according to the ministry of defense.

In addition, South Korea's National Police Agency has ordered police across the country to be on emergency work shifts.

"South Korea's concern is warranted, frankly, because an insecure North Korea could well be an even more dangerous North Korea," a U.S. official said.

The White House, meanwhile, released a statement saying U.S. officials are "closely monitoring reports" of Kim's death and are "in close touch with our allies in South Korea and Japan."

This Just In: Up-to-the minute news on the death of Kim Jong Il

"We remain committed to stability on the Korean peninsula, and to the freedom and security of our allies," the White House statement said.

The son of Kim Il Song, founder of the communist nation, Kim Jong Il had been in power since 1994 when his father died of a heart attack at age 82.

The enigmatic leader was a frequent thorn in the side of neighboring South Korea, as well as the United States. There have been reports in recent years about his health, as well as that power will be transitioned to his son, Kim Jong Un.

North Korea's nuclear program -- and international attempts to hinder its nuclear weaponry potential -- put Kim at odds with many world leaders in recent years, as did his governing style.

iReport: Send us your reaction

Under his leadership, North Korea was largely closed off to outside influences, fearful of threats from its neighbors and subject to decades of political socialization. At the same time, it also sought international aid after extensive famines that contributed to the deaths of tens of thousands of people.

Both North Korea and South Korea have shown signs of concession in recent years -- Pyongyang has expressed willingness to engage with countries involved in multilateral talks aimed at North Korea's denuclearization, while Seoul recently sent humanitarian aid through U.N. agencies to help the malnourished population in the North.

But relations between the two rival nations soured yet again when North Korea launched an attack on the South Korean island of Yeonpyeong, killing two South Korean marines and two civilians.

U.S. Defense Secretary Leon Panetta said earlier this fall that the greatest threat from North Korea is weapons of mass destruction.

"North Korea continues to defy the international community as it enhances its nuclear weapons, its ballistic missile programs and continues to engage in dangerous and destabilizing proliferation activities."

The regime has been planning a nationwide, yearlong celebration in 2012 to show North Korea is "strong and prosperous" and also to honor of the 100th anniversary of the birth of Kim Il Song, the communist nation's founder.

North Korean news reports earlier this fall indicated that Kim Jong Il had been traveling around the country and visiting China, a big change from 2009 when he was thought to be ill with cancer.

Two senior U.S. military officials said then that they believed the pace of North Korea's planned regime change from Kim to his 20-something son appeared to have slowed.

The son, also known as Kim, started his career as a four-star general and in recent years was given more official duties by his father.

"He's clearly the designated successor," Mike Chinoy, a senior fellow at the U.S.-China Institute who once worked for CNN, said of Kim Jong Un. "This has been in place for a while."

Chinoy said he expected that, in the short-term, North Koreans would "rally around the flag (and) hunker down." But given the nation's deep-rooted economic and other problems, maintaining that unity and control without a overarching figure like Kim Jong Il in place may be more difficult.

"The deeper questions come over the long-term," Chinoy said.

@highlight

"An insecure North Korea could (be) more dangerous," a U.S. official says

@highlight

South Korea's national security council is convening, its president says

@highlight

Kim died of a heart attack while on a train, North Korea's state news agency reports

@highlight

Kim Jong Il was the son of Kim Il Song, the founder of the communist nation