(CNN) -- For years, Germany has been feted as the strong man of Europe: While those around it battled years of boom-and-bust, Germany, stable and consistent, thrived. Its economy -- and the economic management of its leaders -- was frequently cited as an example to the rest of the world.

But in recent years, that very stability has come to threaten the country, by forcing it to take a leading role in the bailouts of its less economically healthy neighbors, pledging to protect them from sinking under the weight of their debts.

Despite being seen as vital for the survival of the euro, Germany's actions have been greeted with anger and frustration at home. A Bloomberg/YouGov poll published on Tuesday found that just 15% of Germans questioned approved of their government's performance during the euro crisis, while 75% disapproved.

Concern about what the bailouts will mean for the eurozone has proved contagious, tarnishing not just the economies, but the individuals involved -- and German Chancellor Angela Merkel is no exception.

Merkel and Sarkozy huddle as euro struggles

Frequently dubbed Germany's "Iron Lady" and hailed as the country's answer to former UK Prime Minister Margaret Thatcher, the euro crisis has now left Merkel's image looking decidedly rusty.

Merkel, 57, the daughter of a Protestant minister, was brought up in then-Communist East Germany. She trained as a chemist before turning to politics as a member of the conservative, right-wing Christian Democrats (CDU).

She was elected as chancellor -- the first woman to hold the post -- in 2005, 15 years after she entered parliament. She was re-elected in 2009, but recent polls suggest she may struggle to secure a third term.

A survey by German television channel ARD earlier this month recorded a drop in Merkel's approval ratings -- just 45% of those polled said they were satisfied with her work, a slide of four points compared with the previous month.

The same poll appeared to predict a grim future for Merkel's CDU/CSU, with support for the party slipping to 36%, compared to the 51% who backed likely coalition partners, the Social Democratic Party and the Greens.

And there was further bad news for Merkel, with her coalition partners, the Free Democrats (FDP), notching up just 4% support in the survey -- a result that, were it to be repeated in real elections, would see them fall below the minimum vote threshold, and lose their place in parliament.

The FDP has already threatened to withdraw their support for the coalition if Merkel and the CDU back controversial euro bonds as a potential solution to the European debt crisis -- a move that could bring down the government.

In March this year, the CDU lost control of the prosperous southern state of Baden-Wurttemberg, which it had governed ever since the 1950s.

And with more elections to come later this year, in Berlin and the northern state of Mecklenberg-Western Pomerania, many CDU members fear the euro crisis could yet do further damage to the party -- and its embattled leader.

As Germany's conservative Die Welt newspaper recently pointed out in an editorial, "it is possible the next election may even hinge on this issue."

"For Merkel, it is both a curse and a blessing. Like her one-time mentor Helmut Kohl, it would provide her the chance to go down in history as a great European. At the same time, she runs the risk of what happened to her predecessor, Gerhard Schröder. [Who] did the right thing economically -- but was then voted out of office."

The latest financial figures mean Merkel and her party can no longer rely on the strength of the economy to see them through. On Tuesday, Germany announced its GDP for the second quarter of 2011 had virtually flatlined, growing by just 0.1% (compared to 1.3% growth in the first quarter of the year).

German slowdown adds to eurozone crisis

There may be trouble ahead for Merkel, and for Germany as a whole, but the country's years of stability should allow it to weather the storm more easily than some of its neighbors.

And while the euro crisis has dented the chancellor's image, the Bloomberg/YouGov poll suggests that most German hostility over the situation is directed towards Greece.

Of those Germans questioned in the survey, 59% were firmly opposed to further bailouts (with just 20% supporting them), and 58% backed the idea of booting Greece out of the eurozone.

@highlight

Euro crisis has hit German Chancellor Angela Merkel's popularity ratings

@highlight

Recent polls suggest she may struggle to secure third term.

@highlight

Germany has played lead role in bailouts of economically weaker neighbors

@highlight

But this week Germany announced weak economic growth