(CNN) -- The world's population is expected to hit 7 billion around October 31 and one Chinese demographer says that number would have come a lot sooner had it not been for China's "one-child policy."

Zhai Zhenwu, a professor at Renmin University School of Sociology and Population, says but for China's population policy, the world's 7 billionth baby would have been born five years earlier.

"China's population would now be around 1.7 billion had it not been for the family planning policy," said Zhai. "And the world's population would have hit seven billion in 2006."

China holds the largest population on earth with 1.34 billion people, but will not for long, as the fertility level has been declining for years.

Since the Chinese government adopted its so-called "family planning policy" three decades ago, China has limited couples to one child, with few exceptions. Those who broke the rule were slapped with heavy fines or were forced to abort pregnancies.

Since 1979, experts at the National Population and Family Planning Commission of China say, the policy has prevented more than 400 million births in the country.

Why was the draconian policy necessary?

Proponents rationalized it as an emergency measure to curb the large number of births expected from the baby boomers of the 1960s.

"It was designed in 1979 to be a temporary one that required the 'sacrifice of two or three generations,' as they put it then," says Aprodicio Laquian, who served as the United Nations Fund for Population Activities (UNFPA) representative and senior adviser on population in China from 1984 to 1990. "It was meant to be implemented until the annual population growth rate reached replacement levels, or 1.5 children per woman of reproductive age."

The Canadian demographer says supporters of the policy now cite the double-digit economic growth rate since 1979 as the so-called "demographic dividend." Laquian explains: "If population control had not been enforced, China would most likely be economically and socially worse off today."

The population policy might have also helped girls and women get ahead, as a survey by the All-China Women's Federation and the National Bureau of Statistics found.

But the policy has also brought about a list of unintended socio-economic consequences.

China's one-child policy has been blamed for abuses, including female infanticide and forced abortions and sterilizations.

Chinese traditionally prefer boys over girls because they are seen as more able to provide for the family and carry on the family line. As a result, the practice of aborting female fetuses or abandoning infant girls still continues today in rural areas.

This remains a sensitive topic in China, poignantly depicted in Mo Yan's "Frog," a novel about a midwife in rural China and her experiences with forced abortions and sterilizations. Mo recently won China's prestigious Mao Dun literary award --a potential indication that China has become more open to talking about the issue.

China is now facing a lopsided sex ratio in infants and young children. According to the Chinese Academy of Social Sciences, for every 100 Chinese girls born, there are about 123 boys. The global norm is about 100 to 103-106. At that rate, China is likely to have some 30 million unmarried men by 2020.

The unusually rapid decline in fertility has also produced a rapidly aging population. Two decades ago, demographers say, the share of China's population aged 60 and above was only 7.6%. That has risen to 10.5%, according to China's 2000 census, and has now reached around 12%, or 167 million.

By 2025, demographers predict, one in five Chinese who live in urban areas will be 60 or older. By 2050, there would be only 1.6 working-age adults for every person aged 60 and above. That means a heavy dependency ratio.

In 10 years, the 20-24 age population is expected to comprise of only half of today's 124 million. Experts say this could cripple the health care and social insurance system with fewer young people taking care of the aging population. If the government does not change its policies, experts say, China's population could become old before it becomes rich.

The high cost of the one-child policy is felt deeply by Beijing resident Xiao Xuan, an only-child daughter of a college professor and shopping mall manager. Xiao, 22, says she was blessed with all the attention and resources showered at her from childhood.

Still, she says, she had a mostly lonely childhood. "I used to cut myself on my wrist after being yelled at by my mom and dad because I didn't know who I should talk to or turn to," she says. "I was like that for almost two years, but I am very tough so I made it through."

"I hate to say it but the one-child policy should partly be blamed for some social issues of youth today," she adds. "It's been a ridiculous government interference on family issues."

She wished she had a brother or a sister to share all the attention.

"I am the only one there, so all their energy goes to me," she says. "They care of no one else but me, and live vicariously through me, because they can count on no one else. Parents' love could multiply if there are more kids in the family, but if you are the only one, you get only one piece of cake, not a whole bakery."

Canadian demographer Aprodicio Laquian says the Chinese authorities are aware of these unintended consequences of their population policies and are committed to dealing with the situation. "It is anticipated that China's strict population control program will most likely be relaxed as the objective situation changes," he said.

For Xiao Xuan's parents, however, such a relaxation of policy may come too late. "My parents have often expressed regret," she says. "They said they should have had another kid regardless of how much the [government] fined back then."

@highlight

If not for China's one-child policy, world population would have hit 7 billion five years ago

@highlight

Fertility rates in China, the world's most populous nation, are declining

@highlight

Supporters of the policy say it helped spur China's double-digit economic growth

@highlight

Policy's unintended consequences include female infanticide, lopsided sex ratio