(CNN) -- As "faster than real time" technology capable of predicting our every move is discussed at LeWeb in London this week, it seems prudent to ask whether such developments will actually improve our lives.

Always-connected apps and platforms currently have us texting, networking and even talking to Siri while driving. As if that wasn't bad enough, we're unveiling applications that not only know where you are now, but where you're probably going next. They'll also guess what you'll buy while you're there and who you'll most likely be talking to.

Thankfully, our overmedicated and undisciplined youth are predicated to thrive in this information overloaded, attention deficit disordered world, so most don't see any problem with more data, features and apps.

Facebook threatens to 'Zuck up' the human race

But at some point, someone will have to draw the line. Unfortunately, if we don't start paying attention to the social and legal implications of this technology, that duty will fall to the government. And who thinks that will work out well?

As Jeremiah Owyang of digital advisory firm Altimeter Group wrote recently, store clerks could soon be using facial recognition and online influence scores to help them prioritize who needs help.

But tell a politician that his or her score on Klout, the social media influence ranking website, may prioritize the attention they get from a voter -- or even the level of service they receive from a bartender -- and let's see how many injunctions get filed by the end of happy hour.

Fast-forward to the anticipatory software of the future. I imagine someone is already building an app that scrapes location-based data to tell marketers where you'll eat next and who will be with you. I don't think this exists yet, but the brilliant brains behind today's start-ups will come up with it soon enough.

In the digital age, everyone is becoming a spook

At what point does this real-time and "faster than real time" push become creepy? And when it does, who will step in to say: "Okay, let's not get carried away?"

It will probably happen in Europe before it does in the United States, where lax privacy regulations reign. But shouldn't it be tackled sooner rather than leaving it until it triggers a heavy-handed response.

If it's left to parliament in the UK, Congress in the U.S. or legislators in other countries -- democratic or not -- then we are setting ourselves up for disappointment.

Whenever preferential treatment to one set of people, governments usually intervene. But surely playing favorites with race, sex, and religion is a far cry from the marketing segmentation delivered by "faster than real time" technology? Or is it?

The real-time technology of today is already frightening for some, although it is becoming less so as the over sharing of personal data becomes culturally more acceptable. But this notion of "faster-than-real-time," while fascinating, may predict a much darker, more Orwellian future.

Tread softly LeWeb. We don't want you to get carried away.

The opinions expressed in this commentary are solely those of Jason Falls.

@highlight

LeWeb's "Faster than real time" theme refers to precognitive tech that can predict our choices

@highlight

Youth thrive in an information-overloaded world and do not see problems coming, says Falls

@highlight

Falls asks, What are the social and legal implications of predictive technology?