Cairo (CNN) -- Egyptian President Mohamed Morsy didn't back off the controversial edict he issued or Egypt's upcoming constitutional referendum, saying Thursday night that he respects peaceful opposition to his decisions but won't stand for violence.

Addressing "those who oppose me" and his supporters, Morsy condemned those involved in recent clashes -- referring specifically to those armed with weapons and who are backed and funded by members of the "corrupt ... ex-regime" -- and promised they'd be held accountable.

"(They) will not escape punishment," the president said in a televised speech.

Morsy's words not only failed to mollify many protesters on the streets, it further enraged them. Activists camped in Cairo's Tahrir Square chanted "Leave! Leave! Leave!" as the president talked.

And minutes after the speech ended, the Muslim Brotherhood headquarters in Cairo was "ablaze," state TV reported, citing witnesses. The Islamist group said on its website and Twitter that the building came under "a terrorist attack," with hundreds were surrounding it.

Yet by 1 a.m. Friday, there was no sign of a fire or significant damage to the building. Supporters from both sides were at the site, as were security forces between them and the headquarters.

Jihad Haddad, a senior adviser in the Freedom and Justice Party, the political wing of the Muslim Brotherhood that Morsy once led, wrote on Twitter that 36 Brotherhood and party offices were "destroyed" by opponents in the last two weeks. Banned under longtime President Hosni Mubarak, the Brotherhood is now Egypt's dominant political force.

On Twitter, the Islamist group has said it would hold opposition figures "fully responsible for escalation of violence & inciting their supporters."

Adel Saeed, a spokesman for Egypt's newly appointed general prosecutor, said Friday morning that Hamdeen Sabahi, Mohamed ElBaradei and Amr Moussa are being investigated for allegedly "conspiring to topple" the government. All three are well-known internationally -- with ElBaradei being a Nobel Peace Prize laureate and Moussa a one-time head of the Arab League -- and are now being probed for their role in the opposition against Morsy, who defeated all three in this year's presidential election.

Those taking part in the protests around the North African nation say the scenes are similar to those of the 2011 uprising that led to Mubarak's ouster. This time, they say, dissent is being vigorously stamped out by Morsy's backers in government and on the street.

Specifically, they spoke of thugs with knives and rocks chasing activists, presidential backers belittling opponents and pressure from various quarters to go home and be quiet.

"It's exactly the same battle," said Hasan Amin, a CNN iReporter.

A November 22 edict by Morsy, in which he made his decisions immune to judicial oversight until a new constitution is voted upon, set off the latest wave of political unrest. And it's been growing -- and growing more violent -- in recent days.

Ahead of the president's speech, opposition leaders were specific in what would mollify them: Morsy must roll back his edict granting himself expanded presidential powers and postpone the scheduled December 15 referendum on a proposed constitution, which they say doesn't adequately represent or protect all Egyptians.

Neither happened.

iReport: Bloody clashes around Egyptian Presidential palace

That fact, itself, isn't surprising. Morsy previously defended the edict as necessary to defend the revolution and his administration has insisted the proposed constitution was drafted legally and the referendum will go on as planned. If people vote it down, the president said Thursday night that he'd form a new assembly to draft another constitution.

Yet opposition activists haven't shown any indication that they trust Morsy on that or other counts. They accuse him of consolidating power for himself and the Muslim Brotherhood, in part by having an Islamist-dominated group push through the draft constitution.

"This is not what we asked for," one protester said. "It's a complete dictatorship."

The National Salvation Front, an umbrella group of opposition groups, including ElBaradei's Constitution Party, promised their fight is not over, calling for more mass protests Friday and claiming authorities "lost legitimacy," said the group, according to the semi-official al-Ahram newspaper.

These demonstrations would follow heated protests Thursday, including about 65 kilometers (40 miles) north of Cairo where a crowd tried to storm Morsy's home, according to the Interior Ministry. Police fired tear gas to disperse the group, and at least 20 protesters and six police officers were injured. Police arrested eight suspects carrying swords and clubs, the ministry said. Morsy was not at the home at the time.

Read more: Q&A: What's driving Egypt's unrest?

In the Maadi neighborhood of Cairo, someone also damaged the offices of the Freedom and Justice Part, the ministry said.

The scene was calm, but tense, outside the presidential palace in the capital, where the military parked tanks and armored personnel carriers, put up barbed-wire barricades and deployed soldiers.

In what looked like a war zone, piles of rubble and burned cars littered the streets and doors of nearby storefronts were smashed in.

Morsy also suffered a hit closer to home Thursday when Rafik Habib, the deputy head of the Freedom and Justice Party, resigned, party spokesman Ahmed Sobe said. Habib did not give a reason.

His resignation brings to five the number of presidential advisers who have left in the last two days. It is the first, however, from the Freedom and Justice Party.

Read more: Egyptian media strikes against President Morsy

Egyptian judges and media organizations also have staged strikes to show their displeasure with the situation. And 11 organizations representing lawyers, journalists, writers, actors, musicians and tour guides said Morsy and the Muslim Brotherhood were behind the violence, al-Ahram reported.

The group said it would call for Morsy's ouster if the administration failed to protect protesters and "fulfill the aspirations of the January 25 revolution," the newspaper said.

Vice President Mahmoud Mekki asked critics Wednesday to submit their proposals for improving the constitution, and Morsy invited political opponents to a meeting Saturday at the president palace.

But Morsy hasn't said he's ready to alter the constitution or the planned referendum date. And some Muslim Brotherhood officials have been more steadfast, as well as derogatory toward the opposition.

Muslim Brotherhood Secretary-General Mahmoud Hussein said Thusday protesters weren't interested in democracy. He accused them of using "crude and contemptible ways of expression, rather than (putting) their points across in a civilized manner."

While insisting he respects Egyptians' right to peaceful protest, Morsy spent a significant portion of his Thursday night speech blasting those he claims are behind the recent violence. He accused unspecified foreign and domestic sources of funding and fomenting the unrest, making specific reference to "corrupt" opposing forces tied to Mubarak's government.

"The deposed Mubarak regime will not be brought back to life under any circumstances," Morsy said, tweeted the Muslim Brotherhood.

Are you there? Share your story but stay safe. Read a version of this story in Arabic.

Reza Sayah and Ian Lee reported from Cairo; Greg Botelho reported and wrote from Atlanta. CNN's Saad Abedine, Michael Pearson, Karen Smith and Amir Ahmed and journalist Mohamed Fadel Fahmy also contributed to this report.

@highlight

NEW: Sabahi, ElBaradei and Moussa are being investigated, a prosecutor's spokesman says

@highlight

NEW: An umbrella opposition group calls for a mass protest, says authorities "lost legitimacy"

@highlight

President Morsy calls for dialogue, but doesn't revoke his edict or the constitutional vote date

@highlight

Distrustful opposition activists accuse Morsy's supporters of violence