(CNN) -- Eurozone finance ministers sealed a deal Tuesday morning for a second bailout for Greece, including €130 billion ($173 billion) in new financing.

The finance ministers from the 17 nations that use the euro, known as the Eurogroup, gave Greece the funding it needs to avoid a potential default next month.

While this new deal provides some short-term relief for Greece, difficult days lie ahead as the government tries to trim debt to 121% of the country's gross domestic product by 2020. Greece's debt now stands at about 160% of GDP.

The announcement came at an early morning press conference in Brussels after finance ministers met for more than 13 hours. "In the past two years and again this night, I've learned that 'marathon' is indeed a Greek word," said Olli Rehn, vice president of the European Commission. "But in the end we came to an agreement (that is) very far-reaching and important."

"It's clear that the Greek economy cannot rely anymore on a large public administration financed by cheap debt, but rather needs to lean on investment both Greek and foreign," Rehn said.

"This should give Greece enough space to improve its competitiveness," added Christine Lagarde, managing director of the International Monetary Fund, saying that the goal of the terms of the new bailout is to create growth for the Greek economy. "There are downside risks, that is clear."

Greece is in its fifth year of recession, and the government reported last week that Greece's GDP, the broadest measure of a nation's economic output, fell 6.8% last year.

That's much worse than the 6% contraction the government originally predicted. Fourth-quarter GDP also continued to decline, shrinking 7%, compared with a 5% decrease in the third quarter.

This new program will give "financial stability in Greece and in the euro area as a whole," the Eurogroup said in a statement announcing the deal. "The Eurogroup is fully aware of the significant efforts already made by the Greek citizens but also underlines that further major efforts by the Greek society are needed to return the economy to a sustainable growth path."

An austerity pact was approved by the Greek parliament on February 12, leading to some of the worst riots in the country in recent years. The package, which included deep cuts in government spending, wages and pensions, helped pave the way for eurozone finance ministers to sign off on Tuesday's new bailout deal.

Tuesday's bailout deal "certainly removes some near-term risk," said Frederick Neumann, senior economist for HSBC in Hong Kong. "I think it's clear that questions will emerge whether Greece can stomach these cuts."

Greek voters are scheduled to head to the polls for parliamentary elections in April, a vote that will widely be viewed as a referendum on the tough austerity measures the nation faces.

Greece has also hammered out a plan to write down €100 billion worth of Greek government bonds and swap existing debt for securities with lower interest rates, a deal that would result in losses of 53.5% of nominal value for the private sector.

The euro raised a half percent against the dollar to 1.327 within minutes of the announcement, but otherwise market reaction was muted during Asia trading hours, suggesting investors have already priced in the bailout deal, analysts said.

"There are details to be worked out. Big work is done now, I think that will provide relief to financial markets," Neumann said. "But it's difficult to see this turning around the Greek economy anytime soon."

While the Greek economy is small compared to other eurozone countries -- "about the size of Connecticut compared to the rest of the United States," Neumann said -- the real threat is keeping the debt crisis and borrowing costs from spiraling to larger economies in the eurozone. A default by Greece could spark "a Lehman-like event," he said, referring to the collapse of the investment bank that catalyzed the 2008 financial crisis.

"I think we understand these issues much better than we did three years ago," Neumann said. "Kicking these issues down the road has been useful to some extent" because a default would be less likely to take the markets by surprise, he added.

"The next hurdle is to create a firewall to put up sufficient money to know that Ireland and Portugal won't be next," Neumann said. "This today is really short-term relief, but we'll probably be looking at these issues (at) some point."

There has been some speculation that Greece might exit the eurozone, but Eurogroup president Jean-Claude Juncker stressed ahead of Monday's meeting that Greece should remain a member of the euro currency union.

"It is the intention of nobody to have Greece outside of the eurozone," he said. "That would be a bad solution for Greece and ... a bad solution for the euro area."

The Greece deal is not the final step toward stabilizing eurozone debt woes. Pressure remains on both the IMF and the European Central Bank to provide more support measures, analysts said.

"From our perspective, clearly you need to have more firepower on the table," said economist Leif Eskesen at HSBC. "Investors are waiting to see if the European Central Bank will make more direct steps in the sovereign bond market, buying up debt from countries considered vulnerable like Spain and Italy."

CNN's Ramy Inocencio, Pamela Boykoff and Emily Reuben and CNNMoney's Maureen Farrell and Ben Rooney contributed to this report.

@highlight

Economist: "It's difficult to see this turning around the Greek economy anytime soon"

@highlight

Greece is trying to cut debt to 121% of GDP, down from 160%

@highlight

Greece approved an austerity pact this month, leading to riots