In Subject Matters, we reveal the struggles faced by educators who teach subjects like science, math, English and history, and the solutions they've found. Teachers, share more ideas in our weekly Teachers' Lounge.

As science teachers try to educate the next generation of scientists in the United States, they worry about everything from a shortage of supplies for classroom experiments to their subject's nerdy image. Here are some of the challenges they face in their classrooms.

Pencils, paper ... and Alka-Seltzer?

Eighth-graders love rockets. Science teacher Jennifer Judkins of Wilmington, Massachusetts, makes sure that her students build and launch small rockets as part of her curriculum.

"It's a great activity for our laws-of-motion study," the Wilmington Middle School teacher said. "Just hearing the students talk among themselves about which rocket will go higher, seeing that learning happening right in front of you, is impactful."

This activity has a cost for Judkins -- $30 to be exact. That's how much she recently spent on Alka-Seltzer tablets and film canisters to make 100 rockets.

"Sure, I could read in a book and say, 'If you launch a rocket, this will happen,' but they aren't going to take that with them," she said.

For science teachers, piquing students' curiosity starts with experiments. But those experiments require raw materials, and many public schools have cut budgets for frogs and owl pellets.

Holly Gildig, who teaches sixth-grade science in rural Livingston, Louisiana, said she has difficulty acquiring materials needed to do experiments with her class. She also uses her own money to purchase materials needed for her classroom, or she sends a note home to parents to see if they can help.

But even that won't help her greatest need: A place to do experiments, or at least a sink in the classroom.

"I don't have a lab that I can take my students to," Gildig said. "I really don't have the equipment to teach science."

When she can't come up with the raw materials she needs, she goes online.

"Sometimes, I just have to go with technology and find something online and present it to the kids that way," she said.

Science isn't just for geeks

Before Teresa Marshall became a high school science teacher, she worked as a chemist. Her students are every bit as intelligent as the scientists that she worked with, she said, but the kids will never believe it.

"A lot of kids come to chemistry class believing that they aren't good at science," said Marshall, who teaches in Wilmington, Massachusetts. "They label themselves as being not good at science."

Adrianna Dupre, a chemistry teacher at Terrebonne High School in Houma, Louisiana, said most of her students say they don't like science at the start of the school year.

"They think we are just teaching them stuff to make their lives miserable," Dupre said.

But as the year progresses, she connects her lessons to real life, like relating combustion to starting a car. Soon enough, the students' arguments become less pronounced.

Students who believe they can't do well in science may never have had a teacher that engaged them on the topic, said Janice Earle of the National Science Foundation.

"There is often a problem in the parents' perceptions, since their experience back in school days may have been with science classes that they experienced as being boring or focused on memorization, rather than active learning," Earle said. "They may pass on to their kids the sense that science is a boring pastime for nerds, rather than an interesting, collaborative enterprise that's all about observing and understanding the world around you."

All science is not equal

Kids in elementary school are focusing on English and math to keep in line with standards set by No Child Left Behind. Their teachers are likely to have studied elementary education, but few will have a background in science. That means kids may not be getting the early background in science that they need.

"The elementary teacher in general does not have deep background in science," said Francis Eberle, executive director of the National Science Teachers Association. "Their understanding and their ability to help students learn science is more challenged because they don't really know science themselves."

There has been a decline in the time that elementary teachers spend on science over the past six years under the No Child Left Behind law, Eberle said.

"It's hard when an elementary schedule is math- and reading-based, with little time devoted to science," said Jay Farnsworth, a sixth-grade teacher in Waunakee, Wisconsin.

By the time students get to middle and high school, they're more likely to be taught by a teacher with a degree in science. But the teachers' degree may not be in the discipline they are teaching.

Long before Judkins was teaching classes to build rockets, she was a biologist for NASA. Earth science was part of her curriculum, but she had no experience on the topic.

Her solution? She took a workshop and did her own research about the best ways to teach the topic. All of it was at her own expense.

@highlight

Science teachers struggle with a lack of materials for experiments

@highlight

Some students have a hard time believing they'll be good at science

@highlight

Administrators often ask teachers to work with subject matter they're not familiar with

@highlight

Math and English education are emphasized, while science is left behind, teachers say