(CNN) -- On December 15, 2013, teachers Nick Gough and Richard Sears rolled to a stop after what's likely to be a Guinness World Record-setting 42,120 kilometer journey around the globe.

The 16-month trip, which took them through 39 countries, is impressive in itself. That they did it on a three-wheeled tuk tuk -- the ubiquitous urban transport solution in many parts of Asia -- makes their story remarkable.

Starting from the British Museum in London on August 13, 2012, the expedition took them through southern Europe to Turkey, where they crossed into Egypt and drove down Africa.

From South Africa, they shipped the tuk tuk to India, where they resumed their journey through Southeast Asia.

From Singapore they shipped the rickshaw to Latin America, then did a loop of South America -- nearly having to give up due to mechanical issues -- before reaching the finish line in Buenos Aires last month.

The men say they overtook the current world record for the longest journey in an auto-rickshaw and are now waiting for Guinness to officially validate it, a process that can take a few months.

Here, the pair recaps some of the highs and lows of the journey and why they did it.

CNN: What was the motivation behind this adventure?

Nick Gough: One of the key things we are doing is promoting awareness of world education problems.

As clichÃ© as it sounds, the idea was hatched after teaching and traveling abroad and seeing the amazing work of the local people who are working to find innovative ways to provide an education to children in their communities.

In 2000, the 189 United Nations member states and 23 international organizations made promises with the Millennium Development Goals that every primary aged child in the world would have access to education by 2015. This is going to fail miserably.

There are still 57 million primary aged children who are out of school and countless more who lack a quality education, either through number of kids in the classroom or other factors.

CNN: Why a tuk tuk?

Nick Gough: The tuk tuk as a small, open-sided vehicle is iconic for many of the countries we have traveled though.

There was never any doubt that it would be a tuk tuk. Loads of people drive and cycle their way around the world, which in many ways is more impressive than what we've done.

But we wanted to stick out like a sore thumb, so that people would take notice.

Also, no one had driven the length of Africa or around the world in a tuk tuk, and there was a world record on offer, so it was the perfect vehicle for our goals.

It helped that we were both pretty obsessed with tuk tuks and just loved being in them when we were traveling.

CNN: How would you rate the overall comfort of long distance tuk tuk travel?

Nick Gough: Tuk tuks are built for city travel and for this they are perfect.

We have found that they are not so good driving in long straight lines (ours had a max speed of 50 km/h), high altitude (doesn't start), thick mud and sand (back wheels don't rotate) and roads that aren't sealed (no suspension in the back two wheels).

CNN: What were the best and worst places to travel with a tuk tuk?

Nick Gough: This is a tough question. Often the best places from a reaction point of view are the places that don't have tuk tuks, or that do but don't have many.

With this in mind, we got the best reactions from people in Southern Africa, Chile and Argentina. I would say that Africa was the real highlight for us (even though at times it was very challenging).

Likewise, though the heat and humidity of India made life very uncomfortable, it's an amazingly interesting assault on the senses -- driving is like a real life computer game.

Generally, the most boring times are long straight roads that go on for days with not much scenery to look at!

CNN: Easiest and toughest border crossings?

Nick Gough: We adopted the attitude of "we have all the correct paper work (most of the time) and we are going to stay here until you let us through."

Many countries do say, "sorry we don't let tuk tuks cross this border," but they normally give way after a couple of hours.

What's challenging is getting through customs when you ship the tuk tuk. We spent days/weeks in customs in both Egypt and Colombia. We just had to be patient (or at least smile and pretend to be).

More: Bangkok tuk tuk driver confessions

CNN: Was safety ever an issue?

Nick Gough: We actually feel that the tuk tuk is a pretty safe vehicle.

We couldn't go very fast which meant unless one of us fell asleep at the wheel a head on collision was pretty unlikely. We did get bundled off the road a lot and no one respected us, but you can deal with that.

What we couldn't control was stuff driving into the back of us. This occurred in Malaysia when a guy was coming onto the main road via a slip road and looking over his shoulder. He slammed into the back of us, knocking us sideways into the fast lane, but luckily there was nothing coming.

More: Malaysia travel: 10 things to know before you go

CNN: What other vehicle would you consider for an around-the-world journey?

Nick Gough: Rich has plans one day to do an expedition on a Royal Enfield motorbike. I think that my next (much shorter) adventure is going to be on a tandem bicycle.

CNN: Did you raise any money during the trip?

Richard Sears: Our main aim is to raise awareness -- about the educational challenges facing the world today and for the Global Campaign for Education.

We are raising money too though to support grassroots education projects that we've visited throughout our journey.

We're supporting these small projects, set up and run by local people, through our UK registered charity, The Tuk Tuk Educational Trust, where 100% of donations go directly to the projects. This process has started, and will be our focus from now on.

People can support projects (donating to or fundraising for those that may particularly appeal to them) through our website www.tuktuktravels.com/projects.

CNN: How did you pay for the journey?

Richard Sears: The journey itself (totally separate from our charity) was funded by ourselves with the support of some sponsors and partners, including Cardiff University and DSV Global Transport and Logistics.

We couldn't have done it without their kindness and support.

CNN: What's next for you two?

Nick Gough: To wrap up this project we will both be doing school talks around the UK for a few months. We will also be working on a book and trying to find people to work with us on our travel/education documentary that we would like to release in 2015 when, ideally, the Millennium Development Goals are supposed to be realized.

After that we aren't sure. We both still want to work in some capacity in development and education. Rich is unlikely to go back into teaching -- probably focusing more on the business side of education.

I miss being in the classroom and the community aspects of school life so depending on what turns up I might well head straight back into teaching.

More: 14 coolest hotel perks in Latin America

@highlight

Teachers Nick Gough and Richard Sears drove 42,120 kilometers in a tuk tuk

@highlight

The 16-month trip took them through 39 countries, aimed at raising world education awareness

@highlight

Among biggest challenges was getting tuk tuk through customs in Colombia and Egypt