The sleeping giant has awoken: Latinos not only helped Obama win in key battleground states, but they made up 10% of the electorate for the first time ever.

Latinos, the fastest growing minority, making up 16% of the nation's population, made their mark on election night as they voted for President Barack Obama over Republican Mitt Romney 71% to 27%, a lower percentage than Republican candidates have received in in the last three elections.

At 27% this year, Romney's Latino support is dramatically lower than former President George W. Bush's support in 2004, which was 44%, and Arizona Sen. John McCain's 31% in 2008, according to exit polls. The lowest percentage of Latino voters won by a Republican was in 1996, when Bob Dole garnered only 21% of Latinos compared with then-President Bill Clinton's record 72%.

In 2008, Obama received 67% of the Latino vote. Latinos made up 9% of the electorate in 2008 with 19.5 million people eligible to vote. Today, there are nearly 24 million Hispanics eligible to vote. The number of registered Latinos has increased by 26% in the last four years to 12.2 million, according a  report by the National Association of Latino Elected and Appointed Officials.

"It's something we saw coming and have seen happen for a numbers of years now. Hispanics are increasing their share of their electorate," said Mark Hugo Lopez, associate director of the Pew Hispanic Center. "That number has been growing for a number of election cycles, and it's going to continue to grow moving forward."

What might have swayed Latinos to vote for Obama more than anything else? Republican Sen. Marco Rubio of Florida says the GOP was never able to connect with them.

"The conservative movement should have particular appeal to people in minority and immigrant communities who are trying to make it, and Republicans need to work harder than ever to communicate our beliefs to them," Rubio said in a statement on Election Day.

Democratic political strategist and commentator for The New Yorker Richard Socarides said on CNN's Early Start, "You can have engagement, but if you have no solutions on immigration, people who are concerned about those issues are not going to support you."

Outreach and the message to the Latino community will be vital. In an originally off-the-record interview with the Des Moines Register in October, the president was "confident about immigration reform in the second term."

"And since this is off the record, I will just be very blunt," Obama said in a transcript of the interview posted by the paper. "Should I win a second term, a big reason I will win a second term is because the Republican nominee and the Republican Party have so alienated the fastest-growing demographic group in the country, the Latino community."

Hispanics were vital in helping the president win in two of the key battleground states,  Nevada (70% to 25%) and Colorado (75% to 23%), and put Obama in the lead in Florida, where the vote still hasn't been decided, according to exit polls. In Nevada, the president won six electoral votes and nine in Colorado.

Obama's popularity with Latino voters in Florida is credited to the growth in the Puerto Rican population in central Florida.Of all Latinos in Florida, 34% are Cuban and 57% are non-Cuban, according to the Pew Hispanic Center.

"If we don't do better with Hispanics, we'll be out of the White House forever," said Republican strategist and CNN contributor Ana Navarro, who was the national Hispanic co-chair of McCain's  presidential campaign.

Zuania CapÃ³-Ramos of Puerto Rico moved to New York just in time for the 2008 elections, but she didn't vote until this year.

"I had just come to the U.S. and still did not quite understand how to work the election process in this country. I felt misinformed regarding the difference between political parties," CapÃ³-Ramos said. "Obama seemed like an excellent candidate, however, it was not until the most recent elections that I became active in American politics and issues affecting the Latino community."

Pew Hispanic Center's analysis of exit poll data stated that 77% of Hispanic voters said undocumented immigrants should be offered a chance to apply for legal status, while 18% said such immigrants should be deported. Among all voters, fewer than two thirds (65%) said these immigrants should be offered a chance to apply for legal status, while 28% say they should be deported.

"When Mitt Romney brought on Kris Kobach as his adviser for his campaign, that really made an impact on the Latino community," said Leo Pierson,  a campaign surrogate for the Ohio Latino Leadership Council to Re-Elect President Obama. Pierson started volunteering in March 2011 and provided guidance on Latino affairs and outreach in Ohio for the campaign.

Latinos only make up 3% of the swing state's population, according to the Pew Hispanic Center, of which Obama received 53% of the Latino vote.

"The GOP drove Latinos away with their anti-Latino agenda in being very vocal on 'self-deportation'," said Pierson. "It didn't help that Mitt Romney said the Arizona immigration law was the model for the nation. That stuff sticks."

Romney said he only supported the E-verify portion of the controversial Arizona immigration law, also known as SB 1070. After he made that statement, his opponents were able to characterize his support as being for the entire law, and that alienated many Latino voters.

However, Latino voters might have made up their minds in 2011, when Mitt Romney stated he would veto the DREAM Act, but his reluctance during the second presidential debate to provide specifics on an alternative approach on immigration reform could have sealed the deal for most Latinos.

Romney said that he would offer a path to undocumented immigrants serving in the military but did not give details as to what he would do for the remainder of the 1.4 million undocumented immigrants who would qualify for citizenship under Obama's plan, which allows undocumented immigrants who came to the United States as children to apply for legal status.

While some Hispanic voters were disappointed with  Obama's failure to achieve comprehensive immigration reform, which he considered his "biggest failure," he said it wasn't "for a lack of trying or desire," during a Univision forum in September.

However, that doesn't relieve the pressure many Latinos have put upon the newly re-elected president.

"My hope for Obama as a woman, as a Latina, as a Puerto Rican, is that he keeps his word and all the promises he has made to us," stressed CapÃ³-Ramos. "I hope he conserves his integrity, prevails in government, and that he puts the people as priority over economic interests, political or partisan."

@highlight

Latino vote helped Obama win in battleground states, made up 10% of electorate for first time

@highlight

Navarro: "If we don't do better with Hispanics, we'll be out of the White House forever"

@highlight

Latinos voted for Obama over Romney 71% to 27%