(CNN)It's no surprise which image is making the headlines from this week's gathering of leaders from nearly three dozen nations in Panama: A historic handshake between President Barack Obama and Cuban President Raul Castro. But this first meeting of Obama and Castro since they announced plans to start normalizing diplomatic ties should not be the end of the summit story.

Or at least Obama is hoping it won't be. After all, the President has had some unhappy experiences at hemispheric summits, where the headlines have often focused on some less than flattering moments.

The reality is that the United States has been losing ground in this increasingly important region, and Obama needs to put on a strong performance in Panama at the Summit of the Americas if the U.S. is to have a chance of improving ties with neighbors who should be best friends, but who have drifted away as America has been focused on challenges at home and instability in the Middle East.

Unfortunately, America has lost influence in Latin America to a hyperactive China, a cunning Russia and a troubling Iran, all of which have made inroads in the region at Washington's expense. This gathering therefore offers a chance for the U.S. to reverse the tide and build on the potential offered by a natural alliance strengthened by millions of people with Latin American and Caribbean blood who make their homes in the United States. The foundations for a strong hemispheric bloc are there. But they need attention, and the Panama meeting offers a good opportunity to start building.

But first: Do no harm.

Large diplomatic gatherings are minutely orchestrated events, and the U.S., with its vast experience in preparing for high-level multilateral meetings, knows the importance of dotting the I's and crossing the T's.

But this hasn't stopped recent summits descending into diplomatic and PR disasters for the U.S. Just look at the last summit, held in Cartagena, Colombia, which stayed in the news much longer than anyone expected after Secret Service agents embarrassed the United States by hiring prostitutes and bringing them to their hotel rooms, in violation of basic security protocols. They were reportedly caught after one of the women accused an agent of refusing to pay an agreed fee. As a result of all this, the Americans looked dumb, incompetent -- and cheap.

And back in 2009, the President -- new on the job -- was caught flat footed by a fast-talking, fiery anti-American president of Venezuela. The late Hugo Chavez outplayed the leader of the free world, who had just taken office and was trying to show America's new "outstretched hand" toward the foe of the George W. Bush era. The summit hit a depressing low for the Obama administration when Chavez walked up to Obama and, as the cameras clicked, handed the American President a copy of the book "Open Veins of Latin America," which blames the region's woes on the U.S. and Europe.

Yet the problems in Cartagena weren't just symbolic. Regional leaders lined up against Washington, which had refused to include Cuba in the summit, and vowed they would not hold any more of the gatherings unless Havana was also invited. America was cornered.

All this stands in contrast to the optimism of the early Clinton years, when the President issued an invitation to "democratically elected" heads of state of Latin America, which was then breaking the chains of military dictatorship. Back then, the U.S. had just led the creation of the North American Free Trade Agreement (NAFTA) and actually seemed to stand for something attractive to the region, namely democracy, free trade and economic growth.

That's what it should aim for every time: articulating a clear vision and rallying neighbors behind it. Can Obama manage something similar this time?

True, the President has come armed with his new Cuba policy. Unfortunately, in an effort to placate critics who say Obama is not doing more for pro-democracy activists, the White House has miscalculated with Venezuela, handing the repressive regime of Chavez's successor, Nicolas Maduro, a stick with which to beat the U.S. Obama has long and rightly ignored Maduro's claims that the U.S. planned to overthrow him. But a modest plan to impose sanctions has suddenly handed Maduro -- who has presided over an economic catastrophe in his country -- a way to portray himself a victim of the U.S., something he will no doubt play that up in Panama.

All this risks again reviving memories of past tensions with Latin Americans who already have complicated feelings toward the U.S. over its Cold War support for unseemly right-wing dictators, a policy it claimed to pursue in the name of preventing Soviet-backed communism from taking hold.

But those days are behind us. Today, the people want prosperity, they want democracy, and they want the rule of law -- all of which leave a potential opening for the United States. Too many national leaders are eroding democratic norms: Opposition leaders are in prison in Venezuela; a prosecutor who criticized the President was found dead in Argentina; press freedom is under siege in several countries; and corruption is reaching new highs.

All of this suggests that if Obama plays his cards right, he will have the opportunity to explain to the people of Latin America that their goals are also America's goals; that like them, he supports democracy, human rights, the rule of law, full freedom of expression and free elections in every country. The fact that he met with Cuban dissidents was welcome, and sends a message that he is not neglecting other issues such as human rights as he recasts relations with Cuba.

For the millions in Latin America that still live in poverty, these freedoms can seem like a distant luxury. But if Obama can show them that the United States is a true partner in efforts to improve their lives, then he will leave a longer-lasting legacy in the region than just a handshake.

@highlight

President Barack Obama is attending the Summit of the Americas

@highlight

Frida Ghitis says he must work to improve ties with region