(CNN) -- Prosecutors will appeal a 30-day jail sentence handed down Monday against Dharun Ravi, the ex-Rutgers student convicted of spying on and intimidating his gay roommate, who then killed himself by jumping off New York's George Washington Bridge.

Middlesex County Prosecutor Bruce J. Kaplan said Ravi's crimes warranted "more than a 30-day jail term" and called Superior Judge Glenn Berman's sentence "insufficient under the sentencing laws of this state, the facts that were determined by a jury and long-standing appellate precedent."

Calling the appeal "a registering of outrage," CNN Senior Legal Analyst Jeffrey Toobin said there is "very little chance" the sentence will be overturned. He noted that under New Jersey law, the judge had the flexibility to sentence Ravi to anything from zero to 10 years in prison.

"The heart of this case was a paradox: Was this a prank that just got out of control after the fact, or was it a hate crime?" Toobin said. "He was convicted of a hate crime, but the judge really treated this like a prank."

Is 30-day sentence fair for student who bullied gay roommate?

Under the sentence, Ravi will serve three years of probation and must complete 300 hours of community service aimed at assisting victims of bias crimes, according to Berman. He also must pay more than $11,000 in restitution.

Berman stayed the jail sentence for 10 days pending expected appeals from the prosecution and the defense.

The September 2010 death of Tyler Clementi, and Ravi's trial this year, thrust the issue of cyberbullying and prejudices against homosexuals into the national spotlight.

Clementi, an 18-year-old freshman, plunged to his death into the Hudson River after learning Ravi had secretly spied via a webcam as Clementi kissed another man.

Opinion: What the tragedy of Tyler Clementi teaches about teen sexting.

"I haven't heard you apologize once," Berman told Ravi, 20. He said Clementi "placed his trust in you without any conditions, and you violated it."

Ravi, he said, acted out of "colossal insensitivity."

Berman said he took Ravi's youth and his lack of a criminal record into consideration in determining the sentence.

The judge told Ravi the only reason he did not recommend deportation was because the man involved in the videotaped encounter, identified in court only as "M.B.," said in his victim impact statement he did not believe Ravi should be deported and would be willing to write a letter to that effect.

Ravi could have faced 10 years in prison and deportation to his native India

Ravi's sentencing hearing stretched to nearly four hours Monday, punctuated by emotional victim impact statements by Clementi's parents and brother.

"My son Tyler was a kind and gentle soul," Joe Clementi said of his son. "Nobody other than Tyler understood how vulnerable he was, but the fact is that he was very vulnerable -- and he was shaken by the cold, criminal actions of his roommate."

James Clementi recalled his brother's excitement about attending college. "He could never have known the viper's nest he was walking into," he said.

"I have often found myself wondering if Dharun Ravi is even capable of empathizing with another person," the brother added.

In his statement, "M.B." said, "I do not mind that Mr. Ravi has never apologized to me for what he did and said, but I do wonder if it ever has entered his mind that he has caused me a great deal of pain and yet he knows nothing about me."

Ravi's parents also addressed the court, although he chose not to speak.

"Not a single day goes by we don't think about Tyler," said his father, Ravi Pazhani. But he said his son had been demonized and "dragged through the mud."

"How can a person who never acted as a bully ... go from a passive child to hardcore bully overnight?" he asked.

His mother, Sabitha Ravi, cried as she related the stress and pain her son has experienced since Clementi's death. "He has been living in hell for the past 20 months," she said.

Listening to her statement, Ravi grew tearful for the first time during the hearing. After his mother finished speaking, the two embraced as she sobbed.

Michael Billy, a gay rights advocate and television producer who has hosted shows on PBS and SiriusXM radio, told HLN's Vinnie Politan he was "physically disgusted" by the 30-day sentence. "Gay kids across the country need to get the message that their life matters," which the New Jersey native claimed is the opposite of what came across Monday.

"That is the message that is being sent: That we still do not take these things seriously," said Billy, lamenting that "Tyler Clementi had no chance," though Ravi would get one.

Though Ravi and Molly Wei -- a fellow student who admitted to joining Ravi to watch the surreptitious encounter that others were alerted to via social media -- were charged in the wake of Clementi's suicide, they were not charged directly with his death.

Facing two counts of invasion of privacy, Wei reached a plea deal that required her to testify against her friend and former high school classmate as well as to complete a three-year program on cyberbullying and 300 hours of community service.

Before sentencing Ravi, Berman said he was planning to terminate Wei's program early, noting that she testified candidly against Ravi although "it was clear she didn't want to be here." He said she had completed 250 hours of community service before her testimony.

Ravi, who was studying on a visa at the New Jersey university at the time of the incident, turned down a plea deal offered by Middlesex County prosecutors.

Under the terms of that offer, he would have avoided jail time in exchange for undergoing counseling, doing 600 hours of community service and disposing of any information that could identify the man who appeared in the Web video with Clementi.

Prosecutors also offered to help Ravi avoid deportation, though they said they could not guarantee it.

That set the stage for the trial, during which prosecutors argued that Ravi tried to embarrass Clementi because he was gay and that his actions were motivated by a desire to intimidate the Ridgewood, New Jersey, native expressly because of his sexual orientation.

"These acts were purposeful, they were intentional, and they were planned," prosecutor Julia L. McClure told the jury on the first day of the trial. Ravi "was bothered by Tyler Clementi's sexual orientation," she later said more bluntly.

Ravi's attorneys countered by portraying their client as an immature college student who made a mistake and insisting his actions were not based on homophobia.

After more than three weeks in court, a jury on March 16 convicted Ravi of invasion of privacy, bias intimidation, witness tampering, hindering apprehension and tampering with physical evidence.

Opinion: Bullying case calls for smarter sentence than 10 years in prison

Days after his conviction, Ravi told ABC television's "20/20" that he thought Clementi understood he "wasn't trying to intimidate him and scare him because he was gay." He also criticized the public portray of what happened.

"I felt like I was being used by everybody," said Ravi. "They were taking revenge on me, even though what they think happened isn't what happened."

@highlight

NEW: There's "very little chance" the sentence will be overturned, CNN's Toobin says

@highlight

The judge says he took Dharun Ravi's age and other factors into consideration

@highlight

Ravi was convicted of invasion of privacy, bias intimidation and other charges

@highlight

Tyler Clementi, 18, then killed himself, setting off a national discussion about bullying