(CNN) -- Drew Manning thought he had the body of the ideal man: 6 feet 2 inches of tanned musculature, sculpted arms and washboard abs that narrowed to a firm, 34-inch waist.

His perfectly chiseled body was hairless due to regular "manscaping." People assumed he worked out three hours a day, seven days a week, but the 31-year-old personal trainer said nutrition was really the key to his dream body. As for working out, he indulged in his favorite activity for only about 45 minutes a day, four to five days a week.

Then, Manning's once impressive muscles softened to pounds of bloated fat -- on purpose.

Manning, a personal trainer, decided to gain nearly 70 pounds so he could better understand how his clients feel. He then planned to lose the weight to show that no matter the numbers they faced, others could get fit, too. He called it his "Fit 2 Fat 2 Fit" campaign, and documented it on a blog, and a book that debuts in June.

He expected some physical discomfort, but the emotional struggle -- and judgment from others -- surprised him. As he loaded sugary cereals and soft drinks from his cart at the local grocery store one day, he caught three women staring at him, then sliding their eyes to the food he was buying.

"'I'm doing this as an experiment! I used to be a fit guy, not the fat guy,'" Manning wanted to turn around and explain. "I'm a lot more self-conscious now. There was a total lack of confidence in the way I felt in public because I wasn't the fit guy anymore."

The female form has long been the topic of discussions about self-esteem, but what about men? Their ideas about weight, body image and self-esteem have been largely swept under the ambiguous rug of masculinity. Meanwhile, changing standards about the ideal male form can leave them overwhelmed and exhausted by the chase for perfection, too.

Men don't talk about it as much, health experts say, but that doesn't mean they're not thinking about it, whether they're ultra-fit or kind of fat.

"Men are still taught as boys that the body is something that is designed to be a perfectly performing machine, not something to be cared for and nurtured," said Michael Addis, professor of psychology at Clark University and author of "Invisible Men." "But men base self-esteem on body image and weight."

Inside the man in the mirror

As a professor for 17 years and counting, Addis has observed how the male college students in his classes have changed and adapted to shifting cultural norms. In recent years, more of them spend time in the gym, focus on their appearance and monitor body mass.

Most aren't trying to lose weight -- they're documenting their physique, he said. It's a far cry from the male celebrities of the 1950s -- think Spencer Tracey or Robert Mitchum -- who wore their heftiness as a sign of financial success or a way to demonstrate masculinity, Addis said.

He attributes the change to shifting gender roles.

"As women gain more financial power in society, men are expected to bring more to the table," Addis said. "In addition to being financially successful, they need to be well-groomed, in good shape, emotionally skilled in relationships and the emphasis on looking good is just part of the bigger package -- the stakes have been raised."

Some psychologists and trend watchers said the male muscle obsession only grew during the last few years. As the economy struggled, men were sent looking for aspects of their lives they could define and control. Body image is, at times, the only thing.

"Men can't control how much money they make or their employment situation, but they can control how they look. It can create this obsessiveness," said Sarah Toland, senior health editor for Men's Journal.

James Mahalik, a psychology professor at Boston College, said some men develop powerful, physically intimidating bodies as a display of masculinity in face of threats. But becoming a father pushes some men to lead healthier lives -- and as a consequence, develop a healthier-looking body, too.

"One very important role for men, in terms of how they're masculine, is their role as fathers," Mahalik said. "You can make health more salient to men and connect it to their sense of masculinity by appealing to fulfilling the role of being a father."

But in a world of changing ideals and rising obesity rates, what is it they're all idealizing?

The new physical ideal

Lately, big and bulky has been pushed to the wayside, and the swimmer's physique reigns supreme, editors of men's magazines and websites say. The male silhouette landing on magazine covers and action flicks is tall, lean, agile and fit.

It's a physique that's more attainable for most men than the beefy-torso-and-chicken-leg look of the past.

"Our readers want the concept that this body is natural," said Toland. "A body that is inspired by nature, rather than machine, supplement or wealth to be able to buy you that body."

"Our ideal male wants to look like he is healthy and confident, but not perfectly coiffed or manicured," said Sandra Nygaard, senior fashion and grooming editor of Men's Health. "He wants to look well-maintained.

"That's the real ideal: They want to look great, but they don't want to look like they spend too much time on it -- but they know they need to spend time on it."

Nygaard points to actor Ryan Reynolds as an example of making the effortless look like an art form -- always the right amount of scruff and perfectly tousled hair, even if they use a beard trimmer to shave down scruff and pomade for the slept-in look.

Actors like Ryan Gosling, Zac Efron and Justin Timberlake are constantly seen sporting tailored suits. Rather than the clothes themselves, it is the fit that displays the effort they put into their appearance, and this is showing up in the workplace as well.

This is the result of what some call the "'Mad Men' revival" -- the return of pomade, polish and of the perfectly cut suit. It stays within the boundaries of masculinity while offering men the option of looking their best.

"Men are seeing grooming not as an extra, but an essential," Nygaard said.

Current trends might make topics like health and grooming more approachable for men while promoting a healthier ideal, but psychologists Mahalik and Addis don't expect body image to become a big topic among guys.

But Drew Manning has been hearing plenty about it.

As he put on 70 pounds as part of his experiment, he said he often received e-mails from "typical American men," former high school and college athletes who stopped caring for their health and bodies after school or marriage. Manning said he believes they fell prey to the "masculine marketing" of fast food and beer.

"At one point in their life, a majority of men were fit, whether it was in elementary school or high school," he said, "Then life gets busy."

He said he realizes now how obsessed he was with a physical ideal, and what it feels like to be so many pounds away from it; Manning is still taking the weight off. His friends, family and wife understood he wouldn't be overweight forever. But he has gained empathy for his personal training clients, and a new understanding of strangers who stared at a man approaching 265 pounds.

"Maybe I was on the other side of it before," Manning said. "Maybe I was more judgmental before I went through this whole thing."

@highlight

The new male ideal does not reflect the typical American male

@highlight

A revival of standards is making men more comfortable with their appearance and masculinity

@highlight

The swimmer's physique, a long, lean look, is becoming the new ideal