(CNN) -- The United Nations chief warned international donors Sunday not to put complex reform demands on Afghanistan as it seeks billions in aid, saying the country was at a critical stage in its development.

Concerns over widespread corruption in Afghanistan have overshadowed recent efforts to raise reconstruction and development aid to help Afghans maintain fragile economic and social gains as U.S.-led NATO troops withdraw from the country.

"We must be fully conscious that Afghan institutions are still in their nascent stages," U.N. Secretary-General Ban Ki-moon told representatives of more than 80 nations and organizations attending an aid conference in Tokyo.

"The very programs which offer the best hope of sustainability of Afghan institutions should not be held hostage to complex preconditions."

The Afghan Central Bank estimates that at least $6 billion a year is needed over the next decade in economic investment in the country, which the World Bank describes as one of the 10 poorest in the world.

U.S. Secretary of State Hillary Clinton said about $16 billion was pledged for Afghanistan over four years by donors at the conference, though the amount did not include money from the United States because any foreign aid must be approved by Congress.

"The United States will request from our Congress assistance for Afghanistan at or near the levels of the past decade through the year 2017," she said in remarks.

The United States has spent roughly $18.8 billion spent in aid to Afghanistan over the past decade, more than to any other country.

Weariness over the decade-long war in Afghanistan and a global economic downturn are raising questions about whether donors will commit to large handouts over the next decade without substantial, substantive reform in Afghanistan.

At the meeting, Afghan President Hamid Karzai vowed the government was taking reform steps.

"I recognize, ladies and gentlemen, the success of our developing partnership will depend on our mutual ability to be accountable, and to prove our practices so the hard-earned dollars of your taxpayers are used effectively and transparently," Karzai said.

But Karzai has made promises of government reform before with little result. A majority of corruption cases have failed to yield prosecutions, and U.S. officials have said some of those investigated had close ties to Karzai.

Poverty and corruption are widespread in Afghanistan. It came in 172nd out of 187 countries in the United Nations' 2011 Human Development Index, which ranks nations based on life expectancy, education and living standards.

Video: Taliban shoot woman 9 times in public execution as men cheer

Questions were raised after the United Nations announced an investigation in June into its Afghanistan development fund that pays the salaries of Afghan police amid allegations of misuse of funds.

That same month, before the Afghan parliament, Karzai called for new government reforms and accountability.

"President Karzai has made a strong public commitment to stamping corruption, implementing key reforms, and building Afghanistan's institutions," Clinton said.

"We will support him and the government in that endeavor to enable Afghanistan to move toward self-reliance and away from dependence on donor assistance."

Karzai told potential donors in Tokyo that Afghanistan's economy remains underdeveloped, its private sector was "embryonic" and its vast natural resources were largely untapped.

"Today, I request Afghanistan's friends and partners reassure the Afghan people that you will be with us as we seek to strengthen Afghanistan as a peaceful, democratic and self-reliant country," he said during prepared remarks.

"And to translate your commitments into tangible actions."

Clinton said she was pleased by the $16 billion in pledges, calling it "sustained economic support that will help Afghanistan meet its fiscal needs even as assistance declines."

Under a security pact with Afghanistan, nearly all U.S.-led NATO troops will withdraw from the country by the end of 2014.

The donations in development aid are in addition to more than $4 billion a year between 2015 and 2017 pledged by NATO allies in May to pay for the growth and training of Afghan security forces.

Taking place on the side at the meeting were anticipated three-way talks between Pakistan, Afghanistan and the United States. In earlier comments, Clinton said there would be a meeting on the "ministerial level" between three countries.

Karzai and Clinton arrived at the Tokyo meeting a day after the secretary made a visit to Kabul where she announced the United States was naming Afghanistan a major non-NATO ally.

The relationship is beneficial during the transition as both nations prepare for post-2014, according to Clinton.

By granting such ally status, it makes Afghanistan eligible to receive military training and assistance, including expediting the sales and leasing of military equipment long after NATO troops leave.

Afghanistan joins Japan, Pakistan, Egypt, Israel and Australia, among others, granted major non-NATO ally status by the United States. Unlike NATO allies of the United States, who are bound together by a joint defense pact, there is no mutual defense guarantee as a non-NATO ally.

Roadside bombs kill dozens in Afghanistan

U.S. designates Afghanistan a major ally, creates defense ties

Clinton stops in Afghanistan during marathon trip

@highlight

International donors pledge $16 billion in development aid to Afghanistan

@highlight

The Afghan Central Bank estimates at least $6 billion a year is needed

@highlight

The pledges do not include donations by the United States

@highlight

The delivery of development aid coincides with the departure of NATO troops