Ever the gentleman, nothing could stop William Gordon from escorting his wife, Nelly, on her greatest journey.

He lovingly watched their children crowd around their mother to say goodbye. Suddenly, Nelly stretched her arms, smiled as if she were a blushing bride, lay down on the bed and died.

Gordon, though, had died five years earlier. Legend has it that when Nelly, the mother of Girl Scouts founder Juliette Gordon Low, died in 1917, her husband came back to escort his wife to the great beyond. According to the Gordon family, the butler saw the late master walking down the stairs and out the front door of their stately Savannah, Georgia, home, appearing young, handsome and happy.

It's one of many ghost stories told around the city of Savannah, where centuries-old cemeteries and antique houses betray a bloody history of battles, fires, epidemics and storms -- a supernatural tourist delight. Gordon Low was even born on October 31, 1860, on Halloween.

But Gordon Low's childhood home, a beloved Scouting destination, doesn't seem creepy at all.

Photos capture how scared you look inside a haunted house

Katherine Keena, the interim director for the Juliette Gordon Low Birthplace, is quick to mention its bright, happy feeling. The stone facade and double-staircase entry, blessedly shaded from the hot Georgia sun by oaks and hanging moss, looks like the destination for a grand ball, not a big scare.

"I always think of haunted houses being unwelcoming or scary," Keena said. "That's certainly not what this house is like."

So why have columns, turrets, widow's walks, mansard roofs and gingerbread trim of Victorian-styled houses -- not to mention overgrown grounds, Spanish moss and cobwebs -- become the hallmarks of spooky, sinister places?

To start, all those details signal that a house has history.

"With old houses of any style, especially those that have been in the same family for generations, more than likely, there will be legends," said Sarah Lea Burns, a professor emeritus from Indiana University's department of art history, who researches haunted houses. "These historic houses, especially the beautiful ones, embody what it is we feel that we've lost."

And they're a living reminder of a time when ghost stories took on greater meaning.

Early architecture in the United States drew on popular Georgian styles from England. As the country grew, neoclassical homes incorporated columns and pediments better known from ancient Greece, the bed of philosophy and political theater. Later still, American Victorian homes borrowed romantic architectural elements from Gothic churches of Rome and castles of Northern Europe.

As all those styles became fashionable, the early founding fathers were dying. Residents of a young America feared they were losing their sense of morality along with them, said Bret Carroll, an American history professor at California State University Stanislaus.

This national anxiety, along with a strong tradition of folklore and ghost stories, led to radical ways of thinking about the dead that rejected the limits of the scientific method. Some believed that spirits of the dead not only existed in our universe but were able to understand it better than the living.

By the 1840s and '50s, stories of ghostly communiques were making headlines in newspapers around the country. Through seances, self-proclaimed "spiritualists" sought wisdom and advice from the dearly departed. They were, for the most part, progressive middle- to upper-class people, Carroll said, who owned fine homes that might still be standing today.

Legend has it that Winchester rifle heiress Sarah Winchester was haunted by the deaths of her child and husband when she sought guidance through a spiritualist. She went on to build a sprawling Victorian home in San Jose, California, perhaps under the guidance of a medium -- or perhaps because she was an enormously wealthy widow with a home-building hobby. Either way, the home -- now a tourist attraction -- became an architectural testament to turmoil.

In the years Winchester was building, there was nothing farfetched about ghost stories or the idea that houses could be haunted, said Carroll, the history professor.

"Back in those days, religious belief -- especially the physical reality of the afterlife -- was more widespread than it is today," Carroll said. "There was no reason for these folks to deny or disbelieve that spirits actually existed."

Of course, Queen Anne and French Second Empire-style houses didn't start off sinister.

"At the time they were built, they were fashionable, trendy and modern," said Burns, the art historian.

But the taste for such houses vanished in the 20th century, she said, and elements of Victorian architecture gradually gained a dark aura. Few were wired for electricity, and they hardly suited modern tastes for light, efficiency and ease in cleaning.

People began to look at Victorian houses as unsanitary, gloomy and dark, Burns said. Even the architecture itself gained a mongrel reputation because of its appropriation of historical styles -- Gothic, Roman, Greek -- mixed together in what seemed like an incoherent and disorderly manner.

The South was especially susceptible to that attitude as once-grand Antebellum homes stood empty after the Civil War, dilapidated to the point of ruin.  Loaded with architectural elements that had fallen out of style, Southern homes were "burdened by a history of violence, whether it was family violence or the violence of the slave system," Burns said.

"There's almost this wholesale rejection of the Victorian style, which is thought to be literally unhealthy for people because of the darkness and gloom," she said.

Pop culture helped to seal the deal on what seems spooky. Think of the home from "Psycho," and the dark room filled with bric-a-brac and rotting lace where Norman Bates' mummified mother sat, or the stately manors of "The Addams Family" or "The Munsters."

Even Walt Disney turned to the Southern Victorian to create the façade of Disneyland's famous Haunted Mansion. The wrap-around porches festooned with New Orleans-style wrought iron, massive columns and pediment and crowning turret recall the houses of the coastal South, Burns said. (Indeed, even that home is rumored to be the final resting place of a departed soul.)

So no matter how many haunted homes break from tradition, there's always something chilling about just the right spooky style.

"I love a Victorian house," Burns said. "It makes me wonder where the bodies are buried."

@highlight

Victorian homes have developed a spooky reputation

@highlight

Paranormal history and architecture trends combine to create a haunted feel

@highlight

Art historian: "I love a Victorian house. It makes me wonder where the bodies are buried."