(CNN) -- A moon circling Jupiter has sent up a small flare. It may be telling astronomers that life could be supported there, and it may offer a way of finding out.

The scientists have recognized a puff of water vapor sprouting 125 miles high above Europa in a special image captured by the Hubble Space Telescope, NASA said Thursday.

"We pushed Hubble to its limits to see this very faint emission," said Joachim Saur, the telescope's lead investigator on the project.

They're not quite sure yet, but Saur, a professor at the University of Cologne in Germany, believes that a geyser on Europa's south pole blustered the vapor up from a water source under the moon's surface.

Aquatic life

Many scientists feel certain that a deep ocean lies beneath the icy, miles-thick shell that covers the moon, the American Geophysical Union said.

The whole celestial body looks like a white, scratchy ball of ice.

Europa, which is too far away from the sun to enjoy the warmth of its golden rays, has surface temperatures as low as -328 degrees Fahrenheit, the AGU said. It's hardly a temperature anything living could survive at.

But the moon is probably heated from within. Friction caused by Jupiter's gravitational pull on its core keeps the internal ocean from freezing, scientists believe.

Its water might have the right chemistry to sustain some very basic aquatic life. And this newly recognized vapor trail may offer an easier way of finding that out, astronomer Lorenz Roth told NASA.

He analyzed the data Hubble collected.

"If those plumes are connected with the subsurface water ocean we are confident exists under Europa's crust, then this means that future investigations can directly investigate the chemical makeup of Europa's potentially habitable environment without drilling through layers of ice. And that is tremendously exciting."

A cheaper flight

Instead of having to land there with heavy borer rigs loaded onto a large, expensive spacecraft to collect a water sample, a probe could now just fly into the vapor, suck some of it in and analyze it.

Money is important, when it comes to studying Europa. Most of what astronomers know about it comes from data picked up by the Galileo mission to Jupiter, which ended in 2003 and was plagued with funding blackouts, the AGU said.

NASA's Jet Propulsion Laboratory has been trying to come up with lower-budget experiments to make funding for a mission more likely, according to the AGU. They would involve an orbiter to observe the surface long-term and a spacecraft that would fly there to take radar images of what's underneath the ice.

Now, there may be another, even more enticing and equally thrifty experiment to add to the list.

Need more pics

But before all that can happen, Hubble needs to snap few more images of the plumes to confirm the discovery.

And even then, it may take Saur and his colleagues a while to feel comfortable with their analysis of the spectrographic images that discern light waves from Europa. The vapor is not visible to the naked eye. Hubble was able to detect it only because electrons crashed into it, converting it into hydrogen and oxygen molecules.

Thursday's announcement was based on images recorded in December of last year, NASA said. It took that long to be reasonably sure that the clouds weren't caused by something else, like charged particles flying there through Jupiter's magnetic field or a meteor crashing down.

Dolphins? Nah

If a mission to Europa gets launched, don't expect it to turn up a dolphin.

Because of the extreme conditions in that ocean -- if it exists -- scientists would probably find -- if anything -- the kind of microbes that live under Earth's arctic caps or near undersea volcanoes, the AGU said.

This isn't the first time scientists have found water vapor coming from another planet's moon.

A NASA orbiter has detected similar spouts on one of Saturn's moons, Enceladus, NASA said.

But this is a sensational find, if it is confirmed.

It may represent the closest place to Earth where scientists could find still-existing life outside of our planet.

@highlight

Scientists strongly believe there is an ocean hidden under the ice surface of Europa

@highlight

The Hubble Space Telescope captured a spectrographic image showing water vapor

@highlight

Astronomers believe it came from a geyser connected to the hidden ocean

@highlight

The vapor could make it possible for a space probe to analyze the water for signs of life