BEIJING, China (CNN) -- Every day, tens of thousands of fertilized hen eggs are delivered to Sinovac laboratories in Beijing. Each egg is infected with the H1N1 virus, then incubated for three days. White-coated employees examine every egg individually before the virus is extracted and used to make a vaccine.

Vials of H1N1 vaccine before they are labeled and packaged.

Sinovac Biotech Ltd. was the first company in the world to successfully complete clinical trials for an H1N1 vaccine.

It was also the first company approved by the Chinese government to produce millions of doses for the public. China is set to become the first country to begin mass inoculations sometime around the beginning of October.

According to Sinovac CEO Yin Weidong, the secret lies in years of vaccine research and development. Sinovac was the first and only company ever to create a vaccine for Severe Acute Respiratory Syndrome (SARS), the worldwide pandemic that left almost 350 people in China dead.

The SARS vaccine was never used. By the time it was discovered, the outbreak had subsided. However, the breakthrough has enabled Sinovac to stay ahead of the curve. Watch as the H1N1 vaccine is produced »

"The SARS vaccine helped us achieve the H5N1 (bird flu) vaccine, which helped us get the H1N1 vaccine," says CEO Yin Weidong. "That's why we could be so fast and be the first."

Since Sinovac's success, at least two other Chinese companies and several around the world have also produced H1N1 vaccines. China has reportedly ordered 3.3 million vaccines from Sinovac, 4 million from Hualan Biological and another 3 million from the Shanghai Institute of Biological Sciences.

According to Yin, the main challenge for China will be providing enough vaccines for everyone. "A country with 1.3 billion people needs 1.3 billion vaccines," he says. Watch report on China's inoculation preparations »

The Chinese government has long warned an outbreak of H1N1 could be catastrophic in a massive country with an underdeveloped health system. In recent weeks, the instances of H1N1 infections have risen dramatically throughout the mainland.

There have been more than 9,000 cases of the H1N1 virus in China so far, and more than half of them have happened in the last few weeks alone.

"It's basically affected all provinces of China and we're worried because of the sheer number of people involved," says Vivian Tan, communications director for the World Health Organization in China. "It's moving from the urban and coastal areas into more rural remote areas."

According to the WHO, the rapid acceleration of H1N1 is occurring in part because flu season is starting, the weather is cooling down and school is back in session. More than 80 percent of China's swine flu cases have occurred in schools or due to school-related activities.

China has had perhaps the most extreme and active response to the virus than any other country in the world. For months, masked Chinese officials have boarded international flights upon arrival, checking all passengers' temperatures and administered health surveys before granting entry. Thousands have been quarantined, including entire flights and school groups.

Health authorities have heavily publicized the risks posed by the virus and rolled out a Traditional Chinese Medicine Treatment plan, as an alternative to the vaccines produced by Sinovac and others.

Yet, some Chinese citizens remain skeptical that a vaccine is even necessary in the first place.

"It doesn't seem like my baby is going to catch the swine flu," says one mother at a hospital in central Beijing. "And what if it affects his health in the future? I'm just going to avoid crowded areas."

Like any vaccine, the WHO has warned the H1N1 vaccine may have negative side effects. Sinovac plans to track and test patients for several years after vaccinations are administered to determine if there are any dangers.

Ultimately, in China, the central concern remains that the H1N1 virus itself could expand and spin out of control.

According to Tan of the WHO, "I think one of our biggest fears is that (the H1N1 virus) could re-assort with the H5N1 avian flu virus that's out there, to create this 'superbug' which is both easily transmissible, quite lethal and quite deadly."

@highlight

Inside the Chinese lab that has created world's first H1N1 vaccine

@highlight

Sinovac Biotech Ltd is first company approved by the Chinese government

@highlight

The company will now produce millions of doses for the public

@highlight

Sinovac got headstart after creating a vaccine during SARS pandemic