From the time they entered Europe from India a thousand years ago, the Roma were targets of discrimination.

Countries passed laws to suppress their culture and keep them out of the mainstream -- and sometimes went much further. Roma were enslaved in Hungary and Romania in the 15th century and targeted for extermination by Nazi Germany 500 years later.

Opinion: Europe's Roma discrimination shame

Estimates of Romani deaths in the Holocaust range from 25% to 70% of the Roma population in Europe.

Many Roma remain on the fringes of mainstream European society -- a fact underscored in the current case of a Romani couple accused of child abduction in Greece. The fair-skinned child caught the eyes of authorities when they visited a Roma community. The couple's attorney says they adopted the child from the biological mother but didn't go through a legal process.

On Thursday, a Bulgarian woman came forward to say she left the girl in Greece with a family she worked for in 2009, Bulgarian Interior Ministry General Secretary Svetlozar Lazarov said.

Rights groups say the latest case is bound to shine a harsh spotlight once again on the Roma.

"The risk of this case is to further put more stereotype and racism on the general picture of the Roma community," said Dezideriu Gergely, executive director of European Roma Rights Centre.

"What is important here is to understand that this case is not one that defines the Roma. It is a case that needs to be looked at as an individual case and that could happen in any minority group. Not culturally related to the Roma minority or ethnically related to the Roma minority. Criminality is not ethnically related."

Photo gallery: The plight of the Roma

How are the Roma today?

Today, one in three Roma in Europe are unemployed and 90% live below the poverty line, according to the European Union Agency for Fundamental Human Rights.

Many Roma continue to live in camps or caravans, but it's hard to say how many prefer that lifestyle and how many simply cannot find a way to settle down.

Advocates say the Roma are denied a fair chance to secure housing, employment and education. And the EU human rights agency said governments must act to stop the "exclusion" of the Roma from mainstream society.

How many people are Romani?

From 10 million to 12 million in Europe, according to the EU human rights agency, which said last year that the Roma are Europe's largest minority. Most live in southern and eastern Europe, although they can be found throughout the continent.

What is their language?

The Romani language includes multiple dialects, all evolved from Sanskrit. The language is largely unwritten, however, because of the high rates of illiteracy in most Roma communities, according to information from Minnesota State University.

What is their religion?

Some are Christian and some are Muslim, having converted while migrating through Persia and the Balkans, according to the United States Holocaust Memorial Museum.

Why were they called gypsies?

Because when they entered Europe -- perhaps from the 8th to 10th centuries, although scholars differ on the timeline -- people mistakenly thought they came from Egypt. Actually, they originated in the Punjab region of India. The term "gypsy" is considered pejorative by some Roma. Romani scholar Ian Hancock, a Romani raised in Great Britiain, says the term falsely implies that Roma are not a race -- that they are simply a group choosing a lifestyle.

Why did the Roma become nomads?

Probably because they were distrusted and discriminated against by Europeans. Like Jews, the Roma often were prohibited from buying land or entering the more stable occupations. At some point, the nomadic lifestyle became the norm for them. By the 20th century, the number of truly nomadic Roma began declining. Some advocates say many Europeans wrongly assume all Roma still want to be nomads -- and use that belief to justify authorities' failure to provide housing when they evict Roma from camps.

What kind of discrimination did they face?

Roma were living in Spain, France, England, and large parts of what is today Russia and Eastern Europe by the late 1400s. They suffered persecution in those countries ranging from laws against their language and dress to expulsion, according to Minnesota State. In the beginning of the 15th century, many Roma were forced into slavery by Hungarian and Romanian nobles who needed laborers for their large estates, according to the university.

Roma suffered persecution during World War II. The Nazis judged Roma to be "racially inferior," according to the Holocaust museum. "Their fate in some ways paralleled that of the Jews," the museum said. The Nazis subjected Roma to internment, forced labor, and murder.

"While exact figures or percentages cannot be ascertained, historians estimate that the Germans and their allies killed around 25% of all European Roma," the museum says. "Of slightly less than 1 million Roma believed to have been living in Europe before the war, the Germans and their Axis partners killed up to 220,000."

Is the modern discrimination just economic?

Amnesty International says European governments continue to actively discriminate against the Roma.

The organization says the French government, ignoring court rulings, continues to evict people from Roma settlements with inadequate provision for other housing.

Amnesty International  is spotlighting segregation of Romani children in schools in Slovakia.

School segregation also has been an issue in Greece. The European Court for Human Rights ruled that Greek authorities discriminated against Roma children in the town of Aspropyrgos, where non-Roma parents in 2005 blockaded an elementary school to demonstrate against the admission of Roma children. The Roma children were placed in a separate building.

@highlight

EU agency: 90% of Roma live below poverty line

@highlight

Roma are Europe's largest minority

@highlight

Roma arrived from India about 1,000 years ago, usually unwelcome in Europe

@highlight

School segregation, forced evictions are among issues