Edmonds, Washington (CNN) -- Scott West went to Japan expecting trouble.

A veteran anti-porpoise hunting activist, West documents and protests the killing of the mammals. His actions are deeply unpopular in many of the Japanese coastal communities that cling to the tradition of catching and eating whale.

West's organization, the Sea Shepherd Conservation Society, has a long and colorful history of clashing with the Japanese. In the Animal Planet series "Whale Wars," Sea Shepherd volunteers impede Japanese whale fishing off the coast of Antarctica.

Their tactics include placing their boats in front of whaling ships, attempting to carry out citizen's arrests of the Japanese crew and heaving acid stink bombs onto the vessels. For their efforts, the Sea Shepherd volunteers have had flash bang grenades thrown at them, their boats sunk in collisions and detainment for days by the Japanese crews.

The show has made the Sea Shepherd members reality TV stars and notorious in Japan.

March 11 started like many other days for Scott West. He was in an unfriendly territory, a small Japanese coastal town where a porpoise hunt was under way and the efforts of outsiders to document the slaughter were not welcome.

West led a five person Sea Shepherd team of Mike Vos, Tarah Millen, Carisa Webster and Marley Daviduk to the town of Otsuchi, Japan. They were joined by Brian Barnes a cameraman from Save Japan Dolphins, a group that often collaborates with Sea Shepherd.

The activists had other company, as well.

Closely monitoring the group were two plain clothes Japanese policemen the activists nicknamed "Turner and Hooch," for the Tom Hanks comedy about a cop and his sidekick, a dog.

As detailed in the Academy Award winning documentary "The Cove," the relationship between anti-porpoise hunt activists and Japanese authorities often becomes a game of cat and mouse. The police try to impede the activists from documenting the killing of the dolphins. The activists use disguises and other sleights of hand to keep the police off their tails.

A former EPA and customs investigator, West said he is still able to think like law enforcement agents. And he recounts with a smile how he managed to lose Turner and Hooch at a traffic light with some creative driving as they tried to shadow his group.

West is back in his home in Edmonds, Washington. It's been just over 24 hours since he returned from Japan and four days since the earthquake and tsunami that wrecked much of the country. As he thinks of the two cops back in Otsuchi his mood darkens. "You know those guys are probably dead," he said.

When the earthquake hit in Otsuchi, about 94 miles from Sendai, the quake's epicenter, the activists were at the town's port waiting for the porpoise fishing boats to return with their catch.

"The car was rocking and rolling it was actually jumping on the pavement like a frog," West said. "We got out of the cars and it was almost impossible to stand up. The ground was heaving. It lasted for a long time."

Immediately seafood workers got out of factories as the town loud speakers called for residents to seek higher ground.

The six activists jumped into their two cars and made for the hills. It was a snap decision that West believes saved their lives.

"If we had stayed where we were, they probably would have never found our bodies or our cars," West said.

West estimates that the drive to higher ground took them about eight minutes. In that time the first tsunami waves already crashed into the town. Video West took from the hillside shows fishing ships fighting the incoming rush of water to get to the open ocean and safety. Houses can be seen being dragged out to sea by the monster waves.

On the hillside, the activists were joined by a handful of rescue workers and a Japanese woman.

"It was impossible to comprehend the amount of devastation and the human misery," West said "How many people got to the hill? There were only a handful of us up there. Why aren't there thousands here with us?"

In the video he took from the hill, West narrates as a wave heads toward the area below where they have sought refuge. "Look at the black one heading toward us," he said. An aftershock rocks the activists. "This is scary s**t," a woman says off camera.

As darkness fell, the tsunami waves continued sweeping into the town below them. The rescue workers on the hill left to begin their work and check on their own homes. The activists and the Japanese woman who also made it to the hill took turns warming themselves in the cars.

Over the roar of the waves they heard a voice. "We could hear this woman screaming out in the water," West said. "It was dim out there and all this debris was out there and then we could make out her form on a pile of debris. "

The activists tried to reach her but were pushed back the waves still topping the tsunami wall. They commandeered an abandoned fire truck and the Japanese woman with them used the loud speaker to call to fishing boats off the coast.

"We quit hearing her," West said of the trapped woman. "I don't know if it was because she grew weary or from exhaustion or she floated too far away. But then her voice would come back."

The boats came near to where the woman was floating but the group could not make out if they rescued her. "We don't know if the boats found her but we certainly hope they did," West said. "We heard her voice no more and the sound of her pleas in Japanese are a sound that will stay with me the rest of my life."

The next morning the group marched out of the town that was shrouded in a fog of burning wreckage and diesel.

West calls it a journey through a "post-apocalyptic world." The photos he took along the trip show enormous tsunami barriers torn and twisted by the waters, a person being plucked from a roof top by a rescue helicopter and fields of debris that were once people's homes.

And there are photos of a human body hanging in a tree.

The group came across a teenager still in his school uniform wandering the debris fields. They tried to get him to come with them. Unable to communicate with the activists, the teenager walked away in another direction.

They finally made found a group of Japanese people huddled over a campfire. Their house was destroyed but they offered the travelers soup. West said they felt bad but receiving food from them but "it would have been rude to have refused and it was welcome."

West said he and his companions were only able to leave the devastation through the kindness of Japanese people they encountered along their journey and who they could just barely communicate with.

One man, West said, pantomimed for the group to stay put and then returned with cars to drive them from the disaster area. The Japanese, West said, refused to take anything more than gas money.

Back at his home in Edmonds, West has been able to take a hot shower and sleep in a real bed if not yet fully absorb his ordeal.

West's views on the porpoise hunts haven't changed. But he has invited many of the Japanese people he knows to come stay in his family's home as they try flee the damage and radiation released by the quake. He is more than 4,000 miles from Japan but still feels like he is on the hilltop being battered by the tsunami waves.

"My wife's been saying, 'what if?' I hadn't really allowed myself to go there," West said. "The six of us made it, we are fine, we are home with our families but so many other people didn't make it."

@highlight

Scott West documents and protests the killing of porpoises

@highlight

When quake hit Otsuchi, West and crew were waiting for boats to return with catch

@highlight

West said he was able to leave devastation through the kindness of Japanese people

@highlight

He's invited many he met in Japan to his family's home