(CNN) -- Alassane Ouattara aspired to be president of Ivory Coast for decades. Now, after four long months of post-election turmoil and the capture of his political rival, the job is indisputably his.

"Finally, we have reached the dawn of a new era of hope," Ouattara said in a televised address.

But by even the most optimistic assessments, Ouattara faces a daunting task in forging a peaceful and stable path forward.

Chief among his challenges, said longtime observers, will be to unite a severely divided nation and ensure justice for those who committed grave human rights violations in the nation's political vacuum.

That includes people from his own camp who stand accused of heinous acts.

Most of the blame for the bloodshed rests squarely on the shoulders of Laurent Gbagbo, whose refusal to cede power plunged Ivory Coast into crisis, said Jendayi Frazer of the Council on Foreign Relations. The International Criminal Court in The Hague, Netherlands, is now poised to investigate alleged war crimes instigated by Gbagbo.

Ouattara will have to delicately balance such a probe with reconciliation. After all, said expert Alex Vines, Ouattara did not win in a landslide.

Gbagbo won 45.9 percent of the vote and as such, Ouattara will have to reach out to his rival's supporters, perhaps even welcome them into his government without jeopardizing justice, said Vines, head of the Africa program at the British think tank Chatham House.

But even more significant may be the way Ouattara handles his own dirt.

Though he emerged in the Western media as the good versus Gbagbo's evil, Ouattara, too, has been accused of having blood on his hands.

Human Rights Watch published a scathing report Saturday about abuses perpetrated by pro-Ouattara forces on their offensive to Abidjan.

People interviewed by the monitoring agency "described how, in village after village, pro-Ouattara forces summarily executed and raped perceived Gbagbo supporters in their homes, as they worked in the fields, as they fled or as they tried to hide in the bush."

"Ouattara should fulfill his public pledge to investigate and prosecute abuses by both sides if Côte d'Ivoire is to emerge from this horrific period," said Daniel Bekele, Africa director at Human Rights Watch.

In the United States, Ouattara's critics questioned his right to rule.

"It is now clear, based on U.N. reports coming from Cote d'Ivoire, that mass killings have occurred at the hands of Alassane Ouattara," Sen. Jim Inhofe, R-Oklahoma, said earlier this month.

"This calls into question his legitimacy to lead that country," said Inhofe, who has visited Ivory Coast nine times and made no secret of his support for Gbagbo. "Ouattara is on a rampage, killing innocent civilians, and he must be stopped before this becomes another Rwanda."

Human rights lawyer Geoffrey Robertson said Ouattara's moment in the spotlight could quickly dim without adequate investigations into the abuse allegations against forces loyal to him.

"Mr. Ouattara should also be investigated because of the evidence that his troops did commit rapes and abuse en route to Abidjan," said Robertson, a former president of the U.N. special court for Sierra Leone.

Such a probe could answer questions about what amount of control Ouattara exerted over the forces fighting under his name and whether he deliberately failed to stop them, Roberston said.

In his favor, Ouattara has been viewed for some time as a hard-working man, an honest politician who favors transparency.

He hailed from northern lands dominated by Muslim immigrants who came to work in Ivory Coast and eventually grew into influential businessmen and traders.

The U.S.-educated Ouattara quit his International Monetary Fund job to run for president in 2000 and might have met Gbagbo on the ballot then, except that he was marked as an outsider -- his mother was from Burkina Faso -- and barred from participating in the election.

The pro-Gbagbo newspaper Notre Voie accused Ouattara of backing a failed 2002 coup against Gbagbo's government, which triggered the 2002 civil war.

Ouattara's critics blame him for the deep split that Ivory Coast has yet to mend.

Vines said the rebels who fought in the 2002 civil war, the Force Nouvelles, formed a large part of the pro-Ouattara forces fighting Gbagbo's troops in the latest crisis.

The United Nations has repeatedly cited the armed group for breaking the arms embargo imposed on Ivory Coast and human rights groups have sounded alarms about its abuses.

The moral high ground in Ivory Coast, said Vines, is that the election result is clear and in favor of Ouattara.

"After that it gets gray and in the last few weeks, it's gotten very opaque indeed," he said about the recent spate of killings, especially the massacre in the western town of Duekoue, where the International Committee of the Red Cross said 800 people were slaughtered. The United Nations blamed many of the deaths on Ouattara's forces.

Ouattara, said Robertson, must conduct a swift inquiry into the allegations and punish the perpetrators.

Otherwise, Robertson said, Ouattara will "himself be vulnerable to prosecution in The Hague."

And the future of Ivory Coast will be more tenuous than ever.

@highlight

The International Criminal Court is poised to investigate Laurent Gbagbo

@highlight

But human rights monitors accuse pro-Ouattara forces of atrocities as well

@highlight

They want Ouattara to conduct a probe into the crimes without delay

@highlight

Ensuring justice in Ivory Coast will be critical to its future, experts say