(Health.com) -- A chemical used in the manufacture of common household products -- such as some food packaging, carpets, paint, and nonstick cookware -- may be associated with an increased risk of heart disease, a new study suggests.

The chemical, perfluorooctanoic acid (PFOA), is present in trace amounts in up to 98% of Americans. Previous research has linked PFOA exposure to unhealthy cholesterol levels and other risk factors for heart disease, but the potential health hazards posed by the chemical remain largely unknown.

In the new study, which included a nationally representative sample of adults, those with the highest levels of PFOA in their blood had double the odds of having a history of heart disease, heart attack, or stroke, compared to adults with the lowest PFOA levels.

The highest PFOA levels also were associated with 78% higher odds of peripheral artery disease, a condition related to heart disease in which the arteries in the limbs narrow and harden.

Although these numbers may sound alarming, the researchers say the results should be interpreted with caution. Because the study looked at the relationship between PFOA and heart disease at a single point in time, it doesn't show that PFOA exposure causes -- or even precedes -- heart disease.

Health.com: Surprising heart attack risks

The researchers did factor in numerous health and demographic measures (such as race, education, obesity, smoking, and cholesterol), but they emphasize that unknown factors besides PFOA may explain some or all of the association seen in the study.

"What we are finding is that high levels of PFOA and cardiovascular disease coexisted for some reason. That is all," says lead author Dr. Anoop Shankar, an epidemiologist at the West Virginia University School of Public Health in Morgantown. "It is possible that we are seeing something that is just a bystander and is there because of confounding associations."

The study, which was published this week in the Archives of Internal Medicine, was based on data from the National Health and Nutrition Examination Survey, a large government health survey conducted annually.

Health.com: 11 things it's best to buy organic

Although the study is merely a "red flag" and more research is needed, minimizing exposure to PFOA still may be prudent in the meantime, says Dr. Debabrata Mukherjee, chief of cardiovascular medicine at the Texas Tech University Health Sciences Center in El Paso.

For instance, people whose drinking water may be contaminated by nearby factories that use PFOA could use bottled water or filtered water, says Mukherjee, who wrote an editorial accompanying the study. Avoiding nonstick cookware and other consumer products that may contain PFOA is another way for individuals to limit exposure, he adds.

According to the Environmental Protection Agency, the trace amounts of PFOA found in consumer products are generally a remnant of the manufacturing process and do not appear to pose a threat to human health.

Still, the agency is working with several large companies to eliminate PFOA and related chemicals from products and factory emissions by 2015.

Prior studies in humans, animals and petri dishes have suggested several pathways through which PFOA might affect heart health.

PFOA exposure has been associated, for instance, with blood-vessel dysfunction, high "bad" cholesterol (LDL), low "good" cholesterol (HDL), and insulin resistance, all of which are risk factors for cardiovascular disease.

Health.com: 10 ways to lower cholesterol

Even if this preliminary research is borne out, however, it's important to remember that obesity, smoking, high blood pressure, and other classic risk factors are responsible for an overwhelming majority of heart attacks, says Dr. Eugene Storozynsky, a cardiologist and internist at the University of Rochester Medical Center in Rochester, New York.

"Not smoking and maintaining a healthy lifestyle should be part of any kind of prevention program for cardiovascular disease," Mukherjee says. "We don't want to forget the 900-pound gorilla in the room."

Chemical linked to rise in kids' cholesterol

Copyright Health Magazine 2011

@highlight

Perfluorooctanoic acid is present in up to 98% of Americans

@highlight

Study: Those with the highest levels may have an increased risk of stroke or heart attack

@highlight

Researchers say the numbers should be interpreted with caution