(CNN) -- Almost two years after Air France Flight 447 plunged into the southern Atlantic Ocean killing all 228 people aboard, investigators have released a report on what they believe caused the crash.

After an extensive search using miniature submersible vehicles, the aircraft's cockpit voice recorder and flight data recorder were found on the ocean floor at the beginning of May.

After analyzing the data, France's Bureau of Investigation and Analysis (BEA) released its report Friday saying the flight from Rio de Janeiro to Paris crashed because the aircraft's speed sensors gave invalid readings.

When did Flight 447 go down?

Flight 447 -- which was en route to Paris from Rio de Janeiro -- made its last contact with Brazil's Atlantic Control Center (ACC) at around 01:33 GMT on June 1, 2009, informing the center of the plane's position as it crossed the Atlantic.

Investigators: Jet crash data recovered

Soon after, Brazil's air control contacted Dakar's control center in North Africa and reported that AF 447 was entering an area on its route known for constant bands of severe turbulence, officials said.

There was no further contact with the plane.

Why has it taken so long to find the wreckage?

The area where the Airbus A330 went down is in the mid-Atlantic -- two to four days for ships to reach from the nearest ports in Brazil or Senegal in West Africa.

The U.S. National Oceanic and Atmospheric Administration estimates the ocean depth in the area at 3,000 meters (about 9,840 feet) to 7,500 meters (24,600 feet). Brazilian officials have said the sea depth in the area is around 2,000 to 3,000 meters (6,562 to 9,842 feet).

The latest search covered a 46-mile (75-kilometer) radius around the last known position of Flight 447, investigators said.

According to the BEA the underwater terrain in this area is rough with underwater mountains and valleys.

"It is a mountain range as big as the Alps," David Learmount of Flight International told CNN before the release of Friday's report. "There was always the possibility that the wreckage from the aircraft disappeared down a crevasse. This is not a flat-bottom environment like the North Sea is."

"Therefore it is an unprecedented search in terms of depth and sub-sea terrain."

What would happen to wreckage at these depths?

Up until recently, the memory module of the aircraft's data recorder -- a vital device for crash investigators which records any instructions sent to the aircraft's electronic systems -- had been missing. As a result, some experts feared it would not work even if recovered.

"Pressure and corrosion have likely damaged the wreckage, especially as it has been down there for so long," said Learmount. "Flight recorders are not designed to withstand pressures of the depths that this aircraft actually went to."

But he warned that flight recorders recovered from other crash sites have not worked when they should have, with the reverse also true.

Do we know why Flight 447 crashed?

The BEA report findings say the airplane climbed to 38,000 ft when "the stall warning was triggered and the airplane stalled." It then descended, crashing into the Atlantic. The descent lasted 3 minutes and 30 seconds and the engines remained operational, said the report.

Studies of the debris and bodies that were found soon after the crash led the BEA to conclude the plane hit the water belly first, essentially intact. Oxygen masks were not deployed, indicating that the cabin did not depressurize, the BEA said in a 2009 report.

Tests have already brought into question the performance of pitot tubes, which measure the pressure exerted on the plane as it flies through the air, and are part of a system used to determine air speed.

Before it crashed, Flight 447 sent out 24 automated error messages that suggested the plane may have been flying too fast or too slow through the thunderstorms, officials have said.

The European Aviation Safety Agency issued a directive in late August requiring airlines to replace pitot tubes manufactured by Thales Avionics on Airbus A330s and A340s. It said airlines should replace them with other Thales tubes and those manufactured by Goodrich.

The lack of speed, wind or direction information also prevented the Autopilot system from functioning, said air accident investigator Alain Bouillard said at the time of the crash. "This tells us that the plane has to be, in this case, directed by the pilot," he said.

What about the weather?

Flight 447 was passing through an area prone to volatile and dangerous weather known as the Inter-tropical Convergence Zone (ITCZ), when it went down. The ITCZ is a belt of low pressure that wraps around the planet. Clouds and storms form along it because it is literally where the winds of the world's hemispheres meet.

Here, air and water temperatures are typically in the mid-80s. The warm, moist air is heated further by the blazing tropical sun. Steamy air, coming off the ocean, rises until it hits cooler, drier air aloft, forming clouds and thunderstorms.

These gigantic storms contain volatile updrafts and downdrafts that can move at speeds of 100 mph. The height of these storms also can tower to more than 10 miles in the air. Even if you stacked two dozen of the world's tallest skyscrapers on top of each other, they still wouldn't reach the tops of the biggest thunderstorms of the ITCZ.

However Learmount pointed out that hundreds of airliners pass through the ITCZ every day without incident. "There was another Air France flight 30 minutes behind Flight 447 that night and it encountered no problems," he said.

Any other theories?

According to Learmount, many aviation experts have yet to rule out the human factor. "The crash happened at around 2 am on a dark night when the error messages suddenly appeared and the autopilot tripped out." He said the crew, possibly at their deepest circadian low at this point, suddenly have this problem and they "fixate" on it.

"This is a syndrome," he said. "There have been lots of accidents where pilots have fixated on correcting a relatively minor problem and lose sight of the macro problem. Now we don't know that, but we do know the aircraft acted as if it was not being controlled purposefully.

"Whether it was out of control -- and I doubt this -- it was not being controlled. Imagine it is 2 am and two sleepy pilots encounter a problem. They don't have much to do so they decide to troubleshoot this problem. They fixate on it and forget the autopilot has tripped.

"The airplane meanwhile goes into a lazy spiral descent -- the pilots don't notice as it is all very gentle. And when they look up they don't believe what their instruments tell them and they get disorientated and can't recover."

He highlighted a similar case in 2004 when pilot disorientation and loss of control caused a Flash Airlines Boeing 737-300 to crash in the Red Sea shortly after take off from the Egyptian resort of Sharm el Sheikh. Though Egyptian authorities disputed the claim, aviation safety officials in France and the U.S. cited "spatial disorientation" as the likely cause based on evidence available, according to the U.S. National Transportation Safety Board (NTSB).

@highlight

Air France Flight 447 plunged into southern Atlantic Ocean killing all 228 people in 2009

@highlight

Investigators have released a report on what they believe caused the crash

@highlight

Tests on instruments measuring air speed and pressure seen as one factor

@highlight

Expert: Search for wreck "unprecedented in terms of depth and sub-sea terrain"