Edward Snowden's hopes of finding asylum from U.S. prosecution on espionage charges appeared to dim Tuesday as country after country denied his request or said he would have to find a way to travel to their territory to apply.

While Bolivia and Venezuela seemed supportive, 11 of the 21 countries he's applied to, including Ecuador and Iceland, have said they can't consider his request until he shows up at one of their embassies or on their borders. Three -- Brazil, India and Poland -- have denied the request outright.

And Bolivia said Tuesday the plane carrying its president, Evo Morales, was denied permission to land for refueling in either France or Portugal because of "unfounded" rumors that Snowden was aboard. Foreign Minister David Choquehuanca told Bolivian television that the jet made an emergency landing in the Austrian capital of Vienna and that Bolivia wanted an explanation from Paris and Lisbon.

"We don't know who has come up with this huge lie," Choquehuanca said, adding, "We would like to let the international community know that the rights of aerial traffic for Bolivia have been violated."

Morales had been in Russia, where he told the Russia Today news network that he would be willing to consider asylum for Snowden. And Venezuelan President Nicolas Maduro, also in Moscow for a tribute to his late predecessor, Hugo Chavez,  said Snowden deserves protection, not prosecution.

'Unbowed' Snowden seeks new havens

Maduro said Snowden's decision to leak details of American surveillance programs were "a warning signal to the world," according to statement from the president's office.

"He's now being persecuted and you have to wonder, why is he being persecuted?" Maduro asked. "How many missiles has Snowden launched against innocent peoples around the world?  Has Snowden planted bombs that killed (people) ... What crimes has he committed against humanity?"

But as of Tuesday evening, it did not appear that either country had made a firm offer of asylum, or any way for him to leave Moscow's Sheremetyevo International Airport. Snowden had already withdrawn his asylum request with Russian authorities after President Vladimir Putin said he would have to "stop his work aimed at harming our American partners" if he wanted to stay in the country.

That appeared to leave him in much the same pickle he's been in since he left Hong Kong last month for Moscow. Russian authorities say he remains in the airport transit area -- technically a free man, but unable to travel after the United States revoked his passport.

Neither WikiLeaks nor Snowden has commented on the rejections. The group released a statement attributed to Snowden late Monday in which he blasted the Obama administration for trying to block his efforts to seek refuge.

"These are the old, bad tools of political aggression," Snowden said. "Their purpose is to frighten, not me, but those who would come after me." But he added, "I am unbowed in my convictions and impressed at the efforts taken by so many."

In Monday's statement, Snowden criticized the Obama administration for yanking his passport once criminal charges were filed, "leaving me a stateless person." But he said the administration isn't afraid of people like him or others accused of disclosing U.S. secrets.

"No, the Obama administration is afraid of you," he said. "It is afraid of an informed, angry public demanding the constitutional government it was promised -- and it should be."

The United States has been pressing countries to refuse Snowden entry and hand him over to face espionage charges. His disclosures about widespread U.S. surveillance of telephones and Internet users in the United States and abroad -- based largely on documents he has acknowledged taking while an National Security Agency contractor in Hawaii -- have created a political storm at home and diplomatic headaches overseas for President Barack Obama.

Opinion: U.S. intelligence community is out of control

On Monday, Obama had to defend U.S. intelligence practices after fresh reports about alleged U.S. surveillance of European Commission offices in the United States and Europe, as well as surveillance at diplomatic facilities in the United States.

The German news magazine Der Spiegel reported Sunday that information from Snowden detailed NSA bugging of European Union offices in Washington and New York, as well as an "electronic eavesdropping operation" that tapped into an EU building in Brussels, Belgium.

The reports generated a furor among European leaders, who demanded the United States come clean about the surveillance. Some, including French President Francois Hollande, said ending any such surveillance would be necessary before European leaders would be willing to start negotiations on a trans-Atlantic free trade agreement championed by Obama.

Asked at a news conference in Tanzania about the latest leaks involving Snowden, Obama said he needed more information on the specific programs cited in the Der Spiegel report, but made clear such spying was commonplace.

"I guarantee you that in European capitals, there are people who are interested in, if not what I had for breakfast, at least what my talking points might be should I end up meeting with their leaders," Obama said. "That is how intelligence services operate."

Asylum applications

In addition to Snowden's earlier applications to Ecuador, Russia and Iceland, WikiLeaks on Sunday submitted applications to 18 countries on Snowden's behalf: Austria, Bolivia, Brazil, China, Cuba, Finland, France, Germany, India, Ireland, Italy, the Netherlands, Nicaragua, Norway, Poland, Spain, Switzerland and Venezuela.

The organization said that the documents it had submitted for the latest asylum requests "outline the risks of persecution Mr. Snowden faces in the United States."

Ecuadorian President Rafael Correa told the British newspaper The Guardian that the American fugitive would have to reach Ecuadorian territory for his request to be considered.

"Are we responsible for getting him to Ecuador? It's not logical," he told The Guardian, one of the recipients of Snowden's leaks. "The country that has to give him a safe conduct document is Russia."

He added that the decision to issue Snowden temporary travel documents that allowed him to leave Hong Kong was "a mistake on our part," The Guardian reported.

Over the weekend, Correa said Vice President Joe Biden asked Ecuador to reject Snowden's request.

Obama said Monday that Snowden had traveled to Russia without a valid passport or legal papers and that he hoped that Moscow would handle the case as it would any other travel-related matter.

Here's a rundown of what countries are saying about Snowden's asylum requests:

• Austria: His request is not valid, because applicants must be in Austria and submit their applications in person.

• Bolivia: Despite WikiLeaks' statement, Morales, the Bolivian president, said Bolivia has not received a request for asylum on Snowden's behalf, Itar-Tass reported.

• Brazil: The country won't grant asylum or even respond to the request, Reuters reported Tuesday, citing a Foreign Ministry spokesman.

• China: The Ministry of Foreign Affairs said Tuesday it had no information to offer on Snowden's case.

• Cuba: No response yet.

• Ecuador: The South American country has said that it's considering Snowden's request but that he needs to reach its territory.

• Finland: "We don't have an official application from Snowden," Jorma Vuorio, director general for the migration department of the Interior Ministry, told CNN. "He just left a letter requesting asylum at the Finnish Embassy in Moscow. According to Finnish legislation, it is not possible to leave an asylum application outside the Finnish territory."

• France: Hollande, the French president, said he has "not received any particular demands from Mr. Snowden," according to French television reports.

• Germany: Asylum requests must be made from within the country, but an Interior Ministry spokesman also said "the German right of residence principally entails the possibility of acceptance from abroad, if this seems necessary for international legal or urgent humanitarian reasons, or for the ensuring of political interests of the federal republic of Germany. This needs to be examined thoroughly in the case of Mr. Snowden."

• Iceland: Officials have said asylum seekers need to be in Icelandic territory in order to apply.

• India: Ministry of External Affairs spokesman Syed Akbaruddin said Tuesday that India will deny the request.

• Ireland: The Irish Justice Ministry declined to confirm whether it had received a request on Snowden's behalf, but said Irish law requires that applicants reach the country's borders before a request can be considered.

• Italy: The Italian Foreign Ministry said it received an asylum request by fax. The country accepts requests made in Italian territory or at the border, the ministry said.

• The Netherlands: Snowden would need to be in Holland to formally request shelter, a spokesman for the Dutch state secretary said Tuesday.

• Nicaragua: No response yet.

• Norway: The country confirms the receipt of his request, but usually, asylum seekers must be in the country already to be allowed to apply. The Ministry of Justice is considering whether or not to process his application.

• Poland: Snowden's request for asylum doesn't fulfill requirements, the Ministry of Foreign Affairs said Tuesday.

• Russia: Snowden has withdrawn his request for permission to stay in Russia, Kremlin spokesman Dmitry Peskov said Tuesday, according to the news agency RIA Novosti.

• Spain: The country is not reviewing Snowden's request because it must be made from within or on its borders, a Foreign Ministry spokeswoman said.

• Switzerland: Applicants for political asylum have to be on Swiss soil, a spokeswoman for the Swiss federal office for migration said Tuesday. Swiss authorities aren't aware of any application by Snowden, the spokeswoman said.

• Venezuela: "We haven't been asked for help, but when he asks, he will have an answer," Maduro, the Venezuelan president, said Tuesday.

Opinion: Why we're all struck in the digital transit zone with Snowden

@highlight

Bolivia says its president was denied landing rights due to "lie" about Snowden

@highlight

Country after country denies NSA leaker's requests or say he must travel to apply

@highlight

Washington tries to scare "those who would come after me," Snowden statement says

@highlight

He's been stuck at Moscow's international airport since leaving Hong Kong last month