Washington (CNN) -- Two weeks ago, the Senate passed a comprehensive immigration reform bill on a 68-32 vote, with 14 Republicans joining the Democratic majority to send the measure drafted by a bipartisan "Gang of Eight" to the GOP-controlled House.

President Barack Obama pushed for the House to quickly take up the measure that would provide a path to citizenship for 11 million immigrants living illegally in the country while bolstering security along the Mexican border.

The proposal also includes stronger worker eligibility verification standards and overall border entry-exit controls.

However, House Republicans made clear Wednesday they opposed the comprehensive approach of the Senate and intended to consider the issue in a series of bills that will take months to reach final votes.

In addition, the House GOP caucus was deeply divided on the question of eventual citizenship for undocumented immigrants, with some calling for a path to legal status while others opposed any kind of what they labeled amnesty for those who broke the law.

While House leaders warned the party faced political harm if it failed to act on immigration legislation, a vital issue for Hispanic Americans who comprise the nation's largest minority demographic, the piecemeal approach and divisions over the legalization issue portend a messy and uncertain future for the issue.

Here are five reasons why:

Bipartisanship necessary in Senate, not the House.

A 60-vote majority is needed to push major legislation through the 100-member Senate, which means Senate Democrats and Republicans usually have to work together to get anything substantive accomplished.

The House, however, does not often require such a super-majority. As long as a simple majority sticks together, it can do virtually anything it pleases.

Mix that rule with increasing ideological orthodoxy and a decreasing willingness to compromise -- particularly within the conservative ranks of the majority House GOP -- and you have a recipe for stalemate with the Democratic-controlled Senate.

"Passing any version of the Gang of Eight's bill would be worse public policy than passing nothing," conservative pundits Bill Kristol and Rich Lowry argued Tuesday in National Review Online. "House Republicans can do the country a service by putting a stake through its heart."

In today's hyper-partisan political climate, doing nothing is the easiest path for House Republicans to take and even a bragging point for tea party conservatives who came to Washington to shake up the status quo.

While moderate House GOP leaders call for passing some kind of immigration legislation to avoid a potential political backlash, conservatives in the rank-and-file say such fears are unfounded as voters will reward Republicans for opposing what they call a bad Senate bill.

Republicans don't trust Obama on border security.

Kansas Rep. Tim Huelskamp might have said it best. The two-term conservative Republican tweeted Wednesday that "trusting Obama (with) border security is like trusting Bill Clinton (with) your daughter."

Ouch.

Virtually every congressional Republican says the Mexican border needs to be properly enforced before Democrats get their priority -- a path to citizenship for America's 11 million undocumented residents. Sens. Bob Corker, R-Tennessee, and John Hoeven, R-North Dakota, added billions for Mexican border security to the "Gang of Eight" bill.

For a lot of Republicans, though, the issue involves trust, not money. They remember the last major immigration reform effort, in 1986 under GOP President Ronald Reagan, that also called for tightened immigration controls while giving three million undocumented immigrants legal status.

They say the amnesty occurred but the tougher border controls didn't, leading to the much-worse situation today.

Now they don't trust Homeland Security Secretary Janet Napolitano to secure the border. They also claim Obama's recent decision to delay implementation of part of health care reform showed the administration can't be counted on to fully enforce any law.

By taking a piecemeal approach, House Republicans hope to secure the tougher border security they seek before acting on a separate plan that could provide legal status for at least some undocumented immigrants.

In short, pass a border security bill now, and then come back to the legalization issue once everyone agrees the border is sealed. Democrats reject such an approach.

The conundrum of citizenship/legalization

While the Senate measure provides a multi-year path to citizenship for most undocumented immigrants, House Republicans made clear Wednesday they remained split about 50-50 on the matter.

Reasons for opposing any kind of legalization range from punishing lawbreakers to political protectionism, with conservatives fearing that most immigrants given what they call amnesty and the eventual right to vote will lean Democratic.

However, the issue of legalizing immigrants is broad and complex, creating lots of uncertainty.

For example, the Senate bill would automatically give immigrants living illegally in the United States temporary legal status as "registered provisional immigrants." Only when certain border security steps had been taken could they apply for permanent residency, or green cards, as a step toward potential citizenship in process that would take more than a decade.

Many House Republicans made clear they don't want any kind of legal status for undocumented immigrants until the borders are secure. Even those open to legalization don't want it to include a path to full citizenship.

The labels and definitions of legal status will be a major sticking point in the continuing debate, but also could be a source of compromise.

House Majority Leader Eric Cantor of Virginia told Wednesday's GOP caucus meeting that children of undocumented immigrants brought illegally to America through no fault of their own should be provided a path to legal status, a position strongly favored by Democrats.

The backing of Cantor and other House Republicans for such a provision showed room for maneuvering exists.

After meeting with Obama at the White House on Thursday, GOP Sen. John McCain of Arizona called on House Republicans to negotiate an immigration bill.

"We are ready to sit down with you and negotiate and bring this issue to a conclusion," said McCain, part of the bipartisan Senate "Gang of Eight."

Sweeping reform isn't popular with GOP in either chamber.

There may be more Senate GOP support for comprehensive immigration reform, but not that much. Only 14 of 46 GOP senators backed the "Gang of Eight" bill heralded in its creation as a triumph of bipartisanship in a sharply divided Congress. Why should House Republicans be more in favor?

Remember that all politics is still local -- especially in the House. Many House Republicans represent ruby red districts with few Hispanics, where any path to citizenship is unpopular and the big fear is a primary challenge from the right.

Which leads us to ...

The Hastert rule

House Speaker John Boehner has made clear that the House will only take up immigration reform that is backed by a majority of its Republican members. That is keeping with the maxim of former House Speaker Dennis Hastert that prevented votes on legislation that lacked strong support from the controlling party.

Democrats contend the Senate version would pass the House with a few dozen Republicans joining them to overcome opposition by most of the GOP caucus.

While it is unclear if that's true, permitting it to happen would antagonize many of Boehner's fellow Republicans.

"If the speaker allows a vote on any immigration bill that results in passage despite a majority of the Republican conference voting against it, then it will be interesting to see if he can muster the votes to get re-elected after the next election," Alabama GOP Rep. Mo Brooks recently told CNN.

@highlight

House Republicans oppose the comprehensive bill passed by the Senate

@highlight

A key sticking point is the pathway to citizenship for undocumented immigrants

@highlight

Lack of trust is another obstacle, as GOP legislators remember the 1986 bill

@highlight

GOP Sen. McCain calls for the House to negotiate a compromise