(CNN) -- Facing anger from families of Flight 370 passengers, Malaysia's Prime Minister said Thursday his government will release its preliminary report on the plane's disappearance.

In a TV exclusive, Najib Razak told CNN the report will be available to the public next week.

"I have directed an internal investigation team of experts to look at the report, and there is a likelihood that next week we could release the report," Najib said. Later in the interview with CNN aviation correspondent Richard Quest, he gave a more definitive statement, saying the report will be released next week.

He also asked an internal investigation team to look into what other information may be released publicly next week, his office said.

In the CNN interview, Najib discussed why he is not yet officially declaring the flight -- and the 239 people on board -- lost.

The report has already been sent to the International Civil Aviation Organization (ICAO), the U.N. body for global aviation, but not made available to the public.

The ICAO told CNN about a safety recommendation in the report: Malaysia said the aviation world needs to look at real-time tracking of commercial aircraft. It's the same recommendation that was made after the Air France Flight 447 disaster in 2009.

The Prime Minister's comments didn't convince Sarah Bajc, whose partner, Philip Wood, was a passenger on the plane. She accused Najib of "political maneuvering," shirking responsibility and deflecting blame in his interview with CNN.

"I spent most of the morning with my jaw basically scraping the floor," Bajc told CNN's "AC360." "I'm just so astounded by this new shift that the Prime Minister is taking. ... He's reading from a script sheet that some qualified, professional PR person has put together for him."

Malaysian authorities need to do a better job of communicating with the families and answering their questions during briefings, she said, rather than treating passengers' loved ones "as if we are the enemy, as opposed to an interested party in helping to solve this mystery."

"Actions speak louder than words," she said. "The briefings are a joke. ... The patience level of the families group is just gone."

Malaysia has insisted it has nothing to hide and is working to find answers.

A committee representing some of the Chinese families have posted 26 questions on the Chinese social media site Weibo.

Families plan to demand answers from Boeing

The missing flight is a Boeing 777.

While pushing Malaysian authorities for answers, "we're also extending our reach now," Bajc said. Some of the questions the families have, including technical questions, "we will be bringing directly to Boeing. Boeing has a shareholders meeting next week. And if we're not getting information directly from Malaysia Airlines and from the Malaysian government, we might as well try to go directly to the source.

"Boeing is a publicly traded company in the United States, and that puts them in a position of a little bit more fiduciary responsibility," she said.

Asked for a response, Boeing sent CNN a written statement: "Our thoughts and deepest sympathies continue to be with the families and loved ones of those aboard Malaysia Airlines Flight 370. Boeing continues to serve as a technical adviser to the U.S. National Transportation (Safety) Board, and in that role we have been an active and engaged party to the investigation."

Ongoing search

As an underwater drone keeps going up and back down, so do hopes that evidence of the plane may be found.

A metal object that washed ashore in Western Australia and sparked the curiosity of investigators Wednesday turned out to be unrelated.

And while the Bluefin-21 plunged into the Indian Ocean for its 13th mission Friday, no one was certain the drone would find anything new.

The underwater probe has already scanned 95% of the designated search area, with no significant results.

Friday marks day 49 of the search for the plane, which disappeared on March 8 on a flight from Kuala Lumpur, Malaysia, to Beijing.

What's next?

Malaysian and Australian authorities are mapping out a long-term strategy for the search, which could go on for months or years.

An expanded search area might include the last 370 miles (595 kilometers) of the plane's flight path, ocean search specialist Rob McCallum said.

"If the idea is to go more strategic and investigate the entire aircraft flight path, maybe 15 miles or so either side, then you need a more strategic tool, and something like a deep-towed sonar that can provide a very large range indeed -- at the expense of resolution."

The use of a deep-towed submersible device called the Orion is overdue, said Geoffrey Thomas, managing director of AirlineRatings.com.

"That should be brought in as quickly as possible, again, from the United States."

He said it may be time to go back and revisit the calculations of where the plane may be, although officials have already been doing that.

"This is not an exact science," Thomas said. "We have to understand that."

Why so private?

Malaysia has not been known as a model of transparency. The same political party has ruled the country for the past 50 years, and the media is not completely free.

For its part, the Malaysian Cabinet has agreed to have an international team investigate the disappearance of Flight 370, the country's acting transportation minister said.

Hishammuddin Hussein said the names of the members will be announced next week. He also said the team will not be looking into the criminal aspects of the investigation, which remain under the Royal Malaysian Police.

"The main purpose is to evaluate and determine the cause of the accident," Hishammuddin said.

The question no one wants to ask: What if Flight 370 is never found?

Inside a black box investigation lab

Sad, angry relatives in agonizing limbo

CNN's Sumnima Udas, David Molko, Catherine E. Shoichet and John Berman contributed to this report.

@highlight

NEW: The Bluefin-21 has combed 95% of a search area with no significant results

@highlight

Passenger's partner accuses Malaysian Prime Minister of deflecting blame

@highlight

The PM asked an investigation team to see what other information can be released

@highlight

Malaysia delivered a preliminary report to the U.N. but did not release it publicly