(CNN) -- You've found a fabulous story to tell. You've snared the hard-to-get interviews. You're on the scene to watch the most dramatic moments unfold. The quotes are memorable, the tension palpable. It's a story that really matters.

Now you're back at your desk, buried in a mountain of notes, audio, video and stills.

Time to sharpen your editing chops.

What drew you to the story in the first place? What surprised you? What choked you up? And, most importantly, what does it all mean?

Questions are your friend at every storytelling stage -- from idea incubation to reporting, writing and producing. They can help focus and shape the story.

Here are five questions you should ask -- and answer --while whittling down that mountain of material to build your story. It's called editing, but it's really just thinking smartly.

1. Through whose eyes am I telling this story?

Whether told in words or pictures, many stories are seen through a wide-angle lens. And the result is that each quote and fact seems to carry the same weight. The story covers a lot of ground, but fails to go deep.

Often it is more effective to change that focus, from wide-angle to close-up.

In the aftermath of the earthquake in Haiti, the mounting death toll threatened to render the victims faceless. And the enormity of the rescue efforts began to feel unfathomable.

But CNN's Moni Basu focused on small, singular stories that stood for the universal: She told of one rescuer who became a woman's last hope. She took us inside the mind of one survivor pulled from the rubble after six days.

Taking this approach, Basu followed the advice of E.B. White: "Don't write about Man; write about 'a' man."

2. Who has something at stake?

Lisa Pollak, a former newspaper reporter who is now a producer for This American Life, was asked  to interview the winner of the National Oreo Cookie Stacking Contest. And she did. But a key decision turned "One Good Thing on Top of Another" into a delicious surprise.

The writing sparkles, but it's the storytelling that  enchants. Read this gem of story, and see what important question led Lisa to a masterful stroke.

3. What's going to happen next?

Take advantage of a story's mysteries, the questions raised. Pulitzer Prize-winning writer and teacher Tom French calls this question -- "What's going to happen next?" -- the engine that propels the story forward.

It's like sex, says another writer and editor: You want to hold back the climax. In a story (as in lovemaking), if the climax comes too soon, how long will you stick with it?

In writing about his travels with two Muslims on a cross-country road trip for Ramadan, CNN 's Wayne Drash is careful to promise the reader that something surprising and dramatic is going to happen without giving it away. Are you hooked by his hint that the trip wasn't all "peace, love and Kumbaya"?

4. What's the story really about?

Writing guru William Zinsser offers two questions to guide a storyteller in determining what material goes in the story and what hits the cutting-room floor:

1. What is the story about?

2. What is the point?

The first question is about content. The second is about meaning.

Everything in your story must go to one of those questions. Otherwise, it stays in your notes.

Another useful exercise: Describe your story in three to five words. Now reduce that description to one word. If you can't, you're still focused on the story's content. Finding just one word will force you to name its theme.

CNN's Jessica Ravitz wrote about BP oil spill victims from Louisiana traveling to Alaska to see what they could learn from the victims of the Exxon Valdez spill more than 20 years ago. That's what her story was about.

What was the point? Read Ravitz's story to see if you can tell how she answered that question.

5. Where should the story begin?

Once you know the theme of your story, you have the answer to this question: begin with a scene or a moment or description that contains the story's essential meaning.

Note the first image in Walter Astrada's video "Undesired," about the pressure women in India face to bear a male child. It contains the story's essence.

Look at the first paragraph in Pollak's Pulitzer-winning story about a boy diagnosed with the same deadly disease as his brother and facing terrible odds.

When you learn to investigate your notes and tape for what lies beneath -- the meaning -- your storytelling becomes just that: meaningful.

Ready to give these tips a try? Do this: tell the story of an object that reveals something about someone you know. Then join us Thursday, October 14, at 3:30 p.m. ET for a conversation with Winburn.

@highlight

The iReport Boot Camp challenges iReporters to improve their storytelling chops

@highlight

This week's focus is editing, with advice from CNN.com Enterprise Editor Jan Winburn

@highlight

Editing is really about thinking smart: finding the focus and the meaning of a story

@highlight

Ask yourself five questions to shape your story