LONDON, England (CNN) -- Pregnant women in Peru are dying at scandalous rates, according to the author of an Amnesty International report into maternal mortality in the South American country.

The report, "Fatal Flaws: Barriers to Maternal Health in Peru" found that hundreds of poor, rural and indigenous pregnant women are dying because they are being denied the same health services as other women in the country.

It also concluded that the government's response to tackling the problem was inadequate.

Peruvian government figures state 185 in every 100,000 women die in childbirth, but the United Nations says the number is much higher, 240 per 100,000, which makes it one of the highest rates of maternal mortality in the Americas.

In wealthy developed nations, only nine women die for every 100,000 births.

The five main causes of pregnancy-related deaths in Peru are hemorrhage, pre-eclampsia, infection, complications following abortion and obstructed birth, according to Peru's Ministry of Health figures.

Amnesty's Peru researcher Nuria Garcia said, in a written statement: "The rates of maternal mortality in Peru are scandalous. The fact that so many women are dying from preventable causes is a human rights violation.

"The Peruvian state is simply ignoring its obligation to provide adequate maternal health care to all women, regardless of who they are and where they live."

Garcia added: "Health services for pregnant women in Peru are like a lottery: If you are poor and indigenous, the chances are you will always lose."

The report said pregnant women in Peru die because they lack access to emergency obstetric care, to information on maternal health, and to health staff members who can speak Indigenous languages such as Quechua -- a native Andean language spoken by some 5 million people in Peru.

According to the report, 27 percent of deaths of women from pregnancy-related causes occurred during pregnancy; 26 percent occurred during the birth itself; and 46 percent during the first six weeks after giving birth.

A 2007 Census of Indigenous People showed that 60 percent did not have access to a health facility, said Amnesty International.

The Amnesty International report notes that the Peruvian government has instituted policies aimed at reducing the rates of maternal mortality, such as increasing maternal waiting houses -- rooms where pregnant women who live far from health centers can stay. Other measures include more training for health staff members on the vertical birth method common among indigenous women and teaching the Quiche language to health professionals, Amnesty International said.

But the human rights group said Peruvian women and health professionals have complained that the measures are not being implemented effectively. For example, the rights group said, even though the number of waiting houses has increased more than threefold in the past eight years, only half of them are in rural areas.

The agency also contends that training for health professionals on the vertical birth method is not sufficiently widespread. According to Peru's Human Rights ombudsperson, more than 45 percent of health staff last year said they had not received appropriate training, Amnesty International said.

"Official initiatives to reduce maternal mortality are good news," Garcia said. "However, lack of clear responsibilities for implementing them and the absence of effective resourcing and monitoring puts any initiative in great jeopardy."

Though Peru's rate of maternal deaths is high, it pales in comparison to sub-Saharan Africa, which has about 900 deaths for each 100,000 births, the United Nations says. For Africa as a whole, the number is 820. The highest rates were in Sierra Leone, with 2,000, and Afghanistan, with 1,900.

Latin America and the Caribbean average 130 deaths per 100,000 births, the United Nations says, with the lowest rates in Chile, Costa Rica and Cuba.

Worldwide, there were an average of 400 deaths for each 100,000 births in the year 2000, the United Nations says. The lowest rates were in Iceland, with zero, and Austria, with four per 100,000 births.

The United States had 11 deaths per 100,000 births in 2005, the United Nations says.

CNN's Stephanie Busari contributed to this report.

@highlight

Amnesty's Peru researcher: Maternal rates in Peru for poor are "scandalous"

@highlight

Researcher: Services like "lottery," for poor and "chances are you will always lose"

@highlight

Maternal mortality rate one of the highest in the Americas

@highlight

Report: Peru has made positive changes, but more help needed in rural areas