(CNN) -- On the Internet, a truly private conversation is hard to come by.

Personal communications on apps, e-mail and social networks are very much an open book, and they leave a trail of personal data that can potentially be accessed by criminals, corporations and government agencies.

No wonder more and more people are using apps whose messages quickly disappear from phones once they've been read.

Take Wickr, a self-destructing messaging app that takes security very seriously. The free app has been available on iOS for a little more than a year and on Monday, it expanded its reach to a wider audience with an Android version.

Like the better-known Snapchat (and the lesser-known Poke), messages on Wickr live briefly before supposedly vanishing forever from your phone and the prying eyes of computer servers.

There are many security advantages to this type of communication. The format makes it difficult for recipients to share, forward and spread messages. Any sensitive photos or texts have a better chance of not becoming a permanent artifact on the Internet. They are also deleted from the companies' servers (or in the case of Wickr, never stored on a company server), making it difficult for hackers, criminals or government agencies to retrieve old conversations.

Snapchat has become hugely popular in the past year. Its users now send more than 350 million photos a day. The company has played down the security advantages of self-destructing messages, focusing instead on the playful aspects of the "ephemeral" messaging trend, like having fun and living in the moment.

Fairly or not, the service has also developed a reputation as a platform for sexting.

"Snapchat is not a great way to send photos you want to keep safe and secure," said Snapchat co-founder Evan Spiegel at the TechCrunch Disrupt conference last week. He cited the ability of recipients to take screenshots and of hackers to access content as reasons the platform wasn't safe for "inappropriate photos."

Wickr was developed by computer-security experts and has some heavy-duty layers of security to keep communications anonymous and private. Each message -- whether text, photo, video or voice -- is encrypted with a one-time-use unique key, and only the sender and Wickr users have those keys. Any telling metadata is stripped out when you send attachments, and deleted messages are forensically erased, or "shredded," from your device.

"No security is 100%, but we are the best available," said Nico Sell, CEO and co-founder of Wickr.

Wickr also has a few more messaging features than the minimalist Snapchat. You can choose to let messages live for days, not just seconds. The iOS app can send encrypted attachments, though you can not yet send PDF attachments on the Android version.

Wickr's founders frequently test the app with their own network of well-known hackers, and as well as with a tougher crowd: kids.

"We really made it to try and protect them from the permanence of the Internet," said Sell, whose own children use the app.

There are always security risks. If your phone is compromised, a hacker could track keystrokes while you are typing out messages. People are another potential weak link -- someone could steal your phone while you are logged in. Or the person on the receiving end of your messages could violate your trust and share the information.

"You have to remember, there's no magic pill for betrayers," said Sell.

Unlike Snapchat, Wickr doesn't give a notification when someone captures a screenshot. It's difficult to take one, and the company thought a notification would give users a false sense of security.

Wickr doesn't just want to take on Snapchat, it also hopes to be an alternative to Facebook Messenger, Skype and free International texting tools like WhatsApp. Typical online-communication tools store information on servers indefinitely. That can include the content of messages, participants in the conversation, time stamps and even location information.

Many of the companies that host the messages, like Google and Facebook, make their money on personal data which they use to sell targeted ads. They aren't invested in keeping your personal data private because it's not smart business.

Wickr has a different type of business plan that isn't based on personal data. The app is free, but eventually the company will charge its power users for in-app purchases, such as paying for a message to live forever.

In a year filled with increased awareness of cybersecurity and the government's ability to snoop on digital communications, Wickr's anonymous, highly secure communication may be a killer feature all on its own.

@highlight

Wickr is a self-destructing messaging app created by computer-security experts

@highlight

Snapchat has played down the security of its similar app in the past

@highlight

Messages sent using Wickr are anonymous and encrypted