LONDON, England (CNN) -- Researchers in the United States are buoyed by the results of a study which has determined that a giant grass could help the country to meet its steep biofuel targets.

Stephen Long amid Miscanthus stalks found to outperform other biofuel sources.

After successful long-term trials in Europe, a three-year field study of Miscanthus x giganteus by the University of Illinois has revealed that it outperforms traditional biofuel sources, producing more than twice the ethanol per acre than corn or switchgrass, using a quarter of the space.

Crop sciences professor and study leader Dr. Stephen Long told CNN that while there probably isn't one magic bullet to fix our climate woes, Miscanthus -- also known as elephant grass -- promises to be one of five or six options that could help the U.S. to reach its target of replacing 30 percent of gasoline use with biofuels by 2030.

"I think it's important in the biofuels debate that we don't throw the baby out with the bath water. The idea we use the sun's energy to grow plants and then make fuels from those plants is essentially a good one," Dr. Long said.

"It's been tainted by the fact that the easy way to do it is to just use food crops, but society needs to realize there are big opportunities beyond food crops and beyond the use of crop land."

Miscanthus, for instance, is able to grow on land too marginal for crop production, so it doesn't have to compete with land for food crops. It also doesn't require major input or fertilization after planting and once established will yield for around 15 years.

Yet even with the success of these trials in the U.S. and the earlier European ones, it could be years before the full potential of Miscanthus is realized.

This is due in part to the fact that it's much more complex to make cellulosic ethanol -- ethanol made from non-food plants -- than it is to turn simple food starches found in corn or wheat into ethanol.

In the United Kingdom, Miscanthus is recognized by the Department of Environment, Food and Rural Affairs as an energy crop and it's currently being used to co-fire the Drax power station in England's Yorkshire.

Even still, Dr. Geraint Evans from the UK's National Non-Food Crops Centre said rather than plants like Miscanthus, wheat grain will be used to meet the UK target of replacing five percent of fuel with renewable sources by 2010.

"Miscanthus has the potential to be more efficient, producing between 4,000 and 7,000 liters of fuel per hectare, whereas ethanol made from wheat grain makes about 1900 liters per hectare."

"Wheat grain-derived ethanol is what we can do today with the technology we have available today. The technology to use Miscanthus is not yet commercially available," Dr. Evans told CNN.

In addition to the technical hitch, Dr. Evans said a further downside is that even though Miscanthus is a low maintenance crop, it can be costly to plant compared to wheat or rapeseed canola and the first yield wouldn't occur for at least three years.

In an effort to overcome some of the challenges, Dr. Long now intends to turn his attention to experimenting with the wild Miscanthus used in the U.S. trial.

And if the sort of improvements made to corn in the last 50 years are any indication, Miscanthus could be well be used to fuel the future in a matter of years. Is Miscanthus the next big thing in biofuels? Sound off below.

@highlight

A U.S. study has revealed a giant grass outperforms other biofuel sources

@highlight

Miscanthus produces more than double the ethanol of corn per acre

@highlight

It's already used to co-fire the Drax power station in north England

@highlight

The full potential of Miscanthus as a biofuel may take years to realize