(CNN) -- President Barack Obama reframed U.S. foreign policy priorities on Tuesday by focusing his administration's immediate attention on Iran's pursuit of nuclear weapons and the Middle East conflict between Israel and the Palestinians.

"While these issues are not the cause of all the region's problems, they have been a major source of instability for far too long, and resolving them can help serve as a foundation for a broader peace," he said in a 50-minute speech on the opening day of the U.N. General Assembly in New York.

At the same time, Obama challenged the world body to enforce its ban on chemical weapons by agreeing to crack down on Syria -- even militarily -- if the regime of President Bashar al-Assad fails to turn over control of its stockpiles.

"There must be a strong Security Council resolution to verify that the Assad regime is keeping its commitments, and there must be consequences if they fail to do so," he said. "If we cannot agree even on this, then it will show that the U.N. is incapable of enforcing the most basic of international laws."

His speech, which received little reaction from the gathered world leaders, sought to project a robust commitment to defending U.S. interests abroad while declaring receptiveness to potential diplomatic openings that have emerged.

It's not about regime change or asserting U.S. dominance, he insisted in calling for more unified international action in the world's most persistent and contentious trouble spots.

Noting that new Iranian President Hassan Rouhani and Supreme Leader Ayatollah Ali Khamenei have stated their nation only seeks the peaceful use of nuclear power, rather than nuclear weapons, Obama said the issue comes down to Iran demonstrating its sincerity.

"To succeed, conciliatory words will have to be matched by actions that are transparent and verifiable," he said, noting that "this isn't simply an issue between America and Iran -- the world has seen Iran evade its responsibilities in the past, and has an abiding interest in making sure that Iran meets its obligations in the future."

Secretary of State John Kerry and his Iranian counterpart, Foreign Minister Mohammad Javad Zarif, both will attend a Thursday meeting of the five permanent members of the U.N. Security Council, plus Germany. Discussions will surround restarting talks on Iran's nuclear program.

Obama sounded cautious about any possible breakthrough, saying "the roadblocks may prove to be too great, but I firmly believe the diplomatic path must be tested."

Later Tuesday, Rouhani said in his U.N. speech that Iran was prepared for immediate nuclear talks that are "time-bound and result-oriented ... to build mutual confidence and removal of mutual uncertainties."

The Iranian leader also said he Iistened carefully to Obama's speech and hoped that the United States "will refrain from following the short-sighted interests of warmongering pressure groups" so that the two nations "can arrive at a framework to manage our differences."

Rouhani touched on one of those differences, criticizing what he described as "structural violence" against Palestinians. While he never mentioned U.S. ally Israel by name, the intention of his comments was clear.

"Palestine is under occupation; the basic rights of the Palestinians are tragically violated, and they are deprived of the right of return and access to their homes, birthplace and homeland," he said. "Apartheid as a concept can hardly describe the crimes and the institutionalized aggression against the innocent Palestinian people."

Obama earlier called for "the entire international community" to support renewal of the Middle East peace process, noting that Israeli and Palestinian leaders "have demonstrated a willingness to take significant political risks."

"Now the rest of us must also be willing to take risks," Obama said. "Friends of Israel, including the United States, must recognize that Israel's security as a Jewish and democratic state depends upon the realization of a Palestinian state. Arab states -- and those who have supported the Palestinians -- must recognize that stability will only be served through a two-state solution with a secure Israel."

On Syria, Obama addressed both the August 21 sarin gas attack on suburban Damascus that he blamed on al-Assad's regime and the civil war that has raged for more than two years and killed over 100,000 people, according to U.N. figures.

Critics at home and abroad contend the United States was too slow in backing rebels fighting the Syrian regime, which allowed al-Assad's forces to gain the advantage with help from Russia, Iran and Hezbollah fighters from Lebanon.

At the same time, Obama's threats of a U.S. military attack on al-Assad's forces to try to prevent any further chemical weapons attacks failed to generate support from the United Nations, due to Russia's opposition, as well as normally reliable NATO ally Great Britain and Congress.

Some Obama opponents argued he showed weakness by not attacking Syria anyway, despite the lack of international support.

Obama said such criticism "mirrors a contradiction that has persisted in the region for decades."

"The United States is chastised for meddling in the region, and accused of having a hand in all manner of conspiracy," he said. "At the same time, the United States is blamed for failing to do enough to solve the region's problems, and for showing indifference toward suffering Muslim populations."

He outlined U.S. foreign policy for the remainder of his presidency, declaring a willingness "to use all elements of our power, including military force" to secure core interests in the Middle East and North Africa.

Obama specified that the United States would confront aggression against allies and partners and ensure the free flow of Middle East oil to the world, adding that "although America is steadily reducing our own dependence on imported oil, the world still depends upon the region's energy supply, and a severe disruption could destabilize the entire global economy."

He also pledged to continue the fight against terrorist networks by working with other nations and taking "direct action" when necessary.

In words clearly directed at Iran, Obama specified that "we will not tolerate the development or use of weapons of mass destruction."

"Just as we consider the use of chemical weapons in Syria to be a threat to our own national security, we reject the development of nuclear weapons that could trigger a nuclear arms race in the region, and undermine the global non-proliferation regime," he said.

Noting that the United States was emerging from a "perpetual war footing" after more than a decade of conflict in Iraq and Afghanistan, Obama acknowledged that unilateral American action -- particularly military action -- was unable to achieve the desired development of democratic systems, open markets and respect for human rights around the world.

"Iraq shows us that democracy cannot be imposed by force," he said.

Obama also directed a challenge to his fellow world leaders, noting that the United Nations was created in ashes of World War II so that nations could work together to confront global challenges and conflict.

"The question is whether we possess the wisdom and the courage as nation states and members of the international community to squarely meet those challenges; for the United Nations to meet the challenges of our time," he said.

That means answering the inevitable call for action, Obama said.

"While the U.N. was designed to prevent wars between states, increasingly we face the challenge of preventing slaughter within states," he said, adding that "in such moments, the international community will need to acknowledge that the multilateral use of military force may be required to prevent the very worst from occurring."

@highlight

NEW: Rouhani says Iran is ready for "time-bound and result-oriented" talks

@highlight

President Obama reframes the immediate U.S. foreign policy priorities

@highlight

Obama challenges the United Nations to enforce its regulations on chemical arms

@highlight

He calls for a strong U.N. Security Council resolution on Syria