Las Vegas (CNN) -- Weeks ago, Dan Wheldon was behind the wheel of a new prototype car for the IZOD IndyCar racing series -- one meant to make his sport safer, albeit ideally no less exciting.

The two-time Indianapolis 500 winner, who'd been one of a handful of key collaborators in the safety effort as identified on the racing circuit's website, never got a chance to see the refined engines at work in a real race.

Instead on Monday, his friends, colleagues and the racing world were mourning his death following a fiery 15-car wreck at the Las Vegas Indy 300.

"I lost one of my best friends, one of my greatest teammates," driver Tony Kanaan told reporters hours after Sunday's fatal crash.

"I know this is a dangerous sport. I know we're exposed to that every day, in normal life as well," he added. "But you know, you don't think about it. Today, we have to think about it."

Images from the fatal crash

Had he won Sunday's race, the Englishman with the ready smile and engaging manner would have earned a $5 million payout. Instead, he was near the back of the 34-car field when he got mixed up in a crash that featured numerous cars spinning out of control and bursting into flames, spewing smoke and debris.

"All I could see was fire and parts flying and smoke," recalled Paul Tracy, one of those involved in the crash, on Monday. "When it all came to a stop, it looked like something out of a movie set ... It didn't seem real."

An official at the Clark County Coroner's Office, who was not named per the office's policy, told CNN on Monday that Wheldon officially died from "blunt head trauma." The 33-year-old's death has been ruled an "accident."

Two other drivers seriously injured in the wreck -- J.R. Hildebrand and Pippa Mann -- were released Monday from University Medical Center in Las Vegas, IndyCar said in a release.

Mann had surgery Sunday night for a burn injury to a finger on her right hand, while Hildebrand was held overnight after suffering a severely bruised sternum. Championship contender Will Power was treated and released Sunday, IndyCar spokeswoman Amy Konrath said.

The violent crash raised fresh questions about safety, both in motor sports generally and at the Las Vegas track specifically.

Wheldon had been a driving force to address such concerns. In an early October story posted on IndyCar.com, the racing series' official website, IndyCar Vice President Will Phillips singled out the 33-year-old driver, his team and Italian manufacturer Dallara for their efforts to fine-tool a safer car model for the 2012 season.

"He's focused on what's been needed from him to provide for the feedback to Dallara and be consistent and concise," Phillips said then of Wheldon. "You couldn't have asked for more."

Wheldon was known as "a great family man"

Ironically, the new 2012 cars were expected to have components -- namely extra protection around tires -- to prevent spin-outs like the one that triggered Sunday's wreck when two vehicles' bump together, said Tracy.

"They want the cars to run a bit more in a pack, (but) these cars are not designed to bang wheels with each other at 225 mph," the veteran driver said. "Our wheels (currently) are exposed. Once you have two cars touch each other, you don't have any control."

Wheldon's death was the first for the IndyCar circuit since March 2006, when driver Paul Dana was killed in a two-car crash while warming up for the season-opening race at Homestead-Miami Speedway. It is one of several in motor sports generally, one of the most famous being the elder Dale Earnhardt's death in NASCAR's 2001 Daytona 500.

Sports Illustrated senior writer Jon Wertheim said Monday that the sheer speed of race cars, and the minimal distance separating them, means danger lurks around every turn and on every straightaway. Wheldon, for example, was bunched with several other vehicles cruising at about 220 miles an hour when Sunday's crash occurred.

"The fact of the matter is, you're dealing with very, very fast automobiles. They're not heavy cars," Wertheim said. "There is, unfortunately, an assumption of risk when you get into one of those race cars."

Beyond questions about racing's safety generally, the condition of the Las Vegas Motor Speedway -- and whether or not it was too fast and too crammed with vehicles -- was the subject of intense questioning in the hours after Wheldon's death.

Driver Dario Franchitti told ABC News that the track offered "nowhere to get away from anybody."

"This is not a suitable track, and we've seen it today," he said.

The loop in Las Vegas is 1.5 miles, one mile shorter than that of the iconic Indianapolis Motor Speedway. At the same time, it is wider than many others -- such that more cars can run alongside, and potentially collide with, one another.

In an interview with CNN on Monday, former IndyCar driver Lyn St. James noted too that the slope of the track's curves and its straightaway can create "this momentum and this ability for all the cars to be able to go flat out, (which) really takes the car out of the driver's hands."

Not going as far as Franchitti in critiquing the Las Vegas oval, St. James said that a number of factors -- including the vehicles' speed and numbers, as well as the track's configuration -- came together "like the perfect storm."

"It was unfortunate, it was tragic, it was something we all wish would never have happened," she said of Wheldon's death.

Blog: Wheldon's death should bring changes in racetracks

That sentiment rang true for many in the racing community.

After the crash at the IZOD IndyCar World Championships, many of the remaining drivers were emotional during and after a five-lap salute in Wheldon's honor. The rest of the marquee event was canceled.

"There are no words for today," driver Danica Patrick, the first woman to win an IndyCar race in 2008, tweeted. "Myself and so many others are devastated. I pray for suzi (Wheldon's wife) and the kids that god will give them strength."

Wheldon, who was born in Emberton, England, lived in St. Petersburg, Florida. His father was a go-kart racer, and his mother was the timer at a local track. As a driver, Wheldon teamed up with the Alzheimer's Association to promote awareness of Alzheimer's disease; he was wearing the association's logo when he won the Indy 500 in May. His mother was diagnosed with the disease in 2009.

In North Carolina, Sven Bhem told CNN affiliate WGHP that his son-in-law -- who, just hours before this weekend's race, had sung him "Happy Birthday" over the phone -- wasn't "just a great driver, but he was a great human being," Bhem said. "He was always positive, always had something good to say about everybody."

He said Wheldon and his daughter had been married four years and have two sons, ages 2 1/2 years and 7 months.

In a statement released Monday, Wheldon's management company, GP Sports Management, described the driver as a "champion on the track and a devoted family man off it."

"Dan loved his fans and always took that extra bit of time to take a photo, to sign an autograph, to make some young kid smile at the racetrack. Everyone wanted to be around Dan. His passion and his enthusiasm for life was infectious."

St. James remembered Wheldon as a "brash kid from England" when he first began.

"We watched him mature into being this absolute, consummate professional," she said. "... He touched so many people."

She said she believes Wheldon's death will "kind of raise the bar" in terms of safety for drivers. While a number of safety measures are in place, and the sport will always be high-risk, "we don't want this kind of thing to happen," she said.

Tracy concurred, telling CNN's Wolf Blitzer that he hopes "out of this tragedy, comes some good in terms of improving safety," like putting see-through glass in place of web-like netting around tracks.

The driver added that his wife and parents have implored him to retire in the wake of his friend's death. While he said he is considering it, Tracy also acknowledged that he and other racers aren't blind to the dangers.

"We're all thrill-seekers at heart, we all take risks on the race track," he said. "This sport isn't for everybody. (Nonetheless), obviously, we'd like to see improvement."

CNN's Greg Botelho and David Close contributed to this report.

@highlight

NEW: A driver says the cars "are not designed to bang wheels" as happened Sunday

@highlight

NEW: Coroner says Wheldon died of "blunt head trauma," deems death an "accident"

@highlight

The 2-time Indy 500 winner was testing a safer IndyCar in the weeks before his death

@highlight

Fellow driver Dario Franchitti says the Las Vegas speedway is "not a suitable track"