Shahe, Yunnan (CNN) -- "Stand to attention," barked the class monitor as we walked into the classroom at the Shahe Primary School, an hour's drive from the county seat of Tengchong, a remote region in China's Yunnan Province.

On cue, the 30 or so second-grade pupils stood up and greeted us with wide grins and smiling eyes.

I had joined a group of leading educators and volunteers from the Teach For All global network, which places volunteer teachers in disadvantaged schools in 32 different countries. They had gathered in Tengchong for their annual conference.

We took a side trip to observe in one of the elementary schools that served Shahe's 3,800 villagers and sat in on a mathematics class.

To kick off the morning session, the female teacher asked volunteers to step forward and pretend to be "passengers" in a bus. Several pupils "boarded", a few got off, and a few more got on as the class shouted a running count of the "passengers."

The teacher spent the rest of the 40-minute class teaching the basics of addition and subtraction, frequently leading the pupils in reciting drills. Through the session, pupils sat still, listened attentively and answered questions often in unison.

Initially, I was put off by what seemed like rehearsed recitation and learning by rote.

"Old habits," a local teacher said.

But later, I understood why.

"It has something to do with collective culture in China," said Susan Wang, a graduate of Zhejiang Normal University, who had taught in public schools.

"We ...believe in the importance of reciting repetitively. When a book is read a hundred times, a Chinese idiom goes, its meaning becomes naturally clear.

"That's why from childhood we are taught to recite poetry -- you can at least recite, if not write, poetry.

"For subjects like math, it's helpful because it's about remembering pithy formulas. Teachers even make up doggerels (rhymes) to help memorize them."

For me, my experience in the Shahe classroom illustrates the pros and cons of China's education system.

"Chinese schools excel in knowledge-based teaching," said Junheng Li, author of "Tiger Woman on Wall Street."

"For subjects like math and grammar, this is very important, especially in a child's early years of schooling."

Li, who attended public schools while growing up in Shanghai, said this intense focus on academics "cultivates strong discipline, work ethics and stamina."

The Shahe pupils impressed me and fellow observers as disciplined and well-behaved. When I took out my camera, they gladly posed and flashed V signs. Many gathered around me to look at their digital photos. Their eyes sparkled with curiosity. They exuded pent-up energy and hunger for knowledge.

"Except for the migrants, our kids are not as hungry," noted an educator for Teach for Austria. "Here one billion people are hungry, trying to reach the top."

But this traditional teaching method has its downside. It emphasizes lectures and learning by rote, instead of more give-and-take in the classroom.

As in many Chinese schools, it's mostly about tests and exams. "Education was a series of hoops to jump through, not a process of self-improvement or self- discovery," said Li, the author.

The "gaokao" system -- the annual nationwide college entrance and virtually the sole determinant whether a student goes to college -- has largely contributed to this blind cut-throat competition that involves students, parents and teachers.

"For years leading up to gaokao, Chinese kids are tested and ranked on a narrow set of subjects, leading to incessant and often bitter competition," Li explained. "This has engendered a society bent on self-promotion."

In some cases, experts said, that has led to cases of bribery and cheating during the exams.

While Chinese students may be strong in basic education and passing exams, they are weak in creativity and innovation.

Because the system is geared towards getting high scores in exams, students with special talents are often lost as "under-achievers."

Many educators now acknowledge the system no longer suits the next stage of China's growth.

They consider overhaul of the education system to be critical to China's economic growth and to achieving its goal of competing with the U.S. and other advanced countries in science, technology and innovation.

Educational reforms still have a long way to go, but some changes are underway.

To relieve students of heavy load, the Ministry of Education last August issued a 10-point decree, stipulating fewer exams, no written homework, no teaching during spare time or holidays and a compulsory hour of physical exercise daily.

A long-term blueprint for reform seeks to change the thrust of education by putting a premium on integrating "learning with thinking", "learning with practice" and "teaching children according to their aptitude."

These goals require a change in mindset.

"The knowledge economy does not pay for what you know but for what you can do with what you know," said Andreas Schleicher, OECD special advisor on education policy.

They also require massive investment in resources. For years, China spent only around 2% of gross domestic product on education, compared with the minimum 6% recommended by the United Nations.

Since 1993, I have heard Chinese leaders pledge to raise it to 4% of GDP. It was only last year when they finally lived up to that promise.

@highlight

Pupils at remote rural Chinese elementary school are enthusiastic and hungry to learn

@highlight

Rote learning still plays part in China's education system

@highlight

Chinese students strong in basic education but weaker in creativity

@highlight

Educational reforms still have a long way to go, but some changes are underway.