(CNN) -- You're in a room with 10 other people who seem to agree on something, but you hold the opposite view. Do you say something? Or do you just go along with the others?

Imaging techniques help scientists look at the basis for principles of social psychology in the brain.

Decades of research show people tend to go along with the majority view, even if that view is objectively incorrect. Now, scientists are supporting those theories with brain images.

A new study in the journal Neuron shows when people hold an opinion differing from others in a group, their brains produce an error signal. A zone of the brain popularly called the "oops area" becomes extra active, while the "reward area" slows down, making us think we are too different.

"We show that a deviation from the group opinion is regarded by the brain as a punishment," said Vasily Klucharev, postdoctoral fellow at the F.C. Donders Centre for Cognitive Neuroimaging at Radboud University Nijmegen in the Netherlands and lead author of the study.  Watch to learn more about the study »

Participants, all female, had to rate 222 faces based on physical beauty on a scale from 1 to 8. Afterwards, researchers told each participant either that the average score was higher or that it was lower than her rating. Some participants were told the average rating was equal to her rating. The researchers then chatted with the participant before suddenly asking the participant to do the rating again. Most subjects changed their opinion toward the average.

The two leading theories of conformity are that people look to the group because they're unsure of what to do, and that people go along with the norm because they are afraid of being different, said Dr. Gregory Berns, professor of psychiatry and behavioral sciences at Emory University School of Medicine in Atlanta, Georgia.

Berns' research, which he describes in the book "Iconoclast: A Neuroscientist Reveals How to Think Differently," found that brain mechanisms associated with fear and anxiety do play a part in situations where a person feels his or her opinion goes against the grain.

Participants looked at projections of three-dimensional objects, and had to identify which shapes were similar. As with the new study in Neuron, participants tended to shift their opinion to the majority view, although in this case the problems had objectively correct answers. The effect was also more potent in this experiment because actors were in the room to simulate a group with a shared opinion, he said.

But brain images revealed participants were not lying just to fit in. Changes in the activation of the visual part of the brain suggest the group opinion actually changed participants' perceptions of what they saw.

One reason behind conformity is that, in terms of human evolution, going against the group is not beneficial to survival, Berns said. There is a tremendous survival advantage to being in a community, he said.

"Our brains are exquisitely tuned to what other people think about us, aligning our judgments to fit in with the group," Berns said.

The most famous experiments in the field were conducted by Solomon Asch in the 1950s. He found that many people gave incorrect answers about matching  lines printed on cards, echoing the incorrect answers of the actors in the room.

But unlike Berns' finding that fear and anxiety relate to this effect, Asch saw conformity studies reflections of people's reliance on one another for knowledge of the world, experts say.

The darker side of conformity relates to Stanley Milgram's experiments of the 1960s and 1970s, in which most people obeyed orders to deliver electric shocks to an innocent person in the next room. As in these studies, subjects caved into social pressure, presumably going against their own previous moral convictions. Read more about the Milgram study

The research calls into question decision-making bodies that operate by consensus, Berns said. For example, in the U.S. legal system, many cases are decided by the unanimous judgment of the members of a jury.

"You can't separate those judgments from the fact that you have 12 people who have to come to a unanimous decision, and have to conform their opinion to each other, so of course it will distort how they view evidence," he said.

"Any type of group decision-making process that does not require unanimous decisions is likely to make a better one," Berns said. "That applies to committees in particular."

What does it take to break the conformity effect?

Asch talked about the power of the "minority of one." When a unanimous group pressures the individual, that group is weakened as soon as one person breaks off.

"Anyone inclined to draw too pessimistic conclusions from this report would do well to remind himself that the capacities for independence are not to be underestimated," Asch wrote in a 1955 "Scientific American" article describing his research. "He may also draw some consolation from a further observation: Those who participated in this challenging experiment agreed nearly without exception that independence was preferable to conformity."

@highlight

New study looks at how people change opinions of the beauty of images

@highlight

Brain imaging shows group opinion actually shifts perception in the brain

@highlight

Solomon Asch studied conformity in famous experiment in 1950s

@highlight

Researcher: Rethink committees that decide by unanimous consent