WASHINGTON (CNN) -- Sen. Hillary Clinton told the Senate Foreign Relations Committee on Tuesday that she aims to "renew America's leadership" in a world that has undergone an "extraordinary transformation" since the end of the Cold War and is now facing "great peril."

Sen. Hillary Clinton poses for pictures with Sens. John Kerry, right, and Dick Lugar, left.

Speaking during her confirmation hearing for the position of secretary of state, she also called the current U.S. engagement in Afghanistan the "greatest priority for the president-elect."

Clinton completed her testimony on Tuesday. The committee is expected to vote on her nomination on Thursday.

The full Senate is expected to approve Clinton's nomination before Obama takes office next Tuesday.

The chairman of the committee -- Sen. John Kerry, D-Massachusetts -- closed the hearing by saying "we are excited about the prospect of working with you."

During her testimony Clinton pledged to help end the war in Iraq by safely withdrawing American troops and said the Obama administration is "not taking any option off the table at all" when it comes to dealing with Iran, but will pursue a new and "perhaps different" approach characterized by an "attitude toward engagement."

Her "overriding duty," Clinton said, would be to protect America's interests through the use of "smart power" that utilizes all facets at the nation's disposal.  Watch highlights from the hearing »

The New York senator and former presidential candidate asserted that, for too long, U.S. policymakers have been locked in a false "either-or" paradigm forcing a choice between the use of military force and diplomacy.

Military power should still be used, she emphasized, but only as a last resort.  Watch Clinton talk about defense and diplomacy »

Clinton said the State Department was underutilized in recent years, and will be "firing on all cylinders" if she is confirmed.

She promised to use "diplomacy, development and defense" to work with allies in Afghanistan and Pakistan, which she referred to as "the central front in the war on terrorism."

President-elect Barack Obama will pursue a "more for more" strategy in Afghanistan, wherein additional U.S. support will be supplemented by more NATO and Afghan government support, she said.

Clinton also emphasized the need to look at the problems in Pakistan and Afghanistan together, and said it is "imperative" to work with both of them.

On Iraq, she called the withdrawal of U.S. troops a "primary priority" and said it would occur within the context of the current Status of Forces Agreement. She said the Obama administration hopes to remove U.S. troops from Iraqi cities and villages by June 2009, and redeploy some of those troops to Afghanistan.

She also pledged to use every tool at her disposal to try to prevent Iran from acquiring nuclear weapons, which she termed an "unacceptable" outcome.

"Our goal will be to do everything we can through diplomacy and the use of greater sanctions," she said.  Watch Clinton call for a bipartisan foreign policy »

"It's hard to predict how successful we will be," Clinton admitted. But she emphasized that the Obama administration will work to boost international support for measures that would dissuade Iran from pursuing a nuclear military capability, and would "act in concert" with American allies in the region, including Israel.

Turning her attention to the recent eruption of violence in Gaza, Clinton said that "as intractable as the Middle East problems may seem ... we cannot give up on peace."  Watch Clinton's entire opening statement »

She emphasized, however, that the United States "cannot negotiate with Hamas" until the group recognizes Israel, renounces violence and pledges to abide by past agreements.

"That is just ... an absolute for me," Clinton said. "That is the United States' position and the president-elect's position."

"The president-elect and I understand and are deeply sympathetic to Israel's desire to defend itself under the current conditions and to be free of shelling by Hamas rockets," she noted. "However, we have also been reminded of the tragic humanitarian costs of conflict in the Middle East and pained by the suffering of Palestinian and Israeli civilians."

Clinton stated that the recent violence in Gaza "must only increase our determination to seek a just and lasting peace agreement that brings real security to Israel, normal and positive relations with its neighbors, and independence, economic progress and security to the Palestinians in their own state."

Later, as the committee adjourned for an early afternoon break, six Code Pink protesters screamed, "What about Gaza? We need your voice, Hillary."

The protesters held up pink signs that said "Ceasefire in Gaza."

The biggest danger to U.S. security, Clinton emphasized, is that weapons of mass destruction will fall into the hands of terrorists.

For that reason, she asserted, she favors a "tough, reality-based approach to North Korea" as the best way to minimize or eliminate the regime's role as a proliferator of deadly weapons and nuclear technology.

While Clinton supports the six-party talks as "a vehicle for us to exert pressure on North Korea in a way that is more likely to alter their behavior," she also said that she is under "no illusions" about the scope of the challenge presented by the rogue regime. She indicated that the entire "record of negotiation [with North Korea] up to this date" is under review.

Clinton also stated, however, that the talks aimed at ending North Korea's nuclear program provided a unique opportunity for bilateral contact between the United States and a regime once labeled by President Bush as part of the "axis of evil."

Responding to a question from California Sen. Barbara Boxer about the trafficking and imprisonment of sex slaves, Clinton said she views issues relating to women's rights as "central" to American foreign policy.

"We cannot have a free, prosperous [and] progressive world if women are treated in a ... discriminatory, violent way," Clinton argued. She pledged to do everything possible to eliminate "a slavery of girls and women" that exists in forms ranging from a disparity in wages to captivity in brothels.

As the hearing opened, committee chairman Sen. John Kerry, D-Massachusetts, called Clinton an "alliance builder" who has "earned the respect of her colleagues" and could help overcome "the polarization of the last eight years."

Confirming her as the next secretary of state, he said, would send the international community a "strong signal immediately that America is back."

Indiana Sen. Richard Lugar, the committee's ranking Republican, said that Obama, by tapping Clinton, had chosen "the epitome of a big leaguer" who could "bolster efforts to improve foreign attitudes towards the United States."

Asked how Clinton had performed at the morning hearing, Lugar responded:  "She did well."

But both Kerry and Lugar noted the need for Clinton to address questions relating to the fundraising activities of her husband, former President Bill Clinton.

Confirmation hearings for education secretary nominee Arne Duncan, housing and urban development secretary nominee Shaun Donovan, and energy secretary nominee Steven Chu were also held on Tuesday.

@highlight

Hillary Clinton says protecting U.S. interests would be her "overriding duty"

@highlight

Says Afghanistan is President-elect Obama's "greatest priority"

@highlight

Withdrawal from Iraq also a prime task, secretary of state nominee says

@highlight

Foresees diplomacy and sanctions in dealings with Iran