A handful of Republican Party officials is quietly advancing a new batch of rules aimed at streamlining a chaotic presidential nominating process that many party insiders viewed as damaging to the their campaign for the White House in 2012, multiple GOP sources told CNN.

In a series of closed-door meetings since August, handpicked members of the Republican National Committee have been meeting with party Chairman Reince Priebus in Washington to hash out details of a sweeping plan to condense the nominating calendar, severely punish primary and caucus states that upend the agreed-upon voting order and potentially move the party's national convention to earlier in the summer, with late June emerging as the ideal target date.

No party convention has been held that early since the steamy summer of 1948, when Republicans nominated Thomas Dewey as their standard bearer in Philadelphia.

The 17-member special rules subcommittee tasked with reforming the nominating process, appointed with little fanfare at the RNC's summer meeting in Boston, is also considering ways to limit the number of Republican primary debates in 2016, though the group has yet to agree to any specific rules related to debates. The 2012 campaign saw an eye-popping 20 Republican debates, in addition to an array of multicandidate forums.

GOP tries to deal with damage done with women

Priebus and other top party figures have made no secret of their desire to scale back the number of debates, which offered little-known candidates such as Michele Bachmann and Herman Cain a chance to shine but forced Mitt Romney, the eventual nominee, to publicly stake out a number of conservative positions that came back to haunt him in the general election.

Fewer debates, more control

One proposal being weighed by the RNC members would involve sanctioning a small handful of debates while penalizing candidates who participate in any nonsanctioned GOP debate by stripping them of one-third of their delegates to the national convention.

There is also a "heavy appetite" to have a say over which journalists should be allowed to moderate the debates, said one Republican familiar with the ongoing discussions.

"There is a definitely a consensus for Reince's objective to have less debates and have control over how and who we have run our debates, rather than just turning it over to X, Y or Z network and having a guy moderate who's going to just dog you for two hours," said the Republican, who requested anonymity to discuss the sensitive and not-yet-finalized rules changes.

Calendar changes approved by the subcommittee must then be ratified by the RNC's Standing Committee on Rules, a vote that could take place as early as January at the RNC's winter meeting in Washington. If approved by the rules committee, the full 168-member RNC must vote on the calendar changes sometime before next summer.

The biggest campaign moments of 2013

The rules subcommittee is a mixed bag of veteran party pragmatists and grassroots conservatives who have bristled at past attempts to impose order on the primary and caucus process. But people on the subcommittee say the discussions have been cordial and productive -- a far cry from the internecine Republican warfare that has come to define the party during the Obama era.

'The grassroots have a voice'

"I think all groups are being represented," said subcommittee member James Smack, a libertarian-leaning supporter of Ron and Rand Paul from Nevada.

"The grassroots have a voice in that room," he said. "The so-called establishment has a voice in that room. And people who don't really fall into either camp have a voice in the room. It's a friendly group. I thought it might be more adversarial, but to be honest, everybody has had their ability to be heard."

Among the rules amendments taking shape:

-- The first four early-voting states -- Iowa, New Hampshire, South Carolina and Nevada -- would continue to hold their contests in February.

To prevent other states from jumping the order and compelling the first four to move their dates even earlier as they did in 2012, any state that attempts to hold its nominating contest before March 1 would have their number of delegates to the convention slashed to just nine people or, in the case of smaller states, one-third of their delegation -- whichever number is smaller.

"It's the death penalty," said one member of the subcommittee. If Florida violates RNC rules and holds its primary in February, its 99-member delegation would all but vanish.

-- Any state holding a primary or caucus during the first two weeks of March must award its delegates proportionally, rather than winner-take-all.

The measure is designed to prevent a candidate from catching fire in the early states and then riding a burst of momentum to winner-take-all victories in expensive, delegate-rich states such as Florida or Texas. The early March window would give underfunded, insurgent candidates a chance to prove their mettle.

"It will allow a grassroots candidate to stay in the race and try to raise money and score some wins," said Smack. "If they can't score wins by that time, they probably need to pack it in and try again four years later."

-- States holding a contest after March 15 can decide to award their delegates however they see fit.

-- The Republican National Convention will be held either in late June or early July, though ideally on a date before the July 4 holiday. The decision on where to hold the convention will be made at a later date by a separate RNC panel, but Las Vegas and Kansas City are seen as two early frontrunners. Party officials said each city's host committee seems willing and able to raise the nearly $60 million needed to fund a sprawling convention.

Asked about the proposals, RNC Communications Director Sean Spicer said the measures "reflect the chairman's conversations with the grassroots of our party and are intended to give the next nominee the financing and resources necessary to win in 2016."

Should poll give GOP hope? Not yet

Would earlier convention bring better results?

Of all the changes, the convention date is perhaps the most crucial and sought-after adjustment in the wake of Romney's 2012 loss. For many in the party, the primary process dragged for too long, with too many loose ends and hurt feelings, before Romney was formally declared the nominee at the Tampa, Florida, convention in late August.

Moving the convention to June would have the effect of ending the primary campaign in May because of RNC rules that require state party organizations to submit their delegate lists to the national party at least 35 days before the convention.

States with primaries scheduled for June 2016, including California, New Jersey and New Mexico, would essentially be holding nothing more than beauty contests. Party organizations in those states would instead submit their delegate lists to the RNC ahead of time, before any primary vote takes place, Republicans said.

But perhaps more importantly, subcommittee members said, an early convention date will give the 2016 nominee a massive financial edge over what Romney had in 2012.

Handcuffed from spending campaign funds raised for the general election until he was officially nominated in late August, Romney was outspent by a 3-to-1 margin on the television airwaves throughout the summer by President Barack Obama and his allies. Democrats defined Romney early as an out-of-touch plutocrat, and he never recovered his image.

By moving the convention to late June, the 2016 nominee will be able to open up his or her general election war chest a full two months earlier.

"The main thing is it makes him or her the official nominee, and then they can spend the general election money," said a Republican involved in the deliberations. "That is the number one reason to move the convention, to give the nominee the flexibility to start spending that money. It used to be you didn't want to go early, because you would run out of money. Now no one is taking government money, so you can go raise a gazillion dollars. We will raise what we need to raise."

For many years, both parties held their conventions later in the summer, a strategic decision meant to preserve federal matching funds available to each candidate under public financing.

But with campaigns now awash in outside money and permissive fundraising regulations, it now makes little sense for candidates to wait for a smaller pot of publicly financed money.

Obama and Romney declined federal matching funds in 2012, the first time since the Watergate era that both major party nominees passed on public financing in the general election.

@highlight

RNC plan would condense primary calendar and punish states that upend voting order

@highlight

Proposal would also move party's convention to late June instead of August as in 2012

@highlight

Group has yet to come up with debate plan, but most say there were too many in last cycle