Hong Kong (CNN) -- What has been described as the "heaviest rain in six decades" left at least 37 people dead and raised criticism about Beijing's infrastructure and the government's response to disasters.

The torrential downpour lasted 10 hours over the weekend, producing gusty winds and a tornado in one suburb, according to local media.

The deluge was the largest since 1951, when the state weather record was established, according to Beijing Morning Post, bringing about 6.7 inches of rain in some parts of Beijing, and as much as 18 inches in the suburban Fangshan district.

Of the 37 deaths in Beijing, 25 people drowned, reported Xinhua. Another six were killed in collapsing houses, five were electrocuted, and one was hit by lightning, the agency reported, citing the municipal government.

The flooding killed 95 people and 45 were reported missing in 17 provincial areas of China, Xinhua reported. Nearly 6.23 million people were affected by the heavy rains, which started July 20.

The deaths from the storm triggered a torrent of criticism, even from a state-run newspaper, as well as Sina Weibo, the popular Chinese microblogging site. Some social media users implied the number of deaths was much higher.

CNN contacted Beijing's flood control office, municipal government emergency office and municipal meteorological bureau to get an updated death toll. The agencies said that they were too busy summarizing data and couldn't make comments at the time.

Questions CNN sent by fax to the state meteorological bureau were not returned by Monday afternoon.

Although the weather had cleared in Beijing by Sunday morning, the flooding remained a hot topic, with many expressing outrage over the deaths and what they perceived as a botched government response.

The Global Times published an article stating that the downpour "exposes holes in the modernization drive."

"In recent years, floods caused by rain storms have repeatedly occurred in Chinese cities. And the latest downpour in Beijing has stirred up a new round of skepticism on the quality of infrastructure amid rapid urbanization."

Many people marveled at how fragile the Beijing's infrastructure seemed for a modern metropolis. Despite the billions of dollars spent to upgrade its roads and buildings, the city's sewage system appeared quickly overwhelmed by the rainstorm.

The Beijing-based media group, Caixin wrote on Weibo: "Why is this happening once and again? Year after year Beijing faces the same challenge, not even hosting the Olympics can provide a solution. That's how vulnerable our capital city can be."

Another user, chuntiangushi wrote: "We can host the most luxurious Olympics and send satellites into space but can never seem to fix this drainage system. What a shame."

Others disagreed. Weibo user VOo wrote: "I think our city's drainage system is till much better then a decade ago. "

Others were critical that there was no emergency broadcast system deployed, no government shelters and no special hotlines.

Chinese media reported that there were various color-coded weather warnings, but several public policy experts complained in Chinese media that the warnings made sense only to experts, not the general public.

Local television broadcasts focused on heroic stories of search and rescue efforts and people helping each other. Traffic was snarled for hours in the aftermath of the storm, leaving drivers and pedestrians stranded throughout the city. Many pitched into help one other as the streets were flooded, sometimes as deep as new figure is about 20 feet (6 meters).

Some on Weibo praised the way residents helped each other, calling it the "Beijing spirit."

"Beijing is a city with heart and soul. Love will pull us through the hardship," wrote user liushuhan.

Thousands of emergency responders were deployed and divers had to be brought in to search for anyone trapped.

Officials said almost 2 million people were affected by the rainstorm and the economic losses have exceeded $1.5 billion. The floods submerged some power supply facilities and led to blackouts in parts of the city, according to Xinhua.

CNN's Steven Jiang, Tian Shao, CY Xu and Madison Park contributed to this report.

@highlight

Chinese netizens are criticizing lack of prepardeness for the weekend flooding

@highlight

37 people died in the heaviest rain in six decades; most of them drowned

@highlight

Sewage system was overwhelmed, despite recent modernization