(CNN) -- When President Barack Obama proclaimed the fight against income inequality is "the defining challenge of our time," you might have dismissed his words as the effort of a struggling president to revive his political fortunes. But anyone looking at the relentlessly expanding income gap can see that the problem is real -- and it is serious.

The economy is gradually recovering from the Great Recession, but inequality continues to grow. In the first two years of recovery, the net worth of the bottom 93% continued to shrink, while the top 7% grew wealthier. The richest Americans are taking the biggest share of national income of any time since 1928.

Rather than dismissing Obama's call as a political ploy, Republicans in the United States and other conservatives across the developed world, should take up the cause and make it their own. Rising inequality is the proven enemy of stability. And nobody benefits more from stability than the wealthy.

This is their fight, too.

If trends continue, the well-tended sources of wealth of the rich could get trampled by the march of popular frustration.

The signs are already here, in the United States and Europe. A sense that unfairness permeates the system is what fosters extreme views, erodes the middle ground, and makes it increasingly difficult for government to function.

From Occupy Wall Street to the Tea Party, populist politics is creating gridlock and producing a government that cannot address the country's problems. In Europe, the perception of unfairness has fostered extremist parties, such as the neo-fascist Golden Dawn party in Greece, with alarming echoes of the 1930s.

Traditionally, inequality is the kind of issue that receives attention from leftist politicians and is shoved aside by those on the right, who expect free markets to work their magic, improving the lives of those who work hard and, by the judgment of some moral gauge, deserve to be rewarded.

But it turns out that the invisible hand of the market, as economist Adam Smith famously described it, may have developed arthritis in recent years.

Obama is right when he says this is undermining the very definition of what America means. The U.S. was the land of opportunity; the place where you could succeed regardless of where you were born.

In the old days, America was the place where you could be born poor and rise on your own merits. Today, incredibly, researchers say upward economic mobility is easier in Canada and Europe than in the United States.

This contract, the "American Dream," has meant that the U.S. was not, and still isn't, a land that is fertile for those seeking to sow class warfare. America was never a place where people hated the rich as much as they wanted -- and often succeeded -- in becoming the rich.

But the stratospheric rise of incomes at the top is not just an American problem. And the search for solutions is a global pursuit.

This is a time to debate and innovate; a time to find the causes of this stagnation of the majority and look for solutions.

Unexpectedly, sedate Switzerland has started experimenting with some startling ideas.

When Swiss voters heard that the Chairman of Novartis, a large pharmaceutical corporation, was going to receive some $78 million in severance, they mounted a campaign to ban "golden handshakes." They resoundingly approved strict limits on compensation in a referendum last March.

It's worth noting that CEOs in Switzerland make an average of 148 times what the average workers make. In the U.S., they make 354 times more, according to the AFL-CIO.

The most intriguing of all the ideas will come to the voters next year.

Under a proposal spelled out in a referendum, every Swiss citizen regardless of income would receive a monthly check of $2,800 from the government.

The notion of a guaranteed income is receiving enormous attention around the world. The idea defies traditional notions of government assistance and means-testing. Instead of a giant bureaucracy and complex programs breaking down assistance for food or housing, the government would make sure nobody lives in poverty, and presumably dismantle a host of welfare structures.

In theory, minimum-income programs would reduce the incentive to work. But when a small town in Canada conducted a four-year experiment in minimum income, researchers say poverty disappeared, graduation rates went up, and hospitalization rates went down.

This is just one proposal, and one that focuses more on poverty alleviation than on inequality.

And inequality itself, not just poverty, is a key issue. An unequal society distorts democratic principles. Financial muscle amounts to political muscle. We have seen it in the United States, where campaign donations are reshaping the political landscape.

You might think this is a great argument for the rich to keep the system exactly the way it is. Ironically, however, wealthy businesses use their money for political power, but populist politicians are able to tap into discontent and gum up the works.

The business community hated the government shutdown, but the angry base, particularly on the Republican side, supported politicians who kept the government closed.

The wealthy are more powerful than ever, but they risk losing control of the system if they allow it to continue along its present path.

Self-interest may not be the most admirable reason to fight for justice and a better life for all, but it may just prove persuasive, even if it means heading the call of an embattled president.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis Don't dismiss Obama's speech on inequality as a ploy; it's serious

@highlight

Ghitis: The richest have the biggest share of national income of any time since 1928

@highlight

Conservatives should make ending inequality their cause, she says

@highlight

Ghitis: An unequal society distorts democracy, causes instability, promotes extremism