(CNN) -- For listeners of police scanners, last week's tragic events offered one real-time drama after another.

During the fertilizer plant explosion in Texas that claimed 14 lives and the Boston Marathon bombings and subsequent manhunt, dispatchers' static-filled audio feeds offered periodic clues about what was happening on the ground. Listeners hungry for the most up-to-date police reports didn't need a scanner to keep up with the news -- many scanner feeds are available online, while some Twitter users type out what they hear on scanners in real time.

Technology has given people more access to what's being said on scanner feeds, often to the dismay of law enforcement agencies worried about the spread of misinformation and criminals eavesdropping on authorities' tactical plans.

Early Friday, as the night's manhunt for the bombing suspects stretched into daylight, Broadcastify, the primary online source for scanner feeds, did something it had never done before: It voluntarily took all the Boston law enforcement feeds offline.

Broadcastify licenses its streams to mobile apps such as 5-0 radio for iPhone or Scanner Radio on Android and is powered by an army of hobbyist volunteers -- local reporters, neighborhood watch members, off-duty public safety officers -- who just want to share what they're hearing. They plug their scanner or radio into a computer and use special software to broadcast it online.

Broadcastify streams around 3,500 scanner channels, including local law enforcement, fire departments, weather service, emergency medical services and the International Space Station. During peak traffic times last week, some 180,000 listeners were tuned in to Broadcastify feeds at once -- by far the most traffic the service had ever seen, said founder Lindsay Blanton.

But when the Boston police posted a plea on Twitter asking that people not compromise the safety of officers by broadcasting what homes were being searched, Broadcastify obliged.

Online, the curious quickly found alternative ways to tune in. Some people with their own scanners started live video streams of chatter from the radios in their homes. Others with access to scanners began tweeting out snippets of what they heard.

Concerns about the safety of broadcasting police feeds have been amplified as technology has moved from clunky, home-bound radios to handheld radios, the Web and now mobile apps available on any smartphone. While law-abiding citizens can now listen in anywhere, criminals can, too.

"They (criminals) always carry radios or carry cellphones that have police scanners on them," said Sgt. Richard Lewis of the Santa Monica, California, police.

Broadcastify's Blanton stands by his decision to take down the Boston channels, but he maintains that scanner feeds do more public good than harm. "You're going to be hard-pressed to evade law enforcement (by) reading stuff on Twitter," said Blanton, who added he has never heard of a criminal successfully using the service to escape police.

Safety first

Even so, a number of safety precautions are already in place. More sensitive public safety information is often communicated over discreet channels, not the well-known dispatch channels. There is no law requiring public agencies to keep feeds publicly available, so many cities have opted to encrypt some or all of their transmissions.

"The decision to go encrypted was for the safety of officers and security of the community, because when you can hear us on a scanner so can bad guys," said Lewis, the Santa Monica police sergeant.

His department made the move from open radio channels to an encrypted system in 2008. Since then, most complaints about being cut off have come from local reporters who use scanners to get tipped off to crimes.

Upgrading to an encrypted system isn't a quick fix. The new equipment is expensive, and encryption comes with its own issues. It makes it difficult to communicate with other departments and agencies during an emergency. For example, the manhunt in Boston was a multiagency effort, involving federal and local command centers and various groups all trying to communicate with each other, which couldn't have been done using just encrypted communication channels.

For its part, Broadcastify time-delays all feeds for 30 to 90 seconds. Its terms of service prohibit providers from streaming sensitive feeds such as tactical, SWAT, narcotics and fire investigation channels as well as most federal government channels.

A bad game of telephone

The bigger concern for some is the spread of misinformation, which can contribute to confusion, panic and, in the case of the Boston bombings, mistaken identity. People communicating over the radio are often just as confused about fluid situations as their listeners are. Officials say anyone tuning into a live scanner feed, or reading a transcription of a feed on social media, should not assume that everything they're hearing is accurate.

Lewis said the earliest information to come across scanners can often be wrong, and that the first eyewitness reports can vary wildly from what investigators eventually discover to be true. "You have to be very careful of what we hear," he said.

For example, a tweet surfaced Thursday night that incorrectly named a missing Brown University student as one of the suspects, citing police scanners as the source. The missing student's family temporarily took down a Facebook page asking for help finding him after being bombarded by negative comments.

In this way, an incorrect tweet can take on a life of its own as it is quickly retweeted and quoted. Any subsequent correction is seen only by people following that original person.

Even with these challenges, Blanton has found that many agencies are happy to have people following the nonsensitive channels. A number of departments even share their official feeds with Broadcastify.

"On the law enforcement side, they welcome public involvement; more eyes and ears on the ground," Blanton said. "A lot of agencies see the benefit of making available what they do."

@highlight

Police scanner streams and Twitter accounts saw traffic surge during events in Boston

@highlight

Experts warn that chatter on police feeds can be misleading and not always true

@highlight

The old hobby of listening to police reports has moved online and to mobile apps

@highlight

Broadcastify, the primary source for scanner feeds, streams around 3,500 scanner channels