LONDON, England (CNN) -- You're overseas. It's late. You're driving alone when disaster strikes. You've crashed your car and you need help. Who do you call?

In an emergency, it's easier to remember just one number.

You might not know the number for the local emergency services, or that it's 999 in Britain; 15, 17 and 18 in France; or 10111 and 10177 in South Africa.

But do you know that there is one internationally-recognized number that will connect you to the emergency services across Europe and even further beyond?

The 112 emergency number was first introduced in 1991 so that European citizens could dial just one number, rather than have to memorize a different one for each country.

The number is now operational in all 27 EU member states. It should also redirect to emergency services on GSM cell phones in countries including the United States (see box below).

But 18 years after 112's introduction, it is still largely unheard of.

A 2009 Eurobarometer survey revealed that only 24 percent of Europeans are aware of the number. In Ireland, nine percent know about it, eight percent in the UK and only three percent in Italy.

The lack of awareness is partly the fault of older EU member states including the UK, France and Italy that have been reluctant to advertise the number, said Gary Machado from the European Emergency Number Association (EENA) that was set up to promote 112.

Technical issues and language barriers also haven't helped. EENA told CNN the number still does not have 100 percent coverage across Europe. And 29 percent of people in the Eurobarometer survey said they had encountered language problems when making an emergency call in another EU country.

"Officially, 19 member states are able to answer in English," said Machago. "But that's wrong." EENA recently sent journalists to make calls from outside the European Commission in Brussels. Even here, from the center of Europe, staff could not immediately respond in English, let alone other European languages such as Spanish or Finnish, he said.

But with new member states from central and eastern Europe adopting -- and actively supporting -- 112, EENA believes there is now is an opportunity to increase awareness and encourage more countries to upgrade the quality of their services.

Watch CNN Business Traveller for more safety tips »

Bilingual interpreters

Given the difficulties accessing emergency services when abroad, travelers are increasingly turning to commercial services to get them out of tricky situations.

Services such as "Just text HELP" from CallUma in the UK and Language Line Services from the United States provide 24-hour access to interpreters who speak over 170 languages and can help with anything from dealing with a medical emergency to finding a restaurant.

CallUma founder Tony Partridge came up with the idea for the service after a harrowing experience whilst on holiday in Spain. "It was 2am, my two-year-old was screaming and we needed an ambulance. But I didn't have a clue who to call," he told CNN.

Over 150 people are signing up for the service every day, he said. A common request is for help with lost passports. "We can get people to the nearest embassy and can arrange for transportation if need it," said Partridge.

New tools

Tech-savvy travelers are also taking matters into their own hands and using social media tools such as blogs, location-based technologies, and instant messaging services to respond to emergencies.

Research published in New Scientist magazine last year by Leysia Palen, assistant professor of computer science at the University of Colorado, revealed that social networking sites, including Twitter, were more effective than government emergency services when it came to distributing information during emergencies such as the Virginia Tech shooting of April 2007.

Social networking tools are particularly useful during disasters when cell networks go down but SMS services remain in action.

With this in mind, the Red Cross has worked with Twitter for its "Safe and Well" site so people can register their whereabouts during a disaster, as well as check on people they know.

People are also using social networking and location-based technologies to help co-ordinate rescue efforts.

Last month, friends of two British skiers who went missing in Verbier in the Swiss Alps used Twitter to find their friends' cell phone numbers. They then helped mountain rescue teams locate one missing skier by using GPS and Google Maps from his cell phone.

Google's Latitude service, launched in February, constantly updates users' location, enabling contacts to see their whereabouts on a map as well as their activity via status updates.

Privacy issues aside, the service could prove invaluable for people traveling alone in unfamiliar areas or dangerous situations.

Smart phone applications such as Emergency Aid or In Case of Emergency (ICE) for the iPhone provide one-touch emergency contacts and first aid information in the event of an incident.

Several phone makers, including Samsung and Asus, also offer SOS functions that, with the push of a button, send text messages to pre-set numbers and warn that the sender is in danger.

With an ever-growing array of automatic services for cell phones, we may never need to remember an emergency number again -- whether that's 112 or not.

@highlight

Emergency number 112 was introduced in 1991, works in all EU member states

@highlight

A recent survey found only 24 percent of Europeans are aware that it exists

@highlight

Private companies provide 24-hour access to interpreters who can provide help

@highlight

Tech-savvy travelers are using blogs, location and instant messaging tools