Washington (CNN) -- As members of Congress point to problems with HealthCare.gov, lawmakers are scrambling and, in and some cases, sparking cries of hypocrisy over how they'll handle one piece of Obamacare under their control: whether their own staff members should be forced into the exchanges.

Members of Congress have until the end of the day on Thursday to make up their minds, and Democrats and Republicans are divided internally on the politically tricky issue.

"We just learned (Monday) that we have to make the decision this week," one House Republican leadership aide told CNN.

Senate Foreign Relations Chairman Robert Menendez, D-New Jersey, told CNN on Tuesday, "I'm not sure where we're at."

His staff was still unsure of his decision on Wednesday night.

Meantime, despite Democrats' defense of Obamacare and Republican insistence that members of Congress and their staff should directly experience the law they passed, some powerful lawmakers plan to exempt their workers from the requirement that they enter the exchanges.

Example? House Oversight Committee Chairman Darrell Issa wants to keep his entire staff -- committee and personal office -- out of the exchanges, according to a House Republican aide familiar with his thinking.

The aide defended the idea as consistent, saying Issa believes that no American should have to enter Obamacare exchanges.

Interpreting the law

And if lawmakers do nothing by the deadline Thursday night, committee staff and leadership staff will be automatically exempted due to an interpretation by congressional administrators.

Part of the issue involves semantics and how Congress wrote the law.

The 2010 Affordable Care Act mandates that "members of Congress and congressional staff" must get health care through an Obamacare exchange.

But the Office of Personnel Management has ruled that it's up to individual members to designate which of their workers are "congressional staff."

Most assume a member's "personal" or district staff fit the definition. But there is a messy disagreement over what should happen with the more than 2,000 people who work for committees or leadership offices.

Some argue those workers aren't as directly tied to individual members. Others insist that argument is just a giant loophole for staffers who are nervous and want to avoid the exchanges.

But put aside the question of logic -- the bottom line is that each member of Congress can do what he or she wants.

Exempted by default

And if lawmakers don't act, many staffers will be exempted by default. An internal administrative policy provides that committee and leadership staff will be exempted from the exchange automatically, according to a Senate aide and an internal House e-mail obtained by CNN.

The House e-mail, sent by the chamber's chief administrative officer (CAO) Monday, said that office is interpreting "congressional staff" to mean individuals who are paid from the members' individual office budgets, not leadership or committee funds. That gives some members their justification.

"The committees are exempted (from the exchange requirement)," Oklahoma Sen. Tom Coburn, the ranking Republican on the Homeland Security Committee, insisted to CNN.

Because of Coburn's view, his committee staff members can keep their current federal employee health plan.

"I think it's clear," Coburn said.

But what some call clear, others see as self-serving or hypocritical.

"I would submit that's ludicrous on its face," Sen. David Vitter, R-Louisiana, said of the committee exemption argument on the floor on Wednesday.

"Congressional staff are congressional staff. ... Anyone who works for us through the institution of Congress."

On the other side, Sen. Orrin Hatch of Utah, the top Republican on the Health, Education, Labor and Pensions Committee, told CNN on Tuesday that he thinks "we're going to keep the committee staff" on the current federal employee plan.

"I haven't made up my mind," Hatch said.

Democrats are similarly split.

Senate Budget Committee Chairman Patty Murray, D-Washington, will have her leadership and committee staff go into the exchange.

But what about fellow Democrat and Finance Committee Chairman Max Baucus of Montana? His office says he believes committee staff is exempt.

The issue is a double-edged sword for lawmakers: exempt your staff and face accusations of granting them a special privilege or force your staff into the exchanges and risk losing good workers who fear the exchanges will provide weaker or costlier benefits.

Last-minute decisions

Many of the most powerful waited until this week to make the tough decision. House Republican leaders were still discussing options on Tuesday.

Then by Wednesday, Speaker John Boehner and his top lieutenants decided to put their leadership staff into the exchanges, according to spokesmen for the various leaders.

Senate Democratic leaders may be less united.

While Murray and Democratic Whip Richard Durbin, D-Illinois, are both forcing their entire staff into the exchanges, Senate Leader Harry Reid's office did not answer CNN's questions about his plan.

As for staffers themselves, feelings about joining the exchanges range from "meh" to sharp anxiety.

None would speak on the record with CNN, saying they were not authorized to discuss their opinions with reporters.

But several aides said they were extremely nervous about the exchange idea because it was untried.

One indicated he had started thinking of looking for a new job because of the predicament.

Others insisted they either had not thought about the exchange idea much or felt that it would be similar to the federal health plan they have now.

To try to and guarantee a plan equal to current federal benefits, the Office of Personnel Management requires that congressional staffers in the exchange buy a plan at the "gold" benefit level or above.

The same rule also mandates that congressional staffers use the Washington, D.C., health exchange to find a plan.

Those rules will apply to some staffers and not others, depending on how individual members of Congress decide, one-by-one.

@highlight

Some members of Congress undecided on which staff will go into Obamacare exchanges

@highlight

The way the law is written creates some ambiguity in which staff members are affected

@highlight

If lawmakers fail to act, their staff members are automatically exempted and keep federal plan