(CNN) -- A bright red cross marked the cover of a manifesto purportedly written by the suspect in last week's terror attacks in Norway.

Nearly 6,000 miles away, Mexican police seized white robes emblazoned with the same symbol in a series of raids aimed at cracking down on one of the country's newest drug cartels.

The Knights Templar -- warriors during the medieval holy wars known as the Crusades -- wore the cross insignia as they went into battle. Its red color represented the blood of Christian martyrs.

The recent modern-day interpretations of the crusaders' ancient cause wouldn't sit well with the original Knights Templar, according to British historian and novelist Piers Paul Read.

"They'd have been horrified. ... They were very devout people," said Read, who detailed the knights' history in his book "The Templars."

The knights began in the 12th century as a religious order fighting Muslims and protecting Christian pilgrims to the Holy Land.

They mostly came from Western Europe and took strict vows of poverty, Read said. But over time, their organization amassed significant wealth and property, drawing ire from citizens and royalty alike.

Amid accusations of heresy and devil-worship from France's king, the pope dissolved the order in 1312, Read said. The group's last leader was burned at the stake, but the story of the Knights Templar lives on, portrayed in films and popular fiction such as "The Da Vinci Code."

Now authorities are investigating Norway attack suspect Anders Behring Breivik's purported manifesto, which claims that another group using the Knights Templar name intends to carry out "shock attacks" across Europe in a campaign to fight Islam and "cultural Marxism."

Authorities accuse Breivik of killing at least 76 people when he set off a car bomb outside government buildings in Oslo last Friday, then ambushed an island political youth retreat. Breivik's lawyer told reporters that his client was "a little bit surprised" that he was able to pull off the bombing and shooting rampage, for which authorities say he has claimed responsibility.

Separately, Mexican officials blame members of a new criminal organization that use the Knights Templar name for extorting business owners, decapitating and dismembering kidnapping victims and setting vehicles ablaze to block roads during shootouts with police.

The original Templars' noble ideals and dramatic demise give them "an aura of glamour and mystery," said Paul Crawford, an associate professor of ancient and medieval history at California University of Pennsylvania.

Crawford and other historians argue that most fictional accounts of the group focus on unsubstantiated myths and conspiracy theories and that recent reappearances of the Knights Templar name in Norway and Mexico are just the latest attempts to manipulate their legacy.

"The drug gang and the murderer are trying to cloak the horror of their acts with the glamour and ideals of this religious order," Crawford said.

Striving to be 'the perfect knight'

The rambling, 1,500-page account that constitutes Breivik's purported manifesto includes excerpts from a Wikipedia entry about the Knights Templar and pictures of sword-wielding medieval knights wearing cloaks and armor.

CNN has not independently confirmed that Breivik is the author of the manifesto, which bears his name and says it is intended to be circulated among sympathizers. The writer rails against Muslims and their growing presence in Europe, and calls for a European civil war to overthrow governments, end multiculturalism and execute "cultural Marxists."

The author also makes numerous references to what he describes as a new incarnation of the Knights Templar, which he says was "re-founded as a pan-European nationalist military order" during an April 2002 meeting in London. The manifesto details necessary steps to become a "Justiciar Knight," including pledging a Knights Templar oath.

"Any candidate prepared to walk this road must be willing to forfeit his materialistic ambitions and embrace voluntary poverty and martyrdom," Breivik writes.

"You are operating as a jury, judge and executioner on behalf of all free Europeans. ... There are situations in which cruelty is necessary, and refusing to apply necessary cruelty is a betrayal of the people whom you wish to protect," he continues.

In a diary-like log of events leading up to last week's attacks, the manifesto's author says he is trying to set an example.

"I am one of many destroyers of cultural Marxism and as such; a hero of Europe, a savior of our people and of European Christendom -- by default. ... The Perfect Knight I have always strived to be," he writes.

Crawford, the historian at California University of Pennsylvania, said such assertions show a clear misunderstanding of the Knights Templar.

"They were soldiers. They confronted Islam on the battlefield and Islam returned the favor. They did not, to the best of my knowledge, ever engage in massacres of unarmed combatants," he said. "They were not terrorists and wouldn't have approved of it."

'They want to demonstrate that they're courageous'

The new Mexican cartel known as the Knights Templar announced its presence earlier this year. Banners hung in prominent locations -- and photographed by local media -- vowed to protect residents of the Mexican state of Michoacan.

"Our commitment to society will be to preserve order and prevent robbery, kidnapping and extortion, and protect the state from interventions by rival organizations," the signs said.

For months, authorities and analysts said they suspected the Knights Templar had split from one of the nation's most notorious criminal organizations, La Familia Michoacana -- a cartel known for its mix of ruthless violence and religious ideology.

Mexico's government said La Familia's founder, Nazario Moreno Gonzalez, was killed in clashes with authorities last year. In a dossier released as they announced his death in December, officials described Moreno as a "spiritual leader" who used religion to strengthen his stronghold. The government file said Moreno dubbed himself the "savior of the people" and outlined the cartel's philosophy in a "bible" provided to new recruits.

The discovery earlier this month of the white robes with red crosses and handbooks outlining a code for the Knights Templar showed further evidence of a connection with La Familia, authorities said.

"Presumably they were indoctrinating their members," Mexican federal police spokesman Juan Carlos Buenrostro told CNNMexico.com.

For the splinter group, choosing the Knights Templar name was no accident, said George W. Grayson, a professor of government at the College of William & Mary.

"They want to demonstrate that they're courageous and valiant, but at the same time they are generous," said Grayson, who studies Mexico's organized crime syndicates.

He said the alleged leader of the Knights Templar, a former lieutenant of La Familia known as "La Tuta" -- the teacher -- "has the same kind of religious inspiration" as Moreno.

While some of the cartels' leaders may believe in its ideology, Grayson says others have a more pragmatic approach, using religion as a "recruiting device."

"Now you're at one with the Lord, even as you decapitate people and carve (messages) into the bodies of your opponents," he said.

Promoting peace, fighting a 'social cancer'

Another group that uses the Knights Templar name has been waging its own campaign to distance itself from the Mexican drug gang and the Norway attacks.

The international Christian nonprofit known as Knights Templar International issued a statement saying their group is not and has never been affiliated in any way with Breivik.

"Christ's message is one of love, understanding and tolerance of all peoples of the world," the organization said in a statement. "How Anders Behring Breivik so misunderstood and corrupted Christ's message is beyond reason or belief."

The organization's Mexico chapter also issued a statement saying it has no connection to the drug gang, which it referred to as a "social cancer." The statement lambasted the criminal group for committing acts that are "full of shame, dishonor and totally contrary to the principles of the order."

Robert C.G. Disney, the grand commander of Knights Templar International, said the organization's more than 6,000 members around the world regularly support charitable projects, such as helping fund reconstruction of a Muslim mosque and a Christian church in Pakistan following mudslides there.

"Obviously it's very distressing for me and for all of our members to see our name bandied about by the drug cartel and this deranged person in Norway," he said. "Unfortunately, we do not have exclusive rights to the words 'Knights Templar.' Those words have been in the public domain for almost 1,000 years."

Members can join Knights Templar International only by invitation, Disney said, but the organization has no particular church affiliation, and provides humanitarian aid to anyone in need, regardless of race or creed.

"We have no political or religious agenda," he said. "Our agenda is basically all about bringing about peace, reconciliation and understanding."

Journalist Rodrigo Aguiar, CNNMexico.com and CNNRadio's Libby Lewis contributed to this report.

@highlight

The original Knights Templar began fighting in medieval Crusades

@highlight

The Norway terror attack suspect's purported manifesto mentions a group with that name

@highlight

A Mexican drug cartel with a religious bent also calls itself the Knights Templar

@highlight

Historian: Modern criminals "are trying to cloak the horror of their acts"