(CNN) -- History, we are told, is immutable. What has happened cannot be changed and, when lessons are not heeded, is doomed to repeat itself.

The entertainment industry, however, has been known to tamper with our historical memories, changing them to fit a story or to create an entirely alternate version of history.

Developers at Ubisoft decided to leave real history alone but explore its gray, murky areas where creative license can still exist in their upcoming video game, "Assassin's Creed III." (It's set for release October 30 in North America.)

The latest game in the action-adventure series is set during the tumultuous times of the American Revolution. The young nation that would become the United States is just forming and trying to establish itself as independent from the British monarchy. With redcoats on one side and a wild frontier on the other, colonists want the ability to determine their own fate without the crown taking its pound of flesh (or, for that matter, tea).

Stepping into this historical arena for a video game could be problematic since the time period is so well-known and the men and women of the time are revered for their accomplishments. Steven Masters, lead game designer for "Assassin's Creed III," said there was a lot of pressure to make sure they got the history right.

"We're treating these characters with respect," he said. "We have so much information about how these people were thinking, what they were thinking, what they were feeling, how they felt about the Revolution. We were able to portray these characters accurately and give the history the service it deserves."

Masters said the abundance of knowledge about the era actually creates problems for game makers. Instead of rehashing what has already happened in a simulation-type game, "Assassin's Creed III" aims for the gray areas of history and focuses on events that may not have a clear-cut explanation.

With Wikipedia and online searches, it wouldn't take much effort to pinpoint historical inaccuracies in the game. What developers aimed for were moments in time that are less clear or perhaps have conflicting histories. Masters gives an example of a soldier who died on the battlefield.

"Was he shot? Was he stabbed? Was it friendly fire? That sort of thing allows us to go in and insert our version of the history and tell our story," he said.

That's not to say major historical events won't be represented in the game. Players will be involved in such iconic events as the Boston Tea Party and the battle at Bunker Hill. Masters credits having a historian on staff during the development process for keeping them on track and not letting them take too many liberties.

Historian Maxime Durand worked with UbiSoft for more than three years to include and accurately represent key elements of history. While his expertise was Canadian history, his knowledge of the time period in American history was exactly what they were looking for.

Because the main character, Connor Kenway, is of mixed heritage (half American Indian, half British), he also looked into the Native American culture from that time to help develop the character.

"We took a look at all the different tribes that were close to New York and Boston in the period," Durand said. "We decided to choose Mohawk because they were the most interesting that appeared during the Revolution. We worked with members of the tribe because we wanted to be appropriate, be respectful as well as be historic."

Masters said it was important to be accurate with the Mohawk history because it serves as the basis for Connor's motivations. There is an entire sequence of the game spoken in the Mohawk language, and Connor's village is represented as well.

"Considering the general treatment of Native Americans in video gaming, I think we've got one of the strongest and most accurately portrayed characters that has ever been created," he said. "I'm really excited to let people see that and bring that to the front."

Durand worked on making Boston and New York, two of the major locations in the game, as accurate to the period as possible using old maps and building drawings from the era. He thinks players could just wander around in those cities and be amazed at all the detail in the look and feel of the areas. People in those cities also react to in-game events that have recently transpired.

"If you've just played the Boston Massacre sequence, in the next sequence people are already talking about that event and offering a point of view about that," Durand said.

Besides offering historical knowledge to help build the story, Durand also had to keep in mind the game franchise's back story -- a never-ending battle between the Templars and Assassins.

"We wanted to explain events in our own way," he said. "The outcome was always the way history showed it, but how it got there may be a bit different."

"We're about reliving history," Masters added. "We're about going to those moments and seeing them happen through the history behind the known history."

To bring such a vast, historically rich time period to life, the team needed to have something with more power to represent the huge battles during the Revolution from the perspective of Connor. The game features a new engine called AnvilNext, which allows for greater resolution and more elements on screen at one time.

"To re-create Bunker Hill, that was going to take a completely different technology," Masters said. "You want to be there and experience it. You want the grandeur of that massive battle happening around you."

AnvilNext also helped them accurately represent naval battles (which are new to the series) in the Chesapeake Bay and dynamic weather conditions, both of which played critical roles in history and could not have been done with their previous game engine.

Masters said his team really wanted to do everything possible to immerse the player in the era as fully as possible so they could feel like they were taking a "historical vacation."

"It's a chance for people to go and experience the history in a way you can't from just reading a book or listening to a lecture," he said. "The power of interactivity allows us storytelling potential for an interesting and compelling way to hear these stories."

@highlight

"Assassin's Creed III" puts American history on center stage

@highlight

Designers built a Revolution-era America without changing the big picture

@highlight

Creators consulted Mohawk tribe for info on the game's main character

@highlight

The game will be released October 30 in North America