(CNN) -- Remember the Celtic Tiger?

It was billed as a dream for Ireland; emigration slowed as tech giants like Apple, Dell and Intel set up manufacturing plants on the outskirts of Dublin.

They were attracted by a young, well-educated English-speaking island in the heart of the euro zone. Other foreign firms set up call centers and back office operations, attracted by a corporate tax rate at 10% (now 12.5%).

Dublin buzzed and property prices shot up. Banks were encouraged to loan money to the fast growing building sector and everyone was flipping houses as prices soared.

Then it spread to the rest of the country as tax breaks led to housing estates being built in remote parts of the country, miles from services and jobs. These loans were then bundled up and used by the bankers and builders to invest in property overseas. Everyone seemed happy.

We know what happened next. By November 2010 the government went cap-in-hand to Europe and the IMF for an 85 billion euro ($117 billion) bailout as the country took on all the debt of collapsing banks.

With that came massive austerity; about 20% of the country's GDP has painfully been cut -- through budget cuts such as social welfare reductions, pension freezes, tax rises.

Three years on. Where is Ireland now? The answer lies in Dublin. As the city led the bust, it's clear that the capital is leading the recovery on the back of social media.

And I am promised it's different this time. Once empty buildings and warehouses in the Docklands are filling up with the next generation of young well-educated Irish graduates working at the next generation of American tech names -- Google, Facebook, Twitter, Trip Advisor, Ancestry.

There are also Japanese, Chinese and German tech firms setting up here, attracted by the language skills they can't find at home. The cloud has come to Dublin and is enveloping the silicon docks.

There certainly is an argument that some of these firms are attracted by more than a multilingual young employment pool. Even with a rock-bottom corporate tax rate, some of the firms use tax efficiencies to not even pay that on their European sales.

But looking beyond that, having these firms growing in Dublin has led to a score of much smaller, indigenous start-ups riding on the back of the bigger boys who set the tone. And they can be right next store thanks to plenty of cheap office space -- space none could have affording five years ago. This simply did not happen when the likes of Dell was assembling PCs on the outskirts.

Now, next to them are also the incubators, private equity firms, coffee shops and hip new hotels that all seem to be needed for this kind of area to thrive.

So, where Greece and Spain have surely lost credibility in the eyes of the business community, Ireland has actually gained traction. It's benefited so much from the changes, that Forbes Magazine just named Ireland as the best place in the world to do business -- a first for Ireland.

It may not sound ideal for employees, but Forbes pointed out that real wages fell 17% during the height of the crisis, and with unemployment near 13%, there is a large pool of well-educated young people looking for work. Add to that the controversial 12.5% corporate tax rate, and Forbes wrote "Ireland still maintains an extremely pro-business environment."

What about the rest of the country? The recovery is far from reaching everywhere. Emigration from villages has soared as many small firms, built on the back of construction, collapsed. Others that may have focused on exports-led industries that suffered when Europe and the USA went through the economic crisis.

Social welfare payments have been slashed, and contributions to charities have been slashed too, seen as a "perfect storm" for the poor as one charity told me.

Of course the unemployment rate falls when people leave. Charities say the long-term unemployed aren't about to get these social media jobs, nor even the ancillary jobs in the bars and hotels. So, the government is using groups like "Connect Ireland" to tempt more companies to the areas outside Dublin and Cork.

But many mortgages are under water, house prices are only now beginning to go higher, and the government will continue to slash budgets in 2014. Now it also has to attract investors to buy its bonds on the open market so the country can start to pay back that 85B euro loan. It has to achieve all this without a healthy bank sector and with unemployment still in double digits.

Look around Dublin and you can see the change -- building cranes are popping up, shops and pubs are buzzing and traffic jams are back. It's unlikely to spread to the rest of the country anytime soon, if ever, and it's unlikely to ever be labeled the "Celtic Tiger" again.

Shall we call it the Celtic Cloud?

@highlight

In 2010, Ireland asked for an 85B euro bailout as it took on collapsed banks' debts

@highlight

Massive austerity followed, with approximately 20% of the country's GDP cut

@highlight

Three years on, Forbes has named Ireland the best country to do business in

@highlight

Jim Boulden says Dublin is leading its recovery on the back of social media