(CNN) -- As Thailand continues to battle its worst floods in 50 years, a political analyst involved in the relief effort predicted that streets in the capital would remain flooded for at least two weeks.

"The best-case scenario, two weeks, or one month at its worst case," Sean Boonprakong told CNN. In all, 255 pumps were being used to drain the water, he said, crediting their work for sparing much of inner Bangkok from the floodwaters.

Though some tourists were trickling in, city life was far from business as usual, he said. "I think that most people (who live) here -- Thai and foreign alike -- are anxious," he said.

Indeed, Bangkok residents have plenty to be anxious about. They are dealing with massive piles of garbage stacking up around the flood-stricken city, prompting worries over tainted water, disease and sanitation.

In a nation that, according to the Bangkok Metropolitan Administration, produces 8,000 tons of garbage a day during normal times, Bangkok residents are dealing with massive piles of trash stacking up around the flood-stricken city.

"There might be over 3 million tons of garbage left over in Bangkok after the floods," Deputy Director General Warasart Apaipong of the Pollution Control Department told CNN. "Five hundred thousand cars might need to be junked, as they would produce toxin wastes from their batteries and engine oil."

Concerns about disease spreading are also growing. The country's Ministry of Public Heath has distributed 20,700 test kits for leptospirosis, a severe bacterial infection that can affect areas where water has been stagnant for more than three weeks.

The ministry reported that up until November 7, more than 1.3 million people had become sick in provinces affected by the floods, of which athlete's foot accounted for almost 70% of cases.

Water quality in some areas is also being affected, according to Bangkok resident Anisha Prachaseri, while other newer dangers are presenting themselves.

"People have been buying many more bottles of water than normal as there's a problem with tap water, which has been contaminated with floodwaters after it leaked into the pipes," she said.

Anisha reported that many people are still not able to get out of their homes without a boat, with water levels in many places still two meters above normal. Countless people are also refusing to evacuate their homes, despite government orders to do so.

"There's a great deal of fear that people will electrocuted in the flooded areas if they remain in their homes," she said. "Disease is also a real concern right now."

Meanwhile, Thailand's prime minister has laid out a three-point plan to get the country back on its feet.

Immediate aid will be issued to people whose homes and businesses have been destroyed by the floods, which have claimed more than 500 lives since July, Yingluck Shinawatra announced Tuesday.

"This disaster is the biggest that we have ever met. We're trying to cope with situation and help as much as we can," she said. "We can't stop all flooding but we will try to reduce the impact."

Aid packages will be offered to people to help restore homes and businesses as part of a short-term recovery plan over the coming year. Details are expected to be announced next week.

Longer-term plans include the formation of two committees, one to oversee reconstruction and future development and the other to manage water resources.

Yingluck acknowledged criticism of the official response to the disaster by setting herself a deadline of one year to win back public confidence.

The prime minister's promises came as murky waters continued to move towards Bangkok's city center.

"The situation is quite serious. The water is making ground slowly but surely towards the heart of Bangkok," flood relief co-ordinator Rungsun Munkong told CNN.

Relief workers, distributing aid to evacuation centers in central Bangkok, said they were struggling to reach residents determined to wait out the crisis in tower blocks.

"I think it will be difficult down the road to get help to these people," Rungsun said. "People need clean water, that's the first important thing. Cooked ready-to-eat food is also quite important, baby milk and so on."

A Thailand Disaster and Mitigation Department report, issued Sunday and reported by the state-run MCOT news agency, estimated about 3.1 million people have been affected and 4 million acres of farmland have been damaged. Moreover, the department said two people are believed missing and about 75 highways have closed.

In the provinces of Nakhon Sawan and Ayutthaya, cleanup efforts were under way.

On Sunday, Yingluck visited Nonthaburi, near Bangkok. There, the government provided 100 boats to help transport people and disperse relief supplies after requests by local officials, according to MCOT.

Despite public criticism of the government's overall response, Yingluck said she would not shake up her Cabinet -- in the short-term, at least. She explained that the focus first is to address the situation, with a full evaluation and possible shuffling to be done after the crisis abates, reported MCOT.

Floods are an annual occurrence in the country but have been particularly acute this year, and some residents and analysts have criticized the government's response.

"Now the government is sending a mixed signal that the situation is fine, but the truth is it the situation far from over," political analyst Supong Limtanakul told CNN. "It is a slow suffocating death of (the) Bangkok business area."

The city's main airport and two large industrial sites are also at risk, Supong said.

Supong said the government did not have enough resources to deal with floodwaters, noting that officials had recently asked the private sector for water pumps to help drain water out of Bangkok.

M.R. Sukhumbhand Paribatra, Bangkok's governor, told MCOT that it may take up to two weeks to drain water out of Bangkok's main roads, and months to drain water from smaller roads.

CNN's Liz Neisloss and Kocha Olarn contributed to this report

@highlight

255 pumps are credited with keeping much of inner Bangkok dry

@highlight

Thai PM lays out three-point flood recovery plan

@highlight

More than 500 people have died, interior ministry says