(CNN) -- War-torn Somalia moved a step closer to stability this September after picking its first president elected on home soil in decades.

Political newcomer Hassan Sheikh Mohamud, an academic and activist who has also worked for the United Nations and other organizations, was sworn in the capital Mogadishu after defeating incumbent president Sheikh Sharif Sheikh Ahmed. The milestone vote was hailed by the international community as a sign of improving security in a nation plunged into chaos after years of vicious civil hostilities.

Despite the move toward a more permanent government, the new president faces an uphill battle to rebuild the country and restore its shattered economy and crumbling infrastructure. Even though insurgents have fled Mogadishu and guns have fallen silent, portions of Somalia still remain lawless as large parts of the country are under the control of militants, such as the al Qaeda-linked group Al Shabaab.

Distinguished Somali professor Ahmed Ismail Samatar, who also ran for president in the recent elections and is now a member of the new parliament, says the country's new leader is facing "heavy challenges that need to be lifted."

"He [Mohamud] cares about the country," says Samatar, leader of the HiilQaran political party. "And [there is] the possibility that his leadership will then bring a shift in gear and therefore moving towards that future that needs to be born."

Read related: Somali women defy danger to write history

Somalia may have been brought to its knees by decades of war but in the 1960s, after it threw off the chains of colonialism to gain its independence, it was a model of democracy, says Samatar.

"It's the first place in the continent, in sub-Saharan Africa, in which the head of the state will be defeated in parliamentary transparent elections and he will hand the keys ... to the victor and tell the nation that democracy is a precious thing. This is in 1967 -- the first sub-Saharan African head of state to be defeated in an election and then hand peacefully the order of the state and the institutions to the new president."

Somalia was formed through the union of newly independent territories British Somaliland and Italian Somaliland in 1960. Aden Abdullah Osman Daar was Somalia's president until the 1967 election when Abdirashid Ali Shermarke became the country's second leader. But in 1969 he was assassinated; a military coup immediately followed and that regime ruled for more than 20 years. In January 1991, dictator Maxamed Siyaad Barre was overthrown in a civil war waged by clan-based guerrillas and warfare continues to this day.

"No African country has lost so much since the coming of independence in the continent in the 1960s," says Samatar.

Read related: Fertile territory for Al-Shabaab in chaos of Somalia

Samatar is the founding dean of the Institute for Global Citizenship at Macalester College, in Minnesota -- the state that's estimated to have the largest Somali population in the United States. His topics range from globalization and the world's political economy to African issues, specifically those of his home country.

After running for president, he has now returned to Macalaster College -- but as a member of Somalia's parliament he continues to remain engaged in the rebuilding of the country.

"I am driven because after 30 years of studying I have seen enough of the truth in front of me through scholarship," he says. "What ails Somali people and how they might overcome those problems."

Samatar says that 15 years ago, it was hard to envision a bright future for Somalia.

"Today, though, it's a different story," he adds. "There are blades of hope growing among these cobblestones of difficult history," he explains, noting that Somalis are now exhausted by the ongoing war and civil strife.

"They are absolutely tired of a particular kind of religious Islamist militancy that wants to destroy the culture; they are tired of warlords who hijack particular opportunities for their own self interests ... and destroy what it's in place.

"So that exhaustion brings a certain kind of yearning for a new time and that's hope. They have had enough of this and they want something different."

@highlight

In September, Somalia established its first stable central government in decades.

@highlight

Professor Ahmed Ismail Samatar says the new president is facing "heavy challenges"

@highlight

Samatar is a professor at Macalester College in Minnesota, U.S.

@highlight

He ran for president in the recent Somali elections and is now a member of parliament