Cambridge, Massachusetts (CNN)  -- Opponents of an Islamic community center and mosque planned to be built near ground zero say it would desecrate hallowed ground. But suspicion has greeted proposed mosque projects in places less hallowed than ground zero -- in Murfreesboro, Tennessee; Sheboygan, Wisconsin; Temecula, California; and elsewhere.

This suggests that opposition to mosques is not driven only by sensitivity to the memory of terrorism victims, but also by a growing unease toward Islam, fueled by security fears.

Opposition to Islamic centers and mosques in the United States shows remarkable similarities to anti-Islamic movements in Germany, Belgium and the Netherlands, where people also have sought to prohibit new mosques. Last December in Switzerland, citizens voted in a referendum to prohibit new minarets.

Another trait shared by anti-Islamic movements on both sides of the Atlantic is that they increasingly justify their opposition by arguing that Islam is not a religion.

For example, in his campaign preceding Holland's recent elections, extreme right-wing parliamentarian Geert Wilders repeatedly argued that Islam is a political ideology. Tennessee Lt. Gov. Ron Ramsey, in his failed gubernatorial bid, suggested that the freedom of religion enshrined in the First Amendment might not apply to Muslims. "You could even argue whether being a Muslim is actually a religion, or is it a nationality, way of life, a cult," the Republican candidate told an audience in Murfreesboro.

Disturbingly, these assertions are often embraced by people looking to justify their intolerance. Counterclaims and evidence from religious leaders, intellectuals, government officials and others have little impact on this misperception.

Why is Islam no longer considered a religion?

American and European debate on Islam often revolves around the question of whether Islam is compatible with Western-style democracy and values. But because many Westerners associate Islam with al Qaeda, Palestinian militant groups and Iranian theocracy, they have a constricted, one-dimensional view of a faith that is multifaceted and complex.

No doubt, some political groups are at war with certain Muslim regimes like those in Saudi Arabia, Egypt or Pakistan, and with the West. But some Westerners see the threat from terrorists who are driven by ideology and politics as a threat from a culture and religion. Those people who were already suspicious of  Islam can justify their hostility because, instead of a religion, Islam is considered an ideology emanating from Iraq, Afghanistan, Somalia, Turkey and the rest of the Muslim world to threaten the West.

It's worth noting that we did not seek to explain the violence and terrorism of Northern Ireland through the lens of Catholicism and Protestantism only; nobody scoured the Bible for verses about violence and war. Observers, instead, cited political, economic and historic factors to explain the conflict. By the same token, no one would argue that Gush Emunim, or Block of the Faithful, exclusively represents Judaism, or that the murder of abortion doctors represents the essence of Christianity.

But when it comes to Islam, ignoring important economic, historical and political factors has become perfectly acceptable. Politicians, pundits and ordinary Americans see Islam -- not political groups using Islamic rhetoric --  as an existential threat to Western secular norms. So, they believe, restraining it justifies extraordinary measures, even those that violate American  values and the Constitution -- such as trying to ban mosques.

How did this collusion between politics and culture happen? It would be misleading to think that this perception is new. It has existed since Colonial times at least, and remains prevalent because it taps into images and memories intrinsic to the historical consciousness of Western politicians and intellectuals.

Scholarly literature often echoes stereotypical images of Islam and Muslims, such as women in burqas or bearded fanatics with bulging eyes shouting slogans. In some cases,  headlines come directly from titles in academic journals and books: "The Muslims Are Coming! The Muslims Are Coming!" (Pipes, 1990), "The Roots of Muslim Rage" (Lewis, 1990), "Terror, Islam, and Democracy" (Boroumand and Boroumand, 2002), "The Crisis of Islam: Holy War and Unholy Terror" (Lewis, 2003) or "Onward Muslim Soldiers: How Jihad Still Threatens America and the West" (Spencer, 2002).

When Europeans were building new political principles based on the sovereignty of the people, they defined them in opposition to their most powerful political neighbor of the time: the Ottoman Empire. "Oriental societies" were represented as simply the negative counterpart of Western societies. Islam and Muslims became the typical "Other."

We seem to need to exist in opposition to an Other, and in today's national folklore, Islam plays that role. Not surprisingly, contemporary political Muslim groups across the globe play the same game, manufacturing their legitimacy as a product of opposition to their own Other, the West.

It is impossible for societies to completely rid themselves of this polarizing rhetoric. That said, societies differ in the degree to which their political imaginations are subjected to open critical discussion. It is the strength of democracy in the U.S. that such debates can exist, so demonization of the Other won't ride roughshod over reason.

Muslims have a crucial role to play in these debates. Most Muslims in Europe, the United States and even in parts of the Islamic world view the presence of Islam in the West  as a chance to overcome such polarization. Prohibiting mosques doesn't advance these society-saving debates, and can't reshape our imaginations so that we can one day imagine Islam and Muslims as fellow citizens.

The opinions expressed in this commentary are solely those of Jocelyne Cesari.

@highlight

Jocelyne Cesari: Opposition to mosques shows a growing unease and fear of Islam

@highlight

Opponents mix up terrorists spouting Islamic rhetoric with the religion, she says

@highlight

Cesari points out Christianity was not blamed for the terrorism during Northern Ireland conflict

@highlight

She says rather than demonize the "Other," we must imagine Muslims as fellow citizens