(CNN) -- Massacres such as Newtown are horrifying and heart-rending. They are also nothing like the typical American gun murder.

The typical murder has one victim, not many. The typical murder is committed with a handgun, not a rifle. And in the typical murder, both the perpetrator and the victim are young black men. Blacks are six times as likely as whites to be the victim of a homicide. Blacks are seven times as likely to commit a homicide.

The horrifying toll of gun violence on black America explains why black Americans are so much more likely than whites to favor gun control.

Conversely, fears of being victimized by violence explain why so many white Americans -- especially older and more conservative white Americans -- insist on the right to bear arms in self-protection. They see gun violence as something that impinges on them from the outside. They don't blame guns for gun violence. They blame a particular subset of the population. And they don't see why they should lose their right because some subset of the population abuses theirs.

A writer I greatly admire, Rod Dreher, an independent-minded conservative, gives voice to such feelings in an article posted this weekend on the American Conservative website. Dreher expresses himself forcefully and frankly. That frankness should be welcomed, because the more clearly a mistaken idea is put, the faster we can reach a better understanding.

Dreher wrote:

"Yesterday the Baton Rouge Advocate published a lengthy analysis of the 2012 murder stats in the city. Take a look at this PDF of one of the inside pages. Last year, 83 people died by homicide in Baton Rouge. Of that number, 87% were black, and 87% were male. Two-thirds had been in trouble with the law before, and one-third had been in trouble with the law for drugs. The median age of victims: 26.

"Of the perpetrators, the median age was 22. Get this: 96% of them were black, and 90% were male. Almost two-thirds had previous arrests. One out of four had a drug record.

"Most of the murders took place in the poorest parts of the city.

"What can we learn from these statistics? That murder in Baton Rouge is almost entirely about young black men from the poor part of town killing other young black men from the poor part of town. It's mostly a matter of thugs killing thugs."

If you look at the world that way, gun control must seem a pointless diversion from the real problem: not guns, but one particular group of gun owners. Somebody else's problem. But life is not so neatly separated.

Guns offer equal opportunity tragedies. More than 8,000 white Americans had to be treated for nonfatal gun injuries in 2008. Eighty percent of those who commit suicide with a gun are white males. The gun that the suburban family buys to protect itself from "thugs killing thugs" ends up killing its own: One important new study finds that a gun kept in the house is 43 times more likely to kill a household member than to be used in self-defense.

Thugs killing thugs? Maybe. But many of those seeming thugs are carrying guns for the same reason that people who consider themselves respectable carry them : in a futile quest to protect themselves with greater firepower. One person can find safety that way. But if two people carry firearms, a confrontation that might otherwise have ended in words or blows ends instead with one man dead, and the other man on his way to prison for life.

Louisiana sends more people to prison than any other state, at a total cost of almost 7% of its state budget. Prison is always expensive, but the incarceration of murderers costs the most, because they remain in prison to the end. The oldest of Louisiana's prisoners cost the state almost $80,000 a year, including their health care.

Widespread gun ownership means not only more gun killings, but also more gun maimings and cripplings. The National Rifle Association's Wayne LaPierre hailed the ability of a "good guy" with a gun to stop a "bad guy" with a gun. Sixty seconds later, however, that bad guy may need a wheelchair for life. We can't dismiss these human costs as pertaining to only somebody else. They are all part of us.

Yet the urge to subdivide runs strong among Americans. Monday on Fox News, the popular conservative commentator Ann Coulter claimed that the murder rate among white Americans is as low as the murder rate in Belgium. "So perhaps it's not a gun problem," she concluded. "Perhaps it's a demographic problem."

But countries cannot dismiss the sufferings of great blocks of their people by dismissing some "demographics" as unworthy of attention.

If you ignore America's poor, you can make all kinds of problems disappear from view. Not counting the poor and minorities, the country does not have an obesity epidemic. Not counting the poor and minorities, the United States has perfectly adequate schools. Not counting the poor and minorities, America would have a higher average income.

Likewise, not counting hurricanes, America would not have so many natural disasters. Not counting divorces, America would have more intact families. Not counting wars, America would have a smaller public debt. But what's the point of this exercise? The people who make up America count as Americans, and their problems count as America's problems. Their problems do not occur in isolation, but are manifestations of failures to which all Americans contributed together.

Those young men in Baton Rouge who are killing each other in such horrific numbers do not manufacture their own guns. They did not organize the gun trade that brings the guns to their town. They did not write the laws that prevent their town government from acting against guns. They carry guns -- and misuse guns -- thanks to a national system of gun regulation that makes guns easily accessible to those least likely to use guns responsibly.

The gun laws intended to put guns into the hands of "good guys" are the laws that also multiply guns in the hands of "bad guys" -- bad guys who might not have become such bad guys if the guns had not been available to their hands.

The price of redefining gun violence as an issue pertaining only to "those people" -- of casting and recasting the gun statistics to make them less grisly if only "those people" are toted under some different heading in some different ledger -- the price of that redefinition is to lose our ability to think about the problem at all.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Typical American gun murder isn't like Newtown massacre

@highlight

He says conservative commentators wrong to distance whites from problem

@highlight

Gun industry, gun laws affect all Americans, Frum says