Boca Raton, Florida (CNN) -- The third and final presidential debate proved to be a substantive, if not sharp, discussion on the major issues facing the nation as both candidates tried in earnest to persuade the small sliver of undecideds to vote for them.

While foreign policy was the overarching theme, it was no surprise that the domestic economy shared center stage as President Barack Obama and Mitt Romney each sought to score points on the No. 1 issue of this election.

In two weeks, the long and bitter campaign will come to a close -- barring an election controversy [shudder the thought] -- and Monday night's debate will help frame the discussion in the closing days.

Reflecting on the 90-minute matchup in Florida, here are five takeaways:

1. Heated, but measured disagreements

The level of animosity between the two candidates was apparent but unlike last week, it was capped due in a large part to the debate format and setting.

It is much more difficult to bring a level of personal anger to a boiling point while seated at a table. Sitting on high chairs with the ability to walk freely on the stage seems to help fuel rage, while sitting together at a table appears to have a cooling affect.

Obama wins final debate, but does it matter?

That's not to say there were not prickly exchanges -- OK, very prickly exchanges -- or talking over one another during points of contention, but it rarely rose to the level where it appeared the boxing gloves were going to come out.

From Libya to Iran and Syria to China -- and the economy -- the candidates opined about challenges facing the nation in this last chance to reach an audience of tens of millions of voters. A colleague turned to me several times unprompted during the 90-minute exchange and said, "I wish all of the debates were like this one."

2. It's the economy, stupid

It was a debate about foreign policy, an important subject that plays second fiddle to the No. 1 issue on voter's minds this election: the economy, the economy and the economy -- OK, in addition to a handful of other domestic issues such as health care, taxes, education, and Social Security.

Funniest tweets from the final debate

There was substantive discussion and disagreement on foreign policy during the face-off, but as we noted earlier, the economy received a fair amount of air time.

Romney tried to convince voters the economy was a national security issue that has weakened America's standing in the world. And when presented the opportunity, the Republican presidential nominee seized it to again present his five-point plan to revive the sluggish economy that includes creating training programs for workers to helping small businesses grow and thus create more jobs.

In turn, Obama highlighted his administration's efforts at improving education, while criticizing Romney's record on education and small business as governor of Massachusetts.

Hardly topics that can be classified as foreign policy, yet issues that are paramount to voters.

Analysis: No knockout, but more punches

3. Commander-in-chief card

At strategic points throughout the night, Obama played the commander-in-chief card as a way to show that he has had to make the difficult decisions that only a president faces.

At the top of the debate: "Well, my first job as commander in chief, Bob, is to keep the American people safe. And that's what we've done over the last four years." During a contentious exchange on foreign policy: "Here's one thing I've learned as commander in chief." And the closer: "As commander in chief, I will maintain the strongest military in the world, keep faith with our troops and go after those who would do us harm. But after a decade of war, I think we all recognize we've got to do some nation-building here at home, rebuilding our roads, our bridges and especially caring for our veterans who sacrificed so much for our freedom."

Advantage Obama, he effectively played the card Romney couldn't: being commander in chief.

But Romney also saw some benefit in not being president. He didn't have to defend a record and was able to talk about his vision for the country without having to answer for any shortcomings.

Presidential debate's global reaction: Disappointment

4. America's role in the world

My favorite topic of the night: It is a question that allows a candidate to go big in his vision for the future.

Of course, each candidate took the opportunity to use it to talk in political terms, but not before offering these words of hope -- Romney: "I absolutely believe that America has a responsibility and the privilege of helping defend freedom and promote the principles that make the world more peaceful." Obama: "America remains the one indispensable nation. And the world needs a strong America."

Enough said. It was a presidential question, appropriate for the final presidential debate.

Read a transcript of the debate

5. Closing arguments

It is now a race to November 6 as both candidates crisscross the country in search of votes from the small group of battleground states that will decide this election.

Obama wakes up in Florida on Tuesday and holds a rally before heading to Ohio for a campaign event with Vice President Joe Biden. Romney travels out West to join vice presidential nominee Paul Ryan for a campaign event in Las Vegas before flying to Colorado for an evening rally.

In the moments following the debate, Obama campaign manager Jim Messina was very clear about the political strategy in these final two weeks: "Persuading undecideds and turning out your vote."

By no means did Messina lift back the curtain and provide insight that we did not already know, but it goes to show you that politics is a very basic game -- the person with the most votes wins.

Watch the debate again on CNN.com

As for where exactly Obama will spend most of his time in these closing days, Messina would not commit to particular states but emphasized, "We are going to be very flexible where we go."

Kevin Madden, Romney's spokesman, noted that in addition to Nevada and Colorado, the former governor will also make stops in Ohio and Iowa in the coming days and plans to visit multiple swing states in the same day as part of the effort to turn out the vote.

If the election stays this tight heading into November 6, will the traditional 48-hour closing candidate barnstorm turn into 72-hour nonstop tours of the nine battleground states?

Were your questions answered? Let us know on CNN iReport

@highlight

Foreign policy was theme of last debate, but economic issues also got attention

@highlight

Barack Obama and Mitt Romney in sharp exchanges, but showdown less contentious overall

@highlight

Obama played 'commander-in-chief' card to highlight foreign policy decisionmaking

@highlight

Romney talked about vision for country without having to defend a foreign policy record