(CNN) -- When you hear "trick or treat" this year, think "nudge."

From economists who study how we actually behave, as opposed to how we're supposed to behave, "nudge" is shorthand for the growing body of research showing how small design changes in supermarkets, schools, offices and homes can lead to meaningful behavior changes.

Help can't arrive soon enough. With Halloween generating $2.5 billion in candy sales, candy dishes are filling up fast.

Confronted by thousands of new calorie missiles staring at us from our desks and break rooms, we usually try two ways to manage risk.

First, we hope once again to exert self-control and willpower, believing that the hyper-rational part of our mind can win out over the weaker devil within us that really wants that miniature chocolate bar to fill the midafternoon lull.

Dan Ariely and Daniel Kahneman are economists whose work shows this approach is a loser. We are, in Ariely's words, "predictably irrational." Absent a nudge, what we are supposed to do and what we really do are two different things.

Which brings us to the second option: Someone attempts to pass a new rule banning candy, birthday cakes and cookies.

From babies to CEOs, no one likes to have choices taken away. Just ask the American Heart Association, which has found itself on the losing side of the "bake sale battles."

Nudges represent a third way forward, where we change the conditions in which we live, work and play. As a result of these design changes, we make different and healthier choices -- unconsciously, in most cases. Nudge solutions acknowledge our frailty: that we aren't likely to make the smart choice on our own. Yet these innovations avoid the policy and political fights that come with Bloomberg-style soda bans.

5 scary good healthy Halloween treats

In a new book, "Slim by Design: Mindless Eating Solutions for Everyday Life," Brian Wansink, director of Cornell's Food and Brand Lab, lays out all kinds of practical nudge solutions.

"Becoming slim by design works better than trying to become slim by willpower," Wansink writes. "It's easier to change your eating environment than to change your mind."

Let's start with that office candy dish, an armory for Halloween treats.

"The most dangerous candy dish is one that is close, clear and chocolaty," according to Wansink's hidden-camera monitoring of office workers.

Here's where design matters.

When the candy dish is within easy reach, just beyond the keyboard, workers eat an average of nine pieces of candy per day.

Putting the candy dish in a desk drawer cuts consumption to an average of three pieces per day. Wansink saw similar reductions with the candy dish placed on a table top at least 6 feet away.

While nudge solutions can help us manage our personal candy battles, the real impact occurs when school cafeterias and other large institutions adopt the practices.

Without removing any junk food or banning any items, Wansink and his colleagues have tested nudge solutions in real school lunchroom settings.

Fruit consumption more than doubled. More kids picked white milk over sugary drinks. Simply changing the names of some of the items and switching the order of menu options on the lunch line led to healthier choices.

They managed all this without any fights over what kind of food would be available.

Chocolate milk, which contains more sugar, is a sore point for some nutrition directors. Wansink reports that when schools ban chocolate milk, fewer kids drank milk at all. More of them took white milk but threw it away. And some kids stopped eating lunch, due to the hassle.

"When we make chocolate milk less convenient, even simply putting white milk in the front of the cooler and chocolate in back, sales increase by 30 to 40 percent. No complaints. No front-page stories creating movie-ready bad guys out of well-meaning local dietitians."

All this promising news can be hard for traditional advocacy leaders wedded to nutrition strategies that attempt to hammer a rational food orthodoxy into our collective consciousness.

But challenging the status quo is a good thing. The 2009 book, "Nudge: Improving Decisions about Health, Wealth, and Happiness," by Richard Thaler and Cass Sunstein, makes the case why nonprofit organizations, foundations and government agencies should replace stale program strategies with more promising nudge innovations.

The only certainty is that willpower and prohibition have not worked so far, and there's no reason to believe we will become predictably rational.

So let the nudging begin.

Join us on Facebook.com/CNNOpinion.

@highlight

As Halloween approaches, the lure of the office candy dish grows

@highlight

John Bare says the traditional approach of relying on willpower doesn't work

@highlight

Studies have shown that design changes can affect behavior more effectively, he says