(CNN) -- For three decades, Mike and Sue Sibson expected the normal ups and downs that come with working a South Dakota farm and raising two kids. But when circumstances forced the Sibsons to let an oil pipeline bisect their property in 2009, it darkened their view of the American dream.

"I don't feel as free as I used to be," says Mike Sibson. "I don't trust anybody anymore."

In 2006, oil pipeline operators knocked on the Sibsons' door and began talks aimed at burying a 1.25-mile long, 30-inch wide steel pipeline four feet under the middle of their Miner County farm. The Sibsons said they didn't want it, but the pipeline operator, TransCanada, claimed eminent domain. That left the Sibsons and many of the neighbors with little choice but to allow construction.

Although TransCanada paid the Sibsons an undisclosed sum in a sealed settlement to use the land, "It's really not about the money," said Mike Sibson. "It's actually about how they can come in and take your land and do whatever the heck they want with it."

Ever since, the Sibsons say they've worried about leaks from the underground river of crude flowing about a quarter mile from their farmhouse. The pipeline, say company officials, is outfitted with a constantly monitored safety system featuring state-of-the-art technology and an emergency response plan.

"We raise cattle on grass," said Sue Sibson. "Our livelihood is that grass out there, and if that gets ruined, we're out of business."

Some experts fear two issues that were blamed for the Gulf tragedy -- spotty government oversight and emergency response -- could result in a disastrous spill somewhere along America's  approximately 170,000 miles of oil pipelines.

In May and then again in June, TransCanada reported small oil leaks at two pumping stations near the Sibson farm -- one less than two miles up the pipeline. Mike Sibson complains that TransCanada should have alerted his family about the incidents. "I might be the first one to spot a leak because I can't depend on them to get the job done."

"No sense in alarming them," said TransCanada Vice President Robert Jones. "There was no concern with regard to the environment or public safety with these very, very small, isolated incidents."

Significant hazardous oil pipeline spills spiked during the past 20 years at 176 in 1994 and dipped to their lowest level -- 99 -- last year, according to federal statistics.

The Gulf disaster and then Michigan's 800,000-gallon pipeline oil spill in July has put the pipeline industry under a microscope and placed more pressure on TransCanada during a critical time.

The Calgary-based company is seeking U.S. permission to build a new oil pipeline stretching from Alberta, Canada, to refineries on the Texas Gulf Coast more than 1,600 miles to the south.

The project is billed as an "energy security" project aimed at reducing U.S. dependence on Mideast crude. Environmental groups have mounted a campaign against the project, which TransCanada has named Keystone XL.

Oil pumped through Keystone XL would come from Canada's fuel-rich sand, which produces what the Natural Resources Defense Council calls "some of the dirtiest, most destructive oil on the face of the Earth." They say processing the fuel involves strip mining valuable forests and burning it yields more pollution than other kinds of oil.  The Environmental Protection Agency is recommending that the State Department, which will ultimately approve or deny the project, assess the implications of committing to a "relatively high carbon source of oil."

Also, the NRDC warns that the pipeline would threaten one of America's largest underground sources of fresh water, the 175,000-square-mile High Plains Aquifer. It provides water to 1.9 million people and irrigation for thousands of square miles of farmland throughout eight states.  "If there was to be a spill that would contaminate that aquifer, we would be looking at a disaster in terms of livelihoods and ecosystems of the magnitude of the Gulf oil spill," said the NRDC's Susan Casey-Lefkowitz.

The aquifer runs under portions of Nebraska's geologically unique grassy dunes known as Sand Hills, where many bird species rest during migration.

"I would worry about an oil spill in the Sand Hills more than any other area I can think of," said John Gates, an Oxford-trained professor of hydrology at the University of Nebraska.

"The ground is sandy and steep. In a worst-case scenario, oil could easily move from the surface through the sand to the aquifer."

TransCanada is very confident, said Jones, that its safety systems will protect the region's natural resources from the flow of oil.

"We have measures in both design and operations to ensure protection of the aquifer," he said.

Much of the technology protecting the pipeline would be centered at TransCanada's Calgary communications hub, using satellites and land-based backup communication lines to remotely monitor pipeline valves and pumping stations for possible spills, said Jones.

Every five seconds, remote sensors along the pipeline will transmit data via the satellite and land lines measuring conditions inside the pipe, including pressure, temperature and oil-flow speed. Computers are programmed to automatically shut down the pipeline when the data indicates trouble. The system is manned 24/7/365 by operators who can view the entire pipeline network or a single valve or pipe, Jones said.

"The time in which we can isolate those valves from this control center takes about three minutes," Jones said. "Then immediately the operation control center dispatches emergency response personnel to the scene."

Typically a first responder would confirm the spill and assesses whether local emergency officials should secure the scene for public safety, said Jones. The oil is then isolated, cleaned up and any affected soil is remediated. Officials also notify regulators, per federal safety mandates.

But problems with newer pipelines might not pose the largest concern among industry leaders. A bigger threat may be aging pipelines.

Leading industry analyst Richard Kuprewicz of Accufacts Inc. urged Congress in July to strengthen laws regarding pipeline repairs. He specifically cited  corrosion of the pipe material, "because corrosion right now is the leading cause of failure for liquid pipelines in the U.S.," Kuprewicz told CNN.

Nationwide, some pipeline operators are "disregarding some of the more practical things they need to be doing ... like corrosion monitoring."

Kuprewicz wants the law to require operators to disclose more details about their pipeline repairs, answering questions that would help regulators track and predict pipe failures.

Was the pipe repair related to corrosion? Was it related to third-party damage? Was it related to the material of the pipe?

This information, if reported by operators, might help the entire industry sidestep disaster, suggested Kuprewicz.

How worried should Americans be about these aging pipelines -- some of them hidden right under our feet? "I wouldn't say we're in a total state of chaos," he said. "But we are getting concerned."

None of the assurances from TransCanada or the prospect of improved safety rules changes Mike Sibson's view on the pipeline that cuts through the heart of his farm.

It likely will remain buried there for generations.

"We've done good through the years and we're quite successful -- but here's one thing that could take me out," he said. "And there's not a thing I can do about it."

@highlight

Family fears oil pipeline on their farm will leak and ruin their livelihood

@highlight

TransCanada plans 1,661-mile oil pipeline across key U.S. water supply

@highlight

Opponent: Situation threatens ecosystems at a magnitude of the Gulf spill

@highlight

TransCanada: Oil shutoff possible in minutes, followed by emergency response