(CNN) -- France is an impressive country.

And nobody knows it better than the French.

The country is surprisingly like the United States (which it taught a thing or two about liberté) in that you don't really ever need to leave.

There are sophisticated cities, sunny seashores, snowy mountains and wooded valleys all in one country.

Not to mention a lot of cheese.

And sex.

As well as quite a few other things the French do superlatively well.

1. Cheese

Yes, it's a cliché but France remains the ultimate destination for cheese lovers.

General de Gaulle once asked how he was meant to govern a country that produced 246 varieties of cheese.

Maybe he was afraid they were living organisms and would start a revolution.

Some French cheeses, such as Reblochon, are so smelly and runny they seem to be decomposing.

Even mild, hard Mimolette is apparently so scary that last year the United States restricted its import.

No one's arguing against the existence of great cheeses around the world -- but no French citizen needs to go much further than the corner shop to find one.

2. Shopping

There's a reason the French invented the word "bourgeois," which now stands in for all things materialistic.

Paris department stores stock everything from cheap generic brands to labels so chic you feel the need to dress up before trying them on.

The annual sales in January and at the end of June offer unbelievable bargains because by law all stores have to discount prices at the same time and compete for business.

At the other end, the French have defended their small, often family-owned neighborhood stores -- boulangeries, boucheries, épiceries -- from being steamrollered by chains.

The French also do quirky, one-off boutiques probably better than anyone else.

3. Museums

Paris, of course, is home to perhaps the world's best known museum, the Louvre.

But French museum culture spreads much wider afield.

The Loire region has what is arguably the most beautiful collection of museums in the world -- its chateaux include the huge Chambord, with a spectacular collection of tapestries, and the impossibly romantic Chenonceau, astride its moat.

Even the lesser-known castles can be wonderful -- Chinon, for example, is set above a perfectly preserved old town.

You can almost hear Joan of Arc riding up to the gate and offering to kick the English invaders out of France.

4. Trains

French trains are faster than planes.

If you want to go from Paris to the Mediterranean coast for lunch, hop on a TGV -- train à grande vitesse, or "very fast train."

Three hours later, you'll be sipping rosé and gazing at billionaires' yachts while the fliers are still putting in a claim for their lost luggage.

TGVs crisscross the country, and the SNCF (French national railways) offers excellent online deals -- first class for just a little more than second.

The French might like the good life but it needn't also mean slow.

5. Traffic jams

The average French driver's notion of etiquette is a strong but terrifying one: I'm going that way, and you can't stop me.

If going where he or she wants to means causing an accident or total gridlock, that's everyone else's fault, non?

The unwillingness to acknowledge any other car on the roads -- the supreme French belief in liberté incarnated in the automobile -- means that on every Saturday in summer, and on national holidays, the whole country is transformed into a huge traffic jam as everyone drives to or from their vacation at exactly the same time.

6. Politeness

Politeness -- the French?

Aren't they notoriously abrupt, especially Parisians when addressing non-French-speaking tourists?

More accurately, the French have mastered the art of being impeccably polite and startlingly dismissive at the same time.

When a posh maître d' raises one eyebrow and oozes "Monsieur?" or "Madame?" at you, he's simultaneously respecting you and questioning your right to exist.

But if you get the hang of French politeness, anything is possible.

The golden rule is simple: you should begin every conversation with a bright "bonjour!" ("bonsoir!" in the evening).

This doesn't just mean hello.

It's recognized French code for, "Yes, I am here, and I am respecting you by being polite, so you are going to respect me and maybe even be pleasant to me."

All that in one magic word -- and it works.

7. Sexiness

It's hard to pin down sexiness but, for many, "being French" is a good working definition.

That accent, plus a certain insouciance and joie de vivre (yep, inevitably slipping into French here) make a pretty attractive package in both men and women.

And then there's plain sex, which is everywhere in France.

Take French films, for example, which almost by law have to include at least two naked breasts and four buttocks.

Frenchmen and women know the rules of attraction equally well and rarely stop playing.

It's almost a duty to look sexy and classy whenever anyone else is around -- and to leave a memorable impression.

8. Luxury

It's a clever trick.

When you think of luxury goods, the word "French" slips almost automatically into place.

Today, the French talent for luxury has trickled down beyond Louis Vuitton, Dior, Moët et Chandon and the rest.

Its effects can be felt in the dozens of stylish Parisian cafés with starched-apron waiters, and in the many reasonably priced spa hotels, such as Thalazur (French site only), that can make you feel like a millionaire without charging you accordingly.

French light-touch sophistication has been copied worldwide.

9. Customer Service (oh yes)

Related to "politeness," but with an important retail distinction.

The French have a saying: the customer is king.

Yes, and we know what you did to your kings.

But behind a sometime façade of surly indifference, French service can be wonderful.

That grumpy waiter doesn't hate you, it's just that he's a pro and you're an amateur on his territory.

The same goes for the snooty department store saleswoman.

Unlike in other countries, such jobs in France can still be lifelong careers, bringing a lifetime's worth of skills.

The thing to do is soldier on, smile and inform your server what you want.

The French respect people who know what they want, and will do their best to help you get it (as long as it's not just before their lunchtime, of course.)

10. Globalization

France has the world's best policy on globalization -- it spends so much time complaining that foreign invaders are killing off its economy that no one notices how French products are taking over the planet.

Have you checked recently who provides your electricity, who owns your transportation system, who feeds your army, even who built your city's public toilets?

Especially if you live in Europe, there's a strong chance you'll find a French multinational, such as EDF, Transdev, Sodexo or JCDecaux.

That's not to mention the countless French brands on every shopping street in the world.

Next time a French person tells you Hollywood is destroying French culture, just point to the nearest public toilet.

Stephen Clarke's (@sclarkewriter) books about France include "A Year in the Merde" and "Talk to the Snail: Ten Commandments for Understanding the French."

@highlight

The French are impeccably polite -- really

@highlight

They're so good at making certain cheeses that the United States has tried to restrict them

@highlight

Their traffic jams are world class, but so are their (very fast) trains

@highlight

Globalization: simultaneously the bane of France and something it excels at