The United States has promised to supply weapons, communications equipment and training to rebels in Syria so they can help battle the Islamic State in Iraq and Syria (ISIS.) Now comes the hard part: identifying "acceptable" groups able and willing to take the fight to ISIS. The security landscape in Syria changes daily. Alliances and priorities among the many rebel groups shift, fortunes ebb and flow.  And the hard truth is that none of them appears able to uproot ISIS from its strongholds in north-eastern Syria.

Joshua Landis, a veteran Syria-watcher and Associate Professor at the University of Oklahoma, says the situation inside Syria is more fluid and unpredictable than ever, with rebel groups confused about U.S. intentions and knocked sideways by ISIS' ruthless advance.

Landis says President Barack Obama is the reluctant warrior -- forced by domestic politics and the outrage over the beheading of two Americans by ISIS to pledge not just to degrade but to destroy ISIS. That means going after its Syrian heartland -- and without American "boots on the ground" mobilizing Syrian rebel groups to help.

But as the President admitted last month to the New York Times when talking about moderate Syrian groups: "There's not as much capacity as you would hope."

White House spokesman Josh Earnest has tried to put a more optimistic spin on the situation, asserting last week that "over the course of the last three years, the United States has gotten much greater clarity about which individuals in the region we can rely on and count on and work with, and which individuals, frankly, that we can't."

Many moderate factions have been squeezed out or self-destructed in a morass of corruption, incompetence and dissent. A columnist for Al-Monitor who writes from Aleppo under the pseudonym Edward Dark says "the stigma of corruption and ineptitude permeates most of the Syrian rebel factions designated as 'moderates,' and some have even been involved outright in serious war crimes."

That corruption and incompetence have eased ISIS' path among civilians in some areas -- as it has delivered security, fuel and bread -- and led some fighters of the Free Syrian Army (Washington's preferred partner) to migrate to Islamist groups.

Writing on the Syria Comment, Matt Stevens says he found a consensus among Syrian refugees he met in Jordan: that the FSA was "scattered, under-resourced, devoid of unity—and increasingly, bit players in a drama between two unthinkable antagonists." Those antagonists are President al-Assad and ISIS.

The twin threats from ISIS and the Assad regime have made for a network of unlikely local alliances -- just to make the situation even more complicated.  Moderate groups have reached understandings with the al Qaeda affiliate Jabhat al Nusra and the radical Islamic Front. Last week there were even reports of a brief truce between an FSA brigade and ISIS near Damascus in an effort to stave off regime advances. That makes the illicit transfer of weapons and men more likely.

What's more, some senior figures among rebel groups say they will use the training and equipment they get against the Assad regime before they turn it on ISIS. The founder of the Free Syrian Army, Colonel Riad al Asaad, said his forces wouldn't battle ISIS until he had assurances of western help to oust the regime. But that would draw the U.S. and its allies deeper into a civil war which they see as an unwinnable quagmire.

One man who might benefit from Washington's new plan is Jamal Maarouf, commander of the Syrian Revolutionary Front, which was formed to oppose ISIS in northern Syria. This month, Maarouf has committed substantial manpower to confronting ISIS in the Aleppo countryside. He has proved a capable commander but the number of fighters he can command is variously estimated at between 6,000 and 25,000. And many analysts regard Maarouf as an opportunist. He has been open about fighting alongside al Qaeda affiliate al Nusra as circumstances have demanded, telling the British newspaper the Independent in April: "It's clear that I'm not fighting against al Qaeda. This is a problem outside of Syria's border, so it's not our problem."

There is also the issue of 'life expectancy' among rebel leaders. Maarouf claimed last week he had escaped assassination attempts by both the regime and ISIS, one of which killed his daughter. Until recently Ahrar al Sham -- an Islamist group focused on the battle against al-Assad and hostile to ISIS -- was one of the most effective rebel factions. Then a mysterious explosion in the city of Idlib earlier this month killed its leader, Hassan Aboud, and most its senior officials. Some sources blamed the regime; others ISIS, which has in the past targeted the leaders of rival groups.

Landis says Abboud was a wily operator and a "super-leader" among Syrian rebel factions, and the group's future is very much open to question.

Aron Lund of the Carnegie Endowment for International Peace summed up the scale of the loss. Ahrar al Sham has been "the missing link between radical Salafi-jihadism and the type of mainstream and Syrian nationalism-infused Islamists that Western and Gulf state powers preferred to work with -- a powerful "swing voter" in the struggle over the ideological direction of Syria's insurgency."

Counter-balance to ISIS

There are also grave doubts over the future of al Qaeda's affiliate al Nusra, which until last year was arguably the Assad regime's most capable opponent. Landis says ISIS has made al Nusra "look just like any other militia," driving it out of Deir Ezzour in eastern Syria and Aleppo. It has also been riven by internal dissent.

Al Nusra is still a serious player in many theaters -- especially the south and in the province of Idlib, but Lund says one Nusra commander has allegedly admitted that "in several provinces, his organization is in an advanced stage of decay due to defections, financial difficulties, and flagging morale" as fighters have tired of the fratricidal war against ISIS.

Normally this would be good news for the U.S. and its western allies, but in the short-term at least al Nusra's survival provides an important counter-balance to ISIS. Landis says it could bounce back quickly "if ISIS is whacked" by the U.S. -- but that's unlikely to be the desired consequence.

Over the past few days, ISIS has again shown its resilience and reach. It has mounted complex suicide attacks in Baghdad, continued to keep up the pressure on beleaguered rebel groups in Aleppo and embarked on a lightning offensive against Kurdish areas in Syria --- driving as many as 130,000 people across the border into Turkey. The Kurds had been more successful than most groups in resisting ISIS in Syria.

In recent weeks, the Kurdish Front -- Jabhat al Akrad -- had begun co-operating with other rebel groups in the face of the common threat from ISIS, forming a joint operations room and claiming responsibility for attacks on ISIS, according to Joseph Sax at the Institute for the Study of War. That may have prompted the ISIS onslaught; now those Kurds left in northern Syria are fighting for their survival.

And they will get no help from the U.S. or Turkey, says Landis, because of their close relationship with Turkish brethren in the PKK -- which is regarded as a terrorist group in Washington and Ankara.

Surveying this grim landscape, one could be excused for wondering how vetting and training rebel fighters -- 5,000 to start with -- can turn the tide. Landis says 5,000 -- properly armed, disciplined and provided with intelligence could dent either ISIS or the Assad regime. "Assad is very weak, after four years of war," he says, "but at the moment the others are all weaker."

The rosiest scenario, says Landis, sees moderate Sunni groups eventually carving out a state in northern Syria, expelling ISIS in the process, while the regime holds onto Damascus and a swathe of the coast around Latakia. But Syria has a habit of confounding all but the grimmest of scenarios, and Landis acknowledges that "perpetual anarchy" seems more likely.

There is another pitfall in fuelling the conflict with more weapons: escalating fighting could drive even more Syrians across the border, further destabilizing Jordan, Lebanon and Turkey. The U.S. has consistently sought to contain the Syrian conflict; ISIS would like nothing better than to export it.

@highlight

U.S. has promised to supply and train "acceptable" rebels in Syria

@highlight

At best, analysts say the plan could cement Bashar al-Assad's grip on power

@highlight

More likely is perpetual anarchy, escalation in refugee crisis, destabilization and export of jihad