GUATEMALA CITY, Guatemala (CNN) -- Guatemalan voters saw the top five top candidates in their country's presidential race square off in a historic debate Thursday evening, a contrast to the violence and name-calling that has marred the campaign in recent months.

Alvaro Colom, Eduardo Suger, Rigoberta Menchu,  Alejandro Giammattei and Otto Perez Molina debate.

A major topic among the presidential contenders was how to reduce Guatemala's high crime rate and violence.

They also addressed concerns about the illegal migration of Guatemalans to the United States, with two candidates calling the migrants "heroes."

The televised debate, co-sponsored by CNN en Español and Guatemala's Channel 3, came 10 days before the general election in which 5 million Guatemalans are eligible to go to the polls to select a president and vice president, along with 158 congressional deputies.

The debate was viewed as a landmark step forward for Guatemala's democracy and was televised throughout the Western Hemisphere.

While there are 14 candidates in the presidential race, only five have registered significant support in public opinion polls. If no candidate receives more than 50 percent of all votes cast September 9, a runoff would be held November 4.

Alvaro Colom of the center-left National Union of Hope, considered a front-runner, said reducing poverty would help reduce crime.

"Crime is not just about prosecution; it's not just about justice," Colom said. "Crime also has its origins in Guatemala's profound social problems -- poverty, marginalization, discrimination, neglect. Our comprehensive program has a part that is about security, but the counterweight to it is the human solidarity program, so that we really have health, housing, jobs, and we can truly build a better Guatemala."

Retired Gen. Otto Perez Molina of the conservative Patriot Party, also considered a front-runner, said he would strengthen Guatemala's police and military while getting tough with criminals. Molina said the death penalty, which he said was on the books but "in limbo," was needed.

Molina warned criminals that they would face a strong president who would protect Guatemalans if he were elected.

Prisons Director Alejandro Giammattei, the candidate of outgoing President Oscar Berger's Grand National Alliance party, said he would work to keep high-risk youths from joining gangs. Giammattei also called for gun control laws and measures to battle organized crime and its financing.

Rigoberta Menchu of the Encounter for Guatemala party, a 1992 Nobel Peace Prize winner, said the national police force should be purged and corrupt politicians prosecuted. Menchu also criticized the system of white-collar privilege in the country's prisons. She said no one in Guatemala has had the courage to fight organized crime.

Eduardo Suger of Center for Social Action called for the country's judicial branch to be depoliticized. Suger said the creation of Guatemala's Commission Against Impunity was an acknowledgment that the government was not doing its duty to protect citizens.

The political debate has been overshadowed by a wave of violence that has seen more than 40 candidates, activists and political leaders killed since the campaigns officially kicked off May 2.

The "extremely concerning" level of violence led Amnesty International to release an open letter to candidates this week asking that they "ensure the electoral campaign is conducted in a manner consistent with respect for the rule of law and human rights standards."

The human rights group also called for an end to "clandestine groups who operate with absolute impunity" 11 years after the country's long-running civil war officially came to a close.

Colom, whose National Union of Hope has been hit hardest by the killings, told international reporters this month: "Of 18 assassinations of our people, 14 were without any doubt carried out by organized crime."

All five candidates generally agreed on the issue of illegal migration to the United States, saying their government needed to improve living conditions in Guatemala so there would be less incentive to leave. They also agreed that the Guatemalan government should work closely with Washington to make life better for those who do migrate.

Molina estimated that 60 percent of the 1.3 million Guatemalans in the United States were undocumented, but he said they provide Guatemala with its main source of foreign currency.

Menchu called it "an embarrassment" that Guatemala could not negotiate for better living conditions for citizens who have moved to the United States and "are building houses and schools" there. She said she would create a negotiating team to push for the well-being of Guatemalans in the United States.

Giammattei called the migrants "national heroes" who risk their lives for a better future but labeled the situation a "badge of shame" for Guatemala because the country hasn't generated opportunities for its people at home.

Colom said the migrants to the United States were "true heroes who go there to work, not to bother anyone; they go there in search of a dream." Colom said he would "build a great nation that will generate hope here in Guatemala and bring hope back to Guatemala."

Suger said that as president he would negotiate a 10-year program with the United States to provide educational programs for Guatemalan migrants so they could finish school, which he said would allow them to return to Guatemala with new skills and money saved. E-mail to a friend

@highlight

Top five presidential candidates offer ideas for curbing soaring crime rate

@highlight

Two candidates call illegal migrants to U.S. "heroes"

@highlight

All discuss ways to slow immigration to U.S. by improving things at home

@highlight

Guatemala City debate comes amid wave of violence against candidates