(CNN) -- I moved from Turkey to New York right after college and stayed for 10 years. I instantly felt I belonged. No matter how small my apartment was, how little money I had or how bad the streets smelled, I was happy.

I went to graduate school, worked, had the time of my life and became an adult. Although I missed my family, friends and having a glass of Raki looking at the Bosphorus, I never wanted to go back.

Unfortunately, there was one big hurdle in my New York forever plan: the scholarship that got me to U.S. had a strict rule of returning home for two years after graduating. That rule was to prevent brain drain: the departure of educated or professional people from one country for another, for better living conditions.

More than that, my significant other wanted to go back. "No matter what" he said, "I want to build our lives in Turkey." So we did -- I am writing this from Istanbul, where I have lived for almost two years now.

The "no matter what" part he was referring to was all the reasons why people leave in the first place: lack of opportunities, political and economic instability, and oppression.

But from afar, Turkey did not seem to be such a gloomy option. The buzz was that it had become the 16th biggest economy in the world with a dynamic, young work force.

Pundits were quick to praise Turkey as a model country: a secular Muslim democracy with a liberal market. Friends were going back and the ones who stayed in New York were asking if they should follow whenever we got together.

I did not see such a model country when I moved back. And things deteriorated over the last two years.

I saw Erdogan's unbearable authoritarianism, his denigrating and polarizing stance, a discriminatory attitude towards anyone who is not a Sunni Muslim or an ethnic Turk and no respect to anyone who is not 100% pro his AKP party.

Human Rights Watch's 2014 report said that the AKP has demonstrated a "growing intolerance of political opposition, public protest, and critical media."

Regulation against hate crimes did not recognize ethnicity or sexual orientation as separate categories. Neither were Alevis listed as a distinct faith community or Kurds -- the largest ethnic minority in Turkey, recognized as a separate ethnicity.

As violence against women increased, the World Economic Forum ranked Turkey 120 out of 136 countries in its 2013 Global Gender Gap Index. Amnesty International accused Turkey of "gross human rights violations" during the Gezi protests.

I saw a complete lack of freedom of expression as Turkey became the worst jailor of journalists in the world.

As for my beautiful Istanbul, the city I dreamed of whenever I missed home, I saw an utter lack of sustainable urban development.

Projects like the world's largest airport, a canal that would split the city's European side, a third bridge and the now infamous Ottoman-era barracks in lieu of Taksim Square were planned without any consideration for the ecological system or the fabric of the city.

Large scale real estate projects gentrified neighborhoods and pushed the poor out of the city. It was no surprise then that Istanbul ranked 117th among 221 cities in the EU's urban livability index.

The economy was not as good as it looked either: according to the OECD's 2014 statistics, Turkey has the third highest level of income inequality in the OECD area. One in every five Turks is poor. I started asking myself: shall I go back, can I really live here?

Then the Gezi protests happened. A cloud of hope surrounded all of us skeptics despite the horrendous police violence we had witnessed.

I felt alive and happy to be in Turkey, hopeful for future. Protesting in the streets as long as we did, I thought "I could not have lived with myself if I was in U.S. at this time."

When the police cracked down the protests, the resistance reconstituted itself as political opposition in different shapes and forms.

But the physical and political violence did not stop. Erdogan became more despotic as the recent corruption scandal started threatening his power; he went as far as blocking Twitter and YouTube.

A feeling of depression replaced hope. So I started thinking again: shall I leave?

For every person who wants and is able to go abroad, there is another who would never dream of leaving his beloved homeland or one that is not fortunate enough to have the opportunity to leave even if he wanted to.

It is hard to be trapped between your brain and your heart. As for me, I think I will stay for now. And even if my brain drains to the farthest corner of the world, I know my heart will carry my country with me, wherever I go.

The opinions expressed in this commentary are solely those of Binnaz Saktanber.

@highlight

Binnaz Saktanber recently moved back to Turkey after spending a decade abroad

@highlight

She says she felt happy to be in Turkey during last summer's protests, hopeful for future

@highlight

Recently, she began to lose hope and started thinking about leaving again, she writes