The law passed at the height of America's civil rights movement, when citizens in parts of the country were fighting each other and sometimes authorities over how skin color impacts a person's place in a democracy.

Now, its present and future are in doubt after the Supreme Court's 5-4 decision Tuesday that key parts of the Voting Rights Act of 1965 are no longer valid. The prevailing opinion leaves it to a divided Congress to revise the law, so that it's constitutional in the minds of a majority of justices.

The main reason for the ruling, Chief Justice John Roberts explained, was that "our country has changed" for the better. Deplorable conditions that spurred Congress five decades ago to require certain parts of the United States to "preclear" changes to voting laws "no longer characterize voting in the covered jurisdictions."

The formula that Congress enacted as recently as 2006, to determine which areas are covered by the act, has "no logical relation to the present day," Roberts wrote in the majority opinion.

"While any racial discrimination in voting is too much, Congress must ensure that the legislation it passes to remedy the problem speaks to the current conditions," he said.

Read the ruling

Officials hailed the decision in places such as Selma and Shelby County, Alabama, which raised the case when it sued the federal government. But President Barack Obama did not, nor did civil rights leaders.

John Lewis is one of them. Born to sharecroppers in Alabama in 1940, he became a leader in the civil rights movement, working with the Rev. Martin Luther King Jr. and others. In March 1965, he led hundreds protesting voting rights in Alabama when they were confronted by Alabama authorities after crossing the Edmund Pettus Bridge in Selma -- an incident that became known as "Bloody Sunday."

Long a U.S. representative from Georgia, Lewis said what happened then is relevant now, and he claimed "numerous attempts to impede voting rights" nationwide still need to be addressed. To him, the high court decision -- which he said "stuck a dagger into the heart of the Voting Rights Act" -- is personal.

"These men never stood in unmovable lines," said Lewis of the justices, referring to voter registration ques that never moved. "They were never denied the right to participate in the democratic process. They were never beaten, jailed, run off their farms or fired from their jobs.

"No one they knew died simply trying to register to vote. They are not the victims of gerrymandering or contemporary unjust schemes to maneuver them out of their constitutional rights."

What the ruling says

Tuesday's ruling doesn't change the fact it's still illegal to discriminate against a person when it comes to voting. But it does change how some governments have been singled out. Unlike the rest of the nation, these municipalities, counties and states have had to get the federal government's approval first before they made any changes to their voting laws and regulations.

Civil rights groups say the Voting Rights Act -- specifically Section 5, the mechanism for the special treatment for some locales -- has been an important tool in protecting minority voters from governments with a history of setting unfair barriers to the polls. Lewis recalled some Tuesday, such as devious "literacy tests" or asking people to figure "the number of jelly beans in a jar."

"My own father, my own mother, my grandparents could not register to vote simply because of the color of their skin," he told CNN.

In her dissenting opinion, Justice Ruth Bader Ginsburg pointed out that Congress passed the latest installment of the Voting Rights Act with "overwhelming bipartisan support," saying the representatives legitimately exercised their constitutional powers in doing so.

"The sad irony of today's decision lies in (the court's) utter failure to grasp why the (law) has proven effective," Ginsburg wrote.

Opinion: How segregation got busted

But her view didn't rule the day. Instead, the ruling decision overturned critical aspects of the law. Specifically, Section 4 -- the formula  the federal government uses to determine which states and counties are subject to continued oversight -- was struck down. Roberts said that formula, which was devised in 1972 and later reauthorized by Congress, is outdated and unworkable.

That means Section 5 effectively cannot be enforced. It relies heavily on the coverage formula to determine which governments must still run any changes by the U.S. Justice Department.

In his ruling opinion, Roberts faulted Congress for not updating "the coverage formula" last decade to reflect changing times.

"Its failure leaves us today with no choice but to declare Section 4 unconstitutional," he wrote. "The formula in that section can no longer be used as a basis for subjecting jurisdictions to preclearance."

As Roberts noted, this doesn't make discrimination against voters legal, all of a sudden. But it does lift a key barrier to authorities in some states to make changes independently.

Texas Attorney General Greg Abbott, for one, announced Tuesday that after the decision "the state's voter ID law will take effect immediately (and) redistricting maps passed by the Llegislature may also take effect without approval from the federal government."

"That basically gives a green light to these nine Southern states and a handful of other jurisdictions to change the law any way they want and basically say to the Justice Department, 'Catch me if you can,'" explained CNN senior legal analyst Jeffrey Toobin.

"It looks like these Southern states are going to start making changes. And we'll see how that's going to affect the right to vote in the relatively near future."

Should every state, county be treated the same?

The Obama administration points out some governments have gotten out of Section 5 under the now old rules. For example, 31 cities and counties and Virginia successfully petitioned to be exempt from the preclearance requirements in recent years, though the rest of the state remains under federal oversight.

The law had been working in preventing "discriminatory voting changes," Attorney General Eric Holder said.

Specifically, he mentioned how it blocked Texas from adopting a new congressional redistricting map that would have "discriminated against Latino voters."

Holder also said the Voting Rights Act changed how South Carolina will implement a law requiring photo identification before being allowed to vote. Those changes, he said, protected black voters who would have been "disproportionately" affected.

Obama characterized Tuesday's ruling as a "setback," even as he vowed his "administration will continue to do everything in its power to ensure a fair and equal voting process."

Voting discrimination, he said, still exists, and the decision "upsets decades of well-established practices that help make sure voting is fair."

Others offered even stronger language.

Sen. Kirsten Gillibrand of New York called Tuesday's decision a "devastating blow for civil rights and voting rights;" New York  Gov. Andrew Cuomo described it as "deeply troubling;" and NAACP President Ben Jealous called the decision "outrageous," because it makes minority voters "more vulnerable to the flood of attacks we have seen in recent years."

Rep. Marcia Fudge, chairwoman of the Black Congressional Caucus -- in a statement that included remarks from the heads of Hispanic and Asian groups in Congress -- slammed the high court for its choice "to ignore" reports that" racial discrimination in voting districts continues to exist."

But the sentiments were markedly different in Alabama, where Gov. Robert Bentley said the decision "reflects how conditions have improved."

"The justices correctly acknowledged that the covered jurisdictions should no longer be punished by the federal government for conditions that existed over 40 years ago," said Frank Ellis, the county attorney for Shelby County, where 11% of residents are African-American compared to 28% statewide. "The South is an altogether different place than it was in 1965."

Edward Blum, a conservative and director of the Project on Fair Representation, said Tuesday he's happy that no government is now singled out.

"This decision restores an important constitutional order to our system of government," he said. "And that requires that all 50 states and every jurisdiction have the laws applied equally to them."

Veterans of forgotten voting war count the cost

@highlight

A state voter ID law will "take effect immediately" in Texas, attorney general says

@highlight

Supreme Court rules that key parts of that 1965 law are unconstitutional

@highlight

Chief Justice Roberts says "our country has changed" for the better

@highlight

Rep. Lewis faults court for putting "a dagger in the heart of the Voting Rights Act"