A Pennsylvania judge is expected to rule Tuesday whether or not to uphold a new state law requiring every voter to present a photo ID at the polls.

Supporters argue that the law signed in March by Republican Gov. Tom Corbett will prevent voter fraud and is upheld by the constitution.  But opponents counter that the new law will disenfranchise voters, and any implementation should be postponed until after the November 6 presidential election.

The state Supreme Court has given Commonwealth Court Judge Robert Simpson, Jr., until Tuesday -- five weeks before the election  -- to decide on the matter.

Here's a overview of what's at stake:

What exactly is the lower court judge ruling on?

Judge Simpson is not ruling on whether the law is constitutional -- that's up to the state supreme court.  He has been tasked by the state's high court to determine whether people across the state have equal access to photo IDs in time for the November 6 election.

If he finds that they do not, the court is obligated to enter a preliminary injunction -- in other words, temporarily halt the law -- until after the upcoming presidential election to prevent voter disenfranchisement.

Whatever he decides, it's highly likely that the other side will once again appeal his ruling.

So, if the law is upheld, what will change for Pennsylvania's voters in November?

Prior to this law, first-time voters in Pennsylvania were allowed to present documents such as bank statements and utility bills in lieu of photo identification.

If the law is upheld, all voters will have to present a valid photo ID -- one that is sanctioned by the state -- before they cast their ballots.

One thing that won't change: Pennsylvania voters must be registered by October 9 to cast a ballot in the November 6 general election.

What kind of IDs are allowed under the law? And just how hard is it to get one?

Under the law, voters need to present one of the following at their precinct:

* A Pennsylvania driver's license

* A state ID issued by the Pennsylvania Department of Transportation (PennDOT)

* A U.S. passport

* An active duty or retired U.S. military ID

* A military dependent's ID

* A state employee ID issued by the federal, state, county or municipal government

* A school ID issued by an accredited Pennsylvania university, college, seminary, community college or two-year college to students, faculty, employees and alumni.

* An ID issued by a Pennsylvania care facility

To get a photo ID, residents must have a valid Social Security card; an official birth certificate or U.S. citizenship documents; and two proofs of residency, such as a utility bill or tax records. (The state has more details for residents on its website).

Is this just partisan politics at play?

Pennsylvania is a likely swing state in the upcoming presidential elections, and that means any attempt to change the voting mechanisms this close to the election is bound to trigger accusations of partisan politics.

Gov. Corbett said the law "sets a simple and clear standard to protect the integrity of our elections."

While the law protects only against voter impersonation -- and lawyers on both sides admit there are no known cases of in-person fraud -- it still has a broader impact, according to conservative columnist John Fund.

"If someone walks in and votes in the name of the dead person (and) they don't have to show ID, how likely is that dead person to complain? We'll never know. And unless they confess, the crime is perfect," Fund said.

But critics say it's just an attempt by Republicans -- who overwhelmingly support the measure -- to gain an upper hand in a close election.

"Given that the vast majority of people who are impacted by this law are poor, are uneducated, or of color, or live in cities, i.e. Philadelphia and Pittsburgh, (and) are likely to vote Democratic, this law could have an impact on the presidential election,"  said Vic Walczak, legal director of the American Civil Liberties Union of Pennsylvania.

That position was bolstered when the state's House GOP leader Mike Turzai told a group of fellow Republicans in June that the measure would "allow Governor Romney to win the State of Pennsylvania."

Turzai's office has since said the legislator was commenting on the issue of voter fraud.

Why is this issue still being debated so close to the presidential election?

The issue actually started eight months before the elections when Corbett signed the law in March.  After that, civil rights organizations and attorneys filed a lawsuit in May to overturn the law.  That eventually made its way to the state Supreme Court which sent the dispute back down to Simpson in Commonwealth Court, who upheld the law in August.

Sisters navigate new voter ID law

Last month, the state Supreme Court agreed to hear an appeal of Simpson's decision, then sent the case back to Simpson for additional review, with a court-imposed deadline of October 2 for a final ruling.

@highlight

A Pennsylvania judge has until Tuesday to rule on state's voter ID law

@highlight

The judge will determine whether or not the law disenfranchises voters

@highlight

The law requires all voters to bring state-issued photo ID to the polls each time they vote

@highlight

Supporters say the law prevents fraud; detractors say the law disenfranchises voters