(CNN) -- Stakes have been raised in the museum world with the reopening after 10 years of Amsterdam's Rijksmuseum. Enough old masters were dusted down and rehung during the renovation to get a room of Russian oligarchs panting.

The chance to see Rembrandt's huge and glorious "The Night Watch" painting once more -- it has a whole room to itself in the refurbished gallery -- is reason enough to plan some serious museum crawling on your next European trip.

But do you always want to follow the crowd to the obvious treasures? Your Mona Lisas, your Van Goghs?

Sometimes those artistic icons are obligatory sights but experts reveal that -- from a two-million-year-old stone tool to a life-size Roman equestrian statue made entirely of bronze -- some of the most remarkable museum and gallery highlights take a little digging.

What: The Olduvai stone chopping tool.

Where: The British Museum, London (Great Russell Street, +44 (0)20 7323 8299).

Jeremy Hill, research manager at the British Museum, says one piece he always takes people to is a two-million-year-old stone tool from the Olduvai Gorge in Tanzania.

"The lump of grey rock does not look much but it is one of the oldest humanly made objects in the world and the oldest thing in the British Museum's collection," he says.

"It's the starting point for who we all are today."

What: Rembrandt's "The Night Watch."

Where: The Rijksmuseum, Amsterdam (Museumstraat 1; +31 20 6621 440).

When the Rijksmuseum reopened this year after a decade-long refurbishment there was no question about the key exhibit.

Wim Pijbes, the museum's director, told CNN that Rembrandt's "The Night Watch" "is the altarpiece of the Rijksmuseum. The whole place is arranged around this beautiful masterpiece."

The 1642 painting of Amsterdam's local militias is the only artwork in the museum with a trapdoor underneath, allowing it to be removed to safety in the event of fire or other danger.

What: The Marcus Aurelius statue.

Where: The Capitoline Museum, Rome (Piazza del Campidoglio 1, +39 060 608).

Rome's greatest treasures tend to be outdoors -- it's a giant open-air museum.

But Agnes Crawford, art historian and owner of Understanding Rome tours, reckons the equestrian statue of Marcus Aurelius alone is worth the entrance fee to the Capitoline Museum.

"The giant, totally intact bronze is the most Roman of statues," she says.

"It's from the high period of empire so it's of the finest quality, and it's a heroic survivor of medieval 'recycling.'"

What: Filippo Lippi's Madonna and Child and the Two Angels.

Where: The Uffizi Gallery, Florence (Piazzale degli Uffizi 6; +39 55 238 8651).

The sheer size and grace of Michelangelo's "David" in the Galleria dell'Accademia makes it the most famous single piece in Florence. But Pier Carlo Testa, director of the Italian cultural walking tours company Artviva highlights Filippo Lippi's "Madonna and Child and the Two Angels."

"It's all in the way the artist has managed to depict the Madonna as modeled by his wife -- with every tenderly detailed feature, ever strand of hair, you can see he is in love with her," Testa says.

What: The Pergamon Altar.

Where: The Pergamon Museum, Berlin (Bodestrasse 3; +49 30 2 6642 4242).

Few pieces are great enough to have an entire museum named after them.

The Pergamon Museum in Berlin isn't exactly short of massive ancient monuments either -- but the Pergamon Altar trumps the rest.

Transported from modern day Turkey, this monumental stone altar dating back to the 2nd century BC cows visitors with its size, then draws them in with astonishingly detailed friezes depicting the battles between gods and giants.

What: Théodore Géricault's "The Raft of the Medusa."

Where: The Louvre, Paris (4 Place du Louvre; +33 01 40 20 53 17).

Courtney Obee Delaunay, art historian and docent for Context Travel, goes beyond the "Mona Lisa" to pick Géricault's monumental marriage of high art and journalistic sensationalism.

"The dramatic scene vividly depicts the makeshift raft holding the emaciated and even corpse-like survivors of French shipwreck The Medusa, abandoned by its politically appointed captain," she says.

"Géricault represents the figures in a very realistic, yet also heroically classical way. It creates the perfect bridge between earlier masterworks found in the Louvre and the early modern works on display at the Musée d'Orsay."

What: "The Saliera."

Where: Kunsthistorisches Museum, Vienna (Burgring 5; +43 1 525 240).

The Kunsthistorisches Museum is home to masterpieces by the likes of Vermeer, Rembrandt, Raphael and Caravaggio but Sabine Haag, the museum's director-general, points to Benvenuto's "Saliera" as the must-see.

"A unique work of goldsmith art, the complex pictorial program culminates in an allegory of the cosmos with the god of the sea and the goddess of the Earth, animals, the four winds and the four times of the day," says Haag of the piece returned to the museum this year after another decade-long renovation.

"'The Saliera' is a truly virtuoso piece -- we know from Cellini's autobiography that he hammered the figures from gold foil with every refinement he could imagine."

What: Picasso's "Guernica."

Where: Museo Nacional Centro de Arte Reina Sofía, Madrid (Calle de Santa Isabel, 52; +34 917 74 10 00).

Four of the 15 most expensive paintings ever sold are by Picasso, yet the work widely regarded as his greatest masterpiece would almost certainly smash all records if put up for auction.

Guernica's size -- 3.5 meters by 7.8 meters -- makes it unusual, but it's the political commentary about Nazi bombing during the Spanish Civil War and the layers of symbolism piled within that make it arguably the most famous artwork of the 20th century.

What: The Parthenon sculptures.

Where: The Acropolis Museum, Athens (15 Dionysiou Areopagitou Street, +30 21 0900 0900)

There's no greater symbol of Ancient Greek classicism than the Parthenon, and most of the treasures from Athens's hilltop temple are inside the Acropolis Museum.

Dr Tom Flynn, author of "The Universal Museum," says the Parthenon sculptures are the pinnacle of Greek high classical sculpture.

"Their location in the Parthenon Gallery of the New Acropolis Museums allows us to appreciate them in the context of the Parthenon itself. You can faithfully recreate their original disposition on the temple, which is visible from the gallery," he says.

What: Mantegna's "Dead Christ."

Where: Pinacoteca di Brera, Milan (Via Brera 28; 00 39 02 722 631).

"Leonardo da Vinci's 'Last Supper' is Milan's outstanding artwork, but it's on a convent wall, not in a museum," says Donald Strachan, co-author of Frommer's Italy.

His favored alternative is Mantegna's "Dead Christ," which was regarded as genuinely shocking when painted in the 1480s.

"It is brutal in its simplicity, unsentimental in its treatment of Jesus's pallid corpse on a slab and a masterclass in realistic foreshortening, which was a relatively recent innovation in art," Strachan says.

@highlight

Competition in museum world heats up with reopening of Dutch treasure house

@highlight

Greatest treasures not always where crowds are

@highlight

British Museum cites its oldest object -- a chopping tool

@highlight

In Florence, a Madonna portrait modeled on artist's beloved wife is alternative must-see