(CNN) -- As yet another presidential election cycle ends, it's a good time not only to tally wins and losses, but to reflect on the nature of the American political system and why it so often disappoints voters and presidents alike.

Think of the extravagant hopes and promises that attended Barack Obama's election in 2008. Obama surely had good historical grounds for thinking that the seismic financial upheaval of 2009 presented him with opportunities to transform America for the better.

And so it did, to a degree his own reelection campaign somewhat mysteriously chose not to emphasize, by creating the political space for major legislative victories like the Affordable Care Act and the Dodd-Frank financial reforms.

But those achievements fell measurably short of candidate Obama's aspirations, and were matched by precious few other initiatives that met the expectations arising from the 2008 campaign.

Opinion: Five things Obama must do

This time around a chastened Obama notably failed to offer a grand vision for the American future and instead contented himself with delegitimizing Mitt Romney and dwelling for the most part on small-bore issues.

What is it about the American presidency, anyway?

Every four years, Americans become besotted with presidential politics. Indeed, in the media-marinated age of the "perpetual campaign" the besotting has no fixed cycle, quadrennial or otherwise. Though for more than a century near majorities of eligible voters have not bothered to cast ballots in presidential elections, none today can escape the saturation news coverage, ubiquitous advertising, and relentless prattle of the chattering classes that attend the contest for the White House.

No other country spends so much of its time choosing its top-level political leadership. The British and the Australians usually get the job done in less than six weeks. The French, as a rule, take no more than three. Canada's longest campaign ever, in 1926, lasted just 74 days. And no other people pour such vast buckets of money into their electioneering as the Americans -- some $6 billion in the current round. Perpetual presidential politicking is as American as apple pie -- and a darn sight more expensive.

And as for the candidates, what makes them run? In a nation long schooled to believe that any child can grow up to be president, an astonishing number of men of outsized ambition (and at least a few women) have taken the lesson to heart.

News: Romney only prepared a victory speech

They have devoted virtually their entire adult lives to seeking the presidency. They have plotted, maneuvered, schemed, bargained, cajoled, begged, exalted and often humiliated themselves in pursuit of the prize. Once in hand, the long-coveted office has sometimes made but more frequently broken them.

Abraham Lincoln and Franklin D. Roosevelt, two examples of the relatively few presidents who can be counted as successful, largely realized their grandest aims -- though in both cases the presidency cost them their lives, one by assassination, the other through catastrophic overwork and consequent self-neglect.

More often, in the case of otherwise accomplished and respected men, the presidency has merely cost them their reputations. For the likes of Ulysses Grant, Herbert Hoover and Lyndon Johnson -- each of them celebrated masters of their pre-presidential domains -- the presidency proved a career-killing heart-breaker. Sixteen hundred Pennsylvania Avenue has been the scene of many bitter disappointments, as well as some tragedies of epic, Shakespearean proportions.

In light of that dispiriting history, why would anyone wish the travails of the presidency upon himself? As President James Garfield put it in 1881, after just a few months in office: "My God! What is there in this place that a man should ever want to get into it?"

Yet men have wanted it, desperately, including Mitt Romney and Barack Obama. Both of them might answer Garfield's question by saying, simply, that the Oval Office is a matchless place from which to serve one's country.

But as Garfield and other presidents -- including Obama -- learned, the American presidency is a truly peculiar institution, with less power in actuality than folklore has it.

The president and vice president are but two of the 537 elected officials in Washington. Surrounding the White House is a political playing field mined with enough vetoes to stymie even the most ambitious of men.

News: GOP expands majority in governor's mansions

Yes, modern presidents oversee a vast 21st-century machinery of state whose operations touch almost every corner of American life. But they share executive authority with 50 governors; and many government entities, such as the Federal Reserve system, are formally independent of presidential control. The president has no official voice in the legislative process, save for his own veto, which can be overridden by congressional super-majorities. He can nominate federal judges and Supreme Court justices, but they must receive Senate confirmation, and in any case serve for life in a proudly independent judiciary. He is the commander in chief, but the Constitution reserves to Congress the right to declare war.

It is not simply the lust for power, however constitutionally jacketed it might be, that fuels men's and women's appetites for the office; it deserves to be acknowledged that love of country is among the reasons that so many good people, including Obama and Romney, have pined for the opportunity to serve.

Yet contrary to the balladeer's promises, in politics no less than in romance, love is not enough, and it rarely, if ever, conquers all.

Opinion: Obama will get little time to celebrate

This is the hard lesson that Obama has learned in the last four years as president. He is a devoted patriot who in his 2009 inaugural address praised the Founders, whose "ideals still light the world." He excited effusive affection among his countrymen on his way to winning the presidency in 2008.

But the last four years have seen no deepening love affair between the president and his people. On the contrary, the ardor of his supporters has measurably cooled, and some have jilted him altogether. His detractors have multiplied and hardened against him. And events have tempered even his extravagantly idealistic vision of his country.

The president's frustrations have derived not simply from the septic political climate of our times, but at least as much from a set of mechanisms carefully crafted by those same hallowed Founders more than two centuries ago.

Generations of schoolchildren have been taught to reverence the "checks and balances" the framers stitched so artfully into the Constitution. Less frequently noted are the liabilities that were integral to their design. They deliberately constructed the American governmental system so that it would be difficult to operate, the presidency in particular.

What do you think of the election results? Share your reaction.

Their colonial experience with the British crown and royal governors made them especially wary of executive power, and though the presidency was one of their cleverest innovations in that long-ago Philadelphia summer, they hedged it about with constraints and counterbalances to ensure that no president would ever accrue anything remotely resembling monarchical authority.

Small wonder that over the arc of American history only a handful of presidents can be said to have effected truly lasting transformational change -- Lincoln, FDR, Lyndon Johnson and perhaps Ronald Reagan make the short list, but few others do, and that's no accident.

Americans may yearn for strong leadership, but in their stubborn contrariness they do not want truly powerful leaders. They may want effective government, but they apparently like divided government even more, when neither party simultaneously controls House, Senate, and presidency -- the situation we've been saddled with for 31 of the last 43 years.

So it should not be surprising that Obama's accomplishments marked the narrow limits of the achievable. They triggered a vicious political backlash in the 2010 election, ushered in yet another round of divided government, and may yet prove but short-lived reminders of the young president's aspirations, not permanent features of the American landscape.

We are a democracy, and cannot escape the logic of the venerable maxim that we have the government we have chosen and that we deserve. Like it or not, Obama's first term confirmed that our inherited governmental system worked according to its design specifications.

The season of effective, vigorous presidential leadership had but the briefest half-life; the wheels of the constitutional machinery designed to hem the president in began to turn almost from his first day in office, as did the gears of our often perversely contradictory political culture. Within two years we had stalemate, and the blame game began in earnest.

Analysis: Obama won with a better ground game

But in the last analysis we have no one to blame but ourselves, and our inherited political system -- and we have no plausible reason to expect anything substantially different in Obama's second term.

From all appearances we are most probably in for a repeat performance of the last two years: a remarkably disciplined and decidedly intransigent Republican party dominating the House, a paper-thin and fragile Democratic majority in the Senate, and a diminished, dispirited, and check-mated president with little or no room for maneuver -- and this in the face of perhaps the greatest fiscal challenge in the history of the republic, an increasingly volatile international environment, and a raft of unfinished business like devising coherent national energy and immigration policies.

So why do we get so overheated about the presidency? Why don't we generate some heat about the antiquated system of which the president is but one, too often hapless, part? What is it about divided government, anyway?

If even as committed a change agent as Obama is doomed to four more years of nothing more than Lilliputian, small-beer tinkering; if the self-described greatest power in the world is so powerless to put its house in order, isn't it time for a thorough overhaul of our manifestly antiquated political machinery?

The opinions expressed in this commentary are solely those of David M. Kennedy.

@highlight

David Kennedy: Barack Obama's achievements fell short of his aspirations

@highlight

Kennedy: American political system often disappoints voters and presidents

@highlight

He says the presidency has less power in actuality than folklore has it

@highlight

Kennedy: In a second term, Obama faces a divided, bickering government