(CNN) -- As Iran rushes ahead with its nuclear program, some foreign policy thinkers urge Israel to accept that it must live with "incomplete" security.

On Monday morning, 200,000 Israeli children spent the morning in bomb shelters rather than classrooms, as rockets from Gaza barraged southern Israeli cities. That would seem to qualify as security "incomplete" enough to satisfy anybody.

Israel has met the barrage with a new defense system, named Iron Dome.

Iron Dome senses rocket launches. Its computers assess which rockets are headed toward populated areas, then it fires missiles to intercept the incoming rockets. According to the Israel Defense Forces, Iron Dome has achieved a success rate of more than 90% when fired. Since Friday, Palestinian militants have fired more than 170 rockets at Israeli cities, but as yet, no Israeli civilians have been killed.

Since 2001, Israel has responded to attacks by deploying ever-more effective technological systems: first the security fence to halt the entry of suicide bombers; now Iron Dome to stop short-range rockets; and in time, the Arrow anti-ballistic missile system against longer-range missiles.

These innovations have defeated and deterred violence and saved many lives.

But these innovations are also subject to inherent weaknesses.

The rockets launched from Gaza are armed only with explosives and shrapnel. When Iron Dome misses -- and it does sometimes miss -- the Gaza rockets kill and maim only within a very limited radius.

The fence also fails sometimes. Last year for example, a British citizen was killed and 50 people wounded by a bombing near the Jerusalem convention center. Yet as with the Gaza rockets, the lethality of bombings is inherently limited. Israel does not need to reach 100% success to defeat the terrorism threat.

Suppose, however, that the rockets carried nuclear payloads, or that suicide bombers had access to radioactive materials. Then a 90% success rate would not nearly suffice.

Iran's nuclear program threatens to upend the strategic calculus of the past decade, to overwhelm all Israeli countermeasures to protect Israel's population.

A nuclearized Iran does not imply "incomplete" security for Israel. It would expose Israel to absolute insecurity.

As rockets fly toward southern Israel, the rest of Israel carries on. The economy produces and thrives. A relative of mine, visiting Jerusalem, comments that if she were not reading about the rockets in the newspapers, she would not know they were being fired.

Yet even the threat of a mass-casualty event would paralyze the Israeli economy. People would avoid downtowns, visitors would stay home, children would be sent abroad, investment flows would cease. Iran would not have to shoot at Israel. It would just have to talk loosely about shooting at Israel to do vast harm.

Iron Dome represents a triumph of Israeli science, generously supported by U.S. aid under both Presidents Bush and Obama. But we remain far away from a high-tech shield against the Iranian threat. This week's congratulations to Israel must be tempered by awareness: The biggest danger -- Iran's potential ability to build a weapon that could kill hundreds of thousands in a single strike -- looms as menacing as ever.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Israel reported 90-plus percent success in fending off incoming rockets

@highlight

David Frum says the "Iron Dome" system is useful for defending against Gaza militants

@highlight

He says an Iranian nuclear weapon would change the calculation

@highlight

Frum: Partial security isn't enough when the threat is mass annihilation