(CNN) -- Rather than getting ready to attract more tourists in its high season, Greece is headed toward the polls again on June 17. In the midst of domestic political uncertainty, more and more outside observers agree that "Grexit" -- the prospect of Greece leaving the euro -- has become inevitable.

Yet to read the May 6 election results or the first polls for the June election as evidence of Greek opposition to the euro -- or even to public and private sector reform -- is both simplistic and misguided. Given the choice, Greeks would pick Europe over their own politicians.

Two weeks ago, the electorate did not reject the European Union or the single currency. Rather, they rejected the political duopoly that has monopolized power in Athens since the last Junta collapsed in 1974. The Pan-Hellenic Socialist Movement (PASOK) and New Democracy (ND) -- the so-called "establishment" supportive of the bailout -- are the same parties that built an unviable state with a bloated public payroll and enough red tape to wrap the Acropolis.

For all the good George Papandreou did in late 2009 by coming clean about the lies of past administrations, it was his father who helped build this woefully inefficient and ultimately insolvent system. Papandreou the Younger changed tack only when credit markets woke up to the fact that Greek credit was not exactly of German quality (surprise!)

Now his former Amherst roommate, Antonis Samaras, promises to "save Greece." But less than a year ago Samaras was busy sowing distrust throughout Europe by refusing to promise that his party would honor existing commitments. While the new PASOK leader Evangelinos Venizelos has acted more responsibly, he is also part of the same tainted elite.

A last-ditch effort by the president to form a technocratic, unity government failed last week. Of course, technocracy has been tried in Greece before. But the reason the last supposedly technocratic administration of Lucas Papademos had a hard time passing meaningful reform was because it included PASOK and ND ministers, who carried on their internecine feud with an eye to the polls. Papademos's mistake was not to demand a fully technocratic administration like Monti's in Italy.

The bottom line is that the ND-PASOK duopoly has now lost its legitimacy. The fragmentation of the Greek political scene was a predictable consequence of an economic depression voters rightly blamed on the political establishment.

The good news is that the appeal of the far-right Golden Dawn seems to have peaked. The bad news is that the main beneficiary of public disillusionment is Alexis Tsipras, leader of the intransigent hard-left Syriza, who claims to "listen to the people" while rejecting the kind of unity government that more than 70% of Greeks said they wanted.

Tsipras acts as if he commanded a majority, but he achieved less than 17% support on May 6 -- and for all the ink spilled about him he will not get a majority in June.

Domestically, his party offers nothing more than a return to the old and miserably tested ways of hiring more public servants and reversing useful reform. Worse, his populist platform is openly contradictory on the euro: how can he seriously argue he wants to honor Greeks' hopes to remain in the single currency while simultaneously promising to burn all existing agreements with Europe?

The game of chicken he is playing with Berlin and Brussels is reckless because the costs of Grexit would be devastating for Greece.

For all his talk of "listening to the Greeks", Tsipras neglects to mention leaving the euro would require even more draconian austerity because Greece would have to close its primary budget deficit overnight. There would be little tradable sector to rely on. So Tsipras's party would then have to seize deposits like the Argentine government did in late 2001.

Exit from the euro would then punish middle class depositors while rewarding those Greeks with their money in Geneva. And devaluation-induced competitiveness would be ephemeral as inflation ravaged a restored drachma. In short, Syriza offers a blast from the past: failed strategies to keep hiring public workers and to isolate itself internationally.

Greeks know full well that this is the past from which they escaped through membership in the European Union, which is why the polls suggest that between 75-82% of them want to remain in the single currency.

So what Greece urgently needs is a pro-European, pro-reform alliance, without too much PASOK and ND baggage, to take on Tsipras's shallow dream. Regardless of whether Chancellor Merkel suggested it or not, it may be time to revive the idea of a euro referendum. The electorate would then be able to make clear that they want to keep the benefits of EU integration.

From the perspective of Brussels and Berlin, maddening though Athens may be, there is no alternative but to double down on Greece -- because a Greek exit would have huge ripple effects through all the Mediterranean economies (and their banking systems). More importantly, structural reform is still worth pursuing -- opening up the professions, reforming the public sector, and liberalizing an economy that only benefits insiders are laudable goals.

There is no reason why the state should be paying salaries for people who have not shown up to work in decades or be hostage to a taxi union keen on maintaining their monopoly at the expense of tourism, which comprises almost the whole Greek export sector. But the Greeks need stronger incentives to endure the pain of fiscal consolidation.

In the coming days, the new French President's Francois Hollande's "growth compact" and the calm credibility of Italy's Mario Monti may help change the outlook for European reform and consolidation. These leaders are tacit supporters of the idea of a "quid pro quo" for reforming governments.

Humiliated in her own regional elections last weekend, Germany's Angela Merkel now has little option but to heed them. Starting with the informal summit this week, it is time for the next step down the long and winding road to joint and several liability of eurozone debt.

@highlight

Greeks preparing for fresh election after inconclusive May vote

@highlight

Vote is seen as a test for whether Greeks want to stay in the eurozone

@highlight

Article's author Pierpaolo Barbieri says most Greeks want to remain

@highlight

Greek's currency crisis is threatening to cripple Europe's economy