(CNN) -- Ukrainians have voted, and they have overwhelmingly chosen to stay the course on European integration.

Late last month, pro-European parties won a sweeping victory in parliamentary elections that saw allies of Ukrainian President Petro Poroshenko and Prime Minister Arseniy Yatsenyuk come out on top. But while Europe and the United States are celebrating the outcome as a strategic victory for the West, the election result itself simply builds on the slogans of last winter's Euromaidan Revolution. The trouble is that in Ukraine, such rhetoric has all too often led to disappointment.

Of course, the West can hope that this time, Ukraine's political class will fulfill its promises. But as the axiom goes: Hope alone is not a strategy.

Indeed, Kiev's hopes have already begun to deflate since Russian-backed rebels held their own elections in the self-proclaimed People's Republics of Donetsk and Luhansk, and threatened to seize further territory in Ukraine's southeast. To win a meaningful victory in Ukraine, therefore, the West now needs to clearly define its own interests, develop a strategy that recognizes constraints as well as opportunities to advance those interests, and deploy sufficient financial, political and military resources to put that strategy into action.

So, how should the West start?

First, it is essential that the West define its interest in Ukraine on its own terms -- it cannot simply be the opposite of what Russia wants. Nor can it be just whatever Ukrainian leaders say they want from one moment to the next.

For Europe and North America, Ukraine's future is surely about the welfare of 45 million Ukrainians and the geopolitical orientation of one of Europe's largest countries.

Yet even more is at stake. The West's vital interests in Ukraine cut to the very heart of more than half a century of Western security and prosperity: To sustain the credibility of the Western socio-economic and political "model," preserve a privileged, central position in the globalizing economy, and reinforce the critical infrastructure of Euro-Atlantic peace and security, with NATO at its core.

To secure these interests in Ukraine demands a strategic approach that has so far been lacking from either European or American policies, despite abundant soaring rhetoric and political theater.

The Western socio-economic model is under assault not only in the post-Soviet space, but in Europe itself, where economic uncertainty and social malaise are fertile ground for anti-establishment ideologues, including some overtly or covertly allied with Kremlin propagandists and flush with Russian cash. To restore and rebuild the credibility of this model, Brussels and Washington should start by intervening decisively to stem the crisis at its weakest point, which is now Ukraine.

Although they have embraced what they consider to be Western political values, Ukrainians are uncertain that they can achieve prosperity. The country has suffered a currency devaluation of almost 100% with double digit GDP loss, the banking sector is functionally insolvent, and the government is perpetually on the verge of default.

The global financial crisis that originated in the West proved that only a swift and overwhelming response can prevent panic from freezing private credit and consumer confidence exactly when they are needed most. Ukraine now needs far more than the roughly $18 billion so far offered by the IMF and Western governments to avert disaster. The real figure may be closer to $50 billion in the next year, money that should be offered on credit to give markets full confidence in Ukraine's future, but with the tightest possible controls so the country's notoriously corrupt officials and oligarchs cannot siphon it to pad their private accounts.

Meanwhile, the West's "targeted" and "sectoral" sanctions against Russia have had so little immediate impact on the Russian economy that they are unlikely to prevent further Russian intervention in Ukraine, which the Kremlin views as a vital to its domestic political survival. At the same time, the West's decision to exploit its privileged position in the global economy to punish Russia may be exactly the push that Chinese, Indians, Brazilians and others need to begin seriously hedging -- limiting dollar and euro transactions, while shifting away from Western service providers, middlemen and lenders.

A smart strategy would couple each punitive sanction on the Kremlin elite with positive incentives for closer engagement with ordinary Russians, as well as small and medium sized Russian businesses, such as reduced barriers to travel and favorable financing. It would also entail steps to enhance the appeal of the current global trading and financial system for rising economies in Asia, Africa and Latin America, above all offering them influence commensurate with their growing prosperity.

Against such a strategy, an iron-fisted Kremlin response -- closing Russia off to the West and leaning on others to do the same -- would quickly alienate both the Russian people and the wider world.

The West's vital interest in secure, stable borders in the Euro-Atlantic region is imperiled not only in Ukraine itself, but among NATO members like Poland and the Baltic states, which fear that hybrid and asymmetric warfare tactics developed by Russian-backed forces in Ukraine may soon be tried out on them. The September NATO summit in Wales and U.S. President Barack Obama's visit to Estonia announced steps to reassure these allies, but the seeds of future conflict persist as long as Russia and its close neighbors face each other with inveterate hostility and suspicion.

NATO's commitment to Euro-Atlantic security should entail not only enhancing conventional deterrence, but also conducting a hard-nosed audit of vulnerabilities in NATO members' own security establishments, politics and societies. Russia's western neighbors are now deeply and understandably concerned about potential Russian-backed "fifth columns" in their midst, but they cannot turn a blind eye to nationalist strains in their domestic politics that demean or ignore the concerns of Russian-speaking minorities and Russia itself. NATO should therefore couple concrete reassurance with steps to help increase resiliency and inclusiveness in member states' domestic politics, as well as a renewed commitment to the NATO-Russia Council as a platform for direct dialogue.

Ukraine's pro-Western political transition is an important and historic development that can deliver far greater freedom, security and prosperity for Ukrainians and the region in the long term. Europe and North America stand to benefit as well -- but only if they recognize that their own vital interests are now at stake in Ukraine, and decide to take them seriously.

@highlight

Pro-European parties won solid victories in Ukraine's parliamentary polls

@highlight

West must realize importance of Ukraine to its interests: Matthew Rojansky

@highlight

Rojansky: West must help Ukraine shore up its economy