(CNN) -- So you got a flu vaccine this season, and you've been reading about the flu epidemic. You might be wondering: Will the vaccine keep me healthy?

The answer: The vaccine isn't a guarantee that you'll be flu-free. In fact, it's about 62% effective, said the director of the Centers for Disease Control and Prevention, Dr. Thomas Frieden, on Friday.

It can prevent the flu, and it can be beneficial even if you do get sick, said Dr. Bill Schaffner, chairman of the preventive medicine department at Vanderbilt University's School of Medicine.

"It's the best vaccine we have, but there are cases of influenza that occur despite immunization," Schaffner said on "CNN Newsroom" Thursday morning.

The effectiveness of the vaccine depends, in part, on how well it matches the strains of viruses that actually end up prevailing during the flu season.

So far, according to the CDC, this year's North American vaccine matches well with the most predominant type of flu spreading in the United States, but is less well matched to the No. 2 type of virus.

This year's North American vaccine is made from three viruses: two types of influenza A virus (H3N2 and H1N1) and an influenza B virus.

As of January 5, the CDC said Friday, the predominant virus in the United States was an influenza A (H3N2) virus that matched well with the H3N2 virus represented in the vaccine. Of the H3N2 viruses tested at that point, 99.4% matched the type that the vaccine protects against.

The match for influenza B viruses, the second-most common this season, wasn't as good. Of the influenza B viruses tested between October 1 and January 5, 66.7% were the type represented in the vaccine.

The match for H1N1, much rarer this season, was 100%, the CDC said.

Of the viruses collected and tested in the United States in early January, 20.2% were influenza B and the rest were influenza A -- the vast majority of which appeared to be of the H3 variety, according to the CDC.

The vaccine generally works better "in young, healthy people than it does in older persons," Schaffner said.

The CDC concurs: Even when vaccinated, some older people and people with certain chronic illnesses might not develop the same high levels of immunity as healthy, young adults, the CDC says on its website.

What to do if you have the flu

But even if it doesn't prevent illness in a particular person, the vaccine still can mitigate some of the symptoms.

"(Flu vaccines) are often of benefit because they can prevent some of the complications. It makes a more serious infection somewhat milder," Schaffner said.

Keep in mind that the vaccine doesn't work right away. "It takes about two weeks after vaccination for antibodies to develop in the body and provide protection against the flu," the CDC's website says.

Opinion: In the future, get vaccinated earlier

It's not too late to get a flu shot, Schaffner said.

"Influenza is going to be with us into February and even beyond. If you haven't been vaccinated, please, take advantage of the benefits of influenza vaccine," he said. "Run, do not walk -- get the vaccine. Protect yourself and everyone around you."

National Institutes of Health: It's an epidemic

If you did get the vaccine but still came down with the flu, you might wonder if the vaccine caused the illness. It did not, Schaffner said.

"You can get a bit of a sore arm if you get the injection. If you get the nasal spray variety, you can have a sore throat for a day and a runny nose. But you can't get flu from the flu vaccine," he said.

Dr. Sanjay Gupta, CNN chief medical correspondent, endorsed getting a flu vaccine and frequently washing your hands.

"With soap and water, wash your hands for two 'Happy Birthday' songs," he advised in an interview on CNN's "Anderson Cooper 360Ëš."

If you have the flu, how are you treating it? Send photos of your flu survival kits.

CNN's Carol Costello and Jason Hanna contributed to this report.

@highlight

NEW: Vaccine is about 62% effective, CDC director says

@highlight

Getting the flu vaccine isn't a guarantee that you'll be healthy

@highlight

The most common flu strain this season is a match with the vaccine

@highlight

But even if it doesn't stop illness, it can stop some symptoms, Dr. Bill Schaffner says