(CNN) -- China may be flexing its growing economic and military muscles, but the country's leadership is concerned about its vulnerability on a more nebulous front: culture.

The Chinese authorities are clamping down on the type of content being broadcast on the airwaves and websites within the country -- which already restricts and censors a lot of material -- aiming to promote Chinese culture and reduce outside influences.

The Chinese president, Hu Jintao, warned the Communist leadership not to loosen their grip on the country's cultural scene.

"We must clearly see that the international hostile forces are stepping up strategic attempts to westernize China, and ideological and cultural fields are a focus for long-term infiltration," Hu said in an essay published this week in Seeking Truth, the Communist Party's official magazine.

The essay was based on a speech Hu made to a meeting of party leaders in October where a broad agenda was set out to strengthen the role of Chinese culture in the country.

The publication of Hu's speech comes as China prepares to revamp its top leaders this year. And it follows a series of crackdowns on dissent after a string of uprisings last year against authoritarian regimes in the Arab world.

Amid the nervousness generated by that climate, Chinese leaders are worried that "the party's propaganda is no longer working," said Jeremy Goldkorn, the founder of Danwei.org, a popular English-language website about China.

Television appears to be a key front in the cultural conflict outlined by Hu.

In a stark example of the changes the authorities are seeking, the Chinese State Administration of Radio, Film and Television, the top broadcasting watchdog, announced Tuesday that the number of entertainment shows being aired in the country at prime time had dropped by more than two thirds at the end of the year, to 38 from 126 previously, according to the state-run news agency Xinhua.

The sharp fall was prompted by a directive issued by the watchdog in October -- the same month as Hu's speech -- intended to rein in "excessive entertainment" on the country's TV screens, Xinhua said.

The order, which came into effect January 1, restricted the number of entertainment programs that satellite channels can broadcast each week to two, with a maximum of 90 minutes of content defined as entertainment allowed during prime time -- between 7:30 p.m. and 10 p.m.

The Xinhua report said that the channels had instead "started to broadcast programs that promote traditional virtues and socialist core values," including documentaries and cultural and educational broadcasts.

The Chinese authorities say they want to keep outside influences at bay, but the general public devours a lot of imported content.

China has a strict quota of 20 foreign films per year, but preliminary figures as of mid-December indicated that Western film franchises like "Transformers" and "Harry Potter" were likely to occupy the top four box office spots for 2011, according to state media.

Chinese citizens are also increasingly interacting with the rest of the world, notably the United States.

The number of Chinese students enrolled at U.S. colleges and universities in the 2010-11 academic year rose 23% from a year earlier to 158,000, according to the Institute of International Education, an nonprofit organization.

To capture the attention of its own citizens and those abroad, the Chinese government appears eager to develop programming that shows off China's own culture. In his essay, Hu admitted that China lags the United States and Europe in successfully exporting its cultural output.

"The overall strength of our culture and international influence is not commensurate with China's international status," according to Hu.

The West , he said, "has a stronger culture and media landscape" internationally.

Hu listed a number of prescriptions to help China catch up, including, "Cultivate a high degree of cultural awareness and cultural self-confidence, improve the quality of the whole civilized nation, and enhance national cultural soft power."

But China faces the challenge of generating more appealing indigenous content even as it imposes restrictions on TV companies' schedules and citizens' freedom of expression.

Fearing that the turmoil in many countries across the Middle East and North Africa would incite further unrest in its own population, the Chinese government last year "expanded restrictions on online information and access to communication services, reported government propaganda in domestic news outlets, restricted the freedom of foreign journalists, and arrested dissidents with little or no cause," according to a report published in November by the U.S.-China Economic and Security Review Commission, a panel that advises the U.S. Congress.

Beijing has put pressure on operators of microblogs to censor posts after criticism and debate flourished on the forums, notably in the aftermath of a fatal train crash in July near Wenzhou in the eastern province of Zhejiang.

And as of last month, microblog users in Beijing and many other cities have to register for the services with their real names, although they can choose to publish comments under a pseudonym.

And the government may impose further restrictions in the future.

The recent developments are "part of what's going to be over the next few years a continual tightening on culture and media," said Danwei's Goldkorn, a longtime observer of the Chinese media scene.

"Things are not going to get any more liberal when it comes to news, media, films, TV and the internet," he said.

CNN's Steven Jiang, Chi-Chi Zhang and Jethro Mullen contributed to this report.

@highlight

'Hostile forces' are trying to 'westernize' China, the president says in an essay

@highlight

The warning comes as the authorities restrict entertainment shows on TV

@highlight

The authorities are worried that 'propaganda is no longer working,' an analyst says

@highlight

Despite a quota, Western films are likely to top the Chinese box office for 2011