Washington (CNN) -- A divided Supreme Court has ruled the government has the power to criminalize "material support" of a foreign terrorist organization.

The 6-3 decision Monday preserves a key provision of the 2001 Patriot Act, amid claims it threatens the free-speech rights of Americans who would assist non-violent activities of certain militant and terror groups.

At issue was the portion of the federal law that allows prosecution of those who provide "any service, training, expert advice or assistance" to a foreign terrorist organization, as designated by the U.S. government.

"Providing foreign terrorist groups with material support in any form," wrote Chief Justice John Roberts, "furthers terrorism by straining the United State's relationship with its allies and undermines cooperative efforts between nations to prevent terrorist attacks."

Justice Stephen Breyer authored a powerful dissent, fearing the law could be interpreted too broadly by the government in the name of protecting Americans. "Precisely how does application of the statute to the protected activities help achieve that important security-related end," he asked.

Since the September 11, 2001, terrorist attacks against the United States, federal prosecutors have pursued "material support" cases against at least 125 individuals or organizations, winning convictions in about half of those cases. Nearly every domestic terrorism-related prosecution has included the charge as part of the indictment.

Groups listed as "foreign terrorist organizations" by the State Department include al Qaeda, Hamas and Hezbollah.

A federal appeals court in San Francisco, California, struck down several parts of the legislation, finding them too vague to satisfy the Constitution.

The government then asked the high court to intervene and uphold the law.

The key plaintiff in the appeal is the Humanitarian Law Project, a Los Angeles, California-based non-profit that says its mission is to advocate "for the peaceful resolution of armed conflicts and for worldwide compliance with humanitarian law and human rights law."

It sought interaction with the Kurdistan Workers' Party, a group active in Turkey. Known as PKK, the party has been labeled a terror organization by the United States and the European Union. Its leaders have called for militancy to create a separate Kurdish state in the parts of Turkey, Iraq, Syria and Iran where Kurds are a majority.

In its appeal to the high court, the government noted that "since its inception, the organization has waged a violent insurgency that has claimed over 22,000 lives."

Humanitarian Law Project claimed it wanted to advocate on behalf of the PKK before the U.N. Commission on Human Rights, and conduct other advisory sessions and public awareness campaigns.

Breyer, in an unusual step, read a portion of his dissent from the bench. He said the majority wrongly read the law "to forbid the teaching of any subject where national security concerns conflict with the First Amendment. The Constitution does not allow all such conflicts to be decided in the government's favor."

Breyer was supported by justices Ruth Bader Ginsburg and Sonia Sotomayor.

The court's majority opinion was not a complete victory for the government and came with an important caveat. The activity in question can be banned only if "coordinated with, or controlled by foreign terrorist groups." The justices gave no specific guidance on how that distinction should be made. The court also said the law does not extend the ban on material support to domestic groups.

"The government is wrong that the only thing actually at issue in this litigation is conduct," said Roberts. "Plaintiffs want to speak to [certain foreign designated groups] and whether they may do so under [the federal law] depends on what they say. If plaintiffs' speech to those groups imparts a 'specific skill' or communicates advice derived from 'specialized knowledge' -- for example, training on the use of international law or advice on petitioning the United Nations -- then it is barred. On the other hand, plaintiffs' speech is not barred if it imparts only general or unspecialized knowledge."

Supreme Court nominee Elena Kagan had argued the administration's case as solicitor general, back in February. That was before she was tapped by President Barack Obama.

"Hezbollah builds bombs," she said of the Palestinian militancy group. "Hezbollah also builds homes. What Congress decided was when you help Hezbollah build homes, you are also helping Hezbollah build bombs. That's the entire theory behind this statute, and it's a reasonable theory."

Ralph Fertig, a 79-year-old civil rights lawyer who founded Humanitarian Law Project 25 years ago, told CNN he feared being arrested if he continued his international outreach efforts with groups designated as terrorists.

"My mission would be to work with these groups, to try and convince them to use peaceful means to resolve these ongoing conflicts," he said after the arguments. He filed the lawsuit against the government.

There was no immediate reaction from his group or the government. But human rights groups criticized the ruling.

"The Supreme Court has ruled that human rights advocates, providing training and assistance in the nonviolent resolution of disputes, can be prosecuted as terrorists," said David Cole of the Center for Constitutional Rights. "In the name of fighting terrorism, the court has said that the First Amendment permits Congress to make human rights advocacy and peacemaking a crime. That is wrong."

The Patriot Act was passed six weeks after the 9/11 terrorism attacks. It included amending a previous anti-terror law to strengthen the "expert advice and assistance" provision, making it a crime punishable by a 10-to-15 year prison sentence.

The case is Holder v. Humanitarian Law Project (08-1498).

@highlight

NEW: Applies only to activities coordinated or controlled by foreign terrorist groups

@highlight

6-3 ruling upholds provisions of the 2001 Patriot Act

@highlight

Providing support in any form "furthers terrorism," chief justice writes

@highlight

Dissenting justice says First Amendment should sometimes prevail