LONDON, England (CNN) -- Climate change is happening faster than previously predicted according to a new World Wildlife Fund report.

The WWF say climate change threat has worsened in the 15 months since the IPCC last reported.

Bringing together some of the most recent scientific reports and data, "Climate change: faster, stronger, sooner" reveals that global warming is accelerating more rapidly than the predictions made in the IPCC's Fourth Assessment Report published in 2007.

One of the most concerning aspects of recent data is evidence that, in some places, the Arctic Ocean is losing sea ice 30 years ahead of current IPCC predictions.

Summer sea ice is now forecasted to completely disappear in the summer months sometime between 2013 and 2040 -- something which hasn't happened for over a million years.

The report's author, geoscientist Dr Tina Tin told CNN: "Arctic sea ice is melting much faster than everybody had been expecting. Why? Well, maybe it's because the positive feedback mechanisms have kicked in much quicker than we have been able to quantify."

Positive feedback mechanisms amplify changes occurring in the climate. In the case of the Arctic region there is a sort of vicious circle of warming occurring. White ice sheets perform an important function in moderating global temperature by reflecting heat from the sun back into space. But they have begun to melt as the earth has warmed. The result is more dark sea water which absorbs heat, which in turn warms the earth more and encourages further melting.

Globally, sea levels are now expected to rise more than double the IPCC's most recent forecast of 0.59 meters before the end of the century. This will put millions of people in coastal regions at risk.

World food production is also feeling the heat as yields of wheat, maize and barley had dwindled in recent months.

In Europe, ecosystems in the North and Baltic Sea are believed to be experiencing their warmest temperatures since records began. And the Mediterranean is likely to experience an increased frequency of droughts.

The WWF report also highlights a 2007 study conducted by the British Antarctic Survey. "Widespread acceleration of tidewater glaciers on the Antarctic Peninsula" concluded that floating tide-water glaciers on the peninsula are losing ice faster and making a greater contribution to global sea level rise than was previously thought.

Earlier this month, the WWF highlighted the impact that global warming is likely to have on Antarctic penguin colonies.

According to Dr Tin, more Antarctic data is due to be published next year when the Scientific Committee on Antarctic Research publish their findings.

Scheduled for release in spring 2009 the "Antarctic Climate Change and the Environment" is expected to reveal more evidence of damaging climate effects on the continent.

While Dr Tin says that it is true that parts of the Antarctic are not warming or perhaps even cooling, the Western Antarctic Peninsula has experienced some of the most rapid increases in warming.

"Over the past 50 years, it has warmed more than four times faster than the average rate of Earth's overall warming," Dr Tin said.

But Dr Tin remains unsure whether this most recent climate data represents the beginning of a tipping point. "We think there are possibly tipping points ahead and some scientists, in terms of the Arctic sea ice, think we have probably gone past the tipping point. But it's very difficult to get a strong handle on," she said.

Nevertheless, she describes her report as a "sobering overview" which "comes at a critical time during the political negotiations of the European Union's climate and energy package".

Newly elected Vice Chair of the IPCC and climate scientist, Jean-Pascal van Ypersele endorsed the WWF publication. "It is clear that climate change is already having a greater impact than most scientists had anticipated, so it's vital that international mitigation and adaptation responses become swifter and more ambitious," van Ypersele said.

@highlight

World Wildlife Fund report says climate change is happening faster than predicted

@highlight

Dr Tina Tin: "Arctic sea ice melting much faster than everybody had been expecting"

@highlight

IPCC Vice Chair: "climate change is already having a greater impact than predicted"