Washington (CNN) -- President Barack Obama embarks on a two-day U.S. road trip Tuesday to assess and amplify his government's response to two unconnected overseas emergencies -- the Ebola outbreak in Africa and Islamic terrorists in Iraq and Syria.

On Tuesday Obama will announce significant new U.S. efforts to combat the Ebola epidemic, which has moved quickly across the western part of Africa and sent governments there scrambling to respond. The plan, which he'll announce at the Atlanta headquarters of the Centers for Disease Control and Prevention, includes new military assistance to the region and an increase in trained medical professionals sent to help.

On Wednesday, Obama heads further south to assess his mission against ISIS at U.S. Central Command in Tampa, Florida.

Ebola's spread is unrelated to the U.S. mission to degrade ISIS terrorists in Iraq and Syria. But both have prompted worry among Americans about their personal safety and led to charges the White House isn't doing enough to combat the hazards.

The dual foreign plagues have yet to pose an immediate threat to the United States homeland, the White House says, though each has claimed the lives of Americans abroad. And officials say both Ebola and ISIS could grow to become unmanageable problems if action isn't taken now to stamp them out.

The President's stop Tuesday at the CDC comes amid escalating criticism from health experts on the global response to the Ebola outbreak in West Africa, where almost 2,500 people have died.

At the U.S. public health agency Obama will be briefed on the outbreak and speak to officials there about how the U.S. is responding. Afterwards he'll announce new U.S. commitments in combating the virus' spread.

Working through the Defense Department, the U.S. will plan and construct treatment centers that could house up to 1,700 beds, administration officials said. With a U.S. general leading the effort from Liberia's capital of Monrovia, American military personnel in the region could increase by 3,000.

Medics and other uniformed professionals will work to train up to 500 health care workers per week in identifying and caring for people with Ebola.

The U.S. government also hopes to send 400,000 treatment kits with sanitizer and other items to at-risk homes, an attempt to contain the disease. Public health campaigns will be broadcast through existing networks in the countries most affected by the virus: Liberia, Sierra Leone and Guinea.

Officials hope a more coordinated logistical situation on the ground, put in place by the United States, will encourage other nations to step up their own efforts in fighting Ebola, which experts worry could spread even more rapidly if more isn't done now to contain it.

"We've seen dozens of cases turn into hundreds, then hundreds turn into thousands," one U.S. administration official said. "If we do not arrest that growth, and don't arrest that growth now, we could be looking at hundreds of thousands of cases."

Epidemiologists and others who are monitoring the disease have claimed developed countries like the United States haven't sent enough resources to the region, and U.S. officials acknowledge that Tuesday's announcement reflects the fact that more needs to be done to stop Ebola's spread.

The U.S. has committed more than $100 million in the effort to combat Ebola, according to the U.S. Agency for International Development, and Obama plans to call on Congress to approve an additional $88 million as part of a bill to fund the federal government.

Last week USAID said it would spend $75 million to build treatment facilities and supply them with medical equipment. The Pentagon says it's working to shift $500 million of currently not yet obligated funds toward the Ebola effort.

The efforts of the United States -- deemed more extensive than any previous U.S. response to an epidemic -- have so far been unable to stop the spread of the deadly virus, which Obama and White House officials are calling a national security problem.

Particularly concerning, U.S. officials say, is the potential for instability in the countries where Ebola is rampant and the possibility for the virus to mutate into a more dangerous form.

Ebola currently only transmits though contact with bodily fluids; a mutation that allows the virus to spread through the air would pose a catastrophic threat to human populations worldwide, health experts say.

Speaking Monday, White House Press Secretary Josh Earnest said there was still a "very low" likelihood the Ebola virus could mutate in a way that poses a threat to the United States.

"Right now, the risk of an Ebola outbreak in the United States is very low, but that risk would only increase if there were not a robust response on the part of the United States," Earnest said.

The potential for increased risk to the U.S. homeland has also inspired the more robust response to ISIS terrorists, who Obama announced last week would be the target of an air campaign inside Iraq and Syria.

That mission is run from U.S. Central Command in Tampa, where Obama will receive a briefing on battle plans Wednesday. The White House said the President would also visit servicemen and women during his stop at the facility.

Obama and his aides maintain that ISIS fighters don't currently pose a direct threat to the U.S. homeland but warn of the potential for militants with U.S. or Western passports to return home and stage an attack remains a top concern.

Secretary of State John Kerry has been engaging Arab and European nations in building a coalition to fight ISIS, though levels of commitment from foreign partners has remained vague.

@highlight

U.S. significantly increasing support to Ebola response in Africa

@highlight

Military planning facilities that could house 1,700 additional beds

@highlight

Obama announcing new military support at the CDC Tuesday

@highlight

White House facing unconnected Ebola and ISIS crises