Editor's note: The author has ridden motorcycles more than 125,000 miles since 1999, including solo trips from Georgia to California and Canada. She takes us inside the world of motorcycle travel.

Bikers approach Mount Mitchell, North Carolina, during a road trip through the Blue Ridge Mountains.

SHENANDOAH NATIONAL PARK, Virginia (CNN) -- We were parked at a peaceful, shady overlook beside Virginia's Skyline Drive, admiring the green mountains and the river far below, when Keith realized he needed a new rear tire, and he needed it now. A bald tire is a serious problem when you're traveling by motorcycle: We don't carry spare tires, for obvious reasons, and a blowout on two wheels could be life-threatening.

Keith decided he could make it 100 miles to the Harley-Davidson dealership in Richmond, Virginia, as long as we kept it slow, so our seven bikes headed that way.

It's been said that a great trip in a car is like watching a first-rate movie -- but a great trip on a motorcycle is like living the movie.

For our road trip, we had chosen an eight-day itinerary from our homes outside Atlanta, Georgia, through the mountains of North Carolina and Virginia, then east to the Atlantic shoreline and south along the coastal islands of the Outer Banks.

The trip offered a spectacular ride up the Blue Ridge Parkway, a winding two-lane that clings to the ridgeline through North Carolina and Virginia. The elevation often reaches 5,000 feet or more, so temperatures were cool despite a heat wave down below.  See map »

Our motorcycle motorcade passed panoramas of blue-tinged mountains and rolling meadows set off by split-rail fences. We motored through dense forests whose overhanging branches turned the road into a cool green tunnel. Rhododendrons and mountain laurels in bloom lined the road.  See photos of this Harley road trip »

It all looks better from a motorcycle, because you're so immersed in it -- not just looking out from inside a cage of steel and glass. In fact, we call cars cages and the people who drive them -- you guessed it -- cagers.  See how motorcycle travel differs from car travel »

The smells were intense: fresh-cut hay, pine trees baking in the sun, honeysuckle -- and sometimes, the not-so-pleasant aroma of ripening roadkill. Songs of determined birds rang out over the rumble of the motors.

Riding a motorcycle on a road like this is a physical pleasure, too, as you lean right, then left, then right, to guide the bike smoothly through the parkway's sweeping curves. You swoop, you glide -- it's like dancing, or like those dreams where you're flying.

In Virginia, Skyline Drive offered an abundance of wildlife. We saw five deer in 40 miles, including a small fawn with its mother -- none of them close enough to threaten a collision, and all of them smart enough to run the other way when they saw us coming.

Finally we arrived at the dealership in Richmond to replace Keith's balding tire. We knew we'd be there for a while -- so we made ourselves at home. We ordered pizza to be delivered and Neil brought in his laptop so everyone could upload their snapshots.

It might seem strange for customers to take over a retail establishment, but a Harley dealership always feels like home. There's a strong sense of community among motorcycle riders (and by extension, the stores).

Almost all riders wave to other riders on the road, whether they're on Harleys like ours or small, speedy sport bikes or huge, silent Honda Gold Wings.

Bikers fall into conversations with other bikers as if we already know each other because -- in a way -- we do. We've all experienced the same joys and aggravations -- but it's mostly joys.

One of those pleasures is how people go out of their way to be helpful or to strike up a conversation with a group of bikers. All kinds of folks wave to us on the road -- from Boy Scouts selling doughnuts on a street corner, to a man walking his dog, to shy-but-fascinated kids in a car stopped next to us at a traffic light.

A couple of hours (and several hundred dollars) later, Keith's tire was replaced and we headed for Elizabeth City, North Carolina. We hit a huge blanket of smoke from a massive wildfire about 40 miles away. The thick, yellowish smoke made the rural landscape look like another planet, with the late-afternoon sun glowing red through the haze.

The next morning, the smoke was gone, and we headed for the Outer Banks and a day of lazy meandering toward Ocracoke, the southernmost town on the string of narrow islands.

We stopped at the Currituck Beach Lighthouse, built in 1875. The sight of a long line of other tourists persuaded us not to climb its 214 steps.

At the Wright Brothers National Memorial near Kitty Hawk, we checked out the windy dune where aviation began and rode our bikes around a monument to Orville and Wilbur.

We spent the next day in Ocracoke investigating artsy-craftsy shops in the village and stores that sell hokey pirate souvenirs, in honor of the fact that Ocracoke was supposedly a hangout of the legendary pirate known as Blackbeard. We watched descendants of the island's wild ponies that now live in a fenced-in pasture to safeguard them from traffic.

The final leg of our trip began with a two-hour ferry ride from the island to the mainland.

But we came to a standstill the next day in traffic in Marion, South Carolina -- which was cause for some concern. Most Harley engines are air-cooled, so we can't just leave them idling for long periods because they can overheat.

We managed to turn off the highway onto a series of small side roads, where we pulled over to figure out our next move. A mini-van pulled up beside us.

"Where are y'all trying to go?" the passenger asked. "I-95," we said. "Come on!" she yelled, signaling us to follow. After a few turns, we were on I-95, waving our thanks to the mini-van.

By the time we reached Georgia, it was obvious there was a thunderstorm between us and home. Despite the 10-minute cloudburst, we were too hot to stop and put on rain suits. We did slow down, since it's hard to see with rain running down your face shield or glasses.

Soon we went our separate ways toward home. But I would have been ready to leave on another long motorcycle trip the next day, if it weren't for the suitcase full of dirty laundry and the need to deal with real life for a while. The unfiltered sights and smells, the enjoyment of riding, the companionship of other riders, the friendly encounters with strangers -- there's nothing like it.

@highlight

Bikers: Motorcycle road trips are more exciting than in other vehicles

@highlight

"It's like dancing, or like those dreams where you're flying," says Harley owner

@highlight

Follow CNN.com writer's road trip through Blue Ridge Mountains, Outer Banks

@highlight

Eight-day ride includes tire repair, wildfire, Kitty Hawk, pirate lore, wild ponies