The testimonies, one after another, have been damning, disturbing and, at points, excruciating.

A North Korean prison camp survivor told of a pregnant woman in a condition of near-starvation who gave birth to a baby -- a new life born against all odds in a grim camp. A security agent heard the baby's cries and beat the mother as a punishment.

She begged him to let her keep the baby, but he kept beating her.

With shaking hands, the mother was forced to pick up her newborn and put the baby face down in water until the cries stopped and a water bubble formed from the newborn's mouth.

It's just one example of the kind of testimony heard during an 11-month inquiry into alleged violations of human rights in North Korea, and documented in a report released by the United Nations Commission of Inquiry on Human Rights on Monday.

The commission concluded that North Korea has committed crimes against humanity. The commission investigated issues regarding the right to food, prison camps, torture and inhuman treatment, arbitrary detention, discrimination, freedom of expression, the right to life, freedom of movement, and enforced disappearances, including abductions of other citizens.

The panel reported a stunning catalog of torture and the widespread abuse of even the weakest of North Koreans that reveal a portrait of a brutal state "that does not have any parallel in the contemporary world."

It remains to be seen what impact the report might have and whether China, a member of the U.N. Security Council and staunch ally of North Korea, will block action seeking human rights redress.

Collection of evidence

Since its creation last year, the commission of inquiry has examined satellite imagery, evidence and testimonies from more than 100 victims, witnesses and experts regarding North Korea. Some of the testimonies were held confidentially because of protection concerns for family still remaining in North Korea.

International attention on North Korea has previously focused on halting its nuclear weapons program, but, in response to increasingly detailed reports of human rights abuses emerging from the isolated state, the U.N.'s Human Rights Council elected in March to establish the commission.

For many North Koreans who testified, it was an acknowledgment of the sufferings they endured living and fleeing the regime.  North Korea is said to practice "guilt by association" -- punishing members of a person's family and succeeding generations for one person's perceived misdeeds.

Pyongyang has refused to cooperate with the investigation and rejects the commission's validity. The commission of inquiry requested access to North Korea and also invited its authorities to examine its evidence and also contribute in the process.

In May 2013, North Korea sent a letter saying it "totally and categorically rejects the Commission of Inquiry" and has not answered subsequent letters, said Michael Kirby, the chair of the U.N. Commission of Inquiry.

The commission comprises three appointees, chaired by Kirby, a former Australian High Court judge, along with Sonja Biserko of Serbia and Marzuki Darusman of Indonesia.

Through its official news agency, KCNA, North Korea in August condemned the hearings as a "charade" to "hear testimonies from human scum."

A life in imprisonment

Throughout public hearings held in Seoul, Tokyo, London and Washington, D.C., former North Koreans told of torture and imprisonment for watching soap operas or trying to find food to sustain their families. Many of them ended up in prison camps for crossing the border to China or for having family members who were suspect to the regime.

The North Korean prison camps have survived twice as long as Stalin's Soviet gulags and much longer than the Nazi concentration camps.

One witness said that young male inmates in North Korean prison camps became so desperate for food they would eat live worms or snakes caught in the field to feel something in their stomachs.

"Because we saw so many people die, we became so used to it," one prison camp survivor told the commission. "I'm sorry to say that we became so used to it that we didn't feel anything. In North Korea, sometimes people on the verge of dying would ask for something to eat. Or when somebody died we would strip them naked and we would wear the clothes. Those alive have to go on, those dead, I'm sorry, but they're dead."

Jee Heon A told the commission of her time in a North Korean prison. She was sent there after being repatriated from China. She befriended a young girl, named Kim Young Hee and became like a sister to her. While they were forced to work in the fields, they were looking for a type of grass to eat, as their prison rations were not enough.

"We finished our work and we were about to pick up this grass or the plant that we knew we could eat," Jee told the commission. "And then the guards saw us, and he came running and he stepped on our hands and then he brought us to this place and he told us to kneel."

They were forced to eat the grass along with the root and the soil as punishment. Kim became increasingly sick with diarrhea after eating the soil.

"There was nothing I could do," Jee said. "I could not give her any medicine. And when she died, she couldn't even close her eyes. She died with her eyes open. I cried my heart out."

She wrapped Kim's body in a plastic bag and the other prisoners buried her and about 20 other bodies from the prison on a hill.

Orphaned and homeless in North Korea

"We covered the hole with clumped and frozen earth, but after a week when we went to the tomb, it was gone, the bodies were not there. We felt strange when we were going up that hill.  We later found out that the old man who was guarding the place had his dogs eat the bodies. He raised five dogs and the dogs were eating the heads and the body parts of dead bodies."

This is the reality of the North Korea prison, Jee stated.

She ended her testimony saying: "I am embarrassed, I am ashamed to be here. There are people dying but because I was so desperate to make ends meet for myself, I was not able to help and I'm guilty of it."

"I live like a prisoner, the reason for my living, the reason that I had to come to South Korea, in addition for my own freedom, is to survive and live on behalf of those who didn't make it. People died for no reason. To help their souls rest in peace I have to be accountable for their lives."

@highlight

Report by the United Nations Commission of Inquiry released Monday

@highlight

Testimony by North Koreans refugees presents bleak portrait of human rights in regime

@highlight

Witnesses tell of inhuman treatment, arbitrary detention, abuse and starvation

@highlight

Pyongyang has refused to participate in the investigation, condemning it as a "charade"