(CNN) -- I recently ran my first half-marathon, and among the cheering fans along the race course, I saw several holding signs that read, "In our minds, you're all Kenyans."

I took it as a major compliment.

Granted, in my wave of the race, there were mostly average runners, just trying to make the finish line, but the signs gave us a much-needed lift. Believe me, most endurance runners would love to be mentioned in the same sentence as any of Kenya's elite athletes.

That's the appeal behind "Running With the Kenyans," from author and runner Adharanand Finn. The book is out in paperback, and for my mileage, it's one of the best running reads in recent years.

Fans who follow long-distance running are already familiar with Kenya's legendary success in the sport. Take a look at just about any major endurance race of the past 30 years, everything from the Boston Marathon to the World Cross Country Championships to the Summer Olympics, and you'll see runners from Kenya, men and women, standing on the winner's podium.

So what's behind their winning ways? Finn, an experienced long-distance runner in his own right, is not the first person to ask this question. However, he was the first author to spend months in Kenya looking for the answer.

Finn, his wife and their three small children left London on an incredible journey to spend six months in the small town of Iten, high in Kenya's Rift Valley province. It's ground zero for the country's elite runners.

While there, Finn spent time at Kenya's elite training camps, running with everyone from Olympic champions to barefoot children. Kenya is filled with young hopefuls for whom running is not just a sport but a religion -- and for a lucky few, a path out of poverty. A champion runner can win thousands of dollars on the international race circuit.

It's a pittance in comparison to the professional athletes who play sports such as football and basketball, but in Kenya, elite runners are celebrities who often live like royalty.

It's a country of contrasts, producing many of the world's greatest runners while still beset by problems common to the Third World. Finn portrays Kenya in a realistic but positive light. Readers will see he enjoyed this life-changing experience and the people there immensely. And you've got to marvel at a country where one of the world's most prestigious marathons is delayed by lions on the race course.

Safety first, people.

When he's not on the trail or the track, Finn is a journalist at The Guardian. He recently talked to me about his book and his love of long-distance running. The following is an edited transcript:

CNN: Did you learn the secret to what makes Kenyans such great runners?

Adharanand Finn: Tempting as it was to boil the secret of the Kenyans down to one or two factors, in the end I had to be honest. The Kenyans are on another level when it comes to running.

They genuinely are the greatest runners on earth. The only people with even a crumb of an argument against this are their East African neighbors, the Ethiopians. Between them they can run the legs off the rest of the world at every distance from 800 meters up.

Yet, try as I might to find it, there was no single, all-conquering reason for their greatness. Nothing you could bottle, package up and say: Do this and you'll run like a Kenyan. Instead, up in the Rift Valley, a perfect combination of factors have all aligned to produce great runners. It's not only the altitude, nor the active childhoods (running miles to school barefoot each morning), nor the abundance of role models, nor the will to succeed, nor the lack of alternatives, nor the hard-work ethic, nor the culture of running that has grown up, nor the diet, nor all the other things I could mention. Instead, it is all of these things combined.

CNN: What is your favorite memory of your time in Kenya?

Finn: My favorite memories are of running in the midst of a group of Kenyans. Attempting such a thing was always a hair-raising experience, clinging on for my life as we wound our way faster and faster through the unknown countryside. But in those rare moments when I felt I could keep up, it was very special to be there, among them, our feet pounding the dusty road in unison, the sun rising in front of us, children standing sleepy-eyed at the doorways of their mud huts, rubbing their eyes, wondering if they'd just imagined that white man flashing by in the middle of the group.

CNN: Have you kept in contact with the runners you met in Kenya?

Finn: Yes. Some of them may not even have electricity or running water, but they all have Facebook. In fact I've organized for my former neighbor, Japhet, to come over to the UK in May to run the Edinburgh Marathon. I'll be there cheering him on and handing him his water bottle.

CNN: Will the rest of the world ever catch up to Kenya in endurance running?

Finn: They could. Great as the Kenyans are, their training is not very sophisticated. While this is in some ways their strength, people like U.S. coach Alberto Salazar are showing that if you use science and technology in the right way, and with the right people, you can get results. His two athletes, Mo Farah (from the United Kingdom) and Galen Rupp (from the United States), coming first and second in the 10,000-meter in the London Olympics, is testimony to that.

CNN: What do you tell people when they ask you why you run?

Finn: I usually shrug and say I don't know -- because unless you also run, it's hard for me to explain why I do it. It's like trying to describe the taste of a strawberry to someone who has never eaten one. It's much better to give them a strawberry to taste. But if pushed, I'll say it makes me feel happy, strong and alive. Not too many things can achieve that so easily.

Read an excerpt from "Running With the Kenyans"

Here are more recommended running reads:

"Born to Run" by Christopher McDougall
To many fans, this is the bible of barefoot running. McDougall's quest to heal a sore foot leads him on one of the most interesting paths ever taken by a running writer. His book is packed with informative detail about the science of running. It's also a compelling story of a 50-mile endurance race, held in one of the most remote spots on earth, Mexico's Copper Canyon. I was especially intrigued by his portrayal of the Tarahumara people, who are some of the world's greatest distance runners and especially "Caballo Blanco," the mysterious loner who becomes McDougall's guide on this fascinating journey.

"Finding Ultra" by Rich Roll
For anyone who has tried to lose weight or for athletes looking for a little inspiration, you'd be hard-pressed to do better than Roll's story of self-redemption. Roll tells how he went from promising college swimmer to alcoholic to overweight middle-aged father and eventually to becoming one of the fittest men on the planet. Roll transformed himself through self-discipline, rigorous training and a plant-based diet. There's plenty of fuel here for anyone interested in learning more about becoming vegan. What readers will really enjoy is following Roll in his quest to complete in Hawaii's Ultraman race, 320 miles of swimming, biking and running. It's a brutal event that would make even the toughest Ironman triathlete cry uncle.

"What I Talk About When I Talk About Running" by Haruki Murakami
Who knew the Japanese author had run more marathons than he's written novels? For those counting, Murakami has reportedly run 25 marathons, including a 62-mile ultra-marathon and penned 13 novels to date. Like his surreal masterpiece, "1Q84," Murakami's memoir on running is beautifully written, imaginative and ethereal. He also writes in absorbing detail about the pain, injuries and obsession that anyone who's ever run a 5K will recognize and sympathize with wholeheartedly.

@highlight

Adharanand Finn traveled to Kenya to learn about the best runners in the world

@highlight

His book details the country's unsophisticated but remarkable training techniques

@highlight

"Running With the Kenyans" is just one of several great running reads