Washington (CNN) -- The U.S. government announced Monday that it has eased the requirements for orphaned children from Haiti to enter the United States on a temporary basis.

The move is being made to ensure they get needed care after last week's earthquake in Haiti, said Department of Homeland Security Secretary Janet Napolitano, who made the announcement in coordination with the U.S. Department of State.

"We are committed to doing everything we can to help reunite families in Haiti during this very difficult time," said Napolitano in a news release. "While we remain focused on family reunification in Haiti, authorizing the use of humanitarian parole for orphans who are eligible for adoption in the United States will allow them to receive the care they need here."

Napolitano can grant humanitarian parole into the United States to bring otherwise inadmissible individuals into the country for urgent humanitarian reasons or other emergencies.

The State Department said earlier Monday it is working with DHS and the Haitian government to process nearly 300 cases of Americans who are waiting to adopt Haitian children.

Of those, 200 cases are being accelerated. Twenty-four of those children, whose cases "were at the very end of the process" before the 7.0 magnitude earthquake that struck Haiti nearly a week ago, have departed Haiti and joined their new families after the embassy expedited processing for immigrant visas, said Michele Bond, deputy assistant secretary for American citizen services.

Department officials said Sunday that 150 children had already left Haiti, but corrected that number Monday.

Officials are reviewing every case individually to see where they are in the process, what actions have been taken in the case and whether the case can be accelerated, Bond said. The department said it will be announcing an adoption plan with travel specifics shortly.

If an American adoption case was early in the process, there is no guarantee of an accelerated adoption, Bond said. Examples of being early in the process would be if prospective parents have not been properly vetted; have not been matched with a specific child; or have been matched with a child but the Haitian government is still attempting to prove absolutely the child is an orphan.

The State Department is working with DHS to examine the documents in each case and show some flexibility, but this also requires the agreement of the Haitian government, she said.

"It's important to remember that the best interests of the child are at the heart of all this," Bond said. "We want them to be well cared-for."

Families with active adoption cases will be contacted by the department, she said. If a family is in the process of adopting from Haiti and wants information, family members can send an e-mail to askci@state.gov. They will be contacted and told what documents are needed, she said.

Prospective families need to know, however, that officials are getting thousands of inquiries. On Sunday, the department received 300 inquiries related to 16 cases, she said. So multiple calls may not be the most efficient way for prospective families to get news about their child.

Are you in Haiti and safe? Share your story, photos with CNN iReport

Before last Tuesday's quake, Haiti was home to about 380,000 orphans, according to the United Nations Children's Fund. Many of them may be homeless now, since a number of orphanages are reported to have been among the buildings that were destroyed in the earthquake.

The family status of many children may not yet be known, so adoption is not the first solution, Bond said. The focus is on getting the children aid and reuniting them with their families, she said.

That total is expected to grow once the dead and missing from last Tuesday's disaster have been accounted for.

Some children who lost parents in the quake or were separated from parents are being relocated to the Dominican Republic, a child advocacy group said.

iReport: Haitians are looking for loved ones

About 50 orphaned and abandoned children will arrive in the border town of Jimani on Wednesday, Kids Alive International said. The efforts, coordinated with the governments of both countries, will eventually take the children back to Haiti. Some will be reunited with parents who lost communication with their children in the quake's aftermath, the group said.

The Dutch Ministry of Foreign Affairs has chartered a plane to pick up about 100 children Monday, spokesman Aad Meijer said Sunday.

Dutch Justice Minister Ernst Hirsch Ballin over the weekend granted the children entry into the country, although their paperwork, including travel and adoption documents, was incomplete, Justice Ministry spokesman Patrick Mikkelsen said.

About 44 of the orphans' adoptions had yet to be approved by a Haitian judge, even though they were matched to Dutch parents, Mikkelsen said. Dutch officials may seek the remaining approvals from Haiti once the children have already settled in the Netherlands, he said.

CNN's Melissa Gray, Richard Greene and Elise Labott contributed to this report.

@highlight

U.S. authorizing "humanitarian parole" for eligible orphans, says Department of Homeland chief

@highlight

200 adoption cases are being accelerated in wake of last week's quake

@highlight

Twenty-four kids have departed Haiti and joined new families, official says

@highlight

Focus in Haiti remains on getting children aid, reuniting them with their families