Washington (CNN) -- The head of the Transportation Security Administration defended his agency's security procedures Wednesday, telling lawmakers it is "using technology and protocols to stay ahead of the [terrorist] threat and keep you safe."

John Pistole's testimony before the Senate Committee on Commerce, Science and Transportation follows a controversy that broke out over the past week about the agency's full body scans and pat-downs.

"We've adjusted our pat-down policy that is informed by the latest intelligence," Pistole told lawmakers, acknowledging that the procedures "may challenge our social norms."

"Security is a shared responsibility," the TSA chief said. "We are trying to detect the next generation of non-metallic devices" used in explosives, he added.

Transportation Security Administration officials are permitted to use "professional discretion" in determining whether individuals should be subject to further screening, according to a TSA statement.

But critics have called the procedures invasive.

The Rutherford Institute, a civil liberties organization aligned with the Christian right, has filed suit against Homeland Security Secretary Janet Napolitano and Pistole on behalf of two pilots who refused both a full body scan and the pat-down.

"TSA is forcing travelers to consent to a virtual strip search or allow an unknown officer to literally place his or her hands in your pants," said Rutherford Institute President John Whitehead.

On Tuesday, a public interest research group announced it was also suing DHS in a freedom of information lawsuit intended to obtain medical records and studies that it says the agency has used to evaluate its body scanners.

The Electronic Privacy Information Center called on transport authorities to suspend the use of advanced imaging technology and called for public hearings into its use, center spokesman Marc Rotenberg said.

Consumer advocate and former presidential candidate Ralph Nader joined the group's request for more information, calling the agency secretive and unresponsive.

Scanners "present hazards when they malfunction or when they function routinely," he said.

Nader said radiation emitted by the machines was potentially hazardous to passengers, but acknowledged that most passengers in 2009 had actually favored the new measures.

Transport authorities say advanced imaging technology meets national health and safety standards.

"These things ... have been examined six ways to Sunday," said Napolitano. "The [Food and Drug Administration], Johns Hopkins University, the U.S. Science and Standards Association, have all measured the radiation involved," she said. "It's almost immeasurable, it is so small."

In a report posted on the FDA website, scientists say full-body X-ray scanners pose "very low health risks." The FDA evaluates radiation-emitting products as well as foods and medications.

But a representative for Johns Hopkins University Applied Physics Laboratory said the group did not evaluate the advanced imaging machines for passenger safety. "That was not our role," spokeswoman Helen Worth said. "We measured the level of radiation, which was then evaluated by TSA."

CNN could not independently confirm whether scanners pose any risk to passenger health.

It is also unclear how comprehensively they screen.

The U.S. Government Accountability Office reported in March that "it remains unclear whether the AIT [scanners] would have detected the weapon used in the December 2009 incident," referring to a man suspected of trying to set off a bomb with explosives hidden in his underwear aboard Northwest flight 253.

"What for example GAO and the inspector general and our own office of TSA inspection has ...found over the years is the need to be more thorough in our screening technology," Pistole told CNN.

Currently there are 385 AIT scanners in 70 airports across the country, he said during Wednesday's hearing.

Pistole said he expects to expand that number to one thousand by the end of 2011.

The TSA chief said that passengers concerned about the technology can decline the full body scan and instead opt for hand-searches performed by security officials.

But some passengers and pilots have expressed objections to TSA's too-close-for-comfort pat-downs.

Over the weekend, a 31-year-old man refused a pat-down at a San Diego, California, airport. After arguing with a TSA agent, John Tyner left the airport facing a possible $11,000 fine, according to Michael Aguilar, the TSA's federal security director in San Diego.

A Texas man also told CNN affiliate  KTRK that he "felt violated" at a Florida airport.  Thomas Mollman, 54, said he was headed home to Houston when a TSA officer stopped him at the Fort Lauderdale airport security checkpoint.

Mollman, who was patted down, claims a TSA officer inappropriately touched him.

"I was wearing shorts at the time -- between the underwear, right on the skin, all the way around the back, all the way around my front, 360 degrees, touched inappropriately," he told the affiliate.

Anyone who refuses to complete the screening process will be denied access to airport secure areas and could be subject to civil penalties, according to a TSA statement, citing a federal appeals court ruling in support of the rule.

The ruling from the 9th U.S. Circuit Court of Appeals says "requiring that a potential passenger be allowed to revoke consent to an ongoing airport security search makes little sense in a post-9/11 world. Such a rule would afford terrorists multiple opportunities to attempt to penetrate airport security by 'electing not to fly' on the cusp of detection until a vulnerable portal is found."

Tyner called the incident ridiculous and said he will not fly "until these machines go away."

But the mood among security officials is "anger over the way the media is playing this story," according to a senior Homeland Security official.

"You had a dutiful [transportation security officer], someone who works on the front lines to protect this country from a terrorist attack, someone who did everything by the book and according to his training, and he was accosted and verbally abused by a member of the traveling public," the official said. "The fact that some in the media would hail the traveler as a kind of folk hero is shameful."

The incident sparked a debate over passenger safety and personal privacy that has remained headline news just ahead of the holiday travel season.

Pistole, who addressed a Senate Homeland Security Committee hearing on air cargo safety on Tuesday, veered off topic to plead with the American public to see airport security "as a partnership."

"Those security officers there are there to work with you, to ensure that everybody on that flight has been properly screened," he said. "Everybody wants that assurance, so just try to be patient, work with our folks. They are there to protect you and your loved ones, and let's make it a partnership."

Pistole also sent a memo to TSA staff praising the work of officers -- including those who met with Tyner in San Diego.

"Everyone involved with these latest incidents put into practice their training and experience, as you all do every day on the front lines to protect our country from terrorist attack," he wrote. "They did their work with calm professionalism even as they were faced with a confrontational situation."

In a letter to aviation authorities, Rep. John Mica, R-Florida, raised the idea of privatization at transport hubs, which he said could improve efficiency and enable airports to opt out of TSA safety regulations.

"It is both inappropriate and inefficient for the TSA to serve as the administrator, quality assurance regulator, operator and auditor of its own activities," Mica, currently the ranking member of the House Transportation and Infrastructure Committee, said in the letter.

"My aviation subcommittee staff would be pleased to assist you should you move forward with your decision to opt to have a certified private screening program at your airport," he said.

It is not clear whether private screening is more efficient than TSA procedures or whether such screenings would meet federal safety standards.

On Tuesday, Capt. Chesley "Sully" Sullenberger -- the hero pilot who safely landed a crippled US Airways jet on the Hudson River last year -- joined, in part, an increasingly vocal opposition to heightened airport security procedures.

Sullenberger said the use of full-body pat-downs and advanced imaging scanners -- at least for airline personnel -- "just isn't an efficient use of our resources."

Federal transport authorities say the machines are a safe and necessary security precaution, especially following recent airline terrorism attempts.

@highlight

NEW: GAO March report says it is unclear if scanners would have stopped attempted Christmas day attack

@highlight

NEW: TSA chief John Pistole says agency needs to be "more thorough in our screening technology"

@highlight

NEW: Pistole expects 1000 scanners nationwide by the end of 2011

@highlight

Pistole says the safety procedures are meant to "keep you safe, "but methods "may challenge our social norms"

@highlight

Critics say the searches are invasive