(CNN) -- Recent revelations in print and now on television by convicted match fixer Wilson Raj Perumal are once again throwing the spotlight onto match-fixing in football.

Coercing players, officials and administrators into rigging matches has netted fixers millions of dollars while football is left counting the cost to its integrity.

How big is the problem?

It's widespread, says Terry Steans, who has worked as an investigator for football's world governing body, FIFA.

"I never thought it would be across the globe but it is, and that's the most surprising thing to me (along with) the consummate ease with which fixers gained access to football," Steans told CNN.

In February last year, the European Union's law enforcement agency, Europol announced that 680 matches (380 of them in Europe) played between 2008 and 2011 were under suspicion of being rigged.

"This is the work of a suspected organized crime syndicate based in Asia and operated with criminal networks around Europe," Rob Wainwright, director of Europol said following an 18-month probe.

Specific matches under scrutiny were not named by Europol, but fixtures include World Cup qualifiers and Champions League ties, they said.

Europe's top domestic leagues have been no stranger to football corruption in recent times with notable match-fixing scandals erupting in Germany's Bundesliga in 2005 and Italy's Serie A and B the following season.

But match fixing extends far beyond Europe's borders with scandals uncovered in Asia, Africa and Latin America in recent years.

Investigators say that much of the problem stems from illegal gambling markets in Asia, which are said to turn over billions of dollars every single day.

"Football is by far the largest betting market in the world and by far the most liquid," says Joe Saumarez Smith, a sports betting consultant.

Fixers like to target football because there are a lot of matches played, he says. But there are other reasons.

"A lot of players are not very well paid and, particularly in the African leagues, they don't get paid ... so match-fixing becomes more attractive," Saumarez Smith says.

How do you go about fixing football matches?

With alarming ease, if you believe Perumal.

"I've fixed matches with just a single player," he says. "But, of course, you would like to have the goalkeeper, we would like to have the defenders, then the striker ..."

Perumal told CNN that a fix will often start with one player who is offered money to throw a game. If they are happy to play ball, the match fixer will then use the target to sound out other members of the team.

Using a group of players to fix a match is advantageous to the fixer because it improves the chances of getting the desired result.

It's also more difficult to spot says Declan Hill, author of "The Insider's Guide to Match-Fixing in Football."

"You have six players running around trying as hard as they can; and you have five players pretending to run around trying as hard as they can," Hill explained in a piece penned for CNN last year.

"This way, the outsider finds it extraordinarily difficult to figure out what is going on. All they see is 11 players who may or may not be making mistakes."

Referees are also prime targets for match fixers and Perumal would frequently attempt to bribe the man in black. Some referees were ripe for corruption, he claims.

"These are people who are supposed to uphold the laws of the game. But sad to say that, you know, FIFA doesn't really pay these referees that well," Perumal said.

"They get about $1,000 or maybe $1,500 (per game) which is very small money. In my opinion, FIFA should pay them a lot more or they should start to professionalize this officiating."

When asked about the payment of referees, FIFA told CNN: "Corruption does not depend on how much you are paid, but instead, and above all, honesty and values of the individual."

There is also evidence that some club owners are corrupting results.

"Europol investigators spoke about this during their conference (in 2013)," Hill says.

"There are dodgy club owners in Europe who will begin a season by looking at the 40 or so games in the league, and think, 'right, we will try to win these 30 matches, and we will lose these 10,'" Hill said.

"Knowing that they will lose those specific 10 matches, the club owners will bet against their team and make more money losing those matches, than in winning all the other games."

What are football's authorities doing?

A lot or not enough, depending on who you talk to.

FIFA points to the "vast range of measures and initiatives," they have implemented in response to match fixing. These include national and regional workshops and an E-learning program developed in partnership with INTERPOL.

"The integrity of the game is a top priority," FIFA told CNN. "We take any allegations of match manipulation very seriously."

But Saumarez Smith isn't convinced the footballing authorities are doing enough yet.

"(They are) slightly better than what they used to be, but they used to be absolutely dreadful," Saumarez Smith says.

"In fact, they just had their heads in the sand about it. I remember going to some meetings with leagues 15 years ago and me saying: 'we could do a match-monitoring service,' and they said: 'why would we want that?' They've got a bit more alerted, but they are a long way from where they could be."

Education is also crucial, he thinks.

"The clubs and the league need to have an education program to tell the young players if you are approached by a match-fixer you need to come and tell us," he said.

"That needs to be an education process from a very early stage, from 13 or 14 (years old) for players coming from the professional rank or joining clubs."

Improvements have been made at UEFA, he says, pointing to their use of betting monitoring -- European football's governing body annually track more than 30,000 matches across the continent for betting irregularities.

FIFA have their own monitoring system called "Early Warning System," but Saumarez Smith questions the organization's capability to deal with corruption.

"I think it's difficult for some people to take them seriously when their own house doesn't appear to be in order," he says, noting the continuing controversy surrounding the bidding process for World Cup finals.

But Steans, who worked for FIFA from 2010 to 2012, defends his former employer.

"FIFA were really concerned," he says. "For the two years I was there working under Chris Eaton, he was genuinely concerned and tasked us solely to match-fixing. Once you're inside it as a football fan and you're seeing (match-fixing) first hand, you can't help but be concerned for the game."

Will football ever be fix free?

Experts aren't sure.

"Fixing and corruption has always been in sport, it's really part of human nature," says Declan Hill.

"The trick now is battling this globalized phenomenon of corruption. Frankly, what we need is an independent, international anti-corruption agency for sport, the same way WADA (World Anti-Doping Agency) has been set up."

Steans agrees.

"I'd like to think that we could make the majority of the game safe and I feel the only way that can be done is by an independent body being formed -- an international independent body with proper powers," Steans says.

"I think individual associations standing alone will always be vulnerable to clever criminals with money and the human condition makes people naturally vulnerable when lots of money is involved."

Read more: The man who fixed football

@highlight

Football match fixing is a global problem, according to former FIFA investigator

@highlight

Convicted match fixer Wilson Raj Perumal says he fixed a match with a single player

@highlight

Sports betting expert urges clubs to educate players about fixing from young age

@highlight

Investigative journalist Declan Hill, calls for independent anti-corruption agency