(CNN) -- In his weekly address, President Obama said that the Christmas Day airline bomber acted under orders from an al Qaeda branch in Yemen, which "trained him, equipped him with those explosives and directed him to attack that plane headed for America."

Vowing to hold accountable all those involved in the attempted act of terrorism on Christmas, Obama sent a letter to his Yemeni counterpart, Ali Abdullah Saleh, delivered by Gen. David Petraeus, head of the U.S. Central Command, in which he pledged to double the $70 million in counterterrorism aid to the poverty-stricken country in 2009, a figure that does not include covert programs run by U.S. special forces and the CIA.

With the increase in security assistance, Yemen now tops Pakistan, which receives about $112 million, a clear indication of the growing threat of al Qaeda in the Arabian Peninsula (known as AQAP Yemen-based) in U.S. eyes.

American strategy is driven by assumptions that do not fully recognize the complexity and gravity of the situation in Yemen. The first premise is that with increased U.S. security assistance, the Yemen government will take the fight to al Qaeda and uproot it. Secondly, U.S. officials assume that confronting al Qaeda requires mainly counterterrorism measures.

What is alarming about the resurgence of this al Qaeda branch is its linkage to Yemen's deepening social and political crises and failing state institutions. In the last three years, against all odds, the al Qaeda branch has revived the central organization's declining fortune in the Arabian Peninsula and emerged as a potentially potent force.

AQAP numbers between 100 and 300 core operatives -- as many as those in Pakistan, though they are younger and lack the operational skills and sophistication of their Pakistani cohorts. Most are rookies with little combat experience, unlike the previous Afghanistan generation.

The structure and composition of the Yemen branch appears to have changed because of the merger with militant elements from Saudi Arabia last January, forming AQAP and revitalizing the jihadist network there. Some fighters had returned from war zones in Iraq, Afghanistan and Pakistan and have supplied military training and ideological motivation and leadership.

In 2007 I interviewed several hardened Yemeni and Saudi returnees from Iraq who made it clear that they would target America and Britain if U.S. and U.K. troops do not withdraw from Muslim lands. These hard-liners were neither bluffing nor making empty threats.

There are also some signs of cross-fertilization between AQAP and Somalia's al-Shabab, an al Qaeda like-minded group fighting for control of the war-torn country facilitated by the flow of thousands of Somali refugees to Yemen.

That is not the whole story, however. The recent revival of al Qaeda in Yemen is a product of a structural socioeconomic crisis and political divisions and fault lines that have pushed the country to the brink of all-out war. Al Qaeda is a parasite feeding on lawlessness, social and political instability, and abject poverty and despair.

Today Yemen is a fragile state with failing institutions and a collapsed economy. Forty percent of the country's 23 million people are unemployed. More than a third of the population is undernourished and almost 50 percent live in absolute poverty.

Yemen, the poorest Arab country, has one of the highest fertility rates. A huge youth explosion (60 percent of the population is under the age of 20) faces a grim future -- and radicalization.

With every visit to this stunningly beautiful country, I observe a deteriorating security situation and declining social conditions. It is now common to see many women of all ages clad in black from head to toe begging on the streets of major cities, an alarming sign of social breakdown in an ultraconservative Muslim society where women do not appear in public.

The sound of Soviet-made fighter jets often shatters the peace of the early hours of the morning. The jets are on their way to bomb Houthi (Shia) rebels in the Sada'adah province and the Harf Sufian district of Amran province, a mini-civil war in the north that has raged on and off for four years and has claimed more than a thousand lives, most of whom are civilians.

A secessionist movement in the south has gained momentum, with a sizable segment of southern public opinion demanding a divorce from the forced union imposed by the north in the early 1990s. What the al Qaeda branch has tried to do is to submerge and embed itself in these raging local conflicts and to position itself as the spearhead of opposition and resistance to the Saleh regime.

For example, al Qaeda has allied itself with tribes in the separatist south in the fight against the central government, a radical move because many separatists are socialist and not religiously inclined.

Ironically, in 1994 President Saleh relied greatly on jihadists and Islamists to subdue the socialist south and unify Yemen. From his base in Sudan, Osama bin Laden, whose father was born in Yemen, exhorted his men to fight the "Godless Marxists" in the south, who they massacred.

The al Qaeda-Yemen connection goes back to the foundation of the jihadist organization. Yemen has always had powerful Islamist and jihadist movements. In the 1980s, thousands of Yemenis joined the Afghan jihad against occupying Soviet forces and most returned home emboldened and militarized. Unlike their Middle Eastern counterparts, Yemeni returnees were welcomed by the Saleh regime.

In the early 1990s when bin Laden set up al Qaeda in Sudan and then in Afghanistan, he heavily and personally recruited Yemenis whom he trusted. Bin Laden, a Saudi, has often said he has a soft spot in his heart for Yemen because of its people's religiosity and tribal code of honor and hospitality and harsh, mountainous landscape. The Saudi-Yemeni contingent was the largest within the bin Laden organization, as well as in the detention facility at Guantanamo Bay.

Many of his bodyguards, personal secretaries, drivers and cooks were Yemenis. AQAP chief Nasir al-Wuhayshi (reportedly killed by a U.S.-directed airstrike on December 24), once served as bin Laden's personal secretary. Bin Laden entrusted the protection and transportation of his wives and children to his Yemeni men, a fact that speaks volumes about his mindset.

U.S. officials appear to overestimate the capacity of the Yemen government to meet the multiple challenges and threats to its authority and integrity. Its security forces are spread thin. Four years after the outbreak of the Houthi rebellion, the state has failed to resolve it.

More importantly, the government can no longer deliver the social goods and patronage, historically solid underpinnings of the Saleh rule. The country has been badly affected by falling oil revenues (Yemen is the smallest oil producer in the Middle East), pervasive corruption, and the international financial downturn. After more than three decades in power, President Saleh's ability to co-opt adversaries and maintain friends has shrunk considerably, plunging Yemen into an uncertain future.

On its own, counterterrorism will most likely fail in expelling al Qaeda from Yemen's tribal areas and might trigger a backlash against the Saleh regime and its Western patrons.

Of all Middle Easterners, Yemenis voice strong anti-American foreign policy sentiments and take pride in sacrificing blood and treasure in defense of Arab and Muslim causes. Any U.S. policy course that neglects the local context will help al Qaeda sell its narrative to a receptive audience.

What Yemen desperately needs is a political and economic vision that tackles deteriorating security and social conditions and empowers state and society, not just the Saleh regime. This vision cannot be made in the USA.

Yemen's neighbors, particularly Saudi Arabia and Kuwait, along with the League of Arab States, should take the lead in finding solutions to Yemen's political and tribal divisions and providing the means to prevent Yemen from becoming a failed state. More than any other country, Saudi Arabia has more to lose by the breakdown of its next-door neighbor.

The United States and Great Britain should provide leadership and assistance in shepherding the reconstruction process through and ensuring that inclusive governance, transparency, and accountability are adhered to.

A good start is British Prime Minister Gordon Brown's call for a high-level international meeting this month to discuss ways of combating al Qaeda influence in Yemen. But the most effective means to combat al Qaeda is to to tackle Yemen's structural social and political crisis and to fully involve Yemen's Arab neighbors in the talks.

The opinions expressed in this commentary are solely those of Fawaz Gerges.

@highlight

Al Qaeda is benefiting from civil unrest and economic woes in Yemen, says Fawaz Gerges

@highlight

He says sending more aid, focusing on counterterrorism won't be a successful policy

@highlight

He says Arab nations should take the lead, with U.S., Britain helping in the background

@highlight

Gerges: It's crucial to tackle Yemen's social and political crisis