(CNN) -- Imagine a world in which every major company in America flew hundreds of thousands of drones overhead, 24 hours a day, seven days a week, 365 days a year, collecting data on what Americans were doing down below. It's a chilling thought that would engender howls of outrage.

Now imagine that millions of Americans walk around each day wearing the equivalent of a drone on their head: a device capable of capturing video and audio recordings of everything that happens around them. And imagine that these devices upload the data to large-scale commercial enterprises that are able to collect the recordings from each and every American and integrate them together to form a minute-by-minute tracking of the activities of millions.

That is almost precisely the vision of the future that lies directly ahead of us. Not, of course, with wearable drones but with wearable Internet-connected equipment. This new technology -- whether in the form of glasses or watches -- may unobtrusively capture video data in real time, store it in the cloud and allow for it to be analyzed.

The pros and cons of surveillance cameras

Some will say these new devices are no different from existing technology, like handheld video cameras or iPhones with audio recording functions. But there's a huge distinction.

The emerging new technology is not designed with significant storage capacity. Instead, its default mode is for all data to be automatically uploaded to cloud servers, where aggregation and back-end analytic capacity resides.

So, who owns and what happens to the user's data? Can the entire database be mined and analyzed for commercial purposes? What rules will apply when law enforcement seeks access to the data for a criminal or national security investigation? For how long will the data be retained?

As some members of the Supreme Court recognized last year when they considered the use of only a single stream of data -- GPS location -- creating a life stream of data points paints a mosaic picture of a person's actions and habits. Who owns that mosaic?

Service providers may argue that the terms of service approved by customers will set limitations on how their collected data can be used. But even if customers can truly make informed decisions about the storage and handling of such data, they have no right to consent to the use of data that is collected about passersbys whom they record, intentionally or not.

Snap a photo by winking your eye?

Ubiquitous street video streaming will capture images of many people who haven't volunteered to have their images collected, collated and analyzed. Even those who might be willing to forgo some degree of privacy to enhance national security should be concerned about a corporate America that will have an unrestricted continuous video record of millions.

What is to prevent a corporation from targeting a particular individual, using face recognition technology to assemble all uploaded videos in which he appears, and effectively constructing a surveillance record that can be used to analyze his life?

Opinion: Surveillance state no answer to terror

Concerns like this have motivated at least one bar owner to ban Google Glass from the premises. The proprietor thinks that continuous observation of patrons in the bar will strip them of their anonymity and put a damper on their spontaneity. In other words, why go to a bar when someone there is wearing a device that may be recording your every bad joke after you've had too many drinks?

Maybe the market can take care of this problem. But the likely pervasiveness of this type of technology convinces me that government must play a regulatory role.

Before we get too far down this road of ubiquitous surveillance, real-time upload and comprehensive analytics by cloud providers, we should pause to consider the implications. We need to consider what rights consumers have, and what rights nonparticipant third parties should have.

We need to be judicious in how to balance innovation with privacy. The Federal Trade Commission and Congress need to take a look at this new technology before it becomes common. The new data collection platforms right in front of us are much more likely to affect our lives than is the prospect of drones overhead surveilling American citizens.

The opinions expressed in this commentary are solely those of Michael Chertoff.

@highlight

Michael Chertoff: A world in which drones fly overhead 24/7 is a chilling thought

@highlight

Chertoff: Imagine wearing the equivalent of a surveillance drone on your head everyday

@highlight

He says instead of wearable drones, we will have wearable glasses or watches

@highlight

Chertoff: These devices can record and store valuable data about us; will we lose privacy?