(CNN) -- They were orphaned and separated at a young age, victims of the devastating violence that ravaged Rwanda in 1994. But Chance Tubane and her brother Patience Nduwawe were reunited nearly 10 years after the genocide and have now joined forces to help develop their country and link all Rwandans together.

The two siblings have combined their skills in IT and communication to launch Tohoza.com, Rwanda's top online advertisement platform. Similar to the popular Western website Craigslist, Tohoza is a web-based classified ad directory where Rwandans can post or look for job vacancies as well as buy, sell and rent just about anything -- from houses and cars to watches and shoes.

Just two years after its launch, Tohoza is today the third most popular website in Rwanda, with about 9,000 visitors per day.

"We said we had to create a product that would help a lot of people," says Nduwawe. "What Rwandans need now is information, so we started Tohoza to deliver the most accurate and timely information to them."

Read this: 15 African tech startups to watch in 2014

Tubane says the main objective of their business venture is not to make money but to present a different, more optimistic narrative about their country. "When you went to Google and you wrote Rwanda, you used to have all the stories about the genocide," she says. "But now, if you write Rwanda, you can have jobs, cars and get another image of the country -- a positive image that's bringing hope to people."

Separation, despair, euphoria

It's this deep desire to help Rwanda overcome the legacy of conflict that's been driving Nduwawe and Tubane's efforts -- a sentiment rooted within their troubled past and their personal tales of loss, struggle and survival.

Back in 1994, the two siblings, along with their parents and brother, fled to the Democratic Republic of Congo to escape the violence plaguing Rwanda. But while in Goma, their mother passed away from blood loss following surgery.

It was then that it was decided that it'd be better for Tubane, who was 11 at the time, to go and live with her godmother in Belgium. Nduwawe, six years older than Tubane, stayed behind with his father and brother and continued his school education.

But in 1996, just after Nduwawe had traveled to the city of Bukavu by himself to take his university entrance exams, violence erupted in the eastern DRC, forcing his father and brother to head back to Rwanda.

For Nduwawe, however, there was no escape route. Alone in a foreign country, he had to "follow the refugee direction," he says.

"During all those years, I was struggling in the DR Congo," adds Nduwawe, "without knowing if my father or my brother or my sister, were still alive -- I was without any information."

Read this: Old boat sails turned into uplifting art

Back home, no one knew anything about Nduwawe or his whereabouts. His father and relatives were constantly trying to track him but their efforts were proving fruitless, since Nduwawe had found refuge in Walikale, an isolated region in eastern DRC situated in the middle of equatorial forest.

The days without news turned to weeks and the weeks turned to years. As time passed by, some of his relatives lost hope -- but not his younger sister in Belgium.

"They were saying that you should forget about him because nine years is too long to hope that someone is alive," remembers Tubane. "But I couldn't believe that!"

Tubane's faith was rewarded in late 2003 when some relatives managed to finally trace Nduwawe in Rwanda's neighboring country.

"When you are in the DR Congo there is a lot of misleading information, like 'in Rwanda there is no life,' or 'once you reach there you will be killed,'" says Nduwawe. "But this man came with a photograph of one member of my family as a proof they'd met each other," he adds. "He told me 'they need you' so we can arrange how you can meet your family."

Convinced that his relatives were still alive, Nduwawe embarked on the dangerous journey on foot. Passing through armed militia and traveling at night, he traversed the eastern DRC's tough terrains for one week before managing to reach Bukavu. There, a family member was waiting for him to get him back home and sadly inform him that his father had passed away a couple of months before.

"I still have, today, a picture of me where my father has written at the back saying that they're still searching for me," says Nduwawe. "Even if he died, he died with that hope I'm still alive," he continues.

Read this: Ex-refugee builds toilet paper empire

"All family members were very happy (when I came back) and I saw what we were hearing on the other side of the border was not true."

In Belgium, Tubane was also ecstatic about her brother's return. "It's like a fairy tale," she says. "Sometimes he says, 'Chance, I know that we're going far, because if God kept us alive, it's for a reason, so this is why I am here and that is our story.'"

Connecting a country

The two siblings have now added a new chapter to their long story with the launch of Tohoza. Currently, they are the company's only staff -- Nduwawe, who went on to do computer courses after his return, is in charge of IT, while Tubane, an information and communications graduate, is dealing with marketing and PR.

"We have to work hard," says Tubane, who also works full-time as an administration coordinator for a Kigali-based NGO. "So we are, for now, the web masters, we are our own bosses, we are the ones marketing, we are the PR.

Although Tohoza barely makes a profit at the moment, the two entrepreneurs have big plans for the future. By next year they aim to advance the site so visitors can navigate its information without an internet connection, using the simplest mobile phones -- over 60% of Rwanda's population have mobile phones, a much larger number than people with access to the Internet.

Nduwawe and Tubane are exploring voice options and SMS technology as they look to grow their company. But for this brother and sister team, boosting connectivity amongst all Rwandans through their business will be the ultimate success.

"We are inspired by our parents because they taught us that nothing is impossible," says Nduwawe. "They were like, 'if you have an idea, go for it, there is no limit -- you just need to work hard,'" adds Tubane.

READ MORE: Hackers board the StartupBus

READ MORE: 'Nigerian iTunes' dances to mobile beat

@highlight

Siblings Chance Tubane and Patience Nduwawe are the founders of Tohoza.com

@highlight

The online classified ad directory is Rwanda's third most popular website

@highlight

The two siblings were separated for nearly 10 years in the aftermath of the Rwandan genocide

@highlight

They say their main objective is to provide a positive image about their country