In an overshadowed Election Day contest, Puerto Ricans voted in favor of statehood in a nonbinding referendum, marking the first time such an initiative garnered a majority.

Puerto Ricans were asked about their desires in two parts. First, by a 54% to 46% margin, voters rejected their current status as a U.S. commonwealth. In a separate question, 61% chose statehood as the alternative, compared with 33% for the semi-autonomous "sovereign free association" and 6% for outright independence.

While the results may be an indicator of what Puerto Ricans want, statehood will not be possible without congressional action in Washington, something that is not guaranteed.

Read more: Puerto Rico: A forgotten front in America's drug war?

An economic downturn and shrinking population were the factors that contributed to the support for statehood, where referendums in 1967, 1993 and 1998 failed, Puerto Rico Secretary of State Kenneth McClintock said.

"I think people just came to realize that the current relationship simply does not create the number of jobs that we need," he said.

An exodus of residents from the island has culminated in a staggering statistic: Fifty-eight percent of Puerto Ricans live in the mainland United States, McClintock said.

Opinion: Treat U.S. citizens in Puerto Rico fairly

"When you have a political status that scares away half of your population, it is time to reject that political status," he said.

But some analysts say the views on statehood have not changed, despite Tuesday's results.

The preference of many voters is to consider a report by the Obama administration that lays out several noncolonial options before choosing an alternative status, said Jorge Benitez, a political scientist at the University of Puerto Rico-Rio Piedras. This option, which is supported by the party that won the governorship, did not appear on the ballot.

"This isn't to say that support for statehood hasn't increased; it has," Benitez said. "But the only thing we can decipher with certainty from the vote is that the people of Puerto Rico want a change to the current status.

"It isn't clear what change we want, but we want change," he said.

The results of the referendum met with other criticisms, too.

There were voters who prefer the current status but didn't agree with the way it was defined on the ballot, thereby inflating the number of votes against the status quo, said Luis Agrait, a history professor at the University of Puerto Rico.

Secondly, a large number of ballots -- one-third of all votes cast -- were left blank on the question of preferred alternative status. If you assume those blank votes are anti-statehood votes, the true result for the statehood option would be less than 50%, Agrait argues.

Opinion: 'But what's a Latino?'

But McClintock accounts for the number of blank votes by explaining that those who voted to keep the current status would have left the question of alternatives blank.

The referendum is nonbinding, but it compels lawmakers in Washington to act, he said.

"The people are withdrawing their consent to be governed the way they are governed," McClintock said, citing the Declaration of Independence, which states that a government's power comes from the consent of those governed.

"Congress will have to address this and will have to pay attention," he said.

The roughly 4 million residents of Puerto Rico are American citizens but can't vote for president.  However, the almost 5 million Puerto Ricans living in the 50 U.S. states have full voting rights.

Under its status as a commonwealth, Puerto Rico is subject to U.S. federal laws, though island residents are exempt from some federal taxes. Puerto Rico has a nonvoting representative in Congress.

The territory played a role in presidential politics this year during the GOP primaries, when candidates Mitt Romney and Rick Santorum visited the island, seeking its delegates for the primary election.

Santorum, a former Pennsylvania senator, created a small political firestorm when he said English should be the principal language in Puerto Rico before it could gain statehood.

Romney said he would have "no preconditions" on language for Puerto Rico to gain statehood, though during a CNN debate, he said English should be the United States' official language.

Last year, President Barack Obama made an official visit to Puerto Rico, the first such visit by a president in 50 years.

@highlight

In a nonbinding referendum, Puerto Ricans voted on island's status as a U.S. commonwealth

@highlight

A majority rejected the current status and favored statehood as an alternative

@highlight

It is the first time a majority of voters chose statehood

@highlight

But analysts find problems drawing conclusions from the vote