London (CNN) -- Until last year, James Murdoch was widely regarded as heir-apparent to his father Rupert's global News Corp. media empire -- a remarkable turnaround for a college dropout once viewed as the family's black sheep.

But that aspiration took a hit following revelations that -- while he was boss of News Corp. Europe and Asia -- the group's British Sunday tabloid the News of the World eavesdropped illegally on politicians, celebrities, army veterans and even a teenaged murder victim in search of stories.

The scandal has exposed collusion between journalists, media groups, politicians and police, claiming the jobs of top police officers, newspaper executives and Prime Minister David Cameron's spokesman, while dozens of people have been arrested.

Despite his insistence, in his testimony to the Leveson inquiry investigating the matter, that he knew little of the scale of the hacking by News of the World employees, James Murdoch has also paid a price professionally.

In February he resigned as executive chairman of the British newspaper division; in April he stepped down as chairman of News Corp.'s UK-based broadcasting arm BSkyB, and subsequently relocated to the United States.

Murdoch, 39, said he was resigning to try to shield the satellite broadcaster from fallout from the newspaper scandal. "I believe that my resignation will help to ensure that there is no false conflation with events at a separate organization," he said

Yet despite his corporate leadership having been heavily criticized by UK media regulator Ofcom -- which found his actions in relation to the hacking scandal "repeatedly fell short of the conduct to be expected of him as a chief executive officer and chairman" -- Murdoch may have suffered only a momentary career setback.

In September, UK media reported that he was set to take over the running of Fox Networks, prompting angry responses from News Corp shareholders. One shareholder quoted in a UK newspaper called the news a "slap in the face for shareholders, not to mention victims of the hacking scandal."

As its deputy chief operating officer and head of international operations, Murdoch was the third most senior figure at News Corp., wielding considerable influence through the stable of newspaper titles at his command.

Murdoch finally succumbed to the turmoil that for a time threatened to engulf the entire company, even after it stepped away from a controversial bid to acquire full control of its UK-based broadcasting arm, ending any possibility of him succeeding his father at the helm of one of the most powerful media empires in the world.

James Murdoch's close links to the papers at the heart of the phone-hacking scandal were pivotal. It was he who announced the closure of the News of the World amid public fury about the paper's tactics.

He always denied being aware of the phone-hacking activities -- although he did authorize payments to appease victims. In evidence to a UK parliamentary hearing in July 2011, Murdoch said he could not recall seeing a key document known as the "for Neville" e-mail. It implied that the practice was being conducted by more than one journalist, but this statement was directly contradicted by two of the company's senior employees and may be the focus of fresh questioning.

Days after his appearance, Cameron said Murdoch had "questions to answer in parliament" over his evidence.

It was another intriguing chapter in a varied career to date. The third child from his father's second marriage, Murdoch once appeared to be the least likely of the media tycoon's offspring to succeed, despite his evident intelligence.

Born in London, but raised in New York, he attended Harvard University, where he studied film and animation before dropping out in the mid-1990s to help launch a hip-hop music label, Rawkus Records.

It wasn't long before Murdoch was brought into the family business. Rawkus was eventually bought by News Corp. and in 1996 Murdoch was persuaded to take over the company's nascent internet operations, with mixed results. By 2000 Murdoch was in charge of News Corp's Asian satellite business, Star TV, where he appeared to find his feet.

In 2003 he took over its UK-based sister operation, Sky, quickly dispelling doubts about his business acumen by meeting ambitious profit targets. Murdoch continued to rise through the ranks, taking on his News Corp executive roles in 2007.

At the time, Rupert Murdoch described his son as a "talented and proven executive with a rare blend of international perspective and deep hands-on experience."

His new position handed him overall control of News International, an umbrella company that includes the Sun newspaper, the Times and the defunct News of the World -- the paper whose activities triggered the current UK media crisis.

Although regularly cited as one of the most influential figures in Britain, Murdoch's political allegiances have never been clear. A 2007 profile in the Observer newspaper said Murdoch was "unimpressed" by then opposition leader Cameron. The Telegraph, meanwhile, described him as a "close confidant" of Cameron.

Murdoch himself told the Financial Times in 2007: "I don't comment on politics."

Murdoch, who has two children with wife Kathryn Hufschmid, is said to be a black belt in karate. He is also proficient at corporate combat. In 2006 he steered BSkyB into the acquisition of a 17.9% stake in UK broadcaster ITN, blocking a rival move by Virgin Media.

But it was his and News Corp.'s plans to acquire full ownership of BSkyB that put them on a collision course with British lawmakers in the wake of the phone hacking scandal, with the company eventually deciding to back down under government pressure.

@highlight

James Murdoch once regarded as heir-apparent to father Rupert's News Corp. empire

@highlight

Now that dream is in disarray after accusations of illegal phone-hacking under his watch

@highlight

James and Rupert Murdoch appearing before Leveson Inquiry into journalistic ethics

@highlight

Murdoch, 39, dropped out of Harvard to start a hip-hop record label