(CNN) -- If there is a central public sentiment about economics prevailing in America right now, it seems to be this: We want to go back to our manufacturing roots.

The heyday of manufacturing, the block-long plants that produce not just tangible goods, but big, heavy ones like cars, gave us economic stability once; it can do it again.

On Wednesday, President Obama spoke at the Master Lock factory in Milwaukee and said, "What's happening in Detroit can happen in other industries. What happens in Cleveland and Pittsburgh and Raleigh and Milwaukee, that's what we've got to be shooting for, is to create opportunities for hardworking Americans to get in there and start making stuff again and sending it all over the world -- products stamped with three proud words: Made in America."

But as with most nostalgic visions, this one doesn't reflect economic realities.

First, it's understandable why we have a romantic association with manufacturing. "Factory nostalgia" is economically legitimate, because it harkens back to the period of the greatest growth in the U.S. economy in history, basically 1950 to 1973.

During that period, there was growth not just in production, but in real household incomes, which is something we have seen little of for the last 40 years. This gave rise to a burgeoning, powerful middle class, and more than that, a sense that all of America shared in the economic boom, with the assembly line tethering us like an anchor to shared prosperity.

Compare this image to the more recent service-based economy. The source of the common bond -- the assembly line -- is gone. Instead, people are tied to their own education, their own human capital. Because of that, they're more stand-alone. And so since 1973, we face this widening inequality, partly because our incomes are more tied to individuals, and individuals are different. There's a huge variance across their abilities and educations, and incomes are tied directly to those things. And this situation creates the political tension we face in America; consequently, we long for manufacturing because we associate that with the strength of the middle class.

But can we go back to the assembly line? To answer that, there is another important factor to keep in mind. The enormous growth from 1950-73 wasn't entirely of our own making. It was partly due to our own initiative and education, but we also must remember that in 1950, Japan, Germany, Britain and France were all leveled because of World War II. We had no competition.

Today, not only are all those countries competing against us, but so are China, India and other countries in South America and Africa -- countries with very large and growing populations. It's not the same game, and in that sense, we're naÃ¯ve to think we can repeat the '50s and '60s if we just pull our bootstraps up. The world was much different then.

Further, there's a very important caveat to people who respond that we should just close our borders and make everything here. As an economic policy, that belief will only serve to hurt standards of living here and globally. There is a large body of evidence that shows that economic growth comes from three things: good geography, sound institutions and strong trade partnerships with the rest of the world. So, going back to closing the borders will only hurt us in the long run.

Despite the recent, well-publicized successes in U.S. auto manufacturing, what is happening in the American economy is not the reversal of a trend toward declining manufacturing. Rather, it's a slowing down of the rate of loss of manufacturing, or almost a stabilization of the decline of manufacturing in this country.

For the last 25 - 30 years, companies moved manufacturing to China where labor costs were considerably less and there existed an enormous consumer market. But the subsequent rapid per capita income growth in China has meant a rise in the relative price of their labor, so the cost differential is being alleviated. This cost differential is being further narrowed by China once again allowing its currency to gain in value compared to the U.S. dollar.

Once that differential diminishes, the rate of manufacturing decline has to slow.

However, this does not signal that "in-sourcing" or "re-shoring" is on the rise in America. Low-technology manufacturing is not anything we will ever get back to permanently. It's just too costly to produce here, and even if China becomes less attractive, there's still Latin America, and much of Asia and Africa. Going forward for decades, we simply don't have a comparative advantage in producing low-technology manufactured goods.

But we can retain manufacturing strength in the high-technology goods, as long as we commit to providing the level of education that employees will need to meet the labor demand.

There are those high-tech jobs such as the assembly of iPhones and iPads that require proximity to component suppliers -- the chipmakers, the semiconductors, the circuitry -- which can and probably will continue to be performed in countries with less-skilled workforces. However, there are many tasks associated with such complex products -- research and development, for example -- that don't require proximity to these suppliers and those provide jobs that America can gain. If manufacturing is to have a reinvigorated future in America, this is where the growth will be seen.

But education is the key to the U.S. being able to take advantage of this opportunity One of the biggest issues that I hear from managers and executives is that they need to hire workers, but can't find those who have the educational skills to be productive. This condition alone will lead to a permanently higher unemployment rate.

We may not, in the foreseeable future, get down to 5% unemployment because of the significant number of people who lack the skills for high-tech manufacturing jobs and the current underemployment and long duration of unemployment that is depreciating our workers' skills. As a country, we face the risk that we will lose out in our ability to compete in manufacturing to Europe, Japan and others.

So the nostalgia for our industrial past should be turned into a vision for a better way to educate our children. On a number of indices, we are in the bottom half of the richest 30 countries in terms of primary and secondary education performance for skills in math and reading comprehension. Forty years ago, we were right near the top.

Some people are losing out on their opportunities for a better economic future even by age 4. We simply must return to our commitment to invest in human capital.

Follow @CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Jeffrey Bergstrand.

@highlight

Jeffrey Bergstrand: Theme of economic talk is desire to return to our factory roots

@highlight

President Obama is stressing revival of manufacturing as a route to greater prosperity

@highlight

Bergstrand says the nostalgia is understandable but naive

@highlight

He says the golden days of U.S. manufacturing in the 1950-1970 era are gone