(CNN) -- Is the world spinning out of control?

I get asked this question a lot these days, and for understandable reasons. Look at what's been in the news in just the last few weeks. The Islamic State of Iraq and Syria's execution videos, Scotland's bid for secession, Russian soldiers in Ukraine.

There is an unraveling taking place in parts of the world. In the Middle East, the old order that stretched from Libya to Syria has collapsed. In Russia, the rise of oil prices has empowered and emboldened President Vladimir Putin -- and he wants a makeover on the fall of the Soviet Union. Putin is testing the stability of the old international order built after World War II, and sees that it is weaker than most people might have guessed.

But why is all this happening? In the Middle East, people were tired of the old dictatorships. They weren't prepared for what should follow them, but they wanted greater space and voice. The result has been chaos and violence, but perhaps that is the brutal, ugly phase that will force people there to find a way to make their peace with the modern world. After all, Europe went through its own religious wars, wars or nationalism, and world wars before it became the stable continent it is today.

Similarly, in Eurasia, the real driver of what has happened there is not the West or Russia, but the Ukrainian people. They decided that they didn't want to be vassals of the Kremlin. They look with longing at Poland, which in 1989 had a similar-sized economy to theirs and is now twice the size, and is a member in good standing of the European Union.

Of course there are Ukrainians who feel differently -- that's what's causing the turmoil -- but most, overwhelmingly, want to chart a future with the West. Whether they can remains an open question, given Putin's firm resolve to sabotage their plans. But again, this is a sign of people searching for greater connections with the civilized world.

And look at the rest of the world. India and Indonesia have elected leaders who are friendly towards markets, the West, and America -- resolutely democratic and yet strong nationalists. Mexico and Colombia have reformers at the helm. In Africa, there are many governments from Ethiopia to Rwanda, where you see real progress in health and living conditions. There are many pieces of bad news coming out of that continent -- from Ebola to Boko Haram -- but there is also good news, growing economies, a surging middle class.

And look at the world's two largest economies. The United States remains economically vibrant, with a dynamic society, new technologies that dominate the world, and new sources of energy that will power it for a few generations. China, for all the noise, remains committed to economic development first, is embarking on anti-corruption and reform drives and has even begun to tackle pollution and climate change as an issue.

I'm not saying that all is well in the world -- I'm really suggesting that we are in the midst of great global change. Much of this change is driven by good news -- people's desires for greater freedom and autonomy, new information technologies, etc. But all change is disruptive, and without the institutions of freedom and the civic culture of liberty, this period of transition can be dangerous. The forces of integration will not automatically triumph over the forces of disintegration. But there are many good forces out here that are also sweeping through the world these days.

And, of course, Scotland did not end up seceding. Score one for integration.

@highlight

There is an unraveling taking place in parts of the world, writes Fareed Zakaria

@highlight

In the Middle East, people were tired of the old dictatorships

@highlight

They weren't prepared for what should follow them, Zakaria says

@highlight

Europe went through its turmoil before it became stable continent it is today, he says