Detroit (CNN) -- Detroit is a place whose story is often told by the numbers. It was home to 2 million residents at its peak, but now the city is down to roughly 700,000. And all of those residents live in a 139-square-mile city grappling with millions of dollars in debt that led the city to file for bankruptcy.

But 700,000 people still make their home here. There are square miles of the city that are empty, yes. But the rest of Detroit still has to live somewhere. And where they're living, they're really living. They're operating barber shops and beauty salons, they're working to build Jeep Grand Cherokees and Dodge Durangos at the Jefferson North Assembly Plant, they're going to see the Detroit City Football Club soccer team play at Cass Technical High School.

Beyond the abandoned train station and empty Packard Plant is a city slowly making its way back from the brink. What Detroit will look like in the years to come is anyone's guess, but it doesn't mean things have ground to a halt in the meantime.

So what do you do in Detroit?

Know that you haven't left civilization. Relax. You're in Detroit. It's a city, an American city. It's going through a tough time, sure. Detroit's problems show themselves more than other cities. But assess: Why are you in Detroit? For business? For pleasure? For curiosity? Regardless of why you're here, there will be something here you'll never forget. Welcome, and open your mind.

Savor African and African-American art. The great migration out of the rural South that began before World War I coupled with opportunities within the automotive industry made Detroit an enduring stronghold of African-American culture. The city of Detroit is home to one of the largest collectives of black artists, and the Charles H. Wright Museum of African-American History houses one of the world's best-curated collections of art from the African diaspora.

Also consider checking out the African Bead Museum, the Shrine of the Black Madonna bookstore and cultural center and pockets of mostly black-owned boutiques, galleries and eateries on the Avenue of Fashion along the northern portion of Livernois Avenue on the city's northwest side.

Tour Elmwood Cemetery. There are no more calming places anywhere than cemeteries, but Elmwood is special because of the haunting, Gothic monuments among lush, tree-lined paths. The founding fathers of Detroit -- and Michigan -- are buried here. And while you're on this side of town, head over to Indian Village, the city's premier historic district that once served as home to some of the area's wealthiest auto barons where houses still are maintained and occupied by many of the city's power brokers. Or stop for some coffee at one of the cafes in nearby West Village.

Walk Pallister Avenue. Even in a city built around the auto industry, there are hidden gems where your own two feet remain the best mode of transportation. Stroll down the brick-laid, American Foursquare-lined Pallister -- where no cars are allowed. While this residential pedestrian avenue takes you to a quieter, simpler time, it was developed by none other than the workhorses at General Motors.

The automaker had its headquarters nearby on West Grand Boulevard and sought to redevelop the area after a slow decline in the 1960s. While the plan didn't quite work out -- GM moved its headquarters downtown in the 1990s -- the residents there have maintained the original vision. And if you're feeling hungry, stop by New Center Eatery nearby for the best chicken and waffles in town.

Get hip to the latest pop-ups. The barrier of entry to entrepreneurship is lower in Detroit, and many budding business owners are taking advantage of the pop-up model to establish themselves. And other local talent finds them. Take The Taco Lady, for one: Wherever Detroit native Erica Class' traveling stand Two Dollar Tacos pops up, there's sure to be a good time. Class has connections with nearly all of Detroit's up-and-coming artists and musicians displaying their talents citywide. Look for @TwoDollarTacos on Twitter.

Sample culinary creations beyond the coney dog. Get some Asian Corned Beef. There are plenty of nooks and crannies hiding delicacies unique to Detroit that contribute to the city's flavor, and these handmade corned beef concoctions wrapped in egg rolls are hidden gems. True to many locally owned joints, Asian Corned Beef has one place on the west side (13660 Wyoming) and one on the east side (2847 E. Seven Mile).

Try our local sport. Football + bowling = Fowling. Got that? The story behind that portmanteau is this: The proprietor of Fowling Warehouse and his family invented a summer game based on horseshoes, except instead of ringing horseshoes around a metal rod, you knock down bowling pins with a football. Sounds easy enough, but veterans of the Detroit-bred sport know better. All the activity at Fowling Warehouse is spur-of-the-moment, so it's not uncommon for one-on-one matches to morph into an all-out dodgeball-style tournament with more footballs and pins. They're in two locations: Sundays at Eastern Market and a new location at a factory -- yes, a factory -- at 3901 Christopher in Hamtramck, a small city surrounded by Detroit.

Don't go urban exploring. Why would you want to go into an abandoned building? They're old, they're dangerous, they're full of asbestos. The street cred associated with going through these places is long gone. And most Detroiters are offended if that's the only reason you visit. Lastly, it's illegal -- and with more police on the streets thanks to donated patrol cars and a shift in internal structure, you're running a greater risk. If you'd like to explore a beautiful building, try the Albert Kahn-designed 1928 Fisher Building in New Center, a commercial district north of downtown, or the 1928 Redford Theatre on Lahser Road.

Don't ask stupid questions. Yes, 8 Mile is a real place. No, 8 Mile isn't exactly like the movie "8 Mile." Don't make assumptions, and use the same common sense in Detroit that you would anywhere else.

Remember that people are people. Detroiters are not meant to be ogled like exhibits in a museum. They're not to be talked down to, pitied, shamed or treated with kid gloves. The so-called "grit," "never-say-die spirit" and "determination" is not unique to Detroiters, either. It's in all of us, everywhere. Say hello. Smile. Shake hands. Be courteous. Be polite. Be normal. Welcome to Detroit.

@highlight

Despite a shrinking population, Detroiters are still making their lives in the city

@highlight

African-American art and culture are thriving in Detroit

@highlight

Pop-up restaurants and a unique local sport keep things interesting