(CNN) -- It's been well more than a week since Malaysia Airlines Flight 370 went missing.

With few hard facts to work from, experts -- and the public -- are conjuring up and sharing theories on what became of the commercial airliner carrying 227 passengers and 12 crew members.

Its disappearance -- as if into thin air -- is disturbing in our age of continuous connectivity.

As a result, no speculation seems off limits, no matter how dark.

As aviation expert Mark Weiss put it: "I don't think you can discount any theory, frankly."

And so, the theories are plentiful.

Speculation: Pilot suicide

Any traveler abhors the notion of a crew member bent on annihilation.

But it's plausible.

For example, EgyptAir Flight 990 was flying 217 people from Los Angeles to New York to Cairo in 1999 when it crashed into the Atlantic Ocean. U.S. officials blamed a co-pilot, who was recorded repeating a prayer, for deliberately causing the crash, but Egyptian officials blamed mechanical problems.

The Malaysian Airlines flight, a Boeing 777, could have experienced destruction by pilot or crew, some say.

Is there a clue in pilot psychological evaluations?

"It's my belief that there was probably some type of struggle in the cockpit where it was one of the pilots that maybe had a meltdown or did something nefarious to the airplane," said Weiss, a retired American Airlines pilot captain who has flown the Boeing 777 and now works at the Washington consulting firm Spectrum Group.

Or there could have been another crew member or an uninvited or invited guest in the cockpit who "was bent on perhaps committing suicide or doing some destruction on the aircraft," Weiss added.

Though improper, pilots allowing guests into the cockpit is possible and "should be disconcerting to anybody," Weiss said. He was referring to reports of how copilot Fariq Ab Hamid, 27, had once invited a woman and her friend into the cockpit in a 2011 flight between Thailand and Malaysia.

"That's an enormous breach of security," Weiss said of cockpit guests.

But none of us will know what really happened in the cockpit "until we have the cockpit voice recorder and the flight data recorder," Weiss said.

Bergen: Did terrorists take control of Flight 370?

Speculation: Commandeering

Commandeering isn't to be confused with hijacking, a political act in which demands are issued by the hijacker, said CNN national security analyst Peter Bergen.

A commandeering is more idiosyncratic, where motives aren't immediately clear, Bergen said.

Some counterterrorism officials say that could be the case with the Malaysian flight, Bergen said.

"The plane could have been commandeered," Bergen said.

Commandeered flights have a history -- prior to the September 11, 2001, attacks on the United States, Bergen said.

For example, in 1994, the cargo plane FedEx Flight 705 was commandeered by an employee with a hammer and spear gun who burst into the cockpit and wanted to crash the plane into FedEx's Memphis, Tennessee, headquarters. The crew thwarted that takeover.

In 2000, a passenger with a suspected mental history commandeered a British Airways Flight 2069 between London and Nairobi and put the plane carrying 300 passengers into a nosedive until the crew subdued him.

"So commandeering would fit with the few facts that we do know and certainly a theory that we haven't heard a lot of that isn't a conspiracy," Bergen said.

Pilots, passengers of flight under scrutiny

Speculation: Hijacking

That the plane terminated transponder data before its disappearance leads some experts to suspect a hijacking occurred.

The political motivation of such a hijacking, however, would be as mysterious as the plane's whereabouts.

"If you are dealing with hijackers on board the aircraft, whether it was an organized gang, or whether it was some psychologically disturbed individual that ... managed to gain access to the flight, they can neutralize the crew," said Philip Baum, editor of Aviation Security International.

"But then again, there wouldn't necessarily be any communication at all -- as we witnessed on September 11th," Baum added, referring to the terror attacks in the United States. "If there was an explosive decompression, if a bomb detonated on board the aircraft, then again there would be no communication."

One motive could be terrorism. Authorities haven't ruled out this possibility, though some experts are divided on this theory, partly because no terrorists have claimed responsibility at a moment when they would have the world's attention.

"There might be another reason for them not coming forward at this point," Shawn Henry, former executive assistant director of the FBI, said. "If it was a terrorist incident...if this was part of a much larger or broader potential act, and for whatever reason, they wouldn't come forward at this point, but at a later time."

Speculation: Mechanical failure

In a less sinister but equally lethal explanation, some experts theorize the plane mysteriously crashed somewhere because of mechanical malfunction.

Perhaps it was an electrical failure.

It's possible, though pilots have trouble embracing the thought.

"I've been running that in my brain now ever since this thing happened," said Jim Tilmon, an aviation expert and retired American Airlines pilot.

"One possibility would be a total electrical failure which is very, very hard to imagine because it has so many generators coming from different places," Tilmon said.

"If all the engine generators fail, they still have what's called the RAT (ram air turbine). That's the generator that literally falls out of the bottom of the airplane, has a propeller on it, and ram-air turns that and gives them generating power enough to go ahead and fly the airplane safely.

"Electrical failure -- it'd have to be total ... absolutely incredible like we've not heard of before," Tilmon said.

Could flight have slipped by radar?

Speculation: The bizarre

Not constrained by professional accountability as the experts are, Internet users have offered their own theories.

A meteor struck the plane.

Some country's military shot down the plane.

The plane landed on a remote island.

Aliens abducted the plane.

With no answers and contradictions and questions increasing, the theories, creative conjecture and pure speculation abound.

"Everybody wants to get a handle on something right now," former Federal Aviation Administration investigator David Soucie said of conflicting theories. "No one has an answer, so they're going to try to put one on it. So that creates all kinds of assumptions."

CNN's Wen-Chun Fan, Thom Patterson and Catherine E. Shoichet contributed to this report.

@highlight

Experts conjecture that pilot or crew may have been bent on suicidal destruction

@highlight

Commandeering is a takeover of a plane with idiosyncratic motives

@highlight

Termination of plane's transponder leads some to think a hijacking may have occurred

@highlight

The bizarre theories includes meteors, remote islands, military shoot-down