Cleveland (CNN) -- First came the pain -- a decade of torture, torment and terror for three captive women and one of their young daughters.

Now comes the prosecution and -- if there's a conviction -- punishment for the man accused of being responsible for their hell.

Ariel Castro appeared silently in court Thursday, his head down, as he was arraigned on four counts of kidnapping and three counts of rape, accused of holding the women captive in his Cleveland home. Cleveland Municipal Court Judge Lauren Moore ordered Castro held on $8 million bond -- $2 million for each of the three women and the child born to Amanda Berry before they were freed Monday evening.

Hours later, the top prosecutor in Cuyahoga County, Ohio, announced he'd press for more charges -- "for each and every act of sexual violence ... each day of kidnapping, every felonious assault (and) all his attempted murders."

Furthermore, Prosecutor Timothy McGinty said he'd try to persuade a grand jury to indict the 52-year-old Castro for "aggravated murder" for the termination of his captives' pregnancies. He cited a state law that a person can be charged with murder -- a conviction that could lead to the death penalty in Ohio -- for killing unborn children.

CNN Exclusive: 'We don't have monster in our blood'

According to an initial incident report obtained by CNN, Michelle Knight said she became pregnant at least five times while in Castro's 1,400-square-foot home. When that happened, she told investigators, Castro "starved her for at least two weeks, then he repeatedly punched her in the stomach until she miscarried."

It is not known how many times, if any, the other two women got pregnant only to miscarry. One of them, Berry, gave birth to a daughter while in captivity.

That's just one of the brutal tales reported so far about the women's captivity, which McGinty described as "beyond comprehension."

"The child kidnapper operated a torture chamber and private prison in the heart of the city," he told reporters. "The horrific brutality and torture that the victims endured for a decade is beyond comprehension."

Castro's own mother is among those trying to make sense of the horror.

"I have a sick son who has done something serious," she told Univision and Telemundo. "I'm suffering very much. I ask for forgiveness from those mothers; may those girls forgive me."

Source: Writings detail actions, reasons behind them

So what was going through the suspect's mind, when he allegedly lured three women into a car between 2002 and 2004, took them to his home three miles away and held them there -- where they were chained, threatened and repeatedly sexually assaulted?

Neither Castro, his attorneys nor police have spelled out a motive publicly.

The suspect has talked with investigators, confessing to some of the actions of which he's accused, said a law enforcement source closely involved with the investigation. The source did not describe precisely what Castro confessed to when he was interrogated.

Plus, investigators have asked the state crime lab to expedite tests to create a DNA profile of Castro -- something that typically takes 20 days, but should be back Friday -- said Ohio Attorney General's office spokesman Dan Tierney.

They're also poring over evidence, including more than 200 items seized from Castro's Seymour Avenue home. Among them are writings authorities believe were written by the suspect, said two law enforcement sources closely involved in the case.

Those contain "specific detailing of actions and reasons behind actions" tied to the women's abduction and their kidnapper's behavior toward them, one of the law enforcement sources said. The author cites his own history of abuse by family members as justification.

The latest developments in the Cleveland case

The source -- who described the "pretty lengthy" writings as "more of a diary" -- said they included talk of suicide, though that's just one of many aspects.

Authorities are working "meticulously" to see whether others were involved in the kidnapping plot. Two of Castro's brothers, Pedro and Onil, were initially arrested in the case only to be released Thursday -- after appearing in court on unrelated cases -- when investigators found nothing, including from the victims' interviews, linking them to the abductions.

One of his daughters, Angie Gregg, told CNN that she "just wanted to die" upon hearing her father had been implicated.

But looking back, she thinks there were signs of something awry -- such as how her father "kept his house locked down so tight" and would sometimes leave mysteriously for an hour or so, then return, with "no explanation."

"Everything's making sense now," Gregg said. "It's all adding up, and I'm just disgusted."

Source: Death threat if newborn died

According to the initial incident report, the women said Castro first chained them in the basement but later let them live upstairs on the second floor.

The women went outside only twice during their ordeal -- and just "briefly" at that, Cleveland Public Safety Director Martin Flask said.

Most of the time the three would be in different rooms, though they interacted occasionally and came to "rely on each other for survival," said a law enforcement source with direct knowledge of the investigation.

One thing they could count on was that their alleged captor wouldn't let them out.

Castro would often test his captives by pretending to leave, the law enforcement source said. Then he'd suddenly return; if there were indications any of the women had moved, they'd be disciplined.

Survival the key difference from 'House of Horrors' case

While Knight told investigators Castro forced her to miscarry her own unborn children, she said he ordered her to deliver Berry's child, according to a police source familiar with the investigation.

The baby was delivered in a plastic tub or pool in order to contain the afterbirth and amniotic fluid, the source said.

Panic ensued soon after. The child stopped breathing, and everyone started screaming, the source said, citing accounts by the young women.

Knight said Castro threatened to kill her if the baby did not survive, the initial police report states.

"What's most incredible here is that this girl who knows nothing about childbirth was able to deliver a baby that is now a healthy 6-year-old," the source said.

'I don't think she would have lived very much longer'

Knight remained hospitalized in good condition Thursday, said MetroHealth Medical Center spokeswoman Tina Shaerban-Arundel.

The others held -- Berry, her 6-year-old daughter and Georgina "Gina" DeJesus -- are back with relatives.

FBI specialists who talked with them feel they "desperately need space and time," said McGinty.

Who are Berry, DeJesus and Knight?

"These victims need to be decompressed," he said. "They need a chance to heal before we seek further in-depth evidence from them."

Those close to them, as well as residents of Cleveland and beyond, are trying to make sense of the alleged depravity.

One of them is Arlene Castro, the suspect's daughter and once a very good friend of DeJesus. She was interviewed on an "America's Most Wanted" segment in 2005 talking about how she'd been with DeJesus, hoping to spend the afternoon with her, shortly before her abduction.

Speaking Thursday on ABC's "Good Morning America," she said she last spoke with her father late last month, adding the two had never been close. Whatever their relationship, she insisted, "I had no idea" what was happening.

"I'm really disappointed, embarrassed, mainly devastated," Arlene Castro said. "... I would like to say that I'm absolutely so, so sorry."

Women crushed by news her father allegedly abducted her friend

Fern Gentry said on CNN's "Starting Point" Thursday that hearing Berry, her granddaughter, was alive 10 years after her disappearance was the "most important thing that ever happened in my life."

Gentry, who spoke to Berry by phone from her Tennessee home Tuesday, said she's grateful for all involved in the case -- from police to helpful neighbors -- and that her granddaughter can now live her life.

"If she hadn't got out, I don't think she would have lived very much longer," Gentry said.

Timeline: From missing to liberated

CNN's Pamela Brown reported from Cleveland, and CNN's Greg Botelho reported and wrote from Atlanta. CNN's Holly Yan, Matt Smith, Rose Arce, Chandler Friedman, Poppy Harlow, Brian Todd, Tory Dunnan, Martin Savidge, Justin Lear and Laura Ly contributed to this report.

@highlight

NEW: Ariel Castro's mother: "I have a sick son, who has done something serious"

@highlight

NEW: Castro's daughter: "It's all adding up, and I'm just disgusted"

@highlight

Prosecutor says he'll seek to charge Castro with murder for ending captives' pregnancies

@highlight

Already charged with kidnapping and rape, Castro is being held on $8 million bail