(CNN) -- It's getting harder to shock people with stats about income inequality.

Americans know they live in a two-tier country -- one where the uber-super-ultra-rich are leaving the rest of us behind; where, as Michael Moore famously put it, 400 of the richest people control the same amount of wealth as 150 million others; where, as President Obama said in a speech on Wednesday, the "average CEO has gotten a raise of nearly 40% since 2009, but the average American earns less than he or she did in 1999." "Even though our businesses are creating new jobs and have broken record profits," the president said in his prepared remarks, "nearly all the income gains of the past ten years have continued to flow to the top 1%."

1%, 2%, red percent, blue percent.

At a certain point, these numbers bounce off our foreheads.

That's why I found it particularly refreshing that Obama, however briefly, argued this week that America's growing income inequality is "morally wrong."

The fairness of the widening rich-poor gap, or the lack thereof, has been discussed far less than the number soup. Yet it's a crucial question -- perhaps the central question -- for America to consider. The fairness gap is the basis for a wide range of policies, from the tax code to education; health care to the minimum wage.

So is extreme inequality amoral?

To think this through, I called up four smart people -- Nigel Warburton, a freelance philosopher and writer, and host of the (wonderful) Philosophy Bites podcast; Arthur Brooks, president of the American Enterprise Institute and author of "Wealth and Justice"; Thomas Pogge, director of the Global Justice Program at Yale; and Kentaro Toyama, researcher at the University of California at Berkeley.

Each offered a range of interesting and nuanced views. But to make this column as un-wonky as possible, I've broken down their arguments into a few, (hopefully) easy-to-chew-on talking points you can use to fight about inequality with your friends.

Bring these up at your next dinner party and let me know how it goes.

Inequality isn't a moral problem; opportunity is

In this school of thought, it doesn't matter if the mayor of New York City is worth $27 billion (he is) as long as everyone in the city has an equal chance to succeed. That's the view of Brooks, from the American Enterprise Institute. I asked him about that city, which is more unequal than any other metro in the U.S.

"The truth is there are a lot of really, really wealthy people there. Great! That's a morally neutral concept," he said. But not all of them have an equal opportunity at success, he said, in part because schools don't perform well in all neighborhoods. That's morally bankrupt. (Check out this wild map that shows the chances a kid at the bottom of the income ladder would have of climbing to the top. In Atlanta, where I live, a kid in the bottom fifth of income earners has only a 4% chance -- 4%! -- of making it into the top fifth of income earners.) Fix economic mobility, Brooks said, not inequality. And let the rich do their thing.

Inequality turns us into 'Downton Abbey'

This isn't just about income; it's about class-based psychology. Extreme income inequality, even if it's derived from a fair playing field, can lead to a society where the rich look down their noses at the poor and essentially force them into positions of servitude, a la "Downton Abbey."

"It undermines the social fabric," said Pogge, the Yale professor. He told me this idea comes from a University of Michigan philosopher, Elizabeth Anderson. "It basically creates a multi-class society -- a society in which you have people who have to flatter and endear themselves and have to be servile. And other people dominate."

Wealth is rad; human suffering isn't

Imagine a society in which the poorest people are very solidly middle-class by today's standards. They have enough to eat; they have jobs that are stimulating and thought-provoking; they have comfortable lives and can afford to go to movies and all that. Meanwhile, some people are extraordinarily rich -- like way richer than Gates or Buffett. Is that fair? Is it moral?

Yes, said Toyama, the UC Berkeley researcher. Eliminating suffering is what matters most. Beyond that, extreme wealth is an incentive for people to work harder. "Morality, on some level, is the avoidance of suffering," he said, "or at least the decrease of suffering. And where, in the United States, we have the financial wealth to be able to address everyone's direct suffering, the fact that we're not doing so is the basis for claiming that something is morally wrong."

Extreme inequality ruins democracy

It's no secret money rules politics in America. Team Obama spent $1.1 billion to win the 2012 presidential race. When inequality becomes extreme, it undermines democracy, as the late philosopher John Rawls and others have argued, because it creates unequal access to the political system and to positions of power.

One person, one vote -- yeah. But one person with millions to spend has much more influence. "What is problematic in the United States is the political system ... is one that is quite substantially dominated by those people that have money," said Pogge, the Yale professor. "They can, in the American system, yield a substantial amount of influence on the legislation through lobbying and therefore expand their advantaged position."

Jesus wants us to be poor

In the Biblical tradition, there are parables and sayings that cast the rich in a negative light, implying it's wrong to hold too much wealth, especially if you're not using it to help less fortunate people. See Matthew 19:24: "Again I tell you, it is easier for a camel to go through the eye of a needle than for someone who is rich to enter the kingdom of God." "There's something immoral, from the Christian perspective, about being very rich," said Warburton, the author and podcaster. "That's explicit." (Warburton happens to be atheist, by the way.)

The size of the rich-poor gap matters

Some inequality is acceptable to pretty much everyone these days. No one is arguing for a fully equal society. But the degree of inequality really does matter when you're trying to determine whether inequality is moral or amoral, said Pogge, the Yale professor. When extreme inequality sets in, that's when social and political problems follow.

His best estimate for a fair distribution is the Palma Ratio, which measures how much income the top 10% earns compared to the bottom 40%. Ideally, those amounts would be equal, meaning the country would have a Palma Ratio of one. According to a calculation cited by the Danish Institute for International Studies, the United States has a 2010 Palma Ratio of 1.852, which is about the same as Burkina Faso but not as bad as China or South Africa. (In an earlier version of this column, I incorrectly estimated the U.S. Palma Ratio based on wealth instead of income. I should have let the experts handle that, and I regret the mistake). By Pogge's assessment, that means inequality here is too high. Negative consequences for our society will result.

Inequality is bad if the poor don't benefit, too

I'll end this list back on John Rawls, the philosopher whose 1971 book, "A Theory of Justice," is a must-read (or at least a must-become-familiar-with) for people interested in this topic. One of Rawls' theories is that inequality can be justified only when it benefits everyone in society, particularly those who are most poor and vulnerable.

If Rawls were creating a society from scratch, he would design it so that, in his words, "social and economic inequalities ... are to be to the greatest benefit of the least-advantaged members of society." If the rich making more will help the poor be better off, too, that's cool. If not, it's unfair, or amoral. For real-world reference, here's a quick look at CEO pay in the United States, from the AFL-CIO: The average S&P 500 CEO compensation in 2012, according to that labor group, was $12.3 million. A worker? $35,000. Do the poor benefit from that disparity? Does everyone? Anyone? I'll leave you to fight about that in the comments.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Obama: "Growing inequality isn't just morally wrong; it's bad economics"

@highlight

John Sutter talks to philosophers about the morality of extreme income inequality

@highlight

Obama's remarks came Wednesday in a policy speech about the economy

@highlight

Sutter says the morality of income distribution is a central question for America