(CNN) -- Maybe it is the year of the fox, but as Better Homes & Gardens executive editor Oma Ford said, that's not stopping all the other forest critters -- and their habitat -- from showing up in Christmas decor.

"The fox is having this huge moment. In the past it's been the squirrel and the owls and deer always have their place in fall and into winter," she said. "It's part of this much larger theme, a full-on woodland sensibility."

From big box stores to craft stores, department stores to chic boutiques, all manner of Christmas ornaments and decor items are surrounded by bits of nature-inspired elements, she said. "I don't think woodland is going away," she said.

What is "woodland?" It's a decor trend that brings the woods indoors. Think about what kinds of things you would find in a forest, Ford said. Everything from pine cones, acorns, tree bark, mushrooms and moss to all styles of furry and feathered creatures.

In fact, home decor blogger Emily A. Clark routinely ventures to her North Carolina back yard for a touch of woodland to augment her Christmas tree and the rest of her house during the holidays.

"If you expand on nature, you really can't go wrong," she said. Clark finds the texture of just-clipped holly, bare sticks and conifer branches to be the perfect starting point when decorating for Christmas.

That doesn't mean that every corner of her house looks like some kind of enchanted forest. "I don't think you have to stick with one theme for your entire house. I think each room can feel a little different when you're decorating for Chrismas," she said, but what ties them together is a wintery inspiration. There is plenty of room for cherished family ornaments, playful, childlike decor and sophisticated decor that adults appreciate, she said.

"While it may seem as if the theme has been in the marketplace for a while now," said Stephen Cardino, vice president and fashion director for the Home Store at Macy's, "(woodland decor) has evolved." What he's noticed in the Christmas ornaments and decor items offered at Macy's is a saturation and refinement of colors, a new and healthy dose of sparkle and an increase in the kinds of materials used to make them.

And when it comes to decorating the tree, Cardino points out that there is no one rule of thumb. "Some decorate by theme, some by color and some prefer an eclectic theme with each ornament having special meaning," he said. And when he buys ornaments for the department store, he keeps in mind that very few people go out and buy all their Christmas tree ornaments at once.

"Customers are looking for holiday decorations that support their existing room decor," he said. "The nature-based items we offer are elevated and refined."

Many homes may already have some of these woodland decor elements displayed, Ford said. Faux taxidermy, antlers, moss and pine cones have become everyday decor. "(The woodland theme) is huge in nursery decor as well as Christmas decor, I mean, it's enormous," she said.

When those elements are blended with holiday decor, instead of covered up, "it feels like an extension of what you're already doing," she said.

Designer Rina Norwood works with colors she already has in her home, like blues and greens, when she decorates for Christmas.

Southern cypress and pine provide the perfect texture to balance out the smooth, shiny ornaments and twinkling lights of either modern or traditional decor she said, and their rich green tones make an appearance in her holiday decor. The formality of peacocks, however, is her secret to really bringing color to her Christmas decorations.

"I think the peacock brings colors than we typically see with (other) critters," she said.

Woodland decor can range from whimsical to high style, Ford said, and had truly taken hold in the decor world during the last decade.

One of Ford's favorite examples of the woodland style comes from a recent find: Birch bark made into a paper chain for a Christmas tree garland.

"It just takes the literal natural element and brings it to a very traditional Christmas decorating idea," she said.

Clark ascribes to some classic woodland decor tricks that Ford described: bare twigs tucked into Christmas trees and very au curant pine cones, birch bark and shed deer antlers.

With a decorator for a mom, Clark's five children have learned to expect different looking Christmas decor each year. "This year I went for a less-is-more approach," she said. The simplicity of a plain, natural pine swag across her mantel, a color scheme of green, white and gold and even some paper snowflakes set the mood Clark hoped for.

But what if there are some woodland elements that kind of creep you out?

Clark remembers the mounted deer head that played a central part in her grandmother's holiday decor. "That is a vivid memory for me" she said. "They put a Rudolph nose on it and tinsel on the antlers. It always really disturbed me."

Norwood knows what she means. "If you happen to have a moose above the mantle, which I have seen," she said, "some people go beyond leaving them as they are." Some wives, she said, might compromise with their husbands over a taxidermied woodland decor element. Perhaps, she said, the solution could be, "OK, let's keep the moose head, but let's paint it white to bring in that modern element."

"It's just how you approach it," she said. "We can definitely work around something as long as it's done with tasteful grace."

All that hunting trophy really needs for Christmas, Norwood said, is a natural garland around its neck.

Do you use the woodland trend in your holiday decor? Share your approach in the comments, below!

@highlight

Woodland critters and botanical elements are a constant in holiday decor

@highlight

Many retailers offer woodland decor, but you can get it from your back yard

@highlight

Woodland decor blends easily with other styles of Christmas decorations