London (CNN) -- A frozen food producer caught up in a scandal over horsemeat found in beef products in the United Kingdom, Sweden and France said Saturday it will sue the Romanian producer it blames for the problem.

The French arm of Swedish frozen food firm Findus said it would file a legal complaint Monday against the unnamed Romanian business.

Findus said it had been told that its products were being made with French beef, not Romanian horsemeat.

"We were deceived," said a Findus France statement. "There are two victims in this affair: Findus and the consumer."

Also, the British arm of Findus said Saturday said it was considering legal action against suppliers, adding that early results of its internal investigation "strongly suggests" the horsemeat contamination of a beef lasagna product "was not accidental."

Meanwhile, an emergency meeting was held in London Saturday, as ministers, food inspectors and retailers grappled with a scandal that appears to be spreading across Europe.

Environment Secretary Owen Paterson said it was "completely unacceptable" that consumers were being sold food that contained horse in place of beef.

Horsemeat found in hamburgers in Britain and Ireland

The evidence so far suggests "either criminal activity or gross negligence," he said.

Paterson warned that "more bad news" could come.

UK food businesses have been ordered to test all processed beef products for "authenticity" and report back to the authorities by Friday.

"I am determined that we get to the bottom of this and that any wrongdoing discovered is punished," said a statement by Paterson after the meeting.

Retailers in the United Kingdom, France and Sweden pulled millions of lasagna and other processed beef products off the shelves as the alarm was raised over the Findus lasagnas.

The controversy comes less than a month after horsemeat was found in hamburgers sold in the United Kingdom and Ireland. Officials in Ireland have pointed to Polish meat ingredients as being the source of horsemeat found in burgers there.

The UK Food Standards Agency said the evidence "points to either gross negligence or deliberate contamination in the food chain. This is why we have already involved the police, both here and in Europe."

An agency spokesman, Brad Smythe, told CNN that participants in Saturday's meeting had agreed that "meaningful results" must be achieved by Friday.

"This concerns products that are most likely to have been contaminated, such as beef lasagne and other budget ranges," Smythe said. The meeting was about clarifying what tests are possible, what laboratory capacity is needed, and what can be done to protect consumer confidence, he said.

Horse: Coming soon to a meat case near you?

"This is completely unacceptable -- this isn't about food safety but about proper food labeling and confidence in retailers," Prime Minister David Cameron said Friday, quoted on his official Twitter feed.

The revelations have thrown the meat industry into crisis and revolted many meat eaters in the United Kingdom, where horsemeat is generally considered taboo, although it is commonly eaten in neighboring France, as well as countries including China, Russia, Kazakhstan and Italy.

Findus said Thursday it had withdrawn its lasagna -- labeled with the British spelling, "lasagne" -- from UK stores Monday as a precaution after its French supplier, Comigel, raised concerns about the type of meat used.

Meanwhile, Findus France has temporarily withdrawn three ready-prepared dishes -- lasagna bolognese, shepherd's pie and moussaka -- because of the discovery of horsemeat in purported 100% beef products, the firm said. The company added, however, that the three products could still be eaten without health risk.

Responding to questions as to how long it had known about the horsemeat issue, Findus said it had only been alerted by Comigel in a letter dated 2 February.

That letter had made Findus "aware of a possible August 2012 date" for the contamination, the company said.

British retailer Aldi said it had also withdrawn two of its products, a beef lasagna and spaghetti bolognese, after supplier Comigel "flagged concerns that the products do not conform to specification."

While horsemeat is not itself a food safety hazard, its unauthorized presence -- in quantities up to 100% -- in foods purported to be made with beef has raised serious concerns.

Comigel has not yet responded to CNN requests for comment.

Chief among food inspectors' concerns is that the illicit horsemeat could contain the veterinary drug phenylbutazone, or "bute," commonly used to treat horses.

Neigh it ain't so: Burger King finds horsemeat at European supplier

Meat from animals treated with phenylbutazone is not allowed to enter the food chain as it may pose a risk to human health.

Findus has been ordered to test the lasagna withdrawn from shelves in the United Kingdom for the drug's presence.

Aldi said in a statement that tests on random samples of its affected products, labeled Today's Special Frozen Beef Lasagne and Today's Special Frozen Spaghetti Bolognese, "demonstrated that the withdrawn products contained between 30% and 100% horse meat.

"This is completely unacceptable and like other affected companies, we feel angry and let down by our supplier. If the label says beef, our customers expect it to be beef."

Samples of the affected Findus lasagna also contained between 60 and 100% horsemeat, according to UK and Irish food safety inspectors.

In January, the Food Safety Authority of Ireland found that 10 out of 27 hamburger products it analyzed in a study contained horse DNA, while 23 of them -- or 85% -- tested positive for pig DNA.

In nine out of the 10 burger samples, the horse DNA was found at very low levels, the inspectors said, but in one sample from Tesco, Britain's largest retailer, the horse meat accounted for about 29% of the burger.

Tesco apologized to customers after the revelation and promised action to make sure it never happened again.

The discovery of pig DNA in beef products is of particular concern to Jews and Muslims, whose dietary laws proscribe the consumption of pig products. Jewish dietary laws also ban the eating of horsemeat.

The Justice Ministry confirmed last week that a number of meat pies and similar items supplied to prisons in England and Wales were labeled and served as halal -- prepared in compliance with Islamic dietary law -- but contained traces of pork DNA, the Food Standards Agency said.

Horsemeat is not commonly eaten in the United States, but the country does export it to Canada and Mexico. Congress passed a bill in November 2011 that lifted a 5-year-old ban on the slaughter of horses for meat in the United States.

CNN's Alexander Felton contributed to this report.

@highlight

NEW: Findus UK says horsemeat in lasagna product may be intentional

@highlight

UK food firms must produce "meaningful results" in tests on all beef products by Friday

@highlight

Findus France says it will sue a Romanian producer for horsemeat contamination

@highlight

UK Food Standards Agency says it's contacted the police at home and in Europe