The Facebook page "Black Women Do Breastfeed" has existed since 2010 with a modest audience of some 2,000 people who follow it for news and conversations along with the occasional encouraging image of a breast-feeding mother.

Over the weekend, the page shared a picture of a woman breast-feeding at her graduation, prompting a chorus of social media cheers and jeers. While much of the reaction has focused on whether the picture is appropriate, the women behind "Black Women Do Breastfeed" say its message is lost in the social media chatter.

"It's important for black women to see other black women breast-feeding," said Nicole Sandiford, who started "Black Women Do Breastfeed" in 2010 as a blog and Facebook group. "Seeing other black women breast-feeding provides a sense of broad community and support for those who are trying to do it."

If that sounds weird to you, look no further than a recent post on the Facebook page asking, "If someone tried to talk you out of breast-feeding, what were their reasons?" Comments vary from, "My mom said that's what poor people did in the old days" to "You won't make enough milk" or "It's something that white people do."

That wasn't Sandiford's experience growing up in a black family outside of the United States, where it wasn't unusual to see women breast-feed openly in public. She remembers seeing her mother breast-feed her sister and knew that one day she, too, would breast-feed her children.

When she turned to the Internet in 2009 for support after her son's birth, she noticed that most images and personal stories did not include black women. Or, when conversations included black women, they focused on how they breast-feed at lower rates than other racial groups.

"I said to myself, 'Hmm, we seem to be missing from this broader conversation,' " said Sandiford, a married mother of two in Charlotte, North Carolina.

"But, as I went through my life, I knew black women who were breast-feeding, including me. I thought one thing I can do to broaden the conversation is collect stories of black women who are breast-feeding."

Georgia mother Shlonda Smith also breast-fed her five children, but somewhere along the way, a friend said to her "you're the only black women I know who breast-feeds," remember Smith, who joined "Black Women Do Breastfeed" as a co-administrator in late 2013.

"It became important to me to see other black women breast-feed and make it visible that yes, black women do breast-feed," Smith said.

On the Facebook page, links to news articles and studies garnered a few likes here and there, but things took a turn a few weeks ago when Smith posted an image of a woman breast-feeding. More women sent pictures for Smith to post and engagement increased, hitting a high with a split image of a woman breast-feeding alongside a picture of pop star Rihanna in a see-through dress. It included the caption, "Why is it OK for a star to wear this but for me to breastfeed it's a problem."

Karlesha Thurman decided to post the photo of herself breast-feeding her child while wearing her graduation cap and gown in the comments of that photo. It immediately got more attention than any other post ever on the page, Smith said, who could relate to being a young mom finishing college.

"It was just beautiful; it just spoke volumes," Smith said. "Breast-feeding is tough at the beginning, so to see a young mom who balanced breast-feeding and school, that's amazing."

But on social media and in other areas, Thurman saw some backlash. Smith offered to take the photo down, but Thurman refused.

"I found out I was pregnant my last year of college, had my daughter one week into my last semester, she was my motivation to keep going, so me receiving my BA was OUR moment," Thurman said, according to a post on the page.

"Black Women Do Breastfeed" also received negative comments about its name and its focus on black women. It also received new support -- the audience climbed to more than 7,000 by Wednesday afternoon.

Sandiford spoke with CNN about breast-feeding, race and how "Black Women Do Breastfeed" has grown to accommodate a diverse audience.

The following interview has been edited for brevity and clarity:

CNN: Why is the group named "Black Women Do Breastfeed"?

Sandiford: I named it "Black Women Do Breastfeed" so that people could be aware that there is community of black women who do breast-feed and who are interested in breast-feeding and want to share their experiences. One of the things I used to do when I was looking online for information about breast-feeding is put in search "black women breast-feed," and I figured if I named it something like that, it would come up in searches.

The name is not there to exclude anyone because from the very start, we've had women and men of varying races express interest in being on the page, but black women need advocacy in this area as well. That doesn't exclude women from joining the advocacy, it just recenters the conversation.

In addition to making black women breast-feeding more visible, we've made women who felt like they were the only ones doing it realize they're not alone. We made women who may not have previously breast-fed their children see this community of women.

There are women in this country who may be the first generation in their family to breast-feed. They may be the only women in their community who breast-feed, and that makes it difficult to find support.

CNN: How does sharing pictures of women breast-feeding contribute to this goal?

Sandiford: In the U.S., even though we do have breast-feeding, it's not seen as a common thing. It's not really something you necessarily see walking down the street. For black women who don't know other women who breast-feed in their community, it is important to see that is happening.

CNN: Why do you think this image went viral?

Sandiford: I think people were impressed that this young woman was able to graduate while taking care of a young infant. Because people are not used to seeing breast-feeding in public in this country, we tend to get really nervous or scared or unsure or outright offended because many of us are not used to seeing breasts in that context.

But, I think it's important that photos like this are out there because women need to be able to breast-feed their babies and sometimes it needs to happen in public. Babies need to eat, and they can't control other people's feelings. I think it's important that people remember this is about feeding a baby, and we as nation need to figure out how to manage our own personal feelings and allow women and babies to breast-feed as they need to.

CNN: How have you handled the reaction on your page?

Sandiford: When it comes to social media, you will always see detractors, you will always see people who disagree. But I think it's good to remember that for each of those detractors, there are more people saying 'We support her, and we don't see anything wrong with this.'

We've been very heartened by the positive comments we've seen, and we've definitely seen a lot more positive than negative ones. For us, we've tried not to fan the flames because we don't want to contribute to any harm that might come, and we certainly hope there isn't any so we're trying to be a little bit more low-key.

We are assessing how we want to manage pictures in the future. We don't want to discourage anyone who has pictures they want to share from doing so, but right now, our main concern is that women featured in pictures won't fear any harm from sharing them.

CNN: Do you think the reaction would've been different if a white woman had appeared in the picture?

Sandiford: It's really hard for me to say, but I think that maybe certain assumptions might not have been made if the person in the picture was not black because we've had people questioning her devotion to her studies, questioning her lifestyle and just making slanderous comments.

It's really difficult to say, but I do think the reaction might have been a little different.

As a new parent, did you feel encouraged to breastfeed -- or discouraged? Share your experience in the comments, on Twitter @CNNLiving with the hashtag #CNNparents or on CNN Living's Facebook page.

@highlight

A photo of a woman nursing at her college graduation got spread on social media

@highlight

The picture was shared from Facebook group "Black Women Do Breastfeed"

@highlight

The group's founder says their images encourage more black women to breast-feed