Editor's note: Marian Wright Edelman is president of the Children's Defense Fund, a nonprofit organization that advocates for policies to help children escape poverty, abuse and neglect and gain access to health care and education. Edelman was the first black woman admitted to the Mississippi bar and was a leader in the civil rights movement. Her latest book is "The Sea Is So Wide And My Boat Is So Small: Charting a Course for the Next Generation."

Marian Wright Edelman says many black babies enter the world with multiple strikes against them.

(CNN) -- One of the most dangerous threats facing black America right now is quietly stealing our children at a young age.

Incarceration is becoming the new American apartheid, and poor children of color are the fodder.

So many poor black babies in rich America enter the world with multiple strikes against them: born without prenatal care, at low birthweight and to a poor, and poorly educated, teenage single mother and an absent father.

At crucial points in their development after birth through adolescence, more risks pile on, making a successful transition to productive adulthood significantly less likely and involvement in the criminal justice system significantly more likely.

This is America's pipeline to prison, a trajectory that is funneling tens of thousands of youths down life paths that lead to marginalized lives, imprisonment and, often, premature death.

Nationally, one in three black boys and one in 17 black girls born in 2001 is at risk of imprisonment during their lifetime.

It's time to sound a loud alarm about this threat to American unity and community, act to stop the growing criminalization of children at younger and younger ages, and tackle the unjust treatment of minority youths and adults in the juvenile and adult criminal justice systems with urgency and persistence.

We must reduce detention and incarceration by increasing preventive supports and services children need, including access to comprehensive child health and mental health coverage, quality early childhood development programs like Early Head Start, and supports for parents including home visitation programs. And every child has to get an education that prepares him or her to succeed in the 21st-century economy.

The failure to act now will reverse the hard-earned racial and social progress for which the Rev. Martin Luther King and so many others died and sacrificed. The urgent challenge for each of us and for our nation is to prevent this waste of our children's lives and our nation's future capabilities.

Who are some of the black leaders coming up with solutions for saving our children? People like Geoffrey Canada, president and CEO of the Harlem Children's Zone, who recently spoke about his work to CNN's Soledad O'Brien for the "Black in America" series.

The Harlem Children's Zone Project is a holistic system of education, social service and community-building programs designed to help the children and families in a 97-block area of Central Harlem from birth on, from classes on baby care and child development through preschool, intensive public charter schools and after-school activities right up to job training and college success programs.

The HCZ Project's two fundamental goals are to help children as early in their lives as possible and to create a critical mass of adults around them who understand what it takes to help them succeed.

The evidence -- including new research on the success of HCZ's Promise Academy charter schools in closing black-white student test score achievement gaps -- shows that HCZ's comprehensive approach to saving Harlem's children is working. I applaud the Obama administration's plans to create 20 additional "promise zones" across the country.

Connie Rice is another visionary leader working on solutions to the pipeline to prison crisis in Los Angeles and California. She is co-director of the Advancement Project, a policy, communications and legal "action tank" committed to racial justice.

Rice is known for her unconventional approaches to tackling problems of inequity and exclusion, and she works on education, gang and violence prevention, and other serious concerns affecting the healthy development of young people.

During her long career as a civil rights lawyer, including serving as co-director of the Los Angeles office of the NAACP Legal Defense and Educational Fund Inc., she won billions of dollars in policy changes and remedies, including a 1999 lawsuit that gained $750 million for school construction in Los Angeles that had been set to go to suburban school districts.

Rice and her colleagues are finding innovative ways of dismantling some of the persistent structural inequalities that exist in America, and their successes help level the playing field for poor children of color.

We need to celebrate, support and replicate the work of these kinds of leaders. Child poverty and neglect, racial disparities in systems that serve children, and the pipeline to prison are not acts of God. They are our nation's immoral political and economic choices that can and must be changed with strong political, corporate, community and family leadership.

The opinions expressed in this commentary are solely those of Marian Wright Edelman.

@highlight

Marian Wright Edelman: Black youths at higher risk of going to prison

@highlight

She says innovators like Harlem Children's Zone are showing strong results

@highlight

Edelman: Investing in children from birth can break the pipeline to prison