(Martha Stewart Living) -- What was once considered, well, brassy, is now something to covet and keep. From small moments to large statements, today's brass is tasteful and elegantâ€”with gorgeous patina to spare.

Brass is back.

With the appetite for nickel and chrome at its saturation point, brass is returning to the forefront of the design world. "People are rediscovering how beautiful it is," says Martha Stewart, who has amassed an impressive collection of brass treasures, particularly trays, from all over the globe.

"I am always searching for new pieces," she says.

Martha Stewart Living: 19 tips for perfect laundry every time

But shopping for the "mellow metal," as she calls it, doesn't have to feel like an exhausting treasure hunt anymore. Thanks to the renewed interest, both mainstream design shops and specialty boutiques now stock brass wares. And with good reason: The metal, an alloy of copper and zinc, is strong; it won't rust; and it can be forged into a variety of shapes.

Plus, it's relatively inexpensive. "I jokingly call it the poor man's gold," Stewart says.

Unlike the perpetually shiny lacquered brass that was popular in the 1970s and '80s, most pieces today are left unfinished. They may require occasional polishing, but the goal is no longer that blinding glossiness. In fact, not only is brass that shows its age acceptableâ€”it's downright desirable.

"It's the patina that makes it beautiful," says decorating director Kevin Sharkey.

Martha Stewart Living: 35 pantry staples for healthy eating

"Brass is timeless, warm, and inviting. There's a reason people are drawn to it. Adding it to a room is like crowning the space with an amazing jewel."

How to clean brass

Don't overlook a brass find simply because it appears blackened beyond repair. "Removing the tarnish is like discovering gold," says Kevin.

Martha polishes her brass pieces about once a year; every three years, she has them professionally cleaned. For basic maintenance and to make unlacquered brass shine without stripping away the patina, Anthony Cassano of Greenwich Metal, in Stamford, Connecticut, recommends using polish-soaked cloths, such as Cape Cod metal polishing cloths.

Martha Stewart Living: 21 ways to decorate your home on a budget

Stronger, more abrasive cleaners, like Brasso, are best used on heavily oxidized pieces. Test on a small area first, advises Cassano. Lacquered-brass items, meanwhile, should be cleaned with a soft cloth, mild dishwashing soap, and tepid water.

Removing lacquer

Worn-away lacquer may be to blame for brass's formerly bad rap. The clear coating (made of lacquer, epoxy, or urethane) preserves a shiny finish and eliminates the need for polish, but it doesn't wear evenly, resulting in blotches of tarnished metal against the bright lacquered parts. The tarnish cannot be properly cleaned off unless you get rid of the existing lacquer.

Martha Stewart Living: Curb your food cravings with yoga

To do so, Cassano recommends a paint-stripper paste like Klean-Strip. Brush it on evenly to remove all kinds of clear coating.

As always, test on a small patch of your brass item before applying the paint stripper, and consult a professional before removing lacquer from any large or valuable piece.

Fast-tracking patina

Left on its own without any intervention, unlacquered brass will begin to darken in about a month and will continue to take on a deeper patina with age and use, says Jamie Gregg of Colonial Bronze in Torrington, Connecticut. To accelerate this process, he recommends placing the item in hot water, which speeds up the oxidation.

Martha Stewart Living: 15 kitchen shortcuts that will change the way you cook

Another trick, says Cassano, is to place an open can of traditional latex paint next to the unlacquered brass item in an enclosed area for at least 24 hours. The fumes from the paint will quicken the patination process.

Where to find brass

Flea markets are a great place to nab vintage brass goods, but if you'd rather shop from the comfort of your own home, check out these websites. From hardware to furniture, eBay offers the widest on-line selection of brass items. Search terms: vintage, raw brass, unlacquered brass.

Martha Stewart Living: Don't shelve these clever bookshelf decorating ideas

For even more finds, expand your search abroad: Try looking in England. And if you know French, go to eBay's French site.

High-end furniture with brass accents, including midcentury-modern pieces by Edward Wormley, Dunbar, and Paul McCobb, can be found at 1stdibs.

Auntie Oti is a valuable source for vintage brass bowls, tumblers, canisters, and bells from India.

Storing brass

How you view aging brass depends on your taste: One person's patina is another's tarnish. Whatever your preference, you should store your treasured objects properly to prevent them from oxidizing so much that they practically become black.

Cassano suggests stowing brass trays, bowls, or tumblers in flannel bags, such as those made to protect sterling silver, or wrapping them in acid-free tissue paper before sealing them in plastic bags. Avoid keeping them in high humidity, and do not use newspaper, he advises, which has acidic ink that will cause oxidation.

@highlight

Brass is back, and better than it was in the 1970s and '80s

@highlight

Martha Stewart collects brass trays from around the world

@highlight

The modern way of using brass in home decor is with patina