Simferopol, Ukraine (CNN) -- Demonstrators clapped along to Soviet-era songs as dancers from Russia's Black Sea fleet entertained the masses at the center of Crimea's administrative capital Sunday.

But it was more than just nostalgia for the old Soviet Union.

With a controversial referendum over whether Crimea will remain part of Ukraine just a week away, it was a rallying cry for ethnic Russians gathered in Simferopol's Lenin Square.

The large demonstration was the latest flashpoint as tensions simmer on the Crimean peninsula, which has become the epicenter of a battle for influence among Moscow, Kiev and the West since Ukrainian President Viktor Yanukovych's ouster last month.

Pro-Russian forces have pushed into the Black Sea peninsula in a bloodless siege, prompting criticism from Western nations and Ukraine's interim government.

At Sunday's rally, throngs of people waved Crimean and Russian flags. And they said they want one thing: a union with Russia.

Because of language and history, one man at the rally told CNN, Russia and Crimea are already "brothers."

But not all Crimeans are convinced. Across town, beneath a statue of Ukraine's most celebrated poet, the crowd was much smaller, the mood much more somber.

Asked what he thought about the possibility of Crimea becoming part of Russia, one demonstrator shook his head.

"It will be very complicated because of economics, and a lot of different nations live here, not only Russians. ... Not all of the people want to be part of Russia," he said. "It's kind of show. Putin's show."

The rally was peaceful. But elsewhere, in the Crimean port of Sevastopol, another Ukrainian rally came under attack by pro-Russian gangs who whipped and beat demonstrators.

In Kiev, thousands of people gathered at a rally for peace at the central Independence Square, the cradle of the protests that ousted Yanukovych.

The crowd shouted slogans such as "Glory for Ukraine" and "Putin go away" as representatives of different religions prayed for a solution to the crisis.

Putin speaks with Merkel, Cameron

While the autonomous Ukrainian region was the scene of emotional demonstrations by both sides, Russian President Vladimir Putin defended the breakaway moves by the pro-Russian leaders of Crimea in conversations with two world leaders on Sunday,

In separate phone calls with German Chancellor Angela Merkel and British Prime Minister David Cameron, Putin underlined "steps being taken by Crimea's legitimate authorities ... being based on international law on behalf of the interests of the population there," according to a Kremlin statement. Putin also said new Ukrainian authorities were doing nothing "to curb ultra-nationalist and radical forces committing outrages" in Kiev and other regions.

The three leaders spoke amid tensions on the Black Sea peninsula that have escalated since the Moscow-backed regional parliament voted to leave Ukraine for Russia and announced a March 16 referendum to give Crimeans an opportunity to vote on the idea.

Despite the differences of opinion over what is happening on the ground, the Kremlin statement said there was consensus on the need to de-escalate tensions and normalize the situation.

It's unclear what could happen next in the tense standoff, but Sunday's phone conversations between Putin, Cameron and Merkel send one clear message, CNN analyst and Russian journalist Vladimir Pozner said.

"I think it shows that President Putin is very worried by the situation. I think speculation that he's trying to rebuild the Soviet empire are way off base," Pozner said. "I think he knows all too well the necessity of Russia having an international relationship with the West. ... My hope is, with all the escalations going on, that there's a real chance of finding some way out of this very dangerous situation."

Moscow has denounced the events that led to Yanukovych's ouster as an illegitimate coup and has refused to recognize the new Ukrainian authorities, putting the two countries on a collision course over control of Crimea, which has longstanding ties to Russia and has thousands of Russian troops stationed there.

Putin has said Russia has the right to protect Russians living in the former Soviet republic. Pro-Russian forces are now in de facto control of the region ahead of the referendum, which Kiev says is illegal.

Washington has warned Moscow that any moves to annex Crimea would close the door to diplomacy. On Saturday, U.S. President Barack Obama rounded up world leaders to demand Russia "de-escalate the situation."

Ukrainian interim Prime Minister Arseniy Yatsenyuk will fly to the United States this week to discuss the crisis in Crimea, as hostilities in the eastern European country's southern region intensify.

Yatsenyuk is expected to arrive in the United States on Wednesday, a spokeswoman from his press office told CNN. The White House confirmed the visit and said the two will talk about the Russian military incursion and economic support for Ukraine.

Referendum becomes focus

Putin last week secured permission from his parliament to use military force to protect Russian citizens in Ukraine. The move came within days after Yanukovych's flight from the country. Yanukovych was ousted after three months of protests against a decision to spurn a free trade deal with the European Union and turn toward closer ties with Moscow.

A convoy of military vehicles, believed to be carrying Russian soldiers, traveled through Simferopol on Saturday, heading toward the border post at Armyansk, a spokesman for the Ukrainian Ministry of Defense told CNN. Armyansk is one of the main access points into Crimea from the rest of Ukraine.

Dozens of military observers from the Organization for Security and Co-operation in Europe have tried to cross into Crimea for three days but have been refused entry by armed men. They did not attempt a crossing on Sunday.

The referendum on whether the Crimean Peninsula should join Russia has become the focus of the Ukraine crisis. Yatsenyuk has called it "an illegitimate decision."

"If there is an annexation of Crimea, if there is a referendum that moves Crimea from Ukraine to Russia, we won't recognize it, nor will most of the world," U.S. deputy national security adviser Tony Blinken said on CNN's "State of the Union" on Sunday.

"So I think you'd see, if there are further steps in the direction of annexing Crimea, a very strong, coordinated international response."

CNN's Claudia Rebaza, Arkady Irshenko, Azadeh Ansari and Catherine E. Shoichet contributed to this report

@highlight

Pro- and anti-Russian groups hold rival rallies in Crimea

@highlight

Putin speaks with British PM, German Chancellor about the situation there

@highlight

CNN analyst: Putin is "very worried by the situation"

@highlight

The Ukrainian prime minister is expected to arrive in the United States on Wednesday