Before boarding the last flight of his life, UPS cargo pilot Capt. Cerea Beal Jr. confided to a colleague: "These schedules over the past several years are killing me."

Just before takeoff, his co-pilot also expressed concern about fatigue.

In a conversation captured by the cockpit voice recorder, First Officer Shanda Fanning told Beal that she had just gotten a "good sleep," but she was still "so tired."

Both Beal, 58, and Fanning, 37, died last August when their plane, an Airbus A300, crashed just short of the Birmingham, Alabama, airport just before dawn.

Details of the conversations were revealed Thursday during a National Transportation Safety Board public hearing.

The board released documents around its investigation and heard testimony from UPS officials, pilots, and other experts.

Until Thursday, the issue of fatigue had received little attention in the UPS accident.

But with the release of the cockpit transcript and interview records, the crash of UPS flight 1354 is now part of one of the hottest debates in commercial aviation: pilot rest.

'One level of safety'

In January, the Federal Aviation Administration enacted new rest rules for all airline pilots. But the rule excludes  cargo crew.

Cargo pilots say the FAA should have "one level of safety" for all pilots -- a sentiment expressed in the doomed cockpit -- and say government and industry should place the same value to cargo pilot's life that they give to airline pilot and passenger lives.

Cargo pilots have special rest needs, they say, because they typically fly "on the back side of the clock" -- at night -- which raises havoc with sleep rhythms and contributes to fatigue.

UPS argues that it gives pilots ample opportunity to sleep, that it has a non-punitive system for pilots who say they are too tired to fly, and that work hours have been largely negotiated with the pilots' union.

Finally, they stress that pilots share responsibility that they get adequate rest and are fit to fly.

Cockpit conversations

Even though the NTSB is months away from determining the probable cause of the accident, the rest issue erupted in full Thursday.

It was raised, in this case, by the ill-fated pilots themselves, their haunting words captured on the cockpit voice recorder.

As the plane cruised toward Birmingham, Beal noted the two-person crew would have two extra hours off-the-clock on the ground, and pointed out their rest period during a previous leg was cut short by a 30-minute ride to the hotel.

"This is where, ah, the passenger side (passenger airline pilots) ... they're gonna make out," he said.

"I mean I don't get that. You know, it should be one level of safety for everybody," he said.

Fanning agreed.

"It should be across the board to be honest. In my opinion, whether you are flying passengers or cargo or, you know, box of chocolates at night, if you're flying this time of day..." she said.

"The, you know, fatigue is definitely," she added, her voice becoming unintelligible.

"I was out and slept today. I slept in Rockford. I slept good," she said. "And I was out in that sleep room  and when my alarm went off, I mean, I'm thinkin' 'I'm so tired,'" she said.

"I know," Beal responded, saying cargo companies "got a lot of nerve."

'They told us'

The union representing the 2,600 pilots who fly for UPS took note of the cockpit conversation.

"Pilots rarely get to speak for themselves from beyond the grave in these cases," said Brian Gaudet, a spokesman for the Independent Pilots Association.

"I'm going to take their word at face value. They told us what was going on at the beginning of that flight," he said.

UPS said its rules are within FAA requirements, and that it had a FAA-mandated fatigue risk management program.

A typical UPS pilot is on duty 70 hours a month, and flies less than half of that time.

UPS said both crew members were coming off extended time off.  The captain had been off for eight days before beginning his final trip, and the first officer had flown just two of the previous 10 days.

Beal had flown 41 hours in the previous 30 days; Fanning had flown 31.

UPS representative Capt. Jon Snyder said that "a majority" of the company's flights occur at night, so the company can keep its commitment to deliver packages by 10 a.m.

"That's the nature of the business," he said.

Last year, he said, pilots flew 123,000 flights, and on 138 occasions called in to report they were too tired to fly.

In 96 cases, the company determined that the pilot was within his or her rights, and in 42 cases it deducted days from their sick days after concluding the pilots could have managed their rest periods better.

IPA representative Lauri Esposito said pilots are reluctant to call in tired.

"Members view it (the company's response) as being punitive; they get dinged for it."

At the hearing, experts testified Beal and Fanning missed numerous cues that the plane was descending too rapidly.

NTSB investigator in charge Dan Bower said he has found no indication that the plane had mechanical problems.

Democratic legislation proposed last year in the Senate proposes to align rest rules for cargo pilots with those of their passenger airline counterparts.

@highlight

Two pilots talked about rest; transcript of cockpit conversation released at safety hearing

@highlight

Pilot fatigue one of the hottest issues in commercial aviation; cargo pilots want one rest standard for all

@highlight

The National Transportation Safety Board did not find any mechanical problems with Airbus jet

@highlight

Plane crashed in August just short of runway in Alabama; both pilots killed