(CNN)UltraHaptics is a young company with a big dream: changing the way we interact with electronic devices.

Their technology creates tactile three-dimensional shapes literally out of thin air, using ultrasound. The company's tagline says it all: "Feeling without touching."

Through an emission of sound waves, sensations are projected through the air and to the user.

Changes in air pressure are perceived as suspended tactile surfaces, creating invisible -- but tangible -- interfaces.

This already sounds quite intriguing, but paired with another rising technology it has the potential to become a game changer.

The rising tide of virtual reality seems unstoppable: Facebook's Oculus Rift and Magic Leap are leading the pack, but several other companies are readying devices in a field that could shake the foundations of electronic entertainment.

But even though it is incredibly convincing, virtual reality completely bypasses the sense of touch: applying UltraHaptics' technology to it would allow users to not just see the virtual world projected in front of their eyes, but to touch it as well.

Tom Carter, UltraHaptics' CTO, sees potential in the merging of these technologies: "The ability to put on your virtual reality goggles and not just explore visually and through your headphones, but also touch what you can see, is a really exciting possibility," he told CNN's Nick Glass.

Creating buttons and shapes literally anywhere they're needed opens up a slew of possibilities for more traditional devices as well.

"Imagine the dashboard of a car having no buttons, no switches, no ugly controls: just a very nice, sleek dashboard.

"If you're driving and you want to have the music up for example, you don't have to take your eyes off the road, you just hold your hand out and the controls stick to your hand, so you can feel them."

Smartphones and other popular devices could also see benefits: controlling appliances in the kitchen, using TVs and computers in a style reminiscent of the movie "Minority report", or even snoozing the alarm in the morning would all become just a matter of waving your hands. (This probably wouldn't be the most virtuous application of the technology.)

Several devices can already be controlled with gestures, but UltraHaptics add an extra layer of feedback, by generating the sensation of a force field: "Haptics is more than just the sense of touch. It's really all of the information that you get from the sense of touch. What you're feeling, what sort of pressure, the tactile sensation given by an object or surface. You also know where your limbs are and how they're moving, all from the sense of touch. It's all this information that cues how you're interacting with the world," Carter said.

To create their invisible buttons, UltraHaptics use a small collection of ultrasonic speakers, concentrating the sound waves to a specific point.

Sound travels through air by creating a pressure differential, so by focusing several of these differentials to a target location, the result is a single localized spot of high pressure.

"If you put your hand in the way, it actually emits enough of a force on your hand to slightly displace your skin.

"We use that and control it to vibrate your skin, and give you this feeling. What you eventually get is a sensation of vibration on your hands," Carter explained.

With the current prototype, the smallest point that can be created is 8.5 millimeters in diameter, but the shape can be morphed into a surface, creating different textures over a single "object" by differentiating the pressure levels.

Other companies are working on similar projects, such as Elliptic Labs, and the interest around the technology already appears to be strong.

UltraHaptics, who have already built several prototypes and have demoed the technology to the public at the last CES in Las Vegas, say they are working with 15 to 20 clients who are looking to incorporate tactile ultrasound into their products.

"We have everything from consumer electronics companies making things like speakers, radios, alarm clocks, through home appliance companies making cooker hoods, washing machines, to virtual reality in gaming companies. And we were very surprised at how keen the automotive industry is to work with us," Carter said.

"I'd like to believe that the first product featuring our technology will be on the shelves in a year, that's our aim."

Read more from Make, Create, Innovate:

Great photos from the world's smallest satellites

So long, transistor: How the 'memristor' could revolutionize electronics

Laser procedure can turn brown eyes blue

@highlight

A company called UltraHaptics has developed a technology to create 3D shapes in mid-air

@highlight

A tactile sensation is provided by ultrasonic waves, which alter air pressure

@highlight

The technology could be applied to electronic devices, car dashboards, and virtual reality headsets