(CNN) -- Back in 1950, the European Reconstruction Program organized a contest for posters promoting the U.S. Marshall Plan. Among over 10,000 entries, the winner was Reijn Dirksen, then barely 25 years old. His entry portrayed a ship braving stormy waters and a dark fog, pulled forward by multiple sails: the Continent's flags. The hull of the ship was made of letters spelling "Europe" and the caption read, "All our colours to the mast."

Early on Friday, the Norwegian Nobel Committee in Oslo did something unusual: Instead of rewarding the Nobel Peace Prize to an individual, it gave it to the European Union -- an international institution facing a 3-year-old existential crisis that looks nowhere close to being over.

Almost immediately, critics pointed out the odd choice, mocking the award to an agglomeration of countries, many of which are in recession and internal turmoil. In the last two years, many a respectable economist has argued the end was nigh for Europe's single currency, as well as the EU at large.

The Union has been likened to the League of Nations and a fascistic government due to its perceived "democratic deficit," the indictment that current supranational institutions do not answer to electorates directly enough. It's safe to assume no comparison featuring the League of Nations is a happy one.

But such criticism is gravely misplaced. The Nobel communique does not begin to describe what the EU has done for Europe, but history can.

In the century between 1848 and 1945, the Continent lived in constant crisis. Nationalisms emerged, empires crumbled, and conflagration became the rule.

Thrice did Germany and France go to war with each other, and twice they dragged the whole world with them. One of those world wars involved an unspeakable genocide conducted at industrial scale by a developed nation. In its aftermath, as Churchill warned, "an iron curtain descended across the Continent," and whole nations lived in the misery and rubble left behind by aerial bombing.

Opinion: Nobel Peace Prize a wasted opportunity

Along with demography and economics, ideas have the power to drive history. Like British-sponsored free trade in the 19th century and revolutionary Marxism in the early 20th, European integration caught on. A year after Dirksen finished his poster, the ship of Europe began to be built in earnest through the Treaty of Paris, which effectively tied the economies of France and West Germany together.

By 1956, the Soviet Union proved itself no better than the devils it had once fought when it violently crushed the Hungarian Revolution. In stark contrast, a year later six Western European nations signed the Treaty of Rome, pledging "ever closer union" and giving birth to the European Economic Community, which has since evolved into the EU.

For countries long mired in internal divisions, Europe became a shining light. A remarkably peaceful transition in Spain followed three decades of iron-fisted dictatorship by Francisco Franco, brought about by a devastating civil war.

In a country where philosopher Jose Ortega y Gasset had once written that "Spain is the problem and Europe the solution," the promise of integration underwrote Spain's first-ever successful experiment with democracy. Similarly, authoritarian regimes in Portugal and Greece gave way to pro-European republics respectful of human rights.

And when the Berlin Wall finally fell, what former Soviet subjects wanted turned out to be not so different. They sought the freedoms and opportunities that the EU embodies. The process of integration -- along with the work of organizations like the Open Society Institutes -- contributed to a strengthening of democratic institutions in the Czech Republic, Hungary, and Slovenia. No lasting dictatorial strongmen emerged, forcing many political scientists to revise their overly deterministic models. Just compare the post-Soviet fate of dictatorial Belarus with that of democratic Poland.

With all its imperfections, Europe today is the largest single market in the world, featuring effective anti-trust regulations, curtailing economic nationalism, and promoting free trade agreements with counties as far away as Asia and Latin America. New potential members are eager to join, from booming Turkey to crisis-ridden Iceland. Despite all the talk of stalling, Turkish membership will eventually come to pass.

True enough, the sovereign debt crisis has revealed flaws in the design of the monetary union. And the democratic deficit must be addressed through directly elected EU officers. But Europe is far more likely to emerge strengthened from the ordeal than apart. It's not just European institutions like the central bank and the Commission that speak of "more Europe" as the solution. So do national leaders like the French president and the Italian prime minister. The disagreement is not so much about the federalist future, but about how to get there. That is why even the careful German chancellor speaks of Europe as a "Schicksalsgemeinschaft" -- a "community of destiny."

Indeed, looking at the research from this year's Nobel Memorial Prize winner in economics, Tom Sargent, Europe does not compare badly with the early United States, which took a decade to transition from the Articles of Confederation to the Constitution.

The success of Dirksen's ship "Europe" is ultimately twofold. Within its members and potential members, it has made the word "dictator" into an anachronism, a seemingly impossible feat from the perspective of 1945, not to mention 1848. And beyond the Continent, it has proven that post-national integration is not only possible, but also desirable. The individual colors on the mast are still there -- but they all sail together.

The Americas -- where the founding fathers in both Northern and Southern republics once dreamt of integration -- should take note. Perhaps one day the Nobel Peace Prize will reward that project. In the meantime, Europe sails on.

The opinions expressed in this commentary are solely those of Pierpaolo Barbieri.

@highlight

Pierpaolo Barbieri: Nobel Peace Prize awarded to European Union stirred controversy

@highlight

He says the EU helps ensure peace after a century of war and dictatorship

@highlight

Europe is the world's largest market, offering an arena for trade and commerce, he says

@highlight

Barbieri: Europe financial crisis reveals need for reform, but EU is still worth having