Thailand is now under military control -- with its military chief in power, its constitution tossed, its political leaders detained, its citizens under martial law -- thanks to a coup that capped months of unrest.

Thursday's announcement, in a televised address by the Asian nation's military chief, followed a last-ditch meeting purportedly aimed at resolving the crisis.

Leaders of the governing Pheu Thai Party, the opposition Democrat Party, the anti-government protesters, pro-government "Red Shirts" as well as the military were among those in attendance.

But only one faction walked out free.

Troops escorted the political party leaders from the meeting; a lawyer for the "Red Shirts" later confirmed they'd been detained.

That left Gen. Prayuth Chan-ocha, the head of the Asian nation's military, in charge.

The military released a statement saying Prayuth now has the powers to act as Prime Minister until a new one takes office.

How exactly the government will operate is in question, given that the military also has thrown out the 2007 constitution, except for Section 2,  which acknowledges that the king is the head of state.

The last six months have been marked by protests, both by those backing the government and those against. There has been deadly violence in the streets.

Schools will be closed nationwide between Friday and Sunday, the de facto military government ordered. A curfew is in place for between 10 p.m. and 5 a.m. (11 a.m. to 6 p.m. ET) And all state-run, satellite and cable TV providers have been ordered to carry only the signal of the army's television channel; CNN is among those networks that have been taken off the air.

In a speech hours after the meeting with political party leaders, Prayuth explained that these actions were necessary to restore order and push through needed reforms.

He said there will be security provided for foreigners, including vacationers and diplomats. As to Thai citizens, Prayuth urged them to go about their business as usual -- including civil servants and officials, who should report to work.

And in many ways, this is normal for Thailand.

Thursday's sudden transfer of power is the 12th time the military has taken over since Thailand became a constitutional monarchy in 1932.

It's the second coup for Pete Kraisittipong, a lifelong Bangkok resident and CNN iReporter. While there are noticeable differences -- like closed convenience stores -- he said most people don't seem too taken aback but the sudden, if hardly unprecedented, political shift.

"People associate this as the silent coup. They just go home and don't go out after 10," he said. "... People just live their normal lives."

Amnesty bill furor spirals into more unrest

In a way, if not years in the making, the latest coup has been in the making since November.

That's when then-Prime Minister Yingluck Shinawatra tried to push through an amnesty bill to allow the return of her brother Thaksin Shinawatra, a former prime minister who lives in exile. A military coup deposed Thaksin in 2006.

Groups opposed to the government seized on the amnesty bill furor and began large-scale protests in central areas of Bangkok.

Trying to defuse tensions, Yingluck called early elections. But the Democrat Party boycotted the February race, and Yingluck's foes blocked voting in enough districts to prevent a valid outcome.

Yingluck, who first took office in 2011, stayed on after the disrupted election as a caretaker Prime Minister. But the Constitutional Court forced her from office two weeks ago, finding her guilty -- despite her professions of innocence -- of violating the constitution over the appointments of top security officials.

She is now wanted, along with three of her relatives, having been summoned to report to military authorities late Friday morning, an army spokesman said.

The situation hasn't calmed much since Yingluck's departure from office. Demonstrators on all sides of the fight remained active in the streets. And attempts to resolve differences through negotiations -- such as Thursday's meeting, the second in two days -- seemingly went nowhere.

On Tuesday, the military stepped up its involvement by declaring martial law. At the time -- even as an aide to interim Prime Minister Niwatthamrong Boonsongpaisan insisted it had taken "this action unilaterally" -- the military insisted this wasn't a coup.

Thailand martial law: A cheat sheet to get you up to speed

Not anymore.

U.S. suspends 'military engagement and assistance'

The developments have caught the attention of world leaders, including U.N. Secretary-General Ban Ki-moon, who appealed "for a prompt return to constitutional, civilian, democratic rule and an all-inclusive dialogue," according to his spokesman.

U.S. Secretary of State John Kerry expressed disappointment and concern about the detention of political leaders, the shutting down of media outlets and the suspension of the Thai constitution.

"There is no justification for this military coup," Kerry said in a statement. "... I urge the restoration of civilian government immediately, a return to democracy and respect for human rights and fundamental freedoms."

American officials have tried but -- as of Thursday afternoon -- failed to contact Thai military officials to urge them "to immediately restore democracy and civilian rule," U.S. State Department spokeswoman Jen Psaki said.

The State Department and USAID send approximately $10 million annually to Thailand, according to Psaki. In light of everything, there is "a comprehensive review" of all such ties between the two countries, including militarily.

"We've taken preliminary steps to suspend military engagement and assistance, while we consider the facts on the ground," said the U.S. spokeswoman.

Soldiers, selfies and a military coup

@highlight

Bangkok resident: Thai residents "just live their normal lives" after "silent coup"

@highlight

U.S. Secretary of State Kerry: "There is no justification for this military coup"

@highlight

U.S. officials haven't yet talked with military officials, despite their efforts to do so

@highlight

Military takes over government, detains political party leaders, suspends constitution