(CNN) -- Last week, I joined the board of a new organization to oppose marijuana legalization: Smart Approaches to Marijuana. The group is headed by former U.S. Rep. Patrick Kennedy and includes Kevin Sabet, a veteran of the Office of National Drug Control Policy under President Obama.

The new group rejects the "war on drugs" model. It agrees that we don't want to lock people up for casual marijuana use -- or even stigmatize them with an arrest record. But what we do want to do is send a clear message: Marijuana use is a bad choice.

There are many excellent reasons to avoid marijuana. Marijuana use damages brain development in young people. Heavy users become socially isolated and perform worse in school and at work. Marijuana smoke harms the lungs. A growing body of evidence suggests that marijuana can trigger psychotic symptoms that otherwise would have remained latent.

It's possible to imagine a marijuana rule that tries to respond precisely to such risk factors as happen to be known by the current state of science. Such a rule might say: "You shouldn't use marijuana until you are over 25, or after your brain has ceased to develop, whichever comes first. You shouldn't use marijuana if you are predisposed to certain mental illnesses (most of which we can't yet diagnose in advance). Be aware that about one-sixth of users will become chronically dependent on marijuana, and as a result will suffer a serious degradation of life outcomes. As yet, we have no sure idea at what dosage marijuana will impair your ability to drive safely, or how long the impairment will last. Be as careful as you can, within the limits of our present knowledge!"

Yet as a parent of three, two exiting adolescence and one entering, I've found that the argument that makes the biggest impression is: "Marijuana is illegal. Stay away." I think many other parents have found the same thing.

When we write social rules, we always need to consider: Who are we writing rules for? Some people can cope with complexity. Others need clarity. Some people will snap back from an early mistake. Others will never recover.

"Just say no" is an easy rule to follow. "It depends on individual risk factors, many of them unknowable in advance" -- that rule is not so easy.

Richard Branson: War on drugs a trillion-dollar failure

Over the past three decades, and in area after area of social life, Americans have replaced simple rules that anybody can follow with complex rules that baffle large numbers of people.

Consider, for example, the home mortgage. Once the mortgage was a very simple product. Put 20% down, then sign up for a fixed schedule of payments over the next 30 years. In the space of a single generation, these 30-year fixed-rate amortizing mortgages turned what had been a nation of renters into a nation of homeowners.

For more sophisticated buyers, however, the standard mortgage was a big nuisance. For them, bankers developed more flexible products: no money down, no documentation, interest-only, adjustable rate. These products met genuine needs. But as they diffused down-market, they became traps for people who did not understand the risks they were accepting.

Consider how we finance higher education. Once, state governments subsidized their universities to offer a low tuition fee to all comers. Fee increases at private universities were constrained by the lower fees at the public institutions: Duke can raise its price only so high above the University of North Carolina. The universities soon realized, however, that by setting their tuition fees low, they were forgoing revenues that might be collected from the most affluent students. Universities rapidly raised their tuition fees, then offered discounts and aid to students in need.

Kevin Sabet: Legalize Pot? No, reform laws

But while anybody could understand a $500 per semester tuition bill, the new system of rebates confuses the very people who most need help.

A few days before Christmas, Jason DeParle of The New York Times reported a depressing example of the toll modern financial aid exacts upon students from less sophisticated backgrounds. He told the story of three bright girls from poor families who had recently tried -- and failed -- to gain college degrees. One of them was admitted to Emory, a prestigious school with a full-ticket price of $50,000, but one that grants very generous financial aid -- if the student can figure out how to make the financial aid work for her.

The trouble was that students who most need aid are often precisely those who have nobody around them who has ever successfully navigated a complicated bureaucratic institution like a university financial aid office.

"Though Emory sent weekly e-mails -- 17 of them, along with an invitation to a program for minority students -- they went to a school account she had not learned to check," DeParle wrote.

"Angelica reported that her mother made $35,000 a year and paid about half of that in rent. With her housing costs so high, Emory assumed the family had extra money and assigned ... an income of $51,000. ... (Angelica) discovered what had happened only recently."

Unable to cope with the school's e-mail system or to decrypt its rules for imputing family income, Angelica finally dropped out of Emory, burdened by $61,000 in student debt.

In 1943, Vice President Henry Wallace published a book celebrating the coming "century of the common man." That century did not last very long. We have transitioned instead into the era of the clever man and clever woman. We have revised our institutions, our programs, our rules in ways that offer profitable new chances to those with cultural know-how -- and that inflict disastrous consequences on those who are overwhelmed by a world of ever-more-abundant and ever-more-risky choices.

Opinion: The end of the war on marijuana

We're not going to uninvent the no-money-down loan. Universities that receive applications from all over the planet cannot finance themselves like an old-fashioned state land-grant college. But we need to recognize that modern life is becoming steadily more dangerous for people prone to make bad choices.

At a time when they need more help than ever to climb the ladder, marijuana legalization kicks them back down the ladder. The goal of public policy should not be to punish vulnerable kids for making life-wrecking mistakes. The goal of public policy should be to protect (to the extent we can) the vulnerable from making life-wrecking mistakes in the first place.

There's a trade-off, yes, and it takes the form of denying less vulnerable people easy access to a pleasure they believe they can safely use. But they are likely deluding themselves about how well they are managing their drug use. And even if they are not deluded -- if they really are so capable and effective -- then surely they can see that society has already been massively re-engineered for their benefit already. Surely, enough is enough?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Casual use of marijuana shouldn't be a reason to lock people up

@highlight

He says there are serious risks to brain development, mental health in using marijuana

@highlight

Frum says it's better to send simple message that marijuana is illegal

@highlight

He says too often social rules become so complex many people can't navigate them