London (CNN) -- A soldier lies in a pool of blood in the middle of a nondescript inner-city London street. His two apparent killers brandish bloodied kitchen knives and meat cleavers. One of them rants at a passer-by who films the whole extraordinary encounter on a mobile phone.

These shocking images are unlike anything seen before on the streets of Britain, where the murder rate is one of the lowest in the world and where police officers do not routinely carry guns.

London attack: Terrorists targeting soldiers at home again?

There is little sense of panic among the dozens of witnesses, some of whom argue rationally with the suspected killer. If the British can still be characterized as being hard to panic with stiff upper lips, this street scene was a bizarre illustration.

Others mill round taking photos -- as if a celebrity has arrived. At one point a woman with a shopping trolley even walks past the man without changing course as he makes his radical statement. In the distance is the sound of police sirens: later the men will be shot -- although both survive -- by armed officers.

This is suburban London on a quiet day in May 2013.

The attack, which is being treated as a suspected terrorist incident by the UK government, begins in a fairly anonymous road in Woolwich, a deprived largely blue-collar neighborhood in comparison to its historic neighbors Greenwich and Blackheath.

The area was hit hard, as was much of London, by the summer riots of 2011, when several shops and properties were burned to the ground. But beyond that violence is rare: thousands of visitors attended Olympic shooting events last year at the army barracks where the soldier was heading, without incident.

At 2.20pm on Wednesday, a small blue Vauxall Tigra hatchback with blacked-out windows mounts the sidewalk of Artillery Place and mows down a soldier.

Read more: London attack mirrors plot to behead Muslim soldier

The soldier, later named as Lee Rigby, 25, a father of a 2-year-old boy, is wearing a T-shirt bearing the logo of "Help for Heroes," a military charity that in little more than five years has raised well over Â£100 million ($150 million) for members of the Armed Forces wounded in Iraq and Afghanistan.

The two attackers get out of the car, then fall on Rigby, stabbing and slashing him to death with their knives and cleavers before they drag his body into the middle of the road.

The murder brings the mid-afternoon traffic on Artillery Place, just yards from the busy arterial John Wilson Street, to a standstill. From the relative safety of a stationary bus, passengers start to film: later the footage will be broadcast by the world's media.

One clip starts by showing the car smashed into a lamp-post: then the camera pans round to show that this is no ordinary traffic accident. The footage reveals that the victim lying in the road being tenderly stroked by a passer-by. We do not know at this stage at what point Rigby died.

Watch: Terrorism analyst on soldier killing

About 50 yards behind the commotion a silent crowd of people has gathered to watch proceedings. One woman, apparently oblivious to the unfolding carnage, casually walks past the scene carrying her shopping bag.

In one clip that will later be streamed on a newspaper website, one bus passenger feels sufficiently emboldened to leave the vehicle while filming -- even though it is far from clear that the attackers will not strike out at other people. Then, amazingly, one of the two suspected assailants walks up to the camera in an agitated state. He is dressed in black and wearing a black beanie hat, his hands drenched in blood. In his left hand he grips a knife and machete.

Opinion: The real enemy in London hacking death

The suspect begins to address the camera, as if explaining himself to a wider audience that goes beyond those gathered on the street.

"The only reason we killed this man today is because Muslims are dying daily by British soldiers," he begins. "And this British soldier is one. It is an eye for an eye and a tooth for a tooth. I apologize that women had to witness this today but in our lands our women have to see the same. You people will never be safe. Remove your governments. They don't care about you. You think David Cameron is going to get caught in the street when we start busting our guns, you think politicians are going to die?"

At this point in his rant, an elderly woman pulling a shopping trolley bustles past the man without even slowing and continues on her way. Both ignore each other.

The man continues. "No, it's going to be the average guy like you, and your children. So, get rid of them. Tell them to bring our troops back so we can all live in peace."

He then walks back up the road, towards the victim and a second man with whom he has a conversation. They make no attempt to flee the scene. Instead they walk up and down the street, having heated conversations with passers-by, some of whom plead with the pair to refrain from further violence.

One such bystander, Ingrid Loyau-Kennett, will later tell the Guardian newspaper she spoke to one of the attackers. "He was very excited and he told me not to get close to the body. I didn't really feel anything. I was not scared because he was not drunk, he was not on drugs. He was normal. I could speak to him and he wanted to speak and that's what we did."

Loyau-Kennett, a passenger on the bus, will tell reporters that she asked the suspect what he was going to do next. "He said it was a war and if the police were coming, he was going to kill them. I asked him if that was a reasonable thing to do but it was clear that he really wanted to do that. He talked about war but he did not talk about dying and then he left to speak to someone else."

But the violence is not yet over. Fourteen minutes after the attack, police say, armed officers arrive. According to eyewitnesses, the two attackers, one of whom was brandishing a handgun, charged at the officers who opened fire, wounding both of the men.

The men are left at the scene while crowds surge around them, according to media reports. A police helicopter then arrives to take the men under armed guard to separate London hospitals. A large section of Woolwich is sealed off for the evening by forensics officers who comb the area around Artillery Place for evidence.

Wednesday's attack is not the first time that soldiers in Woolwich have been visited with violence. In 1974 a bomb was thrown through the window of the King's Arms pub at the far end of Artillery Place, killing a gunner as well as a sales clerk.

The Provisional IRA claimed responsibility for that attack -- but unlike the two attackers on Wednesday, they were far less brazen. They fled after the bombing and went on to kill more than 30 others in a 14-month campaign across London before surrendering to police in December 1975 following a six-day siege.

Wednesday's killing is the first jihadist attack that has killed a victim since the July 7, 2005 bombings in London that killed 52 people and the four bombers. Just like the 1970s IRA bombing campaign and the 7/7 attacks, it is likely to resonate in London and the wider British society for a long period.

@highlight

As soldier lay dying in London street, apparent attackers posed for photos

@highlight

Little sense of panic, one woman shoved past suspect as he ranted to a passer-by

@highlight

One bystander said she pleaded with the suspect to refrain from further violence

@highlight

Two suspects were shot by police, and were taken to hospital under armed guard