Athens, Greece (CNN) -- Georgia Pandermi is looking for her first job, and she's not having much luck.

"Even at bars or restaurants. I thought it would be easier to find something as long as I wasn't being very demanding," she told CNN.

Pandermi, 18, is a recent high school graduate in the middle-class Athens neighborhood of Patissia. She has already asked at several shops and a supermarket but says that there are no jobs to be had.

She's not alone.

Dilemma for Greek youth: Fight or flee

The latest Greek employment data shows that more than half of people under the age of 25 are out of work. As of May 2012, 53.8% of young Greeks were unemployed, according to Eurostat, the statistics division of the European Commission.

And things may be about to get even harder for Greece, which is relying on international funding to pay its debts.

Media reports in Greece and abroad say creditors are demanding the government extend the working week to six days, as a condition for releasing more funds as part of the country's second bailout.

A leaked letter reportedly sent to Greece's finance and labor ministries from the troika -- the International Monetary Fund, the European Central Bank and the European Union -- is believed to order drastic labor market reforms to minimum wages and working hours.

CNN has not seen the letter or its contents, but the rumor is enough to upset Greeks like Pandermi.

"I don't like the idea of changing the working hours," she said.

"The government has been making promises that it will protect us, and then it introduces more measures. If it now takes away employees' rights, who will protect us when we are asked to work longer hours for the same amount of money?" she asked.

"Also, they want to cut all our benefits, and salaries have been cut by 30% in many cases. We can't live like that. Greece is an expensive country. The cost of living is not going down, but the money we make is getting less and we have to pay more for services."

Your guide to the euro crisis

Greece has already agreed to a harsh austerity program and labor market reforms, which have led to violent street demonstrations and crippling unemployment.

Now the Greek government is seeking new ways to implement budget cuts of 11.5 billion euros ($14.49 billion) to ensure the country receives its next bailout installment in October.

Greek economist Yanis Varoufakis says that the troika's diagnosis of the labor market is "utterly erroneous" and that the greatest challenge for employers is not a lack of cheap labor but a shortage of demand for their products.

Varoufakis expects the message of the IMF to be welcomed by eurozone electorates. "It resonates well with the average German voter, that the Greeks deserve a bit of a kicking ... and they've been having it too good for too long. So you have this confluence of false economic analysis and a stereotype in the north of Europe as to what the problem with Greece is," he told CNN.

Last month, Greek Prime Minister Antonis Samaras met with German Chancellor Angela Merkel in Berlin to plead for more time to push through reforms to public finances.

Members of the 17-nation currency bloc are waiting for the troika's report on Greece's troubled economy, due at the end of September, before making a decision. Until then, Greece is likely to take a back seat, as investors focus on whether the European Central Bank will intervene in the bond markets to help other ailing nations such as Spain and Italy.

More: Why is unity so important to Europe?

However, Varoufakis says a Greek exit from the eurozone is not likely soon. He said: "They can't kick Greece out (of the euro) without jeopardizing the whole of the eurozone ... they would love to get rid of Greece, but they can't without ensuring the domino effect won't destroy the eurozone."

But he is concerned that if international and eurozone partners continue to make such severe demands, the debt-ridden nation will transform into a "mafia-ridden" protectorate.

"More cuts, more reductions in minimum wages, further incursions into the welfare state, an effective collapse of social security. The vicious cycle will leave nothing standing," he added.

For Pandermi, the job seeker, the future seems bleak -- not just for her, "but for future generations," she said: "I am worried that as I grow older, there will be no free health care or good education for my children. Everything will be in private hands and we will have to pay a fortune for basic things. They should not be allowing this to happen in a democratic country."

Elinda Labropoulou reported from Athens, and Oliver Joy reported from London.

@highlight

Media reports say that creditors are demanding an extension to the Greek working week

@highlight

Eurostat: As of May 2012, 53.8% of young Greeks were unemployed

@highlight

Eurozone members are waiting for the troika's report on Greece's troubled economy