Washington (CNN) -- After years of planning and months of campaigning, the most expensive presidential race in history comes down to a final five-day whirlwind of speeches and television ads in the eight states still up for grabs.

President Barack Obama and Republican challenger Mitt Romney plan to hold virtually nonstop events between now and the Tuesday election considered too close to call.

The focus is on battleground states worth 95 of the 270 electoral votes needed to win. Both sides are trying to close the deal with a dwindling number of uncommitted voters, while making sure supporters actually cast ballots.

That means a game of campaign chess that started Thursday, with appearances by the candidates and their surrogates as well as advertising dollars allocated to the places considered most vital to success.

Concluding a race expected to cost more than $6 billion overall, Obama and Romney and their running mates will hit all the battleground states -- Colorado, Florida, Iowa, Ohio, New Hampshire, Nevada, Virginia and Wisconsin. The campaigns also are unloading a blast of television ads and mailings that threaten to overwhelm voters already saturated with politicking.

Obama, Romney paths to victory cross in Iowa

Perhaps no one said it better than 4-year-old Abigael Evans of Fort Collins, Colorado, who -- according to NPR -- cried after listening to more election coverage on the radio and told her mother: "I'm tired of Broncobama and Mitt Romney."

In a sign of the strategic maneuvering at hand, Romney surrogates and super-PACs supporting him are targeting two states considered likely to go for Obama -- Michigan and Pennsylvania.

On Thursday, Romney' s campaign announced he will visit Pennsylvania on Sunday, a major commitment that signaled it believes he can win the Keystone State. His running mate, Rep. Paul Ryan, will campaign in Pennsylvania on Saturday.

According to Romney's team, both Pennsylvania and Michigan are in play due to what it calls a surge of momentum that emerged after the first presidential debate on October 3, which analysts and polls scored a solid victory for the former Massachusetts governor over a lackluster Obama.

In response, the president's campaign pointed to his lead in polls in both states and argued the money and time spent in them by the Romney campaign amounts to a bluff to try to depict nonexistent momentum.

Republican candidates claiming late momentum made a final push in Pennsylvania in the last five elections, and lost the state every time, according to the Obama team.

At the same time, Obama's camp and supporting groups have devoted some new attention to both Pennsylvania and Michigan, which are crucial to the president's strategy for nailing down the electoral advantage.

In an example of the advertising battle, a Romney campaign ad broadcast this week in Florida seeks to link Obama to Venezuela's Hugo Chavez and Cuba's Fidel Castro -- leftist leaders reviled by much of the state's Cuban American population. The ad spotlights endorsements from Chavez and Mariela Castro, the niece of Fidel, who both said they would vote for Obama if they could.

While non-Cuban Latinos overwhelmingly support Obama, according to polls, Romney and Republicans hold an advantage among more conservative Cuban-Americans.

Another Romney ad released Thursday attacked Obama's suggestion in an interview with MSNBC that he would consider consolidating government agencies under a new "secretary of business" in a second term. The ad portrayed the comment as more big government, saying Obama's "solution to everything is to add another bureaucrat."

Romney echoed the ad in his first stop Thursday in Virginia, ending a temporary cease-fire in direct political attacks this week due to Superstorm Sandy by saying, "we don't need a secretary of business to understand business, we need a president who understands business and I do, and that's why I'll be able to get this economy going."

In America: Parallels to country's racist past haunt age of Obama

The Obama campaign, meanwhile, released new television and radio ads that featured the endorsement for the president by former Secretary of State Colin Powell, a Republican. The ads to run in the battleground states, as well as North Carolina, include Powell supporting achievements of Obama's first term.

Another Obama ad took aim at an earlier Romney spot that implied Chrysler was shifting Jeep manufacturing from the United States to China, a claim denied by the automaker. The Obama campaign said the ad will run in Michigan and Ohio, two big auto industry states.

Both candidates sought to balance their campaign stump speeches between longstanding criticism of each other with positive messaging meant to inspire voters to choose them.

The challenge is to pick up any remaining undecided voters while motivating all bona fide supporters to either cast votes early or head to the polls on Tuesday.

For Obama, that means overcoming disappointment with continuing high unemployment and sluggish economic recovery during his presidency.

"These are the last five days of his last campaign -- ever," noted Obama campaign spokeswoman Jennifer Psaki. "So you will hear many of the themes, much about the fight that he's been waging throughout his ... career in public life on behalf of the middle class."

At his first stop Thursday in Green Bay, Wisconsin, the president told a cheering crowd on the airport tarmac that Romney is trying to sell failed Republican policies that helped cause the financial collapse of 2008 as forward progress.

"He is saying he is the candidate of change," Obama said. "Well, let me tell you Wisconsin -- we know what change looks like and what the governor is offering sure ain't change."

Pointing to his own record of health care reform, Wall Street reform and other steps he said were intended to strengthen the middle class, the president told his supporters they know real change when they see it.

Romney and Republicans were counting on the American people to be "so worn down by all the squabbling, so tired of all the dysfunction that you will actually reward obstruction and put people back in charge who advocate the very policies that got us into this mess," Obama said.

"In other words, their bet is on cynicism," he added. "But Wisconsin my bet is on you. My bet is on the decency and good sense of the American people because despite all the resistance, despite all the setbacks, we have won some great fights."

Maria Cardona, a Democratic strategist and CNN contributor, said she expected similar attacks on Romney in the final days of the race.

Poll shows Obama edge in Iowa, New Hampshire and Wisconsin

Referring to the Republican challenger, Cardona said "the dissonance between what he is saying now, what he has said in the past, and what his policies will actually do is something that voters are going to continue to hear about from the Obama campaign and their surrogates, as they should."

Vice President Joe Biden followed that script Thursday, telling an Iowa crowd that Obama "says what he means and he means what he says, and no one can say that about Gov. Romney."

Earlier, Romney told cheering, sign-waving supporters in Roanoke, Virginia, that Obama's policies have failed to bring the kind of economic growth the nation should be experiencing, asking if people wanted "four more years like the last four years" with high unemployment, trillion-dollar deficits and political gridlock in Washington.

"I know that the Obama folks are chanting four more years, four more years. But our chant is this -- five more days," he said.

He also accused the Obama campaign of "shrinking to smaller things" through personal attacks against him.

His speech included now familiar references to offering a new direction for the country in what has been a more positive and personal touch for a candidate considered aloof and wooden during the Republican primaries.

"It's exactly what he needs to do these last few days of the campaign -- get his base enthused, get them out to work," said Ana Navarro, a Republican strategist and CNN contributor. "It's all about the ground game right now."

While Romney has been unable to overtake Obama so far in most swing state polls, some of the polling data suggests the president could be vulnerable.

For example, an NBCNews/Wall Street Journal/Marist poll released Thursday showed voters under 30 in New Hampshire -- an important demographic for the president -- were less enthusiastic about the election than older demographics that tend to be more supportive of Romney.

Obama needs to repeat his strong support in 2008 from young voters as well as minority voters -- especially Latinos and African-Americans -- to win on Tuesday, and that means making sure the turnout on Election Day is as large as possible.

Compounding the turnout issue are logistical problems along the East Coast due to the devastation by Sandy, and expected legal issues including tightened voter eligibility standards in some states that Democrats complain were intended to suppress the minority vote.

Do the math: CNN Electoral Map

CNN's Kevin Liptak, Simon Hernandez-Arthur, Ashley Killough, Paul Steinhauser, Robert Yoon, Rachel Streitfeld, Jim Acosta and Shawna Shepherdc contributed to this report.

@highlight

Romney and running mate Paul Ryan to campaign in Pennsylvania

@highlight

President Barack Obama and Mitt Romney target battleground states in final days

@highlight

The focus is on turning out the vote and persuading the dwindling undecideds

@highlight

The campaigns compete with speeches and ads in states still up for grabs