(CNN) -- IBM recently released its annual 5 in 5 list, in which the technology company tries to predict emerging trends and technologies that will transform our lives over the next five years.

No. 4 on this year's list concerned mobile technology. Specifically, IBM says that, thanks to mobile technology, the digital divide will soon cease to exist.

In a video, IBM put it this way: "In our global society, the wealth of economies are decided by the level of access to information. And in five years, the gap between information haves and have-nots will cease to exist due to the advent of mobile technology."

The digital divide (a term that refers to the gap between people who do and don't have high-speed Internet access) is an increasingly important issue for the nation, the economy and the world. Without Internet access, it's getting harder to apply for jobs, get an education, stay in touch with friends and family -- and keep up with news that affects your life.

Still, it will probably take much longer than five years -- if ever -- for significant inequities in access to digital information and services to disappear entirely. The digital divide may look quite different in five years, but it will probably still be with us.

Here's why:

Mobile phones can help close the digital divide, but using the Internet on a phone has some drawbacks.

That's a point Kathryn Zickhur makes in an upcoming report on the digital divide for the Pew Internet and American Life project.

"Mobile Internet users experience the Internet differently because they have a small screen and often slower data connections. But they tend to always have their device with them -- which means they can constant access to information," she said. "So mobile net users might not be able to engage with certain online services as easily as they could on a laptop computer, but they do have more ubiquitous access."

According to Pew, once consumers acquired a wireless device, they start using the Internet more actively -- especially to connect with others. People go online from their phones not just to get information, but to share and create -- even more than before.

Pew also found that a substantial portion of U.S. adults are choosing smartphones over computers for Internet access.

Young adults (aged 18-29), blacks and Hispanics, people who never attended college, and those with an annual household income of less than $30,000 are not only more likely than the average American to use smartphones -- they're also especially likely use their phone as their main way to get online. Furthermore, about a third of Americans who mostly go online from their phones don't have high-speed broadband internet access at home.

Then there's the problem of who does or does not have high-speed Internet access. What constitutes "fast enough" online access is a moving target as technology and online services evolve.

As I wrote earlier, even in developed nations like the United States, not everyone with a mobile device will have access to -- or more importantly, be able to afford -- robust mobile devices and fast (4G speeds or above) wireless data networks.

A couple of years ago 3G qualified as "wireless broadband," but as U.S. carriers roll out faster 4G networks, increasingly having only 3G access may leave you on the wrong side of the digital divide. In order to get faster 4G network access on your mobile device, you'll need a 4G compatible phone and a 4G data plan. These cost consumers more than simpler handsets and slower networks.

However, Paul Bloom, IBM's chief technology officer for telco research, did note a few intriguing mobile trends that could help lessen the digital divide in the next five years.

One of these is "peer-to-peer access" -- in which mobile devices can connect directly with each other, rather than though cable or phone companies. This could provide more Internet access to more people, at least within a fairly small geographic location.

"If you have bandwidth that you're not using, someone else who needs additional bandwidth communicates with you to get that additional access," wrote Bloom.

In addition to redistributing existing Internet access, peer-to-peer networking technologies (such as near field communications or Bluetooth) can allow people to set up their own local independent miniature Internet -- a technique called "mesh networking." Earlier this year protesters in Egypt set up mesh networks to get around government-imposed blackouts of Internet and phone access.

Bloom also noted the growing role of "machine-to-machine communications," which could allow cell phones and other mobile devices to connect people to useful services.

"People won't initiate communication for information," he predicted. "For example, your mobile phone will have access to your electronic health care records while also monitoring your vitals, such as blood pressure, in real time. A system could notify and connect you to a doctor if your blood pressure is out of a normal range."

In the next five years we will undoubtedly see lots more wearable mobile devices (such as the new Jawbone UP health monitor) and communication-enabled "smarter objects" in our environment (such as smart appliances).

Over time, these extra points of data and communication will also interact with phones (even simpler, cheaper phones) to play some role in diminishing the digital divide. But we won't get there in five short years.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

IBM says mobile technology will close the digital divide

@highlight

Even in rich nations, however, not everyone will have access to robust mobile devices

@highlight

IBM's prediction of the demise of the digital divide is silent on affordability