(CNN) -- Isaac Owusu knows the forests of Kakum National Park in Ghana like the back of his hand.

The 360-square-kilometer sanctuary is home to hundreds of plant species, as well as endangered animals including, leopards, elephants, hornbills, African grey parrots and many more.

But while Owusu now proudly walks through the sanctuary as a tour guide, he gained his knowledge of the reserve a different way: as a poacher.

It was 15 years ago that he decided to go from hunter to protector, but says that his decision to change his ways at first endangered his own life.

Fellow villagers and other poachers threatened to shoot him, he says, because he "let them down."

Now however many more have thanked him for showing that conservation and tourism can provide other ways to make a living from the forest.

The national reserve and its tourism industry have created jobs for people from the 52 surrounding villages, which in turn brings more sustainable income to their communities.

See also: Ghana: Keeping one of Africa's stars of democracy shining

Kakum was turned into a forest reserve in 1925, designated a national park in 1992 and opened to the public two years later.

Within 20 years, it has become a must-see tourist spot in the country, attracting an average of 180,000 visitors every year.

For tourists the main draw is the so-called canopy walkway. The series of hanging bridges stretches 350 meters long, connecting seven treetops.

The swaying walkway -- reaching as high as 40 meters above the ground -- tests one's nerves, but it does offer a stunning vantage point of the forest's diverse flora and fauna.

Just outside Kakum lies farmland, which can lead to conflicts between villagers and wild animals, particularly elephants that wander beyond the park's boundaries and raid the crops.

Conservation officials have taught farmers in the area to build chili fences, a low-tech method, around their fields to deter crop-raiding elephants.

But few farmers adopt the measures, with many saying they face financial constraints and insufficient knowledge to install and maintain the fences.

Plus, old habits die hard. Some of the locals also still treat the forest as their hunting grounds as bush meat is a common source of protein in West Africa.

See also: Bamboo bikes turn around fortunes for working women in Ghana

Kakum's challenges echo those of the country. Ghana's rapidly dwindling rainforests and biodiversity face threats from poaching, as well as illegal logging.

Slash-and-burn agriculture is still common in Ghana, as in other parts of Western Africa.

Mineral mining, both large and small in scale, also exacts a toll on the rainforests.

While Ghana has seen success in reducing elephant poaching and illegal ivory trade, but it still struggles to clamp down on bush-meat hunting.

Increased access to forests has helped create an even bigger market that transcends national borders. By one estimate, bush-meat trade in Ghana reaches $350 million a year.

But for now, Ghana -- like many other countries like in the world, from Kenya to Cambodia -- has turned to converted hunters like Owusu to help conserve its precious wildlife.

See also: Ghana: Keeping one of Africa's stars of democracy shining

See also: Bamboo bikes turn around fortunes for working women in Ghana

Yenni Kwok contributed to this report.

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Kakum National Park in Ghana is a 360-square-kilometer sanctuary for hundreds of plant species and animals

@highlight

Its canopy walkway is a series of bridges stretching 350 meters long, connecting seven treetops

@highlight

Local villagers and former poachers encouraged to turn to conservation as alternative livelihoods