San Diego, California (CNN) -- Did President Obama break his promise to Latino voters that he'd deliver a comprehensive immigration reform plan in his first year?

And if so, will it wind up costing Democratic candidates in the November mid-term elections and, for that matter, the president himself when he comes up for re-election in 2012?

The answers are: yes and probably.

Yes, of course, Obama broke his promise to Latinos. And it is probably true that, for doing so, Obama and fellow Democrats will continue to lose Latino support.

And I'm not the only one saying it.

This week, during an appearance on "John King USA," Univision anchor Jorge Ramos blamed Obama and congressional Republicans for failing to take action to fix the nation's broken immigration system. The issue is at the center of Ramos' new book, "A Country for All: An Immigrant Manifesto."

Guest host Jessica Yellin showed a video clip of Ramos asking candidate Obama in 2008 if he would commit to reforming the immigration system.

Obama responded, "I cannot guarantee that it's going to be in the first 100 days. But what I can guarantee is that we will have in the first year an immigration bill that I strongly support and that I'm promoting and that I want to move that forward as quickly as possible."

That first year came and went, and now we're 18 months into the Obama administration. There's no immigration bill in sight. In fact, Sen. Charles Schumer, D-New York, has said that he won't propose a bill he's been working on until after the November elections, possibly as late as March 2011.

Yellin asked Ramos what he made of this.

"(Obama) broke his promise," he said. "It's that simple, and obviously, he doesn't have the 60 votes."

Then, Ramos backed off a bit and, parroting a popular line coming out of the White House, started blaming the GOP.

"Where are the Republicans?" he asked. "Where are the 11 Republicans that voted for immigration reform two years ago? Where is John McCain?"

Indeed. McCain is running for re-election back in Arizona, doing his best impersonation of Wyatt Earp at Tombstone. The Straight Talk Express has become the Pander Mobile. Sure, the Republicans deserve their share of the blame, especially since they've tried to oversimplify and demagogue the issue to scare up support.

But let's not forget which political party controls both ends of Pennsylvania Avenue.

The many Latinos I've been hearing from in the past six months haven't forgotten.

Although he hails from Chicago, Illinois, a city and state with sizable Latino populations, Obama has spent most of his life in a black and white world.

He knew very little about Latinos before he launched his presidential campaign, and he was forced to try to find a way to speak to them. He seized on the strategy of being a kinder and gentler alternative to Republicans on the immigration debate. He condemned ICE agents who "terrorize" immigrants by snatching parents away from their babies in workplace raids and promising to deliver comprehensive immigration reform in his first year in office.

Now, after a year and a half in office, ICE is still conducting immigration raids, and comprehensive immigration reform isn't on the table.

More and more of the Latinos I hear from feel as if they've been snookered. They see the passion that Obama put into an issue he really cared about -- health care  -- and they resent the fact that when it comes to immigration reform, the president seems to think that words speak louder than actions.

What they resent even more is that they feel teased every time Obama makes yet another major speech promising to deliver something he has no intention of delivering -- comprehensive immigration reform.

With the delaying and the teasing, it's not surprising that Obama's stock with Latino voters is falling. Obama won two-thirds of the Latino vote in 2008. In January, at the end of his first year, his job approval rating with Latinos stood at 69 percent. In February, it fell to 64 percent. And, in May, according to a recent Gallup poll, it slipped to 57 percent.

Some political observers believe that the recently filed lawsuit by the Department of Justice against the Arizona immigration law is part of the administration's strategy of rebuilding support with Latinos, about 70 percent of whom oppose the measure.

I hope not. For one thing, that strategy wouldn't work. Latinos aren't about to give Obama, a former lecturer on constitutional law, much credit for recognizing the obvious: that the Arizona law is blatantly unconstitutional because it usurps federal authority over immigration law in violation of Article 1, Section 8.

The suit could have gone further and argued, as other lawsuits against the measure have, that the process of implementing the law runs the risk of violating the Equal Protection Clause of the 14th Amendment by singling out Latinos as the most likely to resemble illegal immigrants.

Such a law is so odious that the idea that the federal government would challenge it is a given.

After all, the Obama administration isn't suing Arizona to defend Latinos but to defend the Constitution. So that won't assuage the concerns of Latinos that the White House doesn't really care about them or issues that matter to them.

The way to do that is to pass comprehensive immigration reform. Until that happens, words without actions are meaningless.

In fact, every time this administration tries to reassure Latino voters that it is in their corner, the effect is the opposite. It reminds Latinos that, as long as Obama is in the White House, they're on their own.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Barack Obama promised to have an immigration bill he could support in his first year in office

@highlight

Ruben Navarrette Jr. says the president didn't fulfill the promise

@highlight

He says Republicans share the blame, but Democrats control Washington

@highlight

Navarrette: Latino voters are losing faith in the Obama administration