Sixty years after the overthrow of Iranian Prime Minister Mohammad Mossadegh, a declassified CIA document acknowledges that the agency was involved in the 1953 coup.

The independent National Security Archive research institute, which published the document Monday, says the declassification is believed to mark the CIA's first formal acknowledgment of its involvement.

The documents, declassified in 2011 and given to George Washington University research group under the Freedom of Information Act, come from the CIA's internal history of Iran from the mid-1970s and paint a detailed picture of how the CIA worked to oust Mossadegh.

In a key line pointed out by Malcom Byrne, the editor who worked through the documents, the CIA spells out its involvement in the coup. "The military coup that overthrew Mossadeq and his National Front cabinet was carried out under CIA direction as an act of U.S. foreign policy, conceived and approved at the highest levels of government," the document says, using a variation of the spelling of Mossadegh's name.

While this might be the CIA's first formal nod, the U.S. role has long been known.

President Barack Obama acknowledged the United States' involvement in the coup during a 2009 speech in Cairo.

"In the middle of the Cold War, the United States played a role in the overthrow of a democratically elected Iranian government," the president said.

In 2000, then-U.S. Secretary of State Madeleine Albright spoke of the intervention, and in the same year, the New York Times published what it said was a leaked 1954 CIA-written account of the overthrow.

Iranians elected Mossadegh prime minister in 1951. Quickly, the leader moved to nationalize oil production in the country -- a move that would have been a serious blow to the United States and Britain and a win for the USSR.

Because of the failure of oil negotiations with Iran, along with a number of other issues, the United States was concerned "that Iran was in real danger of falling behind the Iron Curtain."

"If that happened, it would mean a victory for the Soviets in the Cold War and a major setback for the West in the Middle East," Donald N. Wilber, a principal planner of the mission, wrote within months of the overthrow. "It was the aim of the TPAJAX project" -- that was the mission's code name -- "to cause the fall of the Mossadeq government; to reestablish the prestige and power of the Shah."

Shortly after Mossadegh's election, the CIA began to plan his overthrow. The goal of the coup was to elevate the strength of Shah Mohammad Reza Pahlavi and appoint a new prime minister -- Gen. Fazlollah Zahedi.

Before the coup, the agency -- along with the British Secret Intelligence Service -- helped foment anti-Mossadegh fervor using propaganda, according to CIA documents. "In Iran, CIA and SIS propaganda assets were to conduct an increasingly intensified effort through the press, handbills and the Tehran clergy in a campaign designed to weaken the Mossadeq government in any way possible," Wilber wrote.

On August 19, 1953, the coup swung into full effect as the CIA and British intelligence agency helped pull pro-Shah forces together and organized large protests against Mossadegh.

"The Army very soon joined the pro-Shah movement and by noon that day it was clear that Tehran, as well as certain provincial areas, were controlled by pro-Shah street groups and Army units," Wilber wrote. "By the end of 19 August ... members of the Mossadeq government were either in hiding or were incarcerated."

In order to provide Zahedi, the country's new prime minister, with some stability, the "CIA covertly made available $5,000,000 within two days of Zahedi's assumptions of power."

After the coup, Mossadegh was sentenced to death, but the sentence was never carried out. The former leader died in Tehran in 1967.

Even 60 years removed, the 1953 coup still hangs over U.S.-Iran relations.

Iranian politicians and religious leaders still use the coup as a way to foment anti-American sentiment. Mahmoud Ahmadinejad, Iranian president from 2005 until earlier this year, demanded apologies from the United States for "crimes" the CIA committed in Iran during the 1953 coup.

"The issue is more than academic," wrote Byrne of George Washington University. "Political partisans on all sides, including the Iranian government, regularly invoke the coup to argue whether Iran or foreign powers are primarily responsible for the country's historical trajectory, whether the United States can be trusted to respect Iran's sovereignty, or whether Washington needs to apologize for its prior interference before better relations can occur."

@highlight

A newly declassified document acknowledges the CIA's hand in ousting Mohammad Mossadegh

@highlight

While this might be the CIA's first formal nod, the U.S. role has long been known

@highlight

The CIA used propaganda, along with other politicians and leaders in Iran, to unseat Mossadegh

@highlight

Even 60 years removed, the 1953 coup still hangs over U.S.-Iran relations.