Johannesburg, South Africa (CNN) -- Marketplace Africa launched 100 episodes ago. That¹s one hundred weeks of African business news that brought our global audience a fresh perspective from a continent that has not normally been viewed as an investor-friendly destination.

We kicked off the first show by interviewing Dominique Strauss-Kahn, who was then the managing director of the IMF. His wife, Anne, was with him and he proudly introduced me to her, reminding me that both she and I were both broadcasters.

She is a famous news interviewer in France. Then, I interviewed him on the stage at a local university theatre. It was a small and intimate setting, so very different from the glare of the global spotlight in which he later found himself.

My interview with his successor Christine Lagarde more than 90 episodes later was a very different affair. We met in a smart Pretoria hotel with a view of South Africa¹s Union Buildings, the seat of government.

She was shuttling from Africa to the Middle East to Europe and seemed to have a punishing travel schedule but nevertheless looked elegant and not in the least bit fatigued by jetlag or the European debt crisis. She patiently took time to explain why Africa should care about what happens in the Eurozone.

Looking back, though, it is always gratifying to take the show on the road. We reported from Kibera slum in Kenya where we discovered that even the poorest consumers were driving changes in the way multinationals were making and distributing their products.

We went to Tanzania and its administrative and financial hub, Dar es Salaam, to investigate how the mobile revolution was changing the way poor women had access to healthcare.

While there, we also talked to Tanzanians about schemes to rent land to South Koreans, who were planning to plant rice paddies and export the food back to South Korea. This is all part of a continent-wide push to utilize Africa¹s land resources smartly.

See also: Interview with Zimbabwean Finance Minister

Importantly, we took the show to Zimbabwe and reported from the streets of Harare and the parched lands in Mashonaland West. We explored how remittances, money that is "sent home" from family members in the United Kingdom or South Africa, supports entire communities.

However, the realities of life in Zimbabwe were made starkly clear to our crew when police and intelligence officers in Harare briefly detained us.

Despite having permission to film, these security forces threatened us and insisted we be taken to a notorious central prison for further questioning.

They were suspicious and uncomfortable with a foreign TV crew filming openly on the street, even though the Zimbabwean Ministry of Information insisted that international media were now welcome in the country.

We were released only after we made a phone call to a cabinet minister who managed to get the message to them that we were to be left alone.

We continued filming and presenting Marketplace Africa for the next few days and those two shows give a deep understanding of the political and economic realities in the country.

The free press in Ethiopia was one of my favorite stories on our show. We highlighted an innovative scheme of newspaper renting on the street corners of Addis Ababa. Many Ethiopians cannot afford to buy newspapers or magazines, so enterprising newspaper "landlords" rent out the daily news for a small fee.

See also: Is the 'blood diamond' concept changing?

It is always gratifying when an interview is a lively discussion that introduces you to new facts. Ntebo Rajuili¹s advice on how to do business in Africa was great fun as she explained some cultural quirks in different African countries, which might hinder or help when doing business.

Of course, chatting with Oprah Winfrey about educating young girls was a treat. I wish we could have used the whole half hour of that interview rather than just four minutes. As we all know, Oprah makes for good TV.

Jim O¹Neill is the economist who charted the rise of emerging nations Brazil, Russia, India and China and then coined the phrase BRIC. His insightful analysis was fascinating. He expressed confusion as to why South Africa, a relatively small economic player, had been admitted into this group of global big hitters.

Recently we presented Marketplace Africa from a tugboat in Durban harbor. We were investigating the challenges facing Africa¹s busiest port and what better way to do it than to hitch a ride on a working ship?

As for the next hundred episodes, the journey will continue to be just like doing business in Africa: Exciting, perhaps slightly risky, but with the promise of excellent results.

@highlight

Launched 100 weeks ago, Marketplace Africa brings African business news to the global audience.

@highlight

The show traveled extensively across the continent to deliver news from a fresh perspective.

@highlight

The show will carry on producing exciting and excellent content about business in Africa.