(CNN) -- Which politician do you hate? Do you think President Barack Obama wants to destroy America? Or do you believe former President George W. Bush is the one who sent the country into the abyss? What about Ted Cruz, Nancy Pelosi or John Boehner -- which one of them do you think is the devil incarnate?

Americans, disgusted by the failures in Washington, have increasingly resorted to personalizing the blame, drawing imaginary bull's-eyes and throwing figurative darts at the faces of the politicians whose views they disagree with, all the while fantasizing about throwing the people they despise out of political office.

Unfortunately, the problem goes much deeper than a few individuals, however incompetent or despicable: Throw out the ones you hate, and you'll get new ones to blame, because the problems will not disappear without repairing the flaws in the system that brought the country to this embarrassing and self-destructive place.

The people are rightly fed up. In the middle of the just-ended federal shutdown, polls showed most Americans blamed the mess on Republicans, but approval for the entire Congress, which has Democrats as well as Republicans, sank to an incredible 5%. The prevailing sentiment was revulsion.

The question, however, is not how awful the politicians are. The question is why American voters ended up with representatives whose performance they find so thoroughly reprehensible.

The answer to that question provides a path to solving the problem.

The problem is not just that the nation has divided and moved into partisan echo chambers, where everyone listens only to the people with whom they agree. Each side listens to its own favorite commentators on television and radio; each follows like-minded thinkers on Twitter and Facebook. In that system, the most vitriolic speech is the most highly rewarded.

Moderate Americans have less tantalizing things to say.

If you think the other side is driven only by selfish motives or by nefarious goals, you will find a willing, enthusiastic and fast-growing audience. But if you believe that the differences stem from different life experiences and honest philosophical disagreements and if you believe that Republicans and Democrats want what is best for the country but have distinct ideas about what that means or how to achieve it, your views will get little traction in this emotionally charged environment.

The irony is that those moderate views represent America most faithfully. A recent poll by NBC and Esquire magazine concluded that most Americans are social and political centrists, in sharp contrast to the clashes of extremes that we see in the media, on the Internet and in Congress.

The poll showed the majority supports same-sex marriage, legal marijuana, paid maternity leave, child care subsidies to help new mothers get back to work, a higher minimum wage and paid sick leave. But a majority also supports the death penalty, offshore drilling and the end of affirmative action in hiring and education. This is not the picture of an extremist country. It's the picture of a nation trying to come to grips with difficult questions.

That, of course, is not how Congress looks. There, everyone seems absolutely certain on every issue, even if certainty is something that should elude us all frequently if we are honest about our human limitations.

So how did we end up with a Congress that looks so different from America?

One of the main reasons is voter apathy. Most voters are paying attention right now, horrified by the spectacle put on by their representatives. But when the time comes for choosing those representatives, particularly during midterms and local elections, they become distracted, leaving the job to the zealots, those people who care most passionately about politics and are most closely affiliated with activist political groups.

As a result, whichever side is most energized -- often the one feeling most aggrieved -- manages to mobilize for the low-turnout elections.

In 2010, the flames of hatred against Barack Obama burned hot, just as they had once burned against George W. Bush on the other side of the political spectrum. The 2010 election not only took more right-wing Republicans to Washington, it also gave them historic gains in state legislatures.

Local control of legislatures has allowed the parties to sharpen their gerrymandering pens -- drawing safe congressional districts that all but guarantee re-election.

Americans may want to fire all of Congress, but they don't want to fire their own representative. That means there is little incentive to compromise. Inflexible politicians are rewarded by voters, and the country suffers.

Not only is the government not providing the best possible solutions for America's problems, it is, in fact, creating new problems, causing unemployment. Just as the U.S. economy managed to pull out of recession, the politicians put their shoulder to the wheel and pushed in the wrong direction.

The shutdown that just ended and the flirtation with the potential disaster of running against the debt ceiling are the latest chapter in a long-running political soap opera. It might be entertaining if it weren't so damaging.

According to one study, the fiscal standoffs since 2009 have lowered growth by 0.3% of GDP each year, amounting by some calculations, to $700 billion in lost GDP.

Among other costs, that means 900,000 jobs lost.

The shutdown has cost America in global leadership, a loss it won't soon recover. America has been weakened. Its rivals are gloating.

And now that the two sides have finally reached a deal to reopen the government, the agreement is good for just three months. That means more uncertainty, more government-made pushback against recovery and job creation, more talented federal employees deciding they've had enough of working for an employer that suddenly tells them "don't come to work tomorrow, even if you want to."

Centrists, the majority of the country, would help America simply by speaking out as forcefully for moderate positions as the zealots do, by encouraging people to listen to different points of views, by pushing for a return to more mixed congressional districts and by making sure to vote in all elections.

Instead of wasting energy raging against individual politicians, it would be more productive to fight against apathy and against demonization.

Hating individual politicians misses the point. Fight instead to fix the system that is broken.

The opinions expressed in this commentary are solely those of Frida Ghitis

@highlight

Frida Ghitis: Frustration with politics leads people to lash out with hatred

@highlight

She says rather than hate Bush, Obama, Boehner or Cruz, look at the root causes

@highlight

Ghitis says U.S. political system rewards polarization, which wins low-turnout elections

@highlight

Centrists need to speak out to put politicians on the right track, she says