London (CNN) -- We may not immediately equate the activities of archaeologists to trash sifting. Or imagine that the glass-encased artifacts in museums might be one-time refuse. But quite often, this is exactly the case.

Studying ancient trash from around the world gives archaeologists and historians the chance to understand the habits that defined people's daily lives, said Dr. Richard Meadow, Director of the Peabody Museum's Zooarchaeology Laboratory and Senior Lecturer on Anthropology at Harvard University.

It may not be glamorous but, he said, "much of what archaeology knows about the past comes from trash, if trash is defined as the products of human consumption. Trash is a proxy for human behavior."

The Peabody Museum is staging a series of talks and events, entitled Trash Talk: The Anthropology of Waste until Spring 2012, on the importance of trash to our understanding of human behavior, both in the past and now.

Meadow, who has excavated sites including the ancient Indus city of Harappa in present-day Pakistan, has gleaned much from studying centuries-old trash.

Early dumping grounds, or "middens," are often archaeological and anthropological gold-mines, he said, not just for what can be found there but for what they tell us about ancient civilizations, what they consumed and how they organized their urban space to deal with their waste.

"The way that ancient cities used to grow and change through time is actually very much related to the evolution of trash," Meadow explained.

Ancient people, he said, quite literally lived with their trash, usually dumping it in the streets outside their homes when it wasn't collected and deposited in special pits.

Sometimes, he said, whole cities would be filled with trash, to the point where the street levels would rise, submerging homes and forcing people to build on top of it.

While this might sound revolting and unhygienic to us now, ancient peoples, said Meadow, became acclimatized to it. And they were at least adept at recycling their trash.

"I think almost all civilizations recycled in one way or another," Meadow said, explaining that ancient peoples across the world would recycle organic matter as fuel, while inorganic refuse would be used to build the foundations of a house.

Precious metals, he said, would be melted down and re-shaped for a variety of tools.

"It's only when you get to the modern period of consumerism that you get this culture of obsolescence," he said.

Dr. Jose Remesal Rodriguez is a professor of Ancient History at the University of Barcelona and an expert in the social and economic history of the Roman Empire, with a special interest in the production and trade of food in the ancient world.

He is the director of excavations at an ancient dump site in Rome called Monte Testaccio. An artificial hill composed of more than 25 million discarded Roman amphorae -- or vase-shaped containers -- it tells us much about the ancient Roman trade in olive oil, which these amphorae were used to transport.

"A dump can be a particularly interesting source (for finding out) about the daily life (and) development of the civilization that created it," said Remesal.

From the shards found at Monte Testaccio, he said, archaeologists were able to trace the evolution of food policy in the Roman Empire.

"Testaccio is a very special dump, which gives us information about a concrete product -- olive oil -- and the relations between the capital of the Empire and one of its provinces," Remesal explained.

This prizing of ancient trash may seem at odds with our attitudes to waste today. But according to Meadow, scientists are already at work studying our trash and what it says about us.

He cites as an example American archaeologist William Rathje, director of the "Garbage Project" in Arizona, which has sifted through and studied garbage from 1973 to the present day.

"Some amazing statistics have come out of this -- how much food gets thrown out in the trash that was probably OK to eat, and other things hardly used that were thrown away," said Meadow.

"It's an incredible array of material," he concluded.

Dr Richard Meadow will give a lecture entitled 'The archaeologist's view of trash' at the Peabody Museum of Archaeology and Ethnology on October 6.

@highlight

Ancient trash is an important resource for archaeologists

@highlight

Trash pits or "middens" tell us much about the daily life of our forebears, according to archaeologists

@highlight

Peabody Museum is staging a series of lectures about the importance of trash to archaeology

@highlight

Scientists are studying our trash right now to find out what it says about our culture