(CNN) -- The primaries are mostly over and the general election races are falling into place. All 435 seats in the House and a third of the Senate are up for election on November 4 in what's expected to be a difficult year for Democrats.

Here's what's on the line:

Control of the Senate: That's the big story of the year.

Republicans have their best chance of retaking the majority since they lost it in the 2006 midterms.

The GOP must realize a net gain of six seats to accomplish the turnaround with Democrats currently holding a 55-45 advantage (53 Democrats and two independents who caucus with them).

And for Democrats, it's not looking good.

Key Senate races

Three seats total in South Dakota, West Virginia and Montana are almost certain to flip to Republicans. And another seven Democratic-held seats are at risk. In contrast, Republicans have a chance of losing only two seats.

"It's a healthier environment overall for Republicans," Jennifer Duffy, senior editor for the nonpartisan Cook Political Report, said.

The status of the House: Little is expected to change in the House. While some members will lose, it's expected to remain in Republican hands.

The GOP currently has a strong advantage: They control 234 seats to 201 for Democrats. What team wouldn't love a 33-point advantage on game day?

Key House races

Like in the Senate, Republicans are performing better.

Despite bold predictions from the No. 2 House Democrat, Steny Hoyer, no one believes Democrats have any chance of taking back the House.

"It looks like Republicans will gain seats we just don't know how many yet," Nathan Gonzales, deputy editor of the Rothenberg Political Report, said.

Why won't Democrats pick up seats?: In part, it's the six-year itch.

President Barack Obama has been in office for six years and voters get antsy and want change. Since they can't change the President, they vote for the opposing party in congressional elections.

"Historically, the President's party tends to lose," Duffy said.

Obama's job performance, an approval rating that hovers around 41%, is making a tough situation for Democrats worse.

"The President's job approval rating is casting a shadow on races across the country," Gonzales said.

Obama is a drag in two respects: It's a difficult environment for Democrats who need Republican voters in Republican-leaning districts, and Democratic voters are not motivated to show up at the polls. The latter is called the enthusiasm gap and traditionally Democratic voters, minorities, single women and younger voters, are not motivated to vote.

The role of the tea party: Tea party-aligned challengers had a tough year. unlike 2010 and 2012, when several too-far-to-the-right candidates won in primaries, Incumbent Republicans entered the primaries prepared, taking nothing for granted.

And it paid off. Incumbents won in hard fought races, including in Mississippi, Idaho, Kentucky and Kansas.

But the anti establishment wing of the Republican Party didn't come up empty. One of its victories was a big one -- the defeat of House Majority Leader Eric Cantor.

After bruising battles, the question is this: Will Republicans unite in November?

Duffy said that if 2012 and 2010 are indicators, it will.

"What we can see ... they have united behind whoever won," Duffy said. "I don't think at the end of the day (disappointed Republicans are) going to stay home."

A bright spot for Democrats?: When it comes to gubernatorial races, Republicans are defending 22 of the 36 seats up for grabs in November.

And some of them are in states that Obama carried in 2008 and 2012, such as Pennsylvania, Ohio, Michigan, Wisconsin, Florida, Maine, Nevada and New Mexico.

But Democrats also have some vulnerable seats to defend, in Arkansas, Colorado and Illinois. And they won't have cakewalks in Connecticut and Massachusetts

Key governor races

Still about Obamacare: For the first several months of the year while the Affordable Care Act seemed to be a rolling disaster, Republicans made it the main issue in campaign, attacking Democrats for their support of the law.

Elizabeth Wilner, senior vice president with Kantar Ad Intelligence, which analyzes political advertising, said that Republicans are still hitting Democratic opponents on Obamacare but it is not the only one.

"Obamcare is still an issue, but maybe a bit less of an issue than earlier this year," she said.

In addition to the Affordable Care Act, Republicans are also attacking Democrats on ties to the President and government spending.

In political advertising, Democrats are trying to change the subject and are focusing on jobs, women's rights, Medicare and Social Security.

Regardless, Wilner said analysis shows that up to $3.4 billion is expected to be spent on political advertising this campaign season.

Current events: A border crisis and international conflicts are dominating the news cycle just a few months before the election.

While the storylines aren't overwhelming topics of discussion on the campaign trail, Stu Rothenberg, editor of the Rothenberg Political Report wrote that the events "will add to the President's woes."

"As uncomfortable as it will make Democrats, Obama heads into the final three months of the campaign not looking all that different from his predecessor, President Bush," he wrote.

Bush was dealing with a difficult economy, ongoing and unpopular wars and the aftermath of a disastrous response to Hurricane Katrina.

The role of the money men: And yes, the biggest spenders are men. Since the Supreme Court's Citizen's United campaign finance decision in 2010, the role of individual investors in the political sphere has grown.

Wealthy entrepreneurs Charles and David Koch spent $130 million in 2012 through their organization Americans for Prosperity, which works to defeat Democrats. They also donated money directly to candidates and political action committees as well.

A wealthy former hedge fund manager, Tom Steyer, hopes to play big as well. Focusing on climate change, he pledged to spend up to $50 million of his own money and hopes to raise another $50 million.

We'll have to wait and see how the high rollers play in the midterms -- that is if we ever find out because much of the spending doesn't have to be made public.

Opening act for 2016: Let's face it, the midterms haven't even happened yet but the 2016 presidential race is well under way.

Potential presidential hopefuls are already spending large amounts of time in early primary states of Iowa, New Hampshire and South Carolina and building networks by backing candidates in critical presidential states, in hopes that the favor is returned in 2016.

Complete coverage: 2014 Midterms

@highlight

All 435 House seats, and 36 in the Senate are on the ballot in November

@highlight

Control of the Senate is the big story of the midterms

@highlight

Senate Democrats face a difficult task of maintaining their majority

@highlight

Republican success could be determined, in part, by outrage over Obamacare