Every 15 seconds, a Syrian becomes a refugee, and those witnessing the violence unfolding on the ground don't believe military action against the regime would bring relief.

While a doctor who treats refugees says the regime has a history of becoming more vicious when backed into a corner, one Syrian says he doesn't believe strikes against Bashar al-Assad's forces would be effective because the regime would protect its own people and leave the rest to die so it could blame the massacre on the United States.

"We are stuck in the middle, between the Russians and the Americans, the Iranians and the Saudis, and we are the victims," the man said.

The United Nations' refugee agency said Tuesday that the number of Syrians who have fled their war-ravaged country has now risen to more than 2 million.

A year ago, that number was 230,671.

Are chemical weapons a 'red line'? Tell us what you think.

"Syria is haemorrhaging women, children and men who cross borders often with little more than the clothes on their backs," the UNHCR said.

The increase of nearly 1.8 million people over the past 12 months is an "alarming" trend, the agency said, warning that there is "no sign of this tragic outflow ending."

Also disturbing is that many of the refugees are escaping only to find themselves in a different sort of danger.

Hayam, a 25-year-old mother of three in neighboring Lebanon's Beqaa Valley, said she and a friend visited a local organization that was distributing food and were told they needed to drive to a nearby warehouse. There, they encountered a group of men.

Aid worker: Syrian refugee crisis creating long-term burden for neighbors

"They attacked us. We started to scream and cry," the woman said, explaining the men attempted to rape them and asked, "Why are you scared? Nothing happened. You are married. Why are you afraid of this? It's not your first time."

Hayam said she couldn't report the men.

"They will kill me, or they will send me to my parents, and they will kill me. We are a tribal society," she said.

Another refugee, 14-year-old Rahaf in Beirut, said she was cornered by teenagers while on her way to clean houses, which she's been doing for extra money.

"They scared me. They made me hate life," the girl said.

Her mother said her daughter told her, "Mama, I would rather die in our country than have these problems."

The United Nations has said that more than 100,000 people -- including many civilians -- have been killed in Syria since a popular uprising spiraled into a civil war in 2011.

"Syria has become the great tragedy of this century -- a disgraceful humanitarian calamity with suffering and displacement unparalleled in recent history," said Antonio Guterres, the United Nations' high commissioner for refugees.

Syria: What do the neighbors think of potential Western strikes?

And there's more somber news: another 4.25 million people are displaced inside Syria, the UNHCR said, meaning that more than 6 million people have been torn from their homes in the country.

"More Syrians are now forcibly displaced than is the case with any other country," the agency said.

The overwhelming majority of the refugees who leave Syria end up staying in countries in the surrounding region, and the UNHCR said it has less than 50% of the funds it needs to meet their basic needs.

That places a heavy strain on the infrastructures, economies and societies of those host countries, the United Nations said.

The four biggest recipients of Syrians registered as refugees or awaiting registration are:

Lebanon -- 716,000

Jordan -- 515,000

Turkey -- 460,000

Iraq  -- 168,000

Government ministers from those four countries will meet with the UNHCR in Geneva Wednesday in an effort to generate greater international support for dealing with the refugee exodus.

Wissam Tarif, executive director of the human rights group Insan, which is building a refugee camp in Lebanon, encouraged residents in neighboring countries to open their homes to refugees as prospects for housing them become thinner.

"We will be able to host up to 1,200 families. That's around 10,000 people, but that's nothing compared to the influx that's expected. Lots of people will stay in the streets," he said.

More than half of the 2 million Syrian refugees are children age 17 or younger, the United Nations said.

The British Red Cross suggested that the U.N. figure for the total number of refugees may well be too conservative.

"To have reached this landmark figure of 2 million registered refugees is shocking, but the true figure is likely to be higher," said Pete Garratt, a disaster manager for the British group. "We know there are people who will not have registered for support, for many reasons. They may be afraid of any form of authority or of registering their status."

The organization said that in Jordan, 70% of refugees live in urban areas rather than in camps, which makes it harder for aid agencies to find and help them.

"Our colleagues from the Jordanian Red Crescent report finding families who have not registered, or are worried about coming forward to ask for support," Garratt said. "They are still living with the psychological effects of having been in a conflict zone, and that makes people wary."

How to help refugees

@highlight

Syrians say military strikes could exacerbate the situation on the ground

@highlight

Refugees in Lebanon report attacks; one says she'd rather die in Syria

@highlight

Besides the 2 million refugees, another 4.25 million people are displaced inside Syria

@highlight

Most of the refugees are in Lebanon, Jordan, Turkey and Iraq