(CNN) -- I was born in Ethiopia, raised in Oklahoma and Colorado, and ended up in Brooklyn, New York.

Coming to America from Ethiopia, a place where black and white were only colors that had little to do with race, I had to learn English, and also the language of identity.

In America, I was black.

So when some online commenters questioned whether Boston Marathon winner and Eritrean-American Meb Keflezighi is truly "American," it reminded me of my own experience as an immigrant who became a naturalized American citizen and embraced a new identity.

My parents, two brothers and I had an incredible life in Ethiopia.

We always had the newest toys and clothes from my father's frequent work-related trips abroad.

There were lots of friends and just as much family. Life was very communal, much like our style of eating.

Of course, Ethiopia was not perfect, but it was all that I knew.

My well-traveled parents wanted to grant my brothers and I the opportunities that America offered.

Movies shaped my brothers' and my perception of America. As far as I was concerned, everyone lived in massive homes, owned multiple cars and was generally happier.

The movie "Coming to America" stunned me the most. The images of homeless people and the rundown apartment occupied by the characters played by Eddie Murphy and Arsenio Hall contradicted the America of my imagination.

In the weeks before leaving Ethiopia, my older brother Yoseph and I used to stay up late talking about how a group of welcoming American friends, a brand new American car and a huge American house would soon be ours.

But landing in Oklahoma City, our expectations soon dissipated.

From the thick, humid air that permeates Oklahoma in August to the instant feeling of being an outsider, we began to breathe less easy.

In my fourth grade class, my peers were not as curious about me as I was about them. They avoided me and teased me for being African.

I mostly attributed my peers' distaste for me to my country of origin, until the day my older brother Yoseph came home from school after getting into a fight with a boy.

The boy had called him a "nigger."

I soon realized it wasn't just because of our funny accents or nationality that people treated us differently.

In America, we were seen as "black." I became painfully aware of my brown skin, my unruly hair, and the disapproving looks directed my way.

And so my introduction to American culture began.

By the time my family moved to Colorado, the outsized expectations of America were a distant memory.

I felt I had a better grasp of American culture and my new black identity. My English was fluent, without a trace of an accent; it allowed me to socialize with less reluctance.

I quickly made friends at my junior high school and became involved in extracurricular activities. I found comfort in having friends that looked like me.

By the time I was a teenager, working weekends serving meals at a retirement home, I learned the difference between subtle and overt racism.

There was a man there who refused to speak to me, let me take his order, or even look me in the eyes because I was black. It was understood that only my white co-workers would interact with him.

The people I was close to would praise me by saying how well my parents raised me, and told me: "You're not like the rest of them. You're different."

I almost thought that they said these things as a compliment.

But I understood they were making an exception for me, in order to maintain their bigoted views of black and brown people. Because I defied the scope of their prejudice, I had to be unique.

This infuriated me.

I tried to take off-the-cuff comments from the elderly with a grain of salt. After all, they are from a different time period, when those sentiments were expected and accepted.

But it was when I heard my peers say, "You're not really black. You don't even act black," that I realized just how much the perceived singularity of the black identity transcends generations, age and gender.

This made me embrace my "blackness" more passionately, and I began to identify more as "black" than Ethiopian.

I wasn't quite Ethiopian enough for some of my Ethiopian friends who were convinced moving to the U.S. at such a young age caused me to lose some legitimacy. My vivid memories of Ethiopia and ability to speak my native language didn't cement my "Ethiopian-ness" to some.

And I did not live up to my American peers' expectations of being African-American either, even after becoming a naturalized citizen.

So there I was, the president of the Ethiopian Students Association, a member of the Black Student Alliance, and the founder of United Women of Color at Colorado State University.

I became quite the skilled juggler. But it was exhausting.

Tired of the balancing act, I began to care less and less about others' perceptions of me.

Eventually, I became proud of not fitting neatly into someone else's definition of being black or Ethiopian.

When I moved to New York, I felt at home, and met people with a similar understanding of black identity -- one that was varied and nuanced. They were more interested in having conversations about my experiences, and less interested in my color.

I no longer felt the weight of defending all of the different aspects of my identity to everyone.

But there is one thing about the black identity that remains constant: the complexities of the individual experiences that inform our identity.

Yes, I am black. I am Ethiopian. I am American.

I am also a journalist, a filmmaker, a sister, a daughter, a friend, an avid traveler and a woman who is constantly growing and evolving.

There is no doubt that my experiences, at times turbulent, have contributed to my racial identity. But my identity is never static. Instead, it remains fluid.

The reality is that my story is not singular simply because I was born abroad. It is distinctive in the way that each of us, as individuals, is distinct.

And so are our identities.

So when people say I am not "really black" or that Meb Keflezighi is not "really American," I'd invite them to run a mile in each of our shoes -- to see what we've gone through to become as uniquely American as anyone.

@highlight

Some have said Boston Marathon winner Meb Keflezighi is not truly American

@highlight

Haimy Assefa writes that she faced similar questions of her identity when she arrived from Ethiopia

@highlight

"I am black. I am Ethiopian. I am American," author writes