Although it's been in the works -- and riled alarmists (Whoopi Goldberg had some choice words to share back in May) -- for a while, New York City's "Latch On NYC" initiative, which will be put into practice in 27 of the city's 40 hospitals beginning on September 2, has caught a recent wave of inflammatory flack among various 'news' sources, mom bloggers, and more.

NYC's Mayor Bloomberg announced the initiative shortly after the AAP released its new breastfeeding recommendations, which cite an ever-growing body of data supporting breastfeeding's benefits to babies, moms, and the economy, and stressed hospitals' important role in this picture. His initiative also followed the public appeal of dozens of consumer and health organizations, to hospitals, to stop doling out corporate formula swag bags to every new mom they discharge. Breastfeeding's health benefits are indisputable, as are its dismal rates among American moms.

Parenting.com: 15 toddler superfoods

On the up-side, however, studies have shown repeatedly that exposure to information about breastfeeding increases moms' desire to give it a whirl. And early, hands-on support (followed by a supportive workplace and public sphere) helps make it really happen. Since US health officials hope to almost double the nursing count by 2020, hospitals seem like the logical place to start. It surprises me that Latch On NYC has received such vocal criticism. And frankly, much of the recent criticism is based more in the alleged "Breastfeeding Debates" and their crossfire than in, you know, reality.

More on that in a minute. First, here's the Latch On NYC Plan: In addition to a pro-breastfeeding public transport poster campaign (not the first in the country by any means), voluntarily complying hospitals will:

- Enforce the New York State hospital regulation to not supplement breastfeeding infants with formula unless medically indicated and documented on the infant's medical chart- Limit access to infant formula by hospital staff- Discontinue the distribution of promotional or free infant formula- Prohibit the display and distribution of infant formula advertising or promotional materials in any hospital location

What this means is:Nurses must document the dispensing of formula to new moms, citing a medical reason for its necessity. I.e. nurses will need to actually talk with new moms, and provide them with information and support in trying to breastfeed before they hand out formula.

Given the difficulty I had in getting any breastfeeding support after my NYC hospital delivery, I would have welcomed some policy backing my requests. But for new moms who just plain don't want to breastfeed, this definitely represents a change of tides... not by much, though. No one will be forced to breastfeed if they truly don't want to, obviously.

Parenting.com: Best cities for families

This policy provides an official way to hold hospitals accountable, rather than to condemn women's choices. In fact, the initiative clearly states that "Mothers who decide to formula feed and cannot afford formula will be referred to WIC (Women, Infants and Children), a food and nutrition program for low-income families." I.e. the government is still giving out free formula to those who want to feed it to their babies but can't afford to buy it. This is hardly an anti-formula-feeding campaign. (But it definitely is a pro-breastfeeding one).

Next up, limiting formula access means only that there'll be an extra step between a mom delivering her baby and a nurse handing her formula. Namely, the mom will need to ask for it. Again, I read this as a way to hold hospitals accountable for attending to each patient personally.

Finally, Discontinuing corporate swag (promotional materials and actual formula) is a big deal, and a huge step. Karol Markowicz's (of the New York Post) opinion that "a mother isn't going to choose to feed her baby formula because she got a free lanyard or tote bag" notwithstanding, the fact is that corporations are, by definition, the opposite of charitable organizations; they vie for access to new moms in-hospital because, a) brand loyalty is not to be underestimated, and b) mothers assume hospitals have their patients' (i.e. the moms and babies they care for) best interests at heart.

Parenting.com: 36 tips for breastfeeding success

So if a given formula is provided -- along with "informational literature" -- actually IN the hospital, that formula must be, by affiliation, a baby's-best-interest choice. (It's a subconscious, logical conclusion.) Of course babies can, and do, thrive on formula, but there's no debate in the medical field as to breast milk's nutritional superiority. By providing education and support around breastfeeding, and removing formula manufacturers from the picture, hospitals are actually operating with increased professional integrity; they are actually providing the best possible care to patients. And in some cases, this will mean providing formula to babies... Is it really so horrible that this won't come with a bunch of PR from Nestle? No.As far as the controversy and crossfire is concerned, the Post's Karol Markowicz, despite her anything-but-objective objections to the initiative, made one apt, if obnoxiously-presented, point in her critique. Lisa Paladino, of Staten Island University Hospital, had been quoted in this other Post article, explaining that under the new system, a nurse will need to sign out each bottle of formula issued. Markowicz writes, "Perhaps Paladino has never been around a hungry infant, but she should anticipate a cacophony of screams while perpetually understaffed hospitals find nurse's aides to sign out formula like it's morphine."

While her analogy is rather unhinged, her point about understaffing is important; I was really kind of freaked out, post-delivery, by how little the nurses seemed to care for -- or even check on --  my well-being. When the 'nurse button' proved pointless, I ended up hobbling down the hallway, barefoot, in search of a glass of drinking water. I was, meanwhile, nervous about my own abilities with a newborn, and the lack of nurse oversight made me afraid that if my baby needed something while with me in my room (something even more urgent than breastfeeding support, which definitely wasn't forthcoming), there wouldn't be a good way to get medical help... In a hospital. Yeah. I know my breastfeeding experience -- and entire post-delivery experience -- would have been improved with better post-natal care, along with one-on-one breastfeeding help.

Bloomberg's initiative, along with the recent research pointing to the crucial role that hospitals play in breastfeeding success, will hopefully motivate hospitals to equip themselves with adequate nursing staffs in order to really attend to helping new moms get their bearings -- around breastfeeding, and otherwise. If they don't, this plan could backfire. But if they do, and it succeeds, it could prove to be a positive model for hospitals to follow, nation-wide.

Parenting.com: The most awkward pregnancy photos ever

For her part, Markowicz has little else to offer. She dubs Bloomberg's initiative an "anti-formula crusade" and writes that breastfeeding hardly needs a policy-backed boost, stating, "a mere 50 years ago, 75 percent of American infants were using formula; breastfeeding was the odd way to feed a child." True, but fifty years ago -- 1962 -- was not exactly a progressive time in American history, particularly for women and babies: Thalidomide for morning sickness? Twilight Sleep births? Hello? Markowicz has cited the least natural point in mainstream American birth practices as a way to ostensibly 'naturalize' formula feeding's prime place in our hospitals today. It's a flimsy argument, and a strange respose to a (voluntary) change in policy here in 2012.Those who are kicking up (badly-written, and poorly supported) dust around Latch On NYC are fueling negativity for its own sake, as well as divisiveness for the sake of attention (and page views, which add up to advertising sales). Let's not get sucked in. At the end of the day, the post-delivery hospital stay is, under normal circumstances, quite brief. A couple of days won't keep formula-minded moms from feeding their babies formula. But it can make all the difference in getting moms who want to breastfeed onto a successful track.

And greater numbers of successfully breastfeeding babies will make for a healthier population of babies, and moms, overall. This is a fact. This is why Bloomberg jumped in to this incredibly controversial territory -- breastfeeding issues and corporate interests in health care (wow, double-whammy) -- in the first place. Getting swept up in demonizing him, or in any uproar around this new policy, distracts from what the initiative really means for new moms (more support) and for hospitals (step it up).It's going to be okay! It's not 1962 anymore.

What do you think of the Latch On NYC initiative? What do you think all the uproar is really about?

@highlight

New York City's Latch on NYC initiative will promote breastfeeding for new moms

@highlight

Opponents say the campaign creates obstacles for mothers who prefer to use formula

@highlight

The initiative will be put into place in 27 of the city's 40 hospitals starting on Sept. 2

@highlight

Parenting.com's Taylor Newman says the plan isn't as restrictive as some make it out to be