China, Japan and the United States are continuing their tense standoff in Beijing's disputed new air defense zone Friday -- a treacherous situation that both sides warn could lead to violence, intended or not.

To this point, a senior official in U.S. President Barack Obama's administration said Friday that commercial airlines are being told to abide by Beijing's call to notify it of plans to traverse the newly declared zone over the East China Sea, even if the U.S. government doesn't recognize it.

"We ... are advising for safety reasons that they comply with notices to airmen, which FAA always advises," the official said.

This advice reflects fears that the back-and-forth between the two sides could have unintended consequences involving not just opposing troops, but innocent civilians as well. It's a subtle change from two days earlier, when the State Department said "the U.S. government generally expects that U.S. carriers operating internationally" comply with other countries' mandates, rather than directing them to.

Whatever U.S. carriers do, two major Japanese airlines have refused to comply with China's declaration.

Last Saturday, China unilaterally announced the creation of a "Air Defense Identification Zone" over several islands it and Japan have both claimed. The two countries have been sharply at odds over those isles, which are believed to be near large reserves of natural resources.

Tokyo rejected the new zone, as well as Beijing's insistence that aircraft entering it identify themselves and file flight plans. They were joined by South Korea and Washington, with Secretary of State John Kerry saying the move would "only increase tensions in the region and create risks of an incident."

Since then, there's been no backing down.

On Friday morning, for instance, China scrambled fighter jets after U.S. and Japanese military aircraft entered its disputed air defense zone, according to a Chinese military official.

Col. Shen Jinke, a Chinese air force spokesman, said in Beijing that the two U.S. and 10 Japanese aircraft were monitoring targets in the zone. He said the Chinese air force and navy were identifying and monitoring all foreign warplanes in the zone.

A U.S. military official told CNN that at least one U.S. unarmed military aircraft and several Japanese military aircraft flew through the zone Friday without incident. The official said the U.S. flight was part of scheduled routine operations.

"This is status quo," the official said. "We are not changing what we are doing. We are not trying to make a point with China. We fly U.S. aircraft daily in international airspace in the region. This is normal."

OPINION: Beijing's foreign policy balancing act in the East China Sea

The official said the aircraft were not B-52s, though the United States did fly two of those type of planes through the zone Monday as part of what the Pentagon described as a preplanned military exercise.

South Korea said its military sent a plane on a routine patrol flight into the zone on Tuesday without alerting China. A South Korean Defense Ministry official said such flights are carried out twice a week and would continue despite China's declaration.

U.S. officials said they did not know how China would be able to monitor the flight zone, given its lack of midair refueling capability and limitations of its early warning radar aircraft.

"It is indeed the right of every country to defend its airspace, and also to make sure that its territorial integrity, its sovereignty, are safeguarded," Liu Jieyi, China's ambassador to the United Nations, told reporters Tuesday. "This is a normal arrangement."

Read more: Why China's new air defense zone has incensed neighbors

On Wednesday, U.S. Ambassador to Japan Caroline Kennedy offered a different view: "Unilateral actions like those taken by China, with their announcement of an East China Sea air defense identification zone, undermine security and constitute an attempt to change the status quo in the East China Sea," she told reporters in Tokyo. "This only serves to increase tensions in the region."

Japan and China have a lot at stake in maintaining their delicate relationship: Last year, trade between the two countries totaled more than $333 billion, according to the Japan External Trade Organization.

@highlight

U.S. official: The U.S. is "advising" air carriers to "comply" with China's request

@highlight

It's "for safety," even if the U.S. doesn't recognize China's new air defense zone

@highlight

China says two U.S. military planes, 10 Japanese military planes entered disputed zone

@highlight

The zone is part of a rapidly escalating dispute over East China Sea territory