(CNN) -- Once again, Syria is at a crossroads. Former U.N. Secretary-General Kofi Annan deserves applause for brokering a ceasefire in a conflict where others have failed, and where some have been only too ready to press military buttons. Despite the seeming success of diplomacy, the conflict in Syria is far from over. This is only a new beginning.

Make no mistake: Annan's mission was not accepted by the regime in Damascus because they were instinctively in line with his thinking. Annan was embraced by the Chinese, Russians, and Syrians because he had come conveniently after the brutal killings in Hama and Homs. It was more timing than principle. If Annan had come while parts of Homs and Hama were under rebel control, then President Bashar al-Assad and his backers would have rejected the U.N. mission. Now that al-Assad has regained territory from the opposition, he is keen to be seen as a peacemaker.

Annan's proposals are ambitious, morally right, and urgently needed. From the need for a political process where opposition elements and the regime are in direct talks, to troop withdrawals, to providing humanitarian assistance, to releasing those arbitrarily detained and allowing free media access to respecting the freedom to protest peacefully. But al-Assad violated all of these principles previously, so why would he behave any differently now?

His calculation must be altered to realize that the fear that he and his father, Hafez al-Assad, had instilled in the hearts of many Syrians is now gone. Suppressing popular protests with tanks cannot be repeated constantly with impunity, particularly after the U.S. presidential elections. The political will of the occupant of the White House next January could be stronger on intervening in Syria.

It is a question of time before the conflict in Syria flares up again. Annan and the countries involved will only contain, mitigate and offset the parties for a limited time while the opposition regroups. Too much blood has been spilled, too many wounds are open to pretend that violence will not resume again. (Indeed, there were reports after the agreement was reached that violence had resumed in several areas of the country, where government troops were accused of shelling and burning homes, killing dozens.)

While Annan's mission hopes to bring all sides to the table, the Syrian government and opposition cannot risk the continuing escalation of violence.

The answers to the conflict in Syria do not come from outside intervention, but from inside Syria's opposition movement. Those within the opposition who have opted for violence must immediately return to nonviolence. The lesson of this last year is that the al-Assad regime will meet opposition violence with a disproportionate response and fight to the death. With no coherent leadership, with deep disunity and no real vision for a new Syria, the opposition is fighting for an empty cause. It is more productive in the long term, therefore, that it uses the hiatus provided by Annan to peacefully mobilize the masses inside Damascus and Aleppo, publish a manifesto that gains purchase from minority Syrians that sectarian violence will not rise in a post-Assad Syria, and bring on board the major religious, tribal and business figures inside country.

Such measures will help build confidence among noninterventionists in the West, and will result in defections from the military and diplomatic top brass in al-Assad's government. Failure to do the hard work at the grass-roots level inside Syria while demanding Western military support would be both naÃ¯ve and dangerous.

Conversely, the regime knows its days are numbered. It cannot butcher dissidents in Hama and Homs and expect to rule the country without introducing serious, substantial reforms. The constitutional referendum last month was held in haste to address the demand for this very thing. Not only does al-Assad need to win over the opposition's more pragmatic actors, but it must demonstrate adherence to Annan's plan.

But knowing the conniving and deceptive nature of this regime, I do not believe it will sincerely adhere to the letter and spirit of the Annan proposals. Annan may well prove to be al-Assad's last gamble. If he flunks this opportunity to allow for the six-point plan to demonstrably materialize, then it will be nigh impossible to stop Western firepower from pounding his presidential palace, apartments in Mezzeh, military barracks and bases in the Alawite mountains in Lattakia, Tartous and elsewhere.

For his own sake, for the sake of his family and countrymen, al-Assad must deliver. Annan is his last warning, and last chance.

He would be well advised to accept the invitations from Doha and Tunis to go into exile, save himself and his family from further danger, and rescue Syria from the increased risk of all-out civil war. The onus is on al-Assad, as much as it is on the opposition to illustrate that it can unite and offer a credible alternative to him.

The opinions expressed in this commentary are solely those of Ed Husain.

@highlight

Ed Husain says Kofi Annan's deal with Syria's government is a new chance for regime

@highlight

He says the plan to stop violence, allow humanitarian aid and more, is correct, crucial

@highlight

He says al-Assad isn't trustworthy, but if pact fails his chance at avoiding world response is slim

@highlight

Husain: Syrian government must stand down, opposition must unite to form credible alternative