(CNN) -- In the battle against cancer, one video game is taking the deadly disease head-on. And some young patients are the winners.

"Re-Mission 2" is a collection of online minigames designed to get teen and young-adult cancer patients involved in understanding more about their conditions and how the body benefits from sometimes unpleasant treatments.

Researchers at HopeLab, a nonprofit organization searching for products that positively impact health behavior, were emboldened by the success of their original 2006 title, "Re-Mission," and were looking for a better way to help patients.

"Research on the original 'Re-Mission' showed that it impacted biology and behavior, primarily by energizing positive motivation circuits in the human brain and giving players a sense of power and control over cancer," said Dr. Steve Cole, a vice president at HopeLab and professor of medicine at UCLA. "That gave us a whole new recipe for engineering the games in 'Re-Mission 2' by harnessing the power of positive motivation circuits in the human brain."

The Flash-based games in "Re-Mission 2" mimic what the patients are going through in their therapy, but in a way that gamifies the treatment and involves the patient in "destroying" their cancer.

Weapons in the game include chemotherapy, cancer drugs and cells in the body's own immune system.

A 2008 study into the effectiveness of the "ReMission" idea found that, for patients from 13 to 29, sticking to a treatment regimen when managing chronic illness was a significant problem. Playing the game greatly improved treatment adherence and understanding of that treatment in that age group, according to the study.

"(Cancer) can be incredibly disruptive and rips you away from your identity of being a normal kid," said HopeLab spokesman Richard Tate. "The games give them the experience of what it means to be inside the body fighting cancer, using these prescriptions as weapons in their arsenal and the fight to regain a sense of control with your life."

Many game developers lent their talents to the project. But developers also got some inside help.

Former cancer patients worked with the design teams to help create the right mood, challenges and visual design for "ReMission's" five games.

Brooke Jaffe, a 21-year-old English major at Barnard College in New York, and Justin Lambert, a 20-year-old nursing major at Concordia University in Portland, Oregon, are two cancer patients in remission who helped with the project.

Both worked on concept art, images and play testing. But both said that the most important aspect of the game, to them, was how it would make a patient undergoing cancer treatment feel.

"Other than feeling like crap all the time, you don't see the results," said Lambert, who was diagnosed with acute lymphocytic leukemia at 2. "You don't see the impact that's brought to the body fighting the cancer. (The game) puts it into perspective -- something they can visualize and definitely get hope from that."

Jaffe was diagnosed with papillary carcinoma in 2011 and said the cancer experience can make young people feel powerless -- like their recovery is based on passively allowing doctors and others to do their work.

"You actually don't feel like you're doing that much because it's all these outside forces acting upon you," she said. "I think what's really beneficial about a game like 'Re-Mission 2' is the whole concept of using games to help people get a sense of activity in a situation that can rob you of that activity.

"I think that's a very powerful thing even on a psychological level."

Dr. Brandon Hayes-Lattin, a cancer and blood disorders specialist at the Oregon Health & Science University, has been involved in a field of cancer care called adolescent and young adult oncology. He and his colleagues have been working on understanding why patients in that age group don't show improvement in cancer-care rates on par with young kids or older adult patients.

"Across the board, no matter what the age, it is difficult to adhere to a common cancer schedule," he said. "The number of medications, the tracking of medications can be difficult.

"You can really engage young adults through a video game as long as the video game is cool. There is also this underlying theme of empowering patients to understand what they are going through and what their own role is in their cancer care."

With "Re-Mission 2," he said, the mobile aspect of the minigames allow patients to be involved even while they are waiting for, or receiving, treatment.

The free minigames are available for the iPad or online. Tate said teams are working to expand the number of platforms to get the game into as many hands as possible.

@highlight

"Re-Mission 2" is a video game designed for young cancer patients

@highlight

Players use chemo, medicine and other "weapons' to kill cancer cells

@highlight

Designers say visualizing helps patients stay engaged in treatment

@highlight

Game is on Web and iPad, with more platforms to come