(CNN) -- When I was a small child, I spent many afternoons on my father's lap seeing qat being chewed in front of my eyes.

In fact, I used to innocently help my father and hand him the greenish leaves from the plastic bag that was seated right next to us. My father, like almost all men in Yemen, would spend every afternoon, every day of the week and every month of the whole year chewing qat starting from afternoon until late at night.

Now I'm joining a campaign against this leafy narcotic because of the devastating effect it has on my country. Aside from the effect that the drug has on individuals, production of qat is using up almost a third of groundwater in a country that suffers chronic water shortages.

We are calling for a "No Qat Day" on April 12, asking the government to completely ban qat from its offices.

There are several reasons that my father -- and more than 90% of Yemeni men -- chew qat for many hours a day. Chief among these is the excitement they obtain from it and the relaxing and sociable atmosphere it generates.

Little did I know as a child the catastrophic effect it has on life in Yemen.

Chewing qat is a major cultural phenomenon in Yemen and many East African countries. It used to be socially unacceptable for women to chew qat but nowadays a great number of women chew qat. Today, almost 90% of my female relatives chew qat. I myself have tried it once.

Qat is an integral part of Yemen's society because of two factors. The first factor is that during qat sessions contacts are made, business deals are sealed and social and even governmental decisions are made.

The second factor is qat induces a state of euphoria and elation with feelings of increased alertness and arousal.

It contains cathinone, a natural amphetamine that in the United States is a Schedule one drug, alongside heroin and cocaine. In 1980, the World Health Organization classified qat as a drug of abuse that can generate light to moderate psychological dependence and not necessarily addictiveness.

More alarming, qat farmers usually sprinkle pesticide residues on it, which causes cancers, liver cirrhosis and kidney disease. This destructive leaf is not only lethal for qat chewers but also for Yemen as a state.

"Cultivated areas of qat have increased from less than 10,000 hectares in the early 1970s to 146,810 in 2008," said Dr Nasser Abdullah al-Aulaqi, former Minister of Agriculture and Fisheries, in a study paper quoted in the Yemen Observer in January 2012.

"The gravity of the situation lies in the depletion of groundwater with qat eating up almost 30% of the natural reserves. Qat production generated in 2008 approximately 246 billion Yemeni Rial ($1.1billion), while fruits and vegetables brought in 276 billion Yemeni Rial ($1.3billion) and grains 91 billion ($422million)," he continued.

Qat is consuming a huge percentage of Yemen's water, when many experts predict that Yemen will be the first country in the world to run out of water in the near future. Qat embodies a great threat to Yemen's development socially, economically and environmentally.

There have been numerous campaigns to fight qat and the most recent one was created by Hind al-Eryani, a Yemeni political analyst in social media living in Lebanon.

"This campaign is an expansion for the first campaign (No Qat Day) that occurred on January 12. It was relatively successful. The current campaign calls for the government to ban qat from governmental facilities," she explains. "Meaning, to ban employees from chewing qat at those institutions because it's a troubling side of Yemen.

"There is a collective neglect in Yemen to this issue when it's threatening. Employees at governmental facilities, teachers in school, lecturers at colleges chew qat publicly and that's awful.

"At least we must start with those educated working people to eliminate the consumption of qat, which will assist tackling the water shortage," she adds.

Also on Inside the Middle East: Abused animals in Lebanon face losing safe haven

In 1972, Yemen's former Prime Minister Mohsen al-Aini designed a plan to fight qat with the assistance of religious figures, saying that Qat was sinful. His attempt completely failed.

After that, there was no concrete effort from the government to fight qat. However, today there is a hope with the grass-root efforts.

Al-Eryani has tens of organizers from local civil-society organizations throughout the country that will run sessions on this issue and distribute posters to people and government employees. She also has endorsement from very influential figures, like Nobel Peace Prize laureate Tawakkul Karman; prominent researcher and writer Dr Azmi Bishara; former Yemeni representative to the Arab League Abdel-Malik Mansour, and others.

Al-Eryani believes the campaign will be a success. Moreover, most of Yemen's media outlets will cover the campaign after Ali al-Amrani, the Minister of Information officially ordered them to do so, and schools throughout the country will run activities to raise awareness about qat's danger after Dr. Abdel-Razaq al-Ashwal, Minister of Education officially ordered them to do so.

On top of all that, Omar al-Hemyeri, a Yemeni lawyer, designed a draft for a law to be legislated at the parliament. The draft suggests passing a law that bans chewing qat from governmental facilities.

Yemenis kicked out former president Saleh from power but will they kick out qat as well? We shall wait and see.

The opinions expressed in this commentary are solely those of Afrah Nasser.

@highlight

More than 90% of Yemeni men chew qat, says Yemeni journalist Afrah Nasser

@highlight

Production uses almost a third of Yemen's groundwater, she says

@highlight

No Qat Day on April 12 asks government offices to ban qat for one day