Palo Alto, California (CNN) -- If your company bans you from using Twitter, Facebook, LinkedIn and other social media in the office, that policy is "brain dead", entrepreneur Vivek Wadhwa told me.

Wadhwa, listed as one of the 40 most influential minds in tech, is right of course. And here are five reasons, borrowing from several books published this year.

1. It's self-defeating. Dictatorial office managers be warned. Banning social media at work is about as viable as King Canute's attempts to halt the tide. As Nicco Mele argues in "The End of Big: Howe the Internet Makes David the New Goliath", social media is actually contributing to the demise of the large organization. Besides, since most workers now have their own smart phones and tablets, it's actually impossible -- without establishing an all-seeing totalitarian regime at the office -- to stop workers peeking a look at the their Facebook updates or Twitter feeds while in the restroom.

2. It's such an old idea. Even the word "banning" is archaic. As Moises Naim argues in "The End of Power", by undermining traditional hierarchies and gatekeepers, the Internet makes it more and more difficult to outlaw anything. "Being in charge isn't what it used to be," he notes in the book's subtitle. Middle Eastern dictators should, of course, beware. But so should formerly all-powerful office IT directors or HR managers whose monopoly of authority and power has been undermined by the worldwide web. Like Tahrir Square, the 21st century office has been radically democratized. Tightly controlled, top-down offices don't work anymore. They are so 20th century.

3. Social media is the new coffee break. It's the 21st century version of the water cooler. It's how we get our news, keep up with friends and colleagues, make our social arrangements, establish our identities and view the world. Our obsessive use of social media means that we are all living in the perpetual present, says CNN columnist Douglas Rushkoff in "Present Shock: When Everything Happens Now". It's what social media gurus Robert Scoble and Shel Israel describe, in "Age of Context". As Scoble notes, this social media rich environment, in which everything we do becomes "social data", is what he calls the "new world". This is both "scary" and "freaky", as Scoble acknowledges. But it's an inevitable as self-driving cars or wearable computers. To ban social media, therefore, is to essentially ban people at work. It's like outlawing talking or laughing. You might as well ban breathing.

4. Multitasking is beneficial. As anyone with children knows, multitasking is how digital natives live their hyper-connected lives. And the same is increasingly true at work. Once upon a time, we sat in an office all day then went home to enjoy our leisure. But today, work and leisure are inextricably connected. So that occasional tweet or Facebook update from the office doesn't mean you aren't working. It just means that some of your brain might be temporarily focused on something else. But that temporary focus describes the nature of 21st century work. It's how we all -- even the most efficient among us -- operate in the networked age. As Jane McGonigal notes in her best-seller "Reality is Broken: Why Games Make Us Better and How They Can Change the World", multitasking actually makes us more creative by stimulating our playfulness.

5. It makes us more productive because it opens up our minds. Social media not only enables us to group-solve big problems, but also makes us more literate, able to think with more independence and gives us an ESP-like sense of what other people are thinking, according to Clive Thompson in "Smarter Than You Think: How Technology is Changing Our Minds for the Better". Through Twitter, we get access to newspaper articles and stories that we would otherwise have missed. LinkedIn enables us to network with fellow workers. Facebook gives us intelligence about competitive ideas and companies. And banning social media at work only empowers that intelligence even more by encouraging us to network with more open-minded and innovative companies.

The FutureCast conference brought together entrepreneurs, venture capitalists, writers and technologists to imagine the future of 21st century digital society. It was organized and produced by Andrew Keen and was hosted by AT&T and Ericsson at AT&T's Palo Alto Foundry.

@highlight

Bosses should be relaxed about employees going on social media at work, says Andrew Keen

@highlight

It increases creativity and benefits the company or organization, he argues

@highlight

And anyway, you won't be able to stop it, Keen warns employers