(CNN) -- There is not a single day I don't think about them. Exactly two months ago, over 200 schoolgirls were abducted in Chibok, Northern Nigeria. Today, they are still missing. And I feel as outraged as many of you do.

As the world hopes for their safe return, there is another story. What doesn't make the headlines is the fact that many children around the world have never had a chance to go to school.

In West and Central Africa, almost 1 out of 5 school-age children will never enter a classroom, according to a new report by UNICEF and the UNESCO Institute for Statistics.

Globally, more than 57 million primary school-age children do not attend classes. Over half of them live in sub-Saharan Africa. What keeps so many children excluded from school across the continent? What prevents so many children from seeing a classroom, given that "free education" became a reality in various countries in sub-Saharan Africa, including my home country, Benin?

One report finds that girls from poor families living in rural areas have significantly less opportunities to go to school. In addition, conflicts and natural disasters can cause extensive damages and disrupt schooling -- sometimes for weeks, sometimes for years.

While the abolishment of school fees has led to a sharp increase in the number of children enrolled in schools, in many countries "free education" is never entirely free. Supplies, books and other indirect costs can easily make access to school unaffordable.

Getting out-of-school children into school is more than just building more classrooms and deploying more teachers. In order to reduce the number of children excluded from the education system, African governments must commit to the idea of bringing girls back to school.

Even when all the barriers to access are lifted, the quality of the learning taking place in the classroom remains an issue. Those who enter school often drop out without acquiring adequate skills and never complete primary or lower secondary school. High repetition rates lead to large proportions of adolescents who are held back in education systems that are inappropriate for their age.

Everyone wins when children -- and especially girls -- have access to education. An educated girl is likely to increase her personal earning potential and prepare herself for a productive and fulfilling life, as well as reduce poverty in the whole community. Investing in girls' education also helps delay early marriage and parenthood. Our booming economies in Africa need more female engineers, teachers and doctors to prosper and sustain growth.

Throughout Africa, I visited a lot of schools where UNICEF and its partners are working to get every child, especially girls and other marginalized groups, into classrooms. I saw firsthand how simple programs, such as scholarships, mentoring, a second chance to education and the provision of sanitary pads, can make a difference in the lives of girls.

As I watched African schoolgirls on their way to school, I wondered where I would be today if I hadn't had the opportunity to access education when I was a child. Would I be able to write this piece if my parents hadn't made all the needed sacrifice to let me learn, grow and strive? Probably not.

Most of us take access to school for granted. I don't. For many children in Africa, it's still a luxury, perhaps the most indispensable yet reachable luxury for Nigeria and the whole continent.

@highlight

Angelique Kidjo: Over 200 schoolgirls abducted in Nigeria are still missing

@highlight

Kidjo: What doesn't make headlines is the fact that many children never get education

@highlight

She says African governments must commit to the idea of bringing girls back to school

@highlight

Kidjo: Going to school is perhaps the most indispensable yet reachable luxury for many