(CNN) -- Debate over guns continues to inflame the nation, especially after the mass killings in a Connecticut school late last year that prompted President Barack Obama to seek new federal restrictions.

Obama's efforts have stalled, but several states are now redefining their own laws for firearms. Those measures run the gamut. On one hand, New York toughed its gun laws. But in one extreme, Missouri sought to effectively obliterate federal gun laws, which eventually failed.

The state-by-state battles seemingly favor Second Amendment adherents, led by the National Rifle Association, said one analyst who lives in Colorado, which this week saw a successful recall election against two state politicians supporting gun control.

So far in these major controversies, "the gun lobby has won the policy victories," left-leaning commentator and columnist David Sirota of Denver told CNN.

Missouri

Nowhere were federal gun laws under greater attack this month than in Missouri: lawmakers sought to essentially void federal gun laws in the state.

The Republican-led Legislature passed a bill that they said would protect the rights of gun owners, but Gov. Jay Nixon, a Democrat, vetoed the measure.

State legislators so far have been unable to muster enough votes to override the veto.

The Missouri proposal was an eye opener: It would have technically allowed residents to own a machine gun. It also would have made it a crime to enforce background checks or publish the name and address of a gun owner. And citizens could have taken legal action against police who try to enforce federal gun laws.

Ohio, Minnesota and Texas pursued similar bills as an apparent backlash against federal gun control attempts.

Nixon declared he "has consistently signed bills expanding the rights of gun owners in Missouri," but the state Republicans' measure was just too much -- an "unnecessary and unconstitutional attempt to nullify federal laws," in his words.

Iowa

Should the blind be shooting guns?

The issue recently arose in Iowa when the Des Moines Register exposed how state law allows blind people to receive permits to acquire or carry guns in public. Iowa's definition of blindness is explicit: anyone who is legally or completely blind.

Federal laws don't prohibit blind people from owning guns, but some states regulate their ability to acquire firearms.

Nebraska, for example, requires a "proof of vision" before issuing a permit to carry a concealed handgun: that proof can be a driver's license or an eye doctor's statement.

But the Iowa law -- similar to one in Wisconsin -- divides advocates for disabled people and the police.

Blind singer Stevie Wonder found such gun ownership absurd: "Imagine me with a gun," he told CNN earlier this year. "It's just crazy."

Colorado

In what some view as evidence of the gun lobby's might, two Democratic state senators were kicked out of office in a recall election this week. The election -- controversial in itself because it was the first-ever at a state level -- was initiated after the two voted in favor of new gun control laws.

The new laws, effective last July, limit firearm ammunition magazines to 15 rounds and require universal background checks on all firearm sales.

The recall was viewed as a battleground between gun rights activists and gun control advocates. It was just in July 2012 that a mass shooting killed 12 people and wounded 58 others in a movie theater in Aurora, Colorado.

The new gun laws polarized Colorado along party lines: Democratic voters supported them, but Republican voters opposed them, a Quinnipiac University poll said last month.

In the recall, the powerful gun lobby, the National Rifle Association, spent between $400,000 and $500,000 to oust the Democratic lawmakers. The NRA denied it initiated a national effort to oust the two lawmakers, saying it was fundamentally "a local effort," the group told CNN.

New York City Mayor Michael Bloomberg, a billionaire and major proponent of gun control, spent $350,000 to keep the Colorado lawmakers in office.

Gun control advocates, however, charged the recall was successful because of "the shadowy maneuvers of the corporate gun lobby and a handful of extremists," said Dan Gross, president of the Brady Campaign to Stop Gun Violence.

Texas

Texas lawmakers pushed a series of bills that would make it easier and cheaper to own and carry a gun in that state. The legislators initiated the blitz on the same weekend that the National Rifle Association held its annual convention in Houston last May, CNN affiliate KTXA reported.

At least two of those measures were signed into law by Gov. Rick Perry: it's now easier for a person to renew a license to carry a concealed handgun, and veterans and peace officer now pay a lower fee for concealed handgun licenses.

One measure that stalled, however, is a Missouri-like proposal that would prohibit any state employee from enforcing federal gun laws -- such as capacity limitation or registration requirements -- that don't exist under state law.

"The Second Amendment is the amendment that keeps the people free," said Tea Party Republican state Rep. Steve Toth, who sponsored that stalled bill, according to KTXA.

5 things to know about guns

New York

A month after the Connecticut school mass shooting, New York became the first in the nation to create new laws imposing mental health regulations on firearm ownership.

The laws fortify New York's existing assault weapons ban, limit ammunition magazines' capacity to seven bullets rather than 10 and strengthen rules that govern the mentally ill, which includes a requirement to report potentially harmful behavior.

Newtown, Connecticut

The postcard-worthy town of Newtown -- devastated last December by the shootings at Sandy Hook Elementary that killed 20 children, all aged 6 or 7, and six adults -- is now seeing an upswing in gun permits.

With 27,000 residents, Newtown issued 171 pistol permits last year and 209 permits so far this year, on pace to double the 2012 figure.

Meanwhile,Connecticut passed this year new gun laws that are among the toughest in the country. They add more than 100 guns to its list of banned assault weapons and limit the capacity of magazines to 10 rounds. They also mandate the creation of the nation's first statewide registry of people convicted of crimes involving the use or threat of a dangerous weapon, among other things.

Nevertheless, the new gun controls prompted some residents to get gun permits.

"Fear did not prompt me," said Nancy Elis, a widow and grandmother who lived in Newtown for 28 years before recently moving to the nearby town of Southbury. This year, she got a gun permit.

"When I started to hear all the gun control talk, that's what prompted me," Elis told CNN. "Our rights are being slowly infringed upon and that this whole idea of controlling guns has come to my backdoor."

Now she wants to own a gun, she said, because "there may be a time when I may never be able to get a firearm."

Has the moment passed? Why gun control push fizzled

CNN's Leigh Ann Caldwell and Poppy Harlow contributed to this report.

@highlight

With President Obama's gun control effort stalled, states address the gun issue

@highlight

There is a recall election, a call to void federal laws, a toughening of gun laws

@highlight

Overall, the gun lobby is winning "the policy battle," a liberal commentator says