(CNN) -- The question of whether or not Jesus had a wife is back again.

This week two authors came out with a book about a newly translated ancient text -- a "Lost Gospel," as the book calls it. The text has been in the possession of the British Library since 1847 but only in recent years attracted scholars' attention. It suggests that Jesus was not only married but had two children, and that Mary Magdalene -- long viewed as a close friend of Jesus -- was indeed the Virgin Mary.

It also suggests that there had been an assassination attempt on the children of Jesus and Mary more than a decade before the Crucifixion, when Jesus was 20.

Could it all be true?

This may sound vaguely reminiscent of "The Da Vinci Code," which Dan Brown published in 2003, but in truth questions about the relationship between Jesus and Mary Magdalene have been around for a long time, and the "Lost Gospel" only adds to the legend.

As to its validity, scholars will be weighing in heavily, like they did when a fragment of another lost gospel was revealed by Karen L. King, a professor at Harvard, almost two years ago. That scrap of papyrus was not a forgery, as many at the time believed. Carbon dating recently confirmed its origin in eighth century Egypt, although it's a more recent text than King originally thought.

These new claims about a possible "fifth gospel" are made by professor Barrie Wilson of York University in Canada and Simca Jacobovic, an Israeli-Canadian writer and filmmaker. Their painstaking work on this text, called "The Ecclesiastical History of Zacharias Rhetor," was written on animal skin in Syriac, a dialect of Aramaic, the language that Jesus spoke.

There is, in fact, a lot of literature in Syriac, which became an important literary language in the Middle East, especially after the fourth century. The new "gospel" was apparently bought from an Egyptian monastery in the mid-19th-century and brought to England, though its exact origins remain obscure. "Scholars scrutinized the document and discarded it as insignificant," writes Terrence McCoy in the Washington Post.

It won't be the first "lost gospel." The idea that Jesus may have been married to Mary Magdalene was popularized by the wonderful Greek novelist Nikos Kazantzakis in "The Last Temptation of Christ" in 1953. Martin Scorsese made a movie out of it in 1988. Dan Brown only jumped on an already moving bandwagon with "The Da Vinci Code."

The text described in this newest "Lost Gospel" is said to be a translation from an original Greek manuscript, according to a letter dating to the sixth century that accompanied the Syriac text in the British Library, says a Daily Mail article on the book. No matter how you look at this narrative, it is ancient in origin and may indeed reach back to the first century, when the four canonical gospels -- Matthew, Mark, Luke and John -- were written, although this is Wilson and Jacobovici's conjecture.

The Syriac story isn't even directly about Jesus. It's written in code, centering on a man called Joseph, a kind of Jesus substitute. His wife is called Aseneth and is said to stand in for Mary Magdalene. In this tale, Joseph is called the "son of God," and there are passages that seem to parallel the language of Holy Communion.

Joseph and Aseneth are married by the Egyptian pharaoh, who pronounces at their wedding: "Blessed are you by the Lord God of Joseph, because he is the first-born of God, and you will be called the Daughter of God Most High and the bride of Joseph now and for ever."

It's worth recalling that many gospels were composed in the decades, even centuries, after Jesus -- not only the four that Christians acknowledge. These include the well-known gospels of Thomas, Peter, Judas and James. The so-called Gnostic gospels, which came to light in 1945 in the Egyptian desert at Nag Hammadi, contain numerous writings from early Christianity, including a complete gospel of Thomas and partial versions of gospels of Philip and Mary, among others.

It was not until the end of the second century that Irenaeus, the influential Bishop of Lyon, did his level best to make sure that only Matthew, Mark, Luke and John were regarded as the four pillars of Christianity. He wanted to stamp out numerous texts with competing claims for scriptural authority.

So what should Christians believe when new material about Jesus appears? Could there be other gospels that tell us more than we can learn from Matthew, Mark, Luke and John? Could Jesus, for instance, have had a wife and children? What role did Mary Magdalene play in his life?

It's obvious that Mary Magdalene was close to Jesus. She called him "rabboni," in Aramaic, meaning teacher. Others did, too. She was there at the foot of the cross and was the first to visit the tomb after his death. Would anyone but a wife have come to see the body of a recently crucified man? This seems like an intimate act.

And Jesus revealed himself to her when he rose from the dead before anyone else. In the first century, it would have been typical of a rabbi to have a wife. And we know that Peter, a close disciple of Jesus, had a wife, as Jesus went to visit Peter's sick mother-in-law. As it were, we hear nothing about the actual wife of Peter or the possible wives of other disciples.

The accepted -- or canonical -- gospels don't say that Jesus had a wife. If he did, they would probably have mentioned such an important piece of biographical data. But it's useful to remember that the gospel tradition is rich and varied, full of fascinating material that isn't necessarily canonical. And we can't know exactly what is and what isn't authentic among the voluminous early writings about Jesus.

Myself, I doubt this Syriac text is more than a fantasy, an early version of "The Da Vinci Code." Jesus stories were abundant after his death, forcing his followers to pick and choose among many texts that might have spiritual value.

The Christian church made its selection, pushing into the margins those gospel writings and ancillary religious texts deemed heretical. Interest in these materials should surprise nobody, though one should always take the claims of these texts, and those who promote them, with a grain of salt.

@highlight

Jay Parini: New book based on ancient texts appears to show Jesus married with 2 kids

@highlight

Parini: It suggests Mary Magdalene his wife; scholars leery, sounds like "Da Vinci Code"

@highlight

He says 'lost gospels' nothing new. A long ago bishop brought it to 4, to cull competing claims

@highlight

Parini: Christian church made its choice on Jesus story; take other claims with grain of salt