Havana (CNN) -- Church bells rang out Wednesday afternoon in Havana, marking a major moment in history -- Cuba and the United States are renewing diplomatic relations after decades of ice-cold tension.

Word of the massive change was met with passionate opinions and some protests in the United States. And tearful celebrations erupted in the streets of the island after President Raul Castro announced the news in a televised address.

But there was uncertainty and some anger amid the joy.

Dissident Cuban blogger Yusnaby Perez tweeted that his neighbor asked him whether a change in U.S.-Cuban trade relations would mean that he could finally afford to buy meat.

Other dissidents worried that their concerns will now be overlooked.

Yoani Sanchez, a well-known Cuban blogger, decried what she described as a carefully plotted victory for the Castro regime in the swap of detained U.S. contractor Alan Gross for Cuban spies imprisoned in America.

"With the main obstacle for the re-establishment of diplomatic relations eliminated, the only unknown is the next step," she wrote in a column for 14ymedio.com. "Is the Cuban government planning another move to return to a position of force vis-a-vis the U.S. government? Or are all the cards on the table this time, before the weary eyes of a population that anticipates that the Castro regime will also win the next move."

Even with the next steps unclear, happiness spread quickly through a market in the heart of Cuba's capital, where crowds watched speeches from Castro and U.S. President Barack Obama announcing the news on TV screens. "In the audience," 14ymedio reported, "many threw kisses to Obama and hugged each other."

Angry debates erupt in Miami

In Miami, where the vast majority of the large population of Cuban exiles once fiercely opposed any change in the U.S. stance toward the island, reactions were split, mostly along generational lines.

A rift over the embargo that political analysts have noted within the Cuban-American community was on full display.

Angry debates erupted in the city's Little Havana neighborhood between groups of younger demonstrators who said they supported Obama's decision to exchange the prisoners and thaw diplomatic relations and older protesters who said they were opposed to the move.

Outside the iconic Versailles Cafe, demonstrators shouted: "Obama a coward! Coward, coward, coward!" One held a sign that read: "Obama administration conspiracy with Castro terrorist."

One man stood with an American flag around his neck, smiling and proudly holding a sign with Obama's face on it as other demonstrators yelled at him.

A June poll by Florida International University found that more than half of Cuban-Americans surveyed in Miami support an end to the embargo and a solid majority of them also favor restoring diplomatic relations with Havana.

Younger generations who immigrated more recently, analysts say, are more open to dialogue and have different priorities than older generations who came to the United States decades ago.

George Davila told CNN en Español the time for change has come.

"I represent a generation of Cubans who are very interested in the future of Cuba. We think that the best days for Cuba have yet to come. And we think that in the end, the Cuban people need to stop being pieces in a game of chess," he said.

For decades, they were pawns in the Cold War standoff between the United States and the Soviets, he said. Then, he said, they became pawns in the U.S. election politics as candidates jockeyed for Florida's 29 electoral votes and feared the political repercussions of reshaping U.S. policies toward Cuba.

"In the end, the 50 years of the embargo that we have had without having any type of dialogue with the Cuban government has not done anything to try to change the system," he said. "But it has allowed the Cuban government to manipulate this status in order to be able to justify its actions."

Natalia Martinez said she can sense a generational divide.

"Being a relatively recent Miami re-transplant, I think I have an optimistic view," said Martinez of Roots of Hope, a nonprofit, nonpartisan organization based in Miami that helps students and young professionals in Cuba to their peers in the U.S. to share information through the Internet and other technologies.

There's value to how older Cuban-Americans feel, she said.

But the conversation, she said, has shifted. "It's more focused on what we (Cuba and the U.S.) can agree on as opposed to the things we disagree on."

'I don't trust the Castro government'

Some older Cubans, many of them exiles in Miami, were decidedly angry about the news. A crowd quickly grew outside the Versailles Cafe, and hours before Obama addressed the nation to explain the release of Gross and the change in policy, many were fuming.

While happy about Gross' freedom, some said the price was too steep: the release of three Cuban intelligence agents convicted of espionage in 2001, and a sweeping change in America's diplomatic approach toward its communist neighbor.

"There is a long history here of people who have a lot of anger, people who have been hurt," said John Losada, who's been an exile since the 1960s.

Miami Mayor Tomás Pedro Regalado, who came to the United States in the '60s, said he thinks Cuba will make more arrests and crack down even more on human rights after the United States changes its policy. The Castro government won't change its ways, he said.

Miguel Saavedra, another exile, said there's a practical issue to consider: 70% of Cuban exiles "don't support business to Cuba," he said.

Easing relations with Cuba feels like a "betrayal," Felix Gonzalez told CNN on Wednesday. The 76-year-old Cuban-American came to the U.S. in 1961 and had come to Versailles for his morning coffee. "I don't trust the Castro government," he said. "I will never."

But others in the United States seemed cautiously optimistic.

"It was a huge surprise for me," said Raúl Galván, a Cuban-American historian who also works for a public television station in Wisconsin. "I know that they opened economic doors. But beyond that, we are still in a situation that is just beginning. There is a lot more to do still."

Galván, who's lived in the United States since the 1960s, told CNN en Español he was grateful that Obama had taken the steps to thaw relations with the Cuban government, and interested to see what happens next.

"The Cuban side of me," he said, "is hoping that someday I can travel to Cuba freely."

Cuba Fast Facts

CNN's Patrick Oppmann reported from Havana, Alina Machado reported from Miami and Ashley Fantz reported and wrote from Atlanta. CNN's Saeed Ahmed, Catherine E. Shoichet and Maria Santana and CNN en Español's Jose Manuel Rodriguez and Camilo Egaña contributed to this report.

@highlight

NEW: Report: People hugged watching Obama's speech on televisions in a Havana market

@highlight

Church bells ring in Havana as Cuban president announces easing of relations with U.S.

@highlight

Some Cuban dissidents worry that their concerns will now be overlooked

@highlight

Angry debates erupt in Miami's Little Havana neighborhood