(CNN) -- Clint Hurdle had lost his mind. What other explanation made sense, after the man chose the Pittsburgh Pirates when he might have been manager of the New York Mets?

The Pirates?

That once-proud franchise had just suffered through its 18th straight losing season, a record for professional sports teams in North America and perhaps any other continent. The Pirates were a blight on the "City of Champions." Kids were heading off to college with no memory of watching a winning baseball team.

If you asked a Pittsburgher to talk Steelers or Penguins, he'd stay all day. Bring up the Pirates, he'd walk away.

SI: Sports' perennial losers

The Pirates were the taboo topic, the crazy uncle of the local sporting scene -- and there was zero hope of snapping the streak this season. This team was 57-105 last year. It had one of the worst pitching staffs of the modern era and was bringing back four of the five starting pitchers! The big off season acquisitions in the field were journeymen Lyle Overbay and Matt Diaz. The payroll, as always, was going to be measured in pennies instead of dollars.

Yet, on November 15, the day he was introduced to his new city, Hurdle, 53, seemed downright jovial.

Either that, or downright delusional.

"We're going to get this done," he said. "This is eventually going to turn. There's no doubt in my mind that it's going to turn. I wanted to get on board because I believe now is the time it's going to start turning."

Flash forward eight months, to Wednesday morning on Pittsburgh's "Parkway," one the main thoroughfares leading to PNC Park. In the midst of a wicked heat spell, fans were honking horns and waving brooms out their car windows -- and not because they wanted to sweep away the remnants of another lost season.

Rather, it was because the Pirates -- the 'Bucs' or 'Buccos' in local parlance -- had a chance to sweep the defending National League Central Division champion Cincinnati Reds in a three-game series and solidify their grip on first place.

First place?

Yes, the Pirates have spent time there this late in a season for the first time since 1997. They own their best late-July record (51-45) since 1992. Their 3-1 loss Wednesday, which pushed them a half-game behind the Milwaukee Brewers, hardly dampened the enthusiasm for this weekend's series against superstar Albert Pujols and the St. Louis Cardinals.

It is the most-anticipated series in the history of 10-year-old PNC Park, widely regarded as the most beautiful ballpark in the major leagues. Tickets remain only for Sunday's series finale.

If this keeps up -- if the Pirates somehow manage to make the playoffs -- it might well be the sport's most unlikely story since the 1969 New York Mets. The Amazin' Mets hadn't posted a single winning season before winning it all in '69. The Amazin' Bucs, with their $45 million payroll, have won series against the filthy rich Boston Red Sox and Philadelphia Phillies and are talking about adding players before Major League Baseball's July 31 trade deadline.

They are doing this despite a spate of injuries that took away their top three catchers and their promising third baseman, Pedro Alvarez. No wonder The New York Times and Sports Illustrated have scheduled reporters to cover this weekend's series. They will find all around them evidence of a deadened fan base sprung to life.

Neil Walker used to be one of the tortured fans. A Pittsburgh native, he is now the Pirates' second baseman and leads the team with 62 runs batted in.

"What I'm seeing more often is the 20-something fan, young people at the ballpark who want to see us play," Walker said. "A lot of people have said to a lot of us in here, 'Thanks for making us Pirates fans again.' "

For old-time fans, the team's resurgence has rekindled pleasant memories of the World Series titles of 1960, '71 and '79, part of a rich, 125-history in the National League. The franchise has won five World Series in all and have produced iconic players such as Honus Wagner, Roberto Clemente and Willie Stargell.

SI: Everyone loves a Cinderella story; this year baseball has two

With attendance up nearly 20% from last season, the Pirates have a chance to attract 2 million fans for the first time since PNC Park opened. Television ratings are up 66% from July of last season and 40% overall -- including three of the top 10-rated games since 1994. The team soon will make its first appearances on national television since 2002. Sports-talk radio 93.7 The Fan is lined with Pirates callers all day. Sports merchandise stores are reporting unfathomable increases in Pirates-related sales.

Trey Carlstrom can tell you about that. He is the Chicago-based owner of The Pittsburgh Fan, a sports apparel shop across the street from PNC Park. He has a similar store next to Wrigley Field in Chicago. He is giddy over the 51% rise in Pirates-related sales.

"I wish we could turn Pittsburgh into the kind of atmosphere we have at Wrigley," he said. "It helps if you have a good team, that's for sure."

Hurdle, who managed the Colorado Rockies to the National League pennant in 2007, can't go anywhere without people giving him advice.

"I carry a notebook," he says, laughing.

Previous managers carried only the pain of constant mockery amid another disastrous season. It's a challenge trying to identify the low point of the 18-year losing streak, which started the year Barry Bonds left for San Francisco as a free agent. There have been so many, including a ticket-price increase after the 100-loss season that christened PNC Park (season-ticket prices have not been raised since) and the giveaway of homegrown third baseman Aramis Ramirez in 2003.

But this one might top -- or bottom -- them all: The Pirates flew in Pittsburgh-born actor Michael Keaton to throw out the ceremonial first pitch at their 2006 home opener, only to see him rip ownership at a pregame news conference.

"I fear they will take advantage of the good will of the people who continue to show up," Keaton said that day. "For my money, that's disrespectful. At some point, you either have to write the check or do something and not assume, well, we're OK and ultimately the franchise is valuable anyway, like Donald Sterling did with the Los Angeles Clippers."

The way the Pirates were going, the Clippers should have been insulted at such comparisons. By 2007, newspaper magnate Bob Nutting had replaced Kevin McClatchy as the club's principal owner -- and principle villain. He was viewed as a cheapskate interested only in the bottom line.

That perception hasn't disappeared, but Nutting began writing some significant checks shortly after he took control. The Pirates have spent more on the amateur draft than any team in the majors over the past three years and have invested heavily in Latin America, most prominently in the construction of a $5 million training academy in the Dominican Republic.

Where once Nutting was ridiculed on the streets, he now is praised. Sometimes.

"I said last year that fans deserved to be angry; I was angry, too," Nutting told the Pittsburgh Tribune-Review. "There's nothing wrong with that. But I also can say that I believed from the beginning in the steps we were taking to restore championship-caliber baseball to Pittsburgh. Some of those have taken longer. Some are starting to bear fruit. And many of them aren't even here yet."

Meanwhile, general manager Neal Huntington and team president Frank Coonelly engineered a complete overhaul after Nutting hired them late in the 2007 season. "The Plan," as locals call it, hasn't worked out perfectly, but Huntington brought some critical pieces to Pittsburgh, including All-Star closer Joel Hanrahan and starting pitchers Charlie Morton, Kevin Correia, Jeff Karstens and James McDonald. Homegrown players such as center fielder Andrew McCutchen and Walker have begun to blossom. New pitching coach Ray Searage has overseen a dramatic turnaround of the staff, the key component of the team's resurgence.

Well, that and the hiring of Hurdle, who has created an atmosphere equal parts intense and relaxed.

On one hand, Hurdle has not been afraid to instill discipline, such as when he benched the team's best player, McCutchen, for failing to run out a dropped third strike.

On the other, players will tell you Hurdle has made the game fun again. They know they won't be punished for mistakes of aggression, and they know Hurdle's personality will not change from day to day. He will be energized and approachable. Decades in the game -- as a player, coach and manager -- have taught Hurdle that a 162-game season is a marathon, not a sprint.

"The attitude has changed," McCutchen said. "We've been pretty much neutral when it comes to winning and losing. We're not down when we lose, and it's not like we're up that much when we win. We know what we have ahead of us."

If the season's first four months are any indication, the Pirates have ahead of them plenty of pressure-packed, fun-to-watch baseball.

Ask a Pittsburgher about that. He'll talk all day.

@highlight

The Pittsburgh Pirates are fighting for first place in the National League's Central Division

@highlight

They have endured 18 straight losing seasons and were not expected to do well this year

@highlight

New manager Clint Hurdle promised to turn the team around when he took over before this season

@highlight

The Pirates start a key series against the Cardinals Friday in Pittsburgh