(CNN) -- If you don't think Hispanics are a major force in the American marketplace, think again.

Hispanic entrepreneurs like Art Pesqueira, pictured last year at his El Grande Tortilla Factory in Tucson, Arizona, are growing rapidly, statistics show.

Hispanic business ownership is growing three times as fast as the national average and Hispanic purchasing power is expected to reach more than $1 trillion by 2011, according to the Census Bureau and other studies.

All too aware of this growing force, many companies are wooing Hispanic consumers and their spending power.

"The Hispanic consumer market here in the U.S. is actually as big or bigger than the GDP [gross domestic product] of Mexico or Canada," Michael Barrera, CEO of the U.S. Hispanic Chamber of Commerce, told CNN. "We're the second largest economy in North America."

Latino wage-earners still lag behind the national average, with median personal income of $20,000 in 2005, compared to $26,900 for the nation as a whole, according to the Pew Hispanic Center.

But the income gap is narrowing and business ownership is booming.

A U.S. Census bureau report issued last year tracked the growth of Hispanic-owned businesses between 1997 and 2002. The number of Latino-owned companies grew 31 percent over that period -- three times the national average. The bureau identified nearly 1.6 million Hispanic-owned businesses, producing nearly $222 billion in revenue, in 2002.

"It's part of our entrepreneurial spirit," says Juan Guillermo Tornoe, a marketing expert who moved to Austin, Texas, from his native Guatemala. "You come here and you want to get a job, but eventually you want to move forward and start something of your own, something that you can create a legacy for your family."

That's clear in Arturo Rico's story. He entered the U.S. illegally from Mexico more than 20 years ago at age 17. "I just crossed the border like everyone else," and started out picking grapes in California, he said. Rico got his green card and became a supervisor of shipping and receiving at a lettuce farm, then spent time working in restaurants.

He moved to North Carolina and began construction work and discovered he really liked it. As he got more involved in the business, he saw the checks that business owners were collecting from clients.

"They showed me the checks, 'Oh, look at how much I get this time!' I'm like, man, I like those numbers!" he said.

Rico started taking classes on the business aspects of construction -- permits, licenses, insurance. Four years ago, he opened his own business, which now has five employees. He's a subcontractor, building high-end log homes and working to get his general contractor's license.

He's also teaching some of his employees the tricks of the trade and hopes eventually they'll go into business for themselves.

"I told them 'Look, you can do it, and you're going to make more money,'" he said. "'Listen and learn how to do things right, and I'm going to help you guys to do it.'"

A growing number of Hispanic business owners are women, generating nearly $46 billion in sales nationwide last year, according to a study published this year by the Center for Women's Business Research.

The study estimates that in 2006, almost 750,000 businesses in the United States were majority-owned by Hispanic women -- an increase of 121 percent in the period from 1997 to 2006.

They represent about 37 percent of all Hispanic businesses. For the nation as a whole, about 30 percent of businesses are majority-owned by women, the Center reports.

"[Women] have been setting the pace as far as opening businesses and the way the businesses are growing," Tornoe said. "They are definitely a force to be reckoned with within the Latino community."

Advertising agency owner Nannette Rodriguez is one of those Latina entrepreneurs. She was born and raised in Puerto Rico and moved to the United States. to go to college and graduate school. She started working in corporate communications, but said, "I was too much of an individual thinker to really fit with corporate America."

She started her own agency in 1986 in Des Moines, Iowa. About five years later, she said, "We got the sense that we could really lead this curve of ... specialization in Hispanic marketing as an agency in our market and really differentiate ourselves that way."

Rodriguez said marketing her clients' products to Hispanic consumers is good for her business and for theirs. "The advertisers that don't do it are missing out on new markets and new people to sell to," she said.

Fueled by immigration and population growth, Hispanic buying power will reach almost $1.2 trillion by 2011 -- about six times what it was in 1990 -- according to an estimate by the Selig Center for Economic Growth at the University of Georgia in a study released last year.

The center estimated Hispanic buying power will be just over $860 billion in 2007, an 8 percent increase from 2006. If that proves accurate, the Hispanic community will top all minority groups for purchasing power, the center said.

Companies are taking notice. Advertisers spent more than $3.3 billion in the United States to market products to Hispanics in 2005, a nearly 7 percent increase from 2004, according to Hispanicbusiness.com.

Tornoe, the marketing expert, said the Hispanic community's growing economic clout is reflective of a spirit that's a good fit with the wider sense of American entrepreneurship.

"Most of the time we come here with nothing and we have to make something out of nothing," he said. "And this country's so amazing that if you work hard, you are able to attain that." E-mail to a friend

@highlight

The number of Latino-owned companies grew 31 percent between 1997 to 2002

@highlight

Study: Hispanic women playing important role in growth

@highlight

Selig Center: Hispanic buying power will reach almost $1.2 trillion by 2011