(CNN) -- The United States has been rudely reminded that Russia is a major power with different values, ambitions and goals than America's.

Putin's brazen move to assert Russian interests, in Crimea in particular and Ukraine in general, seems to have come as a shock to many leaders in the Obama administration and to most of the American news media.

President Barack Obama had after all ridiculed Sen. John McCain in 2008 and Gov. Mitt Romney in 2012 for suggesting that Russian policy could become a major problem.

Then Secretary of State Hillary Clinton dramatically pushed a reset button to demonstrate the Obama team's commitment to working with Russia.

President Obama, not realizing he was on an open microphone, promised then-Russian President Dmitry Medvedev that once he was past the election he could be more flexible in accommodating Russian concerns.

All this naive fantasy of a "good Russia" has been shattered in the last week.

The earlier overly positive statements have been replaced with a tendency to demonize President Vladimir Putin. For example, Clinton has moved from her reset button to comparing Putin to Adolf Hitler (a comparison she can't possibly have meant but which is a perfect case study in the hysteria to which symbolic liberalism is prone).

Strong words mask a position of weakness. As former Secretary of State Henry Kissinger has observed, calling Putin names is not a substitute for a strategy.

The United States has virtually no tactical cards it can play in the Crimea. We are not going to confront the Russians militarily. The local population of Crimea is at least 60% Russian-speakers. Association with Russia might win a popular referendum (thus putting the democracies in a real dilemma).

On the other hand, Putin may reconsider the idea of independence for Crimea because the pro-Russian voters are needed to win in Ukraine overall. If the heavily pro-Russian Crimea were no longer in Ukraine, the pro-Western forces would be substantially stronger in Kiev.

Whatever happens in the next few weeks in Crimea, the United States has a very limited tactical ability to affect it. The United States and our allies can do a fair amount to help the rest of Ukraine stay independent and we should commit to that project.

However, in the long run there is a much greater threat that the United States has to confront.

The very principles that led Putin to use force in Crimea could be applied to the Baltic states of Latvia, Lithuania and Estonia. There are a lot of ethnic Russians in all three countries (and especially in Estonia). They are much closer to Russia than is Crimea -- it is 228 miles from Tallinn, the capital of Estonia, to St. Petersburg.

The great difference is that the three Baltic states are members of NATO. Any Russian adventurism in this area could force the enormous choice of either directly confronting Russia in its own neighborhood or allowing NATO to collapse because we are unwilling to meet our treaty obligations.

Convincing Putin that we take seriously his toughness and his determination, and we are prepared to meet it, could be a vital step toward avoiding a future disaster.

There are some key steps we can take toward achieving that goal:

-- First, move to increase the production of oil and gas, thus dramatically lowering the price of oil, thereby cutting into Putin's ability to earn hard currency.

-- Second, wean the Europeans off their dependence on Russian natural gas as one of their biggest suppliers, thus lowering Putin's ability to exercise influence over the European community.

-- Third, strengthen the ability of Ukraine to produce its own energy so it has both a healthier economy and no longer relies on Putin and Russia as its main source of energy.

-- Fourth, strengthen American military capabilities to show that we recognize that Putin is more dangerous than we thought and that we are prepared to strengthen our ability to deal with any threat he might bring to bear, particularly on our NATO allies in the Baltic.

The Congress should call on the President to immediately issue an executive order to approve the Keystone XL pipeline, which will reduce the price of oil worldwide by getting more oil to market faster. Each drop in the dollars that Putin can get weakens his ability to undertake foreign adventures.

The President should also sign an executive order lifting the ban on selling natural gas to Europe. After all, since the executive order the President issued on Thursday indicates this is "a national emergency," then there are serious things we can do in a national emergency.

This President has already proven a willingness to use executive orders widely. This would be one that would weaken and undermine Putin, while also beginning to liberate the Europeans from dependence on Russia.

Obama should also immediately open closed offshore and federal land to drill for natural gas and oil. The more oil and gas the United States produces, the further we can drive down costs, leaving the Russians weaker and with fewer resources.

There are 24 liquid natural gas projects tied up in the federal bureaucracy. A presidential executive order could liberate them and send the clear signal the United States is prepared to replace Russia as the natural gas supplier of last resort. This would clearly signal the Europeans that in the next few years they will have an alternative to being blackmailed by Putin.

Remember, it was President Reagan's strategy to drive down the price of oil to $11 a barrel that eventually bankrupted the Soviet Union and gave Soviet leader Mikhail Gorbachev no choice but to sign a series of agreements that recognized the decline of the Soviet Union.

If Clinton was both sincere and serious in comparing Putin to Hitler when she related the action in the Crimea to the action that Hitler took in Czechoslovakia in 1938, then she would be demanding that we dramatically strengthen rather than weaken American defense.

The President should announce that he is directing the Joint Chiefs to significantly re-evaluate the budget in order to be more than adequately prepared for any possible contingency. This would send a signal in the real world that the Russians would understand.

What we have so far is symbolic liberalism offering words, symbolic liberalism flying around the world from capital to capital having meetings, and symbolic liberalism targeting narrowly a handful of people in a way that will have no impact on Putin.

What we could have is serious, robust action that would have a genuine and immediate impact and would weaken Russia's ability to act aggressively toward its neighbors.

This is the time to determine, are we serious about confronting Putin over the long run? Or after a few symbolic games, is the administration going to accommodate the new reality that Putin is creating?

The opinions expressed in this commentary are solely those of Newt Gingrich.

@highlight

Gingrich: Crimea action reminds U.S. that Russia has different values, goals, ambitions

@highlight

He says much of the action taken by the U.S. so far has involved symbolism, meetings

@highlight

More effective strategy would involve vastly increasing energy production, he says

@highlight

Gingrich: Putin's logic could threaten the independence of the Baltic states