Milwaukee, Wisconsin (CNN) -- During the course of his long run for the presidency, Mitt Romney has consistently presented himself to voters as a "turnaround" artist, or as his supporters have taken to calling him recently, a "Mr. Fix-It."

In making his closing argument to voters that he should have that chance to take his government tool belt to Washington, Romney has vowed to "bring people together," to govern as president.

"I've got be able to reach across the aisle and get good Democrats and good Republicans to work together," the former Massachusetts governor told a crowd in Jacksonville, Florida, on Wednesday.

If Obama wins a second term ...

"My legislature was about 85% Democrat and it was not lost on me that to get anything done at all, and even to have my veto upheld, I had to have people across the aisle I could work with," he continued.

Romney's critics insist the Republican candidate's bipartisan overtures are in need of a serious reality check. They look no farther than his statement to last February's gathering of the Conservative Political Action Conference in Washington.

"I fought long odds in a deep blue state. But I was a severely conservative Republican governor," Romney told the conference.

Romney defends his 'severely conservative' record

The words "severely" and "conservative" are no longer part of Romney pitch with the campaign in the home stretch. Asked how Romney's promises of bipartisanship align with what quickly became a YouTube moment at CPAC last winter, a senior campaign adviser argued the two claims are not mutually exclusive.

"As governor, he brought people together to deal with health care. He's brought people together to deal with a very big deficit that he had when he came into office," said Kevin Madden, one of Romney's top strategists.

Mitt Romney: My vision for America

Trying to bring together competing ideas, philosophies

"The governor has made a point that he is going to try to bring together all of the competing ideas and philosophies in Washington in order to tackle some of the big challenges. Does he recognize there is going to be opposition? Sure," Madden added.

In fact, Romney's aides have quietly begun laying the groundwork for a presidential transition, should he win the White House. Dubbed the "Readiness Project" and led by former Utah Gov. Michael Leavitt, the transition team has already had at least one meeting with senior Republican lawmakers, a top congressional source told CNN.

What would a Mormon White House look like?

"They're interested in recommendations for Cabinet posts," the congressional source, who was not authorized to speak about the subject publicly, said.

The advance legwork could enable Romney to sidestep some of the problems he encountered nearly a decade ago when he entered the governor's office in Boston.

Michael Widmer, a government watchdog with the non-partisan Massachusetts Taxpayers Foundation, said Romney's experience in the business world left him ill-prepared for the unwieldy mix of liberal lawmakers, advocacy groups and news media that confronted him.

Who might serve on Romney's national security team

"It was a rude awakening for the Romney administration," Widmer said. "Early on, the legislature and the Romney administration were at loggerheads."

But his passage of health care reform in the state demonstrated the self-styled "chief executive" governor was able to find his way and work across party lines.

"There was a spirit of bipartisanship around health reform," Widmer said.

The spirit was hard to miss. At the signing ceremony for his signature legislative achievement, Romney had none other than an old political nemesis and liberal icon, the late Sen. Edward Kennedy, at his side. After overcoming a GOP primary season in which Romney's health care reform plan was mocked as "Obamneycare," aides to the former governor now dub the initiative "successful."

Where candidates stand on key issues

Different environment than governor's office

If elected president, however, Romney would inherit a dramatically different political environment. Sandwiched between tea party Republicans who have little patience for compromise and a potentially vengeful contingent of defeated Democrats, a President Romney would have no shortage of challenges.

Obama: My vision for America

Adding to the potential for gridlock, a longtime aide to Senate Majority Leader Harry Reid said the Democratic leader from Nevada hardly knows Romney. Earlier this year, Reid outraged conservatives when he falsely accused Romney of failing to pay income taxes for a decade.

Reid hits Romney over taxes, '47%' comments

"When he looks at Romney, he sees a weak candidate, a poll-driven politician, someone who lacks any core conviction," Reid's former spokesman Jim Manley said.

One potential flashpoint could be any attempt by Romney to make good on a campaign promise to partially privatize the nation's Medicare system for future seniors.

"If he tries to go at core Democratic priorities, like Bush tried to do with his proposal to privatize Social Security, Reid will go at him hammer and tong, just like he and (Nancy) Pelosi did with Bush," Manley said of former President George W. Bush's second term initiative to transform the federal retirement program.

Perhaps the greatest challenge facing a potential Romney administration would be the nation's mounting debt. It remains unclear whether the upcoming lame-duck Congress will have the political will necessary to avert what is a largely unspoken campaign issue, the looming fiscal cliff in Washington.

Republicans and Democrats in Congress, along with the president, set the nation on the perilous legislative course when they passed the Budget Control Act, which mandates both tax increases and massive spending cuts that take effect at the end of the year, unless a compromise is reached.

Candidates mum on fiscal cliff

If a solution is not found, Romney could enter the White House with a country that is reeling from what many economists agree would be a massive jolt to the economy.

Facing resistance from tea party on more revenue

Back in Massachusetts, the then-governor solved his own fiscal crisis with a mixture of spending cuts and fee increases.

But to conservative Republicans in Washington, revenue enhancers are viewed as deal-breakers.

"The tea party is not going to let him do that. The tea party is going to resist that mightily," Widmer said.

But Romney made clear in the presidential debates he is comfortable shifting back to the center when it is politically advantageous. What Democrats label "etch-a-sketching" and "Romnesia," one Romney aide said the candidate is simply articulating his positions in a way that would make them more palatable to "swing voters."

Mitt's middle of the road makeover

After a sometimes painful, yet eventually successful wooing of tea party conservatives, Romney now openly embraces more centrist views on regulation.

"Sometimes people in our party say we want to deregulate but that's kind of an overstatement," Romney told the Jacksonville rally.

"We want to get rid of excessive regulation and outmoded regulation. But we have to have some regulation to make the economy work and for people to be able to play by the rules," he added.

After a lifetime in business and Massachusetts politics, a President Romney would arrive in Washington as a newcomer.

As Romney boasted during the GOP primaries, he would enter the nation's capital having never worked in the hyper-partisan world nestled on the Potomac River.

Who might serve on Romney's national security team?

Massachusetts accents in the White House

But do not expect Romney to be lonely at the White House. As recent history has shown, governors who ascend to the presidency, such as George W. Bush and Bill Clinton, usually have a colorful entourage of statehouse advisers and friends who come along for the ride.

If Romney's management of this presidential campaign is any guide, he is likely to bring with him a slew of political professionals from his days in Boston. Several top advisers in Romney's inner circle, former Bain executive Bob White, Boston political strategist Peter Flaherty and communications guru Eric Fehrnstrom, speak with a thick Massachusetts accent.

Another pivotal player to watch is Beth Myers, who was Romney's chief of staff during his days as governor and led his vice presidential search that culminated in what is widely regarded as the politically successful selection of U.S. Rep. Paul Ryan of Wisconsin.

Exclusive: How Romney chose his running mate

Madden declined to discuss a potential senior team in a Romney White House but conceded the GOP contender has a history of taking care of his own.

"He is a loyal guy. But I think he wants the best and the brightest with him to help solve big problems," Madden said.

@highlight

Mitt Romney has vowed, if elected, to "bring people together"

@highlight

Transition team, dubbed "Readiness Project" is already laying groundwork

@highlight

Legwork could help Romney sidestep some of the same problems he encountered as governor

@highlight

Perhaps the greatest challenge facing a Romney administration would be the nation's debt