Lebanon (CNN) -- The UNHCR has announced that we have reached the one millionth Syrian child refugee mark. It is a terrifying statistic if you really digest it and don't just read it as a sanitized account of a tragic war.

I've been working with Mercy Corps responding to the Syrian refugee crisis for over a year and have met hundreds of refugees, many of them children.

Recently I was at one of our activity centers in Baalbek, Lebanon, where we work with traumatized children. Most of the kids were participating in the organized games and activities, but on the sidelines I saw a little boy sitting alone and staring at nothing.

I approached him to see if he was OK, but he didn't look at me. As I came closer I saw his hair had patches of grey at the temples. He was frail and his brows furrowed with worry. He was clearly a boy, but looked very old. He told me his name was Mustafa.

When I first asked him to tell me what had happened in Syria he didn't answer me. He just looked away and pretended not to hear. His eyes were dark and unreadable. He seemed to be holding terrible secrets inside.

I tried another tack and asked him if he had any brothers or sisters. Slowly Mustafa replied that he had six siblings. After some coaxing, Mustafa opened up and told me a little more. He was 12 years old and lived in Aleppo, Syria, before he came to Lebanon with his family six months ago.

In Syria, Mustafa lived in a home on a large plot of land. He spent his days at school with his friends, and then came home and took care of his lambs. He was raising six lambs and caring for them was his favorite part of the day.

The family home in Aleppo was near a weapons factory that was under the control of the government forces. For the first two years of the conflict, there wasn't any significant fighting in the area, so the family hadn't made plans to leave. But six months ago, the Free Syrian Army (FSA) began an attack to try to take over the weapons factory. Without any warning, the family found themselves in the middle of a war zone.

Mustafa recalled how the bombs started falling near their house and the ground shook under his feet. He remembered his mother screaming and his sisters crying. Finally his parents told the children that they had to leave immediately. Mustafa tried to go out to the field to gather his lambs, but his father forbade him.

At this point, Mustafa stopped speaking. He sat silently, holding back a flood of tears.

His elder sister, Fatima, joined us and helped to complete his story. The family started to run from the house, toward the village. She pulled Mustafa away from the house as they fled. Every time she let go of his hand, he kept trying to run to get his lambs, even as the bombs were coming closer and closer.

The family managed to flee the village and spent two days on a cramped bus to reach Lebanon. They had to cross many checkpoints along the route. Some were run by government troops, others by rebel militias or FSA. At each checkpoint the bus would stop and men with guns would force some of the passengers to get off the bus, and then the bus would go on without them. Fatima didn't remember anyone speaking during the long trip. It was as if everyone was holding their breath, but at night she could hear people crying in the dark.

The family arrived in Baalbek with only the clothes they were wearing. They didn't have any friends or relatives in Lebanon and there are no official refugee camps, so they rented part of a house to live in. The family of nine members is crowded into two rooms that serve as their kitchen, living area, bathroom and sleeping quarters. During the winter it was cold and damp and the roof leaked. Now, in the blazing summer heat, the small space is like an oven.

Since arriving in Lebanon, Mustafa and his siblings have not attended school. Like most refugee kids, they face language barriers as Syrian children are educated in Arabic, while in Lebanon education is provided primarily in French or English. The school is overcrowded and they don't have money for buses and school supplies. Mustafa spends most of his days helping his parents. He misses his lambs and says he is lonely and hasn't made any friends yet.

Mustafa is not an isolated case. Mercy Corps has conducted regular assessments of the psychosocial health of refugee children in Lebanon and found that more than 55% of the youth assessed experience constant fear that something bad will happen and are unable to express their feelings about the conflict. Almost half (46%) feel disconnected from others and have trouble making friends, and more than two-thirds (70%) have trouble sleeping or wet the bed.

As the number of refugees forced to flee Syria's civil war continues to grow rapidly, one number stays the same -- more than half of them are children. Every day, thousands more are ripped from their homes and schools, left with painful memories of violence and confusion over what they've lost. Many of them live in constant fear and uncertainty and have lost hope for the future.

Mercy Corps has been focused on protecting these youngest refugees since the start of the crisis. We created safe spaces and developed constructive activities where they can heal from trauma, build friendships and develop critical life skills. We are helping meet their families' basic needs, while continually finding new ways to ensure their emotional health and development are not forgotten.

The reality is that we don't know when this crisis will end. But when it does, these children will be the ones left to rebuild their lives and their country.

Today, was Mustafa's first time attending a Mercy Corps youth program. He started the day out alone on the margins of the activities. But after some counseling and a lot of encouragement from our staff, he joined the other children. I watched him throughout the day and saw him start to relax, make friends and even laugh a few times. And as he was leaving, he promised me he'd be back for the next session.

The opinions expressed in this commentary are solely those of Cassandra Nelson

@highlight

Thousands of Syrians have fled into neighboring Lebanon where they face hardship

@highlight

Mercy Corps aid worker Cassandra Nelson says many of the refugee children live in constant fear

@highlight

When the crisis ends these children will be the ones left to rebuild their lives and their country, says Nelson