Washington (CNN) -- The heart of President Barack Obama's speech Tuesday was the same focus on jobs and middle-class economic uncertainty that's driven every State of the Union of his presidency.

But that was far from the only ground he covered.

The president reeled off a laundry list of small-bore proposals: He called on Congress to hike the minimum wage to $9 an hour and invest $50 billion on rebuilding roads and bridges. He proposed universal preschool for 4-year-olds and linking some federal grant decisions to research schools on their ability to keep tuition costs in check. And he urged Congress to put his full gun control agenda up for a vote.

5 things we learned from the State of the Union

Nearly every idea in his speech had a couple of things in common: Virtually all of them are core Democratic priorities presented in language that delighted the base. None of them were shoot-for-the moon ambitious. They were either old ideas repackaged or markedly modest new ones. And few if any of them are likely to become a reality under the current Congress.

State of the Union: More same old, same old

In a sharp contrast to his first address to Congress four years ago, the president paid lip service to bipartisanship, but he made clear that it was a luxury, not a driving priority. He invited Republicans to join him in a bipartisan effort... to back the Democratic policy vision.

If the speech came across more like a wish list than an action plan with a good chance of making it past the House, that's because it was. Just laying the exhaustive string of liberal policy priorities seemed to be the point -- a companion to the ideological offensive in his inauguration speech.

The top priority Tuesday wasn't necessarily jobs, or guns, or climate change, or voting rights. It was the sum of all those parts, a liberal vision that Obama clearly hopes will nudge the country in that direction.

What Obama said

"It is our unfinished task to restore the basic bargain that built this country -- the idea that if you work hard and meet your responsibilities, you can get ahead," the president said. "It is our unfinished task to make sure that this government works on behalf of the many, and not just the few."

The framing in Tuesday's speech was designed to help the president score two wins: in the long term, a progressive legacy, and in the short run, an advantage in the budget battles and debt ceiling drama.

With the GOP laying responsibility for a looming sequester at the White House door, the president pointed to Republicans' emphasis on the need for entitlement reform as proof that they're laying the burden for deficit reduction on cops and teachers and seniors instead of "the wealthiest and most powerful."

"Deficit reduction alone is not an economic plan," he said. "A growing economy that creates good, middle-class jobs -- that must be the North Star that guides our efforts."

Obama dares Congress to get the job done

It's a message designed to resonate with working-class voters, and the Republican Party's standard-bearer for the evening, Sen. Marco Rubio, countered with a mirror-image appeal to the same demographic.

"Mr. President, I still live in the same working-class neighborhood I grew up in. My neighbors aren't millionaires. They're retirees who depend on Social Security and Medicare," Rubio said. "I don't oppose your plans because I want to protect the rich. I oppose your plans because I want to protect my neighbors."

Rubio says Obama would hurt the middle class

The approach was much the same as the president's, an ideological vision unweighted by grand, ambitious plans to make it a reality.

In fact, for an exhaustive speech, Obama's State of the Union was notably short on some key specifics.

The White House has so far brushed off calls for a price tag for the proposals in Tuesday's speech, promising a full accounting when the president sends his next budget to Congress. But in the end, the policy details may be less important than the political timing. The White House and congressional Republicans remain locked in a brutal message war over the sequester, now just over two weeks away.

Opinion roundup: How did Obama and Rubio do?

@highlight

Obama reels off laundry list of core Democratic priorities in State of the Union address

@highlight

President invited Republicans to join him in his effort -- to push Democratic agenda

@highlight

Framing of speech designed to build advantage in the budget battles and debt ceiling drama

@highlight

Rubio's response was mirror image -- an ideological vision with no plans to make it reality