"This is the house?" my mom asks, turning around.

"Yes," says our guide. "This is where your grandmother was born."

My mother and I have traveled more than 6,000 miles to explore Candia Canavese, a tiny village outside Torino, Italy, founded in the fifth century.

We're here to learn more about our heritage and get a sense of where her family is from.

We're not the first ones to visit for that reason.

Even though Candia Canavese has a population of just 1,200, our guide says plenty of other travelers have come searching for records, data, photos and that intangible sense of history you can't get without visiting a place yourself.

Interest in genealogy appears to be at an all-time high, with a recent Harris Interactive Survey indicating that four in five Americans wish to learn more about their family history.

Shows like CNN's upcoming "Roots: Our journeys home," along with series "Who do You Think You Are?" and "Finding Your Roots" are gaining in popularity.

"People see these programs and they want that experience for themselves,"  says Michelle Ercanbrack, family historian at Ancestry.com.

As a result, she says, more travelers are looking to incorporate family history research into a trip or even plan a standalone journey for the sole purpose of discovering their roots.

Want to embark on your own family tree trip? Here are some tips and techniques to help smooth the process.

Get your history organized before you leave

If you're spending the time and money to get to a far-flung destination, you don't want to spend your visit stuck in a library or office.

It's more rewarding to get your history organized before you leave.

"Start with what you know and build your tree online," says Ercanbrack.

Sites like Ancestry.com, Familysearch.org and Genealogy.com can get you on the right track, while genealogy research site Cyndislist.com has a comprehensive collection of useful links.

For example, Ancestry.com has 14 billion searchable, indexed records -- everything from passenger records to census data and more.

"Remember, online records can build the branches, but there will be holes -- things you can't find because of records loss or privacy details," Ercanbrack adds.

Beyond just building out a family tree skeleton online, it's also wise to create a historical timeline before your trip.  A snapshot of the family's movements will help you see holes easier.

For example, start with one family member -- say a grandparent -- and create a timeline of where and when they were born, where they lived, went to school, were married, and so forth.

Writing things down in a narrative fashion can help you pinpoint gaps, like when a child might have been born or a family member emigrated.

Let them know you're coming

Regardless if where in the world family history travel takes you, it helps to get in touch with a few locals before you arrive.

People worth contacting include librarians, city clerks, museum officers and clergy.

Giving information in advance helps a researcher flag potential documents and can maximize time on the ground while visiting.

Prior to our Italy trip, my mother and I got in touch with the innkeeper at the one hotel in the village to inquire about an Italian-speaking guide to help us.

Our host went above and beyond -- as it turns out his family had lived in the village for generations and knew all the people we needed to speak to.

Because we sent information requests with family names and dates in advance, by the time we arrived he had already laid the groundwork and we had appointments with the priest and the city clerk's office.

That allowed us to spend a good chunk of our time wandering the streets, taking in the ambiance and imagining how my great-grandmother's family lived.

On-site research: Tombstones and immigration offices

Sure, you may have to spend time browsing through old boxes and files searching for documents, but there are countless of other places to find data while visiting a location.

"Visiting the place is where you do the finishing touches," says Ercanbrack.

Cemeteries: Local cemeteries often provide location-based details you won't find in other files such as place of death.

They can also turn up details on previously unknown family members or even children that died as infants and were never recorded.

Ercanbrack offers a great tip for getting details off a worn headstone: Shine a flashlight directly above the headstone to cast a shadow on engravings -- you can then take a picture of the shadow.

It's far more effective than using the paper-rubbing-with-charcoal technique you see so often in the movies -- that can actually permanently damage the headstone.

Immigration offices: Passport applications and naturalization records can be information goldmines, as they often include detailed information on family records, places of residence and work.

Military/VA Offices:  Military pension records also are crammed with data including dates and location of service, awards and recognition and time spent overseas.

Note that these might be harder to access and there are privacy issues concerning release of some statistics, but worth investigating.

By the end of our journey we discovered new details previously blank on the family tree.

More importantly, we felt connected to a place that was previously just a spot on the map.

As Alex Haley, author of "Roots," so eloquently put it: "In all of us there is a hunger, marrow-deep, to know our heritage -- to know who we are and where we have come from.  Without this enriching knowledge, there is a hollow yearning."

@highlight

Interest in genealogy is rising, with many choosing to combine travel with family history research

@highlight

Websites like Ancestry.com offer access to billions of indexed records

@highlight

Librarians, city clerks, museum officers and clergy members can be solid sources of information