In an intensive care unit in Memphis, a virus ravages the body of a 7-year-old who's in heart and kidney failure. He vomits blood several times an hour as his family gathers in vigil.

In a cabinet in Durham, North Carolina, there's a drug that could likely help Josh Hardy, but the drug company won't give it to him. They're adamant that spending the time to help Josh and others like him will slow down their efforts to get this drug on the market.

Helping Josh, they say, means hurting others.

When asked how he will feel if Josh dies -- and he's in critical condition, so sadly that could happen soon -- the president of the company that makes the drug doesn't hesitate to answer.

"Horrible," said Kenneth Moch. He would feel horrible and heartbroken.

But still, he said there's no way he's going to change his mind. There's no way he's going to give Josh this drug.

'We're begging them'

It's called "compassionate use," but sometimes it feels anything but compassionate.

Here's the way it works: According to the Food and Drug Administration, if someone has a serious or immediately life-threatening disease and has tried and failed other available treatments, they can ask a drug company for an experimental drug, one that they're still studying and has not yet been approved by the FDA.

Companies often say yes: The FDA approved 974 compassionate use arrangements in fiscal year 2013.

In cancer drug battle, both sides appeal to ethics

But pharmaceutical companies often say no, as they did to Josh Hardy.

"Our son will die without this drug," said Todd Hardy, Josh's father. "We're begging them to give it to us."

So now, like many families, the Hardys have turned to the media, Facebook, and change.org to pressure the drug company to change its mind.

Countless members of "Josh's army" have responded with angry tweets to @chimerix, telling them to "open their hearts," asking the executives how they can sleep at night.

"Everyone is watching," one tweeter warned the company.  Others have tweeted out the e-mail addresses of the company's board members. Chimerix executives say they've received physical threats.

Moch, the company president, has read these tweets and said he is heartbroken, but the issue is complex and unsuitable for a 144-long character debate.

At its very simplest, this is it: Chimerix is going full speed ahead to get the drug on the market hopefully by the end of 2016, and if they spend time and money on compassionate use cases, it would greatly hinder their effort to get the drug, brincidofovir, on the market and available to everyone.

The company would have to dish out $50,000 per compassionate-use patient, since insurance doesn't usually pay for experimental drugs, Moch said. And perhaps even more important than the money, it would divert manpower in this 50-person company, since they'd have to handle the requests and then get the patient's records and follow up with them, as required by the FDA.

"If this were just one patient wanting this drug, then this would be a very different question," he said. "But it's yes to all or no to all."

From 2009 to 2012, the company did give out the drug under compassionate use to 451 patients, Moch said, but at least at that time, the information gleaned from those 451 compassionate use patients was helpful to the Chimerix study and helped move the science along. But currently doctors don't really learn very much, if anything, from compassionate use patients, so the patients don't help get the drug to market.

Beat cancer four times

Josh's journey began when he was diagnosed with a rare form of kidney cancer at 9 months old. Over the years, cancer turned up in his thymus, lung, and bone marrow, and each time Josh beat it.

But a bone marrow transplant left Josh without much of an immune system, and in February doctors diagnosed him with an adenovirus that spread through his body.

They gave him an antiviral drug, an intravenous form of brincidofovir, but it ravaged his kidneys.

His doctors at St. Jude's Children's Research Hospital said not to give up hope. Since they'd been part of the brincidofovir studies, they'd seen how in sometimes just a week or two, the the oral form of the drug could get rid of an adenovirus without damaging the kidneys. Now all they had to do was ask the company that makes brincidofovir: Chimerix, Inc.

On February 12, the St. Jude's doctors called a Chimerix executive, Dr. Marion Morrison, and asked for permission to use brincidofovir. She said no.

On March 5, the doctors asked again. Two days later they got an answer by e-mail from another executive, Dr. Herve Mommeja-Marin, who said the company was not "in a position to provide drug for this and other subjects in similar circumstances due to a limited inventory and our limited resources."

'He holds our son's life in his hands'

Moch wants you to know that he has children of his own, and if his child had an aggressive adenovirus like Josh, he'd be doing the same thing as Todd and Aimee Hardy.

"There are no words to express our compassion for this young boy and his family and what they're going through," he said.

Art Caplan, a bioethicist at NYU Langone Medical Center, said he feels for both the Hardys and for Moch.

"We can't ask the company to turn into a philanthropy or their investors will back out," he said.

It's not just the $50,000 per patient that might make investors squeamish, Caplan said, but compassionate cases can make a drug look bad. By definition, compassionate use patients are extremely sick, and might not do well with the drug. Companies have to report that poor outcome to the FDA in its application to market the drug.

Perhaps there's another way to handle compassionate use requests, Caplan suggests. Perhaps a company like Chimerix could agree to give the drug only to the very most dire cases, and put a cap on the number of patients they help.

"They might want to open the door a little more broadly," he said. "They might want to show a little compassion."

But right now, Chimerix stands firm that their compassionate use program is almost completely over.

"We've had employees who ask for the drug for family members who are close to death, and the answer has been no," said Mommeja-Marin, the Chimerix executive.

But that's not good enough for the Hardys.

"He holds our son's life in his hands," Todd Hardy said. "This is just beyond belief to me."

3-D printer helps save dying baby

@highlight

Josh Hardy is in critical condition at St. Jude's Children's Research Hospital

@highlight

There is a drug that may help him, but the drug company is refusing

@highlight

The company's president says he has kids too and feels for Josh's family

@highlight

Helping Josh and others like him could slow efforts to get the drug on the market