Washington (CNN) -- Diplomatic cables expected to be released soon by WikiLeaks could contain highly sensitive information that reveals U.S. negotiating positions, secret intelligence and other confidential matters, a former U.S. ambassador to Russia told CNN.

The expected online disclosure has to be taken seriously, said James F. Collins, who served as ambassador to Moscow from 1997 to 2001 and is currently director of the Russia and Eurasia Program at the Carnegie Endowment for International Peace.

"Leaking information of this kind will be detrimental to building the trust among officials necessary to conduct effective and productive diplomacy. It will impede doing things in a normal, civilized way," Collins said.

"I would think the information they will leak is likely to contain analysis, records of discussions or reporting on confidential conversations between officials or official policy recommendations or suggestions about policy or diplomatic actions," he added.

The threat by WikiLeaks, the online whistle-blower website, to publish the information has prompted the State Department to undertake a massive review of diplomatic documents. A source tells CNN that every diplomatic mission document from 2006 to 2009 is under review.

The United States has started to alert nations around the world about the possible leaks.

In preparation for the WikiLeaks dump, the British government warning United Kingdom news organizations about the publication of any material which could endanger national security. The Ministry of Defence on Friday issued a so called "D-Notice."

In the rarely used notice, the MOD told the media that before they publish potentially sensitive stories of a national security nature, they should seek the advice of a senior military official to avoid breaking the order.

A senior Israeli government official said the American government contacted the Israeli government a few days ago to inform them about the possibility of internal U.S. communications about Israel being publicly released.

The official would only speak on condition he not be identified.

He did not know the full scope of what topics the documents may cover, the official said, but noted that Israel was told by the Americans that the leak was part of a much larger document dump by WikiLeaks, most of which had nothing to do with Israel.

The Israeli government official added that the American government said it did not want Israeli officials hearing about the leak for the first time in the media.

Israel was satisfied with the way the United States was handling the problem and there was little expectation in Israel that this would create a major rift in relations, the official said.

A spokesman for the Swedish Ministry of Foreign Affairs, Tobias Nilsson, told CNN his government also had been alerted by U.S. authorities.

"We have been in contact with the U.S. Embassy here in Stockholm and they have informed us about a possible release of documents by WikiLeaks," Nilsson said. "I am, however, not going to speculate on why they contacted us or the reason for them alerting us about this. All I can say is that they have told us this might happen."

Norway also has been contacted, said Bjorn S. Jahnsen, spokesman at the Norwegian Ministry of Foreign Affairs.

"They have only told us that WikiLeaks might release new documents," Jahnsen said. "They haven't said anything specific about the contents, they only alerted us that the release might happen."

The United States did not discuss whether the leaks might affect relations between the two nations, Jahnsen said.

The information blitz from WikiLeaks would offer a glimpse into the worldwide communications of the State Department and its 297 embassies, consulates and missions through what commonly are referred to as "cables." Collins says cables are the telegrams used for official instructions, reports and communications from the Department of State in Washington to its international posts as well as from those posts back to the United States. Much informal communication today is by email and other kinds of modern communications, he says, "but official instructions to the ambassador tend to come through telegrams, which an ambassador can assume have been properly coordinated in Washington."

Telegrams, when they go out of the Department of State, are shown as signed by the secretary of state and when they come in from any embassy or consulate in the field are shown as signed by the ambassador or a principal officer.

"Obviously," however, Collins notes, "these individuals cannot and do not write and sign all of the telegrams."

Embassies send Washington "reporting" telegrams, which can include analysis by embassy officers of developments of importance to U.S. policy in their country or they may report meetings that the ambassador or other embassy officials had with officials in their host country. They also can contain substantive policy recommendations and observations. In addition, there are housekeeping and operational messages that are dedicated to the daily operations and needs of diplomatic offices and personnel.

Telegrams are an essential means for keeping U.S. diplomats informed about policy and views in Washington and to alert them to important developments.

The State Department sends "world-wide" telegrams to its missions around the world, "regional" telegrams to a select number of posts and telegrams to individual posts.

"They can be informational," Collins says, "telling the ambassador and his or her staff about a policy initiative, for example: they can send texts of speeches, convey in-house information the Department of State wants embassies to be aware of or provide the reasoning behind policy, what Washington wants clearly understood."

Another kind of telegram contains official instructions.

"It says to an ambassador, 'Go take this action,' " Collins said, "instructing the ambassador or his staff, for example, to 'see so and so and seek his support for an American position on Afghanistan.' As an ambassador you would take that instruction, for example and, using it, seek out the appropriate person in the foreign ministry and make the case Washington has asked to be conveyed."

"The most sensitive kinds of telegrams are instructions such as those to negotiators. These instructions were routinely sent to our negotiators on the START treaty or to those carrying on negotiations with allies about next steps in Afghanistan."

Collins says his major concern about leaking telegraphs and other official communication is that "you cannot conduct business between governments effectively on CNN or in the news media. People with whom you talk on a confidential basis, where you're talking as government-to-government, or representative-of-government-to-representative-of-government and discussing something, implicitly assume that the confidentiality of the discussion will be preserved. Sure, everyone understands that you're going to report back to your own government what you said and what you heard, but they don't expect to see the exchange in the newspapers.

"Similarly, analysis that mentions names or says, 'No matter what everyone else is saying, we think the place is going to fall apart next week' is very sensitive," Collins says. "It's not that you're trying to cover up somebody's mistakes. It's that you cannot expect people to provide their superiors candid advice and analysis if they expect to see their views politicized and made public.

"If WikiLeaks is putting out a whole raft of embassy reporting from Moscow or State Department instructions on Russia policy this is not good news," Collins told CNN, "because these cables almost certainly will say things that will complicate relations between and among people involved, create resentments about publication of private information, and decrease the fragile confidence that has been building between the two governments. It could also reveal strategies or intentions to the detriment of our diplomatic strategy and tactics on a number of issues. And it can simply make life very difficult for embassy officers and other officials working to conduct our relations with Russia, depending on how all of this is released."

In Baghdad, the U.S. ambassador to Iraq told a group of journalists Friday that diplomats "are worried about additional documents coming out."

Ambassador James Jeffrey said, "WikiLeaks are an absolutely awful impediment to my business, which is to be able to have discussions in confidence with people. I do not understand the motivation for releasing these documents, they will not help, they will simply hurt our ability to do our work here."

@highlight

NEW: British government warns media against endangering national security

@highlight

Former ambassador says leaks likely to damage efforts to build trust

@highlight

Leaks expected to include "cables" used by State Department

@highlight

WikiLeaks is threatening to publish thousands of classified documents