Washington (CNN) -- By wading into the issue of an Islamic center and mosque near ground zero, President Barack Obama provided Republicans with an emotion-ridden attack vehicle while diverting attention from campaign themes of fellow Democrats.

A senior Republican strategist told CNN that GOP candidates are being encouraged to talk about the issue as much as possible.

In Florida, Republican gubernatorial candidate Rick Scott launched a statewide television ad Monday criticizing Obama for backing the right of Muslims to build an Islamic center and mosque two blocks from where the September 11, 2001, terrorist attacks killed more than 2,700 people.

"Barack Obama says building a mosque at ground zero is about tolerance," Scott says in the ad, looking directly into the camera. "He's wrong. It's about truth."

The "truth," Scott claims, is this: "Muslim fanatics murdered thousands of innocent Americans on 9/11, just yards from the proposed mosque."

"The fight against terrorism isn't over," Scott concludes. "Mr. President, ground zero is the wrong place for a mosque."

Meanwhile, a House Democratic leadership aide said the issue was dominating the political conversation when Democrats need to stress campaign themes such as economic recovery and saving social security.

"We understand why the president would want to talk about this issue, but the timing couldn't have been any worse," the House Democratic leadership aide told CNN.

Despite the concerns of Democrats, Senate Majority Leader Harry Reid of Nevada on Monday came out against building the Islamic center and mosque.

"The First Amendment protects freedom of religion. Sen. Reid respects that but thinks that the mosque should be built some place else," said a statement issued by Reid's spokesman, Jim Manley.

Reid is involved in a tough re-election campaign against conservative Republican Sharron Angle. The statement on the ground zero issue also called for Republicans to back a Democratic bill that would provide health care aid and compensation for firefighters, police officers and other first responders to the 9/11 attacks.

For its part, the White House sought to tamp down the discussion Monday. Speaking to reporters, White House spokesman Bill Burton sidestepped a question on Republican strategy and tried to declare the debate over.

"The president didn't do this because of the politics," Burton said, adding: "I think that it's a debate that was had and we've weighed in."

On Sunday, the topic dominated morning talk shows, with Republicans calling Obama insensitive for supporting the right of Muslims to build the Islamic center so close to ground zero.

Some predicted political repercussions for Democrats in November's congressional election, even though they agreed with Obama that freedom of religion is a vital part of American democracy.

"The Muslims have, as everyone else does, the right to practice their religion and they have the right to construct a mosque at ground zero if they wish," Rep. Peter King, R-New York, said on CNN's "State of the Union" program. "What I'm saying, though, is they should listen to public opinion, they should listen to the deep wounds and anguish this is causing to so many good people."

Republican strategist Ed Rollins, a senior political contributor to CNN, summed up the GOP perspective.

"Intellectually, the president may be right, but this is an emotional issue, and people who lost kids, brothers, sisters, fathers, what have you, do not want that mosque in New York, and it's going to be a big, big issue for Democrats across this country," Rollins said on the CBS program "Face the Nation."

On the same program, Democratic National Committee Chairman Tim Kaine challenged the Republican logic.

"You know, we see an awful lot of Republicans going out and saying we've got to respect the Constitution, and that means we have to respect it," Kaine said. "We can't tarnish people's First Amendment rights."

Democratic Gov. Ed Rendell of Pennsylvania said on the CBS program that the Islamic center issue shouldn't have political resonance.

"I can't imagine that any American -- given the challenges facing this country -- is going to vote based on what he said about the mosque," Rendell said of the November election. "The mosque is an unfortunate situation, but we do have a right to practice our religion freely wherever we choose. Rights are not subject to the popular vote or majority vote."

In his speech at a White House dinner Friday marking the start of the Islamic holy month of Ramadan, Obama said Muslims "have the same right to practice their religion as anyone else in this country."

"That includes the right to build a place of worship and a community center on private property in lower Manhattan, in accordance with local laws and ordinances," the president added.

The next day, Obama told CNN Chief White House Correspondent Ed Henry that he was "not commenting on the wisdom" of the project, just the broader principle that the government should treat "everyone equal, regardless" of religion.

His comments were considered by some to backtrack from what he said at the dinner, prompting a White House spokesman to further clarify the president's remarks later Saturday.

Both the topic and Obama'sneed to clarify his initial remarks evoked criticism from Republicans.

Sen. John Cornyn, R-Texas, told "FOX News Sunday" that Obama's stance demonstrated how "Washington, the White House, the administration, the president himself seems to be disconnected from the mainstream of America."

"This is sort of the dichotomy that people sense, that they're being lectured to -- not listened to -- and I think that's the reason why a lot of people are very upset with Washington," Cornyn said.

On the CNN program, King said Obama's lack of clarity further muddied the issue.

"If the president was going to get into this, he should have been much more clear, much more precise, and you can't be changing your position from day to day on an issue which does go to our Constitution, and it also goes to extreme sensitivity," King said.

Democrats responded that critics fail to distinguish between the al Qaeda terrorists who carried out the 9/11 attacks and the Islam religion, which includes peaceful adherents all over the world, including the United States.

"It is only insensitive if you regard Islam as the culprit as opposed to al Qaeda as the culprit," Rep. Jerrold Nadler, D-New York, said on the CNN program. "We were not attacked by all Muslims. .... There were Muslims killed there. There were Muslims who ran in as first responders to help."

The issue was one of personal rights, not political popularity, Nadler said, adding: "We do not put the Bill of Rights, we do not put the religious freedom to a vote."

The House Democratic leadership aide lamented that the topic was getting so much attention.

"We were supposed to be talking about Social Security in this coming week," the aide said, referring to Democratic criticism of Republican calls to privatize the government-run pension program. "This is a really good issue for us. And instead, we're talking about the mosque."

Obama's remarks Friday drew praise from New York Mayor Michael Bloomberg, who announced his support for the Islamic center last week. Bloomberg compared Obama's speech to a letter former President George Washington wrote more than two centuries ago in support of a Jewish congregation in Newport, Rhode Island.

In the speech, Obama called the 9/11 attacks "a deeply traumatic event for our country."

"The pain and suffering experienced by those who lost loved ones is unimaginable," Obama continued. "So I understand the emotions that this issue engenders. Ground zero is, indeed, hallowed ground."

The Islamic center's leaders say they plan to build the $100 million, 13-story facility called Cordoba House two blocks from the site of the 9/11 attacks. The developer, Sharif el-Gamal, describes the project as an "Islamic community center" that would include a 500-seat performing arts center, a lecture hall, a swimming pool, a gym, a culinary school, a restaurant and a prayer space for Muslims.

Nearly 70 percent of Americans oppose the plan, according to a CNN/Opinion Research Corporation Poll released Wednesday.

CNN's Mark Preston contributed to this story

@highlight

NEW: Top Democratic senator opposes a mosque near ground zero

@highlight

NEW: Florida Republican runs a statewide ad on the issue

@highlight

Keep talking about Obama's stance on the issue, Republicans told

@highlight

Democrats lament the matter is drowning out campaign themes