Washington (CNN) -- It's not just about the website anymore.

Republican foes of Obamacare still use words like "disaster" and "epic" failure in describing the problems with HealthCare.gov, the portal for enrolling in President Barack Obama's signature health care reforms.

However, they also concede the technology problems will likely get resolved, as promised again Wednesday by Health and Human Services Secretary Kathleen Sebelius at a Senate Finance Committee hearing.

The broader GOP focus is on their dislike for the Affordable Care Act, passed in 2010 with no Republican support and upheld last year by the Supreme Court.

At Wednesday's hearing, Republicans accused Obama of lying to the American people in selling the reforms and railed against the impacts, including individual policyholders getting cancellation notices and premium prices rising in some areas.

Obama's oft-repeated pledge that people could keep coverage they liked was "simply untrue," said GOP Sen. Orrin Hatch of Utah, while his conservative colleague Sen. John Cornyn of Texas called it a "false statement made to the American people."

Obama, Biden meet with Senate Democrats

WH: Obama 'can't go back' and change Obamacare vow

When Cornyn and fellow Republican Sen. John Thune of South Dakota pushed Sebelius on whether Obama's statement was true or false, she repeated the administration's response that a grandfather clause included in the legislation allows people to keep policies that were in place before the law was signed more than three years ago.

The matter involves a relatively small segment of the insurance market -- the 5% of Americans who buy individual policies, unlike the vast majority who get their coverage through their jobs or government programs such as Medicare, Medicaid and others.

While only a sliver of the overall market, it still involves 12 million people, including more than 1 million who have received letters from their insurers telling them current policies are being discontinued.

Sebelius said Wednesday that the goal of the health care reforms known as Obamacare was to ensure everyone has minimum standards of coverage, which didn't exist in the individual market before the reforms.

She said Obama's pledge that people can keep policies they liked -- which Cornyn and Thune noted remained on the White House website on Wednesday -- was mostly in reference to the 80% of Americans getting coverage from employer and federal programs, as well as some in the individual markets.

Obama further alters 'you can keep your plan' pledge

That was insufficient for Cornyn, who questioned why no one had lost their job so far over the botched website launch on October 1 or false statements by administration officials on people losing health coverage.

"The only thing I can conclude is that it is impossible to do something in this administration that gets you fired. It is impossible," he said. "You can lie to the American people. You can consistently misrepresent the facts, but it is impossible to get fired."

Debunking 4 Obamacare myths: Both sides get it wrong

Obama went to Texas on Wednesday to meet with "navigators" -- people hired to help Americans obtain health insurance through the newly established federal and state marketplaces.

He spoke about his frustrations with the website.

In Dallas, Obama reassures that website fix is coming

"This is like having a really good product in a store, and the cash registers don't work, and there aren't enough parking spots, and nobody can get through the door," the President said.

"We are working overtime to get this fixed and the website is already better than it was at the beginning of October. And by the end of this month, we anticipate that it is going to be working the way it is supposed to," Obama said.

Back in Washington, Cornyn asked Sebelius if the thousands of navigators had been properly screened.

Sebelius said a background check was not required for navigators on the federal exchange, noting such screening also wasn't federally required for insurance agents.

"So a convicted felon could be a navigator and could acquire sensitive personal information from an individual unbeknownst to them?" Cornyn asked.

"That is possible," Sebelius responded. "We have contracts for the organizations and they have taken the responsibility to screen their individual navigators and make sure that they are sufficiently trained for the job ... but it is possible."

Sebelius also came under fire from a fellow Kansan, GOP Sen. Pat Roberts, who said she should resign because of the website woes and other Obamacare problems.

"More people are losing their insurance than signing up on the website," Roberts said, adding that the resulting limbo "means the difference between life and death for many Americans who are at a loss for what to do."

Sebelius called the website problems unacceptable and said they were being fixed, declaring herself accountable for the troubled launch.

At the same time, she said an "even higher level of accountability" existed involving the tens of millions of Americans previously ineligible or unable to afford health insurance who now can get coverage because of Obamacare.

Obamacare: It's about government, future elections

"The impact on the lives of everyday people is getting lost," Sebelius said of the torrid political debate spurred by the website problems and persistent Republican efforts to undermine the law passed with no GOP votes in 2010 and upheld by the Supreme Court last year.

Asked how many people had enrolled so far, Sebelius repeated that figures for the first month would be made public next week and that they would be less than originally anticipated because of the website problems that hindered the ability of large numbers to sign up.

"Our early enrollment numbers are going to be very low," she said.

She rejected calls by Republicans and some Democrats up for re-election next year to delay implementation of Obamacare's vital individual mandate that requires people to have health coverage or get fined.

"Delaying the Affordable Care Act wouldn't delay people's cancer or diabetes or Parkinson's," she said. "... Delaying the Affordable Care Act doesn't delay the foreclosure notices for families forced into bankruptcy by unpayable medical bills. It doesn't delay the higher costs all of us pay when uninsured Americans are left with no choice but to rely on emergency rooms for care. So for millions of Americans, delay is not an option. People's lives depend on this."

The White House announced that Obama met Wednesday with Senate Democrats to discuss concerns about Obamacare, particularly that the website problems will prevent people from signing up in time for new coverage.

One participant, Sen. Mark Udall of Colorado, said he urged Obama "to extend the enrollment period to give consumers enough time to make an informed decision about their family's health insurance options."

Udall also said he pushed for assurances that information submitted to the HealthCare.gov website would be protected, a concern stressed by fellow Democrats and Republicans at Wednesday's hearing.

It was the second hearing in a week in which Sebelius got grilled by legislators over the website problems and the overall reforms.

Earlier: 5 things we learned from Sebelius

Democrats agreed that the website must get fixed as quickly as possible, repeating the "unacceptable" label used by Sebelius and Republicans for the inability to log in, lengthy delays, error messages and other problems that occurred with the launch of HealthCare.gov.

However, they also backed the health care reforms and called for Republicans to work together to fix problems instead of seeking to wipe out the law.

"Those who seek to ascribe blame are the same folks who have spent every waking hour of the last four years working to dismantle, destroy, obstruct and impede the success of the Affordable Care Act," said Democratic Sen. Robert Menendez of New Jersey.

Noting that similar attacks faced the advent and launch of other social welfare advances in the past such as Social Security and Medicare, Menendez noted those programs now were popular as part of a government safety net for elderly citizens.

Republican opponents of Obamacare, he said, were "concerned not about its failure, they're concerned about its success."

Website goes dark nightly for fix-it work

Meanwhile, the official in charge of technology at the federal agency that developed the HealthCare.gov website is leaving the government for a private-sector job, according to an internal e-mail.

Chief Information Officer Tony Trenkle's departure from the Centers for Medicaid and Medicare Services is effective November 15, according to the email by Chief Operating Officer Michelle Snyder.

Asked if Trenkle was being pushed out due to his role in the Obamacare website's development, CMS communications director Julie Bataille declined to elaborate.

"Tony made a decision that he was going to move to the private sector and that is what our COO announced yesterday," Bataille told reporters on Wednesday.

CNN's Z. Byron Wolf, Adam Aigner-Treworgy, Ted Barrett and Virginia Nicolaidis contributed to this report.

@highlight

NEW: "We are working overtime to get this fixed," says the President in Texas

@highlight

Tech official at agency overseeing Obamacare website is leaving the government

@highlight

Legislators grill HHS Secretary Kathleen Sebelius for the second time in a week

@highlight

Republicans accuse President Obama of lying about the impact of health reforms