(CNN) -- At first glance, it seems the graffiti revolution that descended on the Middle East in the wake of the Arab Spring has largely bypassed Dubai. The city's public transport -- usually an irresistible canvas for taggers -- remains remarkably glistening. The walls of the city's myriad new builds are unmarred by aerosol sketches. Head indoors, however, and you're likely to find a different story.

Club nights often feature live graffiti demos by local artists; restaurants tap writers to mark up their walls; brands commission the city's street artists to emblazon their brand on a variety of spaces.

"Dubai is bonkers for it at the minute," says Sya One, a local street artist who, along with his wife Steffi Bow, has become the go-to writer for many local and global corporations. This summer, Adidas recruited the pair to collaborate in their Unite All Originals campaign.

"We get contacted to do projects all the time, though we've not once advertised," says Bow, who reasons that the trend is born out of Dubai's MTV-loving youth culture.

The duo, who operate as The Graffiti Lovers, grew up tagging around London. They argue that the corporate slant of their work is necessitated both by their compulsion to do graffiti and Dubai's inhospitable street art environment. Dubai's Waste Management Department says the penalty is a fine, which doubles every time a perpetrator is caught. If a enough of a writer's tags are identified around the city, that could add up to a hefty sum.

"Dubai is so clean. When I first got here, graffiti was the first thing I wanted to do," admits One. "But it's not worth doing anything illegal in Dubai, because it's not worth the hassle. You'd get away with it in the UK, but here, it's such a small scene, [the police] would soon find out who it was."

Though One says the restrictions of painting corporate murals "does my head in," Bow thinks it has a positive side.

"It gives us a platform to show Dubai what graffiti is all about; it's not just vandalism," she says.

Read more: The dangers Arab cartoonists face

In their free time, One and Bow work towards championing the city's legitimized graffiti scene. Bow offers workshops to school children, and the pair has set up a wall in their back yard, where local and visiting street artists are invited to scrawl whatever they like.

Dubai's galleries have also started courting the world's street artists in hopes of lending Dubai a little extra color. Taksheel, a local arts organization, recently invited Barcelona graffiti writer Ruben Sanchez over as part of a one-year residency. Sanchez also says he'd rather work within Dubai's legal framework than incur the wrath of the authorities.

"Of course, I've had the temptation," he says. "You need that rush."

Sanchez's Cubist-meets-Arabia murals have cropped up around the city, though he says he's sought approval from both the local government and individual property owners.

"The first time I asked for permission it felt weird," he admits. "I never used to ask permission. I would just paint and maybe say sorry afterward."

While Sanchez doesn't object to the Graffiti Lovers' corporate approach, he maintains it's not for him.

"I understand why they do it -- artists have to pay the bills. I respect it, but personally, I just don't feel comfortable doing that kind of thing."

The handful of the city's unsanctioned street artists feel even more conflicted about corporate sponsorship of graffiti.

"I wish people would stop relying on brands and companies to sponsor their intentions, and just get out there and do their own thing independently, without any interference," says 8, aka Queen Sheba, an anonymous stencil artist whose work has started appearing in one of the city's residential neighborhoods.

Sheba is one of a small handful of writers who make up Dubai's landscape without seeking permission first. Perhaps the city's most notable unsanctioned street artist, however, is Arcadia Blank, whose style is to drop socially pointed text on Dubai's temporary architecture.

Read more: Sex, lies and lithographs: An Iranian epic for the masses

"The price of Arab oil should never be dearer than the price of Arab blood," reads one of Blank's posters, while his scrawl on a piece of scaffolding in the midst of the city beseeches onlookers to, "please colonize me gently."

Though Blank declined to comment, one can assume the use of temporary space is to avoid possibly messy legal repercussions. For the most part, his work has drawn positive feedback from many of the city's other artists.

"I really like his stuff," concedes Sanchez. "He's been writing his pretty intense codes all over the city for years."

"He is the street artist who has inspired me most," says Sheba. "I have great respect for his work, which is very interesting to say the least."

@highlight

In Dubai, no product launch or 'it' opening is complete without a live graffiti demo.

@highlight

Corporations are also clamoring to hire local street artists to give their brand 'edge'.

@highlight

Fines for graffiti double every time a perpetrator is caught.

@highlight

Many street artists operate either legally, or quasi-legally.