(CNN) -- Unlike many of Thailand's flood-ravaged zones in the central plains, Bangkok residents have been given the rare luxury of time -- a window of at least two days to prepare for what officials warn could be the worst flooding the city has seen in decades.

Scenes vary dramatically in the city, with life carrying on as usual for many while others scramble to protect their possessions from the expected deluge that will hit as waters from the flooded central plains rush in.

Gallery: Bracing for Bangkok floods

Outside homes, businesses and schools in low-lying areas of Bangkok that the government has warned are at risk of being worst hit, people can be seen erecting flood walls out of sandbags to safeguard against the incoming waters. Others are simply moving valuables to higher ground.

For some residents, it's too late. Rising water levels on the Chao Phraya River and city canals have left many restaurants, shops and homes flooded, while public piers are covered in makeshift walkways and sandbags to keep ferry passengers dry.

"Our homes have been flooded for two weeks," says Khun Lek, 76, who lives in Bangkok's riverside Wat Tewarat community near Sanghee Bridge. "Every year it's like this. The government comes to check on things and tries to help by building elevated paths for us. But we don't need much help ... we're used to this. Not like the people in Ayutthaya. If the floods move in, all we can do is move out to the road."

At Bangkok's Boon Chuay Muay Thai gym, fighter Jaroensak Sorwapin says they've been dealing with flood waters for a month.

"We can't fight as the water is bad for the skin on our feet, while jogging is impossible in the neighborhood, so we have to travel to another part of the city. The gym is losing money too as we used to get foreign boxers coming to train, but they've stopped coming."

At city supermarkets, many Bangkokians have been stocking up on water and food over the last few days as a precaution should flooded streets block access to shops, though the city's governor has told media there's no need to panic.

"Discount stores crowded with people stockpiling dried food and water in the face of unprecedented floods threatening to rage," said Twitter user KimEkkanant.

The governor's suggestion is difficult for many to follow given the thousands of images Bangkok residents are seeing in the media of their fellow Thais suffering in nearby provinces like the former ancient capital Ayutthaya, where residents have had their livelihoods destroyed by the floods.

Yet it is these images of hardship that are prompting some Bangkokians to join forces to help those affected by the floods in other parts of the country, with many using Facebook and Twitter to organize supply drives, fundraising events and spread news on how people can help.

"In two hours time our community raised enough money for 69 boats! Only 31 until we reach our target of 100!" tweeted Bangkok's NIST International School.

As was the case with the 2010 protests and eventual government crackdown, social media is indeed playing a key role in spreading information on the latest Thailand flood news.

Many Twitter users are simply choosing to vent their frustration at the uncertainty, wondering if and when their homes will be hit. Others are sharing personal photos of flooded neighborhoods and rising water levels.

Overall though, little has changed in the city as it waits for the expected floods to hit. In many parts of Bangkok, where the floods are expected to have a minimal impact, life is continuing as normal as people go about their daily lives.

The government has dismissed calls to declare a state of emergency and issue a special holiday decree for Bangkok, so businesses and government offices remain open and public transportation is running.

Major events are also going on as planned, including Tuesday afternoon's World Cup qualifier match between Thailand and Saudi Arabia at Bangkok's Ratchamangala Stadium.

In terms of preparation, government workers have reportedly been told by Prime Minister Yingluck Shinawatra they have two days to build three major flood barricades before runoff from the north reaches Bangkok.

Monsoon rains and unusually high ocean tides are expected to worsen the situation between October 13-17 and October 26-31, impacting the flow of water from the Chao Phraya River into the Gulf of Thailand.

Bangkok has set up a 24-hour flood relief operation center at Don Mueang Airport and prepared nearly 200 shelters to handle possible evacuations.

© 2011 Cable News Network Turner Broadcasting System, Inc.  All Rights Reserved

@highlight

Worst floods in decades could hit Bangkok residents in a matter of days

@highlight

Many restaurants, shops and homes in the city have already been flooded

@highlight

Some are using Facebook and Twitter to organize supply drives and fundraising events