(CNN) -- Like everyone else who listened to the arguments at the Supreme Court last week, I have no crystal ball for predicting whether the justices will uphold or strike down the Patient Protection and Affordable Care Act.

But it seemed clear to me, as it did to most observers, that the court's five Republican appointees are leaning toward invalidating the act's minimum coverage provision, the "mandate" provision that requires most Americans to acquire health insurance by January 2014. This was somewhat surprising.

Even more surprising, though, was that several of the justices also seemed inclined to strike down the entire law, all 2,700 pages of it.

This would be extraordinary. It would mark the first time in almost 80 years that the court invalidated such a significant federal law as exceeding Congress' enumerated powers. It would also be the first time since the 1930s that it used the unconstitutionality of a law's single provision to strike down a hugely important law in its entirety.

The justices' apparent willingness to take such steps suggests they may not appreciate the political stakes. A decision to wash away the most important federal statute in a generation, rendered in the heat of a presidential campaign, would likely unleash a political firestorm -- one that could significantly threaten the stature of the Supreme Court.

Opinion: After the mandate, a boom in government-run health care

Some justices seem to ignore public opinion. Justices Clarence Thomas and Antonin Scalia have proclaimed as much. And it would certainly be troubling if the court were take ordinary politics into account in resolving most questions coming before it.

But this is no ordinary case, and the court cannot afford to blithely ignore how the nation's reaction might harm its long-term institutional standing.

As Alexander Hamilton wrote in the Federalist, the judiciary possesses "neither force nor will, but merely judgment." And the court's ability to serve its assigned role in our constitutional system as a critical check on the political process depends on the justices' capacity to show the nation that it is exercising principled, reasoned judgment.

Opinion: Obama should know better on Supreme Court's role

In short, the justices must maintain the nation's faith that their decisions are grounded in legal principle rather than partisan politics. For if Americans see the court as no more than another partisan body, the justices' capacity to persuade persons of diverse ideological hues will be lost. So will, in important respects, our conception of the rule of law.

With respect to the health care law, an ideologically predictable 5-4 decision -- especially to invalidate the law in its entirety -- runs the risk of creating precisely such an impression. It would be misguided, but that is beside the point. The impression alone poses serious dangers.

Opinion: Obama was too timid on health care

Moreover, the constitutionality of the Patient Protection and Affordable Care Act is only one of several high-profile, highly ideological disputes heading the court's way.

In the next few years, the justices will also be confronting Arizona's controversial immigration law (S.B. 1070); the University of Texas's race-based undergraduate admissions program; a sequel to Citizens United v. FEC, which allowed unlimited union and corporation spending in elections; and, most likely, the constitutionality of the Voting Rights Act, the Defense of Marriage Act (which defines marriage as a union of one man and one woman) and California's Proposition 8 (which bans same-sex marriage in that state).

A steady stream of 5-4 decisions along predictable ideological lines, led by a decision to invalidate the 2010 health law, could prove toxic.

This is not just sour grapes from those who substantively disagree with an increasingly conservative court.

Chief Justice Roberts has eloquently voiced the same concern. In his numerous paeans to Chief Justice John Marshall, Roberts has recognized that the court must attend to its institutional stature with great care. If the justices are careless with the court's political capital, Roberts has warned, the court will "lose its credibility and legitimacy as an institution.

"The justices must not just be principled and nonpartisan; they must also appear that way to the nation."

Ultimately, the public's faith in the justices as neutral arbiters of law is essential to the court's legitimacy, the independence of the federal judiciary and even the rule of law. When that faith is diminished, something incredibly precious is lost -- something far more important than the outcome of any one case.

I fear that the justices are playing with fire. For the sake of the court, I sure hope they are careful.

The opinions expressed in this commentary are solely those of Bradley Joondeph.

@highlight

Bradley Joondeph: No one can predict how Supreme Court will rule on health care law

@highlight

He says there were indications that some justices would throw out entire law

@highlight

Joondeph: Throwing out hugely important law, in midst of campaign, would be a big risk

@highlight

He says a decision widely viewed as political could threaten court's stature