This week, as the Senate decides whether to reauthorize the Violence Against Women Act and Valentine's Day approaches, it's worth noting that most domestic violence victims don't ask for roses, chocolate or federal funding. Instead, we have one simple wish: We want the abuse to end.

We don't want the relationship to end.

This fact about "crazy love" surprises many people. How could you still love someone who has hurt you?

The answer is as complicated as love itself. We victims tend to be hope junkies, open-hearted and optimistic. We believe that our loved ones are capable of change. Some would say we are naïve. Others say we are too kind or too forgiving.  Often we cannot find the courage to leave an abusive relationship until our life (or our children's safety) has been threatened.

When victims end an abusive relationship, the first thing we need is shelter. This is the No. 1 request made by victims who call the National Domestic Violence Hotline, the federally funded national helpline (1.800.799.SAFE). It is a practical request -- a roof over our heads. But it is also an emotional one -- the deep need to seek safety and to protect our children from danger.

Watch Leslie Steiner's TEDx Talk

Many victims know instinctively what friends and family usually don't: The most lethal time in an abusive relationship is after you leave. More than 70% of domestic violence murders happen after the victim has gotten out. Like 20-year-old Selina Brown, who was shot in the face last year as she and her toddler daughter tried to board a bus. So safe shelter is, naturally, our biggest priority.

The second most common request also surprises people -- even in a town like Washington, D.C., with nearly 100,000 lawyers.  Victims say that after immediate shelter, what we need most is legal advice and representation.  Any woman who is going to turn herself from domestic violence victim to a domestic violence survivor needs this service.

TED.com: Unlock the intelligence, passion, greatness of girls

I should know. I come from a family of Harvard-educated lawyers. Yet, when I left my abusive ex-husband -- an Ivy League Wall Street trader who kept three loaded guns in our house -- I had no one to accompany me to family court to get my temporary restraining order made permanent, and no one to help me begin divorce proceedings.

So I went to court alone.

Fortunately, a young legal aid attorney from a local women's shelter showed up.  She spoke to my husband and the judge.  She pointed me in the direction of the bullet-proof glass window where my new restraining order awaited. She recommended a divorce lawyer I could hire immediately.

Thanks to her, and dozens of other strangers who helped me, I left my ex-husband. Today I'm happily remarried and the mother of three wonderful children. I have a black lab and drive a Honda Odyssey minivan. I couldn't have left and rebuilt such an ordinary, happy life without the kindness of others.

TED.com: Poems of war, peace, women, power

Here in Washington, 700 registered pro bono lawyers have joined forces with a new nonprofit, the D.C. Volunteer Lawyers Project. It now has more attorneys than Washington's largest law firm. The lawyers are typically stay-at-home moms craving volunteer work that puts their legal training to good use.

TED.com: Tales of passion

The volunteer lawyers' group provides mentoring, training, court appearance scheduling and malpractice insurance, all within a $350,000 annual budget, which is tiny considering it serves a city of more than 600,000 people. Since its founding, it has helped more than 2,000 family violence survivors. In 2012, its lawyers donated more than 14,000 pro bono legal hours.

I call that true love.

This Valentine's Day, I'd like to call on all lawyers in Washington and elsewhere to consider helping stop domestic violence for good. The D.C. Volunteer Lawyers Project model can be replicated in any small town or big city. By giving victims a little pro bono assistance, lawyers can help make our nation's dinner tables, homes and families the safe and peaceful oases they should be. By giving a small amount of time, like the advocate who helped me so many years ago, we can all help victims of domestic violence.

Now that's a Valentine's Day present we can all get mushy about.

@highlight

Leslie Steiner: Victims of domestic violence just want the abuse to end for good

@highlight

Steiner: When victims leave an abusive relationship, the first thing they need is shelter

@highlight

She says the second most common request is legal advice and representation

@highlight

Steiner: All lawyers should consider giving pro bono assistance to help victims