Kiev, Ukraine (CNN) -- Ukraine claims its artillery destroyed much of a military convoy that crossed from Russia into Ukraine this week -- an incursion that two British newspapers say they witnessed.

If true, Ukraine's account and the British reports appear to give credence to what Kiev has long alleged -- that Russia has been sending troops and arms into eastern Ukraine, where pro-Russian rebels have battled the Ukrainian military for months.

A diplomatic row was brewing Friday over the reports, with the United Kingdom's foreign office summoning Russia's ambassador in London to explain the incident.

Russia's foreign ministry has denied any such incursion, and its foreign minister will meet in Berlin with his counterparts from Ukraine, Germany and France on Sunday, state-run news agency RIA-Novosti reported. The meeting's agenda wasn't immediately released.

Meanwhile, a separate Russian convoy -- more than 200 trucks that Moscow says contain relief goods for civilians in war-torn eastern Ukraine -- remained parked on the Russian side of the border, waiting for Ukrainian and other inspectors to decide whether to approve the aid's entry.

That Ukraine so far has blocked the aid reflects Kiev's concerns -- held even before Thursday's reported military incursion -- that Russia might try to smuggle more military supplies.

Ukraine: Majority of vehicles destroyed

Those concerns took on a new light when British media outlets The Guardian and The Telegraph reported that armored personnel carriers, along with other vehicles with Russian military plates, crossed the border near Donetsk, Ukraine, on Thursday night.

The Guardian reported that it witnessed 23 armored personnel carriers, in addition to other vehicles with Russian military plates, cross into Ukraine through a gap in a barbed wire fence. "Armed men were visible in the gloom by the border fence as the column moved into Ukraine," the Guardian report reads.

This is the first time foreign media recorded such an incursion, though it illustrates what Kiev has said has been happening for months -- that Russia has been sending troops and equipment to help the rebels -- Ukrainian military Col. Andriy Lysenko told reporters.

Ukrainian President Petro Poroshenko told British Prime Minister David Cameron that Ukrainian forces destroyed "the majority" of the Russian vehicles, Poroshenko's office said.

Poroshenko "expressed concern over the situation on the border, particularly over the fact that the inflow of Russian arms and military machines in Ukraine through the open part of the border continued," his office said.

Lysenko said he didn't know exactly how many vehicles crossed the border, or how many Ukraine's artillery managed to destroy.

Purported humanitarian convoy still in Russia

Back in southern Russia, across the border from Ukraine's Luhansk region, 59 Ukrainian border guards and customs officers were inspecting the scores of trucks that Moscow says contain aid for civilians affected by fighting, the Ukrainian military said.

Despite Ukraine's suspicions, Lysenko said that the aid is needed and that Ukraine would allow the Red Cross to distribute it if Ukraine and the aid group find the material suitable.

Months of fighting has killed hundreds of people and, aid groups say, left thousands in eastern Ukraine without access to water, electricity and proper medical aid.

The Red Cross is trying to establish what exactly is in the trucks, Andre Loersch, a Red Cross spokesman in Kiev, said.

The Red Cross "will temporarily deploy additional personnel to Ukraine and Russia for the purpose of this operation and is already in the process of identifying its staff ready for deployment," Loersch said. "A four-member team is already present today in the vicinity of the convoy, and more staff are on their way."

Moscow says the trucks contain grain, sugar, baby food, medical supplies and sleeping bags.

Ukraine, meanwhile, says it is distributing its own aid through the Red Cross.

The Kiev-recognized governor of Luhansk, Irina Verigina, said this week that she doesn't want aid from Russia.

"They send us tanks and Grads (rocket-launching vehicles) overnight and offer to send humanitarian aid by day," she said.

Battle rages on

Tens of thousands of Ukrainian troops have recently stepped up efforts to retake areas in and around Luhansk, Donetsk and Horlivka, three cities held by rebels for months.

Donetsk has been the scene of intense shelling for days as rebels try to hold off Ukrainian forces. Eleven civilians were killed in a 24-hour period straddling Thursday and Friday, the Donetsk mayor's office said.

Many districts were without power and water, the mayor's office said. A CNN crew that was in Donetsk earlier noted that the shelling had pushed some residents underground into cellars and half-built basements.

Five Ukrainian troops were killed in the past day, Lysekno said Friday, adding that some rebels were retreating, trying to dig in closer to the Ukraine-Russia border.

The ongoing fighting -- sparked last year with a political crisis over whether Ukraine would seek closer ties with Europe or Russia -- has left more than 2,000 people dead and just under 5,000 wounded in eastern Ukraine since mid-April, according to estimates from U.N. officials.

The United States and the European Union have applied steadily increasing sanctions against Russian officials, banks and other interests since March, when Russia annexed the Black Sea Ukrainian peninsula of Crimea. Russia's move came a month after Ukraine's parliament ousted pro-Moscow President Viktor Yanukovych.

Yanukovych left office after violent protests against his government in the capital, Kiev. Those protests were motivated in part by his decision to back out of a trade deal with the European Union in favor of closer ties with Russia.

Aid or invasion? Question looms as Russian convoy nears Ukraine

Opinion: Why Vladimir Putin isn't going to make peace

Journalist Victoria Butenko reported from Kiev, CNN's Jason Hanna reported and wrote from Atlanta, and CNN's Jethro Mullen reported and wrote from Hong Kong. CNN's Radina Gigova, Diana Magnay, Will Ripley and Lindsay Isaac contributed to this report.

@highlight

NEW: Foreign ministers from Russia, Ukraine, Germany, France to meet Sunday

@highlight

Ukraine says it destroyed part of Russian military convoy that crossed border

@highlight

British media outlets report they saw military vehicles cross from Russia into Ukraine

@highlight

Ukrainian border guards are examining Russian aid trucks at a checkpoint, authorities say