(CNN) -- You're wiped out, eating too much, your chest feels funny when you climb stairs, sex isn't working well, you can't wait for a drink and your spouse is looking at you warily. But you just bought health insurance online from a health exchange. Now, before you head for an ER, if only you could find a doctor...

Primary care doctors -- the pediatricians, family doctors and internists who constitute the foundation of our medical system -- are also in trouble.

Over quite a few years now, their numbers and accessibility have fallen. So it's important to consider the likely impact on these frontline doctors when the Affordable Care Act, better known as Obamacare, goes into full effect. Could Obamacare help turn this trend around?

One thing is for sure. Obamacare has already accomplished something remarkable: No longer can previous illness or risk for future illness prevent an individual from obtaining health insurance.

But as the new health exchanges offer affordable insurance to more and more Americans, there is risk that a flood of new patients may overwhelm the already-besieged primary care work force.

The ACA incentivizes doctors, including specialists, to join and collaborate in "accountable care organizations" that contract with insurers to take responsibility for a defined population of patients. The goals are to contain costs, reward high quality care and help health professionals take care of more patients.

The idea is also to move away from today's "fee schedules" that pay doctors and hospitals far more for cardiac catheterizations or surgeries than for treatments with medications that may be just as effective. Such "perverse incentives" can lead to low quality care and high cost.

But the devil is in the details, and Obamacare doesn't have clear answers to some difficult problems.

Primary care doctors worry about measuring quality of care properly and rewarding different types of practice fairly, especially since the enormous disparities in income among doctors create resentments in the medical community. Some of the challenges ahead include:

How to measure quality

Techniques for measuring quality are improving, but there's a long road ahead before doctors agree on their scientific validity, particularly when quality scores may affect their income. How do you grade care for patients with hypertension, diabetes or high cholesterol levels? Numbers such as blood pressures, sugar or lipid levels tell only part of the story for individuals whose genes, cultural habits, psyches and social circumstances vary widely. Researchers are working hard to develop strong and replicable measures to measure quality, but this remains an enormous challenge.

How to pay for different groups of patients fairly

Every practice cares for a different mix of the healthy and the sick. Those who are ill consume more time and resources from doctors. Unfortunately, we don't yet have good techniques for adjusting compensation fairly for different mixes of patients. Payers don't really know how to compare the work of doctors caring for many sick patients, as opposed to those managing individuals who are generally well.

Income disparity among doctors

While doctors overall make far more money than most Americans, the ACA is unlikely to fix the extraordinary imbalance in incomes between primary care doctors and doctors who are subspecialists, particularly those who perform skilled procedures such as operations or colonoscopies. An equally skilled primary care doctor may spend hours helping a patient address the intertwined effects of diabetes, economic hardship and depression, but for that she or he is still paid far less than the surgeon who fixes a hernia or the dermatologist who removes an unsightly mole. That certainly doesn't raise the likelihood that students who graduate from medical school with enormous debt will choose primary care as a career.

Bureaucratic burdens

In part because of ridiculous bureaucratic requirements for paperwork and documentation, primary care doctors have so little time for their patients that they all too often shunt them off unnecessarily to specialists. Recent data suggest that of all the money paid for outpatient care, 75% goes to specialists and only 25% to primary care doctors, a ratio that's certainly a factor in the high cost of care overall.

Nevertheless, those in primary care, and especially young doctors considering careers in this complex and stimulating field, should take heart. Obamacare is supporting exciting new initiatives and pilot programs and spurring innovations that offer opportunities to make primary care more personal, more humane and more rewarding. Keep an eye out for the following:

-- Growing benefits from electronic health records that over time will provide the foundation for vital improvements to our health care system, including remote access to records when a patient needs care far from home, and better real-time coordination among everyone involved in a patient's care.

-- Communication between doctors and patients that is more transparent, bolsters patient safety and leads to improved clinical outcomes by involving patients (and often their families) more actively in their own care. (My particular obsession is to invite patients to read the notes we write, to share those notes with others and to join us in shaping their care collaboratively).

Opinion: Find out what your doctor really thinks about you

-- New technologies and delivery systems that promote care in the home, such as video visits with doctors or nurses, and automated monitoring of glucose levels, heart rhythms or blood pressures, along with many new tools supporting self-care.

-- Watch out for the evolution of "patient-centered medical homes" where teams of primary care doctors, nurse practitioners, physician assistants, mental health professionals, case workers, family caregivers, community-based patient navigators, volunteers and others who bring additional expertise to patient care work together to increase both the quality and efficiency of care.

The signs are promising for many of these new tools. At times, the path toward a better and more equitable health care system may feel slow and treacherous, but we should be hopeful. Nationally and at my medical school, we're beginning to see more young health professionals turning toward careers in primary care.

I think the tide is turning. I believe that Obamacare is delivering a child whose tentative steps and inevitable stumbles will be followed by strong strides forward.

The opinions expressed in this commentary are solely those of Tom Delbanco.

@highlight

Tom Delbanco: The number of primary care doctors has fallen in the past few years

@highlight

Delbanco: Will Obamacare change trend, especially since there will be more patients?

@highlight

He says challenges include how to measure quality of care and compensate doctors fairly

@highlight

Delbanco: The path to a better health care system may seem hard, but let's be hopeful