Hong Kong (CNN) -- China is using photocopied pages from a geography textbook for Vietnamese ninth-graders published 40 years ago to help win international support for its claim to the disputed Paracel Islands in the South China Sea.

The pages were among documents sent to the Secretary-General of the United Nations, Ban Ki-moon, with a request that they be circulated among the General Assembly's 193 members.

It's the latest attempt by the Chinese to prove its ownership of an area that Vietnam also claims as its own, as ships from both countries allegedly jostle each other miles from land in the South China Sea.

What's in the Chinese papers?

The pages from the geography textbook are just some of the documents in the dossier, which include a map of the region, a note from 1958 and the cover of a World Atlas printed in 1972.

"China sent the note to tell the international community the truth and set straight their understanding on the issue," China's deputy permanent representative to the United Nations, Wang Min, said, according to state news agency Xinhua.

Beijing is trying to catch up with Vietnam, which has mounted an effective public relations campaign to convince the international community of the merits of its case, said Sam Bateman, senior fellow in the Maritime Security Program at the S. Rajaratnam School of International Studies (RSIS) at Nanyang Technological University.

"They're trying to catch up lost ground," he said. "I think Vietnam has been winning the public relations battle over the past few weeks, ever since this incident blew up."

How did we get here?

The latest territorial row between Vietnam and China flared in May when China's National Offshore Oil Corporation (CNOOC) moved the drilling rig near what China calls the Xisha Islands. In Vietnam they're known as the Hoang Sa Islands.

China claims CNOOC has been exploring the area for 10 years, and this latest drilling operation "falls well within China's sovereignty and jurisdiction." Vietnam says the "illicit" rig is placed in its exclusive economic zone and continental shelf, and has demanded China remove the rig, its vessels and resolve its maritime disputes.

Both sides have been repeating the claims and demands, but neither has budged. The standoff at sea seems at least likely to continue until China removes the rig, as planned, on August 15.

Is a resolution likely?

Bateman said the issue was unlikely to be resolved by international arbitration as both countries would be reluctant to risk a negative ruling and potential outcry at home.

Especially in the case of Vietnam, who he believes has a weaker claim to the region than China.

"Most objective, independent, international observers agree that China's case for sovereignty over the Paracels is better than Vietnam's for the very reasons that China has now set out in its submission to the U.N.," Bateman said.

He said the best course of action would be for Vietnam to concede ownership to China, and to negotiate concessions including access to fishing waters and an agreement to jointly develop oil and gas resources.

"Vietnam could negotiate concessions with China but unfortunately it's probably getting increasingly unlikely as the Vietnamese government has locked itself into the idea that the Paracels are indisputably part of Vietnam and there would be a huge public outcry if they appeared now to be conceding sovereignty," he said.

Vietnam 'understandably caught out'

Euan Graham, another senior fellow at the RSIS at Nanyang Technological University in Singapore, said Vietnam was "understandably caught out by the fact that China was seeking to press its claims."

Relations in the past few years had been good, he said, with agreement reached on a number of fronts that suggested the countries were moving towards a cooperative approach.

"I think the unilateral deployment of an oil rig that's surrounded by a security cordon including naval ships and within the envelope of air cover clearly doesn't pass the 'straight face' test on setting up arrangements of a practical nature. I think it was clearly provocative in that sense," he said, of the Chinese oil rig.

Claims and counter claims

In its "position paper" to the U.N., China accused Vietnamese boats of "illegally and forcefully" disrupting the rig's work by ramming Chinese government ships a total of 1,416 times.

The note also claimed Vietnam sent "frogmen and other underwater agents" to the area, and dropped "large numbers of obstacles, including fishing nets and floating objects, in the waters."

In its own note to the U.N. last week, Vietnam accused China of "seriously" violating its "sovereign right" and repeated claims that Chinese ships "rammed and sank" a Vietnamese fishing boat carrying 10 men. At the time, China said the vessel had been "harassing" a Chinese fishing boat.

Analysts say the claims and counter-claims are muddying what should be a clear approach to cooperation in the region, as laid out in the 1982 U.N. Convention on the Law of the Sea.

"Even if it's an area in dispute, there is in the U.N. Law of the Sea an obligation to enter into arrangements of a practical nature," Graham said. Bateman agreed that the legal dispute over who owns what was stalling efforts to protect and develop the region.

"What I'm concerned about is all this debate is leading nowhere in terms of establishing effective regimes for managing the South China Sea and its resources," Bateman said.

"It's taking us away from the effective cooperation that's necessary because the reality is that I don't think the sovereignty claims are ever going to be settled in the foreseeable future."

@highlight

China sends documents to the United Nations backing claim to Paracel Islands

@highlight

Vietnam also claims the region and is angry about alleged incursion into its territory

@highlight

Tensions flared after China sent an oil rig into disputed waters

@highlight

Both sides have accused the other of ramming their ships