If we want to see a live Martian, even a tiny microbial one, we may be billions of years too late.

Two new studies in the journal Science this week suggest that the Martian atmosphere hasn't changed much in terms of chemical composition in the past 4 billion years. It's much thinner than our planet's atmosphere, and the mix of ingredients isn't friendly to living organisms that are known to us.

On the plus side, scientists are excited that the atmospheric analyses from instruments on board the Mars rover Curiosity square with what has been seen from meteorites that have landed on Earth from Mars.

"In a sense our measurements confirm that those meteorites are from Mars," said Chris Webster, program manager of the Planetary Science Instruments Office at NASA's Jet Propulsion Laboratory, who led one of the studies.

The main gas in Mars' atmosphere is carbon dioxide, at a whopping 96%, according to the scientists. Earth's atmosphere is mostly nitrogen, at 78%.

The Martian atmosphere also has very low oxygen content -- 0.1% -- especially compared with our own atmosphere, which has 19%.

More bad news for those who are eager to find life on the Red Planet: The rover has not detected methane so far, Webster said. This colorless gas is released by organisms as they digest nutrients, so it is an indicator of life, although it can also be produced in geological processes.

Because of the harsh environment on Mars, the assumption is that any life that might be there is below the surface, and that it's microbial.

"By definition, if we don't detect methane, it means the probability that that's happening today is reduced significantly," he said.

Still, the hunt for methane will continue as Curiosity, the most technologically advanced rover to explore Mars, continues its journey.

Where did all that atmosphere go?

Mars formed about 4.5 billion years ago. Scientists believe that, initially, the planet's atmosphere was 100 times denser than the Earth's atmosphere, Webster said. Now it's only about 1% as thick as Earth's atmosphere.

So what happened?

Sometime more than 4 billion years ago, scientists say, much of the atmosphere was stripped away. A leading theory is that the planet was hit hard during the Late Heavy Bombardment, a period in which comets, asteroids and other celestial objects were flying all over the solar system, delivering water to both Earth and Mars.

One possible idea is that Mars was hit by a Pluto-sized planet, Webster said, which knocked out a lot of the atmosphere.

The sun was also younger and more intense in its output of solar wind and certain kinds of high-energy radiation at that time. Without a protective magnetic field, Mars was vulnerable to high-energy particles from the sun, which is thought to have blown out a lot of the atmosphere, Webster said.

"It was lot of action in the first hundred million years or so, and then it settled down to be the atmosphere that we see today," he said.

The Curiosity rover has given scientists better evidence than ever that Mars was once habitable; NASA announced in March that, based on the chemical analysis of a drilling sample from the rover, life could have existed there in the past. The rover found traces of clay that forms in the presence of water, indicating that water once flowed in Gale Crater, where the rover landed on August 6, 2012.

Scientists cannot yet say how long that water sloshed around -- was it hundreds of thousands of years? Millions of years? Even hundreds of millions?

"The heavier the atmosphere would be back then, the easier it would be to maintain stable surface temperatures and for water to persist longer," said Paul Mahaffy, Chief of the Atmospheric Experiments Laboratory in the Solar System Exploration Division at NASA Goddard, who led the second Science study.

What we've done on Mars and what's next

How isotopes tell the story

In the studies, scientists used instruments in Curiosity's onboard laboratory to study ratios of isotopes' key elements, such as the carbon and oxygen in carbon dioxide. Isotopes are different versions of a single chemical element but differ in the number of neutrons, which gives them unique atomic weights.

Isotope ratios indicate a temperature history and other characteristics about the history of a substance, Webster said.

"If the gases in the atmosphere are the fingers on your hands, then the isotope ratios are the individual fingerprints; they're very high-resolution detail about the gas," he said.

Scientists found a higher proportion of heavy isotopes of carbon and oxygen in the Martian atmosphere compared with what scientists believe was present in the raw material that went into forming the planet. In other words, there has been a loss of lighter isotopes over time.

That indicates that much of the atmosphere has been lost over time, and that it happened from the top of the atmosphere rather than through interactions with the ground.

"Evidence in the atmosphere of loss of the lighter species -- in carbon, oxygen, hydrogen, and so on -- kind of all point toward a process where the top of the atmosphere is eroding away into space," Mahaffy said.

Webster and Mahaffy each used a different SAM instrument but came up with nearly the same ratios of carbon-12 to carbon-13, indicating accuracy.

What else to come

Curiosity has a sophisticated suite of instruments on board, but other probes may be able to get a better handle on what's going on with the planet's atmosphere.

In November, NASA will launch the Mars Atmosphere and Volatile Evolution Mission (MAVEN) orbiter, which will try to measure the current rate of loss of the atmosphere, Mahaffy said. With that information, scientists can extrapolate back billions of years and calculate more precisely when it was that the atmosphere was thick and hospitable to life.

There are also plans for a 2020 NASA rover mission. That mission's science team said in a recent report that it should look for indications that life once existed on the planet, collect samples for potential return to Earth and test technology relevant to human exploration.

As of Wednesday, Curiosity had driven a total of more than a kilometer (0.62 miles) since landing last year. It is currently progressing toward Mount Sharp, which is composed of many layers that represent a record of geological time. By climbing this mountain and sampling layers along the way, the rover will unearth more clues about how the Martian environment evolved in the course of the planet's history.

The $2.5 billion mission has already fulfilled the goal of showing that Mars was once habitable.

The question remains: For whom?

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

New measurements of Mars' atmosphere are not promising for current life on that planet

@highlight

Mars formed about 4.5 billion years ago

@highlight

Its atmosphere was stripped away by sun, bombardment

@highlight

Mars Curiosity rover found that life could have existed on Mars in the distant past