(CNN) -- It's the question that everyone has been asking -- and now FIFA is ready to give us the answer.

Just what happened on December 2, 2010 when football's world governing body FIFA decided to award the 2018 World Cup to Russia and the 2022 tournament to Qatar might be about to be revealed ... or not.

The world governing body says it will publish a redacted version of Michael Garcia's report into the alleged wrongdoing surrounding the 2018 and 2022 bidding process.

The move came following a two-day meeting of the organization's executive committee in Marrakech, Morroco.

What will we find out?

Possibly not a lot more to be honest. The report cannot be published until legal proceedings against five men facing charges from the ethics committee have been concluded.

Three members of the committee -- Spain's MarÃ­a Villar Llona, Wowrawi Makudi, of Thailand and Belgium's Michel D'Hooghe -- were being investigated by Garcia for either alleged code breaches during the bidding process or for failing to comply with his probe.

Harold Mayne-Nicholls, who led the inspection team visiting the candidates to host the 2018 and 2022 tournaments and former German World Cup winner Franz Beckenbauer are also facing charges from the FIFA ethics committee which both men have denied.

Blatter also confirmed that Garcia has been replaced by his deputy, Cornel BorbÃ©ly, who he describes as "an outstanding lawyer."

What has been the hold up?

FIFA had always maintained that it could not publish the full report, compiled by independent investigator Michael Garcia, because it would break witness confidentiality.

But it turned out that not everybody agreed -- and neither did Domenico Scala, FIFA's head of compliance.

Michel Platini, the president of European football's governing body UEFA, and Sunil Gulati, the head of U.S. Soccer had both been advocates of publishing the report.

Several leading figures such as vice-president Jim Boyce, who told British Newspaper The Times that FIFA must take this "massive" opportunity to restore the public's trust in the organization.

The report created tensions within the football world when Garcia said it should be published last September.

FIFA didn't like that at all; his request was rejected and it came close to disciplining the New York lawyer for speaking out, according to Garcia.

Instead, last month, Hans-Joachim Eckert, a FIFA judge, published a 42-page summary of the report -- only for Garcia to respond immediately by claiming the German's publication contained "numerous materially incomplete and erroneous representations."

Eckert's summary cleared Russia and Qatar of any wrongdoing.

When Garcia appealed against Eckert's findings he was told his complaint was inadmissible. That was a decision which prompted the U.S. attorney to quit his role and launch a fierce attack on FIFA, accusing it of a "lack of leadership."

Aside from the politics, the World Cup is big business. According to Forbes, FIFA made $2 billion off the back of the 2014 tournament in Brazil. Not bad for a not-for-profit organization.

Who is Michael Garcia?

Garcia was the man chosen by FIFA to head up the investigation into alleged corruption during the World Cup bidding process.

He worked as the U.S. Attorney for the Southern District of New York between 2005 and 2008 on some of the highest profile cases in the city.

When he took on the role of FIFA's independent investigator in July 2012 he promised to get to the bottom of what had happened.

Over 19 months, he compiled a report examining each of the bidding teams and speaking to witnesses from across the world of football.

His 430-page report was delivered in September and given to Eckert to read.

Why did he resign?

Garcia quit on the eve of the meeting in Marrakech and didn't go quietly.

In a statement issued just 24 hours after his appeal was rejected, Garcia made public his frustration.

"It now appears that, at least for the foreseeable future, the Eckert Decision will stand as the final word on the 2018 and 2022 FIFA World Cup bidding process," he said.

"No independent governance committee, investigator, or arbitration panel can change the culture of an organization."

FIFA president Sepp Blatter said he was surprised by Garcia's resignation but that the "work of the Ethics Committee will nonetheless continue."

What is going on at FIFA?

FIFA has taken a battering in the press -- particularly the British press -- following its failure to deal with the furor surrounding the Garcia report.

Football fans are growing tired of the body's refusal to reform, while former players such as England's Gary Lineker have taken to Twitter to vent their frustration.

Sponsors such as Visa and Coca-Cola have both issued statements criticizing FIFA over its lack of transparency, while Sony will not be renewing its partnership with the organization when its endorsement deal ends in the near future.

There is still widespread skepticism at the way Russia and Qatar won the rights to host the next World Cup even though both were cleared of any wrongdoing and deny any allegations of wrongdoing.

Meanwhile Blatter, the president who is still going strong at the age of 78, is expected to stand for a fifth term as head of FIFA. That plan has angered both UEFA and the English Football Association, which have said is time for the Swiss to stand down.

Blatter faces little competition to retain his presidency and is already assured of support from Asia, Africa and South America.

Jerome Champagne, the only man to have openly declared his candidacy, is unlikely to trouble Blatter at the polls.

Will the World Cup still be held in Qatar?

It looks likely at the moment, despite huge protests over the Gulf State's human rights record and the allegations of corruption which surrounded the bid, that Qatar will keep the tournament.

Blatter certainly showed no sign of objecting, insisting that FIFA will not revisit the 2018 and 2022 vote.

According to a report by DLA Piper and confirmed by the government, 964 workers from Bangladesh, India and Nepal died while living and working in the country in 2012 and 2013.

The International Trade Union Confederation has estimated that 4,000 workers could die while working on projects by the time the 2022 World Cup begins.

The Qatari government says there are more than over 1.4 million foreign workers currently plying their trade in the country and conditions are improving.

According to the Qatar Supreme Committee for Delivery & Legacy, the organization responsible for the World Cup, huge progress has been made to improve the lives of migrant workers.

It says that it "is committed to improving labor conditions for workers employed on 2022 FIFA World Cup projects and the Workers' Welfare Committee works to achieve the highest possible standards for those employed on its projects -- this not only includes construction workers, but also workers of service suppliers."

What next?

All eyes will remain firmly on Blatter as we enter 2015 and the FIFA presidential contest which will be held in May.

The report is unlikely to be published any time soon given the legal constraints.

More is likely to be revealed in the coming weeks but there are other avenues which could bring more revelations.

The FBI is currently running an inquiry into whether there was any wrongdoing, while the Serious Fraud Office in the United Kingdom is doing similar work.

For now thought, it's a case of wait and see.

@highlight

FIFA says it will publish Garcia report with redactions

@highlight

Decision taken by executive committee on Friday

@highlight

Qatar and Russia cleared of alleged wrongdoing

@highlight

Michael Garcia resigned from his position on Wednesday