The age of sailing ships may be over, but the romance and adventure they inspired still blows our hair back.

This summer, majestic, one-of-a-kind tall ships may be coming to a city near you with their sails unfurled. In the Great Lakes, captains will repeat a waterborne war that hasn't been seen in 200 years. In Miami, a spectacular Spanish vessel will join a 500th birthday celebration. And the West Coast's largest tall ship festival promises a party for 200,000 visitors.

First, let's take a moment to appreciate the tall ships.

These boats are run by fearless sailors who sprint hand over hand up masts that stretch 100 feet into the air. While the ship rolls and pitches with the wind and waves, the crew members work in unison to unfurl massive sails measuring 45 feet wide. In a stiff wind, these sails can pull a 400-ton ship across the water at 20 mph.

Tall ships ruled the ocean for centuries and changed the world from flat to round. Sadly, they also fueled the slave trade, while helping a new nation stretch from the Atlantic to the Pacific. Today, replicas and other traditionally rigged sailing vessels reflect some of the deepest-seated aspects of American culture: independence, mobility and team work. They remind us that because wind power was a renewable resource, hundreds of years ago, it opened the door to global travel for the first time in human history.

Here are five events guaranteed to be a sailor's delight this summer:

1. Tall Ships Challenge, Great Lakes region

This is the captain of American sailing events.

From June through September, more than a dozen vessels from around the world will show off in spectacular fashion in Chicago; Cleveland; Green Bay, Wisconsin; Duluth, Minnesota; Toronto; Erie, Pennsylvania; and elsewhere.

Without a doubt the highlight will be the bicentennial re-enactment of 1813's Battle of Lake Erie on Labor Day weekend.

Never before has there been a better American opportunity to get your "Master and Commander" on.

For the first time in 200 years, 17 tall ships will line up against each other and fire black gunpowder cannons to recreate the fight against the British that allowed the United States to secure its current border with Canada.

Stars of this massive choreographed water dance include the stunning 210-foot, 86-year-old training vessel Sorlandet -- which will sail all the way from its home in Norway.

Track the ship

Also look for the Pride of Baltimore II, a 100-foot replica of a 19th-century privateer schooner.

But the big daddy of this battle is the 110-foot U.S. Brig Niagara, which bills itself as the largest wooden square-rigger in the United States that still takes people sailing.

When the shooting starts at noon September 2, expect the sound of cannon fire to carry at least five miles to the nearby Put-in-Bay, Ohio, resort area. Tickets to board the warships range from $285 to $975. Expect about 1,000 pleasure boaters to make the 40-mile trek from Cleveland or Toledo, Ohio, or Detroit to the battle site in the middle of Lake Erie. "Let's just say the west end of Lake Erie is going to be busy with a lot of traffic,"  Niagara Capt. Wes Heerssen said.

The budget for this once-in-a-lifetime event totals around $850,000, which -- in addition to everything else -- will help pay for a fireworks display, concerts, food, entertainment, arts and crafts, the Ohio State University Marching Band and a live TV broadcast of the battle.

2. Festival of Sail, San Diego

They say it's the West Coast's largest tall ship festival.

And in the California tradition, it's got a movie star.

The festival draws about 200,000 visitors to San Diego's North Embarcadero area each Labor Day weekend -- many who come to see the tall ship HMS Surprise, star of 2003's "Master and Commander: The Far Side of the World" with Russell Crowe.

The Surprise is a replica of a 24-gun British frigate.

The fun starts on August 29 when the tall ships strut into the harbor and fire off their canons before docking.

"We'll have two or three ships in a battle out here on San Diego Bay, and you can hear it from all over the place," said Maritime Museum of San Diego's Robyn Gallant.

Also check out the parade, fun pirate culture and memorabilia.

The Surprise shares the festival spotlight with another legendary tall ship: the Californian, a 145-foot replica of a cutter designed to catch smugglers during the 1840s Gold Rush.

3. Viva Florida 500, Miami

It's named the Juan Sebastian de Elcano, and what sets this tall ship apart is its immense size.

It's damned long: 370 feet. That's longer than an American football field.

Only two other tall ships in the world are larger.

It's tall, too. Its four masts stretch nearly 160 feet into the sky. That's about as high as a 16-story building.

This training vessel for navy midshipmen in Spain's Naval Academy gets around. It has circumnavigated the globe 10 times since its first launch in 1927.

The Juan Sebastian de Elcano is named after the first commander to sail around the world in the 16th century. (De Elcano's captain, Ferdinand Magellan, was killed in the Philippines and didn't complete the voyage.)

The ship will be in Miami to help Florida celebrate 500 years since Europeans discovered what's now the Sunshine State. The vessel is scheduled to anchor at the Port of Miami from May 1-6 with special events at nearby Bicentennial Park. The ship is scheduled to stop at Port Canaveral, Florida, on May 8-10.

4. Toshiba Tall Ships Festival, Dana Point, California

This festival kicks off on September 6, with a parade of nine tall ships sailing from South Laguna to Dana Point Harbor, cannons blazing. The weekend continues with on board tours, concerts, pirate and marine science educational events.

5. Tall ship Elissa, Texas Seaport Museum, Galveston

They say she's the real deal -- a piece of history.

Back in 1877 craftsmen shipwrights in Aberdeen, Scotland, laid the iron hull for a three-masted sailing gem that would be christened Elissa.

Now 136 years later, Elissa is a full-fledged Texan and is billed as one of the longest continuously sailed ships in the country, if not the world.

At full speed, Elissa unfurls 19 sails.

Like all full-rigged tall ships, Elissa has a multitude of rope lines that run the masts from top to bottom. "I love the complexity of that system -- being able to, by hand, put together a sailing ship and keep it stable and safely sailing," said ship's bosun Mark Scibinico.

The 205-foot ship recently underwent a major overhaul to repair plating to its hull, which suffered damage in 2008 from Hurricane Ike. Now it's as good as new, Scibinico said.

Elissa relies on volunteer crews to run its paces. Day sails are offered in the spring and fall.

Here's to a great summer, sailors -- may the wind be at your back and the skies red at night.

@highlight

Summer packs a boatload of thrilling tall ship events

@highlight

Tall Ships Challenge spans the Great Lake states from June through September

@highlight

San Diego hosts West Coast's largest tall ship festival with star of "Master and Commander"

@highlight

Florida offers chance to see Spanish navy training tall ship Juan Sebastian de Elcano