(CNN) -- Autonomous vehicles, levitating trains and supersonic tubes have all been suggested as radical ways to transport us faster as the new urban age approaches, but it seems the real secret to a faster commute has been with us all along -- the bus.

Bus rapid transit (BRT) systems are paving the way for sustainable, efficient, and affordable travel and now operate in 181 cities worldwide. But they're not just your regular bus service. Exclusive bus lanes dominate the center of roads, prepaid tickets prevent delays when boarding and raised platforms at bus stops make you level with the bus floor to get on.

These small details all make for a smooth, slick service to help you reach your destination in record time and its nothing new, the first system was pioneered 40 years ago.

The Rede Integrada de Transporte (RIT) in the town of Curitiba, Brazil began service in 1974. Industrial growth saw the city's population grow by 5.3% per year in the 1970's and this rapid influx of new people living and working in the city called for new urban design and led to this innovative use of buses in their own infrastructure by the mayor and architect Jaime Lerner.

His design of a 'subway on wheels' transported 50,000 people daily back in the 80s and today sees over 2 million passengers step on board each day. Six circular routes radiate around the city in both directions and in dedicated lanes, enabling frequent services. Colour-coding of buses also makes it easier to know if you;re on the right track.

This bus-based infrastructure is significantly cheaper to build than going underground like the metro systems seen in other cities such as London and New York.

Thirty-three cities in Brazil now host a BRT, as well as a further 26 across the rest of Latin America. The continent is setting the example for the field but has its own social challenges to overcome with its users.

One of the main goals of these systems is to remove the social snobbery associated with taking the bus by offering a faster service that people can't refuse. This was accomplished in Curitiba when the buses first appeared but new high-income earners are offering resistance.

Curitiba has one of Brazil's highest per capita ownership of private cars. The city's mayor Gustav Fruet is concerned he must convert a new generation.

"Cars are so accessible and relatively accessible," says Fruet. "We have to convert a new public and how? Mainly with speed". The lure is still faster travel but also convenience, with bus stops every 400 meters.

But as with every growing city, populations begin to live further and further away from its epicenter. Human rights activist Luana Xavier Pinto feels the system no longer accommodates the working class who can no longer afford to live in the city and therefore within easy access to the BRT.

"They have been pushed to the metropolitan region where you don't have good integration with the system...they have to take longer and longer trips to get to work," says Pinto. The city has tried to overcome this with bigger, longer buses which encompass three buses in one.

The result is a high-capacity bus capable of carrying 250 passengers at once -- as many as a Boeing 787. The priority now it to get people on board.

The tried and tested technology of Curitiba has proven successful and the city has long been known as a laboratory for sustainability. So as the future approaches with daydreams of jetpacks and hovercrafts, the reality for us all may be not to miss the bus.

Read more from Future Cities:

Shared space, where the streets have no rules

Invisible solar panels hidden in your windows? They're coming

Hong Kong's light pollution

@highlight

The future of travel in cities could be to take the bus.

@highlight

Bus rapid transit systems (BRTs) are cheap, efficient ways to travel.

@highlight

BRTs are cheaper to build than traditional subway systems.

@highlight

Over 2 million people use the Rede Integrada de Transporte in Curitiba each day.