Selma, Alabama (CNN)In a passionate speech about racial progress in America, President Barack Obama on Saturday told thousands of people who gathered here to commemorate the 50th anniversary of "Bloody Sunday" that "our march is not yet finished. But we are getting closer."

Obama emphasized that a day of commemoration is not enough to repay the debt paid by the marchers who were brutally beaten 50 years ago as they demonstrated for voting rights.

"If Selma taught us anything, it's that our work is never done," the President said near Edmund Pettus Bridge, where the confrontation between authorities and marchers was captured in film and photographs that jolted the nation.

Read President Obama's prepared remarks

The President said that what civil rights marchers did years ago "will reverberate through the ages. Not because the change they won was preordained; not because their victory was complete; but because they proved that nonviolent change is possible; that love and hope can conquer hate."

He hailed the marchers as heroes.

The President said that "the Americans who crossed this bridge, they were not physically imposing, but they gave courage to millions. They held no elected office. But they led a nation."

The "Bloody Sunday" anniversary marks 50 years from the day hundreds of people were brutally attacked by Alabama state troopers as they marched from Selma to Montgomery, Alabama, to protest racial discrimination in voter registration. About 600 people participated in the planned 50-mile journey on March 7, 1965.

The marchers were protesting discrimination that kept black people from voting. But as the marchers approached the foot of the bridge, state troopers used force and tear gas to push them back.

As events were underway Saturday in Selma, hundreds of people marched across the Brooklyn Bridge in New York to symbolize their unity with the Alabama commemoration.

Television coverage of the event in 1965 triggered national outrage and eventually led Congress to pass the landmark Voting Rights Act of 1965, which mandated federal oversight over elections in states with histories of discrimination.

50 years later: Memories from 'Bloody Sunday' nurse

Many of the nation's leaders, activists and celebrities were in Selma on Saturday attending various activities taking place in memory of the historic event.

On Saturday, Rep. John Lewis -- one of the demonstrators bloodied by troopers 50 years ago -- and nearly 100 other members of Congress from both parties joined the President  at the bridge in Selma -- a bridge that still bears the name of Pettus, a Confederate general who was also a Ku Klux Klan leader.

"We must use this moment to recommit ourselves to do all we can to finish this work. There's still work to be done," said Lewis, adding this is an opportunity to "redeem the soul of America."

The President said that though progress has been made, racism is still too prevalent in America.

"We just need to open our eyes, and ears, and hearts, to know that this nation's racial history still casts its long shadow upon us," he said.  "We know the march is not yet over, the race is not yet won, and that reaching that blessed destination where we are judged by the content of our character -- requires admitting as much."

The President called on Congress to restore the Voting Rights Act, first passed in 1965.

In 2013, the U.S. Supreme Court overturned a key provision of the law that required certain states with a history of racial discrimination at the polls to "pre-clear" any changes to the law with the federal government before implementing them.

Efforts to revive key provisions of the act have stalled in Congress.

John Lewis's memories of the march

Reflecting a sense of change in the half century since Bloody Sunday, and with Selma again in a national media spotlight, the mood in the crowd Saturday was of unity, and talks were focused on how to move America forward.

But some current Selma residents worried that after the dignitaries leave their town -- with a population 82% black and with more than 40% of its people living below the national poverty level -- will fade from view except for its historical significance.

Many black residents of Selma say they still live in a divisive society and still feel the sting of racism, with true change yet to come.

Geraldine Martin, 59, has lived in Selma all her life. She was 9 years old on "Bloody Sunday" and with her mother had just welcomed a little sister, Belinda, to the world on that day. The two sisters grew up in Selma less than a decade apart.

They graduated from Selma High School and both had to make decisions about whether to stay in their hometown when few opportunities existed for young people.

"We need to reevaluate our education system," said Geraldine, who became a special education teacher at Selma High.  "We need incentives for young people. I am hoping today's events will help us move forward."

Opinion: Selma's historic bridge deserves a better name

Belinda shook her head. She left Selma after high school and now lives in Atlanta. Her view of Selma has changed over the years -- looking in from the outside.

"I don't see how Selma will move forward without togetherness," said Belinda. "There is no diversity in Selma. People don't live together.

"I want to ask white people: 'So why are you so angry at us? Is it really the color of my skin or something deeper?'"

Maybe, she said, the attention on Selma this weekend will help spark a relevant dialogue.

50 years later: The house where MLK stayed

CNN's Moni Basu reported from Selma. CNN's Slma Shelbayah wrote and reported from Atlanta. CNN's Steve Almasy and Douglas Brinkley contributed to this report.

@highlight

President Obama calls for renewal of Voting Rights Act

@highlight

50 years ago, 600 marchers were attacked as they attempted to march to Montgomery

@highlight

Political leaders, celebrities and activists commemorate the watershed event