Wageningen, The Netherlands (CNN) -- The dandelion's bright yellow bloom and fuzzy, parachute-like seeds are a familiar sight across the continents.

But scientists at Dutch biotech firm KeyGene believe the flower's true beauty could lie beneath the soil.

The dandelion's roots contain latex, the milky liquid that is a source for natural rubber and the origin for the plant's name in a number of languages (the Danish for "dandelion" translates as "milk pot").

Global demand for natural rubber is expected to outstrip supply by 20% by 2020. But KeyGene believes that the dandelion can be developed into an important natural source of the commodity, worth more than $100 billion a year.

The dandelion's roots are smaller than ideal for commercial rubber production. So KeyGene is putting the plant through a process of plant phenotyping in order to develop a variety of dandelion with a fatter root and higher yield, that would be better suited for industrial processing.

"We are making ... crosses between the Russian dandelion and the common dandelion using those modern DNA profiling technologies," says KeyGene CEO Arjen Van Tunen. "We're making and developing a better rubber dandelion, which produces more rubber because of an increased size."

Read also: The bionic hand with the human touch

The company's process, he said, involved analyzing different specimens of a given crop in its greenhouses, scanning them for mutations that delivered beneficial characteristics in terms of yield, quality, sustainability or tolerance to drought and disease.

The genetic material of strains with desirable characteristics was then isolated and sequenced to create improved crops -- fungus-resistant wheat, high-yield rye, or heat-resistant cabbage -- that were "better suited for the conditions" of the future, he said.

With the global population tipped to hit nine billion by 2050, he said, and a growing proportion switching to animal protein, agricultural production would need to be doubled to feed the planet. Creating improved crops -- such as those that could return higher yields on more marginal land -- was essential to achieving this, he said.

Multinational tire manufacturer Apollo Vredestein also thinks dandelion rubber has potential, and is collaborating on the project with KeyGene. Peter Snel, Apollo Vredestein's research and development director, said prototype tires had already been produced.

Commercial dandelion tires were likely to be ready for production in as little as five to ten years, "as soon as material is ready in volume to be put in to tires," he said.

Snel was confident that harvesting rubber from the tiny flowers would be economically viable.

"Raw materials are a big part in the cost price of tires," he said. "Investment in this will pay back."

Read also: Expert advice for inventors on how to get your product on the market

Van Tunen said the KeyGene's methods were a quicker and cheaper way of improving crops than genetic modification -- and differed from that process in one crucial aspect.

"We don't introduce a gene from a different species into our crops. We always take advantage of DNA that is already in that species itself," said Van Tunen.

"You might say we speed up the natural breeding system that is all ready there for hundreds of years ... We are taking advantage of the natural evolution process and speeding it up."

That was an important distinction for some of the company's customers, as there remained "a lot of resistance in Europe" to genetic modification, he said.

"Many of the growers in Europe want genetically improved crops, but not GM crops. So for them we can provide an alternative," he said. "We have developed a number of technologies which enable us to very quickly genetically improve crops in a very natural way without crossing the species barriers, but still achieving the yield improvements or the resistance improvements."

@highlight

A Dutch biotech company is developing dandelions for commercial rubber production

@highlight

The flowers roots contain latex, a potential source of natural rubber

@highlight

The company uses DNA profiling to identify beneficial mutations and "improve" the crop

@highlight

It says its methods are different from GM as it does not introduce genes from other species