(CNN) -- It started out life as a new video game concept but quickly morphed into a prototype with a far more practical vision -- a haptic device to help the blind and visually impaired.

Tacit is a wrist-mounted device which informs the wearer about the proximity of objects in complex environments, according to its creator Steve Hoefer.

Ultrasonic sensors positioned at the front measure distances from one inch up to 10 feet (2cm to 3.5m), Hoefer says, while motorized rubber pads at the rear apply increasing amounts of pressure on the wrist as users get closer to an object.

The original idea was rather different. Hoefer wanted to create a "dungeon crawl" game (a type of fantasy role-playing adventure set in labyrinths) that didn't rely on vision. So he built a haptic headband complete with sensors and vibration motors.

It worked, but there was a problem. He kept crashing into things that weren't at head height and the vibrations drove him batty, he says.

Moving the remodeled device to the back of his hand not only saved him a lot of stubbed toes, but also steered the project in its new direction.

The prototype is powered by a standard nine volt battery and can be worn on either hand. It's cheap too, with materials totaling around $75, Hoefer says.

So far, tests with the blind have been very positive, he says, and it's attracting interest from educators, designers and researchers in the field.

Robin Spinks, principle manager of digital accessibility at the UK's Royal National Institute of Blind People thinks the device shows promise.

"Orientation and mobility are critical skills for a blind person's independence, education, employment and quality of life. Electronic orientation devices, such as Tacit have the potential to enable individuals to move around independently and gain confidence," Spinks said.

San Francisco-based Hoefer is currently working on reducing Tacit's size as well as improving its accuracy and simplifying its construction.

"It's not perfect, but it works, and it can be better," Hoefer said.

"It could easily be made about half the size, and the replaceable batteries should be replaced by rechargeables with a blind-friendly charging method -- either a wireless or magnetically-aligning power plug."

"One of the biggest and best criticisms is that it is very difficult for a blind person to build their own. I hope to address that in a future version," he said.

Hoefer has released details of Tacit's materials, circuits and software on his Grathio Labs web site under a Creative Commons license to maximise feedback and hopefully improve the design.

"There are a number of improvements and changes left to be made. I'm curious to see what happens," he said.

@highlight

San Francisco-based inventor devises cheap haptic device to help visually impaired

@highlight

"Tacit" uses sensors which measure distances from one inch to 10 feet

@highlight

Rubber pads apply more pressure as a user gets closer to an object