WASHINGTON (CNN)  -- The Senate agreed Wednesday to soften a "Buy American" provision in its economic stimulus package, clarifying that the clause will not override existing U.S. trade treaties.

The "Buy American" provision in a proposed stimulus plan has raised the ire of lawmakers and business groups.

The so-called "Buy American" provision in the $900 billion stimulus plan would have mandated that only U.S.-made goods be used in projects funded by the bill. Lawmakers who supported the provision said it would help jump-start the economy because it would help American companies.

At the same time, however, senators rejected a proposal by Republican Sen. John McCain of Arizona to strip the "Buy American" language completely from the bill.

Both moves on Wednesday mean that senators will keep the provision in place while ensuring it respects international treaties.

Last week, the House of Representatives passed its own stimulus bill, which ensured that, with some notable exceptions, only U.S.-produced iron and steel be used for construction.

The White House and many U.S. trading partners -- including its largest, Canada -- want lawmakers to craft their bills in a way that they don't run afoul of international trade agreements.

They worry that such restrictions would spark a trade war and exacerbate the economic downturn.

President Obama "wants to ensure that any legislation that passes is consistent with trade agreements and doesn't signal a change in our overall stance on trade," White House press secretary Robert Gibbs said in a briefing Wednesday.

The European Commission said last week it might challenge such a move if it were signed into law.

Canadian officials, for example, said the exclusion of non-U.S. steel would violate the North American Free Trade Agreement, which lowered trade barriers among the U.S., Canada and Mexico.

Furthermore, many economists and business groups argue that a "Buy American" provision could backfire, slowing economic growth instead of helping expand the American job market.  Watch how "Buy American" provisions could affect U.S., global economy »

"It's not a good time to initiate protectionist measures in any shape or form," said Kurt Karl, head of economic research at Swiss Re, the world's largest reinsurer. "It hurts growth, because if you force one side to go with domestic production only, then that precludes them from getting less expensive materials from overseas."

Thomas Donohue, head of the U.S. Chamber of Commerce, added, "If we refuse to buy foreign-made goods, then our trading partners will refuse to buy from us. And since we are the world's largest exporter, who will be hurt more?"

Previous efforts have misfired. For instance, from 2001 to 2003, the Bush administration imposed so-called safeguard tariffs on certain steel products from various countries in an attempt to prevent U.S. steel mills from closing.

Foreign steel makers found other markets during that span, namely China and Middle Eastern countries. As a result, when U.S. demand for steel heated up again in 2004, steel prices skyrocketed by 48 percent in a year, according to the Labor Department.

On the other hand, a host of politicians think the "Buy American" provisions have appropriate safeguards to ensure stimulus spending is not wasted on expensive materials and the U.S. economy does not suffer long-term consequences.

For instance, the bills both stipulate that if construction costs would rise by 25 percent or more due to the purchase of American-made materials, contractors could receive a waiver to purchase foreign materials. The bills also allow for a waiver if buying American were not in the best interest of the economy or taxpayers.

"It's not protectionist -- there are no tariffs or barriers being created," said a spokesman for Rep. Peter Visclosky, D-Indiana, who introduced the House's "Buy American" amendment, which won unanimous support. "It's about the U.S. steel industry running at or below 45 percent capacity, and the objective is creating jobs."

@highlight

Senate agrees to soften stance on "Buy American" provision in stimulus plan

@highlight

Clause would mandate U.S.-made goods be used in projects funded by stimulus

@highlight

Critics warn restrictions would spark trade war, extend economic downturn