(CNN) -- If the last several years have taught us anything, it's that the world is in constant flux. Regimes topple, borders are redrawn, whole countries are born anew.

While the fighters are remaking their world, however, the lovers are evidently stuck in the 1800s. Ask anyone what the world's most romantic cities are and they'll likely reply in kneejerk fashion, "Paris..." "Venice..." "New York..."

But what's so romantic about coffee breath, crumbling infrastructure and the smell of urine?

And what is romance, anyway? Is it a ride on a unicorn over a rainbow through a glitter storm? Or is it the excitation of the senses that forms the preamble for the box spring bustle?

Dispensing with the typical fairytale travel planning, we've opted for a more results-oriented approach to crowning the world's most romantic cities. Because while a romantic city should grab hold of your heart, it shouldn't stop there.

Sure, there's an element of magic to a romantic city, but that magic is supposed to beget love or at least the making thereof. And these cities are municipal Viagra.

New Orleans, Louisiana

Place: This former French colony on the Mississippi River offers all of the ornate architecture, rich food and freely flowing booze of Paris, without the Parisians.

But belying the carefree geniality of its gumbo of assorted peoples is a dark mantle of sinful abandon and occult worship that makes the Crescent City colorful, crass and occasionally creepy.

7 under-the-radar cultural destinations

People: Once the fifth-largest city in America, New Orleans has been content for decades to rest on its leisure laurels, promoting an atmosphere of laissez faire inhibition that provokes many visitors to spontaneous fits of nudity. Adjust gazes accordingly.

Things: The charm, fun and filth of the French Quarter; the mist and mystery of the bayou; the pomp and botany of the Garden District; the majesty of the mighty Mississippi.

Moscow, Russia

Place: Seldom included on lists of romantic things: fear. But it's an exciting feeling all the same, just one among many aroused in the former capital of communism.

It's all here: the derelict and the opulent, the authoritarian and the lawless, the oligarchic and the proletarian. Generations of strife and triumph abound: a Tzarist palace beside a Stalinist square beside a capitalist Starbucks.

People: Loving is romantic but fighting can be too, and Muscovites are historically adroit at both. For those who find romance in power, there's always plenty on display, as well as a notorious live-for-today attitude that has yet to find the envelope.

Things: The intellectual arousal of its late night bookstores; the metamorphosed grandeur of Gorky Park; old factories and warehouses transformed into galleries, clubs and performance spaces; countless monuments to lovers; vanishing vestiges of the Soviet era.

Victoria, Seychelles

Place: You know what's romantic? A beach. You know what's not romantic? Barf-discharging college kids, shrill children (shrilldren?) and sunburnt albinos in socks and sandals, making coastal mainstays like Phuket, Honolulu and the Bahamas as enchanting as hair on soap.

There's nothing more romantic than being as far from other people as possible, and no other capital city offers this kind of isolation with this kind of beachfront.

Travel on the cheap: 5 times to go

Plus, the architecture of this former British colony often mimics that of its former empire. It's like they put England somewhere good.

People: It's 80 degrees (27 C) almost every day of the year -- warm and cool enough to keep clothes and sweating respectively minimal.

Things: The transcendence of its pristine beaches; the prehistoric beauty of Vallée de Mai (the reputed original Garden of Eden); the eroticism of moutya dancing, which increases as the rhythm quickens.

Buenos Aires, Argentina

Place: Assimilating generations of native Argentines, German expats and Italian and Spanish immigrants, Buenos Aires is a petri dish of fiery European and South American culture.

But, contrasting their showier Brazilian brethren to the north, the flash and passion of Porteños simmers without boiling over, yielding a city renowned as much for art and architecture as it is for spherical backsides.

People: Porteños are an amorous lot, with some of that Parisian poutiness, only supplemented by actionable desire. It's a sentiment that often transfers osmotically to visiting tourists.

Things: The electrostatic sensuality generated by tango -- watched or danced; the lawns full of frisky youth at Tres de Febrero Park; the unparalleled showcase for the city's passion and potency that is soccer at La Bombanera. Also: always order the steak.

Amsterdam, Holland

Place: The canals of Venice. The art of Paris. The laws of Gomorrah. Even if you don't partake of the Dutch capital's approved vices, there's a romance that accompanies the freedom to do so.

You know what's not romantic? Bus fumes. Which is why anything in this city is accessible by boat, bike or boot.

People: The town is to professionals what Vegas and Bangkok are to amateurs, offering at the front door the sex and drugs everyone else keeps in back. Amsterdammers are the sinful world's grown-ups.

Things: The titillation of women twisting in the windows of the Red Light District; the puritanical eye of the RLD's carnal storm that is Oude Kerk ("old church"); 10 p.m. summer sunsets; a kiss under the Magere Brug ("skinny bridge"), ensuring fidelity.

Havana, Cuba

Place: Think old stuff is romantic? Well, it's still 1959 in the capital of Cuba, where the development -- and commercialism -- of the outside world has yet to sneak past the bouncers.

The resultant sensations of risk and antiquity in this forbidden time warp make romance unavoidable. So if you ever wanted to have sex in the 1950s, here's your chance -- but time's running out.

7 ways to go local while traveling

People: Just about everyone in Havana is an artist of some kind, underscored by live music -- and dancing -- everywhere. While not as outwardly sexual as some Latin American capitals, this populace is as carnal as they come.

Things: The bars 'n' cigars of Hemingway's Havana; the intimacy of dinner at an in-home paladar; the unspoiled virginity of the Eastern Beaches; the fear- and awe-inspiring Plaza de la Revolución.

Barcelona, Spain

Place: If having nowhere to be is your idea of romance, the capital of Catalonia wins on two counts: it's easy to get happily lost and no one wakes up until 8 p.m.

Like Los Angeles or Sydney, Barcelona is dense, cultured and cosmopolitan, and is also a beach town, offering fickle lovers a broad romantic spectrum. One avenue that's no longer available to paramours? Public nudity. It was finally -- in some cases, mercifully -- banned in 2011.

People: Trend-centric, cocksure, proud and partying, Barcelonans will steal your heart if not your wallet.

Things: The weird feeling in one's pants upon beholding Gaudí architecture; the corpuscle of seemingly endless branching alleyways housing the galleries, cafés, bars, restaurants and museums of the Born neighborhood. No two trips are ever alike.

Paris, France

Place: OK. Fine. Hard as it is to admit, even the laziest "romantic cities" lists are right -- the Big Baguette is still among earth's most enchanting municipalities.

Paris is an urban engineering conundrum: its architecture all differs vastly, yet simultaneously adheres to a singular, uniform vision, making the world's most visited city also probably its most beautiful. There, we said it.

People: Pouty, self-righteous, indolent, aloof, tempestuous, hot. The contemptibility of Parisians is exceeded only by the self-hatred among those of us who lust for them.

Things: The stupid views of the entire city from Montmartre; the lousy majesty of the Champs-Élysées; the crummy uplifting Wall of "I Love You's"; the idiot engineering marvel of the Eiffel Tower; the rotten eroticism of Pigalle; the insufferable grandeur of the River Seine.

Where's the most romantic place you've ever taken a sweetheart? Please share in the comments below.

@highlight

A former French colony on the Mississippi offers the rich food and booze of Paris without the Parisians

@highlight

A former British colony offers offers a beautiful beachfront with plenty of distance from spring break crowds

@highlight

The capital of Argentina offers a petri dish of fiery European and South American culture