In the city of Qamishli, on Syria's border with Turkey, neither the forces of the Syrian regime nor the rebels of the Free Syrian Army are to be seen. But visitors say the Kurdish flag is very evident, and Kurdish fighters man checkpoints around the city.

More are being trained in the Kurdish region of neighboring Iraq.

Away from the epicenter of the battle for Syria, the Kurdish minority -- about 10% of the Syrian population -- has gained control of two areas. One is around Qamishli, which has a population of nearly 200,000; the other is north of Aleppo in towns like Afrin and Ayn al-'Arab.

They have one aim, best summed up by a poster at a recent rally that read: "Federalizm (sic) is the best solution for new Syria."

Syria's Kurds do not live in one region, unlike Iraq's. They are scattered across northern Syria. But their growing if patchy autonomy promises to be a source of friction with other Syrian groups in the months ahead, and may have seismic consequences for Turkey, Iraq and even Iran.

When the unrest began in Syria last year, most Kurds remained on the sidelines. As a minority, they feared the emergence of a Syria dominated by Sunnis. And the main Kurdish group -- the Democratic Union Party, or PYD -- was useful to the regime. It has long been (and remains) an affiliate of the PKK, the militant group in Turkey that has fought for Kurdish autonomy for three decades, a struggle that has claimed tens of thousands of lives.

"The PKK has always had very good connections with the Syrian Kurds and especially with the PYD," said Turkish journalist Rusen Cakir, who has followed the Kurdish story for decades.

"Many Syrian Kurds have been killed by Turkish security forces in battles with the PKK," he said. The PKK claims some 3,500 of its "martyrs" have been Syrian.

So the PYD was a tool with which the Assad regime could threaten the Turks should they interfere in events inside Syria, said Soner Cagaptay of the Washington Institute for Near East Policy.

"Assad wants to make it difficult for the Turks to intervene without getting into a war with the PKK, and unlike Iraq and Iran, the PKK has real grass-roots support in Syria," Cagaptay told CNN.

For both Assad and the PYD it was an opportunistic relationship. Intelligence sources in the region say the regime even allowed several hundred Kurdish militants back into the country from the Qandil mountains in the far northeastern corner of Iraq, including the group's leader, Salih Muslim Muhammad. There were also reports that PYD militia were deployed to stifle anti-regime protests by Kurdish youth groups.

Then -- in October 2011 -- a prominent Syrian Kurdish activist, Meshaal Tammo, was assassinated. Many Kurds blamed the regime for his murder.

The PYD may have feared that any association with the regime -- and lingering suspicions it may have been complicit in Tammo's murder -- would harm its credibility. It vehemently denied involvement, but has since begun to forge a "third way," backing neither the government nor the rebels but using the vacuum of authority to carve out a zone of control.

PYD leader Salih Muslim Muhammad told the Berlin-based Kurdwatch blog last year: "What is important is that we Kurds assert our existence. The current regime does not accept us, nor do those who will potentially come into power."

In July, Assad's security forces suddenly relinquished control of several Kurdish towns.

Cale Salih of the International Crisis Group said that whether they did so voluntarily to focus on other places or were "told" to leave -- as the PYD insists -- is unclear. The effect was the same: alarm in Turkey, already at war with the PKK in the mountains along the Iraqi border.

"As the Turks see it, with identical PKK/PYD flags reportedly being raised over Ayn al-'Arab and Afrin, developments suggest that the PKK may be creating a safe haven for itself on Turkey's border with Syria," Cagaptay wrote last month on CNN's Global Public Square.

Turkish Prime Minister Recep Tayyip Erdogan warns that any attempt by the PKK -- which is designated a terrorist organization by both the United States and European Union -- to launch cross-border attacks would be met by force. The Turkish army underlined that warning with a large exercise less than a mile from border villages now controlled by the PYD.

The United States has chimed in with its own concerns. Secretary of State Hillary Clinton said: "We share Turkey's determination that Syria must not become a haven for PKK terrorists whether now or after the departure of the Assad regime."

"That could be a big disaster for Turkey, not now but maybe in two years," Cakir said. "Turkey can never accept the PKK controlling the Syrian side of the border. It is highly possible the Turkish military would intervene in Syria."

The picture is complicated by a brewing battle for supremacy among Syria's Kurds. The PYD is now being challenged by a loose coalition known as the Kurdish National Council. The group, although riven by internal disputes, is sponsored by the Iraqi Kurdish leader Massoud Barzani.

Cagaptay, of the Washington Institute for Near East Policy, said Barzani has tried to bring the PYD and Kurdish National Council together, but evidence suggests little co-operation and plenty of rivalry.

According to Salih, who has traveled widely in the region for the International Crisis Group, there is a real risk of conflict between Kurdish factions for control of Qamishli in coming months. It is where the Kurdish National Council is strongest, but the PYD has been making inroads, and there have already been clashes between supporters of the two groups, she said.

Salih said that hundreds of Syrian Kurds -- some of them defectors from the army -- are receiving military training in Iraq. So far it appears they have been unable to return to Syria.

Barzani, a veteran Kurdish nationalist, clearly wants to influence events in Syria, but at the same time he realizes that Turkey is important as a route for oil exports from Iraqi Kurdistan. He has no wish to antagonize Ankara, and may even help by trying to "box in" the PYD.

Turkish Foreign Minister Ahmet Davotoglu recently called on Barzani in Irbil, and they "emphasized that any attempt to exploit the power vacuum by any violent group or organization (in Syria) will be considered as a common threat," a not-so-veiled warning to the PYD.

Another element in this explosive regional equation is the strained relationship between the Iraqi Kurds and Iraq's central government. The Kurds are increasingly at odds with the Shiite government led by Nuri al-Maliki in Baghdad, and so is Turkey, according to Cagaptay.

Reports from the border area say the Kurdish peshmerga patrolling the Syrian border are sometimes just a few hundred yards from regular Iraqi troops.

However the Syrian revolt unfolds, "the experience of the Syrian Kurds will have an influence on Iran's Kurds and Turkey's Kurdish population," said Cakir, who is a senior correspondent for the Vatan newspaper.

For the PKK, Syria provides an opportunity -- and possibly another front against Turkey's military. Cakir sees that as adding a new dynamic to Turkish politics.

"The Turkish state has to deal with the PKK in a political way by persuading it to disarm," he told CNN. "This will be very difficult, as previous conflicts such as Northern Ireland have shown. But the Turkish military cannot defeat the PKK."

He added that, "according to conventional wisdom, this is not the time to begin such a political initiative, with presidential elections due in 2014. But we must solve this question as soon as possible or there will be a catastrophe."

Cagaptay agrees that as a new constitution is written in Turkey, the Kurdish issue must be tackled. Turkey's Kurds, he says, may soon look around the region and see that their brethren in Syria and Iraq are better off.

It's widely assumed that Erdogan will run for the presidency in 2014. Cagaptay describes him as "the most powerful elected leader Turkey has ever had, and he has an opportunity to address the Kurdish issue" by advancing autonomy for Turkey's 14 million Kurds.

But for Turkey's substantial nationalist vote, that may be a bridge too far.

@highlight

Kurdish fighters have gained control over areas of northern Syria

@highlight

The main Kurdish group, the PYD, has been seen as useful to the Assad regime

@highlight

It has close ties to the PKK, the group fighting in Turkey for Kurdish autonomy

@highlight

The Syrian Kurds' experience will influence other Kurdish groups, an analyst says