(CNN) -- The shooting of 26 innocent children and teachers in an elementary school in Newtown, Connecticut, is more horrific than any of us can ever imagine. We ask, like many times before, how such a brutal and irrational act could have happened. Why would anyone do something like this?

President Barack Obama wants to take action; our neighbors want to take action. We all want to convince ourselves that the world has not gone mad. We want to find and address the core of the problem.

So we look hard for explanations. Some say evil has shown itself -- a simplistic salve. In our hearts, we know that the shooter, Adam Lanza, was not evil personified. We know at this point that he was a withdrawn, socially awkward young man, reportedly with Asperger's syndrome, living with his mother.

We would like to think that if only professionals could identify any shooters before they commit any violence, then we could prevent these tragedies. If they had been locked up, then they couldn't have killed anyone. Or if they had been forced to take their medicine, then they wouldn't have gotten to a point of no return. If we can find these people, keep guns away from them, restrict their civil liberties and monitor them closely enough, then we would have solved the problem.

This approach won't work. Hindsight is not foresight. The picture is much more complex than simply developing "profiles." Knowing this young man's profile wouldn't have told us how likely he was going to walk into a classroom and open fire.

Opinion: After tragedy, don't obsess, heal gently

There are a large number of withdrawn, socially awkward young men in our society; some have mental disorders and some don't. We simply cannot predict which ones will go on a shooting rampage. It's like looking for a needle in a haystack; you will probably only know where it is when it pricks your finger.

Of those who do have a mental disorder, few of them reach the level of extreme desperation that they want to die and hurt others (very dramatically) in the process. People fluctuate in how distraught or likely they are to commit violence, depending on either deterioration of their mental condition, or, like all of us do, in reaction to events in their lives (a disparaging remark from a co-worker, a lost romantic relationship, etc).

We cannot readily determine who might become so desperate as to see mass killings as reasonable. Striking out at others is often a combination of giving up mixed with rage. In one young man whom I knew, it could have gone either way. He walked in front of a train, but he could have as easily hurt many others to relieve his pain and despair.

Getting support and services to the people who matter to those with mental disorders is where the answer lies. We will only know what is happening in a troubled person's mind by talking to them regularly before they are desperate. The idea of identifying, ostracizing and restricting them is not only inhuman, but impossible. We need to embrace them as members of our community who are facing immense struggles.

But most people with mental disorders aren't in treatment. About 1 in 4 adults in the United States suffers from a diagnosable mental disorder in a given year. We aren't, however, willing to invest the resources to provide ongoing outpatient care to them. Besides they may be afraid to reveal problems to professionals who seem out of touch with their lives.

Parents of disturbed, struggling children and adolescents need to know and talk to parents in similar situations. These parents know that they may get the telephone call at 2 a.m. with news of some tragic incident, and they need the support of others who understand what they are facing on a daily basis.

Opinion: Get serious about mental health care

Looking for individuals with mental illness and their parents only subverts what we all want -- to find out in advance about these incidents and to keep them from happening. By staying in touch with those who are suffering with mental disorder, we are in the best position to help them -- and their parents -- to forestall any possible slip into violence.

The opinions expressed in this commentary are solely those of Edward P. Mulvey.

@highlight

Edward Mulvey: The shooting of 26 innocent people in Connecticut is horrific

@highlight

Mulvey: We know that the shooter, Adam Lanza, was not evil personified

@highlight

He says it's nearly impossible to identify a killer before a mass shooting

@highlight

Mulvey: Talking and helping those with mental disorders is best way to help them