WASHINGTON (CNN) -- The pervasive smoke spewing from the junk heap at Balad Air Force Base in Iraq is causing many returning troops to be concerned about the effects on their long-term health.

The U.S. military burns waste -- including medical waste -- in pits near an Air Force base in Iraq.

For four years, the burn pit was a festering dump, spewing acrid smoke over the base, including housing and the hospital.

Until three incinerators were installed, the smelly pit was the only place to dispose of trash, including plastics, food and medical waste.

"At the peak, before they went to use the real industrial incinerators, it was about 500,000 pounds a day of stuff," according to a transcript of an April 2008 presentation by Dr. Bill Halperin, who heads the Occupational and Environmental Health Subcommittee at the Defense Health Board. "The way it was burned was by putting jet fuel on it."

A lawsuit filed against the burn pit operators by a contractor alleges the burn pit also contained body parts.  Watch burn pits spew black smoke »

"Wild dogs in the area raided the burn pit and carried off human remains. The wild dogs could be seen roaming the base with body parts in their mouths," says the lawsuit filed in Texas federal court.

Aside from Balad, there are similar pits at bases elsewhere in Iraq and Afghanistan. Some still have no incinerators.

'Iraqi crud'

Many of the soldiers who went through Balad since the beginning of the war had become used to "Iraqi crud," as they dubbed the symptom.

"I had a chronic cough, irritation, shortness of breath," said Dr. Chris Coppola, an Air Force surgeon who worked on base in 2005 and again in 2007, "I was coughing up phlegm, sometimes black stuff and dust."

While Coppola said he didn't work in the burn pit, he knew the medical waste was going there.

"In 2005, our hospital waste wasn't segregated," he said. "Our trash went out the door and went into the burn pit." By the time Coppola returned for his next tour, the hospital did separate its medical waste for disposal elsewhere, he said.

Coppola said that when he worked at the base hospital, the emergency room had frequent visits for "respiratory complaints, complaining of the coughing and breathing issues."

Since he's been back from Iraq, Coppola said he feels "very healthy."

But other soldiers said they cannot shake the symptoms and they suspect the burn pit smoke is the cause.

Dennis Gogel was stationed in Balad twice between 2004 and 2006. He said he was in housing just a few hundred yards from the pit and would often jog past the pit.

The 29-year old Gogel said that in the last two years he's had upper respiratory infections, skin irritation and he's lost 60 pounds since deployment.

"I have blotchy spots on my face. I was treated for psoriasis, but it won't go way," he said.

Gogel said his doctors do not know what caused the problems.

"You expect when you get to a new environment you would feel the effect, but it should get out of the system," he said. Gogel said it has affected his fitness, too.

"I used to run two miles in 10 minutes. I am up to 17," he said.

Gogel has recently joined a class action lawsuit against the company contracted to handle waste disposal.

Just months after returning home from his first tour in Iraq in 2006, Maj. Kevin Wilkins developed headaches, but did not see a doctor.

Soon after his second Iraq tour in 2007, Wilkins -- a registered nurse in the Air Force reserve -- died of an advanced brain tumor. He was 51.

His widow, Jill, suspects the burn pit at Balad. While the cause of his brain tumor is not known, Jill Wilkins was told by doctors who worked with her husband at a Florida emergency room that exposure to chemicals like those that come from burning trash is a potential risk.

"Kevin was in perfect health before he went to Iraq," Wilkins said. "He's always been in good health, a healthy eater, exercises on a regular basis. There was not one thing wrong with him when he went to Iraq."

Wilkins is trying to show the cause was service related so she can get access to her husband's pension, medical insurance and other benefits from the Department of Veterans Affairs.

Concerning memos, questionable tests

One reason many soldiers suspect the burn pit is a widely circulated 2006 memo in which an environmental engineer cited a still-classified study labeling the pit "the worst environmental site I have personally visited."

The memo, written by Lt. Col Darrin Curtis, a bioenvironmental engineering flight commander, concluded "there is an acute health hazard for individuals."

"There is also the possibility for chronic health hazards associated with the smoke," Curtis said.

The memo is co-signed by Lt. Col James Elliott, chief, Aeromedical Services, who wrote that he concurred with Curtis' memo.

"In my professional opinion, the known carcinogens and respiratory sensitizers released into the atmosphere by the burn pit present both an acute and a chronic health hazard to our troops and the local populations," Elliott said.

More alarm was raised in the military community when the initial draft of results from a 2007 study was released with a math error, overstating the dioxin levels tested by 1,000 times.

The report was circulated by the military's U.S. Army Center for Health Promotion and Preventive Medicine "in the interest of transparency and the fact that they needed this information very quickly in order to answer service members' concerns," said Craig Postlewaite of the force readiness and health assurance office at the Department of Defense.

But Postlewaite said the error has been corrected and the data re-analyzed. A new test and report will be out soon. The military said smoke from the pit exposed troops to toxic emissions, including low levels of cancer-causing dioxins. But its tests indicate there is no long-term danger, officials said.

"The data indicate that there are no substances above a health threshold that should generate any long-term health risks, including cancer," Postlewaite said.

At the Pentagon's Force Health Protection Directorate, officials analyzed more than 160 air samples and concluded, in a soon to be released report, that the only risk is of temporary respiratory distress, nothing that poses a long-term threat.

"We have looked at respiratory health complaints for people that have been assigned to Balad. These complaints, by and large, are temporary in nature, most of them involve eye irritation, irritation of the upper respiratory passages, possibly a cough," Postlewaite  said. "We know just right here in the United States for people that are around those kinds of conditions, like firemen, this is not unusual. But we feel that the data support the fact that these all should be temporary in nature."

A review of the findings by the military's advisory group of medical scientists and doctors concurred with the report's conclusions.

However, in the general findings, the report questioned whether the conclusions would hold "when more thorough analysis is conducted." But a spokeswoman for the military said the final report, expected this week, will find the testing conducted was sufficient and conclusive.

The reviewing panel also expressed concerns about how pervasive the burn pits were, according to a meeting transcript of the advisory group.

"It seems like there may be something systematic going on here in terms of waste disposal techniques going on in the [war] theater," notes Dr. Mark Brown, director of Environmental Agents Services at the Department of Veterans Affairs. "You couldn't get away with this kind of waste disposal here in the United States.

Pits still in use

The concern about the pits was first reported in the Military Times. Upon seeing that article, Sen. Russ Feingold, D-Wisconsin, wrote to Gen. David Petraeus, the commander of U.S. forces in the Middle East, to express his concern about the smoke's effect on troops.

Petraeus responded citing the military findings, but said burn pits are necessary.

"There is and will continue to be a need for burn pits during contingency operations," Petraeus wrote back to Feingold in a letter provided to CNN.

Five years into the Iraq war, many bases still do not have incinerators. There are 17 solid waste incinerators, two hazardous waste incinerators and 24 medical waste incinerators operational in Iraq, according to the military. Another 23 are under construction with some not scheduled to be completed until the end of 2009.

In Afghanistan, where the United States has been fighting since 2001, there are no incinerators.

"Our military leaders in Afghanistan are in the process of designing treatment/disposal facilities for solid waste," Petraeus wrote to Feingold.

Feingold said he awaits the latest report.

"I remain concerned that service members may become sick as a result of exposure to fumes at Balad Air Base and potentially other bases in Iraq and Afghanistan," Feingold said. "Service members who serve at the base for more than a year could still be in jeopardy as a result of exposure to the fumes."

CNN's Mike Mount and Jamie McIntyre contributed to this report.

@highlight

Troops worry smoke from waste burn pits carries toxins

@highlight

Plastics, food and medical waste from base among trash burned

@highlight

Troops stationed at U.S. base call coughing caused by smoke "Iraqi crud"

@highlight

Pentagon says any harmful health affects from smoke are temporary