(CNN) -- The fog has been lifted. There is no serious doubt left that Russia is "now directly involved in the fighting" in Ukraine, as Geoffrey Pyatt, U.S. Ambassador in Ukraine has said on Twitter.

"Russian supplied tanks, armored vehicles, artillery and multiple rocket launchers have been insufficient to defeat Ukraine' armed forces. So now an increasing number of Russian troops are intervening directly in fighting on Ukrainian territory. Russia has also sent its newest air defense systems including the SA-22 into eastern Ukraine," he wrote.

This is the step from proxy war to war. It is also probably the end of German Chancellor Angela Merkel's attempts to prevent the worst through diplomacy. She spoke to Russian President Vladimir Putin more than 30 times this year on the phone, much more often than any other Western leader.

What Germany tried was to convince Putin to step back from war in eastern Ukraine by using carrots and sticks: Western economic sanctions on the one hand, and on the other the promise of a return to a close partnership with the West if Russia were to stop supporting separatists in Ukraine.

For Berlin, which was in the lead in Western negotiations with Russia, the goal of the talks was to give Putin a face-saving exit option that wouldn't look like a defeat. But for Moscow, those talks were meant to achieve Russia's goal -- control over Ukraine.

While Russia talked about "federalization", which was meant to give regions a veto over the country's core political decisions, Germany talked about "decentralization," a system of administration that would leave the capital in control of Ukraine.

Putin's choices

German tactics were built on Russian deniability of any direct involvement. The diplomatic game was based on the pretense that both sides were not much more than concerned neighbors, that Russia was not part of the conflict.

But indirect involvement was not enough to hold territory in Ukraine. That's why Putin either had to accept defeat or to step up his efforts and end the pretense of Russian non-involvement. He chose the latter.

Putin did so knowing that this would lead to more Western sanctions, more costs for Russia. But he may have gambled that the West would not massively increase sanctions, as the appetite for conflict with Russia is low in many European countries, especially in Western Europe. It is also possible that he may even be ready to accept economic divorce with the West.

The West has tried everything to convince Putin to step back from the brink of open war in Ukraine. But it has not worked. The success of the Ukrainian army on the ground has forced Russia to make a choice between ending efforts to bring back Ukraine under Moscow's control -- or moving to open war. Putin had to leave the fog and make a move.

The German approach now looks like a failure, but it was worth trying nevertheless. It might have worked. Diplomatic efforts may also have kept Russian involvement to a minimum in the last few months -- they may have caused Putin to keep a low profile, thus allowing Kiev to recover and win back territory.

A pause in diplomacy

The West has no "Plan B." Merkel's carrot and stick approach had the great advantage of being "sellable" domestically: to her coalition partner in Germany, SPD, and in the EU to countries like France, Spain and Italy, which are much less concerned about Russian neo-imperialism than Germany or Poland.

More robust tactics won't fly in Germany or in the wider EU. Anything that appears to raise the risk of direct military confrontation with Russia will be vetoed. The only possible option now is to increase sanctions. Diplomacy will take a pause. And every hope of a return to the way relations with Russia used to be will be buried.

What is clear now is that Russia and Europe are heading towards a much less cordial relationship. The next few years are going to be characterized by a mix of confrontation and cooperation. The West's grand strategy of transforming Russia into a liberal democracy by weaving it into a web of interconnectedness has failed.

By moving from proxy war to open war, by giving up pretense and deniability in Ukraine, Russia has very clearly made that point.

Germany has taken the lead in the crisis because it has become a central player in Europe, and because it had a lot at stake. Its attempts to put the genie back in the bottle were ultimately unsuccessful. But in that process, Berlin has taken responsibility for Western relations with Russia.

It should now take the lead on the long game as well: by building a new strategy that balances confrontation where necessary with cooperation where possible.

@highlight

The U.S. this week said Russian forces were "directly involved" in fighting in Ukraine

@highlight

Ulrich Speck writes that this moves the eastern Ukraine conflict from a proxy war to war

@highlight

It also likely ends Berlin's attempts to use diplomatic means to prevent the worst, he says

@highlight

Speck says Russia and Europe are now heading towards a much less cordial relationship