(CNN) -- You might know South Africa for Kruger National Park, where you can see the Big Five, or for the gorgeous beaches and wine farms that surround Cape Town.

But there's more to see and do around this 1.2-million-square-kilometer (463,000 square miles) country.

These 10 destinations help round out a full South Africa experience.

1. Johannesburg

Often shunned by visitors, Jozi (as South Africans call Johannesburg) thrives on new ideas, outrageous talent and bold creativity.

It's a city with an energy all of its own -- for that reason alone it's worth exploring.

What to do: You can soak up the vibe at Maboneng Precinct, an inner-city neighborhood that's become a trendy gathering place for artists, foodies and performers.

Food, accommodation and entertainment are all here.

Another creative gathering space is 44 On Stanley.

Once a collection of industrial buildings, it's been transformed into space that houses design studios, coffee shops and boutique stores.

Where to stay: The Troyeville Hotel is as famous for the artists and political activists who've stayed here, as it is for the hearty Portuguese cuisine it's served them.

Operating as a hotel since the 1930s, the Troyeville's intellectually inclined gatherings remain legendary for good food and conversation.

2. Cradle of Humankind

Experts say we all come from an area just hour outside of Johannesburg: the Cradle of Humankind.

This UNESCO World Heritage Site has been inhabited by humans and our ancestors for more than 3 million years, providing an incredible look into our development as a species.

What to do: The area is divided into two main sections.

Maropeng has the official visitor center, built as a grassy dome. From here you can take an underground boat trip.

The Sterkfontein Caves have exhibitions and trails into the caves. This is a fascinating area, with world-class interactive exhibitions, requiring a full day to take it all in.

Where to stay: To sleep close to where it all began, you can stay at the Maropeng Boutique Hotel.

The hotel, which has lovely views across the Magaliesberg and Witwaterberg mountains, is a short walk from the Maropeng visitor center.

3. Free State

The Free State is a province wrapped around the north of Lesotho that bulges into South Africa's interior.

It's a province dominated by farm areas -- but in the east, in the foothills of the Maluti Mountains, there's spectacular scenery.

What to do: Sunrise and sunset are memorable times at the Golden Gate Highlands National Park, when the sun's rays turn majestic sandstone cliffs into columns of deep yellow and ocher.

Game viewing at this park is good -- you can expect to see eland, blesbok, springbok and black wildebeest.

Guided horseback rides take in the peaceful, picturesque town of Clarens. Surrounded by sandstone mountains, it's known for art galleries and pottery studios.

The Free State is a three-hour drive from Johannesburg -- it's a popular weekend trip for locals.

Where to stay: Just outside Clarens, Kiara Lodge has a spa, swimming pool, good restaurant and lots of activities.

The views are lovely, and it's a good base for exploring the Golden Gate Highlands National Park and Clarens.

4. The Battlefields

The Drakensberg is one of South Africa's most dramatic mountain ranges, where the land drops through cliffs and valleys and into undulating hills and flatlands that eventually extend toward the east coast.

Below "the Berg," the flatlands and hills mingle around the towns of Ladysmith and Dundee, where some of the most epic battles between the English, Afrikaners and Zulus were fought in the late 1800s.

Known as The Battlefields, this beautifully wild area was the scene of bloody clashes during the Anglo-Boer and Anglo-Zulu wars.

What to do: Hiring a guide helps get the full picture of these dramatic battle sites.

Where to stay: Nambiti Hills is an exclusive five-star private game reserve that can be used as a base for viewing both the Big Five and embarking on guided tours of the battlefields.

Amphi Backpackers is a budget-friendly option. From here, there are walking or climbing day trips into the Drakensberg.

5. The Midlands

KwaZulu-Natal's Midlands is a popular weekend getaway from the city.

The winding roads through the pretty farming area have become home to many top restaurants, cafes, art galleries and guesthouses, most of which belong to the Midlands Meander tourism route.

What to do: The Capture Site marks the spot where Nelson Mandela was arrested in 1962.

It's possible to fly through the trees at Karkloof Canopy Tours, eat fine food at Hartford House, an award-winning restaurant (and guesthouse) and shop for handcrafted leather shoes at Groundcover.

Where to stay: Rawdons is a stately hotel near a town called Nottingham Road.

It's cozy and English -- pretty gardens, plush decor, roaring log fires.

A highlight for many is the Boar's Head Pub, serving ales and lagers made by the independent Nottingham Road Brewing Company.

6. Umhlanga Rocks

Many have heard of Durban, the city on South Africa's east coast (surfers love it) beloved for its warm weather throughout the year.

Not so familiar is Umhlanga Rocks.

About 20 kilometers (12.5 miles) up the coast and just 15 minutes from Durban International Airport, upmarket Umhlanga, with wide, sandy beaches, has a permanent vacation vibe.

It's packed with big beach houses, blocks of seaside apartments, hotels, restaurants, cafes and bars and the enormous Gateway Theatre of Shopping, reportedly the largest shopping mall in the southern hemisphere.

What to do: The Umhlanga Promenade leads to the Umhlanga Lagoon Reserve, a haven for bird-watchers.

The luxurious Oyster Box hotel offers an indulgent high tea served with a view of the Indian Ocean. The hotel's Lighthouse bar does a decent line in sundowners.

On the last Sunday of the month, the Wonder Market at Chris Saunders Park offers a range of artisan foods and designer crafts and jewelry.

Where to stay: A short walk from Umhlanga beach, Teremok Marine is a five-star guesthouse set in a large, old family home.

The nooks of this quiet hideaway are filled with South African decor, from bright Ardmore cushions to lampshades made from the pages of books and delicate proteas (South Africa's national flower) crafted from wood.

7. Wild Coast

Located between the Garden Route and Durban, the Wild Coast has rolling hills that drop into the sea and waterfalls that crash into lagoons.

Cattle often wander the beaches, where few humans are to be seen.

What to do: Spend a few days hiking along the beaches of the Wild Coast and you'll come across skeletons of ships, flocks of sea birds and low-tide rock pools waiting to be explored.

You can take surf lessons from a former pro-am world champ at Coffee Bay, or go diving.

Where to stay: Bulungula Lodge is a simple eco-friendly establishment, 40% of which is owned by the local village.

If you're not spending time on the beautifully wild and remote beach, you can immerse yourself in village life.

8. Garden Route

Knysna is the Garden Route area's flagship town, known for oysters, beaches, lakes and forest.

But if you travel "up" the Garden Route you'll get to the Tsitsikamma National Park, the less explored "top tip" of the route.

Up here, beautiful indigenous forests scramble down steep mountains through ravines and rocky crags to a jagged coastline.

What to do: The Otter Trail is a spectacular five-day hike that's so popular with South Africans you have to book almost a year in advance.

It's a strenuous hike through untouched forests along a particularly rugged and isolated part of the coastline.

Visitors can explore the coast from the water on a "kayak and lilo adventure," paddling and floating their way through the sea, and then up the dramatic Storms River.

Where to stay: Tranquility Lodge is a three-star guesthouse that's almost on the beach in Nature's Valley, a sleepy town surrounded by the Tsitsikama National Park.

This is a good place to base if you want to spend time in the park, go bungee jumping, horseback riding, take boat cruises or visit a bird or elephant park.

9. Cape Town

One of the most beautiful cities in the world, Cape Town is flanked by the Indian and Atlantic oceans and watched over by iconic Table Mountain.

Although the Mother City is incredibly popular with tourists, there are still a few secret places.

What to do: Lion's Head mountain at full moon is a spectacular experience, especially if it involves a picnic. There are likely be a few hundred people up there, but the vibe (many people take their drums or guitars) and view across the city as the sun sets and the moon rises is something that will be remembered for a long time.

The Summer Sunset Concerts are another favorite with Capetonians.

Held in the spectacular Kirstenbosch Gardens each Sunday during summer, locals flock with their picnic baskets to listen to some of South Africa's top musicians.

Where to stay: The Airstream Rooftop Trailer Park, on top of the Grand Daddy hotel in Long Street, is one of the quirkiest places to stay in the city.

The trailers have been decorated by different artists -- themes include Dorothy, The Ballad of John and Yoko, and AfroPunk.

10. Northern Cape

Often just a big "empty" place on the map, the Northern Cape is a fascinating area through which to drive.

Up here in the Kalahari and Karoo deserts, once home to the San people, towns with wonderful names such as Hotazel, Kakamas, Nababeep and Pofadder pepper the map and provide interesting stopovers in a vast, dry landscape dominated by big sky.

What to do: Stargazing in Sutherland is an event unto itself.

Often the coldest town in South Africa, Sutherland is known around the world for its clear night skies

The stargazing here is superb, which is why it's home to SALT, the Southern African Large Telescope.

In early spring, in the town of Niewoudville, the Namaqualand daisies burst into bloom -- the ocher earth is transformed as millions of flowers paint the landscape orange, pink, yellow, purple and white.

Where to stay: Kokeboom B&B on Gannabos Farm is much loved by photographers and hikers: nearby is the world's largest forest of quiver trees -- so called because bushmen use them to making hunting arrows.

The comfortable cottage is close to Niewoudville and is on a popular flower route.

Narina Exelby is a South African freelance travel writer based in Johannesburg.

@highlight

Arty expeditions into Johannesburg's center uncover a city with an energy of its own

@highlight

South Africa is home to the Cradle of Humankind, where our ancestors lived 3 million years ago

@highlight

The Midlands, the Wild Coast and the Garden Route offer exceptional scenic adventures