London, England (CNN) -- Britain's involvement in the invasion of Iraq "was the right decision and it was for the right reasons," Prime Minister Gordon Brown said Friday in his first response at an inquiry into country's role in the March 2003 conflict.

Brown was answering a question from the chairman of the inquiry, John Chilcot, about whether he thought taking military action in March 2003 was the right decision, especially given that it led to such a great loss of life among military personnel and civilians.

The prime minister said he respects members of the armed forces "who served with great distinction in Iraq" and lost their lives, and to civilians who died.

"I think any loss of life is something that makes us very sad indeed," Brown said.

The inquiry began last year and is expected to be the most thorough investigation yet into decisions that led up to the war and governed Britain's involvement, analysts have said.

It is not a court of law, so the inquiry cannot find anyone criminally responsible or apportion blame. But inquiry members will be able to judge the legality of the conflict.

Brown spent much of Friday defending military spending allowances, which have come under harsh scrutiny in Britain. Earlier witnesses have said Brown, as head of the British Treasury leading up to and after the Iraq invasion, did not allow the Ministry of Defence to spend as much as was needed.

Such cuts would have restricted the military's ability to buy helicopters, body armor and weapons that would have subsequently been used in Afghanistan.

Brown said as chancellor, he never ruled out a military option on the basis of cost.

"I said that every single request that was made for [military] equipment had to be met, and every request was met, and at any point military commanders were able to ask for equipment that they needed, and I know of no occasion when they were turned down for it," Brown testified.

Tony Blair testifies at Iraq inquiry

Geoff Hoon, defence secretary at the time of the 2003 invasion, testified that Brown forced cuts that limited military spending.

"We then had to look hard at our budget and make some rather difficult cuts in the future equipment program as a result," Hoon testified.

Brown had faced increasing pressure to testify before Britain holds general elections, widely expected to be held May 6. His Labour Party faces a tight race with the opposition Conservatives.

Chilcot, the inquiry chairman, said committee members previously decided not to call any government ministers who are still serving in posts relevant to Iraq, but Brown offered to testify.

Chilcot announced in January that Brown had agreed to appear in the next two months.

Susan Smith, whose son, Pvt. Phillip Hewett, died in Iraq in 2005, said she doesn't believe Brown did everything possible to equip British troops.

"Was it needed? Was it asked for? If it was, why was it not funded?" she said. "At the moment, you've got no answers. It's all speculation. It would be nice just to know the truth."

Brown has faced repeated criticism for the level of equipment for the 9,000 British troops in Afghanistan, which some have said is too low. The prime minister has defended equipment levels and said he seeks assurances from military officers in the field that troops have the supplies they need.

A military memo, sent in June but released in October, contained a warning from a British officer that a shortage of helicopters was putting troops at risk because they were forced to travel on the ground, increasing the chances a roadside bomb could kill them.

The memo was written by Lt. Col. Rupert Thorneloe, who died a month later in a roadside bombing. At the time, he was the highest-ranking British serviceman to die in combat since the 1982 Falklands War.

Gen. Michael Walker previously testified the Treasury gave defence officials a spending target that they found hard to reach.

"It was [a budget for] some of the stuff that was related to some of the longer-term equipment programs, including infantry battalions," he testified February 1. "I think it included helicopter money. I think it included things like aircraft carriers. It was all big-ticket items that were being threatened."

Defence officials made as many cuts as they could before they had to stop, Walker said.

"I think we drew a line somewhere halfway down the page and said, 'If you go any further than that, you'll probably have to look for a new set of chiefs,' " he said.

Hoon and others have testified that the Defence Ministry's budgeting structure in 2002, the year before the Iraq invasion, allowed officials to save money by using and maintaining existing equipment. Officials used the cash saved for other spending, Hoon said.

That spending ability changed a year later and caused big problems for the ministry, they have testified.

"We asked for significantly more money than we eventually received" in subsequent spending programs, Hoon said.

Kevin Tebbit, who was permanent secretary to the Defence Ministry at the time of the invasion, said Brown did not want the ministry to have as much cash as it eventually received.

"The Treasury felt that we were using far too much cash, and in September 2003, the chancellor of the day instituted a complete guillotine on our [ability to spend]," he said. "It meant that we had to go in for a very major savings exercise in order to cope with what was effectively a billion pounds reduction in our finances."

Brown testified that military options took precedence over financial concerns.

"There was no time from June [2002] when the Treasury said, 'This is a better military option because it's cheaper and less costly,' " Brown said. "At every point I made it clear that we would support whatever option the military decided upon with the prime minister and the Cabinet, and there would be no financial barrier to us doing what was necessary to be done."

He also testified the Treasury granted "every application" for equipment made by the Defence Ministry.

Brown was chancellor, or head of the Treasury, from 1997 until 2007 when Prime Minister Tony Blair stepped down and Brown took over the top post.

Alistair Campbell, Blair's former spokesman, testified in January that Brown was part of Blair's inner circle, discussing questions about the Iraq war.

Blair testified in January.

@highlight

Gordon Brown served as Chancellor, or head of the Treasury, from 1997 until 2007

@highlight

Brown: "Financial concerns played no part in military planning for the Iraq"

@highlight

Brown: "I made it clear we would support whatever option the military decided upon"

@highlight

The decision to go to war in Iraq was made for the right reasons, he said