Boston (CNN)Dzhokhar Tsarnaev's attorney made one thing clear during her opening statement in the Boston Marathon bombing trial: He did it.

"It was him," defense attorney Judy Clarke told jurors.

Tsarnaev carried one of the pressure cooker bombs on April 15, 2013, and placed it near the finish line, she said. He was there when a police officer was killed. He was involved in a shootout with police.

The accused bomber will not sidestep any of his actions, Clarke said.

So, why even a trial at all?

Because there's disagreement over why Tsarnaev did it, Clarke said.

Dzhokhar Tsarnaev was influenced by his brother, Tamerlan Tsarnaev, Clarke said. He was enlisted by his brother to commit these horrific acts, she said.

The first day of the trial provided jurors with a peek at the strategies of the prosecution and defense.

Based on their opening statements, both sides agree on the basic facts around the attacks -- who carried them out and how. But both sides presented divergent views of why Dzhokhar Tsarnaev carried out the attacks.

The goal of the Tsarnaev brothers was to kill as many people as possible, U.S. prosecutor Bill Weinreb said during his initial statement to jurors.

The prosecutor described in detail the deaths of three victims near the finish line of the 2013 Boston Marathon and painted a picture of Dzhokhar Tsarnaev as a holy warrior committed to violence.

More than 260 others were maimed or injured by two pressure cooker bombs that exploded within 12 seconds of each other.

A fourth person, an MIT police officer, was ambushed and killed in his patrol car three days after the bombings as Tsarnaev and his brother, Tamerlan, allegedly ran from police.

Tamerlan Tsarnaev, 26, was killed after a gunbattle with police.

So it is Dzhokhar Tsarnaev who is on trial, charged with 30 counts related to the bombings.

Weinreb said Tsarnaev's actions after the bombings -- going to Whole Foods to buy a gallon of milk, hanging out with friends -- show that he didn't care about what he did. To the contrary, the prosecutor told jurors, he believed he had done good.

The motive for the attacks can be found in the boat that ultimately became Tsarnaev's hideout before his arrest, he said. There, Tsarnaev allegedly wrote messages explaining that he believed the U.S. government is an enemy of Islam.

Boston Marathon bombing timeline

Tsarnaev listened to jihadist lectures and songs, and had an online presence in which he espoused a radical view of Islam, Weinreb said.

He had a collection of magazines published by al Qaeda, one with instructions for building the same type of bomb used in the Boston Marathon attack, he said.

The defense pinned the radicalization on Tamerlan.

Clarke showed two side-by-side photos in court: One of the brothers smiling, and one of them carrying backpacks linked to the attacks.

The attacks were "incomprehensible, they're inexcusable," she said, but also asked, who turned Tsarnaev from the smiling kid into a bomber?

It was Tamerlan who self-radicalized, and Tamerlan who influenced his brother to follow him, she argued.

At the outset of the trial, Weinreb spoke in detail to the jury about the lives ended by the pair of bombs at the marathon. Martin Richard, an 8-year-old spectator, was standing with his family cheering runners on when the second bomb exploded just feet away.

Martin was only 4 feet 5 inches tall and weighed 70 pounds, the prosecutor said. The bomb blew large holes into the boy's chest and organs -- "tore large chunks of flesh out of Martin's body," Weinreb said. The boy died.

The first witness the prosecution called Wednesday was Thomas Grilk, executive director of the Boston Athletic Association.

Grilk provided some facts about the marathon, but Assistant U.S. Attorney Aloke Chakravarty also asked him to talk about the day of the bombings.

The prosecution played videos of the first explosion, then the second, showing people scrambling in the aftermath.

Grilk let out a long sigh as one of the videos was paused.

"Every day you walk outside, you are in that area," testified Shane O'Hara, the manager at Marathon Sports, a running store close to where the bombs went off.

He was emotional as he vividly recounted what sounded to him like a loud cannon, and the instant cloud of smoke that covered the windows.

O'Hara recalled stepping outside to the smell of gunpowder and burning hair, and cries for help.

The decisions about who to aid first -- those among the injured needing help before others -- still haunt him, he said.

There were cries, sirens and screams, he said in answer to prosecutors' questions.

He sniffled as a photo of the blown-out storefront was shown in the court. He told the jury the plea he heard from one of the injured: "Stay with me, stay with me."

Wednesday's testimony centered on the stories of the survivors. Tsarnaev's lawyers opted not to cross-examine any of the witnesses who testified to what they lived through that day.

Colton Kilgore and Rebekah Gregory were part of a large group who were present to cheer on a family member.

Kilgore took the witness stand and described the videos he shot after the blasts. It was an instinct to record the scene, he said.

"I was blown through the air. There was a deafening explosion," he said.

He saw bodies and faces also tumble through the air. His videos captured the chaos, the cries for help, people using any material they could find to help perform first aid.

At one point, Kilgore recalled, he sat on something hot, only to realize he was sitting on pieces of burning metal and shards.

Gregory testified that she was watching the race, but also looking after her 5-year-old, Noah, who was a bit bored.

After the blast, she couldn't feel her legs.

"My bones were literally laying next to me on the sidewalk," she said. "At that point I thought that was the day I would die."

Her first instinct was for Noah's safety. She asked God to take her if she was indeed dying, but to let her know that Noah was OK.

Somehow, she said, despite the confusion and her pain, she could hear his voice calling her.

Noah was injured. Gregory now wears a prosthesis.

Sydney Corcoran was a high school senior on the day of the bombings.

Her testimony centered on her near certainty that she would die that day.

She passed out and awoke to a group of men attending to her, putting pressure on her leg, trying to find where she was bleeding.

One man put his forehead on her head and told her she would be OK.

But then, another man said he could see her eyes were going white, she testified.

"I could feel my body going tingly and I was getting increasingly cold. I knew I was dying," she told the jury.

It took nearly two months of juror interviews -- 256 people over 22 court days -- to select the jury in the bombing trial.

The group includes 18 people from across the socioeconomic spectrum, but the group is almost exclusively white.

Race has been an issue raised by Tsarnaev's defense during four unsuccessful attempts to move the death penalty trial from Boston. His attorneys argued that the way the court issues jury summons led to picking a panel that's older and whiter than the community at large. But prosecutors argued that the jury had been picked properly.

"The prosecution got exactly what they wanted," said CNN legal analyst Mark Geragos, a criminal defense attorney in Los Angeles.

Middle-aged white jurors tend to be more likely to support death penalty verdicts, he said.

"It's a target demographic for a death penalty jury."

Just one juror seemed to combine youth and ethnic diversity. A college student who is taking a break from his studies, he said his mother was born in Iran and converted from Islam to the  Baha'i faith.

The Slip Away, a boat in which Tsarnaev sought cover after the police gunbattle, also is expected to be a key piece of evidence. The prosecution is seeking to remove a panel on which Tsarnaev allegedly scrawled incriminating messages so jurors can see it.

Weinreb has said the boat is too large to bring into the courthouse.

The defense, however, wants the jury to see the entire boat, complete with bullet holes. Defense attorney David Bruck argued that cutting out a panel would take the written words out of context and wouldn't fairly reflect Tsarnaev's state of mind.

Court papers have already given the public a glimpse of several statements Tsarnaev allegedly wrote inside the boat:

"The U.S. government is killing our innocent civilians," he allegedly wrote. "I can't stand to see such evil go unpunished."

"We Muslims are one body. You hurt one, you hurt us all."

"Now I don't like killing innocent people. It is forbidden in Islam but due to said (unintelligible) it is allowed."

"Stop killing our innocent people and we will stop."

CNN's Ann O'Neill reported from Boston, and Mariano Castillo wrote in Atlanta. CNN's Sonia Moghe contributed to this report.

@highlight

Bomb "tore large chunks of flesh out" of boy's body, prosecutor says

@highlight

Defense admits Dzhokhar Tsarnaev's role in Boston Marathon bombings

@highlight

Older brother influenced Tsarnaev to follow him, attorney says