HARARE, Zimbabwe (CNN) -- Zimbabwe's health system, once the envy of many African nations, is "in a state of collapse" -- with many hospitals either completely shut down or unable to admit new patients, a leading doctors' group said Thursday.

Doctors and nurses in Harare protest at the state of Zimbabwe's collapsing health system.

The failure of medical services has forced doctors to turn away pregnant women and the sick. And with a cholera epidemic sweeping through the capital city of Harare and surrounding areas, medical officials say they fear they will be faced with hundreds of normally preventable deaths in the coming days.

The four main hospitals in Harare have stopped admitting patients because of a medicine shortage, said the Zimbabwe Association of Doctors for Human Rights. Another hospital in the second largest city of Bulawayo -- 439 km (272 miles) from Harare -- is facing a similar shortage.

"Sick people in need of attention are being turned away," the group said.

In many hospitals, maternity services have been scaled back -- meaning women who need to deliver babies by Caesarian section "will needlessly die during childbirth," it said.

The hospitals, like everything else in the country, are a victim of the country's collapsing economy under President Robert Mugabe, the group said.

Meanwhile, the Zimbabwean government has asked a group headed by former U.N. chief Kofi Annan to postpone a visit meant to highlight the country's humanitarian crisis, calling it a "partisan" attempt to boost the opposition.

Annan was set to arrive in Zimbabwe this weekend with former U.S. President Jimmy Carter and rights activist Graca Machel, wife of former South African president Nelson Mandela.

The trio wanted to find ways to ease the plight of Zimbabweans, nearly half of whom are in need of emergency food aid.

But the state-owned daily newspaper, The Herald, says the three -- who belong to a group of senior statesmen known as the Elders -- were trying to boost the opposition party, the Movement for Democratic Change (MDC), in power-sharing talks with Mugabe.

With the political crisis showing no signs of abating, Zimbabwe's inflation rate has skyrocketed to the world's highest: 230 million percent. Independent analysts put the figure in billions.

Doctors and nurses are reluctant to come to work because of the poor pay and poor equipment. Those who can are leaving Zimbabwe for neighboring countries or to Europe and Australia, the group said.

The group held Mugabe's government responsible for the cholera epidemic that broke out early last month in the capital city and has since spread to other parts of the country.

The government has not been able to dispose of sewage properly, nor has it been able to provide chemicals to treat water to make it potable, the group said.

Residents are "surrounded by flowing raw sewage," and many have been forced to resort to drink contaminated water from rivers, the group said. The pandemic, it said, "has caused hundreds of preventable deaths."

The government has not released official figures of cholera-related death. But some private doctors say that in Harare, the number is at least 200.

Earlier this week, a state-owned newspaper said 44 people had died since Friday in the southern border town of Beitbridge, about 600 km (372 miles) from Harare.

The country's health ministry insists the disease has been contained. It said the lack of proper infrastructure in the impoverished nation is behind the outbreak, and that it has dispatched teams of health workers to educate the masses and provide them with water tanks.

But medical activists disagree. Non-governmental aid groups are providing water and water purification tablets to the most affected communities. But they cannot reach everyone.

The government should declare the cholera outbreak a national disaster and solicit international assistance, the group said.

"Definitely the government is not capable," said Dr. Douglas Gwatidzo, who is part of the doctors' group. " It does not have the capacity to control the spread of cholera or to put a stop to it at the moment."

On Tuesday, doctors and nurses demonstrated against the government's failure to prevent the collapse of the health system. Baton-wielding police officers broke up the rally.

Meanwhile, a unity government in Zimbabwe has yet to materialize. The main political opposition party refuses to join one unless Mugabe meets several conditions.

The party, the Movement for Democratic Change (MDC), and Mugabe's party, ZANU-PF, signed a power-sharing resolution in September, but the agreement has failed to ease political tensions.

The MDC accuses Mugabe of grabbing all key ministries such as home affairs, information, local government, foreign affairs and defense. It said it wants an "equitable" distribution.

The stalemate continues.

-- CNN's Nkepile Mabuse contributed to this report.

@highlight

Main hospitals in Harare stops taking patients due to medicine shortage

@highlight

Doctors Group: Mugabe's govt. responsible for recent cholera epidemic

@highlight

Zimbabwe ask group headed by ex-U.N. chief Kofi Annan to postpone visit

@highlight

State-owned newspaper calls visit a "partisan" attempt to boost the opposition