(CNN)The mass killings of Armenians in the Ottoman Empire, which began 100 years ago Friday, is said by some scholars and others to have been the first genocide of the 20th century, even though the word "genocide" did not exist at the time.

The issue of whether to call the killings a genocide is emotional, both for Armenians, who are descended from those killed, and for Turks, the heirs to the Ottomans. For both groups, the question touches as much on national identity as on historical facts.

Some Armenians feel their nationhood cannot be fully recognized unless the truth of what happened to their forebears is acknowledged. Some Turks still view the Armenians as having been a threat to the Ottoman Empire in a time of war, and say many people of various ethnicities -- including Turks -- were killed in the chaos of war.

In addition, some Turkish leaders fear that acknowledgment of a genocide could lead to demands for huge reparations.

So, what do we know about happened in those fateful days? Here are some answers:

The Ottoman Turks, having recently entered World War I on the side of Germany and the Austro-Hungarian Empire, were worried that Armenians living in the Ottoman Empire would offer wartime assistance to Russia. Russia had long coveted control of Constantinople (now Istanbul), which controlled access to the Black Sea -- and therefore access to Russia's only year-round seaports.

Many historians agree that the number was about 2 million. However, victims of the mass killings also included some of the 1.8 million Armenians living in the Caucasus under Russian rule, some of whom were massacred by Ottoman forces in 1918 as they marched through East Armenia and Azerbaijan.

By 1914, Ottoman authorities were already portraying Armenians as a threat to the empire's security. Then, on the night of April 23-24, 1915, the authorities in Constantinople, the empire's capital, rounded up about 250 Armenian intellectuals and community leaders. Many of them ended up deported or assassinated.

April 24, known as Red Sunday, is commemorated as Genocide Remembrance Day by Armenians around the world. Friday is the 100th anniversary of that day.

This is a major point of contention. Estimates range from 300,000 to 2 million deaths between 1914 and 1923, with not all of the victims in the Ottoman Empire. But most estimates -- including one of 800,000 between 1915 and 1918, made by Ottoman authorities themselves -- fall between 600,000 and 1.5 million.

Whether due to killings or forced deportation, the number of Armenians living in Turkey fell from 2 million in 1914 to under 400,000 by 1922.

Almost any way one can imagine.

While the  death toll is in dispute, photographs from the era document some mass killings. Some show Ottoman soldiers posing with severed heads, others with them standing amid skulls in the dirt.

The victims are reported to have died in mass burnings and by drowning, torture, gas, poison, disease and starvation. Children were reported to have been loaded into boats, taken out to sea and thrown overboard. Rape, too, was frequently reported.

In addition, according to the website armenian-genocide.org, "The great bulk of the Armenian population was forcibly removed from Armenia and Anatolia to Syria, where the vast majority was sent into the desert to die of thirst and hunger."

No. Genocide was not even a word at the time, much less a legally defined crime.

The word "genocide" was invented in 1944 by a Polish lawyer named Raphael Lemkin to describe the Nazis' systematic attempt to eradicate Jews from Europe. He formed the word by combining the Greek word for race with the Latin word for killing.

Genocide became a crime in 1948, when the United Nations approved the Convention on the Prevention and Punishment of the Crime of Genocide. The definition included acts meant "to destroy, in whole or in part, a national, ethnical, racial or religious group."

Armenia, the Vatican, the European Parliament, France, Russia and Canada. Germany is expected to join that group on Friday, the 100th anniversary of the start of the killings.

Turkey, the United States, the European Commission, the United Kingdom and the United Nations.

A U.N. subcommittee called the killings genocide in 1985, but current U.N. Secretary-General Ban Ki-moon declines to use the word.

Also, a year ago, on the eve of the 99th anniversary of Red Sunday, then-Turkish Prime Minister (now-President) Recep Tayyip Erdogan offered condolences for the mass killings, which he said had "inhumane consequences." While Turkey vehemently continues to reject the word "genocide," his remarks went further than those of any previous Turkish leader in acknowledging the suffering of Armenians.

@highlight

The 100th anniversary of the start of the mass killings will be commemorated Friday

@highlight

Turkey and others reject the use of the word "genocide"

@highlight

Most estimates of the deaths fall between 600,000 and 1.5 million