(CNN) -- Another child has been infected with a rare, brain-eating parasite, less than a month after an Arkansas girl ended up in a hospital, fighting for her life.

The Centers for Disease Control and Prevention confirmed another case of this amoeba, called Naegleria fowleri, in Florida, a spokesman told CNN Tuesday. The patient is 12-year-old Zachary Reyna, his family told CNN affiliate WBBH.

Reyna's family told WBBH that Reyna was kneeboarding with friends in a water-filled ditch by his house on August 3. He slept the entire next day.

Reyna is an active seventh grader, his family said, so sleeping that much was unusual. His mother took him to the hospital immediately. He had brain surgery, and doctors diagnosed him with primary amoebic meningoencephalitis, according to WBBH. The family said he is currently in the intensive care unit at the Miami Children's Hospital.

The CDC says it has been in touch with the patient's doctors and has released the same experimental anti-amoeba drug used to treat 12-year-old Kali Hardig in Arkansas. Reyna's family told WBBH he is also being treated with an antifungal medicine and antibiotics.

Getting this parasite is extremely rare; between 2001 and 2010 there were only 32 reported cases in the United States, according to the CDC. Most of the cases are in the Southeast.

The cases are nearly always deadly, but Hardig's case is giving the Reyna family some hope.

The Arkansas girl was infected with the same rare, brain-eating parasite a couple of weeks ago and was in the intensive care unit at Arkansas Children's Hospital.

She is now in rehab, which is "really a great sign for her," hospital spokesman Tom Bonner said Tuesday. She is listed in fair condition.

Hardig has shown so much progress that she can now sign her own name, her mother, Traci Hardig, told Bonner. Kali can't talk yet because of a sore throat from the breathing tube and the general grogginess she feels from medication, Bonner said.

Hardig's doctors are in largely uncharted territory. Of 128 known cases in the past half-century, just two patients have survived an infection caused by this microscopic organism, according to the CDC.

Naegleria fowleri is found in hot springs and warm, fresh water, most often in the southeastern United States. The amoeba enters the body through the nose and travels to the brain. There is no danger of infection from drinking contaminated water, the CDC says.

"This infection is one of the most severe infections that we know of," Dr. Dirk Haselow of the Arkansas Department of Health told CNN affiliate WMC about Hardig's case. "Ninety-nine percent of people who get it die."

Why 'nightmare bacteria' on the rise

Dr. Sanjiv Pasala, one of Hardig's attending physicians, says doctors immediately started treating Hardig with a new experimental anti-amoeba drug they received directly from the CDC. They also reduced the girl's feverish body temperature to 93 degrees. Doctors have used that technique in some brain injury cases as a way to preserve undamaged brain tissue.

Several weeks ago, doctors checked the girl's cerebral spinal fluid and could not find any presence of the amoeba.

Willow Springs Water Park in Little Rock is the most likely source of Hardig's infection, the Arkansas Department of Health says. Another case of the same parasite was reported in 2010 and was possibly linked to Willow Springs, a three-acre sand-bottom, spring-fed lake.

"Based on the occurrence of two cases of this rare infection in association with the same body of water and the unique features of the park, the ADH has asked the owner of Willow Springs to voluntarily close the water park to ensure the health and safety of the public," the health department said.

Willow Springs' website says its water is pH-balanced, chemically treated, chlorinated and routinely monitored by the health department.

What's in your pool water?

The first symptoms of primary amoebic meningoencephalitis appear one to seven days after infection, including headache, fever, nausea, vomiting and a stiff neck, according to the CDC.

"Later symptoms include confusion, lack of attention to people and surroundings, loss of balance, seizures and hallucinations," the government agency's website states. "After the start of symptoms, the disease progresses rapidly and usually causes death within one to 12 days."

Here are some tips from the CDC to help lower the risk of infection:

• Avoid swimming in fresh water when the water temperature is high and the water level is low.

• Hold your nose shut or use nose clips.

• Avoid stirring up the sediment while wading in shallow, warm freshwater areas.

• If you are irrigating, flushing or rinsing your sinuses (for example, by using a neti pot), use water that has been distilled or sterilized.

CNN's John Bonifield and Caleb Hellerman contributed to this story.

@highlight

NEW: Family says Zachary Reyna is receiving same drugs as Kali Hardig

@highlight

Arkansas girl is now in rehab in fair condition, the hospital says

@highlight

Both Reyna and Hardig contracted a rare, brain-eating parasite called Naegleria fowleri