(CNN) -- In parts of France, he is regarded as sailing's answer to David Beckham, but Alex Thomson is just happy to be alive rather than fretting about his potential celebrity status.

Eight years ago Thomson was quietly lying in the bunk of his yacht in the early hours of a Thursday morning listening to his iPod when his near-death experience began.

In the heart of the Southern Ocean, 1,000 miles from the nearest land, South Africa, his boat suddenly pitched completely to its side.

With his keel broken, Thomson began his battle to stay alive.

"Things go through your mind like 'is this it?'" he recalls of what remains the biggest low of his career during the Velux 5 Oceans race in 2006.

"But then survival kicks in. What else are you going to do? Everyone else says 'that's amazing' but you don't have a choice. No one else is going to help you."

Except someone did come to his aid -- his sailing nemesis Mike Golding, with whom Thomson had spectacularly fallen out with on the eve of the race.

Thomson had opted not to finish the prologue race while leading -- superstitiously believing that to do so would scupper his chances of overall victory. No prologue winner had ever won the race.

It meant that Golding, who was also planning a similar strategy, took the win -- and was left fuming.

"He felt that I'd stitched him up on purpose," says Thomson. "Words were said, a slanging match ensued and he called me a 'jumped-up little pr**k.'"

Despite the pair's spat, Golding gave up his own race ambitions -- he was second at the time -- to rescue a sailor in need.

It took Golding a further 10 hours to reach Thomson, before the pair opted -- in the sleet and snow -- to undertake the rescue at first light.

Wearing his survival suit, Thomson jumped ship into his life raft amid a 15-foot swell approaching the eye of a storm.

Three times, Golding tried to undertake the high speed and treacherous rescue. Only to fail three times.

During the fourth attempt, which was ultimately successful, Thomson broke his arm as he held on to some webbing.

"I remember an albatross sat in the water next to me in the life raft as I left myself go from the boat," says Thomson.

"The albatross felt like a mascot -- it gave me a warm feeling. Mike felt all the responsibility on him and he saw it differently -- he felt like it was a vulture to him."

The pair hugged before collapsing, both exhausted on the deck before Thomson went into shock.

Golding dressed his wounds and the pair had a cup of coffee before a 40-knot icy gust hit the boat resulting in the mast on Golding's yacht breaking.

"I remember saying 'I'm so sorry' and he stood over me and said 'do you know what the moral of the story is?' and I thought he was going to punch me. 'Don't come first or second in the prologue!'"

The pair worked tirelessly together for eight days to sail into Cape Town -- a city where Golding had married his wife -- and from that moment onwards understandably become the best of friends.

The eight-year anniversary of their rescue has just passed but Thomson has not been put off by the perils of the high seas.

When most people will be preparing to pop champagne corks on New Year's Eve, he will set off on his next quest, the Barcelona World Race, a two-man non-stop circumnavigation of the globe with Spanish sailor Pepe Ribas.

Thomson is far more welcoming than the British seas on the day we meet.

Boarding is done on the move from a rib (small speedboat) and seconds after the usual greeting niceties, I'm put in the driving seat.

Sailing such a boat at a 35-degree angle as it creaks noisily underneath is unnerving, the steering column responsive to the slightest push from the curved blue seat from which Thomson dictates his myriad voyages.

The bearded Thomson is not tall but oozes a physicality that makes you realize he is well equipped to take whatever the sea throws at him.

One minute he is cracking a joke or recalling a past sailing anecdote, the next deadly serious barking instructions to his team on board.

For the most part, though, Thomson likes to be alone, his long term goal a return to solo sailing in the 2016 Vendee Globe.

At the back of his mind when he sets out on that particular venture, he does so knowing he may never come back again.

"The emotion is horrendous," he says looking back to the start of the last Vendee Globe when he finished third.

"Your family and friends are there, in fact 500,000 people are there at the start. They come to watch the start as they know that maybe you won't come back again."

His long-term mentor Sir Keith Mills, who is also a key figure in Ben Ainslie's America's Cup venture, reportedly told Thomson, "I've been to Olympic Games, World Cup finals and I've never experienced anything like this."

In the Vendee region of France, Thomson says he is held up on a pedestal, given superstar status like Beckham.

Locals will give him free drinks and meals, while the short walk on the harbor to his boat will see him stop to sign autographs for scores of fans.

Back at home, the married father of two becomes invisible among the public.

"No one pays attention to me and I like that, although it's nice to be a superstar for a week or two."

The Vendee is a race that no Briton has ever won before and Thomson is determined to be the first but he knows that trip and his upcoming one from Barcelona are hard to take for his family.

"My wife [Kate] worries every day and not just her but the team as they are a family," he says.

"Sometimes you forget to call or you say 'sorry, got to go' as you need to ease the main sheet or whatever and then you forget to ring back.

"They'll be tearing their hair out as they're not in control of the situation."

But the sailing, and in particular the solo sailing, is a drug that he cannot give up, and something he says he would even do for free such is his obsession with the sport.

"If you're performing well, it's great. It's like every day winning the 100 meters as you always feel like you're performing.

"If you're not doing well it's like hell on earth. I've had both ends of the spectrum and I just love that performing end."

Thomson has gained notoriety for two sailing stunts, one in which he stood on the keel of his boat as it was titled to the side in race mode before jumping off, the other seeing him hurtle up the mast before diving into the ocean -- both times bedecked in a designer suit.

Conscious of the risks involved of stunts and voyages alike, Thomson uses sports psychologist Ken Way to talk him through the emotions he is experiencing.

"I use Ken if I've got a challenge that needs overcoming," he says. "When you're on deck, it's pretty scary but when you go inside your brain is screaming at you 'you're going to die.'

"So to be able to go to sleep when your body's pumping adrenalin into it and keeping you alive is really quite hard."

The psychologist has taught Thomson visualization exercises to keep his demons at bay.

"I visualize being above the boat but not in the clouds, outside it. I can look down at the boat, I can see it's windy, the waves are big but it's not too bad.

"I can see there are no icebergs, containers, whales. That allows me to calm down a bit but you have to work out what it is, how to address it and it takes months being able to deal with that."

Whatever the formula, it is clearly working.

Thomson remains in a select band of about 100 people to have circumnavigated solo around the globe. Now he wants to be the quickest.

@highlight

Alex Thomson on the perils of sailing around the world and his one near-death experience

@highlight

Briton had to be rescued by his nemesis Mike Golding, breaking his arm in the process

@highlight

Thomson is preparing for his latest treacherous adventure at the end of the year

@highlight

In the sailing-obsessed Vendee region of France, he is treated like David Beckham