(CNN) -- A Chinese satellite probing the mysterious disappearance of Malaysia Airlines Flight 370 "observed a suspected crash area at sea," a Chinese government agency said -- a potentially pivotal lead into what thus far has been a frustrating, fruitless search.

China's State Administration for Science, Technology and Industry for National Defense announced the discovery, including images of what it said were "three suspected floating objects."

The objects aren't small: 13 by 18 meters (43 by 59 feet), 14 by 19 meters (46 by 62 feet) and 24 by 22 meters (79 feet by 72 feet). For reference, the wingspan of an intact Boeing 777-200ER like the one that disappeared is about 61 meters (200 feet), and the plane's overall length is about 64 meters (210 feet).

The images were captured around 11 a.m. on March 9, the day after the plane went missing, but weren't released until Wednesday.

The Chinese agency gave coordinates of 105.63 east longitude, 6.7 north latitude, which would put it in waters northeast of where it took off in Kuala Lumpur, Malaysia, and south of Vietnam, near where the South China Sea meets the Gulf of Thailand.

"It's where it's supposed to be," Peter Goelz, a former National Transportation Safety Board managing director, told CNN's Jake Tapper, noting the "great skepticism" about reports the plane had turned around to go back over Malaysia. "I think they've got to get vessels and aircraft there as quickly as humanly possible."

This isn't the first time authorities have announced the discovery of objects or oil slicks that might be tied to aircraft. Still, it is the latest and comes on the same day that officials, rather than narrowing the search area, more than doubled it from the day earlier to nearly 27,000 square nautical miles (35,000 square miles).

The vastness of the area and the limited details that authorities have given makes it hard to tell whether the spot that the satellite imagery captured has been searched. A Malaysian air force official, who is not authorized to speak to the media, did say Thursday morning that its aircraft were heading to that area.

Bill Palmer -- author of a book on Air France's Flight 447, which also mysteriously went missing before its remnants were found -- said having a search area of that size is immensely challenging. He compared it to trying to find something the size of a car or truck in Pennsylvania, then widening it to look for the same thing in all of North America.

"It's a very, very difficult situation to try to find anything," Palmer told CNN's Brooke Baldwin. "Looking for pieces on the shimmering water doesn't make it any easier."

The Chinese satellite find could help, significantly, in that regard.

"I think the size of the pieces ... everything we've heard... gives good cause to believe that we've now (refocused) the area," former Federal Aviation Administration official Michael Goldfarb told CNN. "And that's a huge relief to everybody ... I think it's a high chance that they're going to confirm that these (are) pieces of the wreckage."

But not every expert was convinced this is it. Clive Irving, a senior editor with Conde Nast Traveler, said that the size of the pieces -- since they are fairly square and large -- "don't conform to anything that's on the plane."

Tom Haueter, a former NTSB aviation safety director, said he'd be "surprised" if the objects came from the plane, rationalizing that anything that big wouldn't float.

Regardless, time is of the essence -- both for investigators and the loved ones of the plane's 239 passengers and crew, who have waited since Saturday for any breakthrough that would provide closure.

The flight data recorders should "ping," or send out a signal pointing to its location, for about 30 days from the time the aircraft set off, noted Goldfarb. After that, Flight 370 could prove exponentially harder to find.

"It's the only clue that we've had so far," CNN aviation expert Richard Quest said of the satellite imagery clues. "If this doesn't prove to be the wreckage of 370, then we're back to square one."

Timeline of Malaysia Airlines Flight 370

Vietnamese minister: 'Insufficient' information

The Malaysia Airlines flight set off seemingly without incident early Saturday, not long after midnight, en route to Beijing.

Then, around 1:30 a.m., all communication cut off over a location south and east of where the Chinese satellite images were shot.

Azharuddin Abdul Rahman, the head of Malaysia's civil aviation department, said around 6 a.m. Thursday in Kuala Lumpur -- hours after China's announcement -- that his agency had not seen the images.

This assertion comes amid frustration about the investigation, search and communication surrounding both.

Relatives of those aboard the plane have expressed outrage, with video showing some of them angrily throwing water bottles at airline officials. And on Tuesday, a middle-aged man -- who said his son was on that plane -- shouted, "Time is passing by," before bursting into tears.

Some involved in the multinational search operation have also vented about the ordeal.

Most of those on the flight were Chinese, and the Chinese government has urged Malaysia to speed up the pace of its investigation.

And Phan Quy Tieu, Vietnam's vice minister of transportation, has characterized the information that Malaysian officials have provided as "insufficient."

"Up until now we only had one meeting with a Malaysian military attache," he said.

For now, Vietnamese teams will stop searching the sea south of Ca Mau province, the southern tip of Vietnam, and shift the focus to areas east of Ca Mau, said Doan Luu, the director of international affairs at the Vietnamese Civil Aviation Authority.

Malaysia's transportation and defense minister Hishamuddin Bin Hussein defended his government's approach. "We have been very consistent in the search," he said.

How you can help find the plane

Confusion about plane's route

Over the weekend, authorities suddenly expanded their search to the other side of the Malay Peninsula, in the Strait of Malacca, where search efforts now seem to be concentrated.

That location is hundreds of miles off the plane's expected flight path.

An explanation appeared to come Tuesday when a senior Malaysian Air Force official told CNN that the Air Force had tracked the plane to a spot near the small island of Palau Perak off Malaysia's west coast in the Strait of Malacca.

The plane's identifying transponder had stopped sending signals, too, said the official, who declined to be identified because he was not authorized to speak to the media.

Malaysia's civilian administration appeared to dispute the report, however.

The New York Times quoted a spokesman for the Malaysian prime minister's office as saying Tuesday that military officials had told him there was no evidence the plane had flown back over the Malay Peninsula.

Malaysia Airlines Flight 370: What we know and don't know

The Prime Minister's office didn't immediately return calls from CNN seeking comment.

In another shift, Malaysian authorities said at a news conference Wednesday that radar records reviewed in the wake of the plane's disappearance reveal an unidentified aircraft traveling across the Malay Peninsula and some 200 miles into the Strait of Malacca.

However, it wasn't clear whether that radar signal represented Malaysia Airlines Flight 370, Gen. Rodzali Daud, head of the Malaysian Air Force, said at the news conference.

Rodzali said then that officials are still "examining and analyzing all possibilities" when it comes to the plane's flight path.

As Rob Mark, a commercial pilot and publisher of JetWhine.com, told CNN's Erin Burnett: "There's so much confusing information flying around about this right now."

Nothing has been ruled out as to what caused the plane's communication systems -- including its crucial transponder -- to suddenly stop working.

Terrorism, hijacking, pilot error and a mechanical malfunction all remain just as valid as possibilities now as when the plane went missing.

Amid all the confusion and complaints, Malaysian Prime Minister Najib Razak on Wednesday appealed for patience.

"The families involved have to understand that this is something unexpected," Najib said. "The families must understand more efforts have been made with all our capabilities."

Danica Weeks is trying to keep it together for her two young sons, though the possibility of life without husband Paul is sometimes overwhelming. She's clinging to hope even though, as Weeks told CNN's Piers Morgan, it's "not looking good."

"Every day it just seems like it's an eternity, it's an absolute eternity," Weeks said from Australia. "We can only go minute-by-minute ... and hope something comes soon."

What is a transponder?

CNN's Jethro Mullen wrote from Hong Kong; Greg Botelho and Michael Pearson wrote from Atlanta. CNN's Khushbu Shah, Kathy Quiano, Sarita Harilela, David Molko, Sarah Aarthun, Catherine E. Shoichet, Pauline Chiou, Steven Jiang and journalist Ivy Sam contributed to this report.

@highlight

NEW: "Every day it just seems like it's an eternity," passenger's wife says

@highlight

Chinese agency: The satellite found "three suspected floating objects"

@highlight

Flight 370 went missing early Saturday; massive area is being searched

@highlight

"There's so much confusing information," a commercial pilot says