Beijing (CNN) -- Chinese Premier Li Keqiang is in India on his first foreign trip since assuming the post and has begun diplomatic talks at a delicate time for the world's two most populous nations.

Just weeks ago, the world witnessed the latest chapter in one of Asia's least understood disputes when soldiers from China's People's Liberation Army crossed the border and set up an encampment in the mountains at the edge of the Indian region of Ladakh.

The troops have since withdrawn, but the incident served as a stark reminder of the smoldering problem that still bedevils the Asian behemoths.

The origins of the struggle for this charged corner of the world lies in the realpolitik and imperialism of the 19th and 20th centuries.

According to a report by the U.S. Marine Corps Command and Staff College, the British, installed in their Indian colony, attempted to demarcate their holdings with the "Johnson Line."

CNN iReport: Indians protest China's incursion

Drawn by the surveyor, William Johnson in 1864, it claimed the area known as Aksai Chin as part of India's Ladakh territory. The British later repudiated the line and, in 1899, replaced it with the Macartney-MacDonald line. The new line moved Aksai Chin back to China.

After World War I, the British reversed themselves again, placing Aksai Chin back in India, but never made any effort to exert formal authority. In 1947, newly independent India drew their border to reflect the more generous Johnson Line even though they had not exerted an iota of control over Aksai Chin for almost half a century.

The Ladakh incursion puts a wrinkle on what seemed to be a burgeoning era of Sino-Indian bonhomie. In recent years, both nations have bent over backwards to demonstrate their mutual good will.

Bilateral trade is expected to hit $100 billion by 2015, joint military exercises were held last year (after previously being suspended) and both sides had agreed to respect a more favorable boundary for China known as the "Line of Actual Control."

But China's recent advance beyond the de facto border is hardly without precedent.

According to The Times of India, China has violated the LAC more than 500 times since 2010. Though experts have described many of these transgressions as "routine," and regular military contact exists between the two governments, any "mistake" that were to occur by the Chinese army on Indian soil could be volatile. Particularly in China, journalist-stoked jingoism can turn even the most banal activity into an absurd ballet of face-saving.

Far-fetched? In 2002, American soldiers in South Korea accidentally ran over and killed two 14-year-old girls. The Yangju Highway Incident, as it became known, sparked a fury of anti-American protests and severely tested the U.S.-Korea relationship -- and America was there legally. How would India and China resolve a similar incident?

"Mistakes can be made," said Anil Gupta, professor of strategy & globalization, at the University of Maryland at College Park and co-founder of the China-India Institute. "However, I do not believe that either China or India is looking for a fight." Gupta stressed that China's latest incursion should be seen in a regional context as a test of "muscle-flexing" and that its actions were not indicative of any real desire to acquire new territory.

Muscle-flexing or not, what is certain is that in recent years China has become a very bad neighbor. Their Indian claims extend over a 6,530-kilometer (4,057-mile) border, which includes a sizeable chunk of the Indian state of Arunachal Pradesh and large swaths of Bhutan. In the last year the world saw the strident revival of China's long dormant claim to the Senkaku/Diaoyu Islands, as well as a string of others extending as far south as the James Shoal, a mere 80 kilometers (50 miles) from the Malaysian coast.

While the risk of conflict between China and India will always remain until a final resolution is reached, going forward, there are reasons to believe that the two sides will be able to continue on a relatively peaceful track.

China's relationship with India is far more benign than its one with their other regional antagonist, Japan. The 1962 Sino-Indian war, fought for this very territory, is all but forgotten among Chinese citizens, while memories of Japanese hostilities during World War II are as raw as ever. As the Sinologist Susan Shirk reported in her book: "China: Fragile Superpower," China's relationship with Japan is highly sensitive and thus subject to the counterproductive impulses of popular nationalism. By contrast, China's relations with India stir no such emotions and are handled out of the spotlight with greater room to maneuver.

Economics too will likely promote cooler heads. As Gupta noted, India's importance to China will only increase as India's economy grows. As a market for exports and investments, he predicted that India would become an invaluable partner. "I see the next five years as high risk," said Gupta. "Then I think we can all be a lot more relaxed."

Unfortunately, it remains a truism that facts on the ground often move faster than governments' ability to respond to them. In the absence of a resolution, the world can only hope that India and China succeed in kicking their differences down the road indefinitely, because if their dispute ever does come to a head, the consequences could be catastrophic.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Jonathan Levine.

@highlight

Chinese premier makes first foreign trip since taking role to India

@highlight

Visit comes weeks after Chinese troops crossed the border into India

@highlight

Two countries have been involved in a land dispute for more than a century

@highlight

Analyst says there's no appetite for a fight between the two most populous nations