The Australian prime minister's hard-line plan to throw foreign fighters and ISIS supporters into maximum security prison is finally coming to fruition.

The country's parliament passed the controversial Counter-Terrorism Legislation Amendment (Foreign Fighters) Bill on Thursday, which will make it easier for police and security agencies to apprehend alleged terrorist suspects (and supporters) and detain them without explanation, potentially leading to lengthy prison sentences.

The new legislation is designed to inhibit would-be fighters from traveling overseas to join conflicts. It will also subject foreign fighters and individuals who have been in conflict areas to a range of controls upon their return to Australia. The laws will also incarcerate individuals who "advocate terrorism."

In reality, the laws lower the threshold for arresting people on alleged terrorism offenses and will potentially lead to innocent individuals being arrested and detained.

New law 'counterproductive'

Australia's approach is contradictory to other national governments' anti-terrorism tactics and may actually be counterproductive. Its new legislation could increase the risk of terrorism by further alienating marginalized youth who have toyed with the idea of associating with terrorists or committing violent acts in the name of ISIS.

The Danish government, for example, is developing diversionary programs that see some foreign fighters handled on a case-by-case basis and potentially offered rehabilitation without prison time. In the UK, terror suspects could be placed under a Terrorism Prevention and Investigation Measures (Tpims), which will force some to engage in de-radicalization programs. Tpims are court orders that place restrictions on the movements and activities of suspects where there is insufficient evidence to bring charges.

Both of these programs differentiate between the types of terrorist offenders. For example, those that have committed terrorist violence; those that are preparing for an act; those that support the idea of an Islamic state but not violence; and those that claim membership for other motives.

In Australia, one might only have to brag about supporting or belonging to a terrorist group to potentially end up in prison for up to five years.

Playing the Australian coalition government's usual national security trump card, the laws were rushed through parliament, with inadequate time to be properly developed and scrutinized. Muslim groups, lawyers, human rights groups and academics have all urged the government to delay passing the legislation due to human rights issues, to no avail.

'No go' zones

The new legislation targets Australians who engage in conflicts in foreign countries and seek to return home, and criminalizes travel to areas designated by Australia's Foreign Minister as "no go" zones on the grounds that a terrorist organization operates within it.

The designation power is broad and allows the proscription of entire countries or regions spanning two or more countries. The offense carries a maximum penalty of 10 years' imprisonment.

Given their breadth, the laws do not merely affect foreign fighters but also, potentially, people who may have traveled to designated areas for a range of other reasons -- such as visiting or caring for families, performing humanitarian aid work, or undertaking official or journalistic duties.

Advocating terrorism

The new laws also make it an offense to "advocate terrorism" with offenders potentially facing lengthy jail terms if they "counsel, promote, encourage or urge the doing of a terrorist act." Prior to the new legislation, authorities "had to 'believe' a terror crime was about to be committed".

Under the new legislation, police only "have to 'suspect' a crime is to be committed to be able to detain and charge someone." Police could now act the moment people start advocating terrorism, effectively implying that they are guilty well before the reality of a violent crime being committed.

The Australian teenager Abdullah Elmir, who recently appeared in a YouTube video released by ISIS threatening Australian and allied nations, is one of the targets of the new legislation.

But other cases may be less clear. Within the group of ISIS supporters here in Australia, it isn't hard to come across some marginalized Muslim youth who simply claim to support ISIS. However, the depth of their radicalization is shallow and they appear naive about the real conditions of conflict and Islamic State violence. Like many other defiant teenagers, being part of a gang or group of any type can provide protection and a sense of belonging.

While such cases might look like instances of advocating terrorism, in reality, their relationship to terrorism is superficial. Teenagers pledging allegiance to ISIS seems merely to serve as a way to lift their social standing among their networks, at school or in their community. In their minds, such claimed allegiance makes them strong and invincible. It would be fair to say that their claims of support for ISIS comes with little consideration for its wider consequences, such as potentially ending up in the judicial system.

Caution needed

Among those who have traveled to fight in Syria and Iraq, many may have not liked what they have witnessed and want to return to Australia.

Not all will come back as hardened terrorists. There will be some that have already disengaged from supporting ISIS because they have been disillusioned by what they have seen in Syria or Iraq. There will be others who have traveled to fight to support their Muslim brothers but who pose no threat to Australia and still consider themselves Australian.

Given such wide differentiation, the Australian government must be careful in the development of its anti-terrorism legislation not to lump everyone in the same basket. Not everyone sympathetic to ISIS goes on to become a violent extremist, nor have they all committed violent acts.

For supporters who stayed at home, the main objective should be to divert them from police attention, the courts and incarceration.

Diversion, not jail

Returnees who have broken Australian law will, no doubt, enter the judicial system. However, they should be dealt with fairly and humanely and not simply given, as Australia's prime minister would have it, mandatory and lengthy maximum security prison terms of isolation.

Like the Danish and UK governments, the Australian government should take heed and direct more focus to developing diversionary programs to keep young offenders away from the judicial system, rather that creating new laws to make it easier to incarcerate them. The Australian government should also look at developing prison-based intervention programs to deal with those who have committed acts of violence.

For all its posturing and claims of strengthening the country, the Australian government's actions display a timidity its Danish and UK counterparts do not. Simply locking young people away for a long time does nothing to show a nation's strength. Unless we try to understand and address the root cause of young Australians radicalizing, the problem is unlikely to go away and Australia will continue to be under "high" threat.

@highlight

Australian parliament passes Foreign Fighter's Bill to introduce stiff penalties

@highlight

Legislation slammed as too harsh and sweeping; could see innocent people jailed

@highlight

Law establishes "no go" zones to inhibit Australians from joining foreign forces

@highlight

Jones: "Locking young people away for a long time does nothing to show a nation's strength"