(CNN) -- The death of Moammar Gadhafi is not the game-changer many would like it to be. His regime was already a thing of the past.

For Libya's transitional government, the challenges today are just as daunting as they were last week. To be sure, Gadhafi's death provides them a moment of respite and an important propaganda boost as they try to cobble together a credible coalition that can govern. It further breaks down the psychological barrier of fear so many Libyans have continued to feel, left over from decades of dictatorial rule. However, the gains, while important, are more symbolic than practical.

Gadhafi was the greatest unifier Libyans could have asked for. He was erratic, brutal and a mismanager par excellence and, as such, managed to mobilize a broad swath of Libyans around a shared goal: the downfall of his hated regime. Now that Gadhafi has left the scene, the rebels and their fledgling government have lost their original raison d'etre.

Libya was the Arab Spring's first true revolution, the only one in which the revolutionaries now hold the levers of power. And, unlike Egypt and Tunisia, Libya does not have to contend with old, decaying institutions. The old regime does not need to be adapted to the new. But as promising as blank slates are, they are also dangerous.

The National Transitional Council has been plagued by infighting and the emergence of factions. The divisions have taken on an increasingly ideological tone. It is the same old story: Liberals and Islamists come together during the revolution, only to split afterward, often in acrimony.

Above all else, a government needs to govern. It has to have a monopoly on the use of force, and this is a challenge in one the world's most heavily armed countries. The various militias that helped bring down Gadhafi now represent competing centers of power and influence. Disarming them, or integrating them into the national army, is a key task ahead for Libya's new leaders.

The euphoria we are witnessing today in the streets of Tripoli and Benghazi is encouraging. But it is also premature and misleading. It is likely to be remembered as a brief but welcome aberration in a slow slog toward something resembling democracy.

All the actors with a stake in Libya should quickly adjust their expectations accordingly. I, and many others, are optimistic about Libya prospects, but only if Libyans -- and international supporters and donors -- get the key components of the transitions right and do it right away.

Revolutions are much more glamorous when they are being fought, less so when they're being built through the sometimes unsavory give-and-take of consensus building.

With Syria disintegrating, Tunisia holding landmark elections and Egypt sputtering along unconvincingly, the attentions of the international community are understandably divided. But it cannot afford to forget Libya.

Fortunately, Libya is perhaps the only Arab country where people seem to genuinely like Europe and the United States for the decisive support they offered to the revolution. That sort of good will doesn't come every day. Here's hoping that we use it and that we use it for good.

The opinions expressed in this commentary are solely those of Shadi Hamid.

@highlight

Shadi Hamid: Libya's new government's task is challenge even before Gadhafi's death

@highlight

Loathing for regime unified Libyans, he says; now new government must unify, govern

@highlight

Disarming militias, integrating them into army next task; slog toward democracy begins

@highlight

Hamid: International community must use its unique chance to help Libya in its transition