(CNN) -- Sandwiched between Hong Kong and Shenzhen -- two of the world's busiest metropolises -- lies a Cold War-era anomaly: a 26 square kilometer green zone that is home to isolated villages, fishponds and flocks of migratory birds.

Little more than 50m to the north, beyond the mesh fence and barbed wire that mark the border between mainland China and the Hong Kong Special Administrative Region, the skyscrapers of Shenzhen loom incongruously over the wetlands and vegetable patches of the Frontier Closed Area.

Established in 1951 after the Korean War placed colonial Hong Kong in the frontline of a U.N. embargo against the People's Republic of China, the buffer zone was created to stop illegal immigrants, smugglers and spies.

Sixty years later and the Frontier Closed Area has long since passed its useful life, leaving behind a natural habitat largely untouched by humans and some of the most valuable undeveloped real estate in the world.

Last month, the Hong Kong government launched the first stage of a large-scale reduction in the area of the zone, allowing public access to 740 hectares of the 2,800 hectare cordon.

Previously, tourists and non-residents needed permits to enter the zone and the estimated 9,500 people living inside the area were required to flash special passes to take transport into the frontier area.

While the move represents a further step in the integration of Hong Kong -- until 1997 a British colony -- with mainland China, at a local level a spat is brewing over the future use of the valuable stretch of land.

Villagers from Lin Ma Hang, a hamlet of little more than 150 people which will remain within the closed area until 2015, claim the government's plan to turn the area into a "green buffer" will interfere with their right to develop property they have owned for generations.

While the rest of Hong Kong is riding a boom, property prices in the Frontier Closed Area have been depressed for decades.

As the temperature of the debate ramps up, Lin Ma Hang residents have told Hong Kong government meetings they will fight land use plans for the Frontier Closed Area in the same way they fought and resisted the Japanese during the war.

Lin Ma Hang village chief Yip Wah-ching told local media the residents of the zone are not against plans for a green heritage zone, but he believed there should be plenty of room for tourism-related projects.

"After our section of the FCA is fully opened to the public, we hope the government will step forward and give us the necessary support for tourism and agricultural development," he told China Daily.

Under a feasibility study undertaken by the Hong Kong Planning Department, with the help of global engineering giants ARUP, the government envisages a public-private partnership to create a combined conservation and eco-tourism zone involving low-density private residential and passive recreation development.

While the study does not envisage large-scale development in the zone, it does not rule it out in the future depending on Hong Kong's population and economic pressures.

Already conservationists have expressed concern over the fate of wetlands in the zone which make up part of the East Asian-Australasian flyway -- a corridor for migratory birds. As many as 10 species of globally endangered birds use this wetlands, according to conservation group Birdlife International.

While half the wetlands fall within the protected area of the Mai Po and Inner Deep Bay nature reserve, the other half is in part of the Frontier Closed Area that could be earmarked for development. Ecologists fear that if the integrity of the continuous habitat is interrupted, the whole system could be under threat.

Conservation manager at the World Wildlife Fund, Alan Leung, says the pressure from land-hungry Hong Kong -- which has some of the highest land and property prices in the world -- means any conservation programs for the area would need to be strongly policed.

In the past, Hong Kong developers have used illegal tactics such as tree-felling, landfill and land excavation to degrade land, later lodging development applications that claim the area had little or no conservation value.

"Our biggest concern is unauthorized development," Leung told CNN. "Much of this area is out of sight of the general public. It's very difficult for the government to monitor it."

@highlight

Hong Kong's border with China includes a 26sq km land zone, the Frontier Closed Area

@highlight

The Cold War-era zone has been largely untouched by humans since the 1950s

@highlight

The Hong Kong government has recently opened up a portion of the closed area to the public

@highlight

Conservationists fear developers could encroach on the zone which is home to migratory birds