Chanmyay Yeiktha, Myanmar (CNN) -- The first time I suggested shaving off all my hair and becoming a monk, nobody batted an eyelid.

In Myanmar, it is perfectly normal for people to go into monasteries or nunneries for temporary periods. The monastic system is a revolving door, and most of the country's 55 million Buddhists, whether rich or poor, go in and out of it several times during their lives.

What made the situation complicated was that I was a Westerner and it was 2002, a time when Myanmar, which is also known as Burma, was still a pariah state and branded an "outpost of tyranny" by the government of former U.S. president George W. Bush.

Foreigners then were viewed with suspicion, and arranging to enter the forest retreat of Chanmyay Yeiktha, one of the most traditional of the country's monasteries, took some string-pulling.

I eventually found myself shaved and robed and sitting in the little hut that would be my home for the next six weeks. The traditional period for temporary monkhood in Myanmar is only nine days, and I was wondering whether I had bitten off more than I could chew.

I slept on a pillowless wooden board, and my morning began at 3.30 a.m. with an icy bucket shower and the scrape of a razor over chin and head. I then meditated with the other monks for two hours before a breakfast of rice and dal -- a stew of pulses such as lentils and beans -- at dawn. After that, it was back to the mediation hall until 10.30 a.m. when the second and final meal of the day was served.

We were permitted to take a nap through the heat of midday before meditating again until around 7 p.m.

As an atheist I became attracted to Buddhism in Myanmar because its monasteries have very little to do with ritual or theology. All of the emphasis is on practical techniques for uncovering the hidden workings of the mind. If a person wants to know what makes them tick, the techniques learned in Buddhism offer a powerful alternative to the hourly fees and drug prescriptions of Western psychiatry.

But the process is difficult and it can only be faced alone.

I was not allowed to speak to anyone in the monastery, even to exchange a greeting. When meditating I was encouraged to carefully observe every thought, every breath, every feeling. Even at meals, I had to be aware of each tiny thing -- the intention to move my fork, the movements of my jaws, my reactions to the flavors of the food.

At the beginning all of this seemed virtually impossible, but after ten days of it my mind began to slow down and settle. Now I was able to see not only my thoughts, but also the subconscious feelings and desires that produced them.

Soon I began to experience a feeling of serenity and mental clarity that I had not thought possible.

In 2002, international sanctions were hitting Myanmar's economy hard.

Donations of food to the monasteries, though regular, were not large. I was regularly sent out with a group of monks to collect alms. We went barefoot on the jungle trails, halting occasionally for villagers to drop handfuls of rice into our begging bowls.

On one round I felt bad when a poor farmer gave me a few peanuts from his lunchbox, and at the end of my stay I mentioned this to the abbot.

"Don't be so egotistical," he rebuked me. "That man was not donating food to you personally, he saw only a monk standing there. One day soon, your positions will be reversed. He will be the monk seeking self-knowledge and you will be the donor who gives him food. If you have more than he has, then you can give more to equal his gift of peanuts."

And that is what makes the monastic system work so effectively in Myanmar.

Among monks, there are no economic or class divisions. The identical robes, the communal dining and the head shaving are all there to emphasize the equality that exists between them.

But when temporary monks return to their lives outside, some are suddenly far more equal than others. And so villagers donate a handful of rice, while city professionals donate breakfast and lunch for the entire monastery, or a water purification system, or even a new dining hall.

When I returned to Myanmar this year for my second 45-day stint as a monk, the ramped-up scale of these elite donations was very much in evidence. Since the reforms begun by President Thein Sein in 2011, the country's economy has grown at breakneck speed and the monasteries have grown along with it.

Chanmyay Yeiktha's forest retreat was three times larger than I remembered, and is now surrounded by beautiful gardens of flowers and fruit trees.

I looked in vain for my rickety wooden hut, and was shown instead to a well-built brick bungalow with a hardwood floor, a fan, a comfortable bed and a Western-style bathroom with a shower.

There were spacious new meditation halls, a clinic and a library. Every day saw visits by city donors bringing varied and nutritious meals for monks of every social background.

The population of the monastery also reflected Myanmar's new openness to the world. Although I was still the only Westerner, I now found myself among monks from Korea, Japan, Malaysia, Sri Lanka and China.

One monk from the city of Guangzhou in southern China turned out to be leaving the same day as me. After our disrobing ceremony, I asked him why he had traveled here.

"In China, we are not free to practice our religion," he told me. "All Chinese Buddhists want to come here. We think of Myanmar as a place of freedom."

British author and art historian Rupert Arrowsmith has twice been ordained as a Buddhist monk in Myanmar -- once in 2002 and once in 2013. The opinions expressed in this article are solely those of the author.

@highlight

Rupert Arrowsmith has spent time as a monk in Myanmar at Buddhist monasteries

@highlight

Arrowsmith attracted to Buddhism in Myanmar for its emphasis on personal development

@highlight

The monastery he visited in 2002 was transformed on his 2013 visit