(CNN) -- Reports that Iran is plotting to attack American targets in Iraq in response to U.S. intervention in Syria should come as no surprise. Armed conflicts are unpredictable and risky. But this latest communication, allegedly intercepted by U.S. intelligence, may prove less ominous than it sounds.

According to an article in the Wall Street Journal, the United States intercepted a message sent from Tehran to militants in neighboring Iraq, ordering them to target the American embassy in Baghdad and other U.S. interests if American forces strike Syria. Assuming that the information is correct -- and not meant by Iran to get into U.S. hands to send a threat -- it would seem that Iran will resort to its long-standing practice of using proxy militias and assorted terrorist groups to do its dirty work. This is as an alternative to stepping into the conflict with its own forces, which would escalate the war in Syria much more dangerously.

In fact, it doesn't make a lot of sense for Tehran to jump in against the United States, even if Syria is Iran's closest ally and Iran is already providing President Bashar al-Assad with weaponry and other support. Iran, incidentally, has also coordinated with its Lebanese ally, the Shiite militia Hezbollah, which has gone all in, fighting alongside al-Assad. Despite their many threats, neither Hezbollah nor Iran want to take on the U.S., or Israel for that matter, to fight in a war they cannot win.

Since U.S. President Barack Obama announced he wants to launch military strikes against Syrian President Bashar al-Assad in response to what many nations agree was a chemical weapons attack that killed hundreds of civilians on August 21, opponents of U.S. intervention have expressed fear that the war would spread to a much larger regional, even global conflagration.

Again, there is no way of predicting with certainty how the conflict would unfold, but an Iranian decision to launch its own armed forces, or even to take major action in other ways against the Americans, does not make strategic sense.

Shiite Tehran fervently wants to see al-Assad emerge victorious in this civil war against a Sunni opposition. But the ruling establishment in Iran today is deeply divided over how far their country should go in protecting the Syrian dictator.

Iran's hard-liners want to push ahead with nuclear enrichment. Starting a war with the United States before that process is completed would defeat its purpose. Iran's more moderate politicians, led today by the newly elected President Hassan Rouhani and his team, have engaged in an extraordinary campaign of image repair.

Rouhani tweeted a "Happy Rosh Hashanah" greeting on the occasion of the Jewish New Year, and his foreign minister condemned the Holocaust, a statement that would not be remarkable from almost any other country, but coming from Iran is an eyebrow-raiser after the extraordinarily low bar set by former President Mahmoud Ahmadinejad.

In more signs of some powerful Iranians distancing from Syria, another moderate (by Iranian standards), former President Akbar Hashemi Rafsanjani, blamed Assad for the chemical gas attack. Iranians are sensitive to those charges, since they suffered horrific gas attacks during the war against Iraq in the 1980s. On this issue, Rafsanjani has now put himself squarely on the opposite side of the hard-liners, who vow America will suffer the consequences of interfering in Syria.

Rouhani, meanwhile, issued a startlingly nonbelligerent warning to America. "If something happens to the Syrian people," he told the Assembly of Experts, a key decision-making body in Tehran, "the Islamic Republic will do its religious and humanitarian duties to send food and medicine."

While Rouhani was launching his Rosh Hashanah charm offensive, the head of the Revolutionary Guards' elite Quds Force, Qasem Suleimani, darkly warned that a U.S. attack on Syria would result in the "destruction of Israel." It was Suleimani who reportedly contacted Shiite militias in Iraq, some of them trained by the Iranians, with the instructions to target the U.S. Embassy there.

Hezbollah, too, which is closely linked with the Iranian Revolutionary Guards Corps, is reportedly awaiting instructions from Tehran on how to respond to an American strike. Hezbollah's leader, Hassan Nasrallah, took a risky gamble entering the war in Syria. He was once one of the most popular leaders in the Arab world, proclaiming that his organization's only reason for being was to fight Israel. He has now allied himself with Syria's al-Assad, a man with blood on his hands, for the sake of protecting the Syrian regime and Iranian interests.

According to the Saudi newspaper Okaz, a Lebanese source said Hezbollah will attack Israel only "after receiving a specific order from Iran."

Hezbollah might try to launch some symbolic attack, perhaps a few rockets. But the group is bogged down in Syria. The last thing it wants is to trigger a massive Israeli -- much less an American -- retaliation.

Whatever the divisions among Iranians and the concerns of anti-American militias and terrorist groups about taking on the United States, the threats have to be taken seriously. And it's worth remembering that attacks against civilians and other nonmilitary targets can be launched by small groups, providing deniability to their masters. The U.S. is already evacuating nonessential personnel from a number of diplomatic facilities in the Middle East and has advised American citizens to stay out of Iraq.

Some of those warnings, however, went into place before the August 21 nerve gas attack and before Obama's call for action. The Syrian war was already spreading to other countries. The risks did not begin with the American debate over intervention. The plot warnings are a reminder that war is always dangerous. But we all knew that.

The threats do nothing to change the moral and strategic calculus about whether or not to the United States should strike Syria.

The opinions in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Reports Iran urging militants to target U.S. sites if U.S. hits Syria not surprising

@highlight

She says it may show Iran using proxies to attack rather than take on war it can't win

@highlight

She says Iran's Shiites want Assad to prevail but its rulers divided on how much to help

@highlight

Ghits: Threats must be taken seriously, but moral reason for strike is unchanged