(CNN) -- The newest monument in Washington dedicated to the memory and legacy of Martin Luther King Jr. is attracting thousands of Americans and foreign tourists. It will finally get its official day in the sun on Sunday. That is when the federal government will formally dedicate the Martin Luther King, Jr. National Memorial on the National Mall.

This weekend in Washington should not be a destination, however. It should be viewed as a new leg on a long journey to find the America that King spoke of 48 years ago when he gave his "I Have a Dream" speech. When a quarter-million people turned out for the 1963 historic March on Washington for Jobs and Freedom, the nation's capital was also not so much a destination but a journey.

It is that journey that several of King's Alpha Phi Alpha Fraternity brothers took to heart to spark the campaign to build a memorial in his honor. Little did they know their idea for a small tribute would become the monument that it is today. Little did fraternity members know that the young Atlantan who joined the fraternity in 1952 at Boston University would become a world leader and historic figure who inspires millions.

Fraternity historian Robert Harris, a professor of history at Cornell University in Ithaca, New York, says the idea for the monument started 28 years ago when brother George Sealey and his wife, sitting at their kitchen table, said there should be a tribute to King in Washington. Harris says they got the idea after watching President Reagan sign into law the King holiday bill in the fall of 1983.

Sealey, then living in Silver Spring, Maryland, brought together four other Alpha men in his local chapter, and from there the idea became a national mission of the fraternity. After years of producing fiscal and fundraising plans, drawings and blueprints and galvanizing public support, Alpha Phi Alpha persuaded Congress and key elements of the executive branch, including the Department of the Interior and the White House, to green light the project.

King's brothers' dream is now a reality.

"Many people didn't think this could be built, but we did it, through hard work across the country," said Herman "Skip" Mason Jr., general president of the fraternity. "In our local chapters, we worked with community groups to build support from local leaders to members of Congress, pressing why it was important and why we were willing to do whatever was needed to make this memorial happen."

It also would take raising $120 million.

Alpha Phi Alpha boasts the largest contingent of individuals to donate, at approximately $3 million. There are thousands of other private citizens who gave, including children who raised dollars at elementary school events. The U.S. government allocated $10 million in matching funds, and the remainder came from about 100 corporate sponsors.

Thousands of people were set to descend on Washington on August 28 for the unveiling and dedication. It was planned to coincide with the anniversary of the 1963 March on Washington.

But Hurricane Irene came along and disrupted everyone's plans.

It was going to be one big party, an international celebration not seen in Washington since the inauguration of President Obama in 2009.

The fraternity did hold a private dedication that drew more than 5,000 on August 26 before the rest of the weekend events were canceled.

This weekend's government event may be a bit smaller than the originally planned celebration, but it will still have star power and a festive flair. The president will speak, civil rights legends will tell stories of the struggle, and we'll hear about the long journey to build this worthwhile memorial. Also, it still will have a link to an historic day in America: October 16 is the anniversary of the 1995 Million Man March.

But the question remains, what really will happen after all the pomp and circumstance? What lessons will be learned and applied?

This year, King would have turned 82 years old. He would be in the club of all those veteran civil rights warriors who have made it to the 21st century. The iconic Rev. Joseph Lowery, a co-founder the Southern Christian Leadership Conference with King, turned 90 last week. Many now are in their twilight years. They march to a slower cadence, many with a third leg. Some are pushed along in wheelchairs. Many say the memorial is a marvelous and well-deserved tribute to a man who helped America find its soul. A man who showed the country how its citizens could - and should - be treated despite their race, color, creed or station in life.

None of us know what King would think of all the euphoria surrounding this memorial, but my guess is that he would say we still have a lot of work to do.

You do not have to look far for evidence that he would be right.

A recent poll by the Pew Research Center shows that the wealth gap between whites and African- and Latino-Americans has grown by leaps and bounds. According to Pew, "median wealth of white households is 20 times that of black households and 18 times that of Hispanic households."

So it is clear the King memorial has to be more than just a "stone of hope." It must be more than just another tourist site we put on our maps. It has to rekindle the enthusiasm in people for those issues King cared about. It has to be a living monument. It has to transform lives of those who will make the journey to see it up close.

"The Alpha men who originally pushed this idea of a memorial saw this not just to honor King, but as an inspiration to schoolchildren who visit the capital each year," Harris said. "Having this memorial to King could be inspirational as they go back home."

Sealey never got to see his dream become reality. He died several years ago. But now the world has the chance to benefit from that dream and to see Martin Luther King Jr. in a new way. However, it will mean nothing if we do not put action and meaning into what we glean from this monument.

The opinions expressed in this commentary are solely those of Rick Blalock.

@highlight

Martin Luther King's fraternity brothers started a drive for monument in Washington

@highlight

Rick Blalock: The idea started with a kitchen table chat 28 years ago

@highlight

He says fraternity raised donations and got matching grant from government

@highlight

MLK monument will be dedicated Sunday