Washington (CNN) -- Late last week, the leaders and finance ministers of the 20 biggest economies, the G-20, met in Cannes for their annual media extravaganza.

Surprise, surprise, the G-20 summit failed to allay anxieties about Greece -- and has left the whole world anxious that Italy might be the next Euro country to plunge into crisis.

As usual, it's very hard to see what could possibly be accomplished in an unwieldy format like this. Taxpayers confronting the enormous cost must wonder: How on earth did this event ever come into being anyway?

A bit of history:

Thirty-five years ago, a president of France had a very good idea:

In the mid-1970s, the Western world faced the first serious economic crisis since World War II: a spike in the price of oil that had sparked record unemployment and unusual inflation. Cooperation between the big economies was necessary. Unfortunately, the new leaders of the Western world did not know each other as well personally as had the great postwar generation of Eisenhower, DeGaulle, Adenauer and so on.

Yes, the leaders encountered each other at the U.N. General Assembly and other big useless crushes. And yes, sometimes they scheduled bilateral meetings to discuss particular pieces of business. But wouldn't it be nice if the leaders could just regularly sit down for a sequence of informal talk, no particular agenda, just get-to-know-you, hear what's on your mind?

Accordingly, President Valery Giscard D'Estaing proposed a new kind of summit for the leaders of the world's six largest economies: two days at a location outside a capital city, to be followed by a bland communique that sent the message: "If we told you what we discussed at our confidential talks, then they would not be confidential talks, would they?"

The first meeting was held at Rambouillet, some 25 miles outside of Paris. By all accounts, the meeting was a great success. No, the leaders did not overcome their economic challenges. But they built new relationships, so much so that four leaders in particular remained close friends for the rest of their lives: D'Estaing, U.S. President Gerald Ford, German Chancellor Helmut Schmidt, and British Prime Minister James Callaghan.

The small summit was recognized as so useful that it quickly evolved into a permanent institution. Yet almost as soon as the institution was created, it began -- as international institutions so often do -- to bloat from useful innovation into useless behemoth.

The Rambouillet meeting in November 1975 was followed by a meeting in Dorado, Puerto Rico, in June 1976. At the behest of the United States, Canada was added to the group, which thus became known as the G-7. (The other six countries, by the way, were the United States, Japan, West Germany, Britain, France and Italy.)

The Canadian addition was an excellent innovation. Not so what happened the next year. In retaliation for the addition of Canada -- opposed by France, which was then engaged in a grudge match with Canada over independence for the French-speaking province of Quebec -- the French demanded and got the addition of the president of the EU Commission at the third meeting, in London in 1978.

As the meetings became a fixture on the annual calendar, the agenda for the meetings began to fill. The number of aides in attendance grew. The press coverage escalated: hundreds of journalists converged on the 1988 meeting in Toronto. With so many TV cameras eager for video, political entrepreneurs inevitably materialized to provide the video the cameras needed: counter-summits, political demonstrations, and so on. Three thousand protesters convened in Toronto. Security costs escalated correspondingly: to a then-astounding $30 million.

Toronto 1988 was noteworthy as the last of the Cold War summits. As the world moved into a new political era, the G-7 summit elephantized in earnest. In 1996, the leaders of the UN, World Bank, International Monetary Fund and World Trade Organization were added. In 1997, Russia joined the group, now renamed the G-8 - despite the awkward fact that the Russian economy had shrunk to approximately the size of that of the Netherlands.

The Russian addition raised the question: If Russia, why not China? And what's with the whole "largest economies" thing anyway? Isn't that kind of ... stuck-up?

To respond to that concern, a new forum was created in 1999: a meeting of the finance ministers of the 20 largest economies, called (you guessed it) the G-20. During the financial crisis of 2008, the US urged a summit of the heads of government of the G-20. What was intended as an emergency summit instantly congealed into a recurring gathering, held in the late fall after the G-8 meetings of mid-summer.

If the G-20 was intended to thwart demands for ever huger expansion of the G-8 - it failed.

Beginning with the Okinawa summit hosted by Japan in 2000, five poor countries were added to the G-8 guest list: South Africa was included as a permanent invitee, along with four rotating slots for countries like Senegal and Algeria. And if you were already adding poor countries, shouldn't we add agencies that address poor country concerns? In 2000, the World Health Organization gained attendance rights too.

The 2001 meeting in Genoa, Italy, was stage-managed by Italy's showman prime minister Silvio Berlusconi. He accommodated most of the leaders on luxury cruise ships in Genoa harbor to isolate them from the violent protesters on the mainland. Total costs for the summit were now soaring toward and then past the quarter-billion mark.

In 2003, China and India were added as temporary members: the group was now being called the G-8+5.

The G-8+5 format quickly broke down however. At the 2004 meeting in Sea Island, Georgia, the United States invited 13 additional countries (plus of course all those international organizations).

Over successive years, additional international organizations would be added to the roster: the African Union, UNESCO, the Food and Agriculture Organization of the United Nations, and the League of Arab States.

In 2010, Canada hosted the G-8 summit of world leaders (in the rural setting of Huntsville, Ontario), at the same time as the G-20 finance ministers met in downtown Toronto. For the first time, costs pass the $1 billion mark mostly due to higher security expenses. But this experiment in folding the G-8 (plus 5!) into the G-20 failed. The two massive entities retained their distinctness, each separately growing bigger, costlier, and progressively more useless.

At the 2010 G-8 meeting, France proposed junking the G-8+5 format for a permanent G-14 format: the core seven, plus Russia, plus China, India, Brazil, Mexico, South Africa and 1 Muslim country, so nobody will feel left out. That idea looks likely to be adopted in time for the 2013 meeting in the United Kingdom.

By which point of course the original purpose of the meeting will have been lost under the layers of accreted uselessness. So sources close to David Cameron are reporting that the young British prime minister has had a brainwave: Now that the G-8 has swelled into a grandiose nightmare mobile U.N. General Assembly -- now that the G-8 is evolving into a group very nearly identical to the G-20 -- why not just junk the G-14 or merge it with the U.N. General Assembly (which would amount to the same thing as junking it)?

Then the leaders of Britain and other major countries could organize amongst themselves some informal talks, no particular agenda, just get-to-know-you, hear what's on your mind ...

Coming up soon: the new G-30!

The opinions expressed in this commentary are solely those of David Frum.

@highlight

In mid-1970s, French president proposed informal meeting of leaders from six nations

@highlight

In past three decades, David Frum writes, the meeting has grown larger and larger

@highlight

Last week's g20 did nothing to allay anxieties about Euro crisis

@highlight

With more countries added, costs rose, results vanished