(CNN) -- The chairman of a U.N. mission whose report accused Israel of  "actions amounting to war crimes" during its fight against Hamas says he would have reached different conclusions if the Israeli military had been more forthcoming and if he had known the results of subsequent investigations.

"If I had known then what I know now, the Goldstone Report would have been a different document," wrote Richard Goldstone, a former South African jurist, in a Washington Post op-ed column Friday.

Israel, which has long been critical of the conclusions presented to the U.N. Human Rights Council on its war against Hamas forces in Gaza in 2008-09, on Saturday called for the body to cancel the findings.

"Everything we said has proven to be true," said Prime Minister Benjamin Netanyahu. "Israel did not intentionally harm civilians, its institutions and investigative bodies are worthy, while the Hamas intentionally fired upon innocent civilians and did not examine anything. The fact that Goldstone backtracked must lead to the shelving of this report once and for all."

There was no immediate reaction from Hamas.

Goldstone's report, issued in September 2009, said both Israel and Hamas likely committed war crimes and possible crimes against humanity during the conflict between December 27, 2008, and January 18, 2009.

Israeli investigations found cases involving individual soldiers, but the intentional targeting of civilians by Israel was not a "matter of policy," Goldstone now writes.

Israel launched the offensive against Gaza militants in response to ongoing firing of rockets against southern Israeli towns.

The U.N. Human Rights Council, which assigned Goldstone and others to the fact-finding mission, approved the controversial report, which focused more on alleged war crimes by Israel.

Israel later provided the United Nations with a report justifying its actions. Israel said it faced "asymmetric conflicts" and blamed "militants operating from within and behind civilian areas" for placing civilians at risk.

In his column, Goldstone cites a subsequent report by a U.N. committee of independent experts, which found Israel investigated more than 400 allegations of misconduct while Hamas has "not conducted any investigations into the launching of rocket and mortar attacks against Israel."

"That the crimes allegedly committed by Hamas were intentional goes without saying -- its rockets were purposefully and indiscriminately aimed at civilian targets," Goldstone wrote Friday.

Goldstone said Israel should have conducted proceedings in a public forum and been more cooperative during his panel's investigation.

"Israel's lack of cooperation with our investigation meant that we were not able to corroborate how many Gazans killed were civilians and how many were combatants," Goldstone wrote in the Washington Post article, adding Israeli has concluded few of its investigations.

Asked about whether the Israeli government should have cooperated with the Goldstone commission from the start, Israeli Foreign Minister Avigdor Liberman said Saturday the government did not want to set a precedent for bodies it considers hostile to interfere in government decision-making.

Hamas, Goldstone said, continues to fire rockets and mortar rounds at civilian targets in southern Israel and should be condemned by the Human Rights Council.

The judge wrote of military commanders "making difficult battlefield decisions" and that he is confident Israel is appropriately investigating the deaths of 29 members of one family. "The shelling of the home was apparently the consequence of an Israeli commander's erroneous interpretation of a drone image, and an Israeli officer is under investigation for having ordered the attack.

"Although the Israeli evidence that has emerged since publication of our report doesn't negate the tragic loss of civilian life, I regret that our fact-finding mission did not have such evidence explaining the circumstances in which we said civilians in Gaza were targeted, because it probably would have influenced our findings about intentionality and war crimes," Goldstone wrote.

Goldstone said since the 2009 report, Israel Defense Forces instituted new procedures for protecting civilians, limiting the use of white phosphorus in civilian areas.

The Gaza-based Palestinian Center for Human Rights put the death toll in the war at 1,419, and said that 1,167 of those were "noncombatants." The Israeli military released its own figures, claiming 1,166 people were killed and that 60 percent of those were "terror operatives."

In 2009, when the Goldstone Report came out, Ibrahim Khraishi, the Palestinian Authority's ambassador to the United Nations, called it professional and unbiased.

"This report should not be another report to just document and archive," Khraishi said. "My people will not forgive this council if they let these criminals go unpunished."

But the United States, which along with with the European Union considers Hamas to be a terrorist organization, has contended the report was "deeply flawed."

In February 2010, Alejandro Wolff, U.S. deputy representative to the United Nations, criticized the report and "its unbalanced focus on Israel, the negative inferences it draws about Israel's intentions and actions, its failure to deal adequately with the asymmetrical nature of the Gaza conflict, and its failure to assign appropriate responsibility to Hamas for deliberately targeting civilians and basing itself and its operations in heavily civilian-populated urban areas."

Speaking Saturday to Israel's Channel 2, Israel's Liberman said, "I want to congratulate Goldstone's new conclusions, but I am not surprised by them. We knew the truth, and we had no doubt that it would eventually come out."

CNN's Kevin Flower in Jerusalem contributed to this report

@highlight

Goldstone Report was critical of Israel and Hamas in Gaza fighting

@highlight

It focused more on allegations of Israeli war crimes

@highlight

Its author now says he would come up with different findings

@highlight

Israeli should have been more cooperative, he writes in Washington Post op-ed piece