Editor's note: Toben F. Nelson and Traci L. Toomey are members of the faculty of the University of Minnesota's School of Public Health and of the staff of the Alcohol Epidemiology Program. Their co-authors are listed at the end of this article.

Toben Nelson, co-authors say there's strong evidence a lower drinking age would cause deaths and injuries.

(CNN) -- The national policy that set a minimum legal drinking age of 21 is being questioned by a group of 135 college and university presidents through an effort called the Amethyst Initiative.

In a September 16 commentary on CNN.com, Amethyst Initiative leader John McCardell, a former president of Middlebury College, proposes lowering the drinking age, which he suggests will lead to less drinking and related problems among college students.

History and a comprehensive review of the research tell a much different story. The evidence is clear, consistent and compelling: A drinking age of 21 has led to less drinking, fewer injuries and fewer deaths.

In the 1970s when many states reduced their drinking ages, drinking-related deaths among young people increased. When the drinking age of 21 was restored, deaths declined. This effect is not simply a historical artifact explained by advances in safety technology and other policies.

New Zealand recently lowered the drinking age based on many of the same arguments advanced by the Amethyst Initiative. The result was more alcohol-involved traffic crashes and emergency room visits among 15- to 19-year-olds. New Zealand is now considering raising its drinking age. The National Highway Traffic Safety Administration estimates that setting the drinking age at 21 saves the lives of 900 young people each year and has saved more than 25,000 lives since 1975.

It was on the basis of compelling research evidence about its lifesaving benefits that a bipartisan effort created Public Law 98-363, "The National Minimum Legal Drinking Age Act" in the first place. Subsequent research has strengthened the evidence. College students who are underage, for example, binge drink less than students aged 21-23.

Underage students who attend colleges that rigorously enforce the drinking age, and who reside in states that have more laws restricting access to alcohol for those under the legal age, are less likely to binge drink.

Another myth promulgated by the Amethyst Initiative is that European young people are taught by families to drink responsibly because of the typically lower legal drinking ages there. The reverse is the case. Surveys of youth in multiple European countries show that rates of frequent binge drinking among adolescents are higher in Europe than in the United States.

Panels of experts, convened separately by the National Institute on Alcohol Abuse and Alcoholism, the Substance Abuse and Mental Health Services Administration, the National Academy of Sciences Institute of Medicine and the Centers for Disease Control and Prevention have studied the evidence on the age-21 law and concluded that it is effective public policy. Rather than lowering the drinking age, they recommended bolstering the law by closing loopholes in state law and strengthening enforcement.

There is a silver lining to the call for reopening discussion on the minimum legal drinking age. While some college presidents have signed on to the Amethyst Initiative, most have not.

College presidents acknowledge that a serious problem exists on their campuses and that something needs to be done. Working effectively with their communities and states to address student drinking is the place to start, not with a discussion about lowering the drinking age.

College presidents must show leadership by promoting solutions recommended by a report from the National Institute on Alcohol Abuse and Alcoholism College Drinking Task Force released in 2002.

These recommendations for college and community leaders included creating systems for reaching individual students with effective interventions, implementing, publicizing and enforcing laws to prevent alcohol-impaired driving and underage drinking, restrictions on alcohol retail outlets, increasing prices and excise taxes on alcoholic beverages, and responsible beverage service policies at on- and off-campus venues. Few colleges and their communities have even begun the steps needed to enact these efforts.

These recommendations will be difficult to implement and significant barriers exist, including resistance from the industries that profit from selling alcohol. College presidents cannot accomplish this alone. They need the support of students, regents, parents, alumni and their communities.

State and local legislators need to pass tougher restrictions and provide resources for enforcement. Lobbying legislators to dismantle the effective drinking age law is a step in the wrong direction.

So rather than try the approaches advocated by the Amethyst Initiative that have no foundation in research, let's be clear about the issues.

College student drinking is a serious problem. Each year more young people are injured, sexually assaulted and die as the result of drinking. These statistics would be even worse without the age-21 law.

Lowering the drinking age will not save lives or make our campuses and communities better places to live. It will increase heavy drinking and the problems that accompany it in college communities and push the problem back into high schools. Real prevention requires constant vigilance, dedication and the courage to implement difficult solutions.

Other co-authors: John R. Finnegan Jr. is dean of the University of Minnesota School of Public Health, Henry Wechsler is director of the Harvard School of Public Health College Alcohol Study, Robert Saltz and James Fell are with the Pacific Institute for Research and Evaluation, Thomas Greenfield is with the Alcohol Research Group at the Public Health Institute, and Ann Mahoney and Linda Bosma are the current Chair and Chair-elect of the Alcohol, Tobacco and Other Drugs section of the American Public Health Association. The opinions expressed in this commentary are solely those of the authors.

@highlight

Toben Nelson: Some college presidents seeking a lower drinking age

@highlight

He says strong evidence supports benefits of a 21-year-old drinking age

@highlight

Nelson: Lowering the age will not save lives or improve campus life

@highlight

He says colleges, communities need to take steps to reduce binge drinking