Fort Hood, Texas (CNN) -- Surviving victims and family members of the Fort Hood massacre testified in emotional terms Monday over their personal trauma and grief, as the sentencing phase for the convicted murderer's court-martial moved quickly toward a dramatic conclusion.

A military jury could begin considering by late Tuesday whether Maj. Nidal Hasan will get capital punishment for the horrific November 2009 shootings on this sprawling Army base.

The Army Medical Corps officer was convicted Friday on all 13 counts of murder and 32 counts of attempted murder in connection with the shooting rampage at a Fort Hood deployment processing center. The incident occurred about a month before Hasan was to deploy to Afghanistan.

"I was expected to either die or remain in a vegetative state," said Staff Sgt. Patrick Zeigler, who was shot four times, including in the head. He recovered, but his left side remains partially paralyzed, and he said Monday that he struggles to cope with the injuries.

"It's affected every facet of my personality," he testified. "I am a lot angrier, a lot darker than I used to be."

Twenty percent of Zeigler's brain was removed in the initial surgery, and he has had more than 10 additional procedures. He leaves the service in October on medical retirement but said he will never be fully functional.

Prison or death for Hasan? It's up to the jury now

Prosecutors began presenting the first of 19 witnesses, including a liaison or family member for each victim killed in the attack. They began describing the impact the shootings had on their lives, part of the "aggravating" evidence the prosecution will use to try to demonstrate why Hasan deserves lethal injection.

A dozen victims and family members took the stand before the court-martial unexpectedly recessed for the day at midafternoon. Base officials would cite only "logistical issues" for the delay and said the judge was meeting in chambers with Hasan, who serves as his own attorney.

The defendant -- who was wounded by military police in the attacks and paralyzed -- repeatedly asked the bench Monday to take brief breaks from the public proceedings, but the court offered no explanations. Proceedings resume Tuesday morning.

During the nearly three-week trial phase, military prosecutors called 89 witnesses and submitted more than 700 pieces of evidence.

Unclear is whether Hasan himself will now present testimony or speak on his own behalf. He serves as his own attorney and has refused to put on a defense in court.

The American-born psychiatrist of Palestinian descent has the opportunity to offer "mitigating" evidence that could persuade the panel to spare his life.

He refused to cross-examine any of the victims and their families testifying.

Angela Rivera lost her husband, Maj. Libardo Caraveo, a 52-year-old clinical psychologist preparing to deploy to Afghanistan when he was gunned down.

When officials rang her doorbell to inform her of the news, 14 hours after the shooting, "All I could say was, I knew it, I just knew he was dead, because he did not call me back" after the incident.

Rivera and Caraveo had three children living in the house at the time, including a 2-year-old.

Rivera testified that her 12-year-old daughter was distraught, quoting her as saying, " 'Mom, I hope who did this understands the pain he has caused all these families.' "

An older daughter could not cope, became suicidal and remains emotionally troubled, Rivera said.

The father of Pvt. Francheska Velez said Hasan's action's left him devastated. His 21-year-old daughter was pregnant at the time of the premeditated murders.

"This man did not just kill 13 people," Juan Velez testified in Spanish. "He killed my (unborn) grandson, and he killed me slowly."

Pfc. Kham Xiong, 23, left behind a widow and three small children.

"We can only imagine" what might have been, Shoua Her said quietly. "These past few years haven't been easy being a single mother. ... I miss him a lot, his soft gentle hands, how he held me and made me feel safe and secure.

"I feel dead, yet I'm alive," she added, wiping away tears.

On his own initiative, Hasan admitted early in the court-martial, "The evidence will clearly show that I am the shooter." He has also indicated a willingness to die as a "martyr."

Judge Col. Tara Osborn is likely to instruct the military panel to ignore any direct pleas from Hasan that he be given lethal injection but to decide punishment only on the facts and testimony presented, in accordance with the law.

The stakes in the penalty phase create an unusual dynamic in what was already a very unusual case.

"The U.S. military is not used to this kind of defendant, who apparently wants to die for his crimes. It might take a terrible weight off the jury -- if the inmate wants death, they may say, 'we'll accommodate.' It lessens the burden," said Richard Dieter of the Death Penalty Information Center. "On the other hand, the military by its nature, and in this time of war, sees a lot of death. They may not desire to add to it and give (Hasan) what he may want. His wishes might have a reverse effect."

But Hasan's confessed rampage against innocents on a domestic military base will be an important consideration for the panel considering his fate.

History may not be on Hasan's or the government's side. The last military execution was in 1961, and only five servicemen sit on death row at Fort Leavenworth, Kansas.

The military has its own legal standards and procedures when trying and appealing capital cases. The U.S. Supreme Court gets the final say, if any petition reaches that far. Of the 11 military death sentences that have completed direct appeal, nine (82%) have been reversed.

@highlight

"I am a lot angrier, a lot darker than I used to be," one survivor says

@highlight

Patrick Zeigler is partially paralyzed after being shot four times

@highlight

Hasan faces death penalty after being convicted in Fort Hood slayings

@highlight

He has admitted to the shootings, says he would be a martyr