Iraq is tearing itself apart. Its government has lost control of large parts of the country; intercommunal violence is rife and al Qaeda is resurgent. A description not of 2014 but 2006 -- and a situation that led Joseph R. Biden, then a U.S. Senator and now Vice President, to argue that it was time to split Iraq into three parts: Kurdish, Shia and Sunni.

Biden and Leslie Gelb, in an op-ed for the New York Times, looked to Bosnia as the modern precedent, which they asserted had been preserved by "paradoxically, dividing it into ethnic federations, even allowing Muslims, Croats and Serbs to retain separate armies."

It was a formula, they believed, that could work in Iraq.

"The Kurdish, Sunni and Shiite regions would each be responsible for their own domestic laws, administration and internal security. The central government would control border defense, foreign affairs and oil revenues." So ran the argument.

The Biden/Gelb plan was endorsed by the U.S. Senate in 2007 but ignored by the Bush Administration. Seven years later, the division of Iraq into ethnic regions looks more likely than ever. The Islamic State in Iraq and Syria (ISIS) holds much of western and northern Iraq, including the city of Mosul, and the Kurdish leadership is pressing ahead with plans for a referendum as a likely step towards a unilateral declaration of independence.

Ramzy Mardini, an Iraq expert at the Atlantic Council, says: "The basic equation is this: ISIS provokes Shiites, Shiites overreact and generalize their response against Sunnis, and more Sunnis come to support ISIS. It's a vicious circle, with each cycle hardening the sectarian divide."

For that reason, the chances of a negotiated separation have evaporated.

"Biden often saw Iraq through the lens of the former Yugoslavia, [but] borders can't come from pencil and paper," Mardini told CNN. "It would have to come out of ethnic war."

"Iraq is a state that has always been governed under authoritarian rule. Assuming it can suddenly pivot to a federal, democratic system is naive, not only about the history of Iraq, but about the political system of federalism in general. Federalism is a complicated and sophisticated framework."

Taking aim at ISIS: Women train with AK-47s to defend streets

Among the many obstacles to a negotiated break-up, Sunni areas in the west would not be economically viable unless they received a share of oil revenues from other regions; theirs is the only part of Iraq not sitting on lakes of oil.

There are also few natural borders, and plenty of areas -- especially Baghdad and Diyala province -- where the different communities live cheek by jowl. Sunnis would not agree to Kurdish rule of the mixed city of Kirkuk.

"For a decade now, they have been unable to pass a revenue-sharing and oil law," Mardini says. "How will you get Shiite Iraq to share their revenues with Sunni Iraq? And how do you get the Iraqis to agree on the borders of the regions? That would require political settlements on all disputed territories - and we know how hard it has been to do that for the last decade."

The orphans of Iraq

A redrawing of the map, whether at a conference or through conflict, would have a huge impact on the region. Turkey, Iran and Syria -- all of which have their own Kurdish minorities -- would be wary of an oil-rich Kurdish state on their borders.

The Shiite part of Iraq would most likely become closely integrated with Iran, giving Tehran much more leverage over Iraq's oil industry. "The unity of Iraq has been a major core interest for the United States for a reason," Mardini says. "Without the Sunnis and Kurds as a part of Iraq, then there's not much to help balance out the influence Iran has in the country's national oil politics."

On the other hand, an independent Sunni region -- one that no longer felt discriminated against by a majority Shia government -- might be saved from falling into extremist hands. The Sunnis would have no incentive to turn to a jihadist group like ISIS as an ally if they had no enemy in Baghdad. Equally, they might make common cause with Syria's Sunnis. Many of the tribes live both sides of the border.

The collapse of Iraq raises the specter of mass migration and violence of the sort that accompanied the birth of India and Pakistan. It is a real danger, but the current situation has already driven thousands of people from their homes; hundreds more have been killed.

Some historians argue that Iraq was never really a country anyway, more a colonial confection like British India, and we are now seeing the inevitable consequence.

How Iran is pushing U.S. aside in Iraq

The Rest Is History

In the early 20th century, tribes were paramount in the vast Arabian deserts. The arbitrary carve-up of Arabia began with the Sykes Picot agreement in 1916, with the French taking the mandate to govern Syria and Lebanon, and the British what was then Palestine and Iraq. In 1919 the League of Nations rubber-stamped French and British administration of vast areas of what had been the Ottoman Empire.

Iraq's borders were created at a conference in Cairo in 1921, largely thanks to Winston Churchill and T E Lawrence (aka Lawrence of Arabia), who were among about 40 British officials gathered at the Semiramis Palace on the Nile. They effectively invented Iraq, setting up Faisal bin Hussein as the king of a new country. Faisal was a Sunni and a Hashemite who wasn't even from Iraq. British policy was to promote the interests of the Sunni and other minorities as a counter-balance to the Shia majority -- and expel troublesome Shia clergy, all tools that Saddam Hussein would find useful a half-century later.

Against the advice of several experts, the new Iraq included the Kurdish-dominated province of Mosul, as a buffer against both Turkey and Russia (soon to become the Soviet Union.)

One of the senior advisers at the Cairo Conference was Gertrude Bell, an indomitable traveler who knew many of the region's tribal sheikhs. Bell -- and many since -- underestimated the power of the Shia clergy. And she over-estimated the power of British rule. She told Jafar al Askari, who would become Prime Minister of the young Iraq, that "complete independence is what we ultimately wish to give."

"My lady," al Askari replied, "complete independence is never given; it is always taken" -- words that may have a new resonance in Iraq today.

READ: How ISIS is overshadowing al Qaeda

READ: Europe's threat from jihadists in Iraq and Syria

@highlight

Division of Iraq into ethnic regions looks more likely than ever before

@highlight

Iraq experts say cycle of violence is hardening sectarian divide -- wrecking chance of negotiated separation

@highlight

Sunni areas in west would not be economically viable unless they received oil revenues from other regions

@highlight

Independent Sunni region, free from discrimination by majority Shia government, might escape extremist rule