(CNN) -- A little over ten years ago the coral reefs of Pemuteran Bay in Bali, Indonesia, were in a state of terminal decay.

Fishing with dynamite and cyanide, untreated sewage and rising water temperatures had all pushed the reefs, and life they supported, close to the limit.

"Tourist numbers fell due to destruction of dive and snorkeling sites (while) fishermen had to go further and fish longer for less catch. Hunger was a real threat," says Narayana Randall Dodge, project manager of the Pemuteran Coral Regeneration project.

The fact that the reef also acted as a natural flood barrier increased the town's exposure to coastal erosion from rising sea levels, he adds.

Today however, Pemuteran Bay's coral reefs are once again teeming with life thanks to Biorock -- an electrically-powered coral reef growing scheme.

Coral is placed on underwater electrified steel frames that are connected to a power source on land. The electrification speeds up a process called "mineral accretion" that helps damaged corals grow and repair themselves.

"Living corals are carefully collected and transplanted onto the structures by attaching with wires or wedged between (electric) steel bars," says Narayana

The project has been so successful that not only has it preserved the reef and surrounding marine ecosystem but it has also become a tourist attraction in its own right, says Narayana.

Despite the success of the Pemuteran Bay project, Biorock technology -- first discovered by German-born architect, Wolf Hilbertz, in the 1970s -- is it still only used on a small scale.

Although now present in over 20 countries, the largest Biorock scheme is in Pemuteran Bay and only covers around 500 meters. This constitutes a drop in the ocean when compared to the 109,800 square miles of coral reef that the United Nations Environment Program estimates to exist, 75% of which is believed to be under threat according to the World Resources Institute.

Read more about the threat to coral reef diversity

But according to Thomas Goreau, head of the U.S. based non-profit, the Global Coral Reef Alliance, Biorock is more efficient than any other form of reef regeneration and will become a particularly effective defense against rising sea levels in years to come.

"We have to run cables out into the sea and you can only go so far before you lose a lot of power," says Goreau who works to encourage the implementation of Biorock technology in vulnerable ecosystems.

The cables dictates how far out at sea the steel frames can be placed (only a few hundred meters) and therefore limits the area of coral reef that can be grown or repaired

As the technology develops though, Goreau sees no reason why Biorock structures couldn't stretch across hundreds of miles of shoreline or far out into the oceans, protecting vast coastal areas that are exposed to rising sea levels.

The key to this prospect becoming a reality, he says, is the harnessing of renewable sources such as tidal and wave energy.

"There is a vast amount of energy in the ocean. It's untapped and what it will allow us to do is generate our power on site," says Goreau.

"This renewably powered technology is still in the pioneering stage but it will be far cheaper and far more effective when it becomes available."

@highlight

Coral reefs in Indonesia are being regrown on electrically powered steel frames

@highlight

The technology, known as Biorock, has helped maintain delicate marine ecosystems

@highlight

Biorock could soon be powered by renewable energy sources such as wave and solar power