Washington (CNN) -- President Obama on Sunday praised the "historic" House vote to pass a bill overhauling the nation's ailing health care system, and said now it is time for the Senate to "take the baton" and complete its work.

The House passed its health care bill late Saturday night by a 220-215 vote, with 39 Democrats in opposition and one Republican supporting it. Senate approval is considered less certain due to opposition by all Republicans and some moderate Democrats.

Obama called the support by many House members "courageous" in the face of what he called "the heated and often misleading rhetoric around this legislation."

The overhaul legislation would be the biggest expansion of health care coverage since Medicare was created more than 40 years ago.

The Affordable Health Care for America Act, or H.R. 3962, restricts insurance companies from denying coverage to anyone with a pre-existing condition or charging higher premiums based on gender or medical history. It also provides federal subsidies to those who cannot afford health insurance. And it guarantees coverage for 96 percent of Americans, according to the nonpartisan Congressional Budget Office.

Senate Majority Leader Harry Reid of Nevada last week indicated uncertainty over whether that will happen this year.

Obama said Sunday morning at the White House that he was "absolutely confident" the Senate will follow suit in passing its version of the bill.

Once both chambers have passed a bill, a congressional conference committee will merge the two proposals into a consensus version that would require final approval from each chamber and Obama's signature.

However, Republicans and an independent senator who sits with the Democratic caucus signaled Sunday that difficulties remain for Obama on his top domestic priority.

Sen. Joseph Lieberman, an independent from Connecticut, reiterated he would join a Republican filibuster against a health care bill if it contains a government-run public health insurance option following the chamber's amendment process.

Speaking on "FOX News Sunday," Lieberman called the controversial public option, which is in the House bill and the Senate version being prepared by Reid, an unnecessary provision intended to bring government-run health insurance in the future.

"If the public option is in there, as a matter of conscience, I will not allow the bill to come to a final vote," Lieberman said. He previously has said he won't oppose opening Senate debate on the bill despite the public option provision, and he maintained that stance Sunday.

Lieberman's stance is crucial because the Democratic caucus has the minimum 60 votes to overcome a Republican filibuster. Senate Republicans unanimously oppose the public option, though Sen. Olympia Snowe of Maine has floated the possible compromise idea of a trigger mechanism that would mandate a public option in the future if thresholds for expanded coverage and lower costs go unmet.

The lone House Republican who supported the bill, Rep. Anh "Joseph" Cao, told CNN on Sunday he put the needs of his district over the desire of his party.

Cao's "yes" vote ended up being unnecessary for House passage, but gave House Speaker Nancy Pelosi license to tout bipartisan support for the controversial measure.

"I felt last night's decision was the proper decision for my district even though it was not the popular decision for my party," said Cao, a first-term representative from Louisiana's traditionally Democratic 2nd District. "A lot of my constituents are uninsured, a lot of them are poor. It was the right decision for the people of my district."

Cao acknowledged he extracted some White House pledges to help his district deal with the continuing impact of Hurricane Katrina in exchange for his vote. Asked about the reaction of fellow Republicans, Cao said the party's leaders "respect my decision, and I respect theirs."

Also Sunday, Rep. Mike Pence of Indiana, the chamber's third-ranking Republican, said on the FOX program that Democrats were ignoring the wishes of the American public by pushing through the huge health care bill.

Pence claimed the health care bill would raise costs, increase the deficit and lead to a government takeover of the health care system.

"I think the American people are deeply frustrated with the liberal establishment in Washington," Pence said. "If Democrats keep ignoring the American people, their party's going to be history."

Democratic Rep. Chris Van Hollen of Maryland responded on the same show that the non-partisan Congressional Budget Office reported the House bill would reduce the deficit.

Van Hollen chided Republicans for failing to confront rising health care costs that harmed the U.S. economy during the years the GOP controlled the White House and Congress.

"We've had a great system for insurance companies," Van Hollen said, citing large industry profits while Americans face practices he called unfair, such as having coverage denied for pre-existing conditions. "This is a message to the American people; we're trying to bring down your costs to help more Americans afford health insurance."

The House vote less than an hour before midnight Saturday was full of drama. With eight seconds left in the voting period, Democrats began counting down and erupted in roars when Pelosi declared, "The bill is passed" and banged the gavel.

Read the House bill (PDF)

Republican lawmakers stood silently across the floor, some with their arms folded across their chests.

"Well, it was about what I thought it would be," said House Republican Leader John Boehner of Ohio as he quickly exited.

Later, he issued a statement saying the $1.2 trillion legislation would add to the country's "skyrocketing" debt.

"I came here to renew the American Dream, so my kids and their kids have the same opportunities I had," Boehner said. "I came here to fight big-government monstrosities like this bill that dim the light of freedom and diminish opportunity for future generations."

Michael Steele, the chairman of the Republican National Committee, also released a statement.

"Nancy Pelosi and her liberal lieutenants made a lot of promises today to get the votes they desperately needed," he said. "Make no mistake -- the Democrat leadership's assurances were based on political expediency, not principle. Anyone receiving a promise from Pelosi is guaranteed to be disappointed in the end when their votes are no longer needed."

Earlier in the day, Obama met behind closed doors with Democrats to shore up support for the bill, calling it the chance of a generation.

In the run-up to the vote, Republicans and conservative Democrats joined forces to pass an amendment to the bill to prohibit federal funds for abortion services.

It was considered a big win for them and for the U.S. Conference of Catholic Bishops, which used its power -- especially with conservative Democrats in swing congressional districts -- to help force Democratic leaders to permit a vote on the amendment.

The prohibition, introduced by Democratic members, including Rep. Brad Ellsworth of Indiana and Rep. Bart Stupak of Michigan, would exclude cases of rape, incest or if the mother's life is in danger.

The GOP accounted for 174 of the votes in favor of the amendment, with one Republican voting "present."

On the Democrats' side, 64 voted for the measure, and 194 voted against.

CNN's Shirley Hung, Brianna Keilar, Deirdre Walsh, Lisa Desjardins and Elaine Quijano contributed to this report.

@highlight

NEW: Obama calls support by House members "courageous"

@highlight

Health care debate moves to Senate, which will vote on its version

@highlight

Joseph Lieberman says he'll join filibuster against bill if it includes "public option"

@highlight

Republicans decry bill's passage, saying it will add to country's mounting debt