(CNN) -- The fertilizer blamed for the massive explosion that devastated a Texas town in April was kept in wooden bins, in a wooden building, with no sprinklers nearby.

And that fell within the existing safety rules for handling ammonium nitrate, a "patchwork" of regulations, recommendations and guidance "that has many large holes," the head of the U.S. Chemical Safety Board told a Senate committee Thursday.

The federal agency hasn't found any regulations "that prohibit or discourage many of the factors that likely contributed" to the April 17 explosion in West, Texas, the board's chairman, Rafael Moure-Eraso, told the Senate Environment and Public Works Committee.

A fire at the West Fertilizer Company led to an ammonium nitrate explosion that devastated the small town south of Dallas and killed 15 people, most of them firefighters and paramedics. The blast showed up on seismographs as a small earthquake and flattened or damaged dozens of homes, two schools and a nursing home nearby.

"Facilities like West fall outside the existing process safety standards, which were developed in the 1990s," Moure-Eraso said.

Sprinklers aren't required until a company is storing 2,500 tons of ammonium nitrate, he said. And while industry groups have recommended fire safety standards, Texas has no statewide fire codes and most of its counties can't adopt their own.

"So at West, these fire code provisions were strictly voluntary, and West Fertilizer had not volunteered," he said.

Ammonium nitrate is a widely used fertilizer with a notorious reputation as an explosive. The bomb used to blow up the federal building in Oklahoma City in 1995, killing 168 people, was made mostly ammonium nitrate.

Moure-Eraso said the Chemical Safety Board urged the Environmental Protection Agency in 2002 to require non-combustible storage bins for reactive chemicals like ammonium nitrate, but the EPA hasn't done that. The committee's chairwoman, California Democratic Sen. Barbara Boxer, said she will be pressuring the EPA to enact those rules.

"That was a very prescient call, and it didn't happen," Boxer told Barry Breen, the head of the EPA's emergency response arm. The EPA's current guidance for handling ammonium ntirate dates back to 1997, "and I feel that EPA has to step up to the plate here and do a lot more."

Breen said that guidance "is posted on our website now and continues to be vital." And he told Boxer the EPA is studying "a number of potential policy options" in response to the West disaster, but he wouldn't say when those steps would be taken.

"In order to establish that time frame, we need to understand that issue better, and that's what we're doing now," he said.

West Fertilizer was covered under federal workplace safety rules for handling ammonium nitrate, Sam Mannan, a chemical engineering professor at Texas A&M University, told the committee. If they had followed those rules, "My guess is the probability of this incident would have been almost none," he said.

But the last time the Occupational Safety and Health Administration inspected West Fertilizer was in 1985, when it fined the company $30 over its handling of anhydrous ammonia, another fertilizer it sold.

"Until we come up with a regime where we are doing the enforcement comprehensively, in a manner that yields good results, we're not going to accomplish anything. We just add another legislation that doesn't get enforced," Mannan said.

With a budget of $10.6 million and a current staff of 42, the Chemical Safety Board investigates chemical accidents and makes recommendations to prevent future ones. The board is also investigating the June 13 explosion at a chemical plant in Geismar, Louisiana, that killed two people and injured more than 100.

The agency has a lengthy backlog of cases and "no capacity at this point to undertake any new investigative work," he said.

West Fertilizer had been cited by federal regulators twice in the seven years before the blast, including a $5,250 fine for storing anhydrous ammonia in tanks that lacked the proper warning labels.

Since the explosion, Texas officials have announced plans for an online database that will allow residents to view local facilities that hold hazardous materials. Meanwhile, the town has sued the company that sold ammonium nitrate to West Fertilizer, arguing it "blindly" supplied the chemical to a firm that didn't handle it properly.

@highlight

West Fertilizer didn't have to have fireproof bins or sprinklers, investigator says

@highlight

The plant blew up in April, killing 15 and devastating a small Texas town

@highlight

Senator presses the EPA to do more; EPA says it's studying the issue