The first confirmed Ebola patient in Mali has died, according to state TV reports, citing government health officials.

The victim, a 2-year-old girl, had traveled to the country with her grandmother from Guinea -- one of the three countries hardest hit during the recent Ebola outbreak.

Earlier on Friday, the World Health Organization said that the girl had multiple opportunities to expose others to the virus.

The girl first went to a clinic Tuesday after entering the country, WHO Assistant Director-General Marie-Paule Kieny said at a news conference in Geneva, Switzerland.

The WHO said it was working to confirm media reports that the child's mother showed Ebola-like symptoms before her death.

The girl was diagnosed with Ebola in Mali on Thursday.

Health Ministry spokeswoman Markatie Daou said the dozens of people who had contact with the girl have not shown any symptom related to the virus, as of Friday.

More than 40 people are still being monitored, she said.

They include 10 medical workers who came into contact with the girl in the city of Kayes, west of the Mali capital of Bamako, WHO spokesman Tarik Jasarevic said. Kayes has a population of about 128,000 people.

He cited local authorities as saying 43 people were being monitored in total. The incubation period for Ebola is two to 21 days, so the country faces a long wait to know if it's in the clear.

The young girl, whose father died of Ebola, was taken to the hospital in Kayes after a nurse noticed she was suffering from what appeared to be Ebola-like symptoms.

The case makes Mali the sixth West African country to be hit by the virus, which WHO reported has killed more than 4,800 people. Nigeria and Senegal have in recent days been declared free of the disease.

Complete coverage on Ebola

Ousmane Kone, Mali's minister for public health, called for people in Kayes to "stay calm" and observe "hygiene measures."

He asked anyone who'd had contact with the girl to contact authorities.

Extra WHO medical experts are being sent immediately to Mali to help its Ministry of Health respond, Jasarevic said. They will bolster a WHO team that was already in the country to help with general preparedness.

New vaccine trials

Five more potential Ebola vaccines are to start clinical trials soon, Kieny said.

Kieny also said WHO hopes that "a few hundred thousand doses" of Ebola vaccine will be available by the end of the first half of 2015.

She refused to be more specific about numbers and emphasized that she was speaking about a hope, not a plan.

The trials will involve "several tens of thousands" of subjects -- perhaps 20,000 to 30,000 -- she said.

The beginning of the trials is being moved up to December, from January, because of a "massive effort to make this happen," Kieny said.

WHO is not ruling out the possibility of mass Ebola vaccinations in the first half of 2015, but three conditions would have to be met, Kieny said Friday.

They are: a safe and effective vaccine would have to be found; the scale of the outbreak would have to be sufficient to justify mass vaccinations; and enough doses would have to be available for mass vaccination.

Liberia has the most advanced plans for an Ebola vaccine trial, involving two vaccines and a control, Kieny said. Sierra Leone has less advanced plans, and there are currently no plans for a trial in Guinea, she said.

Mali is among the countries where WHO has been planning to run vaccine trials.

EU, China to boost aid

Earlier Friday, European Council President Herman Van Rompuy announced on Twitter that the European Union will increase its aid to help West Africa fight Ebola by $380 million to $1.2 billion.

The EU had pledged 700 million euros, and raised its pledge to 1 billion euros.

China will also boost its aid to the three West African nations at the center of the Ebola outbreak, President Xi Jinping said Friday, according to the country's Foreign Ministry.

Xi said the Chinese government will provide a fourth round of assistance to Liberia, Sierra Leone and Guinea that will include emergency funding and supplies worth an equivalent of $82 million.

China will also dispatch quarantine experts and medical personnel and set up a new treatment center in Liberia, according to the Foreign Ministry.

WHO eyes 'bend in the curve'

Speaking at a media briefing after a meeting of a WHO emergency committee Thursday, WHO's Dr. Keiji Fukuda noted that there "continued to be exponential increase of cases in the three countries with the most intense transmission" -- that is, Guinea, Liberia and Sierra Leone.

It remains a concern that the virus will spread beyond those areas, he said, and "this is most likely to be done by somebody traveling."

However, he said, exit screening for those leaving hotspot countries -- which can include taking travelers' temperature, asking them to fill out a questionnaire and checking out any fever for a risk of Ebola infection -- "probably does have a quite important deterrent effect."

He said the organization was continuing to pursue a plan to break the chain of transmission that relies on isolating 70% of Ebola cases and safely burying 70% of those who die.

WHO hopes "to begin to see a so-called bend in the curve" by the beginning of December, he said.

"It's clear that it remains quite a challenge right now. We see the numbers still going up. We still see an extensive effort trying to catch up to that curve and then get beyond the curve, but this is what we've been targeting, and that remains true now."

WHO announced earlier this month that vaccine trials were expected to begin in West Africa in January.

@highlight

2-year-old girl dies

@highlight

Forty-three others are being monitored

@highlight

Conditions would have to be met for any mass vaccination program, WHO says

@highlight

WHO official says five more potential Ebola vaccines are to start clinical trials soon