For Hafez al-Assad, the calculation was clear.

He had won power in Syria by outmaneuvering rivals and, when necessary, using force. His son would not have to repeat those steps to win power -- but likely would have to emulate his father to remain as president.

Al-Assad groomed his son, gave him a military pedigree, toughened him. The path was set.

The son in question was not Bashar al-Assad, the man now leading Syria in a spiraling civil war and toward a possible military strike by the United States.

The son Hafez wanted to be president was his first-born, Bassel. Analysts say Hafez al-Assad was closest to Bassel. Bashar, as a child, was shy and modest. The father had a distant relationship with him.

First on CNN: Videos of chemical attack effects

That changed in 1994, when Bassel al-Assad, always known to be reckless as well as cruel, was killed while driving at a high speed toward the Damascus airport to see his girlfriend.

Syria would not have the strongman Hafez envisioned. It would fall to Bashar, the reluctant heir who really wanted to be an ophthamologist.

When Hafez al-Assad died of a heart attack in June 2000, Bashar inherited a regime built on fierce loyalty -- to family and religious sect. Hafez had been born into a poor family from the Alawite mountains in northwestern Syria. The Alawites had often been looked down upon by the wealthier, majority Sunnis in Syria, and Hafez al-Assad was determined to break the mold.

He shattered it.

He joined the Ba'ath Party and then rose through the ranks of the Syrian air force. But it was hardly that straightforward. The man thrived in the backrooms of Syrian palace intrigue where, according to most accounts, betraying friends and killing or banishing enemies put you on the fast track to success.

Elder al-Assad was careful with U.S.

In Syria, analysts say, there were more than 20 successful and unsuccessful coups between 1949 and 1970, when Hafez al-Assad took power. He was involved in three of them himself.

Once in power, Hafez al-Assad proved to be one of the most cunning, ruthless dictators in a region full of them.  He crushed a 1982 rebellion by the Muslim Brotherhood in the city of Hama by laying siege to the city and killing more than 10,000 of his own people.  At different times he waged war against, and negotiated peace with Israel.

EU urges strong response; Kerry seeks support for military action

He made fast friends with Hezbollah, which the United States considers a terrorist group. But he also made sure the United States was never a full-fledged enemy.  In the 1970s and '80s he did that by sending his forces to the aid of embattled Christians in Lebanon.

And in 1990 and 1991, when President George H.W. Bush was building a coalition against Saddam Hussein, Hafez al-Assad committed 2,000 troops to the coalition side.

Bashar followed that lead. The administrations of both George W. Bush and Barack Obama have, at different periods, engaged in diplomacy with Bashar's regime and pushed away from it.  The Bush team reached out in 2003 when it needed an ally against Iraq.

In the early years of the Obama administration, Sen. John Kerry -- the man now calling Bashar al-Assad a "thug and a murderer" -- was the point man in the administration's efforts to cultivate the Syrian dictator.

There is a telling image from that period: a photograph taken in early 2009 of  Kerry and his wife, Teresa, having an intimate dinner in Damascus with Bashar al-Assad and his glamorous, London-born wife, Asma.

Several scenarios possible

How did it all unravel?

Analysts say the civil war is partially the result of old resentments. Much of the majority Sunni population is embittered after decades under the rule of a despotic family from a small minority, the Alawites.

But Bashar al-Assad also had trouble changing the old ways of his father.

"Hafez al-Assad stabilized Syria through a closed system. People couldn't travel. They couldn't communicate very well. International news was very limited", says Andrew Tabler of the Washington Institute for Near East Policy.

Chemical weapons: The desperate army's escape from stalemate

Tabler, who wrote an inside account of the al-Assad regime entitled "In the Lion's Den," says, "When Bashar came to power, he lifted the restrictions on travel, allowed people to read international newspapers, satellite television and the Internet. And it opened Syrians' minds. But how  do you control this system? And how do you basically perpetuate authoritarian and tyrannical rule?"

Obama has called on Congress to back plans to punish al-Assad militarily for an alleged chemical weapons attack in his own country.

Meanwhile, his regime is locked in a bloody fight  with rebels. More than 100,000 Syrians have died, according to the United Nations.

How does it end for the House of Assad? There are several possibilities.

Bashar al-Assad could fight to the end, lose and be killed. He could eventually flee the country and be given refuge in Iran, Russia or Venezuela.

Or he could prevail. Tabler says if he does, Syria won't look the same.

"I think at the moment, what's likely to happen is that the Assad family will rule over part of Syria for the foreseeable future," says Tabler. "But they're never going to rule over all of geographic Syria again."

@highlight

Hafez al-Assad ruled Syrian for decades with iron fist

@highlight

He hoped his son, Bassel, would succeed him

@highlight

Bashar made some reforms, but he has continued authoritarian rule