(CNN) -- More than 130 unmarked graves at a former convent discovered in Dublin in 1993 first brought to public consciousness the plight of thousands of women forced to work at Catholic-run workhouses in Ireland -- an ugly legacy that's the focus of a new report from the Irish government.

The report, released Tuesday, acknowledges that Ireland's government sent thousands of women and girls to "harsh and physically demanding" workhouses known as Magdalen Laundries, where they worked and lived without pay, sometimes for years. The laundries operated from 1922 to 1996.

"The psychological impact on these girls was undoubtedly traumatic and lasting," the Irish government-backed investigatory committee found.

The report also said, "Many of the women who met with the committee -- and particularly those who entered the Magdalen Laundries as young girls -- experienced the Laundries as lonely and frightening places."

"For too long, they have been and have felt forgotten. Indeed for many of them, an inability to share their story in the years after their time in a Magdalen Laundry has only added to the confusion and pain they feel about that period in their lives."

The committee highlighted the stigma attached to their plight, saying that "the chronicle of the Magdalen Laundries was for many years characterised primarily by secrecy, silence and shame."

As a result, the women admitted there "have for too long felt the social stigma of what was sometimes cruelly called the 'fallen woman.' This is a wholly inaccurate characterisation, hurtful to them and their families, that is not borne out by the facts."

But contrary to survivors' testimony published by advocacy groups, the report did not find physical abuse or torture to be a feature of the laundries.

It also found no evidence that women were sexually abused, but acknowledged that it had spoken to only a fraction of those concerned.

The report's authors said the four orders of nuns who ran the laundries said they had kept many details quiet out of a desire to protect the women's privacy, and that they had sought to provide for the marginalized and disadvantaged, rather than profiting from the laundries.

About 10,000 women worked in the so-called Magdalen, or Magdalene, Laundries over seven decades -- and more than a quarter of them were referred there by the state, for various reasons including by the courts as a condition of probation, according to the report.

Others were unmarried mothers, victims of sexual abuse, orphans considered a burden to relatives or the state, or had mental or physical disabilities. Some were simply admitted by the families for reasons not known.

Responding to its findings, Ireland's taoiseach, or prime minister, Enda Kenny said he was sorry for the stigma the women had suffered and the conditions they endured in the convent-run laundries.

But he did not give the formal apology many of the women have called for.

Survivors' groups say the women were physically and psychologically abused, denied an education and detained against their will -- and insist they are owed a formal government apology and compensation. With many now advanced in age, they also want the state to provide pensions for the years they worked without pay.

For years, their situation was shrouded in mystery, with details coming to light only in the past two decades.

The government-backed investigatory committee, chaired by Sen. Martin McAleese, was established in response to a call by the U.N. Committee Against Torture. Its findings will be debated by the Irish parliament later this month.

It found "evidence of direct State involvement" in numerous aspects of the 10 laundries' operation.

The report's authors spoke to about 100 women who had worked in the laundries between the foundation of the Irish state in 1922 and the closure of the last of the workhouses in 1996. About 60% of the women spent less than a year there, the committee found.

Advocacy group Magdalene Survivors Together said the women concerned had been "let down" by the committee.

One, Mary Smith, said: "It was worse than any prison, and I'll never ever get over it. I'll go to my grave with this pain, it was soul destroying, and the pain will never leave me.

"The government and the religious should stand up and acknowledge what they did to us and the scars that they left, and the pain that will never ever go away."

Survivor testimony published by the Justice for Magdalenes campaign group also depicted the workhouses as harsh and exploitative places.

"In the Magdalene laundry, it was a well-known fact that once you went in there you never came out," one woman told the group. "You couldn't walk out, because all the locks would be on the doors. You couldn't. Unless family of yours took you out. Say somebody claimed you, and took you out. Then that was the only way, or else you'd go out in a coffin, you know? You died there."

Those who escaped the convent walls have had no easy time either, the group said.

In a 2011 submission to the U.N Committee Against Torture, Justice for Magdalenes highlighted the dire situation in which many of the survivors still find themselves, years later.

"Their poverty has been exacerbated throughout their lives by the denial of educational opportunity which they suffered while incarcerated in the laundries, as well as the psychological and physical injury caused by the abuse," it said.

"Nor have the women received healthcare or education to assist them in overcoming their trauma and abuse.

"There is a dearth of personal records of the women, and they continue to feel constrained and silenced by a deep sense of stigma and shame over their incarceration in the Magdalene Laundries, because of the continued denial of justice, lack of inquiry, and lack of acknowledgment that they were not at fault for what they suffered but instead had a grave abuse perpetrated upon them."

The lack of personal records has also made it difficult for the adopted children of those locked up in the laundries to trace their mothers.

The last of the Magdalen Laundries closed in 1996.

An act passed in 2002 addressed abuse and neglect suffered by thousands of Irish children in state-licensed residential homes and schools, but omitted those who'd suffered in the Magdalen Laundries.

@highlight

About 10,000 women were sent to work in the Magdalen Laundries, a report finds

@highlight

More than a quarter were referred there by the Irish state, it finds

@highlight

Advocacy groups say the women were seriously abused and deserve compensation

@highlight

The report finds conditions were "harsh and physically demanding" but not abusive