Enrique Perez's daughter was born a boy. But, from an early age, Perez says, his first-born made clear a preference for pink clothes, dolls and "anything princess."

The family lived in Mexico at the time and decided to support her choices. She grew her hair long and wore pink clothes to school. She was 5 years old in December 2012 when she declared that she wanted to ditch the boy toys, pierce her ears and "live fully" as a girl -- pronouns and all, Perez said.

Her parents again decided to respect her wishes. Since moving from Mexico City to New York in 2013, they've only told school officials and close friends about her transition. They want people to get to know her without preconceived notions. Perez asked to withhold her name from this article to avoid making her a poster child on the Internet for transgender youth.

There have been ups and downs, but seeing his daughter happy on a daily basis leaves no doubt in Perez's mind that "this is the way she is." When the opportunity arose for the family to walk in New York City's annual Pride March this Sunday, she was eager to participate to show that she's not ashamed of who she is and that she supports others like her.

"We are happy to be a part of something like the parade, and that's because we are happy to be supportive of her," Perez said in a phone interview from his New York home.

"She has taught us -- and I totally agree -- that it's nothing to be ashamed of."

'Pride is for kids, too'

The Perez walked with other families of gender nonconforming children in a group of 150 people led by the Ackerman Institute's Gender and Family Project. The organization, which offers support services for families of transgender and nonconforming children, including the Perez family, walked under the banner "Pride Is For Kids, Too."

Jean Malpas, director of the Gender and Family Project, says it was the first contingent in NYC Pride March to feature transgender and nonconforming youth and their families.

"GFP and the participating families very much hope that such a positive demonstration of pride and support for gender nonconforming children and transgender adolescents will inspire other families to provide the supportive and caring environment these children need to live happy lives," Malpas said.

The group's presence at NYC Pride March was the latest effort from the transgender community to increase its visibility within the LGBT rubric and beyond. It also comes at a time when legislators and school districts nationwide are weighing policies to protect and support transgender and gender nonconforming youth.

"We're definitely in the middle of a gender revolution and it's exciting," said Johanna Olson, medical director of the Transyouth Health and Development Program at Children's Hospital Los Angeles.

"We've come long way in a relatively short time, but the flip side is people are still being killed for being transgender," she said. "We still have a long way to go."

Transgender and gender nonconforming children and their families have been part of Pride events across the country, she said. Putting transgender children in the public eye through events like Pride underscores the message that gender nonconformity starts at an early age and is not something to be ashamed of, said Olson, who works with families of gender nonconforming children.

Research shows that allowing children to express their true gender identity from an early age leads to better mental health outcomes down the road, she said. After all, "transgender adults started as transgender kids," she said.

'We are a normal family'

Coming out publicly as a family with young gender nonconforming children is not easy, and it's not for everyone, said author Lori Duron, who shares her family's experiences with a gender nonconforming son on her blog, Raising my Rainbow.

She started the blog in January 2011 to build a community at a time when even fewer existed than do now for families like hers. She wanted others to know they were not alone, but she did not want to overexpose her son or make him the sole focus of the conversation.

Ultimately, she and her husband decided it was worth the risk. To alleviate privacy concerns, she uses pseudonyms on her site and does not show her children's faces.

"We decided it was important for us to be advocates and for people to see that we are a normal family," she said.

She has learned to look beyond the hate mail and focus on the growing community she has helped build. Besides, the benefits of having a happy son who feels comfortable in his skin far outweigh negativity from strangers and Internet trolls.

"There's something empowering about owning it and saying this is who I am, this is who my kid is, and I'm not going to hide him. I'm going to celebrate him."

Pride becomes family friendly

NYC Pride March is open to anyone, regardless of age, said David Studinski, NYC Pride March director. Youth participants have been a part of the march since the inaugural 1970 event, and organizers have long welcomed transgender youth and adults.

"Gender nonconforming and transgender individuals face challenges within our own community, say nothing of the vast array of perceptions they experience outside of it. Compound that with the trials and tribulations of childhood and adolescence, and it's quite obvious why these amazing young people deserve to see 2 million people supporting them along Fifth Avenue,"  Studinski said.

"What the world will see in return are smiling young faces, lit up by the ecstatic energy of rainbow-flag-waving spectators. If they're OK with who they are, the world should be, too."

Families, including infants and young children, have been a growing presence at Pride events across the country as they become more family-friendly. This year marked NYC Pride's second "Family Movie Night" as part of the weeklong lineup, and Boy Scouts in uniform led the color guard at Pride March under the Scouts for Equality banner.

With legislative support for same-sex marriage spreading, NYC Pride March organizers decided to invite transgender actor Laverne Cox to be grand marshal to draw attention to parts of the LGBT community "where progress in greater society is still needed," Studinski said.

"Understanding what it means to be a transgender individual is one of those areas."

'Acceptance is protection'

Parents who make use of of the Gender and Family Project's services started talking about participating in NYC Pride March earlier this year.

Involving children was a natural extension of the program's goals to de-stigmatize gender nonconformity, program director Malpas said. Feedback from families over time has shown that "acceptance is protection," and that people feel safe when they feel society accepts them.

"The highest degree of acceptance is celebration, not that I just tolerate or accept you, but that I celebrate and embrace you," Malpas said.

"There is value in saying it publicly. It's saying to your child I will go out and I will publicly show the world that I really celebrate you and I really love who you are and I'm not ashamed," he said.

Some families preferred to watch the parade from the sidelines rather than march in it, Malpas said. Others, like Enrique Perez and his wife, discussed it with their daughter, but it was clear from the start which way she would lean.

After all, this is a girl who told a boy in her first week at a new school in a new country that she was "born a boy but always felt like a girl," her father recalled.

"We were surprised that she was the one spreading the word," he said. "But, as I see it, that's who she is and I'm glad to think she fully accepts what she's going through."

People tend to underestimate children's ability to understand and talk about their gender identity, Olson said. Young children can tell if they're different, but fewer challenge the pressure to conform to society's gender standards.

Parental support helps them find the words -- and courage -- to express how they feel.

"If your child says something to you then you know that they're capable of having discussions about public displays of their pride," she said.

It's true, people will judge you for your decisions, Olson said. But at some point, parents need to take a stand for their children.

"You can suppress and oppress your child's authentic gender so you don't have to worry about what strangers think, but then you will have a very anxious child who will be at a high risk for very negative outcomes," she said.

"We should help children learn resiliency and to be confident and proud of who they are," she said.

Hatred, hostility, even violence are all real risks whenever you take to the streets for an unpopular cause, she said.

But, she said, history has shown that the willingness of some to take those risks "moves the world forward."

@highlight

Transgender, gender nonconforming youths walked in NYC Pride March

@highlight

Group says it was first to feature gender nonconforming kids and their families in Pride March

@highlight

Parent: Letting transgender daughter march shows family supports her

@highlight

Advocates encourage families to weigh pros and cons of putting children in public view