(Parenting) -- How to weigh whether to have another child -- and what to know about raising an "only"

Couples feel more pressure to have second child than first, says one expert.

My husband and I decided to be a one-child family long before our son Oliver was born. With several years of reproductive-health scares behind me, conceiving a child felt like a Powerball win; I didn't need another chance at the jackpot.

Scott thought we could avoid the inevitable slings and arrows of sibling warfare. We both hail from large families, in which continuation of the family name is assured through siblings and cousins.

We were content with our decision, and our families took it well, too. A few months after Oliver was born, I bagged up my maternity clothes for a tag sale, and Scott started researching permanent birth-control options.

But one afternoon while absentmindedly sorting through blue and green baby clothes, the thought hit me like a punch: "I'll never sort through pink clothes." For years I'd imagined myself the mom of a daughter. After all, it had been a popular refrain throughout my adolescence ("I'll never tell my daughter what I think about her clothes," I'd intone to my mother). And I secretly hoped that my daughter would continue the tradition of attending my all-women alma mater.

It wasn't that I was disappointed with a son. To be honest, I was relieved the day we found out we were having a boy because I could work the experience of being the older sister to three younger brothers to the fullest.

Hearing the door clang shut on my fantasy daughter, however, made me doubt. When acquaintances asked, "So, are you having any more?" my voice quivered when I answered no.

A woman in my local mothers' group worried aloud, "How would you feel if something happened to Oliver and you didn't have any more children?" Did I really need another child as an insurance policy?

One night when the anxiety felt particularly overwhelming, I asked Scott, "Is it okay if we hold off on that vasectomy for a while?"

"It's normal to wonder if you're making the right choices and decisions, no matter how many kids you have," says Susan Jeffers, Ph.D., author of I'm OK, You're a Brat! Setting the Priorities Straight and Freeing You From the Guilt and Mad Myths of Parenthood. "Even if you decided to have two or more children, you'd wonder if your life would have been easier with only one child."

Choosing to have one

Haseena Correia of Valley Stream, New York, mom to Zachary, 2, has long planned to have one child.

"Once I understood how much work it takes to have a career and raise a child at the same time, I pretty much decided one was all I could handle," she says. Correia says being a one-child family allows her the right balance.

"It gives me the joy of being a mother, but it's not too overwhelming to the point where I don't have any time for myself or my husband," she says.

Financial barriers were also a factor in their decision. "With a mortgage, skyrocketing taxes, and two cars, we have to be a two-income family. Having another child is financially just not an option for us," she says.

At some point, parents will need to ponder:

• Can we cope emotionally and physically with another child?

• How will we juggle another child with our jobs?

• Where do we want to be in three years? Five?

• How will another child affect our finances? What about our marriage?

• If we wait any longer to decide, will our choices be limited by our age?

There are social and emotional pressures to consider, too. "If your friends are having second -- and third -- children, you can feel left out," says Susan Newman, Ph.D., author of Parenting an Only Child. "Or you or your spouse may want more kids, but the other doesn't."

Sorting out our feelings on most of these things was actually easy for me and Scott. (It was the emotional pull that gave me second thoughts.) We have similar goals for the future, and we realized that with our temperaments, one child would be best for our marriage. We're happy for our friends who are having second and third children, but for us, Oliver completes our family.

When you don't have a choice

Sometimes the twists and turns of life narrow your choices or eliminate them completely. Jennifer Lawler of Eudora, Kansas, always thought having four kids sounded perfect. But when her daughter Jessica was born with life-threatening health problems and Lawler's uterine fibroids compromised future pregnancies, she and her husband knew Jessica would be their only child. Lawler says, "Raising our daughter was going to take a lot of emotional, physical, and financial resources. If I had any more children, I didn't think I could handle it."

Time made the situation easier. "It's a process of acceptance," says Lawler.

"One thing that was helpful for me was not to focus on the past or the future. I put my energy toward making this the brightest moment. There were times when we thought Jessica wouldn't live, talk, or walk. She's done all those things, so I feel relief and gratitude."

Answering to everyone

As you work out what's best for your family, you'll face some tough questions all around:

• From yourself:  Laura Miller of Ottawa, Kansas, mom to Emma, 6, is undecided about having more children. "If finances and circumstances ever allow, we might have another child," she says. "But we're happy the way our family is now." She admits she still has fears. "My husband and I both have brothers and sisters --I can't imagine not having them to lean on. But after we're gone, Emma will be alone."

In my darkest moments, I've been known to worry about the unthinkable: With no other children, what would I do if I lost Oliver? But, of course, parents of onlies don't own the front and center on worry. "Parents fear for all their children," says Newman. "Families with a number of children are equally devastated and blown apart when a child dies -- the pain is no less just because you have others." We need to accept that something so dramatic as death is highly unlikely and try not to live our lives in a state of anxiety.

• From others:  "The pressure to have a second child is often greater than for the first," says Newman. But the fact is that the friends, family, and even strangers who are exerting pressure aren't the ones who'll be caring for these future children till they reach adulthood. After Lawler's daughter was born, she answered her questioners with "We're going to take care of Jessica."

Sometimes intrusive questions and opinions can drive us nuts, which is why it can be helpful to look within before lashing out.

"When you are affected by this pressure, it means you're looking for that person's approval," says Jeffers. "Ask yourself, 'Why am I reacting this way? Am I afraid of criticism from this person?' As soon as you stop needing their approval, you can relax and appreciate the decision you made." Once a mom is feeling calmer, she can answer the critics with, say, "I understand you really want this, but it's not right for me" or "Well, thanks for passing on your ideas."

• From your child -- it happens: Many onlies will ask -- loudly, often -- for a little brother or sister, or wonder aloud why they're stuck being an only child. A straightforward answer is the best bet, says Lise Youngblade, Ph.D., associate director of the Institute for Child Health Policy at the University of Florida in Gainesville. "The last thing parents want to do is get into a negotiation," she says. Instead, respond with something like "We've decided that our family size is just right. There are lots of different kinds of families, and this is how ours is."

With an older child, you can point out that many of the advantages he enjoys as an only -- his own specially decorated bedroom, for instance, or the one-on-one time he has with Mom and Dad -- may be things he wouldn't have with a brother or sister. You can also try asking your child what he thinks would be the benefits of having a sibling. It could be as simple as having a bunk bed.

If a child's demands don't abate, Jeffers points out that "children complain, period." Parents with two or three kids sometimes hear, "Mommy, it's time to send the baby back to the hospital."

In my case, it took me time to say goodbye to my fantasy daughter, but when Oliver was 18 months old, I finally said to Scott, "Let's do it," on the vasectomy.

I'm very happy with my son and our decision, and I've looked for other ways to indulge my daughter needs. I volunteered as a Big Sister and counseled a 15-year-old on boyfriends. When I spot cute girly-girl dresses, I buy them for my friend's daughters. And I console myself that when I go through menopause, there won't be two hormonal women under this roof. E-mail to a friend

Try a FREE TRIAL issue of Parenting Magazine - CLICK HERE!

Copyright 2009 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

Some couples decide to have one child

@highlight

Health, financial, emotional issues to consider

@highlight

Pressure to have second child greater than for first

@highlight

Mom: A "process of acceptance" when you can't have another child