(CNN) -- A Virginia sheriff's deputy has been fired for liking his boss's political opponent -- on Facebook.

Now Daniel Ray Carter Jr. is fighting back in court, arguing that a "like" should be protected by his First Amendment right to free speech. It's a case that could settle a significant question at a time when hundreds of millions of people express themselves on Facebook, sometimes merging their personal, professional and political lives in the process.

According to court documents, the case began when Sheriff B.J. Roberts of Hampton, Virginia, fired Carter and five other employees for supporting his rival in a 2009 election.

Carter's offense? Clicking the omnipresent Facebook thumbs-up to follow the page "Jim Adams For Hampton Sheriff." Roberts, of course, won re-election, leading to the firings.

Free-speech advocates argue that the "like" should have been clearly protected by Carter's right to freedom of expression. But a U.S. District Court judge in Virginia ruled differently saying, in effect, that free-speech protections don't kick in when someone doesn't actually say something.

"Liking a Facebook page is insufficient speech to merit constitutional protection," Judge Judge Raymond A. Jackson wrote in his May ruling, because it doesn't "involve actual statements."

Carter is appealing that ruling in the U.S. Court of Appeals. The appeal was filed last week, and the sheriff's lawyers are expected to respond by next month.

Carter's advocates argue the judge's definition of free speech doesn't match existing law.

"The judge is wrong in the sense that the Facebook button actually says the word 'like,' so there are actually words being used," said Aden Fine, a senior staff attorney with the American Civil Liberties Union, which has filed a brief supporting Carter's appeal. "And there's a thumbs-up symbol, which most people understand means they, literally, like something."

Facebook itself also has weighed in with a brief to the court, saying that a "like" for a political candidate is "the 21st-century equivalent of a front-yard campaign sign."

"A campaign endorsement in particular need not be elaborate or lengthy to constitute political speech," the site's lawyers wrote. "Carter need not have published a detailed analysis of the competing candidates' platforms for his speech to warrant First Amendment protection. His endorsement of his preferred candidate is enough."

With the London Olympics in full swing, the ACLU's Fine compared it to another wordless moment -- the two American sprinters who defiantly raised gloved fists in a "black power" salute on the medals stand during the 1968 Olympics in Mexico City.

"They didn't say any words," he said, "but they clearly sent a message."

Bruce Barry is a professor of Management and Sociology at Vanderbilt University and author of 2007's "Speechless: The Erosion of Free Expression in the American Workplace." He calls the argument used in the lower court ruling "ridiculous" and "on its face absurd."

Barry believes if the appeals court upholds that judgment, it could make it much easier for employers to clamp down on their workers' speech on social networks such as Facebook and Twitter as well as on personal blogs and other sites.

"If, as a lot of people expect, the appeals court overrules this and says this is obviously protected speech, then it may be that this case doesn't really establish a great amount of new law," he said. "That's the outcome a lot of people might expect.

"But if it goes the other way, then it really does change things, at least in the legal realm. That would have, potentially, a significant effect."

Barry notes that the Virginia case is the latest in a string of legal disputes that have arisen between employers and employees based on the increasingly popular use of social media.

Last year, gadget-review site PhoneDog sued Noah Kravitz, a former employee, for taking with him a Twitter account he built while at the company to promote his work for other sites.

And, last year, the National Labor Relations board weighed in on behalf of an ambulance driver who had been fired because of a negative Facebook post about the company for which he drove. The board said the company's policy, which prohibited negative comments by its employees on the Internet, was too broad. In February, the two sides settled the case.

"I think that employers are often too concerned about his stuff and about their employees," Barry said. "(Social media) has just become so common, so ubiquitous."

It's not clear how long it will take Carter's case to move through the court system.

After the sheriff's lawyers respond, Carter's attorneys will get one more chance. Then, the court could take several months to hear further arguments and, ultimately, issue a ruling.

@highlight

Virginia deputy says he was fired for liking sheriff's opponent on Facebook

@highlight

Daniel Ray Carter Jr. says he was one of six fired for not backing his boss

@highlight

U.S. District judge ruled his Facebook "like" wasn't protected by First Amendment

@highlight

Facebook, ACLU and others have weighed in to support Carter's appeal