Paris (CNN) -- As Paris wraps up its prêt-à-porter shows for the Autumn-Winter 2014/15 collection, young designers from across the globe are hoping to make it up one more rung of a desperately steep ladder.

Tradition, quality materials, creativity and global exposure make Paris the ultimate and most desired platform for young and established designers alike.

International buyers and the press tend to stay in the city longer than in New York or London and have time to visit the showrooms and recent platforms that have been created to showcase young designers, such as Designers Apartment, Tranoï or PREMIERE CLASSE.

Acknowledging how little help young designers are afforded, several important prizes with varying degrees of funding have been created within the industry, the most recent and most generous being the LVMH Young Fashion Designer Prize and prizes for young fashion school graduates. Others include the ANDAM fashion award, and the International Talent Support awards (ITS).

Still, it takes a combination of artistry, an awareness of the business, psychological and physical resilience to survive the challenging obstacle course to Paris. Most of all, say designers, it takes passion.

Oriane Leclercq

"You have to stay passionate," said Oriane Leclercq, a young Belgian designer who graduated from the Brussels-based La Cambre school of visual arts in 2010. "I was ready for the [grueling] lifestyle because school was so difficult that I didn't have a life outside of fashion then either."

Hired 15 months ago by Maison Martin Margiela, the 26-year old said that her selection as a finalist in the International Festival of Fashion and Photography in Hyères helped her budding career immeasurably.

With leading fashion companies sponsoring the festival each year, and jury members including designers Raf Simons and Proenza Schouler, and former New York Times fashion journalist Cathy Horyn, Hyères has enormous cachet and "accelerates the process," said Leclercq, who presented a collection in synthetic materials with touches of leopard spots and fringes in 2011.

"But I didn't get here right away—I worked at Lutz, a microstructure in Paris, and then at Balenciaga. It's important to understand how things work, both in smaller structures where you work with financial constraints and you have to manage everything, and then in larger luxury structures where money is not a problem."

What is critical, said Leclercq, is to find work immediately after graduation:

"It's a field where things move very fast and it gets harder and harder when you don't begin right away."

Thomasine Barnekow

32-year-old glove maker Thomasine Barnekow is from southern Sweden, studied in the Netherlands and has been based in Paris since 2010, launching her own brand, Thomasine, 18 months ago.

Her sculptural gloves in materials such as leather from Icelandic salmon, hand-painted python or stingray have been included in haute couture and prêt-à-porter shows and this is her second year exhibiting independently at the PREMIERE CLASSE salon.

At the Design Academy in Eindhoven she specialized in textiles and accessories, and developed the idea of working on gloves. During an internship with a luxury textile house in Paris, she came across a brochure from the federation of glove factories. After writing to every company in the brochure, Barnekow found one that helped her produce her final project at school.

In 2007 she was selected as a "talent" in the ITS competition, and was introduced to the French glove maker, Agnelle, who commissioned a collection from her just before the financial crisis.

Barnekow slowly made her way towards Paris, "which gives you a feeling of being close to inspiration," as well as being in a country with a heritage of glove making where gloves are being rediscovered as an accessory.

After creating gloves for various designers, Barnekow decided to strike out on her own. Her strategy is to grow slowly, so for example she manages her own PR for the moment, lending her gloves to young photographers in exchange for photographs.

She works mostly with leather from Italy and France and has her gloves made in a factory in Hungary, which will work with small orders. Because she does everything herself, "from design, book-keeping, production, sales, PR, trade fairs, material research etc. in the end I only have maybe 15% time for design during the whole year.

I am lucky that I am both very sociable and was very good at mathematics as a student."

Valentina Brugnatelli

Although Geneva-based jewelry designer Valentina Brugnatelli has been working in luxury fashion since 1990, she launched her own brand in 2012, working in collaboration with two Barcelona-based designers in a collective.

She had been thinking about setting up on her own for a while, and had a number of independent clients for whom she made one-off creations, but was so busy that she kept putting it off.

While working at Kenzo she met the two designers with whom she set up the collective because "it's not easy to work alone. We each have our own distinctive brand, but we put our strengths together. We pick a theme and then interpret it in our own way."

Brugnatelli combines semi-precious stones with wood, brass, resin and enamel to make her innovative jewelry, often inspired by nature. With her own brand now, she says she has learned more in two years than during her entire time working for fashion houses. "You need to have a scope of 360 degrees, you have to control everything—marketing, PR, pricing, all of a sudden you have be an accountant as well."

Salons like PREMIERE CLASSE are a good way to meet people, says Brugnatelli, who will rent a space there for her summer collection.

"They organize parties and you can meet other designers. We can share our struggles with each other, which is reassuring since everyone puts so much passion and love into what they are doing and yet it's easy to have doubts. It's really a psychological and financial rollercoaster. You have to have energy and believe in yourself."

See: The Congo's cult of elegance

Watch: Karl Lagerfeld on fashion trends

@highlight

Young fashion designers from across the world are gathering in Paris for the Autumn-Winter collection show.

@highlight

Three start-up designers share their story about how did they make their own way in the capital of fashion.