Flanked by Jewish politicians in front of the United Nations on a July day, then-Sen. Hillary Clinton made a forceful appeal for the United States to back Israel as the Jewish nation's forces squared off against Hezbollah during the 2006 Lebanon War.

"We will stand with Israel because Israel is standing for American values as well as Israeli ones," said Clinton.

Clinton was an outspoken defender of Israel and representative for American Jews for eight years in the Senate. But it wasn't always that way. She had to work hard for Jewish support in 2000 as the New York Jewish community was skeptical of her support for Israel and publicly wondered whether the former first lady was too sympathetic with the Palestinians.

But by the time she ran for president in 2008, a number of Jewish Democrats said her record with the community was unprecedented. Touting her foreign policy credentials and defense of Israel, Jewish leaders flocked to Clinton as she ran against Barack Obama in the Democratic primaries.

But after losing to Obama, Clinton signed on to be the new President's secretary of state and the face of his foreign policy. Over the next four years, some Jewish leaders said Clinton's once-consistent, outspoken leadership on Israel was hamstrung by her role as Obama's top diplomat.

Obama and Abbas: Time running out for even a framework for Middle East talks

Many applauded when she talked tough on Iran, like in 2010 when she labeled the country as one with an "anti-Semitic president and hostile nuclear ambitions" or when she said in Qatar that "Iran is moving toward a military dictatorship."

But many also winced quietly when she floated trial balloons about a nuclear deal with Iran, like in a 2010 interview with the BBC in which Clinton said Iran could enrich uranium for civilian purposes if it came into compliance with international norms.

As Clinton mulls another run for the presidency in 2016, there are questions in the Jewish community about whether her time at State has shifted her standing on issues important to American Jews.

To some, the foreign policy experience she developed will just further endear her to a bloc of voters one leader described as "extraordinarily cosmopolitan on foreign affairs."

But to others, including a number of Democrats, Clinton's ties to the Obama administration -- a presidency that some Jewish leaders say is not strong enough on Israel and too focused on working out a nuclear deal with Iran -- has not helped her standing with American Jews.

"On the amorphous level, that she was part of the administration, there may be some residual weakening," said one Jewish leader in Washington who asked for anonymity to speak more candidly.

Other Jewish leaders see it as a mixed bag that Clinton will have to define before she decides about her political future.

"At a minimum, her four years in the secretary's office did not hurt her in the community, even as the President got beat up in some corners of the community," said another Jewish leader with ties to Clinton. "I don't know it especially helped her among Jews, but it didn't hurt her."

Tapping into the Clinton mystique

Jewish leaders questioning Clinton's standing is particularly interesting when the Clinton family's longstanding ties with the community is considered.

Those ties are so great that Bill Clinton -- a Southern Baptist born in Arkansas -- is jokingly considered and honorary Jew to some leaders.

"Her husband was like the first Jewish president," joked one Jewish Democrat. Others said the Clintons' understanding of the community was better than any other American politicians.

Clinton is also helped by history. Despite the fact that conservatives have long hypothesized that Americans Jews would begin to vote more Republican because of party's positions on taxes and Israel, the past two decades have shown the opposite.

According to a 2012 report by The Solomon Project, a nonpartisan public policy organization, Jewish support for Democrats has grown since the 1990s. When Republican Ronald Reagan won the presidency in 1980 and 1984, he garnered between 31% and 37% of the Jewish votes. But starting in 1992, when Bill Clinton was first elected to the White House, American Jews began to gravitate to the Democratic Party.

In fact, at no point between 1990 to 2008 has a Democratic candidate for the presidency won less than 70% of the Jewish vote. In 2008, Obama won nearly three-quarters of the Jewish vote.

But history is also changing.

In 2012, Obama became the first Democratic presidential candidate since Jimmy Carter in 1976 to win less than 70% of the Jewish vote when 69% of the community supported the president.

"The majority of American Jews are liberal Democrats," said Nathan Diament, executive director of the Orthodox Union Advocacy Center. "But in the Orthodox segment of the community, President Obama is less popular. I think it remains to be seen whether, for the Orthodox community, that translates into some baggage for Hillary Clinton."

Since leaving the State Department, Clinton has appeared at a number of fundraiser for Jewish groups where she has been well-received.

In October 2013, Clinton was the keynote speaker at the $5,000-a-plate Jewish United Fund of Metropolitan Chicago Vanguard fundraising luncheon.

In January 2014, Clinton was one of a few speakers at the memorial service for Samuel Bronfman, a longtime Clinton supporter and stalwart in the Jewish community. A Jewish leader in New York who attended the event told CNN that speaking at the memorial was a "huge coup" for Clinton because "everyone who is anyone in the Jewish community will be there."

Clinton documents show 'West Wing' mindset

Some explaining to do on Iran

Clinton will have a chance to tout her bona fides with Jewish-Americans on Wednesday when she is honored by Jack Rosen, the head of American Jewish Congress, at an event in New York City.

According to Rosen, a Jewish leader with extensive ties to the Clintons, the event is an opportunity for Clinton to talk about issues that are important to the Jewish American community. Rosen specifically pointed out that "the community" would like to know where Clinton stands on the deal the U.S. and five other Western nations struck with Iran over its nuclear program.

"We now have this deal with Iran brewing," Rosen said. "The community would like to know where she would come out on these Iranian discussion taking place. How does she see the future outcome out if?"

While the agreement struck in November was preliminary, it dials back Iran's ability to work toward a nuclear weapon and at the same time loosens the chokehold of international sanctions on Iran's economy.

Some American Jews have been critical of the deal, and Israeli Prime Minister Benjamin Netanyahu has labeled the deal a "historic mistake" that "has made the world a much more dangerous place."

Rosen was quick to correctly point out that Clinton wasn't in office when the deal with Iran was struck. This distance, he said, gave the former secretary of state a "sort of the restart button here on Iranian policy because Iranian policy has changed."

But the former first lady has already publicly helped Obama by rebuffing congressional attempts to impose more sanctions on Iran as negotiations play out.

In a letter to Senate Armed Services Chairman Carl Levin in February, Clinton wrote that while she was "a long-time advocate for crippling sanctions against Iran," now was the time to "do everything we can to test whether they can advance a permanent solution."

For some American Jewish leaders, that letter was a troubling sign.

"Having thrown her support to the President's approach on the Iran issue, she is now really tied herself to his policy," Diament said. "If somehow that policy does not succeed, that is something she is going to have a lot of explaining to do."

Rosen came close to echoing Diament's sentiment.

"She wasn't part of (the Iran deal)," Rosen said, but "does she support it?" The answer to that question "will bring up some questions of her views in comparison to the administration's."

@highlight

Some in U.S. Jewish community associate Hillary Clinton with Obama's Israel policy

@highlight

Some wonder if Clinton's position on Israel has changed as she ponders White House run

@highlight

Clinton's husband Bill is jokingly referred to as the "first Jewish president"