(CNN) -- Russia's anti-gay laws are "no problem whatsoever," according to a leading Olympic official.

Lamine Diack, president of the International Association of Athletics Federations, has called for Russian law to be respected ahead of his sport's world championships, which begin in Moscow on Saturday.

Russian President Vladimir Putin last month signed into effect a law which bars the public discussion of gay rights and relationships anywhere children might hear. It has been condemned by Russian and international rights groups as highly discriminatory.

"I don't feel there is a problem whatsoever," Diack, a member of the International Olympic Committee, told reporters. "Russia has their laws. Each athlete can have their own private life, so we won't call upon people about this and that.

"This law has to be respected. We are here for the World Championships and have no problem whatsoever and I'm not worried at all."

The new laws have led to calls for the 2014 Winter Olympics, set to be held in the city of Sochi, to be taken away from Russia.

A 320,000-signature petition protesting the country's stance on gay rights ahead of the Games was presented to Olympic bosses in Switzerland on Wednesday.

Responding to the petition, International Olympic Committee (IOC) president Jacques Rogge reaffirmed the Olympic movement's commitment to freedom of expression.

"The Olympic charter is clear. A sport is a human right and it should be available to all, regardless of race, sex or sexual orientation," said Rogge in a statement.

" As far as the freedom of expression is concerned, of course, this is something that is important."

According to the IOC's statement, the Russian government has confirmed the new legislation will not apply to athletes and tourists during the Games.

"This legislation has just been passed into law and it remains to be seen whether and how it will be implemented, particularly as regards the Games in Sochi.

"As a sporting organization, what we can do is to continue to work to ensure that the Games can take place without discrimination against athletes, officials, spectators and the media.

"To that end, the IOC has received assurances from the highest level of government in Russia that the legislation will not affect those attending or taking part in the Games."

Rogge's words were welcomed by All Out, the gay rights group which delivered the petition to the IOC's headquarters in Lausanne, Switzerland.

"This is the strongest and most direct statement we have received from the IOC,"All Out co-founder and executive director Andre Banks said in a statement.

"It shows the IOC is listening to the global outcry against these laws and demanding real answers, not propaganda, from the Russian government.

"When he mentions the importance of freedom of expression, Rogge is right. Fundamental freedoms are eroded for all Russians -- gay and straight -- under these laws.

"Pierre de Coubertin created the Games with the dream of 'changing the world through sport'. In that spirit, we are calling for the IOC to clearly denounce the anti-gay law and do everything in its power to see that it is removed before the Olympics."

Russia's sports minister Vitaly Mutko, speaking at the same press conference as Diack, urged journalists to "calm down" before defending the new law.

"In addition to this law, we have a constitution that guarantees all rights to private life," insisted Mutko.

"This law is not intended to deprive any people of any religion, of any race, of any sexual orientation, but to ban the promotion of non-traditional relations among the younger generations.

"All sports athletes and organizations should be relaxed. All their rights will be protected.

"You have to respect the laws of the country you are coming to. This is a sports festival and we only have to talk about it."

U.S. President Barack Obama spoke out on the issue on Tuesday's Jay Leno show, condemning the laws as against the spirit of the Olympics.

"I've been very clear that when it comes to universal rights, when it comes to people's basic freedoms, that whether you are discriminating on the basis of race, religion, gender or sexual orientation, you are violating the basic morality that I think should transcend every country," said Obama.

Obama this week canceled a one-on-one meeting with Putin which had been scheduled for September.

The reason given by the White House was Russia's decision to grant asylum to National Security Agency leaker Edward Snowden and "lack of progress on issues such as missile defense and arms control," while also mentioning human rights issues.

World Sport Presents: An uneven playing field

In June Obama visited Diack's native Senegal, where homosexuality is illegal.

Obama called for all African citizens to be treated equally, but Senegal's president Macky Sall insisted the country is "not ready" to decriminalize homosexuality.

British broadcaster Stephen Fry penned an open letter to his country's prime minister David Cameron, International Olympic Committee president Jacques Rogge and London 2012 chief Sebastian Coe calling for the Games to be taken away from Russia.

There has been a groundswell of international concern over the anti-gay propaganda law and its potential impact on visitors to Russia for the Games.

Protests have ranged from a number of bars around the world announcing a boycott of Russian vodka to calls from some quarters for a boycott of the Games themselves.

However, some gay athletes insist the Games must go ahead in Sochi.

"I'm fully against a boycott," New Zealand speed skater Blake Skjellerup told CNN. "The Olympics have been very important to me and I know that a lot of people like myself have worked very hard for these Games.

"It's very important for the world to show up in Sochi and be united in this issue, to bring light to and start a conversation about what is going on."

U.S. figure skater Johnny Weir, who is married to a Russian-American man, says the flamboyant nature of his sport means that he can make a stance in Sochi.

"I'm quite well known in Russia so my sheer presence is a big statement against this anti-propaganda law," he told CNN.

Former Olympic diving champion Greg Louganis says it is difficult to balance the sporting desires of athletes with the need to make a political point against the Russian law.

"Boycotts hurt the wrong people, they hurt the athletes, but we can't ignore what's going on in Sochi," said the American, who missed the 1980 Moscow Olympics due to a boycott and was also affected by Eastern European retaliation in snubbing the 1984 Los Angeles Games.

"It's a birthright to pursue love and not be incarcerated for loving and wanting to find love," he told CNN.

@highlight

IAAF president Lamine Diack has "no problem whatsoever" with Russia's anti-gay law

@highlight

Diack was speaking in Moscow ahead of the World Athletics Championships

@highlight

U.S. President Barack Obama has criticized the laws as against the spirit of the Olympics

@highlight

A 320,000-signature strong petition protesting the law was handed to the IOC this week