A jury in Georgia convicted a former peanut company owner Friday of conspiracy, fraud and other federal charges in a groundbreaking case stemming from a deadly salmonella outbreak almost six years ago.

The guilty verdict marks the first federal felony conviction for a company executive in a food safety case.

Prosecutor Michael Moore said he hopes the trial will send a strong message to the food industry that its officials are now on notice that they'll be held accountable for foodborne illnesses.

The jury's verdict came after a seven-week trial for Stewart Parnell and his brother and food broker, Michael Parnell, both charged with 76 federal counts linked to intentionally shipping out salmonella-laced peanut products.

Michael Parnell was also found guilty on multiple counts. A third defendant, former plant quality control manager Mary Wilkerson, was convicted on one count of obstruction of justice.

The Parnell brothers, Moore said, "could easily spend the rest of their lives in prison."

Both men were taken into custody pending sentencing. Bond was set at $150,000 for Stewart Parnell and $100,000 for his brother, Moore said. A sentencing date has not been set.

Stewart Parnell's lawyer, Thomas Bondurant, said he will appeal the verdict.

"We think it was the wrong decision and we will continue to fight on behalf of Stewart Parnell," he said.

Jeff Almer, whose mother, Shirley Almer, died after she ate peanut butter that came from Parnell's processing plant, Peanut Corp. of America, said he felt relief as the clerk began to read the verdict. He had prepared to hear the worst -- that the Parnells would be acquitted. Instead, he heard the word "guilty" over and over again.

"It was validation," said Almer, who traveled from Minnesota to Georgia for the trial. "It was emotional."

After about the 14th "guilty," the words began to fade and Almer thought of his mother, who died four days before Christmas in 2008.

"I don't think these people are devils," he said, "but they let greed take over their morals."

Food safety lawyers also applauded the jury's decision.

"If anybody deserved it, he did," Minnesota-based trial lawyer Fred Pritzker said of Stewart Parnell.

"I am not at all surprised he was found guilty given the evidence against him," said Pritzker, who represented some of the victims of the outbreak.

Federal prosecutors presented more than 1,000 documents and called 45 witnesses to the stand to make their case that Parnell, his brother and Wilkerson cut corners on safety in order to make a bigger profit for Peanut Corp. They were accused of covering up lab results that tested positive for salmonella in their peanut products.

The prosecution's blistering opening statement contained three now-infamous words Stewart Parnell penned in a March 2007 email to a plant manager about tainted products: "Just ship it."

Defense statements and witnesses, which took all of 104 minutes, portrayed Parnell as a small business owner who was scapegoated by the government.

At one point, the jury was shown a photograph of peanut butter made at Peanut Corp. sitting on Parnell's dining table at home. Defense attorneys said Parnell would not have had the peanut butter in his own home had he known it to be compromised.

The trial opened August 1 in Albany, Georgia, less than an hour's drive from the Peanut Corp. plant in the small town of Blakely, raided and shuttered in 2009 by federal food inspectors.

The 2008-2009 salmonella outbreak killed nine people, sickened at least 714 others nationwide and resulted in a huge food recall that cast a pall over one of America's favorite foods: peanut butter.

Food safety advocates said the trial was groundbreaking because it's so rare corporate executives are held accountable in court for bacteria in food.

Never before had a jury heard a criminal case in which a corporate chief faced federal felony charges for knowingly shipping out food containing salmonella.

Pritzker praised public health officials whose sleuth work eventually traced the outbreak's origins back to the Peanut Corp. plant in Blakely.

"I don't view (Parnell's) conduct as any different than poisoning people or drunk driving," Pritzker said. "My strong suspicion is that this happens much more often than is known."

However, Parnell and his co-defendants were not on trial for poisoning people or causing any deaths stemming from the outbreak, and prosecutors did not mention the deaths to the jury.

Bill Marler, a Seattle food safety lawyer who also represented several victims of the outbreak, said the government would have had the added burden of proving the deaths were linked to Parnell had they mentioned them. Those facts were not necessary, Marler said, to prove the charges at hand.

Marler said he hopes Friday's verdict will send a message to corporations that they cannot get away with this kind of behavior.

The prosecution was unprecedented, Marler said, because the Department of Justice charged the Parnell brothers with felonies. Prior cases involved misdemeanors.

"Prosecutors took a risk and fortunately, the jury believed them," Marler said. "The jury saw this for what it was. The emails and documents told a story of a company that was more interested in shipping out products than products that were safe."

Salmonella is America's most common cause of foodborne illness and sickens up to 1.4 million people every year.

Former employees of Peanut Corp. described filthy conditions at the Georgia plant. Federal inspectors found roaches, rats, mold, dirt, accumulated grease and bird droppings during their raid. They also found a leaky roof.

Salmonella is often associated with meat, poultry, eggs and raw milk -- products from animals that are carriers of the bacteria. It also thrives in the intestines of birds and can be found in fruits and vegetables and in ingredients made from them.

The presence of water in what is supposed to be a dry processing facility for peanuts is like adding gasoline to fire for salmonella, food safety experts say.

Health officials discovered similar poor conditions at Peanut Corp.'s other processing plant in Plainview, Texas. The company filed for Chapter 7 bankruptcy shortly after it was shut down.

Two former plant managers worked out deals with the government in exchange for their testimonies against Parnell.

Follow CNN's Moni Basu on Twitter.

@highlight

The government accused Stewart Parnell of knowingly marketing tainted food

@highlight

He and his brother were found guilty Friday on federal conspiracy charges

@highlight

A deadly salmonella outbreak was traced to peanut butter made by Parnell's company

@highlight

Parnell's indictment became a landmark case in food safety in America