Hong Kong (CNN) -- A new credit rating agency backed by Chinese, Russian and American firms has launched today in Hong Kong, with a mission to displace the "Big Three" Western firms at the heart of the international ratings system.

The joint venture, the Universal Credit Rating Group (UCRG), says it intends to reform the current international credit rating regime, creating the initial framework for a new system by 2020, with the ability to provide credit risk information on all the world's economies by 2025.

Beijing-based Dagong Global Credit Rating, Russia's RusRating and U.S.-based agency Egan-Jones Ratings are behind the project, which they consider part of a necessary overhaul of a system whose failings contributed to the 2008 global financial crisis.

Currently, ratings issued by the Big Three -- Standard & Poor's, Moody's and Fitch -- to large-scale borrowers, such as governments and corporations, play a central role in determining how investors allocate billions of dollars. Their ratings indicate to buyers of debt how likely they are to be paid back.

During the financial crisis, the ratings agencies were criticized for giving top ratings to mortgage-backed securities that eventually cratered, sparking a deep global recession.

Sean Egan, president of Egan-Jones Ratings and director of the UCRG, believes there's been inadequate reform of the international credit ratings system since the crisis.

"Obviously there's a been a breakdown of the system, obviously there's yet to be any sort of tangible reform," he said. "That is really the impetus for seeking some alternatives for global institutional investors."

Guan Jianzhong, chairman and president of Dagong Global Credit Rating and chairman of the UCRG, said reform was essential to the recovery of the world economy.

"Credit ratings are indispensible in global economic operation, and it is obvious that the current rating system needs reforming and introducing new thinking," he said in a press release.

Egan said the venture would bring a more international perspective to ratings and provide greater accountability.

"It's not going to represent the, you could argue, parochial interests of New York-based firms. There's going to be a variety of perspectives included as a result of a variety of ratings firms being part of it," he said.

A "self-policing " mechanism would see contributors' ratings assessed over time, he said.

"It addresses the major problem you've had, whereby if a rating at the triple-A level is issued and quickly downgraded, the rating firm has historically just said 'We're sorry, but thank you very much for the rating fee.'"

He said the response to the proposal had been better than he had anticipated.

"The timing is right, the parties are right, the interest is there," he said. "Capital providers in the form of Asian and some Middle Eastern institutions have not had a seat at the table and have been terribly burnt as a result."

Observers have welcomed the move, saying the new agency could be a viable competitor, but will need time to establish its credibility.

"I'm of the view: the more the better," said Avonechith Siackhachanh, senior advisor in the Asian Development Bank's Office of Regional Economic Integration.

"Anything to introduce greater competition -- it will encourage everybody to have better discipline. But I think it will take time for this new rating agency to establish itself."

The fact that the agency was giving itself a decent time frame to start up "gives me some comfort that it has a chance to succeed," she said.

She rejected the argument that U.S.-based ratings firms had parochial interests, saying it was "not that black and white," but agreed that insufficient reforms of the ratings regime taken place since the crisis. "Perhaps more ratings agencies in the market will promote reform in the long run."

@highlight

Credit rating agency launched in Hong Kong with Chinese, Russian and American backing

@highlight

It seeks to reform the global credit rating system following the financial crisis

@highlight

Director says Asian and Middle Eastern institutions "have not had a seat at the table"