In little over a week, Boeing has announced three new developments in its quest to produce sustainable aviation biofuel.

Last week, the company identified "green diesel" as a new biofuel that would emit at least 50% less carbon dioxide than fossil fuel over its lifecycle.

On Saturday, a new initiative to build a biofuel supply chain in the United Arab Emirates was unveiled using another type of fuel. It was celebrated with a 45-minute demonstration flight by an Etihad Airways 777 plane powered by U.A.E.-produced biofuel.

On Wednesday, also out of Abu Dhabi, Boeing and partners said they had made breakthroughs in researching a shrub-like plant called halophytes, which feeds off seawater in desert terrain.

The research on the shrub-like plant was spearheaded by the Sustainable Bioenergy Research Consortium (SBRC), which is funded by Boeing, Etihad Airways and Honeywell UOP and hosted by the Masdar Institute of Science and Technology in Abu Dhabi.

According to the findings, the desert plant can be made into biofuel more effectively than many other feedstocks.

"Halophytes show even more promise than we expected as a source of renewable fuel for jets and other vehicles," said SBRC director Dr. Alejandro Rios in a statement.

Diversification

Why so many types of biofuel?

For aviation companies, it's important to diversify the types of crops for biofuel production, as well as the locations where the crops are grown.

This reduces exposure to the fuel cost volatility that comes from relying on a single source of energy.

Similar to the supply chain announced by Boeing, Airbus has established six regional alternative fuel "value chains" in Australia, Brazil, the Middle East, Romania, China and Spain, and is looking at feedstocks such as algae and cooking oil.

The industry's pressures and incentives to reduce carbon dioxide emissions are enormous.

The current aggressive target is carbon neutral growth from 2020 and a 50% reduction in carbon dioxide emissions by 2050, based on 2005 levels, according to both manufacturers and the International Air Transport Association (IATA).

According to IATA, air transport produced 689 million tons of carbon dioxide, approximately 2% of the global total, in 2012.

Green diesel

"Our industry still faces two issues: there isn't enough aviation biofuel to meet airline demand, and we need to bring the cost down to parity with petroleum jet fuel," says Jessica Kowal of Boeing's environment communications team.

For Boeing, green diesel is one of most compelling of the many biofuel "pathways" -- but not because it's considered to be better than other sources in terms of carbon emissions.

Instead, green diesel's distinguishing factor is that it's already made in bulk, with a global production capacity of 800 million gallons.

While that's far from meeting the total global aviation jet fuel demand of 60 billion gallons per year, the capacity to quickly address 1% of it (600 million gallons) is worth chasing.

Boeing is currently seeking approval from regulators around the world to use it as jet fuel, blended with petroleum, beginning this year.

Despite being made from the same sources of vegetable oils and animal fats, green diesel is not to be confused with biodiesel, as the latter produces different types of molecules during processing and cannot be used as jet fuel. 

Price is another big reason this new biofuel is a frontrunner -- with government incentives, it costs approximately $3 a gallon -- a competitive alternative to fossil jet fuel.

Since aviation biofuel was approved for use in 2011, more than 1,500 commercial flights have been powered by a blend of traditional fuel and biofuels.

Fueling the race

As companies pour resources into developing alternative fuels, it makes sense for major oil-producing nations to have a stake in what will potentially become their biggest competitor.

Boeing's joint initiative with partners in the United Arab Emirates, including the government-owned Etihad Airways, thus marks a number of firsts.

It's the first time United Arab Emirates has refined biofuel (by a subsidiary of the Abu Dhabi National Oil Co.), as well as the first flight fueled with a new processing technology that is not yet approved but will be used in UAE biofuel production in the future.

Critics and challenges

While aviation companies such as Boeing and Airbus pour money and manpower into researching aviation biofuels, there are still critics that say it's not worth the effort, and in fact may be causing more harm.

Last year, The New York Times reported that the expansion of the biofuels industry is causing a shortage of land for food crops in the poor regions of Asia, Africa and Latin America.

The European Commission proposed amending a policy on biofuels last year, due to concerns that first-generation biofuel production is pumping more carbon dioxide into the atmosphere than it saves through use as fuel, but a compromise to restrict EU subsidies for first-generation biofuel was rejected in December.

The issue is expected to remain at a standstill until the new parliament takes office later this year.

"Boeing's position, and that of many airlines we work with, is that aviation biofuel must be produced sustainably, meeting criteria for environmental, economic and social benefit," said Kowal.

"We do not pursue development of biofuel using feedstocks that compete for resources (such as land or water) used for food production."

@highlight

Boeing announces three new aviation biofuel initiatives

@highlight

The U.S. airline maker says "green diesel" would emit 50% less carbon dioxide than fossil fuel over its lifecycle

@highlight

In 2012, air transport produced 689 million tons of carbon dioxide -- 2% of the global total