Washington (CNN) -- President Obama's record on foreign policy has changed dramatically since taking office -- he now has one.

What was arguably candidate Barack Obama's biggest weakness in 2008 may become President Obama's biggest strength with the announcement of an interim deal with Iran to slow that country's nuclear program.

Since taking office in 2009, the President can boast successes including ending the war in Iraq, winding down the war in Afghanistan and killing al Qaeda leader Osama bin Laden.

But unlike the other events, the Iran deal brings a tremendous amount of risk that could yield high reward or total catastrophe: It could end in either a more peaceful world or a nuclear Iran.

State of play

The President has had a rough go of it in the past two months, largely due to the disastrous rollout of HealthCare.gov. The latest CNN/ORC poll, which was released last week, has his approval rating at 41% -- the lowest of his presidency.

However, the same poll found that 56% of Americans said they would favor the kind of interim deal with Iran that was reached Saturday.

20 questions about the Iran nuclear deal: What it says, what's at stake, what's next

Republican strategist Alex Castellanos said on CNN's State of the Union Sunday that the deal could help the President's public perception.

"Any time you see the President on the world stage, captain of the ship of state, you see him as the father figure for the country," Castellanos said. "That's a good thing for the President politically."

Domestic impact

But that picture could get clouded if he doesn't have the support of Congress.

Lawmakers from both parties urge caution on Iran deal

The deal between Iran and the six negotiating nations -- the United Kingdom, the United States, France, China, Russia and Germany -- has been met with staunch opposition, even from members of Obama's own party.

Sen. Chuck Schumer, D-New York, an important Democratic voice on Iran, said the deal disproportionately favors the Islamic republic, and he predicted bipartisan support in Congress for new sanctions.

"This disproportionality of this agreement makes it more likely that Democrats and Republicans will join together and pass additional sanctions when we return in December. I intend to discuss that possibility with my colleagues," the senator from New York said.

And on State of the Union, Rep. Eliot Engel, D-New York, said the deal makes it "very difficult" to continue sanctions that are considered effective at hobbling Iran's nuclear capabilities.

Congress could choose to try to circumvent the deal and impose new sanctions on Iran, starting another battle between the President and the Congress.

Such an action would be a huge embarrassment for Obama internationally if Congress successfully undermines him.

"Weakness invites the wolves," Castellanos said. "When you are in a weak position politically as leader of the United States ... you're a little more open to things you shouldn't be open to."

With trust between the executive and legislative branches extremely low, the Iran deal could drive a bigger wedge between the two sides.

International impact

Also at stake is the United States' relationship with its allies in the Middle East.

On Sunday, Israel and Saudi Arabia slammed the deal, with Israeli Prime Minister Benjamin Netanyahu calling it a "historic mistake."

Iran nuclear deal: One agreement, wildly different reactions

"They're afraid this deal is the start between the United States and Iran that will take us off Saudi Arabia's side and put us on Iran's side," Ken Pollack of the Brookings Institution said on CNN's Fareed Zakaria GPS.

While allies worry that the deal might weaken their relationship with the United States or put their security at risk, CNN's Zakaria said the alternative could be worse.

"Had the Geneva talks broken down this week, Iran would have continued to expand its nuclear program," he said, adding that Iran has increased the number of centrifuges from 160 to 19,000 in the past decade.

Russia and China, two countries that have tenuous relationships with the United States and have closer ties to Iran, support the deal.

Retreat or redefine?

While he has received bipartisan praise for some of his foreign policy initiatives, Obama has been criticized by opponents for acquiescing American leadership.

Castellanos said some might look at this deal as another example of the President "retreating from the world."

"It's our presence and strength that keeps the world peaceful," he said. "As we approach a more global kind of perspective, we're just one of many countries that is working to make the world a better place, the world is more uncertain."

His supporters, however, have praised his foreign policy philosophy.

Bill Burton, a former adviser and deputy press secretary for Obama, said the deal shows "a significant shift in American foreign policy" that includes consensus-building and diplomatic engagement.

While the interim deal is only the first stage of multistep negotiations that could unravel at any time, only time will tell how it will be remembered by future historians examining Obama's legacy.

Breaking down the Iran nuclear deal

@highlight

President Barack Obama has struggled politically recently

@highlight

On interim Iran deal, the public could be on his side

@highlight

Congress, however, has indicated that it is skeptical

@highlight

His foreign policy legacy could be defined by deal's outcome