(CNN) -- Jockeys may rely on real live horsepower to help them reach the winning post, but they still train like athletes.

When you are riding half a ton of flesh at 40 mph you have to be able to hold your horse. The riders, as well as their runners, follow a strict fitness regime -- and the result is a proven formula for a well-balanced and healthy body.

"Fitness has changed massively from the days when jockeys were just turning up at the races and were drinking," flat racing jockey Martin Lane told CNN.

"Now we're at the peak of our fitness. It's definitely not just sitting on a horse!"

In the English town of Newmarket, ex-jockey Richard Perham runs a boot camp for jockeys at the British Racing School.

Any budding jockey hoping to gain a license to ride from the British Horseracing Authority now has to pass a fitness assessment laid out by Perham.

Getting race fit starts by building the key muscles used to guide the world's speediest steeds to the finish.

The legs, lower body and core are the three areas of the body on which jockeys focus in training. Upper body strength is also crucial when it comes to controlling the horse.

"If you looked at a jockey without clothes on, there aren't many who have an ounce of fat underneath the skin," Perham told CNN.

"It's literally muscle and bone. Jockeys are incredibly well-toned athletes in the same way that Olympic champions Jessica Ennis or Mo Farah are."

Racing fit

Jockey training is not for the faint of heart, or those who like a lie-in.

Lane trains six days a week -- and only allows himself a rest on Sunday mornings.

"I'm up around half past five or six most mornings," the 27-year-old explained. "I'd then spend two and a half hours riding out.

"Then I'll have a cycle -- I ride 150 miles each week. The aerobic fitness from the cycling is what gets you through the season.

"Before the season starts, I'm at the gym with a personal trainer three mornings a week working on basic strength and a bit of boxing thrown in there as well.

"In the afternoons I go racing, and race riding keeps you pretty fit too."

Jockeys can also top up their conditioning at the British Racing School's training suite in Newmarket.

Here resident fitness coach Yariv Kam, a former basketball player, oversees bleep tests, squats (at the wall and standing on wobble cushions), timed sit-ups, push and pull band exercises and the dreaded plank.

All these exercises in some way replicate the crouched racing stance adopted by jockeys -- the so-called "Martini glass" position.

This precarious pose also asks the riders to summon balancing skills, and this is tested on the "equisizer" -- a cross between a rocking horse and a bucking bronco.

Complete with a swishing tail and cozy blanket, the equisizer is a lifesize, legless horse which simulates the forwards and backwards rhythm that jolts jockeys during the races.

It is used, along with other simulators like Perham's own Rideaway device, to help jockeys stay balanced -- and stay on the horse.

"Balance and fitness are equally important for jockeys but balance must come first," explained Perham.

"In the same way that in yoga you need to hold those positions for a period of time, a jockey also needs core stability to maintain his balance."

One meal a day

Maintaining equilibrium is also important for jockeys when it comes to their weight.

They are put under enormous pressure to meet weight requirements. In the U.S. and Great Britain, the minimum riding weight is 53 kg for the leaner flat racing jockeys and 61.5 kg for jump jockeys.

The majority are naturally slim and slight, so their fitness regimes do not tend to be focused on weight loss, although the amount of intensive training and riding does help keep off the pounds.

"I'm lucky that I can literally eat whatever I want and I won't get any heavier than 53 kg," explained Lane, who started riding when he was 12.

"But some of the other guys struggle with one meal a day. Mentally, it's a big task not to be eating."

The British Racing School also helps jockeys maintain a balanced diet by offering advice from nutritionists. There is also a jockey cook book which includes calorie-counted recipes such as Mexican beans and rice, and spicy sausage hot pot.

Not just about the horse

But, in the same way that motorsport drivers rely on the horsepower of their car engines, aren't jockeys mainly relying on real horsepower to win races?

Perham concedes that the work level is split 90% to 10% in favor of the horse.

But Lane, who has ridden more than 350 winners, believes jockeys can lose races if they are not physically fit.

"People say, 'It's the horse, you just have to sit there,' but we have proved that fitness definitely comes into it," he reasoned.

"It may only be 10% us but if we're only 50% fit then the jockey can only commit 5% of the work during a race.

"If we're not as fit as we can be then we're definitely affecting the horse."

As an example, he cited last weekend's Shergar Cup, a team event held at Britain's Ascot racecourse where jockeys compete for international teams.

"The English and European jockeys were so much fitter than the jockeys from the rest of the world. You could see at the finish they weren't as strong."

To show how hard it is to train like a jockey, Perham put World Sport anchor Alex Thomas through his physical tests for CNN's Winning Post show.

At the British Racing School, Thomas was unseated on his first ride on the equisizer. He also found he was no match for a professional jockey like Lane.

In Perham's fitness assessment, Thomas managed to last 40 seconds in the sit-up test compared to the jockey average of 240 seconds, and while the average rider could stay in the stomach-clenching plank pose for 180 seconds, the journalist managed a third of that time.

"I knew it was going to be hard but I didn't think it would be that tough," Thomas grimaced at the end of his grueling physical.

"Safe to say, I won't be applying for my racing license anytime soon!"

All-round fitness

Not everyone has the lean and light physique that is a prerequisite for becoming a jockey, but getting race fit can help anyone become a fitness thoroughbred.

"The tools we use are all based around gym exercises that people do," explained Perham.

"The simulator that I've designed is based around preparing jockeys but it's also very, very easily adaptable as a piece of gym equipment, similar to a rowing machine or a cross trainer. It's an all-round fitness tool."

While following such a training regime might not ultimately help you ride a winner in the Grand National or Breeders' Cup, Lane agrees that the principles of the program have benefits for anyone wanting to get fit.

"It's good for an all-round level of fitness," he added. "Being fit makes everyday life so much easier."

@highlight

The British Racing School at Newmarket runs a fitness boot camp for jockeys

@highlight

Jockeys focus on core, legs and upper body strength but aim to avoid muscle mass

@highlight

Jockey Martin Lane trains six days a week and races every day in the summer

@highlight

Success in races depends 90% on horsepower and 10% on jockey ability