(CNN Student News) -- World AIDS Day is observed around the globe on December 1. Since the first World AIDS Day in 1988, governments, organizations and charities have worked to raise awareness of the global AIDS pandemic caused by the spread of HIV infection. Use the information in this One-Sheet to provide students with an overview about HIV and AIDS.

How widespread is HIV/AIDS?

The UNAIDS/WHO 2007 AIDS Epidemic Update notes that since 1981, when HIV/AIDS was first identified in the U.S., more than 25 million people worldwide have died from AIDS-related illnesses. It estimates that today, nearly 33.2 million people throughout the world are living with HIV. According to the Centers for Disease Control and Prevention, that includes more than one million Americans.

In 2007, more than 6,800 people around the world were newly diagnosed with HIV each day, and of those new cases, approximately 1,150 were children under the age of 15, according to the UNAIDS/WHO report.

What is AIDS?

AIDS is the acronym for Acquired Immune Deficiency Syndrome. AIDS is a disease of the body's immune system that is caused by the Human Immunodeficiency Virus or HIV. Having HIV is different from having AIDS.

A person can have HIV for many years before developing AIDS. However, as HIV progresses, it kills off the body's CD4 cells (also known as T-cells or T-helper cells), a type of white blood cell that helps fight infection. When the immune system loses too many T-cells, it doesn't function normally and it can't fight off infections. As a result, people become vulnerable to many serious and often deadly infections and cancers. These types of illnesses are called "opportunistic infections" because they take advantage of the opportunity to attack the body's compromised immune system, the CDC says.

You may have heard that people die from AIDS, but this isn't technically the case. People with AIDS die from the opportunistic infections that AIDS allows to take hold, not from AIDS itself.

How are HIV and AIDS diagnosed?

While some people who are infected with HIV experience chronic symptoms such as fever, diarrhea, weight loss, night sweats and swollen lymph nodes, others may not develop symptoms for many years, according to the National Institute of Allergy and Infectious Diseases.

The only way to tell if someone has HIV is with a blood test. If a person becomes infected with HIV, his or her body will try to fight the infection by making antibodies. If a blood test shows the presence of these antibodies, then the person is diagnosed as having HIV, and is considered "HIV positive."

Likewise, you can't rely on symptoms to determine if someone has AIDS, because the symptoms of AIDS are similar to the symptoms of other diseases. In order to be diagnosed with AIDS, a person must be HIV positive and have a T-cell count below 200 (a normal count ranges from 500 to 1,800 per cubic millimeter of blood), or have one or more opportunistic infections, according to the CDC.

How is HIV transmitted?

HIV is found in blood, semen, vaginal fluid and breast milk. HIV can only be transmitted if one of these infected fluids enters the blood stream through contact with the mucous membranes, such as the mouth or vagina, or through direct contact, such as needle sticks or injections. According to the CDC, most people get HIV by:

What treatments are available?

In the early days of the AIDS pandemic, patients were unlikely to live longer than two years after developing the disease, according to the U.S. Department of Health and Human Services.

By studying the way that HIV attacks immune cells, scientists have developed drugs to fight both HIV and its associated infections and cancers. Used in combinations known as "cocktails," these drugs have helped patients live much longer after being diagnosed with HIV. However, while these drugs can slow down HIV and damage to the immune system, there is no way to get rid of HIV.

Though researchers are now testing vaccines to prevent and treat HIV/AIDS, no vaccines have been approved for use outside of clinical trials, according to the U.S. Department of Health and Human Services.

What can people do to prevent the spread of HIV?

While there isn't a vaccine to prevent HIV infection or a cure for AIDS, people can protect themselves and others from infection. Experts from the Mayo Clinic recommend that people learn about how HIV is transmitted and avoid any behavior that allows HIV-infected fluids to get into your body. If you are HIV positive, it is important to refrain from unprotected sex and other high-risk behaviors that could infect others, according to the Mayo Clinic.

If you think you may have been exposed to HIV, experts recommend that you consult a doctor and get tested for the virus as soon as you are likely to develop HIV antibodies, which is within 6 weeks to 12 months after exposure, according to the National Institute of Allergy and Infectious Diseases. E-mail to a friend

@highlight

Use this information to provide students with an overview of HIV and AIDS