Washington (CNN) -- Republican Speaker of the House John Boehner drew a hard line in the sand this week, renewing a battle over the debt ceiling unless President Barack Obama agreed to significant budget cuts during what may be a lame-duck session after the November elections.

This could set the stage for a dire scenario that threatens to bring the government to a crawl by Christmas.

But brinksmanship tactics from both sides are not new -- in fact, they are all too commonplace on both sides in this Congress as the value of the compromise among moderate voices has all but disappeared. And it appears many voters want it that way.

Fiscal cliff: What you need to know

What may be different today is that, as the country looks around for reasonable, moderate statesmen and women on both sides to go behind closed the doors and broker a deal, their choices are becoming more limited.

Congressional moderates, it seems, are a dying breed.

Where once such names as Bob Packwood and Ted Kennedy in the Senate symbolized bipartisan compromise in Congress, today the slow end of the compromiser has been hastened in part by frustrated voters who in polls say they are tired of political infighting and legislative gridlock. But these are often the same voters have recently shoved aside longtime moderates in favor of more extreme candidates.

Just ask U.S. Sen. Dick Lugar of Indiana, the centrist Republican who after 35 years in office was defeated by tea party favorite Richard Mourdock last week in the GOP primary. Or discouraged Maine moderate Sen. Olympia Snowe, who is retiring this year after being frustrated with the lack of compromise in the Senate. Or any of the Blue Dog Democrats who were voted out in 2010.

"The electorate is frustrated. They are clearly unhappy. The response is to vote for those who stand up and say 'I'm not like the rest of these guys,' " said Norman Ornstein, a resident scholar at the American Enterprise Institute and co-author of the book "It's Even Worse Than It Looks: How the American Constitutional System Collided With the New Politics of Extremism."

Senate's all-day budget debate dominated by politics

Congress has a 78% disapproval rating, according to an analysis by Real Clear Politics. The distaste for Beltway politics has been demonstrated in recent elections across the country where moderates were ousted in favor of candidates who vowed to take a tougher line on upholding party values.

Mourdock's Facebook page boasts a string of congratulatory nods from conservatives and an ominous warning from those who voted for him.

"Remember to represent the State of Indiana not forgetting us, and what we Hoosiers stand for," voter Roger Smith wrote. "Dick Lugar forgot we are the Bible-belt Hoosier Christian values, and that we believe in our Constitution which he took an oath to uphold and defend but instead did his best to destroy."

Lugar backed portions of the Obama administration's energy and immigration agenda and even supported the president's Supreme Court choices. When he lost a recent primary battle to the far more ideologically rigid Mourdock, Lugar fired off a statement harshly criticizing the increasingly polarized political climate.

"If that attitude prevails in American politics, our government will remain mired in the dysfunction we have witnessed during the last several years," Lugar wrote.

Avlon: Grow up, Congress -- make a deal on debt

Snowe grew so fed up with the current climate in Washington that she decided not to run for a fourth term. Sen. Ben Nelson, D-Nebraska; Sen. Joe Lieberman, I-Connecticut; Sen. Jim Webb, D-Virginia; Sen. Kent Conrad, D-North Dakota; and Sen. Jeff Bingaman, D-New Mexico, are centrist-leaning lawmakers who are also retiring.

"People are just stunned by the debilitating partisanship, polarization and the overall dysfunction of the institution and political paralysis as we come, you know, to the point of extreme when it comes to resolving the problems facing our country," a frustrated Snowe told CNN in February. "It's become an all or nothing proposition and that failure has eroded the public's confidence about the direction of this country and about governing institutions to be at the front lines of solving these problems."

In states and districts that slightly favor one party and have been traditionally represented by moderates from the opposite party, the very lawmakers viewed as "problem solvers" are tossed out in favor of those who promise change, Ornstein said. During the 2010 midterm elections, for instance, roughly half of the 50 Blue Dogs, a group of moderate Democrats who largely hail from conservative leaning Southern and Midwestern districts, were voted out of office.

Former U.S. Rep. Jim Marshall, D-Georgia, knows the perils of such trends all too well. Despite his reputation as one of the most fiscally conservative Blue Dog Democrats -- he voted against and promised to help reform the health care reform law -- Marshall was unable to fend off a 2010 challenge in his Republican-leaning district by Austin Scott, who was backed by the tea party.

"It's difficult for Congress to draft legislation that makes sense for America because we are ideologically driven on both sides," Marshall said. "It's really difficult for these folks to come together for a compromise. You'll hear members say, 'I have to watch my base.' "

The current era of partisanship was ushered in by former House Speaker Newt Gingrich, Ornstein said. Although the former Republican presidential candidate would say he and former President Bill Clinton cut deals that led to a record budget surplus and the biggest economic boom in modern American history, many say the Georgia Republican's ideologically unyielding, take-no-prisoners brand of leadership ushered in an era of heel-digging politics that persists to this day.

But ideological stubbornness may be just one ingredient in the recipe for congressional paralysis. Throw in congressional redistricting, which has made it more difficult for moderates to run and win. Judicial nominations are stalled. Legislation that sails through the House is often dead on arrival in the Senate. Even issues that appear to have bipartisan support -- such as capping student loan interest rates -- get stuck in the goo of Congress.

Next, add primary rule changes that only allow registered party members to vote and a polarized electorate whose grassroots efforts have put tremendous pressure on lawmakers to stay true to a more narrow interpretation of party values. Then sweeten it with the rise of more partisan-leaning media that allows voters to only consume news skewed to their own political views.

The result: danger for moderates on both sides of the aisle.

"You put all of that together, and you have a toxic stew," Ornstein said. "It's deeply rooted. It metastasizes into states where the extreme elements are getting stronger."

@highlight

Many moderates in Congress are either leaving office or being voted out

@highlight

The looming battle over the debt ceiling is an opportunity for a compromise that may not happen

@highlight

Most Americans have a negative view of Congress and its inability to get things done