I had to act. A frail 18-year-old Syrian refugee girl had pleaded: "Why have you abandoned us?" Her apartment in Homs, Syria, had been bombed, her family made homeless, her wheelchair-bound sister thrown out on to the streets with no shelter and no food but also no medical help and no schooling for the girls.

I discovered that before the civil war the girl excelled in sport and chess, had led a youth group and sang with her church choir. Now she had lost her home and her school, and she was rapidly losing hope. She had written in a private letter: "Everything is lost. I feel like I should show you so you will believe me."

And so because of recognition from the Syrian supporters in a school in Wales, she was offered the chance of a scholarship to study in the UK. She has now been here for six months and is thriving.

She works hard because she dreams that one day she can return and make a difference to her war-ravaged country.

Today, UNHCR figures show there are 3 million Syrian children displaced by the conflict, more than 1 million of whom have had to flee their country in what is now a disaster of biblical proportions.

Some years from now the world  will look back and ask why so many of us did so little, faced with a catastrophe that has made more people permanently homeless than in the world's worst recent natural disasters, like the Asian tsunami of 2004 and the Haiti earthquake  of 2010.

Of the 1 million exiled Syrian children, almost half of them in beleaguered Lebanon, and the mantra of 50 of the world's top anti-poverty advocacy groups and international institutions is simple. "Education cannot wait."

On best estimates they are likely to spend 10 years in camps or temporary shelters. They need food not only when starving, shelter when destitute, medical drugs when faced with the risk of polio. They also need hope -- hope that there is a future worth preparing for. If they are not to lose their childhoods -- a loss that can never be replaced -- the one way to deliver hope is by ensuring they can resume their education.

Amid the chaos there is a plan, a plan conceived in Britain. It puts existing Lebanese schools on double shifts -- starting earlier and finishing later to give more lessons for more pupils -- and offers all 435,000 refugees spread across the country the chance of formal education.

The annual cost is $400 dollars per pupil which is cost-effective because we do not have to create new facilities.

Proof that the double shift system works, albeit on a smaller scale, can be found in a north Lebanese village called Akroum. In a unique effort volunteer Syrian teachers, local Lebanese school heads and a small Scottish charity called Edinburgh Direct Aid, are operating the local school on a timeshare basis outside of normal school hours.

Almost immediately boys and girls who have fled from burnt-down and bombed schools and who were a few weeks ago child laborers or even beggars have started to recover their lost childhood and now have hope that there is something  to live for.

The country-wide Lebanese plan can be operational within weeks. And what has been achieved for a few hundred children in Akroum can be now achieved for all 435,000 Syrian child refugees in Lebanon -- if we urgently adopt the plan.

My frustration is that an idea conceived eight months ago, negotiated with the Lebanese Prime Minister six months ago and the subject of two in-depth reports -- one by the respected Overseas Development Institute and another by UNICEF and UNHCR -- is still sitting on a table waiting implementation while children spend a winter walking the streets begging, some now trafficked into prostitution and some even forced into marriage as child brides.

This week the Lebanese prime minister, Najib Azmi Mikati, travels to London to make a plea for his nation and its people.  One of the world's smallest countries, Lebanon has been left to shoulder the biggest burden of the crisis and it is unable to cope without international support.

Almost 25% of its entire population are now Syrian refugees. It is the equivalent of 15 million refugees arriving on the shores of the United Kingdom.

The U.S., Norway, Denmark and the UAE have backed the plan, which would cost $195 million dollars a year to secure schooling for the 435,000 children. Now with 50 of the world's top international aid agencies making an urgent plea, today all countries with aid budgets should come on board.

An important principle is at stake. More than 100 years ago, the Red Cross established the principle that the right to health care transcends borders.

Now we can establish that even in war zones children can learn. Some good can yet emerge out of the ruins.

@highlight

More than 400,000 Syrian children have fled to Lebanon to avoid the civil war

@highlight

A new scheme extends school hours in Lebanon so more children can be educated

@highlight

Gordon Brown is urging governments with aid budgets to help fund the initiative