(CNN) -- Despite the global financial crisis, China's rich are getting richer.

"As of April this year, China has 960,000 millionaires with personal assets of 10 million yuan (US$1.5 million)," says Rupert Hoogewerf, chairman of the Hurun Research Institute, which compiles China's rich list.

"It has 60,000 super-rich with 100 million yuan assets, and their numbers keep growing," he says.

The newly affluent are getting more outwardly mobile, too.

Nearly half of them are thinking of emigrating overseas, according to a Hurun Research Institute report. About 14 per cent of them have or are in the process of applying for emigration, it said.

"In Chinese, emigration refers also to getting a permanent residency, or a 'green card'," Hoogewerf explains. "We estimate this to make up 80% of the total who want to 'emigrate'."

Many businessmen are capitalizing on this trend. Among them is Larry Wang, founder and chairman of Well Trend United Inc, one of the leading immigration consulting companies in China.

Born and bred in Beijing, Wang went to Canada in 1985 for post-graduate studies. He stayed until 1995 when he decided to return to Beijing.

"China's economy then was changing rapidly," he recalled. "I asked myself, what does Canada have to offer China? Maple syrup and immigration. I couldn't sell syrup so I got into the immigration business."

His business has grown the past 17 years.

Well Trend now employs 500 people who work in 10 major cities across China, handling immigration and student visa applications. The company charges 12,000 yuan to 100,000 yuan to help clients secure student and immigrant visas.

"Over the years we've helped more than 10,000 applicants for immigration," Wang says, including many millionaires.

But why are China's newly affluent seeking to emigrate? Some do so for convenience, experts say.

"A foreign passport makes it a lot easier for them to travel around the world," Wang says. "They don't want to go through tedious visa applications all the time."

China's new rich -- a mixed group of Red capitalists, young tycoons and up-and-coming "fuerdai" (second-generation capitalist scions) -- are typically cosmopolitan and tech-savvy, frequent travelers who are willing to pay a premium for convenience.

They are also ready to spend on education for their children to give them a competitive edge in a new kind of rat race, in which millions of Chinese are striving for advancement.

Wang remembers the case of Li Weijie, 44, a longtime client who emigrated to Canada more than 10 years ago and who refers to the move as "the best decision I've ever made in my life."

Liu's teenage son did not excel at school in China, but after entering the University of British Columbia he blossomed and is now doing well in Canada. Liu, a real estate mogul, is still doing a lucrative business in China.

Likewise, many Chinese millionaires who apply for U.S. "alien investor's visa" --applicants have to commit $500,000 to $1 million in capital investment -- seek permanent resident status there so their children will have easier access to U.S. education.

"In the long run, after their children complete their undergrad or graduate studies, they would have the opportunity to compete for jobs without having to find an employer willing to sponsor them for U.S. work visas," says Joyce Gomez, an immigration lawyer based in Washington.

A small percentage of the applicants, she adds, intend to operate their own businesses in the U.S. after they obtain permanent resident status.

Hoogewerf cites other reasons. He says some millionaires opt to leave to escape China's insufficient medical care, pollution and food safety. "There is also an element of insurance against economic, social and potential political unrest," he says.

Still, Wang does not see the spike in emigration as a mass exodus of millionaires. "It's very normal that people would want to leave and see the outside world after they've made a fortune," he says. "The same thing has happened in Hong Kong, Taiwan and South Korea."

Wang thinks it's a good thing. "It's globalization," he says. "It facilitates exchange of business ideas and helps bridge cultural gaps."

Even when they emigrate, experts say, most Chinese elite keep one foot planted in China. "They keep their businesses here," says Victor Lum, a former immigration specialist at the Canadian Embassy in Beijing, and now a top executive at Well Trend.

"These millionaires are familiar with China's unique culture," says Lum. "They have succeeded here, but success elsewhere is not guaranteed."

Hoogewerf agrees. "When weighed against the gains to be made in China today, not to mention the prevailing confusion in the European and U.S. markets, most Chinese prefer to keep significant part of their assets in China," he says. "This is also where they are 'at home' no matter their passport or residency."

Some 40% of the Chinese millionaires polled by the Hurun Research Institute prefer to set up their "second home" in the U.S., followed by Canada, Singapore and Europe.

"The U.S. requires shorter time of stay in the country to gain permanent resident status and their other procedures are less complicated," says Wang.

But the hurdles on the way into America are high, too, says Gomez.

"An alien investor applicant must be able to demonstrate that the funds invested were obtained from a legitimate source," she explains.

An applicant may also be rejected if they are unable to demonstrate that their capital investment in the enterprise will create or preserve at least 10 jobs for qualified American workers within the U.S.

Legal fees from immigration attorneys that prepare the applications are not cheap. "It can range from $15,000 to $25,000," says Gomez.

But for the Chinese millionaires, that's small change.

@highlight

Nearly half of China's super rich are thinking of emigrating overseas

@highlight

China's new rich are typically cosmopolitan and tech-savvy

@highlight

Some emigrants intend to operate their own businesses in the U.S.