Japan's Prime Minister Shinzo Abe is betting that the snap elections that he has called this month will bolster support for the sweeping economic reforms he has introduced since taking power in 2012.

But if the gripes of small business owners like vegetable seller Kazuhiro Ooba are any gauge, Abe will have his work cut out.

Ooba has turned off some of the lights in his Yokohama store to save on electricity after his bills rose 30% in a year, and he says his customers are in no mood to spend.

"The money will trickle down from big corporations, according to Prime Minister Abe," he says. "Where is it? It has not reached to the people who work hard every day on the ground."

Economic woes

Abe is painting the December 14 election as a referendum on his economic policies, the much-vaunted "three arrows" of "Abenomics," the stimulus and economic reform package upon which the leader has staked his reputation.

An unexpected dip into recession has dealt his flagship economic policies a blow, however, prompting the snap election.

Almost half of voters polled for two recent opinion surveys said that the economy and jobs were the main issues for them.

"The election will be held to ask the public whether we will (move) forward with Abenomics or end it," Abe said when announcing the closure of parliament.

Campaigning for the 475 seats of the lower house of parliament that are up for grabs starts on Tuesday and polls put support for the ruling Liberal Democratic Party (LDP) around 30%, and between 10% and 13% for the Democratic Party of Japan (DPJ), the main opposition party.

The LDP has been enormously successful in the postwar years, essentially having remained in power since 1955. During this period, the DPJ have only governed twice, briefly in the 1990s and again from 2009 to 2012.

Strange timing

An election wasn't required until late 2016, which has led to considerable speculation as to why Abe, with a sizable majority in the lower house -- 295 out of the 475 seats -- would risk ceding power so early.

E. Keith Henry, analyst and founder of Asia Strategy, a Tokyo-based government policy consultancy, told CNN he found the timing "puzzling."

"Why call an election when you have such a dominant position?"

Indeed, polls suggest that a majority of the public don't understand why Abe is calling an election at this time, and are critical of the cost during another period of recession. Voter turnout is expected to be low.

"There is a mental malaise in Japan which is responsible for the economic malaise (of the post-economic bubble years)," Henry said.

One rationale for the election is that Abe is simply consolidating his position before "news gets worse," says Jeff Kingston, director of Asian Studies at Temple University Japan.

The opposition is weak, and in disarray, he says, and now is an ideal opportunity to "lock in a two year extension" to the prime minister's majority in the Japan's parliament.

"There's no great time (to hold an election)," Kingston told CNN. "This is the least-worst time."

CNN Money: Japanese voters to give verdict on Abenomics

Place in the world

While the election is being framed largely in economic terms, Japanese voters have plenty of other concerns, including the country's energy policy.

The ruling party is in favor of restarting the country's nuclear reactors -- which were mothballed in the wake of the Fukushima nuclear disaster. Local city assemblymen voted in October to fire up two reactors at the Sendai power plant in Kagoshima in Japan's south.

And Japanese are reflecting on their place in the world after Abe earlier this year issued a re-interpretation of Japan's pacifist constitution to allow for a greater degree of self-defence.

Hardline approaches toward China traditionally appeal to Japan's voters, and tensions over maritime territorial disputes with neighbor China have intensified in recent years.

The role of women in public and corporate life is also under scrutiny.

The Yomiuri Shimbun, a conservative newspaper, estimates that only 184 female candidates will run in the December 14 election, about 16% of the total.

Abe says that he has long championed women in the workplace, but as traditions die hard in conservative Japan, the number of married women with children and jobs remains low.

Gamble

Ultimately, Abe's election gamble will only pay off if he can convince the average salaryman or woman that his  economic policies will benefit ordinary Japanese.

While a key component of Abenomics has been extra government spending, a sales tax hike this year and rising costs have taken their toll on small businesses and their customers.

In a bit to boost his election fortunes, Abe delayed a sales tax hike planned for October 2015. His special adviser on economic affairs Etsuro Honda, has called for a further $25 billion in cash handouts and tax cuts to kickstart the economy.

But it's not clear whether this will be enough to satisfy voters.

"Abenomics is no good at all," said Shuichi Kobayashi, the fourth-generation owner of a 100 year-old tofu shop owner in Tokyo, who is finding recent economic conditions a threat to his livelihood.

"Our life is getting tough."

WATCH: Japan delays tax hike and calls for election

READ MORE: Japan profile: Tradition, innovation and 21st Century

@highlight

Japan's PM Shinzo Abe calls snap election for December 14

@highlight

He's framing the election as a referendum on his much-vaunted 'Abenomics' economic policies

@highlight

Analysts suggest he may be shoring up power

@highlight

Other issues are important to Japanese voters, but may not get much play in this election