(CNN) -- If you are like a lot of people, you've probably thought about trying to find out more about your family history some day. How did your parents first meet? Where did your grandparents come from? What were the family secrets that no one ever discussed?

Two years ago, I set out to do just that. Mine was a story with some superficial details that had always made for good dinner party conversation: My parents were an interracial couple who met in the mid-1950s, when "miscegenation" was still illegal in most states in America. My father was an undergraduate at Swarthmore College, the only black male student on campus. My mother was a white French professor who cast him in a student play. When they fell in love, they had to meet in secret for a year and a half until he graduated, after which they immediately married.

They both came from fascinating backgrounds: He was the son of black undertakers from Pittsburgh, who had grown up in a world that was a cross between an August Wilson play and "Six Feet Under." She had come to America from France as a teenage refugee with five of her seven sisters while their father, a Huguenot pastor, stayed behind to organize the small mountain village where he preached to hide thousands of Jews from the Nazis.

Read an excerpt from "My Long Trip Home"

But as intriguing as those facts were, I knew that my family story didn't end there. It also included what happened after my parents divorced seven years later: My mother struggled with depression and financial hardship as she was forced to support my younger brother and me on her own. My father plummeted into an alcoholic spiral that destroyed his promising career as an Africa scholar. I battled loneliness and obesity and teenage fury as I coped with feelings of abandonment. I knew I couldn't revisit the romantic aspects of the story without also reliving the tragic parts, and for most of my adult life I had no desire to do that.

Then, on the Saturday after Thanksgiving 2009, a year to the day after my father died, I woke up in the middle of the night with an urgent epiphany: I was finally ready to write my family's story. I got out of bed and started recording memories on my laptop computer. But I quickly realized how much I didn't know, or wasn't certain I recalled correctly. So I decided to tackle the project as a reporter, applying all the skills I had acquired in 35 years as a journalist. And for anyone who has thought about embarking on a similar journey, here are some of the lessons I learned:

Don't take "I don't remember" for an answer.

Many of the "sources" for my story -- my mother and her friends, my father's older sister, his other wives and mistresses -- were now in their 70s or 80s. At first, they all insisted that they had forgotten most of what happened. But I asked to speak with them anyway, always arranging to meet them early enough in the day that they weren't tired and to make sure that they had all afternoon and evening free if necessary, so that we wouldn't be cut short. Luckily, their mental faculties were still intact. Once they got started, one memory led to another, and I ended up talking with them for hours and filling notebook after notebook. Their recall became particularly sharp when they were telling me why something I thought I knew was wrong. The urge to correct the record, I discovered, is a powerful aide-memoire.

Look for every written document you can find.

I asked all of my interview subjects to give me whatever they had on paper from the time: diaries, letters, academic notes and reports. Some of it no longer had relevance, but the prospecting yielded many nuggets of gold. My mother found a diary that her father had written as a missionary in Africa in the 1930s, dreaming of returning to Europe to help battle Hitler. Longtime friends gave me a series of letters that my mother had written in the happy early years of her marriage, when I was a toddler and my parents took me with them to England and Africa while they did field research. There was another batch from the ugliest days of their divorce, when we were living in Los Angeles and she was on the verge of losing her mind. My father's brother-in-law searched through a drawer and found a 12-page testimonial that my black granddad dictated to an attendant in a nursing home on his 75th birthday. His "autobiography," as he called it, recorded how he grew up on a tenant farm in Texas, the son of a sharecropper who was born a slave, and how he made his way north as a teenager to work in the Pittsburgh steel plants and then became one of the city's first black funeral home owners.

Explore the surrounding history.

With the help of interlibrary lending and the Internet, I tracked down archives and out-of-print books and court records that helped paint a larger picture of the worlds that my parents and grandparents inhabited. Thanks to Google Maps' Street View, I was able to look at pictures of some of the many homes where I lived as a child, some remarkably the same as I remembered, others sadly gone or condemned. And like any good investigative reporter, I used the details I discovered in the written documents to question my sources again. These later interviews often elicited secrets that hadn't emerged before -- like the grounds for my parents' divorce, or the legal battle my father fought after being fired from one of his university jobs, or the details of the hard-core rehab facility where he stayed for six months to finally stop drinking.

Not everyone who reports their family story will be obsessed enough to write a book about it, as I have done. But you are bound to discover things that will surprise, amuse and even shock you. And if you're like me, you will find it enlightening to start seeing your family members not just as forces in your life, but as characters in a drama -- shaped by historical time and geographical place and their own personal angels and demons, like protagonists in a novel. "Was it therapeutic?" people ask me, and the answer is yes, but in a different way from conventional treatment. Call it "contextual therapy": the placement of your own story in a wider human narrative, where every family story is utterly unique yet entirely universal.

The opinions expressed in this commentary are solely those of Mark Whitaker.

@highlight

Mark Whitaker set out to tell the story of his family, a year after his father died

@highlight

His parents were an interracial couple who braved prejudice and faced many struggles

@highlight

To tell your family's story, act like a reporter, interview your older relatives, Whitaker says

@highlight

Search for any documents that could help and explore surrounding history