Even by MIT standards, says Tom Leighton, Danny Lewin was special.

"He was really exceptionally smart. MIT has a lot of really smart people, and Danny stood out even among that rarified environment," says Leighton, who was then one of Lewin's professors at the Massachusetts school's computer science laboratory. "He liked working on the hardest problems, as opposed to the easier ones, because they would make more of a difference."

That kind of determination drove Lewin throughout his short life. He was an American who joined the Israeli army and served in an elite unit, though he could have avoided the military altogether. He was a mathematician who could have had a stellar academic career but decided to jump into business.

Most importantly, in the late '90s he saw a solution to what was then called the "World Wide Wait" and, with his company Akamai Technologies -- co-founded with Leighton -- made the Web faster and more efficient. (Disclosure: CNN was an early Akamai client and remains one to this day.)

Lewin died on September 11, 2001, at age 31. He was on American Airlines Flight 11, the first plane to hit the World Trade Center, and was almost certainly the first person killed in the attacks on that horrible day.

His life is now the subject of a new biography, "No Better Time: The Brief, Remarkable Life of Danny Lewin, the Genius Who Transformed the Internet."

If you've never heard of Lewin, you're not alone, says the book's author, Molly Knight Raskin. That was partly due to his low-profile life and business -- Akamai is an infrastructure company, and Lewin wasn't flashy with his instant dot-com millions -- and partly because his friends and family shied away from publicity.

But she believes it's a life that deserves to be celebrated.

Even at 31, she says, he'd already accomplished so much. There were so many different elements, she says -- his military service, his business leadership, his intellect, his savvy -- and she wanted to convey some of that energy to others.

"It was about the way he lived," she says. "I felt like if he was motivating me as much, I felt like I could do the same for readers."

'Like lighting a fire'

From the beginning, Lewin seemed destined for big things. Even as a child he was an accomplished violinist, performer and athlete. He loved computers, too, learning to program an Apple II his father brought home in 1979. He was 9.

In 1984, his family decided to move to Israel, and Lewin grew up near Jerusalem. He often spent as much time weightlifting as on his schoolwork, the book notes; nevertheless he aced his classes while developing an enviable physique. The latter would serve him well when he joined the Israel Defense Forces and tried out for the Sayeret Matkal, the secretive unit known for the famed 1976 rescue raid on Uganda's Entebbe Airport.

Israel was key to shaping Lewin's temperament, says Raskin.

"Moving to Israel was like lighting a fire under (his) drive," she says. "He wanted to squeeze every last drop out of every minute out of every hour out of every day."

The imprint of the country's intensity and its people's blunt manner were obvious to anyone who met him years later. Some Akamai colleagues found him abrasive, and Lewin -- who had a fondness for words -- joked about being "obstreperous." But he was also terrifically loyal, supportive of staff and worked as hard as anybody.

"He was motivating, so if he did kick you in the butt and tell you to work harder, generally people responded very well to that," Leighton recalls. "People wanted to 'take the hill' if he was saying that's what we've got to do."

It was enough to impress Leighton, the academic who says in the book that he would have been perfectly happy to spend the rest of his life solving proofs. What attracted him to enter the private sector was "a chance for us to make a difference in the real world," he says in a phone interview.

"In the area where we worked, in algorithms and the theoretical side of computer science, often that work is good, deep work, but it doesn't change the world. It doesn't impact people directly," adds Leighton, now the CEO of Akamai. "With this work, we thought it would have relevance in the real world, and make the Internet be faster, more reliable, more secure. It was a chance that was pretty rare for us."

'His potential was limitless'

You have to remember that the Web we use today -- with practically instantaneous results, broadband-fueled streaming video and at-your-fingertips devices -- was practically unimaginable when Akamai was founded in 1998. Back then, with dial-up access and overworked servers,  a page load could be as interminable as the drip of molasses.

And so Akamai -- the name comes from the Hawaiian for "smart" or "clever" -- was born. But even with its killer app, which lowered the possibility of crashing servers, there was no guarantee of success, even in the late-'90s dot-com era. Indeed, Akamai's first attempt at impressing the venture capitalists who fund such dreams, the MIT $50K Entrepreneurship Competition, fell short. That only pushed Lewin to work harder.

The company struck pay dirt on an unlikely day, March 11, 1999. That Thursday two events shook the Web: The opening of the NCAA men's basketball tournament and the first streaming of the trailer for "Star Wars Episode I: The Phantom Menace." While servers crashed all over the country, Akamai-supported machines handled the surge, and the company started taking off.

The next two years were boom and bust -- for the Internet and for Akamai.

In the aftermath of the company's October 1999 IPO, Lewin and Leighton were briefly paper billionaires. The stock scaled $300 a share.

Then came the crash of 2000. Dozens of dot-com companies folded. By 2001, Akamai stock was selling for less than $5.

Leighton says Lewin never lost his concentration.

"We were both pretty focused on getting the job done, and that was true whether the stock was at 350 bucks or 50 cents," he says "It was positive reinforcement. If one of us got worried about a problem, the other would step in and say, here's how we're going to get past this one and here's why it's going to work out."

9/11

Nevertheless, things were particularly grim on September 10, 2001. Leighton remembers a session stretching late into the evening in which the executives had to decide whom to lay off, including some friends and colleagues who had been with them almost since the beginning. The next morning Lewin had to fly from Boston to Los Angeles.

"He probably barely got an hour of sleep before getting on board the next morning," Leighton remembers.

Lewin was sitting in seat 9B. With his Israeli military training and understanding of Arabic, he may have figured out what was going on, perhaps even tried to stop it. According to flight attendants' calls relayed to authorities on the ground, the first passenger to be killed was seated in 9B. He was stabbed to death.

Friends have always pondered the what-ifs. Lewin may have finished his Ph.D., something that always nagged at him. Friends thought he could have entered Israeli politics. Or he could have become a high-tech household name, like Bill Gates or Steve Jobs.

"Those who knew him feel like the world was robbed," says Raskin. "He was always searching for something greater."

Leighton, who helped keep Akamai going in the dark days after Lewin's death, wonders as well. Akamai has since become a multibillion-dollar company active in cybersecurity. Perhaps Lewin would have gone that direction, using both his mathematical mind and his military training to fight terrorism.

We'll never know.

"I think he could have done whatever he decided he wanted to do," says Leighton. "I think his potential was limitless."

@highlight

Danny Lewin was a math genius who co-founded Akamai Technologies

@highlight

Lewin's innovative algorithms allowed the Web to run faster, more efficiently

@highlight

Lewin may have been first person to die in the September 11, 2001, terrorist attacks

@highlight

He was likely stabbed to death on the first plane that struck the World Trade Center