(CNN) -- In their tall, fur hats and embellished traditional jackets, hundreds of Cossacks are patrolling the streets of Sochi, Russia, as the 2014 Winter Olympic Games approach.

These Russian soldiers, whose ancestry dates back thousands of years, are known in the West for their gravity-defying dance style. Closer to home, the Cossacks have long symbolized rebellion and military might in Western and Southern Russia and Ukraine.

That reputation was further enhanced by Russian literature giants Leo Tolstoy and Alexander Pushkin, whose writings contributed to the myth surrounding the Cossacks.

But within their high hats is hidden a dark history.

Known for rebelling against Russia's feudal system, the Cossack state allied itself with Russia's tsars to help create the monolithic Russian Empire. These warrior horsemen helped bring Russian rule to vast parts of the country, most notably Siberia.

Opinion: The Olympics' forgotten people

During the 14th, 15th and 16th centuries, the Cossacks fought for the Russian crown in regional wars against the Russian people, garnering a reputation as the tsars' henchmen. Acting on behalf of the Russian Empire, the Cossacks carried out pogroms, or massacres of the Jews, in 19th century Russia.

But over time, the tsars became wary of the Cossacks' impunity against the Russian Empire and their inability to fully control them. So, when the Cossacks again turned to rebellion against the empire and its imposed rule, the tsars ruthlessly punished the Cossack leaders and their warriors, as documented in the Cossack rebellion, led by Yemelyan Pugachev, against Catherine the Great in the late 18th century.

The tsars and the Cossacks found themselves united once again during the rise of the Bolsheviks in the early 20th century. The Cossacks supported Tsar Nicolas II and the anti-communist forces that made up the White Movement during the Bolshevik revolution in 1917 and the ensuing Russian Civil War.

After the Bolsheviks (who later became Communists) came to power, they massacred many Cossacks for their opposition to the revolution.

Since the fall of the Soviet Union in the late 20th century, there has been a revival of Cossack culture and pride in Russia and the former Soviet states. Russia has been turning to the Cossacks to help bolster security, even before Sochi was named as the host city for the 2014 Winter Olympics.

Russian forces hunt Dagestan militants, 'black widows'

Last year, the governor of Russia's Krasnodar region -- where Sochi is located -- hired about 1,000 Cossack patrolman to rein in the surge of illegal immigrants, mostly Muslim, according to the New York Times.

"What you cannot do, a Cossack can," Krasnodar Gov. Aleksandr Tkachev explained to local police.

His comments sparked an outcry from Sochi natives, minorities and migrants. Analysts say it is not a coincidence that the Cossacks' revival is taking place as nationalism and xenophobia are on the rise in Russia.

This new role for the Cossacks has opened up a "can of worms," writes Valeriy Dzutsev, an analyst with the Jamestown Foundation. That's because some Cossacks are starting to demand more power and land from Moscow "to support the process of the rebirth of the Cossacks," Dzutsev writes in the Central Asial-Caucasus Institute (CACI) Analyst.

And Dzutsev warns that Russia's reliance on the Cossacks "may naturally translate into conflicts between the indigenous population of the North Caucasus and the Cossacks."

So far, most Russians have embraced this rebirth of the Cossacks, due in part to the mythology surrounding them, aided by Tolstoy and Pushkin's writings.

But as Moscow calls on the Cossacks to fulfill this myth of the warrior class -- traditional clothing and all -- the tumultuous relationship between the Cossacks and the Russian Empire will be important to remember.

@highlight

Russia has deployed Cossack soldiers to help with Olympics security

@highlight

The Cossacks were once known as the henchmen of Russia's tsars

@highlight

They fought against the Communist revolution and fell out of favor

@highlight

Since the fall of the Soviet Union, there has been a revival of Cossack culture and pride