(CNN) -- Among the dead were 40 women and children. Again, as in Houla, the images are chilling.

Babies, lifeless. Wrapped in blankets, white shrouds. Women with faces in hues of ghostly whites, deep purples and reds -- the colors of death.

Civil war imminent in Syria, U.N. warns

The world gasped two weeks ago at the slaughter of at least 108 people in the Syrian town of Houla. Now, activists say it has happened again, this time in the village of Qubeir, not far from the city of Hama.

The reactions are eerily familiar: horror. Shock. Then, reaction and blame on Bashar al-Assad and, from his government, blame on armed terrorists.

Photos: In Syria, families flee and rebels fight

A camera captures the dead, some burned beyond recognition.

"Those are the children of Qubeir farm. Those are the children of the massacre, the same as Houla," says a man's voice in the video posted online.

"Take a look, Arabs. Take a look, Muslims. Were they terrorists? Take a look, Kofi Annan."

Syrian rebels face off with regime troops in 'sniper alley'

At least 78 people, including 35 from one family, were killed by Syrian regime forces in Qubeir, said the opposition network Local Coordination Committees of Syria. Some residents suspected the Shabiha, armed gangs that work as freelancers for the government.

The village had only about 200 people. In one lethal sweep, almost half were gone.

Opposition activists said Syrian government forces shelled Qubeir for an hour before militias on foot turned AK-47 rifles on people, some at close range, or slashed them with knives.

Opinion: The only glimmer of hope for Syria

The government said those accusations were false.

Throughout the Syrian crisis, al-Assad has said terrorists are responsible for the bloodshed. On Thursday, the regime put Qubeir's suffering on terrorists and said the massacre was intended "to be used to pressure Syria," state media reported.

Your Take: Should the U.S. intervene in Syria?

The video of the dead was posted on YouTube late Wednesday. CNN could not independently verify its authenticity.

Neither could United Nations observers who tried Thursday to reach Qubeir but were blocked by the Army as well as civilians. The observers wanted to "establish the facts on the ground" so that the world could be certain as the United Nations General Assembly took up talk of Syria.

Many nations blamed al-Assad for Houla. Would they think the same way about Qubeir?

"Shocking and sickening" is how U.N. Secretary-General Ban Ki-moon described the massacre.

Syria's Christian conundrum

Then he told the General Assembly that the observers trying to reach Qubeir were shot at with small arms. Al-Assad's government, he said, has lost "all legitimacy."

The camera pans over the bodies, sometimes in herky-jerky fashion. Plastic bottles of frozen water. Shards of ice. Summer temperatures are climbing. How else to preserve the dead?

U.N. observers in Syria come under fire as crisis boils

Some victims, maybe about 40, were buried Thursday, said a youth activist who was not named for safety reasons. They were not buried in the way their families would have wanted but in mass graves.

The Shabiha hauled the other bodies away to neighboring villages, the activist said.

U.S. Secretary of State Hillary Clinton called Qubeir "simply unconscionable." The time has come, she said, for the world to unite around a plan to remove al-Assad.

Nine days ago, U.N. Special Envoy Kofi Annan urged al-Assad to take bold and visible steps to change his military stance, to honor his commitment to an agreed-upon peace plan.

But the opposite has happened.

Syria: How a year of horror unfolded

Annan told the General Assembly that shelling of Syrian cities has intensified, and "government-backed militia seem to have free rein with appalling consequences."

He said: Al-Assad has not indicated a change of course. The hour demands more. Syria is on the precipice of all-out war.

The camera scans the faces of the dead. You might think at first they were sleeping, they look so peaceful. Yet they did not know peace in their final moments. The next shot is of dried blood and bruised eyes and noses.

The international rights group Avaaz sent out a report card Thursday on Syria's failing truce.

• Launch of inclusive peace process: failed.

"The opposition is unable to organize effectively in Syria due in part to the detention, torture and murder of countless opposition activists."

• Cease-fire: failed.

"Clashes between forces are rife, and crackdowns against peaceful protesters and regime shelling of residential areas continue unabated."

• Delivery of humanitarian aid: partial.

"The government heavily controls (International Committee of the Red Cross) and Red Crescent aid routes and has prevented aid from entering across borders, while aid can only be distributed in 5 locations and under regime control. Although Assad mentioned that other agencies could enter the country yesterday, it was unclear how this will work."

• Release of detained prisoners: failed.

"While 86 Aleppo University students were released in early May, more than 600 remain in detention."

• Free movement for media: failed.

"While the regime claims 400 visas have been issued for media, journalists' movements remain severely restricted, making it virtually impossible to report freely; the people they speak to are often targeted for speaking to them."

• Freedom to protest: failed.

"Peaceful protesters are still regularly targeted by shooting and even shelling, in addition to round-ups of protesters, including children, who are routinely tortured in detention."

The camera hovers over charred flesh. A blackened corpse is said to be of a mother cradling her baby. It is unwatchable. Media websites that post the video attach warnings of graphic material.

Experts on Syria agree. It is another Houla.

"Assad and his regime have been slaughtering people on an industrial scale for well over a year now, and there's no reason to think they're going to stop because Kofi Annan politely asks them to," said Michael Weiss of the British think tank the Henry Jackson Society.

"How many more of these bloodbaths will the West abide by without intervening to protect Syria's civilians?" he asked.

He said he the world ought to realize that the Houla massacre, however shocking, was hardly unique.

CNN's Yousuf Basil, Amir Ahmed and Arwa Damon contributed to this report.

@highlight

A video posted online claims to show another massacre in Syria

@highlight

The images are of dead women and children in the village of Qubeir

@highlight

The video elicits condemnation for Bashar al-Assad at a U.N. session on Syria

@highlight

The U.N. chief calls it "shocking and sickening"