Washington (CNN) -- The U.S. Senate voted on Thursday to overcome a Republican-led filibuster against tougher gun laws, clearing the way for a major congressional debate on a package of proposals sought by President Barack Obama in the aftermath of the Connecticut school massacre.

The procedural vote followed a breakthrough by Sens. Joe Manchin, D-West Virginia, and Pat Toomey, R-Pennsylvania, who reached a compromise on broadening background checks to include private purchases at gun shows and on the Internet.

Because of the bipartisan deal, Senate Democrats backing the legislation received support from enough Republicans to approve the cloture motion, 68-31, setting up debate on the proposals and amendments expected to last for two weeks.

Senate Majority Leader Harry Reid, D-Nevada, pledged after the key vote to let both sides offer amendments. But he insisted they include an updated ban on semiautomatic firearms modeled after military assault weapons and a limit on ammunition magazines to 10 rounds.

Why we're still debating guns

Both proposals were part of Obama's desired legislation, but were dropped from the package brought to the Senate because they would have prevented Democrats from overcoming the GOP filibuster.

While just a procedural vote, the Senate action represented a major step for Obama and Democrats in ensuring public votes on the most significant gun legislation to reach the Senate floor in almost two decades.

The powerful firearms lobby led by the National Rifle Association opposes the gun-control package and made clear it will seek political retribution on any legislator that supports it. This included Thursday's vote on launching debate.

Despite the agreement forged by Manchin and Toomey, both rated as strong supporters of gun rights by the NRA, the prospects for significant gun legislation to win congressional approval remained uncertain.

Any measure passed would then go to the Republican-led House, where GOP leaders have indicated resistance to the kind of proposals sought by Obama.

On Thursday, House Speaker John Boehner stopped short of promising his chamber would vote on gun legislation, saying he first has to see what gets sent over from the Senate.

"I fully expect that the House will act in some way, shape or form," Boehner told reporters. "But to make a blanket commitment without knowing what the underlying bill is, I think would be irresponsible on my part. The Senate has to produce a bill, and I've made clear, if they produce a bill, we will review it and take it from there."

The NRA clearly rejected the proposed legislation so far, with Chris Cox, who heads the group's institute for legislative action, saying in a letter to the Senate that it "would unfairly infringe upon the Second Amendment rights of law-abiding gun owners" and that the group "unequivocally opposed" it.

The lives shattered by bullets

Cox's letter called the compromise by Manchin and Toomey "misguided" and added that Thursday's procedural vote would be included in its assessment of legislators that serves as political ammunition in election campaigns.

Two Senate Democrats from pro-gun states up for re-election next year -- Mark Begich of Alaska and Mark Pryor of Arkansas -- voted with 29 Republicans attempting to filibuster the legislation. Sixteen Republicans joined 52 Democrats and Independents in supporting a floor debate.

White House spokesman Jay Carney told reporters that Obama called relatives of Newtown, Connecticut, shooting victims who were in Washington for the vote to thank them for their efforts to pressure Congress to take up the gun proposals.

An earlier statement by more than 30 relatives of the 20 first graders and six educators killed in the massacre last December criticized senators for their attempted filibuster, saying they "should be ashamed of their attempt to silence efforts to prevent the next American tragedy."

In an emotional scene Wednesday, Manchin choked up while meeting with some of the Newtown residents who praised him for political courage in taking on the NRA.

"You give me more legislative strength than you know," Manchin said at one point. He later was unable to speak and reached for a tissue when asked by a reporter how the Newtown families affected his role in the negotiations with Toomey and others.

Before the play date, the gun talk

Following the Newtown shootings by a lone gunman, Obama called for a series of proposals including "universal" background checks on all gun purchases. Currently, the federal law requiring background checks covers licensed firearms dealers, with private sales excluded.

Fierce opposition by the NRA and its allies in Congress -- mostly conservative Republicans but also some Democrats from gun-friendly states -- made clear that the universal checks sought by Obama had no chance of passing, leading to efforts by Manchin, Toomey and others to work out a compromise.

In announcing the compromise on Wednesday, Manchin noted the proposal meant that firearms buyers at gun shows would face the same background check currently required in sales by federally licensed gun dealers. In addition, it would close a loophole that exempts intrastate gun sales on the Internet from requiring a background check, he said.

Addressing concerns of the NRA that expanding background checks would burden law-abiding gun owners seeking to trade or gift weapons in a personal transfer, Manchin declared that "personal transfers are not touched whatsoever."

Another provision would recognize the legitimacy of concealed weapons permits across state lines.

The Manchin-Toomey compromise also would require states and the federal government to provide records on criminals and the "violently mentally ill" to the national background check system, addressing a criticism by the NRA and other opponents of gun laws that the existing system lacks substantive information.

Michelle Obama makes emotional entrance into gun debate

In addition, the plan calls for a new National Commission on Mass Violence to report in six months on "all aspects of the problem, including guns, school safety, mental health, and violent media or video games."

The NRA contends that an expanded background check system would create a paper trail that could eventually be used to build a national gun registry, which they reject as unconstitutional.

It also argues that an expanded system would prove a burden to law-abiding gun owners while doing nothing to stop criminals from getting hold of firearms.

According to a summary of the compromise proposal, it includes language that prohibits creation of a national gun registry or misusing information from background checks.

The NRA said rejection of the universal checks sought by Obama was "a positive development," and it called for "serious and meaningful solutions" to gun violence instead of "blaming law-abiding gun owners for the acts of psychopathic murderers."

Why is this so hard? The disconnect on background checks

Meanwhile, Obama said there were aspects of the Manchin-Toomey compromise that he would like to see strengthened.

"But the agreement does represent welcome and significant bipartisan progress. It recognizes that there are good people on both sides of this issue, and we don't have to agree on everything to know that we've got to do something to stem the tide of gun violence," the president said in a statement Wednesday.

"Congress needs to finish the job," Obama added, saying he would continue "asking the American people to stand up and raise their voices because these measures deserve a vote."

Other reaction ranged from cautious support to angry rejection.

The Brady Campaign, named after the former White House press secretary wounded in an assassination attempt on President Ronald Reagan, called the compromise a "good step forward," while New York Gov. Andrew Cuomo described it as "better than nothing" but a sellout to the gun lobby.

"This is a Congress that is captive of the extremists and there is no clearer proof of that than this," Cuomo said on the "Capitol Pressroom" radio show, adding that the compromise meant "we are not talking about a significant package of gun control anymore."

Should anyone be able to buy guns? Share your views

Obama has made gun measures a major focus of his second-term agenda, holding events across the country to push for Congress to vote on the package.

Opinion: Why the NRA fights background checks

A new national survey showed that 86% of Americans support some expansion of background checks.

At the same time, the CNN/ORC International poll released Wednesday also showed a majority of respondents fear that increased background checks would lead to a federal registry of gun owners that could allow the government to take away legally owned weapons.

Failing to pass new gun laws would be a stinging defeat for Obama and Democrats.

However, a public perception that Republicans blocked popular proposals, such as expanding background checks, could harm GOP prospects in 2014 and 2016 among moderates they need in their corner to have any chance of countering strong support for Democrats by minority demographics such as Hispanic Americans, African Americans and the gay-lesbian vote.

The Senate Judiciary Committee passed a package of gun laws proposed by Obama after the Newtown attack by a lone gunman.

Proposals in the committee's package included expanding background checks on gun buyers, toughening laws against gun trafficking and straw purchases, banning semiautomatic rifles modeled after military assault weapons as well as large-capacity ammunition magazines, and coming up with ideas for improving school safety.

Reid dropped the weapons ban, which would update a similar 1994 law that expired a decade later, saying it lacked enough support to overcome a filibuster.

Background checks on gun sales: How do they work?

Some states already have passed stricter gun laws similar to the federal proposals since the Newtown shootings. They include Connecticut, where the killings occurred, and Colorado, the site of two other notorious mass shootings that contributed to a renewed gun debate in America.

The current background check system was created in 1989. It requires federally approved gun dealers to check whether gun buyers have a criminal background or other problem to make them ineligible to purchase a firearm.

Under the system, the gun dealer maintains a record of the transaction, but the federal government keeps no such identifying paperwork.

According to a Justice Department report, less than 2% of those seeking to purchase firearms were denied because of background checks from 1998 through 2009.

Opponents cite that figure as evidence that the system fails to stop illegal weapons sales that the legislation seeks to target, while supporters say the result shows the system keeps some guns out of the hands of the wrong people and the system should be expanded and strengthened.

For Gabby Giffords, a wounded life has a new purpose

CNN's Dana Bash, Ted Barrett, Paul Steinhauser, Ashley Killough and Todd Sperry contributed to this report.

@highlight

NEW: Speaker Boehner stops short of promising a House vote on gun measures

@highlight

The NRA says it "unequivocally" opposes legislation coming up for debate in the Senate

@highlight

16 Republicans join Democrats in overcoming a GOP-led Senate filibuster

@highlight

Proposals backed by the White House would expand background checks, take other steps