(CNN) -- The intrusive voices popped into William "Bill" Garrett's head. "They're coming for you," the voices told the 18-year-old. "Find somewhere to hide; they're going to get you."

In the left shows William "Bill" Garrett in high school, and the right is a 2007 photo of the Maryland teenager.

They told the Johns Hopkins University freshman that his father had poisoned the family dog, his sister had injected crystal methamphetamine into his pet lizard and his grandmother had put human body parts into his food.

As schizophrenia took hold, the Maryland teenager became lost within his own mind and had to leave college after winning a full, four-year scholarship.

Garrett's experience echoes the teenage years of Nathaniel Ayers, a promising string bass player whose musical training at the Juilliard School was cut short by schizophrenia, a brain disorder that blurs a person's ability to distinguish between reality and delusions.

Ayers became homeless and played Beethoven pieces on a broken violin in the streets of Los Angeles, California. His struggles with schizophrenia and his friendship with a Los Angeles Times columnist inspired the movie "The Soloist," which releases Friday.

His sister, Jennifer Ayers-Moore, hopes the movie will raise awareness about schizophrenia and has established the Nathaniel Anthony Ayers Foundation for the artistically gifted mentally ill.

"I know there are thousands of Nathaniels, and they deserve a chance, too," said Ayers-Moore, an Atlanta-based social worker.

Teen interrupted

Schizophrenia is the result of disrupted brain development. Males typically get symptoms during their teens or early 20s, as Ayers and Garrett did.

"It's a critical time for the brain," said Dr. Jon McClellan, the medical director of the Child Study and Treatment Center at Seattle Children's Hospital. "It's the CEO part of the brain that pays attention, makes decisions and filters. The prefrontal cortex, that's the last area of the brain to develop.  As that area comes online, that's when the illness presents."

In high school, Garrett won elected offices in student government and headed the lacrosse and cross country teams. A gifted student, he wanted to study political science and biology at Hopkins.

At home, he cooked family dinners, helped his little sister with homework, and surprised his mother with pancakes on her birthday.

"People likened him to the perfect child before he got sick," said his mother, Kristan Kanyuch.

In 2007, the unusual behaviors started. He slept a lot. He emptied an entire can of bug spray in his bedroom. When he came home for a weekend from college, he pointed to a blister on his hand that had formed from playing lacrosse.

"Look, I have gangrene," he said.  "My hand is going to rot." Then he tried to cut off his hand with a paring knife.

His family stopped him and took him to an emergency room for a psych evaluation, but Garrett refused to wait and left.

A week later, Kanyuch got a call from the university. Her son was failing every class. When confronted, Garrett looked at the F's and calmly replied, "I'm not failing anything."

In the 1970s, Ayers-Moore saw the symptoms when her family picked her brother up from Juilliard to head home to Cleveland, Ohio, for summer.

"The look in his eye was so different," she said. "It was like you could see into his soul, he could look into yours. It sort of startled me a little bit. I didn't know what to say to him. On the way from New York, I pretended I was asleep. I didn't know what to say."

Paranoid schizophrenia

About three decades later, Nickole Kanyuch, 15, watched a similar scenario unfold as her brother, Garrett, struggled with paranoid schizophrenia and obsessive compulsive disorder.

"I watched the big brother who I had looked up to all my life fall apart and become someone entirely new," she said. "The boy who was destined for greatness, who worked long and hard for 12 years to lead a successful life, was destroyed in a mere six months."

Garrett, who had once organized his 600 books by the Dewey Decimal system, could hardly read two sentences.  The voices in his head drowned out the words on the page, he told his mother.

Garrett, who color coordinated the clothes inside his closet, could no longer groom himself or shower.  The voices told him the shampoo and soap were poisoned.

Kristan Kanyuch quit her financial planning job to take care of him. Despite taking medicine, Garrett's health fluctuated.  One day he was fine; the next, he threatened to kill the neighbors. Frustrated and facing mounting debt, Kanyuch sought help.

She joined a mental health support group. At one session, she was told to follow simple instructions from a counselor.  Meanwhile, 10 people who stood around her talked at once.  While the chorus of voices drowned out the instructions, she realized this was how her son lived every day.

That night, Kanyuch hugged her son. "You have to be the most courageous person. You wake up every day," she told him.

"That's when he explained to me the reason he sleeps," Kanyuch said.  "He doesn't hear the voices. He doesn't hear them telling him he's fat, stupid, there's a conspiracy. It's a break for him to sleep."

Although no one knows where these voices originated, they could be triggered by wiring problems in the brain, said McClellan, who researches adolescent psychiatry. One theory is schizophrenia causes difficulty distinguishing thoughts from their outside experiences, "so they experience internal thoughts and perceptions as voices," he said.

Recovery

Garrett has been a subject in two research programs searching for better schizophrenia treatments. His condition fluctuated, and, for months, he was on suicide watch.

Schizophrenia is a difficult disorder to treat, because one medication that soothes one patient can make another psychotic.

"Medication or dosages can't be matched absolutely with the individual, so there is some of that trial and error," said Dr. Thomas Bornemann, director of the Carter Center's Mental Health Program.

Garrett tried many drugs. Some made him drowsy, others volatile and one drug made him gain 75 pounds. Severe side effects often cause patients to stop taking medication.

For now, doctors seem to have found one that helps Garrett. Since March, Garrett has been at a Maryland research center that looks into the relationship between metabolism, tobacco and schizophrenia.

After a violent visit in August, Garrett, 21, had not been home until Easter. During the recent  visit, he played basketball, Yahtzee and Wii bowling with his family.

"He was able to carry on a conversation and play card games," Kanyuch said. "He was interacting."

At home, surrounded by reminders all his past achievements, Garrett said: "Mom, I was on the top of the world. Now I'm in the gutter."

His mother disagreed: "Look at it as an opportunity."

"What?" he said.

"It's not an opportunity everyone would jump at," she told Garrett.  "But as you rehabilitate, as you grow an insight into your illness, there may be things you deal with forever. But you've had significant experiences that you may be able to use to help other people. There's no place where insight and advocacy [for mental health] is needed more than in politics, which is what you wanted to do."

A life with schizophrenia won't be easy, but some with the disorder have graduated from college, earned doctorates and lead enriched lives, she told Garrett.

"He doesn't understand the courage he has."

@highlight

Schizophrenia disrupts Maryland teenager's life, forces him to leave college

@highlight

Teen's story echoes experience of Nathaniel Ayers, subject of film, "The Soloist"

@highlight

Family struggles to learn how to best help teenager deal with mental illness