Islamabad, Pakistan (CNN) -- Three witnesses whose testimony could absolve a 14-year-old Pakistani girl facing life in prison have changed their statements.

It's the latest twist in the case of Rimsha Masih, a Christian teenager who was charged more than a month ago under Pakistan's blasphemy laws for allegedly burning pages of Islam's holy book for cooking fuel. She has denied the charges.

The three witnesses initially told police they saw Khalid Jadoon Chishti, a Muslim cleric, tear pages out of a copy of the Quran and put them with police evidence that led to the charges against Rimsha.

But they recanted those statements on Monday at a bail hearing for the cleric, according to the imam's lawyer, Wajid Ali Gilani. A fourth witness stood by his initial statement.

The witnesses are a critical part of the police investigation that determined last week that the imam framed the teen. Based on that investigation and a lack of witnesses, her lawyers are now appealing to have the blasphemy charges dismissed.

The teen's case has sparked international outcry against the Pakistani government, with some saying the blasphemy laws are used to settle scores and persecute religious minorities.

Islamabad's police chief accused the three witnesses of lying to the court on Monday, and said investigators never pressured the witnesses when they gave their initial statements against the cleric.

"If they have changed their statements, they are just lying," Chief Bin Yamin said.

Police arrested Rimsha in August after her neighbor accused her of burning Quran pages to for cooking fuel, investigators said. The neighbor began to shout in protest, drawing a crowd that grew angry.

Some neighbors said the teenager was beaten. Others said she ran back home and locked herself inside. When police arrived, they arrested her.

Rimsha's lawyers said the neighbor wanted to settle a personal score with the girl because the two didn't get along. They said it's likely that he liked the teen and she didn't feel the same.

The lawyers say that no one actually saw Rimsha burning the papers, but that the neighbor went to Chishti with the bags.

According to police, Chishti wasn't certain that simply burning pages with texts from the Quran would be enough to convict Rimsha on blasphemy charges. So, he added two pages from the actual holy book to the bag to bolster the case, they said.

In addition to charges of tampering with evidence, Chishti could also face blasphemy charges as a result of the police investigation.

The pursuit of the accusations against the cleric is significant in Pakistan because "never before has a false accuser been held accountable," according to Ali Dayan Hasan, the Pakistan director of Human Rights Watch Hasan.

After her arrest in August, Rimsha had been held in an adult jail before she was released on bail in September. A local court transferred her case to the juvenile court last week after the police investigation said she had been framed.

Islamabad High Court will consider the petition to drop the charges against Rimsha on October 17, said Abdul Hamid Rana, the teen's leading lawyer. If the charges are not dismissed, her case will proceed in juvenile court.

Having her case transferred to juvenile court "is a precursor to the case ending," said Hasan of Human Rights Watch.

"That is quite unprecedented in the 25-year history of Pakistan's blasphemy laws," he said last week.

It's unclear how the change in statements from the key witnesses will affect her case.

Blasphemy laws were first instituted to keep peace between religions. Actions perceived as insults to Islam provoke fierce reactions in the predominantly Muslim nation, as demonstrated by the recent angry protests in response to an anti-Islam film produced in the United States and made available online.

There have been 1,400 blasphemy cases since the laws were first enacted in 1986, according to Human Rights Watch. There are more than 15 cases of people on death row for blasphemy in Pakistan, and 52 people have been killed while facing trial for the charge, he said.

Rimsha and her family spoke to CNN last month from an undisclosed location after she was released on bail.

The teen denied that she defiled the Quran. She said she was happy to be with her family, but feared for her life.

"I'm scared," she said by phone. "I'm afraid of anyone who might kill us."

No matter how her case pans out, it's unclear what kind of life she might be able to have.

Aid groups in the United States, Italy and Canada have offered the teen and her family a home outside Pakistan, a family representative said.

But she has said she wants to stay in her home country.

@highlight

Witnesses initially said an imam framed a teen girl accused of burning Quran pages

@highlight

Now, three witnesses have recanted those statements made to police

@highlight

Based partly on those statements, police determined the teen is innocent

@highlight

She still faces charges in juvenile court