It occurred to me for the first time as I sat in the car's front seat and felt my father's cold corpse in the back seat in May 2007. The nurses at the Ikorodu General Hospital had just said no to his body. He had died from heart failure an hour or two before. They needed a police report.

I could hardly believe the utter coldness of it. But I had yet to see -- or hear -- the worst. Because I am born and bred in Nigeria, I knew that, at 11pm, the body of my dear father might rot if I sat there pondering the inanity of the request or stood up to argue its inhumanity, so I led the convoy to the nearest police station.

Opinion: Why Nigerians are no longer content with 'suffering and smiling'

There, with the most pointed lack of compassion I had ever witnessed up onto that point, the police proceeded to haggle with themselves over how much they would extract from a 24-year-old who had just lost his father -- a father whose dead body was only a few meters away.

As they dropped my father's body in that unkempt, abominable mortuary (one in which I had to tip the caretaker daily on my way to work so that the corpse would not be left to decompose), I could only think of what an abominable country I was so unfortunate to come from, and to live in.

I recalled that scene as I came across pictures of rotten corpses stacked on each other in a room -- victims of June's Dana Crash;  "rotting carcasses of human beings stacked on each other, fluids mingling."

More: Nigerians demand answers in wake of Dana Air crash

That is when it hit me. We are living like animals in this country. I remember my father -- and how he, and I, were treated so terribly because our country does not care for any one.

These Dana Crash dead bodies weren't victims of a serial killer locked in a room for months or of a brutal civil war with shut-down health-care services -- these were citizens of a country, who had just been visited by their president a day before, nonetheless treated in death with relentless disrespect. They had been killed by their country -- and it couldn't even pack their bodies well.

More: Is a 'Nigerian Spring' next?

It could have been you, or me. It's not just that it could have been me. That's not the worst part. This is the worst part: I could have been the one in that flight waiting for 20 minutes after a fatal crash; sitting there in mind-numbing agony, knowing the plane would soon explode and kill me because I live in a country where emergency services would arrive only about an hour after, and people will die who could have been saved.

That's the part that gets me. And as I watched officials scramble to protect their irrelevant jobs so that they could make enough money to buy First Class tickets on airlines that might crash and kill their children tomorrow, I realized how hopeless we had become as Nigerians.

So I ask myself; why are we still in Nigeria -- a country that does not deserve many of us -- even when we have a choice? Why are we not like the generation that left town? Why are we living in a country that cannot protect us, has not supported us, will not satisfy us?

More: Nigeria's oil economics fuel deadly protests

The logical thing to do is to leave fastest way we can; once the opportunity turns up. But we stay and we come back, because we go better, because it is well, because God dey; because somehow, somehow we think we can survive it; maybe even improve it .

But let's tell ourselves the truth -- many of you in this hall have already given up on Nigeria. Many of us are convinced that this ship is sinking, this country cannot change. We do not trust our politicians, but that is even cliché. We do not trust the activists. Everyone is seen as searching for a piece of that national cake. That's what we have become as a country: an unending race for a part of that cake.

It is difficult to have faith in this kind of country; difficult to tell yourself with a straight face that you are proud of being a Nigerian.

It is difficult to have faith even when you look at the young people -- scrambling for crumbs off the table, buffeted by the need to avoid the poverty of their fathers, changing principle on whim just like those before them; perpetuating scams in the name of advocacy, running businesses long on hype and short on substance. It is difficult to have faith in that kind of country. It is herculean to believe in it. It is almost impossible to be proud of it.

More: Nigeria on edge as Islamist group extends campaign of violence

No, Nigeria, is not a great country. It wasn't great yesterday, it isn't great today. It can be great, it should be great, it could have been great, and if we sit down and get serious, it will be great.

After the Dana Crash, I gave up hope in this country; I lost my faith, I struggled with my love. But two day later, I was back working for the country, and that is the real story.

In pictures: Putting a face on Nigeria's "paradise lost"

It is okay to fall out of love, it is okay to hate that love every once in a while, it is okay to condemn, to criticise, to react, to fight, to protest, to demand; but you must return to loving it, you must return to being pained.

It is the reason despite Governor Amaechi spending two hours debating fiercely with us that our generation is only interested in continuing the "chopping", he decided that it is crucial to get the brightest of that generation here to inspire the young people in Rivers State and across Nigeria -- moving it from an idea in 2006 that couldn't even pay for the hall in which it held, to a movement in 2012 that has taken over this Port Harcourt.

It's because beneath a tough-talking governor lies a tender spot for his country and its future -- and I see it daily across this country even from the lips of those who curse it. Even in those who appear to be ripping the country to shreds, every once in a while you see that wistfulness for what might have been.

More: Goodluck Jonathan: Nigeria's embattled president

But, this is the good news, it is not too late. I do not come as a prophet of cliché, I come here as a student of history because other countries have done it. This shipping is sinking, but it hasn't yet sunk. As long as we are in Nigeria, as long as Nigerians live in Nigeria and work in Nigeria, and fight for Nigeria, and refuse to give up on Nigeria, there is hope.

We cannot ever lose that pain that we should feel for a country that continues to fail us. No matter how disappointed we are in our country, we cannot abandon it. We cannot use Nigeria as an excuse to fail Nigeria.

Pehaps we should handle Nigeria the way a mother handles a drug-addicted child -- with tough love sometimes, with deliberate gentility at other times; demanding at one time, encouraging at the other.

Listen guys, we are all we've got, and this should be the turning point generation.

See more from the the Future Project Nigeria

I don't come here to excite you; I come here so we can encourage one another. I come here to remind us that, after all said and done, you and I are still here. And 'cause we are still here, we have no choice but to keep working.

Let's keep the faith. If we stumble, let's rise. When we fall, let's rebound. Let's refuse to let Nigeria go, let's insist that it must work. Let's keep working until it changes; let's keep changing until we tear down these walls.

Because we can. Because we have no choice. Because we love this land.

God bless Nigeria.

@highlight

Chude Jideonwo says Nigerians need to fight for Nigeria, and refuse to give up on Nigeria.

@highlight

In a speech at The Future Project awards, he urged Nigerians not to abandon the country

@highlight

He says it is 'almost impossible to be proud of Nigeria,' but there is a hope