New Orleans, Louisiana (CNN) -- "How you doin' darlin'? Where you from? I know there's a storm that passed through, but we still gotta eat!" And with a big smile that said "thanks for the tip!" the crowd-pleasing trumpet player continued to woo tourists in front of St. Louis Cathedral.

It's just another day in the French Quarter -- but it's also just days since the first major hurricane hit New Orleans since Katrina.

Have no doubt, as far as tourism is concerned, New Orleans is up and running and ready as ever to welcome visitors. Business owners and community leaders say the speedy recovery from Isaac is thanks to smart leadership, strong lines of communication and serious preparation.

"The really great news coming out of this is that everything's working so well: All the billions spent on the levees and the gates -- it all seems to be working," said Ti Adelaide Martin, co-proprietor of restaurant icon Commander's Palace, located in the city's Garden District.

Martin isn't complaining too much about the power outage and the physical damage from Isaac. She's not happy about losing a week's business, but she says there's not even enough damage to bother her insurance agent this time around.

How a New Orleans native rides out a storm

"I'm gonna have to take the hit myself -- and I'm the happiest girl in town about that," she laughed. "After Katrina we were closed for 13 months and it was 6Â½ million dollars to get back open again."

In addition to keeping more detailed records on employees, including cell phones and home addresses, Martin said Commander's also has an internal website for companywide communication in case of emergency and generators to keep the 10,000-plus bottle wine cellar functioning in case of a loss of power.

That wasn't the case in 2005, when about 7,500 bottles were shipped out of town before the storm hit. Since Katrina, the company has also set up a way to process its payroll remotely.

Post-Isaac diners at Commander's may see an abbreviated menu at first, because some items, such as turtle soup, involve preparation that can take a few days to perfect. But in fairly short order, "you won't even know there's been a storm," said Martin.

Storm evidence was easier to see at Mardi Gras World on the riverfront, where a plate glass window was blown out and parts of the roof were damaged or blown away. But President and CEO Barry Kern is confident that damages from Isaac will be repaired soon.

Mardi Gras World produces the colorful floats that fill the streets of New Orleans during that revered holiday -- and those floats are pulled with the help of generators -- a fact that bodes well for the company during a hurricane. After Katrina those generators were being used "anywhere and everywhere" said Kern, including by police and fire stations. This time, the 130 generators were ready for double duty, but only a few had to be sent out to help other locations that lost power.

"We deal with these storms the way they deal with snowstorms and earthquakes in other parts of the country," said Kern, pointing out that none of downtown, the French Quarter or the museum and arts district suffered power outages from Isaac. The tourism business has been "spectacular" this year and Isaac is a "blip on the screen," he said.

"New Orleans moves to the beat of its own drummer. There are more restaurants and more tourist attractions and more venues for parties and events than we've ever had in the city of New Orleans," Kern said.

Open since 1932, Mardi Gras World and Kern Studios have seen plenty of hurricanes. Teamwork has always been key to recovery. "I have guys here who are artists, who are up on the roof helping the roof get patched," said Kern, whose company also produces elaborate floats for parades around the world.

"The fact that we're already up and operating says a lot. The storm was on Wednesday and we're open for business on Friday. That's pretty darn good!"

Business as usual is also the mantra at another New Orleans dining institution, Galatoire's on Bourbon Street.

"It lasted a day longer than we thought it would," said President and CEO Melvin Rodrigue, but he said they're expecting a good crowd and there are "considerable" reservations for the Labor Day weekend.

Friday lunchtime at Galatoire's generally means a packed house, but on the Friday after the storm, there was a rare sighting at Galatoire's: empty tables. One regular customer, Brobson Lutz, said that those empty tables were an indication that "the word's obviously not gotten out yet! Normally the roar of the crowd here is louder than the roar of a hurricane," he said.

Rodrigue, who is also chairman of the board of the city's convention center, said that Labor Day weekend isn't really a big deal in the big picture of New Orleans tourism. He called Labor Day a "line in the sand" that takes the city out of the slower summer season and into the more intense time of year for visitors.

"We're getting ready for a busy, bustling season come the middle to the end of September."

In terms of numbers, 2012 could break a key record for New Orleans: there's "a distinct possibility" that visitor numbers will reach pre-Katrina numbers for the first time, Rodrigue said. The city saw 10.1 million visitors in 2004, he said. "We're going to get close to that 10 million mark again, if we don't exceed it."

Another positive indicator is a 57 percent occupancy rate at the convention center. By comparison, the rate was 44 percent in 2004, pre-Katrina, and 47 percent in 2011.

"We broke 50 percent occupancy three out of the last four years," which is a sign of excellent convention bookings, he said.

A short walk away from Galatoire's, J.C. Joseph at the One Sun Art Gallery on Royal Street was busy preparing to re-hang paintings on the yellow and brick walls in his long entrance hallway. "This is usually filled with paintings," he said.

He took them all down in preparation for the storm, but then faced another challenge: the man who was supposed to come in and help him hang them back up was stranded on the other side of the Mississippi in a home with no power.

But Joseph is optimistic about the future and has no doubt the tourists will keep coming, not only the usual visitors seeking New Orleans music and culture, but also the growing numbers of travelers who arrive via cruise ship, adding yet another set of faces to the NOLA tourism crowd.

At Kako Gallery, also on Royal Street, Catherine Coe says she was happy to come to work because there's air conditioning -- unlike at her home, where power has yet to be restored.

In Jackson Square, the tourists, the colorful characters and the music were out in full force.

Derrick Richardson is stationed at the Air Force Base in Shreveport, Louisiana, but he's on leave this week and was touring New Orleans for the very first time.

"I've never been here. So the fun part is seeing all this (he motions toward the band playing nearby and a gold-painted mime "frozen" on the corner), but then also seeing all of the crazy clean-up going on too at the same time. We were watching the weather closely and I didn't think we were gonna be able to do this."

But Richardson's leave was approved Thursday and he made the trip down with no problems.

His friend Brooke Garner says the "normal New Orleans attitude" is going strong and she's excited to show him all the hot spots in the Quarter.

"We've been walking down Bourbon Street and later I'm going to take him to get his first beignet," she said, right before they popped inside St. Louis Cathedral.

Ti Adelaide Martin is expecting "one heck of a great fall" -- and winter, with the Super Bowl coming back to the Big Easy for the first time since 2002.

"And by the way, we only need one team to fly in for that," she said, "because we've got the other one (the Saints) in town."

@highlight

Businesses hit hard by Katrina are breathing a sigh of relief

@highlight

Some business owners in tourist areas are repairing relatively minor damage

@highlight

Isaac is "a blip on the screen" of a great year for tourism, one owner says