(CNN) -- A 14-year-old girl stoops and screams above the body of a Kent State University student killed in 1970 by an Ohio National Guardsman.

John Filo's 1970 photo at Kent State University became a symbol of the anti-war movement at the time.

A police chief aims his gun at a Vietcong prisoner's head in 1968, while executing him on a Saigon, Vietnam, street.

And in 1989, an unarmed man in Beijing, China, stands defiantly in front of a column of tanks as they rolled into Tiananmen Square.

These are iconic images, the kinds of shots that changed the way people viewed history as it unfolded. They put human faces on conflicts and became rallying cries for movements, inspiring those who demanded change.

But while these photographs -- chronicling a single, silent moment -- were taken by seasoned photographers, two of whom won Pulitzer Prizes, this time amateur cell phone video is grabbing worldwide attention. It captures the death of a young woman named Neda Agha-Soltan, galvanizing protesters in Iran and shaping perceptions of a land and people few Westerners know.  See how images have inspired change »

"Every revolution needs icons and symbols -- an image that embodies a sense of universality of blight and at the same time innocence," said Roya Hakakian of Connecticut, a writer, poet and journalist who was born and raised in Iran. "The image of Neda does both."

The graphic video of Neda's death, caused by a gunshot fired during a  protest in Tehran, Iran, records her final moments: Her eyes turn toward the camera, people scream and struggle to revive her while blood streams across her face.  Watch how Neda's proven to be a tipping point »

Having gone viral with the help of social networking sites such as Twitter, the video of Neda's death has earned her the highly revered status of martyr. The woman who by all counts was an innocent bystander is now known as the "Angel of Iran" and is inspiring poetry. She is mourned publicly despite Revolutionary Guard threats, and her likeness graces posters.

For Hakakian, who left Iran about 25 years ago, the significance of Neda's image runs deep. She said it's part of a larger picture of current protests being propelled by women, and a reflection of the Iran and the Iranians she knows.

What outsiders have seen over the past three decades, she said, are fist-pumping men decrying America, images of hostages and "the burning of Uncle Sam effigies." Americans, she continued, have gotten to know little beyond the talk of Hezbollah and Hamas support, discussions of nuclear bombs and the rants of President Mahmoud Ahmadinejad, calling for, among other things, the destruction of Israel.

"We come from different corners of the world, but we see the same thing," Hakakian said of the video of Neda's death. "You don't need to be Iranian. You don't need to be her neighbor. You don't need to know her name. ... Anyone can watch this and come away with the sense of injustice and what's taking place, and I think that's why it's catching on."

Graphic images have long played a role in driving social awareness and change, said Bruce Shapiro, executive director of the Dart Center for Journalism and Trauma.

The skeletal figures of concentration camp victims drove home the horrors of the Holocaust. And the brutalized body of Emmett Till, a 14-year-old black boy killed in 1955 for allegedly flirting with a white woman, was shown at the insistence of his mother at his funeral, galvanizing the civil rights movement, Shapiro said.

In more recent years, amateur video was credited with capturing the 1991 beating by Los Angeles police of Rodney King. And the first images out of Virginia Tech during the 2007 campus shooting were taken by students before professionals could hit the scene, added Nora Paul, founding director of the Institute for New Media Studies at the University of Minnesota.

The challenge today, in a time when anyone can post images, is making sure graphic photos or videos are put in context and used by news organizations in a way that moves stories forward, both Paul and Shapiro agreed.

While news outlets may blur faces, offer warnings to viewers or not even use some images, the vastness of the Internet means that once they are out there -- no matter how horrifying or inappropriate for viewers -- it's next to impossible to stop them from being circulated.

"Even if you try to control access, the dam is already broken," Paul said.

As for the impact on viewers, the effect of disturbing and violent images is hard to measure, said Elana Newman, who teaches psychology at the University of Tulsa and is a specialist in psychological trauma.

An image often can communicate "the depths of pain" in a way that words alone cannot, Newman said. But she added scholars often debate whether such images turn people away from news, desensitize them or bolster a story's credibility. And there is also the challenge to consider of "balancing the privacy of the victim with the importance of telling the story."

Her own opinion?

"These images are helpful when these events are far away," she said, because they can bring home a story. They, however, are "not helpful to people when they're in their own backyard."

And the impact on the person who captures the image is often untold.

John Filo was a senior photography student at Kent State when he snapped the photo that became a symbol of the shootings on campus and helped propel the anti-war movement at the time.

He doesn't remember going through six rolls of film that day, but he remembers being shot at and is all too aware that a mere feet -- even inches -- separated him from life or death. In 13 seconds, four students were killed and nine were wounded.

It took "a good nine years" for him to sort through the experience, he told CNN. His relationships suffered, as did his confidence as a photographer. He grappled with survivor's guilt, the images he saw but didn't share and the anxiety about how his work affected other people's lives.

"Everyone that was there that day was affected," said Filo, now director of photography for CBS media relations. "At least I had something to do that day. There were people who felt totally helpless -- people who tried to hide behind a four-inch street curb."

When no one could believe what was happening around them, he had the power to show it.

"You sit there as a journalist and say, 'If it was my brother or my mother, would I have taken this picture?' " he reflected out loud. It's "your purpose of being there. So yes, if it was my brother, if it was my mother, I'd still shoot the picture."

@highlight

Photos from Vietnam, Tiananmen Square and Kent State galvanized movements

@highlight

Cell phone video of death of Neda Agha-Soltan, at a protest in Iran, goes viral

@highlight

"Every revolution needs icons and symbols," Iranian-born writer says

@highlight

Amateur videos and photos powerful but need context, experts say