Washington (CNN) -- On Sunday we commemorate the courage and sacrifice of 600 men and women who dared 45 years ago to take the first steps in a 54-mile march from Selma, Alabama, to the state capital, Montgomery, for the right to vote. That day, Sunday, March 7, 1965, would come to be known as "Bloody Sunday."

As these unarmed civil rights patriots attempted to cross the Edmund Pettus Bridge in Selma, where fewer than one percent of eligible black voters were allowed to register, they were gassed and beaten with billy clubs by state and local police, some on horseback, ordered to break up the demonstration.

Captured by television cameras and broadcast nationwide, the suffering of these nonviolent activists, 50 of whom required hospitalization, awoke the nation's consciousness to the importance of voting rights and the entire civil rights movement.

Within 10 days, President Johnson would send a bill to Congress, the National Voting Rights Act of 1965, that would outlaw the discriminatory Jim Crow-era practices that had long worked to disenfranchise African-Americans and other minorities across the United States.

Forty-five years later, the right for which marchers in Alabama bled remains out of reach for many Americans. In many states, minority voters encounter obstacles at every step of the voting process, from registration to casting a ballot.

Last month, voting rights advocates filed suit against Virginia state election officials, following the advocates' investigation of rejected voter registration applications in 2008 from students at historically African-American Norfolk State University and the state officials' subsequent refusal to make certain voter registration records publicly available.

While Virginia was rejecting minority voter registrations in 2008, Colorado was  purging voters from its registration rolls. Earlier this year, Colorado settled a lawsuit brought by Mi Familia Vota and other voting rights advocates. As a result of the Colorado suit, usage of lists of purged voters was stayed and the approximately 31,000 voters illegally removed from the registration lists were permitted to cast provisional ballots in the 2008 presidential election.

Forty-five years after Bloody Sunday, another march is under way, but it aims to turn back the clock on voting rights. Last month, the South Carolina state Senate passed legislation to require voters to show a photo ID before casting a ballot -- a measure that disproportionately excludes low-income, minority, elderly, and student voters, all of whom are less likely than majority voters to have ready access to a government-issued photo ID.

Meanwhile, Georgia's secretary of state has vowed to bring a federal court challenge after the U.S. Department of Justice rejected the state's proposed voter "verification" program to identify registrants who may not be citizens.

The DOJ analysis of the program condemned it as highly inaccurate in identifying noncitizens and concluded that it would have a discriminatory effect on minority voters. Moreover, on Thursday officials in Indiana continued their fight to salvage that state's photo ID law in arguments to the state's Supreme Court, after an appellate court held that the law violates equal protection under the state Constitution.

Proponents of photo ID and citizenship verification laws claim these measures are needed to protect against voter fraud. The problem with that argument is that they cannot point to any reliable evidence that fraud is a problem.

All credible research and expert analysis demonstrates that voter fraud is, at best, extremely rare. And in-person voter fraud -- someone registering to vote as Mickey Mouse and then showing up at the polls claiming to be Mr. Mouse -- simply does not exist. These laws are solutions searching for a problem, with what some may describe as the unintended consequence of disenfranchising the most vulnerable voters.

In some cases, however, disenfranchising voters is precisely the intended consequence. For example, the Republican National Committee just appealed a federal court's order to keep in place a 28-year-old consent agreement that prohibited the RNC from engaging in "security programs" that have had a disproportionate impact on minorities at the ballot box.

The RNC consented to the agreement in 1982 to settle a lawsuit alleging that its so-called security measures -- such as stationing armed off-duty law enforcement officers at minority voting locations and aggressively challenging the rights of eligible minority voters to cast a ballot -- were actually voter intimidation tactics.

Unable to identify a single instance of in-person voter fraud, the RNC instead argued, in part, that because the president of the United States and the U.S. attorney general are African-American, it is more likely that the government will enforce laws that safeguard against disenfranchising minority voters. In an effort to show their intentions are good, RNC lawyers note that the committee's chairman, Michael Steele, is African-American.

The fact is, voting patterns continue to split along racial and party lines. Exit polls from the 2008 presidential election show that while 95 percent of African-Americans, 67 percent of Latinos, and 62 percent of Asian-Americans voted for Barack Obama nationally, only 43 percent of whites did. As the federal judge noted in this case, the RNC "has been largely unsuccessful in its efforts to attract minority voters." So long as these patterns endure, the RNC will continue to have what the judge termed an "incentive" to engage in racially motivated voter suppression.

There is no doubt that we have come a long way since Bloody Sunday. Sadly, however, there is also no doubt that the need to fight for voting rights continues. Instead of going back to a dark era of our history by putting needless obstacles in front of minority voters, Congress and the states should press ahead to break down the remaining barriers that block eligible voters from exercising their constitutional rights.

We should start by modernizing the voter registration system by making it more automated and keeping eligible voters on the rolls permanently. We should take voting out of the artificial confines created by a limited and literal "Election Day" by providing for universal early voting.

To live up to our constitutional mandate to continue to form a more perfect union -- and to truly honor the brave men and women who marched and were beaten and bloodied, and especially those who were murdered defending their right to vote -- we have the duty to ensure that every eligible voter has an equal and meaningful opportunity to cast a ballot and have it counted.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

On March 7, 1965, civil rights marchers were beaten by police in Selma, Alabama

@highlight

The protests helped lead to passage of the Voting Rights Act

@highlight

Donna Brazile says minority voters still face obstacles to casting their ballots

@highlight

Brazile: Voter registration should be modernized; early voting should be available to all