(CNN) -- The case of the first toddler ever to be "functionally cured" of HIV could have wide-ranging effects on the global fight to end the AIDS epidemic.

"If we can replicate this in other infants ... this has huge implications for the burden of infection that's occurring globally," said Dr. Deborah Persaud, a pediatrician at the Johns Hopkins Children's Center. Persaud is the lead author of a report on the toddler's case that was presented at the 2013 Conference on Retroviruses and Opportunistic Infections in Atlanta on Monday.

"For the unfortunate ones who do get infected, if this can be replicated, this would offer real hope of clearing the virus."

Some 1,000 infants are born with HIV every day, according to the latest estimates from the UNAIDS Global Report. That means some 330,000 children are living with the deadly virus. The majority of these infections are in the developing world.

The most common way children get HIV is through perinatal transmission -- HIV transmission from an infected mother to a child while she is pregnant, giving birth or when she breast-feeds the child.

The number of infant infections in the United States has gone down some 90% since the mid-'90s, according to the Centers for Disease Control and Prevention; that's in large part because pregnant women are routinely tested. When a mother is identified as being HIV positive, her doctor is then able to administer preventive interventions that will, in most cases, keep the virus in check.

In developing countries, infants born to mothers with HIV are not so lucky. There, mothers are less likely to be treated with antiretroviral drugs that would prevent transmission during pregnancy. In North Africa and the Middle East, for instance, 3% of pregnant women with HIV received antiretroviral medications, according to the U.N. report. Some 23% in West and Central Africa did. Testing is also less sophisticated in these areas.

The unidentified Mississippi woman in this case had no prenatal care and was not diagnosed as HIV positive until just before she delivered the baby. That's why Dr. Hannah Gay, an associate professor of pediatrics at the University of Mississippi Medical Center, administered the drugs within 30 hours after the baby was born.

Typically, a baby born to a woman with HIV would be given two drugs as a prophylactic measure. Gay said her standard is to use a three-drug regimen to treat an infection. She did this on the Mississippi infant without waiting for test results to confirm the baby was infected with HIV.

Gay thinks the timing may be key, that the timing may deserve "more emphasis than the particular drugs or number of drugs used.

Timeline: AIDS moments to remember

"We are hoping that future studies will show that very early institution of effective therapy will result in this same outcome consistently," she said.

Doctors will try to replicate the success of her case and see if aggressive treatment right after birth can "cure," or if this is an anomaly.

"We are enthusiastic about the potential of this case, but it is one case and it needs to be replicated and confirmed through future studies and clinical trials," said Dr. Meg Doherty, the World Health Organization's Department of HIV/AIDS coordinator of treatment and care. "We will not be changing any of our current guidance in this case, but we will continue to watch for new information and provide updates to our prevention of mother to child transmission (PMTCT) and early infant diagnosis guidance as necessary."

Antiretroviral medications are pricey for people in the developing world, but treating a child for a year or two with these drugs would be a lot cheaper than paying for a lifetime of treatment after infection.

Why youths aren't getting tested for HIV

Persaud is optimistic. If the result of this case can be repeated, she believes this discovery could make a huge difference internationally.

"In resource-limited settings, this kind of treatment would not be a stretch. We know how to do this and we have the infrastructure in place to deliver this kind of care."

Check out more news on CNN.com

@highlight

How quickly antiretrovirals were administered in this case may have made a difference

@highlight

Mother-child infection rates are down 90% in the United States since the mid-'90s

@highlight

Some 1,000 infants are born with HIV every day, according to the United Nations