(InStyle.com) -- From the humanitarian crisis in Darfur to art therapy and literacy programs, find out about the favorite charitable organizations and causes of some of Hollywood's biggest names.

"There is more hope and love on the cancer floor of the hospital than anywhere else in life," says Eva Longoria.

Intensive care

When Eva Longoria visited Annie Martinez, their to-do list was simple: playing, reading books and talking.

"I told her to come live with me," says Annie, 6, who spent last year at Children's Hospital Los Angeles undergoing leukemia treatments that made her lose weight and her curls.

Annie now returns monthly for "pokies" -- 6-year-old-speak for chemotherapy -- but she is considered lucky. She survived.

"There are reasons our children are dying at a faster rate," says Longoria, 32, who notes that Latino children have a significantly higher cancer-mortality rate owing to factors like delayed diagnosis and the language barrier.

To combat those odds, the Desperate Housewives actress teamed up with Padres Contra El Cáncer (Parents Against Cancer), an L.A.-based organization that works with area hospitals to provide counseling, support and information for children with cancer. It assists about 750 families each year.

Since stepping up as national spokeswoman in 2005, Longoria has helped raise funds for children like Annie and their loved ones. "It is too difficult," admits Annie's mother, Elizabeth, who turned to Padres for assistance.

Longoria has already recruited celebrity friends, including Mario Lopez, Wilmer Valderrama and her husband, Tony Parker, to bolster her efforts. Her next goal is to help the organization go national and hire hospital interpreters.

Until then, she'll continue her visits, bringing along toys, chocolates and the message that there is someone to listen -- in English or in Spanish. "I am there to hear their story, to comfort them," says Longoria, "to let them know that they are remembered and important."

Hearts and crafts

A worn homemade Playbill hangs on the wall of the All Saints Health Care hospital room that David Anguiano, 17, shares with his pet turtle and another patient. On the announcement Anguiano's name is more prominent than that of his famous collaborator, Kirsten Dunst, and a fan letter from the actress hangs nearby. "My dear David," it reads, "I will always love you. Marry me, please (or at least consider it!). All my love. Your girl, Kirsten XOXO."

"He's a witty little flirt," says a laughing Dunst, who met Anguiano last year during her first hospital visit for the Art of Elysium, an L.A. charity that pairs artists with young people battling serious medical conditions, like cancer and AIDS.

The actress regularly does artistic projects with kids in the program, some of whom are limited by conditions requiring ventilators or tracheotomies. "A lot of the kids can't communicate, but it's amazing how much they say to you with their eyes," says Dunst. "Their faces light up when they hear music or see dancing."

The Art of Elysium offers many projects, from sculpture to jewelry making and sand art, to foster creativity in patients, no matter what their challenges.

"We bring the paint to their beds and finger-paint," says Dunst, who helps by opening their fingers and guiding them on the page. "It is great for them to feel the paint on their hands," she says. "It's all sensorial."

Last year she worked with more than 20 children to create a mural-size painting from overlapping handprints, which was then auctioned off at a fund-raiser. Dunst, who plans to contribute her own paintings to help raise money, has seen the group gain momentum during her weekly hospital visits. In 2005 the charity worked with 5,000 children; last year it was 25,000. "It's nice to be there to watch it grow," says Dunst, "and to grow with it."

Hope for Darfur

When Don Cheadle packed his bags for a January 2005 trip to Darfur, Sudan, where government-sponsored militia have killed 400,000 and displaced 2.5 million people, the last thing on his mind was personal safety. "I wasn't nervous about going," says Cheadle, 42. "I was nervous about what I would see."

What he observed has stayed with him to this day. The villages he visited were deserted after attacks by the Janjaweed militia (whose tactics include fire, rape, murder and starvation); the shelters at refugee camps in neighboring Chad turned out to be little more than temporary tarps.

"People are living in dust, surrounded on all sides by terror," says Cheadle. He did his best to connect with the children in Darfur --like juggling rocks to encourage them to play -- but "the kids were drawing pictures depicting bombers," he says. "It was heartbreaking because you could see their future, and it was bleak."

He saw similar circumstances six months later, when he visited war-torn Uganda, where more than 30,000 children have been abducted and forced into a rebel army.

"My daughter listened to a 12-year-old talk about having to kill his best friend," says the actor, who visited shelters where children sleep for protection. "It opened my eyes. What hope do people in Darfur have? What hope do people in Uganda have?"

Cheadle believes things will get better only when the international community demands change from elected officials. John Prendergast, senior adviser of the International Crisis Group, who traveled with Cheadle, says, "Nothing is as powerful as citizens writing letters saying, 'This issue matters. If you don't do anything, I'm going to take that into consideration when I cast my vote.'"

Until then the only assistance comes in the form of rescue workers. "But they are down there with only courage and conviction," says Cheadle. "And that doesn't stop bullets."

For more information go to Save Darfur Coalition.

By the book

"Who wants to hear a story?" Joan Allen asks a scrum of eager tykes all under the age of 5 as she plops down with them on the floor to read a classic tale.

"Then came the big Billy Goat Gruff. 'Trip, trap, trip, trap, trip, trap' went the bridge, and the bridge creaked and groaned under him," she reads in a low, ominous voice. "Who's that tramping over my bridge?" Allen demands loudly, now sounding decidedly troll-like, as her listeners at Round-the-Clock Nursery, a Manhattan preschool, giggle and lean in closer.

Several stories later, at the end of the reading hour, each child will go home with a new book of his or her own, courtesy of First Book, an organization that provides disadvantaged children with books.

Allen, who has been a spokeswoman for them for the last five years, "is someone who understands how powerful books can be for a child," says the group's president, Kyle Zimmer.

Allen became involved with First Book through her friendship with a children's book publisher. In addition to raising awareness of the group's work, she frequently visits schools to read to the students and willingly participates in First Book fund-raisers.

But, says Zimmer, her commitment goes beyond using her celebrity to help the cause. "She has even been to our dirty, dusty warehouse, carting out books and loading them into the trunks of people's cars."

For Allen, it's simply part of fulfilling the group's mission: getting books into the hands of children. "These kids are in a situation where they always get secondhand things, but here they get new books to bring home and share," she said. "It's an esteem-building thing." Which certainly has been constructive. With the help of supporters like Allen, the organization has just given away its 50 millionth book, and that speaks volumes.

A world of hope

When Lucy Liu visited the African nation of Lesotho in 2005, the Unicef ambassador left her mark on the landscape. "I planted a peach tree there," says the actress. "The fruit is supposed to bring good luck and blessings."

In truth, blessings are in short supply in many of the regions she has visited through Unicef, which offers global health and educational support for children.

Taking inspiration from past ambassadors like Audrey Hepburn, Liu offered her services three years ago. Since then she has been on call for humanitarian trips to places in Africa and Asia and has made a habit of keeping her passport with her and her immunizations up-to-date.

Last year she visited Balakot, Pakistan, after an earthquake left more than 70,000 dead. She arrived to find rubble and camps with "13 people sleeping in one very small tent," says Liu, who helped distribute warm clothes. "The line kept going on for miles; people were desperately trying to get shoes and socks for their young ones."

More disturbing was the makeshift outdoor "school" next to a mass grave for children who had died in the quake. "Everyone was sitting in a circle on the dirt for the class," says Liu. "There was a grave a foot away." The message was clear to her: Life continues.

Another unforgettable moment came when a student in a Lesotho school offered up her tight little fist. "She opened it, and there was a nub of a pencil that she was holding on to for dear life," recalls Liu. "It's amazing how much they want to be educated."

Schooling is just one step for the organization, which uses even the smallest donations to address needs like immunizations and basic health care that help to save more than two million children each year. "Contribute 50 cents, a dollar or 10 cents," says Liu. "It all adds up, and we know exactly where every penny is going."

For more information go to UNICEF. E-mail to a friend

@highlight

Some celebrities give from heart and self to help others

@highlight

Don Cheadle admires courage of relief workers in war torn Darfur

@highlight

Lucy Liu saw classes held next to mass grave for Pakistani quake victims

@highlight

Joan Allen reads books to disadvantaged children