(CNN) -- The U.S. Treasury Department will begin selling bonds Wednesday to help the Federal Reserve, which has had to loan out an unprecedented amount of money to businesses because of the credit crisis.

CNN's Ali Velshi says the Fed needs access to large amounts of cash to keep Wall Street confident.

The Fed announced Tuesday it would authorize the Federal Reserve Bank of New York to lend up to $85 billion over two years to insurance giant American International Group. In return, the government will receive a 79.9 percent stake in the company, which has 74 million clients in 130 countries.

The first Treasury auction for the central bank will be for $40 million. The Treasury bills will mature in 35 days, allowing the Fed access to quick cash.

But what does this mean to American taxpayers and an ailing U.S. economy? CNN senior business correspondent Ali Velshi breaks it down.

Q: What does this mean in layman's terms?

A: The Federal Reserve keeps a lot of money in supply to help banks, and basically, when they help them, it means they loan them money. As this credit crisis intensified, the Fed invited more and more banks to come and borrow from it and would accept collateral that was not as high-quality as it would typically accept. The Fed was the lender of last resort for a bank; you paid a premium to borrow money from the Fed, and you had to give them your best collateral.

What's happening now is you still pay a premium, but you can go with lower collateral. The thinking behind that is the more banks feel free to go to the Fed to borrow money, the less likely they are to get money at higher interest from other sources and the less likely they are to fail as a result. In other words, if they feel that there is an ability to borrow money from the Fed -- if they absolutely have to to stay afloat -- that facility is there.

Well, the number of banks that have taken advantage of this has caused the reserve at the Federal Reserve to go from about $800 billion to, by some estimates, as low as $200 billion. And when they do things like the bailout of AIG, that's where that money comes from.  Watch experts discuss what the bailout means for consumers »

So you do the math, and there's some sense that the Fed could run out of money to finance these banks, to give loans. And just the idea that the Fed could run out of that money causes Wall Street to panic because it says, "If four more banks were to fail, the Fed wouldn't have money to bail them out, so we're in a bad situation."

So the thinking is: Let's increase the Federal Reserve's reserve, and that's what this auction is. It's the first in a series of auctions -- this one will be for $40 billion -- where the Treasury on behalf of the Federal Reserve issues bonds that they will sell at auction, the way they normally do, and they'll be for 35-day periods. So the Fed gives out those bonds, and in exchange, gets cash and the Fed sits on that cash and uses it for whatever it needs.

Q: Why would the government bail out a company like AIG but let Lehman Brothers file for Chapter 11 bankruptcy protection?

A: Speaking frankly, the world can do without another investment firm. If an investment bank fails, any remaining investment bank can hire more people and take their jobs. AIG is not an investment bank. As a principal insurer, it insures consumers, it insures businesses and it insures business ventures, so it's not just that your corner store needs insurance.

AIG insures things like rigs and Hollywood movies and those subprime mortgage-backed securities. The utter failure of business that would ensue from a failure of AIG would be catastrophic and would actually leave the government having to pick up a few things along the way.

The best analogy I've been able to come up with is to use an automaker. When you think about putting an automaker out of business, you put tire makers out of business, you put seat makers out of business, you put all sorts of things out of business. It's the same thing with AIG. There are tentacles. They're just so connected to so many other parts of the economy that the government deemed it more dangerous and potentially more expensive to the economy to have it fail than to give them this loan.

Q: What does this mean to the American taxpayer?

A: If AIG gets the financing it needs, the taxpayer is actually doing OK. The government is charging such high interest to AIG, and they've got a guarantee of 80 percent of the company, so this may not be a bad deal for the government, and the interest is high enough to discourage others from coming cap in hand to the government.

If you realize that maybe the government will bail you out as a last resort but you're going to pay 12 percent interest on the loan, that's expensive. For a business to be paying 12 percent for their money is very expensive.

Q: What sort of interest can an investor expect from something like this?

A: When the Federal Reserve loans money out to banks, these are short loans. They've typically been under a month. They can be extended under new emergency rules, but typically speaking, they're all supposed to be "bridge loans," immediate financing while some sort of problem is sorted out.

The loan to AIG is a 24-month bridge loan, so obviously these 35-day bonds are not great, but the idea is that money that is borrowed by the Federal Reserve in exchange for a bill is as safe as it gets. That is backed by the full faith and credit of the U.S. government.

The government can borrow money probably for less than most people can because this gets sold to investors who want safety. It's not a premium. The government's not going to pay a lot of interest on this, but it's a very safe loan. If you're an investor who's looking for a small but absolutely safe return for 35 days, this might be an option for you.

Q: These bonds are not available to the individual investor?

A: Not at all. It's not something that individuals buy. It's all done commercially.

Q: The U.S. government says it will charge AIG roughly 12 percent interest for this rescue loan, but that's not comparable to what an investor would earn by buying these bonds?

A: Not at all. I don't know what the rate is and that' s because it's an auction -- it's determined that way. I would be surprised if there's any material spread between that and an equivalent Treasury.

If you buy a Treasury, it trades on a daily basis. I'm guessing this is actually more of a straight bond in that you'll buy it and that'll be your rate until you redeem it, but I could be wrong. I don't know the machination of that. It's a safe, safe, safe investment. It's the United States government backing the investment.

Q: And by being a safe investment, it dictates a lower return?

A: Correct.

Q: So the fact that the Fed, by some estimates, is low on cash and having to bail out a weak economy, that doesn't negatively affect the government's bond rating?

A: It doesn't have an effect on the rating. The way things happen at these auctions sometimes is that regardless of the good rating, sometimes they're oversubscribed and sometimes they're undersubscribed. It has more to do with the needs of the market. If the market needs the money, they'll sell quickly. It's not the equivalent of printing new money; it's borrowing more money. The government is simply issuing a loan based on its own credit.

Q: Is the Treasury auction then a result of the weak economy or is it directly linked to the AIG rescue loan?

A: It's directly linked to the moves that the Federal Reserve has taken to shore up financial services, and AIG would be key among those.

Q: The government has said the rescue loan is backed by AIG's considerable assets, which total about $1.1 trillion. If reports are correct that the government is planning on selling off many of these assets to get its money back, why does it need to issue these bonds?

A: Two separate issues. Regarding AIG, the government gets 80 percent of the assets as collateral. They're not free to sell them. The company has to sell them, and as they do so and repay the government, the 80 percent hold can be diminished. You may not need any of that to cover AIG.

The bond issuance here has got more to do with the fact that the reserves that the Fed keeps have dwindled from about $800 billion to an estimate -- and I should tell you that's an outside estimate, not the Fed's estimate -- of about $200 billion, so they are just looking for methodology to increase the reserve. I don't think it's meant to say that the Fed is losing $85 billion of its $200 billion, and that $85 billion is covered. It's a separate transaction. It's the idea that we need to have enough money to keep Wall Street confident that we can move in and rescue a bank if we have to.

@highlight

U.S. Treasury to hold its first bond auction Wednesday, for $40 billion

@highlight

CNN's Ali Velshi says the Fed needs more money to keep Wall Street confident

@highlight

AIG has so many "tentacles," allowing it to go under could've been catastrophic

@highlight

High interest on $85B loan, government stake in AIG could bode well for taxpayers