(CNN)Five years after the Deepwater Horizon rig exploded and unleashed the largest marine oil spill in the nation's history, we are still experiencing -- yet only beginning to truly understand -- its profound environmental and economic repercussions.

The immediate aftermath of the oil spill has been well documented, with declines in tourism and the seafood industry, as well as the significant destruction of wildlife in the region.

Since then, the amount of oil in the area has dissipated and communities have started to show signs of recovery. In fact, reports indicate that the Gulf of Mexico's seafood industry, which supplies the United States with roughly 40% of its seafood, is finally starting to rebound.

However, profound challenges remain, in part because so many questions about the long-term consequences remain unanswered.

To this day, it's still unclear where all of the oil went, exactly how much remains or whether the reappearance of wildlife is a result of adaptation or a signal that the crisis is truly abating.

One of the populations that can provide insight into these questions is the Gulf crab. Crabs play an important role in the region: Roughly 60 million pounds were fished in the Gulf in 2012, earning tens of millions in revenue.

Yet in the aftermath of the spill, changes to crustacean communities in the area were quite apparent to the naked eye. Researchers documented substantial differences in appearance, and deformities in crabs that were affected by the spill including lesions so numerous they ate through the joints, forcing limbs to fall off. These traits have affected not only the crabs' market value but also likely their ability to survive.

While these changes in outward appearance have dissipated in the short-term, the health of these crabs could still be precarious. I have been working with colleagues at Florida International University and University of Louisiana at Lafayette to better understand what might be happening biologically inside the crab when it is exposed to oil and the dispersant used to respond to the spill.

Using the power of genomics and computational biology, we analyzed the genes of flat back mud crabs that were exposed to oil from the Macondo Prospect where the Deepwater Horizon rig was drilling when it exploded or to a combination of oil and dispersant in the lab.

By studying gene expression, the process that turns information from a gene into a product that functions within a cell, we searched for indicators that might signal exposure to oil and, based on the types of changes we might see, clues as to how the crabs respond.

Although we are still in the early stages of our research, we are seeing significant differences in gene expression connected to exposure -- meaning the crabs are turning some genes on or off in response to oil and dispersant. We are still working to determine whether these changes impact their ability to survive and reproduce.

It's not just Gulf crabs that are experiencing changes.

Research on different species and other aspects of the regional environment is starting to show that there could be long-term effects resulting from the oil spill and the response to the spill. This not only has consequences for the Gulf area, where oil drilling continues, but also for communities along the Atlantic Coast, where the Obama administration has recently announced a plan to open unprecedented oil and natural gas exploration. (BP's vice president of communications, Geoff Morrell, told CNN that wildlife species in the Gulf have "bounced back and "there is no data that suggests there are any long-term population-level impacts to any species.")

With the virtual certainty of more spills, we need a lot more information on the consequences of these disasters and how we can combat them effectively and efficiently.

The U.S. Department of the Interior and the Environmental Protection Agency are making some progress. In coming months, they are releasing changes to regulations and response plans based on the early lessons learned from the Deepwater Horizon spill. But government agencies cannot just rely on the short-term data to determine the best response for the next oil spill crisis.

Instead, the government and oil companies should work together to support ongoing, long-term ecological research so that we have a better grasp of what "normal" looks like and what factors are important in maintaining those conditions even after a disastrous oil spill.

Only then will we truly understand the impact of offshore drilling and the best ways to respond to crises to protect our most important natural resources.

@highlight

Keith Crandall: Five years after the Deepwater Horizon rig exploded, we are only beginning to understand its effects on the Gulf

@highlight

A crab species may be a key indicator of the impact, he says