Iranian riot police swarmed a major bazaar Wednesday in Tehran as demonstrators launched protests against firebrand President Mahmoud Ahmadinejad, blaming him for plummeting currency that's leaving families across the country struggling.

A day after Ahmadinejad acknowledged that his country is taking a hit, and placed the blame largely on "the enemy's" sanctions, crowds of protesters also took to the streets in another commercial area in the capital, shopkeepers said.

They chanted slogans slamming Ahmadinejad's regime and complained about the high prices of goods and food. Riot police dispersed the crowd, a shopkeeper said.

The semi-official Mehr news agency reported two European tourists and some "agitators" were arrested by security forces. The Europeans violated Iranian law by gathering information about the protests, it said.

The country's supreme leader, Ayatollah Ali Khamenei, echoed Ahmadinejad's position Wednesday, saying that growing pressures are mainly aimed at making his country surrender, "but the Iranian nation has and will never surrender to pressures and this has made the enemy furious," the semi-official FARS news agency reported.

The United States and European Union have imposed numerous sanctions aimed at pressuring Tehran into sitting down for international negotiations on its nuclear program.

U.S. State Department spokeswoman Victoria Nuland said the growing protests show that "clearly the Iranian people are demanding better from their government and speaking out against the gross mismanagement of the economy and the situation in the country."

The United States is "watching the situation very closely," she said.

The "sanctions that the international community has put on the government as a result of its lack of forthcomingness on its nuclear program are being felt on the ground," she said.

Ahmadinejad, in a speech Tuesday, insisted the sanctions hurt the people, not the government.  He said the country's economy "has become a tool for psychological warfare."

The rial's value was cut in half from September of last year through last month, the Congressional Research Service said in a report.  It has fallen even further since, including a sharp nosedive this week, reaching historic lows against the value of the dollar.

At the main bazaar in central Tehran, some protesters used boxes and tires to start fires, according to a merchant who spoke on condition of anonymity for security reasons.

Iran's president sits down with Piers Morgan

But Mehr quoted the head of the bazaar's merchant's association as saying that officials had observed "suspicious" activity and identified people around the market who were from "outside the bazaar community."

The bazaar was closed for safety reasons, Mehr reported.

Dozens of police on motorcycles responded to the scene, and dozens more were on foot.

As the police were surrounding the bazaar, the semi-official Iranian Labor News Agency carried a quote from police official Col. Khalil Helali saying that based on his information, "a limited number of people headed towards the bazaar and had chanted slogans."

Helali later told Mehr that he had no indication the bazaar was closed. Helali is chief of Tehran's Business Locations Police, which oversees workplaces.

Police also gathered in two major squares -- Ferdosi and Vali Asr -- although no demonstrations were immediately reported in those spots.

Ahmadinejad: 'I'm quite popular'

In a speech Wednesday, Ahmadinejad also said part of the problem plaguing the country's currency is "internal."

He blamed "22 ringleaders" who the country's intelligence services have determined are causing tensions and manipulating currency.

The president gave no details.  But people who trade currency illegally have been increasingly concerned about a crackdown by Iranian forces.

Months ago, an Iranian man told CNN that with the country's economic downfall, the only way for his sons to live a decent life was to fall in with influential people or make shady business deals -- such as trading foreign currency on the black market.

But Ahmadinejad focused the majority of his remarks on the United States and the West.

U.S.: Iran currency woes show sanctions working

"There is a hidden war, a very pervasive and heavy warfare that is happening across the world directed towards Iran," he said.

The "enemy" has "succeeded in reducing the sale of our oil to an extent, but God willing, we will fill it up," he insisted.

Amadinejad tells U.N. Iran is threatened

The price of a popular bread called barbari has gone from about 1,000 rials each to about 5,000 rials amid the increasing sanctions.  A local baker told CNN the cost will likely skyrocket further.  The wheat used to make the bread is imported.

Feta cheese cost 50,000 rials per kilogram in March.  The price has since tripled.  Meat that cost up to 190,000 rials per kilogram then has doubled in price.

Several Iranians told CNN Wednesday about the financial struggles they're facing.  They spoke anonymously for security reasons.

"The prices are amazing," said an Iranian entrepreneur, adding,  "It's crazy, it's so high."

"People can't make sense out of this," she added.  "And they don't know what's going to happen next."

A taxi driver told CNN, "I've been under so much stress lately that I'm getting migraine headaches. I'm worried about my future, my daughter's future."

An auto parts maker insisted that "nobody is buying less or eating less so far," and that shops don't seem to have shortages.

But a businessman said, "If you go into a shop, you can probably not buy anything. They're not going to sell you anything. If (the shop owner) is prepared to sell it to you he will charge you a lot more than it was two days ago.  And when you ask him why, he'll tell you, 'I have no idea what I'll have to pay to bring this back.'"

"Nobody knows whether this is for real, whether this is going to stay here," he added.  "And this uncertainty is causing a lot of panic."

Mark Dubowitz, an analyst with the Foundation for Defense of Democracies, says the sanctions "are designed to put sufficient pressure on the average Iranian," which could help trigger an uprising against the government -- or at least cause leaders to fear one.

"Sanctions are a form of economic warfare," he said.

Though some sanctions against Iran have existed for decades, "We've seen only 10 months of what I would call significant and severe economic pressure," Dubowitz said.

But there's no evidence the sanctions have compelled the Iranian government to change its nuclear stance, analysts say.

Ahmadinejad, in his speech Wednesday, denied suggestions that the measures could work.

"They lie when they say sanctions are pressure on the government," he insisted, adding that sanctions "are always a pressure on nations" -- meaning average citizens.

"It's a rock that the enemy has thrown. So what we should do? We should pick up the rock and throw it at them."

Anthony H. Cordesman, national security analyst at the Center for Strategic and International Studies, said sanctions must be "large scale and consistent" over time to be effective.

It's not possible to predict whether sanctions will change the regime, Cordesman said. "This is a duel and you find out just how effective you are over time."

Trita Parsi, founder and president of the National Iranian American Council, said so far there is no sign of a shift in the government's nuclear program.

"If Iran were a democracy, you would have had a situation in which there would have been far greater protests," he said. "Any democratic government would have fallen by now."

Parsi said he was skeptical that large-scale protests are in the cards.

Iranians "are not going to go out there and risk their lives for a change if they don't know what the next thing is," he said.

Iran saw a widespread popular uprising in 2009 after Ahmadinejad's contested re-election, triggering a brutal, deadly crackdown by government forces -- and Ahmadinejad held onto power.

@highlight

Several people, including two Europeans, are reported arrested

@highlight

The U.S. State Department says it is "watching the situation very closely"

@highlight

Iranians describe the stress and fear plaguing them

@highlight

Pres. Ahmadinejad blamed international "psychological warfare"