(CNN) -- In "The Internship," co-stars Vince Vaughn and Owen Wilson share the screen with a somewhat demanding co-star: Google.

The comedy, which hits theaters Friday, is about two middle-age watch salesmen who overcome career obsolescence and a complete lack of tech savvy to join Google's internship program in hopes of scoring a job at the giant tech company.

Based on early reports, the movie is also a valentine of sorts to Google, which cooperated with the filmmakers to portray the company in an accurate and flattering light onscreen.

Google's campus in Mountain View, California, is shown as an idyllic place where employees blow off steam playing volleyball (true), riding bikes (true) and enjoying delicious free food (also true). Google products appear frequently and favorably throughout the movie, co-founder Sergey Brin makes a cameo appearance, and the company's mission is unquestioningly depicted as doing good in the world.

"I think the reason why we got involved in that is that computer science has a marketing problem," explained Google co-founder Larry Page at a Google conference last month. "We're the nerdy curmudgeons."

The filmmakers approached Google about making the movie after Vaughn was inspired by a "60 Minutes" segment on the Google campus, director Shawn Levy told Reuters. A Google spokesperson told CNN that the company saw the movie as a good way to expose people to the company's "do no evil" culture and get more students interested in technology and computers -- a field that faces a shortage of qualified workers.

All those good intentions aside, "The Internship" is also an impressive piece of marketing.

Google says no money was exchanged during the deal with the film's makers, but the company was nonetheless very involved with the movie. Google allowed the film's cast and crew to shoot for five days at the Googleplex headquarters, using 100 real Google employees as extras. The company also provided props and consulted with the director, actors and script writers on what it's like to be a "Googler" (a Google employee).

The company also offered insights into its fabled summer internship program, which accepted only 1,500 candidates this year from more than 40,000 applicants.

"Over two years, we answered their questions about Google products, allowed them to see a Noogler (new Googler) orientation, had them speak with our internship programs team to learn more about life at Google," the Google spokesperson told CNN.

Google also gave feedback on the script, including a request to remove a scene in which a Google self-driving car crashes. Google says it didn't mind the car being in the movie, but thought that scene wasn't appropriate because "the product hadn't launched yet." The filmmakers complied.

Product placement

Most of "The Internship" was filmed not at Google but on the Atlanta campus of the Georgia Institute of Technology, where the film crew turned a shiny new student commons building into a replica of Google's California headquarters. Even so, the Google brand -- Gmail, YouTube, Nexus tablets and so on -- appears extensively throughout the movie. (Google Glass, the company's connected eyewear that's currently being beta tested, is not in the film.)

Such product placement is increasingly common in Hollywood, which is always looking for ways to defray the escalating costs of film and TV production.

Typically, there are two kinds of product placement: natural and paid. When a company pays to get its soda, car or website into a movie, the camera lingers on it lovingly for an extra moment. Think of the BMW car scenes in a James Bond movie or Peter Parker using Bing as his search engine in "The Amazing Spiderman." On TV, most of these more brazen product shots are usually thrown in for free as part of a larger ad buy deal.

"If [it's] blatant and obvious enough that it's taking you out of the story, there's a pretty good chance that was a paid placement," said Jon Holtzman, who was the director of worldwide brand marking for Apple in the 1980s and early 90s and started its product placement program.

But brands don't always have to pay, especially when their name is as respected as Google or Apple.

Natural product placement is a more casual arrangement, where a company loans its products free of charge in the hopes of getting some exposure. They might provide the prop master on a TV show with gadgets that fit with a character. It saves the prop department work because they don't have to get a legal team involved with clearing the rights needed to mention real brands, and it saves them money that would have been spent renting props. However, the companies have no say over how their products are used or worked into the plot.

Apple has a very successful history with this kind of unpaid, natural product placement. In the '90s Sandra Bullock movie "The Net," the good guys are seen using Apple computers, the bad guys PCs. In "Forrest Gump," Tom Hanks' character is seen opening an envelope from Apple that contains a large check after his buddy Lieutenant Dan invests money in a "fruit company."

Hollywood vs. reality

"The Internship" blurs the line between the two types of placement. Google didn't pay 20th Century Fox, but in exchange for its cooperation, the filmmakers gave the company some control over how its products were shown onscreen.

Even when companies don't pay or have agreements that allow them to prescreen scripts or get final approval on how their product is depicted, it's usually in the studio's best interest to show a brand in a favorable light.

"They'll go out of their way not to say something bad about it because they don't want a lawsuit," said Holtzman, whose company, Eclipse Worldwide, specializes in natural product placement. "It's sort of implicit that this stuff will not be seen in a negative fashion."

Even makers of 2010's "The Social Network," a raw and often unflattering look at the origins of Facebook and its founder Mark Zuckerberg, worked with the company on some aspects of the film to sidestep lawsuits.

Google didn't ask for any changes after seeing a final cut of "The Internship," despite a number of deviations from the original script -- and the fact that it sometimes strays from Google reality.

For example, in the movie the interns are separated into teams that compete in various contests -- including the mythical Harry Potter sport of Quidditch -- to win full-time jobs at Google. The company says this is not actually part of its real-life internship program.

"It couldn't have been more opposite than my own experience," said former Google intern Raymond Braun, who now works full time at the company. "The whole competitive, mean-spirited facet of the Internship program didn't resonate with me."

In reality, the Google Internship program is less "Battle Royale" and more "Oceans 11," with each intern a key part of a tight-knit, collaborative team. Even so, Braun told CNN he enjoyed the movie and thinks it accurately captures the excitement and passion of Google's employees.

"I think that's it really fun to see the place where you work depicted on the big screen," he said.

@highlight

Google provides the setting for the new movie comedy, "The Internship"

@highlight

The company didn't pay to be in the movie, but it did get a say in how it was depicted

@highlight

The movie includes references to Google's self-driving cars but not Google Glass

@highlight

Co-founder Larry Page thinks the movie will help with computer science's marketing problem