(CNN)Four years. At least 220,000 people killed -- more than one every 10 minutes. Millions displaced.

The Syrian civil war is a human calamity and it's getting worse, according to a furious new report from more than 20 aid groups.

U.N. Security Council resolutions aimed at protecting civilians caught up in the conflict have failed miserably, the humanitarian organizations say in the report released Thursday.

"This spiraling catastrophe is a stain on the conscience of the international community," says the report, whose signatories include Oxfam and Save the Children.

"We're worried that, as we approach the fourth anniversary, this could turn into a situation of acceptance -- 'Oh, that's just the way it is over there' -- and that mustn't be," Nigel Timmins, deputy director for Oxfam Great Britain, told CNN.

It highlights the paltry results of a Security Council resolution passed in February 2014 that called for an increase in humanitarian aid, a halt to attacks on civilians, an end to kidnapping and torture and the lifting of sieges of populated areas.

"In the 12 months since Resolution 2139 was passed, civilians in Syria have witnessed ever-increasing destruction, suffering and death," the report says.

The Syrian Observatory for Human Rights, a London-based monitoring group, has reported that 2014 was the deadliest year so far in the grinding conflict that began in March 2011 as an uprising against the regime of President Bashar al-Assad and splintered into a chaotic civil war.

More than 76,000 people were killed in the violence in Syria last year, nearly 18,000 of them civilians, according to the observatory.

The conflict has brought allegations of atrocities carried out by al-Assad's forces and enabled ISIS' savage rule over parts of the country. Attempts at peace talks involving the government and opposition have so far gone nowhere.

As the war threatens to sow further chaos in the region, the United States and its allies are bombing ISIS targets in Syria and working to arm and train rebel groups.

The aid groups' report, entitled "Failing Syria," reeled off a list of worsening problems reported by international agencies:

The report called on Security Council members to "use their influence with the warring parties and their financial resources to put an end to the suffering of Syrian civilians."

In Washington, a group of Syrian Americans and other supporters gathered near the White House on Wednesday to mark the four years of bloodshed and read the names of 100,000 people who were killed in the violence.

A U.N. aid official told CNN of the crisis unfolding at one particular refugee camp in Syria that he had just visited.

"What I saw yesterday really shattered and devastated me," said Pierre Krahenbuhl, the head of of the U.N. Relief and Works Agency for Palestine Refugees who has been working in conflict zones for 20 years.

Around 18,000 Palestinian refugees in the Yarmouk camp are in "dire" need of food and health aid, he said Wednesday, describing seeing enfeebled men and a fainting pregnant woman waiting for assistance.

The ongoing conflict is adding to the plight of the camp's inhabitants.

"You have inside the camp a number of armed groups and of course you then have government armed forces around it," Krahenbuhl said. "There is this link between the presence of armed groups inside and the suffering taking place."

@highlight

Report: Syrian conflict is "a stain on the conscience of the international community"

@highlight

U.N. resolutions aimed at helping civilians have failed to change the situation, it says

@highlight

At least 220,000 people are estimated to have been killed in four years of war