Cairo (CNN) -- Nearly two years after popular unrest spurred former Egyptian President Hosni Mubarak's fall, throngs have taken to Egypt's streets again to call for revolution, this time for the ouster of his successor.

Tents dotted Cairo's Tahrir Square, just as they did during the 2011 uprising, and clashes between protesters and police were reported Friday in the capital, the port city of Alexandria and elsewhere around the North African nation. Opposition leaders say they are firm in their resolve and, in Cairo's landmark square at least, scores could be seen milling about overnight and into Saturday morning.

The focus of their anger: President Mohamed Morsy. On Thursday, he announced that courts could not overturn any decree or law he has issued since taking office in June and, beyond that, in the six months until a new constitution is finalized, his spokesman said on state-run TV. He also fired Egypt's general prosecutor, who has been criticized for the insufficient prosecutions of those suspected in demonstrators' deaths in 2011.

Egypt and Morsy proved 'pivotal' in Gaza cease-fire talks

In a country already without a parliament, that means the former Muslim Brotherhood leader seems to have total executive, legislative and now judicial authority, all as a new constitution is being written.

"It's unprecedented, it's unimaginable, it's more (power) than Mr. Mubarak ever had," Mohamed ElBaradei, a Nobel laureate and head of Egypt's Constitution Party, told CNN. "This is the language of a dictator."

ElBaradei, a one-time head of the International Atomic Energy Agency, estimated there were "millions in the street ... revolting" Friday. Urging "civil disobedience," he and others who unsuccessfully ran for president signaled that they were unified in their opposition to Morsy.

"Endorsing the position of ElBaradei, (former Arab League chief) Amr Moussa and others, I urge all who voted for me to stand with us against the tyranny of the regime," wrote Ahmed Shafik, a former prime minister who received 48% of the vote in this year's presidential run-off, on Twitter.

Despite such opposition, Morsy was defiant and insistent Friday that his actions are in the interests of the Egyptian people.

"I have dedicated myself and my life for democracy and freedom," he told hundreds of supporters outside the presidential palace in Cairo. "The steps I took are meant to achieve political and social stability."

Morsy gives himself new powers, orders retrials in protester deaths

The chair of Egypt's Cabinet, Mohamed Refaa al-Tahtawi, brushed back criticisms that Morsy had made an undemocratic power grab, saying the opposite is true and that Morsy "is not really trying to monopolize power."

"He is trying to have strong pillars for a steady progress toward democracy," al-Tahtawi said. "A dictator would not try to have an elected parliament as soon as possible."

The Cabinet chief added, "I assure you that in the coming days, the opposition will fade away and calm down."

But that sentiment was not shared by everyone.

Mamoun Fandy, a columnist for pan-Arab newspapers Asharq Al-Awsat and Al-Ahram who heads a Washington-based think tank, predicted that the opposition will continue to swell and lead to Morsy's ouster "probably (in) a week."

"These people are united," Fandy told CNN. "The critical mass of Egypt is ... moving away from Morsy."

Tensions were brewing days before the president's moves; protesters have been in Tahrir Square since Monday.

Egypt's Morsy: 'Imperial' president or step forward for revolution?

The anger had been directed at Morsy and the Islamist movement of which he is a member. The Muslim Brotherhood was banned under Mubarak but has since risen exponentially in stature. There has also been growing turmoil about the constitutional panel, pitting conservatives who want Egypt to be governed by Islam's Sharia law against moderates and liberals pushing for it to ensure basic freedoms, such as for women.

In response to Morsy's recent moves, Egyptian judges will meet Saturday to discuss their next steps, including a possible nationwide strike that would halt all trials and court cases in the country, said Judge Fekri Kharoub. (ElBaradei earlier said judges had already decided to strike.)

On Friday in Tahrir Square, thousands had Morsy in mind as they chanted, "Leave, leave," and "The people want to topple the regime."

Nearby, in front of Egypt's parliament building, thousands of protesters threw rocks as police used their vehicles and tear gas to keep the crowd contained.

The top floor of an eight-story apartment building caught on fire Friday night, a blaze protesters blamed on a police tear gas canister tossed at demonstrators who were on top of the building earlier in the day.

About 215 kilometers (130 miles) north in Alexandria, protesters on Friday stormed the headquarters of the Muslim Brotherhood's political wing and set it on fire, said Ahmed Sobea, a spokesman for the Freedom and Justice Party.

Protest turns violent in Cairo

Calling for calm and dialogue, the U.S. State Department expressed concern Friday about the developments, saying, "One of the aspirations of the revolution was to ensure that power would not be overly concentrated in the hands of any one person or institution."

Dr. Khaled al-Khatib, from Egypt's health ministry, reported at least 140 injuries nationwide in the unrest, including 37 in Port Said and 36 in Cairo, according to state-run EGYNews. Eleven police officers were injured, state TV reported, citing the Interior Ministry.

Al-Khatib said there were no deaths, which differs from an earlier report Friday from Health Ministry spokesman Mohamed Sultan of at least one death. ElBaradei said one young man is "critically dead" after being shot in the head, with more than 300 people getting treatment at area hospitals because of tear gas.

Cameras have been installed on residential and government buildings around Tahrir Square so authorities can "capture images of those troublemakers and protesters who attack security forces," said Interior Ministry spokesman Alaa Mahmoud.

Thus far, authorities have arrested 210 protesters, 85 of whom are charged with destroying public property, thuggery and attacking security forces, the Interior Ministry said, according to state TV. Some 44 of those arrested are juveniles who are now back with their families.

"My worry ... is that the while situation will turn ugly, will turn violent if Morsy doesn't rescind (his) decisions (and) engage in dialogue with the rest of the country," ElBaradei said, adding he had met with Morsy a week ago and felt blindsided by his moves.

iReport: Thousands clash in Tahrir Square

CNN's Reza Sayah, Hamdi Alkhshali, Jason Hanna and Mitra Mobasherat and journalists Ian Lee and Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Judges will meet Monday to decide whether to go on strike, a judge says

@highlight

NEW: 210 protesters are arrested, including 44 juveniles, state TV reports

@highlight

Mohamed ElBaradei says Mohamed Morsy now has more power than Mubarak ever had

@highlight

President Morsy says his actions are aimed at fostering "political and social stability"