(CNN) -- As the violence in Syria appears to be escalating, Britain and France are pushing for a U.N. Security Council resolution condemning attacks on protesters and calling for humanitarian access.

The resolution makes no mention of the kind of sanctions or military intervention seen in Libya, raising questions about what outcome the international community sees for Syria.

Are you in Syria? Share your photos and videos from the scene, but please stay safe.

Here CNN correspondent Arwa Damon in Beirut and Richard Roth at the United Nations in New York outline what is happening both in and outside Syria, as efforts to resolve the crisis continue.

What are the protesters demanding?

Arwa Damon: Initially protesters wanted basic reforms, more freedoms, a multi-party political system and an end to emergency law. Some of these reforms have, on paper, been implemented by President Bashar al-Assad, but it was far too little and, by the time it came about, too late.

The protests started in reaction to the arrest of schoolchildren in the town of Daraa for painting anti-government graffiti and snowballed into what we're seeing now. It appears that the bloodier the violence that is used against the demonstrators, the more galvanized and hardened they have become until they are now calling for the downfall of Assad's regime.

The ideal scenario for the protesters would be a Syria free from the claws of the Assad regime, true democratic elections and an end to the secret service apparatus which pervades all levels of life in Syria.

Has Assad made any genuine attempts to meet the demands of protesters?

Arwa Damon: It would appear not. He did lift the state of emergency, which was a big deal because it has been in place for nearly half a century, and he abolished a court set up to trying people posing a threat to the regime, but at the same time arbitrary detentions have continued, as has the use of force against demonstrators. So although you could argue that he lifted measures in place for decades, nothing has changed.

Is it possible that Assad could still ride it out? Are there any hopes for reconciliation?

Arwa Damon: A lot of people I'm talking to say Assad's political career will not survive the uprising. But the question is whether he will be replaced in the short or long term.

He could still hold on for an incredibly long time. I think there is a slight chance he could stay on, but that could mean widespread and unimaginable bloodshed because he would need to silence every single opposing voice.

Also, importantly, there is no united international voice against Syria to impose the kind of pressure applied on Libya.

Does the violence in Syria still appear to be escalating?

Arwa Damon: It fluctuates. Some days are incredibly bloody while others, less so. The military seems to concentrate on one area at a time. First we saw Banyas and the coastal areas, then Daraa, then we saw the area on the border with Lebanon, then villages near the town of Homs and now we're seeing the focus on the northwest. But in general, there does seem to be an increase in violence.

Is it likely the army will launch an all-out assault to crush the uprising?

Arwa Damon: It would be difficult, given the troop numbers we believe are available for an operation to take place simultaneously countrywide. But that doesn't rule out other measures, such as the use of fighter jets. There are certainly fears from some in Syria that there will be a repeat of the 1982 Hama massacre by Syria's military -- acting under orders from Assad's father, Hafez al-Assad -- in which thousands of civilians are believed to have perished.

Many activists are already comparing what is happening right now to Hama, but in slow motion rather than a single, devastating strike. The opposition activists say what we are seeing now is more systematic, sustained slaughter.

Is there any evidence that senior officers are defecting? Could this be significant?

Arwa Damon: There are reports but nothing concrete. There are a few YouTube videos claiming defections and a few people have been turning up in Lebanon, and in Turkey we are hearing, but I'm not seeing the kind of widespread defections it would take for the security apparatus to break down.

It would take a major defection to have any effect because there would still be units loyal to Assad's regime. His brother, for example, is the head of the feared Fourth division and Republican Guard.

Syria's military hasn't taken a sideline role like in Egypt or Tunisia, which means if the regime falls the security apparatus is likely to crumble as well because the people aren't likely to accept a military accused of massacring civilians to rule the country in the interim.

Is social media still playing a part in the uprising? Is it likely to have a decisive role in the final outcome?

Arwa Damon: It's huge. It's not the same as we saw in Egypt, which has been labeled a Facebook revolution because of the role of social networking sites. Syria is the YouTube revolution.

If activists weren't posting videos to YouTube, we would have almost no window into what appears to be happening in Syria. Will it be decisive? Yes, absolutely. The reason why people have been able to have such a strong debate about crimes against humanity, about abuses, about the atrocities allegedly committed is because we've had these images on hand.

Who are Assad's main regional allies? What effect is the Syrian crisis likely to have on them?

Arwa Damon: Russia and China are key players, particularly when it comes to exerting influence in the United Nations. Turkey was a friend but now their relationship has cooled. Iran, however, is a huge ally. Lebanon is terrified about the outcome of crisis because anything to do with Syria tends to have a polarizing effect on Lebanon, largely because it acts as a geographical link between Iran and the Hezbollah leadership in Lebanon and the border with Iran's ideological enemy Israel.

Why is there no likelihood of U.N. sanctions or military action against Syria?

Richard Roth: The Security Council tends to build its approach on an incremental basis when faced with a country or issue that splits opinion. Due to history, location, politics and power, Syria has more allies than Libya at this time and so is unlikely to face similar U.N.-mandated action.

Russia and China usually feel that it is not the Security Council's role to get involved in what they say is a matter for the internal affairs of U.N. member countries. That said, they may eventually budge to at least join the Council in expressing concern or condemnation of what is happening in Syria.

But it will take more displays of Syrian brutality for Russia and China to go along with sanctions. Syria's key role in the Middle East peace process also makes military attacks extremely unlikely at this point too.

@highlight

Arwa Damon: Slim chance Assad could cling to power but at cost of heavy bloodshed

@highlight

Damon: YouTube videos playing a key role in opposition movement

@highlight

Roth: Syria's key role in Mideast peace process likely to rule out U.N.-sanctioned military action