(CNN) -- It's his first trip to South America, one that many doubted would happen at all.

President Obama's five-day tour to Brazil, Chile and El Salvador happens as a nuclear and humanitarian crisis unfolds in Japan after a powerful earthquake and tsunami hit the island. And a civil war rages on in Libya, threatening stability in the Middle East. The United States is getting involved in a third conflict in the region in addition to Afghanistan and Iraq. That's why many speculated that Obama would either cancel or postpone his Latin American trip.

In his weekly internet and radio address, Obama spoke about the reasons why he's looking south. "As we respond to these immediate crises abroad, we also will not let up in our effort to tackle the pressing, ongoing challenges facing our country, including accelerating economic growth," he said as he made the case for economic opportunities for U.S. businesses in Latin America.

Analysts say the United States can't afford to ignore Latin America in spite of the challenges in Asia and the Middle East. China, not the United States, is now the largest destination for Brazilian exports. And former Brazilian President Luiz Inacio Lula da Silva defied most countries on the U.N. Security Council last year (and certainly the United States) on the issue of sanctions against Iran for its nuclear program.

In recent years, Brazil has discovered oil reserves off the coast of Rio de Janeiro that could be the largest in the world if the estimates of Petrobras (the state-owned Brazilian oil company) are right. Add to that the fact that Brazil is hosting the World Cup in 2014 and the Olympics in 2016, and it becomes a logical choice for a country to be visited by an American president.

That's why Cynthia Arnson, director of the Latin American program at the Woodrow Wilson Center in Washington, calls Brazil "the obvious country on the itinerary." She said Brazil "is, depending on whose numbers you use, anywhere from the fifth to the eighth economy in the world. It is a global player on issues like climate change, environmental preservation, innovation and biofuels development. It's also seeking a permanent seat on the United Nations Security Council."

Chile, considered an economic Latin American success, will be Obama's second stop. A devastating earthquake that hit the country in February of last year had little effect, if any, on its booming economy. Gross domestic product grew more than 5% in 2010, in spite of the catastrophic 8.8-magnitude temblor, one of the 10 most powerful earthquakes on record.

Chile signed a free trade agreement with the United States on January 1, 2004, and its government claims to have more such agreements than any other country in the world, with pacts signed with the European Union, Mercosur, China, India, South Korea, and Mexico. (Mercosur, or the Southern Common Market, is an economic agreement that promotes free trade among Argentina, Brazil, Paraguay and Uruguay.)

With a mixture of open market policies and strong economic institutions, Chile has dramatically reduced poverty. Only 18.2% of the population lived below the poverty line in 2009, compared with nearly 40% 20 years ago. "The center-right government of [President] Sebastian Piñera has by no means done away with the social programs put in place under the Concertación [a coalition of center-left political parties] that were so successful in reducing poverty in Chile," Arnson said.

El Salvador, Obama's third stop of the tour, is also a success story, although on a much lesser scale. Arnson says that in a relatively short period of time, the Central American country has managed to professionalize and downsize its army and establish a system of political competition in which everyone agrees on the rules of the game (a great achievement when one takes into account that El Salvador was ravaged by a civil war that lasted from 1979 to 1992).

"They are not the only success stories, but they're very important success stories in all three countries. El Salvador came out of civil war, Brazil and Chile came out of decades of military dictatorship, and there's been significant progress in all three countries in moving away from that past," Arnson said.

For Kevin Casas-Zamora, a senior fellow at the Brookings Institution in Washington, El Salvador is important for the White House for other reasons as well. "In El Salvador converge in a very clear way three issues that are crucial when it comes to the relation between the United States and Latin American countries: migration, trade and security," Casas-Zamora said. More than 2.5 million Salvadorans live in the United States, and the government of President Mauricio Funes wants a resolution on their immigration status.

As Mexico has scored important victories against major drug cartels, these criminal organizations have moved into Central American countries, including El Salvador. According to Casas-Zamora, El Salvador is looking for a closer partnership with the United States to increase its security.

"So far, the U.S. government has earmarked $100 million [to boost security] for fiscal year 2011, which is quite limited. This amount of money for the Central American region is minuscule, compared to the magnitude of the drug trafficking problem they face," Casas-Zamora said.

@highlight

Obama visiting Brazil, Chile, El Salvador amid war in Mideast, post-quake crisis in Japan

@highlight

Analysts say the U.S. can't afford to ignore Latin America despite those challenges

@highlight

Obama makes case for economic opportunities for U.S. businesses in Latin America

@highlight

Despite their problems, Latin American countries have made economic, political strides