President Putin's endgame in Crimea is now clear -- and the West has only a few days to act.

On Thursday, the Crimean parliament voted 78-0 to hold a referendum on March 16. The main question will ask whether voters want the region to secede from Ukraine and become part of Russia. Previously, a referendum had been scheduled for March 30 on the less politically charged question of whether Crimea should have greater autonomy within Ukraine.

If, as expected, a majority endorses secession, the story will change overnight from one about Russia's unprovoked military invasion to one about a minority's right to self-determination. That is the Kremlin's plan.

European leaders, already having trouble agreeing on a response to naked aggression, will find it much harder to oppose the popular will of the Crimean people. At that point, risky actions to force Crimea back into Ukraine will become difficult for Western politicians to explain to their own domestic voters.

The legal status of the planned referendum is more than murky. Ukrainian acting president Oleksandr Turchynov has called it a "farce" and a "crime against the nation." But, for democratic politicians -- and the societies they represent -- going against a majority vote is never easy.

If Russia can change the subject in this way, Crimean secession will become an established fact. Putin, who assured journalists on Tuesday that Russia did not mean to annex Crimea, will then be able to claim that he was "forced to yield to the will of the people."

With just a few days to turn the situation around, temporizing needs to stop. Allowing Russia "more time" at this point, as some European leaders have proposed, is exactly what the West should not do. That Russia's Crimean clients have moved the referendum date forward suggests nervousness in Moscow -- and a recognition that time is of the essence.

In the remaining time before March 16, the West must convince both the Kremlin-connected Russian elite and the population of Crimea that the region's secession to Russia would be a mistake. Direct threats are counterproductive, but clearly and calmly articulating the consequences of such a move can produce results.

First, all the European Union states plus the United States should make absolutely clear that they will not recognize the results of a referendum held while armed bands of "self-defense forces" roam Crimea. Any decision to secede that results from such a referendum will be considered illegitimate.

To increase Moscow's isolation, it is worth exploring whether a large majority would support a resolution in the United Nations General Assembly -- of course, Russia would veto in the Security Council -- reasserting the inviolability of borders in this case.

Second, the EU and U.S. should announce that economic relations would be frozen between the West and a Crimea in legal limbo following secession. In part, this freeze would be enforced by the markets themselves.

Crimea's tourism industry would have to forget about attracting Western visitors to the region's beaches. International investors would demand huge risk premiums. But Western restrictions on investment and trade with Crimea could amplify the effect. The region's agricultural produce could be banned from European and Ukrainian markets.

Crimeans must be helped to understand the choice they face: between becoming another Abkhazia -- a failed statelet on intravenous drip from Moscow -- or a flourishing region within the new, broader Europe. The EU should quickly earmark some portion of the 11 billion euros already promised to Ukraine for projects to develop Crimea's economy if it remains Ukrainian.

Third, the United States should work out a set of restrictions to place on Russian banks and corporations that do business in a Crimea that has illegally seceded. As economist Anders Aslund has pointed out, existing rules against money laundering could be enforced more rigorously against various Russian entities.

All of this needs to be done rapidly. While Washington has reacted quickly as the crisis unfolded, the EU has suffered from its chronic lack of central decision-making authority. The next few days constitute a test.

If Brussels cannot forge a strong, common position in time, then management of future crises will simply revert to the foreign ministries of Germany, France, and Britain, with the EU's foreign policy role narrowed to coordinating long-term policies.

While spelling out the costs that threaten the Crimean population and the Russian political elite, Western leaders must continue to devise "off-ramps" to outcomes that Putin could conceivably accept, but that, nevertheless, will not be seen as rewarding aggression.

The West can call for a significant increase in Crimea's political autonomy within Ukraine, negotiated with Kiev. U.S. and European leaders should also speak out far more audibly in favor of minority language and cultural rights. They should have responded with outrage when the Rada, Ukraine's parliament, canceled the status of Russian as an official language and should now praise the promised veto of this law.

It may still be possible to prevent the illegal annexation of Crimea. Putin is sensitive to the danger of splits within his political elite. The West must show him that he has underestimated the extent of political isolation and economic disruption that annexation would cause. It must work on winning the hearts and minds of the Crimean population. The clock is ticking.

@highlight

Daniel Treisman: Only a few days are left to stop the Crimea breakaway

@highlight

He says if Crimea votes to rejoin Russia, that will greatly strengthen Putin's position

@highlight

U.S. and EU need to apply economic pressure, make the case for a "no" vote, he says

@highlight

Treisman: Crimea must see the choice is between prosperity and stagnation