(CNN) -- Jacobo Arbenz was overthrown as president of Guatemala in a CIA-backed coup in 1954, a seminal event that historians say set the Central American country on a path of dictatorships and civil war that would last for decades.

Even though he was democratically elected and popular at the time, after Arbenz was deposed, his reputation was ruined and he was written out of Guatemala's history books. He died in exile in 1971.

This week, 57 years later, current President Alvaro Colom made a public apology to the Arbenz family, a large gesture in Guatemala. There is also a larger rehabilitation of the image of Arbenz under way. Textbooks are being rewritten and a new biography will soon be published.

But this clearing of Arbenz's reputation does not console everyone. Some ask: When will the United States, which was behind the coup, apologize for its meddling?

"As president of the republic, as commander in chief of the army, I want to apologize to the Arbenz family for that great crime committed on the 27th of June of 1954," Colom said Thursday. "Guatemala changed that day, and we haven't yet recovered."

The apology "doesn't have a lot of resonance in the United States -- though it should," said Stephen Schlesinger, an Adjunct Fellow at the Century Foundation and co-author of a book on the 1954 coup.

The United States, after all, was the power behind the event.

In a nutshell, there were two main arguments about what led the United States to see Arbenz as a threat, one economic and one political.

At the time, the largest landowner in Guatemala was an American firm, the United Fruit Company. Arbenz, in an effort to reduce income inequality in the country, instituted a land reform program that would have taken unused United Fruit Company land and turned it over to farmers.

"We're talking huge amounts of land," Schlesinger said, enough to grow the middle class.

Another author of a book on the subject, Johns Hopkins professor Piero Gleijeses, said that 100,000 families -- representing about half a million Guatemalans -- benefited from the reform. Arbenz's goal was to double that number by the end of his term, he said.

But United Fruit Company went to President Dwight D. Eisenhower and labeled Arbenz as a communist and a threat to democracy.

This political argument gained traction, and the CIA became involved.

According to Schlesinger, the CIA found a group of disgruntled Guatemalan right-wingers opposed to Arbenz who set up an elaborate ploy to oust him. The CIA helped set up secret radio broadcasts along the perimeter of Guatemala. They used fake broadcasts to warn of an impending massive revolt, and backed it up with planes that dropped bombs (many of them fake) in Guatemala, Schlesinger said.

The fake broadcasts and bombings "put such fear in the small country" that it just collapsed, he said.

The Guatemalan army went along with it because the United States convinced commanders there would be an invasion otherwise, Gleijeses said.

They were "terrorized into betraying" Arbenz, he said.

Given the deep U.S. involvement, Gleijeses said this of Colom's apology to the Arbenz family: "It's not very clear what he's apologizing for."

"What he should do, if he has the guts, is to ask the United States to apologize for their crime," he said.

The son of the ousted president, Jacobo Arbenz Jr., said such an effort was already under way. Signatures are being collected for a petition to the U.S. government to apologize for its role, he said.

The State Department said that its embassy in Guatemala was preparing a statement regarding Arbenz, but as of Saturday it had not been released.

For the younger Arbenz, the apology from the Guatemalan government is a great first step.

"We are happy with this," he said. "Justice has been done."

The Arbenz family had gone before the Inter-American Commission on Human Rights in 1999 to demand the apology from the government. Earlier this year, the commission negotiated a number of actions that the government promised to undertake.

In addition to the public apology, the government is making economic reparations to the family and is naming a highway after Arbenz. School curricula are also being revamped to give Arbenz a more prominent role in Guatemala's history.

Even some Guatemalans CNN spoke with brushed off the significance of the apology, saying the coup was so long ago that it is irrelevant.

But according to Schlesinger, the ramifications of the coup were far-reaching. Instead of 30 years of bloody civil war, Guatemala might have remained a democracy and influenced neighboring countries to do the same, sparing thousands of lives.

Gleijeses says that his sources confirm that Arbenz in actuality was a communist, but had no aspirations to form a dictatorship. His only goal was to address the nation's serious inequality, something that the land reform could have accomplished, he said.

But with a strong military, whether there would have been democracy even without the coup is an open question, he said.

Colom's apology seems, at the very least, able to reignite the debate over Arbenz's legacy and the problems that Guatemala faces, many which have been consistent since 1954.

CNN en EspaÃ±ol's Claudia Palacios contributed to this report.

@highlight

Guatemalan President Alvaro Colom apologized to the family of Jacobo Arbenz

@highlight

Arbenz was ousted in a coup in 1954

@highlight

Some wonder whether the U.S., which backed the coup, will also apologize