(CNN) -- CNN's Freedom Project has broken new ground by exposing the horrors of child labor, the shame of forced marriages, the brutality of child militias and the injustice of the routine everyday discrimination practised against millions of girls, denied even the most basic of education -- most blatantly revealed in the shooting by the Taliban of Malala Yousafzai.

This year I foresee the Freedom Project gaining new momentum as young people take to the streets and airwaves, grow more vociferous in championing their rights and prove that they are more assertive in seeking change than the adults tasked with their care.

This week a global petition calling for justice for young women in India has attracted more than one million signatures, principally from young people, as a result of the campaigning energies of Avaaz, the global online petitioning movement. Young men and women dominate this month's countrywide anti-rape demonstrations, but all across Asia young people have hit the streets in record numbers at the start of the year.

In Bangladesh, young people are leading a movement to demand "child marriage-free zones" to end the practice of girls aged 10, 11 and 12 being forced into loveless marriages against their will. I have met some of these brave girls who are proving more determined in standing up against child marriage than their parents.

Desmond Tutu: Time for men to challenge treatment of women

In Nepal, days before India's anti-rape protests, young people were already marching, demanding an end to men's violence against women and last week demonstrators voiced their outrage at a tense meeting with the prime minister.

In India, another set of street demonstrations is also gaining ground. Young people who have escaped, often when just eight or nine, from bonded labor, have been leading a march to end this form of child slavery, a march that the Chief Justice of India joined and endorsed.

And in Burma (also known as Myanmar), where Aung San Suu Kyi led demonstrations for democratic rights 25 years ago, 200,000 young people demonstrated against child trafficking.

Already in response to worldwide revulsion at violence against women, major demonstrations are being organized in Africa and Asia in February.

These demonstrations build on the role played by young people in the Arab Spring, the growth of an "indignant" youth movement in Spain and the student demonstrations about tuition fees and rights to study that have characterized countries as diverse as Canada and China, all of which have focused on the dearth of opportunities for young people.

By the end of January, three million people will have signed the Malala petitions, calling for girls to be given their rightful opportunities to go to school. But what is most noteworthy is that one million of these signatures are being assembled by young Pakistani children who are denied a place in school. When I visited Pakistan recently, I was struck by the determination of schoolgirls Kainat and Shazia, friends of Malala who were also injured in the Taliban attack. Both girls determined, in spite of the dangers, to stand up to the intimidation, return to school and study to be doctors.

Dictating daughters' destinies

The same determination is displayed by Imran, a young Indian from Bihar who wishes to return to school and train to become a teacher. Promised a chance to send home money to his family, he was forced to work unpaid in a sweatshop for 14 hours a day. Thankfully Imran was rescued by the Global March Against Child Labour. Now his cause, and that of thousands of others like him, will lead to the presentation of a petition to the Indian parliament calling for the abolition of child labor. Indeed it is expected that in advance of the Indian parliament's vote on the issues, one million more mainly young people will add their names.

The act of creating "child marriage-free zones" reminds us that even in 2013 patriarchs still attempt to dictate their daughters' destinies. The zones also demonstrate patriarchy will not hold back girls' aspirations forever. Protests against male violence against women remind us that too many men still treat women as their chattels, to be exploited and brutalized, but the scale of protests illustrates that the men who are violating rights are being challenged.

The demand from girls to go to school is also a reminder that for most of history, adult generations have been able to dictate whether the next generation is free to dream of better futures or not. Now, girls are saying that their elders can no longer trample upon their rights.

You don't need to fall for a technological determinism to understand that the Internet is helping to radicalize a new generation of young people thanks to our new-found capacity to communicate instantaneously across continents. Just as opinions during the Arab Spring spread rapidly via new technologies, so young people in Asia are today communicating, exchanging views and learning more about other young people. They are making connections across old borders, breaking down traditional barriers, crossing ancient divides and smashing long-established walls of prejudice.

'Frightened' India child bride annuls marriage

In the 1960s John Kennedy talked of crossing a new frontier. In 2013, because of the advances of technology, young people are finding that there is no frontier.

Indeed the sheer scale of the anti-child slavery demonstration of 200,000 young people in Rangoon shows that regimes can repress for a time but they cannot maintain their repression indefinitely. The marches against child trafficking show that the truth will eventually come out and the victims' cries for help will not be silenced forever.

It is not technology however that is driving young people's concerns, it is the yawning gap between the promise of globalization and its reality that brings young people out on to the streets. The promise is that every young person has the chance to rise as far as their talents can take them. Young people are, however, coming to understand the reality of globalization -- that their opportunities and rights depend more on where they were born and who they were born to than on their merit, their effort or their talent.

It is this growing awareness of the gap between what you have in yourself to become -- and yet what you are -- that is fueling the demand for change. Our task is to offer a pathway out of exploitation and into freedom, out of exclusion and into education. When as much as 80% of global inequality is explained by birth and background, education should be the counterweight, the driver of equal opportunity.

The case for global investment in basic education (we need at least two million more teachers and four million classrooms) is not just that individuals will benefit from educational opportunity but that countries will too. Indeed, mobilizing the talent of young people is the only sure way of unlocking the potential of the poorest countries in the world.

We spend 250 times more in the West schooling a child up to the age of 16 than we do on the average African child. Our pattern of educational spending compounds rather than corrects or compensates for these glaring inequalities. Annual educational aid is only $14 per African child.

An April summit, led by U.N. Secretary-General Ban Ki-moon and World Bank President Jim Kim, will demand concrete action from off-track countries to move children from the violation of their basic rights to the guarantee of their right to education. In the coming year I hope the U.N. will hold a debate in its General Assembly on systematic violations of children's rights, demanding that, instead of the exploitation these young people suffer today, we open the doors to opportunity in education.

My aim for 2013 and beyond is to move millions of children from the abyss of exploitation today into the opportunity of education tomorrow. This is the one way we can not only release children from abuse but break the cycle of poverty which is at risk of being transmitted from generation to generation.

@highlight

Gordon Brown says 2013 already being defined by young people prepared to demonstrate for rights

@highlight

Arab Spring was a role model for activism around diverse causes, says U.N. special envoy for global education

@highlight

Following attack on Malala Yousafzai, petitions supporting education for girls signed by about three million people

@highlight

Many girls saying elders can no longer trample on their rights, says former UK prime minister