(CNN)While veterans in recent years were dying as they waited for care at Department of Veterans Affairs hospitals, the VA has wasted billions of taxpayer dollars on controversial projects across the country, according to government reports and members of Congress.

Critics say budget overruns and construction delays on several projects are burning money that could have been used to help more veterans access timely health care, with one lawmaker even comparing the elaborate projects to the Taj Mahal.

For example, a massive construction project near Denver mired with problems ran hundreds of millions of dollars over budget and ended up in court over design and contract issues, according to court documents.

The joint venture building the medical center near Denver, Kiewit-Turner, estimated the total project would cost more than $1 billion -- almost double the contractual estimate of $583 million.

Kiewit-Turner took the matter to court, saying the VA never provided a design for the medical center that could be built for its budget. The court sided with the builder, allowing Kiewit-Turner to walk away from the project earlier this month. Kiewit-Turner and the VA subsequently reached an agreement to resume construction.

Judges with the U.S. Civilian Board of Contract Appeals said the total cost of the medical center remains unknown but will be "significantly in excess" of the VA's original budget.

Various forms of VA mismanagement and changes in the medical center's design contributed to cost overruns and construction delays, according to court documents.

During court proceedings, private contractors criticized the VA for including expensive, non-health-related projects within the medical center's design, such as an estimated $82.6 million, three-story glass concourse that would connect different parts of the facility, which included a "zigzag" wall to block the sun.

"All of this was aesthetics," Paul Blatnak, a private construction manager on the project, said at a court hearing in May. "Nobody was interested in cleaning up the aesthetics so that we could improve or add to the patient care."

The VA and contractor Kiewit-Turner resumed construction on the medical center Monday, but only after the VA paid the contractor $157 million in owed costs.

"This isn't about building a medical center, but about building a facility where VA can provide high-quality health care to the more than 390,000 Colorado Veterans who have served our nation," VA Deputy Secretary Sloan Gibson said last week.

GAO official: 'Conflicting direction' caused cost overruns

A 2013 report by the Government Accountability Office found that delays and mismanagement contributed to a total cost increase of $1.5 billion at VA construction projects in Denver, Las Vegas, New Orleans and Orlando.

The report said that an average construction delay of 35 months at each project contributed to the cost increases, such as in Las Vegas, where construction was delayed more than six years. Those delays were blamed on changes in local veterans' needs and shifting VA policies, according to the GAO.

Lorelei St. James, the GAO director of infrastructure issues at the time of the investigation, told CNN "conflicting direction" from the VA has repeatedly caused cost overruns on different projects.

As an example, St. James said VA managers have told contractors to wait for equipment before designing specific hospital rooms, but VA's central office or other VA managers have ordered contractors to proceed with designs anyway. These contradictions have caused unnecessary work and extra costs, she said.

Rep. Mike Coffman, R-Colorado, whose district includes the VA project near Denver, said the agency should be stripped of its authority to oversee major construction projects.

"This is money that is not going to the care of veterans," Coffman, himself a veteran, told CNN, adding that some of these medical centers are given unnecessarily elaborate designs, like "Taj Mahals."

Coffman said the construction problems are deeply rooted in the VA's culture, since these projects have had consistent delays and cost overruns despite different VA managers overseeing construction on different sites.

At a hearing before the House VA Subcommittee on Oversight & Investigations in April, a top VA construction official, Glenn Haggstrom, admitted there have been challenges but said the VA has improved its construction process by better defining costs, adding staff and using an online tool to track design changes, along with other reforms.

"VA is moving toward its goal of improving and streamlining our processes to increase access to our veterans and their families," Haggstrom said in his testimony.

The GAO report additionally found in 2014 that the rent the VA paid for 31 leased outpatient facilities increased by a total of $34.5 million primarily due to VA delays and project changes, among other issues.

The VA will have to pay these extra costs annually for each of the properties' 20-year leases, according to the GAO's report.

Additionally, the VA's Office of Inspector General found the VA could inappropriately handle $795 million worth of service contracts in the next five years if its contract management processes do not change, according to a report released this year.

Wind turbine debacle

One of the VA's green energy initiatives has also been a source of spending controversy.

The VA hired the firm JK Scanlan Co. to build an energy-saving wind turbine in 2009 at the VA hospital in St. Cloud, Minnesota -- for a price of $2.3 million.

The project was completed in 2011, but it was shut down the same year due to oil leaks, and although a litany of repairs was ordered, a variety of technical issues caused the turbine to sit idle for years.

In October of this year, the VA terminated its contract with JK Scanlan, the company overseeing the turbine, and said it will seek to recover the wasted costs.

A 2014 report released by Sen. Tom Coburn, R-Oklahoma, argues the VA has misused or mismanaged billions of dollars on initiatives ranging from lavish employee trips and conferences to faulty IT systems and call centers that handle just a few calls a day, among other programs.

Some of the specific expenses Coburn highlighted as wasteful include $489 million spent on "office makeovers" in less than five years, $5 million spent on unused computer software between 2006 and 2011, and even $50,000 spent on the production of a parody of the movie "Patton."

Coburn's report also criticized the VA for maintaining and renovating unused buildings, such as a historic monkey house on the property of the VA medical center in Dayton, Ohio.

"Even a small amount of waste in the way VA has contracted for each facility could easily mean over a billion dollars in taxpayer dollars lost that could have paid for veterans' essential medical care," Coburn's report said.

Congressman: Management is the problem, not money

The VA's budget has grown from about $114 billion in 2010 to about $154 billion in 2014, but a CNN investigation found veterans were dying while waiting for care despite this increase in funding.

A VA internal audit this year found extreme delays in patient care and scheduling issues were systemic throughout the department. VA Secretary Eric Shinseki resigned as a result.

Rep. Jeff Miller, R-Florida, chairman of the House Committee on Veterans Affairs, told CNN delays in care at VA hospitals cannot be attributed to lack of money since VA has left hundreds of millions in health care funding unspent each fiscal year since 2010.

"VA doesn't have a money problem, it has a management problem," Miller said, explaining that Congress has repeatedly passed legislation to increase VA resources, yet problems have persisted.

In August, President Barack Obama signed into law a bill that provided the VA with an additional $16 billion to hire more VA doctors and nurses, open mobile clinics and enable more veterans to obtain private medical care.

A VA audit released in December showed more than 13,000 appointments still had wait times longer than 120 days.

Secretary Robert McDonald, who began leading the VA this summer, has vowed to reform the agency and uphold patient care as its top priority.

"I'm convinced that our comprehensive reforms will enable us to better meet the needs of our Veterans because we will be looking at everything we do through their eyes. We owe them nothing less," McDonald said in a November press release.

@highlight

VA critics say project cost overruns and construction delays are burning money

@highlight

Denver medical center's estimated cost nearly doubled, to more than $1 billion

@highlight

Delays averaging nearly 3 years at 4 sites contributed to $1.5 billion in cost increases

@highlight

Rep. Mike Coffman: "This is money that is not going to the care of veterans"