WASHINGTON (CNN) -- At 33, Joe Sullivan is serving a life term without the possibility of parole in a Florida prison while confined to a wheelchair.

Joe Sullivan, now 33, was convicted of burglary and rape when he was 13. He is serving a life sentence without parole.

The crime for which he was convicted was brutal: burglary and the rape of a 72-year-old woman in Pensacola.

The man's lawyers say the punishment was equally harsh, particularly for someone with Sullivan's circumstances. He was 13 at the time, and is one of only two people his age in the world, say his supporters, tried as an adult and sentenced to "die in prison" for a crime that wasn't a homicide.

Now the Supreme Court is being asked to decide whether  that sentence was cruel and unusual punishment for someone who was barely a teenager at the time of his crime. The justices are scheduled to announce Monday whether they will accept the case for review. If they do, oral arguments would be held in the fall. If the review is rejected, Sullivan would have few legal options remaining to reduce his sentence. His lawyers are also fighting to get him a new trial.

Outside a death-penalty context, the high court has offered little recent guidance on how to treat the youngest of underage criminal defendants. The appellate record for rapists under age 15 is almost nonexistent, say legal experts consulted by CNN.

Child legal advocates say many states lack adequate resources to handle young inmates given long sentences, including a lack of proper jailhouse counseling. Few studies have been conducted on the psychological effects on young defendants facing life in prison, said the Equal Justice Institute, which is representing Sullivan in the high court case.

"We have created a forgotten population with a lot of needs," said Bryan Stevenson, Sullivan's lawyer.

The crime happened in 1989, when Sullivan later admitted he and two friends ransacked a home in West Pensacola. But he denied the prosecutor's claim he returned with a knife and sexually assaulted the elderly homeowner. An older co-defendant claimed Sullivan was the rapist.

According to the trial record, the victim testified the assailant was a youngster with "kinky hair and he was quite black and he was small." She could not recognize Sullivan by his facial features, but the defendant was made to repeat at trial what he allegedly told the woman: "If you can't identify me, I may not have to kill you."

The victim testified, "It's been six months, it's hard, but it does sound similar."

After a daylong trial, Escambia County circuit court Judge Nicholas Geeker sentenced Sullivan to life without parole.

"I am going to try to send him away for as long as I can, he is beyond help," the judge told the boy. "The juvenile system has been utterly incapable of doing anything with Mr. Sullivan."

Sullivan had a lengthy juvenile record, but continues to deny the attack.

At the time, state prosecutor Larry Kaden, who retired last month, said, "It was a brutal crime and he had an extensive record. This was a bad, bad crime." The Florida Attorney General's office told the high court that prosecutors should have the discretion they have long been given to decide how harshly young criminal should be prosecuted. Sexual battery remains a crime punishable by life imprisonment in Florida.

A study by the Equal Justice Institute found eight prisoners serving life terms for crimes committed at 13, all in the United States. Besides Sullivan, Florida inmate Ian Manuel is in a similar situation. He was 13 when convicted of attempted murder and robbery in 1990 and will not get out of prison.

The Justice Department reports no 13-year-old has been given life without parole for crime that wasn't a homicide in a decade. And while about a thousand people every year under 15 are arrested for rape, none have been given life without parole since Sullivan.

Only a handful of states -- including Alaska, Colorado, Kansas, New Mexico and Oregon -- prohibit sentencing minors to life without a chance for parole, according to the National Conference of State Legislatures. Equal Justice Institute says 19 states have laws allowing the possibility of life without parole for those under age 14.

The high court in April 2008 refused to hear the case of a South Carolina boy who was 12 when he murdered his grandparents and was given a 30-year sentence, the maximum allowed under state law. Tried as an adult, Christopher Pittman's lawyers had argued the sentence was excessive, and that heavy doses of antidepressants the boy was taking at the time sent his mind spinning out off control.

While disappointed, Pittman's attorney Michelle Deitch speculated the justices may "have recognized the growing national trend against sentencing young children to harsh mandatory terms in prison, and wants to give state legislatures the opportunity to correct this problem before it rules again on the issue."

Sullivan's attorneys hope the high court is ready to revisit the issue. The Supreme Court in 2005 banned the death penalty for underage killers. The justices in that case cited evolving "national standards" as a reason to ban such executions.

"When a juvenile commits a heinous crime, the state can exact a forfeiture of some of the most basic liberties," wrote Justice Anthony Kennedy at the time. "But the state cannot extinguish his life and his potential to attain a mature understanding of his own humanity."

Sullivan is in deteriorating health from multiple sclerosis and  confined to "close management" for dangerous or trouble-prone inmates, say state corrections officials. His lawyers admit he has had more than a 100 incidents of fighting and threatening inmates and guards, and having contraband and weapons, but say Sullivan is the victim of bullying by other prisoners and is mentally disabled.

"It's important for the criminal justice system to recognize that inmates like Joe [Sullivan] are going to change, biologically, psychologically and emotionally as they grow up in prison," said Stevenson. "We should not assume it is a change for the worse."

Sullivan's appellate team places much of the blame on his original trial attorney, who presented no opening statement and only brief closing remarks. No DNA results were offered and the state destroyed the biological evidence in 1993. "It was absolutely outrageous," said Stevenson. The trial lawyer was later suspended from practicing law.

The thrust of their argument before the high court is not that Sullivan is innocent, nor that he seeks his freedom now, just that he deserves to someday make his case before the state parole board.

@highlight

Convicted for a crime committed at 13, Joe Sullivan appeals to Supreme Court

@highlight

He is serving life without parole for burglary and the rape of a 72-year-old woman

@highlight

Defense attorneys say punishment for Sullivan, now 33, was too harsh

@highlight

The Supreme Court is expected to decide Monday if it will hear the case