In 1925, H. L. Mencken wrote an impassioned plea: "Prohibition has not only failed in its promises but actually created additional serious and disturbing social problems throughout society.  There is not less drunkenness in the Republic but more. There is not less crime, but more. ... The cost of government is not smaller, but vastly greater. Respect for law has not increased, but diminished."

This week marks the 79th anniversary of the repeal of Prohibition in December 1933, but Mencken's plea could easily apply to today's global policy on drugs.

We could learn a thing or two by looking at what Prohibition brought to the United States: an increase in consumption of hard liquor, organized crime taking over legal production and distribution and widespread anger with the federal government.

News: Pot smokers enter legal limbo in Washington, Colorado

Here we are, four decades after Richard Nixon declared the war on drugs in 1971 and $1 trillion spent since then. What do we have to show for it?

The U.S. has the largest prison population in the world, with about 2.3 million behind bars. More than half a million of those people are incarcerated for a drug law violation. What a waste of young lives.

In business, if one of our companies is failing, we take steps to identify and solve the problem. What we don't do is continue failing strategies that cost huge sums of money and exacerbate the problem. Rather than continuing on the disastrous path of the war on drugs, we need to look at what works and what doesn't in terms of real evidence and data.

Opinion: The end of the war on marijuana

The facts are overwhelming. If the global drug trade were a country, it would have one of the top 20 economies in the world. In 2005, the United Nations estimated the global illegal drug trade is worth more than $320 billion.   It also estimates there are 230 million illegal drug users in the world, yet 90% of them are not classified as problematic.

In the United States, if illegal drugs were taxed at rates comparable to those on alcohol and tobacco, they would yield $46.7 billion in tax revenue. A Cato study says legalizing drugs would save the U.S. about $41 billion a year in enforcing the drug laws.

Have U.S. drug laws reduced drug use? No. The U.S. is the No. 1 nation in the world in illegal drug use. As with Prohibition, banning alcohol didn't stop people drinking -- it just stopped people obeying the law.

News: Marijuana advocates hope to rise from 'prohibition'

About 40,000 people were in U.S. jails and prisons for drug crimes in 1980, compared with more than 500,000 today. Excessively long prison sentences and locking up people for small drug offenses contribute greatly to this ballooning of the prison population. It also represents racial discrimination and targeting disguised as drug policy. People of color are no more likely to use or sell illegal drugs than white people -- yet from 1980 to 2007, blacks were arrested for drug law violations at rates 2.8 to 5.5 times higher than white arrest rates.

Prohibition failed when the American people spoke up and demanded its repeal. Today, the American people are showing their dissatisfaction with the war on drugs by voting for change, often in the face of federal law.

Colorado and Washington recently became the first U.S. states to legalize recreational use of marijuana. Eighteen states and the District of Columbia  allow the medical use of marijuana, and 74% of Americans support alternatives to locking people up for marijuana possession.

How would our society, our communities and daily lives improve if we took the money we use running a police and prison state and put it into education and health? Treating drugs as a health issue could save billions, improve public health and help us better control violence and crime in our communities. Hundreds of thousands of people have died from overdoses and drug-related diseases, including HIV and hepatitis C, because they didn't have access to cost-effective, life-saving solutions.

A Pew study says it costs the U.S. an average of $30,000 a year to incarcerate an inmate, but the nation spends only an average $11,665 per public school student.  The future of our nations and our children should be our priority. We should be helping people addicted to drugs break their habits rather than putting users in prison.

When it comes to drugs, we should focus on the goals we agree on:  protecting our kids, protecting public safety and preventing and treating drug abuse and addiction. To help unlock barriers to drug reform, last June, I joined the Global Commission on Drug Policy, which is bringing global leadership to drug reform to make fact-based research public and draw attention to successful alternative approaches.

Opinion: Mr. President, fix our broken drug policy

As part of this work, a new documentary, "Breaking the Taboo," narrated by Oscar award-winning actor Morgan Freeman and produced by my son Sam Branson's indie Sundog Pictures, followed the commission's attempts to break the political taboo over the war on drugs. The film exposes the biggest failure of global policy in the past 40 years and features revealing contributions from global leaders, including former Presidents Bill Clinton and Jimmy Carter.

It is time we broke the taboo and opened up the debate about the war on drugs. We need alternatives that focus on education, health, taxation and regulation.

If you ignore a serious problem, refuse to debate it and hope it will go away all by itself, you are very naive. The war on drugs has failed. It's time to confront the issue head on.

Follow @CNNOpinion on Twitter

@highlight

Richard Branson: Prohibition caused damage in the same way the war on drugs has done

@highlight

Branson says if one of his companies is failing, he doesn't continue with failed strategies

@highlight

U.S. has the most prisoners in the world, he says, 500,000 of them for drug violations

@highlight

Branson: We need alternatives to jail that focus on education, health, taxation, regulation