Washington (CNN) -- Radiation from airport body scanners penetrates organs beneath the skin but at low doses that meet national standards, according to a study by Marquette University's Department of Biomedical Engineering.

But the study's author, professor Taly Gilat-Schmidt, said the research does not answer the biggest question on travelers' minds: Are scanners safe? She said more independent research is needed.

The Marquette study subjected government and vendor data to sophisticated computer modeling to estimate the radiation doses travelers receive when they are scanned by backscatter machines, one of two types of imagers used to detect weapons at security checkpoints.

The Transportation Security Administration has maintained that the machines are safe, exposing travelers to about the same radiation they receive by flying about two minutes at cruising altitude. A passenger would have to receive more than 17,000 screenings in a year -- about 47 screenings a day, 365 days a year -- to exceed government standards, the TSA says.

The Marquette study says that the backscatter dose is "comparable" to one minute of exposure to cosmic radiation and considerably lower than radiation levels of other X-ray procedures, such as a mammogram. But it balks at calling the exposures safe, saying cosmic and backscatter radiation are different and that both the risks and benefits of backscatter need to be quantified.

Experts: Body scanning 'woefully inadequate' abroad

John Sedat, a University of California, San Francisco, professor of biochemistry and biophysics, is against the TSA's use of backscatter technology. He criticized the Marquette report, saying it was based on TSA data instead of independent testing of machines.

"It's a valid criticism," responded Gilat-Schmidt. "I think that's valid, and we put that criticism (in the paper). But that's how research is. It's not the whole enchilada. It's one step; not the whole step."

"I think it's very important to have independent studies," she said.

Gilat-Schmidt said that she goes through backscatter X-ray machines, but "I don't feel comfortable putting my kids through them."

"That's because in the medical imaging community, it's always stressed that the (radiation) dosage should be as low as possible. And in this case, the lowest possible is not going through them. There's an alternative technology out there," she said. Two options are millimeter wave machines, which use radio waves, and physical pat-downs.

The Marquette paper will be published in the June issue of Medical Physics, an international journal of medical physics research and practice, produced by the American Association of Physicists in Medicine.

The research was conducted by Marquette student Michael Hoppe with Gilat-Schmidt's assistance.

A TSA spokesman said the agency was aware of the Marquette study but had not yet done a thorough analysis of it.

@highlight

The Transportation Security Administration maintains the machines are safe

@highlight

The backscatter dose is "comparable" to one minute of exposure to cosmic radiation

@highlight

A critic complains the study was based on TSA data instead of independent testing