Petite Riviere de L'Artibonite, Haiti (CNN) -- The town of Petite Riviere de L'Artibonite lies two hours north of Port-au-Prince, Haiti.

Makeshift tents dot a hillside there, flimsy shelters made of sheets and coconut branches that are a respite from the sun, but no match for the recent torrent of rains that wash down rotting bodies from a nearby slope. At night, the lights from aid camps and surrounding areas do not reach here. It is pitch black.

It is not the first time Marlie Casseus, 18,  has seen hell.

A few years ago, the Haitian teen was forging a new future after doctors removed a massive tumor-like growth that had taken over her face, threatening her life and forcing her into mortified seclusion. She was making her way back into the world and smiling again.

Today that future, like those of countless other Haitian children with chronic health issues, is threatened by fractures in the country's already weak health care system.

If Marlie's name sounds familiar, it's because her story was featured in a 2004 Discovery Health special. In 2009, a follow-up episode chronicled her ongoing progress. Marlie suffered from polyostic fibrous dysplasia, a genetic disorder that causes bone tissue to degenerate and form a tumor-like mass.

The tumor had consumed Marlie's life so wholly, her family contacted the International Kid's Fund in Miami, Florida. IKF Wonderfund, which is affiliated with Jackson Memorial Hospital, sponsors critically ill children from Latin America and the Caribbean. They agreed to take her case, and over the course of a year, doctors removed the 14-pound tumor and reconstructed Marlie's nose, jaw and lips.

After several grueling surgeries, the face that had been rendered so unrecognizable bore the warmth of a familiar pair of brown eyes -- and a smile.

"When she was sick, we were so worried," said Stellecie Casseus, Marlie's sister. "She grew big and big, we were so sad and upset about that. But after surgery, she looked better. She feels better. She doesn't want to kill herself."

The procedures reversed years of suffering and reclusiveness for Marlie, a change the family says affected far more than her face.

"She felt good," Stellecie said. "All of the family feels good when Marlie feels good."

Six years later, as death rumbled through the streets of Port-au-Prince, Marlie faced the worst once again.

"All of the children were studying when it happened," said Stellecie. "Marlie was with me. She was reading. When we felt the quake, we went, and Marlie fell. She cried. I remember that she cried a lot that day."

With the family gathered in the front yard, the tremors struck and their house crumbled to the ground. An aunt who was sleeping at the time of the quake died inside the home. Although the story of their survival may seem miraculous, Marlie and her family now face a suffocating new reality. Marlie's mother, Maleine, said they have no electricity and limited access to food.

"The situation is so bad, very bad for us, because we have lost something very big for the Haitian people," said Maleine. "We have no house, no food, no city."

The people in their tattered, makeshift town are bitten raw by mosquitoes, bees and giant spiders. Gunshots ring out in the night and the stench of rotting bodies is a constant reminder of the fate Marlie's family narrowly managed to escape. Gina Eugene, a nurse for IKF, said young girls are left to wander the streets unprotected, and rape is a constant and heavy threat.

"It is hell," she said. "All I can tell you, this is no life. No human wants to live like this."

In addition, IKF's efforts to get Marlie to Miami for further care have been stalled. Important documents were lost in the rubble of the family's ruined house, and without them, Marlie cannot leave. With the country in chaos, getting new visas or medical parole seems to be out of the question.

IKF Director Jinelle Prieto said the recent controversy surrounding a group of American missionaries accused of child trafficking has left people unwilling to transport children for fear of legal action.

"There are no answers for anybody," she said. "I have people that will bring Marlie over, but everybody's scared that they're going to be charged with kidnapping. Everybody is just running into walls. They see these kids dying every day, but nobody will risk bringing them over."

The staggering truth is Marlie is just one of the scores of Haitian children IKF and other organizations are scrambling to save.

Prieto said nearly 30 of their kids are stranded in Haiti waiting for help, and there are countless more who could be endangered by lack of care for otherwise treatable conditions. She said her organization already has lost one child, a 4-year-old boy who had recently undergone open-heart surgery. He died after suffering a heart attack during an aftershock.

"All of these organizations have launched these campaigns, they have the money, the hospitals have stepped up, but they can't reach them," Prieto said. "It is absolutely mind-boggling. Every single doctor, every single volunteer, every single person of leadership, nobody knows what to do."

Despite the recent earthquake in Chile and the threat of waning public concern, it is clear the struggle in Haiti is far from over. Marlie's mother and sister said it is hard to find hope among the ruins.

"We are in trouble now," Stellecie said. "We don't know what to do. We don't know what we can do. We just need help. Marlie is OK, but she doesn't feel good because she is upset about so many things."

When asked what the future may hold, Maleine was at a loss for words.

"I lost everything," she said. "I just ask for God to have some help for my family."

@highlight

Doctors removed massive growth from Haitian teen's face several years ago

@highlight

Haitian children with chronic health issues threatened by weak health care system

@highlight

"It is hell," nurse says. "All I can tell you, this is no life"