(CNN) -- The young girl whispered in a hushed tone. She looked down as she spoke, only glancing up from her dark round eyes every now and then. She wanted to tell more, but she was too ashamed. She was just 9 years old when, she says, Congolese soldiers gang-raped her on her way to school.

The young girl on the right says she was raped by Congolese soldiers. She was just 9 when it happened.

"These two soldiers nabbed her, put a bag over her head and pulled her into the bushes. She explains it as, 'They got me,' " says Sherrlyn Borkgren, who spent a month in the Democratic Republic of the Congo late last year.

Borkgren, a wedding photographer and freelance journalist, traveled to the war-torn region of eastern Congo after being awarded the ShootQ Grant, a $10,000 award to free photographers from everyday life to pursue a project that raises awareness of an important global issue.

Borkgren pauses when she speaks of meeting the girl. "She was obviously very traumatized to repeat this out loud, and I don't think she had repeated it to anyone." The young girl lied to her about her age when they first spoke.

"She said she was 15 when she was raped," Borkgren says. "I figured she probably wanted to say she was 15 because it's more acceptable than to say, 'I was 9 when they raped me.' "

The United Nations estimates 200,000 women and girls have been raped in Congo over the last 12 years, when war broke out with Rwanda and Uganda backing Congolese rebels seeking to oust then-Congo President Laurent Kabila. Rape became a weapon of war, aid groups say.

"It is one of the worst places in the world to be a woman or girl," says Anneke Van Woudenberg, a senior researcher with Human Rights Watch who has spent the last 10 years focusing on Congo. "These are often soldiers and combatants deliberately targeting women and raping them as a strategy of war, either to punish a community, to terrorize a community or to humiliate them."

Most times, the women are raped by at least two perpetrators. "Sometimes, that is done in front of the family, in front of the children," Van Woudenberg says. She sighs, "What causes men to rape -- I wish I had an answer to that."

Against this backdrop, U.S. Secretary of State Hillary Clinton, one of the world's strongest voices for women's rights, traveled to Congo as part of her whirlwind trip to Africa.  Watch Clinton detail expectations for Africa »

Clinton arrived in Goma in eastern Congo Tuesday where she is to meet with rape victims during her visit. "I hope that here in the [Congo] there will be a concerted effort to demand justice for women who are violently attacked, and to make sure that their attackers are punished," Clinton said Monday after a tour of a Kinshasa hospital.

Human rights groups are eager to see if Clinton pressures Joseph Kabila, president of the Democratic Republic of the Congo and the son of Laurent Kabila, to do more to pursue charges against top army commanders accused of rape.

"Soldiers have committed gang rapes, rapes leading to injury and death, and abductions of girls and women," a report released last month by Human Rights Watch says. "Their crimes are serious violations of international humanitarian law. Commanders have frequently failed to stop sexual violence and may themselves be guilty of war crimes or crimes against humanity as a consequence."

Van Woudenberg says punishment, unfortunately, is all too rare for sex crimes. "If you rape, you get away with it," she says.

According to the United Nations, there were 15,996 new cases of sexual violence registered throughout Congo in 2008. Nearly two out of every three rapes were carried out against children, most of them adolescent girls, the Human Rights Watch report says.

A paltry 27 soldiers were convicted in military courts last year. Under the current court system, the military handles accusations of rape against its soldiers -- something aid groups say must be changed for real accountability.

Since January of this year, aid organizations say there's been a surge of violence against civilians as a result of Congolese operations against Rwandan Hutu rebels, some of whom are believed to have participated in 1994's Rwandan genocide. The fighting has left more than 1.8 million people displaced in the volatile region, according to the U.N. High Commissioner for Refugees.

Aid groups have started to see an uptick of rapes of men this year, although women and girls remain the primary targets. "The brutality has increased on a huge scale," Van Woudenberg says.

She says she interviewed one 15-year-old girl who was held in a hole for five months and gang-raped nearly every day. She had gone out shopping when soldiers approached.

"They asked me to take off my clothes, and I did. There wasn't much I could do," the girl told her. "They took me into the bush. I stayed for five months with these people, and when I came back, I was five months pregnant."

Van Woudenberg adds, "Gosh, the brutality against the women and girls is unimaginable."

Congo has taken some measures to try to curb the sexual violence. In 2006, its parliament passed a law criminalizing rape, with penalties ranging from five to 20 years. Penalties are doubled under certain circumstances, including gang-rape and if the perpetrator is a public official. Kabila's wife, Olive Lemba Kabila, has launched a public campaign speaking out against rapes of the nation's women and girls.

The army has also started a zero-tolerance campaign in which commanders have emphasized to troops that they must respect human rights and protect civilians from harm, according to the U.N.

In May, the United Nations handed over the names of five top military officers accused of rape. Two of the senior officers are now detained in the capital of Kinshasa and the three others must report to authorities under close observation. "It's expected that a trial could happen soon," said U.N. spokesman Yves Sorokobi. "It certainly is a big development. ... It's important. It's significant."

Still more must be done, aid groups say, starting with the establishment of a special court made up of Congolese and international judges and prosecutors to investigate rape allegations.

Borkgren, the photographer from Eugene, Oregon, says she went to the Congo after having a dream in which two women yelled at her to "come over here." She won the grant and traveled there for four weeks, beginning in November of last year. She hitchhiked her way around the country, something she now admits was "a little bit stupid."

She says she once came face-to-face with soldiers when she was shopping at a market by herself. One of the men said he wanted to "take me up to his camp." She still can't shake the looks of the local women who were there.

"That was interesting," she says. "When the soldiers were harassing me, the women looked ashamed of the soldiers. And when they saw me tell them, 'No, go away,' the women looked at me quite surprised."

Eventually, she found the girl who touched her heart -- "the great, great kid." Borkgren first spoke with her father, who was initially reluctant to introduce her to his daughter. He explained that the family had gone to authorities, only to be ignored.

Borkgren says that when she met the girl, they got along instantly. At times, the young child didn't know how to describe what happened. "She would say, 'I don't understand what it is, and I don't know what words to use.' "

"It just turned my heart to think that here's this little girl who doesn't even have the words to describe what happened to her, and has to live her life having had this violence put upon her. Just this thoughtless violence that she didn't deserve or ask for. It's so inhumane."

Her images capture a glimpse into that world, of savagery and lost innocence. The soldiers and rebels carrying out the rapes, she says, are misguided people who need help. Caught in the middle are the innocents: women, girls and fathers struggling to get justice.

@highlight

UN: 200,000 women, girls raped in Democratic Republic of Congo in last 12 years

@highlight

Photographer Sherrlyn Borkgren met a girl who detailed being raped by soldiers

@highlight

"Two soldiers nabbed her, put a bag over her head and pulled her into the bushes"

@highlight

Aid worker: Congo "is one of the worst places in the world to be a woman or girl"