(CNN) -- An Arkansas inmate seeks to exercise what he says is a key tenet of his faith, but corrections officials cite security concerns in their refusal to accommodate. The issue comes down to a half-inch beard, and this claim of religious liberty within prison walls will now be debated by the Supreme Court.

The justices will kick off the first week of their new term with a one-hour oral argument Tuesday. The case will be another major test of the government's ability to justify a range of policies that might restrict religious accommodation -- from the Obamacare health law to workplace hiring.

Gregory Holt, also known as Abdul Maalik Muhammad, is a Muslim who filed a handwritten petition with the high court. He cites rights under the federal Religious Land Use and Institutionalized Persons Act, or RLUIPA.

The state responds that inmate beards could pose a security risk to guards and the public: Prisoners who escape could shave their facial hair, altering their appearance. And weapons and other contraband could be hidden in heavy beards or inside their cheeks, covered by facial hair.

Current Arkansas prison policy allows only a "neatly trimmed mustache."

The Obama administration is backing Holt, and some legal analysts say that could ultimately sway the justices, who have traditionally been deferential to the security judgments of prison officers.

"It's all about whether or not there is a compelling government interest that's being put forth in the least restrictive way possible," said Elizabeth Wydra, chief counsel at the Constitutional Accountability Center, a progressive legal think tank. "And here, maybe Arkansas hasn't met its burden for saying it can limit a person's ability to grow a beard when his religion compels him to do so."

The beard case is one of three high-profile disputes over religion that will be heard by the justices in coming weeks.

One involves a federal law allowing American citizens born in the holy city of Jerusalem to list the county of origin on their passports as "Israel" or "Palestine." Right now, those passports list no country, a reflection of the disputed control over the region. President Barack Obama and his predecessor have resisted the congressional mandate, saying it interferes with his executive power to recognize independent sovereigns.

And the court will hear arguments over whether local governments can impose stricter regulations on temporary church signs than on other noncommercial displays, such as lost-dog posters and political campaign banners typically displayed along streets in the weeks before an election. The tiny Good News Community Church is challenging a Phoenix suburb's ordinance, saying it hurts efforts to attract new members to its services in a rented facility.

Prison safety vs. religious freedom

Administrative Directive 98-04.D of the Arkansas Department of Correction permits beards only for those "with a diagnosed dermatological problem."

But in his self-initiated plea to the justices, Holt complained that he and fellow Muslims were forced "to either obey their religious beliefs and face disciplinary action on the one hand, or violate those beliefs in order to acquiesce" to the facial hair policy.

He cited the Hadith -- literary traditions and sayings of the Prophet Mohammed -- which says, "Allah's Messenger said, 'Cut the mustaches short and leave the beard (as it is).' " Holt said he offered to keep his beard to a half-inch as a "compromise," but that was rejected.

The U.S. Justice Department has offered its support, saying more than 40 states and the federal correctional system allow beards of varying lengths.

"When Congress enacted RLUIPA, it made clear that courts should accord deference to prison administrators' considered judgments about how to run safe and efficient prisons," Obama administration lawyers told the court in a written brief. "Congress also made clear, however, that such deference is not due when a prison justifies a restriction based on exaggerated fears or mere speculation."

The state obviously sees things differently. Holt is housed at the Varner Supermax, a 468-bed, ultra-maximum security section of the correctional facility in Grady, Arkansas, near Pine Bluff.

Officials point to Inmate 129-616's self-admission as a "Yemen-trained Muslim fundamentalist" with a violent criminal past. He had been indicted by a federal grand jury for threatening to harm then-President George W. Bush's two daughters.

A few years later, he was convicted in state court and sentenced to life in prison for breaking into the home of his ex-girlfriend and severely wounding her, slitting her throat and stabbing her in the chest.

Law enforcement officials say he threatened to wage "jihad" against anyone who helped convict him, both at trial and later behind bars.

So state leaders had a simple message for the courts: Allow us room to decide which restrictions work best within each institution's unique circumstances.

"Prisons are dangerous places ... officials create rules intended to strike a delicate balance between safety and security, on the one hand, and giving inmates a sense of dignity and achieving rehabilitative goals, on the other hand," said the Arkansas brief to the high court. Corrections officials take "religious freedom seriously," but they also take seriously their "paramount interests in safety and security, too."

Hobby Lobby case connection

Holt is being defended in court by the Beckett Fund for Religious Liberty, the same nonprofit group that backed two Christian families in a separate high court challenge earlier this year.

At issue there was whether a federal law permitted closely held family-owned corporations the discretion to deny contraception coverage in employer-funded insurance plans.

The conservative court dealt a setback to the White House and Obamacare supporters in the so-called Hobby Lobby dispute, saying those with "sincerely held" religious beliefs had a limited right to operate in harmony with biblical principles while competing in a secular marketplace.

The Beckett Fund noted that groups like the American Civil Liberties Union and the Anti-Defamation League, along with Catholic bishops, are now backing the inmate.

"The across-the-board support for Mr. Muhammad shows that religious liberty remains one of the bedrock ideals of America," said Eric Rassbach, the group's deputy general counsel. "Whether we treat prisoners with basic human dignity -- including the freedom to seek God -- speaks volumes about who we are as a nation."

Some conservative groups noted that the federal government was supporting Holt in the religious liberty fight while opposing the Christian business owners in the "Hobby Lobby" appeals.

"The question is do we hold that religious freedom applies even when we don't agree with the religious principles of the person here," said Carrie Severino, chief counsel for the Judicial Crisis Network. "The Obama administration doesn't necessarily have as consistent a position. They were against it when it came to the Hahn and Green families exercising their religious freedom, and they're all for it with prisoner beards."

The Supreme Court has debated the issue of body grooming and liberty before. In 1879, Justice Stephen Field struck down San Francisco's Queue Ordinance, which required an inmate's hair in the county jail be cut to a "uniform length of one inch from the scalp."

Ho Ah Kow, a Chinese immigrant laborer, had been arrested for living in overcrowded tenement conditions, a misdemeanor offense designed to reduce unsanitary, dangerous living spaces. His pigtail was cut, and Ah Kow protested, saying the policy violated "the religious faith of the Chinese" natives.

Field agreed, concluding that the ordinance on long braids went against the Equal Protection Clause by "acting with special severity upon Chinese prisoners, inflicting upon them suffering altogether disproportionate to what would be endured by other prisoners."

The current Arkansas dispute is Holt v. Hobbs (13-6827). A ruling is expected in a few months.

@highlight

Arkansas inmate Gregory Holt cites religious freedom, says the law allows him to have a beard

@highlight

But the state says inmate beards could pose a security risk to guards and the public

@highlight

Current Arkansas prison policy allows only a "neatly trimmed mustache"

@highlight

Obama administration backs Holt, and some legal analysts say that could sway the justices