(CNN) -- Far too often, children with developmental disorders are diagnosed solely on the basis of their observable behavior, slotted into broad diagnostic pigeonholes and provided generalized treatments that may not always meet their specific needs.

For instance, children are sometimes assigned with broad-spectrum labels of "autism" or "attention deficit disorder" after a single psychological assessment and are provided expensive therapies or prescribed strong medications with serious, long-term side effects.

This incomplete diagnosis and/or overmedication can leave their underlying problems untreated and left to worsen, and compound the frustration of parents and child. Such an approach is analogous to trying to diagnose and treat a heart problem without ever doing a chest X-ray or ECG to looking at the heart.

The essence of my talk at TED was simple: To diagnose any brain-related developmental disorder, it is crucial to look at the brain. Looking at behavior alone can provide an incomplete or misleading picture. Moreover, when looking at the brain, it is important to go beyond its structure to its function. This is because often in cognitive disorders, the structure of the brain is intact, but its function is compromised.

Abnormalities in brain function have traditionally been detected using electroencephalography (EEG), which involves the measurement of the ongoing electrical activity generated by the brain. Traditional EEG appears as a pattern of spikes and waves that are visually inspected to detect these abnormalities. However, following more recent advances in technology, a pioneering EEG system known as Brain Electrical Activity Mapping (BEAM) has been developed at Harvard University by neurologist Dr. Frank Duffy.

This system adds complex display schematics and statistical analyses to the traditional EEG recordings to provide more information about brain dysfunction. For instance, not only can BEAM map the patient's EEG recordings onto schematic 3-D maps of the head, but it can also estimate whether the EEG is outside the normal bounds for a child's age. This is achieved using a technique known as Statistical Probability Mapping, which compares the patient's EEG to a reference database of normal EEGs.

The proprietary database contains EEG data on more than 2,000 fully screened, healthy subjects, making BEAM a unique and powerful investigative tool in the diagnosis of various neurological disorders.

For instance, when using BEAM we have found that many children who are diagnosed with autism are actually suffering from virtually undetectable brain seizures that are presenting with autism-like symptoms. Indeed, there is increasing evidence that one-third to one-half of children with autism may be prone to abnormal seizure-like activity in their brains, and up to one-third of children with autism may develop epilepsy by the time they reach adolescence.

In some cases, this seizure-like activity may merely be a consequence of the underlying neurological problem that is causing autism; in others, it may be comorbid (co-existent) with autism.

However, in yet other cases, such as the one I described at the TED conference, we found that the seizures are in fact the cause of the children's symptoms and, when treated, the level and speed of recovery in these children has been remarkable. Since some of these children's symptoms (staring into space or being unresponsive) were mistaken for those of autism during behavioral testing, we would never have identified the epileptiform seizure activity in their brains without an EEG test.

Of course, many children diagnosed with autism and other developmental disorders do not have any seizures or abnormal EEG activity. And for some who do, this may not be the cause of all their symptoms.

Hence, I do not suggest that neurophysiological tests like BEAM should be used as a replacement for behavioral tests, but that they should be used in conjunction with such tests, to triangulate more accurately the cause of the child's symptoms, and to ensure more targeted and effective treatments or therapies.

Since my talk at TED, I have been working on making Harvard's EEG BEAM system more widely available, from the United States to India. Indeed, after the recent deluge of enquiries I have received, we are working on this with greater urgency.

My goal is to have numerous systems worldwide that are fully accessible and affordable to all families. Until then, it is important for parents to understand that even a standard digital EEG test conducted by a local physician could help reveal whether seizure activity in the brain is contributing to their child's symptoms.

Indeed, my talk at TED was not intended so much to highlight a particular system or technology as it was to emphasize the importance of a particular approach to these disorders. That approach is simple: to diagnose a developmental disorder accurately, we should look at the brain directly. Or, to recall a phrase I use when testing children: "When we put this magic cap on you, your brain can finally talk to us, and we can finally listen!"

The opinions expressed in this commentary are solely those of Aditi Shankardass.

@highlight

Aditi Shankardass says too often learning disorder diagnosis based only on behavior

@highlight

She says it's important to look at brain activity and function

@highlight

New technology is making it easier to monitor brain function