Last week,  a 22-year-old Dutch journalist was gang-raped in Tahrir Square and had to undergo surgery for severe injuries. The assault reminds us yet again of an often overlooked aspect of the Egyptian revolution.

When Egyptians overthrew their dictator in 2011, one of the first celebratory acts in Tahrir Square included the gang beating and sexual assault of American journalist Lara Logan, who, like the Dutch journalist, landed in the hospital.

The Logan rape has always been portrayed as another unfortunate byproduct of mob violence. In fact, it was much more than that. It was a warning shot fired by men whose political beliefs are founded on a common pillar: Women must stay out of the public square.

One of the hallmarks of revolutionary victory in Tahrir Square has always been rape and sexual harassment. Mobs of men routinely set upon women, isolating, stripping and groping. No one is ever arrested or held accountable, and elected officials shrug their shoulders and blame the victims.

Vigilante groups have been organized to track the incidents.  Operation Anti-Sexual Harassment, one of the groups, recorded 46 cases of sexual assaults and harassment against women on Sunday night alone -- and has added 17 more to its list that the group said happened Monday.

Egyptian women are the primary victims of sexual violence, and ultimately they are the intended recipients of the message: Stay home, your input in government and politics is not wanted.

Opinion: Why Egyptian protestors welcome the support of the army

Raping foreign journalists -- guaranteed to attract global attention --  is merely a more efficient way of getting that message across.

When Egyptians overthrew the dictator, the Muslim Brotherhood took advantage of public hatred of the dictator to ally him with Western progressive ideals, including gender equality. Out went the nongovernmental organizations that worked to make divorce easier and inheritance laws fairer. In came the thugs who stripped and beat women in the streets.

Granted, some of these crimes against women were committed by the military and the police themselves, as women like Mona Eltahawy (a journalist whose arms were broken by soldiers) and Samira Ibrahim (a young protester who sued the government, accusing an army doctor of submitting her to a forced "virginity test") have reported.

Dina Zakaria, an Egyptian journalist, reported that the men who raped the Dutch journalist last week called themselves "revolutionists." That label should surprise no one.

If one fervently believes women should stay inside their homes and out of the business of public life, what better way to accomplish that than rampant sexual harassment and sexual assault in a country in which women's virginity and honor is the sine qua non of female participation in society?

Not long ago, Egyptian Salafist preacher Ahmad Mahmoud Abdullah said that women protesting in Tahrir Square "have no shame and want to be raped." The public face of the Muslim Brotherhood would never espouse such a statement. But its founding intellectual lights never hid the fact that a pillar of their planned theocracy was keeping women powerless. And their record in office is one of sexist exclusion. Women held only eight seats out of 498 (four of the eight women were from the Brotherhood party) in the disbanded Parliament.

Women made up 7% of the constitutional assembly that drafted the Egyptian constitution. No wonder then that the document (approved by referendum in December 2012) refers to women only as sisters and mothers, and only within the framework of family -- not employment or public life, even though a majority of Egyptian women work.

Egypt has always been a place where life for women is nasty and brutish, if not short. Last year, a UNICEF survey showed 91% of Egyptian women between the ages of 15-49 said they had to undergo female genital mutilation. The United Nations Entity for Gender Equality in May reported that 99.3% of Egyptian women interviewed said they had been subjected to some form of sexual violence. Rape victims almost never go to the hospital and certainly not the police. There are no medical protocols for rape, and police treat female victims as prostitutes.

Whether or not that violence is political is worthy of discussion. I believe it is. At the moment, no one even debates it. It is the elephant in the room.

As the Egyptian revolution enters another chapter, and more women get stripped and sexually assaulted in the streets while being systematically excluded from the halls of power in Cairo, it is high time for American progressives and other Arab Spring commentators to stop separating anti-female violence from the politics of the Muslim Brotherhood's revolutionaries.

In the broadest sense, the West's response to the treatment of women in post-Arab Spring countries, from Egypt to Syria, says a lot about the status of women here.

We might not be able to do anything to stop violent, organized misogyny in far-off lands, but we can certainly stand up for our own principles and call it what it is.

@highlight

Dutch journalist, 22, was gang-raped in Tahrir Square and hospitalized for surgery

@highlight

Nina Burleigh: This is just one of scores of vicious rapes and beatings of female protesters

@highlight

Egyptian women are primary victims, she says. The message is: Stay home

@highlight

She says Muslim Brotherhood misogyny, attitude rapes are justified, infects society