(TIME.com) -- Peter Salk and Aseefa Zardari never met before today, but they have an odd and very significant thing in common: both of them were inoculated against polio by one of their parents.

In the case of Salk, of course, it was his father Jonas, who administered his just-developed vaccine to himself, his lab workers and his family even before it was formally approved and released. Aseefa's inoculator was her mother, the late Pakistani Prime Minister Benazir Bhutto, assassinated in 2007.

"I have a picture of my wife immunizing our daughter 18 years ago," said Asif Zardari, the current president and Aseefa's father, at a United Nations gathering Saturday. "My martyred wife told the world she dreamt of a world in which all children are free of disease."

Father, daughter and Salk had come to the U.N. as part of a new international push to eradicate polio once and for all, and they were hardly alone.

Also in attendance were U.N. Secretary General Ban Ki-moon; Afghan President Hamid Karzai; Nigerian President Goodluck Jonathan; Australian Prime Minister Julia Gillard; U.S. Secretary of Health and Human Services Kathleen Sebelius; and -- significantly -- Bill Gates, head of the Bill and Melinda Gates Foundation.

All of them and others addressed a plenary session of the U.N.'s Economic and Social Council, and all of them had a single promise: by 2015, if not earlier, polio would join smallpox as the only diseases in human history to be finally and fully snuffed out in the wild.

TIME.com: Polio's back. Why now?

There was an odd-seeming disconnect between the financial and institutional firepower assembled Saturday and the actual, lingering incidence of polio.

In 1952, three years before the Salk vaccine was introduced, 52,000 children were paralyzed or killed in the U.S. alone. In 1988, polio was endemic in more than 120 countries, still afflicting an average of 350,000 people -- mostly children -- per year.

Today, the disease is endemic in just three countries -- Pakistan, Afghanistan and Nigeria -- and only in isolated pockets at that, an improvement due in no small part to the efforts of Rotary International, whose 34,000 chapters worldwide have spent more than $1.2 billion in the past 24 years to wipe out the disease.

So far in 2012, there have been just 88 reported cases, and India, which once had a higher incidence than any country in the world, just celebrated a full polio-free year.

In epidemiological terms, that ought to be enough to declare victory -- especially in a world in which 34 million people are infected with HIV and a staggering 225 million have malaria.

But numbers can be dangerously misleading, and this is especially the case with polio. For one thing, only about 1 of 200 polio infections actually produce disease symptoms. The other 199 are subclinical, which means patients may have no idea they're infected, even though they can still pass on the virus -- and it's one that's exceedingly easy to pass, especially in the developing world where poor sanitation accelerates transmission.

Why polio hasn't gone away yet

In 2003, polio was on the brink of extinction just as it is today, until clerics in northern Nigeria banned the vaccine claiming that it was part of a plot to infect Nigerian youth with HIV. By 2005, polio cases -- nearly all of them the Nigerian strain -- were raging across 16 countries, from Africa through India and into Oceania. "As long as the polio virus survives," said Sebelius in her U.N. remarks, "there's a risk of resurgence."

Ensuring that it doesn't survive was the announced mission of the gathering, and that mission is being prosecuted in a lot of ways -- starting with money.

Gates has committed more than $1 billion to polio vaccination efforts so far and is keeping the funding spigot open as long as necessary. Rotary Chairman Wilford Wilkinson announced another $75 million to add to the group's already huge contribution; Australia pledged another $50 million.

Perhaps most important, the Islamic Development Bank has now stepped into the game, pledging $227 million to Pakistan to help close an existing funding gap until the virus is at last eradicated.

TIME.com: How a ban on polio puts the entire world at risk

It's Pakistan that is currently ground zero in the polio war, not because it has the greatest number of remaining cases -- though it does -- but because the anti-polio effort has recently been politicized, just as it was in Nigeria nine years ago.

In June, the Taliban blocked a planned round of vaccinations for 161,000 children, demanding that U.S. drone strikes in the country be halted first.

Western vaccinators have also been newly suspect, ever since the British newspaper the Guardian revealed that CIA operatives involved in the killing of Osama bin Laden used a faux vaccine campaign in Pakistan to obtain DNA from suspected bin Laden family members, in order to determine if he was in the country at all. In July, gunmen attacked polio teams administering vaccines after the prohibition was lifted, critically wounding a Ghanaian doctor. That tragedy hung over the U.N. proceedings.

Taliban's vaccine ban may affect 280,000 children

"This is a matter of health and justice," Ban said in his prepared remarks. "Where there is fighting and insecurity, I appeal to all parties to provide safe access to health workers." Zardari announced that government forces are mobilizing community leaders "to understand that the polio vaccine is a blessing."

Gates's remarks were less about geopolitics than about common sense -- fiscal and otherwise. In a conversation with TIME last week, he described a vaccination program that costs even $1 billion per year as "a heck of a bargain" since it avoids tens of billions of dollars in downstream treatment costs -- to say nothing of human suffering.

"I'm very focused on impact per dollar," he said at the U.N. "This is one of the smartest allocations of resources the world can make."

TIME.com: The Taliban halts the polio vaccine -- and Pakistan's kids will pay

To help the world make that investment well, he is employing satellite mapping tools to target more precisely where in often off-the-grid places vaccination teams must go. He is also arranging to equip vaccine crates with GPS tracking systems to ensure that vaccines don't wind up lost, discarded or on the black market.

Ultimately, he'd like to see the techniques and infrastructure that are built to eradicate polio today put to work against malaria, measles, HIV, cholera and similar global scourges tomorrow. "We want to leave in place a primary health care system that can be used for other diseases," he said.

Gates sounded confident that polio could indeed be beaten and in relatively short order -- within just two or three years; Goodluck Jonathan pledged that in Nigeria at least the disease would be finished by 2015, when his term in office expires; and Alan Duncan, the U.K.'s Minister of State for International Development -- representing the world's second largest donor country after the U.S. -- delivered an open scolding to developed nations that have yet to get off their wallets and help pay for the eradication effort.

"We need to understand why some countries are reluctant to contribute," he said with pointed emphasis. "India has shown the world what is possible. Other countries have got to learn from that excellent example."

Bin Laden raid harms Pakistan polio fight

For all the new emphasis and fresh blood being brought to the anti-polio fight, it was the seniors in the crowd who spoke with the most poignancy.

Sebelius recalled being a small child during that viral summer of 1952 when so many of her peers were claimed, and then, in 1955, becoming part of what was known as the Polio Pioneers -- the first schoolchildren to step forward and receive the new vaccine.

In the waiting area before the event began, an elderly polio survivor moving with the aid of two walking sticks approached Peter Salk to thank him for the work his father had done -- even if it came too late to spare him the disease.

In a pre-vaccine world, there was no one to blame for that victim's long-ago infection. But in ways big and small, we'll all be to blame for any infections to come.

TIME Archives: Closing in on polio

This story was originally published on TIME.com.

At the U.N., a vow to eradicate polio by 2015

@highlight

A new international push aims to eradicate polio permanently

@highlight

The disease is endemic in three countries -- Nigeria, Afghanistan and Pakistan

@highlight

A U.N. gathering is held on polio eradication

@highlight

The Islamic Development Bank has pledged $227 million toward the effort