"I have made a lot of mistakes falling in love, and regretted most of them, but never the potatoes that went with them," wrote Nora Ephron in Heartburn. If only most of us were so philosophical about the way we eat when we're in the throes of a powerful emotion.

Unfortunately, after we celebrate our promotion with champagne and cupcakes or drown our romantic woes in a bowl of spaghetti, we tend to feel remorseful. "I indulged myself," we might confess, in a hushed tone, to a friend the next day. (Even our choice of word—indulge—is loaded, as it implies we are engaging in a vaguely illicit behavior.)

But is this self-flagellation really necessary? Some experts say no. "It's healthy to emotionally eat once in a while—to eat for comfort, to celebrate, or just because," says Jean Fain, a psychotherapist affiliated with Harvard Medical School and the author of "The Self-Compassion Diet." "Sure, you could go for a walk or head to the gym, but sometimes an ice cream sundae is just the thing."

Of course, no one is suggesting that it's a good idea to routinely pull a Liz Lemon on a gallon of rocky road. Frequent, heavy emotional eating can be a serious issue. However, doing it occasionally might not be all bad. Both your body and psyche are hardwired to make connections between how you feel and what's on your plate. It's the way you handle—and regulate—your eating that makes the difference between a pleasurable endeavor and a real health concern.

Real Simple: Debunking health myths

Your physical cravings, demystifiedYour body is no dummy. There's a reason it yearns for a bowl of crunchy-top macaroni and cheese or a sliver of warm apple pie. "Foods that are laden with carbohydrates, sugar, or fat simply taste delicious," says Heather Hausenblas, Ph.D., an associate professor of exercise psychology at the University of Florida, in Gainesville.

But surprise! Flavor is only part of the reason you crave these foods. Your brain chemistry actually changes when you bite into a bagel or a Twizzler. "Carbohydrates set off a series of chemical reactions that ultimately lead to a boost in brain serotonin," says Judith Wurtman, Ph.D., the former director of the Research Program in Women's Health at the Massachusetts Institute of Technology Clinical Research Center. The higher the levels of serotonin, the more content you feel (at least temporarily). No wonder cutting out carbs can make you grumpy: A 2009 study from the Commonwealth Scientific and Industrial Research Organization, in Adelaide, Australia, found that low-carbohydrate dieters registered the lowest moods.

The same goes for fatty foods. In a 2011 study published in the Journal of Clinical Investigation, subjects were fed through a stomach tube with either a solution of fatty acids or saline. Both groups then listened to music proven to evoke a negative or neutral emotion. Those given the fat were less sad, and brain scans showed dampened activity in areas associated with sadness. The researchers believe this shows that fatty acids can induce a signal from your gut to your brain, which may influence emotions.

There are times when we are more physically vulnerable to these triggers—for example, during periods of stress. "Chronic stress creates elevated levels of the hormone cortisol," says Jeffrey Morrison, M.D., a family practitioner in New York City and the author of Cleanse Your Body, Clear Your Mind ($26, amazon.com). Your body thinks you're going through a famine, he explains, which can increase your cravings.

Exhaustion is a contributing factor, too. In a 2012 study, Columbia University and St. Luke's--Roosevelt Hospital Center researchers found that when subjects were sleep-deprived, seeing pictures of unhealthy foods activated reward centers in their brains. Those centers were less active when the participants were fully rested. Increased reward-center activity may make a person more likely to eat. (See, that's why you scarfed those doughnut holes while pulling an all-nighter for work.)

Real Simple: 24 Nutritious (and tasty) snacks

The quest for comfortBiology isn't the only reason we eat emotionally. Think back: Since day one, when we were fed in a mother's or father's arms, we have associated food with comfort, says Michelle May, M.D., the founder of the Am I Hungry? Mindful Eating Program, in Phoenix, and the author of Eat What You Love, Love What You Eat ($20, amazon.com). As a child, you probably got the food-as-soother message in countless other ways, too: Remember the lollipop the doctor always handed out after a visit? The teacher who rewarded A students with ice cream?

By adulthood that association becomes ingrained in our minds, says Craig Johnson, Ph.D., a psychologist specializing in eating disorders and the chief clinical officer of the Eating Recovery Center, in Denver: "Children's brains sometimes aren't developed enough to use words to deal with complex feelings, so they may use food to self-regulate emotions."

That's even more likely if your parents modeled that behavior. In a 2010 study published in the American Journal of Clinical Nutrition, researchers brought together mother-preschooler pairs. They asked the moms to rate their own emotional-eating habits. Then they devised an activity during which snacks would be offered to the children. The preschoolers whose moms reported regulating their feelings with food ate more snacks than did the other children.

We're also more likely to indulge (there's that word again) when we're trying to bond with others. A 2001 study from Vanderbilt University, in Nashville, showed that people consume more in a group than they do alone, regardless of hunger levels. Eating socially "may help you feel like you're strengthening relationships," says Jennifer Taitz, a clinical psychologist in New York City and the author of End Emotional Eating ($18, amazon.com). Why? In that moment, united by a mutual desire to, say, conquer a piece of peanut butter pie, "everyone feels connected to one another."

Real Simple: 25 easy instant energy boosters

When it's a problemIf you're unsure whether your emotional eating has gone too far, ask yourself these questions.

• Do you frequently eat when you feel emotional but not particularly hungry?"When a desire or a craving comes from something other than hunger, eating can't satisfy it," says May. "If you are eating but don't physically need the food, you'll never feel satisfied." In fact, research published in the journal Obesity in 2007 found that dieters who ate according to internal emotional cues, such as loneliness, instead of physical or external cues lost less weight over time and were more likely to gain it back.

• Instead of confronting a problem, do you hit the refrigerator?Psychologists say that numbing yourself with food rather than dealing with your feelings can increase stress, which in turn can raise your blood pressure and weaken your immune system.

• Do you punish yourself after having a treat?Guilt can lead to uncontrolled eating, says Georgia Kostas, a Dallas-based registered dietitian and the author of The Cooper Clinic Solution to the Diet Revolution ($35, amazon.com): "If you feel bad about eating a scoop of ice cream, excess guilt may lead you to eat the whole carton. Now you've destroyed any pleasure you had hoped to derive from the ice cream."

• Finally, do you regularly overeat those carby, fatty foods?(You know—the ones you crave the most.) Here's how to know: "Make good food choices about 90 percent of the time," says Kostas, "and reserve the other 10 percent for 'fun calories.' " If your comfort-food intake often exceeds that percentage, consider cutting back.

Real Simple: Low-calorie snacks for every craving

Need more incentive? Recent research indicates that eating a lot of fatty foods can end up negatively affecting your mood over time. In a 2012 study from the University of Montreal Hospital Research Centre, researchers fed mice diets with different amounts of fat. After 12 weeks, the mice that were fed a higher-fat diet showed more signs of depression and anxiety. The takeaway: Although you initially may feel euphoric from eating fatty foods, the more you do it, the worse you feel. The recipe for true happiness just might be healthy, balanced meals, followed now and then by dessert—and as the ever wise Nora Ephron advised, no regrets.

Food for thoughtWant to avoid excessive emotional eating? Try one of these exercises.

Record your emotions. "For a few days, before you eat, force yourself to write down what you're feeling and thinking at that exact moment," says exercise psychologist Heather Hausenblas. "Seeing your emotions on paper helps you understand what's happening inside and recognize times when you're more likely to eat out of something other than hunger." It really works: A 2008 study from the University of Kentucky, in Lexington, found that people choose lower-calorie foods when they are aware of their feelings.

Real Simple: Understanding unfamiliar nutritional terms

Show a little self-compassion. The next time you eat in response to a strong emotion, don't lament your lack of willpower. Research shows that treating yourself gently may help you stave off future bouts of emotional eating. In 2007 researchers at Wake Forest University, in Winston-Salem, North Carolina, asked female subjects to taste-test doughnuts. Half weren't given any special instruction. The other half were given a lesson in self-compassion beforehand. The tester said, "I hope you won't be too hard on yourself. Everyone in the study eats this stuff." The result: Those who received the "Be kind to yourself" mandate ultimately ate fewer sweets.

Get an assistant. Or, at the very least, ask your spouse or kids to help around the house a bit more. According to a 2012 study from the Finnish Institute of Occupational Health, in Oulu, Finland, feeling burned-out can easily lead to emotional eating. Researchers found that women who were overwhelmed on the job were significantly more likely to use food as a source of comfort and relief than were those who were not.

Antidote: Delegate some of your to-do list. Or, hey, ditch a few of the items on it altogether.

@highlight

Celebratory or comforting meals can often make people feel remorse for indulging themselves

@highlight

"Foods that are laden with carbohydrates, sugar, or fat simply taste delicious," says Heather Hausenblas, Ph.D.

@highlight

If you punish yourself after eating, your emotional eating may have gone too far