(CNN) -- In 1957 Bill Marriott was a 25-year-old former navy officer urging his entrepreneur father to give him a shot at revitalizing the family's first hotel, outside Washington D.C.

Fast forward 55 years and as executive chairman of Marriott International, Bill Marriott has built a world-renowned, multi-billion dollar hotel chain.

Back when Marriott got involved with the D.C. hotel the 365-room facility was an under-performing part of his family's business portfolio, which then primarily consisted of restaurants and food stalls.

"My father was a restaurateur and he didn't really understand the (hotel) side ... of the business," Marriott told CNN's Richard Quest.

"I started focusing on what would make this hotel successful," he added. "All of a sudden, I figured out we'd make more money in the hotel business than we would ever make in the restaurant business."

In more than half a century in the industry, Marriott, now 80, has built a hotel empire of more than 3,700 properties. When it comes to changes in a fast-moving business, Marriott has seen it all.

When he started out in the 50s, Marriott was a single brand. These days, the industry is characterized by segmentation, with hotel corporations producing ever-more niche brands.

"In 1981 we had a lot of big box city hotels ... someone said we are going to run out of great locations where we can build these hotels, we've got to do something to build the company -- let's go and build a hotel for the business man."

The result? In 1983 Marriott introduced its Courtyard brand.

"We built a 150-room Courtyard in the suburbs of Atlanta," Marriot told Quest. "It was tremendously successful, so then we just started cranking out these Courtyards. They didn't have a lot of services -- limited restaurant menu, no bellman, no room service, no parking attendants -- but it was a low price for a great room."

See also: 9 best secret hotels in the world

The Marriott portfolio now comprises 18 different hotel brands, including Ritz-Carlton and Fairfield Inn, which target different types of traveler, be they businesspeople, families, or budget travelers. And he believes there's room for more brands.

"We've just added AC Hotels in Europe and Autograph Collection (a series of Marriott-owned independent hotels) two years ago ... so we've got a lot of stuff going on," he said.

And whereas once it may have been enough to simply provide hotel guests with a clean, comfortable place to sleep for the night, today's customers demand more individual attention.

"If somebody asks the best place to have dinner, we know where that is," said Marriott. "The best place to get an Armani bag? We know where that is. Where is the best place to go sightseeing? We are interested in taking care of your visit."

Marriott says the biggest change he has seen in the last 20 years is the focus on the international market. In 1969 Marriott opened its first international hotel in Acapulco, Mexico. It now has facilities in 73 countries and territories around the world.

Marriott said he first realized the true importance of the international market when his company expanded into Asia.

See also: Make the most of your Singapore stopover

"We went into Hong Kong in 1989 ... I had a feeling we had to be in Asia, we had to be over there. There was growth coming," he said.

"I went to China in 1979 -- there was nothing but Mao suits on bicycles, no cars, everybody wore the same clothing -- but we could start to see glimmers of interest."

Today there are 171 Marriott hotels operating in Asia and a further 85 in the pipeline, mirroring the region's rise to economic prominence during the same period.

Marriott highlighted one final change in the hotel industry over the last 20 years, one that reflects a huge change in society as a whole: the prevalence of technology.

"We continually fight the battle (for) more broadband, better access," he said. "Technology is very, very important. Thirty percent of our reservations come through the internet. We are in the top eight or nine purveyors on the internet."

Marriott has recently stepped down as CEO and taken up the more hands-off position of executive chairman, passing on day-to-day control of the company to former president and COO Arne Sorenson. But Marriott's not about to give up all of his influence over the company he built.

"It's my life, it's my vocation," he said of his work over the last 55 years.

"I don't play golf, I don't have a yacht. I work and I visit hotels ... it's in my DNA," he said.

@highlight

Bill Marriott first became involved in his family's hotel business in 1957

@highlight

Almost 55 years later he has built a multi-billion dollar hotel empire

@highlight

Marriott has seen the industry has changed dramatically during his career