London (CNN) -- British architect Marcus Lee is sat on a deck chair outside his family home in east London as a steady queue of strangers casually wanders in and out, taking photographs, pointing at various items of furniture and systematically inspecting every last bedroom, bathroom and cupboard.

"I've spotted someone peering into my underwear drawer, but that's fine," he says.

Lee is the brave owner of one of many hundreds of private homes, workplaces and municipal building scattered across London that opened their doors to the viewing public over the weekend for the capital city's annual "Open House" event.

Watch Daniel Libeskind on Great Buildings

The initiative, which celebrated its 20th anniversary this year, is designed to highlight some of London's most architecturally significant buildings -- the majority of which would otherwise be closed to the general public.

"It's the best way to get under the skin and become more knowledgeable about the capital's architecture," explains Victoria Thornton, founding director of Open House.

It's also the best way for the city's nosiest neighbors to have a jolly good snoop.

While Lee's remarkable home -- built from a pre-fabricated timbre frame of frost-hardy Siberian larch -- has won numerous architectural awards, that's not the only reason it has drawn a crowd.

See more: Your favorite buildings

"It's a beautifully designed home, and I love how open the space is and how bright it is," said 21-year-old graphic design student Laura Coren.

"But, I have to admit, I also love looking at the photo albums on the wall, the book collection and all the stylish art works."

Lee's home is a new-build, incorporating the latest in rainwater capture systems and sustainable building methods. But just a few minutes down the road, in the trendy east-London borough of Hackney, is one of the city's most historic residences.

Sutton House was built in 1535, when King Henry VIII ruled over England and this part of London -- now busy with cars and tower blocks -- was set against miles of open grassland.

See more: Heritage sites in peril

One of the first Tudor homes to be made from brick, many of its original features -- including a vast stone fireplace and a wall of intricately carved dark wood panels -- remain to this day.

"I think [Open House] is great for engaging local people with the architectural heritage of their community," says Robyn Finne, custodian of Sutton House on behalf of the UK's National Trust organization.

Finne explains that the building is part Tudor, part Georgian and part Victorian.

"In its time it has functioned as a home, a church, a school and even a squat ... it embodies the changing face of London," she said.

While many people are keen to immerse themselves in the hidden heritage of their hometown, others are simply looking for inspiration and a few DIY tricks.

Over the entire weekend, James Wright was giving scheduled tours of his converted Victorian home. Though distinctive for its sleek, minimalist interior, the conversion is exceptional for its application energy-saving and environmentally friendly materials.

"I'm participating in Open House because I want to inspire people to do the same with their home," he said.

During his tour, Wright explained in detail how to install evacuated solar water heating tubes and how best to insulate period sash window frames without diminishing their appearance.

But it wasn't enough. As soon as he'd finished talking, Wright was inundated with queries. In a typical exchange, an elderly man asked Wright if the paint he had used throughout was chemical free.

Before he could answer, another lady demanded to know: "And is it easily wipeable?"

On the buses and trains in between venues, fellow Open House attendees were identifiable by the conspicuous green guidebook in their hands.

"Even though you're being welcomed in, it sill feels a little bit naughty" said 29 year-old Londoner Becky Stevens, on her way to catch a glimpse from the top of the iconic "Gherkin" tower -- Norman Foster's elliptical skyscaper in London's financial district.

"Let the tourists stare up at Big Ben and the Tower of London," said Stevens, with a conspiratorial smile, "Open House is like a little secret treat for the locals."

@highlight

London Open House weekend offers chance to visit buildings and spaces otherwise closed to the public

@highlight

Both private and public buildings open their doors in the annual event which attracts thousands of people

@highlight

Private homes with novel selling points or redesigns prove equally popular as famous London landmarks