Rio de Janeiro (CNN) -- A massive crowd of demonstrators swelled around an iconic church in the heart of Rio de Janeiro on Thursday, shouting "down with corruption" and "I can live without the World Cup."

CNN affiliate Band News reported that police used tear gas in some areas of the city as clashes erupted.

Police initially reported tens of thousands of protesters in Rio de Janeiro but later said the crowds had grown to more than 300,000 people.

One death was reported in Sao Paulo state, where a young man was run over by an SUV at an intersection during a demonstration, state police said.

Outside the Candelaria Church, organizers called for protesters to march peacefully as they listed a wide variety of demands directed at the South American country's government.

In the nation's capital, a group of protesters on Thursday twice forced their way into the foreign ministry building. Police repelled both incursions, but not before protesters lit a fire inside the building, state media reported.

Large demonstrations in Rio de Janeiro, Sao Paulo and Brasilia came a day after a movement that started as a protest against a 9-cent increase in bus fares scored a major victory.

Both Sao Paulo and Rio de Janeiro agreed to roll back the prices on bus and metro tickets.

But will it be too little, too late?

The movement has galvanized people across the country who say they're fed up with high taxes and a lack of services -- such as health and education -- while the government spends billions on preparations for the 2014 World Cup.

In Rio de Janeiro on Thursday, protesters held signs saying, "I'd swap 10 stadiums for one decent hospital in this country" and "I'd give up the World Cup for better education in my country."

"Fundamentally, people are on the streets because they have very different demands, but they don't have a forum for expressing them and for being heard. And the bus fares were just one of these many many different things," said Alessandra Orofino, one of the protest organizers.

Orofino said she hoped this week's protests will mark a turning point in Brazil, where democracy is still relatively young.

"I think that what government hasn't understood is that there will be no single demand that will calm people down, per se. I think fundamentally, if they don't open up, if they don't become more transparent and truly welcoming of participation, people will continue to demonstrate," Orofino said. "It might be for now. It might be in the future, but this isn't going to go away until we have a democracy that works."

Whom does the World Cup benefit?

Protesters say the poorest are being short-changed while the government spends the large bills on new stadiums and glitzy infrastructure for the soccer competition Brazil is hosting next year and the Olympic Games coming in 2016.

They complain that corruption is driving up the costs.

'The man who made a nation cry'

The government responds

The country's investment in those projects includes money for health and public transportation, Deputy Sports Minister Luis Fernandes has said.

"There is absolutely nothing contradictory between organizing a World Cup and investing in health and education," he said.

An elite National Force, made up of specially trained firefighters and police officers, will deploy to states hosting the games, the Ministry of Justice said late Tuesday.

The government has stressed that the force's mission is to mediate and not repress.

Brazilian President Dilma Rousseff told peaceful protesters Tuesday that their message was being heard.

She praised them as active participants in democracy and said her government is committed to "social transformation."

Police for the most part stood back, and the atmosphere grew festive and loud, with throngs singing and beating drums.

Hidden in the peaceful multitudes were bands of rowdies who kicked down doors and broke windows, looted shops and tipped over cars and set them on fire.

They left a trail of rubble down the protest routes.

While asking police to back off from peaceful protesters, Rousseff has condemned "isolated and minor acts of violence," telling police to confront them "with vigor."

In light of the protests, the Brazilian president has postponed a trip to Japan, the state-run Agencia Brasil news agency reported Thursday.

Rousseff had been scheduled to travel to Japan on June 23-28, the government news agency reported, citing the president's communications secretary. A new date for the trip has not been announced, Agencia Brasil said.

Weeks of protests

For nearly two weeks, tens of thousands of Brazilians marched through the streets night after night.

Crowds originally protesting bus fares grew into multitudes decrying social injustice on Tuesday, as broad avenues filled to capacity for blocks.

The protests come amid the soccer Confederations Cup tournament, a friendly array of matches, in which the host country, Brazil, plays against a small group of national teams from around the globe. The cup serves as a precursor to the World Cup.

The majority of marchers are young and well-educated.

Matheus Pires, a university student and one of the organizers, says public transportation should be free -- especially in expensive, sprawling cities such as Sao Paulo.

"You can't go to hospital; you can't see your friends; you can't go to school; you can't go to work," he said, describing how much the city's residents rely on mass transit.

Lowering fares, he said, would prove that the government was listening.

But it's too soon to know whether it will bring an end to protests or fuel further and more far-reaching demands.

Are you there? Share photos or video, but stay safe

Brazil wins Confederations Cup opener

CNN's Marilia Brocchetto reported from Rio de Janeiro. CNN's Shasta Darlington reported from Sao Paulo. CNN's Catherine E. Shoichet, Gabriela Matute Urdaneta, Mariano Castillo, Michael Pearson and Ben Brumfield contributed to this report.

@highlight

NEW: One death is reported in Sao Paulo state

@highlight

Demonstrators list a variety of demands directed at Brazil's government

@highlight

They chant "Down with corruption" and "I can live without the World Cup"

@highlight

Brazil's president has postponed a trip to Japan in light of the protests