(CNN) -- There is a big debate in the world of those advocating gender parity and it goes like this.

Most companies and countries around the globe have a dearth of women in leadership roles. Many people agree we should be at 50-50, but they don't agree on how to get there.

For some, progress has to be ground up, based on governments providing structures that support work-life balance, companies adjusting practices to make it possible for parents to combine work and family, women leaning in, and women in power opening the doors for the next generation of women. They believe any other path to progress will be artificial.

For others, change has to be top down. Mandatory quotas have to be put in place to get more women into business and politics. Without them, progress will be too slow because women will simply never get a level playing field to make it into leadership.

We need both approaches. But in order to make quotas work, we need to get a whole lot smarter about them. For instance, quotas need sophisticated design - otherwise, they can backfire.

So what do we know about quotas?

Quotas need time to be implemented and to deliver results. In Norway, the law to implement quotas on corporate boards was passed in 2005, but companies were expected to comply by 2008. At first, board directorships were concentrated among a lucky few, known as the "golden skirts". But over time a wider variety of women moved into these roles, as companies learned how to expand their search for female candidates.

Another example is the political quota in India. Since the mid-1990s, 33 percent of the seats in local elected bodies in villages - the panchayats - are reserved for women.

Some men were initially resistant to what they saw as an undeserving advantage for women. Some even put their own female family members forward as a prop for their own ambitions. But after 20 years of growing pains, we can see change on the ground. Women are now primarily recognized and elected for their leadership on village councils.

Quotas are a temporary catalyst -- if managed well they need not be used forever. In Denmark, voluntary gender quotas introduced by political parties in the 1970s, but were removed two decades later as gender balanced candidate pools became the norm.

Quotas give big, unexpected returns. Many people believe that quotas will only profit specific individuals that make it into leadership through these mandatory policies and that no one else will benefit. The evidence shows otherwise. Indian village councils are responsible for providing local public goods.

After more women came in through the quota, they started allocating funds to things that mattered more to women, like drinking water. In the case of boards, the evidence is more mixed.

While Norwegian boards have become more professional since the quotas have been put in place, there has been an adverse effect on short-run profits. It remains to be seen if this is due to short-term negative perceptions of female management choices and whether in the long-run this pattern will change.

Quotas create role models. In India, 20 years after the quota was first put in place, families' aspirations for their daughters have changed. They want them to be more educated and they want them to be leaders.

Gender quotas are not "one size fits all". They need to be tailored to the issue they are trying to address and that means that sometimes 50-50 parity is just not possible, at least not yet.

For example, while parity may be the ultimate target, a direct quota of 50% of each gender in an engineering firm that can only tap into a 30% pool of female science and engineering graduates is likely to lead to a backlash, including amongst women themselves on being perceived as being there for a quota rather than merit.

But a 30% quota to tap into the full pool of women engineering graduates can lead to measures that address short-term recruiting as well as understand and root out longer term barriers, setting up the path towards parity.

Quotas sometimes need co-design. The World Economic Forum put in place a 20% quota in Davos for the companies bringing the largest delegations. Specifically, a company has 5 places to come to Davos.

Unless at least one place is given to a woman, the company is only allowed to bring 4 delegates. At the time the quota was introduced, this was a big stretch for some of the companies involved who didn't have women in their senior leadership and meant that some might have to forgo that 5th pass.

But because it was designed collectively with them, everyone could agree to a more aspirational target because it was the right thing to do, even if it meant losses for some of them.

Quotas need to take human behavior into account. For example, political quotas that seek to increase the percentage of women candidates in elections also need to make sure that women and men's names on candidate lists are randomly distributed -- otherwise the traditional "minority" -- women -- end up at the bottom.

Quotas won't be sustainable unless other gender parity efforts are put in place. In my own country, Pakistan, there is a reservation for women in parliament, but given the poor track record of investment in women's empowerment more broadly, if the quota were to be removed tomorrow, it is unlikely to have had any lasting effect on women's integration into politics.

Sometimes, the implied threat of quotas may be as effective as quotas themselves. In the United Kingdom, under a period of intense discussion regarding whether or not a 25% quota should be introduced for women on boards, companies have started changing behavior already. Three years ago women made up 12.5 % of FTSE 100 directors. They now make up 20.4 %, for the first time in history.

There is no doubt that quotas distort in the short term. But they are also one of the most effective tools available to create a more level playing field in the long term. They help set a goal, they help address underlying barriers and spur for rapid change.

The debate on whether or not quotas should be used is getting old and irrelevant. We need to start thinking about how quotas can be used. We now know a lot more about how quotas work and the evidence shows that are only as effective as their design. It's time to learn how to design smarter quotas.

READ THIS: Join CNN's gender equality Tweetchat on March 7
READ THIS: Why more men should be like Brad Pitt
READ THIS: What's the secret to tackling climate change? Women

The opinions expressed in this commentary are solely those of Saadia Zahidi.

@highlight

Quotas for women are often met with incredible support or strong opposition, says Zahidi

@highlight

Zahidi says quotas take time to bring about change, cites Norway as example

@highlight

Quotas have a ripple effect on gender equality and improve business practices