A bio-drone that dissolves after use leaving no trace it ever existed may sound like the stuff of a James Bond film, but NASA and a team of researchers are actually building one.

Made from a substance that combines mushroom fibers and cloned paper wasp spit, the drone might resemble a propeller-powered egg carton, but its designers say it has the ability to fly into environmentally sensitive areas and leave almost no trace.

Lynn Rothschild, the NASA developer guiding students from Stanford-Brown-Spelman working on the project, says the drone could be made to disappear simply by ditching it into a stream or puddle.

She said her interest in unmanned aerial vehicles was sparked by work on environmentally sensitive areas in her Earth Science group at NASA.

"Periodically, UAVs get lost -- for example on coral reefs or in other sensitive habitats," she said in an interview with the project team.

"As I started to hear about this, I thought, 'Well, wouldn't it be useful if the UAV was biodegradable, so if it crashed somewhere that was sensitive, it wouldn't matter if it dissolved."

The mushroom-like substance known as mycelium, which makes up the chassis of the drone, is being hailed as the new plastic -- a plastic that has the advantage of degrading quickly.

The team grew cellulose "leather"  to coat the fungal body of the flying craft and then covered the sheets with proteins sourced from the saliva of paper wasps -- a water resistant material that the insects use to cover their nests.

The circuits are printed from silver nanoparticle ink in an effort to make the machine as biodegradable as possible.

Despite a heavy preponderance of biological parts, the team said the project had its limits.

"There are definitely parts that can't be replaced by biology, " said Stanford University's Raman Nelakanti.

At its first short flight at the International Genetically Engineered Machine competition in Boston, the team used a standard battery, motor and propellers to fly the drone.

Nevertheless, the team is working on making other parts biodegradable and is studying how to build its sensors from modified E. coli bacteria, the bacteria most commonly found in the intestines of humans and animals.

The team said that ultimately the drone could be sent into areas where it might not be expected to return such as wildfires or nuclear accidents, sending data and never coming back.

While the parts degrade naturally, the team also experimented with enzymes that would help the drone self-destruct, breaking it down further on impact.

Creating a drone that does not infect the environment has been another challenge for the team.

"If you have living organisms acting as biosensors and the plane crashes, there certainly could be problems as the plane interacts with the environment," Rothschild said.

"Hopefully people could think of this in advance, and design such that this never becomes a problem.

"For example, on crashing, the cells might die. Or the cells could be attenuated. There are all sorts of other processes to keep them from contaminating the environment. But that, to me, is the largest concern with a biological UAV - having living things on the UAV."

Read more from Tomorrow Transformed:

The first ever 3D-printer President

The hottest apps in tech right now

What can you buy off the Darknet?

@highlight

NASA is guiding a team building a bio-drone that can self-destruct and leave no trace if it crashes

@highlight

The drone is made from a substance that combines mushroom fibers called mycelium

@highlight

The unmanned aerial vehicle is also coated in substance made from a protein found in wasp spit

@highlight

NASA says the UAV could be used to fly into environmentally sensitive areas such as coral reefs