(CNN) -- I know just what a lot of those so-called DREAMers deserve to get for Christmas: a scolding. There are good and bad actors in every movement, and the bad ones -- if not kept in check -- can drag the good ones down with them.

The term DREAMers refers to the estimated 1.4 million to 2 million young illegal immigrants who might have gotten some relief if the DREAM Act, which offered legal status in return for attending college or joining the military, hadn't been torpedoed in the Senate in December 2010.

Having declared their intention to better themselves, some in the DREAMer movement now insist that they're entitled to better treatment than run-of-the-mill illegal immigrants. You know, like the hardworking and humble folks who cut your lawn, clean your house or care for your kids. In fact, the DREAMers seem to suggest they're due a reward for good behavior.

At times, these young people act like spoiled brats. They don caps and gowns and disrupt committee hearings and occupy the offices of members of Congress. They dare police to arrest them, and then act surprised when it happens. They're not realistic, or respectful. They don't ask. They demand.

As we learned recently, the DREAMers have a whole wish list of what they want from Congress next year after what is expected to be a humdinger of an immigration debate. A few weeks ago, more than 500 of these young people -- and their supporters -- were brought together in Kansas City, Missouri. by a well-funded organization called "United We Dream," which bills itself as the largest immigrant youth-led network in the country. At the United We Dream 2012 National Congress, attendees voted for a national platform that demands the following:

-- "Fair treatment for DREAMers and our families and communities, including a road map to citizenship for 11 million Americans without papers and an end to senseless deportations and abuses";

-- "The ability to travel without fear, ensuring all immigrants have access to driver's licenses and the ability to visit family in other countries";

-- "The elimination of barriers to higher education for immigrant youth by extending state and federal financial aid opportunities, as well as in-state tuition rates to DREAMers available to our peers";

-- "An end to excessive and costly immigration enforcement policies which separate families and divide communities, such as 'Secure Communities,' E-Verify, 287G, and roadside checkpoints";

-- "Access to health care and safe, fair working conditions and equal protection under the law for all"; and

-- "Growth and diversity of our movement for change, intensifying efforts to become more inclusive of non-Latinos, LGBTQ communities, differently abled people, people of faith, and other groups."

Gee, kids, can we get you anything else? Maybe free massages the next time you stage a sit-in? These kids want it all.

Faces of hope line up for two more years in the U.S.

They demand more than just the ability to live in the United States legally and not have to worry about being deported as many others have been. This is no small thing. The Obama administration removed more than 1.5 million illegal immigrants over the last four years, and there's every indication it plans to remove just as many in a second term. Some of those who have been deported were DREAMers, despite President Obama's claim that Immigration and Customs Enforcement is removing only hardened criminals.

If you believe that, you're probably also expecting a portly fellow in a red suit to come down the chimney on Christmas Eve.

Last summer, Obama announced a deferred action program and offered to stop deporting DREAMers. Under the program, undocumented youth who are eligible apply for a two-year work permit. What happens after that, no one knows.

The DREAMers chalked up a victory. But what some seem to really want is the golden ticket: U.S. citizenship. And they want it yesterday. They're convinced that they deserve it, and they'll settle for nothing less. Many of them reject, even ridicule, proposals by Republicans in Congress to give them legal status without citizenship -- and the voting privileges that come with it.

While they probably don't realize it, their public tantrums are turning people against them and hurting the chances for a broader immigration reform package. And if they set back that cause, heaven help them. They'll sink the progress for a group of people who have given more, worked harder and made greater sacrifices -- people like their undocumented parents. You know, the people who brought them to this country in the first place for a better life, and then fed them, clothed them and sheltered them. These are the folks who told the DREAMers they were special, long before that became the official position of the immigration reform movement.

That doesn't sit well with a lot of Americans -- especially U.S.-born Latinos who were raised to believe that, in this life, you get what you earn. According to polls, some 80% of them support the DREAM Act. But, for a while now, I've detected some discomfort with the DREAMers, particularly their tone and tactics.

It comes from people like Arnold Torres, a Mexican-American political strategist in California (disclosure: he's a friend and business partner) who supports comprehensive immigration reform and has the credentials to prove it. More than 25 years ago, Torres was executive director of the League of United Latin American Citizens and helped shape the 1986 Immigration Reform and Control Act. Today, a lot of folks on the left talk about creating a pathway to legal status for millions of the undocumented. This guy actually helped do it.

DREAMers: Deferred deportation

For almost a year, I've been listening to him grumble about the DREAMers and their goals.

"It appears that the agenda was all about getting attention, believing that this would solve their issue" he said. "They seem to be saying, 'If you pay attention to me, I become powerful. So we may be undocumented, but we are powerful now. You mistreated us. You're denying us our dream. Now we demand that you do this for us.' Attention is necessary, but demands are not. We want solutions, but not only for one segment of a much larger community in need."

Torres worries that the DREAMers could, through their hubris, alienate supporters and make it harder to win the backing of Republicans for a larger immigration reform plan.

A lot of DREAMers are drunk on entitlement.

But why should this surprise us? Feeling entitled is the American way. And these kids are as American as they come. They may have been born in another country, but -- unlike their parents -- they were raised in this one. They bleed red, white and blue, use English as their primary language and tweet up a storm before breakfast. And in a country whose motto has gone from "E Pluribus Unum" to "Gimme, gimme. Where's mine?," they're not about to be left behind.

DREAM'ers weren't born; they were created. Not long ago, the conventional wisdom in Washington was that immigration reform wasn't going to happen soon. So forget women and children. It was DREAMers first. No wonder these kids think they're special. Everyone tells them so.

Undocumented students in their own words

There's only one problem. These people are still in the United States illegally. They don't like being reminded of this, but it's true. So they'd be wise to tread lightly -- especially since they don't have the leverage they once did.

These kids are just not that special anymore. That is, except to themselves.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: DREAMers behaving as entitled brats ruining immigration bids for others

@highlight

He says one DREAMer group has national platform demanding citizenship, health care, college

@highlight

He says they're self-absorbed while hardworking immigrants who brought them here wait

@highlight

Navarrette: They are drunk on entitlement and it's getting old; they should tread more lightly