(CNN) -- The lack of phone calls, texts or social media postings from missing Malaysia Airlines Flight 370 has raised a number of questions about how cell phones work on airplanes. A U.S. official told CNN a cell tower in Penang, Malaysia, detected the co-pilot's cell phone searching for service before the flight vanished.

Here's a quick primer on how and when phones can make a connection from the air:

How high in the air can a cell phone work?

Despite the urgings of flight crews to turn off all phones or put them in airplane mode, cell phones can continue to work after a plane takes off, but only while in range of a cellular tower.

Cell phones communicate through cell towers, which are located on the ground but can stretch hundreds of feet into the air. As an airplane rises, it gets further from these towers and eventually moves out of contact range. For efficiency, many towers are designed to direct their signal where its most useful: on the ground, not into the sky above.

The maximum distance at which a phone can still make calls and send texts varies depending on the type of tower and transmitter, but an airplane would have to be no more than 10,000 feet in the air for any cell phones on board to still have a signal, according to Bill Rojas, director of telecom research at IDC Asia Pacific.

It's not just altitude that can limit cell phone service.

When flying over sparsely populated rural areas, nearby towers are fewer and farther between. Over the open ocean, there are no towers at all with which to communicate, making phone calls, texts and social media posts impossible.

Speed can also make maintaining a cellular connection difficult, as a device has to switch from tower to tower to maintain a connection. Rojas told CNN that a plane would have to be going 155 miles per hour (250 kilometers per hour) or less for phones in cell-tower range to make or receive calls.

The metal body of an airplane can also impede cellular service.

What is airplane mode?

Airplane mode is a setting on smartphones and tablets that turns off most or all of a device's wireless communication features. This includes shutting down cellular connections, Wi-Fi, GPS and Bluetooth so that no calls, messages or data can be sent or received.

This setting has different names depending on the device and operating system, but is present on all smartphones.

Can a phone in airplane mode still communicate?

It is not possible to send or receive communications while in full airplane mode. On some phones, it is possible to turn Wi-Fi back on while in airplane mode to take advantage of any on-board wireless networks, or to reactivate Bluetooth to hook up to any compatible devices. Neither setting would communicate with a cell tower on the ground, though.

Are all phones on flights in airplane mode?

Up to 30% of all passengers reported forgetting to power down their devices when asked on airplanes, according a survey conducted last year by the Consumer Electronics Association.

It's likely that many passengers also forget to turn their phone to Airplane Mode when taking off and that all flights have a few cellular devices that can still search for towers.

Do phones communicate with towers when not in use?

A cell phone not set to airplane mode could still automatically connect to cellular base stations when in the proper range. Background phone tasks such as location services, e-mail and other things that push through notifications are always attempting to connect and send and receive information.

Any attempted connections or pings would be recorded by mobile operators.

Don't many airlines offer inflight Wi-Fi?

Some airplanes offer inflight wireless connections that can be used to connect to the Internet and make calls and send texts using services such as Skype and WhatsApp. There are different technologies for bringing Wi-Fi to airplanes.

Some use special mobile broadband cell towers on the ground that are flipped to point into the air. Satellite technology can be used to get signals where there are no ground towers.

If the inflight entertainment system is turned off, phones and other devices cannot use these wireless connections.

Aren't some flights going to allow calls in the air?

Recently, the FAA loosened its rules for using cellular devices on airplanes. Many airlines now allow you to use tablets and smartphones during take-off and landing as long as they are in airplane mode. It is also considering allowing cell phone calls in the air.

To make that possible, airplanes would need to be equipped with specialized miniature base stations called picocells. Those base stations would relay any cellular signals through satellites or cell towers on the ground that are already set up to work with airplanes.

@highlight

New reports claim cell towers recorded the phone of the co-pilot of MH 370

@highlight

There are a number of factors that determine if and when phones can work from airplanes

@highlight

Location, speed, on-board technology and altitude could all affect cell service in the air