Health.com -- People who regularly use tanning beds may double or even triple their risk of developing melanoma, the deadliest form of skin cancer, according to a new study.

The study found that people who have ever tanned indoors have about a 75 percent higher risk of melanoma, on average, than people who have never tried it.

But the risk of melanoma was much higher among frequent and long-term indoor tanners. Compared with those who had never touched a tanning bed, people who spent more than 50 hours under the lights were three times more likely to develop melanoma, according to the study, which is the largest of its kind to date. People who frequented tanning salons for more than 10 years or who logged more than 100 sessions were about 2.5 times more likely to develop the cancer.

The study comes as an FDA advisory panel is pondering tougher regulations on indoor tanning, including use restrictions (if not an outright ban) for people under age 18. At a meeting in late March, the panel discussed strengthening skin-cancer warnings at tanning salons and moving tanning beds to a class of medical devices that includes CT scanners, among other measures.

Health.com: 30 most flattering bathing suits this summer

Amy Waldrop, of Clifton, Virginia, who was 41 years old when she first learned she had melanoma, told the FDA panel that her doctors said her use of tanning beds as a teenager was most likely responsible.

"Even after seeing my surgical scars, my teenage daughters have expressed an interest in using tanning beds," says Waldrop. "They've told me that if tanning beds were that bad, they wouldn't be legal."

The testimony the FDA panel heard in March was "pretty compelling," says Dr. Lynn Drake, a dermatologist at Massachusetts General Hospital, in Boston, and a nonvoting member of the panel. "This new study adds to the body of evidence supporting the fact that indoor tanning poses significant risks."

Health.com: Find the best self-tanner for you

Teens, however, do not seem to be more susceptible than adults to artificial ultraviolet (UV) rays. The study results suggest that a person's melanoma risk is more closely linked to total exposure than to the age at which he or she first tans indoors.

"Given our findings, the age you start indoor tanning may matter less than how much you do it," says the lead author of the study, DeAnn Lazovich, a professor of epidemiology at the University of Minnesota. "Maybe a ban should also be considered for adults."

Nearly 70,000 people in the U.S. got a melanoma diagnosis in 2009 and more than 8,000 died from the disease, according to estimates from the National Cancer Institute. Melanoma is deadly because it can invade deep into tissues and spread to other parts of the body, unlike other types of skin cancer, which are relatively easy to remove. Melanoma is the second-most-common cancer among people ages 15 to 29, and appears to be on the rise overall.

The new study, which appears in the journal Cancer Epidemiology, Biomarkers and Prevention, included nearly 1,200 melanoma patients in Minnesota and a cancer-free control group. Of the melanoma patients in the study, 63 percent had tanned indoors at least once, compared with 51 percent of the melanoma-free individuals.

Health.com: Is it a mole...or skin cancer?

Lazovich and her colleagues also measured the melanoma risk associated with different types of tanning machines. Compared with people who had never tanned indoors, those who tanned in high-speed and high-pressure machines had roughly three and 4.5 times the risk of developing melanoma, respectively. High-speed machines use higher amounts of ultraviolet-B (UVB) light while high-pressure machines use more ultraviolet-A (UVA).

However, the researchers couldn't say definitively that one type of machine is more dangerous than the other, because few study participants could remember the exact machines they used and because UVA and UVB output can depend on factors such as maintenance, not just the model of the machine.

The new findings seem likely to bolster the government's efforts to regulate indoor tanning. When the FDA panel met in March, the foremost scientific evidence was a review of 19 studies conducted by a World Health Organization working group, which found that tanning indoors at least once increased a person's risk of melanoma by 15 percent. (For people who started tanning at age 35 or younger, the increase in risk rose to 75 percent.)

The WHO group later deemed tanning devices to be carcinogenic. But the organization emphasized some shortcomings in the research, such as the inability of most studies to tease apart the effects of indoor tanning versus sunbathing or to pinpoint how the extent of tanning-bed use -- also known as the "dose" -- affects skin-cancer risk.

Health.com: 5 ways to sun-proof your skin

Lazovich's study was specifically designed to fill these gaps in the existing research.

John Overstreet, a spokesperson for the Indoor Tanning Association, a trade organization representing tanning facilities and suppliers, said in an e-mail that unanswered questions remain. He noted that vitamin D, which is produced by the skin with moderate UV exposure, may have cancer-fighting benefits.

"Science is still wrestling with this issue and there's certainly still more to learn," Overstreet said. "We welcome a more complete body of research that will allow us to advise our customers how to achieve their goals without unnecessary risk of exposure."

The Federal Trade Commission recently charged the Indoor Tanning Association with exaggerating the benefits of indoor tanning and falsely denying the associated skin-cancer risks.

According to Drake, the health benefits of tanning -- as opposed to limited sun exposure -- are a myth. "A healthy tan is an oxymoron," she says. "A tan is simply a response to injury, whether it's obtained indoors or outdoors."

Health.com: The best sunblocks under the sun

@highlight

People who regularly use tanning beds may double or even triple risk of melanoma

@highlight

FDA advisory panel ponders tougher regulations on indoor tanning for people under age 18

@highlight

Person's melanoma risk is more closely linked to total exposure than to the age when started