WASHINGTON (CNN) -- Attorney General Eric Holder stepped up his call for the passage of federal hate crimes legislation Thursday, arguing that the federal government needs to take a stronger stand against criminal activity fueled by bias and bigotry.

Attorney General Eric Holder has been a vocal proponent for tougher laws regarding hate crimes.

He also sought to assure opponents that such a bill would not allow Christian clergy to be prosecuted for outspoken opposition to homosexuality.

Holder made his remarks during testimony before the Senate Judiciary Committee, which is currently considering the Matthew Shepard Hate Crimes Prevention Act.

The bill would allow the Justice Department to provide assistance to state and local authorities in the prosecution of hate crimes while also expanding federal protection against hate crimes to cover disability, gender and sexual orientation.

"Hate crimes victimize not only individuals but entire communities," Holder said.

"Perpetrators of hate crimes seek to deny the humanity that we all share, regardless of the color of our skin, the God to whom we pray or the person who we choose to love. ...," he said. "The time is now to provide justice to victims of bias-motivated violence and to redouble our efforts to protect our communities from violence based on bigotry and prejudice."

The attorney general argued that recent numbers "suggest that hate crimes against certain groups are on the rise, such as individuals of Hispanic national origin."

Specifically, he said, more than 77,000 hate crime incidents were reported by the FBI between 1998 and 2007, or "nearly one hate crime for every hour of every day over the span of a decade."

In light of such statistics, he said, it was one of his "highest personal priorities ... is to do everything I can to ensure this critical legislation finally becomes law."

Republicans on the Judiciary Committee disputed Holder's assertion that there has been a noticeable increase in the number of hate crimes. They also questioned the need for federal involvement in the prosecution of violent acts -- traditionally a function of state and local governments.

They pointed to FBI figures showing a slight decline from 7,755 hate crimes reported in 1998 to 7,624 in 2007, the most recently compiled statistics.

It is "important to know (if) we have a problem of significant numbers of (hate crime) cases ... not being prosecuted in state and local governments," said Alabama Sen. Jeff Sessions, the ranking Republican on the committee.

"Murders occur all over America every day. Robberies, assaults, rapes, burglaries occur every day, and those are handled by our state and local jurisdictions. ... They do a pretty good job."

When pressed, Holder acknowledged he had no hard evidence of trends showing the problem getting worse, nor that states are not prosecuting cases based on their own state hate crimes statutes.

The attorney general insisted, however, that the issue should be viewed more broadly.

"It seems to me this is a question of conscience," Holder argued. He emphasized that the bill is designed to give special protections to groups that historically have been victims solely based on who they are.

Holder added that while state and local governments generally do a good job prosecuting violent crimes, there is nevertheless a need for the federal government to serve as a "backstop" on occasion, particularly if localities lack the resources for an effective investigation or prosecution.

"There are instances where the (federal) government needs to come in," he said.

He also asserted that any federal hate crimes law would be used only to prosecute violent acts based on bias, as opposed to the prosecution of speech based on controversial racial or religious beliefs.

"It is the person who commits the actual act of violence, who would be subject to this legislation, not the person who is simply expressing an opinion," Holder said.

Several religious groups have expressed concern that a hate crimes law could be used to criminalize speech relating to subjects such as abortion or homosexuality.

The attorney general has been a vocal proponent of federal hate crimes legislation since his tenure in the Clinton Justice Department. Last week, in a speech on civil rights, he cited three recent fatal shootings in calling for stricter hate crimes laws.

"The violence in Washington, Little Rock and Wichita reminds us of the potential threat posed by violent extremists and the tragedy that ensues when reasoned discourse is replaced by armed confrontation," he said.

Holder was referring to the shooting death of a security guard at the Holocaust Memorial Museum in Washington, allegedly by a self-avowed white supremacist; the shooting of two U.S. soldiers in Little Rock, Arkansas, allegedly by a man prosecutors say was targeting the U.S. military for its treatment of Muslims; and the slaying of a doctor who ran a women's clinic in Wichita, Kansas, allegedly by an abortion opponent.

CNN's Terry Frieden contributed to this report

@highlight

Bill would expand scope of federal protection against hate crimes

@highlight

Eric Holder says hate crimes against certain groups, such as Hispanics, on the rise

@highlight

Republicans on Senate panel dispute assertion of increase in hate crimes

@highlight

Some religious groups worry law could be used to criminalize speech