It may be a foregone conclusion in the minds of many that accused Boston bomber Dzhokhar Tsarnaev is guilty of murder.  A horrific crime: multiple killings, including that of a child, and more than 200 maimed or wounded.

What may be less clear is Tsarnaev's role in the attack, and whether, if convicted, he will be sentenced to death.

As both sides prepare for his November trial, court filings and arguments by prosecutors and the defense provide a glimpse into their opposing strategy for the penalty phase of the case.

The government says it has video showing Tsarnaev placing a backpack near the finish line, then using his cell phone, moments before the first bomb went off. He walked away and the second bomb went off in front of the camera, officials say.

There is also the note Tsarnaev scribbled on the boat he was hiding in, claiming the Boston Marathon victims were payback for U.S. wars in Muslim lands.

Excerpts of the note open the grand jury indictment.  "I can't stand to see such evil go unpunished;" Tsarnaev wrote.  "We Muslims are one body, you hurt one, you hurt us all;" "Now I don't like killing innocent people it is forbidden in Islam but due to said (unintelligible) it is allowed;" and "Stop killing our innocent people and we will stop."

In seeking the death penalty, prosecutors cite as an aggravating factor Tsarnaev's "betrayal of the United States."  They claim that after Tsarnaev received asylum from the United States, the defendant "enjoyed the freedoms of a United States citizen; and then betrayed his allegiance to the United States" by killing and maiming its people.

Leading the defense team is Judy Clarke, a longtime public defender who has represented some of the nation's most notorious criminals, including "Unabomber" Ted Kaczynski, who killed three; Jared Loughner, who shot and killed six people and critically wounded Rep. Gabby Giffords; and Susan Smith, the emotionally disturbed mother who drowned her two children.

Kaczynski and Loughner pleaded guilty and were sentenced to life imprisonment.

In the Smith case, Clarke argued that her client's abusive childhood and depression tormented her, causing her to "snap."  Although it convicted Smith of murdering her sons, the jury spared her life.

"She enjoys a wonderful reputation, she fights very hard for all her clients," said former U.S. attorney David Kelley, who prosecuted terrorism cases in New York's Southern District.  "She's the model for all defense lawyers."

Humanizing Tsarnaev is a priority for his defense team, said David Hoose, a criminal defense lawyer who represented Kristen Gilbert, a former Veterans Administration nurse convicted of killing four patients.  The jury in that case did not vote unanimously to impose the death sentence.  Gilbert was thus sentenced to life in prison.

"There's always a story to be told, " Hoose said.  "It's not a story that excuses or justifies what was done. but it explains and allows us to understand as human being to human being what led someone to the point in their life where they could undertake such an act that virtually everyone else finds incomprehensibly horrible."

The defense has great leeway in presenting its case for the penalty phase.  "The Supreme Court has held that pretty much anything related to the defense background, or character, or to the circumstances surrounding the crime" is admissible, Hoose said.

Hoose said he believes Tsarnaev, who was 19 when the crime happened, has a good chance of avoiding the death penalty. "This is a young kid, still impressionable, only a year and a half over the minimum that he would have to be even to be eligible for the death penalty, who is clearly under the influence of an older brother who has been radicalized and who has become extremely violent.  What do you do as a younger sibling when that kind of thing is going on in your family?"

In a recent court filing, the defense lawyers sought information prosecutors obtained from the federal government's surveillance of Tamerlan Tsarnaev.  "Any evidence tending to show that Tamerlan supplied the motivation, planning and ideology behind the Boston Marathon attack, and that his younger brother acted under his domination and control, is material," the defense argued.

Tsarnaev's defense team declined to comment to CNN, but in a status hearing this week, they called the Tsarnaev family dynamic key to their case.  "If the government indictment is true, this is about a family," defense attorney David Bruck said.  The defense objects to having an FBI agent monitor conversations between Tsarnaev and his siblings during prison visits.  Judge George O'Toole has indicated he agrees with the defense, but deferred ruling to give prosecutors time to respond.

Since the federal death penalty was reinstated in 1988, three people have been executed: Timothy McVeigh, for the Oklahoma City bombing that killed 168 people; Juan Garza, for three murders connected to drug trafficking; and Louis Jones, for the kidnapping and murder of a female soldier.

According to the Federal Death Penalty Resource Counsel Project, juries have handed down 74 death sentence verdicts since the death penalty was reinstated.  However, a judge has formally applied the sentence only 71 times.  The disparity comes from defendants' convictions that were overturned or death verdicts that were vacated before formal sentencing by the judge.

The liberal-leaning nature of Boston-area juries also will bear watching in Tsarnaev's case.  Massachusetts banned the death penalty in 1984.   Hoose said in an area that is heavily Catholic, many are inclined to follow the lead of Pope Francis, who opposes capital punishment.

In a Boston Globe poll taken in September, 57% of Boston respondents supported a life sentence for Tsarnaev.  Thirty-three percent favored the death penalty.

Lillian Campbell, whose granddaughter, Krystle Campbell, was killed in the marathon bombings, told CNN's Chris Cuomo, "When they came out with this part about the death sentence ... I said, well, I don't really care what they do with them.  Because whatever they do, it's not going to bring her back," she said. "I'll never forget her, ever, no matter how much they say.  Or what they do with the guy who did it. So I wouldn't wish anyone dead.  I wouldn't."  "Even after what he did?" asked Cuomo. "Even after what he did," Campbell replied.

Prosecutors in the case declined to speak with CNN.

Former federal prosecutor Allison Burroughs said, given the nature of the crime, it's not surprising the government is seeking the death penalty.  "If not in this case, then when?" Burroughs said. However, she said winning a death penalty verdict in Massachusetts is so unlikely it may not be worth the time and resources involved.

Others say the government made the right decision.

"The death penalty attaching to a case of terrorism where people are maimed and killed is certainly a reasonable option," said Gerry Leone, the former Middlesex County District Attorney who prosecuted "shoe-bomber" Richard Reid in 2002.  Reid pleaded guilty before going to trial.

Although Leone said he thinks the defense has a chance of beating the death penalty, the prosecution strategy should be clear.

"The prosecution keeps harping on and keeps drilling home the facts. And the facts are horrible here.  Two-hundred-sixty plus people who were hurt and maimed.  Three people dead.  A police officer in the aftermath of those actions executed," Leone said.  "The government will keep pounding home the facts in this case, which are just horrible from a human perspective."

Richard Burr, who represented Timothy McVeigh, knows what it is like to lose a capital case.  McVeigh was executed in 2001.

"In any case where there is huge public injury, there's pressure on political leaders to seek the death penalty. There may be pressure on jurors to return a death penalty, even against their better wisdom." The key, Burr said, is to present the jurors with a detailed narrative of the defendant's life that can evoke some mercy.  "Clarke and her team are masters at getting at a defendant's life story," Burr said.  Yet "she is also attuned to the critical need for the capital defense team not to ignore the victims."

"The death penalty deprives people of their humanity," Burr added.  "We have to try to help remind everybody that we're all in this together."

@highlight

Tsarnaev is accused of killing three in Boston Marathon bombing

@highlight

Defense, prosecution are preparing for his November trail

@highlight

Federal prosecutors intend to seek the death penalty