Washington (CNN) -- When Texas Gov. Rick Perry signed some of the country's toughest abortion restrictions into law on Thursday, his state joined a growing number of those strategically pushing the limits of federal abortion rights that have been in place for 40 years.

"In signing House Bill 2 today, we ... cement the culture of life, which Texas is built upon," Perry said during the signing ceremony. "Children do deserve the respect of simple recognition before their lives are cut tragically short."

His reference to the "culture of life" was no coincidence. Nor was the bill becoming law.

Perry signs abortion bill into law

As the nation focused on a Republican takeover of the U.S. House during the 2010 midterm elections, an even bigger conservative revolution was taking place in the states: one that, three years later, is having big implications for state legislative battles over reproductive rights.

In 2010, the GOP gained the majority of governorships, and one-fifth of the nation's state legislatures switched to complete Republican control, according to data from the National Conference of State Legislatures.

Before the 2010 election, 14 state legislatures were Republican-controlled. After those elections, the GOP controlled 24 statehouses, according to the data.

The partisan shift took place in such states as North Carolina, Ohio and Wisconsin, some of the very states that have since pushed some of the nation's most stringent abortion regulations.

In Texas, Perry won re-election, and Republicans made major gains in the statehouse, which netted that party full control of state government.

While most of the candidates ran on conservative economic rather than social platforms, such views tend to be part of "part of the candidate's profile," said Mary Spaulding Balch, director of the department of state legislation for the National Right to Life organization.

In the states, there has been a trend of gaining "support in the elections where they are electing pro-life legislators, and the legislation is passing by a greater margin," she said.

Those gains were coupled with a concerted effort by anti-abortion groups -- which since the 1973 U.S. Supreme Court Roe v. Wade decision had been stymied at the federal level -- to turn to the state level to push and pass legislation favorable to their cause, said Elizabeth Nash, state issues manager at the Guttmacher Institute, which supports abortion rights.

"It was this perfect storm to enact abortion restrictions," Nash said.

New laws flout -- or use -- Roe v. Wade provisions in restricting abortions

The effects are being felt across the country.

In Texas, the new law bans abortions past 20 weeks of gestation, mandates that abortion clinics become ambulatory surgical centers, tightens usage guidelines for the drug RU486 and requires doctors who perform abortions to have admitting privileges at a hospital within 30 miles of the clinic at which they're providing such services.

As it wended its way through the statehouse, the measure resulted in a high-profile showdown, and Democratic state Sen. Wendy Davis undertook an 11-hour filibuster to try to block its passage.

In North Carolina, the House of Representatives passed a measure placing requirements on clinics that family planning advocates say would make it hard for them to stay in business. Among the requirements is the presence of a doctor when an abortion is being performed.

The bill allows North Carolina's health department to make temporary new rules for the state's 31 abortion clinics as it sees fit and prohibits government-administered insurance plans, such as those under the Affordable Care Act, to pay for abortions -- though it makes exceptions when a pregnancy endangers a woman's life.

Ohio's Republican governor, John Kasich, recently signed into law a state budget that includes measures that will require ultrasounds for anyone seeking an abortion and limit abortion clinics from transferring patients to public hospitals. If they need more care after a procedure, patients will now have to seek out a private hospital.

The budget will also make it more difficult for family planning groups in the Buckeye State to obtain funding for preventive care. And it puts Planned Parenthood behind clinics that don't provide abortions when it comes to obtaining state funding.

In Wisconsin, a federal judge recently granted a temporary restraining order preventing the state from enforcing a new law banning doctors from performing abortions if they don't have admitting privileges to hospitals within 30 miles of their practice.

Ultimately, anti-abortion advocates hope that some of the recently passed state legislation will force the Supreme Court to revisit issues addressed in Roe v. Wade.

"I think that's what they're angling for ... getting the Supreme Court to reconsider it," said Michele Swers, a Georgetown University American government professor.

Anti-abortion groups acknowledge as much and point to such issues as the medically controversial language in several state bills stating that a fetus feels pain after 20 weeks. Courts in several states have blocked measures containing this language.

"If the laws were challenged and made its way to the court, we would argue the court has never looked at these issues before," Spaulding Balch said.

Four decades after Roe: A legacy of law and morality

CNN's Ben Brumfield and Paul Steinhauser contributed to this report.

@highlight

States are increasingly passing restrictive abortion laws

@highlight

Increase is due to larger number of conservative-controlled statehouses, governorships

@highlight

Goal is to use possible challenge to state law to get Supreme Court to revisit Roe v. Wade