(CNN) -- By announcing that he will release no further tax returns beyond his 2010 and 2011 returns, Mitt Romney appears to have exempted himself from the proud bipartisan tradition of presidential nominees displaying genuine financial candor with the electorate.

What is more, his disclosure to date is in the wrong direction: It is the release of Romney's past returns, not his current ones, that matters.

Since George Romney inaugurated the practice more than 40 years ago by releasing 12 years of tax returns in his bid for the Republican Party nomination, presidential nominees have been transparent with voters about their personal finances. For this reason, we have not suffered a significant tax scandal involving a nominee or sitting president since President Richard Nixon's abuse of the tax code.

Either Romney has an unresolved father figure issue, or he has some special reason not to follow a tradition established by his father.

News: Romney campaign expected to launch multipronged effort to rebut attacks

Given Romney's financial sophistication, it has been assumed by some that there cannot be any tax skeletons in his closet. His reluctance to disclose past returns, however, undermines that assumption. We are left with the difficult task of plausibly reconstructing his financial record based on the one full return that he has released. The result is troubling.

Mitt Romney is extraordinarily wealthy, but that is not a justification for nondisclosure. He has made no secret of his wealth, and required campaign disclosures already hint at its magnitude. While Romney may have dissembled about when he actually left Bain Capital, he has been disassociated with the firm long enough that he cannot argue that his tax returns will reveal proprietary secrets.

Nor is this just an exercise in financial titillation or gossip. Disclosure goes to the heart of the truthfulness with which a nominee engages the American people, and it assures us that he in fact has comported himself before the election with the high moral character we associate with a future president.

Romney's 2010 tax return, when combined with his FEC disclosure, reveals red flags that raise serious tax compliance questions with respect to his possible tax minimization strategies in earlier years. The release in October of his 2011 return will at best act as a distraction from these questions.

So, what are the issues?

The first is Romney's Swiss bank account. Most presidential candidates don't think it appropriate to bet that the U.S. dollar will lose value by speculating in Swiss Francs, which is basically the rationale offered by the trustee of Romney's "blind" trust for opening this account. What's more, if you really want just to speculate on foreign currencies, you don't need a Swiss bank account to do so.

The Swiss bank account raises tax compliance questions, too.

News: Americans view Romney's campaign more unfavorably than Obama's

The account seems to have been closed early in 2010, but was the income in fact reported on earlier tax returns? Did the Romneys timely file the required disclosure forms to the Treasury Department (so-called FBAR reports)?

The IRS announced in 2009 a partial tax amnesty for unreported foreign bank accounts, in light of the Justice Department's criminal investigations involving several Swiss banks. To date, some 34,500 Americans have taken advantage of such amnesty programs. Did the Romneys avail themselves of any of these amnesty programs? One hopes that such a suggestion is preposterous, but that is what disclosure is for -- to replace speculation with truth-telling to the American people.

Second, Romney's $100 million IRA is remarkable in its size. Even under the most generous assumptions, Romney would have been restricted to annual contributions of $30,000 while he worked at Bain. How does this grow to $100 million?

One possibility is that a truly mighty oak sprang up virtually overnight from relatively tiny annual acorns because of the unprecedented prescience of every one of Romney's investment choices.

Another, which on its face is quite plausible, is that Romney stuffed far more into his retirement plans each year than the maximum allowed by law by claiming that the stock of the Bain company deals that the retirement plan acquired had only a nominal value. He presumably would have done so by relying on a special IRS "safe harbor" rule relating to the taxation of a service partner's receipt of such interests, but that rule emphatically does not apply to an interest when sold to a retirement plan, which is supposed to be measured by its true fair market value.

Third, the vast amounts in Romney's family trusts raise a parallel question: Did Romney report and pay gift tax on the funding of these trusts or did he claim similarly unreasonable valuations, which likewise would have exposed him to serious penalties if all the facts were known?

Fourth, the complexity of Romney's one publicly released tax return, with all its foreign accounts, trusts, corporations and partnerships, leaves even experts (including us) scratching their heads. Disclosure of multiple years' tax returns is part of the answer here, but in this case it isn't sufficient. Romney's financial affairs are so arcane, so opaque and so tied up in his continuing income from Bain Capital that more is needed, including an explanation of the $100 million IRA.

Finally, there's the puzzle of the Romneys' extraordinarily low effective tax rate.

For 2010, the Romneys enjoyed a federal tax rate of only 13.9% on their adjusted gross income of roughly $22 million, which gave them a lower federal tax burden (including payroll, income and excise taxes) than the average American wage-earning family in the $40,000 to $50,000 range. The principal reason for this munificently low tax rate is that much of Romney's income, even today, comes from "carried interest," which is just the jargon used by the private equity industry for compensation received for managing other people's money.

The vast majority of tax scholars and policy experts agree that awarding a super-low tax rate to this one form of labor income is completely unjustified as a policy matter. Romney has not explained how, as president, he can bring objectivity to bear on this tax loophole that is estimated as costing all of us billions of dollars every year.

News: Romney cites incident of helping campaign contributor

The U.S. presidency is a position of immense magnitude and requires a thorough vetting. What the American people deserve is a complete and honest presentation by Romney of how his wealth was accumulated, where it is now invested, what purpose is served by all the various offshore vehicles in which he has an interest and what his financial relationship with Bain Capital has been since his retirement from the company. These are all factors that go to the heart of his character and values.

For a nominee to America's highest office, a clear and transparent reporting of his finances should be nothing more than routine.

The opinions expressed in this commentary are solely those of Edward D. Kleinbard and Peter C. Canellos.

@highlight

Mitt Romney has only released one complete tax return for 2010

@highlight

Edward Kleinbard, Peter Canellos: Romney needs to be transparent about his finances

@highlight

Romney's 2010 tax return reveals red flags about tax compliance issues, they say

@highlight

Kleinbard, Canellos: Electorate deserves a thorough vetting of presidential candidates