(CNN) -- At first glance, "The Flat" might seem like an episode of "Hoarders," Israeli-style.

The documentary film opens after an elderly woman dies in Tel Aviv. Her grandchildren assemble to clean out her apartment, packed with dusty books, vintage clothing (dozens of pairs of fancy gloves, for instance), enough purses to stock a department store, jewelry, mementoes and closets full of knickknacks. But buried among the detritus they chance upon something remarkable -- mysterious papers linking the grandparents to an important Nazi figure. How could such ardent Zionists, who left their native Germany in the early 1930s, have been involved with an SS official like Leopold von Mildenstein?

"The film developed as a detective story," says Israeli director Arnon Goldfinger, grandson of Gerda Tuchler, the woman who owned the flat. Of all his family members, only Goldfinger seemed driven to uncover the secrets of his family's past.

The mystery

"I discovered very strange newspapers in my grandparents' flat," he says. "A newspaper with a swastika on it, Nazi newspaper, that turns out to be travelogues by a very famous Nazi writer (von Mildenstein) that describes a journey to Palestine. What I found out was this journey, the Nazi (von Mildenstein) and his wife were accompanied by my grandparents," Goldfinger told CNN.

It was a unique period in which, says Goldfinger, "Nazis and Zionists shared the same aim: Both of them wanted the Jews to leave Germany and settle in Palestine."

The plot thickens

The mystery of the newspapers prompted Goldfinger to dig deeper. Additional documents, photos and letters pointed to only one conclusion -- Gerda and her husband Kurt were not simply acquainted with von Mildenstein and his wife -- they had become the warmest of friends. This became all the harder for Goldfinger to digest when he learned more about von Mildenstein: He was no mere travel writer, but the head of the Nazi's Jewish Affairs Department in the early 1930s. In that capacity von Mildenstein is said to have recruited an up-and-coming member of the party -- Adolf Eichmann.

A twist in the tale

Goldfinger's investigation took him to Germany, where he tracked down von Mildenstein's daughter, Eda, who proved receptive to his efforts to shed light on their families' intersecting past. She helped him confirm something that may sound astonishing: After the war -- a conflict that claimed the lives of millions of Jews, including Gerda Tuchler's own mother -- Gerda and her husband remained friends with the von Mildensteins.

This discovery left Goldfinger feeling irritated and angry, he told CNN, and forced him to revise the idealized view he held as a young boy of his grandparents.

"I think as a grandchild you are not really used to thinking about your grandparents as human beings," Goldfinger says. "They're grandparents; they need to think about you!"

"Then for five years I thought about their life, motivations and strangely -- even now they're gone, after their death -- I feel much closer to them. I saw them not just as the heroes I had imagined (during his childhood), but as human beings with very (conflicted) feelings inside. Now I can feel sorry for them. I can feel compassion and also anger. When you are finally feeling those complex emotions inside I think I become closer to my grandparents."

"The Flat" doesn't end there. Goldfinger continued to investigate, and what he found would confront him with an ethical dilemma.

The tangled web

What became of Leopold von Mildenstein after the war? Like many ex-Nazis, he managed to re-enter civilian life (at one point he even sought assistance from Kurt Tuchler to ease his transition). He worked for Coca-Cola in West Germany, concealing the true extent of his pre-war activities. The secret of his real position within the Nazi hierarchy remained buried in East German archives, until Goldfinger uncovered it.

Having destroyed the fiction von Mildenstein promoted -- that he had split with the Nazis before the war -- Goldfinger then faced a difficult decision: whether to share what he had learned with von Mildenstein's daughter, Eda.

"Morally I felt I had no alternative. I cannot say -- as my mother did in the film -- 'It's not our business.' (I decided) I must tell Eda what I know. I cannot anymore hide the secrets, so it was a very tough moment and very hard to understand how to do it."

Ultimate mysteries

"My family was surprised when they first saw the film," Goldfinger told CNN. "My siblings and especially my mother were not so interested in the history of my family, of our family," he says.

The film touches on the ultimate and universal mysteries of identity, memory and family.

Why was Goldfinger's mother so lacking in curiosity about her family's past? Why did Goldfinger feel compelled to investigate the family mystery while his siblings evinced so little interest? How and why did Eda shield herself from the truth about her Nazi father?

For some mysteries there are answers. For others, alas, there are not.

@highlight

Israeli director Arnon Goldfinger was shocked by what he found out about his grandparents

@highlight

His quest became the award winning documentary "The Flat"

@highlight

He says he faced a difficult decision with the project