(CNN) -- Each year, more than 3 million Muslims commit to Hajj, the pilgrimage to Mecca that represents the fifth and final "pillar" of Islam and the largest annual human gathering on the planet. Every Muslim who is physically and financially able to do so is expected to make this pilgrimage once in their lifetime.

As described in the Hadith of Gabriel, each pillar of Islam acts as a guide to day-to-day conduct for Muslims, outlining proper professions to God, prayer and spiritual mindfulness, not unlike the Book of Common Prayer for Anglicans or Judaism's Siddur.

For this year's Hajj, iReporters from around the world documented their journeys, describing their experiences as they complete this Islamic sacrament. Thanks to the power of social media and platforms like CNN's iReport, they've been able to share their faith with the world, giving Muslims and non-Muslims alike a glimpse of the significance of this powerful and transformative event.

The 2011 Hajj also holds special significance for Muslims in the wake of the Arab Spring this year. Though the pilgrimage has traditionally been thought of as an undertaking for middle-aged or senior Muslims, increasing numbers of young pilgrims have been making the trip to Mecca in the past decade.

While on Hajj, Muslim pilgrims travel great distances to Mecca, Saudi Arabia, during the last month of the Islamic calendar, which is tied to the lunar calendar. At Mecca, nestled among the mountains and deserts of the western part of the country, lies the Sacred Mosque. This is the spiritual epicenter of Islam and the location of the Kaaba, the first Islamic house of worship, built by the patriarch Abraham and his son Ishmael. When Muslims orient themselves to Mecca for their five daily prayers, they are praying in the direction of the Kaaba.

During Hajj, "One needs to spend money, exert one's body, behave with character and in all of that turn sincerely to God," says iReporter David Coolidge, 32, a Muslim chaplain at Brown University. "If one can spend a few weeks totally devoted to one's faith, it makes it that much easier to make one's faith a living reality when one is at home and living one's ordinary life."

Jeddah, the "city of pilgrims," the first official stop on the Hajj

As iReporter Amaan Haq explains, Muslims engage in prayer and contemplation at Mecca for several days, undertaking rituals meant to spiritually purify themselves and bring their souls into better alignment with God.

"The major rituals include walking around the Kaaba seven times, drinking from the holy Zamzam Well and holding a vigil at the plains of Mount Arafat led by an Imam, a Muslim cleric, kind of like a priest," he said. These observances are then followed by a three-day festival called Eid al-Adha, a global celebration for all Muslims commemorating Abraham's piousness and obedience to God."

Haq, 27, made this year's Hajj with his wife, whom he recently married. He describes his pilgrimage as "quite breathtaking," remarking on the powerful sight of people from all walks of life gathered in the same ceremonial garb, for the same purpose.

"I saw people from Brazil, Spain, from China, from Japan -- Muslims from all over the world speaking different languages, coming with their own cultures and ways of doing things, but all gathered here because of their bond with Islam," he said.

Haq views his Hajj as a powerful renewal of his faith, expressing his awe at the sheer number of people gathered at Mecca and the sense of fulfillment he feels at seeing the Kaaba with his own eyes.

"Islam hasn't been seen in a very positive light over the past decade, but this event really shows how everyone from all walks of life, from all over the Earth, is out here for the same purpose," he said. "It's amazing. There's no type of discrimination here. Everybody is gathered here as one body. There's this powerful feeling of brotherhood and togetherness.

"Growing up in a Muslim family and reading about it or seeing videos of it, none of that helped me grasp what was actually going on. When you actually do it, it's very strenuous. It's hard work. But it's also the most rewarding thing I've done in my life."

Video tour of Mecca

Nihad Awad, executive director of the Council on American-Islamic Relations, credits the enthusiasm of young Muslims to participate in Hajj to a "revival, an Islamic awakening around the world, part of which we have seen in the Arab Spring." Though Muslims in particular may be reconnecting with Islamic values, he notes that a belief in unity, peace and justice is a central principal of all Abrahamic faiths.

Awad also believes that in times of global turmoil and economic uncertainty, many young Muslims are drawn to the Hajj out of a yearning for equality and camaraderie. All pilgrims at Mecca are expected to dress and behave in a manner that removes all outward signifiers of wealth or social standing and focus entirely on their spiritual development.

"I think many young people are rediscovering the proud heritage of Islam and that they belong to a higher cause," he said. "And I think more people are going on Hajj now because they want to attach themselves to that higher cause and the higher values that they sometimes see challenged by worldly governments and societies.

"It's a rediscovery of their roots and their identity," he continued. "Hopefully, that strength and momentum and that spiritual charge will help them go back to their societies and play constructive and moral roles in their communities."

Closeup video of pilgrims circumambulating the Kaaba, one of the Hajj rituals

iReporter Yousef Awaida, 22, shares this belief in an Islamic awakening among Muslim youth, observing how Mecca during Hajj is a sea of tranquility and unity in one of the most turbulent regions on the planet.

"So many people have all come here for the same purpose: to seek God's mercy and forgiveness," he said. "In reality, many of these people, when not in Mecca, will fight and spill each other's blood. But in this moment, in this city, I have not seen one confrontation.

"Here, Muslims can strengthen the foundation of their faith: Being one people, who worship one God."

That's a sentiment echoed in Amaan Haq's experience while on Hajj.

"I've never really had this feeling in my life," he said. "To know the importance of this landmark, in this city, in this place. To know the history of the people who have been in this place and worshipped in this city -- not just in our lifetime or generation but throughout history -- that's an out-of-this-world feeling."

A previous version of this story incorrectly referred to the Book of Common Prayer as a text for Catholics. It is a book of prayers and services for Anglicans.

@highlight

More young Muslims embarking on Islamic pilgrimage than ever before

@highlight

2011 Hajj could be a flashpoint for global Islamic revival

@highlight

Pilgrimage is a defining moment in the life of Muslims

@highlight

Follow iReporters as they complete their Hajj