(CNN) -- President Barack Obama will convene a summit Monday at the White House of the heads of every key African nation -- except three: Ebola-plagued Liberia, Guinea and Sierra Leone. And as of now, the African Ebola epidemic, the largest on record, is not officially on the summit agenda.

As their epidemics spin out of control in a contagion more than three times larger than any prior Ebola outbreak, Presidents Ellen Johnson-Sirleaf of Liberia, Alpha CondÃ© of Guinea and Ernest Bai Koroma of Sierra Leone are staying home. They are taking drastic measures in hopes of slowing the spread of the deadly hemorrhagic disease: Banning public gatherings, closing schools, deploying their armies to stop attacks on health workers and maintain quarantines.

It is tragic that Sirleaf, CondÃ© and Koroma will not be able to plead their nations' cases at the White House summit because their countries desperately need help.

There is great danger that the fear of the virus spreading globally will stigmatize Liberians, Sierra Leonians and Guineans, and that their West African neighbors -- especially Nigeria -- will try to ward off Ebola by isolating the countries in ways that will hurt their fragile economies, further imperiling the health of their people.

It is time to take a cold, clear look at the implications of this out-of-control epidemic and think carefully about what steps the international community should take next.

The outbreak began in Guinea in March and has spread slowly, inexorably in the three desperately poor countries for months. It reached dangerous epidemic scale in June, but only as July draws to its end has it registered with urgency with international media and political leaders. Why now? Because two Americans volunteers are fighting for their lives in the region, and a third American succumbed to Ebola in Lagos, Nigeria, having acquired his infection in Liberia.

The specter of Ebola spreading via air travel to Nigeria, the most populous African nation, prompted the UK government to issue a national medical alert this week. The fear also threatens the creation of a vast cordon sanitaire -- or barrier -- around the three afflicted countries.

Short-term focus on Ebola control cannot be disconnected from a longer term commitment to economic and technical support of these nations' health care systems, roads, schools and general development.

These countries face Ebola today, but they also contend with Lassa fever virus, which also causes hemorrhagic disease. There also are mosquitoes carrying yellow fever and malaria, and a long list of microbial dangers are always lurking in their rainforests.

To show how ill-equipped these nations are to battle disease, per capita spending on health care, combining personal and governmental, amounts to only $171 a year in Sierra Leone, $88 a year in Liberia and $67 a year in Guinea, according to the Kaiser Foundation.

There is also a dire shortage of health care workers. Before the Ebola epidemic claimed the lives of several of the nations' leading physicians and nurses, Liberia had 0.014 physicians per 1,000 people; Sierra Leone's doctor-to-patient ratio was 0.022 and Guinea's was 0.1. To put that in perspective, rich countries have a thousand times more physicians per capita. In the United States, there are 2.5 doctors per 1,000 people.

When this Ebola epidemic eventually ends, the health budgets of these nations will have been bankrupted, and many of their most skilled and courageous physicians, nurses, Red Cross volunteers and hospital workers will have perished.

Nigeria is the tipping point.

Were Ebola to take hold in that country, spreading from person-to-person in a densely populated, chaotic city such as Lagos, the worldwide response would swiftly spin into uncharted political and global health territory.

Consider the following: Nigerian physicians are on strike nationwide; hundreds of girls have been kidnapped from their schools and villages over the past six months by Boko Haram Islamist militants -- and none has been successfully freed from their captors by the Abuja government.

Nigeria is in the midst of national election campaigning. President Goodluck Jonathan's government is, at best, weak. The nation is torn apart by religious tension, pitting the Muslim north against the Christian south. Islamists in the north have long distrusted Western medicine. They have opposed polio vaccination and have kidnapped and assaulted central government health providers.

Nigeria, the most populous nation in Africa, has just surpassed South Africa as its richest. It has a large, elite class that is highly mobile. Its international airports buzz with activity as hundreds of thousands of Nigerians travel all over Africa, take college studies in Europe and North America, visit second homes in London, New York, Toronto and other cities, and conduct business on the international stage.

Sierra Leone, Guinea and Liberia are three of the poorest, most remote nations on Earth while Nigeria is Africa's muscle, hustle and oil.

One way or another, Obama must take advantage of Monday's Africa summit to press the case for calm and appropriate responses. These would include specific post-Ebola financial commitments to Liberia, Sierra Leone and Guinea.

The possibility that the epidemic might take hold in Nigeria must be confronted, and plans of action must be considered. The world cannot afford to make decisions in the heat of panic about such things as international airport closures, withdrawal of foreign oil workers, negotiations for outbreak responses with northern imams, hospital and clinic infection control training across thousands of Nigerian health facilities, deployment of international assistance teams for rapid diagnostics and lab assistance and countless other contingencies.

Roughly 70% of diagnosed Ebola patients in this epidemic have perished. The potential for global panic is genuine. If responsible leaders worldwide hope to stave off hysterical reactions to the virus and bring this epidemic to a halt, serious contingencies and agreements must be reached immediately.

Please, President Obama, do not squander the opportunity to place such contingency planning on your Monday summit agenda.

As NPR talk show host Diane Rehm asked me on her show, "Can't the White House put Presidents Sirleaf and Koroma on Skype, to plead their case to the summit?"

That would be a start.

@highlight

President Obama's Africa summit does not have Ebola epidemic on agenda

@highlight

Record-breaking epidemic hits poverty-stricken Liberia, Guinea and Sierra Leone

@highlight

Laurie Garrett: We need to make long-term commitment to Ebola-struck nations

@highlight

Garrett: Summit urgently needs to address this and plan for the worst if it hits populous Nigeria