(CNN) -- Australia's Prime Minister said Saturday that Chinese officials appreciate his country's "transparency and candor" in the handling of the search for missing Malaysia Airlines Flight 370.

"I think it's to our country's credit that we've approached it that way," Tony Abbott told journalists in China.

He reiterated the "high degree of confidence" he has expressed before that acoustic signals picked up by searchers in the Indian Ocean are from the plane's black box.

But he warned that, that even if the plane is lying on the bottom of the sea underneath the search vessels that locating it underneath nearly three miles of water would be a "massive, massive task."

"It is likely to continue for a long time to come," he said.

U.S. Navy commander 'optimistic'

The U.S. Navy commander leading the American effort to find Malaysia Airlines Flight 370 said he's "optimistic" about how the search is proceeding.

"We are detecting very continuous pings coming through in a manner consistent with exactly what you'd expect from a black box," Cmdr. William Marks told CNN's Erin Burnett on Friday. "We've ruled out that it was anything natural, or anything from commercial shipping, or anything like that."

Australian Prime Minister Tony Abbott said earlier Friday that search efforts are heading in the right direction. Marks said, "I agree with the prime minister. We're optimistic."

Up to nine military aircraft, one civil aircraft and 14 ships will assist in Saturday's search for the airliner, Australia's Joint Agency Coordination Centre said in a press release. The center of the 41,393-square-kilometer (16,000 square-mile) search area lies about 2,331 kilometers (1,448 miles) northwest of Perth.

Abbott's confidence

Abbott has expressed such confidence about detected acoustic signals coming from the plane's black box before.

Over the past week, four such pings have been detected by a ping locator towed by the Australian vessel Ocean Shield.

"We are confident that we know the position of the black box flight recorder to within some kilometers, but confidence in the approximate position of the black box is not the same as recovering wreckage from almost 4Â½ kilometers beneath the sea or finally determining all that happened on that flight," he said.

A fifth ping, detected Thursday by a sonobuoy dropped by an airplane, is "unlikely to be related to the aircraft black boxes," Australian chief search coordinator Angus Houston said Friday.

"On the information I have available to me, there has been no major breakthrough in the search for MH370," Houston said in a statement Friday. "Further analysis continues to be undertaken by Australian Joint Acoustic Analysis Centre."

Friday was Day 35 in the search, and the batteries powering the flight data recorders' locator beacons are certified to emit signals for only 30 days after they get wet.

That has injected the search effort with a heightened sense of urgency.

The signal is "starting to fade, and we are hoping to get as much information as we can before the signal finally expires," Abbott said.

Families skeptical

Families of the 239 people who were aboard when the plane disappeared from radar screens early March 8 met Friday with Malaysia Airlines and government officials. They came away unpersuaded that progress was being made.

"Today, all they said was that they were confident," family representative Steve Wang said. "But that really doesn't mean that they have confirmed it. They didn't use the word 'confirm.' So it could be that it's a real lead, but it could also not be. I think that, at the moment, everyone needs to wait for final, confirmed information."

That view was echoed by Sarah Bajc, whose partner, Philip Wood, was among the passengers.

"Every time some official gives one of those absolute statements of 'We're sure it's the pings from the black boxes' or 'We're sure it's in the ocean,' we all crash," she told CNN's "New Day."

"Our feet get knocked out from underneath us. But then it always ends up reversing itself, and they step back from it."

She expressed skepticism about the way the investigation has been handled. "The fox is very much in charge of the henhouse here," she told "New Day." "We've got a country leading the investigation who also has the primary liability in the case, and it makes us question every step that's taken."

New flight details revealed

Malaysian sources told CNN that Flight 370's pilot, Capt. Zaharie Ahmad Shah, was the last person on the jet to speak to air traffic controllers, telling them "Good night, Malaysian three-seven-zero."

The sources said there was nothing unusual about his voice, which conveyed no indication that he was under stress.

One of the sources, an official involved in the investigation, told CNN that police played the recording to five other Malaysia Airlines pilots who knew the pilot and co-pilot.

"There were no third-party voices," the source said.

Imagining the search underwater

Search area shrinks

Up to 12 military aircraft, three civil aircraft and 13 ships were assigned to assist in Friday's search for the Boeing 777-200ER, which was carrying 239 people when it vanished on March 8 on a fight from Kuala Lumpur, Malaysia, to Beijing.

There were no sightings reported by search aircraft or objects recovered by ships Thursday, the Joint Agency Coordination Centre said.

Friday's search area was about 18,000 square miles (46,600 square kilometers), centered 1,436 miles (2,311 kilometers) northwest of Perth.

That's far smaller than the search area's size a few weeks ago.

"It's pretty incredible if you look at where we started, which was virtually the entire Indian Ocean. Now getting it down to what's essentially a couple hundred square miles (where the pings have been detected) is pretty miraculous," Marks said.

The Ocean Shield first picked up two sets of underwater pulses April 5 that were of a frequency close to that used by the locator beacons. It heard nothing more until Tuesday, when it reacquired the signals twice. The four signals were within 17 miles of one another.

As the search continues, a U.S. Navy ship will help provide supplies and fuel to the ships that are looking for the missing plane.

The USNS Cesar Chavez will help supply Australian naval ships involved in the search "in the coming days," the Navy said in a statement.

That's probably a sign that search teams are preparing for a lengthy hunt, analysts said.

Tracking pings is only one early step in the hunt to find the plane's data records, wreckage and the people aboard.

"I think they're getting ready for the long haul," said Goelz, the aviation analyst. "Even if they do get four or five more pings, once they drop the side-scanning sonar device down, that is going to be painstaking and long. So I think they are settling in for the long search."

As the focus narrows, more questions emerge in search for Malaysia 370

The hunt for a Flight 370 ping: How they are doing it

How deep is deep? Imagining the MH370 search underwater

CNN's Catherine E. Shoichet, Michael Holmes, Ben Brumfield, Barbara Starr, Aaron Cooper, Rene Marsh, Will Ripley, David Molko and Elizabeth Joseph and journalists Ivy Sam and Chan Kok Leong contributed to this report.

@highlight

NEW: Transparent communication is 'to our country's credit,' Australian leader says

@highlight

Abbott: 'High degree of confidence' that the detected signals are from the black box

@highlight

"We're optimistic," U.S. Navy commander says

@highlight

Saturday's search area is 41,393 square kilometers (16,000 square miles)