LONDON, England -- Malaria is preventable and curable, yet every 30 seconds, a child in sub-Saharan Africa dies from the disease, according to the World Health Organization.

The Roll Back Malaria partnership has pledged money for nets, anti-malarial treatments and research for a vaccine.

Last year on April 25, the World Malaria Day initiative was launched to raise awareness of the disease and efforts to control malaria around the world, as part of the Roll Back Malaria partnership -- a global group of non-governmental organizations (NGOs) and governments.

The groups behind Roll Back Malaria set ambitious goals to ensure universal access to malaria medication and treated mosquito nets in Africa by the end of 2010.

They also announced plans to attain near zero malaria-related deaths by 2015. According to the WHO, the malaria currently kills one million people every year.

As the second World Malaria Day approaches, how successful has the Roll Back Malaria partnership been in its aims?

Certainly, in the past two years, rapid progress has been made in malaria control, including a 60 percent decrease in malaria-related deaths in some countries such as Ethiopia and Zambia, according to figures from the WHO.

Richard Feachem is director of the Global Health Group, an organization launched to design malaria control programs in developing countries.

Writing in the medical journal Lancet, he said: "Overall, we have many reasons to be optimistic.

"Except for those countries that are politically dysfunctional or suffering major conflicts, the 61 malaria control countries in the heartland will make great progress in reducing death and sickness from malaria over the next 10 years."

"The challenge now is the implementation gap between political commitment, ambition, and availability of funds, and the capacity at ground level to do the work that needs to be done."

The Roll Back Malaria partnership's profile has also been raised by the surge of new NGOs such as Malaria No More, and their partnerships with international celebrities. Footballer David Beckham and actor Ashton Kutcher recently lent their support to the cause.

Earlier this month, Kutcher won a Twitter race against CNN to reach one million followers. The actor pledged 10,000 mosquito nets to Malaria No More, if he beat CNN, and 1,000 if he lost. CNN agreed to do the same.

CNN's founder Ted Turner's United Nations Foundation has also donated $2 million to deliver insecticide-treated bed nets to more than 630,000 people in African refugee camps.

"Since last year, we have achieved enormous progress in many countries by donating money, assistance and monitoring progress," executive director of Roll Back Malaria, professor Awa-Marie Coll-Seck, told CNN. Read our malaria A to Z guide

And last week, the partnership decided on a new plan to subsidize anti-malarial medication in 11 African countries at first, where one treatment dose now costs $10 in the private sector, more than many Africans earn in a week.

"We will negotiate with pharmaceutical companies to make them reduce the price of anti-malarial medication" said Coll-Seck, a former Senegalese Health Minister.

As a result, the price of medication will be expected to drop to at least a tenth of its current price.

To achieve all its goals, Coll-Seck says the partnership needs $5 billion. They have already received $2 billion from the Global Fund to Fight AIDS, Tuberculosis and Malaria, the United States Presidential Malaria Initiative -- launched by President Bush in 2005 -- and foundations like the Bill & Melinda Gates Foundation.

"I think that achieving zero deaths by 2015 is a very ambitious goal," Awa explained, "but I believe at least several countries will be able to achieve it. On a global scale, we still need progress."

Janet Hemingway, CEO of the Innovative Vector Control Consortium at the Bill & Melinda Gates Foundation, believes the Roll Back Malaria partnership was right to strive for such ambitious targets.

"We have to strive for these goals" she told CNN, "because unless they set these goals, we're never going to achieve them.

"Now it's up to us on the ground to make them happen."

@highlight

As World Malaria Day approaches, many are optimistic about ending malaria deaths

@highlight

In the past two years, rapid progress has been made in malaria control

@highlight

Some countries like Zambia have reported a 60 percent decrease in malaria deaths