(Parenting.com) -- In a new policy statement published in the April 2011 issue of Pediatrics, the American Academy of Pediatrics now advises parents to keep toddlers in rear-facing car seats until age 2, or until they exceed the height or weight limit for the car seat, which can be found on the back of the seat.

Previously, the AAP advised parents to keep kids rear-facing as long as possible, up to the maximum limit of the car seat, and this has not changed.

But it also cited one year and 20 pounds as the minimum for flipping the seat, which many parents and pediatricians interpreted as conventional wisdom on the best time to make the switch.

The new policy clarifies the AAP's recommendation, making age 2 the new guideline -- a real game-changer for parents of toddlers.

A 2007 study in the journal Injury Prevention found that children under age 2 are 75 percent less likely to die or to be severely injured in a crash if they are rear-facing. Another study found riding rear-facing to be five times safer than forward-facing.

"A rear-facing child safety seat does a better job of supporting the head, neck and spine of infants and toddlers in a crash, because it distributes the force of the collision over the entire body," said Dennis Durbin, M.D., F.A.A.P., a pediatric emergency physician and co-scientific director of the Center for Injury Research and Prevention at The Children's Hospital of Philadelphia and lead author of the policy statement and accompanying technical report.

Recall Finder: Check if your child's car seat has been recalled

Parenting talked to Ben Hoffman, M.D., associate professor of pediatrics at the University of New Mexico in Albuquerque and a child passenger safety technician, to get answers to parents' most pressing questions about the new policy.

Although the new baseline is now age 2, the AAP has advised parents since 2002 to keep kids rear-facing until they reach the height or weight limit of their car seat. Why are parents so eager to turn their car seats?

"Parents are interested in milestones, and the minimum of one year and 20 pounds has been interpreted as gold standard instead of the minimum," says Hoffman. "Parents are always looking for the next stage of development because in every other scenario, that's a good thing. With car safety seats, however, that's often not the case."

But isn't forward-facing easier for everyone?

Yes, it's easier to interact with your child when she is facing forward, and less awkward to get her into the seat. But safety should be the main concern. "I would ask parents to consider the protection of the child in addition to comfort," says Hoffman. "It's minimally acceptable to change to forward-facing at a year, but parents can do better than that."

New infant and convertible car seats to keep your child safe

What about squished legs?

Kids who have been only rear-faced will most likely not be bothered, since they don't know anything else. And it's completely fine for their feet to touch the seat back, or for their legs to bend. "Once you make the switch, it's hard to go back, so try not to ever switch them before they are ready," says Hoffman.

Why are so few parents aware of even the older guidelines that say kids should stay rear-facing as long as possible?

There may have been some confusion with the message, with many parents mistaking the minimum for the ideal age to make the switch. The AAP hopes that by making age 2 the new guideline, the message will be less confusing for parents and for pediatricians.

If my child turns 2 before he reaches the height or weight limit for the seat, should I keep him rear-facing?

Yes. The safest decision is to keep him rear-facing until he reaches the height or weight limit for the seat.

10 Car Seat Mistakes You May Be Making

If my child reaches the height or weight limit for my seat before age 2, what should I do?

Once your child exceeds the height and weight limit of his infant car seat, purchase a convertible car seat with a higher height or weight limit (most go to 35 pounds rear-facing) and continue to use it rear-facing until age two, or until your child hits the height or weight limit for rear-facing use. At that point you can make the switch to forward-facing-- or you can purchase a convertible car seat with a higher weight limit for rear-facing (some go up to 45 pounds). "That's a very personal decision for the parent," says Hoffman, one that may also be influenced by the size of your car, the arrival of a younger sibling, or your budget.

What should I do if I've already switched my under-2 child for forward-facing?

The best advice is for parents to consider switching their child back to rear-facing. But the next best thing is to, at a minimum, make sure you correctly use the seat you have: Make sure the seat is harnessed tightly to the vehicle, that the harness is snug over the child and the chest clip is in the correct position, and that the seatbelt or LATCH system are installed correctly.

Why didn't my pediatrician tell me about this?

"Pediatricians should be talking about this," says Hoffman. "But given everything else that needs to happen in a well-child visit, sometimes this message gets left behind. I would love to see a day where every family-care health provider knew the best possible advice and shared it with their patients."

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

American Academy of Pediatrics now advises to keep toddlers in rear-facing car seats until 2

@highlight

Children under 2 are 75% less likely to die or to be injured in a crash if they are rear-facing

@highlight

Squished legs? Kids who have only been rear-faced will most likely not be bothered