(CNN) -- Thailand is bracing for a critical showdown, as anti-government protesters vow to occupy key Bangkok locations for a month beginning Monday, in a massive show of political might intended to shut down the capital and force an end to the political deadlock gripping the nation.

1. Why are the protesters demonstrating?

Since the government's botched attempt to pass a controversial amnesty bill in November, protesters have been taking to the streets and occupying government buildings, calling for an end to the elected government of Prime Minister Yingluck Shinawatra. They accuse Yingluck of being a puppet of her brother, the ousted prime minister and telecommunications billionaire Thaksin Shinawatra, who was overthrown in a 2006 military coup.

In response to the crisis, Yingluck dissolved parliament on December 9, calling new elections to be held on February 2. But the move failed to mollify protesters, with the opposition Democrat Party, closely aligned with the protest movement, announcing a boycott of the vote.

Led by Suthep Thaugsuban, a former deputy prime minister and Democrat MP who resigned his parliamentary seat in November to spearhead the protests, the demonstrators are demanding that no elections be held until major political reforms are implemented.

2. Why are the opposition refusing to participate in the polls?

Protesters contend that Thaksin's immense fortune has allowed him to warp Thailand's fragile democracy in his own interests, giving him an unfair advantage and making substantial reform necessary..

Suthep has outlined his preferred vision for the current government to be replaced by an unelected "people's council," made up of representatives from various professions and led by a prime minister appointed by the Thai king. The council would be charged with implementing a wide-ranging program of reform, including restructuring the police force and decentralizing power to provincial governors.

But observers say that the Democrats would be unlikely to win anyway against Yingluck's Pheu Thai party, which commands significant support in the populous rural areas of north and northeast of Thailand. Thaksin-affiliated parties have consistently triumphed in parliamentary elections since 2001.

3. How ugly are Monday's protests likely to get?

The specter of the 2010 crisis, when a crackdown by security forces on pro-Thaksin "red shirt" protesters occupying upscale parts of Bangkok left about 90 dead, looms large over the current impasse.

But despite the high tensions, the recent protests have been largely peaceful, with eight deaths in contrast to the bloodshed of 2010.

Back then, the protesters immobilizing Bangkok were supporters of Thaksin; this time, they are opponents of the tycoon and his sister. The pro-Thaksin "red shirts" remain players in the current crisis, however, with rallies in support of Yingluck's government scheduled to be held around the country this weekend.

Organizers have told state media they will not protest near the anti-government demonstrations Monday; similarly, Suthep has similarly promised the anti-government protesters will be peaceful, assuring Thai state media the demonstrators will be non-violent, unarmed and restricted to seven locations in the capital.

Nevertheless, the U.S. Embassy has issued an advisory to its citizens to avoid demonstration areas, warning that while recent protests had been generally calm, they had the potential to "escalate into violence without warning."

"Most of the protestors will be peaceful," said Bangkok Post political columnist Voranai Vanijaka. "It's the few in the militant wing that we have to watch out for."

The U.S. and other Thai allies have been urging the country to resolve the deadlock by proceeding with democratic elections.

4. How much support remains for Suthep?

After months of political instability, Thais are growing weary of the impasse, says Vanijaka.

"The support for Suthep is waning ... because many have begun to see that this is a road that leads to nowhere except for achieving changes through intimidation and violence, and possibly a military or judicial coup," he said.

Nevertheless, he said, Suthep still drew strong support from his political base, broadly drawn from Bangkok's middle classes and members of the old establishment threatened by Thaksin's rise.

"Suthep can still command a large number in the streets," he said.

5. Where's the military in all this?

Observers are watching keenly as to whether Thailand's military, which dislodged Thaksin from office in 2006 and has launched more than a dozen coups or attempted coups during the country's democratic era, will play a similarly decisive role in breaking the current deadlock.

The army has thus far declared itself neutral in the conflict, and has proven reluctant to assist in defending government agencies from protesters.

6. What triggered the current crisis?

Yingluck's prime ministership was largely stable until her party attempted to pass a controversial amnesty bill in November.

The bill would have nullified Thaksin's corruption conviction, allowing him to return to the country. The tycoon has been living in exile in a number of different locations, most recently Dubai, while continuing to play an active role in Thai politics, since being sentenced in absentia to two years jail over a controversial land deal in 2008.

7. How is the crisis impacting Thailand's economy?

The Thai economy is already feeling the effects of months of turmoil since November, said Capital Economics economist Krystal Tan, with the tourism sector suffering and significant investments in infrastructure projects deferred.

While Thailand, southeast Asia's largest economy, had rebounded well economically from crises in 2006 and 2010, the picture was less rosy this time. "The difference this time around is the economy wasn't in good shape even before the crisis," said Tan. "Thailand has very high household debt; exports are not quite picking up."

"The longer the impasse lasts, the worse it is for the economy," she said.

CNN's Jethro Mullen and Kocha Olarn contributed to this report.

@highlight

Anti-government protesters plan to occupy key areas to "shut down" the Thai capital

@highlight

They hope to break the political deadlock gripping the country; force Yingluck's government from office

@highlight

Protesters allege Yingluck is a puppet of her brother, former PM Thaksin

@highlight

Observers say some Thais are growing wearing of the protests months into the political crisis