(CNN) -- The opening ceremony of the 1998 Africa Cup of Nations was unforgettable -- not so much for the color and performers that enlivened Burkina Faso's national stadium, more for the unexpected events that unfolded in front of the watching FIFA president.

With Burkina Faso's team side nicknamed the Stallions, Sepp Blatter watched a rag of horses dance across a naked pitch as an unfortunate local traipsed behind them, using his hands and a cardboard box to clear the dung falling on a surface that would be staging an international match just moments later.

The scenario was one that could have endangered any player's well-being but very little was made of it -- for this was a tournament where things have been, and always will be, a little different.

In years gone by, a variety of bizarre incidents have often fed the western media's desire to pour scorn on an ever improving tournament -- as accusations of witchcraft have overshadowed matches (see Nigeria vs. Senegal in 2000), players have been sent off for assaulting medical staff and organizers have taken to painting bald turf green to make pitches look better on television.

That is not to mention the wild defending, tackling and haircuts that have long decorated Africa's biggest sporting event in years gone by nor, more seriously, the terrible gun attack on the Togo team bus that killed two delegation members in Angola two years ago.

Somewhat unusually though, the 2012 finals will be remembered for all the right reasons -- namely, the fairytale triumph of unfancied Zambia in Gabon, a land where 18 members of the national team had died in a 1993 plane crash.

World Cup motivation

On Sunday, the line up for the next tournament will be complete once 15 teams successfully negotiate a variety of tense playoffs and join hosts South Africa in the finals.

Premier League managers will again warm their larynges prior to their habitual howl about the event taking place in the middle of the European season -- but for once, the timing of the next tournament really is key.

For the decision by the Confederation of African Football to move the Nations Cup to an odd-ending year means it will end its reign as the only continental championship to stage its final just four months before the World Cup.

Given that the last Nations Cup to take place in an odd year pre-dated the 1966 World Cup, which Africa boycotted in protest at its meagre allocation of half a qualifying berth given they were required to face an Asian country in a playoff, the decision to move the biennial tournament is long overdue.

The primary reason was of course to assist Africa's teams at the World Cup, with a variety of players, coaches and conditioning experts having long opined that it is near impossible for international footballers to peak -- both physically and performance wise -- at two major tournaments so close together.

Then there was the issue of how poor Nations Cup displays by World Cup bound sides could lead to the firing of coaches with just weeks to go before football's greatest showpiece got underway, as has happened repeatedly down the years.

However, Africa's continuing failure to triumph at a World Cup lay at the heart of the decision, with the continent having never reached the semifinals -- gallingly failing to emulate Asia's breakthrough when hosting in 2002 despite the last finals taking place on African soil.

Yes, Cameroon, Senegal and Ghana may have all reached the last eight (in 1990, 2002 and 2010 respectively) but a more revealing statistic is that no World Cup has ever found more than one African side in the knock-out stages.

This is despite the African tally having gone up to two in 1982, increased to three in 1994 before reaching today's tally of five in 1998 -- while South Africa's World Cup staging allowed for a record six African teams in 2010.

The South Africans will once again host in January, when the 29th Nations Cup will kick off just 11 months after the 28th.

The restricted time limit - in a year when Africa's road to the 2014 World Cup also began - has led to a heavily condensed qualifying campaign, with the usual league format replaced by two rounds of knock out playoffs.

Full stadiums

The draw has meant that one of two big West African sides will not qualify since Didier Drogba's Ivory Coast, beaten finalists in February, are taking on the Senegal of Papiss Demba Cisse and Demba Ba, with the visitors taking a 4-2 lead to Dakar this weekend.

Other absorbing ties include Cameroon's home clash with Cape Verde, with the four time champions currently trailing the islanders 2-0 and celebrated striker Samuel Eto'o an injury doubt, while Zambia are by no means guaranteed to defend their title at the championship since they take a narrow 1-0 first leg lead to Uganda.

After South Africa took over the 2013 finals from war ravaged Libya, the country's chief Nations Cup organizer declared "priority number one is full stadiums, full stadiums, full stadiums", with low attendances having often blighted previous tournaments.

Now Cape Town may be awash with international tourists in January, a month when the sun is at its height, and boast a stadium that hosted a World Cup semifinal but the city will have no Nations Cup role to play -- with matches taking place in Durban, Johannesburg, Nelspruit, Port Elizabeth and Rustenburg instead.

When the latter venue attracted just 7,500 fans for a South African World Cup qualifier earlier this year, extra ammunition was given to those who argue that the ruling African National Congress government overlooked Cape Town simply because it is run by their bitter political rivals -- the Democratic Alliance.

It is not the only area where South Africa falls down, for the country's captain, Steven Pienaar, quit international football this month to concentrate on his club career with Everton -- a real kick in the teeth for both the tournament and South African fans whose struggling team have failed to qualify for the last two Nations Cups.

South Africa won the competition when they last staged it in 1996 but crowds were pitifully low, despite the presence of continental legends like Liberia's George Weah -- the only African to have ever been crowned World Footballer of the Year -- and Ghanaian greats Abedi Pele and Tony Yeboah.

After hosting the World Cup, South African organizers frequently claimed that their football would never be the same again but local fans need to come out in force in three months' time if substance is to be added to comments which should not seem so fanciful.

Yet the real impact of the 2013 Nations Cup will take place long after the event -- as African teams walk out at the 2014 World Cup in Brazil, with lighter legs and a theory to prove.

@highlight

Line up for African football's showpiece event, the Cup of Nations, to be determined by Sunday

@highlight

Nations Cup has moved from even to odd years in a bid to avoid clashing with World Cup

@highlight

Tournament accounts for roughly 75% of Confederation of African Football's revenue

@highlight

Only one of West African giants Ivory Coast and Senegal can qualify