Scottsdale, Arizona (CNN) -- Not too long ago, it seemed this week's meeting of the Republican National Committee in Arizona might be consumed with squabbles about delegate math and anxious hand-wringing over the long and acrimonious presidential primary fight.

Instead, it's looking more and more like a Mitt Romney pep rally in the making.

With Romney now on a sure path to the nomination thanks to the departure of his top rival, Rick Santorum, GOP leaders from every state will begin gathering Thursday at a posh Scottsdale resort to plot out general election strategy with the former Massachusetts governor as their standard-bearer.

Romney will address the meeting of state Republican Party chairmen at a Friday luncheon that is sure to be the event's biggest draw.

Later that evening, the presumptive nominee will venture into Phoenix raise money for the joint "Victory Fund" he established with the RNC. A minimum donation of $50,000 is being requested.

U.S. Sen. John McCain of Arizona will also speak at the three-day conference, an appearance that one RNC member described as the "passing of the torch" from one Republican presidential nominee to the next.

CNN Poll: Republicans divided on vice presidential choice

National party officials, stressing their neutrality even though the RNC and Romney campaign aides have already informally started planning their joint efforts for the general election, pointed out that Newt Gingrich and Ron Paul were invited to the summit and will have emissaries here.

Both candidates are clinging to their tiny share of delegates and hoping for an upset at the party's convention in August.

But most of the Republicans trekking to Arizona for the meeting say that it's time to move on to the next chapter of the campaign.

"It's clear that there is no likely scenario under which Romney will not be the nominee. He has won it," said Tennessee National Committeeman John Ryder.

"The committee will be meeting and doing its work, that's the official business," Ryder told CNN. "But I think a major focus of this meeting will be for people to start to come together behind the nominee and get ready for the contest in November."

Saul Anuzis, a national committeeman from Michigan, said the Romney speech on Friday should be a "rallying point" for Republicans in Scottsdale.

"This is an opportunity to bring the party together behind Romney and pull everyone toward the general election," said Anuzis, who endorsed the former Massachusetts governor early in the primary process.

Not every RNC member is ready to fall in line.

Some, such as Iowa National Committeeman Steve Scheffler, still harbor suspicions about Romney's conservative convictions and refuse to call him the nominee until he has accumulated the 1,144 delegates needed to secure the nomination.

"If and when he is the nominee, I will support him," Scheffler said. "But he is not the nominee. We are five months away from the convention or roughly that, so I don't think its bad thing for these other candidates to be in the race. Someone needs to hold Romney's feet to the fire on some of these issues."

His reluctance to support Romney was a rarity among the nearly two dozen RNC members and state party chairmen who spoke to CNN about the state of the race.

Now that they have their horse in Romney, most said they are excitedly gearing up for the fall election against President Barack Obama.

Romney on November showdown: 'It's going to be fun'

The RNC, which for decades has been the main vehicle for Republican get-out-the-vote operations in presidential elections, is using the chairmen's meeting to showcase their plans for the race.

RNC political aides will brief state party leaders on their national campaign machinery, region by region. New technological initiatives will be unveiled. Committee finance officials will explain how they plan to keep pace with Obama's impressive fundraising muscle and fund the Tampa, Florida, convention.

There will be training sessions, speeches from Arizona Gov. Jan Brewer and Nevada Gov. Brian Sandoval, a political briefing hosted by GOP pollster Frank Luntz, and plenty of late night margaritas.

In the eyes of many RNC members, the Republican primary fight and the heated debates over new delegate rules that allowed the nomination process to drag on for months already seem like distant memories.

But they will still meet several times this week to evaluate what worked during the primary battle and what needs to be fixed.

"Having gone through the primary and seen where there were some holes and weaknesses, I think it's mainly the intention of our members to try and strengthen that up so there are fewer questions the next time around," said Arizona National Committeeman Bruce Ash, the chairman of the RNC Rules Committee.

Members will discuss the possibility of toughening penalties for primary states that violate RNC calendar rules.

They will also examine whether to tweak the delegate rules that governed the nomination process and sparked a series of mathematical disputes between Romney, Santorum, Gingrich and Paul.

At a meeting of the rules committee scheduled for Thursday, one amendment will be introduced to protect four early voting states -- Iowa, New Hampshire, South Carolina and Nevada -- from penalties if they decide to move their contest dates without RNC approval.

Another proposed amendment would completely scrap the rule that some primary states allocate their delegates proportionally instead of "winner-take-all," a measure that lengthened the 2012 nomination fight by forcing the Republican candidates to hunt for delegates in more states than they did in 2008.

Even if the rules committee recommends changes to the 2016 nomination process, those adjustments would not face a formal vote until August, when the full RNC meets ahead of the party's national convention.

In the meantime, there is some consensus inside the committee that despite the damage done to Romney's approval ratings among certain key groups such as Hispanics and women, the primary process largely worked as it was supposed to work.

"I think amongst the members, they feel that the proportional rules have been to the benefit of properly vetting the candidates, and they feel that that's a good thing for the process," said one influential RNC member who did not want to be named revealing private discussions.

Ryder, the committeeman from Tennessee, said the extended primary battle was a boon to Romney.

"It gives his candidacy greater legitimacy than it would have had he been deemed the presumptive nominee after just a few early states in January," he said. "If that had been the result, there would have been a large number of Republican voters who would not have considered him to be a legit nominee. He had to compete. He won some, he lost some. But he won it fair and square."

@highlight

Republican National Committee is meeting in Arizona this week

@highlight

What looked like an anxious gathering now turning into a Mitt Romney pep rally

@highlight

Romney will speak Friday at a luncheon; John McCain will be at summit, too

@highlight

Republicans will also examine their primary rules that resulted in extended contest