(CNN) -- Painted sky-blue, these small flying machines may look like toy planes but they have South Korea scrambling to secure its airspace.

In recent weeks, South Korea's defense ministry has discovered three crashed unmanned aerial vehicles (UAVs) that it believes belong to Pyongyang. Equipped with Japanese-made digital cameras, the drones captured images of important military installations and South Korea's presidential office in Seoul, according to local media reports.

South Korea says the aircraft are a sign of Pyongyang's heightened surveillance that should be taken seriously, and yet officials and experts suggest the drones pose little, if any, real threat.

"The small drones, presumed to have come from North Korea, don't really have great military significance," a spokesperson for South Korea's defense ministry, Kim Min-seok told reporters on Tuesday.

"Even if they are to be used for future attacks,(they) can only carry 2-3 kilograms of TNT and cannot cause a huge (amount of) damage," he said.

Unmanned drone crashes on South Korean border island

The machines are made of polycarbonate, which is difficult to detect with radar, according to South Korea's Yonhap news agency. The vehicle, which flies at an average speed of about 110 km per hour at an altitude of 1.3 km, is controlled by a basic transmission system but isn't sophisticated enough to send images instantaneously.

"Even if it is used for reconnaissance with a camera attached, the quality will be no better than information collected by commercial satellites," said Kim.

"Also, there is a limit to how much it can be utilized in operations because they don't have (a) real-time transmission function."

Of the three drones, two have turned up images of targets of military significance -- strategically important islands near the Demilitarized Zone, and the Blue House, residence and office of South Korea's President Park Keun Hye.

The data from the third drone, which had been found by a wild ginseng digger, could not be analyzed as its discoverer had wiped the camera's memory card for his own use, the Korea Times reported.

According to James Hardy, the Asia Pacific editor of IHS Jane's Defence Weekly magazine, this type of UAV can only travel limited distances.

"It has quite a small range, it doesn't have very long endurance so it would only be up there for a few hours. You would use those to see what the other guys are doing in a battlefield environment. So it's very useful in terms of knowing what's going on behind the next hill, or the next mountain or even over the other side of a wall."

Most armies have unmanned vehicles like these to varying degrees, says Hardy, but they're not designed to be armed.

"They're very much closely built off a remote-controlled aircraft that you can buy in a toy store. They're just a militarized version of that," Hardy said.

11 North Koreans missing after cargo ship sinks

Flying bombs?

North Korea has flaunted similar, larger UAVs at military parades in recent years. These target drones are designed to test how well pilots can shoot at a moving object, or the accuracy of missiles. But it seems the North Koreans have reverse-engineered them with explosives, says Hardy.

"The way in which those have been used or have been modified by some countries is that they put an explosive in the front, so they do turn it into a flying bomb or a flying missile. So it's got a one-way mission -- you can fly it somewhere and then you can crash it."

Video footage shows North Korean exercises uses them for this purpose, but it's an expensive way to build a bomb, says Hardy. "You get one use out of it."

The explosion, depending on the charge and the level of sophistication of the charge, would be only big enough to take out a single vehicle or a ship.

"UAVs are a major part of the modern battlefield. We just have to look at how the U.S. uses them in Pakistan and Yemen and Afghanistan, but the UAVs that the U.S. is using are significantly more sophisticated. There's no comparison really."

Some analysts have also suggested North Korea could use UAVs to carry out a chemical or biological attack on the South. But Hardy doubts it would come to that.

"If North Korea did a chemical or biological attack on South Korea in any kind of situation, the United States and South Korea would respond with a massive amount of force...You would have the world's largest military on your doorstep very quickly."

South Korea investigates two suspected North Korean drones

South Korea bolsters air defense network

The discovery of the drones comes amid mounting tensions across the 38th parallel. Annual U.S.-South Korean joint military drills that ended on April 7, drew criticism from North Korea, which views the exercises as "dress rehearsals for invasion," according to James Person, coordinator of the North Korean International Documentation Project at the Woodrow Wilson Center.

Two weeks ago, Pyongyang fired two mid-range ballistics missiles off its eastern coast, in apparent response to the drills. Days later, the two sides exchanged hundreds of shells across the Northern Limit Line, their disputed maritime border, after North Korea warned it was preparing to test another nuclear device.

"This time of year is provocation season," says Hardy.

"It's all good stuff because it allows the North Koreans to do something provocative and slightly annoying which might embarrass South Koreans, but it's not provocative enough to create a proper military response."

But South Korea is taking precautions to secure its airspace.

In a weekly meeting with senior aides Monday, South Korea's President Park Keun Hye warned that insecurities among many citizens, especially those living near the border, are growing in light of the recent provocations from North Korea.

"Drones suspected of belonging to North Korea appeared to have spied in all directions, but our military authorities were completely in the dark about this," she said. "I think there are problems with the air defense and ground reconnaissance systems.

"We should view it seriously that North Korea has fired missiles and strengthened reconnaissance. To prepare for the possibility of additional provocations, we need to come up with measures to immediately block and repel any provocations."

On Monday, South Korea's military launched an expansive search for further drones. Two days later, a spokesperson for the defense ministry told CNN that South Korea plans to purchase low-altitude radar to improve the country's ability to detect small UAVs. He declined to say how many or where the radar would come from.

South Korea's own reconnaissance drone program includes a deal to buy four Global Hawk UAVs from Northrop Grunman Corp for over $800 million.

Person, from the Woodrow Wilson Center says that if the drones are from North Korea, it is a violation of the armistice agreement and South Korea should be concerned that its airspace was violated. "But given just how low-tech these things are, I don't think South Korean officials are so very concerned right now," he said.

Stella Kim reported from Seoul; Sophie Brown reported and wrote from Hong Kong.

@highlight

South Korea suspects that three drones discovered in recent weeks belong to North Korea

@highlight

The unmanned aircraft are fitted with digital cameras, difficult to detect with radar

@highlight

Experts say the drones are low-tech and pose little threat

@highlight

Seoul is bolstering its air defense network in light of the discovery