About 10.3 million Americans gained health coverage this year, primarily as a result of the Affordable Care Act, according to a study by the federal government and Harvard University, published Wednesday in the New England Journal of Medicine.

The estimate of newly insured adults — the largest to date — is the first published in a major medical journal and authored by some federal health researchers.

The federal government had previously reported that about 8 million people bought private health plans on the state and federal exchanges and 6.6 million additional people enrolled in Medicaid since last October. But it has not estimated how many of those had been previously uninsured.

The Obama administration took pains yesterday to say that the views of the study's authors are not those of the administration -- even as it hailed their findings.

FAQ: What the Obamacare court decisions mean for you

"We are committed to providing every American with access to quality, affordable health services and this study reaffirms that the Affordable Care Act has set us on a path toward achieving that goal," Health and Human Services Secretary Sylvia Burwell said in a statement. "This study also reaffirms that expanding Medicaid under the Affordable Care Act is important for coverage, as well as a good deal for states."

The study found that the number of uninsured adults fell by a little over 5% nationally, from 21% in September 2013 to 16.3% in April 2014, with the most significant declines in the 26 states that expanded Medicaid under the health law.

While all groups saw reduced uninsurance, the largest changes occurred among Latinos, blacks and adults between the ages of 18 and 34 -- groups that had been targeted for outreach, the study found.

The analysis was based on data from a Gallup-Healthways Well-Being Index, a daily telephone survey of more than 400,000 adults conducted from January 2012 through June 2014, which the researchers purchased from Gallup. It also took into account other surveys and changes in the economy and trends in insurance coverage.

Researchers stressed the data's limitations, saying the estimate might range from 7.3 to 17.2 million adults depending on the assumptions. They noted that the Gallup-Healthways data does not include information on children's insurance coverage. It also doesn't take account of the young adults who were able to stay on their parent's policies because it does not go back before 2012.

CNN Poll: Is Obamacare working?

"The Gallup data, which draws on an enormous sample, paint a compelling picture, finding a substantial drop in uninsurance since the beginning of the first open enrollment period, precisely where we would expect to see it -- in states that expanded Medicaid coverage and in income groups targeted by Medicaid or the new subsidies for coverage," said Genevieve Kenney, a senior fellow at the nonpartisan Urban Institute.

The analysis found that more adults (approximately 4.4 million) also reported having a personal doctor and fewer (5.3 million) reported experiencing difficulties paying for medical care.

"The pattern of coverage gains was consistent with the effects of the ACA, with major gains for persons likely to be eligible for expanded Medicaid on the basis of their income and state of residence, but smaller and nonsignificant changes for low-income adults in states without Medicaid expansion," the study said.

About 48 million Americans, or 15.4% of the population, lacked health insurance in 2012, according to the latest Census Bureau report from last year.

Why court's blow to Obamacare won't stick

@highlight

According to a joint study, 10 million Americans gained health coverage this year

@highlight

The gain was due primarily to the Affordable Care Act

@highlight

There was a 5% drop in uninsured adults from September 2013 to April 2014