(Health.com) -- The million-plus U.S. adults who take medication for attention deficit hyperactivity disorder (ADHD) do not appear to be increasing their risk of heart attack or stroke, as some experts have feared, according to a new study published today on the website of the Journal of the American Medical Association.

Stimulant medications -- a class that includes Ritalin, Adderall, Concerta, and their generic versions -- and the non-stimulant drug Strattera have all been shown to slightly raise blood pressure and heart rate, which can contribute to heart problems.

Researchers haven't conclusively linked these side effects to heart attacks, strokes, or sudden death from heart-related causes, but the Food and Drug Administration (FDA) has received numerous reports of these and other heart problems in people taking stimulants for ADHD.

In 2006, the FDA ordered stimulant manufacturers to add warnings about potential heart risks to their product labels, although the agency stopped short of requiring the so-called black box warning an advisory panel had recommended.

Health.com: 15 signs you may have adult ADHD

The new study, which was funded and partly overseen by the FDA and other federal health agencies, is the largest of its kind to date and seems to bear out the FDA's decision to opt for a milder label warning.

Researchers at several large health insurers across the nation analyzed the medical and pharmacy records of 443,198 people between the ages of 25 and 64, roughly one-third of whom had filled prescriptions for stimulants or Strattera.

After controlling for other factors that can increase cardiovascular risk (such as smoking), the authors found no increase in heart attack, stroke, or sudden cardiac death rates among people who were currently using an ADHD drug. Nor did they find any differences in cardiovascular risk among people who had taken ADHD medications in the past and those taking them currently.

Health.com: The worst habits for your heart

Although the findings should allay the fears of people taking these medications, the study doesn't entirely rule out the possibility of small increases in heart risk, says lead author Laurel Habel, Ph.D., a research scientist with the Kaiser Permanente Division of Research, in Oakland, Calif.

"Our study suggests that these drugs are not associated with a markedly elevated risk, but we can't say that they're completely safe," Habel says. "It makes sense for patients and doctors to talk about the potential risks."

The study had several limitations that prevent firmer conclusions about the drugs' safety. The researchers couldn't confirm that the participants actually consumed the prescriptions they filled, for instance, and they followed the participants for an average of just 16 months.

"That's not a very long time for looking at cardiovascular risk, because cardiovascular risk extends over many years," says Robert Myerburg, M.D., a professor of medicine and physiology at the University of Miami Miller School of Medicine.

Health.com: Surprising heart attack risks

And despite being very large, the study may not have been big enough to detect small increases in risk, since heart attacks and other serious cardiovascular problems are relatively rare, says Philip Shaw, M.D., an ADHD researcher at the National Institute of Mental Health who wrote an editorial accompanying the study. Indeed, only 2,228 of the study participants -- one-half of 1% -- experienced a heart attack, stroke, or sudden cardiac death.

More than 1.5 million adults in the United States take stimulants, according to the study. Most take the drugs for ADHD, although doctors sometimes prescribe stimulants off-label for depression-related fatigue, narcolepsy, and other conditions.

Health.com: Adult ADHD? Tips for increasing your focus

Although children with ADHD have received the lion's share of attention from researchers and public-health officials, adults accounted for one-third of all prescriptions for ADHD medications in 2005. A previous study by the same group of researchers found no link between ADHD drugs and serious cardiovascular events in children and young adults, Shaw notes in his editorial.

People who take ADHD medications should continue to be aware of less serious side effects, such as insomnia and loss of appetite, Shaw says. But, he says, the study is "very reassuring" regarding cardiovascular risk.

Copyright Health Magazine 2011

@highlight

Stimulant medications have all been shown to slightly raise blood pressure and heart rate

@highlight

In 2006, FDA ordered stimulant manufacturers to add warnings to their product labels

@highlight

But recent large study authors found no increase in heart attack, stroke, or sudden cardiac death rates