(CNN) -- When President Obama called for a world free of nuclear weapons in Prague, Czech Republic, this spring, many dismissed this part of his speech as idealistic rhetoric.

But the abolition of nuclear weapons is not an unrealistic fantasy. It is a practical necessity if the American people are to have a secure future. President Obama should use his Nobel speech this week to reaffirm his commitment to this essential and obtainable goal.

It is essential because a world armed with nuclear weapons is simply too dangerous for us to countenance. Since the end of the Cold War we have tended to act as though the threat of nuclear war had gone away. It hasn't. It is only our awareness of this danger that has faded. In fact, there are some 25,000 nuclear weapons in the world today; 95 percent of them are in the arsenals of the United States and Russia.

Just this past weekend, the START treaty limiting the number of U.S. and Russian warheads expired. Negotiators in Geneva, Switzerland, have not yet been able to work out the details of a follow-up treaty.

We must hope they will be able to agree to deep reductions. A recent study by Physicians for Social Responsibility showed that if only 300 of the weapons in the Russian arsenal attacked targets in American cities, 90 million people would die in the first half hour. A comparable U.S. attack on Russia would produce similar devastation.

Further, these attacks would destroy the entire economic, communications and transportation infrastructure on which the rest of the population depends for survival. In the ensuing months the vast majority of people who survived the initial attacks in both countries would die of disease, exposure and starvation.

The destruction of the United States and Russia would be only part of the story. An attack of this magnitude would lift millions of tons of soot and dust into the upper levels of the atmosphere, blocking out sunlight and dropping temperatures across the globe.

In fact, if the entire Russian and U.S. strategic arsenals were involved in the fighting, average surface temperature worldwide would fall 10 degrees Centigrade to levels not seen on Earth since the depth of the last ice age 18,000 years ago.

For three years there would not be a single day in the Northern Hemisphere free of frost. Agriculture would stop, ecosystems would collapse and many species, perhaps even our own, would become extinct. This is not just some theoretical scenario; it is a real and present danger.

On January 25, 1995, we came within minutes of nuclear war when Russian military radar mistook a Norwegian-U.S. scientific rocket for a possible attack on Moscow. President Yeltsin, a man reportedly suffering from alcoholism and other major medical problems, was notified and given five minutes to decide how to respond.

Then as now, both the United States and Russia maintained a policy of "launch on warning," authorizing the launch of nuclear missiles when an enemy attack is believed to be under way. We don't know exactly what happened in the Kremlin that morning, but someone decided not to launch Russian missiles and we did not have a nuclear war.

January 25, 1995, was five years after the end of the Cold War. There were no unusual crises anywhere in the world that day. It was a relatively good day in a time much less dangerous than our own. And we almost blew up the world. That was 15 years ago and the United States and Russia still maintain more than 2,000 warheads on high alert ready to be launched in 15 minutes and to destroy each other's cities 30 minutes later.

Nuclear weapons are the only military threat from which U.S. armed forces cannot protect us. It is urgently in our national security interest to eliminate these instruments of mass annihilation from the arsenals of potential adversaries. If we have to get rid of our own nuclear weapons to achieve this, it is a deal well worth making.

Make no mistake, the elimination of nuclear weapons is an attainable goal. These bombs are not some force of nature. They are the work of our hand. We built them and we can take them apart.

Some governments falsely see these weapons as safeguards of their security. It will not be easy to convince them that true safety requires that we abolish them. Nor will it be easy to design the verification regime needed to assure that the weapons are dismantled and that no new weapons are built. Yet national security experts in the United States and around the world say that it can be done and it must be done.

If politics is the art of the possible, then statesmanship is the art of the necessary. And if ever there was a time that cried out for statesmanship it is now.

There are many important issues that demand our attention -- health care reform, energy policy, creating more jobs -- but none is as urgent as eliminating the threat of nuclear war.

The opinions expressed in this commentary are solely those of Ira Helfand.

@highlight

Ira Helfand: Abolishing nuclear weapons is not an unrealistic fantasy

@highlight

Helfand: Threat of nuclear war still real, still terrifying and did not go away with the Cold War

@highlight

Helfand: About 25,000 nuclear weapons in world; 95 percent in U.S. and Russia

@highlight

Helfand: Many important issues, but none as urgent as eliminating threat of nuclear war