Monrovia, Liberia (CNN) -- A red rope guarded by police marks the "quarantine line" around the West Point slum in the Liberian capital, Monrovia.

Beyond it, more than 70,000 people are trapped -- angry, scared and increasingly hungry -- as authorities seek to halt the spread of the deadly Ebola virus.

As soon as a CNN team crossed the line, it was swarmed by people desperate to be heard.

Since the government designated the slum an Ebola quarantine zone last week, there has been no way out. Stuck without sanitation or running water, and with food supplies for many running low, people fear for their lives.

The quarantine measures were imposed after rioters looted an Ebola treatment center in the slum, claiming the virus was a government hoax.

A nurse at the center told CNN she arrived for her shift that night to find the center destroyed and not a patient to be found.

The center is slowly being rebuilt, but it lacks basic equipment and facilities. Medical workers have to wash their protective gear for reuse and have little more than a squirt of bleach to rely on.

'I'm scared of everything'

It is the only refuge for the slum's frightened residents. But the most that they can hope for is to be made comfortable while they wait either to overcome the virus -- or not.

Like many residents of West Point, Charming Fallah, a hairdresser, has to travel out of the township to make a living. She is the only breadwinner for her two children and her elderly parents.

"Right now, my mother doesn't have anything," she told CNN. "First, I was the one that provided for her. But as time goes by, she's complaining the rice is finished. I just came from my parents' house and she has nothing."

Asked if she is more scared by the disease or by hunger, Fallah replied: "Both. That's what's worrying us. The hunger, the Ebola, everything. I'm scared of everything."

Her fears are far from unfounded. Experts have described the West African outbreak, centered in Liberia, Guinea and Sierra Leone, as the worst in the history of the virus.

Doctors, nurses succumb

The World Health Organization said Monday that 120 health care workers have died in the Ebola outbreak, and twice that number have been infected.

Public health experts say several factors are to blame, including a shortage of protective gear and improper use of the gear they do have.

In a commentary released this week in the Annals of Internal Medicine, doctors from the University of North Carolina, Chapel Hill, wrote that personal protective gear made to shield health care workers from Ebola-contaminated fluids isn't being used properly. The commentary says that even with the correct gear, a health care worker is at risk for infection if contaminated protective clothing is not removed correctly.

The Ebola virus is transmitted through direct or indirect contact between bodily fluids from an infected patient; that's why taking off the protective gear correctly is essential.

Dr. William Schaffner, chairman of the Department of Preventive Medicine at Vanderbilt University's School of Medicine, says following the proper sequence of removing protective gear can keep health care workers from infecting themselves.

The sequence is simple. You start with the gloves, then take off the eye protection, gown and surgical mask. Follow up with washing your hands.

Why is this particular sequence so important?

"Because if you leave your gloves on, and take off your eye protection first, you could pass the fluids from the gloves to your eye mucus," explains Schaffner. "No matter where you are, no matter what day of the week it is, never change the sequence of how you take the equipment off."

One or two doctors per 100,000 people

The fact that the disease has killed so many people working to care for infected patients is making it increasingly hard to combat the virus in West Africa, WHO said.

"It depletes one of the most vital assets during the control of any outbreak. WHO estimates that in the three hardest-hit countries, only one to two doctors are available to treat 100,000 people, and these doctors are heavily concentrated in urban areas."

The threat can mean other health facilities close, as staff members choose to stay home rather than risk their lives. This means other medical needs, such as help with childbirth and malaria treatment, are neglected.

"The fact that so many medical staff have developed the disease increases the level of anxiety: if doctors and nurses are getting infected, what chance does the general public have?" the group wrote.

"In some areas, hospitals are regarded as incubators of infection and are shunned by patients with any kind of ailment, again reducing access to general health care."

The heavy toll is also making it harder to secure support from sufficient numbers of foreign medical staff, the group said.

Last week, a WHO health care worker was infected with Ebola in Sierra Leone. The organization has temporarily pulled its health workers from the Kailahun post and has sent a team to review the incident.

"This was the responsible thing to do. The field team has been through a traumatic time through this incident," Dr. Daniel Kertesz, a WHO representative in Sierra Leone, said in a statement. "They are exhausted from many weeks of heroic work, helping patients infected with Ebola. When you add a stressor like this, the risk of accidents increases."

Blood and other bodily fluids

Ebola is one of the world's most virulent diseases and is transmitted through direct contact with blood or other bodily fluids of infected people.

The outbreak has forced various nations to take drastic action, including Ivory Coast, which has said it is closing borders it shares with Guinea and Liberia for an indefinite period.

Senegal also closed its borders over Ebola fears. The closure includes any aircraft and ships traveling to Senegal from Guinea, Sierra Leone or Liberia.

Amid fears of the disease's spread, the Philippines recalled 115 peacekeepers from Liberia.

Dr. Peter Paul Galvez, a spokesman for the Philippines' Department of National Defense, said they would be repatriated as soon as possible. They will be quarantined before departure for 21 days, then quarantined again in the Philippines for another 21 days.

Early symptoms of Ebola include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. These symptoms can appear two to 21 days after infection.

CNN's Kathy Quiano and Val Willingham contributed to this report.

@highlight

NEW: World Health Organization pulls workers from Kailahun post in Sierra Leone

@highlight

The World Health Organization says 120 health care workers have died in the outbreak

@highlight

Quarantine on West Point slum was imposed after rioters looted a treatment center

@highlight

The center is slowly being rebuilt, the only refuge for the slum's frightened residents