An expanded Violence Against Women Act won bipartisan approval on Thursday from the U.S. House after Republicans failed to pass their own proposal due to a party split on an issue important to women and minority groups.

The measure now goes to President Barack Obama, who said in a statement that it was "an important step towards making sure no one in America is forced to live in fear."

"I look forward to signing it into law as soon as it hits my desk," Obama said.

TIME photos: A portrait of domestic violence

Thursday's votes reflected an emerging political reality in the GOP-led House, with a minority of Republicans joining Democrats to pass legislation that has broad public support, including from increasingly influential demographics such as Hispanic Americans.

By a vote of 166-257, the GOP version of the Violence Against Women Act failed to win a majority after almost 90 minutes of debate. The House then voted 286-138 to pass the Senate version, with 87 Republicans joining all 199 Democrats to provide majority support.

Originally passed in 1994 and reauthorized since, the act provides support for organizations that serve domestic violence victims. Criminal prosecutions of abusers are generally the responsibility of local authorities, but the act stiffened sentences for stalking under federal law.

Supporters credit the act with sharply reducing the number of lives lost to domestic violence over the past two decades.

Last year, the House and Senate were unable to compromise on another extension of the act, with Republicans opposing Democratic attempts to specify inclusion of native Americans, undocumented immigrants and lesbian, transgender and bisexual women.

Opinion: The plague of violence against women

However, exit polls showed Obama won strong support among women, Latino voters and gay and lesbian voters in the November election that also strengthened the Democratic majority in the Senate and weakened the Republican majority in the House.

Republicans then changed their stance and agreed to bring up the measure in the new Congress as long as they could offer their own version.

The Republican proposal deleted provisions from the Senate measure that gave tribal authorities jurisdiction to prosecute cases on Indian reservations, specifically targeted discrimination of LGBT victims, and allowed undocumented immigrant survivors of domestic violence to seek legal status.

In debate before Thursday's votes, Rep. Kevin Cramer, R-North Dakota, said the Senate version includes legal precedents of expanded sovereignty that could be subject to court challenge.

Opinion: Rubio missed the year of the woman

"Please consider the damage we have done if a court overturns this act and its protection all because we wanted a good slogan instead of a good law," Cramer said.

House Democratic Leader Nancy Pelosi of California and others repeatedly questioned why Republicans would seek to weaken a measure that received strong bipartisan support in a 78-22 Senate vote earlier this year.

A majority of Senate Republicans backed the act, along with every woman senator regardless of party, Pelosi noted.

"It's really hard to explain why, what eyes the Republicans are looking through, that they do not see the folly of their ways in the legislation they are proposing," Pelosi said.

Democratic Rep. Gwen Moore of Wisconsin, herself a rape victim, paraphrased the question of rights activist Sojourner Truth, a 19th century escaped slave and civil rights advocate.

"Ain't they women?" Moore shouted in reference to native American, undocumented immigrant and LGBT women.

In response, Republican Rep. Cathy McMorris Rodgers of Washington challenged Democratic claims that the GOP version excluded any women, saying it was all-inclusive.

A global push to end violence with song and dance

House Majority Leader Eric Cantor of Virginia said the goal was to "make sure all women are safe," and he described the Republican version as an attempt to "improve on" what the Senate sent over.

However, Pelosi noted that hundreds of advocacy groups supported the Senate version as the best way forward.

"This is a remarkable day because we have clarity between the two proposals," she said, noting one had support from both parties in the Senate and the president while the other was opposed by "almost everybody who has anything to do with the issue of violence against women."

The final vote on Thursday followed the same pattern as votes on other legislation at the end of the previous Congress, including the agreement to avoid some impacts of the fiscal cliff.

A divide between conservative and more moderate Republicans prevented House GOP leaders from being able to pass their proposed fiscal cliff legislation at the end of the year.

Under public pressure ratcheted up by Obama, the House ended up approving a Democratic proposal that raised taxes on the nation's top income earners, a key campaign theme in the November election opposed by the GOP.

The measure passed with backing from most or all Democrats and dozens of Republicans.

Such a dynamic signals the continuing inability of House Speaker John Boehner to marshal his GOP members on some of the most contentious issues coming up, such as deficit reduction and immigration reform.

Boehner risks his standing as a party leader if he continues conceding on measures that become law without majority support from House Republicans, which also would fuel continuing unrest by conservatives who traditionally comprise the GOP base.

Domestic violence bill vote critical test of more inclusive GOP

According to advocacy groups, the Senate version of the Violence Against Women Act  approved Tuesday strengthens protections of particular groups of women at particular risk.

For example, one in three native women will be raped in their lifetime, according to the Indian Law Resource Center. Three in five will be physically assaulted, and native women also are killed at a rate 10 times the national average, the center said.

The National Congress of American Indians addressed the issue in a December 20 letter to Cantor.

Beyond vomiting, how to prevent rape

It described situations in which beatings and rapes by non-native men were declined for prosecution at a federal level and returned to a tribal court as a misdemeanor.

Federal law currently prohibits tribal courts from imposing a jail sentence of more than a year, so they generally do not prosecute felonies. In many instances, such cases are dismissed altogether and a defendant can walk free until a grand jury indictment can be obtained.

"The federal criminal justice system is simply not equipped to handle local crimes, and this is the primary reason that tribes seek local control over these crimes that are plaguing our communities," the letter said.

On undocumented immigrants, Human Rights Watch has found that immigrant farm workers are especially at risk for domestic abuse and argued provisions in the Senate bill "would go some way toward fixing the problem."

Those in the LGBT community are another high-risk group that will be affected by the Violence Against Women Act.

They experience violence at the same rate as heterosexuals but are less likely to report it. When they do, many are denied services.

About 45% of LGBT victims were turned away when they sought help from a domestic violence shelter and nearly 55% of those who sought protection orders were denied them, according to the National Task Force to End Sexual and Domestic Violence Against Women.

Opinion: GOP House's inaction on VAWA shows bigotry

Vice President Joe Biden, who helped spearhead the original Violence Against Women Act in 1994 when he was a U.S. senator, said Thursday that domestic violence dropped by 64% since then.

"I am pleased that this progress will continue, with new tools for cops and prosecutors to hold abusers and rapists accountable, and more support for all victims of these crimes," Biden said in a statement.

@highlight

The measure now goes to President Obama to be signed into law

@highlight

House Republicans struggle again with an issue important to women, minorities

@highlight

The House rejects the GOP measure before approving the Senate version

@highlight

The legislation extends and expands the act that supporters credit with saving lives