U.S. Secretary of State John Kerry said Sunday after four hours of talks with Russian Foreign Minister Sergey Lavrov that Russia had reaffirmed its commitment to finding a diplomatic solution in Ukraine but had not agreed to move Russian troops from the Ukraine border.

"We both made suggestions as to how that will be achieved ... and I will return to Washington to consult with President Obama on his choices," Kerry said at a news conference in Paris. "We are trying to find a way to defuse this."

In a later press briefing, Lavrov said, "We expressed differing views about the cause of this crisis but nevertheless we agreed on the need to search for points of common ground to find a diplomatic settlement."

Kerry said Lavrov indicated Russia "wants to support" Ukraine in its move toward independence but said the massing of Russian troops has created "a climate of fear and intimidation."

"Is it smart at this moment in time to have that number of troops amassed on a border when you are sending a message that you want to de-escalate and move in the other direction?" Kerry said.

Kerry said Russia and the United States agreed to work with Ukraine on several issues: the rights of national minorities; language rights; the demobilization and disarmament of provocateurs; a constitutional reform process; and free and fair elections monitored by the international community.

Lavrov said he hopes "all political forces in Ukraine will have an equal voice and can agree on which kind of concrete political, economic, financial, social, religious traditions will be respected in different parts of the country."

Kerry stressed that no real progress can be made until the troops are pulled back.

He added that Ukrainians must be part of any discussions going forward, saying, "No decisions about Ukraine without Ukraine." Other nations support this stance, he said.

Hours before the meeting, Lavrov called on Western powers to back a proposal for a "federal" structure in Ukraine.

"If our Western partners are prepared, Russia, the U.S. and the EU will be able to set up a group of support to Ukraine and to formulate general appeals to those who rule in Ukraine now," Lavrov told Russian state television, according to state news agency ITAR-Tass.

This would lead to talks between "all political forces without exception, naturally not armed radicals" and would result in a new constitution allowing for a "federal system of government," he said.

"If our partners are prepared for this, we are open for broadest cooperation," Lavrov added.

Kerry said that subject was not discussed with Lavrov because it's a decision Ukraine's leaders must make.

With millions of Russian speakers concentrated in Ukraine's eastern regions, Russia backs the idea of greater regional autonomy.

This would "protect the rights of those who live in Ukraine, primarily the Russian-speaking population, which is important to us," Lavrov said.

Lavrov and Kerry met for four hours in Paris on Sunday, as both sides tried to ease tensions in the worst East-West standoff since the Cold War. The meeting ended about 5 p.m. ET.

'The hordes are coming': Ukrainians fear Russian invasion in northeast

Russian forces on border

The meeting follows a phone call between Russian President Vladimir Putin and U.S. President Barack Obama on Friday.

"What gives me a sense we may be able to solve the situation is that Putin did call our President and suggestions were made, and there will be a meeting (between Kerry and Lavrov)," Sen. Dianne Feinstein, chairwoman of the Senate Intelligence Committee, told CNN's "State of the Union" on Sunday.

"And there may well be the ability to solve this."

On Saturday, Lavrov said Russia had no intention of sending troops into Ukraine -- responding to Western warnings over a military buildup on the border following Moscow's annexation of the Crimean peninsula.

Crimeans voted March 16 to break away from Ukraine and join Russia. The United States and other Western governments called the referendum illegal, saying it violated Ukraine's constitution and amounted to an attempt by Russia to expand its borders to the Black Sea peninsula.

Russia may have 40,000 troops near its border with eastern Ukraine and another 25,000 at locations inland who are on alert and prepared to go in, two U.S. officials have told CNN. The officials said that this estimate was largely based on satellite imagery and that a firm number is difficult to assess.

Russia has said its troops are carrying out snap military exercises in the region.

The United States and the European Union have targeted members of Putin's inner circle with two rounds of sanctions that include visa bans and asset freezes. The West has warned more sanctions are possible if Russia sends more forces into Ukraine. Russia responded with its own sanctions on the United States, banning several U.S. officials from entering the country.

Opinion: Does Obama really understand Putin?

U.S. Defense Secretary Chuck Hagel ordered the top U.S. commander in Europe back to the continent because of the "growing uncertainty in Ukraine," Pentagon press secretary Rear. Adm. John Kirby said Sunday. Gen. Phil Breedlove was in Washington, where he was supposed to give annual testimony before Congress later this week.

"More broadly, he felt it was important for General Breedlove to continue our efforts to consult with NATO allies, and to discuss specific ways to provide additional reassurance for our NATO allies in Eastern Europe," Kirby said of Hagel's decision to cut short Breedlove's stay in Washington.

"While it does not foreshadow imminent military action in Ukraine, the general's return will allow him more time to confer closely with his staff and our allies and partners, and to better advise senior leaders," Kirby said.

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

@highlight

Kerry says Russia did not agree to move troops from Ukraine border

@highlight

Kerry said both sides made suggestions about how to de-escalate the crisis

@highlight

U.S. secretary of state, Russian foreign minister met for four hours Sunday

@highlight

Lavrov: "We agreed on the need to search for points of common ground"