London, England (CNN)  -- A Canadian graduate student has found the only known printed copy of Haiti's Declaration of Independence, tucked away in Britain's National Archives, researchers said.

Duke University student Julia Gaffield found the eight-page pamphlet, dated January 1, 1804, while researching Haiti's early independence, Duke said in a statement Thursday.

The discovery sheds light on the early history of Haiti and the relations it had with its Caribbean neighbors at the time, Gaffield and Duke Professor Deborah Jenson said.

Gaffield is researching early 19th-century Haiti for her doctoral dissertation in history, Duke said. She did research in France, Haiti and Jamaica, where she saw a handwritten copy of the declaration in the papers of Jamaica's governor at the time, George Nugent.

It indicated there was a printed version somewhere, but it wasn't enclosed.

In late January, Gaffield went to London for research at the National Archives, where she found the printed declaration.

"I wasn't specifically looking for it, but I had an eye out for it because I knew it was missing," Gaffield said. "We figured there was an original somewhere, but didn't know if it still existed."

The declaration had not been misplaced and had been in the archives for a long time, Gaffield said. The period had simply not been studied in detail, and Gaffield said she figures people who saw the document before probably didn't realize what they had.

Gaffield said she was thrilled by the discovery, but had to wait until the end of the day to notify her advisers at Duke, in North Carolina.

"The archives are not the place to make a big scene," she said.

Haiti's declaration is only the second of its kind in the world, the first being the U.S. Declaration of Independence, written by Thomas Jefferson and others, Duke said.

The pamphlet, written in French, has three distinct parts, the National Archives said. The first two pages are titled "Liberte ou La Mort," which translates to "Freedom or Death," in which the generals of the Haitian army sign their names to an oath swearing to renounce forever the French yoke or die rather than live under its domination.

Next, Jean-Jacques Dessalines, the general-in-chief, addresses the citizens of Haiti in an impassioned defense of independence and the destiny of the nation.

On the final page, Haitian army generals proclaim Dessalines governor-general for life and swear to obey without question laws issued under his authority.

"To bring this document to light in Haiti's darkest hour may be seen as a symbol of renewal and rejuvenation, helping Haiti rebuild its national spirit following the recent earthquake," said Ian Wilson, president of the International Council on Archives. "Julia's achievement in recognizing the significance of this printed document deserves high recognition."

Oliver Morley, the acting chief executive of the National Archives, said they were pleased to play a role in the discovery.

"It's incredible that the long search for this important document should finally end at the National Archives," Morley said. "This declaration sent to the British government by Haiti's first independent leader is of great historical importance to both Haiti and the British people, and provides unique insight into the first successful slave rebellion of modern times."

Jenson, a professor of French studies at Duke who has researched the U.S. publication of Haiti's independence documents, said the discovery also shows Haiti had a fully functional printing apparatus at every moment of the new nation's independence.

Researchers had looked for the printed declaration before, without success, said Laurent Dubois, a Duke professor of French studies and history and one of Gaffield's advisers.

In 1952, Haiti asked intellectual Edmond Mangones to find an original or printed copy so it could be displayed for the nation's 150th anniversary, Dubois said. Mangones searched in many archives in Haiti and elsewhere before writing with exasperation that all his searching had been "in vain," Dubois said.

"It is really beyond belief," Mangones said at the time, "that not even a copy of the original printed version has been found in France, or in England, or in the United States."

Gaffield's discovery, Dubois said, "has finally changed that."

Documents from Haiti's early history have not been well preserved and are scattered in various places, said Dubois, who is working with other historians to rehabilitate Haiti's archives after the January 12 earthquake.

Dubois and Gaffield consulted Patrick Tardieu, a noted Haitian archivist at Brown University, to confirm the document's authenticity.

"I was so happy to find out it was true," Tardieu said. "It is an important document, and its discovery is important news for Haiti's scholarly community and more broadly for the people of Haiti."

Gaffield said she hopes the discovery will remind historians, Haitians and the world about the early history of the only country in the Western Hemisphere where slaves successfully revolted to gain national independence.

"The Haitian Revolution was of immense consequence to Jamaica and other colonies in the Caribbean, as well as to the United States," Gaffield said. "This find is further evidence that there was contact and negotiations going on between them. Haiti was not isolated after independence and it played a complicated role in a world based on colonialism and slavery."

@highlight

Student Julia Gaffield found document in Britain's National Archives

@highlight

Pamphlet, dated January 1, 1804, is only known record of Haitian independence declaration

@highlight

This declaration was sent to the British government by Haiti's first independent leader

@highlight

The first two pages are titled "Liberte ou La Mort," or "Freedom or Death."