(CNN)"A long, long, time ago..."

Those five words, when uttered or sung, makes baby boomers immediately think of Don McLean's pop masterpiece "American Pie."  It's hard to believe that his phenomenal 8½ minute allegory, which millions of Americans know by heart, is 44 years old.  All sorts of historical cross-currents play off each other in this timeless song, brilliantly gilded with the unforgettable chorus, which starts as "Bye, Bye, Miss American Pie." There is no real way to categorize McLean's "American Pie" for its hybrid of modern poetry and folk ballad, beer-hall chant and high-art rock.

On Tuesday, Christie's sold the 16-page handwritten manuscript of the song's lyrics for $1.2 million to an unnamed buyer.

McLean was a paperboy when, on February 3, 1959, he saw that Buddy Holly, Ritchie Valens and J.P. "The Big Bopper" Richardson had been tragically killed in an airplane crash in Clear Lake, Iowa. "The next day I went to school in shock and guess what?" McLean recalled.  "Nobody cared.  Rock 'n' roll in those days was sort of like hula hoops and Buddy hadn't had a big hit on the charts since '57."  By cathartically writing "American Pie," McLean has guaranteed that the memory of those great musicians lives forever.

Having recorded his first album, "Tapestry," in 1969, in Berkeley, California, during the student riots, McLean, a native New Yorker, became a kind of weather vane for what he called the "generation lost in space."   When his cultural anthem "American Pie" was released in November 1971, it replaced Bob Dylan's "The Times They Are A Changin" as the Peoples Almanac of the new decade.  It's important to think of "American Pie" as one would of Henry Longfellow's "Evangeline" or Johnny Mercer's "Moon River" -- an essential Americana poem emanating wistful recollection, blues valentine, and youthful protest rolled into one.  There is magic brewing in the music and words of "American Pie," for McLean's lyrics and melody frame a cosmic dream, like those Jack Kerouac tried to conjure in his poetry-infused novel "On the Road."

Don McLean: Buddy Holly, rest in peace

Influenced by Pete Seeger and the Weavers, McLean proudly wore the mantle of troubadour in the early 1970s, when "American Pie" topped the Billboard charts, and has never shed the cape.   Wandering far and wide, singing "American Pie" at windblown dance halls in Wyoming and cloistered colleges in New England, at huge amphitheaters in California and little coffee houses in the Hudson River Valley, McLean has performed his global anthem thousands of times.  Yet the encore number never loses its transfixing allure.

When McLean prods audiences by rhapsodizing "and they were singing" everybody spontaneously joins in with the "Bye, Bye" chorus.  Watching McLean deliver his most notable song in concert is to take part in a collective Happening.

What makes "American Pie" so unusual is that it isn't a relic from the counterculture but a talisman, which, like a sacred river, keeps bringing joy to listeners everywhere.  When "American Pie" suddenly is played on a jukebox or radio it's almost impossible not to sing along.   Like "Danny Boy" or "Streets of Laredo" or "Shenandoah," it's eternal.  With illusions to football fields and rock 'n' roll, river levees and nursery rhymes, the song cascades along like a boat going down Niagara Falls or a roller coaster that jumps tracks but floats instead of crashes.

After all these years, "American Pie" still makes me feel empowered and yet filled with a sense of loss.  The song is alive and joyful, yet fretful about a world gone wrong.  It is a song that will never die.  A reverie for the ages.   There is a jump to the chorus, which forces the mind to relive the '50s, '60s and '70s, to troll through the back pages of our lives while, like a traditional Irish folksong, it reminds us of fate.

While McLean, the muse, has rightfully not tried to interpret "American Pie," it's fair to surmise that "the king" is Elvis Presley, "Helter Skelter" refers to the Charles Manson murders, the "jester on the sidelines in a cast" is Bob Dylan, and "Jack Flash" the Rolling Stones.  But who knows?  The lyric remains a puzzle open to thousands of spirited interpretations.  As a literary artifact of the early 1970s, there isn't anything to compare to "American Pie."

Normally, I don't like rankings of literature or songs or even presidents, for that matter.  But the fact that the Recording Industry of America and the National Endowment of the Arts chose "American Pie" as the fifth greatest song of the 20th century speaks to the composition's importance as an enduring piece of pop art.  The other four were "Over the Rainbow" (by Harold Arlen and E.Y "Yip" Harburg), "White Christmas "(by Irving Berlin), "This Land is Your Land" (by Woody Guthrie) and "Respect" (by Otis Redding).  That is fine company.

Quite simply, "American Pie" is one of the greatest songs ever written.  And Tuesday the original lyrics found a new home.

@highlight

Manuscript of "American Pie" lyrics is sold to unnamed buyer for $1.2 million

@highlight

Douglas Brinkley: The song, a talisman for its age, brings joy to people 44 years later