(CNN) -- The world is holding its breath for the informal summit between U.S. President Obama and Chinese President Xi Jinping in California. Will Obama and Xi look into each other's eyes and see each other as a partner to trust? Will they be able to set the tone for the China-U.S. relations for years, if not decades, to come?

I had the privilege of accompanying two Chinese Presidents to the White House in 1985 and 1987, and being invited as a guest to the White House when Chinese President Hu Jintao was welcomed by President George W. Bush in April 2006. Such China-U.S. summits have been known for both the substance of the meetings as well as the pomposity and the glamorous bells and whistles of high diplomacy.

By agreeing to meet without the red carpet and 21-gun salute, both Obama and Xi have demonstrated pragmatism and commitment to focusing on the most important, urgent issues between China and the U.S. as well as in the world. Xi should be given credit for his vision, courage and wisdom in agreeing with Obama to build up personal rapport and trust between the two most important persons in the world.

While there have been numerous channels of communications between Beijing and Washington, including the biannual Sino-US Economic and Strategic Dialogue, what is sorely lacking between China and the U.S. is that trust at the very top.

What is encouraging is that, unlike the zero-sum game between the U.S. and the former Soviet Union in the Cold War era, today the U.S. and China are the two largest economies in the world, and highly integrated with each other. The bilateral trade this year will be far beyond $500 billion, larger than the GDP of many countries. The exchange of people, students, goods, information and investment between the two countries has been breaking records year after year.

Of course, given their different histories, cultural backgrounds, political systems and values, China and the U.S. will hardly ever be exactly alike, with friction inevitable between the two countries. The challenges are how to establish a sound mechanism to handle such friction effectively and in a timely manner, and how to build common ground and mutual interest so that both countries benefit from increasing trade and exchange.

Furthermore, as the two largest economies and most important countries in the world, the more China and the U.S. can see eye to eye on major international issues, the easier it will be to prevent escalation of international crises -- and the more effective they can be at solving them.

In recent years, I have been using "AmeriChina" to describe the high expectations of the future of China-U.S. relations. The term, which ranks America and China alphabetically and in order of their relative importance, is better than "Chimerica" which defies the more logical way of ranking China and the U.S. The sense of shared destiny encapsulated in the concept of "AmeriChina" will help foster a new way of looking at the China-U.S. relations.

In this spirit, let's give our best wishes to the Obama-Xi informal summit in California, and work collectively to make "AmeriChina" a reality. AmeriChina will be good for America, good for China, and good for the rest of the world.

@highlight

Gao: What is sorely lacking between China and the U.S. is trust at the top

@highlight

The informal meeting underlines the pragmatic relationship between the superpowers

@highlight

U.S. and China are the world's largest economies and highly integrated with each other

@highlight

The bilateral trade between China and the U.S. this year will be beyond $500 billion