On the southern edge of Turkey, rolling brown pastoral hills slope gently to the Syrian border, with small towns like this one dotting the horizon. The calm on this side of the border, however, belies the scene on the other side.

Just across the border in northern Syria, the Islamic extremist group known as ISIS is fighting a full-tilt battle in its effort to capture and control new territory, part of its push to create a sprawling Islamic caliphate, or separate Islamic state, modeled on the first caliphate that spread across the region in the centuries following the death of the Prophet Muhammad around 640 AD.

As ISIS fighters expand their control, it is in the border region, in villages like Besaslan, where the Islamic State group can make some of the money it needs to finance its wars. Oil-smuggling operations involving millions of barrels have recently been uncovered.

The oil comes from wells and refineries that ISIS has taken over inside northern Iraq and northern Syria, and until very recently it was easy to smuggle it into this quiet part of southern Turkey. One reason is that cheap, smuggled oil is a much-prized commodity in Turkey, where oil is so expensive that it almost doesn't matter who is selling it, even if it's your enemy.

In Hatay, Turkey, just a half hour's drive away, gasoline costs roughly $7.50 per gallon.

Growing international alarm over ISIS expansion and the group's increasingly visible atrocities -- such as beheadings of Western journalists and aid workers, the videos of which are disseminated online -- have brought renewed pressure on ISIS and its funding methods on the borders.

U.S.-led coalition forces just a week ago attacked and destroyed many ISIS oil facilities, precisely to cut off the group's funding.

But the border smuggling is only one way that ISIS generates money.

The U.S. Treasury Department does not have hard figures that it can make public on the group's wealth but says it believes ISIS takes in millions of dollars a month.

Sources familiar with the subject say that ISIS' "burn' rate" -- how much the group spends -- is huge, including salaries, weapons and other expenses. For ISIS' oil sales, sources told CNN, the group probably makes between $1 million and $2 million per day, but probably on the lower end.

Matthew Levitt, director of the Stein Program on Counterterrorism and Intelligence at the Washington Institute for Near East Policy in Washington, D.C., calls ISIS "the best-financed group we've ever seen."

Opinion: Will U.S. strikes hurt ISIS' oil riches?

Levitt is a national expert on terrorism and its financing, working previously on intelligence and analysis at the U.S. Treasury and the FBI.

ISIS, Levitt says, is funded like no other traditional terrorist group in the past. Besides revenue from oil smuggling, the group receives money through donations from wealthy sympathizers in countries including Qatar and Kuwait.

But the group has another method of funding itself: through organized crime within the territories it has vanquished and now controls. The group, says Levitt, was born among crooks and thugs from a broken Iraq, and at its root it is a criminal enterprise.

"We shouldn't be surprised," says Levitt. "Remember, the Islamic State called ISIS is what used to be called the Islamic State of Iraq, and al Qaeda in Iraq, the Tawhid Network, the Zarqawi Network; it's all the same. And they were always primarily financed through domestic criminal activity within the borders of Iraq."

Levitt says ISIS operates as a massive organized crime group with virtually no law enforcement to rein it in -- and its long history has allowed it to set roots and develop over many years.

It means ISIS can demand money from people wherever it has established control. Want to do business in ISIS-controlled territory? You pay a tax. Want to move a truck down an ISIS-controlled highway?  You pay a toll. Villagers in ISIS territory reportedly are charged and pay for just about everything.

Why is ISIS so successful at luring Westerners?

"There are reports that people in Mosul (Iraq) who want to take money out of their own bank accounts need to make a 'voluntary' -- not so voluntary -- donation to the Islamic State, to ISIS," Levitt says. "So controlling territory has given them opportunities that other groups like al Qaeda, who haven't controlled real territory, haven't had."

It is the centuries-honored tradition of conquest and control: What you take is what you have.

In Mosul, ISIS looted the central bank and other smaller provincial banks, resulting in a financial windfall of tens and possibly hundreds of millions of dollars.

ISIS formed in the void created by the pullout of U.S. troops and the retreating Iraqi army, says Mouaz Moustafa, the executive director of the Syrian Emergency Task Force in Washington. In the lawlessness that followed, he says, ISIS took over, robbed banks, began taxing and extorting the population, and now funds its war and expansion across Iraq and Syria almost independently.

Moustafa lobbies U.S. lawmakers for more support of moderate Syrian rebels who are now fighting both ISIS and the Syrian regime of Bashar al-Assad. He recently helped bring together several Congressional delegations to meet with moderate rebel groups on the border as part of that effort.

Coalition airstrikes, he says, aren't enough to destroy the kind of self-financing mob that ISIS has become. Instead, you need to take back the territory and restore civil order.

"They're taxing the people; that's a huge revenue," he says of ISIS. "But not only that. They also control sort of the breadbasket of Syria, in terms of Raqqa (their defacto capital). They've got the cotton and the wheat and all these other things. All of these serve as sort of economic and powerhouse or funding for ISIS."

Fighters who are willing to do battle against ISIS are frustrated that the United States has not helped them more, Moustafa says, pointing out that it is largely a decision for the U.S. president.

"It is a White House decision," Moustafa said. "And it always has been.  And I think the White House is slowly moving in the right direction. I can tell you that the policy that the White House has right now -- if it had this policy three years ago, there would have never been an ISIS, and we probably would have gotten rid of the Assad regime."

The Obama administration has heard this criticism before and counters that the President has been calculating in his response to the situation in Syria.

"It's not difficult to contemplate or imagine a scenario where if the United States had put -- dumped a bunch of arms into that country three years ago, that members of ISIL or other extremist groups would be toting American arms as they wage their campaign of violence throughout that region," White House Press Secretary Josh Earnest said last month, referring to ISIS by another acronym. "So the President has been very deliberate about this."

U.S.-led coalition airstrikes have recently begun targeting ISIS locations, attacking ISIS-controlled oil facilities and even grain silos. But as long as ISIS controls any ground where civilians can be taxed, extorted and robbed, say experts, ISIS will remain self-financing.

ISIS: Everything you need to know about the rise of the militant group

@highlight

ISIS makes around $1 million a day, sources say

@highlight

Oil smuggling isn't the only way it generates revenue

@highlight

Experts: ISIS is like organized crime, with deep roots and no law enforcement

@highlight

U.S.-led airstrikes are aimed at cutting off the group's funding