Under withering criticism, Secretary of Veterans Affairs Eric Shinseki told a Senate committee on Thursday that he was "mad as hell" about allegations of deadly waiting times and coverup at VA hospitals but he doesn't plan to resign.

The retired Army general faced angry legislators and then aggressive journalists with a consistent message, arguing it was too soon to cast blame and vowing decisive action if an inspector general's investigation finds proof that VA workers manipulated waiting lists to cover up long delays for veterans seeking health care.

Last month, CNN revealed that at least 40 veterans died waiting for appointments at the Phoenix Veterans Affairs Health Care system, according to sources inside the hospital and a doctor who worked there. Many were placed on a secret waiting list, the sources said.

A fatal wait: Veterans languish and die on a VA hospital's secret list

Since November, CNN has uncovered delays in care at VA facilities across the country where numerous VA staffers have stepped forward to allege dangerously long wait times and efforts by agency officials to cover them up.

Calls for dismissal

Critics cite reports and complaints of excessive waits for care going back several years, with some calling for Shinseki's resignation or dismissal over the continuing and allegedly worsening problems.

President Barack Obama has so far backed Shinseki, but he appointed a top aide on Wednesday to work with the embattled Cabinet secretary to review the situation.

At his first congressional hearing since the CNN reports drew national attention to the issue, Shinseki told the Senate Veterans' Affairs Committee that he was reviewing all VA operations and also cooperating fully with the independent inspector general's investigation.

"Any allegation, any adverse incident like this makes me mad as hell," he said, urging the legislators to wait for the investigation's finding before trying to resolve a complex set of problems.

His assurance that "we will act" on any substantiated allegation angered senators from both parties who insisted the problems are real and need immediate action.

Some pointed to a policy implemented by Shinseki that set a 14-day limit to provide care for veterans applying for the first time, saying a deadline they labeled as unworkable resulted in VA administrators devising ways to cover up months-long delays.

Republican Sen. Richard Burr of North Carolina questioned why Shinseki, who has been Obama's only veterans affairs secretary, failed to act sooner on problems long cited by veterans, the U.S. Government Accountability Office and others.

"With the numerous GAO, IG and Office of Medical Inspector reports that have been released, VA senior leadership, including the secretary, should have been aware that VA was facing a national scheduling crisis," Burr said. "VA's leadership has either failed to connect the dots or failed to address this ongoing crisis, which has resulted in patient harm and patient death."

Demands to fix the problem

Shinseki labeled possible links between long waits and veteran deaths as allegations, and acting inspector general Richard Griffin said  nothing his investigation has found so far proves a causal relationship.

"It's one thing to be on a waiting list, and it's another thing to conclude that as a result of being on the waiting list, that's the cause death," he said.

His assistant, Dr. John Daigh, said frequent delays occurred, as well as deficient quality standards that caused patient harm in some cases.

"But to draw the conclusion between patient harm and death has so far been a tenuous connection," Daigh told the committee.

The hearing touched on deeper policy and political ramifications involving veterans affairs, with Republicans seeking to target Shinseki for failing to take action while some Democrats emphasized the increasing health care demands of veterans that lag behind funding levels.

At the same time, Democrats also called for a thorough probe of what was going on and immediate changes to fix the problems.

Democratic Sen. Richard Blumenthal of Connecticut urged Shinseki to include law enforcement agencies in the current investigation because of "evidence, not allegations," that records were falsified in scheduling practices described by some as "cooking the books."

Later, Griffin told the panel that federal prosecutors are working with his investigation. He said his office intends to complete its report no later than August.

When Committee Chairman Sen. Bernie Sanders of Vermont asked Shinseki if "cooking the books" was a problem in the VA health system, the secretary said: "I'm not aware, other than in a number of isolated cases" that there was evidence of that.

Shinseki says overall VA is good

Overall, Shinseki said, the VA system is good and he advised waiting for the inspector general's report before legislating solutions, a position backed by Sanders, an independent who caucuses with the Senate's majority Democrats.

Shinseki has put three employees, including two senior executives, on administrative leave at the request of the Inspector General's office, but some members of Congress and the American Legion have called for his resignation or dismissal.

Asked at one point if he should resign, Shinseki said caring for fellow American veterans was a mission, not a job, and he intended to continue working until he achieves his goal of improved care "or I am told by my commander in chief that my time has been served."

In appointing White House Deputy Chief of Staff Rob Nabors to assist Shinseki in reviewing what happened, Obama said he asked Shinseki to review "practices to ensure better access to care."

"While we get to the bottom of what happened in Phoenix, it's clear the VA needs to do more to ensure quality care for our veterans," Obama said.

Shinseki said he welcomed the perspective of Nabors.

Republicans went after Shinseki at the hearing and from the floor of the full chamber. Senate GOP leader Mitch McConnell questioned if the VA problems were part of a "systematic, administration-wide crisis."

First on CNN: An 'angered and saddened' Shinseki to testify

The most disturbing and striking problems emerged in Arizona last month as inside sources revealed to CNN details of a secret waiting list for veterans at the Phoenix VA.

After Phoenix, allegations emerge nationwide

But even as the Phoenix VA's problems have gained national attention, numerous whistleblowers from other VA hospitals across the country have stepped forward in recent weeks.

They described similar delays in care for veterans and also varying schemes by officials at those facilities to hide the delays -- in some cases even falsify records or "cook the books."

The secret waiting list in Phoenix was part of an elaborate scheme designed by Veterans Affairs managers there who were trying to hide that 1,400 to 1,600 sick veterans were forced to wait months to see a doctor, according to a recently retired top VA doctor and several high-level sources who spoke exclusively to CNN.

"The scheme was deliberately put in place to avoid the VA's own internal rules," said Dr. Sam Foote, a 24-year Phoenix VA physician who just retired this year and who appeared in an interview for the first time on CNN last month.

The VA requires its hospitals to provide care to patients in a timely manner, typically within 14 to 30 days.

Phoenix VA officials "developed the secret waiting list," said Foote.

He told CNN that the elaborate scheme in Phoenix involved shredding evidence to hide the long list of veterans waiting for appointments and care.

Foote and the other sources said officials at the VA instructed their staff to not actually make doctor's appointments for veterans within the computer system.

Instead, Foote said, when a veteran is seeking an appointment, "they enter information into the computer and do a screen capture hard copy printout. They then do not save what was put into the computer so there's no record that you were ever here," he said.

According to Foote and the sources, the information was gathered on the secret electronic list and then the information that would show when veterans first began waiting for an appointment was actually destroyed.

"That hard copy, if you will, that has the patient demographic information is then taken and placed onto a secret electronic waiting list, and then the data that is on that paper is shredded," Foote said.

"So the only record that you have ever been there requesting care was on that secret list," he said. "And they wouldn't take you off that secret list until you had an appointment time that was less than 14 days so it would give the appearance that they were improving greatly the waiting times, when in fact they were not."

From the Phoenix VA officials: Denials of a list

Phoenix VA officials denied any knowledge of a secret list, and said they never ordered any staff to hide waiting times. They acknowledged some veterans may have died waiting for care there, but they said they did not have knowledge about why those veterans may have died.

The number of veterans who died recently waiting for care in Phoenix is at least 40, said Foote and the sources. At Thursday's hearing, however, Griffin said lists compiled so far by investigators indicated 17 such deaths.

Months before revelations of what happened Phoenix came to light, CNN had reported about other veterans who died or were injured while waiting for care at different VA hospitals.

Veterans dying because of health care delays

@highlight

Investigators: no evidence so far that long waits caused veteran deaths

@highlight

VA Secretary Eric Shinseki said he won't resign

@highlight

Months of CNN investigative work have unearthed allegations of secret VA wait lists

@highlight

A retired doctor charges at least 40 veterans in Phoenix have died waiting for appointments