(CNN)The unfortunate part of any public debate about politics these days is that it almost inevitably turns polemical. This has certainly been the case with the conversation  over "Selma," the powerful new movie that examines the grass-roots protests that produced the historic Voting Rights Act of 1965.

As soon as the movie opened, it provoked an intense controversy about its portrayal of President Lyndon Johnson. Although most of the movie centers on civil rights activists who organized the marches for voting rights in March 1965, some critics have argued that the depiction of LBJ, played by Tom Wilkinson, was misleading on two fronts. The critics argue that the movie depicts the President as indifferent or even hostile to voting rights until King really forces his hand. The movie, in their minds, understates how much he wanted the voting legislation to pass from the very time of his reelection in November 1964.

Former presidential adviser Joe Califano (who went so far as to credit on LBJ for giving King the idea of Selma), LBJ Library Director Mark Updegrove and others also claim that the movie depicts LBJ as responsible for the FBI wiretaps into the private life of the Rev. Martin Luther King Jr., culminating with Coretta King receiving tapes of the leader sleeping with another woman, when the authorization for the wiretapping happened under President John Kennedy, his brother Robert who was the attorney general, and J. Edgar Hoover. (Full disclosure: I am one of the people who has raised concerns about some of these issues).

For some people, however, this criticism quickly rolled over into questions about whether the movie deserved to be nominated for the Oscars and if the movie as a whole was any good. One columnist, who admitted being moved to tears upon watching it, wrote that if "Selma" wins the academy award, "truth loses."

Those on the other side of the debate have raised many objections as well -- to the critics rather than the movie. They have insisted that the movie really was about the impact of grass-roots activists, not about Lyndon Johnson. They have been particularly frustrated with Califano's suggestion that the idea for Selma came from LBJ.

In their viewing of the movie, the narrative about Johnson was also more complex than the critics contended. Some of them have a different read of how Johnson is portrayed, disputing the notion that he comes off as indifferent to voting rights.

But this side has also unfortunately descended into nastier attacks with unfounded allegations that there has been some kind of a "smear" campaign to prevent the film from receiving awards.

It would be great if those involved in this debate could keep their attention on the very important issues that have been raised by Ava Duvernay's film. In addition to a stirring look at the work that was undertaken by brave civil rights activists who marched right into a brutally violent response from police authorities, she has triggered a vibrant debate about one of the most important issues in American political history: the complex relationship between presidents and grass-roots activists.

How do Washington leaders and movement activists interact in the passage of legislation? How does social action lead to political change? What can presidents and Congress to do respond to social pressure? What are some of the competing demands that each faces in pursuing their goals?

This is the kind of issue that is usually only of interest to political junkies and academic scholars. But because of this film, Duvernay has pushed this question to the front and center of national debate. Moviegoers are talking about the kinds of issues too often confined to the classroom.

The nature of the relationship between presidents and grass-roots activists has been at the heart of most important moments in American politics. During the 1930s, organized labor pressured President Franklin Roosevelt into moving forward with the Wagner Act of 1935, legislation that legitimated unions and created the National Labor Relations Board.

During the 1960s, LBJ constantly turned to civil rights activists to help him build the kind of pressure on Congress and public opinion that was necessary for passage of the Civil Rights Act of 1964 and the Voting Rights Act of 1965. He always knew that arm-twisting and trading pork could only go so far.

In turn, activists like King counted on Johnson to be a president who would take advantage of the favorable political conditions when they emerged so that the bloodshed was not in vain.

During the 1980s, the conservative movement maintained political pressure on President Ronald Reagan to stay true to its principles, such as insisting on tax cuts and sticking to a hawkish stance against communism.

Sometimes the relationship between presidents and activists has been a partnership, as was the case with LBJ and King in 1965, while at other moments this has broken down into an adversarial situation where neither side believed that the other was serving their interest. This was the case when Johnson treated anti-war activists as his enemies for their protests about Vietnam or when conservatives railed against President George H.W. Bush for having increased taxes in 1990, or when the right turned against his son after 2004 for allowing the federal government to grow.

This relationship has been very much on the minds of many Americans during the current presidency. Under President Obama, there have been many twists and turns in this story.

Early on in his presidency, Obama depended on the momentum and fervor generated from the groups that helped him win office in 2008 as he pushed for the Affordable Care Act and financial regulation. But since the 2010 midterm elections, there have been many progressive groups, such as environmentalists and labor organizers, who have been frustrated with the feeling that the President has turned a cold shoulder to their causes as he tries to deal with an obstructionist Congress.

These kinds of questions are central to my new book about Lyndon Johnson and the Great Society, as I attempted to show that it is impossible to understand why so many domestic programs passed in the mid-1960s without grasping the impact that civil rights activists and voters (in the election of 1964) had on Congress between 1963 and the midterm elections of 1966.

Although I have raised questions about how the film depicts President Johnson on voting rights, the basic message of the film resonates with the story that I try to tell in my book. At a personal level, it has been inspiring to see how Duvernay has been able to extend this conversation to a bigger audience, including young people.

Let's hope that those who seek to turn this debate about "Selma" into accusation and slander, such as dismissing all criticism about the treatment of LBJ as a smear campaign or those who brush off the entire value of the film because of this depiction, take a step back from the table, leaving space for those who want a serious and legitimate discussion. Movies and television shows have often been effective at triggering robust conversations about politics for a broader public.

The filmmaker deserves for her work to be treated with this kind of respect given the important work that she has done. We can't allow this to become one more political football in the partisan wars of our time.

​

@highlight

"Selma" triggered historical debate and claims that some were trying to "smear" the movie

@highlight

Julian Zelizer says the value of the film shouldn't get lost in the accusations