Washington (CNN) -- The fragile U.S.-Russia relationship -- already frayed by disagreements over Syria, Iran and nuclear arms -- showed another sign of strain Sunday, as American lawmakers blasted the country's President Vladimir Putin for allowing NSA leaker Edward Snowden to land in Moscow while evading U.S. espionage charges.

Snowden, who has admitted leaking top-secret information about government surveillance programs, left Hong Kong on Sunday and later touched down in Moscow, according to Wikileaks, which helped him travel. While Russia is not believed to be his final destination -- Ecuador's prime minister said Snowden applied for asylum in his country -- lawmakers on Sunday were quick to fault Putin for harboring a man the U.S. government desperately wants back.

"Putin always seems almost eager to put a finger in the eye of the United States, whether it is Syria, Iran, and now, of course, with Snowden," Sen. Chuck Schumer said on CNN's State of the Union. "That's not how allies should treat one another, and I think it will have serious consequences for the United States-Russia relationship."

That relationship was already showing signs of strain at last week's Group of Eight conference in Northern Ireland, where global leaders pressured Putin on his country's support of Syrian President Bashar al-Assad, which extends back to the Cold War and Assad's father. At a joint appearance that followed a bilateral meeting last week, Putin and President Barack Obama were tense and unsmiling and offered no indication their deep disagreements about the way forward in war-torn Syria were any closer to being resolved.

Why would Snowden head for Ecuador?

Later in the week, Obama publicly pressured Russia to join the United States in slashing its supply of nuclear weapons, saying both nations needed to "move beyond Cold War nuclear postures."

Obama delivered his remarks at the Brandenburg Gate in Berlin, which for decades symbolized the East-West divide.

On Sunday, however, the divide between the United States and Russia persisted. Schumer, a New York Democrat, suggested on CNN that Putin personally approved Snowden's landing in Moscow on Sunday.

"Very few are the areas in which he does cooperate (with the U.S.) these days. I think this action, Putin allowing Snowden to land in Russia and then go somewhere else, is going to have serious consequences for the U.S.-Russian relationship," Schumer said.

His characterization of Russia's stance was echoed by Republican Sen. Lindsey Graham, an infrequent ally of Schumer's, who spoke on "Fox News Sunday."

"I hope we'll chase him to the ends of the earth, bring him to justice and let the Russians know there will be consequences if they harbor this guy," said Graham, who represents South Carolina.

"They want to be part of the world community, the (World Trade Organization). They want a good relationship with the United States. They should hold this felon and send him back home for justice," Graham said. Russia joined the World Trade Organization last August after nearly two decades of negotiations. Before being admitted, it was the largest economy not represented at the global trade body.

As lawmakers spoke Sunday, it remained unclear where Snowden's final destination would be, though he was not expected to remain in Russia. Snowden's U.S. passport has been revoked, according to a source familiar with the matter, setting up any travel out of Russia to become a major diplomatic flashpoint.

"Persons wanted on felony charges, such as Mr. Snowden, should not be allowed to proceed in any further international travel, other than is necessary to return him to the United States," State Department Spokeswoman Jen Psaki said in a statement.

Earlier in June, Putin's spokesman Dmitry Peskov said Russia would consider a request for political asylum from Snowden, but that such a request from the NSA leaker had not yet been made.

Peskov, in an indication of the Kremlin's stance, also wrote on Twitter, "The U.S. security services were breaking the laws of their country by tapping phone calls and conducting Internet surveillance."

Wikileaks' Assange urges support for Snowden, slams Obama

"Snowden, same as Assange, is a human rights activist," he continued, referring to WikiLeaks founder Julian Assange, currently holed up at the Ecuadorian Embassy in London, where he's been granted asylum.

Asked Sunday whether he believed Putin had advance knowledge of Snowden's travel plans, Rep. Mike Rogers, the Republican chairman of the House Intelligence Committee, said, "That wouldn't surprise me."

"Russia is a country that wants to get back on the world stage, and I don't think they really care if they do it in a way that's in the best interest of good citizenship around the world," Rogers said on NBC's "Meet the Press," citing Putin's stance on Syria and nuclear disarmament.

"I'm sure they would love to have a little coffee and a few conversations with Mr. Snowden," continued the Michigan Republican, referring to the Russians. "That's why this is so serious and why we need to be so aggressive in making sure that people understand the difference between somebody who betrays their country and gives secrets away that will protect American lives at the expense of whatever he hopes to gain in the company of the Russians."

Rogers' remarks underscored the debate between those who believe Snowden committed an act of treason and those who view him as a hero promoting greater government transparency. The debate has created unlikely alliances in Washington, where some Democrats find themselves on the same side as Republicans -- and opposite their base -- in calling for Snowden's arrest.

An empty debate? Why little will happen to change how we snoop

Rep. Nancy Pelosi, the House Democratic leader, was loudly booed and heckled at a conference of progressives Saturday when she asserted Snowden had broken the law. Earlier, she drew a distinction between lawmakers like herself, who oversee the nation's security, and privacy-minded citizens.

"I know that some of you attribute heroic status to that action," she said, referring to Snowden's leaks. "But, again, you don't have the responsibility for the security of the United States. Those of us who do have to strike a different balance."

"I don't think this man is a whistle-blower," another California Democrat, Sen. Dianne Feinstein, said on CBS' "Face the Nation." "Whatever his motives are, and I take him at face value, he could have stayed and faced the music. I don't think running is a noble thought."

That view was countered by Sen. Rand Paul, a libertarian-minded Kentucky Republican who has been one of the few U.S. lawmakers to praise Snowden. While he warned Snowden would be discredited if he "cozies up to the Russian government," Paul suggested the former CIA employee had lived up to his duty as a citizen by exposing what he felt were government misdeeds.

"I would say that Mr. Snowden hasn't lied to anyone. He did break his oath of office, but part of his oath of office is to the Constitution," Paul said on CNN, adding: "He was simply coming forward and telling the truth -- that your government was lying."

Obama takes NSA controversy to nascent watchdog group

@highlight

Lawmakers blast Russia for allowing Edward Snowden to land in Moscow

@highlight

'That's not how allies should treat one another,' says Sen. Schumer

@highlight

Debate persists over whether Snowden is a hero or a traitor