Three weeks after Malaysia Airlines Flights 370 set off from Kuala Lumpur, search aircraft set off Saturday from Australia -- hoping to, finally, find the Boeing 777 in the southern Indian Ocean where experts now believe it ended up.

The area that search teams -- including a Chinese Ilyushin IL-76 and an Australian P-3 Orion that set off Saturday morning from Perth -- are now focusing on is 1,100 kilometers (680 miles) to the northeast from where they'd been concentrating for more than a week, and it's closer to the Australian coast. This change is thanks to a new analysis of satellite data that Australian authorities say show the commercial airliner could not have flown as far south as once thought.

Saturday's renewed search comes days after Japan and Thailand both said they'd sent new satellite images to Malaysia showing separate debris fields that could be related to the plane, which vanished with 239 people aboard.

Air Vice-Marshal Kevin Short, commander of Joint Forces New Zealand, told CNN's Erin Burnett five of the dispatched aircraft "located debris in their search area" on Friday.  Some of the spottings were "hundreds of miles away" from each other, although Short said this vast expanse is "not unusual" given the ocean conditions and the time passed since the airplane's purported crash.

That includes 11 small objects spotted by one of his military's P-3 planes. CNN's Kyung Lah, who went out on a U.S. Navy P-8 search plane Friday, said the crew of that plane spotted white objects, orange rope and a blue bag.

"At one point, sure, everybody on board got a little excited, but it's impossible to tell from that distance what anything is," she said.

Aircraft setting off Saturday will try to relocate those objects, take photos of them for analysis, and direct four ships in the area "to their exact location," according to Short.

But again, the world must wait -- there's no confirmation that anything spotted from the air so far has anything to do with the missing airliner, which authorities have been hunting since early March.

"We should not underestimate the difficulty of this work (in) an extraordinarily remote location," Australian Prime Minister Tony Abbott said Saturday. "... While we are throwing everything that we have at it, the task goes."

The Australian Maritime Safety Authority stressed what's been detected so far "cannot be verified or discounted as being from MH370 until they are relocated and recovered by ships," six of which are to arrive Saturday in the new search area. They could be flotsam, like one distinctive piece of fishing gear spotted in the revised zone.

This was not the first time it turned out suspected debris ended up being unrelated to the mystery plane: A Chinese aircraft reported spotting possible aircraft debris early in the search, but that sighting turned out to be nothing.

Still, Short said, "Finding debris ... gives a lot more hope."

Malaysia plane saga: Your questions answered

Better conditions

The new search zone remains vast -- roughly 123,000 square miles (319,000 square kilometers). It is still also remote -- 1,150 miles (1,850 kilometers) west of Perth.

But John Young of the Australian Maritime Safety Authority said conditions there are "likely to be better more often" than they were in the old search area, where poor weather grounded flights two days this week.

Planes will be able to spend more time in the air because the new search zone is closer to land, Young said.

U.S. flight crews involved in the search aren't frustrated or disillusioned by the sudden change in the search, Cmdr. William Marks of the Navy's U.S. 7th Fleet said.

"For the pilots and the air crews, this is what they train for," he said. "They understand it."

Marks told CNN's Anderson Cooper on Friday night that finding the debris is just part of the goal. Oceanographers could then analyze data about current, winds and more, then, to chart where they believe the bulk of the plane lies deep underwater

"Finding the debris in of itself is OK. But it's working backwards to that starting point," Marks said aboard the USS Blue Ridge. "And this area will be, hopefully, much better (than the previous search area) for that."

If and when the body of the 777 is found, the question still remains: Why did it go down? That may not be answered until investigators undertake the arduous process of retrieving the aircraft and trying to, literally, piece together what happened to it.

Wasted time?

Some analysts have raised their eyebrows at the sudden search area shift.

"Really? That much debris and we're not going to have a look at it to see what that stuff might be?" said David Gallo of the Woods Hole Oceanographic Institution, who helped lead the search for the flight recorders from Air France Flight 447, which crashed into the Atlantic Ocean in 2009.

Others lamented the amount of time, money and resources that were spent in the old search area.

"This is time that has been wasted, there's no question," said CNN aviation analyst Miles O'Brien.

Malaysian Transport Minister Hishammuddin Hussein disputed that suggestion.

"I don't think we would've done anything different from what we have done," he said.

CNN safety analyst David Soucie said it was "a good sign" that experts had adjusted their assumptions.

"Assumptions are the key to all of this," he said. "If you assume something and you end up with a final conclusion, you have to constantly review that."

Vast, evolving search

The shifting hunt for Flight 370 has spanned oceans and continents.

It started in the South China Sea between Malaysia and Vietnam, where the plane went out of contact with air traffic controllers.

When authorities learned of radar data suggesting  the plane had turned west across the Malay Peninsula after losing contact, they expanded the search into the Strait of Malacca.

When those efforts proved fruitless, the search spread north into the Andaman Sea and northern Indian Ocean.

It then ballooned dramatically after Malaysia announced March 15 that satellite data showed the plane could have flown along two huge arcs, one stretching northwest into the Asian landmass, the other southwest into the Indian Ocean.

The search area at that point reached nearly 3 million square miles.

On Monday, Malaysian Prime Minister Najib Razak said that further analysis of the data had led authorities to conclude the plane went down in the southern Indian Ocean, far from land.

Malaysian officials told the families of those on board that nobody would have survived. But many relatives have said that only the discovery of wreckage from the plane will convince them of the fate of their loved ones.

'Unspeakable challenge' for families

Mystery surfaces pain of 1977 tragedy

Questions linger

Did flammable cargo doom flight?

How they're searching for debris

@highlight

Australian leader: "We should not underestimate the difficulty" of the search

@highlight

The search for the missing Malaysia Airlines airliner has gone on for three full weeks

@highlight

Authorities recently shifted the focus of the search area some 1,100 kilometers

@highlight

5 aircraft spotted debris in the new area, but none is confirmed to be from Flight 370