(Life by DailyBurn ) -- You just crushed a really hard workout. You upped the load of your training, or you stepped out of your routine and tried a new activity. You feel great -- until you wake up the next morning, barely able to move.

Enter delayed onset muscle soreness, better known as DOMS. It's an acronym that athletes and fitness buffs wear with pride.

As its name suggests, "DOMS is muscle soreness that becomes evident six-to-eight hours following activity, peaking around 24 to 48 hours post-training," says Jon Mike, an exercise scientist at the University of New Mexico. While the symptoms will often start to diminish at about 72 hours, "the precise time course and extent of DOMS is highly variable," Mike says.

DOMS is most pronounced when you introduce a new training stimulus -- a new activity, increased intensity or volume -- or if you are new to physical activity in general.

"Your body is making adaptations to better prepare your muscles to do that activity again," says Lauren Haythe, certified Kinesis Myofascial Integration Practitioner and yoga teacher. That's why on Day 1 at the gym, after doing squats or lunges with 10-15 pound weights, you can be brutally sore the next day.

"But, as you continue on, you can build up from there, and you won't be so sore," she says.

While all kinds of muscular contraction can cause soreness, eccentric contraction -- where the muscle lengthens as it contracts -- is most often associated with DOMS, according to Mike. This includes movements such as running downhill, lowering weights or lowering down into a squat or push-up position.

"There is also some evidence that upper body movement creates more soreness than lower body exercises," says Mike.

Muscle discomfort is the most common characteristic of DOMS, but there are other symptoms. According to the American College of Sports Medicine, these may include reduced range of motion and joint stiffness, local swelling and tenderness, and diminished muscle strength. These symptoms appear gradually following exercise (not to be confused with acute pain that may arise during physical activity).

No pain, no gain. Lactic acid build-up. An indicator of muscle growth. These are all phrases that we tend to associate with DOMS. While you may think you know everything you need to know about the condition that has you waddling like a duck, you may be surprised by what's actually happening in your body.

Myth #1: DOMS is caused by the build-up of lactic acid.

The verdict: Not true.

During exercise, your body needs energy, and it breaks down molecules to get that. As a result of this metabolic process, your cells naturally become more acidic which makes your muscles feel like they're burning. But this isn't caused by lactate. Lactate is actually a by-product of the metabolic process and serves as a buffer and slows down the rate at which the cells become acidic.

"People produce lactate all the time, even at rest. It clears your system 30-minutes to one-hour after working out," says Mike.

A study in Clinics in Sports Medicine found that DOMS is the result of microtrauma in the muscles and surrounding connective tissues, which causes inflammation. The reason that eccentric muscle contraction (think lowering a dumbbell back down in a biceps curl) is more likely to be the culprit is because it places a higher load on your muscles compared to concentric contraction.

"It's the active lengthening of muscle fibers under load. It's like you're pulling on a rope, and there's so much force that the rope starts to tear and pull apart," says Mike.

Daily Burn: 5 exercise machines that aren't worth your time

Myth #2: It's not a good workout unless you get DOMS.

We often wear our DOMS as a badge of honor and believe that if we're not sore, we're not doing enough during out workouts. But that's just not true.

"It doesn't mean that you're not getting as good of a workout because you're not crippled the next day," says Monica Vazquez, NASM certified personal trainer. "You should feel [soreness] 24 hours to three days after the activity. If, after three days, you try to do the same exercise and you cannot because you go immediately to muscle failure, you've done too much."

According to Mike, studies have shown that soreness itself (using a scale from 0 to 10 to assess the level of soreness) is poorly correlated as an indicator of muscle adaptation and growth. There are many factors that influence how DOMS presents itself in individuals.

"There is great variability, even between people with similar genetics and even among highly-trained lifters [and athletes]," he says. So while comparing notes (and commiserating) is all part of the process, soreness and DOMS isn't the best gauge of how effective your workout was or who's in better shape.

Myth #3: The more fit you are, the less susceptible you are to DOMS.

It's true that you will start to feel less sore as your body adapts to your workouts and learns to distribute the workload across your muscle fibers more effectively. That's why you should regularly change up your exercise routine.

However, there is also a genetic component to how sensitive we are to pain and soreness.

"People can be no-responders, low-responders or high-responders to soreness," says Mike. If you're a high-responder, you will experience DOMS more acutely than someone who is a no- or low-responder when given the same training load. While you can't change your genes, it is important to know where you fall on the spectrum to understand how your body may respond to changes in your workouts.

Daily Burn: How to do a pull-up (or add more reps)

Myth #4: Muscle damage is a bad thing.

Yes, DOMS appears to be caused by trauma to your muscle fibers, but it's not a definitive measure of muscle damage. In fact, a certain degree of soreness seems to be necessary.

"When muscles repair themselves, they get larger and stronger than before so that [muscle soreness] doesn't happen again," says Vazquez.

While these mechanisms are not completely understood, Mike notes that some muscle trauma is needed to stimulate protein production and muscle growth.

Myth #5: Pre- and post-workout stretching is a good way to prevent and treat DOMS.

Unfortunately, no. A review of studies for the Cochrane Database of Systematic Reviews on the effects of stretching before or after exercise on the development of delayed-onset muscle soreness found that pre- and post-workout stretching did not reduce the effects of DOMS in healthy adults. In fact, research has found that static stretching prior to working out does not safeguard you against injury and may actually decrease your power and strength.

While you may not be able to avoid soreness altogether, ACSM suggests advancing slowly with a new workout, giving your muscles time to adapt and recover. Vazquez recommends always including a proper warm-up (including dynamic stretching), and cool-down period as part of your routine.

Stop waddling: How to recover from DOMS

There are a number of ways to alleviate those can't-make-it-up-the-stairs symptoms. A sports massage is one good way to reduce the effects.

"A massage will move the fluid and blood around in your body which can help heal the microtrauma in your muscles better," says Haythe.

A study in the Journal of Exercise Rehabilitation found massage to be beneficial on both gait and feelings of post-workout soreness.

Other common ways to treat DOMS include foam rolling, contrast showers (alternating between hot and cold water), Epsom salt baths, increased protein intake (to increase protein synthesis) and omega-3 supplementation (to reduce inflammation), and sleep.

New research in the Clinical Journal of Sports Medicine suggests that supplementing with saffron may also help to alleviate DOMS. Regardless of your preferred Rx, Haythe recommends looking at your diet to make sure your taking in nutrients to help your body heal.

"Find a diet that can really help you feel the best that you can feel," she says.

Daily Burn: Are you foam rolling all wrong?

When it's more than just DOMS

There may be times when you overdo it with your workout and feel bad. Really bad. But when should you be concerned?

"If your level of soreness does not go down significantly after 72 hours and into the 96 hours mark," says Mike. ACSM advises that if the pain becomes debilitating, you experience heavy swelling in your limbs or your urine becomes dark in color, you should see your doctor.

If it's an injury, you're more likely to feel it immediately during your workout -- something that should never be ignored. Soreness, on the other hand, will appear gradually, often the next day.

"An injury will likely limit your range of motion and last longer than three days," says Haythe.

When all is said and done, DOMS shouldn't be avoided or revered. But it shouldn't be your only gauge of your level of fitness or strength. "People think that the only part of their workout that matters is the hard part," Vazquez says. "But, you can do more of the hard part if you don't injure yourself."

Long-term, Haythe says, "You'll build more muscle, strength and endurance if you give your muscles a chance to take a deep breath and recover."

@highlight

"DOMS" is an acronym for delayed onset muscle soreness

@highlight

DOMS happens when you introduce a new activity or increase the intensity, volume

@highlight

Symptoms can also include reduced range of motion and joint stiffness