Washington (CNN)  -- You don't need to peek at Santa's long list to know what the White House is asking for this holiday season -- a large, nicely wrapped box of bipartisanship.

The ideal gift would come fully assembled, with members of Congress ready to reach across the aisle and "budge on some deeply held positions," as President Obama said earlier this week.

But compromise is easier said than done because, as incoming House Speaker John Boehner points out, "There's a reason why we have Democrats and Republicans. We believe in different things about the appropriate role of the federal government." Even the president had to admit that history is not on his side.

"It's no secret that we have had differences that have led us to part ways on many issues in the past," he said.

That said, the midterm elections changed the dynamic in Washington. It also forced Obama to admit to a "shellacking," and it led to the so called "Slurpee summit."

That meeting on Tuesday with Congressional leaders from both parties in the White House Roosevelt Room lasted only about two hours, and didn't end with a dinner in the private quarters as Obama had initially hoped.

However, there was one major concession: The president admitted privately to Republicans that he had not reached out to them enough in the first two years of his administration and he vowed to do a better job.

It was a mea culpa after months of dismissing criticism that he had not done enough to foster bipartisanship.

White House spokesman Robert Gibbs said the president didn't apologize, but "took responsibility for that," and told Republicans he was "ready to do his part."

The proof, as they say, is in the pudding. The next few days in this lame-duck session of Congress will truly determine if the summit both sides described as "frank" and "useful" will produce a compromise on Bush-era tax cuts, the new START treaty or a repeal of the military's "don't ask, don't tell" policy. But a new effort at bipartisanship seems to be getting off to a rough start.

On Wednesday, Senate Republicans promised to block every legislative action until the Senate had moved to fund the government and extend tax cuts. Forty-two Republican senators signed a strongly worded letter to Senate Majority Leader Harry Reid of Nevada, who promptly blasted the GOP for trying to "obstruct" and "delay," legislative progress.

Senate GOPers: Take up tax cuts first

But Republican strategist Kevin Madden blames Democrats for wasting a lot of time on issues that "don't have the votes to pass," and are "not priorities for the American public."

"The scoreboard shows time running out," he said, " and Harry Reid and [outgoing House Speaker] Nancy Pelosi are just running in circles."

One thing is certain: Americans overwhelmingly want both sides to get along, but don't have much confidence that they will. In a recent McClatchy-Marist survey, 72 percent of registered voters said they wanted congressional Republicans to work with the president and their Democratic counterparts to get things done. But just 28 percent thought that would actually happen. That pessimistic view seems at odds with a more optimistic tone at the White House.

The administration is convinced that the midterm elections narrowed the options and might just force results. "Next year the House will be controlled by the Republicans, the Senate by the Democrats, and the presidency obviously unchanged," Gibbs said. "To make progress on issues, to get legislation through Congress, it's going to take bipartisanship."

Gibbs dismissed doubts that the president's ambitious agenda could get wrapped and delivered over the next two weeks. When a reporter wished the White House good luck, the White House spokesman responded, "Well, thank you. You'll have a lot to cover."

The top priority is the Bush-era tax cuts. Both sides are eager to ink a deal, but they remain entrenched in their long-held views. Senate Minority Leader Mitch McConnell of Kentucky wants them extended not only for families earning $250,000 or less per year, but also for wealthier Americans.

"We ought to treat all taxpayers the same," he said. But the president said the country can't afford the $700 billion dollar price tag in extending the cuts to wealthier Americans.

"I continue to believe that it would be unwise and unfair," he said. Polling shows about half of Americans favor extending the tax cuts for families making less than $250,000 while a little more than a third favor extending them to all Americans.

How will Republicans and Democrats be able to bridge this wide divide?

Obama appointed Treasury Secretary Timothy Geithner and his budget director Jack Lew to negotiate with four members of Congress from both parties. The goal is to find common ground in the next few days.

During a break in their Wednesday closed-door session, Geithner told reporters that discussions were "very civil" and "constructive" and that there were "no surprises."

But it's unclear how much progress is being made because the group agreed not to discuss those details. Past divided governments have managed to avoid gridlock and produce results.

In President Bill Clinton's second term, key accomplishments like welfare reform, a balanced budget and trade agreements were sealed with bipartisan support. Now, both sides have signaled they're willing to work together to give Americans what they asked for on Election Day. Madden said the ball is in Obama's court.

"He'll see bipartisan success if he moves past his singular emphasis on style and actually looks for ways to meet Republicans on cutting spending and targeting the deficit," he said.

The clock is ticking as the holiday break approaches. It seems progress will hinge on Washington being much less naughty and a bit more nice.

@highlight

Midterm elections changed the dynamic in Washington

@highlight

Obama admits he hasn't done enough to reach out to Republicans so far

@highlight

A new effort at bipartisanship seems to be getting off to a rough start

@highlight

Progress will hinge on Washington being much less naughty and a bit more nice