Horses have been pulling passenger carriages on New York City streets since 1858, 50 years before the Ford Model T was introduced, and there's no arguing they've been an iconic feature of the city's culture. But as society evolves, so do its standards. When traditions become unacceptable, we don't stick to them simply to keep money coming in. We make new ones.

There is no better example of an obsolete and unacceptable tradition than New York City's horse-drawn carriage rides. In the 21st century, using horses to pull heavy loads of tourists through congested city streets is unnatural, unnecessary and an undeniable strain on the horses. And that strain is not restricted to the streets.

The stables to which these horses return -- former tenement buildings -- do not afford horses a paddock for turnout, the ability to graze or the freedom to roll and run.

That's why, as an organization that's fought for humane treatment of horses since our founding in 1866, we think it's time to end horse-drawn carriage rides, a position firmly and bravely backed by New York City's new mayor, Bill de Blasio. "We're going to get rid of horse carriages, period," the mayor said two days before taking office.

No counterargument stands up to the sheer absurdity of this antiquated practice, though many who profit from it keep trying.

Opposite view: Keep the beloved New York carriage rides

A carriage driver and industry spokesperson recently told CNN that only "two different sides" are arguing this issue: "the people that know about horses, and people who just look at the horses and give their first impression based on something they read on the Internet."

That statement indicates a deliberate ignorance that serves neither the horses nor the truth.

There are many perspectives on this issue, but because these carriages are profit-driven as well as horse-driven, the paramount question is "What's in the best interest of the horses?"

And is the answer more likely to come from a group dedicated to animal rescue and protection or from horse carriage drivers teaming up with a St. Louis-based PR firm that says it is fighting "radical animal rights extremists" to protect industry?

Are the concerns about lost jobs legitimate? Absolutely.

We share those concerns and encourage new ideas to address them. But using fear over facts and paper-thin arguments to sway this debate is irresponsible.

Here's a sampling of the most ridiculous points suggested by the carriage horse industry and others in the media:

Carriage horses have ample "vacation time."

This may come as news to some, but horses don't understand the idea of workplace benefits. Time off is no defense if the time on is degrading. And another key difference: If you don't like your job, you can quit.

These horses' nine-hour shifts, pulling vehicles weighing hundreds of pounds through bumper-to-bumper traffic on hard pavement, go on without regard to their natural inclinations or overall well-being.

The presence of police horses means the use of carriage horses is appropriate.

Police horses serve a public service. Carriage horses exist for personal profit. That's the difference between necessary and unnecessary. Yes, they're both horses -- just like police officers and ticket scalpers are both humans -- but their roles could not be more different.

It should also be noted that New York Police Department Mounted Unit horses and officers undergo months of specialized training, while New York City carriage horse drivers must simply attend a two-day course and have a valid driver's license.

Horses share our environment: If it's good enough for us, it's good enough for them.

Humans can get off the street, go inside, sit down and generally leave pollutants, noise, potholes and traffic behind. Horses don't have that luxury.

Not only that, but the official training manual for horse-drawn carriage operators cautions drivers that horses are naturally alarmed by -- among other things -- brightly colored traffic lines, manhole covers, potholes, motorcycles, ambulance and police sirens, barking dogs, and noisy crowds.

Sound like any city you know?

The number of carriage horse violations and accidents is insignificant.

The ASPCA has issued more than 230 summonses to carriage operators since 2007. But just one dangerous incident or violation is one too many. In one of many stories of these animals panicking, a  mare named Smoothie was spooked and bolted onto the sidewalk where she died of shock in 2007. In December, a carriage horse operator was arrested and charged with animal cruelty for working a horse that was visibly injured.

Incidents such as these shouldn't be tolerated, especially when the practice is so unnecessary. And New York City still needs carriage horses like it still needs subway tokens.

If the practice ends, the horses will be destroyed or abandoned.

We hear this false forecast all too often. Many rescue organizations and shelters are ready and willing to find and open homes to these horses, if their owners allow it. The ASPCA will gladly get involved to help find and facilitate humane options for any horse in need of placement.

But by no means does life as a carriage horse ensure the animal won't eventually be killed for profit. When their useful days are done, they may well be sent to auctions where buyers are often looking for American horses to ship to Canada or Mexico for slaughter and human consumption overseas.

This debate is a conversation New York City needs to have. But it should happen in a context of hard truth, not hyperbolic bias. New Yorkers deserve that. And so do the animals with whom they share the city.

We applaud efforts clearly in motion to take these horses off city streets, pushing both them and New York itself into a more civilized future that should be welcomed, not feared.

@highlight

Matt Bershadker: When traditions are unacceptable, we should change them

@highlight

Bershadker: Horses pull hundreds of pounds through bad traffic on  streets for nine hours

@highlight

He says: Lost jobs concerns are legit, so we must offer other ways for drivers to make living

@highlight

Bershadker: ASPCA shares position bravely backed by New York  Mayor Bill de Blasio