(CNET) -- Microsoft has applied for a patent on metered, pay-as-you-go computing.

Under a Microsoft proposal, consumers would receive heavily discounted PCs, then pay fees for usage.

U.S. patent application number 20080319910, published on Christmas Day, details Microsoft's vision of a situation where a "standard model" of PC is given away or heavily subsidized by someone in the supply chain. The end user then pays to use the computer, with charges based on both the length of usage time and the performance levels utilized, along with a "one-time charge."

Microsoft notes in the application that the end user could end up paying more for the computer, compared with the one-off cost entailed in the existing PC business model, but argues the user would benefit by having a PC with an extended "useful life."

"A computer with scalable performance level components and selectable software and service options has a user interface that allows individual performance levels to be selected," reads the patent application's abstract. The patent application was filed June 21, 2007.

"The scalable performance level components may include a processor, memory, graphics controller, etc. Software and services may include word processing, email, browsing, database access, etc. To support a pay-per-use business model, each selectable item may have a cost associated with it, allowing a user to pay for the services actually selected and that presumably correspond to the task or tasks being performed," the abstract continues.

Integral to Microsoft's vision is a security module, embedded in the PC, that would effectively lock the PC to a certain supplier.

"The metering agents and specific elements of the security module...allow an underwriter in the supply chain to confidently supply a computer at little or no upfront cost to a user or business, aware that their investment is protected and that the scalable performance capabilities generate revenue commensurate with actual performance level settings and usage," the application reads.

'A more granular approach'

According to the application, the issue with the existing PC business model is that it "requires more or less a one chance at the consumer kind of mentality, where elasticity curves are based on the pressure to maximize profits on a one-time-sale, one-shot-at-the-consumer mentality."

Microsoft's proposed model, on the other hand, could "allow a more granular approach to hardware and software sales," the application states, adding that the user "may be able to select a level of performance related to processor, memory, graphics power, etc that is driven not by a lifetime maximum requirement but rather by the need of the moment."

"When the need is browsing, a low level of performance may be used and, when network-based interactive gaming is the need of the moment, the highest available performance may be made available to the user," the document reads. "Because the user only pays for the performance level of the moment, the user may see no reason to not acquire a device with a high degree of functionality, in terms of both hardware and software, and experiment with a usage level that suits different performance requirements."

By way of example, the application posits a situation involving three "bundles" of applications and performance: office, gaming, and browsing.

"The office bundle may include word-processing and spreadsheet applications, medium graphics performance and two of three processor cores," the document reads. "The gaming bundle may include no productivity applications but may include 3D graphics support and three of three processor cores. The browsing bundle may include no productivity applications, medium graphics performance and high-speed network interface."

"Charging for the various bundles may be by bundle and by duration. For example, the office bundle may be $1.00 [68 pence] per hour, the gaming bundle may be $1.25 per hour and the browsing bundle may be $0.80 per hour. The usage charges may be abstracted to 'units/hour' to make currency conversions simpler. Alternatively, a bundle may incur a one-time charge that is operable until changed or for a fixed-usage period," the document reads.

Microsoft's patent application does acknowledge that a per-use model of computing would probably increase the cost of ownership over the PC's lifetime. The company argues in its application, however, that "the payments can be deferred and the user can extend the useful life of the computer beyond that of the one-time purchase machine."

The document suggests that "both users and suppliers benefit from this new business model" because "the user is able to migrate the performance level of the computer as needs change over time, while the supplier can develop a revenue stream business that may actually have higher value than the one-time purchase model currently practiced."

"Rather than suffering through less-than-adequate performance for a significant portion of the life of a computer, a user can increase performance level over time, at a slight premium of payments," the application reads. "When the performance level finally reaches its maximum and still better performance is required, then the user may upgrade to a new computer, running at a relatively low performance level, probably with little or no change in the cost of use."

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Microsoft has applied for a patent on metered, pay-as-you-go computing

@highlight

Under its plan, a standard PC would be given away or heavily subsidized

@highlight

Consumers would then pay regular fees to use the computer

@highlight

Charges would be based on length of usage time and PC performance levels