(CNN)Sailor Gutzler is back in her tiny hometown in Illinois with family members Monday.

They are doing everything they can to make the 7-year-old feel safe and loved -- a simple but critical act that mental health experts say can help the child begin grappling with being the sole survivor of a plane crash that killed her parents, sister and cousin.

Family members will raise Sailor, and money from a family-sanctioned online fund will help, said Gutzler family spokesman Kent Plotner, an attorney who personally knows the family. But out of concern for the girl's healing, Plotner said there will be no more details released about her. "Our total focus is protecting her," he said.

Sailor's father was a longtime pilot, Plotner said, and his children flew with him many times.

On Friday, a Piper PA-34 that was carrying the family went down in western Kentucky. Even though the aircraft was upside down, Sailor managed to make it out and walk three-quarters of a mile in the dark through very rough terrain, across fallen trees and ditches. She navigated around creeks and over blackberry briars despite wearing only one sock, a T-shirt and shorts, and no coat.

Mother remembers last moments with daughter lost in Kentucky plane crash

She knocked on Larry Wilkins' door.

"She said, 'My mom and dad are dead. We had a plane crash. The plane was upside down.'"

On CNN Monday, Wilkins said the girls' legs were cut and scratched from the bottom of her shorts to the tips of her toes. She was a little wet because it was drizzling.

Wilkins put her on his couch and called 911, alerting authorities that a plane had gone down and there was at least one survivor.

Wilkins said his two Dachshunds helped calm the girl down. The child's grandfather later told him that she had a Dachshund.

"I know she's having an extremely hard time and probably in her mind she doesn't understand everything that's going on," said Wilkins.

Though she was trembling and crying, the little girl seemed "amazingly composed," he said, given the circumstances.

Grief in a child's mind

Children who experience the sudden loss of a family member process that grief in ways that are specific to their age, say mental health specialists who treat young patients.

Losing one relative elicits complex feelings; losing several relatives, particularly parents, is uniquely overwhelming.

On top of her grief, Sailor will also have to grapple with the trauma she endured being part of the event that killed them.

"It's critical that Sailor feel safe and loved -- that has to happen right away," said Dr. J. William Worden, a psychologist who has treated grieving children and co-directed Harvard's seminal study on childhood bereavement.

The Gutzler family is not saying where the child is living, and that's a very good move, Worden said. Journalists camping outside her door could scare and traumatize her, he said.

Other mental health experts who specialize in treating children advise that the family try to keep as normal a routine as possible. They must keep in mind that grief is a process. It's not a problem to be fixed.

There's no rush, they say, for her to see a counselor.

And it could be damaging for an interviewer without training in child trauma to question her now, said Dr. Donald Freedheim, a professor emeritus of psychology at Case Western University.

He has treated children after disasters.

"If they called me, I wouldn't say, 'Send her to my office.' I'd go to her home and we'd just sit down. I would be a friend. She can't feel threatened in any way," he said.

Let the child lead

Sailor should be allowed to provide cues as to how adults behave around her.

"If she wants to talk about what happened, let her. If she doesn't, then let her be for a little while," Worden said. "When you have too many losses in too short a period of time, in children, their grieving process can shut down."

Sometimes, children develop somatic symptoms in place of grieving. Young children act out because they don't have the developmental tools yet to articulate how they feel. Older children and teenagers sometimes get headaches, stomachaches or anxiety disorders, he said.

Each of Sailor's relatives' deaths should be addressed separately, experts advise. The way Sailor will process the loss of her sister is apart from the way she will grieve for her mother.

Sailor will deal with those losses differently as she gets older. She will feel them differently from the way she felt them at ages 12, 18 and 25, said Dr. Therese Rando of The Institute for the Study and Treatment of Loss in Rhode Island.

A 7-year-old generally understands what death is but doesn't yet have the ability to comprehend the implications of it, experts say.

A common coping mechanism at that age is denial, said Rando.

The adult world is stunned and impressed that Sailor managed to get up from the wreckage site, walk in the dark, in frigid temperatures, across a rough, wooded area to get to a man's house, knock on the door, tell that stranger what happened and ask for help.

But that action shouldn't be interpreted as a sign that Sailor is somehow more capable of recovering than any other child who faces such a horrific tragedy.

"She may have acted amazingly composed," said Rando. "But what might be happening on the outside isn't necessarily what's happening on the inside. She will have to deal with this trauma in a way that unfolds over a lot of time. She will have to work this for the rest of her life."

Still, AC Morgan, who survived a small plane crash himself in 1998, encouraged Sailor to draw on that same strength she showed after the crash as she faces a challenging healing process.

"If you ever question if you can do it, look back at what you did -- you were able to get out of a plane, you were able to walk three-quarters of a mile in the dark, by yourself and find safety. You can do it, no matter what."

I was the sole survivor: 4 stories of plane crash survival

@highlight

Adults around Sailor Gutzler should allow her to give cues; if she wants to talk, she will, mental health experts say

@highlight

Therapist: A child of 7 understands what death is but doesn't have the tools to comprehend its implications

@highlight

The most important thing adults around Sailor should do immediately: Make her feel safe and loved