WASHINGTON (CNN)  -- A Navy team including some 200 industry experts and scientists has been working furiously since January to modify the Aegis air-defense missile system so it can shoot down a failed satellite officials say could fall to Earth, a Pentagon official told CNN.

A Delta II rocket lifts off in December, carrying a  reconnaissance satellite that failed hours later.

The Pentagon said the U.S. Navy plans to try to shoot down a faulty spy satellite with a modified anti-missile missile on Wednesday. It would be the first such maneuver in more than two decades -- and the first ever using sea-based missiles.

Without any intervention, officials believe the 5,000-pound secret spy satellite would fall to Earth on its own in early March. Because it malfunctioned immediately after it was launched in December 2006, it has a full tank -- about 1,000 pounds -- of frozen, toxic hydrazine propellant on board.

Authorities said the fuel tank probably would survive re-entry and could disperse harmful or even potentially deadly fumes over an area the size of two football fields. Hydrazine is similar to chlorine or ammonia in that it affects the lungs and breathing tissue.

Pentagon sources said the Navy is attempting to take its first shot about 10:30 p.m. ET, or 5:30 p.m. Hawaii time. A formal notice was issued earlier this week, warning ships and planes to stay clear of a large area of the Pacific Ocean west of Hawaii. The window covered by the "Notice to Airmen" begins about 9:30 p.m. ET Wednesday (4:30 p.m. Hawaii time) and lasts for 2½ hours.

Among the team's challenges was modifying the sensors designed to detect the heat from an incoming warhead because the satellite will be much cooler.

Selected for the mission is the Aegis-equipped cruiser USS Lake Erie, which is fully equipped with sea-based missile defense systems, and has long been the Navy's primary ship for the sea-based missile defense program, officials said.

The Lake Erie will be joined in the Pacific by two destroyers, the USS Decatur and the USS Russell. The Lake Erie will fire the missile, the Decatur will feed trajectory information to the Erie, and the Russell will be the Decatur's backup, authorities have said.

The satellite and the missile will be heading toward each other at about 22,000 mph. The satellite is about the size of a school bus, authorities have said, and the missile will be aimed at its fuel tank, which is about 3 or 4 feet long.

The missile would release a "kinetic kill vehicle," enabling it to "see" the satellite and adjust its course toward it, officials have said. After the first of the three missiles is shot, officials will determine if the satellite was hit.

If it wasn't, they may take another shot, depending on whether they have enough time. The window of time for the operation begins hours after the scheduled landing of the space shuttle Atlantis at 9:07 a.m. ET. Officials earlier had said a shootdown of the satellite would not be attempted until after the shuttle had landed.

Pentagon officials have cautioned that the advisory reflects only the first opportunity to take a shot at the satellite, although the attempt could be delayed until later.

"It's possible the conditions won't be ideal, or that everything won't be ready," a Pentagon official, who asked not to be identified, told CNN.

It's unclear whether the event will be visible to the naked eye, as it will occur in daylight. The satellite will be visible with infrared imaging gear.

Those looking into the western sky -- in the right spot -- from Hawaii may be able to see the satellite's demise, but it's unlikely that viewers will be treated to the spectacular light show witnessed by those on the Pacific island of Fiji when the Russian space station Mir streaked across the sky during its fiery re-entry in 2001.

Officials have told CNN the shootdown carries a $40 million to $60 million price tag. The missile alone costs $10 million, Lt. Gen. Carter Ham told reporters.

The goal is to strike the satellite in low orbit, just before it re-enters the Earth's atmosphere, at an altitude of about 150 miles. The missile will carry no warhead, as the idea is to blast the satellite apart on impact so that the hydrazine tank explodes.  Watch Pentagon spokesman Jeff Morrell describe the launch window »

The smaller debris would be more likely to burn up in the atmosphere. Most of the debris would re-enter the atmosphere within hours of impact, NASA Administrator Michael Griffin has said.

Deputy National Security Adviser James Jeffrey said earlier this month that President Bush made the decision to shoot the satellite down after consulting with several government and military officials and aerospace experts.

The United States last shot down a satellite in 1985, using a missile fired from an F-15 fighter jet at an altitude of about 80,000 feet.

In January 2007, China used a land-based missile to destroy a 1-metric ton (2,200-pound) satellite that was orbiting 528 miles above the Earth. The impact left more than 100,000 pieces of debris orbiting the planet, NASA estimated -- 2,600 of them "large," or more than 4 inches across. The U.S. agency called the breakup of the Fengyun-C satellite the worst in history.

China, however, is among a host of countries monitoring the satellite shootdown. E-mail to a friend

CNN's Jamie McIntyre and Miles O'Brien contributed to this report.

@highlight

NEW: First attempt expected to be Wednesday night

@highlight

5,000-pound satellite malfunctioned right after launch in December 2006

@highlight

It has a full tank of fuel and could dispense deadly fumes if it hits Earth

@highlight

If satellite falls to Earth, it could leave a cloud of fumes the size of 2 football fields