(CNN) -- A Boeing 777, one of the world's most reliable types of airliners, is missing, and no one knows why. Was it a bomb? Mechanical failure? A hijacking gone awry? Pilots and others in the aviation community are deeply disturbed by the mystery surrounding Malaysia Airlines Flight 370.

It disappeared Saturday en route from Kuala Lumpur to Beijing over the Gulf of Thailand, somewhere between Malaysia and Vietnam. It's hard to believe that such huge questions remain four days after the Boeing 777-200ER went missing, carrying 227 passengers and 12 crew members.

A revelation Wednesday set off a fresh wave of speculation, as Chinese officials said they had captured satellite images that show what could be wreckage from the plane.

The situation is so unprecedented that experts have been careful in speculating about possible explanations.

Here are four scenarios they're talking about, and the related facts:

1. Scenario: Mechanical failure?

Fact: A satellite "observed a suspected crash area at sea," China's State Administration for Science, Technology and Industry for National Defense said Wednesday. The images captured three floating objects that are 13 by 18 meters (43 by 59 feet), 14 by 19 meters (46 by 62 feet) and 24 by 22 meters (79 feet by 72 feet).

Analysis: The location of the objects is near the airplane's original flight path. "This opens the door back to an aeronautical problem and not a human problem," said Peter Goelz, a former managing director of the U.S. National Transportation Safety Board. But Steven Wallace, the Federal Aviation Administration's former director of accident investigation, cautioned that the size of the objects might be too large to be wreckage from an airplane. "When an airplane goes into the water, whether it impacts intact or breaks up at high altitude, what floats are lighter-weight, typically interior components. Major structural components will sink. So if this image -- and it's a blurry image; I'm sure it will be more carefully analyzed -- if it's true that the piece of wreckage is 40 by 70 feet, I would be very skeptical as to whether it's part of that aircraft."

Fact: Air traffic controllers in Subang, outside Kuala Lumpur, lost contact with the plane over the sea between Malaysia and Vietnam. A senior Malaysian Air Force official said Tuesday that radar tracking detected the flight an hour and 10 minutes later over the very small island of Pulau Perak, in the Strait of Malacca. This is hundreds of miles off course, traveling in the opposite direction from its original destination. But other Malaysian officials disputed that report. And on Wednesday, Malaysian authorities said radar records did detect an unidentified aircraft moving into the Strait of Malacca, but it wasn't clear whether that plane was Flight 370.

Analysis: If the plane did indeed change course and fly for more than an hour, an electrical problem on the plane could explain that, some experts say.

"Perhaps there was a power problem, and then there's a backup power system. That backup power system is designed to last about an hour. It's natural for the pilot, in my view, to return to where he knows, the airports and a region he knows," said Kit Darby, an aviation consultant and former United Airlines captain. "So turning around makes sense, and about an hour later, the airplane could become unflyable."

Fact: The missing plane had suffered a clipped wing tip in the past, but Boeing repaired it, and the jet was safe to fly, said Malaysia Airlines CEO Ahmad Jauhari Yahya on Sunday.

Analysis: "Anytime there's been previous damage to an airplane, even though it's been repaired, and repaired within standards ... it kind of sends a warning flag," says Wolzinger. Experts agree the Boeing 777 is one of the world's most reliable aircraft. During its development it was subject to some of the most rigorous testing in commercial aviation history. "I've been talking with colleagues," Wolzinger says. "We're all baffled by this." The 777 boasts some of the most powerful and well-tested engines in the world, he says. "The reliability of airliner engines in general is impeccable these days," he says. "This is a safe plane."

Looking for a needle in a haystack

2. Scenario: Hijacking?

Fact: Before it disappeared, radar data indicated the plane may have turned around to head back to Kuala Lumpur. Is that a clue that a hijacker had ordered the plane to change course?

Analysis: So far, there have been no reports that the flight crew sent any signals that a hijacking had occurred.

Some experts say that could have been deliberate. Others say a mechanical failure could have been what stopped the pilots from reporting a problem.

Fact: The plane had stopped sending identifying transponder codes before it disappeared.

Analysis: "Given that this airplane has so many redundant electrical systems on it, my first reaction would be that somebody...purposely turned it off," said John Goglia, a former U.S. National Transportation Safety Board member. "A pilot would not do that. Somebody that didn't want to be seen very well would do that."

John Ransom, a retired commercial pilot and safety consultant, said the situation sounds fishy.

"This was a fairly modern airplane with a bunch of capability to communicate with the outside world. A lot of data transmissions from the airplane," he said. "For them to all stop at the same time would take the work of somebody who has actually studied the systems in some detail to know how to turn off all of the systems at the same time."

Turning off a transponder is a "deliberate process," Goelz said.

"If someone did that in the cockpit," he said, "they were doing it to disguise the route of the plane."

Was someone unauthorized inside the cockpit, ordering the transponders to be turned off and the plane to be turned around? Or, he said, "Did one of the pilots do it themselves?"

3. Scenario: Pilot error

Fact: So far, there are no known indications that pilot error contributed to the aircraft going missing.

Analysis: Some aviation experts have compared Flight 370 to the crash of Air France Flight 447 in 2009. All 228 passengers and crew died when the plane went down in a storm in the Atlantic en route from Brazil to Paris. After an expensive, nearly two-year search across the deep ocean floor, the twin-engine Airbus A330's wreckage was finally found and the voice and data recorders recovered. A French investigation blamed flight crew for failing to understand "they were in a stall situation and therefore never undertook any recovery maneuvers." But unlike Flight 447, weather was reported as good along Flight 370's scheduled route and didn't appear to present a threat.

Asiana Airlines Flight 217 -- a Boeing 777 -- fell short during a runway approach last July at San Francisco International Airport. Three people were killed and more than 180 others hurt. National Transportation Safety Board investigators have focused on pilot reliance on automated flight systems as a possible contributor to the crash, but a final report has not yet been released.

4. Scenario: Terrorist attack?

Fact: Two stolen passports have been linked to people who held tickets for the flight. Interpol identified the men using the stolen passports as Pouri Nourmohammadi, 18, and Delavar Seyed Mohammad Reza, 29, both Iranians. Malaysian police believe Nourmohammadi was trying to emigrate to Germany using the stolen Austrian passport.

Analysis: Malaysian investigators say there's no evidence to suggest either person traveling with a stolen passport was connected to any terrorist organizations. Interpol has a similar take. "The more information we get, the more we're inclined to conclude that it was not a terrorist incident," Interpol Secretary General Ronald Noble said.

But some experts have questioned whether the use of the stolen passports suggests problems with the security screening for the flight.

And CIA Director John Brennan said his agency is not yet willing to discount the possibility of a terror link in what he called a "very disturbing" mystery. "No, we're not ruling it out. Not at all," he said Tuesday.

Fact: No one has claimed credit for any terrorist act tied with the plane's disappearance.

Analysis: But terrorism still can't be ruled out, said Shawn Henry, former executive assistant director of the FBI. "There might be another reason for them not coming forward at this point," he said. "If it was a terrorist incident...if this was part of a much larger or broader potential act, and for whatever reason, they wouldn't come forward at this point, but at a later time."

Fact: So far, no debris field of plane wreckage has been linked to the 777, which would indicate a bomb blast.

Analysis: When Robert Francis, former vice chairman of the U.S. National Transportation Safety Board, heard about the missing plane, his immediate thought was: "For some reason the aircraft blew up and there was no signal, there was nothing." The fact that the plane disappeared from radar without warning indicated to Francis "there was something unprecedented that hasn't happened before."

What about satellite technology? Is it possible that data from orbiting satellites might show a flash or infrared heat signature from an explosion? Very unlikely, says satellite expert Brian Weeden, who spent years tracking space junk in orbit for the U.S. Air Force. Dozens of government and private satellites orbit the earth, looking down from distances from 300 kilometers to 1,500 kilometers (185 to 930 miles). It's a long shot that one of them coincidentally floated over at the exact right time and location to capture a flash from an explosion.

However, there's an "off chance," Weeden says, that a super-secret U.S. government satellite orbiting 22,000 miles in space might have grabbed evidence. These satellites are in geosynchronous orbit. As a group, they can observe virtually the entire globe. "We know that their mission is to detect ballistic missile launches via heat," says Weeden, now a technical adviser for Secure World Foundation. "We don't know if they're sensitive enough to track something like a bomb blast, even if that's what happened."

Then there's another unanswerable question: Would the government hesitate to release such an image for fear of revealing the satellite system's ultraclassified capability?

Who travels with a stolen passport?

CNN's Steve Almasy and Rene Marsh contributed to this report.

@highlight

NEW: China: A satellite has "observed a suspected crash area at sea"

@highlight

A Malaysian military official's revelation sets off a fresh wave of speculation

@highlight

'Baffled' experts speculate on what happened to missing airliner

@highlight

Did the plane ditch on the water and then sink?