(CNN) -- Living in a house made from shipping containers isn't exactly everyone's idea of a dream home.

But a new design could change all that, building on the ethos of sustainability without cramping your style ... or your space.

Eco-Pak distinguishes itself from the container crowd, says its U.S. and British creators, by not only being a structure but also a vehicle for all structural components of the house.

Seattle-based architect Matthew Coates and James Green, a British aircraft structural engineer, joined forces just over a year ago to build on Green's original idea for incorporating shipping containers within a bespoke steel shell.

The containers form part of the foundation for the building, Green says, as well as being a building block that aids the quick and easy assembly of the frame around it.

Coates, who specializes in sustainable design, was familiar with recent innovations in container housing, he says, but Green's idea immediately stood out.

"I think its advantages over traditional housing are quite profound. It's an excellent option for emergency housing -- the containers could be shipped to a site in large quantities, set down and assembled very quickly," Coates said.

"The other thing is that it doesn't need a typical foundation. It can actually be put down right on the ground or on concrete blocks or pin piles," he said.

Coates envisages other markets for Eco-Pak beyond emergency housing, with a two-story house targeted at the affordable housing market and a 1,300 square feet three-story structure retailing for approximately $80-100,000.

Robert Kronenburg, professor of architecture at the UK's University of Liverpool and author of "Houses in Motion: The Genesis, History and Development of the Portable Building," says sustainability is "very, very crucial" and is driving architectural design more and more.

"Prefabrication is a fantastic way to make things quicker, more economical and improve quality. And trying to find new ways to make affordable housing is obviously important," he said.

He points to the successes already achieved in this area by New York architectural firm LOT-EK -- one of the pioneers of container housing -- and Jennifer Siegal, founder of the Los Angeles-based Office of Mobile Design.

"What it comes down to in the end is the quality of the system you are creating," Kronenburg says, "how things fit together, how good the parts are, how easy it is to assemble. It's really about practice, testing and making sure it works."

With a patent for the Eco-Pak design granted in May this year, Green and Coates are ready to take their project to the next level.

With the help of sponsorship from a U.S. non-profit organization, Coates says a fully functioning prototype is on schedule to be completed by the spring of 2013.

"We intend to sell Eco-Pak internationally," Coates said, "so people could order just the structural parts or a turnkey option -- where we would provide all the exterior wall panels and parts."

Green hopes Eco-Pak will change the "living in a box" perception of shipping containers at a price which won't break the bank.

"If you make this thing aesthetically pleasing, people will buy it," he says, "and it promotes the greener side of things."

@highlight

New design for container housing aimed at providing emergency shelter and affordable housing

@highlight

Design result of collaboration between British aircraft engineer and U.S. architect

@highlight

Containers used as a structure but also carry all materials required to build house

@highlight

Three-story version of house will cost around $80-100,000, according to creators