(CNN) -- Your tax dollars that fund Medicare may be going toward excessive amounts of name-brand drugs when cheaper generics could be prescribed instead, a new report suggests.

A small portion of doctors nationwide is costing American taxpayers big time because of their tendency to prescribe name-brand medications through Medicare even when generics are available, according to an analysis by ProPublica, a nonprofit organization producing "investigative journalism in the public interest."

The biggest offenders are 913 practitioners who, thanks to disproportionately prescribing name-brand drugs, cost taxpayers an extra $300 million in 2011, say ProPublica's Charles Ornstein, Tracy Weber and Jennifer LaFleur. Each of these doctors wrote at least 5,000 prescriptions that year, according to the report.

Many of these doctors also had financial ties to the companies that manufacture the drugs they prescribed, ProPublica reports, and have accepted thousands of dollars from drug companies in the form of promotional or consulting fees.

Although Medicare's drug program has been considered an achievement in government health care, "this seeming fiscal success has hidden billions of dollars lost to unnecessarily expensive prescribing over the program's eight-year history," the report said.

The detriments of Part D

Part of the wasted money results from well-intended aspects of Medicare. A provision called Part D, which has given individuals with low incomes access to cheap medications, has at the same time enabled doctors to prescribe name-brand drugs without complaint from low-income patients, ProPublica said. Regardless of the medication's cost, Part D allows patients to pay less than $7 per prescription if they have low incomes.

The lack of incentives for cheaper drugs for low-income patients is an important point raised by the report, said Jonathan Gruber, an MIT economics professor who was not involved in the study.

Insurance companies can use financial incentives to sway participants who are not impoverished toward generic coverage, Gruber said, which has generally prompted a shift toward lower-cost generic coverage. But low-income populations are covered by the subsidy, which caps what they pay for prescriptions anyway, so there aren't financial incentives for the use of generics.

"Medicare needs to find a different way to monitor prescribing patterns and lower costs for this population," Gruber said in an e-mail.

Part D cost taxpayers $62 billion last year, and more than a third of that went toward this low-income subsidy, ProPublica reported. More than 11 million people receive the subsidy.

The ProPublica piece pointed to an analysis from the Medicare Payment Advisory Commission, or MedPAC, which reports to Congress on Medicare, showing that Medicare could save $1.3 billion a year in seven drug categories if generics were prescribed to low-income patients and other Medicare enrollees in the same proportion. The savings might be even more, to the tune of $44 billion in a decade, according to the Washington think tank Bipartisan Policy Center.

Medicare pays for one in four prescriptions in the United States, ProPublica said, but it does not limit the name-brand drugs that physicians can prescribe.

Who are the doctors prescribing so many name-brand medications? ProPublica found some patterns in ethnic neighborhoods and areas around large cities.

For instance, a stretch of Koreatown in Los Angeles has seven of the doctors with high rates of name-brand prescribing, and a building in Brooklyn with six such doctors is in a Russian community.

The "average cost of a Part D prescription in these enclaves can be more than 50 percent higher than that of surrounding areas," ProPublica said.

A challenge for the medical community

The report's findings about money wasted on brand-name drugs aren't too surprising, said Dr. Tara Bishop, assistant professor of public health and medicine at Weill Cornell Medical College in New York.

"I think that there's a lot of marketing and misconceptions about how good is the newest, latest drug for which there's not a generic alternative," said Bishop, who was not involved with the ProPublica report.

There are few instances where brand-name drugs are superior to their generic alternative, Bishop said. She could not think of a specific example.

"By and large, if there is a generic, it should be prescribed," she said.

There are some efforts already in place toward addressing the problem. For instance, the way Bishop's electronic health records are set up, when she enters a medication into her system, a generic gets automatically prescribed if one is available. She also noted that sometimes pharmacies will give patients the generic version of a drug even if the brand name has been prescribed unless the physician has specified otherwise.

There are also drugs that have no generic equivalent, Bishop noted. But for those that do have generic alternatives, marketing efforts are generally stronger for the brand-name versions.

"Many of us who practice medicine and know about the issues of rising health care costs, know that we spend a lot on brand-name medications when we don't necessarily need to," she said. "This is an interesting study because it quantifies it with a very small group of doctors."

Variations in prescriptions for brand-name drugs have been on the radar of many insurance companies and health care researchers, Bishop said. They should look at the issues presented in the ProPublica report to help control rising health care costs, she said.

Why some doctors continue prescribing brand-name versions of drugs that have generic equivalents is an important question, she said.

"That's a question that the medical community has to come to terms with," she said. "Are we not being good stewards of the resources that are available by prescribing things that could have cheaper, as effective alternatives?"

@highlight

ProPublica report: Hundreds of millions of dollars wasted on name-brand drugs

@highlight

Taxpayers paid $300 million extra in 2011 thanks to 913 practitioners, report says

@highlight

Medicare Part D has no incentive for low-income patients to demand generics, professor says