Melilla (CNN) -- A morning thunderstorm has left the waste ground outside Melilla's compound for migrants and refugees slick with orange mud.

Hanging around under overcast skies, a knot of men -- unshaven and dressed in a motley collection of T-shirts -- watch a convoy of Spanish military vehicles rumble by.

They have reached this tiny Spanish enclave in North Africa overland -- from Mali, Syria, Libya and elsewhere. Some just want a better life in Europe; others are fleeing war.

Some have clambered over the three 20-foot (6-meter) fences topped with razor-wire; others have bought forged Moroccan passports to take advantage of Moroccans' eligibility to enter Melilla as day-laborers or to trade.

But the Spanish authorities fear that among this tide of the helpless may be some intent on bringing jihad to Europe, using the same routes used by people-smugglers across North Africa.

The heavy police presence in Melilla -- the military helicopters, armored vehicles and patrol boats -- are part of their response.

So are regular police raids on the poor, crowded neighborhood of Cañada, which sits on a hill overlooking the city center, with its elegant art-deco and modernist buildings, its elegant central park along the Avenida de la Democracia and sweep of sandy beaches.

'Not welcome"

Foreigners, and especially journalists, are not welcome in Cañada, where at least one wall bears graffiti in support of the Islamic State in Iraq and Syria (ISIS) and others urge reclaiming everywhere from Sudan to Iraq as Islamist states. The imam of a mosque in Cañada is not available to talk. We are variously told he is sick or fasting, and are warned not to film in Cañada's precipitous alleys.

The tension is greater than usual following a joint operation by Spanish and Moroccan security agencies last week.

Eight men were arrested in the neighboring Moroccan town of Nador. The alleged ringleader of a cell said to have been recruiting would-be jihadists for Iraq and Syria was detained in Cañada. Mohamed Said Mohamed was arrested at his home, within a few hundred yards of the fence that separates Melilla from Morocco.

The operation to arrest Mohammed was not without incident. A crowd gathered and threw stones at police in riot gear. At one point, witnesses said, police fired in the air as they tried to extricate Mohamed.

Everything you need to know about ISIS

Spanish police would also like to arrest his brother, Said Mohamed Zakarias, a former Spanish soldier trained in using explosives.

After leaving the army in 2010, Zakarias headed south to Mali, where he joined the jihadist group MUJAO, an offshoot of al Qaeda in the Islamic Maghreb. In early 2012, MUJAO and other groups occupied nearly half of Mali, before French intervention drove them back into pockets of the Sahara.

Spanish officials believe Zakarias moved onto Syria, and from there was in touch with his brother about recruiting young men from Morocco to join ISIS.

The Moroccan government estimates some 2,000 Moroccans have gone to fight in Iraq and Syria, just as hundreds joined the insurgency in Iraq between 2005 and 2009.

Mohamed was swiftly flown to Madrid to face a judge, Javier Bermudes. Denying him bail, Bermudes said Moroccan authorities determined that two men from the cell, had gone to an area of Syria and Iraq controlled by ISIS in July.

Bermudes also expressed a fear widely held among Spanish officials, saying in his ruling that "the threat posed by Spaniards or foreigners linked to Spain joining ISIS, or their hypothetical return to our country, is manifestly clear."

This year, Spanish security forces have arrested 44 people - some in Melilla, some in Spain's other North African enclave of Ceuta, some on the mainland. According to the police, members of a Melilla group rounded up in May had dispatched 26 men — 24 Moroccans and two Spanish citizens — since 2012 to join Al Qaeda in the Islamic Maghreb and MUJAO.

The migrants' center in Melilla is overcrowded, and according to some subsisting there, increasingly unhygienic. Designed to accommodate some 400 people, CETI holds more than 2,000.

The Madrid government's representative in Melilla, Abdelmalik El Barkani. told CNN Tuesday that the conditions at the CETI were not ideal, but the care of migrants was adequate.

"Even though there are many more over the capacity, they have had all necessities covered, and they have been able to eat," he said.

"I believe that there they are much better than before they arrived in Melilla," El Barkani said.

Other illegal migrants live on Melilla's streets. It seems a dead-end to many who have risked their lives to gain a toe-hold in Europe.

'Humiliated and abandoned'

Some of the men loitering outside were from Kobani, the Kurdish town on the Syria-Turkey border now under an intense assault from ISIS. Thirty-four-year old Khalid Barazy has been in Melilla more than a month.

"The suffering that we've been living, it's impossible for another human to comprehend. For the last two days it's been raining and we've been sleeping under it," he said.

"We escaped death and now we're imprisoned here. Humiliated and abandoned. An entire people is being slaughtered. We escaped death and no one will grant us refuge."

At once angry and despondent, Barazy added: "My family are scattered between Turkey and Syria. Some are fighting ISIS, some have fled, some died."

Barazy said that he and others from Kobani had first fled to Turkey but even there felt ISIS' presence. And so they had embarked on the long journey west. A few of the lucky ones had been able to fly to Algiers and travel overland into Morocco. Others had crossed one conflict zone after another, through Egypt, Libya and Algeria in a journey taking months.

Another of the group, Mahmoud Bozan, said he had been smuggled across the border into Morocco and then into Melilla. He was clearly at his wits' end.

"It cost us catastrophic sums. Some people sold their houses, their furniture to get here. And look where we've ended up? I wish we'd stayed in Syria to kill and be killed. It would be better than the camp here."

Their situation is full of ironies. As Barazy and others languish in Melilla, some from the Spanish territory and the Moroccan towns around it yearn to travel in the opposite direction, to join the war they have fled. They may use the same people-traffickers to help them do so. And according to Moroccan officials jihadist cells often share in those smuggling revenues.

Barazy and the hundreds like him trapped in Melilla may gaze wistfully at the ferries leaving for the Spanish mainland while their asylum requests go unanswered or unresolved. What Spain fears is that others in Melilla, or planning to come here, see those ships as a passage to bring terror to Europe.

@highlight

Melilla is a tiny Spanish enclave in North Africa

@highlight

It is also a makeshift haven for a tide of immigrants hoping to get to Europe

@highlight

Spanish authorities fear that among them may be jihadists aiming for Europe