If the Skyscraper Index maintains its track record, then China should steel itself for economic collapse. The infamous property index says construction booms that give rise to the world's tallest buildings are the harbingers of economic busts.

On July 20, developers celebrated the groundbreaking of Sky City in the southern Chinese city of Changsha. It is set to be completed in 2014 and at 838 meters it would overshadow the Burj Khalifa in Dubai -- currently the world's tallest building -- by 10 meters.

"The Skyscraper Index has a good 150-year correlation between the world's tallest buildings and economic slowdowns and recessions," says Andrew Lawrence, pioneer of the Skyscraper Index and head of Hong Kong and China property research at CIMB Group. "For China, there is no reason that correlation will change."

China starts work on world's tallest building

According to the Skyscraper Index, the opening of every single "world's tallest" building in the past century has coincided with an economic downturn in that country.

In the United States, builders installed the spire on New York's Chrysler Building on October 23,1929 making it the tallest building in the world at 319 meters. Five days later, the Wall Street Crash wiped nearly 13% off the stock market and precipitated the country's Great Depression.

In March 1996, Malaysia's Petronas Towers were completed making it the world's tallest building at 452 meters. Just sixteen months later, the Asian financial crisis hit the country and region. Malaysia's stock market lost half of its value by the end of 1997.

And in Dubai, the 828-meter Burj Khalifa received its spire in October 2009. Two months later, a massive debt crisis slammed the Middle Eastern metropolis as the global financial crisis roiled world markets.

Similar economic storms have followed other imposing structures soon after their construction, including the Empire State Building and World Trade Center in New York and the Taipei 101 in Taiwan.

Does skyscraper boom herald economic doom?

Lawrence believes that both skyscrapers and economic busts are often closely associated with large expansions of credit.

"Like the one we saw in China post-2008," he says.

In 2008, as the global financial crisis took hold, China launched a period of loose monetary policies to jump start its economy with liquidity and the hope of spurring investment.

Many analysts say those policies seeded a credit boom of easy money and a building boom of unneeded or ostentatious properties that are now coming back to haunt constructors and investors.

As skyscrapers rise, markets fall

"China will be building over 40% of the world's skyscrapers over the next four years so clearly there's a building bubble," says Lawrence.

Last week, the final beam was hoisted on the main structure of Shanghai Tower, which will soon become China's tallest building.

At more than 600 meters, the building will be the second highest in the world, below the Burj Khalifa and ahead of Taiwan's Taipei 101 building.

"They certainly were not bashful about wanting (one of) the tallest buildings ... here in Shanghai," says Art Gensler, founder of the Gensler global design and architecture group. "They wanted something that was a symbol, and I believe this building will be the symbol of China."

Meanwhile, anxiety is ramping up about what a collapse in China's building boom might bring.

"The China story has taken a serious turn for the worse," wrote Peking University finance professor and China expert Michael Pettis, in a July op-ed for CNN. "China, it now seems, is about to collapse, and along the way it may well bring the world economy down with it."

If that were to happen, China's Sky City -- with a nearly $1.5 billion price tag -- could be the country's biggest landmark to its property largesse.

In July, official data showed the country's economic growth slowed to 7.5% in the second quarter of this year -- its slowest pace in nine months, according to the National Bureau of Statistics. Over the past three decades China had an average GDP growth rate of 10%.

@highlight

China's skyscraper boom to bring economic doom, if history is precedent

@highlight

China's Sky City will be world's tallest building in 2014 at 838 meters, besting Burj Khalifa

@highlight

Market crashes followed construction of Chrysler Building, Petronas Towers, Burj

@highlight

CIMB's Lawrence: Economic busts tend to occur after large credit expansion like in China