An attack by snipers on a Silicon Valley power substation last year is prompting the former chairman of the Federal Energy Regulatory Commission to launch a crusade to better secure and defend the nation's electrical grid.

The former chairman, Jon Wellinghoff, now a San Francisco energy law attorney, called the little-publicized April 2013 attack on the substation a "very well planned, coordinated and executed attack on a major piece of our electric grid infrastructure."

While Wellinghoff has expressed concern that the attack may have been a test run for a bigger strike -- possibly terrorism -- the FBI has declared the incident wasn't an act of terror and is still investigating the case, with no arrests made.

The FBI considers the incident vandalism, said spokesman Peter Lee in San Francisco.

"There is no nexus to terrorism at this time," Lee said.

Nonetheless, Wellinghoff is urging Congress to fill a void in federal law that he says doesn't empower any federal agency to demand better security around electrical substations, which he describes as barely protected with a chain-link fence and cameras. Even those cameras don't capture details outside the fence, because they are more focused inside it, he added.

Last year's sabotage was carried out by at least one sniper at a good distance from the fence, outside the camera's focus, Wellinghoff said.

"We need to have a national coordinated plan, and we have to have a federal agency that is in charge," Wellinghoff said.

So far, U.S. Rep. Henry Waxman, D-California, has joined the call for improved security. The matter was addressed at a December hearing of the U.S. House Energy and Commerce Committee, of which Waxman is the ranking member.

"Just this April, there was an actual attack on our electricity infrastructure," Waxman said, referring to the Silicon Valley shooting. "This was an unprecedented and sophisticated attack on an electric grid substation with military-style weapons. Communications were disrupted. The attack inflicted substantial damage. It took weeks to replace the damaged parts.

"The nation's critical infrastructure and defense installations simply cannot function without electricity. Yet it is clear that the electric grid is not adequately protected from physical or cyberattacks," Waxman said in a statement.

In all, 150 rounds from an assault rifle were fired over almost 20 minutes at a Pacific Gas and Electric Company substation south of San Jose, California, knocking out 17 transformers in the post-midnight darkness of April 16, according to PG&E, Wellinghoff and CNN affiliate KTVU.

To prevent a blackout to Silicon Valley, workers re-routed power, but it took almost a month to make repairs, the affiliate reported.

Authorities also found an AT&T fiber optic cable was cut in an underground vault, causing a phone blackout, Sgt. Kurtis Stenderup with the Santa Clara County Sheriff's Office told KTVU.

By the time police arrived, the shooters, also suspected of damaging the phone line, were gone.

At the time, the incident wasn't publicized, but since he stepped down as FERC chairman in November, Wellinghoff is raising public attention to the California sniper's attack to demonstrate the vulnerability of the nation's electricity system.

Waxman is apparently endorsing Wellinghoff's initiative. Waxman is urging Congress to pass legislation that would "fix this gap in regulatory authority" and empower FERC to directly address threats to the nation's power grid. In 2010, the U.S. House passed such a measure, called the GRID Act, but the Senate didn't act on the proposal, Waxman said.

The federal government relies on an energy industry organization "to develop reliability standards for the electric grid through a protracted, consensus-based process," Waxman said.

After the California vandalism, Arkansas also saw last year "multiple attacks on power lines and grid infrastructure that led to millions of dollars in damage and brief power outages," Waxman said.

PG&E officials said they have redundancies built into their electric grid "that enable us to reroute power around damaged equipment and help keep the lights on for our customers," said spokesman Brian Swanson.

"Since the incident occurred, PG&E has worked aggressively with federal and local agencies to improve substation security throughout our system," Swanson said. "The utility industry and stakeholders like the Edison Electric Institute are meeting with policy makers, government officials and law enforcement at all levels to engage in constructive dialogue and share information on how we can work together to protect the grid across the country."

The institute, an association of shareholder-owned electric companies, says security and protection are "top priorities."

"Electric companies are partnering closely with each other and with senior officials from all relevant federal and law enforcement agencies to protect the grid's most critical assets," said Scott Aaronson, the institute's senior director of national security policy.

But he noted that "publicizing clearly sensitive information about critical infrastructure protection endangers the safety of the American people and the integrity of the grid."

In the meantime, Wellinghoff is urging utilities to enact low-cost improvements such as replacing chain-link fencing with an opaque barrier that would block a sniper's vision of the substation. Wellinghoff is also recommending movable concrete Jersey barriers as a perimeter around the substations -- to stop any sniper bullets.

He's also recommending utilities extend lighting beyond the fence yard, with more sophisticated cameras, so  video can capture saboteurs outside the fence. The California sniper or snipers were 40 to 60 yards outside the substation fence, he said.

"This isn't about this substation or this organized attack," Wellinghoff said of the California incident. "This is more about the larger issue of physical security of these high-voltage substations nationwide and the need to ensure that some defensive measures start to be put in place."

@highlight

Snipers fired about 150 bullets at a power substation to Silicon Valley last year

@highlight

Former FERC chairman is crusading for laws to better secure nation's power grid

@highlight

One congressman is also joining the call for more federal regulatory oversight

@highlight

FBI is calling the Silicon Valley incident vandalism and continues its investigation