(Southern Living) -- When I was 5, my parents went to a conference on Hilton Head Island and let me tag along, leaving my brothers landlocked in central Mississippi. Two memories stand out from my first encounter with the watery majesty of this Southern icon.

Hilton Head Island's relaxed atmosphere is ideal for families.

For starters, it's the first place I ever heard the term "market price." Daddy encouraged me to eat whatever I wanted at restaurants -- no kid's menu here -- so I tried my hand at swordfish. I figured anything so fresh they couldn't put a price on it until the day it was served had to be good. And for years, I ordered based on that idea. From the right side of the menu. If it was fresh (and expensive), it had to be the best.

More boats than cars

Second, water was everywhere. I'd been to the beach before, but never an actual island. It seemed like Hilton Head had more boats than my hometown had cars. And even then, I understood that the marinas were the real lifeblood of the community.

On my most recent visit to Hilton Head, my brothers and their wives joined me, while my parents stayed home with the gaggle of grandkids. The tables had turned. But I discovered a few constants remain: From fresh cobia (available only in May and June) to wild shrimp caught in local waters, ordering "market price" from the menu isn't a bad way to go. Water is everywhere. And each marina celebrates the spirit of the island with its own special style. Explore them, one by one. SouthernLiving.com: A coastal S.C. retreat

Harbour Town: The classic

Known for its candy-striped, red-and-white lighthouse, the Harbour Town marina is easily the most-touristed waterfront on Hilton Head. Large yachts moor behind the newly expanded seawall, shops stock the requisite "I heart Hilton Head" souvenirs, and water sport outfitters launch Jet Skis and hoist Para-Sails in Calibogue Sound. The waterside restaurants don't shine for their innovative cuisine, but they're worth a stop for the prime real estate -- westward-facing Harbour Town is one of the best spots on the island to catch the sunset. SouthernLiving.com: Top 10 budget getaways

While there: Hard-bottomed Zodiac boats crouch closer to the water than a traditional boat does. We booked a one-hour tour with H2O Sports (www.h2osportsonline.com or [843] 671-4386) and spent the afternoon watching dolphins play.

Broad Creek Marina: The local

You don't get more homegrown than Broad Creek, a modest port just off the Cross Island Parkway, where area residents drydock their boats. At Up the Creek Pub, a rickety seafood shack with killer views of the water, we stopped in for a bite (food=fried) and lingered on the deck for (my brother, Jeremy, might argue in spite of) the nightly strum-fest. www.broadcreekmarinahh.com or (843) 681-3625

While there: Join Capt. John Maires, a huge Buffett fan with a sly smile, a weathered face, and a twinkling laugh, for a sunset sail on his 45-foot sloop Cheers. www.cheerscharters.com or (843) 671-1800

South Beach: The beach bum

I thought we were going to have to drag my always-up-for-a-good-time brother, Prentiss, away from South Beach. This laid-back harbor feels like a Northeastern-style fishing village, complete with blue clapboard buildings connected by a sprawling weathered deck. It's New England meets Caribbean cool, polished with Southern charm. The omnipresent music ranges from Jimmy Buffett and Bob Marley by the DJ to jam-friendly local bands. Dancing is optional, but you won't want to be the only one left sitting. SouthernLiving.com: Great summer getaway

While there: Rain or shine, locals and tourists mingle in the late afternoon over heavy-handed cocktails; ice-cold brews; and steaming, hot-boiled shrimp at the open-air Salty Dog Café (www.saltydog.com or [843] 363-2198). Arrive early and snag a table; they tend to fill up quickly.

Shelter Cove Harbour: The unassuming naturalist

The quiet Shelter Cove Harbour and neighboring Palmetto Dunes Resort (just across U.S. 278), with upscale boutiques, smartly casual restaurants, and untainted Lowcountry views, ooze understated elegance without an ounce of priss. Capt. Scott Henry's little Hurricane deckboat bobs among Goliath-sized mega-yachts but somehow doesn't seem out of place. Lowcountry Nature Tours specializes in personalized, eco-friendly trips of Broad Creek and Calibogue Sound. www.lowcountrynaturetours.com or (843) 683-0187

While there: The 11-mile saltwater lagoon system in Palmetto Dunes Resort is a maze of water courses, full of redfish, trout, and black drum. We rented kayaks for an early morning paddle through the tree-canopied canals. Palmetto Dunes Outfitters can hook you up with everything you need, from kayaks to private fly-fishing charters with Capt. Trent Malphrus.www.palmettodunes.com or (843) 785-2449

Palmetto Bay Marina: The everyman

With a working boatyard and a everyone-knows-your-name dockside bar (Captain Woody's), Palmetto Bay gives off a relaxed vibe that transcends labels such as "local" and "tourist." Our group settled onto the patio at Black Marlin Bayside Grill for brunch -- a perfect place to dawdle on a lazy morning ([843] 785-4950). My personal favorite: the shrimp hash -- a hearty combo of poached eggs, delicate shrimp and spicy sausage -- is like something you'd expect for breakfast on board a fishing boat. My brother bogarted the sushi nachos with seared tuna and avocado. And the sisters-in-law did serious damage to the dessert-like bananas Foster French toast.

While there: Reserve a spot on the PAU HANA or FLYING CIRCUS catamarans for a bring-your-own-picnic twilight cruise through the sound -- a trip highlight. www.hiltonheadisland.com/sailing or (843) 686-2582

Skull Creek Marina: The seafood connection

Local fish and shrimpboats unload their nets along the piers at Skull Creek, where a trio of restaurants, all with waterside dining, take advantage of the seasonal catch. Hudson's On The Docks (www.hudsonsonthedocks.com or [843] 681-2772) is a perennial crowd-pleaser with down-home seafood platters. Charley's Crab (http://www.muer.com/ or [843] 342-9066), a khakis-and-button-down kind of place, delivers she-crab soup and fried green tomatoes with a shrimp-and-crawfish salsa.

The vibrant Boathouse II, with great food, an extensive wine list, and an anything-goes attitude, suited us best. If cobia is in season, a local catch with the density of swordfish and the flakiness of cod, this is the place to try it. www.boathouserestaurant.net or (843) 681-3663

While there: The Benny Hudson Seafood market is the go-to for fresh oysters from the nearby May River and wild American shrimp just off the boat. If you're renting a house or condo, stock up to create your own locally inspired feast. (843) 682-3474

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright 2009 Southern Living magazine. All rights reserved.

@highlight

Harbour Town is one of the best spots on the island to catch the sunset

@highlight

Broad Creek Marina is where area residents drydock their boats

@highlight

The harbor at South Beach feels like a Northeastern-style fishing village