AUSTIN, Texas (CNN) -- CD sales are down. Digital hasn't caught up. Record companies are consolidating. New bands are trying to find their own way.

Baltimore-based DJ Blaqstarr, best known for his work with M.I.A., performs at SXSW.

Despite all the challenging news, thousands of industry professionals and eager music fans turned out for the South by Southwest (SXSW) festival in Austin, Texas, over the weekend. The festival, tailored to recording industry talent seekers and the talent they seek, officially ended Sunday.

While optimism ran high at the five-day whirlwind of panel discussions, trade shows, live concerts and private parties, much of the conversation throughout the event focused on the sobering reality of the music industry's uncertain future.

"Obviously we're going through a transition. All of the major record labels have gone through some sort of cost-cutting and consolidation over the last few years," said Rand Hoffman, head of business and legal affairs at Interscope Geffen A&M Records.

"Right now CD sales are falling more rapidly than digital is going up," he told a group of SXSW festival-goers at a panel discussion on the future of the industry.

According to a release from Nielson SoundScan, which tracks record sales, over a billion songs were downloaded in 2008, an online music industry record.

But the success of the individual digital song sales on popular sites such as iTunes has not replaced the lost revenue from the declining number of CD sales. Total album sales fell 14 percent in 2008, which accounts for a huge portion of record company profits.

Sony Music Entertainment's Julie Swidler noted that despite the stressed state of affairs for the corporate music industry, the major labels will stay relevant, but probably as smaller versions of their past selves.

"We'll still be major, just smaller major," predicted Swidler, who works as the executive vice president of business affairs and general counsel.

The growing trend of established artists selling and distributing their music without the aid of a major label paints an even bleaker picture for the corporate music business.

"The bottom line is if we want to continue, we have to break future superstars, and the only way to do that is artist development," Swidler said.

Both Swidler and Hoffman see light at the end of the tunnel, however.  Watch sights and sounds of SXSW »

Hoffman acknowledged that the major labels must find a way to turn the digital sales momentum into a greater profit and predicts that the United States will eventually have a terrestrial radio performance right law, which would require radio stations to pay artists each time they play their songs.

"I can't believe that if almost every single ... Western country in the world has [a performance right], that the U.S. will go on indefinitely not having this. There's no rational basis for it. Its just politics."

And Swidler believes that the labels can adapt to the online music movement with new, creative ways of directly connecting the artist to the consumer.

"I think you're going to see online where suddenly instead of buying an album by your favorite artist, you'll buy a year's subscription to that artist," Swidler says. "So it's almost as if an artist will trickle out a story for you for the entire year."

Good turnout, but not everyone is happy

If the turnout at SXSW 2009 is any indication of consumers' willingness to spend money on music, then record label executives have reason to be hopeful. The festival brought in an estimated $103 million to the Austin-area economy in 2008, and though this year's numbers have yet to be tabulated, SXSW representatives expect the amount will be on par with last year.

Almost 2,000 artists played SXSW this year, which is about a hundred more than last year. An impressive list of major recording artists brought their high-profile acts to the intimate Austin stages. Kanye West, Jane's Addiction, Big Boi and Metallica all played unannounced shows, primarily to exclusive crowds of industry insiders who heard about the concerts through word of mouth,  though news of Metallica's set at the release party of "Guitar Hero: Metallica" on Friday was well-known around town early that morning.  Watch some of Metallica's performance »

In addition to the surprise appearances, SXSW showcased scheduled performers PJ Harvey, the Indigo Girls, Ben Harper, Third Eye Blind and droves of other hit groups, almost all of whom garnered huge crowds of enthusiastic and devoted fans.

Not everyone was pleased with the festival's exclusive nature, however. To many locals, the perception is that major music acts are stealing the thunder from unsigned, local artists who are trying to attract as many label representatives to their shows as possible.

Austin-based band the Vincents played a slew of gigs throughout the week and received positive feedback from the people who attended their shows, many of whom purchased their CD. But they ultimately felt overshadowed by the swarms of industry types who were constantly rushing to the next secret show or exclusive party.

Local find

In spite of a few complaints from Austin residents, SXSW can provide an amazing opportunity for a lucky few whose acts get picked up by industry folks.

The "feel good" story of SXSW 2009 might have been local, buzz-worthy band The Black and White Years, which recently took home five Austin Music Awards, including best new band, song of the year and best producer, the latter for former Talking Heads keyboardist-guitarist Jerry Harrison.

Harrison stumbled across The Black and White Years at a small performance at SXSW in 2007. He liked their sound and decided to produce their debut album.

"People think when you play these South by Southwest things that nothing ever happens. Sometimes it does. You've got to be skilled at your instrument, but it takes a little luck. You just never know, it might happen," said drummer Billy Potts.

Though dominated by music, SXSW also features a robust film festival and an innovative interactive gala, where techies from around the country showcase their latest software, gadgets and gaming technology.

This year the film festival had 57 world premieres, 133 features and 127 short films screened, many of which fulfill SXSW's primary role of providing a platform for indie films and documentaries. Whereas the big studio movies have seen a boost in sales during the recession, the economic crisis has crippled many foundations that provide the funds for independent documentaries. Indeed, New York's Tribeca Film Festival announced last week that it would be making cuts to its line-up because of economic conditions.

But producer Erin Essenmacher, whose film "Mine" premiered at SXSW and took home the documentary audience award, remains confident about the entertainment industry's future.

"I hate to say things are recession-proof because I don't even know what that means anymore, but there's always going to be a need for content, whether it's on the Web or on TV," she said. "And as the economy gets worse, I think people want that outlet."

@highlight

SXSW is major music and film festival in Austin, Texas

@highlight

Festival is showcase for hundreds of artists hoping to move up to next rung

@highlight

With challenges to music business, executives trying to keep major labels relevant

@highlight

Some see festival as shot for local, unsigned bands; they resent big boys there