(CNN) -- Widely considered Japan's cultural capital, Kyoto is one of the country's top travel destinations among domestic and, increasingly, international tourists.

Drawing 50 million visitors a year, it's the place to learn to whip up a cup of matcha green tea, admire the craftsmanship of a geisha's kimono and study the art of the zen garden in an ancient temple before sitting down for a $500 kaiseki (Japanese haute cuisine) dinner.

Readers of "Travel+Leisure" magazine even voted it world's best city this year, citing its "emerging style scene that's cutting edge."

Yet despite Kyoto's obvious allure, until earlier this year there was one glaring absence from the city's travel scene -- a top tier, super-luxury hotel brand.

Ritz-Carlton ended that drought in February with the opening of its fourth Japan property, located close to popular downtown areas like Gion and Kawaramachi-dori, the city's retail and entertainment district.

"It is actually quite odd that there have not been international ultra-luxe hotel brands in Kyoto until recently, considering the fact that Kyoto is an extremely popular tourist destination," says Catherine Heald, CEO of luxury travel planner Remote Lands.

"Kyoto's Hyatt Regency is very nice and it has sufficed, but it is not a Park Hyatt which is more in line with Ritz-Carlton and Four Seasons. The most sumptuous accommodations to date have actually been Hoshinoya [by Japanese brand Hoshino Resorts], which is what I call a Japanese hybrid ryokan (a cross between a ryokan and a hotel), very little known outside Japan. "

The decision to open in Kyoto was a matter of catering to demand, says Ritz-Carlton, Kyoto general manager Yuji Tanaka.

"The Ritz-Carlton is constantly listening to its loyal guests and a constant theme for us is to build hotels where our guests want us to be and Kyoto was high on the list," he says.

"Bringing the brand to Kyoto is a major milestone -- a global iconic city, a window to Japan while being sensitive to centuries of tradition. We were fortunate to be able to work with like-minded partners in a rare location."

Billing itself a modern international luxury ryokan, the property has 134 rooms and suites and faces the Kamogawa River and the Higashiyama Mountains in the distance.

What's inside

It's difficult not to dismiss the "luxury ryokan" term as marketing fluff.

A ryoken is, after all, a basic Japanese inn and the Ritz-Carlton brand hardly conjures images of elderly kimono-clad women bringing you a pot of green tea once you awake from a night on a futon.

But during a recent visit we found there's some merit to the claim, given the intense attention to detail and subtle touches, like tatami suites, where guests can enjoy a classic futon experience -- albeit while covered in 600-thread-count linens.

The architects and designers infused the character of a traditional Meiji house and courtyard into the architectural structure of the building, while blending in modern design elements.

This includes the use of patterned motifs created by local artists and the incorporation of zen gardens (karesansui) and water features, such as a stunning three-story waterfall positioned in the heart of the hotel that stretches down to the basement swimming pool.

"Each Ritz-Carlton is designed with a strong sense of place," says Tanaka.

"This property carries the heart and soul of Ritz-Carlton service while staying true to the community in which it is located. The Ritz-Carlton, Kyoto was designed very much as a peaceful sanctuary and with the principles of miyabi -- or Japanese aesthetic concepts -- in mind."

The hotel's Mizuki Japanese restaurant is already gaining a reputation among locals for its incredible kaiseki expertise -- the world's most beautiful multi-course feast -- and also serves sushi, teppanyaki and tempura.

Even the Italian restaurant pays respect to Japan's history.

Inside the beautifully decorated venue they've reassembled a townhouse once owned by Kyoto magnate Denzaburi Fujitia and turned it into a private dining room.

More luxury on the way

Though big brands are notably absent, luxury seekers in Kyoto have hardly been neglected through the years.

There are a handful of top-end ryokans, but they fill quickly during popular travel times -- particularly cherry blossom season in spring and the changing of the leaves in fall.

Tawaraya, for instance, has been described as the top ryokan in not just Kyoto, but all of Japan.

"Most of our clients do two-week trips to Japan including three nights each in Tokyo and Kyoto, plus three or four other destinations," says Remove Land's Catherine Heald.

"They typically want a mix of hotels and ryokans -- and I strongly urge all clients to do at least one ryokan.

"Traditional ryokans include elaborate 12-plus-course kaiseki dinners every night, which are absolutely heavenly in my opinion, but they can be over the top for many Western travelers to have every single night, so it is nice to have variety and a mix of cuisines."

The arrival of a branded super-luxury hotel is welcome news for high-end travelers who want the full amenities and service that come with a global brand -- or can't live without their bacon and egg breakfast -- yet also want to experience the finer details of Japanese culture.

The Ritz-Carlton Kyoto isn't alone in recognizing this.

Competition is on the way, with the Four Seasons due to arrive in 2016.

"I think travel to Kyoto will inevitably increase with two new five-star world-class brands," says Heald.

"In the past it has been very difficult to get rooms in springtime during cherry blossom season, so that situation should change a lot with hundreds of new rooms available."

Ritz-Carlton, Kyoto, Kamogawa Nijo-Ohashi Hotori, Nakagyo-ku, Kyoto, Japan; +81 75 746 5555; rooms from 53,000 yen ($510)

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Kyoto is one of Japan's top travel destinations, yet branded hotels are few

@highlight

Ritz-Carlton, Kyoto is the luxury brand's fourth Japan hotel

@highlight

Four Seasons Kyoto due to open in 2016

@highlight

"Travel will inevitably increase with two new five-star world-class brands," says luxury travel CEO