(CNN) -- As a father, my heart breaks.

The starting five of the University of Kentucky basketball team â€” the 2012 NCAA champions â€” announced earlier this month that they're leaving college to go pro. It happens every year in the wake of March Madness, but as an African-American father, I feel my heart crack a little.

Yes these young champions will make money, lots of it, and will have access to instant fame.

I understand why they made the choice, but their collective decision says something about the options in front of all young African-American men. The Great Migration that saw my elders move from the farm to the factory has shifted; these days, too many men of promise move from college to pro sports.

I've been researching the lives of black men for much of my entire career, as a social worker for 15 years in Chicago and since 1998 as a college professor and scholar in Milwaukee. I've interviewed them, written about them and filmed them, capturing their lives and hopes; I've spent most of my time with men who had little to no incomes and limited academic and employment skills. They are often frustrated, homeless, unemployed and debt-ridden.

So I know what could be ahead for young men who put all their hopes into basketball. According to William Julius Wilson, author of "More than Just Race," for the past four decades, low-skilled African-American men have experienced more difficulty getting jobs than any other racial groups.

In Milwaukee, Marc Levine of the University of Wisconsin-Milwaukee's Center for Economic Development published a report in 2012 that reports when it comes to black men in their prime working years (25-54) only 44.7 % were employed. The recession has hurt people of all races, but black men have been hit the hardest when it comes to jobs.

The starting five at Kentucky might think they're a world away from these statistics, but how long will they actually have a career?

According to the Collegiate Basketball News Company website, only 51 players, or 11.9% of the players on the 2011-12 NBA opening day roster have more than 10 years of NBA experience. The average length of playing time is approximately five years and the median salary is $2.33 million. That's a big salary for one year, but not if it has to last you far beyond your playing years.

When my son was a child, like many boys he dreamed of being a basketball player where he grew up. My wife and I didn't tell him otherwise; we told him he'd need to have options. But not every child hears that and not every child has that chance. Too many young black men are encouraged to perfect their "balling'' skills but not their academic skills.

I know, because I was there. As a college athlete at the University of Detroit in the late 1970s, I was a runner. But I also worked as the statistician for the basketball team, the Titans, led by the legendary Dick Vitale. The players were my peers and my friends. And some of them did quite well, playing for the Pistons in Detroit, the 76ers in Philadelphia and the Celtics in Boston.

But not everyone left a winning Titan. Some of my friends didn't make it to the big leagues and because of their emphasis on basketball, they didn't graduate with a degree, either, unlike those of us in the other sports. Some of them ended up with drug habits or homeless. Others became fathers to children they couldn't support.

So, my heart breaks when I think of these young men from Kentucky. But it's not breaking at the choice they made. The sad truth is, I understand it. If you look out on a landscape where so many black men are unemployed, rolling the dice on the pros can feel like a rational choice -- the only choice, maybe, when there are so few options, despite the terrible odds.

The opinions expressed in this commentary are solely those of David Pate.

@highlight

The starting five of the champion Kentucky basketball team are going pro

@highlight

David Pate says he understands their choice but wonders about larger message

@highlight

He says black men, hit hard by recession, need to focus on education

@highlight

Pate: Too many young men encouraged to perfect athletic skills, not academic ones