(CNN) -- When Barack Obama took office in 2009, it was clear that if he could do four big things, his presidency would probably be judged a success.

The first, of course, was to pull the country out of its desperate economic crisis. The second was to extricate it from the Iraq War. The third was to finally achieve comprehensive health care reform. And the fourth was to make meaningful progress on arresting global warming.

This last challenge was in some ways easiest to ignore: While you were shoveling snow last month, you probably didn't feel the urgency of climate change, though according to the National Oceanic and Atmospheric Administration, it was in fact the fourth-hottest January since record-keeping began. But over time, it could prove more consequential than the other three combined.

Five years later, Obama's record on it is a mixed one. He won't get any significant legislation on the matter passed through this Congress -- or any legislation at all, to be honest. But using the power of the presidency, he may just have a bigger impact on global warming than most anyone predicted.

That's the good news. The bad news is, it almost certainly won't be enough.

It's easy to forget how the political environment has changed compared with just a few years ago. Before Obama took office, it looked as though Democrats and Republicans might work together to do something about climate change. Sen. John McCain had sponsored a bill to create a cap and trade system for carbon emissions, which at the time was considered a conservative solution to the problem, as it utilized market forces to control emissions. Many other prominent Republicans supported cap and trade as well. In 2008, Newt Gingrich and Nancy Pelosi starred together in an ad imploring the country to address climate change.

Yet today, opposition to doing anything about climate change has become the default Republican position. Even though many rank-and-file Republicans understand that the planet is warming, the tea party view has come to dominate their party. Climate denialism approaches the status of gospel truth among many Republicans in Congress, and it's echoed regularly on the major conservative media outlets, from Fox News to the most popular talk radio hosts like Rush Limbaugh and Sean Hannity.

As hatred of Obama and anything he touches has become the single highest Republican value, there is zero chance that they will join in any effort to address climate change. This has left the administration with two choices: do nothing or use the executive branch's regulatory power to reduce carbon emissions wherever it could. It chose the second path.

The administration's latest move, which the President announced Tuesday, is a new measure mandating an increase in fuel efficiency for medium- and heavy-duty trucks, which account for 20% of carbon emissions from transportation despite making up only 4% of all vehicles on the road. This follows on a truly historic regulation the administration created in 2012, which will double fuel efficiency for passenger cars by 2025, to an average of 54.5 miles per gallon.

And few people remember how much the 2009 stimulus bill focused on climate change. Time magazine's Michael Grunwald, who wrote a book about the bill, argues that it was the largest green initiative in American history, pouring $90 billion into clean energy technologies, energy efficiency, upgrades to the electrical grid and a whole host of other efforts that could have a significant impact on carbon emissions over time.

In 2009, the Environmental Protection Agency officially made it policy to treat carbon emissions as a danger to human health and thus subject to its regulation. This January, the EPA published emission standards for new power plants that make it all but impossible for coal plants to be built (even though few coal plants were planned, given the recent natural gas boom). Its next task is to set new limits for the existing power plants that account for so much of our emissions.

Finally, it's clear that climate change will play a significant role in the administration's foreign policy efforts during Obama's second term. Secretary of State John Kerry has long been an advocate for action, and as he told an audience in Indonesia, climate change is a threat as great as terrorism, poverty or weapons proliferation. American efforts to reduce emissions will be for naught if other countries don't take action as well -- China passed the U.S. a few years ago to become the world's largest emitter of greenhouse gases and continues to build coal plants at a furious pace -- and Kerry's tenure will be judged in no small part by how much progress he can make in this area.

That all sounds like relatively good news. The administration has worked on many fronts to reduce carbon emissions, which have declined in three out of the five years Obama has been in office.

That's in part due to the fracking boom that has made natural gas competitive with coal, but many of the administration's steps could yield significant long-term benefits. Even so, these measures will get us only a fraction of the distance we need to go in order to make a real impact on climate change. Ask a climate scientist, and you'll get a depressing take on our future, where things like moving from coal to natural gas do only the tiniest bit to delay what could be catastrophic consequences of climate change in decades to come. NOAA has also noted that 2013 tied for the fourth-hottest year on record.

So we can give Obama credit for what he's done, and he should certainly keep trying to do more, even in the face of unceasing opposition from Republicans and well-heeled interest groups. Politics, as the old saying has it, is the art of the possible. Truly fixing the problem in a comprehensive way, given our current political environment, may never have been possible. Years from now, we're likely to look back and say that Obama gave it a good shot. But it wasn't nearly enough.

The opinions expressed in this commentary are solely those of Paul Waldman.

@highlight

Paul Waldman says Obama won't get climate change legislation through Congress

@highlight

Opposition to anything on the issue has become default GOP position, he says

@highlight

Administration is left to do what it can through regulatory power, he writes

@highlight

Waldman says that unfortunately, it won't be enough in the long run