ATLANTA, Georgia (CNN) -- It was one of the greatest humanitarian acts in history.

Pondering an imaginary Yiddish-speaking place produced "The Yiddish Policemen's Union," says Michael Chabon.

At the beginning of World War II, as the Nazis tightened their grip on Europe, the U.S. government allowed millions of Jews to resettle from their homes in Poland and Russia to southeastern Alaska, along the panhandle.   Two million Jews had died at the hands of the Nazi scourge, but millions more were saved as the Federal District of Sitka, Alaska, became the new Jewish homeland -- all the more important when the fledgling State of Israel went down to defeat in 1948.

However, 60 years later, Sitka is about to be returned to local jurisdiction, and the island's Jews -- including a noted detective, Meyer Landsman -- are wondering where to go next. The Jewish people, forever rootless, will have to wander some more.

Landsman's got other problems, too. He's rootless himself, biding his time in a seedy hotel. There's the body that turned up in a nearby room, a onetime chess prodigy who appears to have major connections with some big shots -- machers, in the local Yiddish lingo. There's his ex-wife, now his boss -- at least until the department is disbanded -- and his partner, a half-Jewish, half-Tlingit named Berko who's far more responsible than Landsman.

And there are a host of old enemies with long memories, particularly when Landsman decides to root around the dead chess player's case.

Landsman's world is fiction, of course, a product of Michael Chabon's imagination. Chabon's new book, "The Yiddish Policeman's Union" (HarperCollins), combines Landsman's hard-boiled detective's terrain with the landscape of alternate history, one in which world events take a startling turn.

The story is rooted in fact, the Pulitzer Prize-winning author Chabon ("The Amazing Adventures of Kavalier & Clay") observes.

Chabon had written an article about the decline of Yiddish, and the reaction to the piece -- some of it very negative -- "got me thinking about ... a possible, but nonexistent, imaginary Yiddish-speaking place in the modern world," he says in an interview at CNN Center.

In the article, he noted an actual plan by Franklin Roosevelt's Interior secretary, Harold Ickes, to create a refuge for European Jews in Alaska, still 20 years from statehood. In reality, the plan was squelched thanks to the opposition of Alaska delegate Anthony Dimond, but in the "Yiddish Policemen's" world, Dimond is conveniently killed off and the plan goes forward.

Chabon's Federal District of Sitka is a land of tall apartment blocks and grimy streets, as if "Hong Kong had moved to the other side of the Pacific Ocean," he says.

The novel is peppered with clever conceits. The book's black hats, as in villains, are actual "black hats," a slang term for ultra-Orthodox Jews. The characters are fond of Filipino doughnuts, a twist on the Jewish taste for Chinese food. The place names of Russian Alaska are an apt companion to the Eastern European surnames of Chabon's Jews, and then there are throwaway bits -- such as in the Sitka of 2001, Orson Welles did release a version of "Heart of Darkness."

Doing a genre novel -- or several at once, as "The Yiddish Policeman's Union" is part detective story, part alt-history, part modern Jewish folktale -- isn't considered the natural turf for a so-called literary writer like Chabon, but the author -- who has been vocal in support of genre fiction -- makes no apologies for the work.

"I only ever try to write in genres that I love ... I love hard-boiled detective novels, I love fantasy, I love science fiction," he says. "It feels like a natural impulse to want to integrate that passion that I have as a reader into my writing. I didn't see a good reason not to. ... And to say that there's something inherently inferior about the mystery genre is just silly."

In writing "The Yiddish Policeman's Union," Chabon says, the key was re-reading Raymond Chandler, creator of L.A. detective Philip Marlowe and a distinctive tough-guy style, as well as the Russian-Jewish short story writer Isaac Babel, "whose use of simile and metaphor strangely echoed Chandler," he says.

Babel also had a "clear-eyed view of violence. ... There's a kinship there between Chandler and Babel, and that's what helped me kind-of forge the voice for this novel," Chabon says.

But, he adds, "the whole novel is itself a simile. It's setting up a series of semblances and mirrorings of the world we live in, so it seemed almost necessary, not just from a stylistic point of view but from a thematic point of view." Chabon's layered themes include reason's conflict with religious extremism, an idea that comes to the fore as the novel progresses.

Holding a mirror to our world is a common theme of alternate histories, and Chabon says he is fond of the type in general. The noted comic-book fan -- he co-wrote "Spider-Man 2" -- cites two favorites: the "what-if" scenarios often proposed in the Superman comics, and an issue of National Lampoon that celebrated John F. Kennedy's fifth inaugural with the cover line, "JFK's First 6,000 Days."

"I read and re-read that a dozen times," he says. "It had an undertone of poignance. ... It was like a perpetual November 21, 1963. America never went through any of the turbulence of the '60s. ... It was the opposite of most counterfactual fiction, which tends to present the catastrophic -- what if the bad things happened. ... This was presenting an 'if only,' not a 'what if.' "

Which is not to say "The Yiddish Policeman's Union" is presenting a better -- or worse -- future. There is a darkness in the book, Chabon observes. But there's also the idea that millions of people were saved from the death camps.

"I'm certainly not presenting the world of this novel as 'it would have been better this way.' It's a dark world, and the Jews of Sitka are on the brink of the abyss," he says. "But there is a certain 'if only' quality."

"The Yiddish Policeman's Union" has earned mostly admiring reviews. " 'The Yiddish Policemen's Union' builds upon the achievement of 'Kavalier & Clay,' " wrote the notoriously hard-to-please Michiko Kakutani in The New York Times.

Reaction from the public has been positive and even put him on The New York Times' hardcover bestseller list, a rarified place for any author. "I feel like the book has been embraced," says Chabon.

Perhaps the only people concerned about the book's subject matter are some Jews, who have asked Chabon if the book isn't, well, "too Jewish."

"It reminds me of when my first novel, 'The Mysteries of Pittsburgh,' came out ... and everybody in Pittsburgh said, 'Are you crazy? Why would you set a novel in Pittsburgh? Who's going to want to read a novel about Pittsburgh?' " he laughs. "The reason we read fiction is know what it would be like to really be someone else. ... That kind of transport across time and place is the magic of fiction." E-mail to a friend

@highlight

"Yiddish Policemen's Union" posits Alaskan Jewish homeland

@highlight

Author Michael Chabon won Pulitzer for earlier novel

@highlight

New book inspired by thoughts of Yiddish, love of genres