(CNN) -- It happens every four years, usually right around September.

Calls come in from all over the United States from people threatening to flee their homeland if a candidate they despise wins the Oval Office.

"That's the amazing thing, when they speak on the phone. They're adamant. They feel very, very strong about it," said David Cohen, a Montreal-based immigration lawyer. "'This government doesn't speak for me' is the language that we often hear."

As a partner at the Campbell Cohen firm, which specializes in immigration to Canada, Cohen says he has received these calls for decades. It sometimes makes him "feel like a therapist because they vent for a while, get this cathartic release."

But when it comes down to it, Americans don't move to Canada unless it's for a relationship or new job -- essentially, love and money.

Opinion: Where Obama, and America, go from here

Cohen says he can remember only three of four cases in more than 30 years that involved someone actually making good on their threat to move to Canada to escape an American president.

This election cycle, he said, most of the calls "tended to be conservative or Romney supporters. There were not as many from the other side, so maybe they had kind of a premonition."

It's all part of the election season's bluster cycle, and while partisan hot air is typical this time of year, this year's squabbling has been "palpably ugly," even if most of it is just talk, said Jerrold Post, director of George Washington University's political psychology program and author of "Political Paranoia: The Psychopolitics of Hatred."

"That's always been the case: more extreme talk than actions," he said. "You can entertain any idea you want to, but there's a difference between having an idea and acting on an idea."

"But," Post added, "throw enough ugly ideas into a pot and something is going to boil over."

Sure, Facebook and Twitter were rife with threats to leave the country if Barack Obama or Mitt Romney won, but we've also seen the more serious headlines.

Bryan Fischer of the evangelical group the American Family Association reportedly said last week, "I think there will be blood" if Obama wins. In north Georgia, the president of the Cottages of Woodstock homeowners' association, a residential community for the elderly, said he would shut the complex's gates for fear of "negative repercussions (that) may occur because of the results of the election," The New York Times reported.

In August, Lubbock County, Texas, Judge Tom Head warned that the country could descend into civil war if Obama was re-elected and, as the county's emergency management coordinator, he considered whether he'd have to "call out the militia" if Obama ordered U.N. troops to quell the uprising.

Opinion: Obama's critics, repudiated at last

More recently, after Tuesday's election results came in, real estate mogul and reality TV star Donald Trump called for "revolution!" and urged his 1.8 million Twitter followers to "march on Washington and stop this travesty."

He further called on them to "fight like hell and stop this great and disgusting injustice," while proclaiming the country was now in "serious and unprecedented trouble...like never before." Trump has since deleted the revolution missive.

Post noted that Trump was at the forefront of the so-called "birther movement," which falsely claims Obama wasn't born in the United States, so he wasn't surprised to see Trump sound off, but "the intensity of that was rather shocking."

Best Election Night tweets

Asked if he thought Obama's race played a part in the vitriolic nature of the polemics around the country, Post said it "seems to be an issue that was played upon, but you can certainly have hatred and delegitimization with two white candidates as well."

One place where race played a factor is Oxford, Mississippi, where Ole Miss students "exchanged racial epithets and violent, politicized chants" after Obama's re-election was announced, according to the student-run Daily Mississippian. University police had to "forcibly disperse" a crowd from a popular gathering spot on campus, the paper said.

A university statement said the crowd reached 400 people at its pinnacle, and there were only two arrests for disorderly conduct. School Chancellor Dan Jones was quoted as saying Ole Miss "universally condemned" the racial epithets and uncivil language, and he regretted that a few students had tarnished the reputations of those classmates "who are more representative of our university creed."

Obama makes history again

It appeared to be an isolated incident.

In Lubbock County, GOP chairman Carl Tepper chuckled when asked if Judge Head's ominous prediction about Obama's re-election had come to fruition.

"No unrest," he said. "Just a lot of disappointed people."

The staunchly conservative county voted more than seven to three for Romney, he said, so now the focus moves to strengthening the Republican Party and "carrying our message of self-reliance to the rest of the country."

"Republicans are pretty naturally a law-and-order-type people," he said. "I'm still satisfied America has this amazing, peaceful process of selecting government. No matter who wins, we still have our rights, our businesses, our schools, and life goes on. We'll get 'em next time."

So, there are no tanks rolling through the nations' metropolises, no disappointed partisans reaching for their rifles. As Tepper said, life goes on, as it does after each election cycle, despite the disappointment of those in the losing candidate's camp.

And those souls who swear they're abandoning this land for fear of Obama turning tyrannical in his second term?

Yeah, not happening.

Obama photo a social-media sensation

Cohen, the immigration lawyer, said that though the calls inquiring about Canadian citizenship will continue for the next few months, he feels Americans are simply too loyal to leave the country they love.

"I've had Americans tell me this: When your national anthem plays, the hair on their arms stands up, and that's not like most people in the world," he said. "Americans at the end of the day are just a very patriotic group, and it doesn't matter what side you're on."

Post said he hopes bipartisanship will take hold on Capitol Hill, but it won't be easy because each party is torn by conflicting ideals: catering to their bases and governing in the best interest of the people.

"It's hard to reach across the aisle and get slapped down, but that's what has to happen. There's a lot of wounds to heal," Post said.

No shortage of pressing issues for Obama's next term

@highlight

Montreal-based immigration attorney says Americans simply too patriotic to flee homeland

@highlight

Airwaves, social media filled with bluster, but expert says this year it's 'palpably ugly'

@highlight

Two arrested at University of Mississippi after racial epithets uttered at campus protest

@highlight

No unrest in Lubbock County, Texas, despite 'civil war' prediction by judge