(CNN) -- In the last few months Iranians have found themselves in a cyber no-man's land.

Many are reporting international websites and online services, including Gmail and Skype, are often blocked and circumvention tools effectively squashed, making it difficult to communicate with anyone outside the country.

National websites are still easily accessed, but as internet speeds slow to a crawl, many of the country's netizens are finding access to even the most rudimentary URLs barred -- including those belonging to banks and local businesses.

With the country's presidential election less than two weeks away, many experts find the timing of the latest apparent restrictions significant.

"Every time you get close to an important event, like the election, the internet goes down," says Ali Bangi, co-director of Toronto-based organization ASL19, which provides tools for Iranians to circumvent government filters.

Amanpour explains Iranian elections

Before the 2009 elections, he notes, the regime appeared to focus mainly on censoring foreign news and social media sites. Iranians easily bypassed these controls using VPN software, which makes it look like users are accessing sites from a separate country.

Lately, he says, it seems the government has become more sophisticated with its filters. Since March, VPNs have been blocked, making it harder for Iranians to access foreign URLs. In addition, encrypted international websites, such as Google and any site with "https" in front of its address, have been made so painstakingly slow that they are virtually unusable.

The idea, says Bangi, is to push users to adopt the higher-speed national internet network, which some have dubbed the "halal internet" -- halal meaning permissible under Islamic law. It acts essentially as a giant intranet allowing the authorities more power to monitor web activity and restrict access to websites.

Lately Twitter has been awash with grievances from Iranians who bemoan the various implications of the new blocks. Some have complained of increased workloads, friction with employers and general impositions to their everyday professional lives.

Those that have managed to access the site (much fewer of late, says Bangi) frequently use it as an outlet to share circumvention tips, and vent their frustration. Tweets are often punctuated with #filternet -- the nickname many have given to the state's cyber blocks.

Read more: Has Iran learned from 2009 elections

K, a network administrator for a software development company (he declined to use his full name to avoid drawing the attention of the Iranian government) estimates his workload has increased by an extra two hours each day as he attempts to work around government controls.

"Keep in mind that I'm an expert, and can usually find a workaround. I'd imagine it's a much bigger number for others," he says.

He adds that the apparent state blocks have put a strain on his company's relationship with clients, as stalled access to email has made it difficult to keep up a timely communication.

"We're a software company, so we really rely on the internet. These restrictions have made our clients very unhappy. We haven't lost one yet, but who knows?"

According to K, the filters are not as sophisticated as they could be and even the most rudimentary local sites -- such as those related to banks -- occasionally find themselves blocked.

"Our company uses internet banking services, and the finance department has had difficulty paying staff," he says.

Collin Anderson, an American researcher who has been mapping the emergence of Iran's national network, notes that often, those affected aren't necessarily anti-regime.

"What you see in social media is frustration and desperation," says Anderson. "People are saying, 'look, I'm not political. I'm just a student trying to submit my Ph.D. thesis to my professor, and I can't, because my Gmail doesn't work'. There's a real human toll that's hard to asses based on economics."

Read more: Iran's cartoonist find new lines of expression

According to Bangi, since 2009, ISPs have been required to report "forbidden" content to the authorities under the Cyber Crimes Bill. In addition, accessing blocked sites was criminalized, so that any Iranian reading or disseminating material the government deems inflammatory could face penalties.

Anderson notes there has been a considerable rise in malware and phishing attempts directed at anyone deemed anti-regime, and while he cannot prove it, he suspects the Iranian authorities are the ones responsible. He recalls receiving an email that tried to lure him into divulging his Gmail username and password.

"I set up a fake account to see what would happen, and within 24 hours, someone tried to log in and download all my emails, then sent out an email to my contacts trying to trick them into downloading the malware," he says. The purpose, he suspects, is to give authorities information.

CNN reached out to the Iranian authorities to comment on the claimed use of malware, internet blocks and phishing attacks but received no reply.

Last week the U.S. Department of State said that it will allow the export to Iran of "certain services, software and hardware incident to personal communication in Iran."

"As the Iranian government attempts to silence its people by cutting off their communication with each other and the rest of the world, the United States will continue to take action to help the Iranian people exercise their universal human rights, including the right to freedom of expression," it was announced in a press statement on May 31.

Anderson isn't optimistic the filters will lift, as they've done in the past.

"You might see a slight relaxation of controls after the elections are over -- some of the throttling, which is really distressful, might let up -- but the sites that are blocked will remain blocked. Now that the state sees it can get away with it, these filters are here to stay."

@highlight

In the lead up to Iran's election, the state has made the internet nearly unusable for many of its citizens

@highlight

Usually Iranians use VPN software to bypass government controls, but lately, these too have been blocked

@highlight

Some fear the government is unleashing malware and phishing software to spy on Iranian citizens

@highlight

U.S. government announced it will allow export of services to allow Iranian people greater freedom on communication