(CNN) -- Afghanistan, Pakistan, Somalia, Yemen, and now Syria and Iraq. The decade-plus duration of America's confrontation with al Qaedism offers lessons not only on how we battle extremist ideology but also how we should calibrate our expectations.

The traditional goal in warfare is simple: Defeat the adversary by destroying its will and capability to pose a threat. Force the adversary to capitulate.

With a nontraditional foe, it's not clear that we need to limit ourselves to traditional measures of victory. Containment could work.

We know by now that in no cases have the adversary's radical ideology been defeated. The most striking successes, such as Indonesia's evisceration of the Jemaah Islamiya organization and African forces' push against Al-Shabaab in Somalia, have only limited the reach of al Qaedism but failed to fully stem the flow of recruits to al Qaeda affiliates or squelch the ideology that underpins its festering.

We have too many reminders of the resilience of this particularly violent ideology to think that it can be eliminated. Despite counterterrorism successes, Jemaah Islamiya in Indonesia still lies dormant and remains potentially dangerous, as recent Indonesian arrests show.

In Somalia, Al-Shabaab has been pushed out of large swaths of territory and its leader killed, but it is nowhere near finished in East Africa. French successes in Mali were stunning but have not come close to defeating al Qaedism in the Sahel.

Despite these lessons, commentators across the political spectrum speak today about the defeat of an even larger, more geographically diverse, and more brutal adversary, in Syria and Iraq, as if somehow the lessons of the durability of al Qaeda ideology has proven brittle in other, equally complex, battlefields. It hasn't.

We need to manage not just our expectations. Our rhetoric, too, matters more than we think. When we declare that we will defeat ISIS, what do we mean? What is a sufficient condition to declare victory? Unless we define that condition, we risk involving ourselves in yet another unending conflict.

We cannot aim to eliminate Salafi jihadism. Not in one year or two, and probably not in one generation or two. The events of the past years -- both our combat in Iraq and the instability ushered in by the Arab Spring -- have created new grievances and vast ungoverned (or ungovernable) spaces in a region that is better armed than any other place on Earth.

There is a more modest way forward, though, and one that has proven successful without overreaching. How about rolling back ISIS gains, confining it in and preventing the flow of fighters both into the battle area and back, as one goal?

Yes, and that has already begun. Simply showing to its local adversaries that ISIS isn't invincible, that it folds under pressure, is an early win. And it isn't just American airpower that can accomplish this. Shia in Baghdad's outskirts, Kurds in Syria, the Peshmerga in northern Iraq, have begun to push back and have had early successes. This will be a long, tough battle, but ISIS has made too many enemies and has too few friends to succeed in the long term.

Truly degrading the ISIS menace will involve eliminating the minds who manage the operation. The leaders, including not just ISIS leader Abu Bakr al-Baghdadi, but also his so-called ministers, media advisers and field commanders, need to be killed or captured.

Most of their supporters, including European and American recruits to Syria and Iraq, will die on the battlefield, but al Qaeda's ideological sympathizers typically also turn their attention to building cells that can attack Western targets, as we have witnessed in Indonesia, Yemen and the tribal areas of Pakistan.

For that reason, selective, carefully targeted strikes in Syria will help decrease the risk here at home. Elimination of every ISIS leader and commander is too all encompassing a goal, and it's unnecessary.

We can take a page out of the Waziristan book by using the lessons of the standoff campaign against al Qaeda's leadership remnants that has worked so successfully along the Pakistan-Afghanistan border. Were there American boots on the ground? No. Were the selective strikes effective? Absolutely.

Pakistan's Waziristan region offers other important lessons. Gains against the entrenched al Qaeda network there didn't come overnight. Likewise, America's years of engagement against key targets in Pakistan, Somalia and Yemen provide a blueprint.

This new fight against ISIS similarly will take patience, careful intelligence work, persistence and time. Commitment to disrupting the group over time will eliminate the leaders who have the vision and capability to sponsor this kind of plotting. If we can find ways to keep those terror leaders on the run, that will shift their focus from plotting to survival.

So, we should start the campaign with an achievable definition of victory and a reasonable expectation about what that will take. We want to degrade ISIS so its ability to attack us and our interests is minimized, and to aid allies -- particularly Iraqis and Middle Eastern governments who are willing to commit even limited forces. We have to ensure that this doesn't become America's war again.

Along with our allies, we want to free the people who now come under the cruel ISIS boot. Defeat of ISIS may come. In the meantime, a good dose of degrade will be more than sufficient.

@highlight

Andrew Liepman, Philip Mudd: Ideology-driven adversaries are hard to eliminate

@highlight

Liepman, Mudd: Our confrontation with al Qaeda offers strategies on fighting ISIS

@highlight

They say we need an achievable definition of victory, such as confining ISIS gains

@highlight

Liepman, Mudd: Fight against ISIS will take patience and careful intelligence work