Washington (CNN) -- Back in home districts for a week and eager to tout some accomplishments in Washington, many members of Congress are praising a newly passed bill they say protects the military.

But in reality the measure to reverse most military retirement cuts is the legislative equivalent of a cocaine hit: a feel-good high that obscures current problems, makes future issues worse (for the Pentagon and taxpayers) and sends one of the best signals yet that Congress is nowhere near making the tough decisions needed to avoid the financial storm set to crash on the federal budget in just a few years.

"It's what we ridicule all the time," an unhappy Sen. Jeff Flake, R-Arizona, told me as he left the final vote on the military bill Wednesday. Flake was one of just three senators who voted no, despite a chorus of criticism with the way the bill was funded.

CNNMoney: Senate votes to restore military pensions

The measure rolls back a gradual 1% cut in military pensions. (It rolls back that cut for anyone who joined the military before this year.) It pays for that by tacking on one more year of across-the-board, or sequester, cuts to Medicare 10 years from now.

The money may not exist

"Spend now, pay later, " Flake concluded. "It never happens."

Among the hefty issues with the bill is that it pays to end a problem now with money that won't arrive for a decade. In some ways, it is like buying a house today based on income you expect to get 10 years from now.

Homeowners couldn't do that, but lawmakers can because they operate in 10-year budget windows. That allows them to access money on paper now that won't be tangible for years to come. But that practice can be risky.

"We don't know what the future will look like," explained Marc Goldwein, senior policy director at the Committee for a Responsible Federal Budget. "We don't know if the (budget assumptions) are correct; we don't know who will be in Congress; we don't know who will be president."

Goldwein and the committee feel so strongly, the think tank included the idea of paying for short-term costs with money 10 years ahead in a chartbook it released last week of eight budget gimmicks.

Above all, we don't know if future Congresses will rethink the sequester cuts. And based on the past two years of cuts, parts of which have already been reversed, it would be stunning if lawmakers ahead left the sequester intact all the way until 2024.

Seeing it as 'fuzzy math' but voting yes anyway

There is some irony when you look at fiscal crusaders and this bill.

In the House, 199 Republicans voted against the debt ceiling suspension, which would not have directly changed the amount of government spending, only whether the government could pay for that spending.

Senate passes debt-ceiling bill in blow to tea party

But of those 199 anti-debt purists, only 16 voted no for the military retirement bill, even though some thought it could actually lead to increased spending because of its risky assumptions.

That military retirement bill, however, had a distinct advantage: It was short-term benefit for American troops and their families, a group with undeniable political support.

Some stalwart conservatives faced a tough decision. The night before the House vote on the military retirement bill, Arizona conservative Matt Salmon railed against the idea of paying for it with Medicare cuts in 10 years.

"If you believe we're ever going to really do that," Salmon said surrounded by a crowd of lawmakers and reporters, "I think it's fuzzy math to be honest with you. I think any (savings) that you push over two years out, you can't really guarantee any of that. It's a concept only."

He didn't trust the fund to be there in 10 years. But the next morning, Salmon voted for the measure anyway. His office posted a prominent release trumpeting his debt ceiling vote, but mentioned nothing about his decision on the military COLA. His spokeswoman did not respond to CNN's requests for an explanation of his vote.

This will hurt the military

The Pentagon faces a major money problem. Health and retirement costs are skyrocketing, which have led to a jump in personnel costs of more than 50% between 2001 and 2012 alone, according to the Pentagon, and are forecast to keep skyrocketing in coming decades.

Those increasing costs mean less money for things like equipment and training.

So, by reversing the cost-of-living adjustment to retirees, some believe Congress just hurts troop readiness.

"Compensation costs are hollowing out the Pentagon's budget," House Budget Chairman Paul Ryan wrote in a statement, "They are taking resources away from training and modernization â€” and putting our troops at risk. This bill takes away over $6 billion from military readiness."

Ryan was one of the 16 Republicans to vote against both the military pay "fix" and the debt ceiling bill.

His budget agreement with Sen. Patty Murray, D-Washington, in December created the military pension cut, so he is directly tied to the policy. But he insisted that he is open to reforming that cut, just not in this manner.

"Rather than making the tough choices, (this bill) sidesteps them," he wrote.

Why do Republicans opposes unemployment benefits?

So why did everyone vote for it?

"I voted yes," Republican Sen. Ron Johnson of Wisconsin said. "I didn't think the military COLA in isolation should have been included in the budget package to begin with... We can't single out the finest among us for that type of reform."

When asked what he makes of other Republicans who believe the money to pay for the fix is based on "fuzzy math," the tea party conservative nodded, "I understand the viewpoint, no doubt about it."

"Obviously i would have preferred my pay-for," said Sen. Kelly Ayotte, R-New Hampshire, who proposed saving money by blocking illegal immigrants from obtaining a child tax credit. That didn't win out, and she voted yes for the bill with 2024 Medicare cuts instead.

"I'm just glad that we're moving forward to at least grandfather those who have sacrificed so much for the country," she said minutes after the vote.

It was a question of priority, sure. Congress decided that fixing the military retirement pay was the priority.

But that is not the only question. Just as prominent a question as the country faces a soaring debt forecast is how to pay for it.

Congress cannot make any remotely tough choices

"We're going to have to make serious and substantial cuts across government, this is pretty small," Flake told me as he rode the elevator down from the Senate vote. "If we can't do this, then we stand no chance of addressing our debt and deficit in a meaningful way."

The U.S. deficit at the moment could easily inspire false hope and make someone like Flake sound like a death-rattler. The deficit is plummeting -- still a healthy $500 billion, but down by half from its $1-trilion-plus heights.

But under current policy, that positive trend won't last to see the next president. The nonpartisan Congressional Budget Office forecasts that federal deficits will start climbing again in 2016 and will be back at the $1 trillion level in eight years.

What's worse, the deficit continues to grow as a share of GDP, sucking more and more potential life out of the economy.

But rather than face the tough financial issues involved (entitlement costs, including health care and retirement, especially), Congress decided to reverse one of the few hard decisions it's made lately and pay for the military retirement reversal with debatable funding.

"What they did here was they reversed the hardest and the most structurally significant choice in the Murray-Ryan budget agreement," Goldwein said. "That was the only real entitlement reform in the Murray-Ryan bill, and it was relatively modest. They took that tough choice and replaced it with a completely not tough choice."

Goldwein says the committee has moved from pushing for deficit reforms worth trillions of dollars to hoping that lawmakers just pay for the bills they pass with honest money (no gimmicks).

Which is why passage of the military COLA bill, no matter how well-intentioned for military retirees, is a blaring siren of greater problems.

A Congress well-schooled in the deficit chose an easy, risky way out of what was, relative to the coming fiscal issues, a modest problem. What military families may gain for the next few years they could easily lose in either readiness or in much larger taxpayer problems ahead.

"We're in a bad place right now, I think," Goldwein said.

@highlight

Congress sends strong signal it can't make tough decisions on spending

@highlight

Budget analyst critical of assumptions Congress made in funding bill

@highlight

Many fiscal crusaders voted yes on bill they were critical of