(CNN) -- What should most worry the leaders of the federal government -- the president, the top officials in Congress, Democrats, Republicans, everyone who failed to find a way to avoid the forced budget cuts?

What should make them fully understand what the stakes of their ineffectuality really are?

Those stakes, in the end, have little to do with numbers or dollar figures.

The stakes are considerably more profound than that.

A hint of what those stakes are can be found in an unlikely place -- a scene in the wonderful 1986 movie "Hoosiers," about basketball in small-town Indiana.

Early in the movie, one of the townspeople -- he's not very likeable, but his words are memorable -- confronts the newly arrived coach.

The man says:

"Look, mister. There's two kinds of dumb. Guy that gets naked and runs out in the snow and barks at the moon. . .and guy who does the same thing in my living room.

"First one don't matter. The second one, you're kind of forced to deal with."

Most of the time, official Washington can bark at the moon all it wants, and the nation merely shrugs. Barking at the moon, it often seems, is Washington's job description.

But once in a while, the country feels that the barking has moved into America's living rooms -- that it's time to pay closer attention.

And when the country decides, person by person, that the men and women they have elected are not up to the job, that's a tenuous place for the United States to be.

Gergen: Americans sick of budget soap opera

The White House and members of Congress have known since the summer of 2011 that, unless they could come up with a way to reach a compromise â€” together, across party lines -- the mandatory, across-the-board budget cuts would kick in.

They couldn't do it.

They played a game, and the country lost.

"Brinksmanship," it's called. The term is one of bravado -- daring the other side to blink. In his recent book "Ike's Bluff," journalist and historian Evan Thomas traces the term back to John Foster Dulles, President Dwight D. Eisenhower's secretary of state. Dulles took pride in bluffing Communist nations of that era to back down: "If you run away from it, if you are scared to go to the brink, you are inevitably lost."

But if brinksmanship as a tool in international diplomacy is a risky proposition, brinksmanship as a constant, cynical tactic in domestic politics can make the citizens -- the voters -- resentful and angry. Voters don't want to hear why the men and women they elected can't get the job done. No one forced the elected officials to run for the offices they now hold.

"The U.S. governs by crisis these days," Richard McGregor and James Politi wrote last week in the Financial Times, "and neither side seems capable of doing anything about it."

Both sides, in explaining their positions as the budget cuts were about to take effect, seemed to all but confirm that analysis. President Barack Obama, speaking to reporters at the White House, said:

"So ultimately, if Mitch McConnell or John Boehner say, 'We need to go to catch a plane,' I can't have Secret Service block the doorway, right?"

McConnell, the Senate Minority Leader, said: "But there will be no last-minute, back-room deal."

Yet last-minute deals, back-room or not, are what elected officials at the loftiest levels are supposed to be masters of. Brinksmanship doesn't work if the people at the wheels go hurtling over the brink.

On South Michigan Avenue in Chicago there is a hotel, the Blackstone -- now a part of the Renaissance chain -- that is more than a century old. The Blackstone was where the political phrase "smoke-filled room" originated; in 1920, Warren G. Harding was chosen as the Republican candidate for president by a group of leaders meeting there to hammer out a consensus, even as the official convention was in session in a different part of town. A wire-service reporter wrote that the choice had been worked out "in a smoke-filled room," and it became part of the language.

It's probably sacrilege these days to say anything positive about decisions made privately in smoke-filled rooms (and the Blackstone is a no-smoking-anywhere-on-the-premises hotel today, anyway). But it's hard to imagine that many people would object if leaders of both parties locked themselves up in a room and didn't emerge until they had, at long last, fashioned a reasonable solution to the budget turmoil. It is, after all, what they are paid to do.

Many members of Congress work in a pair of buildings named for men who, in an earlier era, understood that. The Rayburn House Office Building, named for longtime Democratic Speaker Sam Rayburn of Texas, and the Dirksen Senate Office Building, named for longtime Republican Senator Everett Dirksen of Illinois, recognize leaders of different parties and different ideologies who knew how, in the end, to cut through the mess and get things done.

Meanwhile, as the first workweek of the forced budget cuts begins Monday, expect a familiar sound from Washington:

More barking at the moon.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Washington failed to find a way to avoid forced spending cuts

@highlight

He says Americans can usually ignore Congress' constant barking at moon. Not this time

@highlight

This time Obama and Congress failure to compromise hits people more directly at home

@highlight

Greene: Even if it was in a 'smoke-filled" back room, leaders used to be able to make a deal