Jocotenango, Guatemala (CNN) -- Growing up in Guatemala, Juan Pablo Romero Fuentes watched many of his peers succumb to drugs, gangs and crime.

"Kids here are forced to grow up in a very harsh environment filled with violence," he said.

Reeling from decades of civil war, Guatemala continues to be plagued by poverty and violence. According to the United Nations, the country has the fifth-worst homicide rate.

Romero Fuentes became a teacher in his hometown, and he found that many of his students were struggling with the same issues his generation had faced.

"Their parents had no jobs; their families were disintegrating. They had no hope or motivation," he said.

So, at 23 and with his parent's blessing, Romero Fuentes turned part of his family's home into a community center. In 2006, he began tutoring and mentoring a handful of kids after school. Word spread quickly, and children from all over the community joined the group.

Today, his program offers free classes, tutoring and meals, as well as low-cost medical care. His nonprofit, Los Patojos -- which translates to the Little Ones -- has helped more than 1,000 children.

"I created a safe place for them to realize that they actually can change bad aspects in their lives and their community," said Romero Fuentes, now 30. "I wanted to give them a better present in order to attain a brighter future."

Finding hope at home

Los Patojos has become a haven in a region where young people are in desperate need of opportunity and protection.

An unprecedented number of children from Central America have made the treacherous journey to the United States to flee violence and poverty in their countries. Since October, more than 57,000 unaccompanied minors from Guatemala, El Salvador and Honduras have been caught crossing the U.S. border. Some 37% are from Guatemala -- more than any other country, according to the Department of Health and Human Services.

"These families are in desperate situations. They have no money and no hope for a better future for their children," Romero Fuentes said.

Despite this harsh reality, Romero Fuentes believes his country can rebuild itself from within. But for the young people to help do that, he says, they need resources and support.

"In a violent country, the only weapon we can have is love," he said. "These kids are already powerful, but they don't know that yet."

To that end, Los Patojos offers productive activities for people 3 to 18, all aimed at giving them the tools they need to transform their families and their communities.

A generation of peacemakers

Romero Fuentes' program takes place in the entire front portion of his family's home as well as another building down the block.

At the main center, painted with colorful murals and quotes, children are exposed to a number of creative outlets. They take classes in dance, music, photography, theater and juggling and often put on performances for each other.

"These classes are to show kids that they can pursue their own passions in order to improve their lives," Romero Fuentes said.

Leadership seminars teach the children about social, political and cultural issues. They learn the importance of moral courage, social justice and self-expression. They also explore ways to reduce violence.

"We are raising them to be the future leaders of Guatemala," Romero Fuentes said.

The group's feeding program provides a nutritious meal to more than 100 children each day. For many of them, it is the only meal they will have all day, says Romero Fuentes.

Los Patojos also runs a medical clinic that provides basic health services to more than 1,500 people each year. And the organization is in the process of building its own school, where more than 250 students will attend preschool through sixth grade.

For Romero Fuentes, this is just the beginning.

"I love my city and my country. I want to inspire these kids," he said. "They are the ones in charge of writing the new history in Guatemala."

Want to get involved? Check out the Just World International website and see how to help.

@highlight

A teacher in Guatemala saw his students were struggling with drugs and gangs

@highlight

Juan Pablo Romero Fuentes turned part of his home into an after-school community center

@highlight

Today, his nonprofit offers free classes, tutoring, meals and low-cost medical care