(CNN)History has a cruel sense of humor. Just watch President Barack Obama struggle with a war in Iraq and Syria during his final years in office; watch him discuss what kind of U.S. military he will hand over to the next president, and think back to the campaign promises that put him in office, a vow to end America's "dumb war" in Iraq.

The irony is inescapable. But it is more than that. Like it or not, Obama's struggle with conflict in the Middle East is a sign that foreign policy is set to emerge as a key issue in the 2016 presidential campaign. And, at least according to a new CNN/ORC International Poll, it's an issue that the public feels the President isn't delivering on.

But the reality is that the challenges are multiplying -- and there are no easy answers. From Iraq, Syria, Russia, Ukraine and elsewhere on the globe, there are very real and very tough choices facing the next president. The most urgent ones, and by far the most complicated, come from the epicenter of instability, the smoldering Middle East.

What is America to do?

It's not just a rhetorical question. It is an extraordinarily important question for anyone who wants to become president of the United States. What would you do?

For voters, it represents a supreme duty to demand clear, consistent and credible answers and choose the man or woman who makes sense, who is not simply playing political or rhetorical games with something that means life or death for so many people.

The United States already tried "shock and awe," the full-force, heavy footprint approach of President George W. Bush. And it has now tried the softer footprint approach from Barack Obama. Both essentially failed. Now what?

Is anyone really going to argue for a return to mass military force? Is anyone going to support a "stay the course" approach?

Former Secretary of State Hillary Clinton, more hawkish than Obama, called years ago for arming moderate Syrian rebels, but would that have meant U.S. weaponry would have ultimately ended in ISIS hands, as rebels have changed sides or lost to the ultra-radical Islamists backing ISIS or al Qaeda? Sen. Rand Paul has offered a confusing mix of isolationism and interventionism, blaming U.S. interventions for the crisis while saying he supports the fight against ISIS.

The Middle East is unraveling and it's very difficult to argue that Washington's policies have had much of a positive impact, either for the region or for America. Just last week, the United States abandoned its embassy in Yemen. That makes for yet another country in the Middle East with no U.S. diplomatic presence, another failed state in the region, another former U.S. ally out of power, another Iran ally gaining control of an Arab capital.

On Election Day, voters are usually more influenced by pocketbook issues than foreign policy questions. "It's the economy, stupid," has become every campaign consultant's mantra. But the really tough, history-making choices will lie elsewhere.

The next president will have to decide how America will fight ISIS, and al Qaeda, the rival terror groups who share an anti-modern, anti-Western ideology backed by brutal terrorist tactics, which have already left thousands of dead Americans, including on U.S. soil -- a reminder that simply ignoring the problem because it seems distant and intractable is not a viable option.

The man or woman Americans elect will face a momentous decision on what to do about the war in Syria, where more than 200,000 people have already died and the killing continues. He or she will confront the reality that American civilians have been publicly slaughtered by ISIS, an organization whose ranks keep growing; already 20,000 foreign fighters have poured in to join ISIS despite a bombing campaign led by the United States. The group's radical ideology and vicious tactics have already started carving a scar of death across Europe and elsewhere. The suspect in last year's shootings in Brussels' Jewish Museum had reportedly traveled to Syria to join ISIS; the man who shot up the kosher deli in Paris claimed allegiance to ISIS.

The decisions will be complicated by the larger reality of the Syrian conflict. Four years after Obama declared "the time has come for [Syria's dictator Bashar al-Assad] to step aside," al-Assad is massacring Syrian civilians with barely a whiff of condemnation from an international community now more concerned with ISIS. Al-Assad, the man whose forces Obama nearly bombed in 2013, continues dropping barrel bombs on civilians while the U.S. bombs his enemies, indirectly helping his cause.

The next president will look at a map of the Middle East, talk to America's Arab allies and hear their deepest concerns turning into reality. Arab governments have accused Iran of wanting to dominate the region. Whether or not Obama reaches an agreement on Iran's nuclear program, there is no escaping the fact that Iran is making huge strategic inroads throughout the Middle East.

When Shiite Houthi rebels toppled the U.S.-allied government of Yemen, on the border of Iran's traditional rival Saudi Arabia, an Iranian general reportedly declared the Houthis' success "a historic victory for the Iranian Islamic revolution." Iran's close partners, the Lebanese Shiite militia Hezbollah, turned the tide of battle in Syria, rushing in to save Iran's close friend Assad. Just a few weeks ago, an Iranian general working in Syria was killed by an Israeli strike on a Hezbollah position just across the border from Israel.

What about Vladimir Putin's Russia? Putin has brazenly seized internationally recognized territory of Ukraine, a country whose leaders want closer ties to the West. The most recent ceasefire, experience shows, is likely to be flouted by Putin. What if Putin's advance continues? Should the United States help arm Ukraine? Won't doing that inflame the situation, as some European leaders claim? Won't NOT doing that give a green light to Putin? What if he pushed all the way to the Baltic States, members of NATO. Would the United States go to war to defend Estonia?

These are only a few urgent questions, but there are many others that look less pressing but are no less important. While the United States and Europe busy themselves with international responsibilities, China is making major inroads in the developing world, notably  in Latin America. Is that something the United States should worry about, something it should seek to counteract?

How actively should the United States pivot to Asia and at what region's expense? How much weight should Washington give to human rights when its allies violate principles that are almost sacred to Americans? What position should the United States take regarding democracy, particularly in the Middle East? Will the United States back revolutions in the mold of the Arab Spring even if they aim to topple regimes friendly with the United States, if they might replace them with democratically elected Islamist governments? What about in Iran? And how would it deal with the pro-democracy forces in Iran as the West negotiates with the Islamic Republic over its nuclear program?  And speaking of Iran, what would the next president do if he or she sees Iran dashing for a nuclear bomb (with or without a nuclear agreement)? Would they go to war, or allow Iran to become a nuclear-armed country?

These are all complicated matters, worthy of debate in front of the people who will decide who moves into the White House after the Obamas move out.

The answer will -- and should -- play an important role in choosing the next president, even if experience has shown that, in the end, it is history that has the last laugh.

@highlight

Frida Ghitis: Voters usually more influenced by pocketbook issues

@highlight

But next president will have to decide how America will fight ISIS, she says