Washington (CNN) -- The Senate Judiciary Committee on Tuesday approved the nomination of Solicitor General Elena Kagan to become the nation's fourth female Supreme Court justice, setting up a final confirmation vote by the Senate.

The committee vote broke down mostly along partisan lines, with one Republican joining the panel's Democrats in sending the nomination to the full Senate on a 13-6 vote.

Democrats repeatedly characterized Kagan as a strong legal thinker who would be a fair judge, while Republicans slammed her as an inexperienced activist who would be unable to divorce her legal judgments from her political opinions.

Members on both sides expressed frustration with a confirmation hearing process many observers say increasingly yields few clear answers about a nominee's judicial philosophy.

"Elena Kagan is one of this country's leading legal minds, and has shown throughout this process that, if confirmed, she would be a fair and impartial Supreme Court Justice who understands how decisions made by the Court affect the lives of everyday Americans," President Barack Obama said after the vote.

The "vote by the (committee) is a bipartisan affirmation of her strong performance during her confirmation hearings."

"There is no question about Elena Kagan's qualifications," said Sen. Dianne Feinstein, D-California. "In my view, there is no good reason to deny her appointment." She is clearly among nation's "top legal minds."

"Her grasp of each area of the law, and to reason within it, compared favorably with any of the nominees I have seen come before us," Feinstein added. "Candidly, it surpassed some."

Kagan has demonstrated a "keen intellect," "judicial modesty," and respect for legal precedent, said Sen. Herb Kohl, D-Wisconsin. "I'm confident she will make a superb Supreme Court justice."

Not so, said Sen. Charles Grassley, R-Iowa. Kagan has "extremely limited experience" as a practicing attorney, he said. Her record "has not been (one) of impartiality." She has "far left ideological beliefs" and is likely to use an "outcome-based approach" to cases.

Sen. Jon Kyl, R-Arizona, called Kagan's June testimony "disingenuous" and "deceptive." Her "policy preferences will influence her legal judgments" if confirmed, he predicted.

Among other things, the committee's Republicans highlighted Kagan's role in limiting military recruiters at Harvard Law School because of the "don't ask, don't tell" policy, which bars openly gay and lesbian soldiers from military service. Several Republicans have said Kagan, who was the law school dean, sought to treat the military as second-class by denying recruiters access to the campus Office of Career Services.

Kagan has argued she provided an "equally effective substitute" by requiring military recruiters to use a veterans service office.

Sen. Lindsey Graham, R-South Carolina, broke with other GOP committee members by voting for Kagan's nomination. Graham -- also the lone committee Republican to back Justice Sonia Sotomayor's nomination last year -- said he had "100 reasons" to oppose Kagan's nomination on philosophical grounds. But, he argued, elections have consequences, and senators should be deferential to presidential nominating decisions.

Kagan, he argued, is sufficiently qualified, has a good character, and is capable of acting as a judge as opposed to a politician.

Noting the controversy over Kagan's role in Harvard's military recruiting controversy, Graham said he would oppose her nomination if he believed she has "animosity in her heart" for members of the armed services. But "I believe she is ... very patriotic," he said.

Graham said he is hopeful that Democrats will follow his lead the next time a Republican president makes a high court nomination. If a liberal such as Kagan can be confirmed, he said, "I hope Judge (Robert) Bork can be a conservatives' hero" and be confirmed as well.

Many legal and political analysts said the hearings went as expected, with clear ideological divisions, and very little of substance revealed about Kagan's views of specific issues.

"It's a real advantage for Elena Kagan that she's never been a judge with controversial opinions, so she was nominated just because of her lack of an explicit paper trail," said Mark Miller, a lawyer and political science professor at Clark University. "And that's what the current politics of Washington demanded. I think Obama wanted a relatively easy confirmation and it looks like he's going to get it."

The committee's chairman, Sen. Patrick Leahy, D-Vermont, noted Kagan did not advise the Obama administration on legal and constitutional issues surrounding a massive overhaul of healthcare. Her supplemental written responses Monday to questions from GOP senators seemed to indicate she would not recuse herself as justice if the legislation were appealed to the high court.

In reference to a pending lawsuit over the legislation by several state attorneys general, Kagan wrote, "I attended at least one meeting where the existence of the litigation was briefly mentioned, but none where any substantive discussion of the litigation occurred."

Kagan added she was neither asked nor offered any opinion about the legislation or any appeals, and did not review any internal administration documents.

Her new answers also offer a possible reason -- she purposely scaled back her job duties as solicitor general in April, after the White House quietly told her she was being seriously considered for the high court. Kagan was eventually nominated May 10.

The full Senate vote is expected to vote on Kagan's nomination before departing for its August recess.

If approved, Kagan will fill the seat of retiring Justice John Paul Stevens and become the 112th person to join the high court.

CNN's Alan Silverleib and Bill Mears contributed to this story

@highlight

NEW: Obama calls Kagan "one of the country's leading legal minds."

@highlight

The Senate Judiciary Committee approved Kagan's nomination, moving it to the full Senate

@highlight

Democrats say Kagan will be a fair judge, while Republicans call her a political activist

@highlight

If confirmed, Kagan will be the 112th Supreme Court justice and the fourth woman on the high court