New York (CNN) -- As a symbol of communication, refuge or romantic longing, the pay phone is an enduring cultural icon.

Witness John Cusack braving a downpour to call his girl in "Say Anything ...," Tippi Hedren under attack in Hitchcock's "The Birds" or Clark Kent, that intrepid reporter, dashing into a phone booth to become Superman.

With the rise of mobile phones over the past decade, pay phones have been disappearing. New York City had a high of 35,000 pay phones in the late 1990s. Today, there are only about 11,400, according to the city. Nationwide, the number of pay phones has dropped from approximately 2.1 million in 1999 to around 425,000 today.

But thanks to some new initiatives, pay phones may not be doomed to fade from the urban landscape like penny-farthings and oil-lit street lamps.

Anyone with a cell phone knows that connectivity is not always guaranteed -- especially not during emergencies, when networks are overloaded. In the wake of Superstorm Sandy, which pounded the Northeast in late October, many New Yorkers found themselves without power and without mobile service. To communicate with the rest of the world, they took to pay phones.

"I wanted to call my mom, but my cell phone wasn't working. I remembered there were two pay phones on the corner of my street," said Ashley Freskos, 30, who works in men's fashion in Manhattan, and at the time, lived in the Lower East Side where electricity and mobile phone service were knocked out by the storm.

"I hadn't really used a pay phone since I was 14, before I got a cell phone. I didn't even know if they still worked," she said. "My mom didn't even pick up (at first) when I called because she didn't recognize the number."

Pay phone volume across New York City's five boroughs rose tenfold during Sandy, said Peter Izzo of Van Wagner Communications, which operates 4,200 pay phones in the city.

"Pay phones are the last life line of communication for the poor in America," said Willard Nichols, president of the American Public Communications Council. More than 750 million calls are placed on pay phones per year, he said.

"There's no question that pay phones are critical when there is an emergency," Nichols added. "We saw in Sandy the same as Katrina. There were still pay phones working in New Orleans during the height of the storm when all other communication was out."

When all hell breaks loose, a pay phone is a good bet. But to stay relevant, the pay phone of the future needs to offer valuable services at all times, not just during emergencies.

So the city of New York is trying to give the humble pay phone an upgrade.

In July the city created Wi-Fi hotspots at 10 payphone kiosks in three of its boroughs, the first step in a pilot program designed to make wireless access available to as many people as possible in the city.

And this month Mayor Michael Bloomberg announced a new initiative the city hopes will rejuvenate the city's remaining public pay phones. The Reinvent Payphones Design Challenge dares students, technologists, designers, policy experts and urban planners, to come up with new solutions to take advantage of the existing pay phone framework and shape the future of public communications infrastructure.

"We're challenging our dynamic and ever-growing tech community to 'Re-Own the Phone' and provide their ideas on what the future of payphones could entail," said Bloomberg.

Several pilot programs in New York already use existing payphone infrastructure, from digital advertising on phone kiosks in Times Square to interactive touchscreens around Union Square. But the new contest hopes to create a new purpose for the pay phone.

"What's unique about the pay phone network in New York is that the reliability of service is overwhelming -- and not just in hurricanes," said Izzo, citing the blackout of 2003 and the chaos of Sept. 11, 2001.

Izzo credits the "spider web" like network of copper wire, paired with coaxial and fiber crossing underneath city streets, for the network's durability.

"There's no single 'choke point' to disrupt the service," he said. "It's a matter of taking the existing infrastructure and making something new that people need. That copper wire is an old technology, but it still works."

@highlight

With the rise of mobile phones over the past decade, pay phones have been disappearing

@highlight

But thanks to some new initiatives, pay phones may not fade from the landscape

@highlight

In the wake of Superstorm Sandy, many New Yorkers relied on pay phones

@highlight

A new NYC initiative seeks to rejuvenate the city's remaining public pay phones