Washington (CNN) -- They have become staples of many cable and broadcast television stations: high-speed, often dangerous police pursuits of fleeing motorists, videotaped and packaged into such shows as "World's Wildest Police Chases."

In an appeal that came to the Supreme Court, the issue was: When do such incidents cross over into the realm of "violent felonies" that could lead to increased jail time?

The justices, by a 6-3 vote Thursday, dismissed an appeal from an Indiana man who received an enhanced federal sentence because of prior serious offenses, one of which was for trying to escape in a vehicle.

Justice Anthony Kennedy said that while the federal law in question does not specifically mention dangerous car chases, they clearly are the kind of crime that deserves to be treated more seriously.

"Risk of violence is inherent to vehicle flight," Kennedy said. "It is well known that when offenders use motor vehicles as their means of escape they create serious potential risks of physical injury to others. Flight from a law enforcement officer invites, even demands, pursuit."

Marcus Sykes had pleaded guilty to felony possession of a firearm, a federal offense. He had attempted to rob two people at gunpoint, according to court records. He also had at least three prior felonies on his record, including an armed robbery.

It was the third felony that concerned the high court. Indiana's "resisting law enforcement" law provides various criteria, depending on the circumstances, for those who flee officers. Sykes had at one time used a vehicle to escape after an officer had ordered him to stop, which is a felony under state law.

Officers had noticed Sykes driving without headlights, and when police flashed their emergency sirens, the suspect took off and a chase ensued. Prosecutors said Sykes drove on the wrong side of the road and through yards with residents nearby, then rammed a fence and finally crashed into a house. He fled on foot and was eventually captured, thanks to a police dog in pursuit.

Under the federal Armed Criminal, Career Criminal Act, Sykes received a mandatory minimum 15-year prison term for the gun possession charge, enhanced because of his past criminal record. The law was designed to get tough with habitual felons through longer sentences.

Sykes appealed, admitting he fled police and that it was a felony, but he argued it was not violent" The federal law labels as violent felonies such offenses such as burglary, arson or extortion, or where there is "conduct that presents a serious potential risk of physical injury to another."

Kennedy said the "serious potential risk" standard applies to Sykes' driving behavior, since he repeatedly refused to pull over and submit to custody.

"As that pursuit continues, the risk of an accident accumulates," Kennedy wrote. "And having chosen to flee, and thereby commit a crime, the perpetrator has all the more reason to avoid capture."

This is the fourth time in the past four years the high court has tried to clarify the meaning of "violent felony" under the so-called residual clauses of the federal law.

In a typically sharp dissent, Justice Antonin Scalia said the law, like the majority's efforts to interpret its boundaries, is ultimately a failure.

"Today's opinion will sow further confusion," he wrote. "Insanity, it has been said, is doing the same thing over and over again but expecting different results. Four times is enough" in trying to clarify what are violent felonies under the career-criminal law. He said the statute should be declared "void for vagueness."

Justice Elena Kagan also dissented, but for far different reasons. She said that under the state's own guidelines, Sykes' conduct was clear: there was no aggravated vehicular flight.

"Because petitioner Marcus Sykes was convicted only of simple vehicular flight, and not of any flight offense involving aggressive or dangerous activity, I would find he did not commit a 'violent felony'" under the federal law.

Supported by Justice Ruth Bader Ginsburg, Kagan said states properly distinguish among various types of efforts to escape police, and that the high court should have relied on those state standards to make its ruling, rather than trying to parse the federal law's definition of "violent" felony, which does not specifically include vehicular flight.

Kennedy in his ruling cited a study by the International Association of Chiefs of Police showing that at least 7,737 police chases were reported nationwide from 2001 through 2007. Those pursuits resulted in 313 injuries to police and bystanders, or a rate of about 4-in-100.

There was no indication whether the pursuit of Sykes was videotaped by a police dashboard camera, and if so, whether that visual record was used against him in the trial or subsequent appeals.

The case was Sykes v. United States (09-11311).

@highlight

"Risk of violence is inherent to vehicle flight," Justice Anthony Kennedy says

@highlight

The court rejects the argument that a car chase shouldn't lead to a stricter sentence

@highlight

Justice Scalia dissents, saying the law should be declared "void for vagueness'

@highlight

Justices Kagan and Ginsburg, in a separate dissent, argue there was no violent felony