Washington (CNN) -- The U.S. government is stepping up its involvement in the Syrian crisis after allegations of chemical weapons use -- with its top military official making plans to respond quickly, and its top diplomat reaching out to Syria's foreign minister and others in the wake of the report.

On Saturday, a senior State Department official said that Secretary of State John Kerry had talked Thursday -- the day after the attack -- with Syrian Foreign Minister Walid Moallem.

The purpose of the call was to make clear that if the Syrian government had nothing to hide, it should have allowed immediate access to the site -- rather than continuing to attack the area to block access and destroy evidence, the official said.

Meanwhile, the U.S. military was busy in its own right.

If claims that Syria used chemical weapons this week are true, a speedy response will be needed to prevent another such attack, Defense Secretary Chuck Hagel said Friday.

A senior Defense Department official has told CNN that military planners have updated Syrian target lists. And it was disclosed that a fourth U.S. ship armed with cruise missiles has arrived in the eastern Mediterranean Sea.

A United Nations team is in Syria attempting to investigate a claim by the nation's rebels that a chemical weapons attack by President Bashar al-Assad's forces outside Damascus killed more than 1,300 people.

Hagel addressed the issue aboard a military plane headed to Malaysia.

"We will determine at some point here very shortly what did happen," he said, according to an account posted on the Defense Department's website.

"If, in fact, this was a deliberate use and attack by the Syrian government on its own people using chemical weapons, there may be another attack coming," Hagel said. "A very quick assessment of what happened and whatever appropriate response should be made."

Hagel said the American military was providing President Barack Obama "with options for all contingencies, and that requires positioning our forces [and] positioning our assets to be able to carry out whatever options the president might choose."

He did not provide specifics on what the options were.

Obama talked Saturday with British Prime Minister David Cameron about Syria, according to a White House statement.

Together expressing "grave concern" about the chemical weapons reports, the two leaders will "consult closely" on the investigation into the incident as well as "possible responses by the international community," according to the White House.

Kerry also has been active, reaching out Saturday to Saudi Foreign Minister Saud al-Faisal, Jordanian Foreign Minister Nasser Judeh, Turkish Foreign Minister Ahmet Davutoglu and Arab League Secretary-General Nabil el-Araby, a senior State Department official said.

Earlier, in a CNN exclusive interview with "New Day," Obama defended his decision not to intervene militarily in the Syrian conflict. But he predicted that American focus on the civil war would be necessary for the fighting to come to an end.

"I think it is fair to say that, as difficult as the problem is, this is something that is going to require America's attention and hopefully the entire international community's attention," Obama told CNN's Chris Cuomo.

The president has said he does not anticipate using ground forces in Syria. Other military options could include airstrikes by fighter jets or cruise missiles.

The Navy destroyer USS Ramage has arrived in the region, a defense official said late Friday. It was intended to replace the USS Mahan, but the Mahan will remain temporarily along with the USS Gravelly and USS Barry. All four are equipped with cruise missiles.

So far, the president has authorized a limited amount of military hardware for the rebels in addition to logistical and humanitarian assistance.

The senior Defense Department official who spoke to CNN said options for direct military action would include targeting al-Assad's capability to deliver chemical weapons.

Target lists could include government buildings and military installations, the official said, but the military must have flexible plans to target forces and equipment which "continue to move."

Sen. John McCain, an advocate for a more forceful U.S. response to the Syrian conflict, has suggested that American air power could take out runways and planes used by al-Assad's forces that he said are "dominating the battlefields and the towns and the cities."

McCain also has advocated giving rebels anti-aircraft and anti-missile weapons to establish a "no fly zone." But administration officials have cautioned that some Syrian rebel factions have ties to al Qaeda terrorists.

Joint Chiefs Chairman Gen. Martin Dempsey said in a letter to a member of Congress this week that arming rebels requires "choosing one among many sides."

"It is my belief that the side we choose must be ready to promote their interests and ours when the balance shifts in their favor. Today, they are not," Dempsey wrote.

Chris Lawrence reported from Washington. David Simpson reported and wrote from Atlanta. CNN's Greg Botelho and Jamie Crawford contributed to this report.

@highlight

NEW: Secretary of State Kerry talks with Syria's foreign minister on chemical weapon claim

@highlight

NEW: He told him Syria should have allowed access to site, rather than still be attacking it

@highlight

U.S. defense secretary: If al-Assad used chemical weapons once, he may do so again

@highlight

U.S. military planners update target lists for fighters or cruise missiles