(CNN) -- A year ago on Thursday, the U.S. Senate failed to pass a bill that would have helped fix our nation's gun laws by requiring background checks on all purchases of firearms. Ninety percent of all Americans -- and more than 80% of gun owners -- believe that all people should be subject to such checks. And even though the bill won majority support in the Senate -- more than 50 members -- it was not enough to break a filibuster.

But in the year after the massacre at Newtown, Connecticut, on December 14, 2012, the grassroots movement to pass common sense gun laws and policies that are consistent with the Second Amendment has made great progress just about everywhere except Washington.

In Colorado, Connecticut, Delaware and New York, local citizens helped lead the successful push for legislation that closed loopholes in background checks laws. In Washington state and Wisconsin, citizens helped pass laws that keep firearms out of the hands of domestic abusers.

In Colorado alone, the new law stopped more than 160 prohibited buyers from getting their hands on a gun, and as Coloradans know too well, it only takes one to devastate a family, a community, a nation. And the law hasn't gotten in the way of law-abiding gun owners, who bought more firearms in 2013 than in any preceding year.

We also gave voice to hundreds of thousands of Americans who persuaded Facebook and Instagram to change their policies so that unlicensed gun sellers cannot use their sites to sell guns without background checks.

These significant victories were won by a growing, nonpartisan coalition that is refusing to wait for Washington to act. That coalition includes parents, mayors, police chiefs, religious leaders, gun owners and everyday Americans of all political persuasions. Mothers, in particular, have been at the forefront of this fight. They've given testimony at town halls, led "Stroller Jams" at state capitals, hosted quilting bees and delivered petitions to legislatures and companies across the country.

To unify the efforts of this diverse coalition of Americans, we are launching Everytown for Gun Safety in America, a new umbrella organization that will be the largest and best-organized counterweight to the gun lobby that has ever been created. Everytown for Gun Safety will expand on the work of two existing organizations -- Mayors Against Illegal Guns and Moms Demand Action for Gun Sense in America -- and take the fight for gun violence prevention policies to every community in the country.

Everytown for Gun Safety will continue pushing for better background check laws in Congress and state houses. But we will also broaden our focus to include other issues that are important to Americans, like safe storage education campaigns to help keep kids from being killed by unlocked or dangerously stored guns. And new laws to keep guns out of the hands of domestic abusers. And efforts to help reduce the nearly 19,400 suicides that happen every year with guns.

In each area, we will make progress by doing something that no gun group, other than the National Rifle Association, has ever done: inform and mobilize voters. The reason the NRA has political influence -- in addition to its campaign contributions -- is that it has scared elected officials into believing that voters will oppose them unless they follow the NRA's Washington leadership, which has grown increasingly extreme and increasingly out of touch with its own members.

Bloomberg to spend $50 million to challenge NRA on guns

In fact, the NRA's reputation for political strength is wildly blown out of proportion and the election results from three statewide contests in Virginia this past November reflect that reality. Candidates who spoke out in support of common sense gun violence prevention policies were elected as governor, lieutenant governor, and attorney general. In the attorney general's race, his campaign manager said that the candidate's support for sensible stances on gun issues was a major factor in his victory.

Nonetheless, the perception of an unbeatable gun lobby still lingers and part of our mission will be showing candidates and elected officials that the vast majority of Americans and gun owners support common sense gun policies that respect the Second Amendment and save lives.

To mobilize voters who are committed to backing candidates that support common sense gun policies, Everytown for Gun Safety is launching a Gun Sense Voter campaign. Before the 2014 midterms, we aim to get at least 1 million Americans to pledge to vote for state and federal candidates based on where they stand on gun safety. We'll keep voters informed by tracking candidates' positions and determining which of them support gun safety and which do not.

Leaders from all walks of life will join us on our board of directors, including one of our nation's most respected military leaders, Adm. Mike Mullen, former chairman of the Joint Chiefs of Staff; University of Oklahoma president and former Sen. David Boren; and former Secretary of Homeland Security Tom Ridge. All of us are united by the belief that accepting the status quo -- 12,000 Americans are murdered with guns every year -- is unconscionable.

There is no doubt that we have a big hill to climb. Well-funded, entrenched special interests are always difficult to defeat. And for years, the gun lobby has largely had the field to itself. No longer.

Everytown for Gun Safety and its growing grassroots network will be gunning for change that both protects our country and respects our Constitution.

@highlight

Writers: 90% of Americans, 80% of gun owners want background checks for guns

@highlight

Writers: Sensible gun laws fail because of politicians' irrational fear of the NRA

@highlight

Writers: Everytown for Gun Safety group will show you can support gun control, win elections

@highlight

Michael Bloomberg, Shannon Watts: The gun lobby no longer has the field to itself