(CNN) -- Last year on the 50th anniversary of the creation of the contraceptive pill its inventor Carl Djerassi spoke of the coming dramatic changes to reproductive options -- of the technologies that will have just as big an impact on society in the 50 years to come.

After sex without reproduction, reproduction without sex.

In an article in the UK's "traditional values" tabloid, the Daily Mail, titled "A Terrifying Future for Female Fertility," Djerassi said, "There are an enormous number of well-educated, proficient women who, when facing the biological clock, first pay attention to their professional ambitions...in the next 20 years, more young people will freeze their eggs and [sperm] in their 20s, and bank them for later use. They will do away with the need for contraception by being sterilised, and withdraw their eggs and sperm from the bank when they are ready to have a child via IVF."

That is certainly one option as we develop greater capabilities to store eggs more reliably and safely so that they are not damaged by the freezing/thawing process meant to preserve them. But in the next 20 years, there could be other developments on their way to the clinic. For example -- also to avert damage -- freezing strips of ovarian tissue instead of eggs, or tapping into recently identified reserves of ovarian stem cells that could be turned into a fresh supply of eggs for a woman, at any age; or even creating to order eggs (or sperm) from skin or bone marrow stem cells of men and women.

Early experiments with mice have shown that both sperm and eggs can be generated from the stem cells of males, and eggs from that of females, and that they can be fertilized to produce viable young.

Djerassi described the idea of being able to access healthy eggs later in life as something set to be a fundamental tool of family planning, and one that will empower women just as the pill has. He talked of female colleagues on tough career trajectories just at the time in their life when they are most fertile, and then on into the years leading into sterility.

It's no coincidence in the decade of our life when we are most biologically capable of reproducing, men and women are also working full steam on their studies or on building their careers. In our 30s, fertility declines - after 35, exponentially so -- and specifically for women. Around age 50, while the rest of our faculties continue functioning beautifully, the ability to reproduce comes to an abrupt stop.

There have recently been a spate of reports and discussions about equality -- the dearth of women in science, on the boards of top companies and of the pay gap that has yet to be bridged, but it is not clear that those taking part in this discussion fully appreciate that in pursuing in parallel the fulfilling goals of education, work and having a family, we are limited by both social and biological barriers.

In achieving the hoped-for 40% of leadership positions being held by women, executive bodies like the European Commission and governments could, for example, legislate interventions like free or cheap childcare in all workplaces.

However, only technology can tackle the biological brick wall of menopause, with all its detrimental effects on a woman's health, and especially at a time when she is likely to live another 50 years in this condition.

In the quest for reproduction, only technology can give same-sex couples the chance of having their own genetic children. If eggs can be made from the stem cells of men, with the advent of an artificial womb (already in use for sharks, in development with mammals and projected to be in use for humans within 100 years), it will also give them an organ they currently have to pay surrogate mothers for the use of.

So if it is to be the egalitarian society that we hope to see for ourselves and our children -- particularly our daughters, and those whose relationships and family choices still find themselves the topic of social and religious debate -- then technology that gives an individual the capability to generate healthy eggs and sperm from his/her own body and allows a baby to be gestated independently could offer us a more ethical option than what we do today.

In our world, girls study just as hard as boys but face far more difficult choices once in the workplace. To make money, poor women from countries like India or the Ukraine "donate" eggs or their wombs, or churches refuse to marry gay couples because they cannot be fruitful and multiply.

Freedom, power, choice? It's the alternative that sounds terrifying to me.

The opinions expressed in this commentary are solely those of Aarathi Prasad.

@highlight

Aarathi Prasad: Scientists are making progress in techniques for reproducing life without sex

@highlight

Experiments show that sperm and eggs can be generated from male stem cells, she says

@highlight

People will have more choices about when and how to have children, Prasad says

@highlight

Prasad: Science could help free people from tough choices between work and family