(CNN) -- Can crowdfunding help an iconic team return to the Formula One grid after a 20-year hiatus?

That's the aim for the family of the late three-time world champion Sir Jack Brabham, whose eponymous team still roars with resonance through motorsport history.

In 1966, the Australian conjured a unique feat in F1 history when, at the age of 40, he became the only man to win the driver and team world titles with a car of his own make.

All in all, the Brabham team engineered two constructor titles and four driver crowns -- with Brabham in 1967, Denny Hulme in 1968 and Nelson Piquet in 1981 and 1983 -- and was owned by F1 chief Bernie Ecclestone for much of the 1970s and 1980s.

Inspired by Sir Jack's ingenuity and get-up-and-go attitude, his family have now launched Project Brabham.

Its first aim is simple -- to bring the famous marque back to motorsport for the first time since 1992 with the help of its fans.

"Brabham sits alongside Ferrari, McLaren and Lotus because of what dad achieved," David Brabham, Sir Jack's youngest son, tells CNN.

"If you look at the history and heritage and what it means to people, a Brabham should really be out there -- racing is in our DNA."

Project Brabham is relying on this affection for the Brabham brand as it seeks to raise an initial $400,000 through crowdfunding.

Donations start at just $1.60 and climb to $16,000 for a VIP experience, which includes a one-on-one on-track driving lesson from former F1 racer David.

"Crowdfunding is definitely a new and exciting way of generating funds" he says.

"It gives us the seed money to get the project up and running but it also gives people an avenue to start being involved in the team."

Crowdfunding makes it easier for smaller companies and start-ups to raise capital by reaching potential new investors via online platforms.

A quick cash injection would be a lifeline for struggling F1 teams Caterham and Marussia.

It was reported at the weekend that both teams will not race in the upcoming U.S. and Brazilian Grand Prix because of a lack of funds.

Could crowdfunding be the answer to ensuring independent race teams -- which operate without the financial clout of major brands such as Mercedes, Ferrari and Red Bull -- stay on the grid?

"F1 teams spend a hell of a lot of money trying to succeed and we know there are a lot of teams in trouble financially just trying to survive," says Brabham.

"I think that's more to do with the model and how they go about their business in that environment. You have to make sure that the model you're selling is sustainable.

"Project Brabham is using a different model because if we went down the same road as everyone else we'd have the same problems.

"We've already got commercial partners coming to talk to us because they can see the benefits of this different model."

Radical ideas

Project Brabham also aims to give as well as receive.

The second radical ethos of the scheme is to lay bare the workings of a race team for the benefit of fans and future motorsport professionals alike.

"Do you start up a race team like everyone else or do you go racing in a different way and show what we're doing and how we're doing it?" asks Brabham.

"We're setting out to give the fans access as well as educating drivers and engineers because you learn so much in this environment.

"It opens up any sort of problems that people have, instead of hiding stuff. I've been involved in teams where a lot of politics has got in the way of success.

"Being open and transparent doesn't exist [in motorsport] but I think it will give us an advantage.

"We're already communicating with our followers, we are already asking them, 'what do you think about this, what do you think about that.'

"We want to hear what they've got to say and they already feel like they are part of the team development."

The first phase of Project Brabham is to raise enough capital to run a Brabham team in the World Endurance Championship for sports cars in 2015.

The crowdfunding target is set at an initial $400,000 but for Brabham to find a factory and buy its first car it has a more realistic goal of $4 million in mind.

A return to F1 -- where teams can spend $1 million a day -- for Brabham after a 22-year hiatus may seem like a pipedream, but not for the determined Brabham family.

"Our ultimate goal is to get the Brabham name back in Formula One," David explains.

"It's in our DNA and it's where Brabham really should be, but it's one step at a time.

"Our model wouldn't work in F1 in an open and transparent way now, but 10 years down the road it could be a completely different story and, if it is, we want to be back in F1."

A new generation

It is not only the Brabham team that could be back on the grid -- Sir Jack's 20-year-old grandsons Sam and Matthew are also out to put the famous Brabham name back in the driving seat.

Matthew is the 2013 champion in the North American Star Mazda open-wheeled championship and a reserve driver for 1978 F1 champion Mario Andretti's team in the Formula E championship, while Sam races in Formula Ford in the UK.

"We haven't raced each other," says Matthew of the pair's budding rivalry. "But whether it be putting pillow cases on pillows or playing basketball, I always try and beat him. I can't lose to him!"

Sam agrees, adding: "Yeah, competition runs in the family at absolutely anything!"

But do the third generation of Brabham racers -- who are following their fathers, uncle and grandfather onto the racetrack -- feel any pressure?

"It's more of an honor and something I take pride in," says Sam.

Matthew adds: "If anything maybe there's less pressure as our family understand how racing works and how much pressure drivers put on themselves.

"Maybe there is pressure from the family name and trying to live up to expectations but I just see my grandfather as my grandfather and my dad as my dad, so I don't see it that way."

With the ambitions of Project Brabham and a third generation of racing talent, is there a chance we could one day see a Brabham racing a Brabham in F1?

"The goal is to eventually have Brabham back in Formula One," says Sam with a smile.

"I think that would be massive, I think people would take to it -- and we've got two drivers here who wouldn't mind doing it as well!"

@highlight

Project Brabham aims to bring back the Brabham team to motorsport

@highlight

The project is relying on crowdfunding to raise the money needed

@highlight

Former F1 world champion Sir Jack Brabham founded the Brabham team