(CNN) -- The allegation is shocking: an 8-year-old girl lured to a storage shed with the promise of chewing gum, pinned down and sexually assaulted by four boys, none of them older than 14.

President Ellen Johnson-Sirleaf has made cracking down on sex crimes a top priority in Liberia.

The response from the girl's family sent a second and equally stunning shockwave through their Phoenix, Arizona, community: "The parents felt that they had been shamed or embarrassed by their child," reported Phoenix police Sgt. Andy Hill.

As a result, the girl was taken into custody by Arizona's child welfare agency.

The prosecutor who charged the four boys called the crime "heartrending" and "deeply disturbing." But to those familiar with Liberia, the west African nation where the families of all of the children are from, the crime and response are both part of a sadly familiar story.

"It's something that happens every day in every community in Liberia," said Tania Bernath, a researcher for the human rights group Amnesty International.

The country was racked by a brutal civil war for most of 14 years. During that time, rape was used by fighters on all sides as a tool of war and a way to spread terror and demoralize enemies.

A United Nations report in 2004, the year after much of the fighting stopped, estimated that 60 to 70 percent of all women in the nation had been the victims of sexual violence.

A 2006 government report said that of 1,600 women surveyed, 92 percent reported some kind of sexual violence, including rape.

"They would have cases where they would rape the wife in front of the husband -- things like that, really breaking down communities," said Bernath, who spent several years in Liberia working for a relief organization.

While no one yet knows whether the boys charged in the case were exposed directly to violence in their homeland, advocates say they fear that harmful attitudes toward rape in Liberia have followed some members of the tight-knit immigrant community to the United States.  Watch a report on the allegations and cultural conflicts »

"Things like gang rape were used so often during the war that I think, with kids, if they saw it and heard it or heard about it -- that's part of what you might wonder about [in the Phoenix case]," Bernath said. "It was sort of normalized."

In the Phoenix case, a 14-year-old boy who police say was the ringleader is being charged as an adult. The other boys accused are 13, 10 and 9 and were charged as juveniles.

Phone calls by CNN to the Maricopa County public defender's office, most recently on Wednesday, have not been returned.

It's not known what, if any, exposure the boys or their parents had to the fighting in their homeland, where it was once commonplace for children as young as 7 or 8 to be forced into duty -- the boys handed rifles while the girls were made to perform chores or serve as sex slaves.

A United Nations report estimates that about 70 percent of all fighters in the conflict were younger than 18, and former fighters have told U.N. and other researchers about the rapes they say they routinely committed.

After the Phoenix attack, a 23-year-old sister of the victim told a reporter that her sister was "bringing confusion" after the assault was discovered by a neighbor. She said that she wanted the suspects to be released from jail because "we are the same people" and that her sister would be ostracized by others in the Liberian community for being a rape victim. It's a reaction that Beverly Goll-Yekeson knows all too well.

A native of Liberia, Yekeson was a victim of sexual violence and now works as an advocate for other Liberian women. She says most families in Liberia condemn rape, but the crime is drastically underreported because of the stigma victims and relatives feel.

"There are a lot of social illnesses in the society; they are ashamed to come out," said Yekeson, president of the Liberia Crisis Center for Women and Children. "Rape is not something that people just come out and say."

Yekeson, who now lives and works in Maryland, said that refugees who have resettled in other countries, including the United States, often bring those attitudes with them. Her group, which runs a shelter for abuse victims in Monrovia, Liberia, also works with refugees.

"Reintegrating them into society, changing their mind-set -- that's where we have to go," she said. "That's a bigger challenge. It's one thing to implement a rape law and another thing to change the mind-set of a people."

In 2005, Liberian President Ellen Johnson-Sirleaf became Africa's first elected female head of state.

Shortly afterward, the country enacted a law making rape a crime for the first time. Before that, only gang rape had been explicitly outlawed, and advocates say anarchy in the country meant any law added to the books during the civil war wouldn't have been enforced anyway.

Johnson-Sirleaf has made cracking down on rape and changing attitudes about it a top priority. She condemned the alleged attack in Phoenix and said defending rape is not a part of the nation's culture.

"Those parents should know that things have changed in Liberia," she told CNN last week. "No longer do we tolerate this. This is not a question of shame on the family. It's a question of the assault of a young child, and that cannot be tolerated."  Watch Liberia's ambassador, president react to the alleged rape »

The girl was taken into custody by Arizona's child welfare agency after the police accounts saying her parents were ashamed of her.

Her father has since said he wants his daughter back and denied telling police that she brought shame to the family. A pastor working with the family has said he wants to investigate to find out if there was miscommunication between the family and police in the hours following the alleged assault.

Johnson-Sirleaf said she hopes the alleged attackers will receive counseling in addition to any criminal sentence they may face if they are found guilty.

Liberian refugees, and those still living in her country, need to be clear that the days of sex crimes being excused or swept under the rug are over, she said.

"[Rape is] something that is no longer acceptable in our society," she said. "It is a problem, but it is [also] a crime, and people bear the brunt of the penalty for such crime."

Under Johnson-Sirleaf's leadership in Liberia, bail is not available to those charged with rape, and a special court system has been set up to deal specifically with sex crimes. But even that system has problems that need reform, advocates say.

Yekeson said an 8-year-old girl from her crisis center in Liberia was persuaded to press charges. But in the courtroom, she was made to testify while her accused attacker sat only feet away.

"You had the rapist right there, staring in her face," she said. "That child was so traumatized, she ran away from the shelter and we had to look for her for days."

But Yekeson and others remain hopeful that as the years since the fighting stopped tick away, attitudes about sex crimes in Liberia will continue to change.

"Because of the war, the social structure in Liberia, like any other war country, was destroyed," she said. "Once the proper institutions have been put back into place, you will have more parents coming out and saying they are not ashamed."

@highlight

8-year-old girl sexually assaulted by fellow Liberia natives, police say

@highlight

During Liberia's civil war, rape was used as a weapon by soldiers

@highlight

U.N. report: 60 to 70 percent of Liberian women were assault victims

@highlight

Johnson-Sirleaf, first elected female leader in Africa, makes stopping rape a priority