Moscow, Russia (CNN) -- The mortality rate in Moscow, Russia, has "doubled recently" because of an extended streak of heat and smog, Andrei Seltsovsky, the head of the city health department, told Russian news agencies Monday.

Seltsovsky said that the average daily mortality rate in Moscow is 360 to 380 cases, but "today the rate is around 700."

Out of 1,500 slots in city morgues, 1,300 were occupied, he added.

The death toll directly attributed to the country's recent spate of wildfires remained at 52, the Russian Health and Social Development Ministry said on its website Monday. Another 62 people across Russia were in hospitals with wildfire-related ailments, and in all, 741 people had sought wildfire-related medical assistance, it said.

CNN iReport: See and share images of Russia wildfires

The ministry said 22 out of the country's 83 regions, mostly in central Russia, are affected by wildfires. And no relief is in sight, with temperatures forecast to remain high in central and northwestern Russia through August 20.

The Russian meteorological service Roshydromet said on its website Monday that the level of air pollution will remain high in and around Moscow in the coming days.

"The air will remain filled with products burning in forest and peat fires, and with toxic emission coming from motor vehicles and industrial enterprises," Roshydromet said.

It asked Moscow's industrial businesses to start cutting emissions by 20 to 40 percent from 3 p.m. Monday until 3 p.m. Wednesday to help reduce air pollution.

Alexander Frolov, who heads Roshydromet, appeared live on Russian state TV on Monday. He said high levels of pollutants in the Moscow air pose a serious danger to Muscovites' health.

"The highest levels were registered on August 7 and 8, with the concentration of particulate dust exceeding the permitted level by 3.4 times. It is very harmful for the human body as it accumulates in it and is virtually not excreted," he said.

Frolov said carbon monoxide and ozone levels were significantly higher than the permitted norm.

"It can be said that we lived through probably the worst time with very high levels of harmful substances caused, firstly, by exhaust from motor vehicles and industries and, secondly, by forest fires," he said.

The Moscow region and the majority of the European part of Russia remain in a zone of high fire risk, Frolov said. According to the Russian index of fire risk meteorological indicators, developed by Roshydromet, most of the European part of Russia is in the fifth, or emergency, risk class for wildfire potential. Forests in the southwest, south and southeast of the Moscow region are particularly fire-prone, primarily because of peat bogs, he said.

"As many as 276 wildfires have been extinguished," Russia's emergency ministry told the state media RIA Novosti on Sunday. "Currently, 554 wildfires are raging on an area of over 190,000 hectares," or more than 730 square miles.

The dire conditions also are wreaking havoc on agriculture in Russia, Frolov said.

"Unfortunately, the forecast is for virtually no precipitation in August," he said. "Precipitation is crucial as we now need to think when to plant winter crops. The situation in many regions is such that so far there is no reason to start planting winter crops, despite the optimal planting time beginning in some regions."

Roshydromet forecasts a 30 percent drop in Russia's harvests due to the drought, he said.

Russian Prime Minister Vladimir Putin announced a ban on grain exports last week that will start on August 15 and could last until December 31. At Monday's government meeting broadcast on state TV, Putin said the order was prompted by uncertainty over this year's farm production.

A decision on the timeframe for the grain export ban will happen only after the results of the harvest are known, Putin said.

Some regions won't be sowing winter grain at all this year, so a swift end to the export ban shouldn't be expected, he said.

"Of course, this is a temporary measure, but we are in an extraordinary situation and we have to worry about our own citizens and our own farmers," Putin said. "The question is what the country will be left with in 2011. We don't know what the harvest will be and how much carry-over grain there'll be in 2011."

The prime minister said Russia would need 78 million metric tons of grain to support its people this year, but because of the drought, the country might produce only 60 million to 65 million metric tons, forcing it to dip into its "state intervention fund."

"One can say that neither we nor our ancestors observed or registered anything like it, in terms of heat, within a 1,000-year period since the foundation of our country," Frolov said Monday. "This phenomenon is absolutely unique. There is no record of such cases."

CNN's Maxim Tkachenko contributed to this report

@highlight

The mortality rate has doubled in the Russian capital, says Moscow's health chief

@highlight

Hundreds of people have become sick and more than 50 have died due to wildfires

@highlight

The Russian government is asking businesses to cut back on emissions

@highlight

The hot weather isn't expected to let up until after August 20