NEW DELHI, India (CNN) -- The economic might of India may bring to mind technological savvy and overseas call centers. But to understand the Indian economy, a visit to a roadside dentist like Raj Kishore is more illuminating.

The Indian economy is fueled by independent workers such as Radha Kumar.

"I can extract, I can fill up, I can scale, I can make dentures, I can make bridge metal or non-metal." Kishore said as he fitted dentures for a customer.

One thing he can't do is show a license to practice -- like many roadside dentists sitting on sidewalks awaiting customers.

While information technology and outsourcing has earned India the nickname as "the world's back office," the sector employs a fraction of India's population -- only 2 million of India's more than 500 million workers, according to NASSCOM, an IT and business process outsourcing trade organization.

So where do the majority of people work in India? The International Labor Organization and economists say as many as 95 percent of the workforce makes a living in what is known as the informal or unorganized sector.

"Roughly today about 50 percent of the production is from the unorganized sector," says New Delhi-based economics professor Arun Kumar, referring to jobs and services that exist without a storefront, union to represent the workers, or corporate structure.

Although things are changing and the economy has boomed in recent years, Indians are still emerging from poverty. Finding employment can be tough so people have literally created jobs out of sheer necessity, such as roadside dentist Kishore.

Kishore says he learned his trade from a dentist and a dental course but he does not have a degree in dentistry. He and those around him provide a service to customers who couldn't dream of affording a licensed dentist in an office.

That is just one of thousands of jobs that make up India's informal economy.

Radha Kumari is a Mehandi artist. She uses henna to make intricate traditional designs on women's hands and feet. It's an old art that is steeped in tradition and is typically worn by brides the day before the wedding ceremony but is also popular during other Indian holidays and with tourists. She learned the trade from her sister at age 10 and started working as a teenager.

"I started doing this work because I was needy. I have no parents; my sister has done everything for me so it was very important for me to work," said Kumari, a mother of two, while she swirled henna on the hand of a customer.

She makes 25 to 50 rupees (50 cents to $1) per hand, she said. She and other henna artists are often "troubled" by city authorities or police who come to kick them off of the sidewalks or ask for bribes -- technically Kumari and others are breaking the law by setting up shop on government property.

City government authorities showed up while CNN was interviewing Kumari, causing the henna artists around her to pack up and run away.

It's a tough life. "If there can be anything better, I would definitely love to do it," she said. "Here there is no certainty. Today I'm allowed to sit here, tomorrow I may not be." But Kumari says it's better than nothing at all.

Experts say the informal economy helped keep India out of recession, since it is not tied to the global markets. While the ingenuity and entrepreneurial spirit has help the Indian economy growing, the largely unregulated workforce promises to have negative impacts on the Indian economy as well, as transactions are often in cash and difficult to trace and tax.

But the working conditions and low pay leave millions living in poverty.

"Their conditions are very poor because they have no protective gear of any kind, they have no real social security of any kind," said Arun Kumar, an economics professor at Jawaharlal Nehru University. "They face a lot of hardship of all kinds in terms of their existence, where they stay, what do they do, their health conditions, et cetera."

@highlight

About 95 percent of the Indian workers work in the unorganized sector

@highlight

They work without a storefront, union representation or corporate structure

@highlight

Often roadside services such as unlicensed denistry are practiced