Ferguson, Missouri (CNN)Loistine Hoskin cared for her old car as a sentimental possession, missing a tire while parked beside her home, until one day the city ticketed her for having a "derelict vehicle in driveway."

A tow truck took it away in 2009.

So began an odyssey with Ferguson police, municipal court and city hall that left her with $1,200 in fines that to this day she still doesn't fully understand. She paid the sum because endless court hearings about the car wore her down.

"I don't have a lawyer. I'm not a lawyer. It's me going up against the city of Ferguson when the attorneys won't help," Hoskin said this week.

She never saw again her 1996 Oldsmobile Ninety-Eight with 168,000 miles. Its location is a mystery. She accepts the loss because at least she's not  in jail, where city authorities threatened to put her at one point, she said.

While Hoskin's surrender of both car and $1,200 to the city may seem a matter of personal choice, the U.S. Justice Department revealed this week a "pattern and practice" of racial discrimination within Ferguson that may lend credibility to Hoskin's account of a government run amok.

Just about every branch of Ferguson government -- police, municipal court, city hall -- participated in "unlawful" targeting of African-American residents such as Hoskin for tickets and fines, the Justice Department concluded this week.

The millions of dollars in fines and fees paid by black residents served an ultimate goal of satisfying "revenue rather than public safety needs," the Justice Department found.

To the outside world, the federal findings were staggering, but to Hoskin and other longtime residents, the conclusion was nothing new. They've felt it all along, they say.

It's only now that federal authorities have documented the institutionalized racism, as part of a civil rights investigation after a white police officer's fatal shooting of an unarmed black teen, Michael Brown, 19, last summer. The officer, Darren Wilson, was cleared of federal civil rights violations this week and was earlier cleared of criminal wrongdoing.

The Justice Department is expected to pursue a court-supervised consent decree that requires the city of Ferguson to make changes to its police and courts.

"It's definitely a vicious cycle," said Hoskin, 64, a retired airline reservation agent. "Unfortunately for most people who are in this cycle, they continue to be in a downward spiral because they can't get jobs, they can't do anything, they can't pay the fines."

Hoskin's household has experienced its share of ugly encounters with Ferguson police, the family said.

Hoskin's daughter was ticketed by police in what she described as racial profiling, she said.

In 2007, Kimberly Hoskin got a $124 ticket for driving her sister's car, which wasn't insured in Missouri, and then had to pay an additional $100 fine when she missed a court appearance because of an emergency appendectomy.

The court, she said, rejected her medical excuse and issued a warrant for her arrest.

She paid a total of $224 in fines because she was in the middle of a job search and didn't want an outstanding warrant to prevent her from getting a good job.

"Why is it that all the people in court are black?" Kimberly Hoskin said of defendants in municipal court. "I've had so many police officers make a U-turn, follow me, run my plates, find out everything is OK, then turn around and go back in the direction they were going.

"There's nothing we can do. In Ferguson, the police do what they want to do. Ferguson does what it wants," said Kimberly Hoskin, 35, who now works the overnight shift on a General Motors manufacturing line.

City officials and police declined to respond to CNN's requests this week for comment about the Hoskin family's assertions.

Last September, the City Council repealed administrative fees imposed by police when overseeing the release of a towed vehicle, the mayor said.

The city also no longer has a specific offense for failing to appear in court, which eliminates certain additional fees and court costs, the mayor said.

The Justice Department's report details how Ferguson operated a vertically integrated system -- from street cop to court clerk to judge to city administration to city council -- to raise revenue for the city budget through increased ticketing and fining.

Ferguson's budget increases were so sizable that city officials exhorted police and court staff to levy more and more fines and tickets against violators, who turned out to be largely African-American, the Justice Department said.

The demands for revenue were so intense that the police department had "little concern with how officers do this," even disciplining officers who failed to issue an average of 28 tickets a month, the Justice Department report said.

Officers competed "to see who could issue the largest number of citations during a single stop," the Justice Department said.

One apparent winner was an officer who issued 14 tickets at a single encounter, according to the federal investigation report.

Many police stops of civilians "have little relation to public safety and a questionable basis in law," the report said.

Ferguson police chief mum on federal report

Indeed, Ferguson enjoyed so much success in issuing tickets and fines that Ferguson, population 21,000, was ranked in the top eight of the 80 municipal courts in St. Louis County by having more than $1 million in revenue in 2010, the report said.

When Ferguson court revenues exceeded $2 million in 2012, the city manager responded to the police chief in an internal email: "Awesome! Thanks!" according to the federal report.

Even municipal judges were pressured to boost revenue.

"The city has made clear to the police chief and the municipal judge that revenue generation must also be a priority in court operations," the federal investigation found.

The city finance director said in a 2011 report that the municipal judge had been successful since 2003 in increasing court collections, and that internal 2011 city report noted a judge's statement that "none of these changes could have taken place without the cooperation of the court clerk, the chief of police, and the prosecutor's office," the Justice Department investigation found.

Cash filled the city treasury.

By 2013, revenue from enforcing municipal codes reached $2.46 million, the federal report said.

By 2015, the city anticipated that fines and fees would account for 23% of the budget, or $3.09 million of $13.26 million in general fund expenses, the Justice Department found.

Just five years earlier, court fines and fees made up only 12% of the budget, or $1.38 million of $11.07 million in general fund revenues, the Justice Department found.

The fines were among the highest of surrounding municipalities. For example, area parking fines ranged from $5 to $100, but Ferguson's parking fine was $102.

A fine for "weeds/tall grass" was $5 in one nearby city, but Ferguson's fine ranged from $77 to $102, the Justice Department found.

The federal government made a forceful conclusion:

"City, police and court officials for years have worked in concert to maximize revenue at every stage of the enforcement process, beginning with how fines and fine enforcement processes are established," the federal report said.

After the Justice Department's announcement this week, Ferguson Mayor James Knowles told reporters that he, Police Chief Tom Jackson and City Attorney Stephanie Karr met with federal officials about their findings and initiated several initiatives, including reforms to the municipal court.

Knowles said municipal judges have created a docket for alleged offenders having trouble paying fines.

Also, a defendant may ask a judge or prosecutor about different payment plans or alternative sentencing, the mayor said. Defendants have been required to pay an entire fine at once, regardless of ability to pay, the federal report said.

The city also passed an ordinance last September to cap municipal court revenues at 15% of the city's overall budget, the mayor said. That figure is half Missouri's legal limit, he added.

All the reforms are intended to "move this city, its residents and our entire community forward," the mayor said.

Back at her home, Loistine Hoskin recalled the height of absurdity in her fight against the city, which occurred shortly after her husband, Calvin, died in 2008 of complications from paralysis he suffered in a car accident three years earlier. She had been his caregiver.

She appeared in court to appeal the citation, but an officer arrested her and put her in the back of the squad car.

Her offense?

Failing to appear in court, she said.

She spent four hours in jail. She insists she made every court date.

For now, she lives in fear of the police, even at home.

"We just got to a point where we said we're just not going to have anyone over -- because they were fearful when they left they would get some ticket, and they didn't even live here," Hoskin said.

CNN's Ed Lavandera and Tristan Smith contributed from Ferguson. Michael Martinez reported and wrote this story from Los Angeles.

@highlight

Loistine Hoskin gave up fighting the city, paying $1,200 in fines over a broken-down car

@highlight

Her daughter recounts how she was racially profiled for a $124 ticket

@highlight

Ferguson mayor announces reforms so his troubled town can move forward