Kathmandu, Nepal (CNN)Rescue crews and residents in Nepal early Sunday began the desperate search for survivors after a magnitude-7.8 quake near the capital of Kathmandu a day earlier flattened homes, buildings and temples, causing widespread damage across the region and killing more than 1,800 people.

Follow the latest coverage of Nepal earthquake

Whole streets and squares in the capital of more than 1 million people were covered in rubble. Stunned residents stared at temples that were once part of their daily lives and now were reduced to nothing.

Locals and tourists ferreted through mounds of debris in search of survivors. Cheers rose from the piles when people were found alive -- but mostly bodies turned up. The injured ended up being treated outside overflowing hospitals, where crowds of people gathered looking for relatives.

Dozens of bodies were pulled from the historic nine-story Dharahara tower that came crashing down during the quake. At least 17 people were reported killed on Mount Everest, where the quake caused multiple avalanches.

A seemingly endless series of aftershocks continued to roil the area, further traumatizing survivors. Residents huddled in the cold rain overnight for safety.

The death toll of 1,832 is expected to rise as the full extent of the damage is assessed.

The loss of life reported so far "is really based on the information we have from the main cities," Lex Kassenberg, Nepal country director for CARE International, told CNN.  "But if you look at the spread of the earthquake a lot of the rural areas have been hit as well. The information we received from the field is that 80% of the houses in these rural areas have been destroyed."

The quake was the strongest in the region in more than 80 years. Residents are used to earthquakes in Nepal, and many thought the start of Saturday's quake was a tremor, until the earth kept shaking and buildings crashed down.

"The reports of the devastation are still coming in and the numbers of people killed, injured and affected by this earthquake continue to rise," said U.N. Secretary-General Ban Ki-moon in a statement. "It is clear that very many lives have been lost."

An estimated 4.6 million people in the region were exposed to tremors from the Nepal earthquake, the United Nations Office for the Coordination of Humanitarian Affairs said via Twitter. Thirty out of 75 Nepal districts were affected by the quake.

In neighboring Tibet, roads buckled, buildings collapsed and at least 13 people were killed, China's state media reported, citing local authorities.

Separately, at least four Chinese citizens in Nepal -- two workers with a Chinese company, a tourist and a mountaineer -- have been killed, state media reported, citing the Chinese Embassy in Kathmandu.

Officials in India confirmed at least 34 deaths in three states from the Nepal quake.

The quake struck at 11:56 a.m. local time (2:11 a.m. ET)  and was centered less than 50 miles northwest of Kathmandu. It occurred at a depth of 9.3 miles, which is considered shallow and more damaging than a deeper quake. It was reported by people in the area as having lasted a long time. One person said he felt as if he were on a ship in rough seas.

Kathmandu sits in a valley surrounded by the Himalayas.

Siobhan Heanue, a reporter with ABC News Australia, told CNN she was wandering at an ancient temple complex at the moment of the earthquake. Several temples collapsed around her, she said.

"It's not too often you find yourself in a situation where you have to run for your life," Heanue said, adding that she sought shelter under the table of a cafe. "It was utterly terrifying."

Heanue watched as residents picked through the rubble of a destroyed temple. They found 12 bodies.

"Unfortunately, that search was not fruitful," Heanue said. "There were 12 bodies at least pulled from the rubble in the square. This was just one of several historical temple complexes severely affected by the earthquake."

The Dharahara tower, the landmark nine-story structure, was packed with people when it collapsed.  Heanue said at least 50 bodies were pulled from the ruins of Dharahara.

The tower, built in 1832, provided visitors with a panoramic view of the Kathmandu Valley.

Are you in Nepal or have loved ones affected? Please share with us if you are in a safe place.

Kanak Masni, a journalist in Kathmandu, told CNN by telephone that this appeared to be "the most massive earthquake to hit central Nepal since 1934." In that quake, which was 8.1 magnitude and centered near Mount Everest, more than 10,000 people were killed.

Thomas Nybo, a freelance photographer, was sitting in a coffee shop in Kathmandu's Thamel district. It appeared to be a minor tremor at first but gradually gained intensity, he told CNN. Thousands poured onto the streets of the densely populated tourist hub.

"This region is no stranger to earthquakes," he said. "A lot of people had the same feeling: This is a tremor, it passed. When that wasn't the case, they were in uncharted territory... It's basically an unwritten book."

Outside the coffee shop, Nybo said he saw a group of women gather near what had been a six-story building. One woman said children were trapped beneath rubble.

"We ran over and ran around the rubble and couldn't hear anything," he said. "There was no chance that they survived."

Nearby, another building had come down on an area where locals went to do laundry and collect water, Nybo said. A voice was heard coming from the rubble.

"A group of mainly tourists started gathering rocks, hammers and pickaxes and breaking through a re-enforced concrete wall to reach this guy... It took about two hours of smashing through wall and cutting rebar with a hacksaw to pull him out alive."

Two bodies were found near the spot where the man was rescued, Nybo said. Not far away, lay the bodies of three or four women.

"Who knows how many other bodies lie beneath the rubble?" he said.

The streets of Kathmandu were packed with thousands of locals and tourists who didn't want to go back to their homes or hotels because of recurring aftershocks.

Rob Stiles and his wife had just checked into a hotel in Kathmandu when the earthquake struck.

"It felt like it went on forever," the California resident said.

Witnesses: "People are panicked, running down to street"

Outside, people ran onto the street, with the temblor knocking some off their feet. A huge section of a brick wall crushed motorcycles and a car.

Later, as they walked around the city, an aftershock hit.

"People were screaming and looking around," he said. "There were people clearly shaken, upset, crying."

Denis McClean, spokesman for the U.N. Office for Disaster Risk Reduction, told CNN that weak building codes in Nepal contributed to the amount of structural damage.

"Building codes in Kathmandu itself have not been well upheld in recent years," he said. "Efforts have been made over the last few years to strengthen these building codes but, unfortunately, this comes too late for the many thousands of buildings that have gone up across the Kathmandu Valley over the last 20 years that did not adhere to the building codes."

Chitra Thapa, 48, a CNN security guard in Atlanta, said he spoke by telephone with relatives in Kathmandu and Pokhara, a city about 125 miles (200 kilometers) west of the capital. They were fine and were staying on streets.

"Everybody's in shock," he said. "They never felt an earthquake that big."

Aid agencies expressed concern for the welfare of survivors in the coming days, as overnight temperatures were expected to drop and people were forced to make do without electricity, running water and shelter.

The international community must react quickly to save lives -- particularly those of children -- said Devendra Tak, of the aid agency Save the Children.

"With every minute the situation becomes worse," he said.

Food, clothing and medicine will be urgently required, Tak said.

The U.S. government is providing $1 million in immediate assistance to Nepal, the U.S. Embassy in Nepal said. American disaster response teams are also on their way to Nepal, the Embassy said via Twitter.

"To the people in Nepal and the region affected by this tragedy we send our heartfelt sympathies," Secretary of State John Kerry said in a statement. "The United States stands with you during this difficult time.

How to help the earthquake victims

At a hospital in the Nepalese capital, people with broken bones and head injuries were lying outside, with doctors administering CPR to at least one of them. Residents with scrapes and lacerations were  turned away for those in need of more urgent care.

Fast Facts on earthquakes

The U.S. Geological Survey had at first measured the strength at magnitude 7.5 but later upgraded it. A strong aftershock of magnitude 6.6 was recorded a little more than a half-hour afterward, along with nearly three dozen other aftershocks, the USGS reported.

The force of the quake was said by people who contacted the USGS to be from "severe" to "violent," nearly the highest rating on the intensity scale. Tremors were felt as far as New Delhi, more than 200 miles away in neighboring India. An official said they were felt there at magnitude 5.0.

The shaking was rated as "strong" to "severe" on the USGS ShakeMap. CNN sister network CNN-IBN reported that roads in the area were out.

IBN reporter K. Dhiksit looked out his window in Kathmandu and saw the collapsed walls of many buildings. As he watched, an aftershock rattled the street. He heard "big booming sounds," he said, and saw people fleeing into the streets.

How are earthquakes measured?

Photos of caved-in and toppled buildings appeared on social media.

India's Prime Minister Narendra Modi said in a tweet, "We are in the process of finding more information and are working to reach out to those affected, both at home & in Nepal."

Manesh Shrestha reported from Kathmandu. Ray Sanchez wrote and reported from New York. Don Melvin wrote and reported from London. Ben Brumfield wrote and reported from Atlanta. CNN's Ralph Ellis, Harmeet Singh, Sumnima Udas and Brian Walker also contributed to this report.

@highlight

NGO official says people will urgently need food, water, medicine and shelter.

@highlight

More than 1,800 people across Nepal confirmed dead, official says

@highlight

People treated outside hospitals; avalanches reported on Everest