(CNN) -- Dropping to his knees before the 10 cardinals of the Inquisition, dressed in the white shirt of penitence, Galileo Galilei was forced to retract his "heretic" theory that the Earth moved around the Sun. Threatened with torture and interrogated for 18 days, the scientist, who was imprisoned in the 17th century, promised to never again teach the theory and spent the rest of his life under house arrest in his small farmhouse outside of Florence.

Galileo's fate was very different from that of other scientists at the time of the Inquisition. Some were executed for threatening the church's teachings. Italian astronomer Giordano Bruno, an Italian philosopher who argued that the universe was infinite, was burned at the stake.

Now in 2013, as Pope Francis settles into his new role as leader of the Catholic Church, the Vatican's head of science is urging a re-think of the "mischaracterization" of the relationship between the church and science.

The Vatican would like the world to see how much this relationship has changed.

With the new pope being himself a trained scientist -- Francis graduated as a chemical technician before moving on to study philosophy, psychology and theology -- the timing could be right for a new era of cooperation between the Vatican and science, building on the work of the STOQ Project -- Science, Theology and the Ontological Quest -- which was created by Pope John Paul II in 2003.

Since his election as pontiff, Vatican-watchers have been searching for signals about the direction in which Francis will take the church. Even in his inaugural speech, he referenced the importance of environmental stewardship and an appreciation of the natural world:

"Let us be "protectors" of creation, protectors of God's plan inscribed in nature, protectors of one another and of the environment."

According to Oxford University theologian Dr. William Carroll, Pope Francis' remarks suggest he may be planning to use his papacy to refocus the world's attention on tackling global warming and other environmental issues.

Pope to Vatican: 'Act decisively' on sex abuse cases

Embracing science

Monsignor Tomasz Trafny, the Director of the Vatican's Science and Faith Foundation, which was created last year, thinks that the new pope will continue the progress already made in building ties with the scientific community. He says the Vatican today has a very positive relationship with science.

"There was a time when theologians thought they understood everything, but we learned the lesson from history", he told CNN.

Acknowledging that the Galileo era was a dark period for the church, Trafny says that the modern-day Vatican is much more careful not to tread on the toes of science.

"If you look at what is going on today you will see that theologians are very careful about what they are thinking or speaking about related to scientific issues."

Trafny will co-host a conference focusing on adult stem cell therapies with the pharmaceutical company NeoStem at the Vatican on April 11, a project which the Vatican has partly funded.

This unusual marriage of church and biotech is a targeted public affairs initiative. The Vatican aims to use the partnership to show people there is an alternative to embryonic stem cell research - which it vehemently opposes - that doesn't involve the destruction of human embryos.

"We want to tell people that they can easily feel like good Catholics without any embarrassing situations or difficulties embracing science."

Taboos remain

But even some within the Vatican's own scientific community have concerns about the the church's firm stance on other matters. As well as embryonic stem cell research, the church, for instance, still rejects contraception, which is seen to interfere with God's will.

Dr. Werner Arber, the head of the Pontifical Academy of Sciences and a Nobel Prize-winning genetic scientist, says in some areas the Vatican's approach remains problematic. He works as an adviser to the Vatican on matters of scientific development and regularly provides recommendations on areas of overlap between science and faith.

Speaking to CNN, Arber said that rather than dealing head on with conflicts between science and the Bible, scientists like him often had to avoid them:

"I don't propose certain topics which I consider taboo. Unless we are asked, we had better not mention them."

In particular, Arber is uncomfortable with the Vatican's insistence that condoms aren't the right way to prevent the spread of HIV/AIDS, which he says is "unrealistic." The church maintains that condoms promote promiscuity. Both the World Health Organization and the United Nations regard condoms as highly effective at preventing the spread of HIV/AIDS, which kills over a million people globally every year.

Arber euphemistically says he's hopeful that the new Pope Francis will help the church "move things forward" when it comes to tackling HIV/AIDS.

Sticking points

Jeremy Webb, editor-in-chief of New Scientist magazine, also hopes the Catholic Church under Pope Francis will make an exception to its stance on condom use to fight the global HIV/AIDS epidemic.

He says the speed at which new developments are emerging in the biological sciences is increasingly bringing about conflicts with the Vatican. In particular Webb sees this in relation to reproductive technologies -- such as in vitro fertilization (IVF), and egg and sperm donation -- all of which the church says are improper methods of procreation.

"The church is taking its viewpoint from 2,000-year-old teachings and trying to apply them to a modern world, which is delivering all sorts of moral dilemmas," he said to CNN.

Webb doubts there will be any significant change in the Vatican's fundamental attitude to contraception under Francis and believes this will remain a sticking point between the biological sciences and the church.

"Catholics believe that anything that threatens the sanctity of life - including contraception - is wrong. That is a barrier and it will always be a barrier."

There have been no signals yet as to whether Pope Francis will bring about a softening of the Vatican's stance on issues such as condom-use as means to prevent suffering and early death.

Werner Arber is optimistic that the Vatican will eventually catch up with the scientific evidence: "I have hope but - as with Galileo -- it will take a long time."

READ MORE: Pope Francis washes youths' feet at detention center

READ MORE: 5 things to know about the new pope

@highlight

The Vatican is urging a rethink of the "mischaracterization" of its relationship with science

@highlight

Monsignor Tomasz Trafny says Catholics should feel they can embrace science

@highlight

The Vatican is hosting a conference on stem cell research, beginning April 11

@highlight

But a genetic scientist says some elements of Church teachings remain "unrealistic"