(CNN) -- As he watched wounded troops being brought inside the hospital on stretchers, Michael Conklin couldn't believe what he was seeing.

"You see this stuff in movies, but I was watching it happen," said Conklin, recalling a 2003 visit to the Walter Reed Army Medical Center in Washington. "There were so many casualties coming in -- busloads of them."

Conklin made the visit to learn more about the needs of wounded servicemen and women. The needs were overwhelming.

"When these guys come back from war, they are broken," he said, reflecting on the missing limbs, traumatic brain injuries and other devastating wounds he observed.

Conklin's eldest son, Kris, was treated at Walter Reed in 2003, after his Humvee was hit by a rocket-propelled grenade in Iraq. He recovered from his injuries, but his dad was heartbroken when he realized that other wounded troops didn't have the support his son did.

"We have a tight, cohesive family. Not all of them do," said Michael Conklin, 59. "Some of them don't have anybody to come home to. ...

"When I first went to Walter Reed to visit, I wanted to take them all home with me. But you can't. It's impossible."

Instead, he started a scholarship program -- the Sentinels of Freedom -- to support disabled veterans and help them become self-sufficient. Since 2003, Conklin and his foundation have assisted more than 100 veterans with housing, education, jobs -- whatever they need to adapt to their new lives.

"Every one of them is different," Conklin said. "Some will need service dogs, guide dogs, housing assistance, special equipment put through the house, drivers."

Hien Tran, 33, was injured by an improvised explosive device five years ago in Iraq, and he spent 15 months at Walter Reed. He lost his right eye and had a titanium rod placed in his leg, and he said he didn't have much hope for the future.

But through Conklin's program, Tran received more than $60,000 for a vehicle, housing assistance, furniture and household goods.

He also received valuable mentorship and advice that has helped him make his engineering and building firm successful. Tran is now paying it forward by hiring other veterans.

"I think (for) every wounded veteran, every disabled veteran out there, the drive is now double of what it was before," Tran said. "Because you want to be seen as normal. You want to be successful."

Tran has been thankful for Conklin's personal guidance along the way.

"Mr. Conklin's helped me build my business," he said. "I go back to Mr. Conklin and say, 'Hey, this is what I want to do' ... and he gives me his input."

Conklin, a former real estate agent from San Ramon, California, is a father figure for many of the "Sentinels" in his program. He said he usually hears from four or five of them a day.

"I have an intimate knowledge of what's going on with them," he said. "Most, if not all, have my cell phone number."

Conklin also has teams based in 28 states across the country, ready to help veterans in need. These teams partner with local businesses and individuals who are willing to donate their services, time and money.

It's this community support that is crucial to the program's success, Conklin said.

"These kids grew up in our neighborhoods, went to our schools and churches, played on our ball fields," he said. "We need to welcome them back into their communities with open arms."

Conklin never served in the military, but his three sons are Army Rangers -- one is in Afghanistan -- and his brothers served in Vietnam. He said he has always taken note of the treatment of men and women in the military.

"One of the things that bothered me as a kid when my brothers were in Vietnam was that nobody from our community knew their names or faces," Conklin said. "And I could see that happening again."

The Sentinels of Freedom program rigorously screens each candidate, and scholarship recipients must continually provide status updates to keep getting assistance. But it's not just about the money, Conklin said. It's about building relationships and reintegrating people into society.

"We don't just write a check," he said. "We walk with them until they are successful."

Recently, Conklin picked up his phone and heard Johnny Jones' shaky voice on the other end. Jones, 27, is a retired Marine who lost his legs when he stepped on an IED in Iraq.

"I want to tell you something before you hear it from someone else," Jones said.

Conklin's heart stopped. A medical scare? A death? His mind was racing.

"I got a C in one my classes," Jones replied. "And I want to explain why."

Jones is pursuing a bachelor's degree at Georgetown University, and Conklin's group has assisted him with tuition, rent and expenses like his computer.

When Conklin heard that Jones' news was just a bad grade, he felt more than relief. He felt pride.

"I was proud that he trusts me enough to give me a call," Conklin said. "It showed tremendous character."

For Conklin, that's what his program is all about.

"What we try to do is focus on the future, the potential," he said. "We can't focus on the injury, even though it's hard not to because you're looking at a young man with no legs or arms, or burns.

"You really have to listen hard, look into their eyes, look for that spark that says: 'This guy has potential. Let's see what we can do to help him get there.' "

Want to get involved? Check out the Sentinels of Freedom website and see how to help.

@highlight

Many disabled U.S. veterans don't have a family to help support them

@highlight

Michael Conklin is trying to fill the gap and help these men and women feel self-sufficient

@highlight

His scholarship program provides housing, education and whatever else is needed