(CNN) -- I spent much of Sunday in touch with a group of fellow researchers. Like myself, they are college professors who are interested in understanding how people respond to weather and climate.

When we recognized last week that Hurricane Sandy was likely to make landfall rather than turning out to sea, we decided to conduct a telephone survey.

On Friday, we began asking East Coast residents how likely they thought the storm was to strike, how dangerous it would be, and what steps they were taking to protect themselves from the storm.

We are curious to see how well they could sort out the multiple threats -- wind, storm surge, heavy rain. We will not know the full results of our work for weeks, when we have processed the interviews, which are still under way as I write. But our initial impressions are that a number of people still focus on the features of hurricanes that were emphasized decades in the past, particularly the specific path of the storm's eye and the speed of the winds.

They do not adequately appreciate that a storm can be violently destructive hundreds of miles from its center, and that it can bring damage from threats other than wind -- threats that are particularly serious for Sandy. The scientific understanding of hurricanes has not yet been fully translated into public understanding.

Opinion: As Sandy descends, tips from Katrina survivors

I did have some time for breaks, though, on this Sunday of work. In the morning, I went to the gym, where television screens gave details about the evacuations in low-lying areas and alerted people to the closure of the subways that evening. After lunch, I went to pick up some additional food. The pedestrians in my neighborhood were not strolling leisurely, but rather hurrying to supermarkets and drugstores, or walking back home, with heavy bags of supplies.

In the mid-afternoon, after a round of e-mails to colleagues, my wife and I decided to take a walk through the park in our neighborhood, before the mandatory closing at 5 p.m. went into effect. We knew that we might not be able to go outside for a day or two. Here, too, there were fewer people strolling than usual. The gray sky and strong breezes might have frightened off or discouraged some of the ones who were done with their preparations. The park was occupied largely by dog walkers, who recognized that their pets would soon be confined to their apartments.

Sandy could bring 'catastrophe,' affect 60 million

We paused at an overlook with a view west to the Hudson River, and saw ships heading north, seeking safe waters. In the open waters off Long Island, waves are projected to reach 40 feet or higher, and even in New York Bay they might crest at five or six feet. Conditions would be calmer further upstream. What impressed me was the large size of the wakes that the ships made as they rushed against the outgoing tide. The ships that travel upriver usually wait for an incoming tide to carry them. But these ships could afford no delay.

As we turned to leave the park, I looked back at the river, still ebbing rapidly. I knew that the tides would turn and the storm arrive in full fury. And I thought of the most vulnerable structure in Manhattan, the sea wall at the southern tip of the island. This wall, which protects the city's subways from flooding, is nine feet high, usually a firm bulwark. But it faces three forces that bring waters higher. The tides are the first, and the second is the water pushed coastward by storms. The third is climate change.

Throughout the 20th century, sea levels were rising as a result of the warming of the oceans and the melting of ice in glaciers. This rise, which varies from place to place depending on patterns of wind and ocean currents, has been about a foot in the New York harbor.

Opinion: How Sandy will test Obama, Romney

When this foot is added to the four feet of the high tides at the full moon, it reaches five feet, more than half the height of the sea wall. Sandy's relentless winds have been pushing water in front of the storm as it approaches the coast; this storm surge will be heightened by the configuration of the coast at New York. If it exceeds four feet, the subways will flood, disrupting transportation for days or weeks, and causing billions of dollars of damage.

Last year, Hurricane Irene also arrived at a time of especially high tides, and its storm surge came within inches of flooding the sea well. Storms and tides are natural, but sea level rise is not. As it continues, New York grows more vulnerable. Every coastal city does.

The ships could sail north up the Hudson to escape danger, but sea walls and the subways are fixed in space. Governments, media and communities spring into action with the immediate threat of a hurricane, taking steps to prepare and to reduce harm. They issue warnings, remind people to obtain supplies, close parks and subways, open shelters, and organize evacuations.

Will they take the larger and more difficult actions to protect themselves from the slower, and far greater, threat of climate change?

The opinions expressed in this commentary are solely those of Ben Orlove.

@highlight

Ben Orlove: Some people still look at hurricanes through an outdated perspective

@highlight

He says officials have been pro-active in preparing for the storm

@highlight

Climate change has raised sea level, he says, and storm surge endangers subways

@highlight

He asks: Why can't we take the threat of climate change as seriously as the storm?