Kabul, Afghanistan (CNN) -- Afghan President Hamid Karzai condemned a NATO airstrike this week that a provincial official says killed women and children, in a statement that came just as U.S. Defense Secretary Leon Panetta arrived Thursday in Kabul for talks.

A provincial official has said civilians were among the dead in the airstrike, while the NATO-led International Security Assistance Force said initial reports revealed only two injuries.

ISAF is aware of the claims of civilian casualties and is looking into what took place, a spokesman for the coalition said.

The NATO airstrike Wednesday in eastern Afghanistan's Logar province, along the volatile Pakistan border, is likely to strain already tense relations with the United States.

In the statement, Karzai said he was cutting short a trip to China, where he has been attending a summit.

"NATO operations that inflict human and material losses to civilians can in no way be justifiable, acceptable and tolerable," he said.

Panetta did not address the controversy over the airstrike in his public remarks while in Kabul.

The United Nations Assistance Mission in Afghanistan on Thursday condemned "in the strongest terms" the deaths of civilians in Logar and in militant attacks in Kandahar, Faryab and Paktika a day earlier.

Together, the attacks killed 40 civilians, including 10 children, and injured at least 67 others, the U.N. body said, in what was the single deadliest day for civilian deaths in 2012.

While militant attacks have caused by far the greatest number of civilian casualties in Afghanistan, its statement said, "UNAMA has also repeatedly expressed concern that aerial operations have resulted in more civilian deaths and injuries than any other tactic used by pro-government forces since the present armed conflict began."

Sahib Khan, a member of Afghan parliament from Logar province, told CNN he believed four insurgents also were killed in the NATO airstrike in the Baraki Barak district of Logar province.

He said the bodies of 18 civilians, including women and children, had been brought to the provincial capital, Pule Alam, but that the bodies of the four insurgents had been taken elsewhere.

An investigation team has gone to the area to determine how many militants were in the building hit in the airstrike, said Khan. He said insurgents had fired on a U.S. military convoy from the house.

Panetta: U.S. running out of patience with Pakistan on militant havens

The allegations of civilian casualties came ahead of discussions between Panetta and U.S. Army Gen. John Allen, commander of ISAF troops, and Afghan Defense Minister Gen. Abdul Rahim Wardak.

The training of Afghan security forces was likely to be high on the list of discussion topics.

With American troops due to withdraw from Afghanistan by the end of 2014 under a timetable announced by President Barack Obama, the U.S. military is beefing up its training of Afghan forces. At that time, security duties will be fully turned over to the Afghan government, although some U.S. forces will remain in Afghanistan beyond 2014 as military advisers.

The latest allegations of civilian casualties also come at a critical time for the United States.

While U.S. military and political officials have said publicly that Afghanistan will be ready to take over security of its country by the time NATO troops depart, critics have said there are questions about whether Afghan forces can stand on their own.

Violence has increased in recent weeks, coinciding with the start of the Taliban's summer fighting season.

On what was his fourth visit to Afghanistan, Panetta praised the efforts of U.S. forces, saying that thanks to them, a "turning point" had been reached after 10 years of war.

He acknowledged that there had been an "uptick in violence," but said that was because ISAF forces had taken the fight to the Taliban.

"We've been able to put this country in the right direction. The reality is we have weakened the Taliban," the defense secretary told an audience of U.S. troops.

But while Afghan forces are gaining in strength and capability, he said, international forces still have work to do. "This is still not going to be an easy fight. We still have a lot of challenges to confront. We have a resilient enemy that will use any tactic they can to come at us."

Panetta said that ISAF forces would continue to support Afghanistan beyond the agreed troop drawdown, with an "enduring presence" past 2014, and that the goal was to ensure a safer future for the United States as well as for the Afghan people.

Asked what message U.S. troops should give to Afghan commanders concerned about what would follow the transition to Afghan control, Panetta said: "We are not going anyplace. We are committed to an Afghanistan ... that can secure and govern itself.

"We have lost a lot of people in battle, and we continue to lose people. One thing we have to make damn sure of is that those lives were not lost in vain."

Panetta's brief trip to Kabul did not include a meeting with Karzai, who was en route back to Afghanistan at the time the U.S. defense secretary was wrapping up his trip.

The last meeting between the two, in March, came on the heels of allegations that a U.S. soldier left his base in southern Kandahar province and went on a shooting spree in two villages that left 17 people dead.

At the time, Karzai called the shootings a cruel act against the people of Afghanistan, and told Panetta that Afghans have lost trust in international forces.

The shooting spree followed revelations that U.S. troops inadvertently burned copies of the Quran and other Islamic religious materials, which sparked massive, violent protests.

Military officials said the materials had been seized from Afghan prisoners because they contained extremist messages.

CNN's Mohammed Jamjoom and Masoud Popalzai contributed to this report.

@highlight

NEW: U.N. body says it was the deadliest day for Afghan civilians this year

@highlight

U.S. Defense Secretary Leon Panetta meets with Afghan defense minister

@highlight

A provincial official says an airstrike in Logar province killed women and children

@highlight

ISAF says it is looking into the claims, though its reports show only two injuries