(CNN) -- It's a fun way to address a serious problem.

Weightless teachers float around inside a modified 727 with padded walls and ceilings.

Many in the U.S. tech industry worry that not enough students are pursuing careers in engineering, math, and science.

So the Northrop Grumman Foundation is sending teachers on the ride of their lives -- a weightless experience aboard a plane chartered from the Zero Gravity Corporation.

Northrop, an aerospace and defense company, says the idea is for teachers to take their exhilarating experience back to their classrooms -- and inspire in their students a love of science.

Northrop Grumman spokesman Tom Henson said the Weightless Flights of Discovery program is aimed at middle school teachers. "Information has shown us that if kids are going to lose an interest in math and science, it's going to be during these years," he said. "So we've targeted these teachers to try to illustrate for their students how math and science can be cool and relevant and applied to their daily lives, and just fun."

The program is three years old. This year, Northrop conducted weightless flights in California, Florida, Illinois and Georgia.  Watch teachers experience zero gravity »

From a pool of applicants, Northrop selected 60 teachers from each location. Before each flight, the teachers took part in a workshop in which they designed experiments to be conducted on the flight. The experiments were to test Newton's Laws of Motion; for instance, seeing how objects fall in microgravity in order to explain the difference between mass and weight.

The flights took place aboard a modified 727. There are seven rows of seats in the back of the jet; the rest of the cabin is open and windowless, except for the emergency exits. The floors, walls and ceilings are padded.

CNN accompanied the teachers on one of the Georgia flights, which took off from Atlanta's airport.

The plane performed its weightless maneuvers over a chunk of airspace 100 miles long by 10 miles wide over the Atlantic Ocean. Specially trained pilots took the plane into a series of parabolas, essentially a series of up-and-down curves. As the 727 crested and descended each parabola, it created a microgravity environment that lasted about 30 seconds.

The plane flew 15 parabolas. The first simulated the gravity felt on Mars (1/3 the gravity of Earth) and the next two recreated gravity felt on the moon (1/6 Earth gravity). This helped the teachers acclimate to the weightlessness of zero gravity felt on the last 12 parabolas.

Tracy Heffelfinger, who teaches at Little Mill Middle School in Forsyth County, Georgia, said the experience gave her a great appreciation for what astronauts have to do in space.

"As a science teacher, you're told what all affects how you move, and that gravity is a great portion of that," she said. "It's another thing to get up there and experience it. I would try things like, I just wanted to hover off the ground a little bit, but the problem is if you push up enough to get off the ground, there's nothing to stop you and you keep going until you hit the ceiling."

Heffelfinger said the experience will make it a lot easier to bring science to life for her students.

Northrop's Henson said the flights have already helped the 780 teachers who participated in the program in 2006 and 2007, according to a recent Northrop poll of those teachers.

"Roughly 92 percent said there's been a noticeable increase in their students' overall interest in science since this program," he said. "Almost 75 percent saw an increased number of students expressing a desire to continue studying science, which is important, because we're trying to keep students from dropping out of science in the middle school years."

Henson also said nearly 78 percent of the educators reported a rise in the number of students planning to pursue a math- or science-related career. "I think the program is reaching who it needs to reach," he said.

Northrop estimated 31,000 students have gotten the "science is cool" message from this program.

Aboard the Atlanta flight, teachers screamed in delight and amazement as they defied gravity. They launched themselves like Superman, drank floating globs of water and tossed each other around like balls, in addition to performing a variety of experiments.

A few educators experienced motion sickness. Parabolic flight is the same technique used to train astronauts, and the NASA jet is nicknamed "the vomit comet." But astronauts are sent on 40 or more parabolas per flight, while the teachers experienced only 15, which minimized the discomfort.

Heffelfinger said she had no problems, even though her students had teased her about the possibility. "I'm very proud of the fact that I'll be able to show them my unused barf bag," she said with a laugh.

@highlight

The Northrop Grumman Foundation is sending teachers on zero-gravity plane flights

@highlight

They hope experience will help teachers inspire in their students a love of science

@highlight

U.S. tech industry fears that fewer students are pursuing careers in tech fields

@highlight

More than 800 teachers have participated in the three-year program