Washington (CNN)New allegations have emerged from the man described as the 20th 9/11 hijacker, alleging members of the Saudi royal family supported al Qaeda.

Zacarias Moussaoui, who pleaded guilty in 2005 to six terror-related charges, makes the allegations in a sworn statement contained in a brief submitted Tuesday as part of an ongoing civil case by the families of 9/11 victims.

In the late 1990s, Moussaoui says, he was tasked by Osama bin Laden to create a digital database cataloging al Qaeda's donors. Every day for two or three months, he says, he entered names of the group's donors into a Toshiba computer, along with how much they gave.

Moussaoui, who has been in U.S. custody for more than 13 years, said the list featured high-profile people, including several members of the Saudi Royal family, whom he named in his testimony.

They include Prince Turki al-Faisal Al Saud, former director-general of Saudi Arabia's Foreign Intelligence Service and ambassador to the United States.

Moussaoui, a French national, said he was chosen for the database job because of his education and ability to speak English.

"Shaykh Osama wanted to keep a record who give money ... who is to be listened to or who contribute to -- to the jihad," he said in sometimes stuttered answers.

CNN cannot independently confirm the claims Moussaoui makes in his new testimony, which was made under oath as part of a brief filed in opposition to a motion to dismiss a case against Saudi Arabia for its alleged involvement in the 9/11 attacks.

Unlike a deposition, Moussaoui was not subjected to cross-examination by the defendants' lawyers.

Moussaoui's credibility has been called into question before. And though Saudi Arabia's role in the attacks has long been a topic of suspicion, the 9/11 Commission's report, released in 2004, concluded there was no evidence the Saudi government funded al Qaeda.

See also: ISIS captors 'didn't even have the Quran'

"It does not appear that any government other than the Taliban financially supported al Qaeda before 9/11, although some governments may have contained al Qaeda sympathizers who turned a blind eye to al Qaeda's fund-raising activities," the report said. "Saudi Arabia has long been considered the primary source of al Qaeda funding, but we have found no evidence that the Saudi government as an institution or senior Saudi officials individually funded the organization."

Still, the report noted in parentheses, "This conclusion does not exclude the likelihood that charities with significant Saudi government sponsorship diverted funds to al Qaeda."

In a statement reacting to these latest allegations, the Saudi Embassy in Washington said, "There is no evidence to support Moussaoui's claim. The Sept. 11 attack has been the most intensely investigated crime in history and the findings show no involvement by the Saudi government or Saudi officials."

The Saudi statement also referred to the assessment of the 9/11 Commission.

"Moussaoui is a deranged criminal whose own lawyers presented evidence that he was mentally incompetent. His words have no credibility," the statement said. "(Moussaoui's) goal in making these statements only serves to get attention for himself and try to do what he could not do through acts of terrorism -- to undermine Saudi-U.S. relations."

Moussaoui's new sworn statements were taken in October at a supermax prison in Florence, Colorado, where he has been held since his life sentence was handed down in 2006.

Related: Saudi dilemma: How to spot potential terrorists

In them, Moussaoui goes on to say he met with members of the Saudi royal family in person more than once in Saudi Arabia, in order to hand-deliver letters to and from al Qaeda's notorious leader.

"I was introduced as the messenger for Shaykh Osama bin Laden," Moussaoui told attorneys on Oct. 21.

"Did they treat you well during the [first] visit?" the lawyer asked.

"Extremely well," Moussaoui said.

Moussaoui said he traveled on private jets and in limousines. His meetings took place in luxury hotels and even Saudi palaces.

He was also given money for travel expenses at the Saudi Embassy in Islamabad, which he considered a bribe, he said.

Furthermore, Moussaoui said his primary point of contact with the royal family was Prince Turki al-Faisal Al Saud, and that Turki introduced him to other prominent members of the family, including another former Saudi ambassador to Washington, Prince Bandar bin Sultan.

Tuesday's court filing also included statements by three members of the 9/11 Commission, former Secretary of the Navy John Lehman, and former Sens. Bob Graham and Bob Kerrey.

Their statements do not support the specific claims Moussaoui makes, but do say that further investigation of Saudi government involvement is necessary.

"I am convinced that there was a direct line between at least some of the terrorists who carried out the Sept. 11th attacks and the government of Saudi Arabia," Graham wrote.

Kerrey told CNN on Friday that while he can't verify Moussaoui's specific allegations, he does believe the new information highlights the need for further investigation.

"It deepens suspicions that everything about Saudi involvement is not as well-known as it should be," he said.

But this suspicion of the Saudi government is not shared by all.

Robert Jordan, who was U.S. ambassador to Saudi Arabia from 2001 to 2003, told CNN he "was given no hint whatsoever of direct Saudi leadership involvement -- any financing or any planning -- for these attacks."

Jordan said he was regularly in touch with Robert Mueller and George Tenet, who led the FBI and CIA, respectively, and felt assured over the course of their investigation that allegations against the Saudi government were without merit.

"A lot of it was my own questioning," said Jordan." 'Are you sure? Have you made certain that none of the people we're dealing with now at the senior level had anything to do with these attacks or with supporting the terrorists who financed and orchestrated them?' And I was routinely and universally given the information that they felt comfortable at least at the senior level they hadn't."

See also: Why Obama says fight with ISIS isn't a religious war

Moussaoui has made incriminating claims about the Saudi government before.

Last November, he said that Saudi Embassy officials were involved in a plot to shoot down Air Force One "to assassinate Bill Clinton and/or Hillary Clinton."

He also said at that time that he had met with a Saudi prince and princess in early 2001 when he was taking flying lessons in Norman, Oklahoma, and that she "gave me money."

Lawyers for the Saudi government denied those claims, saying pointedly, "The Kingdom of Saudi Arabia had no role in the attacks of Sept. 11, 2001."

And the Saudis are not the only ones who have refuted Moussaoui's account of the 9/11 plot. In 2006, Osama bin Laden released an audiotape in which he denied Moussaoui's assertion that he was supposed to strike the White House with a 747 on September 11, 2001.

"I am the one in charge of the 19 brothers," bin Laden said, referring to the 19 known hijackers, "and I never assigned brother Zacarias to be with them in that mission."

Many -- if not all -- of Moussaoui's statements over the years have been called into question.

During his 2006 sentencing trial, an expert witness testified that Moussaoui suffered from delusional paranoid schizophrenia. He was prone to loud and disruptive outbursts during that trial, and guards testified he would sometimes make irrational claims to them.

He has also asked for certain concessions in exchange for testimony, such as a warmer cell in a different unit of the supermax prison.

Beyond his claims about the donor database, Moussaoui also says in this latest sworn statement that he was involved in a series of other plots against U.S. targets.

Specifically, he says he was given explosives training to attack the U.S. Embassy in London with a truck bomb.

"I conducted a trial test of explosives for bomb of 750 kilogram of ammonium nitrate," he said. "The plot was agreed with Shaykh Osama bin Laden."

Moussaoui said his team in that plot included Richard Reid, known as "the shoe bomber," who Moussaoui previously said was supposed to take part in the 9/11 attacks -- allegations that Reid has denied.

The plot against the embassy in London was eventually canceled, Moussaoui said, and he was sent to Malaysia to explore the possibility of attacking the U.S. Embassy in Kuala Lumpur. That plot was also canceled, Moussaoui told his attorneys, so he went to the U.S. to look into attacking Air Force One -- the plot he first revealed in November.

"My plan was not to launch the attack," he insisted in the statement. "It was only to see the feasibility of the attack."

CNN's Jennifer Rizzo, Deborah Feyerick and Kristina Sgueglia contributed to this report.

@highlight

Zacarias Moussaoui says members of the Saudi royal family supported al Qaeda

@highlight

The so-called 20th hijacker in the 9/11 terrorist attacks makes allegations in a brief that's part of a case by 9/11 victims' families

@highlight

Moussaoui, who's been in U.S. custody for more than 13 years, has had his credibility questioned before