When it comes to finding a doctor, chances are you spend a lot more time worrying about your man, your kids, or your parents than yourself. After all, you're strong enough to soldier through the occasional cold, right?

If this sounds like you, you're not alone: In a recent survey, nearly a third of Americans who don't have a primary care physician (PCP) said they didn't think they needed one.

The truth is, we all do. Not only do people with a regular doc receive better overall care, but it's easier for them to get an appointment on short notice -- helpful for reassurance on day-to-day health queries, and especially crucial if you should ever find yourself in a serious health crisis.

"Finding a doctor before you get sick is especially important now that more insurance plans are requiring that PCPs serve as gatekeepers for our medical needs," says Trisha Torrey, author of "You Bet Your Life: The Ten Mistakes Every Patient Makes".

Your mission: To locate an M.D. with great experience; an organized, friendly office staff; and, most of all, the ability to collaborate well with you (it is, after all, your body and health). Here's how.

Health.com: Secrets women keep from their doctors

Step 1: Go to your network

Your social network, that is. Start by asking your friends and family (and any doctors you have and like) for the names of their favorite docs. This method may seem unscientific, but in one recent survey, doctors ranked getting a recommendation from family or friends as the most valuable way for you to choose a good physician.

Consider also checking an online doctor-rating site, like vitals.com or zocdoc.com. Just keep in mind that opinions from others may be a good gauge of a doctor's bedside manner (which is indeed important), but not necessarily a way to measure her medical ability.

"Friends who have had only annual checkups don't have as good a sense of their doctors' medical competence, so see if you can ask someone who's had health trouble," Torrey says. "If they felt well-served by the doctor, that's a better bet."

That was true for Abby Gardner, 36, a New York City website editor: "Recently, I noticed a spot on my chest. My friend suggested I see her doctor, Dr. Henry Lee." Lee had found a melanoma on Gardner's friend's roommate, who raved about his care and professionalism. "He not only checked the spot, but also found a mole on my thigh that turned out to be a melanoma," she says. "I was so glad to have a thorough doctor who caught it early."

If your friends don't give you any good leads, contact your nearest academic medical center (a hospital linked to a medical school, also known as a teaching hospital) and ask for a referral. "Those centers are usually highly rated," says Lisa Rubenstein, M.D., director of the VA/UCLA/RAND Center for the Study of Healthcare Provider Behavior.

Health.com: What to do when you disagree with your doctor

Step 2: Check out her credentials

There's no need to limit yourself to doctors who graduated from the fanciest medical school around. What matters more, says Rubenstein: "the hospital where they did their residency, and where they practice."

Two reasons why: A residency is where physicians get their on-the-job training, and the other M.D.'s they practice with seem to affect their clinical style more than where they went to school. Look for a doctor who is board-certified and affiliated with a reputable hospital (your insurance company's website will generally list credentials and affiliations), since, if you ever wind up being hospitalized, this will likely be the place you'll go.

"Academic hospitals generally do better in terms of safety and patient outcomes than unaffiliated community hospitals," says Rubenstein. Hospitalcompare.hhs.gov can help you assess the quality of hospitals in your area.

Health.com: Want to skip the doctor? Try this

Step 3: Vet the office

You can find out some key details about a prospective doctor just by calling her. Start with how you're greeted. If the receptionist treats you poorly, it may be a sign that the practice isn't respectful of patients in general, says Torrey.

If the doctor and her staff are nice and professional, on the other hand, you will know that she runs a practice where patients are treated with respect.

Health.com: How to have a great doctor-patient relationship

Step 4: Size her up in person

Once you're finally face-to-face with the M.D., do a gut check. Do you feel comfortable? Your health will benefit if you do: A recent study in the Journal of the American Board of Family Medicine found that patients who had empathetic, engaged physicians felt more supported and were better able to take charge of their own well-being.

Last year, Brenda Avadian, of Los Angeles, went in search of a new primary care doctor because her last one was dismissive of her complaints of exhaustion. She vetted a prospective doc online, then set up an appointment.

"After an hour, I decided to switch to him," says Avadian, 52, who works in the caregiving industry. "He really took time to listen to me."

Her new doctor ordered a complete blood panel, and within a couple of days, Avadian had a diagnosis: Her thyroid was sluggish.

"The problem could have gotten worse," she says. "It worked out because I found a doctor who really listens."

You may not get an hour with your prospective PCP the way Avadian did, but all you need is a few minutes to tell if she's up to snuff.

Rubenstein recommends that you bring three questions about your health issues, big or small, to your first appointment. As the doctor answers your queries, think to yourself: Does she explain things well? Does she consult with me and give me time to ask follow-up questions? A doctor who does these things -- and makes you feel comfortable -- just might be your perfect match.

@highlight

Nearly a third of Americans who don't have a PCP said they didn't think they needed one

@highlight

Ask for recommendations from your family or friends when trying to choose a physician

@highlight

What matters most is the hospital where they practice and where they did their residency