Seoul, South Korea (CNN) -- On the surface, Seoul, the capital of economic powerhouse South Korea, is one of the most impressive cities in East Asia: Sprawling and prosperous, hi-tech and self confident.

But eight times a year, the traffic comes to a halt and crowds disappear from the streets as an eerie wail resounds across the city: The sound is a siren, and this is the minbangui, or civil defense exercise, designed to drill the population against a possible strike.

Seoul is a metropolis that lives in the gun sights of North Korea, one of the most dangerous states on the planet and just 40 miles (64 kilometers) north of downtown, yet Seoul residents have learned to live with the threat.

In recent years, North Korean provocations -- nuclear tests, missile firings, naval clashes -- have been more a subject for conversation in barbeque restaurants and late night pubs than lifestyle changers. Financial markets are barely moved by the latest threats; nobody is digging bunkers among their backyard kimchi pots. A blasé attitude has infiltrated the public consciousness after six decades of living with the North.

On Tuesday that attitude was rudely shaken after North Korean shells slammed into the South Korean island of Yeonpyong in the Yellow Sea.

The sight of columns of smoke rising from an artillery strike sent a frisson of real fear through this city of 12 million. It was the first such attack since the Korean War ended at midnight, July 27, 1953, and Seoul itself lies in range of massed, long-range North Korean artillery dug into the Demilitarized Zone.

Streets were jammed with traffic, as the news broke and people headed home to join families. Companies sent emails urging staff to remain calm. A European diplomatic dinner was half empty, as invited government officials on stage two alert -- one being the lowest level, four being war footing -- were obliged to remain at their stations.

"When I got home, the family discussed what we would do if war breaks out," said Kim Joon-hee, a Seoul-based accountant and mother of two. "This was especially shocking as it came after the Cheonan incident."

In March, the Cheonan, a South Korea warship, was sunk in the Yellow Sea with the loss of 46 lives, indicating a dangerous new level of aggression by North Korea. The isolated state is currently in the midst of a leadership succession process. In the words of North Korean expert Dr Andrei Lankov, incoming leader Kim Jong Un has to prove to his generals that, "...he is not a spoiled brat who spent his childhood eating Swiss pastries, but a tough leader -- a warlord in the making."

That was certainly the impression Seoul residents got on Tuesday.

"I had never seen South Korean buildings burning like that -- this was Iraq on Yeonpyong," said Sue Kim, a reporter at a leading daily. "It was kind of incredible, but then my reaction was this has been going on for half a century. I had forgotten that we live in a country at war."

The Korean War, which ended with a truce rather than a peace treaty, is a distant memory for most Seoulites: few know the details of the savage street combat that racked their city, or the fact that the capital changed hands four times. The only remaining signs of combat are the bullet and shrapnel damage in the masonry of ancient palaces, for most of the city has been built and rebuilt.

It is easy for the younger generation to overlook these scars, and the prominent U.S. military garrison -- headquarters of the 27,500 U.S. troops still stationed here as insurance against another invasion -- at Yongsan in the very heart of Seoul, is now an established part of the cityscape.

And whether the Cheonan and Yeonpyongdo incidents will permanently change attitudes is uncertain.

"Normally when the North Koreans misbehave, people don't care, but yesterday, people got nervous," said Robert Koehler, a 13-year expatriate and author of a Seoul guidebook. "People tend to get very angry, but then they settle down -- it is easy to get jaded."

But with the memories of one of the century's most devastating wars seared into their memories, the old generation cannot forget.

"For me this is nothing new," said Kim Song-hwan, a retired artist who lived through -- and painted -- the North Korean occupation of Seoul in 1950. "But it is kind of problematic that young people today are unconcerned about the danger of war."

The 20th century Korean War lasted three years and killed -- estimates vary -- between two and four million. A 21st century Korean War is likely to be shorter but, with Pyongyang possessing nuclear weapons, even deadlier.

And while Seoul in 1950 was a city that few people in the wider world had heard of, modern Seoul has tremendous international relevance as the capital of the world's 13th largest economy. Were it to come under artillery or nuclear attack, the tsunami that would sweep through global financial markets could be devastating.

@highlight

Although no strangers to North Korean hostility, Seoul residents see this attack as different

@highlight

The sight of columns of smoke rising from an artillery strike sent a frisson of real fear

@highlight

It was the first such attack since the Korean War ended at midnight July 27, 1953

@highlight

Seoul itself lies in range of massed, long-range North Korean artillery