(CNN) -- He is merciless toward opponents, secretive to the point of being a recluse and a true believer in the cause of global jihad.

And from his hideout somewhere in southern Somalia, Mukhtar Abu Zubayr, the emir of Al-Shabaab, has planned numerous terror attacks, including the deadliest in Kenya since the U.S. Embassy bombing in 1998.

Zubayr, who is also known as Ahmed Abdi Godane, already has a price on his head. In 2012, the U.S. State Department authorized a reward of up to $7 million for information on his whereabouts. But he has 15 years on his terror resume, and according to information provided by a well-placed source in Mogadishu who has extensive knowledge of Al-Shabaab, he "is ruthlessly eliminating real and imagined rivals" within the group.

U.S. manned and unmanned aircraft set out on Monday to end his campaign of terror, though the fate of Zubayr or a deputy, Abu Abdalla, was still unclear a day later.

U.S. attacks Al-Shabaab leader in Somalia

Pentagon spokesman Rear Adm. John Kirby said the attack was directed at the Al-Shabaab leader and that "we certainly believe that we hit what we were aiming at."

But he didn't say who, if anyone, died in the attack.

Zubayr's vision has been to transform Al-Shabaab from an insurgent outfit focused on Somalia into a terrorist group capable of devastating attacks beyond Somalia. He has already directed at least two: suicide bombings against bars in Kampala, Uganda, in 2010, and last year's Westgate mall siege in Nairobi, Kenya. After the Uganda attacks, which killed more than 70 people, Zubayr warned: "What happened in Kampala was just the beginning."

One key suspect in the Kampala attacks, known as Jabir, allegedly was an explosives instructor and answered directly to Zubayr. Jabir is known to have visited Uganda at least four times before the July 2010 attack.

The source in Mogadishu told CNN last year: "Zubayr is creating Al-Shabaab 2.0."

For Zubayr, the struggle has always been a global confrontation with "disbelievers" rather than just about Somalia. He also vowed that his group would launch a direct attack against the United States.

Zubayr is 37, according to most accounts, and originally from Somaliland, now a vaguely autonomous part of northern Somalia. He is slim to the point of wispy, as shown in the few photographs of him, and prefers recording audio messages to appearing in public.

As a teenager, he studied at a Pakistani madrasa, thanks to a grant from a wealthy Saudi, and he returned home with militant beliefs. He was thought to have been involved in the abduction and killings of foreign aid workers in Somaliland, including the death of Italian aid worker Annalena Tonelli in 2003.

Among his close associates in Al-Shabaab's early days was Aden Ayrow, a towering force in the group and a ruthless and mercurial pro-al Qaeda hard-liner. After Ayrow's death in May 2008 in a U.S. strike, Zubayr asserted his leadership of Al-Shabaab and immediately pledged allegiance to Osama bin Laden. According to a U.S. diplomatic cable published by WikiLeaks in 2009, he once refused to discuss a military offensive against government forces in Mogadishu with Al-Shabaab's allies until one of them apologized for remarks he had made critical of bin Laden.

But bin Laden was wary of an al Qaeda merger with Al-Shabaab. About a year before his death, he wrote to Zubayr that enemies would "escalate their anger and mobilize against you. This is what happened to the brothers in Iraq or Algeria."

Bin Laden's deputy at that time, Ayman al-Zawahiri, took a different view. A letter dated December 2010, which was recovered from bin Laden's compound in Abbottabad, Pakistan, and was thought by researchers to have been written by al-Zawahiri, was critical of bin Laden's decision to rebuff entreaties by the Somali militant group.

"I see it to be very essential for al Qaeda to confirm and declare its linkage with its branches. ... Please reconsider your opinion not to declare the accession of the brothers of Somalia," the author wrote.

In February 2012, Zubayr formally declared Al-Shabaab an affiliate of al Qaeda with a long message to al-Zawahiri in which he said: "We will go with you as loyal soldiers until doom and injustice disappear from Islam."

Zubayr has always rejected any negotiations with Somalia's transitional federal government. According to another U.S. diplomatic cable unearthed by WikiLeaks, Zubayr rejected an initiative in 2009 by Libya's Moammar Gadhafi to mediate in Somalia, telling him that once a true Islamic government was established in Somalia, he would move on to other countries, including Libya.

He opposes elections, saying, "The reality is that democracy is something Allah made unlawful, and someone else cannot make it lawful."

As Al-Shabaab came under greater pressure from the African Union force stationed in Mogadishu, Zubayr turned to suicide bombings against civilians. In December 2009, an Al-Shabaab bomber killed 23 people at a university graduation ceremony in Mogadishu.

Some factions inside Al-Shabaab disowned the attack, but Zubayr was unmoved. As a northerner, unlike other Al-Shabaab commanders, he did not belong to a clan in the areas controlled by the group and was therefore less concerned about civilian casualties. According to a confidential U.N. assessment, Zubayr demanded more suicide attacks to supplement conventional fighting.

At least two such suicide attacks have come this year: a May attack on a restaurant popular with foreigners in the city of Djibouti and failed attacks on a presidential compound in Mogadishu.

Zubayr's rejection of negotiations, poor management of military campaigns and the clan system soon led to dissent in Al-Shabaab. According to diplomatic cables in 2009, Zubayr wanted to declare an Islamic caliphate in areas controlled by Al-Shabaab, which included much of central and southern Somalia.

Others in Al-Shabaab's leadership disagreed, saying the group had to gain greater public support before such a move. But fearful of assassination, they kept their counsel. The imposition of brutal Taliban-like law eventually alienated large sections of the population in southern and central Somalia.

One prominent Al-Shabaab member, the American Omar Hammami, said in a video in 2012 that other elements in the group were trying to kill him. He followed up with a series of tweets attacking Zubayr.

"Abu Zubayr has gone mad. He's starting a civil war," he tweeted.

Zubayr responded by ordering the killing of Hammami, who was wounded by a gunshot in April 2013. His intelligence wing caught up with Hammami months later and killed him, just days after he told the Voice of America that Zubayr had "turned Al-Shabaab into an organization that oppresses Muslims in an effort to win control of Somalia."

Even longtime supporters and friends, such as Ibrahim al Afghani, turned against Zubayr, and paid with their lives. Al Afghani was killed in a shootout in June 2013 in the southern town of Barowe.

The Mogadishu source told CNN that prominent figures in Al-Shabaab -- including Sheikh Mukhtar Robow and Sheikh Hassan Dahir Aweys -- now fear for their lives. Zubayr's purge accelerated during the summer of 2013, leading Aweys to negotiate his surrender to authorities, apparently for his own protection.

After a Kenyan-led military operation pushed Al-Shabaab out of population centers in 2011, pro-al Qaeda hawks within the group gained the upper hand. The loss of the port city of Kismayo, the source of much of Al-Shabaab's income, weakened arguments that the group had too much to lose by embracing al Qaeda's global jihad.

One reason Zubayr has emerged triumphant in these internal battles is that he controls Al-Shabaab's intelligence wing, known as Amniyat, a ruthless entity organized in cells and commanded by Mahad Mohamed Ali, also known as "Karate."

Counterterrorism analysts say that as other units in the group have been weakened, Zubayr has come to rely heavily on Amniyat, which he sees as the kernel for Al-Shabaab's transformation into a regional al Qaeda affiliate.

Zubayr's reliance on force in an organization that has long worked as a loose collective has made him a legion of enemies inside Somalia, and even led to criticism on some jihadist forums sympathetic to al Qaeda.

After the Westgate attack, Kenyan and Western intelligence agencies stepped up efforts to end Zubayr's reign of terror, but it remains unclear if this week's airstrike against him succeeded.

Amanpour blog: What is al-Shabaab's aim in Kenya attack?

CNN's Eliott C. McLaughlin contributed to this report.

@highlight

Al-Shabaab chief Mukhtar Abu Zubayr has a reputation for being secretive, merciless

@highlight

Zubayr wants his group to be able to deliver devastating attacks beyond Somalia

@highlight

He formally declared Al-Shabaab an affiliate of al Qaeda

@highlight

Zubayr's tactics have led to dissent in his group, which he has ruthlessly suppressed