(CNN) -- This year marked the 50th anniversary of one of the most pivotal years in American history, from the assassination of President John F. Kennedy to the historic "I Have a Dream" speech by the Rev. Martin Luther King Jr.

Those two events were monumental, changing and shaping the course of America for years to come.

But 1963 witnessed other moments, both big and small, that had a lasting impact. The Boeing 727 took its first flight. The first push-button telephone was introduced. The "red phone" between Washington and Moscow, a hotline by the two superpowers to avert world crisis, was established.

On the cultural front, instant replay was used for the first time when the Army-Navy game aired on CBS. Alfred Hitchcock's new movie, "The Birds," was released. And the Beatles burst onto the music scene.

Here is a look back at some of those defining moments:

The Kennedy assassination

It marked the fourth time a U.S. president had been assassinated, the first since William McKinley was killed in 1901. Kennedy was visiting Texas amid controversy over his stance on civil rights. Yet the streets of Dallas were packed on November 22, 1963. Thousands greeted the president and first lady as the motorcade wound its way through the city.

The nation came to a standstill shortly after shots rang out. Kennedy was declared dead at 1 p.m. -- a moment etched in television history when CBS anchor Walter Cronkite removed his glasses, paused and collected himself to deliver the news to the nation.

5 things you may not know about the JFK assassination

Hundreds of conspiracy theories would abound later as to whether gunman Lee Harvey Oswald acted alone. But in the days and weeks afterward, the nation mourned together. Another iconic image emerged from that time, of Kennedy's son, John Jr., standing at attention next to the president's flag-draped coffin.

One JFK conspiracy that may be true

March on Washington

Civil rights in the United States was pushed to the fore in June 1963 with a series of events: Kennedy addressed the nation to call for civil rights legislation; civil rights activist Medgar Evers was assassinated at his home in Jackson, Mississippi; and a defiant Gov. George Wallace stood in the doorway at the University of Alabama barring blacks from entering, until the federal government ordered him to step aside.

Why some movements work and others wilt

Those events brought the issue of equality for all to Main Street and enlightened many Americans on the brutality faced by blacks in the South. It also emboldened civil rights leaders as they brought their message -- along with hundreds of thousands of supporters -- to the steps of the Lincoln Memorial, culminating with King's iconic "I Have a Dream" speech on August 28, 1963.

How much has changed since the March on Washington?

'I Have a Dream' almost didn't make it into the speech

The 16th Street Bombing

Just weeks after the March on Washington, the civil rights movement was thrust into the headlines again -- this time the result of unspeakable tragedy. A bomb went off on September 15, 1963, at the 16th Street Baptist Church in Birmingham, Alabama, killing four African-American girls. So tragic was the event that one Southern editor wrote about how one of the grieving mothers held her daughter's shoe outside the bombed building: "In her hand she held a shoe, one shoe, from the foot of her dead child. We hold that shoe with her."

One small shoe: A legacy of the Birmingham bombing

Many historians credit the horror of the 16th Street Bombing with turning the tide in Congress, resulting in the passage of the historic civil rights bill the following year.

Siblings of the bombing

Letter from Birmingham Jail

In early 1963, King helped organize a massive protest in Birmingham, one of the most violently segregationist cities in the South. But the protests faltered because activists couldn't summon enough participants and were running out of bail money for those who had been arrested. King decided he needed to do something dramatic -- and provoked his arrest by leading a demonstration on April 12, Good Friday.

In jail, King read an ad placed in a local newspaper by eight moderate white clergymen who called him an outside agitator and lawbreaker and counseled him to wait. King didn't take their advice. Scribbling in the margins of the newspaper or on whatever paper he could find, he unloaded on the clergymen. Writing only from memory, he cited Socrates, St. Augustine, the Jewish philosopher Martin Buber and the theologian Paul Tillich.

He gave his writing to his lawyer, who smuggled it out of jail, had it typed up and copied. It was published by the Quakers as a pamphlet and appeared in the Christian Century, Atlantic Monthly and Saturday Evening Post. King's "Letter From Birmingham Jail" became a chapter in his popular 1964 book, "Why We Can't Wait," and is considered a classic defense of civil disobedience.

How MLK became an angry black man

Beatlemania

It may seem silly to refer to the Beatles as the original boy band, but that's what they were in 1963. The release of the British band's debut album, "Please Please Me," on March 22, 1963, was the start of a cultural revolution that would change the music landscape for decades to come. In a single year, the Beatles went from relative obscurity to playing in front of 73 million Americans on "The Ed Sullivan Show."

That year also witnessed the launch of other musicians who became icons, including the Rolling Stones and Bob Dylan. The lasting impact of their revolution influenced not just music, but modern art, design and fashion for decades to come.

The Beatles, Bob and Mick: 50 years since the youthful revolution

@highlight

Kennedy's assassination, Martin Luther King Jr.'s "I Have a Dream" speech marked 1963

@highlight

Fifty years later, 2013 offered an opportunity to revisit those events

@highlight

Other civil rights milestones plus cultural touchstones made it a pivotal year