(CNN) -- Last month I joined Earvin "Magic" Johnson to watch the Los Angeles Clippers and Golden State Warriors at the Staples Center, and I became immersed in the excitement of a great NBA game.

My excitement would later turn into disappointment and anger as a result of the controversial statements made by Clippers owner Don Sterling.

All of his statements are troubling, but his most recent -- that Magic Johnson hasn't done anything to help the black community -- is just dead wrong.

That Sterling -- who has until May 27 to respond to the NBA's charges and efforts to terminate his ownership rights -- equates help with handouts shows his flawed and outdated understanding of charity and philanthropy. While Sterling gave an inconsequential amount of cash to the L.A. chapter of the NAACP to help dilute his well-documented record of racism, Magic used his millions to bring economic development to struggling black communities, to create businesses and jobs, to encourage black entrepreneurship and to inspire other black businessmen and businesswomen to invest in inner cities.

The protracted discourse this country has been having about race and the NBA offers a real opportunity to foster a more long-term solution to the economic disparity in black communities.

The NBA and players should work together to create more pathways to team ownership and more business opportunities across the league's supply chain for African-Americans and other minorities. This would be good not only for the league and players, but for minority businesses, fans, and the many youngsters who aspire to sports careers. I can't think of a better person to help lead such efforts than Magic.

What Sterling doesn't understand, but Magic does, is that "help" in the 21st century economy is about investing in people and communities so that they can become economically empowered. It's about providing opportunities that can make individuals more financially independent and make black families more financially solvent. It's about creating businesses that bring money into black communities, and keeping the money there.

Opinion: The 5 apology rules that Sterling broke

Unlike many professional athletes, Magic has always understood the economic impact of sports and sought to extend his financial clout to the broader community. As he said in a recent interview with CNN's Anderson Cooper, "My whole life is devoted to urban America. We go back and educate others on how they can be successful. It's not about giving them money. It's about giving them tools."

Whether through real estate investments, Magic Johnson Theaters, restaurants, fitness centers, sports teams or Starbucks franchises, Magic has been transforming urban centers and in doing so may attract other businesses that wrote off black communities and their buying power.

Over the last three decades, startups by entrepreneurs -- companies less than five years old -- have accounted for most of the new jobs in the private sector. Arguably, the scarcity of these new, dynamic, fast-growing companies in black communities has contributed to some of the chronic unemployment we see today, the very joblessness that often lies at the root of so many of our broader social problems, from drug dealing and gang violence to neighborhood decay and broken families.

These challenges defy easy solutions. However, a new corner store here or a barbershop there can't create widespread economic opportunity. Targeted government programs can help, but long-term, private-sector investment is absolutely critical for economic sustainability.

Magic understood early on the business of basketball. He leveraged his relationships and successfully made the transition from athlete to entrepreneur. He is an important role model to youngsters who are eager to be successful in sports but clueless about how to get there.

Opinion: Sterling apology was an epic fail

I witnessed firsthand the sway that Magic had as a surrogate during the 2008 presidential race, when I was a senior adviser to the Obama campaign, coordinating the involvement of many athletes and entertainers.

Young people responded enthusiastically to Magic, energized by their hero and the prospect of a young black president who played ball himself. Few of these young people will become NBA players, but lots can own businesses.

Magic represents an important nexus between the little boys who play on the neighborhood basketball courts and the big boys who play on Wall Street. His entrepreneurship represents the bridge from poverty to prosperity.

Other professional athletes can build bridges, too, but they have to see themselves as modern-day entrepreneurs with real power to make a difference, as comfortable speaking in corporate boardrooms as they are playing ball, and as interested in owning businesses as they are in being big-ticket consumers with expensive homes and cars.

The NBA generates over $4 billion annually and the top 10 players reportedly earn a combined $200 million dollars combined each year. With that kind of money they can afford to invest in high-growth companies in energy, technology and advanced manufacturing that create high paying jobs. Athletes also can challenge companies whose products they endorse to locate manufacturing and distribution facilities in distressed urban areas.

While they're at it, they should certainly work towards pooling their resources, buying teams, and ensuring a culture of diversity, integrity and mutual respect.

Unlike Don Sterling's shameful and insincere attempts to buy credibility in the black community, that's something the players' millions can actually attain.

Join us on Facebook.com/CNNOpinion.

@highlight

Rick Wade says Magic Johnson has put his money where his mouth is in the urban market

@highlight

Donald Sterling criticized Johnson: "What does he do for the black people? He doesn't do anything."

@highlight

Sterling, says Wade, is just dead wrong

@highlight

Johnson has invested in real estate, theaters, restaurants, sports teams and Starbucks franchises