(CNN) -- Five former Blackwater Worldwide security guards indicted on voluntary manslaughter and other charges in connection with killings in Iraq were released on their own recognizance Monday after a court hearing.

Dustin Heard, an ex-security guard from Blackwater Worldwide, surrenders Monday in Salt Lake City, Utah.

The charges, which the Justice Department announced Monday, stem from a September 16, 2007, shooting that killed 17 Iraqis in a Baghdad square.

A judge ordered the ex-guards to appear for another court hearing in Washington on January 6.

The 35-count indictment charges each of the former guards with 14 counts of manslaughter, 20 counts of attempted manslaughter and one count of using a firearm in the commission of a violent crime.

Prosecutors do not believe they have enough evidence to bring manslaughter charges on three of the 17 deaths.

If convicted, the defendants would face a maximum sentence of 10 years in prison for each manslaughter count, seven years in prison for each count of attempted manslaughter and a 30-year mandatory minimum sentence for the firearms charge.  Watch victims speak of the shooting »

The men named in the indictment are Donald Ball, 26, of West Valley City, Utah; Dustin Heard, 27, of Maryville, Tennessee; Evan Liberty, 26, of Rochester, New Hampshire; Nicholas Slatten, 24, of Sparta, Tennessee; and Paul Slough, 29, of Keller, Texas.  Watch Ball's mother speak out »

A sixth former security guard -- Jeremy P. Ridgeway, 35, of California -- pleaded guilty last Friday in Washington to voluntary manslaughter and attempt to commit manslaughter.

The five men turned themselves in to federal authorities in Salt Lake City, Utah, on Monday morning and then were released on their own recognizance, which means that they were released without bail on a promise that they will return for the trial.  Watch the scene in front of the courthouse »

"We take no pleasure in charging individuals whose job it was to protect the men and women of our country," said Jeffrey A. Taylor, U.S. attorney for the District of Columbia. "But when individuals are alleged to have violated the law while carrying out those duties, we are duty-bound to hold them accountable, as no one is above the law, even when our country is engaged in war."

The indictment of the five men represents the first prosecution of non-Defense Department contractors under the Military Extraterritorial Jurisdiction Act, which was amended in 2004 to allow the Justice Department to prosecute such personnel providing services "in support of the mission of the Department of Defense overseas."

The attorneys for the defendants say that Blackwater's employees in Iraq are exempt from the provisions of the act because the company has a contract in Iraq with the State Department, not the Defense Department.

Mark Hulkower, defense attorney for Slough, blamed the killings on insurgents who used civilians as "shields" in Iraq. Hulkower said his client and the other defendants were just trying to do their jobs in a very chaotic situation.

"These young men were fighting for their lives in a crowded area," Hulkower said to reporters on the steps of the courthouse Monday. "What happened was a tragedy, but not every tragedy is a crime. We are confident that this case will be dismissed."

The federal magistrate judge in the case initially ordered all five suspects barred from using firearms as one of the conditions for their release. Attorneys in the case argued against this vigorously, saying the suspects were hunters and one of the suspects needed to use a gun for his job as a court bailiff.

The judge allowed the court bailiff, Ball, to use his gun for work but barred the others from using firearms.

The hearing was packed with relatives of the suspects, and about a dozen soldiers in uniform could be seen in the courtroom.

Defense attorneys pushed for the Utah judge to have a probable cause hearing, a preliminary hearing that determines if the government has enough evidence to go to trial.

But the judge ordered that the probable cause hearing should occur on January 6 in Washington.

The six guards were informed during the summer that they were targets of the investigation into the 2007 shooting.

Blackwater says its employees were returning fire after coming under attack from armed insurgents, but an Iraqi investigation concluded that the guards randomly fired at civilians without provocation.

The former guards' company, Blackwater Worldwide, will not face charges.

In a statement released shortly after the indictments were announced, Blackwater reiterated its position that its former employees had not acted improperly.

"Based on the information available to us, we understand that these individuals acted within the rules set forth for them by the government and that no criminal violations occurred," the statement said.

Blackwater also complained about a number of "misguided assumptions and generalizations that surrounded this unfortunate incident. ... [Blackwater's] work has been mischaracterized and all of our personnel unfairly maligned."

At the same time, the company noted that if "it is determined that an individual acted improperly, then Blackwater supports holding that person accountable."

None of the former guards has worked for Blackwater since 2007, company spokeswoman Anne Tyrrell said.

An Iraqi official familiar with the investigation said that an FBI team and two U.S. prosecutors working on the case will meet in Baghdad on Saturday with more than 60 Iraqis involved in the incident. The meeting is intended to brief the Iraqis on the status of the case.

Blackwater said its guards were protecting a U.S. diplomatic convoy when they came under attack from armed insurgents. The guards returned fire, Blackwater said.

But an Iraqi investigation called the killings "premeditated murder" and accused the guards of firing on civilians indiscriminately. The first U.S. soldiers to arrive on the scene told military investigators they found no evidence the contractors were fired upon, a source familiar with a preliminary U.S. military report told CNN.

The indictments are "a step in the right direction," said Mohammad Abdul Razzaq, whose 9-year-old son, Ali, was killed at Nusoor Square in Baghdad. "It was heinous crime and a painful incident, [but] we can overcome that if a just verdict is handed down."

Hassan Salman, an Iraqi lawyer wounded in the shootings, said that the "American judicial system, known for its integrity, should hand down [to] the perpetrators of this heinous crime against the Iraqi people nothing less than death sentences."

The complex legal case has been dogged by difficulties and may present a major challenge to federal prosecutors.

Among the potential problems is that the law under which the charges are expected to be brought covers contractors working for the U.S. military, but the Blackwater guards were contracted by the State Department. Some independent legal experts question whether U.S. courts have jurisdiction in this case.

Also muddying the waters are alleged assurances of immunity given to the guards by State Department diplomatic security agents investigating the incident before the FBI got involved.

The State Department said its agents did not offer blanket immunity from criminal prosecution but only promised that statements the guards made on the scene could not be used against them in any prosecution.

But when the investigation was turned over to the Justice Department to examine possible criminal activity, FBI agents discovered some guards believed they were immune from prosecution and therefore refused to be interviewed again, complicating the FBI probe.

The shooting heightened tensions between U.S. and Iraqi government officials and contributed to a protracted debate over the extent of immunity that U.S. military personnel and civilian contractors have from Iraqi laws.

Security contractors had immunity from Iraqi law under a provision put in place in the early days of the U.S.-led occupation of Iraq. But starting next year, under a U.S.-Iraq security agreement that Baghdad approved last week, Iraq will have the "primary right to exercise jurisdiction" over U.S. contractors and their employees.

The State Department, which employed Blackwater to protect U.S. diplomats and other employees, renewed Blackwater's contract this year over strong objections from the Iraqi government.

CNN's Kevin Bohn, Terry Frieden, Jomana Karadsheh, Elise Labott, Justine Redman, Alan Silverleib and Kara Finnstrom contributed to this report.

@highlight

A 35-count indictment charges each of five former guards

@highlight

Ex-guards from Blackwater Worldwide surrender to authorities in Utah

@highlight

A sixth Blackwater guard has pleaded guilty to voluntary manslaughter

@highlight

Ex-guards are charged in 2007 shootings that killed 17 Iraqis