(CNN) -- Evidence of atrocities including mass killings emerged Tuesday in South Sudan, and the U.N. Security Council voted unanimously to send thousands more troops to protect civilians in the young nation convulsed by violence.

The council's vote could nearly double the size of the U.N. peacekeeping force in the country, allowing for up to 12,500 military troops and 1,323 police to patrol there.

"Even with additional capabilities, we will not be able to protect every civilian in need in South Sudan," Secretary General Ban Ki-moon said after the unanimous Security Council vote that urged the clashing parties to seek a peaceful solution.

"There is no military solution to this conflict," Ban said, later adding that "in this season of peace, I urge the leaders of South Sudan to act for peace."

U.N. Assistant Secretary-General Toby Lanzer tweeted that more accounts were reaching him of human rights abuses amid the widening violence that has stoked fears of an all-out civil war in the world's newest country.

"Mass extrajudicial killings, the targeting of individuals on the basis of their ethnicity and arbitrary detentions have been documented in recent days," U.N. High Commissioner for Human Rights Navi Pillay said in a statement.

Ban also cited reported rapes and mass graves, and warned that such atrocities could constitute war crimes.

One U.N. official saw 14 bodies at a mass grave in Bentiu and another 20 on a nearby riverbank, said Ravina Shamdasani, a UNHCR spokeswoman for the commissioner.

"As for the other two reported graves in Juba, we are still working to verify but it is very difficult, and there are reports that some bodies may have already been burned," she said.

South Sudan's breathtaking descent into widespread conflict comes a little more than two years after the nation was ushered into existence with help from international powers after decades of civil war between separatists in the oil-rich south and Sudan's northern government.

Fighting began midmonth after President Salva Kiir said forces loyal to the country's dismissed vice president, Riek Machar, launched a coup attempt. Kiir and Machar are longtime rivals.

In an interview with CNN, Machar denied there was a coup attempt.

South Sudan has suffered from sporadic violence since its formation in 2011.

But the broad nature of this conflict and the intensity of the violence -- which U.N. officials say has taken on ethnic overtones -- have raised fears of another genocide along the lines of Rwanda, the African nation where 800,000 people were slaughtered in 1994, according to the United Nations.

Ban said Tuesday that he was asking countries contributing troops and other support to existing missions to allow their forces to be shifted to the South Sudan mission as part of the additions approved by the Security Council's 15-0 vote.

He said the request to borrow from other missions was intended to speed up the often lengthy process of getting them authorized and moved into place.

"We need at least five battalions and police officers and attack helicopters and utility helicopters, transport airplanes," Ban said.

He also noted casualties to U.N. forces in South Sudan in the past week, including three members of the U.N. Mission in South Sudan injured Tuesday at the U.N. base in Bor.

Marines on standby

Meanwhile, about 150 U.S. Marines flew from Spain to Djibouti, hundreds of miles to the east, to prepare for possible participation in helping evacuate Americans.

A U.S. defense official said 50 of the Marines moved closer to South Sudan by going to Entebbe in Uganda, CNN Pentagon Correspondent Barbara Starr reported Tuesday.

In a statement, the U.S. military's Africa Command said Monday it was positioning the Marines to be able to respond should conditions deteriorate even more. The decision grew out of the U.S. experience in Benghazi, Libya, where an attack last year killed U.S. Ambassador Christopher Stevens and three other Americans. No U.S. forces were close enough to respond quickly.

"One of the lessons learned from the tragic events in Benghazi was that we needed to be better postured, in order to respond to developing or crisis situations, if needed. These precautionary movements will allow us to do just that," the command said in its statement.

According to a senior administration official, 380 Americans and about another 300 third-country nationals have been evacuated.

"Based on registration, there are American citizens in other towns and areas throughout South Sudan. We are trying to track down how many may still be there. Many may have gotten out on their own. We are trying to track that down," the official said.

On Sunday, all Americans who showed up at the U.N. camp in the flashpoint town of Bor were evacuated safely, the State Department said. A State Department official said about 15 Americans were flown out Sunday. U.N. civilian staff were moved from a compound in Bor to Juba, the capital, on Saturday.

Continued fighting

Sudanese forces retook Bor after a nearly six-hour fight Tuesday, Defense Minister Kuol Manyang Juuk said. During his Christmas address to the public, President Kiir confirmed that the military had reclaimed Bor. There was no immediate independent confirmation.

Sudanese military spokesman Col. Philip Aguer also predicted Tuesday that government forces would soon recapture the oil-rich Unity state.

Government forces and opposition fighters also clashed Tuesday in Malakal, he said.

The United Nations said fighting had spread to five of South Sudan's 10 states.

It described the situation in Juba as "stable but tense," but said conditions in Jonglei were deteriorating, with reports of clashes between armed factions near Bor, the site of a U.N. peacekeeping base. Conditions were also tense in Bentiu, where the United Nations reported military units on the move amid sporadic fighting.

The United Nations also said it had credible reports civilians were being attacked and killed based on their ethnicity, and reported that private property and the facilities of some humanitarian groups were being looted.

Kiir called for calm and unity in his Christmas message. He expressed willingness for a peaceful settlement of differences with his former vice president and all other groups who have taken up arms against government forces.

Humanitarian concerns

Meanwhile, U.N. officials struggled to make accommodations for some 45,000 people crowding its compounds seeking shelter from the violence. Nearly as many people were seeking shelter elsewhere.

U.N. officials said they have concerns about health conditions among those fleeing the fighting and urged assistance for medical care and other needs.

The U.N.'s Lanzer, who visited the base in Bor on Monday, said in a statement he had heard "heartbreaking accounts of people's suffering."

Ban said Monday the United Nations would do its utmost to protect civilians.

"The U.N. stood with you on your road to independence," he said in a message to the people of South Sudan. "We will stay with you now. I know that the current situation is causing great and growing fear. You are seeing people leave the country amid increasing chaos. The U.N. will stay with you."

Diplomatic efforts

Secretary of State John Kerry has spoken with Machar in a bid to get talks started between the former vice president and the government, a senior State Department official told CNN.

"He urged him to implement a cease-fire and begin mediated political talks," the official said.

Ethiopia's foreign minister is leading regional leaders' efforts to find a political resolution to the crisis, British Foreign Secretary William Hague said in a statement Tuesday. Hague said he'd sent a senior British diplomat to Juba to support the political process.

"South Sudan was a country born amid hopes of increased peace and prosperity for its people," Hague said. "The gains made over the past two years should not be thrown away."

The European Union's foreign affairs minister, Catherine Ashton, said the violence threatens to send South Sudan "spiraling into a disaster for both its own people and the region."

"Such a situation can, and must be avoided," she said in a statement.

As Ban did Monday, she called for all sides to begin talks to resolve their differences.

"This dialogue must include all groups, including those whose leaders are currently imprisoned and those in revolt against the government," she said. "The use of force will achieve nothing, and all must use their influence to immediately cease hostilities and prevent further fighting which will only cause the further shedding of innocent blood."

CNN's Khushbu Shah, Mariano Castillo, Jennifer Rizzo, Marie-Louise Gumuchian, Barbara Starr, Nana Karikari-apau, Salma Abdelaziz and Antonia Mortensen and journalist Mading Ngor in Juba, South Sudan, contributed to this report.

@highlight

NEW: A senior British diplomat arrives in Juba to help with negotiations

@highlight

U.N. chief says new forces to include troops, police, helicopters

@highlight

Ethnic killings and mass graves reported in South Sudan, U.N. official says

@highlight

U.S. Marines are on standby to help rescue Americans stranded in South Sudan