(CNN) -- Why dream of a white Christmas? People in the upper Midwest are fully expecting a white Veterans Day on Tuesday.

An icy blast out of Canada is expected to drop a swath of snow from Idaho down through South Dakota and northern Nebraska and over to northern Michigan.

An earlier-than-usual deep freeze in the Midwest will follow, sending cold but not frigid temperatures to other parts of the United States by Thursday.

In Saint Paul, Minnesota, CNN iReporter Katie Robinson was surprised by the early advent of winter weather. She woke up Monday to find snow on the ground.

"This is the first snow I've seen this season, and it's a major snowstorm, rather than the usual light dusting you'd expect to start off the winter with," she said." I think that's the biggest thing -- that we went from a very warm and mild fall to now being thrust so abruptly into winter."

Minneapolis got several inches of snow on Monday and expected more on Tuesday morning. But heavier snow fell not far away. St. Augusta, Minnesota, about 70 miles northwest of Minneapolis, reported a whopping 16.5 inches of snow Monday, according to the National Weather Service.

"Right now it's freezing to the roads, creating slippery conditions," said Sgt. Andy Rose of the Stearns County Sheriff's Office, a jurisdiction that includes St. Augusta. "Plow trucks are having trouble with it. It just throws cars in ditches.

"We've managed to get everybody home. We don't have anyone stuck at convenience stores or service stations. It's very slow going though."

Temperatures plummeted on Monday across the Midwest. In Billings, Montana, the Sunday high was 53, but on Monday, it barely got into the 20s. By Tuesday, it will be only 8.

The weather is the result of a "bomb cyclone" -- a swiftly and markedly intensifying storm -- that shifted the path of the jet stream and sent cold air rushing toward the United States, CNN meteorologist Dave Hennen said.

A weekend buzz

But people in the North know how to deal with snow. It even excites them.

"This has been the buzz this weekend," Greg Graves, an employee at Mel's Trading Post in Rhinelander, Wisconsin, told CNN affiliate WJFW.

"Everyone is talking about the storm that we are supposed to be getting. Most of our customers love to be outdoors so everyone is really looking forward to it," he said.

In Eau Claire, Jason Stuttgen told CNN affiliate WQOW the snow's coming at the perfect time.

"Especially two weeks before gun hunting (season), that's always going to help the deer move," he told the station.

Despite the enthusiasm, some problems were evident.

Flightaware.com reported that 153 flights were canceled Monday at Minneapolis-St. Paul airport. That's a lot, especially considering only 225 cancellations were reported across the entire United States. Slippery roads were reported throughout the region.

Minnesota State Patrol spokesman Lt. Eric Roeske said troopers responded to 475 crashes from 5 a.m. to 7 p.m. Monday, 45 with injuries and one fatal. He reported 702 spinouts and incidents of vehicles running off the road.

In Wisconsin, a school bus slipped off a road in Outagamie County, according to CNN affiliate WBAY. No students were hurt, but the driver and an aide were taken to a hospital for evaluation, the station reported.

The coming snowfall could snap tree limbs and branches, bring down power lines and cause widespread outages, said CNN meteorologist Tom Sater.

"It's OK to get a nice cold snap now and then, but this one could be dangerous," Sater said.

The northern Mountain States, the Plains and the Midwest are not the only targets. Much of the nation will feel the punch of cold weather, if not quite as hard, according to CNN meteorologists.

"I think we're all going to be feeling the bite," CNN meteorologist Indra Petersons said.

Prefer snow or cold?

It's hard to decide whether the snap will be more bearable in Sunburst, Montana, or in Rice Lake, Wisconsin.

If you prefer bitter cold over deep snow, you might like it better in Sunburst. It didn't exactly live up to its name early Monday with a low of 4 degrees predicted by the National Weather Service.

And that was nothing.

By Tuesday night it should drop to 11 below zero, and it won't rise above 6 degrees through Thursday night, the NWS forecasts.

Snow fell there early Monday and was expected to continue through Tuesday, but only about 3 inches should accumulate.

Not enough snow for you? Then Rice Lake is your place.

Fourteen to 22 inches were forecast for Monday and overnight into Tuesday, then 2 to 4 inches for Veterans Day on Tuesday for a whopping total of 16 to 26 inches.

Broad sweep south

The cold snap will bring lows in the teens and single digits into Iowa, Kansas and Colorado this week but also spread freezing temperatures as far south as Texas.

"Much of the nation east of the Rockies is expected to see a major pattern change by the beginning of the work week," the weather service said.

The frosty blast will move across the rest of the United States but not be as harsh as in the Midwest.

Atlanta and Birmingham, Alabama, are expecting daytime high temperatures of 46 on Friday, according to the National Weather Service. That was close to the nighttime low for both cities on Monday.

But even in the thick of it, some places will pull the longer straw. Milwaukee should see more rain than snow, Chicago the same, and temperatures there should be relatively mild, the weather service said.

Thanks, Nuri!

Residents in the northern United States can thank a whopping Pacific tropical cyclone for the wintry blast.

Super Typhoon Nuri was akin to Hurricane Katrina and Superstorm Sandy rolled into one. It had the strength of a category 5 hurricane, CNN's Sater said.

It is the strongest Northern Pacific post-tropical cyclone on record, the NWS said.

Its remnants explosively intensified up north over Alaska's Aleutian Islands last week and plowed into cold air, which added violent energy to the storm. It was similar to what happened with Superstorm Sandy in the Atlantic two years ago and earned the storm the little-used "bomb cyclone" moniker.

The hybrid storm rammed into the jet stream, causing it to whip south, dragging Arctic air down with it.

It also continued to spin, Sater said, further fanning down polar cold. The biggest chill arrives on Wednesday and Thursday.

Things will get warmer over the weekend, but it won't stay that way, he said.

Another Arctic blast is on its way for next week.

CNN's Dave Alsup contributed to this story.

@highlight

NEW: Minnesota State Patrol reported 475 crashes on Monday, including one fatality

@highlight

Meteorologist says weather is result of a "bomb cyclone" -- a swiftly and markedly intensifying storm

@highlight

"Everyone is talking about the storm," Wisconsin man tells CNN affiliate

@highlight

Expect snow from Idaho to South Dakota, northern Nebraska to Michigan