(CNN) -- Late one afternoon in the summer of 2006, I found myself in a small village in northern Vietnam, sitting around a sooty kitchen fire with a number of local women whose language I did not speak, trying to ask them questions about marriage.

For several months already, I had been traveling across Southeast Asia with a man who was soon to become my husband. I suppose the conventional term for such an individual would be "fiancé," but neither one of us was very comfortable with that word, so we weren't using it. In fact, neither one of us was very comfortable with this whole idea of matrimony at all.

Marriage was not something we had ever planned with each other, nor was it something either of us wanted. Yet providence had interfered with our plans, which was why we were now wandering haphazardly across Vietnam, Thailand, Laos, Cambodia and Indonesia, all the while making urgent -- even desperate -- efforts to return to America and wed.

The man in question had been my lover, my sweetheart, for over two years by then, and in these pages I shall call him Felipe.

Felipe is a kind, affectionate Brazilian gentleman, 17 years my senior, whom I'd met on another journey (an actual planned journey) that I'd taken around the world a few years earlier in an effort to mend a severely broken heart. Near the end of those travels, I'd encountered Felipe, who had been living quietly and alone in Bali for years, nursing his own broken heart. What had followed was attraction, then a slow courtship, and then, much to our mutual wonderment, love.

Our resistance to marriage, then, had nothing to do with an absence of love. On the contrary, Felipe and I loved each other unreservedly. We were happy to make all sorts of promises to stay together faithfully forever. We had even sworn lifelong fidelity to each other already, although quite privately.

The problem was that the two of us were both survivors of bad divorces, and we'd been so badly gutted by our experiences that the very idea of legal marriage -- with anyone, even with such nice people as each other -- filled us with a heavy sense of dread.

As a rule, of course, most divorces are pretty bad (Rebecca West observed that "getting a divorce is nearly always as cheerful and useful an occupation as breaking very valuable china"), and our divorces had been no exception.

On the mighty cosmic one-to-10 Scale of Divorce Badness (where one equals an amicably executed separation, and 10 equals . . . well, an actual execution), I would probably rate my own divorce as something like a 7.5.

No suicides or homicides had resulted, but aside from that, the rupture had been about as ugly a proceeding as two otherwise well-mannered people could have possibly manifested. And it had dragged on for more than two years.

As for Felipe, his first marriage (to an intelligent, professional Australian woman) had ended almost a decade before we'd met in Bali. His divorce had unfolded graciously enough at the time, but losing his wife (and access to the house and kids and almost two decades of history that came along with her) had inflicted on this good man a lingering legacy of sadness, with special emphases on regret, isolation and economic anxiety.

Our experiences, then, had left the two of us taxed, troubled and decidedly suspicious of the joys of holy wedded matrimony. Like anyone who has ever walked through the valley of the shadow of divorce, Felipe and I had each learned firsthand this distressing truth: that every intimacy carries, secreted somewhere below its initial lovely surfaces, the ever-coiled makings of complete catastrophe.

We had also learned that marriage is an estate that is very much easier to enter than it is to exit. Unfenced by law, the unmarried lover can quit a bad relationship at any time. But you -- the legally married person who wants to escape doomed love -- may soon discover that a significant portion of your marriage contract belongs to the state, and that it sometimes takes a very long while for the state to grant you your leave.

Thus, you can feasibly find yourself trapped for months or even years in a loveless legal bond that has come to feel rather like a burning building. A burning building in which you, my friend, are handcuffed to a radiator somewhere down in the basement, unable to wrench yourself free, while the smoke billows forth and the rafters are collapsing. ...

I'm sorry -- does all this sound unenthusiastic?

I share these unpleasant thoughts only to explain why Felipe and I had made a rather unusual pact with each other, right from the beginning of our love story. We had sworn with all our hearts to never, ever, under any circumstances, marry. We had even promised never to blend together our finances or our worldly assets, in order to avoid the potential nightmare of ever again having to divvy up an explosive personal munitions dump of shared mortgages, deeds, property, bank accounts, kitchen appliances and favorite books.

These promises having been duly pledged, the two of us proceeded forth into our carefully partitioned companionship with a real sense of calmness.

For just as a sworn engagement can bring to so many other couples a sensation of encircling protection, our vow never to marry had cloaked the two of us in all the emotional security we required in order to try once more at love. And this commitment of ours -- consciously devoid of official commitment -- felt miraculous in its liberation. It felt as though we had found the Northwest Passage of Perfect Intimacy -- something that, as García Márquez wrote, "resembled love, but without the problems of love."

So that's what we'd been doing up until the spring of 2006: minding our own business, building a delicately divided life together in unfettered contentment. And that is very well how we might have gone on living happily ever after, except for one terribly inconvenient interference.

The United States Department of Homeland Security got involved.

@highlight

Elizabeth Gilbert is the author of "Eat, Pray, Love," a huge bestseller

@highlight

New book chronicles her love affair with and marriage to man she met in Indonesia

@highlight

The couple swore not to marry, but was "sentenced to wed" due to his immigration problems

@highlight

Author decided to get over her fear of marriage by researching the institution