Concerns about even remote chances of Ebola exposure rippled Friday from a U.S. airline to a cruise ship off Belize, with Frontier contacting hundreds who flew with an infected nurse and Carnival quarantining a health worker only tangentially linked to an Ebola patient's care.

The airline's move relates to Amber Vinson, a Dallas nurse who treated an Ebola patient and then was diagnosed with the virus this week after flying round trip between Dallas and Cleveland. A Centers for Disease Control and Prevention official said Thursday she could have had symptoms earlier than believed -- a period possibly covering her two flights on Frontier Airlines.

Frontier spokesman Todd Lehmacher said that, by early Friday evening, airline officials had contacted as many as 800 passengers, including those on Vinson's October 10 flight to Cleveland, her October 13 return flight to Dallas and five other trips taken by the latter plane before it was taken out of service. The CDC, even as it said these passengers have an extremely low chance of getting Ebola, is reaching out to those on Vinson's flights.

Vinson is one of two nurses at Dallas' Texas Health Presbyterian Hospital who became ill with Ebola while treating Thomas Eric Duncan, a Liberian man who was the first person diagnosed with Ebola in the United States and died October 8.

She was hospitalized Tuesday, one day after her return flight from Ohio, where she was visiting family and planning her wedding. Vinson was moved Wednesday  to Atlanta's Emory University Hospital. The other nurse, Nina Pham, is being treated at a National Institutes of Health facility in Maryland.

Authorities initially said Vinson had a slightly elevated temperature of 99.5 degrees Fahrenheit (37.5 Celsius), which was below the fever threshold for Ebola, but didn't show any Ebola symptoms on her Monday flight. This is significant because a person isn't contagious with Ebola, which spreads through the transmission of bodily fluids, until he or she has symptoms of the disease.

Her uncle, Lawrence Vinson, said Thursday night his niece didn't feel sick until the morning after her return to Dallas. And the CDC's Dr. Chris Braden said Friday that Vinson didn't have classic Ebola symptoms like a sore throat, fever or muscle aches on her trip.

But Braden said that she may have started feeling off on October 11, and investigators couldn't rule out her illness starting the previous day -- when she flew from Texas to Ohio.

"She rested for a long time on some days; she said she felt funny," he said of Vinson's state during her trip. "Those types of things, but nothing specific."

Ebola in U.S.: Who has it, who doesn't, who might

Belize refuses to let possible Ebola case disembark

The Frontier passengers and crew members aren't the only ones to find themselves thrust into the Ebola story.

So, too, are 16 people being monitored in northeast Ohio -- including two employees at a bridal store Vinson visited -- because they were in the vicinity of or had contact with her, health officials there say.

There also are 48 people who had contact with Duncan in Texas before he was hospitalized. Their 21-day monitoring period, during which their movement has been restricted, will end Sunday, at the latest.

"Monday afternoon is when we're going to start piecing our lives together," Aaron Yah said. Yah said he is the husband of Youngor Jallah, the daughter of Duncan's fiancee. Yah said he hadn't been able to go to work the past three weeks.

Then there are the 76 health care workers involved in Duncan's treatment, one of whom is now in the middle of the Gulf of Mexico and a diplomatic kerfuffle.

That Texas Health Presbyterian Hospital worker did not have direct contact with Duncan, but "may have had contact with his specimen," the U.S. State Department said on Friday. It has been 19 days since that may have happened -- two days shy of the maximum 21-day Ebola incubation period.

Carnival CEO Arnold Donald told CNN's Richard Quest the woman is a lab supervisor and "has no symptoms whatsoever." Even so, she was isolated on the ship.

"We have a lot of experience in the cruise industry," said Donald, citing diseases such as SARS, H1N1 and the flu. "... The CDC has protocols in place; we're following those protocols."

The vessel is heading back to Galveston, Texas, with the passenger on board. But that's not what the U.S. government wanted.

U.S. State Department spokeswoman Marie Harf said the plan was for the passenger to get on land in Belize, then be flown back to the United States. The Belize government refused to let the passenger leave the ship, given the potential Ebola exposure, despite a plea from U.S. Secretary of State John Kerry to Belize Prime Minister Dean Barrow.

"There's a lot of misinformation out there and a lot of fear about this disease, much of it not rooted in actual facts," Harf said, adding that Belize authorities "could have handled (this situation) differently."

Belize's government responded Friday night, in a statement in which it also announced it is barring travel from Sierra Leone, Liberia, Guinea and Nigeria, by saying it "regrets (being) unable to move" the Dallas hospital worker "and her traveling companion" onshore for evacuation from an international airport.

"This decision was made out of preponderance of caution for the welfare of the citizens and residents of Belize," said the government, which didn't dispute that the passenger was low risk.

Nurse: My neck was exposed

All but a few of the thousands of documented Ebola cases originated in West Africa. Yet it's the two cases that spread here -- Vinson and Pham -- that have caused a fury in Texas, fueling fears and complaints about the procedures meant to keep health care workers safe.

One of those affected is Texas Health Presbyterian Hospital nurse Briana Aguirre. She said Thursday that the Dallas hospital didn't give her proper gear while she cared for Pham, even though it was more than a week into the Ebola response there.

Aguirre told CNN's Anderson Cooper that the gear she was given -- when she cared for Pham for one day -- included a Tyvex suit, gloves and booties that covered most of her body, but not her neck.

"I just told them, 'Why would an area so close to my mouth and my nose ... be exposed?' " Aguirre told Cooper. "And they didn't have an answer."

She said she asked supervisors about new gear and was told it had been ordered. But she said the better equipment should have been procured more quickly, and raised concerns for her colleagues who were more involved in Ebola care.

"I just know that the (two) nurses that have been infected, they were dealing with the same equipment while they were dealing with so much more than I dealt with personally," she said. "They put their lives on the line and without the proper equipment."

She also said that prior to Duncan's arrival in late September, nurses at the hospital had no mandatory Ebola training and only an optional seminar.

The hospital has said its professionals wore equipment consistent with CDC guidelines at the time.

Dr. Tom Frieden, the CDC's director, admitted at a congressional hearing Wednesday that "some forms of" health care workers' protective equipment "did allow exposure of some parts of the skin."

Given such concerns and the fact Pham and Vinson got Ebola at work, the CDC "very soon" will put out updated guidelines on putting on and removing protective gowns, masks, gloves and other gear, agency spokeswoman Barbara Reynolds said Friday.

Kerry: 'We have to do more' in West Africa

There have been eight confirmed cases of Ebola in the United States: Duncan, three missionaries, an NBC News freelance cameraman and a World Health Organization doctor infected in Africa, plus the two Texas nurses. The missionaries have all been released from hospitals, while the others are being cared for at Atlanta's Emory University Hospital, Nebraska Medical Center and the National Institutes of Health hospital in suburban Washington.

U.S. authorities' response goes well beyond providing medical care. Federal, state and local governments, Customs and Border Protection, various health agencies and even the U.S. military have all played a part in the response so far.

Thousands of American troops will help in West Africa, performing duties such as flying in supplies, building field hospitals and helping local authorities with logistics. Several U.S. military officials told CNN on Friday that the Defense Department is considering sending anywhere from a dozen to 100 of its health care professionals to help CDC officials in the region.

The Obama administration also will appoint Ron Klain -- former chief of staff to Vice Presidents Joe Biden and Al Gore -- as his "Ebola czar" in an effort to help streamline America's response.

There's also a press to recruit other countries to devote their own resources and money to help stem the months-long outbreak in West Africa, where all but a few of the roughly 9,200 reported Ebola cases and 4,555 deaths have occurred, according to the World Health Organization.

Kerry, the U.S. secretary of state, expressed disappointment Friday in the international response, saying "we are barely one-third of the way" to hitting the United Nations' $1 billion fundraising goal for the Ebola fight.

"We have to do more and we have to do it quickly," Kerry said. "... If we don't adequately address this current outbreak now, then Ebola has the potential to become a scourge like HIV or polio that we will end up fighting -- all of us -- for decades."

@highlight

Belize: Passenger with Ebola link not let in "out of preponderance of caution"

@highlight

Kerry calls Belize's leader to ask if cruise passenger can disembark, is rebuffed

@highlight

2 Dallas nurses contracted Ebola while caring for patient Thomas Eric Duncan

@highlight

Spokesman: Frontier done contacting up to 800 on flights linked to one nurse