(CNN) -- A federal appeals court on Monday struck down Virginia's ban on same-sex marriage, the first such decision in a southern state and another victory for gay and lesbian couples seeking the right to legally wed.

"We recognize that same-sex marriage makes some people deeply uncomfortable. However, inertia and apprehension are not legitimate bases for denying same-sex couples due process and equal protection of the laws," the divided three-judge panel of the 4th U.S. Circuit in Richmond concluded.

Utah wins delay in same-sex marriage

The decision follows similar conclusions reached in recent weeks by another federal appeals court when tossing out bans in Utah and Oklahoma.

Lower-court judges in a dozen states have also found voter-approved restrictions on the ability of same-sex couples to get married to be unconstitutional. The issue appears headed to the Supreme Court, eventually.

The 4th Circuit opinion also will affect marriage laws in other states within its jurisdiction, including West Virginia, North Carolina and South Carolina. Only Maryland has legalized same-sex marriage.

Separate orders would have to be issued for affected states in the region outside Virginia.

Gay and lesbian couples in Virginia cannot marry in the state for at least another three weeks, giving the time for another appeal to be filed on enforcement.

The Supreme Court will ultimately decide whether to review the constitutional issues pending in this case and those in several others, a process that may not begin at the earliest until later this year.

Virginia Gov. Terry McAuliffe said he was "overjoyed" at the ruling. He and Virginia's attorney general have refused to defend the ban in court as is tradition, leaving it to other state officials to make the case.

"This is a historic ruling for our commonwealth, and its effect will affirm once again that Virginia is a state that is open and welcoming to all," McAuliffe, a Democrat, said in a statement.

A federal judge in February struck down Virginia's ban on constitutional grounds. The prohibition has effectively been in place since Colonial days, but only incorporated into the state's constitution in 2006.

Victories for marriage equality supporters

Monday's ruling continues a near-unbroken string of state and federal court victories nationwide in the past year, giving marriage-equality supporters unbridled encouragement that their ultimate goal will be achieved: striking all laws limiting the rights of homosexuals to wed.

"The choice of whether and whom to marry is an intensely personal decision that alters the course of an individual's life," wrote Judge Henry Floyd in an opinion supported by Judge Roger Gregory. "Denying same-sex couples this choice prohibits them from participating fully in our society, which is precisely the type of segregation that the Fourteenth Amendment cannot countenance."

In dissent, Judge Paul Niemeyer said the issue should not be in the hands of the courts.

During May oral arguments, the three seemed to agree that both sides in the case were using the appeals court as "way-station up (Interstate) 95" to the Supreme Court.

Byron Babione, senior counsel with the group Alliance Defending Freedom, said Niemeyer noted correctly, in its view, that there is "no fundamental right to same-sex marriage and there are rational reasons for not recognizing it," and that states must be permitted to have the final word.

The group represents a plaintiff in defense of the ban, and is now weighing the next step.

Same-sex marriage is legal in 19 U.S states plus the District of Columbia: California, Connecticut, Delaware, Hawaii, Illinois, Iowa, Maine, Maryland, Massachusetts, Minnesota, New Hampshire, New Jersey, New Mexico, New York, Oregon, Pennsylvania, Rhode Island, Vermont, and Washington state.

Other cases in play

A separate federal appeals court next month will hear separate challenges to same-sex marriage bans in the four states in its jurisdiction: Michigan, Ohio, Kentucky, and Tennessee.

The challenge to Virginia's ban was brought by several plaintiffs, including Timothy Bostic and Tony London of Norfolk. Two Richmond-area women, whose marriage was formalized in California, but is not recognized in the commonwealth also brought suit.

Supporters of traditional marriage between one-man and one-woman have criticized the rulings in Virginia and other states, for expanding the right to homosexuals.

Thirteen months ago, the Supreme Court cleared the way for same-sex marriages in California to resume. More importantly, it also rejected parts of a federal law that had denied federal benefits, such as tax breaks, to same-sex spouses.

@highlight

The ruling was another victory for gay and lesbian couples seeking the right to wed

@highlight

The decision was from a three-judge panel of the appeals court in Richmond

@highlight

Decision also affects bans in North Carolina, South Carolina and West Virginia

@highlight

NEW: Ruling can be appealed to full appeals court; could wind up at Supreme Court