(CNN) -- "You are making our work here very difficult".

It is a side remark, uttered politely and quietly. Near the start of the "Kony 2012" video, a man says this. If you have seen the video -- and chances are you have -- you might have missed this small interaction just four minutes into the film. The man who is worried about having his work made more difficult tries to interrupt the filmmaker who is interviewing a child in the northern Ugandan city of Gulu. I don't know who that man was or what he was trying to do. The footage is so old it will be hard to establish. But his words turned out to be prophetic: "You are making our work here very difficult."

Jason Russell, the most prominent face of the group Invisible Children, has made the work of bringing about change very difficult indeed. Invisible Children's campaign is a well-packaged call to leave the state of affairs untouched; their message seems so modern because their tools are. The point made is conformist: Fight violence with violence, dismiss intricate steps of social change and make a narrow ideology mass-compatible by having millions of unquestioning people raise their fists in support. For the U.S., Europe and other generally comfortable corners of the world, this is a worrying picture of a mass culture that easily falls for propaganda.

For the world's less cozy places, to which the areas in which the Lord's Resistance Army has been active belongs, mass support for maintaining the status quo is a tragedy.

So what is the status quo? Well, it is indeed complicated. But suffice to say that for decades, this has been an intricate mix of violence that causes more violence, a violent government that garners international support by vilifying one side of the conflict, and international attention often reduced to uninformed celebrities expressing shock and horror. Crucially, it has been part of Ugandan government propaganda to make this war seem like the tour of personal madness of one man: Joseph Kony. This is the status quo that needs to be challenged.

What is the Invisible Children campaign doing? Advocating fighting violence with more violence? Garnering international support for a violent government? Having uninformed celebrities express shock and horror? Focusing this conflict on one person only? Having millions of people punch the air in cries for war and U.S. troops? And to what end?

The campaign advocates a narrow worldview. It is also a costly one. From 2006 to 2008, the situation regarding the conflict between the LRA and the government of Uganda looked promising. Violence subsided. The LRA left Uganda because they had signed up for peace talks -- slow, unpredictable and often irritating peace talks that did not come with a success guarantee. But the peace talks made the situation almost instantly better. Two years of talking cost less than $15 million.

There was no video with a mass appeal to the world to support the peace process. There was no call to the U.S. government to stop working with the Ugandan army, one of the perpetrators of violence in this war. The Invisible Children -- who visited the peace talks at various points -- decided not to take this slow and long-winded attempt at peace seriously. Invisible Children believe in war. They manage to make millions of people believe war is the best way to bring peace.

Peace talks turned into war in late 2008: Kony was reluctant to sign the agreement as it stood at the time. Invisible Children supported U.S. involvement; the U.S. supported the Ugandan army in upping the military pressure. Social change through peaceful means was given a deadline when the Ugandan army used U.S. planning help to bomb the LRA camp. War, the status quo, was back on. In the first few days of the ill-conceived military operation, a fighter plane worth millions of dollars was lost and thousands of people displaced or killed. War is a lot more expensive than peace.

War as advocated through this campaign has few subtleties. Video propaganda coupled with action kits and precise orders for what to do next leaves little room for thinking. A focus on one man who simply does not hold the reins in this conflict in the way that Invisible Children portray is myopic.

Social change needs subtleties. It needs room for negotiation, compromises, and shifting the debate. It also needs really boring things: tedious days of discussion and engagement, mind-numbingly unsexy drafting of agreements, and an open mind at all stages. And it needs very invisible people committed to working away on these things through small, but important contributions. These are not people who buy action kits and re-tweet. These are people who have just been told by the Invisible Children campaign that hanging a poster and wearing a bracelet is a better way to bring about social change, that the difficult political context in which they operate everyday, often at great personal risk and expense, can easily be solved if one man is removed.

"You are making our work here very difficult", says the man in the beginning of "Kony 2012." How right he was.

The opinions expressed in this commentary are solely those of Mareike Schomerus.

@highlight

Schomerus: "Kony 2012" is well-packaged call to maintain status quo

@highlight

Viral video about Ugandan warlord has more than 60 million YouTube views this week

@highlight

Film "makes millions of people believe war is the best way to bring peace"