(CNN)Gentlemen's clubs have been around since the 18th century, providing a safe haven for men who want to drink whiskey and read newspapers in peace. The original clubs are said to have started up in the West End of London, but exist all over the world with varying levels of exclusivity, only three now exclude all women.

Not content with just gaining entry to these clubs, women are starting to create their exclusive spaces, but they are a far cry from the old cigar infused billiard rooms of old. These high tech hubs house women from all walks of life and allow them to rest, work out and socialize away from the male gaze.

Whilst many of the clubs exist in London, the trend towards women-only spaces has begun to catch on across the Atlantic and may spread further.  Mary Aitken, founder and CEO of Verity explained that women have until now, "existed in a work/home rut" with no physical place to go, unlike their male counterparts who had clubs.

CNN's Leading Women looked at the newest of this wave of clubs.

1. Grace Belgravia

Location: Belgravia, London

Yearly membership: From £1,875 - 7,500/$2982 - 11,926

Men: Welcome after 6.30pm on weekdays, for Saturday and Sunday Brunch and on weekdays for breakfast from 7am - 9.30am. Also allowed in the medical clinic.

Motto: "Health is Wealth"

Grace Belgravia describes itself as a "private club for spirited, cultured, caring women who want the very best for their health and well-being."

On target for their goal of 700 members next year, the club is fully equipped with a spa, hamman, Atelier, restaurant, bar, relaxation areas and a gym complete with trainers who utilize a unique methodology specifically created around the female body, mind and spirit, founded in the concept of 'prehab' training.

After a work-out, members of the 11, 500 square foot club can eat fresh seasonal produce at the Grace Café and have access to the clubs private medical clinic.

"Grace very much reflects the values of Arianna Huffington's Third Metric, a piece which states that we must champion wellbeing, wisdom, wonder and giving in order to balance the quest for wealth and power," says founder Kate Percival.

"There's been a paradigm shift which means that increasingly women are seeking out other women's company. Not that they don't love their husbands and partners, but they often have deeper conversation with women than men. Women have become less competitive with each other, more embracing and there appears to be a sorority that is stronger than it's ever been.

"We are catering to that unique bond between women and fostering deeper connections. Grace is not remotely anti-men, just very pro-women."

2. The University Women's Club

Location: Audley Square, London

Yearly membership: From £114 - 609/$180 - 963

Men: Welcome as guests in all areas of the Club (except where en-suite facilities are not available) and at functions.

Motto: "A haven in London for educated women"

This club is for the educated woman, open to any female university graduate, the holder of a qualification from a professional body, or who has achieved experience and distinction in her field.

"The Club was founded in 1886 by a group of women who had studied at university (but at that time were not allowed to graduate) and found that there were no facilities for educated women in London at that time," says chairman Ann Hallam who is a consultant at a city law firm. "They were amongst the very first women who went to University."

Networking is encouraged during social events, dinners and talks by women such as Kate Adie, Ann Widdecombe and Baroness Williams of Crosby. The 870 members come from far and wide and eminent women including Elizabeth Garrett Anderson, Millicent Fawcett, Baroness Young have been members.

But it's a pretty exclusive place, women thinking of becoming members must be proposed and seconded by two existing members, those applicants who do not know a member will be invited to see the premises and to meet some of the members informally.

"(The club) has afforded opportunities to meet and make friends in a city where friendship and companionship may be hard to find," says Hallam. "Particularly for younger members to take advantage of the knowledge which older members are keen to pass on. Our oldest member is over 90."

Membership options reflect the diversity of the clients with reduced prices for those who are studying, live out of town or are under 30.

3. The Sorority

Location: Online

Yearly membership: From £1,500/$2,348

Men: Welcome at events

Motto: "What belongs to you will come to you, when you create the capacity to receive it."

This club is an online network for professional women who want to collaborate and inspire others. While this is not a physical club, the members, 4% of whom are royalty, meet regularly at selected luxury venues in London. Membership is by invitation only, although by filling out their online pledge, you can encourage them to consider you for membership, just be sure to have a good answer to the question; 'What do you value most in life?'

"The way women connect with each other is unique," says founder Lisa Tse. "We have a tendency to overly criticize ourselves and often underplay our successes and achievements. In a collegiate environment of women, we thrive as we are always so supportive of our friends and aim to bring out the best in each other in a way we never do for ourselves."

"We are also in desperate need of providing role models of real women living real lives who are successful on their own terms. We need to move away from traditional stereotypes of businesswoman and success and embrace the diverse and rich experience of inspiring women with amazing stories to tell."

Members have to demonstrate a unique achievement as a business woman, entrepreneur, leader or pioneer, examples of those who have made it in to The Sorority include entrepreneurial Saudi Princess Reema Bandar al Saud, Television chef Ching He Huang and BBC presenter Katie Derham.

4. The Trouble Club

Location: Soho, London

Yearly membership: From £10 - £50/$16 - $78

Men: Welcome

Motto: "She was looking for Trouble, and she found it"

The naughty younger sister and latest addition to the private members club family, the Trouble Club was founded by Joy Lo Dico, editor of Londoner's Diary in the Evening Standard, her team includes PR guru Zara Shirwan and Frankie McCoy. "There's something special about letting women - often in the minority in the work place - be in charge of the room" said Lo Dico when asked why she started the club.

After just 10 days, the club had 300 members who during the day are free to hot desk in the homely space on Lexington Street in Soho, but when the sun goes down, the space hosts talks by women from Stella Creasy to Nancy Del'Olio; "We want make talking politics, tech, science and sport part of the natural conversation of women," explains Lo Dico.

Membership is more straightforward that other clubs and the rates are kept low, so that no one feels they are priced out of the conversation. "We are terribly exclusive," jokes the website. "You'll need to be woman or a man, and be one of the following: smart/sociable/witty/trouble. Do you qualify?"

5. Verity

Location: Toronto, Canada

Yearly membership: From Cdn $2,950/$2610

Men: Welcome everywhere other than in the Spa, Swimming Pool or Fitness areas

Motto: "Discover the riches in investing in yourself"

Rather than focusing purely on pampering or building professional networks, Verity balances both with meeting rooms, fine dining and a boutique hotel alongside a women's-only spa and gym for their 850 plus members including Kim Campbell, one of Canada's former Prime Ministers and Canada's only woman PM.

"While I was working in the financial sector, I noticed that many women existed in a work/home rut," explained founder Mary Aitken, founder and CEO of Verity.

"Not through any fault of their own, but because there was no physical place where they could go, so they toggled endlessly between the two. But men have always had that third space -- their clubs -- to put deals together, to network, to expand horizons or simply to disconnect from a harried world. I wanted to create that for women. And we need it now more than ever, given that our roles and responsibilities have greatly expanded."

Time-starved women can arrange meetings and have an express manicures all under one roof. While men are welcome as guests, they are restricted from the swimming pool, spa and fitness areas, however 1/3 of the staff are men.

To aid the feeling of being in an oasis in the city, all phones must be kept on silent and children are only permitted during scheduled activities.

More: Does what women wear to work matter?

@highlight

Women-only private members clubs are becoming more and more popular

@highlight

Mainly based in London, these clubs offer spaces to work, socialize and relax

@highlight

With hefty membership fees and waiting lists, some of these clubs are pretty exclusive