(CNN) -- Despite the many differences I had with former President George W. Bush on a range of public policy issues, or as he called them, "decision points," I found common ground with him in one area, simply because we decided to put aside partisanship and do something good.

Hurricane Katrina's devastation and the bungled rescue efforts are seared in the national memory. Bush's "heckuva job" remark turned into a byword for government incompetence and public distrust. The shallowness of it coming at such a terrible and low point left deep wounds that are still healing. That was what it was.

But rather than rehash all that went wrong, I want to share what I believe to have been President Bush's determination to follow up on commitments, and the intense, personal, dedicated efforts he made to revive and restore people's futures. I know what I'm talking about.

Bush 43: 'History will ultimately judge'

Kathleen Blanco, Louisiana's governor in 2005, asked me to serve on the state's commission overseeing the long-term recovery from the damage caused by Hurricane Katrina. I've kept a close watch over the last eight years.

Hurricane Katrina wasn't one natural disaster: It was a triple whammy of water, winds and lawlessness. An Army Corps engineer on CBS talked this week about Midwest flooding: "Water is the perfect instrument of destruction," he said. He is so right: Katrina's waters laid waste to an area the size of Great Britain. Its winds reached 174 mph and, together, they took 1,833 lives.

Every member of my family was displaced by Katrina. Last year, I lost both my father and sister. But I had them with me that much longer because they were rescued from the aftermath of Hurricane Katrina. My father, Lionel, left New Orleans only two times in his life. The first was to serve his country in Korea. The second was when FEMA evacuated him to San Antonio, Texas.

How will history remember George W. Bush?

My older sister, Sheila -- people sometimes thought we were twins, we looked so much alike -- was in an assisted care home. Sheila developed a brain tumor in childhood. Brain surgery left her needing help, although she still managed to finish high school and college. When FEMA officials told me it might be weeks before we found Sheila, I was furious.

CNN's Wolf Blitzer made a public plea for nearby citizens to see if the residents had survived. Eddie Rodriguez of the Louisiana Department of Wildlife and Fisheries, and our cousin, Keith, a cop, rescued her from the building's rooftop. Most other residents had left before her. Sheila wouldn't leave until she saw someone she knew. Like so many others, she was relocated to Baton Rouge.

My 92-year-old great uncle Henry, a WWII vet, was plucked from another rooftop and transported to Roswell, Georgia, only to suffer a heart attack. All seven of my remaining siblings, my father, uncle, aunts, and other relatives, lost everything in Katrina. I was upset -- mad as hell -- and disappointed But, I made a decision not to act out -- act against Bush -- but rather to turn to his administration for help, and to offer my help.

"Mr. President," I said, "how can I help you?"

"Civility," he said.

Opinion: Jury is still out on Bush

Bitterness can corrode the soul. A grudge is like the chains on Marley's ghost. We can carry these chains in life and they weigh us down. President Obama and former President Bush have been working for eight years to change the atmosphere in Washington, to get Congress to move beyond pride and party.

So far, not even disasters or tragedies that have united the American people -- Hurricane Sandy, Sandy Hook, and Boston -- have moved the politicians. Not enough, anyway.

Bush understood the need for civility. I joined him despite my frustration because the need was too great for finger-pointing and blame-making. He flew to New Orleans and addressed the nation: "Tonight I also offer this pledge to the American people: Throughout the area hit by the hurricane, we will do what it takes. We will stay as long as it takes to help citizens rebuild their communities and their lives."

Glimpse at a White House before everything changed

George W. Bush was good as his word. He visited the Gulf states 17 times; went 13 times to New Orleans. Laura Bush made 24 trips. Bush saw that $126 billion in aid was sent to the Gulf's residents, as some members of his own party in Congress balked.

Bush put a special emphasis on rebuilding schools and universities. He didn't forget African-Americans: Bush provided $400 million to the historically black colleges, now integrated, that remain a pride, and magnet for African-American students. Laura Bush, a librarian, saw to it that thousands of books ruined by the floods were replaced. To this day, there are many local libraries with tributes devoted to her efforts.

It was a team effort. I'm glad to report the commission I served on went out-of-business in 2010. I'm also grateful and proud to report that President Bush was one of the leaders, and a very important member, of that team. Our recovery can be credited to the civility and tireless efforts of President Bush and other Americans, who united and worked together to help rebuild the Gulf and the place of my birth, New Orleans.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile's siblings, father, uncle, aunts, and other relatives lost everything in Katrina

@highlight

Brazile: "Heckuva job" came to mean bungled rescue, incompetence and public distrust

@highlight

But Brazile joined forces with Bush after he vowed to help and he was true to his word

@highlight

Bush provided generous aid and often came back to Gulf states and New Orleans, she says