Abuja, Nigeria (CNN) -- Boko Haram launched a grisly attack on a Nigerian village in an area that troops had been using as a base in the search for hundreds of schoolgirls abducted by the militant group, witnesses told CNN on Wednesday.

The hourslong assault on Gamboru Ngala that left at least 150 people dead, some of whom were burned alive, is the latest in a series of brazen attacks and abductions by Boko Haram, raising concern about whether the Nigerian government can retake control of the region from the entrenched terror group.

Word of the attack follows news that President Goodluck Jonathan, who has been under fire for his handling of the mass abduction, accepted U.S., British and Chinese offers of assistance to find the schoolgirls, officials with those governments said.

It's unclear what impact the latest attack could have on the international response to Nigeria's fight with Boko Haram, which so far has concentrated on helping the government rescue 276 schoolgirls abducted on April 14.

The assault on the village came after military troops deployed to the area were called to the border area near Chad, where reports -- later determined to be false -- surfaced that the schoolgirls had been found with Boko Haram militants, witnesses and local officials said.

CNN cannot independently confirm the report, and attempts Wednesday to contact Nigeria's military for comment were unsuccessful.

Indiscriminate killing

Witnesses described a well-coordinated attack that began shortly after 1:30 p.m. local time Monday at a busy outdoor market in Gamboru Ngala.

Wearing military uniforms, the militants arrived with three armored personnel carriers, they said.

They shouted "Allahu Akbar" -- "God is great" -- and opened up on the market, firing rocket-propelled grenades and tossing improvised explosive devices, witnesses said.

Some marketgoers tried to take shelter in shops only to be burned alive when the gunmen set fire to a number of the businesses, the witnesses said.

A few Nigerian soldiers who had been left behind at the village could not hold off the assault and were forced to flee, they said. Many sought safe haven in nearby Cameroon, they said.

The fighters also attacked the police station during the 12-hour assault, initially facing stiff resistance. They eventually used explosives to blow the roof off the building, witnesses said. Fourteen police officers were found dead inside, they said.

The final death toll could be closer to 300, Nigerian Sen. Ahmed Zanna told CNN.

Monday's bloody attack by Boko Haram militants, some of whom U.S. officials say have been trained by al Qaeda, follows a pattern of seeking revenge against anybody who is perceived to have provided aid to the Nigerian government.

International aid taking shape

News of the attack came as U.S. officials pressed ahead with plans to provide Nigeria with law enforcement assistance and military consultations, State Department spokeswoman Jen Psaki said.

"Obviously, this is in the interest of the Nigerian government to accept every aspect of our assistance," she told reporters during a briefing Wednesday. "They conveyed that they were willing to do that yesterday and it continues to be in their interest to be as cooperative as possible."

U.S. officials will establish a joint coordination cell at the U.S. Embassy in Abuja where the goal will be to provide intelligence, investigations and hostage negotiation expertise, Psaki said. The cell will include U.S. military personnel, who are expected to arrive in Nigeria in the coming days, she said.

The Pentagon has started planning for how it can help Nigeria, a senior U.S. military official told CNN. It's unlikely at this point that U.S. troops would be involved in operations, the officials said.

Britain is sending a small team of experts to complement the U.S. team, a spokesman for Prime Minister David Cameron said Wednesday. The spokesman didn't specify the nature of the team's expertise.

On behalf of China, Premier Li Keqiang offered satellite and intelligence services to aid in the search.

Meanwhile, Nigerian authorities offered a reward of about $310,000 on Wednesday for information leading to the rescue of the girls.

"While calling on the general public to be part of the solution to the present security challenge, the Police High Command also reassures all citizens that any information given would be treated anonymously and with utmost confidentiality," the Nigeria Police Force said in a statement.

According to accounts, armed members of Boko Haram overpowered security guards at an all-girls school in Chibok, yanked the girls out of bed and forced them into trucks. The convoy of trucks then disappeared into the dense forest bordering Cameroon.

The reward offer comes amid international outcry over the mass kidnapping in mid-April. The #BringBackOurGirls campaign initially began on Twitter. It quickly spread, with demonstrators taking to the streets over the weekend in major cities around the world to demand action.

Defending the response

Nigeria's President has been under enormous international pressure to step up efforts to rescue the girls after come after waiting three weeks to publicly acknowledge the kidnappings.

His administration, however, is defending its response -- even as details emerged this about a second mass kidnapping. At least eight girls between the ages of 12 and 15 were snatched Sunday night from the village of Warabe by Boko Haram, villagers said.

"The President and the government (are) not taking this as easy as people all over the world think," presidential spokesman Doyin Okupe said, adding that helicopters and airplanes have searched for the girls in 250 locations. More troops, he said, are on the way.

Despite the flurry of activity, the father of two of the schoolgirls taken by Boko Haram scoffed at the Nigerian government's response.

"We have never seen any military man there," said the father, who is not being identified for fear of reprisals by the government or Boko Haram.

"Had it been military men who went into the bush to rescue our daughters, we would have seen them."

Members of the U.S. Congress called for action, former U.N. Secretary-General Kofi Annan called the abductions "abominable" and Malala Yousafzai, the Pakistani children's rights activist shot in the head by the Taliban, spoke out, too.

"The girls in Nigeria are my sisters and it is my responsibility that I speak up for my sisters," Yousafzai told CNN's "Amanpour."

The U.S. first lady, Michelle Obama, was among the latest high-profile figures to take to Twitter about the girls' plight, tweeting a photo of herself holding a sign that read: #BringBackOurGirls.

"Our prayers are with the missing Nigerian girls and their families," she said in the post.

Boko Haram: A bloody insurgency, a growing challenge

'I abducted your girls'

Boko Haram translates to "Western education is sin" in the local Hausa language, and the group has said its aim is to impose a stricter enforcement of Sharia law across Africa's most populous nation, which is split between a majority Muslim north and a mostly Christian south.

The United States has branded Boko Haram a terror organization and has put a $7 million bounty on the group's elusive leader, Abubakar Shekau.

A man claiming to be Shekau appeared in a video announcing he would sell his victims. The video was first obtained Monday by Agence-France Presse.

"I abducted your girls. I will sell them in the market, by Allah," he said. "There is a market for selling humans. Allah says I should sell. He commands me to sell. I will sell women. I sell women."

More than 450,000 people, including celebrities and lawmakers, to date have signed a change.org petition that calls upon the world to act to save the girls. The petition calls on Jonathan and the government "to ensure all schools are safe places to learn, protected from attack."

CNN Freedom Project: Ending Modern-Day Slavery

Isha Sesay and Vladimir Duthiers reported from Abuja; Chelsea J. Carter reported and wrote from Atlanta. Journalist Aminu Abubaker contributed from Kano, Nigeria. Journalist Aminu Abubakar and CNN's Michael Pearson and Nana Karikari-apau contributed to this report.

@highlight

NEW: China offers satellite and intelligence assistance in the search for girls

@highlight

Boko Haram militants attacked Gamboru Ngala, killing at least 150 people

@highlight

United States and Britain are sending teams to help Nigerian forces

@highlight

Nigerian authorities offer a reward for information leading to the girls' rescue