(CNN) -- Last weekend, suspected Islamic jihadists killed at least 40 students at a Northern Nigerian agricultural college, many while they slept. The Council on Foreign Relations Nigeria Security Tracker shows that jihadist-related attacks in Nigeria are increasing. Most of the victims in this violence are Muslim, but some are Christian.

While no group has claimed responsibility for Sunday's massacre, the Nigerian media assigns responsibility to Boko Haram, and the operation has the hallmarks of the group's previous massacres.

What is Boko Haram? It remains shrouded in mystery. Boko is the Hausa word for "book," and commonly refers to Western education. Haram is the Arabic word for "forbidden." Hostile to democracy, modern science, and Western education as non-Islamic, it is highly diffuse. For some adherents, religious, even apocalyptic, themes appear to be paramount.

They are looking toward the creation of God's kingdom on earth through violence against those they see as Islam's enemies, rather than the achievement of a political program. But, political opportunists and criminals also operate under the label of "Boko Haram."

The movement's umbrella appears to be a shared Islamic vocabulary of protest, a hatred of the secular government in Abuja and of a corrupt Nigerian political economy -- and a disposition toward violence. It is especially murderous toward members of the Islamic establishment that have "sold out" to Abuja.

It does not appear to have an overarching political structure, and Abubakar Shekau, the leader of perhaps its largest element, does not exercise universal command or control over many of its elements.

Does this pose a threat to U.S. or other Western interests? Should ties between the United States and the Abuja government strengthen under the guise of a common "war on terror," American interests -- though limited in Northern Nigeria -- could become a Boko Haram target, not least because "the friend of my enemy is my enemy."

Thus far, Boko Haram has shown little interest in the world outside of Nigeria and the Sahel. But the situation in Nigeria is dynamic, and it is possible that closer ties will develop between al-Qaeda and elements of Boko Haram.

The group was founded by Malam Mohammed Yusuf, a charismatic preacher who was murdered by police in 2009 in a public episode that went viral on the internet. But, even with respect to Yusuf's core disciples, there is remarkably little hard information about their structure and leadership. After Yusuf's murder, leadership fell to his deputy, Abubakar Shekau. He normally communicates through videos, and has not been seen in person since Yusuf's death. His latest video appeared in September 2013.

The revolt's foot soldiers likely are drawn from unemployed youth in Northern Nigeria, a region of profound poverty. Many of them attended Islamic schools where they learned little other than to memorize the Quran. Often they are children of peasants, rootless if not homeless, in a big city. They can bond through a common radical Islamic sensibility, inchoate rage, and the prospect of earning a little money as terrorists.

Up until 2012, Boko Haram attacks appeared to be largely funded by bank robberies. One commentator credibly estimated that there had been several dozen since 2011. Boko Haram has successfully looted weapons from government arsenals. What is new is Boko Haram's use of suicide bombers. Suicide is anathema to West African culture, and had been unknown as a weapon of terror in Nigeria.

West African borders are porous, and travel between Nigeria and areas where al-Qaeda in the Islamic Maghreb -- the Salafi-jihadist militant group -- operates is easy. Yet, while there is evidence of communication between different groups in the region, there continues to be little sign that al-Qaeda's influence has been transformative. Instead of the international jihad, Boko Haram continues to be focused primarily on internal Nigerian issues. It shows little interest in southern Nigeria, let alone Europe or the United States.

Still, Nigeria's federal government is addressing Boko Haram as an al-Qaeda-linked terrorist movement. On May 14 President Goodluck Jonathan declared a state of emergency in the three northern states of Yobe, Adamawa, and Borno, where Boko Haram normally concentrates. But the heavy security presence, especially during the state of emergency in these areas, is dysfunctional. There is a downward spiral, with soldiers resorting to brutality on an increasingly hostile population. On the other hand, soldiers and police are primary targets of Boko Haram, and their casualty levels are high.

An endgame is hard to foresee. In the past, millenarian Islamic movements have burned themselves out, often under military pressure. There are few signs this process is under way. And the military appears incapable of controlling it. If Boko Haram is not going away, it is also unlikely to be able to overthrow the Nigerian state.

The opinions expressed in this commentary are solely those of John Campbell.

@highlight

John Campbell: Islamist Boko Haram suspected in slaughter of Nigerian students

@highlight

He says the Nigeria-focused group opposes democracy, science, Western education.

@highlight

If Nigeria, U.S. unite in "war on terror," the group is ripe to for al-Qaeda ties

@highlight

Campbell: Nigeria pushes back hard at Boko Haram, but it doesn't seem to be going away