Baghdad, Iraq (CNN) -- Laith repeats my question back to me, chuckling. "What is the Iraqi media saying about the US elections?" He pauses, thinking how best to answer. "Man, the situation is so bad now, we only pay attention to staying alive." He laughs again.

An Iraqi journalist who works for several international news organizations, Laith tells me that he only narrowly escaped being killed by a car bomb the previous day.

"If I had been a few minutes late for work, you wouldn't be able to talk to me." Laith chuckles again like so many people do in Baghdad, a resilient, tough, warm laugh.

It's been nine years since the United States and its allies invaded Iraq and toppled Saddam Hussein. And although the war officially ended when American combat troops withdrew at the end of 2011, it's far from peace time here.

Postcard: "Ignore us at your peril," Afghans say

Although violence in Iraq is down significantly since 2006 and 2007, bombings, kidnappings, and assassinations are part of everyday life across the country. The Iraq Body Count database estimates that seven people have been killed every single day by suicide and car bomb attacks this year. The bomb that missed Laith killed at least seven people .

At 6:30 a.m. the following morning, I'm met more with confusion than humor when I ask the same thing of a group of day laborers in the rundown neighborhood of Bataween. "We only watch football," says one man. "We don't care about elections."

In fact, only one of the workers in the group of 40 or so standing around even knows that there's an election going on in the United States.

Rayad Salam, a 25-year-old from Nasiriya, catches my attention. Like everyone else on the corner, he is wearing a generic threadbare soccer tracksuit, the ubiquitous uniform of the terminally poor.

Postcard: Athenians fear what follows U.S. election

Rayad came to Baghdad after graduating from university with a degree in Classical Arabic. He wanted to be a teacher, but couldn't find a job back home so came to the capital to work. Rayad makes 25,000 IQD day ($20) if he manages to find work, which he only does about three days a week. He tells me he'll take any kind of work, including the most dangerous job in Iraq: policeman.

When I ask him why, his answer is so universal it could have come from any one of the millions of Americans still suffering from the financial crisis: "All I want is a job so I can take care of my family."

He leans forward to tell me something else, but a middle aged man pushes his way through the crowd and tells me I'd better leave. The group standing around me is drawing attention to itself and we're now making a perfect target for a bomb attack.

Traffic squeezes its way around Baghdad's clogged streets, which are pinched every few miles by military checkpoints where bored soldiers lazily hold metal rods â€” nicknamed "Solomon's cane" â€” next to passing cars, in the hope they will "sniff" out hidden bombs.

Postcard: Should U.S. raise fist to Cuba?

The cars gridlocked in traffic make it clear that although Baghdad is still dangerous, it certainly isn't poor. Among the old and beat up vehicles are plenty of brand new Land Cruisers, Pajeros, BMW X series, and black Hummer H3s. These are not the armored versions that move in convoys from fortified location to fortified location -- they are the personal cars of the city's middle class.

In the evenings the city's wealthy roam the streets of Karada, in the center of the city, where the lights shine almost as bright as Times Square. Here you can indulge in handmade ice cream, or splash out on the latest European fashions. With oil exports in Iraq at a 30-year high (August's revenues were $8.4 billion), a lot of well-positioned people are getting extremely wealthy.

More: Get latest news at CNN Election HQ

Here there is a vague understanding of the two different candidates for those that watch the international Arab language channels such as Al Jazeera and Al Arabiya. Not surprisingly, Bush's party is deeply unpopular.

Toma Zaki Zahroon, a leader of the Mandean ethnic minority, explains that the "Republicans make trouble for the U.S. Republicans will create tension with the Arab world." Someone else tells me, "Obama is a peaceful man, but if Romney is elected he'll damage Arabs. I don't know his policy but when I see his face he looks like the devil."

The most nuanced view, however, comes from Sheikh Jawad Al-Khalisi, a highly respected Shiite religious leader: "There's not a big difference between Democrats and Republicans. I don't trust either candidate because they are both influenced by lobbyists. U.S. policy is actually against the American people. In 2003 Americans protested against the war, but they weren't heard."

Postcard: Why India longs for U.S. election

Baghdadis don't trust U.S. politicians, but neither do they trust their own. "The government is full of thieves," 23-year-old Karar tells me in his home in Hurriya, a dangerous neighborhood in northwest Baghdad. Corruption, in fact, is what most Baghdadis talk about when they talk politics. Iraq's parliament is in a constant state of dysfunction; warring coalitions block each other at every turn and assassinations and police brutality are used as political tools.

Karar doesn't care for politics. He's a college kid whose life is dominated by working, studying, and just surviving. A year ago he was injured in a bomb attack in his neighborhood and then just a few weeks ago another bomb went off near his house, killing three of his friends.

Karar tells me all of this in a very matter-of-fact way, and I ask him why he seems so unaffected by it. "I feel sad. I'm so sorry about their families. But what can I do? This is normal for us. If you see your friend today, you don't see him tomorrow." As he pauses, the electricity cuts out and the ceiling fan stops turning.

Even with the oil exports, new cars, and imported fashions, basic services in Baghdad are still terrible. On average Baghdadis receive eight to 12 hours of national electricity a day, which makes life in the summer -- when temperatures easily reach 120 degrees -- almost unbearable.

Even in September, once the ceiling fan has stopped rotating, the room immediately begins to heat up. Karar gestures at everyone sitting in the room sweating and he finally answers my question about what he thinks of the U.S. election. "I don't think that a change of American presidents will have any effect on Iraq," he says and then a huge grin spreads across his face and he starts to laugh that unique, resilient Baghdadi laugh.

@highlight

U.S. troops withdrew last year, but the violence continues in Baghdad

@highlight

Republican party still seen as the party of George W. Bush by many in Baghdad

@highlight

Many who follow the election see little difference between Democrats, Republicans