(CNN)When you pass Josue Lajeunesse in the halls of Princeton University's commanding campus, he glances up, smiles and carries on doing what he has done for the past 20 years: cleaning.

Keeping the dormitories and lecture halls spotless for Ivy League students has been his livelihood since Lajeunesse moved to the United States as a young man. He works two jobs to support his family: janitor by day, taxi driver by night.

But it's what he's done thousands of miles away that will amaze you most.

There is a part of all of us that hangs on to where we are from, that wants to help those we leave behind. For Lajeunesse, that desire consumes him. Though he lives in New Jersey, his heart and mind are never far from Haiti, where he was born.

In November we traveled to Haiti, the poorest country in the Western Hemisphere, with Lajeunesse. We were on a journey to his hometown of La Source, a tiny village in the mountains to the south of the island nation.

We wanted to see for ourselves what Lajeunesse had accomplished -- what had become the subject of a documentary named "La Source."

After seemingly endless hours driving on the worst roads we'd ever seen, we pulled up to the top of a hill and parked next to a huge cement block.

That hollow, gigantic block held something priceless for the people of La Souce: clean water.

It's priceless because Unicef estimates 768 million people around the world still use unsafe drinking water sources. Every minute, a child somewhere in the world dies of a water-related disease, according to Water.org.  The World Health Organization says about 1.6 million people die of diarrheal diseases every year from a lack of access to safe drinking water and basic sanitation.

"When I touch the water, the reservoir, I feel I touch my heart ... my own blood," Lajeunesse told us.

The story of how the water came to La Source is a tale of triumph over all odds and of one man's decades-long determination.

As a young boy growing up in La Source, Lajeunesse and his brother Chrismedonne would make the treacherous three-hour climb up and down the side of a mountain to reach a spring. It was the only way they could get clean water for their family. They watched as their fellow villagers got sick from drinking contaminated water from the river below or injured themselves climbing the mountain trying to do the same.

When they were children, Josue  and Chrismedonne vowed to build a pipeline to bring that clean water down to the village, but the money was far too hard to come by.

The 2010 Haiti earthquake made the situation even worse.

Lajeunesse watched the news about the Haiti earthquake from his home in Princeton, New Jersey, where he had moved in 1989. In the days to come he would learn 11 of his relatives had died in the earthquake.  His daughter was visiting family in Haiti when it hit. She survived.

She was one of the lucky ones.

For Lajeunesse, the earthquake was a breaking point. But as a single father of four -- working two jobs to get by -- he felt helpless.

Then his mind turned to water and the dream he'd had with his brother 40 years ago.

Over the following months, Lajeunesse raised $38,000 with students at Princeton to build the pipeline that would bring clean water to La Source. Raising the money was only the beginning. Building the pipeline would prove immensely challenging and take the strength of the entire village to accomplish. Yet eventually, it came to be.

"Do you feel proud?" we ask Lajeunesse after seeing all he has done for his village.

"I'm proud for the people there but not proud for myself," he said. The people of La Source are the ones, he says, that drive him to be better -- to do better. He feels like he hasn't done enough.

Exactly five years since that devastating 7.0 magnitude earthquake struck and claimed more than 230,000 lives, the work in Haiti still to be done remains daunting.

Roads are in shambles; some neighborhoods in the capital of Port-au-Prince remain flattened; families mourn their loved ones lost. But there is a light that shines from La Source -- the light of one man's power to unite his village and lift them higher. He had a dream and made that dream a reality.

Lajeunesse isn't finished. Now that he's brought water to La Source, he is working with a local charity to build a school in the village. Next, he hopes to build a clinic.

Eighty percent of Haiti's population lives below the poverty line. Ask Lajeunesse where he gets the drive to work tirelessly for his people -- even living thousands of miles away -- and he replies:  "Because I know exactly the way they suffer."

It's clear he has no idea how much he has eased their suffering, and in a way, given them a gift greater than water.

"The government cannot do everything," Lajeunesse says emphatically as we walk through La Source, dodging the rain under the canopy of trees. "The Haitian ... population needs to take the responsibility.  Everybody, you know, can help, can put hands together, all of us. Because this is our country."

As he wraps up another janitorial shift on Princeton's campus and clocks out in the bitter cold of a January afternoon, Lajeunesse leaves us with this:

"If I can work another two jobs again to change the community and the life of the kids for the next generation, I will. I will do it with happiness."

@highlight

A 7.0 magnitude earthquake hit Haiti on January 12, 2010

@highlight

Earthquake claimed more than 230,000 lives

@highlight

"La Source" is a documentary about bringing clean water to a tiny village