(CNN) -- Traditionally, hotels are built with the hope they'll have staying power. For a new breed of accommodation, however, long-term is passe.

The last two years has seen a proliferation in the number of pop-up hotels -- housed in anything from tepees to old shipping containers. Many are making their way in places traditionally off-limits for traditional hotels.

Mark Sorrill, the founder of the UK-based The Pop-Up Hotel, has set up accommodation in the form of luxury tents (and in some cases yurts, shepherd huts and Airstream mobile homes) at some of England's most spectacular properties. In August, for example, he's partnering with Heritage England and moving his operation on the grounds of the Osborne Estate, a sprawling 19th century manor that was built as a summer residence for Queen Victoria and Prince Albert.

"As lovely as conventional hotels can be, they are effectively a series of boxes stacked on top of each other, insulating guests from the environment. I wanted to throw this whole concept up into the air and see how it fell," he says. "I wanted to create a hotel that could really connect with the environment where it was positioned."

Infographic: The price of business travel

The Pop-Up Hotel is also popular on the festival circuit. In fact, the first one launched at Glastonbury, the UK's largest music festival, two years ago. Then, it only offered 20 rooms. This year, its rolled out 130, and was fully booked.

"Guests seem to really appreciate that if you were to come and stay with us again in a different location, it would be a different holiday experience," he says.

Booking isn't necessarily cheap -- tents at the four-day Glastonbury festival start at $1,525. At the same time, just because the walls are canvas doesn't mean you'd be roughing it. Concierge and porter service is usually part of the package and, depending on the event, there are usually accompanying restaurant, bar and spa tents.

The concept is gaining traction. Snoozebox is another company that offers portable accommodation, often pegged to major events, such as the London Olympics last year and the G8 Summit in Northern Ireland in June this year. Snoozebox's rooms are set up in shipping containers, making them easy to transport. That they're self-contained means they have climate control options, an advantage over The Pop-Up Hotel.

China's high-speed trains attract frustrated fliers

One of the most inventive pop-up concepts, however, hasn't been officially launched yet. It is the brainchild of Copenhagen-based architecture firm Pink Cloud, and last month it won the Radical Innovation in Hospitality Award. The company is hoping to simultaneously address two pressing issues plaguing many urban landscapes: vacated office space and insufficient hotel vacancies.

The collective, which is made up of partners Eric Tan, Leon Lai and Nico Schlapps, is hoping to make New York its launching point. Tan points out that the office vacancy rate in the city is alarmingly high at 26%.

"Tenants would rather wait for new high rises to be built than rent the ones leftover from the '60s and '70s, which, unfortunately, the city has a lot of," he explains. "The ceilings are low and the stock seems outdated to potential tenants."

Meanwhile, New York's hotel occupancy rate is at 96% -- almost full capacity. Pink Cloud's solution is to create temporary hotels in empty office buildings. That way, tourists get a place to sleep for the night and the building owner can finally pull in some rent.

Watch: reinventing the hotel breakfast

An entire hotel could fit into 36 boxes, enough to fill a single lorry. When unpacked, they would contain all the makings of a modern hotel room, including beds, sofas, toilets, partitions, plus elements to craft night clubs, restaurants -- even a pool, if requested.

"A traditional hotel can take five to six years to build, from start to finish. With the pop-up hotel, we see it taking two to four weeks," says Tan.

The beauty of the project, says Lai, is its flexibility.

"If you were to set up in Miami, you could bring indoor swimming pools. In Manhattan, guests might want to watch a boxing match. We could bring in a temporary boxing ring. It all depends on the city and the public," he says.

The price point, they're imagining, would also be considerably lower. The average New York City hotel room is $350 a night. Pink Cloud's rooms, meanwhile, would clock in around $130.

The company is currently scoping out partners to make the concept a reality. The way Pink Cloud sees it, the hotel could be a savvy marketing stunt for the right brand. For example, says Tan, a major fashion label could use the Pink Cloud model to promote itself during fashion week.

"There's no reason you couldn't have the Prada pop-up, or the Diesel pop-up," he says.

@highlight

The last two years have seen an increase in pop-up hotel chains

@highlight

Unlike traditional hotels, these can set up at festivals and special events

@highlight

Architectural firm looking to set up hotels in empty office buildings in New York