(CNN) -- Wednesday is the second anniversary of the Osama bin Laden raid.

The terrorist leader's death made the world safer, but the bombings in Boston on Patriots' Day are a cruel reminder that we will never prevent every act of terror. In the United States, we accept that risks coexist with our culture of freedom. Yet we also must act with greater responsibility in the face of ongoing threats.

We can begin by rejecting a culture that drives details of our nation's special operations missions out into the open, thereby weakening our national security.

The aftermath of the raid in Abbottabad is a powerful example of this problem. We have tolerated, and at times encouraged, a steady stream of marketing and promotion that glorifies the mission and its participants: "No Easy Day," an unauthorized, tell-all bestseller by a special operator; "Zero Dark Thirty," a blockbuster film based on insider accounts; and "The Shooter," an Esquire magazine profile that sparked a scramble for personal credit amid competing claims over who fatally shot bin Laden, and how and where.

We might think such visibility honors our nation's special operations forces -- expertly trained units that conduct clandestine, high-risk missions, often to combat terrorism -- but when these shadow warriors become public figures it produces unintended consequences.

First, the extensive attention creates backlash and division that ultimately detract from national readiness. Thousands contributed to the decade-long hunt for bin Laden, and future missions will demand similar support across military services and civilian agencies. Most public portrayals, however, romanticize one moment or individual while neglecting many others. This weakens the entire team's morale and leads to resentment, fair or unfair, that degrades the willingness of all to collaborate fully on the tasks at hand. Collective action is the cornerstone of success. Our country cannot afford such internal discord.

Second, excessive public accolades contribute to the overuse and misuse of special operators. These forces have proven their ability to address a range of 21st century security threats, but they do not have unlimited capacity. Yet special operators are increasingly asked to take on more conventional missions better done by the military's general purpose forces or that divert them from maintaining readiness for missions they are uniquely qualified to conduct. Simply because they can do just about anything does not mean they should be called upon to do everything. We should respect the limits and specializations of these forces.

Third, most portrayals depict an exceptionally narrow and violent view of special operations that weakens our collective understanding of military power. Films and books brandish dramatic raids, such as rescuing hostages or killing terrorists. They overlook conflict-prevention activities our forces undertake every day, such as training the militaries of other nations to better provide for their own defense.

Since such missions are difficult to showcase to impressive effect, they are not so marketable in the media. But when public depictions are skewed toward lethal actions and fail to account for nuanced forms of power and deterrence, we undermine public discourse on how best to leverage military force for our national security.

Our leaders must counter this misrepresentation and overexposure. Their first step? Act more responsibly. Senior officials are a primary driver behind these profiles, trumpeting operations almost as a matter of routine. Sometimes this is to inform the public, but often it is to claim credit or, even worse, to divulge insider knowledge.

This encourages misleading and unauthorized disclosures from others, including from some operators themselves, leading to more sensationalism. Former Secretary of Defense Robert M. Gates reportedly expressed great frustration with leaked details on the Abbottabad raid, saltily asking his White House colleagues to "Shut the f... up." We should hold those indiscreet individuals accountable.

We can't legislate common sense, but we can reject leaks and unseemly competition for credit. We call upon the Department of Defense to take the lead and issue a new weighty policy directive that states clear and specific guidelines for the appropriate release of operational information. The directive must codify who can divulge what, when and under which conditions, and call for a universal commitment to accurate reports that also maintain operational security.

Officials vigorously protect information before a mission; they must remain equally disciplined in their communications afterwards. Our nation's battles are far from over.

Officials then must hold themselves and each other to these standards. If not, they undermine their credibility and erode the trust that is essential in civil-military relations. Those who risk their lives serving the nation must be confident that the people sending them into harm's way will not make personal or political gain a bigger priority than the protection of the mission's integrity.

On May 1st, honoring the collective team that got bin Laden is warranted; glorifying the shooters is not.

The opinions expressed in this commentary are solely those of Michele L. Malvesti and Nancy Walbridge Collins.

@highlight

Michele Malvesti, Nancy Walbridge Collins note anniversary of Bin Laden raid

@highlight

They say day reminds us to reject culture that publicly details special ops missions

@highlight

Books, movies on missions hurt national security, team morale, they say

@highlight

Writers: Leaks about missions can distort view of how military power used, must be reined in