(CNN) -- Every spring, a yellow blanket of pollen descends upon America, eliciting complaints from allergy sufferers already fed up with watery eyes, stuffed-up sinuses and excessive sneezing.

If you're wondering exactly what that is covering your car, it's pine pollen, which usually comes out in mid- to late-April. But believe it or not, it's probably not what's causing your symptoms.

"Amazingly enough, most people are not allergic to the stuff you can see," CNN meteorologist Sean Morris said.

Instead, it's microscopic particles in the spring air that are hell-bent on causing misery. Most seasonal allergies are caused by smaller tree pollen and mold spores, according to the American Academy of Allergy, Asthma & Immunology.

More than 60 million Americans suffer from allergic rhinitis, according to the academy. That means when they inhale something they are allergic to, they suffer symptoms in the nose and eyes. When the trigger of the reaction is pollen, the person is said to have "hay fever."

Warm, dry climates have the highest pollen levels, according to Pollen.com, while rainy or cool weather significantly reduces allergens in the air.

Don't let allergies stop you from traveling

Fortunately for allergy sufferers, 2013 has so far been relatively mild compared to last year, when an unusually warm winter caused the season to start earlier and last longer.

Pollen.com breaks the United States down into seven allergy regions. Except for the South Central area, all the regions are recording lower pollen levels than last year at this time, according to IMS Health, the company behind the website.

Pollen counts

There are no government pollen trackers, but private companies have stepped in to provide data on pollen levels nationwide.

Worst U.S. cities for allergy sufferers

A pollen count signifies how much pollen is in the air. A higher count means people who are allergic are more likely to exhibit symptoms. Pollen counts are calculated using the concentration of pollen in a certain area during a specific period (usually 24 hours), according to Pollen.com.

"(Air-sampling devices) collect particles from the air onto a transparent, sticky surface," the website's FAQ page says. "The sample is then examined under a microscope, where the pollen grains are counted and identified."

The device must be placed on a rooftop at least one story high, away from any significant pollen or mold sources, AAAI.org states, to get an accurate reading.

The numbers used to quantify pollen levels vary between collecting stations, and don't mean much to the average consumer, so levels are usually described simply as low, moderate or high. What constitutes a high pollen count also depends on what type of allergen is being tracked, according to AAAI.org.

Where do allergies come from?

Treating the symptoms

You've got three options for over-the-counter oral antihistamines: Allegra (fexofenadine), Claritin (loratadine) and Zyrtec (cetirizine), but many patients need a prescription nasal spray in addition to one of those in order to find relief.

Allergists can prescribe topical nasal antihistamines and steroidal sprays. Antihistamine eye drops are also available over-the-counter and by prescription.

The only long-term option for allergy sufferers is to undergo immune therapy, in the form of shots, over three to five years. An allergy test determines what you are allergic to, and then you get tiny doses of that allergen injected until you become desensitized. A method of accomplishing this using droplets under the tongue has shown promise in studies, but is not approved by the Food and Drug Administration.

Bottom line: If you're suffering this spring, allergists can help.

@highlight

Most people aren't allergic to the yellow pollen you see, which is from pine trees

@highlight

More than 60 million Americans suffer from allergic rhinitis every year

@highlight

Warm, dry climates have the highest pollen levels, according to Pollen.com