(CNN) -- You've probably heard that the Turkish government's attempt to ban Twitter quickly collapsed into farce.

From USA Today:

"More than 2.5 million tweets -- or over 17,000 per minute -- were reportedly posted (from Turkey) in the first 24 hours after the ban, according to several media reports.

HootSuite, a Vancouver, Canada-based startup that measures and analyzes Twitter marketing campaigns, said in a corporate blog post that its traffic from Turkey tripled in the first day after the ban.

So ... all is good, right?

Not right.

Turkey is a NATO ally, a candidate for membership in the European Union, a front-line state facing Iran, Syria and Russia -- and it is heading seriously in the wrong direction. A lot of people have invested a lot of time and effort denying that unwelcome news. It can be denied no longer.

Turkey's Twitter-banning prime minister, Recep Tayyip Erdogan, came to power after a big election win in 2002. Erdogan's party was staunchly Islamic, yet seemingly committed to electoral democracy. Its victory was hailed by many as a hopeful sign for the post-9/11 world.

Europe had Christian Democratic parties; why couldn't Turkey have a Muslim Democratic party? Indeed, Erdogan-style Muslim Democracy seemed a decade ago the striking alternative to radical Islamism, a political alternative that would integrate religion into politics while preserving individual freedom and democratic decision-making.

Erdogan and his Islamic regime lifted restrictions on the wearing of hijab in public buildings. He abolished the daily pledge of allegiance to a secular Turkey required in all Turkish schools since 1933. He downgraded the longstanding Turkish relationship with Israel and mused instead about a "neo-Ottoman" role for Turkey at the head of the Middle East's Muslim nations. He and his party passed restrictions on the sale and promotion of alcohol and boldly disavowed the equality of the sexes.

At the same time, the Erdogan government did initiate important economic liberation of Turkey's traditionally state-led economy. He made concessions to ethnic and religious minorities. It seemed imaginable that Erdogan's reactionary religious message could somehow be fused with modern economics and tolerance. President Barack Obama certainly imagined so: In a 2012 interview with CNN's Fareed Zakaria, the President cited Prime Minister Erdogan as one of the five foreign leaders with whom he'd forged his closest "bonds of trust".

Yet from the start, Erdogan's Islamic democracy had a strongly authoritarian whiff to it. Through the Erdogan years, Turkey has led the world in the number of journalists jailed, ahead of both China and Iran. Erdogan's government banned YouTube for two years beginning in 2007, purged and jailed hundreds of politically uncongenial military officers and reshaped both police and the judiciary.

Turkish voters overlooked and forgave these infringements. They elected and twice re-elected Erdogan. Turkey achieved genuine economic progress during his rule. Ordinary Turks believed that their blunt, traditionalist prime minister cherished their interests in a way his more cosmopolitan predecessors did not.

Then came the swirl of corruption rumors, corruption on a massive multi-billion dollar scale. Police fired tear gas and water cannon at people protesting the death of a 15-year-old boy who died in demonstrations against development of Gezi Park in central Istanbul.

Audio was posted to social media that purported to reveal the prime minister in plots with his son to collect and conceal tens of millions of Euros in illegal cash. (Erdogan has claimed that a corruption investigation that entangled four of his former cabinet ministers is a "coup plot" and that some of the recordings are "immorally edited material".)

Erdogan has responded with more censorship and more controls, culminating in the Twitter ban. That ban failed -- yet the underlying problem remains: the country that was once the West's most reliable partner in the Islamic world is not so reliable any more. Turkey defies embargoes to trade with Iran. Turkish foreign policy has sought to build relationships with everyone and anyone except Turkey's traditional Western partners: with Syria, China, Russia, anyone.

With Russia's seizure of Crimea, the once-exotic and once-remote Black Sea region has suddenly emerged as a central global zone of conflict. Time was when the United States and the Western world could count on a steady, responsible and democratizing ally on the south shore of that sea. No more. The Twitter ban has collapsed. All the bad impulses that imposed that Twitter ban remain in place -- and will remain so long as Erdogan remains in office.

The promise of an Islamic version of Christian Democracy has proved a big lie. Instead, the country that was once the most stable, reliable and democratic state in the Islamic world seems now to have cast itself as the region's saddest backward-slider -- with its ever more authoritarian leader playing the role of an Islamic Vladimir Putin, or maybe Eva Peron.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Turkey once gave people hope for the future of democracy in Islamic nations

@highlight

He says voters have repeatedly backed prime minister Erdogan's path for Turkey

@highlight

After corruption scandal and criticism, Erdogan sought to shut off Twitter

@highlight

Frum: U.S., allies can no longer count on Turkey as a stable force in a crucial region