While some babies in India are snapped on smartphones the second they are born and their pictures shared on Facebook, others never get access to the internet in their lifetime.

Bangalore is known as India's Silicon Valley because the city is a hub of technology entrepreneurs and home to some of the world's top global software companies, but the paradox is that many of its residents have never surfed the Web.

India might have the world's second highest number of Facebook users, but according to the Internet and Mobile Association of India (IAMAI), Internet penetration across the entire population is still below 10 percent.

In the UK and U.S. it is 80 percent.

IAMAI's research has found that while 20 percent of urban Indians are connected, only three percent of rural Indians are.

According to consulting firm Maplecroft, India is among the worst performing countries in the world for digital inclusion.

However, attempts are being made to try and bridge the digital divide.

More from LeWeb: ITU meeting 'no threat to free speech'

Mr Kemperaj from Hennur in north Bangalore specializes in making lamp shades and pillow cases. He used to travel more than 70 km every day to get a sample of his work approved by his vendor. Now he sits in front of a computer, sends the photos by e-mail and surfs the Net to research new designs and discover new sales routes such as eBay.

He is one of hundreds of craftspeople who have benefited from ongoing workshops organized by the Internet Society (ISOC)'s Bangalore Chapter.

Using an Internet Society Community Grant of US $9,000, ISOC Bangalore is training everyone from tailors and glass cutters to cotton weavers and furniture makers to download pictures, e-mail, video conference, instant message, use Excel and Word, as well as promote their products on Facebook and Twitter.

Ankush Bagotra, chairman of ISOC Bangalore, says: "These artisans had seen computers and heard of the internet but most had never used it or wanted to use it as they did not realize it solved a lot of problems for them.

"One thing is the cost of buying a computer or laptop; another is that broadband infrastructure is not as ubiquitous in India as the U.S. and it's costly for the common man.

"Paying a monthly data fee is also costly and they don't appreciate how it can benefit them."

He says having access to Web and Microsoft tools has empowered the craftspeople to sell their products to a wider custom base, compare their rates to the competition, get new ideas, increase their productivity and learn computerized accounting.

More from LeWeb: 'Father of the internet': Why we must fight for its freedom

One group of artisans used to create pages of orders every day. Now they use Excel. Another is using Google Docs and instant messaging to communicate with their clients.

"Often there is no wired connection in villages as there is not a good return on investment to the Internet service provider," explains Raghavendra Sathyanarayana, a 31-year-old wireless communications engineer from Bangalore, currently living in Finland.

He registered a company, Cramnet (Cognitive Radio Assisted Mobile Network) Wireless Communications in October this year, which he hopes will empower Indians trapped on the wrong side of the digital divide. He plans to use unused spectrum to provide wireless internet free of charge to the digitally disenfranchised in India.

"The Industrial Scientific and Medical Band is an example of spectrum that can already be used for free in secondary mode," he explains.

He hopes it will enable people to pay bills online, farmers to check wholesale prices of their crops and mothers to know what vaccinations to give their children.

More from LeWeb: China looks to lead the Internet of Things

The Digital Empowerment Foundation (DEF) in Delhi with the support of the Internet Society, has already been installing wireless networks in remote tribal regions using wasted spectrum.

Osama Manzar founded DEF in 2002 after resigning from his position as CEO of a software company three years earlier. The 45-year-old says he realized that "the entire country could leapfrog the developmental cycle if she were to forget about racing for the industrial revolution and aspire for an information revolution instead."

"There are two unlicensed bands in India which can be used by anybody for non-commercial use," he says.

Wireless mesh networks have so far been installed at Chanderi a town in Madhya Pradesh, in which more than 60 per cent of the population earn a living from handloom weaving, at Tura in the northeast state Meghalaya, where the Garo tribe lives and in Baran in Rajasthan where the Bheel tribe lives -- they use it to deliver video conferencing to educate tribal children.

"Power is a serious concern in remote areas, but we try to make sure that the supplying nodes are solar-enabled. Having said that even battery back-up is good enough as nobody in remote areas wants a 24/7 service," Manzar adds.

As for whether efforts should instead be made to provide clean water and electricity first, he says: "That too is a priority. But they have not been getting it for several centuries and if they do not join the information bandwagon now they will continue to suffer and be exploited. Being part of the digital media, they can at least share their grievances."

So the Wireless for Communities project is not just about giving the digitally ignorant access to information. Another aim is to help those who "never in the history of India got a chance, to be an equal participant in information creation," Manzar says.

@highlight

The Indian city of Bangalore is home to some of the world's top global software companies

@highlight

IT experts are trying to bridge the digital divide by providing free wireless internet in some areas using unused spectrum

@highlight

Only 20 percent of urban Indians and three percent of rural Indians use the internet

@highlight

Traditional craftspeople are also being trained to surf the net and use web tools for the first time in their lives