Washington (CNN) -- Secretary of State Hillary Clinton warned Thursday that a "new information curtain is descending across much of the world."

In a speech on Internet freedom and security, Clinton also urged China to investigate a wave of cyber attacks against Google and other companies.

The Internet and other technologies are critical to foreign policy, and those who engage in cyber attacks should face international condemnation, she said.

"In an interconnected world, an attack on one nation's networks can be an attack on all," she said at The Newseum in Washington.

Clinton made the comments as search-engine giant Google threatened to shut down its operations in China, five years after agreeing to allow some censorship in exchange for the right to work in that country's massive emerging technology market.

Google charges that Chinese hackers have targeted Google and up to 34 other companies.

The Chinese government argues that the Google case is a business dispute and should not affect overall relations between the two countries.

Clinton has said that Google's allegations of censorship and online attacks by China raise "very serious concerns," and her agency has said it will file a formal protest over the company's complaints.

Also this month, foreign correspondents in at least two Chinese bureaus of news organizations had their Google e-mail accounts attacked, with e-mails forwarded to a mysterious address, according to the Foreign Correspondents' Club of China.

Clinton warned that the latest information technology -- designed to open access to governments -- can also be used by some governments to "crush dissent and deny human rights."

"In the last year, we've seen a spike in threats to the free flow of information. China, Tunisia and Uzbekistan have stepped up their censorship of the Internet," she said.

"In Vietnam, access to popular social networking sites has suddenly disappeared. And last Friday in Egypt, 30 bloggers and activists were detained."

A member of that group, having since been freed, was in the audience, Clinton said.

"So while it is clear that the spread of these technologies is transforming our world, it is still unclear how that transformation will affect the human rights and welfare of much of the world's population," she said.

"The same networks that help organize movements for freedom also enable al Qaeda to spew hatred and incite violence against the innocent," Clinton said.

Some governments also have "co-opted" the Internet to silence "people of faith," Clinton said.

"Last year in Saudi Arabia, a man spent months in prison for blogging about Christianity," she said. Countries such as Vietnam and China have used similar tactics to "restrict access to religious information."

The State Department will convene a high-level meeting next month of firms that provide network services for talks on Internet freedom, she said.

Citizens and businesses must be able to rely on the security of information networks, Clinton said.

"Our ability to bank online, use electronic commerce and safeguard billions of dollars in intellectual property are all at stake if we cannot rely on the security of information networks," she said.

Referring to social and economic development, Clinton said the Internet can serve as a "great equalizer."

By providing people with access to knowledge and potential markets, networks can create opportunity where none exist.

"Over the last year, I've seen this first hand in Kenya, where farmers have seen their income grow by as much as 30 percent since they started using mobile banking technology," Clinton said.

Information technology has been a great help in addressing the staggering problems in Haiti, she said, pointing to a young girl and two women who were pulled from the rubble after they sent a text message for help.

The text message campaign to raise money for Haiti has raised more than $25 million for recovery efforts, Clinton said. Each texter was asked to donate $10, and the State Department said Wednesday that it is believed to be the largest amount raised for the country through a mobile phone campaign.

CNN's Jill Dougherty and Doug Gross contributed to this report.

@highlight

Hillary Clinton says a cyber attack on one nation is an attack on all

@highlight

Secretary of State said there's been a spike of threats to Internet freedom

@highlight

Speech comes as Google considers leaving China because of censorship worries

@highlight

Freedoms should include access to Internet, freedom of speech and worship, she said