(CNN) -- Russia called new sanctions against Iran "unacceptable," saying the new punishments would hurt efforts to talk with Tehran.

The Russian Foreign Ministry posted a statement Tuesday, a day after the United States announced tougher sanctions against Iran -- joining Britain and Canada in a coordinated effort to tighten the screws around the country's suspected nuclear weapons program.

"Russia sees such extraterritorial measures as unacceptable and against international law," the statement says. "Such a practice seriously obstructs advancement toward a constructive dialogue with Tehran. Stronger sanction pressure, which some of our partners see almost as a goal in itself, will not encourage Iran to sit down at the negotiating table."

On Monday, U.S. Secretary of State Hillary Clinton said the new measures target Iran's petrochemical industry and its oil and gas business. The United States also said Iran is a "primary money laundering concern."

Clinton said she expects additional sanctions by other international partners and that taken together "these measures represent a significant ratcheting up of pressure on Iran, its sources of income and its illegal activities."

Britain cut all financial ties with Iran, the first time it has cut an entire country's banking sector off from British finance, the British Treasury announced earlier on Monday.

Similarly, Canada said it was implementing a series of tougher sanctions, prohibiting almost all financial transactions with the Iranian government.

The moves come days after an International Atomic Energy Agency report highlighted new concerns about "the possible military dimensions of Iran's nuclear program," the British Treasury statement said Monday.

Iran says its nuclear program is peaceful and has called the U.N. watchdog's report "unbalanced" and "politically motivated."

"The IAEA's report last week provided further credible and detailed evidence about the possible military dimensions of the Iranian nuclear program," British Foreign Secretary William Hague said in a statement. "Today we have responded resolutely by introducing a set of new sanctions that prohibit all business with Iranian banks."

Canadian Foreign Affairs Minister John Baird also cited the recent IAEA report as "yet more proof that the current regime in Tehran poses the most significant threats to global peace and security today."

"Canada is implementing, as of right now, a series of even tougher measures under the Special Economics Measures Act. These expanded sanctions prohibit almost all financial transactions with the Iranian government, add individuals and entities to the list of designated persons and expand the list of prohibited goods," he said in a statement.

Also Monday French President Nicolas Sarkozy sent a letter to various leaders and heads of state, urging "new sanctions of unprecedented magnitude to convince Iran that it must negotiate," according to a statement.

France recommended that the European Union and its member states, as well as the United States, Japan, Canada and other willing countries, freeze the asset of Iran's Central Bank and suspend purchases of Iranian oil.

Iran's nuclear program, the French president said, risks nuclear proliferation and "could spark a military escalation in the region with catastrophic consequences for Iran and for the world."

Pentagon denies bunker-busting bomb is intended for Iran

The European Union already has an extensive set of sanctions in place. France, as one of the member states, is pushing to increase them. According to European diplomats, next week the EU is expected to pass further sanctions similar to what the United States announced, but France wants the international community to move beyond that, collectively.

U.S. officials had been considering action against the Central Bank of Iran but became concerned that a full sanction could have a negative effect on the world economy because of the potential impact on oil prices.

A number of congressional members have been calling for sanctions against the bank amid questions about how much the current restrictions are working.

U.S. sanctions already prohibited American companies from doing business with Iran.

"Let me be clear: Today's actions do not exhaust our opportunities to sanction Iran. We continue actively to consider a range of increasingly aggressive measures," said Clinton.

Following Monday's announcement, senior officials with the U.S. Treasury Department spoke to reporters on a conference call, stressing the decision to designate an entire jurisdiction, like Iran, as a "primary money laundering concern" is rare. The action will create a chilling effect and should serve as a wake-up call to banks and financial institutions around the world still doing business with Iran, they said.

On Friday, the International Atomic Energy Agency board of governors issued a resolution expressing "deep and increasing concern about the unresolved issues regarding the Iranian nuclear program." But the U.N. agency's resolution did not threaten action to curb Iran's nuclear ambitions.

CNN's Jamie Crawford, Jill Dougherty, Alex Felton, Elise Labott, Niki Cook and Maxim Tkachenko contributed to this report.

@highlight

Sanctions target the country's petrochemical industry and its oil and gas business

@highlight

The United States announced tougher sanctions on Iran this week

@highlight

Canada prohibits almost all financial transactions with the Iranian government

@highlight

British companies must end all banking ties to Iran