Barack Obama's appearance on "The View" on Tuesday topped a week spent cozying up to the world of entertainment, including a dinner hosted by George Clooney that raised $15 million and a $5,000-a-plate extravaganza with Ricky Martin.

Presidents have always chased Hollywood's vote. Herbert Hoover's first overnight guest in the White House was Louis B. Mayer, and Richard Nixon had dinner parties with John Wayne. So Obama's willingness to dish dirt on the "View" sofa is historically in keeping.

Some in the news media are convinced that Obama's endorsement of gay marriage was designed to raise Hollywood dollars. They may have a point, but Obama wasn't just after money. The movie community is enjoying a renaissance of cultural power this election cycle, and that's what the president wants to harness.

It's noteworthy that Obama's relationship with Hollywood is far from strong. His biggest problem has always been his lack of enthusiasm for massaging the egos of movie stars.

In 2008, he was certainly happy to take Hollywood's cash: One Beverly Hills fundraiser alone pulled in $9 million. But after the election, Obama remained aloof from those who had supported him, and invitations to the White House in the first year of the administration were surprisingly few.

There's a glimpse of that alleged awkwardness in Edward Klein's new book about Obama. In "The Amateur: Barack Obama in the White House" Klein writes, Oprah Winfrey arrives at the White House for an interview and is shocked to find that she has to join the queue at security like everyone else. She even has to talk to staff who make only $75,000 a year (yes, Klein lists that as a complaint), and Oprah is humiliated when Michelle Obama fails to treat her as an equal. Clearly the wife of the leader of the free world needs to learn a little humility.

As a result, there had been rumors in the Hollywood press, before the gay marriage endorsement, about declining political and financial support for the president. Matt Damon's complaint that Obama is too centrist ("I no longer hope for audacity") summed up the mood of the liberal movie community nicely. When Obama visited Hollywood in September 2011, he was reduced to appearing at an event hosted by a sitcom actor at the House of Blues rock club.

Yet Hollywood is so good at raising cash that reliance on just a handful of loyal friends can still produce impressive results, as the astonishing $15 million takeaway from last week's Clooney dinner suggests.

The biggest bundlers, bringing in $500,000 each, include producer Harvey Weinstein and DreamWorks CEO Jeffrey Katzenberg, while actress Eva Longoria has raised at least $200,000. There have been $38,000-a-plate dinners with Will Smith, Spike Lee, Tom Hanks and Will Ferrell. Of course, the same-sex marriage endorsement has increased Hollywood enthusiasm for the president and induced liberal skeptics to give more. Producer Norman Lear, who had withheld support until now, announced that he and his wife would give the maximum $40,000 each.

Hollywood isn't just about money; it also exerts a quiet cultural power. Joe Biden was right when he credited "Will and Grace" with shifting popular attitudes towards homosexuality. Television has the power to acculturate and acclimatize viewers to social change. Consider that "Modern Family," which features a gay couple and their adopted daughter, was ranked the favorite sitcom among Republicans in 2010. Incredibly, Time magazine put "Glee" star Chris Colfer in its 2011 listing of the 100 most influential people in the world. That's right: A comedy-musical star is just as important to humanity as Christine Lagarde or Kim Jong Un.

Hollywood's soft power has been augmented in the past four years by two innovations. First, Twitter has dramatically expanded the reach of stars who aren't even explicitly political. In 2009, actor Ashton Kutcher entered a contest with CNN to see who could reach a million followers first. Kutcher won. Today, he is followed by 10.6 million people, far more than Mitt Romney's 500,000. Were Kutcher to write something political, it would require only 10% of his followers -- and then 10% of each of their followers -- to retweet it for it to become a viral sensation.

Second, Hollywood's activist base has moved away from pushing candidates and toward campaigning for ideas. The falling price of media technology, and the platform that the Internet provides, means that moviemakers can now "do it for themselves" rather than wait for the Democratic National Committee to recruit them.

Same-sex marriage is at the center of this revolution, resulting in a plethora of homemade Hollywood ad campaigns.

Local Republicans and Democrats are often united in supporting legal efforts to support gay rights, and their focus brings attention to the issue. In March, Dustin Lance Black's play about California's Proposition 8, which blocked same-sex marriage, was performed in Los Angeles with an all-star cast. Such events, which pursue political rather than strictly electoral goals, are worth millions in publicity to the gay rights movement.

All this means that even as the money keeps rolling in, Obama has to stay on the right side of the moviemakers. Perhaps this is another reason why he's intent on playing the culture war card.

Hollywood is full of rich people, so health care and jobs aren't issues that interest the new power players. But two people denied the right to express their love through marriage? Now that's a great story.

@highlight

Timothy Stanley: Obama has done some big Hollywood fundraising in recent days

@highlight

He says Hollywood cooled to Obama since its 2008 support

@highlight

He says Hollywood brings big money, cultural power and is more proactive in pushing ideas

@highlight

Stanley: Obama playing culture war card now in part to stay on right side of moviemakers