(CNN) -- At least three protesters were killed Sunday when security forces and secret police raided the town of Jableh on Syria's western coast and fired at demonstrators without warning, according to an eyewitness and demonstrator.

Security forces surrounded a mosque that was being used to treat the wounded, preventing 18 seriously wounded people from being taken to a hospital, according to a doctor inside.

Snipers posted on the rooftops fired rifles indiscriminately around the mosque, causing the hundred demonstrators and medical personnel inside to fear they would be shot in the dark, the doctor said.

The doctor, who asked not to be identified, said he believes the Syrian regime is now targeting him because "they heard my voice on Al Jazeera and they know me now and anytime the Syrian regime finds out about someone they do their best to make them disappear."

The makeshift hospital inside the mosque has no supplies to treat wounds other than cotton balls and gauze, he said.

Security forces did allow one gravely wounded patient to be taken away to a hospital, but the doctor said the man was "passing towards death."

Small groups were beginning to gather in the streets when security forces began firing at them, the eyewitness said. The witness said he saw one man shot to death, and that he was one of several men who carried the man's body away from the scene.

After hearing news of the incident, hundreds of people gathered on the streets chanting anti-government slogans, but before they could mass into one large crowd, security forces moved to break up the groups, the eyewitness said. "They attacked us and showered us with live ammunition," he said. "We all began fleeing and ran back into our homes."

Many people were injured in the crackdown, and one additional demonstrator was killed, the eyewitness said.

Security forces were patrolling the streets as snipers perched on the roofs of buildings continued to fire sporadically into the deserted town, the eyewitness said. Water and electricity to homes was turned off, and people were scared to raise their voices inside their homes for fear of attracting the snipers' attention.

"I am not afraid, but I have children and I cannot risk attracting attention to my home," the eyewitness said. The city was shut down, with all businesses closed.

The country's interior ministry said Sunday that dozens of Syrian police officers have been injured in the anti-government protests. On Saturday, witnesses also reported that security forces opened fire on people mourning slain protesters.

At least 10 people died Saturday after Syrian security forces opened fire on mourners at funeral processions in the Damascus suburb of Douma and the southern town of Izraa, according to witness accounts, adding to a rapidly growing death toll.

The state-run Syrian Arab News Agency reported Sunday that seven people were killed "by the armed criminal groups" on Saturday in the town of Nawa, citing an official military source. In addition, two security personnel were killed in al-Muadamiya and Homs, SANA said. The news agency also reported 38 police officers were injured in the clashes, citing the nation's interior ministry.

The accusations come amid heightened tensions between troops and protesters as public discontent with President Bashar al-Assad's regime grows. Syrians have staged anti-government protests for weeks, demanding the immediate release of political prisoners, lifting of emergency and martial law, and withdrawal of intelligence forces from Syrian cities.

Residents of Zamalka on Sunday buried four protesters killed in recent demonstrations, according to an eyewitness in the town. Hundreds gathered for the funeral procession and chanted anti-government protests as they marched toward the burial grounds.

Community leaders set up a large tent with loudspeakers in the center of Zamalka to stage a large anti-government rally, the eyewitness said. Hundreds of people were in attendance, with more expected after prayers were held in honor of those killed in the unrest.

There was a heavy security presence Sunday in the city of Harasta, just northeast of Damascus, which was preventing people from gathering for demonstrations, according to an eyewitness and activist. City entrances were blocked with security checkpoints, making it hard to enter or exit, the eyewitness said. Most businesses were closed. The activist said he has heard reports that several homes were raided Saturday night by security forces.

In Douma, meanwhile, several small demonstrations were taking place with several hundred people each, according to the eyewitness. The protests were peaceful. There were no security personnel inside Douma, but forces were stationed on its borders.

The eyewitness and activist said he was told by a doctor in the Damascus suburb of Barzah that three people were killed in Saturday's demonstrations.

On Thursday, al-Assad lifted the country's 48-year-old state of emergency and abolished the state security court, both of which were key demands of the demonstrators. But anti-government protests have continued, with dozens reported killed Friday.

The brazen Friday killings rippled through the Syrian political establishment.  Syrian parliament member Khalil Al Rifai announced his resignation Saturday in a television interview, saying security forces had opened fire even though al-Assad promised not to use force against protesters.

Protests continued early Sunday morning in a suburb outside Syria's capital, with people waving candles and chanting, "the people want to topple the regime," activist Wissam Tarif said.

Tarif, who is not in Syria but remains in contact with activists across the country, said he was told Saturday that forces were firing in the air and at random targets as more than 10,000 protesters took to the streets.

Witnesses in Izraa said tens of thousands of people gathered for a funeral procession, when, one witness said, "suddenly they opened fire on us and it was raining bullets. We were chanting peacefully, peacefully and they fired at us."

As thousands of people marched from the burial grounds toward Douma's main hospital Saturday, security forces on the rooftops of government buildings fired shots, a witness said.

"We were chanting, 'With our bloods, with our souls we will sacrifice for you, martyrs.' And all of sudden and without warning, they fired indiscriminately into the crowd," the witness said.

Tarif said activists have confirmed at least 84 deaths from Friday's confrontations between protesters and security forces.

Amnesty International reported at least 75 deaths on Friday.

"The Syrian authorities have again responded to peaceful calls for change with bullets and batons," said Malcolm Smart, Amnesty International's Middle East and North Africa director.

The protests began last month in the southern city of Daraa after a violent crackdown by security forces on peaceful demonstrators protesting the arrests of youths who scribbled anti-government graffiti.

The tough crackdown in Daraa spurred more protest. As peaceful demonstrations spread to other regions, such as Latakia, Banias and the Damascus suburbs, the protests were met with force that emboldened the protesters' resolve.

The government made some efforts at reform, include the lifting of the country's emergency law, the abolition of a special court that tried regime opponents, the establishment of a new cabinet, and the granting of citizenship to stateless people in the country's northeastern Kurdish region.

But activists think the violent crackdown Friday undermines the lifting of the emergency law. They also have other complaints with the government, such as immunity for its security officers and the incarceration of political prisoners and those arrested for participating in peaceful protests.

They want the easing of the ruling Baath Party's power and a law that would permit the establishment of independent political parties.

@highlight

Security forces wage a violent crackdown on massing protesters

@highlight

Eyewitness says the forces opened fire without warning

@highlight

Syria says 7 people were killed by "armed criminal groups"

@highlight

Witnesses say 10 people died Saturday after security forces fired on mourners