(CNN) -- Ancient Egyptians buried their dead with it. In 1848, Americans flocked to California to find it. If you're over 40, your dentist may have filled your mouth with it. And Germany wants their 674 tons of it back from the Federal Reserve Bank of New York.

Yes, we're talking gold. Atomic number 79 in the Periodic Table of the Elements, lustrous metal used for jewelry, valuable substance for electronic circuitry.

Where does it come from?

New results from studies of a gamma-ray burst -- an extremely energetic, fast explosion, typically from the distant universe -- suggest gold could be created in the collision of two neutron stars, which are kind of like two giant atomic nuclei.

CNN: All the world's gold came from collisions of dead stars

Let's pause for a chemistry refresher. An atom is made of a tightly bound nucleus of protons (positively charged) and neutrons (uncharged), orbited by electrons (negatively charged) -- a bit like planets orbiting the Sun, except instead of gravity, the electromagnetic force keeps the electrons orbiting the nucleus. (Also the laws of quantum mechanics are important -- but that's another story.)

The identity of an atom is determined primarily by the number of protons it has. Gold has 79 protons, hence, its atomic number. That's one more than platinum, two more than iridium, three less than lead.

Scientists think most of the elements lighter than iron (atomic number 26) were forged in the dense cores of stars much heavier than our Sun. At the end of their lifetimes, these stars explode violently in a supernova, dispersing the newly created elements across interstellar space.

In fact, most of the elements that make up your body and everything around you -- other than hydrogen and helium, the two lightest elements -- were made by nuclear fusion inside a star somewhere, long before the Earth formed. Physicists and astronomers figured this out in the last century.

However, the heavier elements, including precious metals like gold, silver and platinum, or cell phone ingredients like copper, palladium, zinc, beryllium, and, yes, gold, were not made this way.

Instead, these elements were forged in stellar explosions, as extra neutrons and protons were propelled into atomic nuclei.

Like modern-day alchemists, nuclear physicists can in principle turn lead into gold using particle accelerators and nuclear reactors (although it's easier to turn mercury into gold).

But don't get your hopes up. Producing a small amount of gold costs enormously more than it's worth so this isn't any way to get rich.

Obviously, nature makes gold, or miners wouldn't find it in rocks and streams. But nature doesn't manufacture it easily. Indeed, a supernova is more likely to turn gold into lead than the other way around.

So now Edo Berger of Harvard University thinks he might know where all this gold came from. Scientists have suspected for a decade that some powerful gamma-ray bursts could result from the collisions of two neutron stars. Because neutron stars are incredibly dense collections of neutrons -- basically, like a bizarre, gigantic, atomic nucleus -- smashing them together is bound to create atoms containing many neutrons and protons, including good old gold.

Berger thinks the faint infrared light seen by NASA's Hubble Space Telescope from a gamma-ray burst detected last month by NASA's Swift gamma-ray space telescope might come from radioactive decay of heavy elements created in the collision. During the collisions, neutrons captured by lighter nuclei should create such radioactive elements, which can then decay into other elements, producing the infrared light he saw.

In addition to lead, thorium, and uranium, one of the (minor) by-products should be gold.

Could this be where your jewelry came from, the violent collision of two exotic neutron stars?

"To paraphrase Carl Sagan," says Berger, "We are all star stuff, and our jewelry is colliding-star stuff."

So next time you put on that necklace, admire a gilded painting, or talk on your cell phone, pause to remember that it came from rare collisions of neutron stars in deep space. And figure that the next gamma-ray burst we discover might just have made as much gold as there is on Earth.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

New studies suggest gold could be created in the collision of two neutron stars

@highlight

Meg Urry: Most elements were made by nuclear fusion inside a star, but not precious metals

@highlight

She says the next time you wear gold, remember that it came from deep in space