It's been nearly two years since Xi Jinping assumed paramount leadership in China and the world has mixed feelings about him.

The latest Pew Research Center findings show that Xi has received mostly negative ratings from those surveyed in the West, the Middle East, and long-time rivals Japan and the Philippines.

However, the president is viewed favorably in several neighboring countries, as well as in Africa. Back home in China, Xi also receives overwhelmingly good ratings, with 92% of Chinese people polled expressing confidence in him.

To many China watchers, such a mixed bag of ratings confirms that Xi remains a cipher. People -- both inside China and out -- are still debating: Is Xi Jinping a reformist or tyrant?

The man who took over the Communist Party's paramount post in November 2012, and six months later the state presidency, certainly has the pedigree for leadership. The son of a respected Communist guerrilla leader who was an ally of Deng Xiaoping, the architect of China's reform program, Xi grew up in Beijing with fellow "princelings" and political elite.

Since taking control, he's assumed a raft of top posts in the Party, the government and the military; some China watchers have dubbed him "Chairman of Everything."

Orthodox reformist

China's leader faces a long list of challenges: Economic slowdown, corruption, growing gap between the rich and poor, rising criminality, environmental and ecological degradation.

Simmering ethnic tensions in the frontier regions of Xinjiang and Tibet, which in recent months have witnessed some of the worst ethnic violence, are also cause for worry, as are territorial disputes with Japan, the Philippines and Vietnam.

"The Party is beset by crisis because it is moving into an era where so many sociopolitical challenges need to be addressed," says Kerry Brown, professor of Chinese Politics and director of the China Studies Center at the University of Sydney.

Xi's political resume shows that he's ideally placed for implementing reform, particularly economic. As a provincial leader in southern China, Xi was in charge of free market-dominated economies.

"All evidence shows he worked well with them, and was always very cautious," says Brown,  who is also the author of "The New Emperors: Power and the Princelings in Modern China."

"Xi's record shows an orthodox reformist, nothing more."

Contradictions

Yet, after almost two years at the helm of the world's second-largest economy, his policies and promises suggest that he is a bundle of contradictions.

While some see him as a reformer, others view him as a throwback.

To tighten his grip on the 80-million strong Communist Party, he preaches ideological orthodoxy, and has revived some communist rhetoric and practices, such "criticism and self-criticism" sessions.

And he's also cracked down on China's nascent dissenting voices. In recent months, China has detained scores of liberal intellectuals and many more civil rights activists. He has also silenced raucous bloggers.

These examples of heavy-handedness have dashed earlier hopes that Xi may be a potential liberal reformer.

"I don't think he is a reformist," says Teng Biao, a human rights lawyer and a leader of China's citizens' right movement. "He is collecting power in order to be a dictator. He hates open politics -- liberal democracy -- but wants a powerful economy."

Economic primacy

Indeed, Xi is not wishy-washy on the belief that economic growth is essential to political and social stability -- and the survival of the Communist Party.

"Xi Jinping's core aim is to rejuvenate the Communist Party in order to push through drastic free market reforms that he believes will make China a modern, prosperous world power," says Sidney Rittenberg, a seasoned China-watcher and author of "The Man Who Stayed Behind", a book about his experiences in China.

"This means nothing less than a new revolution in China."

To succeed, "Xi must overcome resistance from jaded bureaucrats who stand to lose power and privileges."

"New revolution"

Even as Xi seeks to silence dissent and consolidate power, he has started to address sensitive issues. Some of his planned reforms are aspirational, some are underway, but all have the potential to drastically affect the Chinese political, social and economic landscape in China.

Chief among these is the issue of labor camps, which operate outside the judicial system and have been blamed for human rights abuses and injustices. Xi's reform system could have a direct impact on this system.

He's also taken to task the draconian and unpopular one-child policy, which have been blamed for cases of forced abortion and infanticide -- late last year the government announced plans to relax the restrictions, chiefly for parents who were single children themselves.

He also plans to liberalize the "hukou" residence registration system, which restricts rural migrants' rights in cities, freeing up migration and, in theory at least, developing a more mobile, dynamic workforce.

Economically, he proposes allowing increased competition in state-dominated industries, further moving the country away from an outdated, inefficient centralized model. He's also looking to drastically alter the country's definition of economic success, by ending the obsession with GDP growth and instead aim for quality, not quantity.

One of the more eye-catching reforms that Xi has in mind, perhaps crucially, is a plan to build a more independent judiciary. The political impact of a move away from the much-maligned system remains to be seen.

Xi's boldest gambit so far, however, is the anti-corruption campaign which has already snared thousands of bureaucrats, military officers and enterprise managers. They include scores of formerly powerful senior leaders in the Communist Party and the military.

Long-term strategy

"He is tactically focusing on the soft targets -- corruption, inefficiency in the state sector, reform of fiscal decision-making -- before moving onto much harder ones," says Brown.

Xi is expected to stay in the No. 1 seat for eight more years, assuming he will get a second five-year tenure, as has been the unwritten norm since Deng Xiaoping's death in 1997.

Long-term, he faces a tougher challenge.

"Growth alone is not enough," says Brown. "Equity, balance and political issues are demanding some answers."

"Xi and his leadership have to convince enough Chinese that the good years ahead are worth sacrifice now, and that it is worth continuing to invest in the current political model because it will deliver the 'rich and strong nation' that has been the Chinese Dream since 1949."

Regardless of the direction he is pursuing, Xi's strength and conviction should be enough to ensure that his own vision is realized.

@highlight

Pew Research Center finds Xi is failing to make a positive impression globally

@highlight

After almost two years as president, Xi Jinping proves he is a bundle of contradictions

@highlight

China watcher: "Xi's record shows an orthodox reformist, nothing more"

@highlight

Rights activist: "Xi is collecting power in order to be a dictator"