(CNN) -- Kofi Annan, whose initiative to forge peace in war-ravaged Syria failed to take hold, said he has resigned as the U.N. and Arab League joint special envoy because of "increasing militarization on the ground" and "the clear lack of unity" at the U.N. Security Council.

Annan said he told U.N. Secretary-General Ban Ki-moon and Arab League Secretary-General Nabil el-Araby that he didn't want to renew his mandate when it expires August 31.

Syria state-run TV said the nation "expresses regret for the resignation," and Ban said he and el-Araby are looking for a successor to take on the "crucial peacemaking effort."

In Geneva, Annan said he accepted the job despite its challenges, a task that some had dubbed "Mission Impossible." He said it was a "sacred duty" to bring about peace, end the killings and abuse of civilians, and set a course toward political change.

"The severity of the humanitarian costs of the conflict, and the exceptional threats posed by this crisis to international peace and security, justified the attempts to secure a peaceful transition to a political settlement, however daunting the challenge. The increasing militarization on the ground and the clear lack of unity in the Security Council have fundamentally changed the circumstances for the effective exercise of my role," he said.

Obama authorized covert support for Syrian rebels, sources say

"Yet the bloodshed continues, most of all because of the Syrian government's intransigence and continuing refusal to implement the six-point plan, and also because of the escalating military campaign of the opposition, all of which is compounded by the disunity of the international community. At a time when we need -- when the Syrian people desperately need action, there continues to be finger-pointing and name-calling in the Security Council."

The nearly 17-month-long Syrian crisis started when the regime brutally cracked down on peaceful protesters in March 2011 and morphed into a nationwide uprising.

Among the five permanent members of the council, Russia and China have persistently disagreed with tough action against the regime of President Bashar al-Assad that is favored by the United States, Britain and France.

The utter failure of world diplomacy and Syrian leaders to end the fighting has resulted in a humanitarian catastrophe. Opposition groups say that more than 20,000 people have died, thousands have been imprisoned by the regime and tens of thousands have been displaced from their homes.

U.S. boost humanitarian aid to Syria

The conflict is now internationally regarded as a civil war between an armed resistance movement and al-Assad's regime.

"Without serious, purposeful and united international pressure, including from the powers of the region, it is impossible for me, or anyone, to compel the Syrian government in the first place, and also the opposition, to take the steps necessary to begin a political process. You have to understand: As an envoy, I can't want peace more than the protagonists, more than the Security Council or the international community, for that matter," Annan said.

The appointment of the former secretary-general in February was supported by world powers and the Syrian government. After he took the post, he helped formulate a six-point peace plan for Syria that included a cease-fire. The United Nations established the U.N. Supervision Mission in Syria to monitor the efforts to forge the plan.

The plan called for establishing a cease-fire between al-Assad's government and the opposition, allowing humanitarian groups access to the population, releasing detainees and starting a political dialogue. It also called for government forces to withdraw from city centers.

Despite an initial and small drop in violence after his plan was announced, fighting raged nonstop. The terrain became so dangerous in Syria that U.N. monitors had to suspend their observation missions.

In an opinion piece published Thursday in the Financial Times, Annan said regional and international players have "clear common interests" in a "managed political transition."

He said al-Assad "must leave office."

Read more: From rocks to RPGs

Russia, China and Iran, friends of the Syrian regime, "must take concerted efforts to persuade Syria's leadership to change course and embrace a political transition, realizing the current government has lost all legitimacy," he said. The United States, Britain, France, Turkey Saudi Arabia and Qatar must press "the opposition to embrace a fully inclusive political process."

"None of this is possible, however, without genuine compromise on all sides," he wrote. "Syria can still be saved from the worst calamity. But this requires courage and leadership, most of all from the permanent members of the Security Council, including from Presidents Putin and Obama. Is ours an international community that will act in defense of the most vulnerable of our world, and make the necessary sacrifices to help? The coming weeks in Syria will tell."

The Annan initiative disappointed opposition groups.

Rafif Jouejati, English-language spokeswoman for the opposition Local Coordination Committees of Syria, said Annan's replacement "will be equally constrained by Assad's failure to adhere to any sort of plan, and the ongoing complicity of Russia, China and Iran in mass killings and exodus in Syria."

"The Annan resignation was expected, since his plans have failed. While this may cause discomfort for the U.N. and prove that it was unable to provide a solution for the Syrian people, it means nothing to the Syrian people. The revolution will continue until we achieve our goals of freedom, democracy and dignity.

"It is sad to watch the diplomatic process die in such indignity, but millions of Syrians had indicated that Assad had no intention of implementing any diplomatic or political solution to the current crisis in Syria," she said. "Annan's plan was fatally flawed for several reasons, chief among them that 300 unarmed observers under the near-constant supervision of regime monitors could not possibly have been effective in observing, enforcing or even reporting on a cease-fire, let alone the other tenets of the Annan Plan."

Read more: Syrian regime failed to protect civilians

Vitaly Churkin, Russian ambassador to the United Nations, said he hopes Annan uses the rest of the time on the job to be as effective as possible "under these very difficult circumstances."

"We understand that it is his decision. We regret that he chose to do so. We have supported very strongly Kofi Annan's efforts," he said. "I'm very encouraged that the secretary-general is already working on finding a successor for Kofi Annan who would be able to pick up this daunting task of putting an end to the crisis in Syria."

Ambassador Susan Rice, the United States' permanent representative to the United Nations, said Annan took on a "thankless and difficult task at great personal cost."

"When the Security Council failed to heed Mr. Annan's repeated calls for collective and significant consequences for non-compliance with its prior resolutions, those members who blocked this action effectively made Mr. Annan's mission impossible," she said in a written statement.

Catherine Ashton, the European Union's foreign policy chief, said Annan's resignation "makes clear how unfortunate it has been that the U.N. Security Council was unable to agree to a resolution."

"The EU continues to support the efforts of the U.N. and the League of Arab States and calls for the early appointment of a successor to carry on Mr. Annan's work towards a peaceful political transition in Syria," Ashton said in a written statement.

Ban, who was first to announce the move, praised Annan's "determined and courageous efforts" and said the news left him with "deep regret." He said that Annan worked within the mandate provided to him by the U.N. General Assembly and that he is "indebted to him and his team for all they have tried to achieve."

But Ban also said the government and the opposition have been determined "to rely on ever-increasing violence," and there have been "persistent divisions within the (U.N.) Security Council."

"Kofi Annan deserves our profound admiration for the selfless way in which he has put his formidable skills and prestige to this most difficult and potentially thankless of assignments," Ban said.

Annan had been secretary-general from 1996 to 2006 and was involved in other initiatives, including the mediation of the election dispute a few years ago in Kenya.

Ban said peace can come only if there's a "firm commitment to dialogue" among the players in Syria and international unity.

"Tragically, the spiral of violence in Syria is continuing. The hand extended to turn away from violence in favor of dialogue and diplomacy -- as spelled out in the six-point plan -- has not been taken, even though it still remains the best hope for the people of Syria."

Complete coverage of the stories unfolding in Syria

The CNN Library contributed to this report.

@highlight

NEW: The EU "calls for the early appointment of a successor" for Annan

@highlight

U.N. Secretary-General Ban Ki-moon announced the move with "deep regret"

@highlight

Arab League Secretary-General Nabil El Araby and Ban are looking for a successor

@highlight

U.S. Ambassador: Security Council vetoes made Annan's mission impossible