(CNN) -- With a climate that ranges from desert dry to tropical lush to freeze-your-North-Face-off in the Andes, Peru packs a ton of diversity between its sea level elevation Pacific beaches and the 22,204 foot top of its highest mountain, Nevado Huascaran.

There's pisco. There's ceviche. And, yes, there's that famous trail.

Don't worry, we'll get to all of those. First some things you may not already know.

Peruvian food: From guinea pigs to pisco sours

1. Lima is worth seeing

While most international travelers land in Peru's current capital, many immediately continue on to the country's former capital, Cuzco, in their rush to get to Machu Picchu.

That's a mistake.

Lima is Peru's largest city by far. It's home to more than a quarter of Peru's roughly 30 million people, has wonderful food, the beautiful Miraflores district (where you can drink while overlooking beaches lined with small rocks that form eye-catching patterns each time the tide rolls out) and excellent museums.

The Museo Larco and its Erotic Gallery is devoted to sculptures from more than a thousand years ago celebrating sexual congress in all of its least procreative forms. Reproductions of these works pop up all over Peru, notably in the form of a bottle of pisco shaped like a fellow in an extremely good mood.

Museo Larco (Larco Museum), Bolivar 1515, Lima; +51 1 461 1312

2. You're gonna love the ceviche

Fresh, raw fish marinated in citrus juices and spiced with chili peppers and sometimes other tongue-tingling spices, ceviche is Peru's most popular dish, a must-try for any visitor.

In Lima, internationally famed La Mar is a great place to try it, but ceviche is prepared differently throughout the country, from humble street stalls to elegant restaurants.

La Mar, 770 Av. La Mar, Lima; +51 1 421 3365

3. There's more to Peru than Incas

Most tourists come to Peru to see Machu Picchu or other Inca ruins, with maybe a few Catholic churches thrown in for balance. This makes it easy to conclude, "There were the Incas, then the Spanish came, which brings us to where we are now."

In fact, the Inca were a bit like Mitt Romney's Bain Capital: They had a knack for taking control of long-established things and making them their own. The Incan state didn't emerge until the 1200s. It became an empire in the 1400s, and its final sovereign emperor died in 1533, officially ending the period of constructing the buildings and roads that lure visitors to this day.

That said, the Norte Chico people of Peru built a civilization 5,000 years ago and the centuries that followed saw the emergence of other significant cultures, such as the Paracas and the Moche.

Was the Incan era a highlight of Peruvian history? Unquestionably.

But when Peruvian museums boast artifacts from before Christ, focusing exclusively on Atahualpa and his predecessors is akin to being so impressed by books that you conclude world history began with the Gutenberg press.

4. Pisco rules

Peru's beverage of choice is pisco, a brandy made from grapes. It's also adored in Chile, inspiring an epic rivalry over which nation is its true birthplace.

Available in numerous brands at varying prices, pisco is usually consumed in cocktail form, meaning other ingredients largely hide its nuances, which can be a good thing for novices unaccustomed to pisco's blowtorch nuances.

The most famous cocktail is the pisco sour, consisting of lime juice, simple syrup, egg white, ice and Angostura bitters. There are assorted variations, such as the coca sour for those who feel the pisco sour requires more bitterness.

If you'd rather just have a beer, you're in luck -- the local brews are good, with CusqueÃ±a being a particularly refreshing option.

5. Cash is king, ideally in small bills

Travelers in less trafficked areas of the world often find businesses that won't take MasterCard or Visa, much less American Express. Peru offers an extra twist: occasionally shops refuse these cards despite displaying signs advertising them.

In general, Peruvians like their soles (the currency is the nuevo sol) in small denominations: a fifty (roughly $20) is OK, but denominations of twenty and under are better to ensure merchants can make change.

That noted, Peruvians tend to put great stock in U.S. dollars, so even if an establishment doesn't take credit cards and you don't see an ATM, you may still be able to buy dinner or souvenirs. Make sure your U.S. and other foreign currency is in pristine shape -- many merchants and hotels will reject torn or overly worn bills.

6. Altitude adjustment amounts to common sense

Peru is a mountainous land, and you have to handle heights if you're going to Cuzco, Machu Picchu and other landmarks of Incan culture.

How to prepare? The easiest method is drink lots of water, get plenty of sleep and ease off the booze -- just imagine how your mother would like you to conduct your life at every elevation and you'll be fine.

You can also consume stimulating coca leafs, whether in tea or by chewing them.

7. The plumbing requires some TLC

Expect to see trashcans in bathrooms next to the toilet. While Peruvian plumbing handles your waste, it doesn't do toilet paper, which must be put in the bin next to the bowl.

Some bathrooms have signs stating this rule, others assume you know: remember and spare yourself begging for a plunger in broken Spanish.

8. The Inca Trail is genuinely difficult

Along the famed trail you'll often be reminded of the Peruvian proverb: "When the road is long, even slippers feel tight."

The Inca Trail largely consists of stone stairs -- often steep ones -- and those stone stairs weren't meant to be covered by mortals. The result is that the steps feel quite high for those who don't answer to "Kobe" or "LeBron."

If just reading this makes your knees swell, you may be in trouble.

In addition, while altitude sickness tends to be exaggerated, there'll come a moment when you're going up a hill and find that your lungs have betrayed you.

Throw in the chance of heavy rains -- test your "waterproof" gear pretrek to make sure it's just that -- and the trail can feel less like vacation than boot camp.

9. There are ways to ease your Inca pain

Depending on the company guiding you on the Trail, it's possible to get porters to carry your tent, sleeping bag, food and ... well, they'll essentially carry everything, including you, should your body completely fall to pieces.

Porters race ahead to the night's camp and assemble everything before parties arrive, then cook and serve multiple-course meals, in certain cases on white linen table clothes. The result after a hard day's walk is that you feel like you've stepped out of "Deliverance" and into "Howard's End." Speaking of porters ...

10. Porters are the toughest guys in the country

Whether you're on your own or traveling like an English lord in the colonies, you'll encounter porters on the Inca Trail. These men tend to be farmers or laborers looking to earn extra money.

They carry up to 20 kilograms (44 pounds) of gear -- the weight limit is a recent development, they used to handle positively spine-shattering loads -- and they carry it fast. Some actually run along the trail, somehow avoiding shredded ankles as they navigate uneven, wet stones just to ensure all's ready before the tourists stagger into camp.

If you feel like racing your fellow hikers, great. Do not test the porters: They're pros, and you're at best a promising amateur.

@highlight

The country of some 30 million is incredibly diverse

@highlight

Take the time to visit Lima, the nation's capital and largest city

@highlight

Pisco, a brandy made from grapes, is the national libation

@highlight

The famed Inca Trail isn't recommended for novice hikers -- it's tough