Congress returns to Washington facing the biggest international crisis in years. It is critical the House of Representatives and Senate work together to send a strong and unified message that Russia's invasion of Ukraine is unacceptable, and take quick action to punish President Vladimir Putin.

While we are both relatively new to Washington, we've been here long enough to realize that our divided Congress isn't good at "quick action" or "unified messages."

Yet we also recognize that the roots of Russia's actions last week to invade and control Crimea are complex, and they predate President Barack Obama's tenure. This challenge is truly bigger than our partisan divides.

Putin clearly decided that the benefits of an armed intervention in Ukraine outweighed whatever costs the United States would be willing to impose.

The United States must reset that calculation.

In that spirit, we welcome Obama's call for bipartisan action in the Congress, which will hopefully move to quickly pass a serious package of financial support for Ukraine and to bolster the authorities that the administration already has to pursue and penalize Russian individuals and entities.

Live blog: 'Strong belief' Russian incursion is illegal

The United States must make clear to Putin that by violating Ukraine's sovereignty and violating multiple international commitments, he has made a strategic miscalculation that will lead to severe impacts for Russia's economy and its standing in the world.

Beyond immediate financial actions against the Russian regime and even Putin himself, if Russia attempts to expand its military operations and threatens eastern Ukraine, we and our allies in Europe need to be ready to implement a trade embargo, explore restrictions on imports of Russian natural gas, and cut off Russian banks from the international financial system. We also need to open up exports of domestic natural gas to our allies and partners in the region so that they are less susceptible to Russia's efforts to use energy as a weapon.

If, in the coming days, Russia does not back down, Ukraine will require more than just our moral and financial support, including defense assistance in the form of a military assessment team to examine Ukraine's needs, as well as enhanced intelligence cooperation.

Putin: Military force last resort

Our allies and partners in Central and Eastern Europe are undoubtedly watching this situation with much apprehension about what it says about the credibility of American leadership and the future of the transatlantic alliance.

To this end, we need to support our emerging partners in the region.

For years, Georgia has been requesting a defensive arms package that would include anti-aircraft and anti-tank capabilities that the 2008 conflict showed were sorely needed.

We need to provide this support and finalize a Membership Action Plan (MAP) for Georgia to join NATO. For those partners already in the pipeline for membership, we should move up accession as soon as possible, even as early as the NATO Summit in Wales in September.

Recent events should break the freeze on NATO expansion that has been in place for the past five years. It is precisely the ambiguity in which NATO left Georgia after the 2008 Bucharest Summit that fueled Russia's belief that it can bully NATO partners and not face a credible response.

Opinion: Why it will be hard for West to stop Putin

We also need to show solidarity with our allies who are already in NATO. We should make clear that we share Turkey's concerns about the status of Crimean Turks and other ethnic minorities. And we should reject Russia's claims that it is protecting ethnic Russians.

How should our friends in Vilnius, Riga, or Tallinn take Russian rhetoric about the need to "protect" ethnic Russians in Ukraine when they, too, have significant populations of ethnic Russians living in their countries?

NATO should review its force posture in the region and take tangible steps to show the credibility of our Article V guarantee to the most vulnerable members of the alliance.  This should include strengthening the NATO and U.S. military presence in frontline member states.

We also need to admit to ourselves that the significant military cuts proposed by Defense Secretary Chuck Hagel a week ago are entirely unrealistic in today's threat environment, and that as we focus more on Asia, we cannot ignore ongoing threats to European security.

None of this will be easy. It will require leadership, not crisis management focused on de-escalation, which seems to be the primary concern of the White House.

Some of our European allies have responded strongly, and others will need prodding from the administration and even the President himself.

Some may argue that these actions are overly provocative and will only encourage Russia to be more aggressive. But provoking Russia is exactly what five years of "reset" has now achieved.

If we do not take these steps, similar actions by Russia and other authoritarian regimes around the world will only proliferate. So, too, will the uncertainty and hedging of our global allies and potential partners, who already, from Latin America to the Middle East to Asia, have plenty of reasons to doubt our seriousness and question whether America will continue to be the leading force for peace and stability in the world in the decades to come.

The stakes are extremely high, but this is an opportunity to correct some of the mistakes we have made recently in our relationship with Russia and to send a message heard around the world that America is not going anywhere.

Join us on Facebook.com/CNNOpinion.

@highlight

Rubio and Cotton feel the U.S. response on Ukraine should transcend "partisan divides"

@highlight

They say Congress should support sanctions, implement a trade embargo

@highlight

Consider restricting imports of natural gas and cutting off Russian banks, they say

@highlight

They argue that similar actions will proliferate around the world if steps aren't taken now