(CNN) -- From humble feature phones to souped-up tablets, mobile devices have become a major player in America's media landscape. New research from comScore shows that nearly half of all Americans now access some kind of mobile media: browsing the mobile Web, using mobile apps or downloading content via a mobile device.

Furthermore, mobile users increasingly own multiple mobile devices that they use in various ways over the course of a day or simultaneously, making them what comScore calls "digital omnivores."

"Not too long ago, consumers depended solely on their desktop computer or laptop to connect online," the report says. "Now, a growing number of consumers are likely to access a wide variety of digital content across a multitude of devices on a daily basis.

"With smartphones, tablets and other connected devices, consumers have become digital omnivores -- not just because of the media they consume but also in how they consume it. Cross-platform consumption has created a vastly different digital landscape, and it is one that requires insight into both the individual usage of devices as well as the nature of their complementary use."

Digital omnivore? Guilty as charged. Here's how this works in my life:

On a typical workday, while I'm making my morning tea, I'm also downloading that day's audio podcasts to my computer. I sync these up with my iPod so I can listen to the news while I make breakfast and hit the gym.

While I'm walking to the gym, a podcast news story captures my interest. I stop on the sidewalk for a minute, pull out my Android phone and do a Google search to find the version of that story on the podcast's website. I scan the first few paragraphs and realize I'll want to read the story later in-depth. So from my phone, I share that story to my Instapaper account (a free service that saves and delivers long-format text content in a format easy to read on a variety of mobile devices).

Later that afternoon, on my lunch break, I pull out my Kindle and sync it via wi-fi to my Amazon account. The Kindle downloads my latest Instapaper archive: a few articles I've recently saved, including the article from that morning. I read these while having lunch.

One story in that Instapaper batch mentions a new film that sounds interesting, a remake of "The Thing." So I pull out my phone, launch the Internet Movie Database app and watch the trailer. I like it so much, I tweet about it and post it to a group of friends on Google+, all from my phone. By then, I've finished my soup, and it's time to get back to work.

Notice that I haven't turned on a TV or radio or opened a printed newspaper or magazine at all that day. That's normal for me. Still, I'm accessing comparable (and arguably more useful, flexible and actionable) kinds of content via devices that I can easily carry around anywhere I go.

Also: No trees were harmed in the making of this content experience.

I don't personally own a tablet (I haven't found one that suits my needs at a price I'm willing to pay), but according to comScore, the emergence of tablets is making the media landscape ever richer and more complex -- and more fragmented.

While tablets are still a very small part of the mobile market, comScore says three out of five tablet users get some kind of news on this device, and 25% do so daily or most days.

As a journalist, I take that as potential good news -- in the long run.

But for now, even though half of Americans are already accessing some kind of mobile content, this contingent is still a long, long way from taking over digital media as a whole.

The comScore report notes, "The share of non-computer traffic for the U.S. stood at 6.8% in August 2011, with two-thirds of that traffic coming from mobile phones and tablets accounting for much of the remainder."

This traffic measurement includes only browser-based page views -- just a subset of all Internet traffic (which encompasses everything from e-mail to app support to streaming video to cloud computing and storage). But still, 6.8% is a soberingly small figure, considering how much media attention mobile technology is getting.

In the big picture, for now, digital media still exist mainly in the realm of computers that rely on wired broadband connections. But this is changing fast: IDC recently predicted that by 2015, more Americans will access the Internet via wireless connections (wi-fi and wireless carriers) than "wireline" connections (cable modem, DSL, etc.).

Where is this trend heading? Among its conclusions, comScore notes, "Devices influence the way people consume content and it is important to remember that they do not exist in isolation of one another, but have a complementary relationship in consumers' lives."

In other words, it's a bit like drug interactions: different media and communication devices affect us in different ways, especially in combination.

For instance, I would have gotten less value from the news podcast on my iPod if I hadn't had my Android phone handy while I was listening -- and less value still if I hadn't been able to read the article I'd encountered that way on my Kindle, when and where that experience was more convenient. (And note that this total benefit did not hinge on me committing solely to any single platform or manufacturer.)

In the coming year, I'd expect to see more online publishers, advertisers and service providers experimenting with multichannel cross-platform offerings that support complementary types of engagement through your various (and mostly mobile) devices.

Similarly, activists, organizations and communities of all types will develop their own multichannel strategies, both intentionally and organically. We'll probably see some strange bedfellows and blatant missteps along the way.

But the ultimate goal will be to create a more coherent yet customized experience that feels ambient, not tied to specific devices. Which is probably good, since this technology keeps changing so fast.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Mobile devices have become a major player in America's media landscape

@highlight

Mobile users increasingly own multiple mobile devices which they use in various ways

@highlight

The emergence of tablets are making the media landscape richer, according to comScore