Washington (CNN) -- A seismic study found that the Washington Monument can withstand a worst-case earthquake scenario, officials said Thursday in describing needed repairs to the iconic landmark damaged in the 5.8-magnitude quake a year ago.

The 555-foot monument will be under full scaffolding for repairs to damaged marble plates, stonework and other problems near its top, said Bob Vogel, superintendent of the National Mall and Memorial Parks.

At a news conference with other U.S. officials, Vogel offered no time frame for the repairs. Officials previously said the monument could be closed through 2013 and possibly into 2014.

The monument has been closed since an earthquake struck the mid-Atlantic region near Richmond, Virginia, on August 23, 2011.

Quake-damaged monument may stay closed until 2014

"This is the most significant earthquake to ever strike the U.S. east of the Rocky Mountains," U.S. Geological Survey Director Marcia McNutt said at the news conference. "More people felt this earthquake than any earthquake in U.S. history."

A comprehensive seismic study determined the monument faced no risk of collapse, even in the event of a "maximum considered earthquake," the estimated worst possible quake over a 2,475-year period, Vogel said.

Such a scenario "did not present a concern for structural collapse," he said, adding that "supporting soils are indeed adequate to withstand" a maximum considered earthquake.

At least nine marble panels on the outside of the monument near the top are cracked, according to a post-earthquake assessment. Others are chipped but not in danger of falling, the report said.

Indoor repairs are also required. Some interior tie beams and some cracked panels will be fixed.

About 700,000 visitors go to the top of the monument in a typical year.

The Washington Monument was built between 1848 and 1884 and has been repaired three times previously, with the most recent work done from 1997 to 2000.

The signature obelisk wasn't the only landmark in the U.S. capital city affected by last year's quake.

Three towers of the National Cathedral and carved pinnacles and embellishments that decorate them suffered severe damage. The church's interim dean, the Rev. Francis H. Wade, said Thursday that the cost for repairs, restoration and historic preservation should exceed $50 million. It is expected this effort will take 10 years.

Repairs done since last summer's quake have focused on stabilizing stone. On Thursday, cathedral officials announced they had received a $5 million gift from the Indianapolis-based Lilly Endowment that will be used for architectural restoration.

"After a year's time, we have a long way to go toward full restoration," Wade said. "But we also have countless individuals, organizations and houses of worship to thank that have shared in their belief in the work of this sacred place -- and I have no doubt that they would join me in gratitude for this major restoration grant."

The August 2011 tremor rattled buildings around the nation's capital, as well as stoked concerns about whether residents, workers and visitors were prepared.

During Thursday's news conference outside the Washington Monument, officials described an upcoming drill designed to prepare people to react quickly if another big earthquake hits the region.

Called the Great Southeast Shakeout, the drill is scheduled for 10:18 a.m on Oct. 18. Its aim is to encourage people to drop to the floor or ground, take cover under a desk or table, and hold on until the shaking stops.

Last year, they said, many people in the Washington business district fled their buildings like in a fire drill, putting them at potential risk from falling debris.

The website for the drill is www.shakeout.org/southeast.

Where to find exceptional America

CNN's Greg Seaby, Tom Cohen, Eric Fiegel and Lindy Royce contributed to this report.

@highlight

NEW: The damaged National Cathedral gets a $5 million gift for restoration efforts

@highlight

The Washington Monument can withstand a worst-case earthquake, a study shows

@highlight

The iconic landmark will be in full scaffolding for upcoming repairs

@highlight

Officials are planning an earthquake preparedness drill for the region