(CNN) -- Residents in parts of southern Yemen experienced a "human rights catastrophe" when an al-Qaeda affiliate took control of the country's Abyan province for 14 months, according to Amnesty International.

In a new report entitled "Conflict in Yemen: Abyan's Darkest Hour", the rights group catalogs "a raft of gross and deeply disturbing" punishments carried out by Ansar al-Sharia, including crucifixions, public executions, amputations and floggings.

Read more: Al Qaeda figure comes back to life in Yemen

"They committed horrific abuses," said Cilina Nasser, of Amnesty International. "They set up courts, their own courts and claimed to apply Islamic law."

One man, accused of spying for the U.S., was killed and then had his remains crucified. A video obtained by the rights group shows the rotting body, which had been left out in the open for days -- a warning to anyone who might consider doing the same.

In another video, a prisoner, bound and blindfolded, is led to a public square. The man, convicted of spying on al-Qaeda for Saudi Arabia, is then readied for execution.

Read more: Security official for U.S. Embassy in Yemen killed

For the U.S. and Yemen, who for years have been attempting to vanquish a resurgent and emboldened al-Qaeda in the Arabian Peninsula, the news couldn't have been more dire.

"As the United States and as Saudi Arabia have been very, very concerned about al Qaeda in the Arabian Peninsula being able to sort of plot, plan and launch attacks from their hideouts in Yemen, the Saudis and Americans have worked together to create these undercover agents," Gregory Johnsen, a Yemen expert who has written a book on the nation.

But the militants were not only going after alleged spies.

Read more: Huge death toll doubles in Yemen 'slaughter'

According to Amnesty International, one woman was beheaded for the crime of sorcery. In an extremely disturbing video, her severed head can be seen as it is paraded through the streets.

And one young man, accused of theft, had his hand publicly amputated.

"They detained me in a room for five days," the young man later told the rights group. "They kept beating me hard ... After five days, they gave me an injection and I slept ...When I woke up my hand was not there."

A chilling video shows him lying unconscious -- his left arm stretched out as one man begins cutting through the wrist. Once done, a spectator takes the severed hand and raises it for the gathered crowd to see. Cries of "God is great" can then be heard.

"In 2011, the Yemeni military essentially split during the uprising that eventually overthrew the long serving president Ali Abdullah Saleh," explained Yemen expert Gregory Johnsen. "They were fighting amongst themselves and what this did is it opened up a lot of space for al Qaeda in the Arabian Peninsula and their affiliate Ansar Al-Shaira to take over villages and towns in Southern Yemen, particularly in Abyan and in Shabwa."

Between February 2011 and June 2012, after seizing those areas, they began imposing and practicing a very draconian interpretation of Islamic law.

Read more: Huge suicide blast kills more than 100 troops in Yemen

But in that time, they were also able to provide services a weak central government had not.

"They established their own police system, their own court system," Johnsen said. "They started to dig water wells, string electrical lines in villages that had never had these before, that had essentially been ignored by the Yemeni government for decades."

"On one hand," added Johnsen, "they were welcomed in the fact that they were able to impose law and security. But the longer they stayed, the more unpopular they became."

According to Amnesty International, in the end, the people of Abyan weren't just subjected to repression by Ansar al-Sharia, they were also subjected to additional violations by the Yemeni government forces.

"When the situation evolved into an armed conflict between Ansar al-Sharia and the Yemeni government," explained Nasser, "both sides committed violations of international humanitarian law."

Amnesty's report states how Ansar al-Sharia used residential areas as its base, "recklessly exposing civilian residents to harm."

The righs group also details how it says the Yemeni military's intense aerial bombardment as well as the use of inappropriate battlefield weapons in residential areas further endangered a population already in peril.

"Scores of civilians, including children, were killed," reads the report, "and many more injured as a result of air strikes and artillery and mortar attacks by government forces."

The "toxic mix of fighting and human rights abuses," it states, "meant an estimated 250,000 people from the southern governorates, particularly Abyan, were displaced."

The Yemeni government said it is studying the Amnesty report.

"The Yemeni government will carefully examine the findings," said Mohammed Albasha, the spokesman for the Yemeni Embassy in Washington. "Sanaa continues to welcome the international community's support of the government's efforts to promote and protect human rights."

Albasha added that Yemen's President Abdu Rabu Mansour Hadi had this past September "established a committee to investigate human rights violations" and that the country had "officially adopted the Paris Principles, which provide guidelines on the protection of children during armed conflict."

While Ansar al-Sharia was ultimately driven out and Yemen's government ended up claiming success, continued instability in the country, a haven for Al-Qaeda, has left many wondering how long will that victory may last.

@highlight

New Amnesty International report came out Tuesday

@highlight

Ansar al-Sharia took control of the area

@highlight

"They committed horrific abuses," Amnesty says