On a Spring day in 1970, just five days after National Guard troops opened fire on anti-war demonstrators at Kent State University, a restless president awoke in the pre-dawn hours, strolled to the Lincoln sitting room, and sat down to listen to some music.

From the window, he could see student protesters gathering on the grounds of the Washington Monument.

A White House attendant asked the president if he would like coffee or hot chocolate. He declined.

What happened next is the stuff of political legend.

President Richard M. Nixon, the strategic, calculating -- and some say paranoid -- architect of his own rise and fall, took an uncharacteristic gamble. He asked his attendant if he had ever seen the Lincoln Memorial at night, then led a small entourage on an unplanned visit to the Lincoln Memorial, where he talked to young anti-war protesters.

"I have never seen the Secret Service quite so petrified with apprehension," Nixon said a few days later. "I insisted however no press be informed and that nobody in our office be informed."

But Nixon, aware of the historical nature of the event and of the potential for favorable publicity, soon thereafter dictated his recollections to aide H.R. Haldeman, suggesting they give the information to someone who could write it up.

On Thursday, the Richard Nixon Presidential Library and Museum released Nixon's 45-minute Dictabelt sound recordings in which the embattled president gives his firsthand account of the May 9, 1970, visit.

Combative Nixon defended legacy to grand jury

For Nixonologists, Nixon's pre-dawn conversation with young students, under the stone-faced gaze of another wartime president, is part political theater and part history.

"I'm telling you this is beyond belief," enthused Timothy Naftali, director of the Richard Nixon Presidential Library and Museum. "If Hollywood created this, you wouldn't believe it."

The visit came at a time when the country's deep divide over the Vietnam War was reaching new depths. Days earlier, Nixon announced the United States would attack the enemy along the Vietnam-Cambodia border.

"This is not the invasion of Cambodia," he said in a speech. "We will not allow American men by the thousands to be killed by an enemy from privileged sanctuaries."

Then, days later, Kent State.

Then, Nixon's trip to the Lincoln Memorial.

In his tape-recorded dictation, Nixon said his car arrived at the memorial about 4:40 a.m., and he walked up the steps to the Lincoln statue. He showed his White House attendant, a recent citizen, the engraved inscriptions that surround the monument.

"By this time, a small groups of students began to congregate in the rotunda of the memorial," he said. "I walked over to a group of them and shook hands. They were not unfriendly. As a matter of fact they seemed somewhat over-awed and of course quite surprised."

That first group consisted of about eight young men, about half from upstate New York, Nixon said.

To "get the conversation going," Nixon asked how many had been to Washington before.

"I told them that it was a beautiful city and I hope they enjoyed their visit there, that I wanted them, of course, to attend the anti-war demonstration, to listen to all the speakers and that I hope they had the time to take a tour of the city and see some of the historical monuments."

Two or three of the students volunteered they had not heard Nixon's press conference the previous evening.

"I said I was sorry they had missed it because, as I had tried to explain in the press conference that my goals in Vietnam were the same as theirs -- to stop the killing, to end the war, to bring peace. Our goal was not to get into Cambodia by what we were doing, but to get out of Vietnam," Nixon said.

Nixon said he realized that most of the students did not agree with his position.

"I said, 'I know you, probably most of you think I'm an SOB, but, ah, I want you to know that I understand just how you feel."

Then, in an apparent attempt to relate with the students, he told them of his background.

He said he came from a Quaker background, "as close to being a pacifist as anybody could be in those times." He said he was inspired by  British Prime Minister Neville Chamberlain's calls for peace, and "I thought at that time Chamberlain was the greatest man alive."

When he read Winston Churchill's criticism of Chamberlain, "I thought Churchill was a madman," Nixon said.

"In retrospect, I now realize that I was wrong. I realize that Chamberlain was a good man but that Churchill was a wiser man," Nixon said.

"I then tried to move the conversation into areas where I could draw them out," Nixon said. He asked where they were from, and encouraged them to travel throughout the United States and the world.

He sought common ground, discussing the plight of the environment and of minorities.

"I pointed out that I knew that on their campus, their campuses, a major subject of concern was the Negro problem. I said this was altogether as it should be, because the degradation of slavery had been imposed upon the Negroes, and it was, it would be impossible for us to do everything that we should do to right that wrong. But I pointed out that what we had done to the American Indians was in its way just as bad. We had taken a proud and independent race and virtually destroyed them. And that we had to find ways to bring them back into, into decent lives in this country."

By this time, Nixon recounted, the group had grown to about 30 people.

And the meeting evidently became more contentious.

One protestor spoke up, telling Nixon, "I hope you realize that we're willing to die for what we believe in," Nixon recalled.

He said he responded, "I certainly realize that. Do you realize that many of us when we were your age were also willing to die for what we believed in and are willing to do so today. The point is that we are trying to build a world in which you will not have to die for what you believe in, but you're able to live for it."

Nixon said he discussed the importance of cleaning up the environment, but said that, alone, would not cure the world's ills.

"I just wanted to be sure that all of them realized that ending the war and cleaning up the city streets and the air and the water was not going to solve the spiritual hunger which all of us have and which of course has been the great mystery of life from the beginning of time," he said.

By that time, the president's press secretary Ron Ziegler had arrived, and Nixon saw the Secret Service "was becoming more and more concerned as they saw the crowd beginning to mount."

"They probably feared some of the more active leaders would get word of my visit and descend upon us," he said.

As the first rays of sun began to show, Nixon shook hands with those nearest to him and walked down the steps.

@highlight

Richard Nixon library releases tapes made by the late president

@highlight

On one, he tells of meeting with protesters at the Lincoln Memorial in 1970

@highlight

He told them of his Quaker background, early admiration for Neville Chamberlain

@highlight

He sought out common ground on race relations, environment, he says