(CNN) -- Written on every page of Israel's history, in ink and in blood, is the name Ariel Sharon. His life, which ended today after an eight-year coma, deeply influenced Israel's past. But even in death, Sharon will influence the future, as Israelis consider their options if the two-state solution fails.

During Israel's 1948 War of Independence, the handsome blond officer, known as "Arik," was shot and left for dead. He recovered and founded Israel's first commando unit, which conducted raids beyond Israel's borders. In the 1956 Sinai campaign, he led Israel's legendary paratroopers into clashes behind enemy lines.

A successful general in the 1967 Six Day War, he achieved world fame six years later by spurring Israeli troops across the Suez Canal to encircle the Egyptian army in the Yom Kippur War. The image of Sharon, still blond but now stout, his head wrapped in a bloodied bandage, became iconic. His heroism was uniquely Israeli, built by breaking rules as well as orders, and by surrounding himself with controversy and myth.

But Sharon's real legacy was made in politics. Here, too, he ignored the norms and forged his own often-tortuous path. He traversed the political spectrum, from the labor farm in which he grew up to the rightist Likud that he established with Menachem Begin. As agriculture minister in the late 1970s, he constructed dozens of settlements in the West Bank and Gaza, gaining a reputation as an opponent of peace.

But then, as defense minister, he evicted thousands of Israelis from settlements in Sinai to fulfill Israel's treaty with Egypt. In 1982, Sharon masterminded the Israeli invasion of Lebanon, by some accounts deceiving Prime Minister Begin, and besieged Beirut. An Israeli investigation implicated Sharon in the massacre of 800 Palestinian civilians by Lebanese militiamen and compelled him to resign.

I saw the two sides of Sharon, the bullheaded warrior and man of the people. I saw how Israelis were alternately repelled and captivated by him. I was stationed with the Israeli paratroopers in Beirut when we learned that Sharon wanted to visit the troops. Furious over what they regarded as a reckless war, my buddies indicated that the defense minister was unwelcome. Sharon never arrived.

But weeks later, while hosting Sharon at a base inside Israel, I watched amazed as he left the table to chat with the cook, about whom he remembered every detail.

Known even in Hebrew as the Bulldozer â€” as much for perseverance as girth â€” Sharon in 2000 burst into the political forefront. The Palestinian leader Yasser Arafat had rejected Israel's offer of independence in all of Gaza, most of the West Bank and half of Jerusalem, and blamed Sharon's visit to the Temple Mount for igniting the Second Intifada.

Through the havoc wrought by Palestinian suicide bombers, Sharon pressed into the prime minister's office with Labor's Shimon Peres as his deputy. The once-impetuous soldier became the prudent statesman as Sharon waited through months of bombings before finally striking back. In April 2002, he ordered Israeli forces to eradicate terror and restore peace to Israeli neighborhoods.

Then Sharon, with characteristic audacity, pivoted toward peace. But failing to reach an agreement with the Palestinians, he decided to act unilaterally. The former champion of the settlements now proposed "disengagement" -- to uproot them, along with Israeli forces, from Gaza. This divided the Israeli public and drove Sharon to create his own party, which gained wide support.

In 2005, the residents of all 21 Gaza settlements were evacuated. Hamas subsequently took over Gaza and fired thousands of rockets at Israel. Still, an unapologetic Sharon was about to apply his unilateralist strategy to the West Bank when he suffered a massive stroke.

Today, as U.S. Secretary of State John Kerry pursues a peace agreement between Israel and the Palestinians, Sharon's approach is once again being discussed. A growing number Israelis are asking, "What happens if the process fails?"

One solution could be a unilateral Israeli withdrawal from Palestinian population centers in the West Bank. As in the disengagement from Gaza, the United States would endorse this move, but unlike in Gaza, most Israeli settlements would remain within Israel, and Israeli troops would still patrol strategic borders. Of course, the preferable solution is two states for two peoples. But if that proves unattainable, then Israel can still end the occupation of the Palestinians, preserve its security, and perhaps lay new foundations for peace.

Even when comatose, Ariel Sharon was a constant presence for Israelis. Whether as the dashing commando, the farmer, the builder, the contrarian, and belated seeker of peace, he reflected them and embodied their story. And after his death, his brazen Israeli way of action lives on.

The opinions expressed in this commentary are solely those of Michael Oren.

@highlight

Michael Oren: Ariel Sharon, who died today, had pivotal, enduring effect on Israel

@highlight

He says as an Israeli warrior, he led troops in Six Day War, Yom Kippur War, gained fame

@highlight

He says in political career, he opposed peace, eventually pivoting toward it

@highlight

Oren: Two state solution best, but Israel can still end the occupation of Palestinians