In two recent studies, researchers at Florida State University explored whether eating disorders are linked to social media use. The answer? Like that most awkward of Facebook statuses says, it's complicated.

Summaries in the International Journal of Eating Disorders described the research. In the first study, 960 college women completed a self-reported eating disorder screening assessment. They also answered a series of questions about their Facebook use. A "small but significant" positive correlation was found between duration of Facebook use and disordered eating.

In the second, 84 women from the first study were divided into two groups. One group was instructed to use Facebook as they typically would for 20 minutes. The other group was told to research the ocelot, a rainforest cat, on Wikipedia and YouTube. Unsurprisingly, the women who spent 20 minutes on Facebook reported greater body dissatisfaction than those who got to look at cute cat photos.

The research shows that there is some connection between Facebook use and disordered eating risk. (I don't believe there is anything uniquely problematic about Facebook as compared to other social media platforms; it's just the platform these researchers chose.)

But the studies do not suggest that social media platforms should be held responsible for causing eating disorders. After all, we're talking about a wide spectrum of illnesses that have complex biological, psychological and cultural roots. A simplistic blame game would be seriously misguided. We need more research to better understand this connection and, perhaps more important, how social media can be used as a positive tool for outreach, early intervention and recovery.

I work with college students every day in my job overseeing the National Eating Disorders Association's youth outreach. For those who struggle with poor body image, perfectionism or anxiety -- just a few of the many risk factors associated with disordered eating -- social media can be downright toxic. Facebook, Instagram, Tumblr, Twitter, Pinterest and their many new cousins do provide an unprecedented degree of access to images and messages that can entrench and sometimes trigger disordered eating thoughts and behaviors. Frequent users of social media can end up feeling as though they're alternating between broadcast and comparison modes, which are both dangerous places to be if you are prone to believing that your self-worth is based on others' approval.

"When I look at other people's albums on Facebook, the comparing is automatic. I end up feeling like crap." This comment came to me from an 18-year-old who participated in a Proud2Bme virtual roundtable on how social media affects teens' body image. It is a sentiment I hear expressed constantly in my work.

Back when I was caught up in my own eating disorder as a teen, I used to stare at my thighs in the mirror, wishing they could be as thin as those of models in the pictures I tore out of magazines. There were no hashtags like #thighgap, which have turned appearance-related fixations into searchable universes with neverending streams of photos and "thinspirational" text. I wanted desperately to be liked, but there were no "likes" or "hearts" for me log on to watch and tally. The point is that the obsessions, compulsions and comparisons that drive eating disorders are nothing new. Social media have just amplified them. But it also has the potential to amplify solutions. We need to figure out how we can most effectively use it to promote media literacy, self-acceptance, support, recovery and body image activism.

Some might choose to unplug from social media to protect their mental health; there's a reason that most residential eating disorder treatment centers ban social media use  among patients. But the reality is that most people at risk or actively struggling with disordered eating use social media in some way.

The good news is that social media give us all the ability to be content curators, media makers and rabble rousers. If you want to fill your feed with messages of body acceptance, you can choose pages and accounts to follow that will deliver those messages. Sure, I still have to report spammy "belly busting" advertising, but the content I see and share through social media reflects my values and interests -- and I have no interest in seeing anything related to weight loss or body shaming. Rather than consuming and internalizing media toxicity, we can use social media talk back to a culture that makes us feel like we're never good enough.

For example, 19-year-old Benjamin O'Keefe, who is recovering from anorexia, started a Change.org petition reprimanding Abercrombie & Fitch's CEO for comments saying the company was intentionally exclusionary and calling for it to include plus sizes. More than 80,000 people signed his petition, and Abercrombie recently announced that it will carry plus sizes, starting this spring.

Just last week was National Eating Disorders Awareness Week. It was the most successful in the organization's history; the #NEDAwareness hashtag had a reach of 23 million during that week, and that social media awareness does translate to an increase in people seeking help. We saw it in the increased volume of calls to the helpline and visits to the website. We saw it in the stories and photos of hope shared on Twitter, Tumblr, Instagram and Facebook.

Social media can stoke body dissatisfaction and reinforce disordered eating. It can also empower individuals to use their voices and resist mainstream media messages about beauty and thinness. Let's keep working to understand the nuances of those risks and leverage the benefits to build a movement of change.

@highlight

New research considers whether Facebook contributes to eating disorders

@highlight

Claire Mysko writes that it's too simplistic to blame social media

@highlight

Facebook and other social media sites can be helpful in fight against eating disorders

@highlight

Mysko: They can "empower individuals to use their voices" and resist negative messages