As expected, the Supreme Court has agreed to decide the constitutionality of the sweeping health care reform law championed by President Barack Obama.

The justices made their announcement in a brief order issued Monday.

Oral arguments are likely to be held in late February or March, with a ruling by June, assuring the blockbuster issue will become a hot-button political debate in a presidential election year.

The high court agreed to hear two major questions: whether the law's key provision is unconstitutional, and if so, whether the entire law, with its 450 sections, must be scrapped.

Five and a half hours of oral arguments have been scheduled. Other related cases are pending and may also be added to the docket.

The largest and broadest legal challenge to the Patient Protection and Affordable Care Act comes from a joint filing by 26 states, led by Florida. It was that series of appeals the high court accepted for review.

At issue is whether the "individual mandate" section -- requiring nearly all Americans to buy health insurance by 2014 or face financial penalties -- is an improper exercise of federal authority. The states also say that if that linchpin provision is unconstitutional, the entire law must be also go.

Joining Florida in the challenge are Alabama, Alaska, Arizona, Colorado, Georgia, Idaho, Indiana, Iowa, Kansas, Louisiana, Maine, Michigan, Mississippi, Nebraska, Nevada, North Dakota, Ohio, Pennsylvania, South Carolina, South Dakota, Texas, Utah, Washington, Wisconsin and Wyoming.

Virginia and Oklahoma have filed separate challenges, along with other groups and individuals opposed to the law.

"We know the Affordable Care Act is constitutional and are confident the Supreme Court will agree," said White House Communications Director Dan Pfeiffer in a news release issued after the court made its announcement.

The justices made a calculated call to address the broader issues of the reach of federal authority and the power of Congress to enact this kind of legislation.

Toobin: Political implications could be huge

The National Federation of Business, a key player in opposing the law, said it is pleased the court will address the larger issues.

"For the small-business community, this comes not a day too soon," said Dan Danner, the group's CEO. "The health care law has not lived up to its promises of reducing costs, allowing citizens to keep their coverage or improving a cumbersome system that has long been a burden to small-business owners and employees, alike. The small-business community can now have hope; their voices are going to be heard in the nation's highest court."

Many provisions of the law have not yet taken effect, but the White House, in its release, said that under the provisions that have, "one million more young Americans have health insurance, women are getting mammograms and preventive services without paying an extra penny out of their own pocket, and insurance companies have to spend more of your premiums on health care instead of advertising and bonuses."

Three federal appeals courts have found the PPACA to be constitutional, while another has said it is not, labeling it "breathtaking in its expansive scope."

That "circuit split" all but assured the Supreme Court would step in and decide the matter.

Florida and other Republican-led states had urged the high court to intervene. "This health care law is an affront on Americans' individual liberty, and we will not allow the federal government to violate our constitutional rights," said the state's attorney general, Pam Bondi. "Our country urgently needs a final ruling from the U.S. Supreme Court."

The states say individuals cannot be forced to buy insurance, a "product" they may neither want nor need.

The Justice Department had countered the states' argument by saying that since every American will need medical care at some point in their lives, individuals do not "choose" to participate in the health care market. Federal officials cite 2008 figures of $43 billion in uncompensated costs from the millions of uninsured people who receive health services, costs that are shifted to insurance companies and passed on to consumers.

The coalition of states is asking the court to decide three fundamental questions:

--Whether the entire law must fail because its centerpiece -- the individual mandate -- is unconstitutional.

--Whether states can be forced by the federal government to expand their share of Medicaid costs and administration, with the risk of losing that funding if they refuse.

--Whether state employees can receive a federally mandated level of health insurance coverage.

The legislation was heavily promoted by Obama in his first year in office. Supporters say it would extend health coverage to about 30 million Americans. The White House argues the move is good for society and good for the economy.

Opponents claim it would overly burden states and small businesses, raise costs, and reduce individual choice. All sides agree the issue needs to be decided soon, with more provisions of the law set to come into effect in coming years.

Legal analysts say the health care cases are the biggest to be tackled by the high court in a decade, and will shine new political light on the role of courts to decide these kinds of huge social issues.

"The questions raised here are explosive, a kind of perfect storm for the justices to address in an election year," said Thomas Goldstein, a Washington lawyer and founder of Scotusblog. "It will be impossible to take your eyes away from the Supreme Court.

Health care reform, a top Democratic priority since the Truman administration, was passed by the previous Congress in a series of virtually party-line votes. Obama signed the act into law in March 2010. The law is widely considered to be the signature legislative accomplishment of the president's first two years in office.

Among other things, the measure was designed to help millions of uninsured and underinsured Americans receive adequate and affordable health care through the government-imposed mandates and subsidies. The federal government stated in court briefs that 45 million Americans last year were without health insurance, roughly 15% of the country's population.

Critics have equated the measure to socialized medicine, fearing that a bloated government bureaucracy would result in higher taxes and diminished health care services.

Opponents derisively labeled the measure "Obamacare." Republican leaders, who captured the House of Representatives in the midterm elections, have vowed to overturn or severely trim the law.

The cases accepted Monday are Dept. of Health and Human Services v. Florida (11-398); NFIB v. Sebelius (11-393); and Florida v. HHS (11-400).

@highlight

The White House says it is confident the law will be found to be constitutional

@highlight

The Supreme Court agrees to hear challenges to the health care reform law

@highlight

A ruling is expected in June

@highlight

The law's individual mandate is a key issue for the justices