London, England (CNN) -- When people think of Venice, three things come to mind: gondolas, art and sinking buildings. The watery city, a treasure trove of Renaissance art and architecture, is not normally associated with cutting-edge cool.

But recent developments show that the city is in fact thriving -- due in large part to the many artists and designers who have chosen to make the city their home, and because each year it is host to exciting events such as the alternating architecture and contemporary art biennales, and the Venice film festival.

The yearly influx of creative professionals, in addition to the vast numbers of tourists visiting the city, is starting to forge a different, more contemporary vibe. Getting off the beaten tourist track and into local Venetian haunts can also yield some pleasant surprises.

CNN's arts and culture show, icon, has dug beneath the city's old-world veneer, and come up with a guide to the cooler side of Venice.

SEE: If you want to see contemporary art outside of the Biennale, which takes place every two years in the Giardini Pubblici, look no further than the Punta della Dogana and Palazzo Grassi. Both were developed by French billionaire and art collector Francois Pinault to showcase his impressive contemporary art collection, which includes work by artists like Jeff Koons, Damien Hirst and Takashi Murakami.

The Punta della Dogana, located between the Grand Canal and the Guidecca Canal, was developed by Japanese architect Tadao Ando, and the interiors are sleek and almost industrial in comparison with the ornate palaces normally associated with the city.

Other contemporary art spaces to visit include the Peggy Guggenheim Collection on the Dorsoduro, which hosts a changing schedule of exhibitions in addition to a permanent collection and a shop selling artist's books, posters and gifts. Currently the museum is hosting a show of work by American abstract expressionist painter Adolph Gottlieb and the Restaurant Terrazza Danieli is serving dishes inspired by the artist's work until the beginning of January -- so if you can't take a piece of work home, you can at least eat one.

Otherwise, check out the Fondazione Querini Stampalia, a stunning palazzo in central Venice that hosts temporary art exhibitions alongside a permanent museum of fine art and antiquities. Every two years the foundation teams up with Italian fashion brand Furla to award a prize to a young Italian artist, encouraging local creativity and attracting artists to live and work in the city.

STAY: French product designer Philippe Starck, who has lived on the Venetian island of Burano for 25 years, has designed the interior of a luxury hotel called the Palazzina Grassi. A far cry from the typical Venice hotel experience, the rooms feature floor-to-wall mirrors, Pop-art inspired chairs and a minimal palette of white and chrome.

If you are on a lower budget and craving something other than the heavy brocades and four poster beds prominent in many of the hotels here, head to the light and modern Ca' Pozzo Inn in Cannaregio. It's handily located near the rail and bus stations, and is in one of the more typically "Venetian" parts of the city. Featuring modern and contemporary art on its walls and simple, modern furniture, it's a calm, minimal oasis for Baroque-weary visitors.

DRINK AND EAT: Venice is known for its mouth-watering food and elegant drinking establishments. Harry's Bar -- once a drinking hole for the likes of Ernest Hemingway and Charlie Chaplin -- remains a popular haunt for celebrities and the art crowd, as does the bar at the chic Bauer hotel, which becomes inundated at Biennale time. If you want to get away for an evening, a water-taxi trip will take you to Burano and the restaurant Da Romano, one of Philippe Starck's favorites, and an excellent purveyor of delicious fresh seafood.

For partying, Piccolo Mondo is one of island's most frequented clubs, a pit-stop for students and tourists as well as celebrities. Though the city has acquired the nickname La Serenissima (in English, The Most Serene) for its ordinarily quiet nightlife, it becomes a party hotspot during the film festival and biennales. Events take place in grand palazzos, on yachts moored near the Giardini and even in an art deco aircraft hangar out on the Lido -- if you can bag an invite, these are the places to see and be seen.

SHOP: The aesthetic in Venice is smart, chic and understated. Though not ideal for bargain-hunting, the city is teeming with boutiques. Max Mara, Prada and Furla -- Italian designers known for their classic designs, and all three patrons of contemporary art -- are the brands to wear for casual bellini drinking and museum hopping.

@highlight

Venice's old-world image hides some hip contemporary galleries, hotels and eateries

@highlight

Architecture and art biennales, and the film festival, are attracting creatives to the city

@highlight

A guide to the best of Venice's contemporary attractions