An emphatic Eric Garner talks to police, gesturing with his arms to make his point. Eventually, police move in as Garner raises both hands in the air and tells them not to touch him. One officer reaches for Garner's hand; seconds later, another officer wraps his arm around Garner's neck.

Cellphone video shot by a friend of Garner's shows the officer maintaining that hold as Garner is taken to the ground, crying out, "I can't breathe, I can't breathe, I can't breathe," over and over again.

The words stop. And Garner never gets up.

A grand jury has decided that there's no probable cause to indict Officer Daniel Pantaleo, the man who put Garner in that chokehold on a Staten Island sidewalk, in the 43-year-old's death.

But that judgment certainly doesn't end the debate about what Pantaleo did -- not just whether it was a criminal act, but whether it was necessary and in violation of the New York Police Department's own policies.

In an interview in August with CNN's Chris Cuomo, New York Police Commissioner William Bratton said that no local laws criminalize chokeholds, though they are prohibited by his department. In fact, the NYPD could discipline Pantaleo or his fellow officers if an ongoing internal review finds their actions did not align with police department procedures.

Yet Bratton has also cautioned against a rush to judgment.

"I've been around a long time in this business," he noted, adding that "what it appears to be sometimes may not be what it is."

Medical examiner noted chokehold, other factors

Watching the video, a few things stand out. For one, Garner is clearly the biggest man in the shot. He's also outnumbered by police officers.

The New York City medical examiner's office also offered pertinent facts when it classified Garner's death as a homicide this summer. He died because of a "compression of neck (chokehold), compression of chest and prone positioning during physical restraint by police," the office found, while also calling Garner's "acute and chronic bronchial asthma, obesity and hypertensive cardiovascular disease" contributing factors.

In other words, there was a chokehold, and it played a part in Garner's death.

Which raises the question: Should the chokehold have been used at all?

The answer depends -- as it has with many aspects of this case, which has spurred large protests in New York and beyond -- on who you ask.

For Garner's family, and the thousands who protested Wednesday night in support of them, there's no doubt: The police officer's actions, including the chokehold, were uncalled for.

"I don't know what video they were looking at," said Garner's mother, Gwen Carr. "Evidently, it wasn't the same one that the rest of the world was looking at."

A family lawyer, Jonathan Moore, said that Garner should have gotten at most a summons to appear in court for allegedly selling untaxed cigarettes, and he shouldn't have been treated as he was.

"(The officer) clearly was violating his own departmental regulations," Moore said of Pantaleo's chokehold. "He clearly was using excessive force."

Forensic expert: Chokeholds can be deadly

Lawrence Kobilinsky, a forensic scientist and professor at New York's John Jay College of Criminal Justice, says that the chokehold he saw in the Garner video had the potential to be deadly. It seemingly cuts off the airway, which can lead to a condition called asphyxia -- which includes unconsciousness and suffocation, by cutting off one's oxygen supply -- "and ultimately cardiac arrest and death."

"It's a very dangerous chokehold, because you can damage the very delicate structures in the throat," Kobilinsky told CNN. "... There are a lot of things police can do to prevent something like this."

Before he became an assistant director with the FBI and, now, a CNN law enforcement analyst, Tom Fuentes was a police officer. He was never taught the hold that Pantaleo used, but he was instructed how to "to put pressure on both sides of the carotid artery to cut off blood flow to the brain or reduce it until the person fainted."

"It supposedly did no permanent damage," Fuentes said.

But many police departments, like in New York, decided to prohibit such chokeholds "because it was so easy to misapply it and put pressure directly on the throat, directly choking the person cutting off air as opposed to making them faint."

As Fuentes explained, "It was just too easy to have an accident."

'At a certain point, they've got to touch him'

Yet this doesn't mean the former FBI assistant director or other law enforcement experts believe Pantaleo should be charged or even disciplined for what he did to Garner.

Fuentes says, from the video, it looks to him that the officer "is trying to bring him down and, in the process of holding him, he does have his forearm across his throat and is choking him. And that is unfortunate."

The CNN analyst also says people should put themselves in the police officers' shoes. How long can they wait to arrest someone, whether they are accused of murder or something relatively minor? And, if a person does not comply, what can they do -- let him go or step in, perhaps using force?

"At a certain point, they've got to touch him," Fuentes said. "That's just the way it goes. And when you resist arrest -- physically resist -- bad things can happen."

That point was echoed by Tom Verni, a former NYPD detective and police academy instructor. He told CNN that, after Garner was told he'd be arrested but would not comply, "that debate is not going to go on for hours on end."

"I don't know of any other officer that would have really done all that much different," Verni said. "If you Monday-morning-quarterback this situation, anyone could come up with 1,000 different ways that they think they could have handled it at that time and place... (But) people make certain choices when they're interacting with police."

Legal analyst: System 'designed for officer safety'

This story is not over.

The U.S. Justice Department, under the direction of Attorney General Eric Holder, has launched a civil rights investigation into Garner's death. (Garner was black and Pantaleo is white, the same racial breakdown as in the fatal shooting of Michael Brown by then-Ferguson police Officer Darren Wilson -- a case that also triggered widespread protests and did not result in a grand jury indictment.)

President Barack Obama has weighed in as well, saying, "We are not going to let up until we see a strengthening of the trust and a strengthening of accountability that exists between our communities and law enforcement."

And, as Bratton told CNN, "if there's a finding of guilt" in the NYPD's review of Garner's death, "a decision will be made as to an appropriate penalty or discipline."

Yet Mark O'Mara, a veteran defense attorney and CNN legal analyst, noted that the grand jury decided not to indict Pantaleo because jurors couldn't agree that there was enough evidence to say he "acted in a criminally negligent way."

Changing the law -- perhaps to bar chokeholds or put tighter restrictions on police when they try to arrest someone -- could affect future cases like that of Garner.

But as it stands now, defense attorney and CNN analyst Danny Cevallos said, the current system is not set up that way.

"Once (police) make an arrest, everything is designed for officer safety," Cevallos said. "And if a person doesn't immediately comply, then they can move right up the force continuum as needed. That's the way they're trained."

@highlight

Eric Garner died after being put in chokehold by a New York police officer

@highlight

A grand jury decided not to indict the officer in Garner's death

@highlight

Chokeholds are prohibited by N.Y. police, but not under N.Y. law

@highlight

Experts say police officers sometimes have to use force to arrest suspects