(CNN)  -- Congressional auditors have uncovered widespread abuse of techniques used to restrain or discipline special-education students in U.S. schools, with some deaths linked to the practices, a top congressman says.

Investigators in Utah say a teacher left Garrett Peck in an isolation cubicle for at least two and a half hours.

The findings are among those expected from a Government Accountability Office report scheduled to be released Tuesday. The report documented serious problems with the way children with disabilities are being treated in public schools, including cases of children being held face-down on the ground.

The GAO report was prepared for the House Education and Labor Committee, which is considering new laws governing what actions teachers can take to rein in disruptive special-needs students.

"I think what we're going to hear from the GAO is that very often, special-need children are subjected to the policies of seclusion and policies of restraint that have turned out to be lethal in a number of circumstances," said Rep. George Miller, D-California, the committee's chairman.

In other cases, children as young as 6 have been locked away "for hours at a time," Miller said.

"What the GAO is telling us is that that policy is fairly widespread," he said. "The state regulations about how to handle these incidents don't exist in about half the states, and in other states you have kind of a patchwork of regulations."

The GAO, the investigative arm of Congress, found that state laws governing the treatment of the more than 6 million children classified as having "special needs" -- conditions including autism and Down syndrome -- are patchy at best. Teachers and school staff frequently lack training in correct restraint methods, and in some cases, where improper restraints led to injuries, teachers often kept their jobs.

Only five states keep track of incidents where special-needs students are separated or restrained. Parents contacted by CNN commonly said they were not told their child was being disciplined until he or she began to behave badly at home -- a sign of trouble at school.

When confronted with complaints, school systems sometimes sought to minimize or deny the allegations, even after public investigations found the charges to be true. And parents told CNN that when they got into a dispute with the teacher, their child was made to suffer as retribution.

Some of the most disturbing reports concerned the use of seclusion rooms. Experts have long recommended that children should only be isolated when they pose an immediate threat to themselves or others. But CNN found that isolation was often used as a punishment by teachers to compel the students to follow instructions.

State investigators in Utah found a teacher left 7-year-old Garrett Peck in an isolation cubicle for at least two and a half hours after the teacher said he told her to "shut up."

While the boy was in the cubicle, the teacher taunted him by playing his favorite video and telling him what he was missing. His parents, Joshua and Becca Peck, said the child has an attention span of about 10 minutes, and they believe that after the first few minutes, he had no idea why he was in the cubicle.

"It was so sad. We felt it was a form of torture for him but he, being autistic, he had no way to express it," Joshua Peck said. "He couldn't tell."

And Becca Peck said her son had been left in the cubicle with nothing but a magic marker -- which he used to scrawl all over himself. When she came to school to pick him up, "He was covered in marker -- on his eyelids, on his hair, face, clothes, arms, eyelids -- everywhere."

"I started thinking, 'What was he thinking?' Was he thinking, 'Why is my mom letting this person do this to me? Why am I here? I trust no one now.' "

In Garrett's case, like others cited by the GAO, the teacher remains on the job. And what frustrates experts is that efforts to force unruly children to comply don't actually work.

At one school in Pennsylvania, however, teachers appear to have better results using sharply different methods.

The Centennial School at Lehigh University serves severely emotionally disturbed children that have been passed from school to school, and even from juvenile justice centers. When school director Michael George came to Centennial in 1999, the school had documented more than 1,000 cases of restraint and seclusion that year. After the school revamped its approach, no such incidents were reported.

When they get to Centennial, students can be violent and aggressive. But instead of trying to force a change in behavior, the school teaches the children new skills to get what they need. Children who might be violent because they are desperate to escape an uncomfortable task or environment learn to communicate their discomfort in nonviolent ways.

Children who need to move frequently -- a common trait with conditions such as autism -- are permitted to do so, then re-directed to the task at hand. Staff are forbidden from saying anything negative about the children, parents or other teachers, even among themselves.

And when a child acts violently, the staff is trained to step aside, rather than immediately attempt a potentially dangerous restraint. On a recent visit to the school, all students appeared to be calm and receptive to teachers.

The school's philosophy can be summed up in a question George likes to ask teachers interviewing for jobs there: Which teacher you remember most from your own childhood?

"No one ever mentions the person who yelled at them, who screamed at them, who told them to write a phrase a hundred times, who slammed them into closets, who was abrupt, who made them feel stupid. No one ever mentions those people," said George.

"Our job is to teach. Sometimes the children we are teaching here present extraordinary challenges; it can be very, very difficult. But that's the job we chose to do."

@highlight

GAO report uncovers abuse of techniques used to restrain or discipline children

@highlight

Some deaths of special-needs kids have been linked to the practices, report says

@highlight

Investigators: Utah boy with autism left in cubicle for at least two and a half hours

@highlight

Only five states keep track of incidents; many states have no regulations