(CNN) -- They're stunning, dynamic and dangerous, plus they can teach you a thing or two about the Earth's history. Volcanoes possess undeniable allure, doubling as living laboratories and tourist attractions.

Volcanologist Rebecca Williams spends every second she can studying and relaxing near the Earth's lifeblood: lava.

"I had a real geeky fascination with volcanoes as a kid," says Williams, who is a member of the science faculty at the University of Hull in Yorkshire, England.

Share your photos of volcanoes

Across the globe, travelers are discovering their inner geek, joining scientists like Williams in exploring the geological formations capable of producing incredible natural beauty and unparalleled destruction. Volcanoes are the earth's natural ventilation system, unpredictably capable of jettisoning steam, ash, molten rock and lava.

Photos: Earth's otherworldly landscapes

Here's a list of volcanoes Williams says should be at the top of your must-visit list. Some of them are active, so be sure to check with visitor centers and local tour guides before heading out to explore.

"If (locals) say it's not safe to go someplace, don't go," she says. "But do go (see volcanoes) because it is the most spectacular thing you will ever see."

Tungurahua, Andes Mountains near Baños, Ecuador

Elevation: 16,475 feet

This active volcano high in the Andes Mountains has experienced periods of intensified activity in the past few years. Williams spent a month in 2005 doing research at the volcano known as "The Black Giant." Tungurahua consists of three edifices formed over 100,000 years.

The volcano overlooks the town of Baños, which Williams says is sometimes hit with volcanic mud flows caused by the mixture of rain and ash. During her research, a mudflow, or lahar, threatened to overflow into El Salado Baths, one of Baños' mineral-rich hot springs.

The town is known as a gateway to the Amazon and for its basilica dedicated to the Virgin of the Holy water. The Nuestra Señora del Agua Santa celebration takes place in October and the town's anniversary is in mid-December.

Dig in: Top sand sculpture events

Pantelleria, Sicily, Italy

Elevation: 2,742 feet

Pantelleria's only eruption in the last 3,000 years was underwater. The volcano shares its name with the island, which is known as the "Black Pearl" of the Mediterranean because of its remoteness, world-class wine and its crop of tasty volcanic soil enriched capers. Pantelleria is Sicily's largest offshore island and lies closer to Africa than Italy.

Williams did research for her PhD here between 2006 and 2010 and says an eruption 50,000 years ago spewed ignimbrite deposits so hot that they instantly melted, forming a still visible black and dark green sheet of obsidian glass, often referred to as Green Tuff, across the island.

Pantelleria is home to Grotta di Sataria, a cave with hot springs where, according to legend, Ulysses was kept for seven years by the nymph Calypso. Quiet coves offer great snorkeling and diving.

Mount Etna, Sicily, Italy

Elevation: 10,922 feet

Located on Sicily's east central coast, recent studies show that Mount Etna's unpredictable activity increased significantly in the last decade. Mount Etna is Europe's highest active volcano, erupting 200 times since 1500 B.C., according to National Geographic. Check the national park website and with local guides for information on volcanic activity and excursions. The area was recently added to UNESCO's list of World Heritage sites.

Williams visited when it was covered in snow during the 2006 ski season. She didn't see lava flow at its active vent, but there were active ash eruptions.

"As a tourist you can get pretty close and it puts on a pretty good show," she says.

Mount Etna overlooks Catania, Sicily's second largest city, where visitors can soak up its history in the central Piazza Duomo and at the ruins of a Roman amphitheater. Check out the foundation of many delicious Sicilian dishes at the fish market.

Kilauea, The Big Island, Hawaii

Elevation: 4,008 feet

Since 1983, Kilauea's lava has destroyed 181 homes, a community center, a visitor center, a church and a drive-in, according to the National Park Service. Williams calls it the "Disneyland of volcanoes" because of the near-constant lava oozing that has created almost 500 acres of new land in the last 30 years.

More than 2.5 million people visit the volcano annually, which is located inside Hawaii Volcanoes National Park. The park contains more than 150 miles of trails for walking and hiking. Biking is allowed on roads and some trails and there are campgrounds inside the park.

"I used to go before dawn and watch the sun rise over the lava flows," says Williams. "It was just stunning." The park is open 24 hours a day, so nighttime viewing of the glowing lava is also a possibility. Viewing conditions are variable, so research the best viewing spots and safety advisories online.

Kilauea in Hawaiian means "spewing" or "much spreading," and is the youngest of the Big Island's volcanoes, according to the U.S. Geological Survey. It is believed to be the home of Hawaiian volcano deity Pele.

Eldfell, Vestmannaeyjar, Heimaey, Iceland

Elevation: 915 feet

Eldfell, Icelandic for "mountain of fire," was believed extinct when it suddenly erupted in 1973, forcing the evacuation of the entire population of the island Heimaey, which is among the Westman Islands. The volcano has been inactive since the eruption.

Most of the town of Vestmannaeyjar and its harbor were saved from the lava flow by using large pumps to spray seawater onto the lava, cooling it enough to stop its movement.

"That was maybe the only case that man has had any ability to successfully affect a lava flow," says Williams. "It was only because they had an unlimited amount of water."

In addition to tours of Eldfell and Helgafell volcanoes, Vestmannaeyjar features a thriving fishing industry, whale watching expeditions and a museum of natural history.

Mount Erebus, Ross Island, Antarctica

Elevation: 12,444 feet

Mount Erebus, the second tallest volcano in Antarctica and the most active Southerly volcano in the world, is home to an active lava lake that sends puffs of steam into sub-frigid air.

"When the lava cools and a crust forms, it (the crust) will move and then sink down again," says Williams.

Under the cover of total darkness for four months of the year, the only way to reach its summit is by helicopter or walking in temperatures ranging from 4 to 60 degrees below zero. Definitely not the most hospitable volcano on the list, but Williams says she dreams of doing research there because it combines her two favorite things: volcanoes and Antarctica.

Which volcanoes have you visited? Please give your recommendations below and share your volcano photos with CNN iReport.

@highlight

Mount Etna, Europe's highest active volcano, erupted 200 times since 1500 B.C., experts say

@highlight

Kilauea, home of Hawaiian deity Pele, means "spewing" or "much spreading"

@highlight

Pantelleria is home to the cave where legend says Calypso kept Ulysses for seven years

@highlight

Mount Erebus is the second tallest volcano in Antarctica and is home to an active lava lake