(CNN) -- Maps can be beautiful and good ones can be great investments.

But what collectors often find most entrancing about maps are how they provide portals into history.

The rise and fall of cities, the charting of war and adventure, the promise of riches through trade ... history continues to be rewritten according to scholars' reinterpretations of ancient cartography.

John Selden's 17th-century map of China made a huge splash recently as the stimulus for two new books analyzing London's rise as an economic hub (the city's success is inextricably linked to trade with China, as the Selden map illustrates).

According to some experts, the current unprecedented volume of global travel is also contributing to a burgeoning interest in map collecting.

"I believe that as people travel more, migrate more and speak more languages, and as business becomes more globalized, the appeal of two types of attachment to the idea of 'place' increases," says Daniel Crouch, a London based specialist of antique maps and atlases.

"One, as an identification with, or memory of, a place or homeland left behind, and the other as a statement of a new 'home' or adopted country, or fondness for a land visited."

Crouch reveals some fascinating map facts gathered from a lifetime of collecting and selling antique maps, and shares favorites from his most recent exhibition in Hong Kong featuring maps of China.

7 things to know about maps

1. It's still possible to have your own world-class map collection

Even the wealthiest collectors of old master or impressionist paintings, Chinese ceramics or modern art can never hope to have collections of a quality to match the likes of the Louvre, the British Museum or the Met.

However, that's not true of maps.

The savvy collector can still buy maps or atlases as good as, and sometimes better than, those found in the world's major libraries and museums.

"We have several items in our gallery that are at least as good, if not better, than the equivalent examples in, say, the Bibliotheque Nationale, the British Library or Library of Congress," says Crouch, whose gallery keeps approximately 250 maps and 50 atlases in stock at any one time.

2. "BRIC" nations are hot right now

Antique maps featuring the world's biggest developing countries have seen a recent spike in prices.

According to Crouch this heightened interest can be linked to the recently increased inbound and outbound travel from these countries.

"Maps of B.R.I.C. nations (Brazil, Russia, India and China) have seen the fastest growing markets (and prices) in recent years," says Crouch.

"I have also noticed an increased interest in 'thematic' and 19th and even early 20th century mapping," he says.

3. The first "modern" map was printed more than 500 years ago

While the earliest maps were rudimentary diagrams drawn in caves in pre-historic times, the first proper manuscript maps appeared in the 12th century.

The map of the Holy Land printed in the "Rudimentum Novitiorum," an encyclopedia of world history published in 1475, is considered the first modern printed map.

A sample of the Rudimentum Novitiorum was sold for Â£500,000 ($829,000) in 2013.

4. Mapmakers included fake towns to catch forgers

Ever been to the town of Agloe in New York State? Whitewall in California? Or Relescent in Florida?

While these towns are clearly marked on a number of antique maps of the United States, they don't actually exist.

"Paper towns" were fake places added to maps by early mapmakers in order to dupe forgers into copying them, thereby exposing themselves to charges of copyright infringement.

5. The world's best map collection is in Paris

"The best collection in the world, in my opinion, is that of the Bibliotheque Nationale de France in Paris, followed by the Library of Congress in the United States and the British Library," says Crouch.

"Many of what we now regard as the major institutional collections of cartography were actually put together by individuals in the 17th and 18th centuries. In the United Kingdom, the best collection of such material was made by King George III."

The latter collection is known as the "K.Top," and can be found in the British Library.

6. The most expensive map was the first to name America

The U.S. Library of Congress paid a record $10 million for German cartographer Martin WaldseemÃ¼ller's Universalis Cosmographia, a wall map of the world printed in 1507.

It's the only surviving copy of the map, which was the first to use the name "America."

In 2007, Crouch brokered the sale of the most expensive atlas ever sold -- the 1477 Bologna Ptolemy, the first printed atlas -- for Â£1.9 million ($3.12 million).

7. The best place to shop for maps is in the Netherlands

The annual European Fine Art and Antiques Fair in Masstricht, Netherlands is often considered the world's best place to shop for antique maps, classic and modern art and jewelry.

More than 70,000 people visited the TEFAF Maastricht in 2013 to browse the 260 booths from 20 countries.

"It's simply the biggest and best fine art fair in the world," says Crouch.

This year's fair dates are March 14-23.

TEFAF Maastricht, Maastricht Exhibition & Congress Centre, Forum 100, 6229 GV Maastricht, Netherlands; +31 43 38 38 383; 11 a.m.-7 p.m.

@highlight

"Paper towns" were fake places added to maps by mapmakers in order to dupe forgers into copying them

@highlight

The world's best map collection is in Paris, says map dealer Daniel Crouch

@highlight

Maps of BRIC nations are popular in the collecting world right now