Washington (CNN) -- The Senate Intelligence Committee received a classified document on Thursday that seeks to justify the administration's policy of targeting Americans overseas via drone attacks, a congressional aide told CNN.

The document was demanded by lawmakers, mainly Democrats concerned about secrecy in national security decisionmaking, ahead of a hearing later in the day on the nomination of John Brennan to become the next CIA director.

It provides the Justice Department's legal rationale for the controversial policy of using lethal force against U.S. citizens fighting on behalf of terrorist groups.

The drone campaign against al Qaeda and its allies has been one of Brennan's biggest legacies in the four years he has served as President Barack Obama's chief counterterrorism adviser.

"It is critical for the committee's oversight function to fully understand the legal basis for all intelligence and counterterrorism operations," Senate Intelligence Committee Chairman Dianne Feinstein said after the Obama administration disclosed late on Wednesday that it would turn the secret information over to relevant committees.

According to an official who spoke on condition of not being identified, Obama decided to turn over the legal opinion because he believes the scrutiny and debate is healthy.

Congress last summer received an outline around the policy that became public this week. However, it was a white paper that did not carry any legal authority and did not satisfy congressional demands for detailed information.

According to the public policy group New America Foundation, at least 28 of al Qaeda's leading members have been killed in drone strikes, including the U.S. citizen Anwar al-Awlaki, who officials said played an operational role in al Qaeda in the Arabian Peninsula.

In a 2012 speech at the Woodrow Wilson International Center for Scholars in Washington, Brennan asserted that the drone strikes are legal under a military force authorization approved by Congress after the 2001 al Qaeda attacks on the United States.

"There is nothing in international law that bans the use of remotely piloted aircraft for this purpose or that prohibits us from using lethal force against our enemies outside of an active battlefield, at least when the country involved consents or is unable or unwilling to take action against the threat," Brennan said at the time.

On Wednesday, the chairman of the House Intelligence Committee said the attack that killed al-Awlaki was justified.

"This is somebody who had said that he didn't want his U.S. citizenship anymore," Rep. Mike Rogers, R-Michigan, told MSNBC's "Andrea Mitchell Reports."

He said al-Awlaki had officially joined al Qaeda, and al Qaeda had declared war on the United States."

"The legal basis of this goes back many, many years when U.S. citizens would go and fight for foreign nations that were engaging in combat with the United States," Rogers said. "So what they were saying is, once you've made that choice, you no longer get the protections that you would. I mean, if you join the enemy overseas, you join the enemy overseas. And we're going to fight the enemy overseas."

But civil libertarians and other groups have not been satisfied with the administration's transparency or its policy.

Christopher Anders, senior legislative counsel at the American Civil Liberties Union, told CNN that senators want answers to key questions around a program that Brennan was deeply involved in while at the White House.

"The most basic details of it have been withheld," he said.

Amnesty International also said Congress should grill Brennan on his claim that the administration's drone strikes are "conducted in full compliance with the law."

Iran says it has footage from downed U.S. drone

"Furthermore, Congress should immediately hold public hearings with independent experts to examine the administration's legal reasoning and ensure that the administration is following the 'rule book' for the use of lethal force that already exists: international human rights law and, in the very narrow circumstances to which it applies, international humanitarian law," the group said.

Moreover, Ben Emmerson, a United Nations expert on counterterrorism and human rights, announced plans in October to investigate U.S. drone attacks and the extent to which they cause civilian casualties.

Opinion: John Brennan, Obama's counterterrorist

Obama defended it in an appearance last October on "The Daily Show."

"There are times where there are bad folks somewhere on the other side of the world, and you've got to make a call and it's not optimal," he said. "And sometimes you've got to make some tough calls. But you can do so in a way that's consistent with international law and with American law."

Opinion: Bring drones out of the shadows

@highlight

The Senate Intelligence Committee receives the document from the White House

@highlight

The panel holds a hearing Thursday on John Brennan's nomination as CIA director

@highlight

Brennan has asserted that drone strikes against U.S. enemies are legal

@highlight

Democrats and others sought legal rationale for decisions on drone policy