(CNN) -- You can't miss Beauvoir as you drive along scenic U.S. Highway 90 through Biloxi, Mississippi. Its grand staircase, with the railings scrolling outward, welcomes you like open arms.

The front porch wraps around the entire front of the home, supported by regal white pillars, common during the antebellum period.

It's the kind of front porch where you can envision someone sitting in a rocking chair with a glass of iced tea, as the breeze from the beach offers the only respite from a humid August afternoon.

When Hurricane Katrina devastated Mississippi's coastal areas, the storm tore up the home.  But it also peeled back a little slice of history about Beauvoir that might never have been known otherwise.

Beauvoir was the last home of Confederate President Jefferson Davis.

Some call Davis a forgotten hero of American history. He was a graduate of West Point, a hero in the Battle of Monterrey during the Mexican-American War, and a senator from Mississippi.

When Davis served in Washington, he helped get the Smithsonian Institution up and running after the founder, James Smithson, died.

In the months before the Civil War, Davis resigned from the Senate and was selected as president of the Confederacy.

When the war ended, he was charged with treason and, although he was never tried or convicted, he lost the right to run for public office.

He later settled in Biloxi, and purchased Beauvoir from a family friend for $5,500, although the owner died shortly after Davis made the first payment. It was his last home.

Learn more about the home's history

Five years ago, Katrina ripped the front porch completely off, taking part of the slate roof with it, and knocking down several support columns. Windows were blown out, and water flooded the interior. Furniture and pictures dating to the 1800s were waterlogged.

Winterthur Museum, out of Delaware, voluntarily restored the furniture and paintings. A paint historian surveyed the interior of the home after Katrina to ensure restoration was historically accurate.

This was a tedious project, involving Q-tips, paint remover, and a microscope. But the effort paid off, and with a bonus -- because things were discovered about the home that might never have been revealed if Katrina hadn't ravaged South Mississippi.

Then and now photos of Katrina's devastation

The historian learned the white doors were originally painted a faux oak color. The director of Beauvoir, Rick Forte, explained that the doors were too large to be made from real oak, a heavy wood.

So the original owner opted for cypress and had the doors finished in "the king of wood" oak finish, as Forte described it.

The white mantles over the fireplaces in the home were originally painted a faux marble. The historian also discovered fresco art on the ceiling of the reception hall, the front parlor and the library.

The most revealing discovery was the architecture.

Beauvoir was built in the mid-1800s by James Brown. "We always wondered whether he was his own architect or if he hired one from New Orleans," said Forte.

It turns out Brown was the architect, and in some ways, not a very good one. Many mistakes had to be repaired, in addition to the restoration work after the hurricane.

"It cost $4 million to restore the Beauvoir house, but it is a priceless house," according to Forte.

Today, Beauvoir is anchored to the ground with a foundation of concrete and rebar. The last national historic landmark house on the Mississippi Gulf Coast is fully restored to its original charm and splendor.

"It looks as good today as the day they finished it in 1852," Forte boasts.

As many as 4,000 people toured the home for its grand reopening, but tourists are sparse now, thanks to the BP oil spill in the Gulf of Mexico. But Forte counts his blessings as far as the home's survival of Katrina.

"It was like going from hell to heaven, to where we are now," he said.

@highlight

Beauvoir, in Biloxi, Mississippi, was the home of Confederate President Jefferson Davis

@highlight

Hurricane Katrina tore up the home's exterior and damaged historical paintings and furniture

@highlight

During the restoration process, workers learned new info about how the house was built

@highlight

It cost $4 million to restore the home