Rome (CNN) -- A boat carrying as many as 500 people capsized and caught fire off the Italian island of Lampedusa, the nation's coast guard told CNN on Thursday.

At least 110 people died, a doctor with the local health department said. Antonio Candela said that 154 people had been rescued in the ongoing operation.

Lampedusa's boat people: One man's story

Lampedusa, not far from Sicily and the closest Italian island to Africa, has become a destination for tens of thousands of refugees seeking to enter European Union countries -- and such deadly shipwrecks are all too common.

The latest boat to sink is thought to have been carrying up to 500 people. Those aboard include Eritreans, Somalis and Ghanaians, the coast guard said, and the boat is believed to have launched from Libya's coast.

CNN forecasters said there were some gusting winds and showers Thursday morning in the region but no weather conditions significant enough to be likely to sink a boat.

According to Italian media reports, the vessel sank near Rabbit Beach, also known as Rabbit Island, which was recently voted one of the best beaches in the world by Trip Advisor.

The survivors are being taken to Lampedusa's main port, where authorities have the facilities to help them.

The bodies of those who didn't make it are also being moved there. Images from the scene showed some lined up in body bags on a quayside.

The head of the U.N. refugee agency, Antonio Guterres, praised the efforts of the Italian coast guard but said he was "dismayed at the rising global phenomenon of migrants and people fleeing conflict or persecution and perishing at sea."

Another 13 men drowned off Italy's southern coast Monday when they attempted to swim ashore, the U.N agency said in a statement.

It is working with countries in the region to find "effective alternatives" so people don't risk their lives trying to make perilous journeys by sea, it said.

Migrant ship sinks in Mediterranean killing 10

Dehydrated, burned

Last week, the Italian coast guard rescued a ship bound for Lampedusa from Tunisia that had 398 Syrian refugees on board.

There is generally a spike in migrants coming to the island -- which has 6,000 full-time residents -- in the summer because the seas are calmer.

Migrants who spoke to CNN's Eric Marrapodi last week in Lampedusa said they typically spent a day or two at sea in boats that are barely seaworthy.

Those who arrive generally have no papers and seek asylum in Italy. They spend anywhere from a day to a week on Lampedusa before moving to another city on the mainland.

At the detention center where they first take the migrants, the coast guard said, they had 1,250 migrants in a space designed for 250.

A Navy doctor said that typically those who arrive are treated for dehydration, sun exposure, and gasoline burns, because they're so packed into the boats the fuel splashes and burns the skin.

A Navy commander said the service has been working with Thuraya, a satellite phone company, to try to make sure that it gets the coordinates of migrants sent out on boats by traffickers before they come to harm.

12 Chinese fishermen rescued, 58 still missing after typhoon sinks boat

Overcrowded boats

Just under 115 kilometers (70 miles) from Tunisia, the island has been the first point of entry to Europe for more than 200,000 refugees and irregular migrants who have passed through the island since 1999.

But boats carrying migrants often are in peril at sea.

In recent years, the Italian Coast Guard says it has been involved in the rescue of more than 30,000 refugees around the island.

Izabella Cooper, a spokeswoman for the European Union's border control agency, Frontex, told CNN that migrants are often sent to sea in overcrowded vessels without the engine power to make such a long and dangerous journey.

Since the start of the year, Frontex -- which supports the efforts of individual EU member states -- has helped save more than 16,000 lives in search-and-rescue operations, she said.

While Italy is the current focus of efforts by migrants and asylum-seekers hoping to enter the European Union, Cooper said, that has not always been the case.

"Seven years ago it was the Canary Islands, then the pressure moved to the central Mediterranean, then it moved to Greece -- then with the Arab Spring, it moved back to Italy," she said.

"There are definitely too many lives lost and definitely too many tragedies in the Mediterranean."

Rights group Amnesty International called for both Italy and the European Union to do more to safeguard the thousands who risk their lives each year in the hope of protection or a better life.

"It is high time the Italian authorities and the EU increase their search-and-rescue capacity and co-operation in the Mediterranean Sea, rather than concentrating resources on closing off the borders," said Jezerca Tigani, deputy director of Amnesty International's Europe and Central Asia Program.

"More must be done to prevent further loss of life in the future."

Risk for a better life ends in death for 22 people near Indonesia

Pope's prayers

Pope Francis, who visited the tiny island near Sicily this summer to pray for refugees and migrants lost at sea, echoed that call.

During his visit to Lampedusa in July, Pope Francis criticized what he called "global indifference" to the island's refugee crisis.

And in a statement issued by the Vatican Thursday, Francis called for concerted action to prevent more tragedies like the Lampedusa shipwreck.

"It is a disgrace!" he said. "Let's pray together with God for those who have lost their lives: men, women, children and for the families of all the refugees. Let's bring our forces together so tragedies like these ones don't happen again."

A risky journey

According to a briefing published by the U.N. refugee agency in July, the peak crossing period for migrants and asylum-seekers runs from May to September.

The agency estimates that 8,400 migrants and asylum-seekers landed on the coasts of Italy and Malta in the first six months of this year, all but 600 of them in Italy.

Most departed from North Africa, principally Libya, for the perilous journey across the Mediterranean, one of the busiest seaways in the world.

The migrants and asylum seekers chiefly come from countries in sub-Saharan Africa, particularly Somalia and Eritrea, it said. Others originate from Syria, Egypt or Pakistan, and smaller numbers from Gambia, Mali and Afghanistan.

The U.N. refugee agency recorded some 40 deaths in the first six months of 2013, a figure based on interviews with survivors of the crossing.

For 2012 as a whole, some 15,000 migrants and asylum-seekers reached Italy and Malta -- and almost 500 people were reported dead or missing at sea, it said.

The U.N. agency credits the efforts of the Italian coast guard and Maltese armed forces for a reduction in migrant deaths in the first half of 2013 compared with the previous year.

More than 100 missing after illegal migrant boat sinks off Bangladesh

CNN's Hada Messia and Ben Wedeman reported in Rome and Laura Smith-Spark wrote in London. CNN's Eric Marrapodi contributed reporting from Lampedusa. CNN's Nina Dos Santos, Kirsten Dewar and Saskya Vandoorne also contributed to this report.

@highlight

NEW: 154 people have been rescued after boat capsizes and burns, a doctor says

@highlight

Pope Francis calls for concerted action to prevent future tragedies like this

@highlight

Lampedusa is a major destination for refugees seeking to enter the EU from Africa