(CNN) -- In between taking care of their families, working and trying to keep up with everyday life, many Americans have caught at least a couple stories about Syria. Many probably know that clashes between government forces and protesters who want the country's president to relinquish power have become increasingly bloody over the past several months. Much of that violence has been represented in online videos, ostensibly that Syrians have posted, suggesting the slaughter of children and families.

It's horrible. No one would argue anything else. But there is violence in many corners of the world. Why should what's happening in Syria be especially important to Americans? It's clear a lot of people think it's not. Several readers reacted to Tuesday's top story on CNN about Syria by commenting: "Zzzzzz not our problem" and "Anyone surprised? *yawn*."

"We are afraid to ask this question -- 'Why care?' -- because it's like saying we don't mind that there's a humanitarian crisis happening or that people are suffering," said Hillary Mann Leverett, a Washington-based professor, blogger and one of the nation's foremost Middle East and Syria experts. She is a former National Security Council adviser to President George W. Bush and has interviewed Syrian President Bashar al-Assad for a book about Syria authored by her husband, Flynt Leverett, also a Middle East expert.

"People have to know it's allowed to take a discussion beyond the human suffering," she said. "There are huge, practical consequences for the United States when it comes to Syria."

Like what?

CNN asked Hillary Mann Leverett; Joseph Holliday, a former U.S. soldier turned foreign policy analyst; and Robert Zarate, a geopolitical strategist with Capitol Hill experience, to explain why Americans should care about Syria.

1. Geography. Think of Syria as the Middle East's core. When it's weak and destabilized, the body is susceptible to serious injury. Violence in Syria could easily spill into bordering Iraq, where the United States recently ended a war that ran from March 2003 to December 2011 and where U.S. troops and American civilians still work.

Beyond Iraq, Turkey, a U.S. ally, borders Syria as do Jordan and Lebanon. If Lebanon is shaken too badly by conflict in Syria, Lebanon could fall into a civil war as it did decades ago, Holliday said. That kind of conflict would spark yet another serious political and diplomatic problem that the United States would inevitably have to address.

2. Al Qaeda. The United States' No. 1 enemy would appreciate another failed state from which to operate in the Middle East.

3. Iran. Syria supports Iran. Iran has had a contentious relationship with the United States for decades. Remember Bush's "Axis of Evil"? That trifecta was Iran, North Korea and Iraq.

"Syria is Iran's arm in the Middle East," Zarate said. "Iran has used Syria as a staging ground to train and support militants who have crossed into Iraq to hurt our troops and to train for other terrorist activities."

Each expert CNN spoke with pointed out that Iran has a nuclear program. Whether it has capabilities for nuclear weapons is something the United States and most of the world doesn't know.

4. Oil prices. Though Syria produces far less oil than Libya, for example, violence in Syria could affect global oil speculation and prices, Leverett said. Ultimately, that affects how much American consumers pay at the pump.

5. The economy, stupid. Leverett and Zarate note that many in the United States may not think about the Iraq war now, but they say it's important not to forget that war cost an estimated $1 trillion. Whether one supports or opposes military intervention in Syria, the costs incurred by any approach will affect the American economy.

6. Global reputation. "People around the world are looking for some kind of consistency in our foreign policy, and we've been criticized for not having that, not having anything close to consistency during the Arab Spring," Zarate said.

The United States intervened, with NATO leading the way, in Libya. In 2011, Washington supported, at least in words, the Egyptians in their revolt against then-Egyptian President Hosni Mubarak, he said. Each time, the United States argued that those actions were in accordance with America's national values, he said, and its responsibility as a global leader to defend democratic principles.

@highlight

Experts: Beyond human suffering, Syria has practical implications for Americans

@highlight

Syria is "Iran's arm in the Middle East," geopolitical strategist says

@highlight

Syria is bordered by countries in which the U.S. has a vested interest

@highlight

Oil prices could be affected by continued conflict in Syria