(CNN) -- Dennis Hopper, the one-time Hollywood enfant terrible who portrayed such indelible characters as "Easy Rider's" biker Billy and "Blue Velvet's" huffing villain Frank Booth, died of prostate cancer Saturday morning at his home in Venice, California, his wife said. He was 74.

Hopper, who was diagnosed with prostate cancer last October, was surrounded by his children when he died, his wife, Victoria Hopper, told CNN.

Funeral arrangements have not been decided, but Hopper's wish was to be buried in Taos, New Mexico, "his heart home," Victoria Hopper said.

The American film icon made his last public appearance on March 26, 2010, when his star was dedicated on Hollywood's Walk of Fame.

Over almost six decades as a performer and director, his career spanned a range of Hollywood trends: TV's live "Golden Age," films about disillusioned teenagers, a variety of Westerns, anti-establishment dramas, offbeat indie films, action blockbusters and edgy cable series. He often played villains, occasionally lost souls, almost all with a force and empathy.

Share your tributes, memories of Dennis Hopper

There was Dennis Hopper before "Easy Rider," generally known as a clean-cut, if rebellious, character actor who had built a career of supporting roles in Westerns, youth-oriented films and TV shows.

There was Dennis Hopper after "Easy Rider," for years one of Hollywood's wild men, an actor with a penchant for alcohol, drugs and outlandish behavior, and later a go-to performer to play villains and commanding misfits.

And then there was "Easy Rider," the 1969 film that he directed and co-wrote, and in which he played a dissolute, countercultural biker named Billy. Thanks to the film, Hopper helped blaze a trail for the young, aggressive filmmakers who would take Hollywood by storm in the 1970s.

Dennis Lee Hopper was born in Dodge City, Kansas, on May 17, 1936. He grew up in San Diego, California, and established an early reputation for stage work.

Making his way to Hollywood while still in his teens, he quickly earned roles in TV shows and films, including "Rebel Without a Cause" (1955), in which he met James Dean, who became a friend and lifelong model, Hopper once said.

Dean was "a guerrilla artist who attacked all restrictions on his sensibility. ... I imitated his style in art and in life. It got me in a lot of trouble," Hopper recalled.

Hopper also appeared in "Giant" with Dean, who died in a car accident in September 1955.

"He's the greatest actor that I ever saw. I never saw anyone that could even touch him," he told CNN's Larry King in 2005.

"He moved better than any actor. He's like an expressionist to me. He not only filled himself with emotion, but he, like -- he did things that were so unbelievably physical."

Hopper maintained a somewhat uneven career through the mid-'60s, appearing in such films as the John Wayne vehicle "The Sons of Katie Elder" (1965) and the Paul Newman classic "Cool Hand Luke" (1967) as well as several TV shows -- often Westerns.

But it was 1967's psychedelic "The Trip," directed by "King of the B's" Roger Corman, that exposed the actor to an anti-establishment audience and two of his "Easy Rider" colleagues, actor Peter Fonda and "Trip" writer Jack Nicholson.

In early 1968, Hopper led the group through his own low-budget film, a biker road movie about two disenchanted riders who -- thanks to some drug money -- travel from Los Angeles to New Orleans. "A man went looking for America and couldn't find it anywhere," went the words of its famous tagline.

"Easy Rider" was finally released in the summer of 1969, and became a sensation -- after 1967's "Bonnie and Clyde" and "The Graduate," the breakthrough that set free the Baby Boomer generation on Hollywood. (Ironically, another of Hopper's 1969 films was "True Grit," an old-fashioned Western that earned John Wayne an Oscar.)

The film, made on the fly by Hopper and co-star Fonda for less than $500,000, became one of the highest-grossing movies of its time and helped make a star of Nicholson, who played an ill-fated, alcoholic lawyer.

"It was just a very special time when the lunatics really got to take over the asylum for a minute," Hopper told Reuters in 2008. "For a brief moment there, there really seemed to be an independent film movement. Then it was over."

iReporter captures Walk of Fame ceremony

But even at the height of "Rider's" success, Hopper was developing a reputation as a difficult artist, using drugs and drinking heavily. He and Fonda -- best friends in the movie -- weren't that way in real life, he told People in 2002.

"Peter and I weren't friends. By the time we started the film, Peter tried to have me fired. He considered me out of control, and I was," Hopper said. "We made a good film, but it wasn't made out of love."

Given carte blanche to direct his next movie, Hopper made "The Last Movie" (1971) an indulgent failure that made the list of the Medved brothers' "50 Worst Films of All Time" in their 1978 book of that name.

Hopper descended into drug and alcohol abuse in the '70s. A marriage to Mamas and Papas singer Michelle Phillips famously lasted eight days in 1970, and he barely sustained his career as an actor, though he gave a notable turn as the crazed photographer in Francis Ford Coppola's "Apocalypse Now" (1979).

"The alcohol was awful. I was a terrible alcoholic," Hopper told CBS' Charlie Rose. "I mean, people used to ask how much drugs I did. I said, 'I only do drugs so I can drink more.' I was doing the coke so I could drink more. I mean, I don't know any other reason. I'd start drinking in the morning. I'd drink all day long."

After hitting bottom -- he had a breakdown in a Latin American jungle -- Hopper entered rehab in the early '80s, and his career began a renaissance. He was determined to do 1986's "Blue Velvet," about the sordid underbelly of a small town, reportedly telling writer and director David Lynch, "I've got to play this part, David, because I AM Frank."

Frank Booth -- fond of profanity, Roy Orbison and inhaling a mysterious gas -- earned Hopper wide acclaim. He received a best supporting actor Oscar nomination for his next film, "Hoosiers" (1986), in which he played the drunken father of a high school basketball player.

Hopper never strayed far from the A-list after that, giving notable turns in "Speed" (1994)," "Basquiat" (1996), "Jesus' Son" (1999) and the TV show "Crash."

iReport: Hopper became honorary mayor in 2009

In recent years, Hopper was as well known for his political views -- he self-identified as a Republican in liberal Hollywood -- as his work. (He did play a Democratic presidential candidate in 2008's "Swing Vote," however.)

Among his recent roles were a villain in the TV series "24" and an officer in the short-lived TV show "E-Ring." He was starring in the TV version of the Oscar-winning film "Crash" at his death, playing a conniving record producer. He was named a chevalier of France's Order of Arts and Letters in 2008.

Hopper was married five times and had four children, ranging in age from 47 to 6.

His personal life continued its ups and downs to the end. In January, while Hopper was suffering from prostate cancer, he filed for divorce from his fifth wife, Victoria.

Hopper's lawyer argued in the divorce case that his estranged wife's presence was hampering his fight with cancer, but the judge allowed her to continue living in the family's Venice compound with their daughter.

But it's his films for which he'll be remembered -- and there was something for everybody, he told People in 2002.

"I can be in the 24-hour grocery store at midnight, and suddenly someone come up and says, 'Man, you know I loved you in 'Chainsaw Massacre 2,' " Hopper said with a laugh. "Well, 'Chainsaw Massacre 2' is not my favorite film to be remembered for. Then there was 'Hoosiers,' which was a very likable, inspirational sports film. Kids will come up asking for the coach's autograph.

"Somewhere in my strange career, someone has liked something."

CNN's Alan Duke contributed to this report.

@highlight

American film icon Dennis Hopper dies of prostate cancer at California home

@highlight

Funeral arrangements unclear, but he wanted to be buried in Taos, New Mexico, wife says

@highlight

He is best known for his roles in 1969 film "Easy Rider," 1986's "Hoosiers," recent TV spots

@highlight

His career as a performer and director spanned six decades