(LonelyPlanet.com) -- Despite the daily foot traffic, Lower Manhattan is one of the most under-appreciated parts of New York City. It's not just a playground for suits bound for Wall Street bank jobs or tourists following the old New Amsterdam crooked plan through skyscraper canyons heading to the Statue of Liberty -- or, increasingly over the coming months, crowding to get a glimpse of the new 9/11 Memorial.

As someone who has spent most of the last two decades in New York City, I can't begin to count the number of times visiting friends and friends of friends have asked me for "fun things to do in New York City."

The hidden sides of Lower Manhattan fit the bill. If you're heading to visit the 9/11 Memorial and are looking for other things to do in the area, try these tips:

LonelyPlanet.com: 40 free attractions in New York City

1. Trinity Church's gravestones

New York's most historic church, dating from 1698, faces Wall Street from Broadway. Visitors often pop in to see the stained glass and perhaps peek into the free museum (which includes a cut-out $10 bill so you can pose as Alexander Hamilton).

The Hamilton focus is there because the country's first US Secretary of Treasury -- who was shot in a duel by the former Vice President Aaron Burr in 1804 (no, Dick Cheney wasn't the first VP to shoot someone) -- is buried outside. But that's not the best part of the cemetery. On the bigger plot, on the north side of the church, there are shady spots to sit, and at the far northeastern corner lies James Leeson, who left a coded message atop his tombstone. According to Kevin Walsh's superb book "Forgotten New York," the code was finally cracked nearly a century after his death in 1794. The message: "Remember death."

2. National Museum of the American Indian

Manhattan got its name from the Lenape word for either "place of hills" or "place of inebriation" (the latter is certainly more apt in the past few hundred years), and Broadway itself follows old hunting trails that date centuries before Henry Hudson wandered this way. A great place to learn more about all of the Americas' pre-Columbian inhabitants is this free, relatively quiet museum. Part of the Smithsonian (and open every day), the exhibit of artifacts fills the gorgeous century-old Customs House.

Many equate Native Americans with images seen in old westerns -- usually wearing the attire of the Plains Indians, evident in a shirt that may have been worn by Sioux legend Crazy Horse. The "Infinity of Nations" exhibit gives a fuller picture. I also enjoyed thumbing through Native American newspapers from around the country and seeing works like a painting by Naiche, a Chiricahua Apache "prisoner-of-war" at Fort Sill, Oklahoma a century ago.

3. Stone Street dining

I'm always shocked by how many people eat lunch at unmemorable places on Broadway or chains at South Street Seaport. Locals instead bee-line for the city's first paved street, Stone Street, a small traffic-free winding lane filled with covered tables a few blocks east of Broadway (and south of Wall Street), lined with good food and bars. It gets BUSY on weekday lunches (noon to 1:30 p.m.) and as work winds down (after 4 p.m.). Go then, and share an outside table.

I like Adrienne's Pizza Bar (54 Stone St.) the best, but it comes in one big size -- don't go solo.

LonelyPlanet.com: How to cycle NYC like a pro

4. Rat Alley

OK, most people won't want to walk down Edens Alley, an L-shaped alley near the corner of Gold Street and Fulton Street, en route from the World Trade Center site to South Street Seaport. But it's legendary. In 2001, Robert Sullivan spent many nights here for four seasons, watching a terrifying scene of "relay teams" of eight to 10 rats storming into garbage bags that roared like "a bar brawl in a pup tent." Sullivan's book, "Rats," is creepily fascinating, giving more info than you may want to know about New York's most famous "wildlife."

You won't see rats during the day.

(By the way, Fulton Street is a common path for visitors to take -- and its scene of chains and discount shops is very simply the least interesting walking street in all of Lower Manhattan.)

5. African Burial Ground National Monument

One of New York's newest museums -- the fascinating African Burial Ground National Monument site built in a new Federal Building in 2010 -- sees, on a good day, about 250 people. Go. You may be alone, and you might not see New York the same way afterward.

During most of the 18th century, as many as 15,000 Africans -- mostly slaves -- were buried in this 6.6-acre corner of the city, and the small museum makes a big impact with the corner of the Federal Hall it occupies. Watch the 20-minute film ("this is African Americans' Ellis Island," one person says in it) and walk past some of the over 400 graves found while building this controversial building in the '90s. This is the population who really built the city, including a giant wooden barrier wall to protect New Amsterdam from the British attack -- the namesake for Wall Street.

Around the corner, just east along Duane Street, there's a small plot saved from the building plans with a monument to those buried here -- along with visible mounds of crypts underground.

LonelyPlanet.com: John Lennon's New York City

© 2011 Lonely Planet. All rights reserved.

@highlight

Lower Manhattan is one of the most under-appreciated parts of New York City

@highlight

Stop at the Trinity Church to see the stained glass and free museum

@highlight

Stone Street offers dining alternatives to unmemorable chain restaurants