Cairo (CNN) -- A leading figure in the Sunni Islam world called for fellow believers to respond to recent controversial portrayals of Mohammed -- which he said "spread hatred" -- just like the prophet himself would, "through patience and wisdom."

The Grand Mufti of Egypt Ali Gomaa spoke to CNN as Muslims staged yet more passionate protests Saturday in yet more locales, from Germany to Lebanon to Bangladesh, as they have since September 11. Demonstrators railed against an obscure, 14-minute trailer for a film that mocks Mohammed as a womanizer, child molester and killer -- as well as the country in which it was privately produced, the United States -- and more recently a French satirical magazine's cartoons of a figure representing Mohammed.

Egypt's grand mufti questioned whether in the United States, for example, the inflammatory film "Innocence of Muslims" was not illegal under laws prohibiting the spread of hatred. And he also challenged if laws protecting freedom of speech were applicable.

"This is not freedom of speech, this is an attack on humanity, (an) attack on religions, and (an) attack on human rights," he said.

At the same time, the North African nation's grand mufti -- a figure appointed by Egypt's government whose pronouncements often hold significant sway in the Muslim world -- stressed conflict is not the answer, saying, "We live together and must respect our neighbors."

"These cartoons spread hatred, and we call for peace," he said, adding that Islamic leaders "fear the spread of hatred" against their religion and oppose "the mocking" of any religion.

Noting Egypt-based Coptic Church bishops had condemned the film that sparked protests, Egypt's grand mufti -- who noted he's active in the Coexist Foundation, which promotes religious tolerance -- urged an end to the cycle of different groups attacking each other. And in Egypt, at least, he vowed Muslims and Christians will continue to peacefully coexist despite the recent turmoil.

"My message to those who want (strife) between Muslims and Christians in Egypt, I tell them, 'You will not succeed, because we are one people that have been living together for more than 1,400 years,'" he said.

More Muslims protest inflammatory film, cartoons

The trailer for "Innocence of Muslims" was posted online to YouTube in July, but it wasn't until earlier this month that it gained attention in the Muslim world and stirred tens of thousands of protest in more than 20 nations.

While most of these demonstrations have been peaceful, a number have been marred by violence that has left more than two dozen people dead -- among them U.S. Ambassador to Libya Chris Stevens and three other Americans killed in an attack on the consulate in Benghazi, Libya.

And there were more protests Saturday, in which Muslims once again derided the film and, in many cases, the United States. Among them:

-- Thousands of Shiite Muslims protested in the Nigerian city of Kano, with the crowd shouting "God is great" and "Death to America," resident Sani isa Mohammed told CNN. There were no immediate reports of violence, according to a police officer said.

"The imam called us to join in the call to damn the evil film from America which insulted the prophet and we joined in the march," Mohammed said. "We chanted and shouted. My voice is hoarse from screaming!"

-- Protests in Bangladesh's capital, Dhaka, turned violent as police fired tear gas and used clubs to disperse the crowd, which included some wielding sticks and flinging chunks of bricks, police and witnesses said.

Demonstrators in the South Asian nation -- which has one of the world's largest Muslim populations -- torched a police van and damaged police cars, and several protesters and protest leaders were arrested, the spokesman said.

Activists called a countrywide general strike for Sunday in protest of a government ban issued Friday on any kind of gatherings and rallies in downtown Purana Paltan, centering the national mosque.

Benazir Ahmed, chief of the Dhaka Metropolitan Police, defended a ban that he said was imposed to maintain law and order.

-- Hundreds took to the streets of Dortmund, Germany, chanting and peacefully denouncing what they described as injustices against Islam. One banner, for instance, noted that insulting blacks, Jews or women would be defined as racism, anti-Semitism and sexism, respectively, but questioned why insulting the Muslim Prophet would qualify as freedom of opinion.

-- Thousands carrying Lebanese and Hezbollah flags turned out in Bint Jbeil, in southeastern Lebanon. Prompted by speakers, they chanted anti-American slogans and derided any attempt to defame the Prophet Mohammed. Druze and Christian leaders in the area joined top Muslim figures at the demonstration.

-- A day after at least 27 people were killed and more than 100 injured as mobs ransacked banks, theaters, government offices and a church and clashed with security forces, at least 3,500 female students of Islamabad's Lal Masjid, or Red Mosque, protested the film

The women and girls wore headbands on top of their burqas as they marched through Islamabad's streets, carrying placards saying "America is the biggest terrorist" and "Say NO to American products," mosque spokesman Abdul Qadir told CNN.

"We will respond to this insult whether we are men or women," they chanted.

American diplomatic official summoned in Pakistan

Pakistan's Ministry of Foreign Affairs, meanwhile, summoned U.S. charges d'affaires Ambassador Richard Hoagland on Friday to demand the United States remove the controversial movie from YouTube. Islamabad -- which had declared a "national holiday" to protest the film -- has blocked the site in recent days.

According to a statement, the ministry lodged a protest with Hoagland over the movie, describing it as "a premeditated and a malicious act to spread hatred and violence among people of different faiths."

Hoagland reiterated the Obama administration's repeated condemnation of the movie and its message, emphasizing that the United States government had nothing to do with it.

"Ambassador Hoagland stated that this act was a deeply insensitive decision by a single individual to disseminate hatred," according to a statement released by the U.S. Embassy. "It does not reflect the values of the United States, a nation of more than 300 million people, built upon the pillars of religious freedom and tolerance."

The U.S. mission in Lahore, Pakistan, on Saturday extended the temporary suspension of services amid news of two planned protests that were expected to draw hundreds, according to a U.S. State Department security announcement.

Washington launches TV, social media campaign

The United States has been trying to stem anger in Pakistan through television advertisements and a Facebook campaign.

The U.S. State Department spent $70,000 on television public service announcements that began airing last week in Pakistan. The ads feature Obama and Secretary of State Hillary Clinton disavowing the anti-Islam video.

On the Facebook page of the U.S. Embassy in Islamabad, officials posted a video of two Americans speaking out against the film, but that has drawn overwhelmingly negative responses.

"If America (does) not have any concern with this film then why (is) their government not taking any action against this act? Why there is no law (to) protect the religious (beliefs) of Muslims?" read a Facebook post by someone identified as Numra Sheikh.

CNN's Yousuf Basil, Shaan Khan, Reza Sayah and Chelsea J. Carter and journalists Farid Ahmed and Hassan John contributed to this report.

@highlight

NEW: Angry about government ban on protests, activists in Bangladesh call a general strike

@highlight

The grand mufti of Egypt says anti-Islam video spreads "hatred," which should be illegal

@highlight

He adds that Muslims want peace and respect, not conflict

@highlight

Muslims protest Saturday in Nigeria, Bangladesh, Germany and Pakistan