Al Qaeda appears to have had enough of one of its affiliates fighting in Syria: the Islamic State in Iraq and the Levant. The group has been locked in conflict with other Islamist factions and gained a grim reputation for abuses in parts of Syria it controls, including summary executions and mass killings.

A statement posted on jihadist forums Sunday and purportedly issued by al Qaeda's General Command said "it has no connection with the group" and blamed it for "the enormity of the disaster that afflicted the Jihad in Syria."

The al Qaeda statement, translated by the SITE Intelligence Group, follows more than a month of intense factional fighting between the Islamic State in Iraq and the Levant with other Islamist groups in northern and eastern Syria. The Syrian Observatory of Human Rights says it has documented 1,747 people killed in the past four weeks alone but suspects that the real number is substantially higher.

In recent days, the Islamic State has targeted senior figures in other groups. On Sunday, two senior rebel leaders were killed near Aleppo -- along with 14 others -- when an Islamic State member who was supposedly conducting truce negotiations with them blew himself up, according to the Observatory. The previous day, Islamic State fighters assassinated Abu Hussein al Dik, a senior commander in the powerful Suqour al Sham brigade, near the city of Hama.

Observers say the internecine fighting has played into the Bashar al-Assad regime's hands, distracting other Islamist factions from their campaign against the Syrian military.

It seems that al Qaeda's political leadership has signed off on the latest statement disowning the Islamic State. Its publication by As-Sahab, the organization's official media wing, gives it considerable weight.

Laith Alkhouri, senior analyst at Flashpoint Partners, a U.S.-based group that analyzes jihadi pronouncements, says the statement is "straight to the point and one that leaves no room for doubt: 'ISIL does not represent us!'

"The statement indicated that al Qaeda was never consulted or informed about the establishment of such a group and plainly said there is no organizational connection or link" between them, Alkhouri said.

From the U.S. point of view, al Qaeda's move to cut ties to the group is "unprecedented" in recent history, according to a U.S. official directly familiar with the latest intelligence analysis. He notes that this year, al Qaeda leader Ayman al-Zawahiri ordered the Islamic State to defer to another affiliate, the al-Nusra Front, as the main al Qaeda organization inside Syria.

"We haven't seen this kind of disobedience before. It's a strategic affront" to Zawahiri and al Qaeda, the official says.

The official notes that Zawahiri has consistently been trying to prove his own importance and relevance to the organization, but this latest statement appears to go beyond that effort to control a rising affiliate.

Zawahiri's exasperation with the Islamic State is well-known. The bad blood between the groups goes back nearly a year. In April, the Islamic State's leader, Abu Bakr al Baghdadi, suddenly announced its expansion from Iraq into Syria and declared that it was absorbing the al-Nusra Front, which had by then become one of the most effective fighting forces against the Syrian regime.

Both al-Nusra and Zawahiri rejected the Islamic State's takeover attempt. Al-Nusra's leader said simply that "the Front's banner will remain as it is, without changing anything." In a letter in June, Zawahiri declared that al-Nusra was "an independent branch of al Qaeda that follows al Qaeda's General Command" and instructed the Islamic State in Iraq and the Levant to disband and return to Iraq. The Islamic State rejected Zawahiri's instruction, in a rare act of open defiance toward the global leadership of al Qaeda.  An audio message attributed to Baghdadi said, "We will not compromise, and we will not give up."

Al-Nusra and fighters from the Islamic State in Iraq and the Levant continued to cooperate on a local level, but tensions between the two groups over objectives and methods continued. Other Islamist factions complained that the Islamic State was more interested in setting up its own emirate in northern Syria than in fighting the al-Assad regime. The Islamic State has begun imposing sharia law in towns it controls like Raqa and Azaz, forcing women to wear the full veil, or niqab, in public and banning music.

That complaint is echoed in the statement from the General Command, which says, "We do not rush to announce emirates and states over which the scholars of the mujahedeen and their command and the rest of the mujahedeen and the Muslims did not consult."

Pressure on the Islamic State in Iraq and the Levant has mounted in the past two months, especially with the formation of an umbrella group of Islamist fighting groups called the Islamic Front. Observers say the Front can probably marshal between 40,000 and 50,000 fighters. While cooperating quietly with al-Nusra, it has been involved in clashes with fighters from the Islamic State in Iraq and the Levant.

An influential cleric among Syrian jihadists, Sheikh Adnan Al-Arour, has even suggested that some Islamic State members are working for the Syrian mukhabarat or secret police. Al-Arour said in December, "We are not accusing everyone in ISIS to be agents, but the majority of your commanders are indeed."

There also appears to have been internal dissent in the Islamic State in Iraq and the Levant. A video appeared on Islamist websites in December announcing a "corrective movement within the Islamic State of Iraq and Syria."

Last month, Zawahiri renewed his appeal for unity among jihadist groups in Syria, saying in an audio message, "Our hearts are bleeding, the heart of our Islamic nation is bleeding when we see the internal strife among the mujahedeen in Syria."

Islamic State leader Baghdadi responded in less than contrite terms, saying his "fighters will defend themselves from attacks, and asking elements from opposition groups in Iraq and Syria to repent or suffer consequences."

His appeal was taken up by a prominent figure in jihadist circles, Muhammad al Mohaisany. A Saudi said to be a key financier of radical Syrian factions, Mohaisany announced that he would try to mediate between the rival groups. But in an audio statement released Sunday, he turned on the Islamic State, saying it had "rejected the initiative that was accepted by all the other factions to stop the bloodshed of Muslims in Syria."

Mohaisany's views are echoed in another statement issued by As-Sahab and attributed to a senior al Qaeda ideologue, Muhammad Mahmoud al-Bahtitit. He stresses that "there is no way to manage this definitive battle in the history of the Ummah except by unifying with the good people under a pure banner that everyone agrees with and is not enforced upon them." Flashpoint's Alkhouri sees that as directed at the Islamic State.

Despite being ostracized by fellow jihadists, the Islamic State seems confident of its destiny. According to Brian Fishman of the New America Foundation, "The ISIL is also bringing in much larger numbers of foreign fighters, including approximately 900 Europeans, many of whom are learning to use sophisticated weapons and small unit tactics."

Chechens, Turks and many fighters from other Arab countries have also joined the group.

Fishman said in December that the tensions between the Islamic State and other groups represent a deepening rift in al Qaeda.

"ISIL is the most direct descendant of Abu Musab al-Zarqawi (who led al Qaeda in Iraq until his death in 2006) and the violence-first, absolutist strain of al Qaeda. The conflict between these groups is indicative of larger tensions in the al Qaeda enterprise."

Alkhouri sees the next stage of this conflict as bringing al-Nusra and groups within the Islamic Front closer, an "emerging sign of powerhouse jihad. Combining two of the most effective jihadi forces in Syria will tip the balance of power" against the Islamic State, he says.

90 killed in punishing air raids in Syria's Aleppo

Syrian government non-committal on more talks

'Assad made beggars out of his people:' Syrian refugees flood into Jordan

@highlight

Islamic State in Iraq and the Levant has been fighting other Islamist groups

@highlight

Statement on jihadist forums blames group for "enormity of the disaster"

@highlight

Observers say infighting has played into al-Assad regime's hands