(CNN) -- Are you better off today than you were four years ago?

With 26 consecutive months of job growth, it seems like the answer should be yes.

With an 8.2% unemployment rate, it's no wonder that in a recent Gallup poll, most said no.

This disconnect is the reason some Democrats -- meeting for their convention this week in North Carolina -- are having a hard time finding an answer with the right tone.

It also explains why Mitt Romney and the Republicans love asking the question: Nuanced answers to what appears to be a simple yes or no question sounds like spin, and voters hate spin. More important, the question tricks the middle class into condensing all of their money problems into the three-plus years of the Obama administration.

I say "trick" because the truth is, the "better off" question does nothing to address the real reason why things are tight: Americans' wages haven't kept up with the cost of living for a good long time. And because of that, the middle class has been dying a slow death for the past 40 years, not four.

Romney likes to say that he is a financial whiz, so you have to know that this bit of information is not news to him. That he doesn't bother bringing up that trend when talking about the economy is yet another sign that he's more interested in winning the election than helping those less fortunate than himself.

Here's what I'm talking about:

In its recent report, "The Lost Decade of the Middle Class," the Pew Research Center found that in 1971, 62% of the country's income was earned by the middle class, which at that time represented 61% of the population.

In 1991, the middle class took in 54% of the income and represented 56% of the country.

In 2011, the middle class represented 51% of the population, but its earning was down to 45%.

Opinion: What Democrats need to do in Charlotte

None of this would be a problem if the percentage of Americans who became rich was in line with the amount of money the rich were taking in. Unfortunately, that is not the case. In 1971, the rich represented 14% of the country and took in 29% of the income. In 2011, the rich represented 20% of the country but took in a whopping 46% of the money.

So Romney asking "are you better off today than you were four years ago" is a bit insulting; he's really just a rich guy preying on the emotions of a middle class in long decline. Maybe if he starts talking about the dramatic redistribution of wealth that's occurred since 1971 and the wage/inflation gap, I'll think differently.

And that gap? Over a 12-month period ending in December, wages went up 1.8%, while through October, the consumer price index was up 3.5%. This is not an anomaly, it's been the norm.

This is why Pew found that "85% of self-described middle-class adults say it is more difficult now than it was a decade ago for middle-class people to maintain their standard of living." We're working just as hard as in years past, but we're behind the 8-ball because for most of the country, wages are not even set to meet the cost of living.

Indeed, some of us are closer to being poor than middle class and don't know it. The 2011 middle class median income started at $39,418 for a family of three. Yet Pew found some families making less than $30,000 still self-identified as middle class, even though they're closer to the nation's bottom fifth, according to the U.S. Census.

How does this translate on the ground? The starting salary for K-12 teachers in 42 states is below the $39,418 bar of median middle class salaries. Beyond the basic necessities, such as food, housing and a car to get to work, many young teachers are paying back student loans. So if there's a young teacher with a family -- say in a state like Ohio, where the starting salary is $31,876 -- there's a good chance that person is poor, not middle class.

The starting salary for a New York firefighter is $43,074. Now, that may sound like a lot of money until you realize that "a New Yorker would have to make $123,322 a year to have the same standard of living as someone making $50,000 in Houston," according to the Center for an Urban Future. Depending on the neighborhood, full-time day care in New York can cost a family about $25,000 a year.

I don't know about you, but I think it's kind of messed up that our teachers and firemen, professionals that used to represent a legitimate middle class -- only a short time ago -- are living check to check.

That's not all about taxes and government.

It's not about Obamacare or a "war on the rich."

It's about a trend that has gone on under the radar for decades finally making its presence known.

Apple has worldwide sales of $16 billion. But a New York Times article this summer reported "about 30,000 of the 43,000 Apple employees in this country work in Apple Stores, as members of the service economy, and many of them earn about $25,000 a year." Meanwhile, it went on: "Last year, (CEO Tim Cook) received stock grants, which vest over a 10-year period, that at today's share price would be worth more than $570 million."

After much criticism, this summer, Apple gave all of its retail stores employees raises up to 25%, and last I checked, the company is still making a lot of money. In fact, both Obama and Romney acknowledge that big business is doing OK, remarks supported by Wall Street.

So why are so many of us still struggling?

"Are you better off today?" is not a question looking for a productive answer. It's a rallying cry for those opposed to the Obama administration -- an administration that has certainly made its share of economic mistakes but is hardly the reason why this generation is projected to make less money than the one before.

If Romney wants to show the nation that he is the truly the best man for the job and not just another candidate seeking it, he will start talking about ways to turn things around for the middle class.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson: Romney asking if you're better off than four years ago is wrong question

@highlight

He says study shows middle class shrinking for 40 years, with smaller share of wage pie

@highlight

LZ: In 1971, rich were 14% of U.S., 29% of income; in 2011: 20% of U.S., 46% income

@highlight

LZ: If Romney wants to really do something for country, he'll have plan to address this trend