(CNN) -- "Jurymen seldom convict a person they like, or acquit one that they dislike." -- Clarence Darrow

A moussed, tousled brown hairstyle is murder trial defendant Phil Spector's latest look.

Since April, the murder trial of music producer Phil Spector has been playing out in Los Angeles, California, oddly contrasting gruesome CSI details with the defendant's daily fashion emergency.

Jurors finally will go behind closed doors for deliberations at the end of the week.

Their impressions of Spector's over-the-top fashion statements and  nebbish-like demeanor could weigh as heavily, legal analysts say, as any of the conflicting expert testimony about ballistics, blood spatter and other forensic evidence.

Spector, a diminutive aging hipster who invented the "Wall of Sound" and worked with the Beatles and Ike and Tina Turner, is accused of second-degree murder. He allegedly shot Lana Clarkson, a B-movie actress-turned-House of Blues hostess whose film credits include "Barbarian Queen" and "Amazon Women on the Moon."

As the sun began to rise on February 3, 2003, police found her body slumped in a chair in the foyer of Spector's 8,500-square-foot Pyrenees-style castle, a Colt Cobra Special .38-caliber revolver at her feet.

The question the jury must answer is straightforward: Did Spector, 67, shoot Clarkson, 40, in the face after she spurned his romantic advances and tried to leave his home? Or did she shoot herself, either by accident or in suicidal despair over her flagging Hollywood career?

The jurors didn't hear directly from Spector. The most damaging testimony came from his Brazilian-born driver, who said the boss wandered out of the castle that morning and announced, "I think I killed somebody."

His dress and mannerisms at the defense table were impossible to ignore.

"Sometimes the most important thing about a defendant's court appearance is the defendant's appearance," Court TV anchor Lisa Bloom said.

"Looks count when it comes to a criminal trial," agreed Laurie Levenson, a professor at Loyola Law School in Los Angeles. "They can work for a defendant, and they can work against a defendant."

Levenson, who observes and analyzes high-profile trials, has written a scholarly article on the subject. She cites studies that show jurors are influenced by how attractive -- or unattractive -- a defendant is. Such impressions are not formally recognized as evidence in most courts, and jurors are rarely instructed on how to weigh them, she found.

Levenson concludes that jurors inevitably take cues from a defendant's courtroom demeanor, whether judges want them to or not. Demeanor makes the biggest impact when a defendant doesn't take the stand.

"We need to be realistic as to how we deal with the theater of the courtroom," Levenson concludes. "Demeanor evidence of non-testifying parties is the new frontier."

She suggests adding a jury instruction to weigh a defendant's demeanor like any other character evidence. It could prove to be a controversial idea.

Jeffrey Toobin, CNN's senior legal analyst, is comfortable with the current standard. "If it ain't broke, don't fix it," he said. "Jurors can't help but look at a defendant. But turning it into a formal part of trial would be a mistake."

Levenson agreed to share an advance copy of her richly footnoted paper, which will be published in January's  Minnesota Law Journal. She cites several well-known cases in which jurors later said their impressions of the defendant influenced their verdicts:

Attorneys long ago learned how to manipulate nonverbal cues to communicate with juries. "Smart lawyers use it to their advantage," said Mark Geragos, a frequent guest on CNN's "Larry King Live."

The prominent Los Angeles criminal defense attorney has given makeovers to several of his clients, including Whitewater figure Susan McDougal, who favored white pantsuits in court and won acquittals at two trials.

Spector's courtroom appearance seems to be a misfire, said Geragos, who doesn't believe the defense team is making the fashion calls.  Geragos says a defendant can "make or break himself" »

At Spector's trial, jurors have heard about his history of threatening women with guns, although one witness left an impression more comic than fearsome when she offered this description of the gun-toting defendant:

"He looked like Elmer Fudd. The gun was bigger than he was," said Kathy Sullivan, recalling an incident she alleges took place in 1997 or 1998.

By contrast, the jurors' view of Clarkson has only two dimensions. In the agency photos she used to look for acting jobs, she is a striking, tanned California blonde with windswept hair and a broad smile of white, perfectly even teeth. In heels, she stood about 6 feet tall, according to testimony, while Spector is 5 feet, 4 inches tall.

Jurors also have been barraged by gruesome crime scene photos of Clarkson. Her mouth is a pulpy crimson chasm. The revolver lies at her feet, which turn outward in platform Mary Janes.

Jurors heard during the prosecutor's case how the bullet severed her spinal cord and shattered her teeth, spraying bloody saliva in a two- to six-foot arc, about how her dying gasps may have sprayed onto Spector's white jacket.

Levenson has been advising the judge on legal issues during the Spector trial, so she declined to comment on the specifics of his case. But the consensus among the experienced trial analysts who spoke with CNN is that Spector has not done himself any favors.

Spector has sported three hairstyles in three different shades, a color wheel of pastel ties and pocket handkerchiefs topped at times by foppish, flowing morning coats. He has worn an orange tie with a pink shirt, and a black shirt unbuttoned in a fashion better suited for an airport lounge. He wears platform shoes.

Trial bloggers and observers gossip about whether he is wearing a wig or lipstick.

"He's definitely a nutty guy," observed Toobin. "He's certainly not a very likable looking guy."

"Somewhere between Charles Manson and Marilyn Manson," quipped Kendall Coffey, a former U.S. attorney in Miami who regularly comments on legal matters for CNN. "As a prosecutor you're saying, 'Bring it on. We like blond. We like goofy clothes. We like a guy who looks like he's as phony as a $3 bill.' "  Coffey says Spector looks "completely untrustworthy" »

"Fairly unhinged" was the impression offered by Geragos, who described Spector's courtroom look as "perplexing." The usually ebullient lawyer was uncharacteristically subdued in his comments: "It is not an engaging look. It is not repulsive. I don't think this would be your ideal situation from a defense standpoint."

Court TV's Lisa Bloom believes Spector is trying to communicate to jurors that he's "an eccentric rock star" who doesn't place much stock in what's happening in the courtroom. "I think the pimp suits are his way for showing disrespect for the process."

Bloom said Spector is sending a message: "It's all about me, me, me. I'm the celebrity. It's all about me." She doubts it will be effective.

"His clothes are so out there," Bloom said. "His looks are so out there. Will it backfire? I don't know. You have to take into account this is L.A." E-mail to a friend

@highlight

Jury deliberations to begin soon in Phil Spector's murder trial

@highlight

Legal analysts say demeanor, odd looks could be a factor

@highlight

Spector is accused of fatally shooting actress Lana Clarkson

@highlight

Spector's defense says Clarkson shot herself