Authorities have imposed a curfew in Mandalay, Myanmar's second-largest city, following nights of deadly communal violence between Buddhists and Muslims.

Two people have been killed and 14 injured since rioting erupted Tuesday, Col. Aung Kyaw Moe, Mandalay Region's Border Affairs and Security Minister, told CNN Friday.

The rioting began when a mob attacked a tea shop owned by a Muslim man accused of raping a Buddhist woman, and continued the following night.

Citing officials, the state-run New Light of Myanmar newspaper reported that eight separate conflicts took place in the region on Tuesday and Wednesday night, involving gangs of as many as 450 people, some armed with weapons including swords, firearms, knives, rods and "incendiary materials."

One of the victims was Muslim and one Buddhist, officials said. Myanmar is a predominantly Buddhist country, with Muslims estimated to account for about 5% of the population.

Myanmar has witnessed several outbreaks of violence targeting Muslims in recent years as the country emerges from decades of authoritarian military rule, threatening the country's fragile political reforms.

Extremist Buddhist nationalist elements, such as the 969 Movement, have been accused of fanning the flames of hatred, and pushing for discriminatory laws, including a proposed ban on interfaith marriage.

Fears of new unrest as Myanmar ponders monk-backed interfaith marriage ban

Radical Buddhist monks, including the 969 Movement's spiritual leader, Ashin Wirathu, appeared to have played "a pivotal role" in contributing to the latest unrest, said David Mathieson, a senior researcher for Human Rights Watch.

Anger against the Muslim tea shop owner, a Muslim, had escalated after Wirathu had circulated a report of the alleged rape on his Facebook page, and called for a harsh government response to "jihadist Muslims."

There had also been a significant monk presence among the mob, said Mathieson.

"The area where this happened is 5-10 minute drive from where Wirathu's monastery is," he said. "This really is his heartland."

Matthew Smith, executive director of rights group Fortify Rights, said extremists were "using social media as a platform to spread hateful anti-Muslim rhetoric and in some cases to incite violence."

Myanmar's government had temporarily suspended Facebook in an attempt to tamp down the unrest, he said.

"It's a tinderbox that could erupt to unprecedented levels of violence," he said.

"The authorities haven't done nearly enough to stem the rising tide of anti-Muslim sentiment, and in some cases the government is contributing to its growth, lending public support to extremists and inflammatory draft legislation while failing to protect at-risk Muslim communities."

However, one positive sign was that activists in Myanmar were beginning to stand up against online hate speech and racial violence, he said.

One of the most influential voices in this movement is Nay Phone Latt, a blogger and former political prisoner who in April launched a campaign to counter hate speech with "panzagar," or "flower speech."

"Our campaign is trying to change the people's mindset and trying to create a good culture," he said, adding that allowing religious and ethnic conflicts to fester had been a technique of Myanmar's rulers since colonial days.

In the case of the Mandalay unrest, he said, "we clearly saw that this conflict started from online incitements." The government's failure to prevent the violence also needed to be questioned, he said.

Religious violence has left hundreds of people dead and close to 150,000 homeless since unrest broke out in in the western state of Rakhine in June 2012, with the stateless Rohingya Muslim minority bearing the brunt of the violence. Outbreaks of anti-Muslim violence have occurred elsewhere in the country.

Aung said nine people had been arrested over the violence. Five were Muslim and four Buddhist, he said.

Aung San Suu Kyi's silence on the Rohingya

@highlight

Two people are dead after violent clashes between Buddhists and Muslims in Myanmar

@highlight

Radical Buddhist monks appeared to play a role in inciting mobs, says rights researcher

@highlight

Myanmar has had numerous outbursts of anti-Muslim violence in recent years

@highlight

The violence threatens the country's fledgling transition from decades of military rule