Washington (CNN) -- Parents who say that a range of preventive vaccines given their young children can cause serious health problems will have their appeal heard by the U.S. Supreme Court.

The justices Monday agreed to decide whether drug makers can be sued outside a special judicial forum set up by Congress in 1986 to address specific claims about safety. The so-called vaccine court has handled such disputes and was designed to ensure a reliable, steady supply of the drugs by reducing the threat of lawsuits against pharmaceutical firms.

The questions in the latest case are whether such liability claims can proceed, if the vaccine-related injuries could have been avoided by better product design, and if federal officials had approved another, allegedly safer drug. Oral arguments in the dispute will be held in the fall.

The lawsuit was brought by the parents of Hannah Bruesewitz, a girl from the Philadelphia, Pennsylvania, area. They said she was in fine health as an infant in 1992 when given a series of DPT shots -- a combination of vaccines to prevent diphtheria, pertussis (whooping cough) and tetanus. After the third series, according to court briefs, the child began having seizures and became disabled. Now a teenager, Hannah continues to suffer what is described as "residual seizure disorder."

The Bruesewitzes alleged Wyeth Laboratories failed to adequately warn them and other parents of the risks associated with the vaccine. The vaccine court rejected the initial claim, so the family tried to revive the lawsuit in the federal courts. Their lawyers said the 24-year-old law does not ban all lawsuits, especially those filed when the harmful side effects were avoidable.

A federal appeals court eventually ruled for Wyeth, now owned by Pfizer Inc., concluding that all design-defect claims were barred under statute. Despite that victory, the company urged the high court to hear the case, saying it seeks final resolution on broader legal questions. The Obama administration also urged review and is supporting the company and the federal law in question.

Wyeth and other drug manufacturers say their products are generally safe, but side effects can occur in very rare cases. They also say that the vaccine industry is generally not profitable, but that the health benefits for society in general have kept them in the business. For that, they say, legal protection provided by Congress is essential to ensure such drugs are widely available and affordable.

The high court did not act immediately on a another related, pending appeal. The Georgia Supreme Court last year became the first appeals court in the U.S. to allow families to sue outside the special vaccine court. That case involved Atlanta-area parents who said their son Stefan Ferrari suffered severe neurological damage 12 years ago from booster shots, by Wyeth and GlaxoSmithKline, containing the mercury-based preservative thimerosal. Now 12, the boy is unable to speak, say his parents, Stefano and Carolyn Ferrari. The preservative has since been taken out of nearly all standard vaccines.

Despite winning at the state level, the family has since withdrawn its case, but the liability on drug companies resulting from that decision remains in force in Georgia.

The National Childhood Vaccine Injury Compensation Act was passed to establish a nationwide strategy to ensure a secure vaccine supply, promote safety and future research, and compensate innocent victims. Those goals were listed at the time as a "top public health priority."

Lawmakers acknowledged the vaccine supply was suffering under rising company costs from potential liability claims. Despite Food and Drug Administration approval for the vaccines, companies said they were being driven out of the market. The special federal court created under the legislation was a liability shield, designed to be a reliable, relatively quick, no-fault solution to various claims. Unresolved over the years is whether and when certain exceptions to liability should be in play in specific cases.

The case accepted is Bruesewitz v. Wyeth (09-152). The pending case is American Home Products Corp. v. Ferrari (08-1120).

@highlight

Latest case involves liability claim, product design, drug safety questions

@highlight

Suit brought by parents of girl who got DPT shots, had seizures, became disabled

@highlight

Parents say drug company didn't adequately warn of risks associated with vaccine

@highlight

Company, Obama administration urged court to hear case; oral arguments to take place in fall