(CNN) -- If the reports of a proposed $13 billion settlement between the Justice Department and JPMorgan Chase & Co. are correct, the public and the company's shareholders will not see justice done.

While the tentative deal is being portrayed as a larger settlement, it really represents the company coming forward with an additional $9 billion. The other $4 billion represents loan workouts that JPMorgan would do anyway to reduce its losses on mortgages that would otherwise cause it greater losses through foreclosure.

From the perspective of the company's shareholders, the problems amount to an even bigger loss because of alleged fraud. The full $13 billion would represent a loss to the shareholders, and JPMorgan estimates its future increased legal and investigative costs for its past scandals at $9.2 billion.

And so, it will cost JPMorgan's shareholders heavily to buy what could well be a "get out of jail free" card from DOJ for wrongdoers at JPMorgan and the banks it purchased. While the reported settlement wouldn't close down a federal investigation based in California, it remains to be seen whether it will target any current employees of JPMorgan.

A settlement of this kind would release JPMorgan and its officers from civil and criminal liability for a wide range of alleged frauds. Many of these alleged frauds added to the profits of JPMorgan and the companies it acquired. The shareholders should not be enriched by fraud.

Where officers' frauds created profits that enriched the shareholders, JPMorgan should fire such officers, and the Justice Department should prosecute and recover any fraud proceeds. JPMorgan should pay the damages it caused to others through fraud. In cases where a firm's senior officers engage in a wide range of frauds, the courts should award punitive damages against the officers and the firm.

CNN Money: Five things to know about JP Morgan settlement

The problem in terms of justice is when the frauds created fictional profits that enriched corporate officers through unjust bonuses but also created real losses that were booked by the company years later. The shareholders suffer twice from such frauds -- they paid the unjust bonuses and then have to bear the losses.

The shareholders' losses are compounded by the legal fees, which are primarily driven by the desire to keep the officers from being prosecuted or their unjust bonuses recovered, and by the fine. The appropriate policy would be for JPMorgan to fire such officers and for DOJ to prosecute them and recover their unjust bonuses.

There is a triple failure of accountability for officers of Wall Street companies.

DOJ failed to prosecute any elite Wall Street banker for the frauds that drove the financial crisis. The banks have failed to fire and "claw back" the compensation of the officers who led these massive frauds. We cannot deter frauds when we do not prosecute them, fire those responsible or recover the wealth they gained through fraud.

JPMorgan's supporters argue that the settlement is unjust for two reasons.

First, they argue that DOJ is engaged in a "vendetta" designed to shrink JPMorgan's size to the point that it no longer poses a "systemic" risk to the global economy. Dick Bove, a Wall Street analyst, made the vendetta and shrinkage claims without presenting any supporting evidence.

I wish that it were true that the U.S. government was requiring the systemically dangerous institutions (the "too big to fail" banks) to shrink to the point that their failures will no longer cause a global financial crisis.

The Bush and Obama administrations have refused to require these huge institutions to shrink.

The Dodd-Frank Act does not require them to shrink and though it gives the regulators power to require these companies to shrink, they have refused to use the power.

No DOJ settlement requires any of these institutions to shrink. Jamie Dimon, JPMorgan's CEO, was an early and strong supporter of President Barack Obama (though he became critical of the administration subsequently), so he is an unlikely vendetta target.

Second, JPMorgan's supporters argue it is unjust for the Justice Department to hold JPMorgan financially liable for the damages caused by the frauds of the two enormous failed banks it acquired: Bear Stearns and Washington Mutual. It's true that the Bush administration did encourage JPMorgan to buy Bear Stearns and WaMu.

The owners are liable for the liabilities of companies they buy. Any other rule would leave victims of misconduct and fraud unable to recover their losses. Dimon knew that acquirers of failed banks can refuse to buy unless the FDIC agrees to bear the banks' liabilities for fraud.

Dimon appeared eager to buy WaMu and Bear Stearns despite their terrible reputations and their collapse. Bear Stearns was notorious in the finance industry, inspiring the phrase: "Bear Don't Care." Yet Dimon chose not to insist that the FDIC retain the banks' fraud liabilities or indemnify JPMorgan against losses because of those alleged frauds.

First, the purchase price would have increased substantially if the FDIC had to bear the banks' fraud liabilities. Second, Dimon knew that if the FDIC offered broad indemnification, rival banks could outbid JPMorgan and buy the banks.

Without doing the due diligence essential to judging the banks' fraud liabilities, Dimon likely decided that the purchase prices were so low that it was better to buy them immediately without indemnification. It would be unjust to allow Dimon to change the deal five years later because his business decision proved disastrous.

The opinions expressed in this commentary are solely those of William Black.

@highlight

JP Morgan Chase is reported to be in talks with U.S. over $13 billion settlement

@highlight

William Black says if reports are correct, the public and shareholders will not see justice

@highlight

Reports say California criminal probe will continue, but it's not clear what may result, he says

@highlight

Black: Shareholders pay bonuses to execs who profit from frauds, then pay the fines