(CNN)When Jaime FlorCruz, CNN's Beijing bureau chief, arrived in China on August 21, 1971, he says it was akin to visiting North Korea today.

The country was midway through the turmoil of Mao Zedong's Cultural Revolution. Universities and schools were just re-opening and students brandishing little red books toiled in factories or on farms.

FlorCruz, then a firebrand student leader from the Philippines on a study tour, found himself stuck in China after his name was placed on a blacklist by then Philippines President Ferdinand Marcos.

Fearing arrest as martial law was declared in his home country in September 1972, he stayed on along with four others from the study tour. A year later his passport expired, leaving him temporarily stateless.

"The idea was to come for three weeks and see what was going on," he says. "I'm an accidental tourist."

He ended up staying for more than four decades and launching a career as a journalist just as China began opening up to the world.

On his day of retirement from CNN, he reflects on his "ring side ticket" to China's rise:

What was life like under Mao?

When it became clear we were staying in China, we wanted to study but universities weren't ready to enroll foreign students, so we asked to work.

Our hosts didn't make us, but we insisted. I worked on a state farm in Hunan province. Initially, I found it a romantic idea but it didn't take long for the romance to wear off.

At the end of the day, we carved out two hours to learn Chinese. Our interpreter was our teacher and by the end of those few months on the farm I could converse in Chinese.

From late 1972, I worked on a fishing boat for two years. We'd go out on the high seas for five or six days at a time on two trawler ships pulling a huge net.

It was a spartan life, very simple.

It was sometimes bleak but often also exciting because of the political campaigns that were going on. We would only watch from the sidelines -- see posters and in private discussions with Chinese friends. We were told not to get involved.

Tell us about some of your memories of university and your circle of classmates.

I was in the class of 1977 -- the first class when college students were enrolled through a nationwide entrance examination. Among my cohorts was current Premier Li Keqiang; he studied law.

Also among them was Bo Xilai, once one of the most powerful politicians in China, now disgraced and sentenced to life in prison for corruption and abuse of power. He was in my world history class. We would stand in the cafeteria holding our bowls of food -- there were no chairs to sit on -- and he dared to come close to foreign students like me.

He knew enough English to chat with me and even then was quite charismatic and opinionated.

A lot of that batch of fellow students are now in important roles in the government bureaucracy. Some are top professors, scientists and entrepreneurs. I've kept friends with many of them. They've been good sounding boards.

You've witnessed the trial of the Gang of Four, the Tiananmen Massacre and the Olympics. What else stands out?

I covered Wham's concert, the first Western pop group to perform in China. It was attended by thousands of Beijing residents, most of whom just looked perplexed. Police looked on sternly if anyone stood up to cheer and dance.

I remember when Coca Cola went on sale for the first time -- people thought it tasted like a Chinese medicine concoction.

Later on, it was a big treat to interview Yao Ming when he chosen as the number one NBA draft. I'm a huge basketball fan and Yao turned out to be a humble and affable guy although I got a sore neck.

When I was at TIME, my big scoop was breaking the news of Jiang Qing's (Mao's widow who went on trial as part of the Gang of Four) suicide several days before it was reported by Xinhua.

But to be honest scoops like that were rare and perhaps less important than providing accurate and fair reports and analysis day after day, week after week.

You're the longest-serving foreign correspondent in China.  How has covering the country changed?

It's easier than it used to be in the 1980s.

There was a then 10-day rule that required us to give notice if we wanted to leave Beijing. Technically, except for Tibet, we can now go anywhere as long as someone invited us.

In recent years though, there have been signs of tightening. Many colleagues, including our own crew, have had brushes with authorities -- the hand in front of the camera.

CNN comes under heavy scrutiny because it's so closely associated with the United States and we have been accused of biased reporting on China. I've had to explain to officials here that we're not an extension of U.S. government; we are independent. We report it as we see it.

China is a much wealthier place than when you first arrived. Have all the changes you've seen since the 1970s been for the better?

I echo what my Chinese friends would say.

They enjoy much more personal freedom -- the freedom to travel, to choose where to live, to marry whoever they wish, to take a job or quit a job. Freedom of speech and expression has it limits but most people know where the red line lies.

Of course, there are problems. Many are the unintended consequences of the reform that started 30 years ago like environmental pollution and degradation -- and the lack of a spiritual anchor for most Chinese.

I see a nation of 1.3 billion seemingly rudderless, looking for direction and meaning in their lives, even those who are rich. It's not a big secret. I think the government acknowledges this crisis of faith.

You've lived in China for 40 years and raised a family here. How do you feel about it?

I've lived here 43 years, I've seen where it came from. I appreciate all the quotidian changes. I tend to look at China as a glass half full rather than half empty because I've seen it virtually empty.

It was my refuge and later my training and battle ground as journalist.

I feel bittersweet to be ending my time here as a foreign correspondent. It's been a rewarding experience and not really the end. I'll still be involved in China watching, in China, or wherever my next projects and adventures take me.

In the next few months, my wife Ana and I will stay on in Beijing, where she is gainfully employed. For a change, I will be the "trailing spouse" but later I hope to do a bit of writing and speechifying.

Should you leave China, what will you miss about it?

China's been my second home, although it will never replace the Philippines as my homeland.

I'll definitely not miss the Beijing smog, but will certainly miss the quaint, old neighborhood nearby, including the men who belt out visceral shouts early in the morning, their way of exercise, my wake-up call. I'll miss the guttural accent of the Beijing taxi drivers and their unsolicited opinions. I'll miss the food --jianbing, zhajiangmian, Peking duck -- and, yes, my periodic foot massage.

Of course, I'll miss my friends, who've accepted me as a virtual Beijing Ren (Beijinger).

What's your advice for journalists in China?

The best stories are often of ordinary people doing extraordinary deeds. Keep up the good fight for fair, honest and nuanced reporting.

China has changed dramatically. I feel fortunate to have been in the right place at the right time to have witnessed these changes up close.

For better or worse, China now is a major player in the world. I never imagined China could be so prosperous, powerful and proud. Whatever China does, or does not do, has impact on global affairs and our lives. For our sake, and China's too, I hope China will emerge as a peace-loving global power.

CNN's Katie Hunt in Hong Kong contributed to this report

@highlight

Jaime FlorCruz, CNN's Beijing bureau chief, has lived in China for four decades

@highlight

On his last day with CNN, he reflects on his "ring side ticket" to China's rise

@highlight

The changes he's witnessed have been mainly positive but problems remain

@highlight

FlorCruz: I see a nation of 1.3 billion seemingly rudderless, looking for direction and meaning in their lives