(CNN) -- The coffin of former Czech President Vaclav Havel went on display in St. Anna's Church in central Prague Monday for people to pay their respects, the Czech News Agency reported.

Havel died Sunday at the age of 75, and his funeral has been scheduled for Friday, the Czech president's office said.

Admirers poured into the streets of Prague Sunday night with candles and flowers in memory of Havel, people on the scene said.

The former dissident playwright helped topple communism in eastern Europe through the power of his words, insisting, "Truth and love triumph over lies and hate."

His longtime friend and translator Paul Wilson remembered him as a "a very shy and gentle man with a will of steel, who was fearless when confronting a regime that tried, relentlessly, to crush his spirit."

Havel, a puckish, absurdist playwright turned political activist, spent four and a half years in prison for opposing Czechslovakia's communist government before emerging as a leader of the Velvet Revolution that swept it aside in 1989.

He went on to become president of Czechoslovakia and of the Czech Republic when the country split in two at the end of 1992.

He died peacefully in his sleep Sunday morning in the presence of his wife, Dagmar, according to his spokeswoman Sabina Tancevova.

A deeply serious thinker given to long, rambling statements in presidential speeches and conversation, Havel also had an impish sense of humor, reportedly whizzing through the long corridors of Prague Castle on a scooter after becoming president.

It was his love of rock and roll as much as his moral outrage at the communist system that brought him to prominence.

He co-wrote the influential Charter 77 anti-communist declaration in protest at the arrest of a Czechoslovak rock band, the Plastic People of the Universe.

A perennial contender for the Nobel Peace Prize, Havel never won, but he remained active in anti-communist causes from Cuba to China until his death.

He urged Chinese authorities to release dissident Liu Xiaobo, whose Charter 08 call for greater political freedom in China was inspired by Czechoslovakia's Charter 77.

Havel and other Czech dissidents attempted to deliver a letter to the Chinese Embassy in January 2010, before Liu won the Nobel Peace Prize, but they found the doors closed and no one to receive it.

It was an absurd scene that could have come out of one of the plays he wrote in the 1960s, poking fun at the Soviet-backed authorities who ruled his country at the time.

Theater proved a potent weapon against Czechoslovakia's communist rulers, who stepped down without a shot being fired in the weeks after the Berlin Wall fell, signaling the defeat of the region's authoritarian Moscow-backed regimes.

Havel was unanimously elected president by the last communist-run parliament of Czechoslovakia 22 years ago this month, and two months later delivered a speech to a historic joint session of the U.S. Congress.

The trip to Washington as president of his country came less than four months after Havel was last arrested by the communist authorities, leading him to tell Congress dryly: "It is all very extraordinary indeed."

His country joined NATO and the European Union under his stewardship, but he lost out on many of the major domestic political battles of his presidency, including his effort to keep Czechoslovakia together.

He resigned as president of Czechoslovakia after national politicians agreed to divide it in two, declaring, "I will not be president of a self-liquidating nation."

He went on to be elected president of the Czech Republic twice before writing one final play, "Leaving," about a politician preparing to hand over power to a successor he despises -- widely considered one last dig at his perennial political opponent Vaclav Klaus, his successor as president.

Klaus Sunday called Havel a "symbol of our renewed nation."

Havel spoke to CNN's Jim Clancy in March, reflecting on links between the Arab Spring and the fall of communism in eastern Europe.

"What is also sleeping under the surface and is invisible is a longing for certain elementary freedoms and that doesn't usually break out just like that, by itself," Havel said. "The snowball is created, it's rolling and rolling and, very often, it turns into an avalanche."

"Like millions around the world, I was inspired by his words and leadership. ... Vaclav Havel was a friend to America and to all who strive for freedom and dignity, and his words will echo through the ages," U.S. President Barack Obama said in a statement.

Former U.S. President George W. Bush described Havel as a "dignified, charming, humble, determined man" who "suffered much in the cause of freedom and became one of its greatest heroes."

But in his typically understated way, Havel expressed more modest wishes for how history would remember him.

"I would be glad if it was felt that I have done something generally useful," he said. "I don't care much about personal fame or popularity. I would be satisfied with the feeling that I had a chance to help with something in general, something good. That history gave me that chance."

@highlight

Former dissident and playwright Vaclav Havel's funeral will be Friday

@highlight

Admirers poured into the streets of Prague with candles and flowers

@highlight

"Truth and love triumph over lies and hatred," Havel insisted

@highlight

He was a deeply serious thinker with a puckish sense of humor