(CNN) -- Jonathan Gruber, who some have called an "architect" of Obamacare, spent his Tuesday being grilled by members of Congress for having described too candidly the deception involved in passing the bill.

It was a useful hearing but only the beginning of holding accountable the "experts" who gave us this catastrophic law.

The new Congress now has a much more important chance to demonstrate that deceiving the American people is unacceptable. Republican majorities in the House and Senate can and should use their authority to replace Doug Elmendorf as director of the Congressional Budget Office.

The CBO is charged with providing nonpartisan economic analysis to Congress. This position gives the agency an outsized influence on policy, as reporters, commentators, "fact checkers," and many members of Congress (most of whom should know better) treat CBO estimates -- or "scores" -- like trump cards in debates over legislation. In the Obamacare debate especially, the CBO projections proved vital and probably decisive.

As Gruber explained in his now-infamous remarks, the very survival of the health care bill depended on how CBO scored its various provisions.

"The bill was written in a tortured way to make sure the CBO did not score the mandate as taxes," Gruber described. "If CBO scored the mandate as taxes, the bill dies."

What Gruber didn't say is that Elmendorf's CBO, in essence, relied on Gruber's own model to do its scoring. The first page of CBO's technical description of its health insurance model thanks Gruber, and the document cites him many times. And Gruber actually sat on the CBO's panel of health advisers during at least some of the health care debate. (He says he doesn't remember if it overlapped with his time as a paid adviser to the Obama administration.)

So when Gruber describes the deception involved in passing Obamacare, it included at the very least the CBO's acceptance of Gruber's "tortured" manipulations, and at worst the opening of CBO models to be adjusted by a paid agent of the White House's political goals.

The agency needs a new director for the new Congress, one dedicated to the profound change required to produce honest and accurate scores. This is the first and perhaps most important step Congress can take to show it is dedicated to real change.

The CBO is more responsible for giving us Obamacare than Jonathan Gruber is, and as culpable as Democrats in Congress or President Obama. CBO was critical to passing the bill, as Gruber attests, because it provided supporters the numbers they needed to justify their claims.

Obamacare advocates said the law would lower the deficit by $109 billion over 10 years. They said it wouldn't cost American jobs. They said it would help the economy. The CBO score backed up those claims. And coming from the supposedly definitive source of economic analysis, that counted for a lot.

But as we know now (and many of us knew then), it was all untrue. For one thing, before Obamacare was passed, the CBO didn't even consider the effects the law would have on the labor market. In other words, the agency scored a bill that dramatically changed costs for businesses and individuals, and it assumed no effect on employment or government revenue.

In February, four years after Obamacare became law, the CBO updated its projections about the law's effect on the economy, and included the bombshell that it would result in the equivalent of 2.5 million fewer Americans with full-time jobs in 2024. Other economists predict an even larger impact on the economy. Casey Mulligan of the University of Chicago estimated the law will reduce the size of the labor market by 3% -- the equivalent of approximately 4 million full-time jobs -- or almost double the impact estimated by the CBO.

(The White House is actually trying to sell us on the idea that it's a good thing millions of people will leave the workforce or work less because of subsidies under Obamacare, which gives you some idea of how much it values work.)

The CBO, for its part, now admits to Congress that Obamacare reduces government revenues. And an analysis by Republican staff for the Senate Budget Committee has concluded, based on CBO's projections, that the declines in employment and tax revenue mean Obamacare will increase the deficit by $131 billion over a 10-year period. So CBO's estimate was only off by a couple hundred billion.

If the CBO had reported in early 2010 that Obamacare would result in the equivalent of 2.5 million fewer people working and would increase the deficit by hundreds of billions of dollars, how many Democratic senators would have voted for the law? (Remember, the move to end debate and enact Obamacare in the Senate passed by one vote.)

If not for CBO's misleading score, the bill would almost certainly not have become law.

A responsible, honest agency would have said the bill was too complicated to score -- that there was simply no way for it to accurately predict how millions of businesses and individuals in an economy this complex would respond to a law as sweeping and convoluted as Obamacare.

The challenge of economic prediction is daunting even for much simpler legislation. But instead, the CBO didn't even try to predict how the law would alter economic decisions (using "dynamic" scoring, as it should be required to do). Using its static models, the agency assumed key provisions would change no one's behavior.

So the score was bogus from the start. Yet despite being proved flagrantly wrong in its predictions, the current staff at the CBO would do it the same way again today!

The Republican majority should not even consider reappointing the same leadership at CBO. The Congress would essentially be asking to be Grubered again.

In the long run, Congress should find a more accountable, more transparent system of economic analysis, such as getting the views of multiple ratings agencies in competition with each other, the success of which depends on accuracy over time.

But in the meantime, we urgently need new leadership at the CBO to push for more accurate, dynamic scores and to be honest and upfront about what economists know and what they don't. This is a change Republicans can make immediately when the new Congress convenes in January and it is entirely within their control.

It is one of the most consequential choices they will make. It certainly would be tragic if, after skewering Gruber, they turned around and reappointed another expert who gave us Obamacare.

Join us on Facebook.com/CNNOpinion.

@highlight

An Obamacare 'architect' said considering the mandate a tax would have killed plan

@highlight

Gingrich: CBO chief Douglas Elmendorf's agency provided incorrect estimates

@highlight

He says Republicans in Congress shouldn't rehire Elmendorf for the new session