(CNN) -- Speaking to Fabien Cousteau is like plunging into dreamlike darkness. The sunlight falls away as you dive deeper and deeper underwater with him, and you can't help but hold your breath a little as he describes the alien creatures hovering at the edge of vision.

I needn't fear. Fabien is a master aquanaut -- and the grandson of legendary diver Jacques Cousteau.

His American accent, with soft French undertones, guides me 20 meters below the surface of the water until we rest our imaginary flippers at a very special spot on the ocean floor -- 14 kilometers off the coast of Florida Keys.

It's cold down here, around 35 degrees Fahrenheit. The enormous water pressure -- three times the atmosphere on land -- bears down on us, filling our veins with nitrogen and creating the feeling of being ever so slightly drunk.

As our eyes adjust to the gloom, twinkling yellow lights reveal a steel capsule the size of a school bus, with small portholes providing a glimpse of the scientists working inside.

Welcome to "Aquarius", the only underwater laboratory in the world, and Fabien's home for a record-breaking 31 days.

Cousteau's legacy

Fifty years after his famous grandfather, Jacques Cousteau, spent 30 days living in an underwater village at the bottom of the Red Sea, Fabien will follow in his footsteps with a similar project twice as deep and one day longer.

In 1963, Cousteau elder turned science fiction into reality when he and a team of five divers lived in an underwater habitat -- named "Conshelf II" -- researching the effects of deep sea living.

The pioneering experiment found cuts and grazes healed quicker and hair grew slower. New species of animals were discovered and Cousteau's haunting video diary was turned into an Oscar winning documentary, "World Without Sun."

"I hope we recapture the magic, mystery and beauty of the ocean which my grandfather was able to offer the world for so many decades," said Fabien, who takes the plunge on September 30.

Mission 31

This will be a new era of ocean exploration as the team of six aquanauts -- dubbed "Mission 31" -- examine not just the physical and psychological effects of underwater living, but the impact of climate change.

They will use space-age motorcycles to cruise the ocean floor nine hours a day, examining marine life, coral reefs, and ocean acidity -- which is linked to carbon emissions in the air.

"It's very much in the same spirit of adventure and exploration as in my grandfather's day," said 45-year-old Cousteau. "But by default we're living in a time where human impact is directly related to the ocean's health."

"The ocean contains 99% of the planet's total living space. That said, we know so little about it -- just 5% has been explored."

Underwater "Truman Show"

While audiences in the 1960s had to wait for Jacques Cousteau's groundbreaking documentary to hit cinemas, this time round we'll be able to follow Fabien every step of the way, thanks to rolling coverage on the Weather Channel, Skype video calls to classrooms around the world, Twitter and Facebook updates, and ultimately an IMAX film.

This isn't just a new age of environmental frontiers, but media management, as "Aquarius" also welcomes celebrities on board, including Virgin business magnate Richard Branson and pop singer will.i.am.

"We'll have millions of eyeballs looking at us -- a bit like an underwater Truman Show," said Cousteau.

"Inside, it looks much like a submarine, with bunk beds, a kitchenette and a laboratory. It actually gets very warm in the habitat -- almost as humid as the Amazon River."

Risky business

This will be the longest stint researchers have spent on Aquarius -- the previous record was 18 days -- and the ambitious mission will not be without risk. Diver Dewey Smith died after his equipment malfunctioned outside the lab in 2009.

The team will spend 15 days in extreme training, including diving 20 meters underwater, taking off their masks, being spun around to lose their bearings and then swimming back to the habitat.

"The point of training is to make sure we're prepared for every situation," said Cousteau, who has been diving since he was four.

"Once your veins are fully saturated in nitrogen you won't be able to go back to the surface because of the decompression sickness -- we'll have to slowly come back up over 24 hours."

Magic realm

For Cousteau, who grew up playing on the salt-stained deck of his grandfather's boat, the ocean is a bewitching realm -- and one he wants to share with a world which has seen more people travel into deep space than deep sea.

"Being in the water is a dream, it's part fantasy," he says. "It still holds so much magic and mystery and I can only imagine what kind of sea creatures will be coming up to us during those experiments in the dark."

"My grandfather said people protect what they love. But how can you protect what you don't understand?"

@highlight

Jacques Cousteau's grandson, Fabien, to live in underwater lab 31 days

@highlight

Team of aquanauts will plunge 20 meters underwater, living in lab the size of a school bus

@highlight

50 years since Cousteau elder lived in ocean habitat, made Oscar winning documentary

@highlight

Modern day mission captured in 24/7 TV coverage, Skype chats, social media updates