More than a week after results declared his defeat, the tea party-backed candidate in Mississippi's GOP primary for the U.S. Senate notified Sen. Thad Cochran on Thursday that he plans to challenge the outcome.

State Sen. Chris McDaniel's campaign served papers to Cochran's son, Clayton, with notice of intent to challenge the results, citing allegations of improper crossover voting, according to the Clarion-Ledger of Mississippi.

McDaniel's team had dispatched volunteers across the state to investigate election results in the state's 82 counties. An outside group has already filed a lawsuit in federal court.

McDaniel's campaign has retained a legal team and is urging supporters to donate to the campaign legal fund.

The challenge was filed with the state Republican Party executive committee, as required by law, the Clarion-Ledger reported, and an official court challenge could come as early as next week.

Campaign staffers and 150 volunteers have already combed through voting records in 51 counties and claim to have identified nearly 5,000 "irregularities," which are mostly tied to people who were ineligible to vote in the state's June 24 runoff election, McDaniel campaign spokesman Noel Fritsch said.

The McDaniel campaign announced earlier Thursday that it is offering 15 rewards of $1,000 each for individuals who "provide evidence leading to the arrest and conviction of anyone involved in voter fraud." Donations to the campaign's legal coffers will help fund the rewards.

McDaniel supporters called foul after Cochran's campaign and allies turned to African-Americans and other traditionally Democratic voters to help push the incumbent to victory in the primary runoff.

Cochran had finished about 1,500 votes short of McDaniel in the primary three weeks earlier, but a third candidate kept McDaniel under the 50% threshold needed to win outright.

Winning strategy likely to stay in Mississippi

Voters who cast a ballot in the Democratic primary on June 3 were not allowed to vote in the Republican primary runoff last week.

Predicting ineligible votes, conservative groups hired former Justice Department official Christian Adams to train and oversee election observers to monitor polls and note questionable voter activity.

Adams declined to comment for this story and deferred to the groups he is working with, like FreedomWorks, which he said he may represent in a potential legal challenge.

FreedomWorks Executive Vice President Adam Brandon said the group's activists have been helping the McDaniel campaign review election results and will support the campaign if it moves forward with its intent to challenge -- which could come as soon as early next week.

Mississippi primary spending surge pushes advertisers off the air

"We'll ask some of our members to raise the necessary funds to fund such a challenge, and we're standing by and ready to go, period," Brandon said. "It's now up to the folks in Mississippi to figure out what the next steps are."

Challenger's camp: 'irregularities' growing

The number of inadmissible votes the McDaniel camp said it discovered jumped from about 3,300 to nearly 5,000 on Wednesday after the campaign reviewed records in a dozen more counties.

The irregularities fall short of Cochran's nearly 7,000-vote margin of victory, but McDaniel's campaign is confident it will hit that number after reviewing the results from the remaining third of Mississippi counties.

Shortly before a bizarre turn of events Wednesday when McDaniel supporters crashed a Cochran conference call with reporters, Cochran campaign spokesman Austin Barbour called out the McDaniel camp for drawing out a divisive primary battle.

"I just think the time has come now for the McDaniel campaign to put up or shut up," Barbour said at a news conference Wednesday and later that

Fritsch criticized Barbour's remarks in an interview with CNN and said he hopes those are not the views of the Cochran campaign.

"I find it troublesome that Austin Barbour would call for a movement being led by the people, which is in the pursuit of truth and in the pursuit of the maintenance of electoral integrity, to shut up," Fritsch said.

Fewer wins this time, but tea party has changed the GOP

The McDaniel campaign can only file a formal complaint after the state GOP sends certified election results to the Mississippi secretary of state, according to the state party's communications director, Bobby Morgan.

The Mississippi Republican Party's executive committee and representatives from both campaigns met Tuesday, but the committee did not certify election results, Morgan said, adding that just over half of the counties had so far submitted their results.

Morgan said the state party has followed the law throughout the election.

"We're looking forward to the fall campaign. We want to resolve this as soon as possible," he said. "Republicans have a real legitimate chance to retake the Senate and we want to do all we can to make sure the (Mississippi) seat remains in Republican hands."

Group says requests to view records was denied

True the Vote, a conservative group, filed a lawsuit Tuesday in federal court against the Mississippi secretary of state and the executive committee of the state's Republican Party, after it analyzed electoral turnout and other data and was "inundated" with reports of election violations.

The lawsuit alleges that voters not authorized to vote in the primary runoff may have "diluted" the votes of legitimate Republican voters. It demands that state election officials open up the books and defer to federal law over state statutes in disclosing election records.

The group said it became suspicious after turnout rates shot up in certain precincts and its requests to view records were denied.

"We are not approaching it from a belief of who should have won the race. Let's find out what the actual final score was, and which points were legitimate and which were not on either side," said Carl Logan, True the Vote's communications director. "At the end of the day we don't care who wins or loses."

Logan explained that the group gathered complaints from Mississippi voters who said they observed violations of election law.

One voter complained in an e-mail to Logan that he was not asked for photo identification when he went to vote, which was required for the first time this election under Mississippi law.

"He was concerned that he could not have been the only one not to show an ID in the primary runoff," Logan said.

He added that True the Vote will encourage voters with complaints to contact their local election officials.

State party says group misunderstands the law

The nonprofit's lawsuit was joined by 13 Mississippi voters, several of whom are affiliated with the tea party. They claim that election officials denied some of their requests to view voting records or demanded "exorbitant fees," Logan said.

Joe Nosef, the chairman of the Mississippi Republican Party, said in a statement that True the Vote's lawsuit is based on a "misunderstanding of both Mississippi law" and the state party's role in the election.

"Since these allegations do not include anything the MSGOP did or is doing wrong, we will ask to be released from this lawsuit soon," Nosef said.

The lawsuit asks for full access to unredacted Mississippi election records for the Republican primary -- which would include voters' birth dates and Social Security numbers -- to allow True the Vote to accurately verify whether illegal ballots were counted.

Justin Levitt, a professor at Loyola Law School, Los Angeles, and an expert in national election law, said he believes a thorough review of election records will reveal fewer illegal votes than skeptics of the runoff claim.

Levitt said that partial election records, like those reviewed by True the Vote and McDaniel supporters, can often overstate voter fraud, which is later revealed as clerical error or due to voters with identical names and birth dates -- which Levitt said is actually very common.

"It's always difficult to predict what is going to happen," Levitt said. "They can give more or less of a thumbs up or down on each of the lawsuit's claims."

While the group may gain access to more election records through the lawsuit, Mississippi College law professor Matthew Steffey said it is unlikely the review of records will lead to a new election.

"I don't think showing that 1 to 2% of the electorate had some irregularity is enough," Steffey said. "If it were easy to get courts to order a new election, we would have had a new vote in Florida" during the challenge to the presidential election results in 2000.

Mississippi has no provisions for election recounts.

5 controversial moments in the Mississippi election

Mississippi tea party leader tied to campaign smear dead in apparent suicide

@highlight

McDaniel campaign serves papers to Cochran with intent to challenge

@highlight

The campaign says it found nearly 5,000 "irregularities" in primary voting records

@highlight

McDaniel supporters call foul after Cochran's campaign turns to Democratic voters

@highlight

Conservative group files a lawsuit asking for full access to GOP primary voting records