(CNN) -- A year after a nearly $800 billion stimulus package was passed, the U.S. economy still finds itself mired in mediocrity.

Economic growth is stagnant, unemployment remains higher than almost any time since the Great Depression and millions of Americans are upset that trillions of taxpayer dollars have been committed to numerous government bailout programs with no improvement of the economy within sight.

They question, rightfully, is where this money is going and why it hasn't been as helpful as the government has claimed.

The problems with stimulus packages are manifold. The primary reason they fail is because they do not address the roots of the problem. If you are unable to identify the cause of your problem, then your solution is doomed to fail.

In the case of the current economic crisis, it had its root in loose monetary policy and easy credit that skewed the allocation of resources within the economy.

Combined with other measures to promote home ownership, these easy money policies caused a massive housing bubble. Money that would have been put to other uses was used to produce raw materials, hire workers and loaned to homebuyers, all while home prices spiked.

The boom was, of course, unsustainable, as many prognosticators pointed out during the housing bubble's peak. But the damage was done, and now that the bubble has burst, we need to stand back and allow the mess to unwind. Yet the government does everything in its power to stave off true recovery and is attempting to re-inflate the bubble.

Rather than allow prices to fall so that the housing market returns to a sustainable level, the government does everything in its power to try to keep housing prices elevated.

The reasoning behind the stimulus package was that underconsumption was to blame for the collapse of the housing bubble and the resulting economic crisis. The government seems to think that if consumption can be spurred, then the economy will be return to normal.

In reality, the collapse of the economy was not caused by a sudden lack of consumption but rather a malinvestment of resources into sectors of the economy that were unsustainable without easy credit. The rise in housing prices was not, in fact, indicative of the new normal but rather an indicator that something was seriously wrong.

Government attempts to boost the economy through measures such as stimulus packages merely take money from hardworking taxpayers and throw that money into unproductive endeavors, into the sectors of the economy that already suffer from malinvestment or into make-work projects. Washington is throwing good money after bad, wasting hundreds of billions of taxpayer dollars and accomplishing nothing.

As the eminent economist Frederic Bastiat once pointed out, there is a difference between what is seen and unseen.

The government likes to tout the number of jobs that have been created or saved by the stimulus. But even if these numbers are accurate, they do not count the number of jobs that are not created in other more productive or self-sustaining sectors of the economy. Nor do they count the jobs that will be lost in the future when tax rates will have to be increased to pay off the interest on the debt that is financing much of the stimulus package.

Finally, the stimulus package enables the government, rather than the market, to pick winners and losers.

Whenever the government doles out money, political factors come into play. Firms that are politically well-connected or located in important congressional districts will benefit, while those firms without political connections, the ability to navigate bureaucratic hurdles or that exist in isolated areas unimportant to Washington will lose out.

Once the stimulus money runs out, the companies and jobs dependent on that handout will find themselves once again struggling.

A company that cannot satisfy consumer needs in the marketplace and that requires a government stimulus to remain competitive is a company that should not be in business.

The last thing this country needs is more government spending, especially on such wasteful measures as stimulus packages. We have wasted trillions of dollars in the past year and a half in stimulus packages, bailouts and guarantees to unsound companies.

We have run up our national debt to unprecedented levels. We are destroying the dollar. And it seems as if there is no end in sight.

Loose monetary policy, easy credit and too much debt created the bubble and got us into this economic crisis. Unless the government learns its lesson and opts for restrained monetary and fiscal policy, it risks a complete implosion of the U.S. economy.

The opinions expressed in this commentary are solely those of Ron Paul.

@highlight

Ron Paul: Stimulus hasn't boosted economy or staved off high unemployment

@highlight

He says economy suffered from overconsumption and a housing bubble

@highlight

He says stimulus seeks to reinflate bubble, takes money away from productive ventures

@highlight

Paul: Bailouts and stimulus are running up the national debt and harming the dollar