(CNN) -- What will President Obama's historical legacy look like decades from now? As the media sort through the debates over the Affordable Care Act and the budget, or the implications of the recent deal with Iran, many Americans are starting to think about how we will remember this president.

Predicting presidential legacies is tricky. Historians are particularly skeptical about anyone who thinks he or she can figure out what a president's legacy will be while he's still in office.

Why is this?

The next president has a big role to play in how a president goes down in the record books. Whoever succeeds President Obama can help to legitimize or undercut the programs that have been put into place since 2009. When Republican President Richard Nixon allowed most of Lyndon Johnson's Great Society to stand, it helped make those policies—and Johnson's domestic legacy—a permanent part of the political landscape.

The same had been true during the 1950s, when Dwight Eisenhower opposed efforts to roll back the New Deal. In recent years, President Obama's decision to accept and expand many of President George W. Bush's counterterrorism programs normalized a series of policies that had been highly controversial.

Implementation also matters. The success or failure of implementing a president's programs can have huge consequences over the long term when we think about what a president did. The short-term struggles over a policy, such as we are now seeing with the Affordable Care Act, don't matter as much as we might think. Many popular programs, including Social Security, started on shaky ground. But if policymakers can entrench a program, as occurred with Social Security by the 1950s, then the president who first proposed them looks pretty good.

The success of Social Security remains integral to Franklin Delano Roosevelt's legacy. Similarly, over time the success of Medicare and Medicaid has made it increasingly apparent that Vietnam often overshadowed the massive domestic accomplishments of Lyndon Johnson.

According to a recent CNN/ORC International Poll, a majority of Americans remain open-minded about the Affordable Care Act and believe that it will be fixed. If the regulations start to curb premiums and millions of other Americans have health insurance for the first time, ACA, and President Obama, will look much better.

Future events also will determine how we consider the legacy of a president. The interim deal the Obama administration and five other world powers reached with Iran, for instance, won't make much sense until we see how tensions in the region unfold and what exactly comes of Iran's nuclear power.

President Ronald Reagan's decision to negotiate with the Soviet Union over intermediate range missiles between 1985 and 1987 could only be assessed after the collapse of the USSR in 1991. The negotiations are now considered to be a crowning achievement of the Reagan presidency, though at the time they were highly controversial, including among conservatives who distrusted Mikhail Gorbachev. President Clinton's economic policies look much better to many Democrats and Republicans in light of the frail economic conditions of the early 21st century. In contrast, the tepid response of the U.S. government to Jewish refugees fleeing from Nazi Germany in the 1930s remains one of the worst moments in FDR's record.

Finally, there is no such thing as a fixed presidential legacy. Historians have seen how presidential reputations have changed dramatically over time. Harry Truman left office as one of the most unpopular presidents of the time. He now comes out on the top of most lists of best presidents.

What's more, the opening of presidential archives can often give historians a very different impression of how a president performed. Americans also assess their presidents through the lens of the political era in which they live. During the 1980s, a conservative age, there was a more favorable view of Dwight Eisenhower. In recent years, after politics swung toward the liberal side of the spectrum, Lyndon Johnson received a second look. And presidents themselves have been playing a bigger and more active role in shaping the debate about what they did in the White House.

Although presidents can't help but think about how they will be treated in the history books, gaming the future is impossible. Indeed, that future will never be set in stone. What presidents can best control are the programs in front of them, making sure that things are working well and that they put into place an infrastructure of policies that has the best chance of outlasting their time in Washington.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: One can't predict sitting president's legacy. Much depends on what comes after

@highlight

Whether next president lets previous president's signature program stand affects legacy

@highlight

He says Obama kept some Bush counterterror initiatives. Nixon kept LBJs Great Society

@highlight

Zelizer: Archives can affect understanding of legacy, as can future world events