Washington (CNN) -- The United States hopes cool, careful language will keep the North Korean crisis from boiling over.

The United States has been vocal in condemning North Korea for what it calls an act of aggression and provocation in the March 26 sinking of a South Korean warship that killed 46 sailors.

But you won't hear American officials call this "an act of war." In fact, from President Obama on down the chain of command in this latest Korean crisis, the word "war" is missing in action.

Obama set the tone, offering support and condolences to the South Koreans in March. Once an international investigation concluded last week that the patrol ship Cheonan was sunk by a North Korean torpedo, a White House statement called the ship sinking "an act of aggression ... one more instance of North Korea's unacceptable behavior and defiance of international law."

Secretary of State Hillary Clinton hit the same notes during her trip to China.

"We are working hard to avoid an escalation, belligerence and provocation," Clinton said Monday. "This is a highly precarious situation that the North Koreans have caused in the region and it is one that every country that neighbors or is in proximity to North Korea understands must be contained."

Washington is standing with South Korea's decision to halt trade agreements with North Korea. The United States also is emphasizing -- in both words and deeds -- its military ties to South Korea, including an announcement Monday at the Pentagon that the U.S. and South Korean militaries would conduct joint anti-submarine exercises.

And the administration is holding its South Korean ally close. Clinton will be in Seoul on Wednesday, and Defense Secretary Robert Gates will meet his counterpart in coming weeks, while Obama will see South Korean President Lee Myung-bak at the Group of 20 conference of developed countries in Canada in June.

But while White House press secretary Robert Gibbs said Monday that U.S. support for the defense of South Korea is "unequivocal," he didn't mention war.

"Specifically, we endorse President Lee's demand that North Korea immediately apologize and punish those responsible for the attack, and, most importantly, stop its belligerent and threatening behavior," Gibbs said in a prepared statement.

North Korea has denied it was responsible for the March 26 sinking and has threatened to back out of a nonaggression pact between the two Koreas. Despite that pact and the 1953 armistice that ended the Korean War, the North and South technically remain at war.

And North Korea has a huge standing army; it bristles with missiles and has tested nuclear weapons twice, in 2006 and 2009.

State Department spokesman P.J. Crowley said last week the sinking of the ship was a violation of the armistice, but he chose the phrase "act of aggression."

"As we've made clear, this was a clear and compelling violation of the existing armistice. It was without doubt a hostile act. It was provocative. It was unwarranted. I think our characterizations are broadly consistent," Crowley said.

Over at the Pentagon, Gates and Adm. Michael Mullen, chairman of the Joint Chiefs of Staff, both sidestepped questions about whether what North Korea did constitutes an act of war.

"Well, first of all, we certainly support the findings of the Korean -- the South Korean investigation," Gates said last week.

"We obviously are in close consultation with the Koreans. The attack was against one of their ships. And we will -- naturally they would have the lead in determining the path forward. They've laid out some paths forward, and we will be consulting very closely with them as we move ahead."

Mullen was equally evasive.

"Certainly we're concerned about it. We've supported them. We've helped them in the investigation, and we agree with the conclusion. They're a great friend and great ally, and we'll continue to do that," Mullen said.

Nicholas Szechenyi, a fellow at the Center for Strategic and International Studies, told CNN, "If you respond to bombastic rhetoric with equally hot rhetoric, chances are this could escalate."

"This is a very sensitive period," Szechenyi said in a telephone interview. "You have to be very careful in forming a response because North Korea is so unpredictable. You don't want this crisis to develop into all-out war."

And Bruce Klingner, a northeast Asia analyst at conservative think tank the Heritage Foundation, said avoidance of the phrase "act of war" is both a question of how legal experts may evaluate what happened according to international rules -- and one of caution about fanning the flames.

"It may be both definitional as well as concerns about inflammatory language," Klingner said.

He said the U.S. was taking an appropriate tack in supporting South Korea. But he pointed out that the South Koreans themselves, outraged by the ship's sinking and loss of life, are treading carefully.

"The Korean people are angry, but not angry enough to bring about an all-out war on the Korean Peninsula," Klingner said.

@highlight

Term "act of war" is missing in U.S. response to sinking of South Korean warship

@highlight

Hillary Clinton: U.S. "working hard to avoid an escalation, belligerence and provocation"

@highlight

North Korea has denied responsibility for the March 26 sinking of ship

@highlight

"This is a very sensitive period. You have to be very careful," analyst says of situation