London, England (CNN) -- Don McCullin is best known for the unwavering gaze of his war photography.

For thirty years he traveled to places most people run from, depicting horror unflinchingly and with enormous compassion for the people he captured in unimaginable situations.

Considered one of the greatest war photographers, McCullin's pictures chart conflicts in Vietnam, Bangladesh, the Congo, El Salvador, Biafra, Cambodia and the Middle East, including the Six-Day War in June 1967.

He has, as he puts it, taken "terrible liberties" with his life -- dashing through rice paddies in Vietnam to escape snipers' bullets; jumping up to snap a shot during gun battles -- to bring home images that are, at times, excruciating to look at but often unforgettable.

And yet, as enduring as these images are, forgetting them is exactly what McCullin now wants to do. "That war stuff... I don't even want to print it anymore," he says. "I want to put it right out of my mind."

But, along with his photos of poverty, "that war stuff" has won McCullin a handful of photography awards and filled tens of books and exhibitions across the world, including his latest, "Shaped by War," which opened Friday at the Imperial War Museum in London.

Much of the photography that appears in the exhibition he shot during the 18 years he worked for the UK's Sunday Times Magazine. He went to his first war in Cyprus in 1967 and covered every major conflict of his generation until the Falklands War.

The thrill of war

McCullin, now 76, admits that at first he found war "incredibly exciting."

"You've got to remember I grew up as a child looking at Hollywood films where no one seemed to die," he says.

He liked the thrill of making it home alive and seeing his images published even more: "I felt as if I could levitate and forget gravity as a human being -- I felt really amazing."

How he made it home alive is another matter. As McCullin himself admits: "You can't learn about survival after a certain point. After that, it's sheer luck really."

But his bravery under fire is well known. Harold Evans, then editor of The Sunday Times wrote of McCullin in The Guardian newspaper many years later: "Don McCullin has the bottle. This is the man who, amid a fusillade of bullets, would stop to take a light reading."

Shell shock in Vietnam

In 1968, one of McCullin's greatest moments of "bottle" produced arguably his most celebrated image: A shell-shocked soldier in Vietnam that he photographed during a huge battle for the ancient city of Hue.

The battle raged for two weeks, McCullin remembers. The city was being shelled constantly from navy boats in the Gulf of Tonkin 17 miles away, and phantom bombers were dropping napalm just a few streets from where he was.

He said: "When you saw those napalm tumbling, carrying molten death, you'd say to yourself, 'Keep going. Keep going. Keep going." And he did, staying with the 5th Marine Regiment for the duration of the battle, during which time, he says, they lost 70 men and 300 wounded.

McCullin came away having taken some of the most powerful photographs of his career -- but he was left suffering combat stress, much like the soldier in his photograph.

A personal battle

McCullin himself says he was "completely insane," by the end of the battle. When he finally got back to the press center and changed and showered, he realised some remnants of that fight would be harder to get rid of.

"I thought, you know, it (the shower) could cleanse the filth of war off me. It didn't, really, because by then it had all gotten into my brain.

"I was sleeping next to bodies and things (in Hue)... and then you say, 'What the hell's this got to do with photography?' 'Who am I?' 'Where the hell have I just been?' 'What's happened to me?'"

McCullin has spent many years battling the psychological after effects of war, trying to balance the quest for excellence in his work with the horrors he's witnessed.

"It really messes you up," he said. "It's incomprehensible the way human beings can slaughter each other in front of you. And you take it home with you. And it's like you haven't cleaned your teeth in several months, it leaves a bad taste in your mouth."

McCullin's gentle approach

Throughout his career, McCullin has been driven by a search for equality. He puts it down to his background growing up, ill-educated and impoverished, in London's Finsbury Park.

That empathy comes through in his gentle approach to the victims he photographed.

"I was very gentle with people. I would come to people that were injured and try to get their consent," he says. "I would not be brash the way I've seen lots of journalists operating... pushing and shoving and having fist fights in front of victims.

"I would seek out the chance to take my photographs and I would look at the person I was photographing and try to convey my disgust to them and I would try to bring them to me in a trusting way."

Landscapes and ruins

Nowadays, McCullin is more content photographing inanimate objects -- like the landscapes around his house in the south of England. He says he shoots his landscapes mainly in winter because he likes the drama of the naked trees, the "threat" of winter.

"People say my landscapes look like war scenes because I do (print) them very dark," he admits. "But, you know, I suppose the darkness is in me, really."

Last year, he also published "Southern Frontiers," a book of photographs of Roman ruins in the Middle East and North Africa.

It was inspired, he says, by a spur-of-the-moment trip to Algiers many years ago with travel writer Bruce Chatwin. They journeyed around and found themselves, to their surprise, in a Roman town "with these great slabs of granite as roadways."

He's stored the memory ever since and when he wanted to do one more project and "totally get away from war" it fitted. Of course, he says, the irony is that today war would have stopped him from going to some of the places in the book.

"Look at it [the region] now. I couldn't possibly do it today with war in Libya and war in Syria," he said.

Searching for peace

Mainly, though, McCullin's current quest is for peace of mind. He'll never forget the wars he's witnessed -- "It took me all my life to try and understand, you know, why do people do this to each other and I still haven't come to any conclusions about it" -- but they don't haunt him they way they used to.

A far cry from the macho war photographer image, McCullin says the thing that gave him the most joy recently was coming home after a holiday and picking some blackberries in the field behind his house.

"I felt real human freedom," he said. "Just having the choice of going and picking those blackberries and ambling home and washing them.

"It's a funny thing to say, but you have to find your own place in the world, eventually.

"I've got a last chapter of my life and I want it to be enjoyable. I don't want to be persecuted by myself anymore, by my guilt anymore -- I've had all that."

@highlight

Photographer Don McCullin's exhibition "Shaped by War" opened in London Friday

@highlight

McCullin has photographed wars in Vietnam, Congo, Biafra and the Middle East for more than 30 years

@highlight

Today McCullin is more comfortable shooting landscapes and Roman ruins

@highlight

McCullin: I've got a last chapter of my life and I want it to be enjoyable