"Reading Rainbow" made its TV debut in 1983 with a simple idea: Use television to keep kids reading during summer by urging them to "take a look" in a book.

The popular public television show ended its run in 2009, but host and actor LeVar Burton hasn't stepped away from children's literacy, or the ideas behind the beloved show.

On Wednesday, Burton launched a $1 million Kickstarter campaign to raise money for a Web-based digital library of "Reading Rainbow" books and videos. It exceeded its fund-raising goal by the end of the first day.

Burton said the new tool will allow more children and educators to access "Reading Rainbow" materials, beyond those using the popular "Reading Rainbow" mobile app. The Web version will be accessible through a subscription, but aims to provide "Reading Rainbow" for free to disadvantaged classrooms.

"If you are a reader, then you have the ability to educate yourself," Burton said. "When you have the ability to be a lifelong learner, there are no limits on what you can acquire in terms of knowledge and information. It represents the ultimate freedom of mankind."

After all, what makes a good story hasn't changed much since "Reading Rainbow's" debut, Burton said. Technology has.

Burton said he realized the power of TV as a medium for educating and informing viewers when he played Kunta Kinte on the "Roots" miniseries, based on Alex Haley's novel about slavery and African-American history. The story captured the nation as millions tuned in to watch the miniseries during the late 1970s.

Decades later, after reading a book on an iPad for the first time, he saw the potential to create an interactive reading experience. Burton acquired the rights to the "Reading Rainbow" brand and created his company, RRKidz. He envisioned an app that could interact with the audience in ways the show never could.

He launched the "Reading Rainbow" app in 2012, and in its first 18 months, users read 10 million books, making it the No. 1 free educational app in the iTunes store for two years.

"I wanted to put in the hands of kids a library of books and videos, like the TV show did, all in the service of inspiring a love of literature and exploring the world -- connecting the real world to the literature that kids are reading," said Burton, who received the Impact Award for his efforts to instill "a lifelong love of reading in children" during Children's Book Week this month.

Burton's efforts come at a time when researchers and educators are trying to figure out how to use technology to encourage reading. Since 1984, the proportion of adolescents who read for pleasure once a week or more has dropped from 81% to 76% among 9-year-olds, according to research released this week by advocacy group Common Sense Media.

Among 13-year-olds, rates of reading for pleasure have dropped from 70% to 53%. Among 17-year-olds, the rate dropped from 64% to 40%. The proportion who say they "never" or "hardly ever" read has gone from 8% of 13-year-olds and 9% of 17-year-olds in 1984 to 22% and 27%, respectively.

"E-reading has the potential to significantly change the nature of reading for children and families, but its impact is still unknown," said the Common Sense Media report "Children, Teens and Reading."

On the TV show, Burton became a trusted friend to children, parents and educators, recommending a variety of books and taking viewers on book-related field trips. He invited kids to recommend books in a segment, using the famous line, "but you don't have to take my word for it."

"The books were enhanced by the show and the show brought people to read the books," said Starr LaTronica, president of the Association for Library Service to Children. "It sort of lays the groundwork for research later in life because LeVar always took those books, found out something about them and went further."

In the app incarnation of "Reading Rainbow," children navigate the app in a virtual hot air balloon, traveling to themed islands and discovering books they might like to read. The app hosts more than 500 books and video field trips with Burton. Users can interact with the stories like it's a game and receive rewards for each book they read.

Parents are encouraged to use the app along with their children, filling in youngsters' interests for reading recommendations or exploring lessons and themes within the books together. Kids can read by themselves, with their parents or have Burton narrate. The app is free to download, with a $9.99 monthly or $29.99 six-month fee for accessing and downloading unlimited books to read.

"Elementary school-age children are at a juncture where you have such a great opportunity to capture them as readers at that point," said Nicole Deming of the Children's Book Council. "The app has struck that ideal balance between enhancing the storytelling without being distracting."

Burton said he hopes the web-based version of "Reading Rainbow" will be tailored to classroom teachers and homeschoolers. It will  include lesson plans and tools to track students' reading progress.

Burton said he also would like to see more diversity in children's literature. "Reading Rainbow" will continue to share a variety of books, just as he did on the show, he said.

"I firmly believe that seeing oneself reflected in the popular culture is critically important for developing a solid and healthy sense of self," he said. "Unless the publishing industry is proactive, this will be one of the causes of its demise. I don't understand the reluctance. Here is a sector that is woefully underserved, with an opportunity to target a market that is thirsty for literature."

Still, not everything has changed. Just as Burton's mother nurtured his interest in reading, parents and children can bond through books, whether on paper or tablets.

"There is nothing more powerful to me than that elemental experience of storytelling: being read to aloud, following along, seeing the story in the pictures and feeling it in your heart," Burton said. "It is really beautifully, brilliantly embodied in the sharing of a children's book."

What were your favorite books as a young reader? Share your memories in the comments, on Twitter @CNNschools or on CNN Living's Facebook page.

@highlight

"Reading Rainbow" is off the air, but LeVar Burton continues to promote child literacy

@highlight

A "Reading Rainbow" Kickstarter campaign drew more than $1 million its first day

@highlight

"Reading Rainbow" app lets users read books, watch videos featuring Burton

@highlight

New data show children read for pleasure far less than in the past