(CNN) -- Sweden is having a very good year... in America.

Anticipation is building for the film version of journalist Stieg Larsson's immensely popular book "The Girl With the Dragon Tattoo" (due in theaters in December), Stockholm-based streaming service Spotify just launched last month in the United States to acclaim from tech blogs, and branches of Swedish discount store H&M are opening in malls across America with their winning formula of designer duds at bargain basement prices (the first Texas outpost of the chain debuted last week in Dallas).

But the way the Nordic nation is most influencing America this year is via several stellar singer/songwriters who are resonating with fans in a way not seen in the United States since acts like Ace of Base and Roxette ruled the airwaves and MTV.

Today, the names to know are Robyn, Lykke Li and Swedish House Mafia, all of whom have suddenly moved beyond cult status and crept into the mainstream, selling out shows and popping up on some of the largest radio stations in America. The United States' embrace of Sweden this year has pleased one artist, Robyn, who has taken the proverbial long road to success over the past 15 years or so.

"I have been touring this record since May 2010 to continue what I started with the last album," she said after an appearance on "The Tonight Show with Jay Leno" earlier this month. "I wanted to build my audience in the U.S. in an organic way. It seems to work, although it's very hard for me to say why. ... I hope it's because the music is good."

For the humble performer, who is known for her quirky outfits and earnest delivery devoid of pop star artifice, being Swedish is paramount to her personality, and by extension, her music.

"Because of where we are geographically, we probably see ourselves as outsiders," she explained when asked why Sweden seems to produce so many interesting artists who are winning fans across multiple genres of music at the moment.

"We consume and are fascinated by Anglo-American culture, and I think that has made it possible for us to make music that makes sense in the big world as well," she added.

Proof of Robyn's assertion could be found at Gothenburg's Way Out West festival earlier this month, where progressive bookers reportedly laid out more than $2 million to land names such as Prince and Kanye West to play alongside homegrown talents such as Säkert and Robyn as a cross-pollination experiment -- providing a heady mélange of influences that thrilled and will likely inspire young Swedes who are already avid fans of rappers such as West as well as more traditional songwriters.

Just as Swedes are interested in uniquely American artists like Prince, so too are Americans becoming curious about quintessentially Swedish names such as Robyn.

The singer topped many critics' Top 10 lists last year with her "Body Talk" series, which is still selling slowly, though steadily, this year as the passionate 32-year-old keeps converting new fans via video releases on YouTube and buzzed-about live shows.

But it's not just Robyn cutting deep into the hearts of U.S. music fans. Lykke Li has seen surprising success abroad with a different sound that is proving no less appealing to many. The singer recently sold out shows at Los Angeles' Greek Theater and New York's Summerstage and has received airplay on influential rock station KROQ and elsewhere. Her new record, "Wounded Rhymes," has so far sold around 62,000 copies, per Nielsen SoundScan, and is tipped as one to top many critical Top 10 lists this year.

In the indie rock world, where acts from Stockholm's ripe experimental pop scene have long been championed, names such as Peter, Bjorn & John, Little Radio and The Teddybears continue to excite adventurous music consumers.

However, it's dance music where Sweden has truly left its mark recently, and 2011 is proving a banner year for Swedish DJs such as Avicii, Swedish House Mafia and Dada Life -- all of whom are connecting with young fans of house music who flock to festivals such as Las Vegas' massive Electric Daisy Carnival. The DJs spotlight sweeping, optimistic anthems that pulse with confidence and aspire outward with an escapist sound big enough to fill any void in a globally depressed economy.

"It's so cold in Sweden and there's nothing much to do ... a lot of us dream of getting out," said Avicii, aka Tim Bergling, after a set in Europe where the 21-year-old played to a crowd of around 25,000 people.  "We see the success of people like Swedish House Mafia and it's an inspiration."

It's that success of Swedes abroad that seems to be the key to why Sweden outperforms its Scandinavian neighbors in the music industry. Despite a wealth of talent from countries such as Denmark, Finland and Norway, it's only Sweden that has numerous blogs such as New York's The Swede Beat and Chicago's Swedesplease obsessively tracking new music from the Nordic nation.

Swedish influences are being felt in America in major U.S cities such as Los Angeles, which boasts bands aping the "Swedish sound." Southern California, in fact, has long been connected to Stockholm in music circles, and the cities are only getting closer. Swedish producers living and working in L.A., such as Max Martin (who has penned hits for artists such as Britney Spears and plans a permanent move to L.A. this fall with his family) and Red One (Lady Gaga), have helped craft a sound that has all but taken over urban and pop radio formats in the United States. When labels or managers need an uplifting hit, Swedes often get the call.

So what's the secret that's made Sweden a virtual hit factory since the days of ABBA? The reasons are myriad, but Malmö-born, L.A.-based producer/songwriter Tobias Karlsson has a few ideas.

"There's more focus on melody in Sweden," said the co-founder of music-licensing company Thunderhoney.

"Sweden has a very strong folk music tradition spanning back 800 years at least which is almost all melody driven," continued the producer, who is fresh off work on a Carolina Liar record.

Robyn echoed the sentiment. "Swedish folk music is so melancholic and melodious and I seem to find those qualities in Swedish modern music as well," she said.

"A lot of countries don't have that melody tradition, but us Swedes are pretty crafty. ... We like to engineer and make sure everything is perfect," Karlsson said.

For music lovers in America, that quixotic quest for melodic pop perfection has not gone unnoticed in 2011.

@highlight

Swedish influences are being felt in America in major U.S cities such as Los Angeles

@highlight

Swedish acts like Ace of Base and Roxette ruled the airwaves and MTV some time ago

@highlight

Today, the names to know are Robyn, Lykke Li and Swedish House Mafia