Most people might know modern India for its rising billionaire class, its Bangalore-based information technology hub and its Bollywood celebrity culture.

But beneath the outward signs of prosperity, India is still one of the most malnourished nations on the planet.

According to the 2012 Global Hunger Index from the International Food Policy Research Institute (IFPRI), India -- despite being one of the world's largest producers of food -- ranks as low 65 on a list of 79 countries on the index.

The Indian government this week launched an ambitious fight back against food distribution problems that -- alongside countries like Bangladesh and Timor-Leste -- have put it near the top of the list for underweight children under the age of five.

Even by the Indian government's own measure, nearly half of India's children suffer from malnutrition of some sort.

The $22 billion-a-year welfare scheme aims to sell subsidized wheat and rice to 67% of its 1.2 billion people. The scheme will massively expand an existing program that provides food to 218 million people.

Under the National Food Security Bill, 75% of rural dwellers and 50% of the urban population would get five kilograms of grain per month at the subsidized prices of 3 rupees (US5 cents) for rice and 2 rupees per kilo for wheat and 1 rupee per kilo for coarse grains to be fixed for a period of three years.

The existing Antyodaya Ann Yojana (AAY), which targets the poorest of the poor, would continue to distribute 35 kilograms of grain per month to those households.

Pregnant women and lactating mothers would get a maternity benefit payment of 6,000 rupees (US$99), while children aged six months to 14 years would get take-home rations or be provided with hot cooked food.

Subsidies would also extend to Indian states and territories that run low on grain and there would be central government assistance towards the cost of intra-state transportation and handling of grains.

Critics, however, say that targeting the subsidized grain is likely to be one of the ambitious bill's biggest headaches. Distribution through the India's infamously corrupt state-owned ration shops could see much of the subsidized grain siphoned off to be sold for market prices elsewhere.

Others say the sheer scale of the subsidy will strain government finances. The Commission for Agricultural Costs and Prices, part of the Ministry of Agriculture, said in a report that the cost of India's food program is likely to balloon to 6.82 trillion rupees ($126 billion) in its first three years, meaning the government would have to budget almost double its projected food subsidy each year.

Much of this cost would be associated with scaling up infrastructure to improve the existing distribution system as well as warehousing and transportation.

India has had bumper harvests in recent years, according to the Indian Agricultural Research Institute, leading to the paradox of grain rotting in silos while large swathes of the population are still malnourished.

Indian political and economic analyst Paranjoy Guha Thakurta said he believed the positive impact of the Food Bill would likely to outweigh its problems in the long term, saying that India would be forced to address problems with its distribution system.

"You are talking about a system which is bad and that's the public distribution system. You are looking at strengthening the system and that, in itself, should not be such a bad thing," he told CNN. "Nobody is saying there's no corruption, and nobody is saying that there is no inefficiency, but if by spending this money you improve the system, then that has to be a good thing."

He added that even free distribution of grain had support among some sectors of Indian society, with double-digit food inflation over the past eight years imposing a greater burden on the poor than it did on India's growing middle classes.

"Indian society has always been an unequal society historically. The food inflation that this country has witnessed in the recent past has made an already unequal society even more unequal," he said. "Simply put, the poor spend a larger proportion of their income on food."

Critics have also charged that the subsidy is the centerpiece of the ruling Congress party's bid to win a third term in elections due in May, 2014, and represents a populist policy cynically aimed at winning votes.

"Of course there are politics behind it, but everything has politics behind it," Thakurta said. "Whether the poor will vote for Congress is a separate story -- only time will tell.

The fact is that in a country like ours with 1.2 billion people, of which anywhere between 200-400 million people are incredibly poor, to have a scheme of cheap food distribution is something that I as an Indian favor."

@highlight

India launches ambitious $22 billion a year food aid program

@highlight

Subsidies will provide hundreds of millions people with subsidized grain

@highlight

India's record on malnutrition still on par with Sub-Saharan Africa

@highlight

Nearly half of India's children suffer from malnutrition of some sort