(CNN) -- Worried that her job might be cut in Texas, IT professional Elisa Sumner took a big step by deciding to work on the other side of the world in Shanghai, China.

Sumner's high-tech company in Austin, Texas, was laying off people in her area of the business and hiring aggressively in Asia. The 45-year-old decided to take a job in Shanghai and move with her company, even though she could have eventually found work elsewhere in the United States.

Sumner's husband, Joel Sumner, a senior research and development manager, followed her to China with a job that has evolved into something "bigger" than his old one.

In addition to their careers, Elisa Sumner said the move was a chance at a "new and interesting" life experience for both of them, because they had never lived outside the United States together.

"I probably could have found another job in Austin, but it would have taken some time to find a position given my skill set and seniority," Sumner said.

The couple, married 12 years, arrived in China with just three suitcases each (and a small shipment of items) and left their two adult children behind for their new overseas careers.

So far, they're glad they made the move two years ago and say, "It has been an amazing experience filled with a lot of adventure."

How common is the Sumners' story?

Although it is encouraged, a U.S. State Department official said Americans working in China are not required to register their status with the United States, so it's not exactly clear how many expatriates are employed there.

The Chinese haven't made it clear, either, how many Americans are working in their country.

Scott Kennedy, director of the Research Center for Chinese Politics and Business at Indiana University, said long-term residence there is still no more than a niche option for the vast majority of Americans, but the total number of Americans is rising, as is their status.

Kennedy said there used to be a very small Western expat community in Beijing and Shanghai, but those communities have grown substantially, and smaller communities have emerged in other Chinese coastal and inland cities.

It's not just China that has captured the attention of Americans.

Gregory Hubbs, editor-in-chief of Transitions Abroad, a clearinghouse for international job advice and opportunities, has seen a significant spike in inquiries from Americans interested in expat employment since the economy began to tank in 2007.

"The year 2010 represented the high-water mark thus far in terms of such inquiries," said Hubbs. "We are receiving many more submissions and inquiries currently from individuals who are or who have been confronting the consequences of the weak economy."

Hubbs said Europe is the most popular destination for work abroad in terms of searches, with Italy, France, Spain, the UK and Germany topping the list.

A spokeswoman for the Peace Corps said applications are trending up for her organization as well. "In 2010, the agency received nearly 13,500 applications for volunteer positions around the world," said Kelly McCormack.

Teaching jobs are spiking, too, according to Matthew Redman with the Council on International Educational Exchange. He said there are more people participating in teach abroad programs than pre-2008.

Work life for the Sumners in China

For the Sumners, assimilating into the culture has not always been easy. But they are glad they've accepted the challenge and they've made new friends and professional contacts along the way.

"When I moved to Shanghai, there were a number of people who didn't know why I had come here and it was hard to break down the walls with some of my colleagues," said Elisa Sumner. "Once my new team realized I was here to help and that I could use my network and knowledge from the U.S. to bolster the Asia-based team, things improved dramatically."

The language barrier has been challenging to navigate, too, she said.

"If the person you are interacting with has good English, then you can develop some sort of relationship or bond with them," Joel Sumner said. "But if we have to resort to our functional Chinese, we're interacting at a very primitive level focused on accomplishing the task at hand."

At work, the Sumners are surrounded by people who speak English, but will rely on interpreters from time to time.

"In my workplace, nearly everyone is Chinese and is a graduate of a Chinese engineering school," Joel Sumner said. "They all learn English starting in elementary school."

Everyone's situation is different, but the Sumners said the overall work conditions for them are similar to what they experienced in America, because they work for U.S.-based tech companies.

"My building is clean and secure in a very large office complex with about 500 other major high-tech companies," Joel Sumner said.

Although China is communist, the Sumners said it almost seems "more capitalist than the U.S. at times," because state-controlled industries are being privatized.

"The Chinese seem generally more hungry for achievement than the U.S. -- it is a nation of entrepreneurs," Joel Sumner said.

There are other differences.

"We do worry about who is reading our e-mail or listening to our phone calls, but it is more fleeting than some cold-war thriller movie," Joel Sumner said.

Elisa Sumner said work-life balance for them in China is different than in the United States.

"You rarely see people working through lunch, on holidays or on the weekends -- things that were common to us at home," she said.

Money matters

Overseas work and lifestyle experiences greatly differ from person to person and city to city.

In China, Shanghai, Beijing and Hong Kong are expensive places to live, with prices for top-range apartments reaching $10,000 (U.S.) monthly rent or more, according to a variety of published reports.

Americans can live relatively cheaply (U.S. $1,000 a month) if they stick to the living standards of the lower- and middle-class ends of the local population.

Outside China's big cities, prices for everything drop, often by more than half.

The Sumners said they are paid roughly the same as they would make in the United States and live in an above-average 1,500 square foot apartment in Shanghai's Changning District, which is partially supplemented by their employers. (Their 22-year-old son watches over their 2,400 square foot suburban home back in Texas.)

The couple has a part-time house cleaner who comes to their Chinese apartment twice a week for 2-3 hours a time and she is paid $75 (U.S.) a month, which they consider a nice luxury.

They don't own a car (they drove everywhere in Texas) and take the subway to work or use an electric scooter, which is typical for living in Shanghai.

As residents of China, the Sumners pay Chinese and U.S. taxes and "pay a little more in taxes than we paid in the U.S."

"Aside from housing, living in China is a lot cheaper for us than the U.S.," Joel Sumner said.

So how do you find a job overseas?

Some companies move their employees overseas for work, like the Sumners. Websites such as Transitions Abroad and Go Abroad offer travel guides and employment listings for people looking to do it on their own.

Hubbs offered five tips on making the move overseas:

1) Be open-minded when pursuing work abroad.

"As a result of the current global economic situation, it often helps to broaden geographic and career pursuit possibilities based on factors including, but not limited to, commercial areas of growth, potential earnings, and the related standard of living," said Hubbs.

2) Research your destination in every possible way.

Hubbs said, "Research as much as possible the economic drivers and conditions of the destination country, and then pursue work in either growth areas, or in areas where you can directly apply your developed expertise."

3) Students and new grads: Consider resumé-building experiences.

Examples of such positions include, but are not limited to, internships, au-pair work, leading travel tours, working at youth hostels or on cruise ships. These types of jobs, while they do not pay much, allow for interesting and often life-changing travel along with networking opportunities for future professions, said Hubbs.

4) Assess what you bring to the table.

Given the fact that many countries across the globe are under economic pressure, in many instances there are fewer opportunities for those who come from other countries seeking work opportunities. Therefore, it is important to determine how one's skill set would give them a competitive advantage, Hubbs said.

5) Pursue entrepreneurship.

Hubbs said the internet continues to provide more "location-neutral" work opportunities for those with an entrepreneurial spirit. "Blogging or building a website to support their travels remotely in relatively inexpensive countries is becoming a viable option for those willing to learn new technologies while networking," he said.

@highlight

An American couple moves to China for work and tells their story to CNN.com.

@highlight

Expert has seen a spike in inquiries from Americans interested in expat employment

@highlight

A spokeswoman for the Peace Corps says applications are trending up