We know you're starting to panic. With just a few weeks left in the holiday season, you still need Christmas gift ideas for some of the people on your list: the babysitter you want to keep happy, the co-worker you drew in the office Secret Santa exchange, the in-laws who have everything, the new niece or nephew who already seems to have so much for such a tiny person.

Stop the freakout: Try this list for inspiration. You can pick up most of these gifts on your way home tonight!

GIFTS FOR YOUNG PEOPLE

The infant

Gift-giving philosophy: This is the perfect time to give a keepsake.

Shopping strategy: Jewelry stores, arts and craft stores, high-end department stores, local gift boutiques, home decor stores and big box stores will likely have the gifts you want.

Examples: Sterling silver keepsakes, personalized shadow box for booties or a rattle, cashmere baby blanket, heirloom quilt, engraved snow globe or jewelry box.

The teenager

Gift-giving philosophy: Teens are throwing off the trappings of their childhoods, but usually retain a sense of whimsy. Meanwhile, they're experimenting with some newfound freedoms. Indulge them.

Shopping strategy: Young-adult oriented retailers like Urban Outfitters, bath and body stores, technology stores like the Apple Store and Radio Shack, department stores and big box stores will likely have the gifts you want.

Examples: Think about perfume or cologne, a Pocket DJ mixer, department store makeup, cute headphones with animal ears, furniture made out of skateboards, a cardboard unicorn head trophy, a massive nail art kit, leather duffel bag, semiprecious jewelry, zombie survival kit or Swiss Army knife.

GIFTS FOR FAMILY AND FRIENDS

The distant relative

Gift-giving philosophy: You see them maybe once a year. Time to play up your family ties and think outside the normal retail haunts.

Shopping strategy: Photo stores and copy stores are useful for reproductions of family heirlooms; they can help reproduce your photos or old home movies, and often sell items like frames and archival boxes. Monogrammed gifts can also be found in local boutiques, big box stores, kitchen supply stores and home decor stores like Pottery Barn.

Examples: Reprint a family photo and frame it for them. Copy Great Aunt Ree's recipe cards so everyone can eat that fruitcake. Try a monogrammed item with your common name.

The in-laws, or your love interest's parents

Gift-giving philosophy: You want your in-laws or significant other's parents to feel comfortable around you, so give them the gift of comfort.

Shopping strategy: High-end department stores, sleep specialty stores, big box stores, bath and body stores, home goods stores like Restoration Hardware and even some drugstores will likely have the gifts you want.

Examples: Try micro-fleece or down-filled robes, cashmere slippers, a heated sofa throw, essential oil or lavender eye pillow or a pajama warming pouch.

The people who have everything

Gift-giving philosophy: They already have everything they want. So what's left? Consumable gifts!

Shopping strategy: Paper and stationery stores, spas and boutiques, gourmet food stores and home decor stores will likely have the gifts you want.

Examples: Look for stationery, imported toiletries, specialty foods, herbal bath tea, exotically flavored sugars, or even a thoughtful calendar or themed cocktail napkins. If it's a relative, try a family favorite that only they would understand, like baking grandma's lady finger cookies.

The babysitter, housecleaner or nanny

Gift-giving philosophy: The people who help you in your home are often as close as family. Give them gifts that remind them of your bond.

Shopping strategy: Jewelry stores, big box stores, bookstores, gift boutiques, specialty retailers like Brookstone or even local visitors centers could have the gifts you're looking for.

Examples: Try jewelry with a message -- either symbolic or engraved -- or a digital photo frame with many images loaded of your photos together or a book that mentions inside jokes. Share your last name: gift them with a family tartan or an embroidered state pillow that says something about your family identity.

The hairdresser, tailor or mechanic

Gift-giving philosophy: Don't fool yourself: They work hard for a living, you need their services and you know they would appreciate a substantial holiday tip.

Examples: Bring them money, usually the amount you spend for their services in one visit, and maybe some of the cookies you've baked

GIFTS FOR WORK

The Secret Santa gift

Gift-giving philosophy: Think impersonal but useful -- let THEM personalize it.

Shopping strategy: Bookstores, office supply stores, big box stores, luggage stores like Mori Luggage & Gifts, organizer stores like The Container Store, high-end department stores and local boutiques will likely have the kinds of gifts you're looking for.

Examples: Consider a small frame for your co-worker's desk, humorous but useful checklist notepads, keyboard and screen cleaners, an elegant pen, a business card wallet, Moleskin notebooks, designer sticky notes, or perhaps a red Swingline stapler.

The boss

Gift-giving philosophy: You want to show appreciation, but don't want to look like a kiss-up. Think current and trendy -- but high style.

Shopping strategy: Spas, boutiques, bath and body stores, department stores, big box stores, home decor stores, jewelry stores and outlet stores like T.J.Maxx and Marshalls will likely have the gifts you're looking for.

Examples: Look for a spa toiletry set, an American heritage brand sofa throw, personalized graphic mug, retro or reproduction curio tray, on-trend sculptural book ends, Chinoiserie catch-all box or bowl, money clip.

GIFTS FOR CELEBRATIONS

The inevitable surprise guest

Gift-giving philosophy: Of course you want something under the tree for everyone. Think small luxury -- the sorts of things you don't often buy, but will help make a house a home.

Shopping strategy: High-end department stores, home decor stores, outlet stores like T.J.Maxx or Marshalls, luggage stores or big box stores will likely have the gifts you want.

Examples: Look for Lamp Berger, cut glass or crystal serving dishes, small graphite sculpture, luxury brand key chain, a jewelry box or toiletry bag.

The White Elephant party guest

Gift-giving philosophy: Think kitsch. It has the widest range of bizarre appeal for these humorous parties.

Shopping strategy: Specialty stores like Spencer Gifts, arts and craft stores, big box stores, local antique stores or local gift boutiques will likely have the kinds of gifts you're looking for. Online, you can count on Archie McPhee and Baron Bob.

Examples: A fez, a package of googly eye stickers, elf ears, reproduction post cards ("Greetings from...," or pulp novel covers), "World's best" mug, household utensils shaped as animals.

The host and hostess

Gift-giving philosophy: Party! Food and drink or holiday décor-related gifts are perfect.

Shopping strategy: Kitchen and cook supply stores, gift boutiques, high-end department stores, lifestyle and clothing stores like Anthropologie or big box stores will likely have the gifts you want.

Examples: Look for intricate Christmas tree ornaments, whimsical corkscrews, themed stacking measuring cups, cocktail picks, fine candlesticks or embroidered holiday tea towels.

For Christmas pick gift for everyone else

Gift-giving philosophy: Pick up the tradition of the Christmas pickle ornament -- it's a well-known game in German households. Parents hide a pickle-shaped ornament on the tree, and the children (or adults!) must find it. Whoever finds the pickle gets a gift -- and usually it's wacky!

Shopping strategy: Drugstores, As Seen on TV stores, local specialty shops and joke stores are excellent hunting ground for this kind of gift. Online stores like ThinkGeek or Amazon.com could also serve your needs.

Examples: Start the tradition by giving the pickle ornament, or relish in giving a ceramic nose pencil sharpener, a scarf that looks like a piece of bacon, a talking soap dispenser, perhaps a retro singing "Billy Bass" fish trophy.

What's the best give you've ever given the hard-to-shop-for folks on your list? Share in the comments at CNN Living on Facebook or @CNNLiving on Twitter!

@highlight

Christmas gift ideas can be hard to find for a long list of people you love and respect

@highlight

Consider these gift ideas for teenagers, in-laws, distant relatives and friends

@highlight

Secret Santa gifts and White Elephant gifts deserve some thought, too