(CNN) -- Creative new takes on dim sum are a common trend in Hong Kong restaurants these days, particularly at the higher end, with chefs incorporating traditionally Western ingredients such as truffles, foie gras or Maine lobster.

At the same time, many classic dim sum dishes have fallen out of fashion, making them harder to find in the city.

Chef Lee Kam, 76, worked at Hong Kong's Tsui Hang Village restaurant for 30 years before retiring.

He recently rejoined to launch a special "retro dim sum" menu to bring back a few of the classics, but only in March and April.

Lee says there are a couple reasons these dishes have gone out of style.

"First of all, a lot of the classic dim sum like the pork's liver siu mai and quail egg siu mai are very high in cholesterol," he says. "It's unhealthy in modern day's standard. Therefore, fewer and fewer restaurants put them on the menu."

"Secondly, they are labor-intensive and time-consuming."

Siu mai with quail egg

The quail egg is the star of this rich bite.

A boiled quail's egg is placed inside the pork-centric filling, with the dumpling exterior enclosing the contents completely before the whole thing is steamed.

The flavor of the bouncy filling is heightened (and complemented) by the quail egg, with the intense yolk the predominant taste.

As chef Lee points out, part of the reason this dim sum dish is no longer as popular is due to the fact it packs a high cholesterol punch.

But it's what experts refer to as the good cholesterol (HDL).

Quail eggs have been used in Chinese medicine for years as a healing food, and the latest Western research says they're good for you too -- in moderation.

More: Breathtaking pictures of Hong Kong airport's glory days

From the chef's point of view they're tricky to peel, so their preparation may not be cost effective for some restaurants.

That said, it's one of the easier traditional dim sum on this list to find.

Restaurants offering siu mai with quail egg include Lin Heung Tea House (famous for its classic dim sum), Sun Hing and, in March and April only, Tsui Hang Village. (See below for restaurant contact details.)

Siu mai with liver

Pig liver is the hero of this dish.

A sizable piece of flash-fried liver is draped over the mostly pork-filled dumpling.

The combination of the mild yet rich liver and the filling (sometimes bearing hints of dried mandarin or tangerine) creates a complex, velvety smooth morsel that's surprisingly light to eat.

No doubt it'd be a hit with foie gras fans.

"It takes a day or two to process the liver so it no longer carries the musky taste," says chef Lee.

Fu Sing, Tim Ho Wan, Luk Yu and Lin Heung are go-to places for this dim sum.

Many of these restaurants also serve siu mai with quail egg.

Chinese sausage bun

Popular in the 1960s, the Chinese sausage bun is a seasonal creation sold mainly in the winter.

Not to be confused with the bread-and-frankfurter bun sold in local bakeries, this bun, made from the same dough as char siu bao (barbecued pork bun) has a Chinese sausage (laap cheung) center.

Any good version should feature a pillowy bun that complements and contrasts with the firm sausage.

Steaming releases the sausage's oils, flavorings and marinades, resulting in a memorable mouthful.

Health risks associated with the consumption of preserved meats, combined with the high fat content, are key reasons this bun is now a rarity on Hong Kong streets.

Venues still serving it include Above & Beyond, Lin Heung, Sun Tung Lok and Forum Restaurant.

Giant chicken bun

As the name implies, this dish consists of a large bun, which is steamed.

What's not obvious from the name is the filling -- a smorgasbord of savory goodies that varies depending on the maker.

Typical ingredients include chicken, barbecued pork, shrimp, duck, black mushroom and quail eggs that are often marinated in Chinese rose wine.

It was once a favorite of Hong Kong's labor force as it's a satisfying and varied mini-meal.

That's also why it's not such a hit now -- modern diners prefer to sample a bigger variety of lighter dim sum when eating.

Plus, it's time consuming to make and requires a deft hand to get the balance of ingredients right and create a harmonious symphony of flavors.

This one can be found in restaurants that have some history behind them, including Lin Heung and Luk Yu, as well as Tsui Hang Village (in March and April).

Black sesame film rice roll

This jet black dessert is called "fay lum" (film) as it resembles a roll of camera film.

Rice flour and black sesame are the key ingredients -- they're made into a paste, spread onto a tray, steamed, cooled and then rolled.

It has a smooth, silky texture with a bit of bite that's all about the sesame.

It's a tricky item to make that takes time, which is one reason it's not as common as it once was, making way for ubiquitous mango puddings or egg tarts.

"You have to first fry the sesame, then hand grind it to create a paste," says chef Lee.

"Then steam it until it forms a thin layer of film. If we're making them, we want them to be tasty. But in order to make them delicious, it takes a lot of effort."

Fay lum can still be found at Above & Beyond and Tsui Hang Village (in March and April as part of its retro dim sum menu).

Beef wrapped in caul fat

Popular in the 1930s and 1940s, this juicy, bouncy morsel consists of the beef siu mai filling (sometimes beef balls) encased in a fine layer of caul fat, which melts through the beef when it's steamed.

Chefs have different ways to prepare the beef, but it often consists of finely chopped meat, water chestnuts, coriander and dried mandarin peel.

Above & Beyond and Maxim's Palace serve this classic, which has diminished in popularity for two reasons -- it takes skill to make and is considered too fatty by many diners.

Rarer still

A few other beloved and missed dim sum dishes include steamed duck feet dim sum.

Tsui Hang Village is serving steamed duck feet and yam rolled with bean curd skin in March and April as part of its special menu.

Meanwhile, Lin Heung serves its duck feet with taro and fish maw wrapped in fried bean curd skin, while Fu Tung ofers a dish of braised duck feet with mushroom.

There's also the amusingly named "bone wrapped in paper" and "chicken wrapped in paper," an aromatic style of dim sum in which seasoned and marinated spare ribs or chicken are placed in a cellophane "envelope" along with ingredients such as dried mushroom, coriander, chestnut and Chinese sausage, before being deep fried.

It's difficult to find the bone version; however the chicken version can sometimes be found at Above & Beyond.

Another bite of nostalgia no longer widely found is gun tong gaau (large, steamed soup dumplings) still served at London Restaurant, Luk Yu and Forum Restaurant.

View the above gallery for photos of some of these classics, plus a couple more dim sum dishes that are also increasingly rare.

Restaurants

Above & Beyond, 28/F, Hotel ICON, 17 Science Museum Road, Tsim Sha Tsui; +852 3400 1318

Maxim's Palace, 2/F, Low Block, City Hall, Central; +852 2521 1303

Forum Restaurant, 1/F, Sino Plaza, Jaffe Road, Causeway Bay; +852 2869 8282

Fu Sing, 1/F, Sunshine Plaza, 353 Lockhart Road, Wan Chai, +2893 0881 Branches in Causeway Bay and Sheung Wan

Fung Shing Restaurant, 1/F, European Asian Bank Building, 749 Nathan Road, Prince Edward, +852 2381 5261; branch in North Point, Fu Tung 3/F, Wharney Guang Dong Hotel, 57-73 Lockhart Road, Wan Chai; +852 2862 1020

Lin Heung Tea House, 160-164 Wellington St., Central; +852 2544 4556

London Restaurant, Good Hope Buliding, 612 Nathan Road, Mong Kok; +852 2771 8018/2771 6111

Luk Yu Tea House, G/F-3/F, 24 Stanley St.; +852 2523 5464

Sun Hing Restaurant, Shop C, G/F, 8 Smithfield Road, Kennedy Town; +852 2816 0616

Sun Tung Lok, Shop D, 4/F, Miramar Shopping Centre, 132 Nathan Road, Tsim Sha Tsui, +852 2152 1417

Tsui Hang Village, 22/F, Lee Theatre Plaza, 99 Percival St., Causeway Bay, Hong Kong; +852 2409 4822

Tim Ho Wan, Central branch, shop 12A, Hong Kong Station (Podium Level 1, IFC Mall), Central; +852 2332 307

@highlight

As innovative chefs create modern takes on dim sum, some of the classics are getting harder to find

@highlight

A few Hong Kong restaurants continue to offer hard-to-find tastes like siu mai with quail egg

@highlight

Health concerns have caused some dishes to fall from favor, such as the Chinese sausage bun