(CNET) -- A post on the Facebook developer blog announces the big application program interface (API) update from the social network that was first reported on Sunday night, which it's calling the Open Stream API.

The "Open Stream API" was front-and-center with Facebook's controversial redesign earlier this year.

It's the first major implementation of an emerging (read: brand new) open standard called Activity Streams, on which Facebook has been collaborating with developers for the past few months.

Basically, what it means is that third-party developers will have access to a feed of all content posted to news feeds--notes, photos, videos, links, "likes" and comments, and activity from other applications built on the social network's platform.

"We've officially moved away from the Web of just blog posts, which a lot of these formats were originally designed for," said open-source developer and advocate Chris Messina, who has been spearheading the development of Activity Streams for about a year now.

"Over time, what I think will happen is (that) you'll see something toward the type of cleverness and ingenuity that has surfaced around the Twitter community, but in a way that is even more expressive and rich," Messina said. "In the case of Twitter, you're just talking about status updates; in the case of Facebook you're talking about a lot of different activities."

Previously, only status updates--the most Twitter-like part of Facebook--were accessible to developers. That's why this announcement likely makes the biggest difference to the creators of social feed aggregation applications like TweetDeck and Seesmic Desktop.

But because Activity Streams is an open standard, other social-networking and media-sharing applications will be able to use it too. This means that there could be, say, an Adobe Air-based desktop application that brings in updates across photo-sharing applications like Facebook, Flickr, and Photobucket.

Facebook is also targeting different types of developers -- specifically mobile and desktop -- rather than strictly the Web app developers whose creations made Facebook's platform such a wild success when it debuted two years ago.

"One of the most important stories to tell here is this is the first time that we've ever opened the core Facebook product experience, which was previously called the 'feed' and which we're now calling the 'stream,'" Facebook senior platform manager Dave Morin explained to CNET News.

"We're especially excited to see the types of desktop applications and the types of mobile applications which developer are going to build for the stream. We've sort of never really allowed this before, so we're pretty excited to see what developers come up with."

Facebook will be holding an event on Monday afternoon in Palo Alto, California, to introduce developers to the new API.

Presenting at the event will be representatives from Adobe, which is building a Facebook application in its Air runtime environment, and Microsoft, which is doing the same in Silverlight; contact management system Plaxo and third-party app Seesmic Desktop (which already has unveiled its support for the Open Stream) are also presenting.

The "stream" took front-and-center with Facebook's controversial redesign earlier this year. Inspired by the likes of Twitter, the revamped design marked a shift in strategy for Facebook from static profiles to a real-time flow of information. At the same time, it proved unpopular among some users.

But Facebook isn't the only big social-networking player to be implementing Activity Streams. The emerging standard was behind the upgrades to MySpace's MySpaceID product that the News Corp.-owned service launched in March at the South by Southwest Interactive Festival.

"It was sort of one of the earlier opportunities we had to take a nascent spec and see it all the way through to launch," MySpaceID product lead Max Engel told CNET News, adding that his team first started working on Activity Streams last September. It's what powers a new MySpace "gadget" for Google as well as its feeds' presence on the upcoming Yahoo homepage redesign.

"It's getting where we need it to be, which is like e-mail: where you can write a POP client and know (that) it works," Engel said. "It's not even a full standard yet, so it's sort of exciting to see so many people get behind something so quickly, and it's definitely indicative of the general momentum of people who are saying we'd rather work open than work closed."

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

A post on the Facebook developer blog announces the Open Stream API

@highlight

Third-party developers will have access to feed of all news feed content

@highlight

Previously, only status updates were accessible to developers

@highlight

Blog: API users will be able to use applications to interact with their stream