(CNN) -- A room with a view is a perk usually coveted by travelers. So much so that one of the most famous travel romance movies of all time takes that title. But travel is also about shutting the rest of the world out, and nothing does that quite like a room without even a single window to the outside world.

Here we look at a variety of viewless accommodations, from rock-carved former monastery chambers to cave camping Fred Flintstone-style.

Locanda di San Martino Hotel e Thermae, Matera, Italy

Shutting out the world is an ancient tradition at Italy's Locanda di San Martino Hotel e Thermae, which pays homage to the baths, or thermae, of the Roman Empire. The spa complex, carved out of limestone rock thousands of years ago, re-creates this popular imperial pastime, with stages of water treatments, from the anti-tepidarium with its carved Medusa head to the tepidarium, hydromassage and caldarium, all meant to reduce stress and remove impurities from the body.

7 amazing island rentals

Rooms at the Locanda di San Martino, in the southern town of Matera, are a mix of caves, grottos and stone structures, wonderfully silent retreats whether you use the spa or not. (But why wouldn't you?) Matera, in the arch of the boot of Italy, is one of the world's oldest continually inhabited cities. For thousands of years, citizens have lived in the hillside city, its historical 'Sassi' (or center) made of houses and caves carved into the tufa limestone. Visitors to the Locanda will find themselves wandering amid Roman, Byzantine and Baroque periods of Italy's history. Rates start at about $120 for a double room.

Sextantio Le Grotte della Civita, Matera, Italy

Matera is home to a wealth of underground structures and accommodations. Another choice for a beautiful room without a view is Sextantio, known locally as an 'albergo diffuso,' or diffused hotel, due to its scattered locations within a complex. Also located in the Sassi, a UNESCO World Heritage Site, the Sextantio has rooms with simple stone arches, their interiors lit in such a way that the tufa limestone takes on a warm honey-like glow. Flower-filled patios are part of the charming lodging experience, where breakfast and other meals are served splashed in Italian sunlight.

Summer in the Park: Cuyahoga Valley

Daniela Giardinieri, of Paradise Possible travel agency, works with the hotel and also recommends visitors see the nearby Camerano Caves. Though you can't stay in them, "they keep many secrets" and her tours through the more than 1 kilometer of tunnels include underground churches, bas-relief decorations and rooms that might have been used by free masons.

Rates starting from about $265. matera@sextantio.it

Grand Canyon Caverns Suite, Arizona

For a more rugged cave sleeping adventure, try the Grand Canyon Caverns Suite. Billing itself as "the world's largest, deepest, darkest motel room," the underground accommodation is tucked away 220 feet below ground, shaped by millions of years of history. The Cold War added another chapter to the caverns' long story when in 1962, during the Cuban Missile Crisis, President John F. Kennedy made the 65-million-year old caves into a bomb shelter stocked for 2,000 people to survive for more than a month.

Today, visitors can stay in the Cavern Suite, which is part of a 48-room no-frills motel. The suite consists of a platform in a hulking limestone cave outfitted with beds, a living area and bathroom. It's so deep underground and devoid of natural light that nothing lives in the caverns, not even a bat or a mouse. The largest dry cavern in the United States, the air is filtered and virtually moisture-free due to the limestone setting. This unique sleeping arrangement doesn't come cheap: The Cavern Suite is $700 a night as a double, $100 for each extra person. (928) 422-4565

Argos in Cappadocia, Turkey

Turkey seems to specialize in this kind of accommodation, and one of the most interesting underground dwellings is Argos in Cappadocia. This 53-guest room hilltop hotel complex is built into a series of caves, underground tunnels and other ancient structures once used by monks and early Christians. Some of the underground rooms are outfitted with ethereal cave pools, and there are above ground options if you're claustrophobic.

The whole area looks like something out of a fairy tale with unusual chimney rock formations making sharp peaks over short bases that might remind you of the Seven Dwarves, if the Wicked Witch had turned them to stone. More than five kilometers of caves and underground tunnels lead through Old UÃ§hisar Village, where the hotel is located. With a vineyard on the hotel grounds, there's never a shortage of wine for guests lounging underground.

Doubles from about $240 for basic rooms to about $1,802 for a special room with its own pool, with discounts available for early booking or multiple night stays. aic@argos.com.tr

Cumberland Caverns, Tennessee

Imagine a giant underground living room complete with its own crystal chandelier. That's what you'll find at Cumberland Caverns. The chandelier is an elegant touch to an otherwise primitive underground experience. Up to 250 people can camp inside the caves, bringing their own equipment or using air mattresses and other items management can provide. Bathrooms, a snack bar and other amenities mean you won't be completely roughing it. Overnighting in the cave starts at $40 per person and includes a tour and breakfast.

The giant caverns were discovered in 1810 by surveyor Aaron Higgenbotham who wandered into them, getting lost for days when the torch he was carrying went out. Today, campers and explorers can find such enormous spaces as Hall of the Mountain King, Devil's Quarry, Grand Hall, Waterfall Room and the Volcano Room, all part of a complex that stretches for more than 30 miles underground. Many people come for the day, exploring and staying above ground nearby. Or make it an event with the once a month Bluegrass Underground concerts, recorded for a local radio station and seen on PBS. No matter the season, the Cumberland Caverns are a cool, year-round 56 degrees.

Desert Cave Hotel, Coober Pedy, South Australia

Some places are literally underground jewels, and that's the case with the Desert Cave Hotel in Coober Pedy, the opal mining capital of the world. It is so hot in the Australian Outback that many people retreat underground, and the town has underground shopping, dining and accommodation complexes -- even subterranean churches.

The Desert Cave Hotel was specially built to mimic this local way of living under the ground, its walls chiseled out of the sandstone. Located just off the Stuart Highway, Coober Pedy might not be as familiar as other popular Outback locations, but that doesn't mean you haven't come across it. The town was one of the locations for the Oscar-winning Australian movie "Priscilla, Queen of the Desert."

Underground and above-ground rooms are available. Rates start at about $240. reserve@desertcave.com.au

Seven Springs Lodge, Tuscumbia, Alabama

You may not have heard of the town of Tuscumbia, Alabama, but you certainly know its most famous native, Helen Keller. The Seven Springs Lodge is in this northeastern Alabama town, not far from her homestead Ivy Green, one of the town's most visited sites. At the lodge, your unusual room with no view is an above-ground alternative to many of the cave dwellings mentioned so far. Here, you can bunk in a converted grain bin outfitted with bedrooms and a living room. The bathrooms are located in a smaller grain bin between the two bunkhouse silos.

These rotund rooms might not have a great view, but the surroundings are spectacular, set in the green foothills of the Appalachian Mountains. Seven Springs is likely to appeal to travelers who have a sporting side, who might fish in the stream fed by the seven springs, go hunting in the nearby woods, or explore on horseback. If the silos are full, the complex also includes camp sites, most with full electric, water and sewage hookups. The town also has a rich musical tradition, and is home to the Alabama Music Hall of Fame.

Staying in a silo will cost you $75.00 per night for 2 people and $20.00 per additional person. Call three days in advance to reserve a horse. (256) 370-7218

@highlight

Cave hotels, whether deluxe or rustic, make for a unique lodging experience

@highlight

In Italy, limestone rock houses several underground hotels

@highlight

In the Australian Outback, underground dwellings provide relief from the heat