(CNN) -- Jameel Algibhah lives in the Bronx, but his wife and three daughters are in Yemen. He has not been able to see them for seven years.

Awais Sajjad lives in New Jersey, but his grandmother, who raised him after his mother passed away, lives in Pakistan. He has not been able to see her for more than two years.

Both long to visit their loved ones, but they cannot -- they were placed on the no-fly list years ago.

Algibhah and Sajjad don't pose, have never posed and have never been accused of posing any threat to an airplane's safety. Unfortunately their stories are not uncommon. Since 9/11, the U.S. government has placed thousands of individuals on the no-fly list.

They have tried to pull themselves out of this Kafkaesque web. The government has created a so-called TRIP process for challenging one's placement on the no-fly List. You fill out an online form with basic information such as your name, birthday and flight number, and wait for the standard response: The agency has completed its review, and "no changes are warranted at this time."

But there is hope for change for people who are stuck on the list without reason: A federal court in Oregon ruled this summer that the TRIP process was unconstitutional and criticized the government for failing to provide people with a meaningful opportunity to contest their no-fly list designation.

In response to the court decision, the government stated this month that it would reform the process in an "endeavor to increase transparency."

These changes are long overdue. The no-fly list has existed for more than a decade in a shroud of secrecy with little accountability and even less oversight. And as Sajjad's and Algibhah's stories illustrate, the lack of an effective redress mechanism has had a devastating impact on individuals and their loved ones.

But improving the redress process is only the first step. It is imperative also to look at the way watch listing authority is being abused. According to Algibhah and Sajjad, FBI agents privately offered an alternative option to get off the list. The FBI -- which in the post 9/11-era measures success by the number of informants it can list -- told them if they were to spy on their neighbors and community, they might get off the no-fly List.

As the CLEAR project and the Center for Constitutional Rights alleged in a recent lawsuit, FBI agents repeatedly pressured Algibhah, Sajjad and two other men in this manner. "I do not want to become an informant, but the government says I must in order to be taken off the no-fly List," Sajjad told us. "How can the government tell me that the only way I can see my family again is if I turn my back on my community?"

The FBI's response to the lawsuit has been, among other things, that its agents should be immune from suit. But that agents might be able to abuse the no-fly list in this manner is no surprise. Recently, the government's internal guidelines for placing someone on the no-fly list and other watch lists were leaked to the public, revealing for the first time just how prone to abuse the secretive list can be.

Two things are clear from the 166-page document: First, nearly anyone can end up on the no-fly list, as the criteria for placement are shockingly broad and ill-defined. Second, the decisions of agents who nominate people to the list are accorded a significant amount of deference. The government recently admitted in a court filing that the screening center rejected just 1% of nominations last year.

The no-fly list has expanded exponentially under such permissive rules. According to documents obtained by the digital magazine The Intercept, under the Obama administration, the number of people placed on the no-fly list has shot up to 47,000 people, a tenfold increase since the President took office.

No one questions the need to secure aviation safety -- but stories such as Algibhah's and Sajjad's should give us all pause. There is a need to examine seriously the way in which law enforcement agencies are so easily able to abuse a powerful tool such as the no-fly list. While creating a more robust redress mechanism is an important first step, until the rules governing placement on the no-fly list are reviewed, and officers held accountable for unlawful tactics, we will all remain vulnerable to the whims of law enforcement agents.

@highlight

Writers: Two men find themselves on U.S. no-fly list for no apparent reason

@highlight

Writers say government rejected men's challenge of status but gave option to spy on others

@highlight

Government says it will reform process, but authors say it must also address abuse of list

@highlight

No-fly list a powerful security tool, and officials must be accountable for its use, they say