When "Economic News" aired last week on China's state-run TV channel, its viewers who number in the millions noticed something odd: the chair where star journalist Rui Chenggang sits was empty.

The 37-year-old Rui was taken away shortly before airtime Friday by prosecutors as part of a widening anti-corruption investigation. He is one of China's most prominent and controversial television anchors who once led a successful campaign to get Starbucks kicked out of the Forbidden City. And his detention has attracted global coverage.

Here are five things to know to put in context why Rui's case is significant:

How popular is he?

Keyword: 10,000,000.

As the face of China Central Television's financial news channel, Rui presents its flagship show "Economic News," which is said to easily draw more than 10 million viewers every night.

Fluent in English and well-versed in Western culture, he's often the "go to" guy at CCTV for foreign leaders and industry titans. He has interviewed hundreds of big names ranging from Bill Clinton to Bill Gates, and touted his friendship with the world's rich and powerful in two best-selling autobiographies.

On Sina Weibo -- China's equivalent of Twitter -- Rui commands more than 10 million followers, making him the most popular CCTV personality in social media.

Why is he controversial?

Keyword: Nationalistic.

Rui shot to fame in 2007 when he led a successful campaign to kick Starbucks out of the Forbidden City in Beijing. He called the American coffee shop's presence in the historic palace museum an encroachment on Chinese culture. The campaign won him both ardent fans and critics.

Unabashedly nationalistic, he often defends government policies on the world stage and is known for baiting American officials.

In 2010, when U.S. President Barack Obama said he would give the final question at a press conference in Seoul to South Korean media, Rui declared: "I'm actually Chinese, but I think I get to represent the entire Asia."

At an economic forum the following year, Rui asked Gary Locke, then the U.S. ambassador to China: "My colleagues told me you flew economy class here -- was that a reminder that the U.S. still owes China money?"

What got him in trouble?

Keyword: Corruption.

Speculation about Rui's troubles began last month when his longtime patron Guo Zhenxi, the head of state-run CCTV's financial news channel, was detained for allegedly accepting bribes.

State media have said his detention is closely linked to Guo's case, as well as an investigation into his own possible profiting from using CCTV resources.

Reports have since surfaced that Rui -- already a CCTV journalist -- co-founded a public relations company called Pegasus in 2002 and remained an important -- though minority -- shareholder for more than eight years.

After being acquired by the U.S. public relations giant Edelman in 2007, Pegasus started counting CCTV as a client two years later while Rui was still a stakeholder in the firm.

Why is his detention significant?

Keyword: Politics.

Rui's reported detention is but the latest twist in an intensifying campaign launched by Chinese President Xi Jinping against official corruption, a lightning rod for mass discontent.

When describing his resolve to spare no one -- regardless of position -- in his anti-corruption drive, Xi has said he would strike "tigers and flies" alike.

CCTV recently counted the capture of 35 "tigers" -- including a retired top general and a former national leader -- since Xi took power less than two years ago.

In the grand scheme of things, Rui appears to be a "fly" caught in Xi's widening net.

Many observers, however, have noted his ties -- albeit indirect -- to Zhou Yongkang, the former domestic security czar who has been rumored to be the biggest "tiger" under investigation. Guo, Rui's patron at CCTV, has long been considered belonging to the Zhou faction.

What is the public reaction?

Keyword: Divided.

After the initial shock, thousands of Rui's loyal fans have left messages on his Sina Weibo page to express continued support for their role model.

The more prevailing sentiment in Chinese cyberspace, however, appears to be one of schadenfreude with many "netizens" cheering Rui's downfall.

"Considering Rui hasn't really hurt anyone, it's impressive to see how many people he has disgusted or offended," tweeted Michael Anti, a leading Chinese commentator. "It's just telling how stinky the reputation is for the Communist Party's human mouthpieces, whether Chinese or English speakers."

People's Daily, the Party's official newspaper, seems to feel obliged to respond, reminding readers in a commentary published online: "Rui is not a spokesman for patriotism. The only bases for his crime and punishment should be evidence and laws -- it has absolutely nothing to do with patriotism."

@highlight

His show draws more than 10 million viewers nightly

@highlight

He is known for baiting American officials

@highlight

The detention is the latest twist in an intense anti-corruption campaign