The overall death toll in devastated Syria has surpassed an estimated 60,000 people, the United Nations said Wednesday, a dramatic figure that could skyrocket as the civil war persists.

To put it in perspective: 60,000 people is roughly the population of Terre Haute, Indiana; or Cheyenne, Wyoming.  It's how many people would fit in Dodger Stadium, and it's more than the 50,000-plus U.S. combat deaths in Vietnam.

The figure is about 15,000 higher than the death toll CNN had cited from a collection of sources.

It's "truly shocking" and shameful, said U.N. High Commissioner for Human Rights Navi Pillay, who blamed the international community for inaction.

"Collectively we have fiddled at the edges while Syria burns," she said. "While many details remain unclear, there can be no justification for the massive scale of the killing highlighted by this analysis."

Inside Syria, anti-government activists brought their personal perspective to the new death estimate: "No wonder!" Hama activist Mousab Alhamadee said. "We live on the ground and we see the massacres daily."

Western and Arab nations have denounced President Bashar al-Assad's regime, but they have been been reluctant to intervene in hopes of ending the warfare.

What's next for Syria in 2013?

They haven't been successful in forging tough action against Syria at the U.N. Security Council because of opposition from Russia and China, both of which have long had friendly relations with and economic ties to Damascus. While some countries have passed along weapons to the rebels, the larger world community has avoided being drawn into a war, fearing a bloody quagmire, such as the Vietnam War for the United States or the invasion of Afghanistan for the Russians.

Echoing the fears of U.N.-Arab League envoy Lakhdar Brahimi, Pillay worried about more deaths "unless there is a quick resolution to the conflict."

"I fear thousands more will die or suffer terrible injuries as a result of those who harbor the obstinate belief that something can be achieved by more bloodshed, more torture and more mindless destruction," she said.

Pillay said the number of deaths is higher than expected.

"This massive loss of life could have been avoided if the Syrian government had chosen to take a different path than one of ruthless suppression of what were initially peaceful and legitimate protests by unarmed civilians," she said.

"As the situation has continued to degenerate, increasing numbers have also been killed by anti-government armed groups, and there has been a proliferation of serious crimes including war crimes, and -- most probably -- crimes against humanity, by both sides."

The 60,000, she said, "is likely to be an underestimate of the actual number of deaths." Citing the discovery of mass graves in newly liberated government bases, Alhamadee, the activist, said: "The number I think is far greater than this, and lots of people are missing."

"The recording and collection of accurate and reliable data has grown increasingly challenging due to the conflict raging in many parts of the country," Pillay said.

Rupert Colville, a U.N. spokesman, agrees that the number "is probably a minimum" and reflects a killing field of war crimes.

"There's not a shadow of doubt now that war crimes and crimes against humanity have been committed. That said, in each individual case, the final judgment has to be made by a court. It's hard to quantify at this point," he said.

"This is a classic case of a conflict that's spiraling downwards, becoming ever more ghastly. We've seen this before in the Balkans and other places. The worse it becomes, the more difficult it is to resolve."

Ahawa, who posted a reaction on CNN.com's comment section, sees a dark future for Syria, regardless. "Syria is doomed, no matter who wins, the terrorist rebels or the terrorist regime, the country ... will take tens of years to rebuild,' Ahawa wrote. "Even if Assad is toppled in the next few months, sectarian fighting will still go on for years."

Wimcorbijn, another CNN.com commenter, accused Western and Arab nations of wanting to topple al-Assad at any cost.

"I think the best bet for Syria now is to keep Assad as leader," wimcorbijn wrote. "It is the right time for (countries such as Brazil, Russia, India, China and South Africa) to step in and support to help to defeat the rebels. Once the rebels are defeated, they can force to introduce democracy as well as political reforms in Syria."

Air attacks, shelling, tank fire, bomb attacks, street-to-street fighting and sectarian fighting have all contributed to the rising toll, Pillay said. Deaths have increased from 1,000 a month in the summer of 2011 to more than 5,000 a month since July, she said.

Deaths have been most prevalent in Homs, the Damascus outskirts, Idlib, Aleppo, Daraa and Hama. More than three-quarters of the victims are male, and 7.5% are female, Pillay said. The gender of the others isn't clear, and analysts couldn't "differentiate clearly between combatants and non-combatants."

The inability of the U.N. Security Council and the international community to stop the violence "shames us all," she said.

Read more: Syria's grim toll continues into 2013

Death estimates have varied among opposition groups that have issued daily counts. For example, the Syrian Observatory for Human Rights says more than 46,000 people have died since March 2011.

U.N. data specialists counted 59,648 people reported killed in Syria between March 15, 2011, and November 30, 2012, Pillay said. Scores of deaths were reported every day in December.

Related: 2013 prediction: 100,000 deaths

Latest clashes

On Wednesday, fighting sent the daily death toll higher. More than 207 people were killed, mostly in and around Damascus, according the opposition Local Coordination Committees of Syria.

Syrian government warplanes hammered the Damascus suburbs and other targets.  At least 74 people died and dozens were wounded in the Damascus suburb of Mleiha when government planes carried out an airstrike on a fuel station, the LCC said, citing initial reports. The toll of "martyrs" will probably rise "due to continuous pulling of the bodies from under the rubble," the LCC said.

Aerial shelling also was reported in the Damascus suburb of Harasta, in the cities of Aleppo and Deir Ezzor and other locations.

In Idlib province, Syrian rebels, including jihadists, fought to wrest a key military air base from government forces Wednesday, the opposition said, as anti-regime fighters kept up the heat on al-Assad's forces. Al-Nusra Front, a militant group that the United States designated last month as a terrorist movement, is among three rebel factions attacking the base, rebels said in a statement.

"The battle to liberate Taftanaz military airport has started," the rebels said. "Taftanaz airport has been delivering horrors to Muslims. The warplanes fly from there on a daily basis, to throw explosive barrels on villages and towns."

Read more: Deadly day in Syria as diplomats talk

The other factions participating in the effort are Battalions of Ahrar Al-shaam and the Islamic Forefront. Ahrar is an Islamist coalition with some Salafist elements that cooperates with the Free Syrian Army. The Islamic Forefront is a larger umbrella group of Islamist organizations; one of its members is Ahrar.

About 400 soldiers are based at the airport, along with a number of pro-government militia.

At the base are 30 planes, including transportation craft and fighting jets; seven armored vehicles, including tanks and armored personnel carriers; artillery and rocket launchers.

Casualties have been reported on both sides in the fighting, but precise numbers were not available because the government has restricted international journalists' access.

Read more: Refugee figures fail to give true picture of Syria crisis

Read more: Marriage destroyed by war

@highlight

United Nations' Navi Pillay: "We have fiddled at the edges while Syria burns"

@highlight

Syrian planes hit Damascus suburbs and other targets, killed dozens at a fuel station

@highlight

Al-Nusra Front is among three factions attacking the Taftanaz military air base in northern Syria

@highlight

The militant group is a cover for al Qaeda in Iraq, the U.S. State Department says