(CNN) -- Analysts say the slaying of one of Latin America's best-known folk singers over the weekend shines a spotlight on problems with deep roots in Guatemala: violence, impunity and the pervasive presence of organized crime

"It shows how far these groups have infiltrated. ... It's a very large blow first of all to the country's image, and secondly to its government," said Miguel Castillo, a professor of political science at the University of Francisco Marroquin in Guatemala City.

Gunmen ambushed Argentinian folk singer Facundo Cabral when he was on his way to the airport in the nation's capital Saturday, authorities said. As investigators continued searching for suspects Monday, the high-profile shooting drew increasing attention throughout Latin America, where Cabral gained fame as a protest singer who pushed for peace.

"The Guatemalan people are quite shocked and outraged, and we have to face the situation like others we have faced in a country that is fighting to get out of this state of violence that has hit us so hard," Guatemalan President Alvaro Colom said in an interview Monday with Mexico's MVS Radio.

Corruption and violence are high in Guatemala, according to the United Nations, which created a committee in 2006 to investigate those issues there.

More than 200,000 people have been killed in Guatemala since 1970, mostly as a result of organized crime, drug-trade violence and a 36-year civil war that ended in 1996.

Violence in Guatemala drew international attention in May after investigators found the bodies of 27 dismembered and decapitated workers on a farm in a northern border province -- brutal evidence of what officials and analysts said is a dramatic spike in violence across the region as Mexican drug cartels expand their reach.

Colom Monday attributed Cabral's killing to "organized crime," telling MVS Radio that evidence indicated the Nicaraguan businessman driving him to the airport was the attackers' intended target.

But analyst Samuel Logan cautioned that in the run-up to Guatemala's September elections, government officials may have different motives in describing the situation.

"To say that this famous Argentine musician wasn't a target lends credence to the idea that Guatemala's a safe place to travel for musicians or just in general," said Logan, the managing director of Southern Pulse, an online information network focused on Latin America.

It's possible that hit-men targeted Cabral, Logan said.

"Groups like Los Zetas have killed people simply for the songs that they sung publicly. My question was, what did he sing? What was his playlist? ... It could have been just that simple," he added.

In recent weeks, Guatemalan officials have touted arrests of members of Los Zetas as a sign that they're cracking down on crime.

Cabral's killing is one of many indications that the government's efforts have seen limited results, Castillo said.

"The (criminal) organizations' structures have not been damaged. Yes, there are a few accomplishments, but the long-term impact isn't so large," he said.

Henry Brands, an assistant professor of public policy at Duke University who published an analysis of violence and politics in the Central American country last year, said Cabral's killing is "very striking."

"It makes people sit up and take note, but the fact is that this is really not a new phenomenon in Guatemala," he said.

Drug-fueled organized crime has had a strong presence in the Central American country for decades, he said.

"This is probably a depressingly familiar story for most Guatemalans. ...The single dominant theme of Guatemalan politics is citizen insecurity," Brands said. "The basic problem in Guatemala is that the crime is so deeply rooted in the social and institutional structures of the country that it's going to take a sort of exorcism to solve the problem."

Journalist Patzy Vasquez contributed to this report.

@highlight

Gunmen ambushed Facundo Cabral in Guatemala City on Saturday

@highlight

Authorities blame organized crime as investigators search for suspects

@highlight

"It's a very large blow ... to the country's image," one analyst says

@highlight

Corruption and violence are high in Guatemala, according to the United Nations