Yasser Arafat is gone.

Yet 10 years after his death, he's survived by the internal frustration and outward animosity that's long defined relations among and between Israelis and Palestinians. So, too, has the violence that's marred the region for decades.

Recent incidents have stirred fears in Israel of a return to 2002, then in the midst of a second intifada, or armed uprising, when the Israeli government reported 452 people died in suicide bombings and other attacks.

On one day alone last week, an Israeli soldier was stabbed to death on a Tel Aviv street while three Israelis were stabbed -- one fatally -- at the same West Bank hitchhiking post where three Israeli teens were kidnapped earlier this year. This followed several incidents in which drivers ran their vehicles into crowds on busy streets. Then came Tuesday, when two knife- and ax-wielding Palestinian cousins killed four Israelis worshiping inside a Jerusalem synagogue.

'Terror attack' at Jerusalem synagogue

So does this all mean a third intifada is coming, if it's not already here?

No -- or, at least, not yet, according to experts.

Much has changed, they point out, since Arafat's death. It's harder than ever to get from the West Bank into Israel, especially with explosives and such. There has been no call to arms by the Palestinian leadership in the West Bank; instead, analysts say, there has been significant cooperation with Israeli authorities to ferret out potential attackers. And there haven't been anything close yet to the coordinated, large-scale attacks in Israel like those of the early 2000s.

As retired former Israeli National Security Adviser Maj. Gen. Yaakov Amidror pointed out last week, what's happening now "falls far from" the first two intifadas, as far as the overall threat to Israel.

But one thing that hasn't changed is the deep frustration among Palestinians. Now, as was the case over a decade ago, many still harbor steep distrust of Israeli authorities and diminishing hopes for a political breakthrough.

"The nature of these movements is that a spark could ignite the tinder," said Jon B. Alterman, the head of the Center for Strategic and International Studies' Middle East program. "... And once it starts moving, you have no idea where it's going to go."

Israeli troop kill Palestinian man in West Bank clashes

Voids in Palestinian hope, leadership

Arafat is still considered a hero among many Palestinians, as the scenes around the West Bank commemorating his death November 11 showed.

This was a man, according to his supporters, who stood up to Israel. This was a man who rallied Palestinians to fight. This was a man who got leaders around the world to buy into the idea of an independent Palestinian state.

Fatah cancels Arafat memorials after bombings, blames Hamas

Not only is there no more Arafat, but the idea of a unified Palestinian front is a thing of the past as well. Arafat's former group, Fatah, now controls the West Bank under Palestinian Authority President Mahmoud Abbas, while rival Hamas is in charge of Gaza.

"You have an unprecedented division," said the Brookings Institution's Khaled Elgindy, contrasting that to what he views as Israeli leadership that's become more conservative and less willing to compromise. "It's a much weaker leadership than we've ever seen."

The lack of a unifying figure, like Arafat, has led to a "complete alienation of the people from leadership," said Ingrid Jaradat Gassner of the Civic Coalition for Palestinian Rights in Jerusalem. Not only don't they have a person to rally around, there's no clear sense of a workable exit strategy that will end the cycle that makes life difficult for many Palestinians.

"People really have no expectation, no hope, no perspective in terms of there being any chance that comes through a political initiative," Gassner told CNN from her home in Bethlehem. "So what we have is an outburst of frustration."

What there is not, however, is any clear organization in the recent efforts to lash out against Israelis -- which was unlike, many say, what happened during the second intifada.

In some ways, that may be more frightening -- because instead of dealing with a known threat or plot you can unravel, only the attacker may know what will happen next.

"This is a huge problem because there is no intelligence," Amidror told reporters on a call coordinated by the Israel Project. "Someone is getting up in the morning or going out of the mosque at noon and saying, 'Today, I'll kill some Israelis.'

"There is no organization behind it," the former Israeli national security adviser said, noting that all someone has to do is take a knife from their kitchen and attack. "... I don't see any measures that can be taken to stop an individual (like that)."

2 killed, 2 wounded in stabbing attacks on Israelis

Israeli policies have an impact

What's happening and what's not happening, if you're talking about major attacks, is a testament to Israel's policies as well.

A lot has changed since what Israelis called the "Passover massacre," when a man walked into a seaside hotel in 2002 and blew himself up, killing 30 civilians.

For one, a wall -- or a fence, depending on where you are along the border -- has been erected between the West Bank and Israel, making it harder for anyone intent on attacking to cross over with explosives or weapons.

Also, Israel has a renowned intelligence apparatus that's had years of practice in rooting out potential attackers. This is on top of other policies, like stringent measures restricting citizens' ownership of firearms.

And even as it pushes for independence, the Palestinian Authority has quietly become a working security partner with Israeli authorities. Behind the scenes, the two sides have coordinated efforts to preemptively go after those who might carry out attacks, not to mention common foes from Hamas.

"The two have worked together, and it has prevented many terror attacks inside Israel," said the Israel Project's David Harris, predicting both sides will continue to coordinate even if they are publicly at odds. "And it has also brought much more calm."

Yet as clashes in the West Bank last week showed, it sometimes doesn't take much for things to turn violent and get out of hand.

And Palestinians don't live only there and in Gaza. Many live in Israel, including some 300,000 in East Jerusalem, where there has been recent unrest centered around what Jews know as the Temple Mount and Muslims call the Noble Sanctuary.

"The fear for Israel is that the new terrorists (will be) on this side of the fence," said Harris.

Violence, bad feelings never went away

Even then, discontent among so-called Arab Israelis is not a new thing either.

In fact, experts say -- from a security situation -- Israel appears safer from prospective terrorist attacks than it was 10 to 15 years ago. The measures it's instituted in that time have made it harder for armed attackers to get across its borders and inflict mass violence.

But according to Gassner, Palestinians' frustrations "have become worse and worse over time for a lot of reasons." She says that many feel that Israelis -- whether through increased settlement activity or clamping down on borders and what she calls collective punishment following attacks -- are putting up obstacle after obstacle in their quest for "normal lives."

"People want to take care of their families, get their kids to school, have enough income to live off of," she said. "And then the pressure just builds up. That's why we have these repeated eruptions of anger and frustration."

Elgindy, from Brookings, said more forceful responses by Israel to attacks can backfire, reasoning, "When you respond to violence with more repression, you're going to get more violence."

The "primitive assault tactics" now being used against Israelis -- knives and cars, rather than rockets and bombs -- could help further the Palestinians' storyline, especially if Israeli security forces respond "with a heavy hand" as Prime Minister Benjamin Netanyahu's office promised after Tuesday's synagogue attack, expert Assaf Moghadam said.

"(Such tactics) help portray the perpetrators ... as people of desperation; they can claim 'we don't have better means of disposal,'" said Moghadam, from the Israeli-based International Institute for Counter-Terrorism. "It's an asymmetric battle militarily of a weaker party against a stronger party."

It's the lack of an end game -- a result that will bring peace, security and happiness to both Israelis and Palestinians -- that has some especially worried. If there's no political end in sight, what's to prevent those frustrations from continuing to build?

"It's probably not going to get a lot worse, and it's almost certainly not going to get a lot better," said David Pollock, the director of the Washington Institute's Fikra Forum. "The best you can say, on both sides, is, 'Well, at least we're not like Syria and Iraq."

@highlight

Stabbings, assailants driving into crowds have unnerved some in Israel

@highlight

Yet experts note that the level of violence doesn't compare to a decade ago

@highlight

Israel has taken several measures to bolster its security since then

@highlight

Some warn that a lack of hope among Palestinians could spur unrest