BEIJING, China (CNN) -- When we requested an interview with members of the Communist Youth League, I expected an army of suits with well-rehearsed answers. Instead, we met three students casually dressed in jeans, just 18 to 23 years old.

Christina Zhang wants to be a linguistics teacher or professor. She plans to attend graduate school.

The interview was arranged by the State Council Information Office, in advance of the upcoming 60th anniversary of the founding of the People's Republic of China.

Unlike many government-sanctioned shoots, it was not carefully choreographed or closely monitored. The students did arrive with a "minder" of sorts, but he was no older than them and didn't interrupt the conversation.

We sat down for tea at Ritan Park in downtown Beijing. My questions seemed to be more sensitive than they expected, but the students remained poised and answered every one.

All of the students are members of the Chinese Communist Party and the Communist Youth League, the same organization that launched the successful careers of Chinese President Hu Jintao and many of China's other top leaders.

"I think Communism is an ideal state of society that everyone should pursue," said Natalie Chen, an 18-year-old freshman and finance major at Peking University's Guanghua School of Management. "In the Communist society, everything is fair in economics, in politics, in education. Everybody has equal opportunity and that's a great society."

"Do you think everything is fair in China?" I asked Natalie.

"At present I have to say no," she said. "But, we are of course making progress towards it."  Watch Chang's interview with the students »

Young students like Chen are the future of the Chinese Communist Party, which now is the largest political party in the world with 75 million members. It has come a long way.

In 1949, the Communist Party was a group of mostly revolutionary farmers, who came to power on the heels of civil war.  See how China has changed over 60 years »

"The party was a rag tag organization you might say," said David Shambaugh, a visiting fellow at the Chinese Academy of Social Sciences and political science professor at George Washington University. "They had no experience in ruling, but a lot of experience in fighting and they were faced with a number of problems of how to set up a government and run the country."

The first three decades of Communist rule were tumultuous, marred by backward isolation and a destructive Cultural Revolution.

However, the next 30 years transformed China from the inside out, with the implementation of new economic goals and gradual openness to the outside world. The Communist Party now is largely credited with delivering the country from isolation to economic prosperity.

Despite this achievement, perhaps the party's most astounding achievement in 60 years is, quite simply, surviving as the one and only political party in a massive country.

"To be adaptable and flexible is a path to survival," said Shambaugh. "So this has been a very adaptable, and I would argue, eclectic party, borrowing bits and pieces from different political systems all around the world and studying other political systems."

Yet, in being so adaptable, analysts say the party has run the risk of having a lot of slogans and little substance. Slogans such as "the scientific mode of development," "socialism with Chinese characteristics," and "harmonious society" often cannot be explained by the average Chinese citizen.

"These are all current slogans, but people are not really sure what they mean," Shambaugh said.

Indeed some of the party's youngest members provided vague answers when asked for what exactly the Communist Party stands.

"I think we have a goal," said 23-year-old Christina Zhang, an undergraduate in linguistics at Beijing Normal University. "That is to reach a harmonious society. That is our dream ... I believe we are sure to realize our dream."

"We discuss science, we discuss thought, we discuss everything," added Lin De-yuan, a 23-year-old first-year graduate student in Marxist studies at the Chinese Youth University of Political Sciences. He also suggested I read "the book by Karl Marx," referring to the Communist Manifesto.

China's younger generation has been criticized for caring too much about securing good jobs instead of about policy and politics. These days, it is widely regarded that many young people join the party, not because they share Communist ideals, but because it looks good on their resumes.

Chen, Zhang and Lin denied joining the party for personal gain. Chen plans to become a banker or a politician, Zhang aspires to be a teacher and Lin dreams of becoming an NBA referee.

However, they do acknowledge joining the party may have some benefits and some members actively use their party credentials to achieve certain career goals.

"Admittedly, some people join the party with their own purpose of getting a good job, or getting a promotion," Chen said. "But that's why we are still having a fierce battle with corruption in the party."

In fact, corruption is one of the biggest challenges the Communist Party will face in the years ahead. Young Communists like Chen, Zhang and Lin will be responsible for rising to these types of challenges and shaping the party's future.

Their generation may determine whether the Communist Party is still China's one and only ruling party 60 years from now.

@highlight

Unlike many government-sanctioned shoots, this one was not closely monitored

@highlight

Young students are the future of the Chinese Communist Party

@highlight

Youth have been criticized for caring too much about securing good jobs

@highlight

Analysts say the party runs the risk of having many slogans but little substance