(CNN) -- Your head is pounding, burning with raging fever, your aching bones feeling like they weigh a ton. Covered in profuse sweating, your exhausted body shivers with teeth-chattering chills.

For anyone who's suffered through severe bouts of malaria, this is the nauseating roller coaster the disease typically wreaks on its victims.

But now an award-winning innovation by two students in Burkina Faso could help reduce the devastating impact of the life-threatening disease, which is caused by parasites that are spread to humans through the bites of infected mosquitoes.

Moctar Dembele, who is from Burkina Faso, and Gerard Niyondiko, from Burundi, have used locally sourced herbs and natural ingredients to create a soap they say repels mosquitoes, in order to prevent malaria.

Read this: Innovation to save lives in Africa

Dubbed "Fasoap," the innovation was awarded the $25,000 Grand Prize in the Global Social Venture Competition (GSVC), in April. Launched by Berkeley MBA students, the GSVC is a global competition designed to help budding entrepreneurs transform their ideas into businesses that will have a positive social impact.

Fasoap is made from shea butter, essential lemongrass oil and other ingredients that are still a secret.

"After using the soap, it leaves on the skin a scent that repels mosquitoes," says Niyondiko, who studies with Dembele at the International Institute for Water and Environmental Engineering in Ouagadougou, the capital of Burkina Faso.

"In addition, waste water products contain substances that prevent the development of mosquito larvae, because the sanitation problem in Africa is one of the causes of mosquito vectors of malaria."

Read this: Off-road bikers race to save lives in rural Africa

About half of the world's population is at risk of malaria, according to the World Health Organization. The disease's impact is mostly felt in the world's poorest countries; in 2010, there were an estimated 660,000 malaria deaths, 90% of which occurred in sub-Saharan Africa, mostly among children under five years old.

In many of these countries, apart from its high toll on human life, malaria also exacts a heavy burden on their economies. Household budgets are being squeezed by high fees for drugs and treatments, doctors' fees and transportation to clinics; marginalized communities are trapped in a vicious cycle of poverty due to lost productivity or income because of the disease; state funds are being drained to pay for the maintenance of health facilities and research programs.

Read this: Africa catching 'Western diseases'

Niyondiko says their anti-malaria soap company, which is called Faso Soap, will help address all these issues. "In our country the majority of the population lives below the poverty line," he explains, adding that most people can't afford to regularly buy medicines and products such as anti-mosquito creams, sprays or protective nets.

"So we thought of a repellent and larvicidal mosquito soap which will be accessible and affordable to the majority of the population, seeing that soap is a commodity product and especially not going to add other additional costs to the population," says Niyondiko.

"Our soap will fulfill the desire of the population to be clean, as well as protect them from malaria, without any additional cost to them."

The team is now working on the optimization of the soap through clinical trials, with the aim of entering the market by 2015, starting from Burkina Faso.

"Our goal is that our soap is widely distributed to reach the largest possible number in sub-Saharan Africa and other parts of the world affected by malaria," says Niyondiko. "This is to say that NGOs, companies will be our potential customers for the distribution of our products. After the victory obtained at Berkeley there are so many NGOs, companies who spoke to a partnership with us in order to distribute our soap in different parts, even outside Africa."

James Logan, medical entomologist at the London School of Hygiene and Tropical Medicine, says: "The concept of putting a repellent into a soap is appealing as it can often be difficult to get people to use a topical repellent." He cautions, however, that there needs to be published scientific evidence that the soap can successfully reduce malaria transmission.

To win the GSVC Grand Prize, Niyondiko, 35, and Dembele, 22, beat 650 competitors from nearly 40 countries. Their victory marks the first time an entry from Africa has won the competition.

"It is a feeling of joy and pride for us and for Africa in general," says Niyondiko of their win. "It also shows that in Africa we are not back(ward) and that Africa's problems can be solved by Africans themselves."

@highlight

Two students have created a soap they say repels mosquitoes

@highlight

"Faso Soap" was the winner of this year's Global Social Venture Competition

@highlight

One student is from Burkina Faso, the other from Burundi

@highlight

The soap is made from Shea butter and other secret ingredients