(CNN) -- South Africa -- it's the part of the continent most of us know at least a little about.

Now almost two decades removed from apartheid, the country at the bottom of the continent has taken up the place it deserves as one of Africa's top tourist destinations.

The country of approximately 52 million people is already well known for Cape Town, Table Mountain, the wine route and game viewing in the Kruger National Park.

But there's much more to discover.

More: 26 most stunning spots in Africa

1. KwaZulu-Natal province inspired one of the world's best-selling albums

Paul Simon introduced the world to isicathamiya music, a form of Zulu a cappella, when he teamed up with Ladysmith Black Mambazo for his album "Graceland."

Named after the KwaZulu-Natal town they come from, Ladysmith Black Mambazo is but one of hundreds of similar groups that can be seen and heard performing regularly at shows that resemble sporting competitions.

Often involving as many as 30 groups, these competitions usually take place in large cities, such as Johannesburg and Durban, starting on a Saturday night and carrying on until well after the sun comes up on Sunday morning.

2. Hippos eat lawns in downtown St. Lucia

The town of St. Lucia sits in the middle of iSimangaliso Wetland Park, a subtropical estuary that's part of a UNESCO World Heritage Site.

Chances of getting mugged or hijacked are virtually nil, but chances of meeting a hippo while walking to dinner are high.

The estuary contains one of the largest concentrations of hippos in the world.

In the evenings, when the sun goes down, they walk into town to munch on lawns in the residential areas.

More: 10 best golf courses in Africa

3. Cape Point isn't the southernmost tip of Africa

It's a common misconception among tourists who trek to the Cape of Good Hope and climb the steps to the lighthouse to assume there's no land between them and Antarctica.

It certainly looks that way from this magnificent viewpoint.

Except for the inconvenient fact that those truly wishing to be at the bottom of Africa have to travel about another 170 kilometers southeast to the rocky outcrop at Cape Agulhas.

One more myth to bust: The Indian and Atlantic oceans don't meet at Cape Point, they meet at Cape Agulhas.

4. There's 'summer' skiing

Yes, there's downhill skiing in South Africa.

In fact, there's downhill skiing in two countries in southern Africa: South Africa and neighboring Lesotho.

Tiffendell Ski Resort in South Africa's Eastern Cape Highlands and Afriski in Lesotho's Maluti Mountains (both ranges are part of what's more widely known as the Drakensberg Mountains) offer a relatively short season running between June and August, the Southern Hemisphere winter.

Runs aren't long -- about a kilometer in total at each resort -- but there's real snow and when there isn't enough falling from the sky, both Afriski and Tiffendell have snow-making equipment.

More: Safari pioneer Geoffrey Kent's incredible African odyssey

5. One street, two Nobel Peace Prize winners

Vilakazi Street punches way above its weight.

Before the arrival of democracy in South Africa, Vilakazi Street looked like any other nondescript dusty street full of matchbox houses in Soweto, near Johannesburg.

But for decades it has been different from its neighbors; it has been and remains a place of pilgrimage as the only street in the world that has been home to two Nobel Peace Prize winners.

Former South African President Nelson Mandela and former Anglican Archbishop Desmond Tutu lived a few doors from each other on Vilakazi Street.

Tutu and his wife, Leah, still live there.

Mandela's house is now a National Historical site and open to the public as a museum.

Vilakazi Street is no longer dusty. The gravel has been replaced by pavement and brick sidewalks and the new neighbors include restaurants, bars and local craft sellers.

6. There's a space shuttle emergency landing strip in the Kalahari Desert

Upington is perhaps the world's most over-achieving small town.

It has a population of just around 75,000 and most South Africans have never been there, but it bills itself as the capital of the Green Kalahari, a setting similar to Cairo on the Nile.

At 4.9 kilometers, the local airport runway is one of the longest in the world and was designated an emergency landing area for the space shuttle should it have had to make an unscheduled landing in southern Africa.

Upington Airport is also the final resting place for numerous commercial aircraft; the dry air helps preserve them in case they're ever called into service again.

The Orange River, South Africa's largest, winds through the city, creating a greenbelt that only just manages to keep the Kalahari Desert at bay.

More: 9 top South African spiritual retreats

7. Once you remove the quills, porcupine skin is delicious

Finding traditional dishes that originate in South Africa is a tall order (much of the cuisine is a product of mixing cultures).

But C. Louis Leipoldt, a sort of Renaissance man from the early 20th century, made it one of his lifelong pursuits.

The smallest villages in the Western Cape still try to whip up some of his more famous recipes when the ingredients are available.

Porcupine crackling is one of them.

From his Cape Cookery book, Leipoldt's preparation instructions call for plunging the animal into boiling water, scraping off the quills and hairs, scrubbing the skin until it's perfectly smooth and white and then discarding the meat, which, he says, isn't very nice to eat.

8. It's the site of Britain's most shocking military defeat

In early 1879 the British army had state of the art equipment.

Commander-in-Chief Lord Chelmsford thought the barefoot, spear-wielding Zulu forces he was about to attack in what is today the central part of KwaZulu-Natal province would be a walkover.

What he didn't count on was the technique used by the Zulu troops under King Cetshwayo.

In a formation representing the horns and chest of a buffalo, and using short, thrusting spears, the Zulus overwhelmed the British; more than 1,300 of the 1,800 troops the British brought into battle were dead at the end of the day.

The battle is re-enacted regularly and the site at Isandlwana is well maintained with accommodations nearby.

9. SKA isn't music, it's a telescope

Ska is the roots of reggae music that began in Jamaica.

SKA is the Square Kilometer Array, a giant radio telescope being built in the Karoo, a large, semi-desert that fills much of the southwestern part of the country.

The Karoo is located in one of the most remote corners of South Africa. The place is extremely quiet and there's no artificial light nearby.

The SKA telescope will one day look into the universe and collect data 10,000 times faster than has ever been done before.

Covering a square kilometer, the infrastructure won't be completed for another decade.

It's hoped that this multinational megaproject will help us understand where the universe has come from as well as where it's going.

More: Zimbabwe proposes Disneyland in Africa

10. You can have a drink inside a tree

Africa's biggest and oldest trees, baobabs, are found in one of South Africa's driest regions, Limpopo province.

Also known as cream of tartar trees, monkey-bread trees and upside-down trees, kids know them from the "Madagascar" films.

The pulp from the tree contains citric and tartaric acids used as common baking ingredients.

The seeds can be roasted and turned into oil and the fruit is used to make a lemonade-type drink.

Limpopo province is home to a hauntingly beautiful forest of the trees near the border of Zimbabwe. The tree that locals claim is the largest baobab in the world is in nearby Modjadjiskloof.

Standing at 22 meters high and 47 meters in diameter, the center is hollow and has been turned into a bar.

Anthony Bourdain: Parts Unknown
North America/Latin America
Premiere episodes: Sundays, 9 p.m. ET
Replays: Saturdays, 9 p.m. ET
Asia/South Asia
Premiere episodes: Mondays, 9 a.m. HKT
Replays: Fridays,10 p.m. HKT; Sundays, 9 a.m. HKT

@highlight

With apartheid two decades past, South Africa has claimed a spot as a top Africa destination

@highlight

In west of the country, Upington has a designated space shuttle emergency landing runway

@highlight

Cape Point isn't the most southerly point in Africa. That's 170 kilometers farther east

@highlight

The world's biggest baobab tree is said to be in Limpopo province and it features a bar