(CNN) -- The United States moved to increase embassy security around the world after the attack that killed the U.S. ambassador to Libya and three staffers.

"I have directed my administration to provide all necessary resources to support the security of our personnel in Libya, and to increase security at our diplomatic posts around the globe," President Barack Obama said in a statement issued Wednesday morning in response to the attack.

The United States deployed a group of Marines called a Fleet Antiterrorism Security Team to Libya to help secure U.S. facilities, two U.S. officials said Wednesday. Such units are specially trained to retake or guard diplomatic installations and other U.S. facilities in troubled regions.

About 50 Marines were headed to Tripoli and could deploy elsewhere in Libya after their arrival, U.S. officials said.

Six things to know about the attack

Other U.S. troops and units abroad have been notified they could be ordered to move to embassy installations around the world to provide additional security, a senior U.S. military official said.

The official added that the Pentagon is involved in intensive discussions with the State Department and White House on how to implement Obama's order to step up diplomatic security.

"We are looking at the requirements, what we need and identifying what assets could have to move," the official said, adding that could include troops, aircraft, ships and other equipment if needed.

Two U.S. Navy warships were moving toward the Libyan coast Wednesday, two U.S. officials said. Both are equipped with Tomahawk missiles that could be used if a strike was ordered, which "will give the administration flexibility" if action is ordered against targets in the country, a senior official said.

The moves come a day after the attack that killed Ambassador J. Christopher Stevens amid protests at the U.S. Consulate in Benghazi, Libya. Heavily armed protesters assaulted the consulate, said Secretary of State Hillary Clinton.

Demonstrators also attacked the U.S. Embassy in Cairo on Tuesday. Protesters in both countries were apparently angry about an online film considered offensive to Islam.

On Wednesday, the State Department urged Americans to avoid the area around the embassy in Kharthoum, Sudan, due to "anti-U.S. protests outside." There was no immediate word of violence.

"There's a lot of skittish people at the State Department right now," CNN foreign affairs reporter Elise Labott said.

Protesters attack U.S. diplomatic compounds in Egypt, Libya

It is unclear whether Stevens' death resulted from the broader anti-American protests or a separate, local plot against the ambassador, former State Department official James Rubin said.

"Until you are able to answer that question, it's kind of hard to assign the significance of this," said Rubin, who was State Department spokesman during President Bill Clinton's administration.

Mohammed Al-Megaryef, head of Libya's ruling party, told reporters Wednesday that "the transitional government has done all that it could in order to protect the embassies, the consulates and the foreign companies in Libya."

Secretary of State Clinton said she had spoken to the Libyan president seeking additional protection for American interests in the country.

She said the U.S. government is also working with countries to "protect our personnel, our missions and American citizens worldwide."

4 hours or fire and chaos

"There is no higher priority than protecting our men and women, wherever they serve," Clinton said.

Libyan Prime Minister Abdurrahim el-Keib said the government would increase security Wednesday in response to the attacks.

Security outside embassies is the responsibility of the host country, and it's "entirely possible" that U.S. officials asked for but didn't receive help to push back the attackers that ultimately killed Stevens and the other staffers, said Fred Burton, a Stratfor analyst and former State Department counterterrorism agent.

"The question will be, once the dominoes fell in Cairo and protests started to occur, what was requested and what was done," he said.

No U.S. Marines were guarding the consulate at the time of the attack, according to U.S. officials. But that is not necessarily unusual, Burton said.

"Having the Marines can be viewed as politically sensitive at times," Burton said.

It can also raise the profile of an installation and invite unwanted attention or attacks, he said.

Townsend: Libya has been suffering 'fragile security'

Diplomats in unstable regions typically travel in convoys of heavily armed guards, and it's likely that Stevens was well-guarded, said Christopher Hill, former U.S. ambassador to Iraq.

"I can assure you, I can absolutely assure you, that security was paramount on the minds of the embassy and the ambassador," Hill said.

But he said it's just not possible to surround diplomats in a bubble of impenetrable protection.

"It's never a matter of getting rid of risk. It's a matter of managing risk, and that is a very tough thing to do," he said.

Stevens' death, however, will spark a thorough review of security practices and could result in changes to how diplomats are protected, Burton said.

Something similar happened after the 1983 bombing of the U.S. Embassy in Beirut, Lebanon, sparked new construction and security standards for embassies, Burton said.

"My gut tells me that this will cause that to happen," he said.

Pro-al Qaeda group seen behind deadly Benghazi attack

Are you witnessing protests in Egypt or Libya? Share your photos and videos on CNN iReport

CNN Pentagon correspondent Barbara Starr contributed to this report.

@highlight

NEW: Two U.S. Navy warships are moving toward the Libyan coast, U.S. officials say

@highlight

United States boosts security after killing of ambassador to Libya

@highlight

Marines head to Libya to help secure U.S. interests there

@highlight

Not possible to eliminate all risk surrounding diplomacy, former envoy says