(CNN) -- The leaders of three world religions will be visiting the United States this week, and although the media spotlight is focused on Pope Benedict XVI and the Dalai Lama, thousands of Ismaili Muslims are celebrating a rare U.S. tour by the Aga Khan.

The Aga Khan says a "clash of ignorance" has led to friction between Islam and the West.

The Aga Khan doesn't exactly fit the image that may be expected for the spiritual leader of 20 million Ismaili Muslims across the world; he usually wears a suit and tie.

But his followers see him as the final authority on interpreting the Quran. One one Muslim scholar said that in that regard, "he is more powerful than the pope."

The Aga Khan, 71, arrived Friday in Austin, Texas, where he met with Gov. Rick Perry and signed a memorandum with the University of Texas on behalf of his Aga Khan University.

The two schools agreed to share research and cooperate in what was described as "a move towards narrowing the gap between the West and Islam."

Aga Khan University is an international University with teaching sites in eight countries: Afghanistan, Kenya, Pakistan, Tanzania, Uganda, Syria, Egypt and the United Kingdom.

The agenda for the Aga Khan's first U.S. tour in 20 years includes stops in Chicago, Illinois; Los Angeles, California; and Atlanta, Georgia; places he described as having "particular importance to the Ismaili Community over the last half century."  Watch the Aga Khan's arrival in the U.S. »

His trip to the United States and to other Ismaili communities around the world is in celebration of his "Golden Jubilee" -- which actually fell last year -- marking 50 years as the spiritual leader.

"It's not very often that the Ismaili community gets this opportunity," said Saloni Firasta Vastani, a volunteer community leader in Atlanta.

The Aga Khan "has a worldly responsibility in addition to spiritual," Vastani explained. And that is why the centerpiece of his role is his $150 million nonprofit, nondenominational foundation that focuses on helping the poor.

The imam's personal life has sometimes overshadowed his message of tolerance, which a spokesman for the U.S. Ismaili community says has "not been well covered" by the media.

"In the Western world, he is not as well-known, except for the British tabloid press, which will talk about his racehorses and the private life of his father," Dr. Mansoor Saleh said.

The Aga Khan repeatedly focuses on a "clash of ignorance," not a clash of cultures, that has led to the current friction between Islam and the West.

"The hope is that this visit will provide the impetus ... for the West to understand what he does and what he stands for," Saleh said.

Last year, Forbes Magazine listed the Aga Khan, who lives in the Paris suburbs, as the 10th richest royal in the world, valued at $1 billion. In a previous article, the magazine heralded him as "venture capitalist to the world," saying the Aga Khan "was early among experts in Third World development to grasp that government handouts and multilaterally funded megaprojects often foster dependence, not self-reliance, in the people they're meant to help."

Prince Karim al-Husseini became the current Aga Khan as a 20-year-old Harvard student, after his grandfather passed the title on to him and not his father, Prince Aly Khan, who was once married to the American actress Rita Hayworth.

Despite the Aga Khan's immense wealth, the imam shuns the title of "philanthropist" because he feels that the Aga Khan Foundation is part of his mandate as a religious leader.

His teachings also stress respecting other cultures and faiths, Vastani said.

"There's not enough education on both sides, and we're living in such a global place now, so learning about each other is important," she said. "That's the way the Ismaili community views it."

Dr. Liyakat Takim, who teaches Islamic studies at the University of Denver, said it is not the Aga Khan's wealthy lifestyle that draws the most criticism from fellow Muslims but his authority to interpret the Quran for Ismaili Muslims.

"Ismailis see him as the final authority in today's world," Takim said. "His word is law."

That means as a spiritual leader, the Aga Khan "is able to reinterpret" the teachings of Islam and has the authority to "nullify or supersede religious practices."

"That would include things like daily prayers," Takim said. "Ismailis see themselves firmly within the Islamic tradition but of course other Muslims have problems with that."

But for many Ismailis, the Aga Khan's role transcends that of spiritual leader. Those who feel that way include Zarifmo Aslamshoyeva, who credits his foundation with saving her life, as well as the lives of her husband and their two children.

Now an editor with CNN in Atlanta, Aslamshoyeva saw her life as a television news anchor in her native Tajikistan came crashing down after the collapse of the Soviet Union sparked a civil war in her country in 1992.

Aslamshoyeva lived in the remote, mountainous Pamir region of Tajikistan, isolated from the aid that flooded in following a lull in the fighting.

"There was aid in the capital and in the surroundings, but they could not reach us in the mountains," she said.

Pamir residents normally stockpile food for the harsh winters, but nearly everyone ran out of food in the middle of winter partly due to an influx of refugees fleeing the fighting in the capital, Dushanbe.

"At home, there was no electricity, no food. I would just sit there and look at my children," she said. Their faces were pale and thin. Without any paychecks from Moscow, many people were forced to beg on the streets.

"By then, who cares if you have an education or if you are a doctor or journalist? We all had nothing, and we were worried about our children."

It felt like the world had forgotten about her small region and their suffering, she said.

"Pamir was just a little tiny place," she said. "People know Tajikistan but not Pamir."

Despite intermittent power, television remained the only way to communicate. She says her life changed on the day she was called in to the tiny TV station to read an announcement telling residents that food from the Aga Khan Foundation had finally arrived in Pamir.

"I never heard of the Aga Khan Foundation, but I had heard of the Aga Khan," she said. Her grandmother had spoken of "the imam" in hushed tones during the Communist period.

Since that day, Aslamshoyeva said, aid began pouring in, changing her life forever.

"He helped everyone who lived in Tajikistan: Russians, Germans, Jews," she said. "It didn't matter what religion you were." E-mail to a friend

@highlight

Aga Khan is spiritual leader of 20 million Ismaili Muslims around world

@highlight

His trip to U.S., other Ismaili communities marks 50 years as spiritual leader

@highlight

Followers consider him the final authority on interpreting Quran