(CNN)These days, Silicon Valley is hot and Wall Street is not.

There's a tech bubble and no one knows when exactly it will pop. We have sky-rocketing valuations like Airbnb ($13 billion), Uber ($41 billion), Snapchat ($10 billion), Dropbox ($10 billion) and so on.

College students think tech is sexy and just about everyone seems to want to be called an entrepreneur.

But there's one problem: The startup world is cluttered with "wantrapreneurs" who fail to recognize that success demands a tenacity, resiliency and energy unlike any traditional job short of combat infantry soldier or SWAT team member.

Many enthusiastic founders who finish startup training and acceleration programs disappear quickly and quietly from the scene as customers yawn about their big bold ideas. These entrepreneurs aspire to be the next Mark Zuckerberg, and upon learning such a goal is as ephemeral as winning the lottery, their zeal wanes quickly.

One top venture capitalist remarked that we see only about a dozen great companies emerge every year in the U.S. Too often, they're doing boring and un-techy things like preventing or curing diseases, or solving complex big data challenges that just aren't as sexy or well-publicized as the next hot-or-not dating app.

As the job market recovers, hopefully, more of those wannabes turn to good old-fashioned W2 jobs, with predictability, stability and health insurance. It's a place where 99% of people belong. The lesser entrepreneurs should go out and find regular jobs, clearing the clutter for those with the idea, drive and overwhelming ambition to build truly great companies. Because really, we don't need more startups that are lame, same and tame.

Lameness: Ready to work 90+ hours a week?

If you're not a passionate, tenacious, driven entrepreneur willing to work 90-plus hours a week while confronting a high failure rate, update your resume and get a job.

If you're dedicated and your startup is guilty of sameness, lameness or tameness, blow it up! Do something dramatic to differentiate your company and offer lasting value.  Recognize that virtually every good startup idea is "out of the building" -- between the ears of your customers who are the only people whose opinions matter. Embrace those people, talk to them, and build something really amazing that will be craved by the millions, not thousands, for years, not months.

Sameness: Do we really need a gazillion game apps?

How many digital games does a single planet need? The 1.3 million apps available in July 2014 on iTunes included over 200,000 game apps and more than 8,000 apps just to help create or save your favorite recipes.

How can anyone get excited about the next food, personal finance, Web marketing or taxi dispatching tool with three or four cute new features? Scores of niche versions of LinkedIn, for example, have died painful deaths, trying to do just what LinkedIn does well, but for some subset of the business world. Too many startups offer little more than a tweak in an effort to distinguish themselves.

Tameness: Is it just air behind massive valuations?

Massive valuations were once the reward for unstoppable meteoric growth. Just think back on the very early days of Facebook, Google, Priceline and eBay. Sadly, very few startups sustain that kind of growth for anywhere near as long as they sustain their sky-high valuations.

How quickly did Myspace come and go? Where went the rapid user growth of Twitter and Groupon and LivingSocial, among many others? When Groupon merchants and customers didn't return, the stock went from a peak of $30 to a recent close of under $8.

Amazon recognizes that it can't forever be a leading retailer. Its remedy? New delivery systems, Amazon Web services, content, publishing platforms and more. Amazon will do what it takes to not be labeled tame. Google has seen a leveling off of its enormous search ad revenues, but the many businesses it has invested in or acquired will likely drive its growth for years to come.

What about Uber -- the new kid on the block? Why would one of the world's most highly valued startups offer winter price cuts in 48 cities? Its low-end UberX is just as tame if not sadly unimaginative. "Cheaper than a New York City taxicab!" is hardly the mantra of a great company.

But if you must ...

According to the Kauffman Foundation, America's leading entrepreneurship advocate, in 2013 about 476,000 new businesses started per month, including everything from hair salons to tech startups backed by Sequoia and Kleiner Perkins. While new businesses help create jobs in the economy, the failure rate is high. Survival rate, as government data points out, drops dramatically after a few years.

So for all the entrepreneurs out there: Here's a piece of advice, whether you're starting a pizza parlor or the next Amazon, truly great companies that endure are built on inventive solutions to significant problems confronted by at least millions of people. And those people -- not your investors, coaches, advisers or professors -- are the ones who hold the keys to unlocking a great business they want to spend time or money on. Far too few startups invest the sweat and blood to identify those opportunities and deliver a one-two punch of disruptive innovation and relentless execution.

@highlight

The startup world is cluttered with "wanrapreneurs," or wannabe entrepreneurs

@highlight

Many aspire to be the next Mark Zuckerberg, but that's like trying to win the lottery