Paris (CNN) -- The attack on Chinese students in Hostens, a small town in the South-west of France, allegedly by a group of French youngsters, followed by the largest international wine fair, Vinexpo, in Bordeaux, where Chinese investors were very much present -- and active -- have triggered much talk in France about Chinese investment in the country's vineyards and a backlash against it.

Over the past couple of years, there has been a significant rise of Chinese investment in French wines, notably Bordeaux wines. In line with this, China has recently become the first export market for Bordeaux wines.

But Chinese investors seem to want more than being simple buyers. Many want wines to match their tastes and those of their fellow citizens. That's why they have started to invest in the well-known Chateaux brands, wine domains or wine trading companies. Whether they are buying the entire vineyard or only part of it, Chinese investors want to hold greater control over the final product.

"There are two groups of Chinese buyers," says Michael Baynes, an estate agent in Bordeaux. One is typically from Hong Kong where the people look "for something smaller, something that is more for the passion of wine. And, although they are commercially minded, they are more interested in the wine product itself." Baynes, co-founder of Maxwell-Storrie-Baynes (affiliate of Christie's International Real Estate), talks a bit differently about the mainland Chinese who "will be thinking about all aspects of using the resource to make some maximized returns."

Peter Kwok fits almost perfectly in Bayne's first description. This businessman from Hong Kong bought the Chateau Haut-Brisson in 1997, in the Bordeaux village of Saint-Emilion. He has since then "invested more and more to increase the quality and the size of the vineyard," says Charles Lemoine, in charge of wine marketing for Kwok. "He comes three to five times a year," adds Lemoine, who describes Kwok as having a real passion for French wine. Indeed Kwok is not just a distant vineyard owner: his love for wine has become a family matter and his children are now very much involved in the business.

So does this trend really come as a big surprise?

French wine has always appealed to foreigners. The Belgians, Dutch, English, Americans, Swedes, etc. have been buying French vineyards for decades, if not centuries. Surely the fact that the Chinese are also starting to invest in these same lands should be a reflection of the global era, nothing more than that.

For Jean-Pierre Rousseau, whose wine trading company Diva Bordeaux was the subject of a 70% investment purchase by Shanghai Sugar Cigarette and Wine, a subsidiary of Bright Food, a state-owned food group, the Chinese are looking for a sense of "recognition", one which he describes as "social." "They are attracted to a European lifestyle, they are of course looking for expensive stuff and wine is part of that lifestyle", he adds.

Undoubtedly, the Chinese seek to invest in French vineyards for the reputation of the wines and their quality. In a way, owning French vineyards gives them credibility. There are even investors who seem to specifically target the Chateaux brands which sound very French such as the "Lafite" or the "Latour" names that are recognizable symbols of French culture.

And the French appear receptive to Chinese investment in their wine, particularly in the Bordeaux region. Rousseau is himself enthusiastic about the Chinese coming to Bordeaux, "they come here to learn, they come here to understand and when they bought some chateaux; they were rather positive in improving the quality." The businessman also likes to wittingly remind people that "in Bordeaux, we welcome them much better than (if) they are in Burgundy."

In fact, he has a point. When Chateau Gevrey-Chambertin was sold to a Chinese investor, the winegrowers of Burgundy were not impressed by the transaction and the manner in which it was handled. The head of the wine syndicate of Gevrey-Chambertin, Jean-Michel Guillon, expressed his disappointment saying that he and his winegrower colleagues were "really sad to see that the only chateau of the 12th century -- with the Clos de Vougeot- will be acquired by a person foreign to the job."

Jean-Michel Guillon, who's been in the wine business for more than 30 years, explains that the purchase of this chateau may cause future and significant financial difficulties for the remaining winegrowers of the region. As the Chinese investor outbid local vintners to pay eight million euros -- more than double the estimated value of the property -- this will change the market prices for vineyards and, as Guillon indicates, taxes on succession rights to these properties will also rise significantly.

But the selling of Gevrey-Chamberton has also caused discontent among local growers because of the nature of the region itself. Burgundy is a lot smaller in comparison to the Bordeaux wine region. So any purchase of a significant vineyard in Burgundy has a much greater impact on the region. Domains are very often a family affair; "each winegrower is also a winemaker," says Guillon with a wholehearted voice.

"What would the Chinese say if Europeans started buying 10 or 20 meters of the Great Wall of China?" asks the Burgundian, semi-smiling, semi-serious.

But ultimately French wine inspires admiration among the Chinese, and the French have something to gain out of this. Plus, the Chinese are not "buying everything"; in Bordeaux, where they invest the most, they have only acquired 1% of the whole wine lands. It's not exactly a huge loss.

@highlight

Chinese investment flowing into France's vineyards, sparking backlash

@highlight

Many Chinese want wines to match their tastes and those of their fellow citizens

@highlight

Chinese seek to invest in French vineyards for the reputation

@highlight

Selloffs have also caused discontent among local growers