Were the missiles that shot down two Ukrainian military planes on Wednesday fired from the Russian side of the border?

That's a possibility that U.S. intelligence analysts are investigating, U.S. officials told CNN on Wednesday. Pro-Russian rebels quickly claimed credit for downing the military planes. And Ukrainian officials claimed the missiles that hit them might have been fired from inside Russia.

One thing is clear: Tensions in volatile eastern Ukraine seem to be ratcheting up, less than a week after a missile brought down Malaysia Airlines Flight 17 there.

Some of the 12,000-15,000 Russian troops near the eastern Ukraine border have broken up into smaller groups and moved within five miles or less of the border, and some are even positioned right at the border, according to two U.S. officials.

The movement gives the Russian troops the ability to fire surface-to-air missiles, rockets and artillery from inside Russia at Ukrainian positions without having to acknowledge their own presence, the U.S. officials said.

At the same time, the Russians are continuing to reinforce and ship additional weapons into Ukraine "while the world's attention is on MH17," one U.S. official told CNN.

There is also intelligence indicating some rebels have left Ukraine and gone across the border into hiding inside Russia. But the officials said it's not known if any of those people were associated with the shoot-down of MH17.

"What we know is that, incredibly, even after the shootdown of the Malaysia Airlines flight, Russia has persisted in a pattern of destabilization against Ukraine. It's continued to send fighters and heavy weapons, tanks and missile launchers across the Ukrainian border," said Geoffrey Pyatt, the U.S. ambassador to Ukraine.

If it's confirmed that the missiles that brought down the Ukrainian military planes came from the Russian side of the border, Pyatt told CNN, it would be an "outrageous, continued escalation of the crisis by Russia even after the SA-11 (Russian-made missile system) brought down an airplane, leading to the death of nearly 300 innocent people."

In response to reports that Russia continues to arm rebels in Ukraine, the White House is now looking at expanding sanctions on Moscow. Just last week, President Obama announced the U.S. would impose new sanctions on specific targets in Russia's critical energy, banking, and defense industries.

But Deputy National Security Adviser Ben Rhodes told reporters gathered at the White House that the United States might go even further.

"We're continuing to develop our own set of options. The fact is that Russia continues to arm separatists. And so we think there needs to be continuing ratcheting up," Rhodes told reporters.

Putin under pressure

It's unclear whether Wednesday's shootdown was the work of pro-Russian rebels inside Ukraine, or Russian forces themselves -- and whether Russian President Vladimir Putin knew about or approved the operation.

For months, Putin has accused NATO of building its forces in the region to threaten Russia.

"The scale of the training and preparedness is also increasing," Putin said recently. "It is important to prepare our defenses on schedule."

As calls mount from the United States and other Western countries for more stringent sanctions against Russia, Putin took a more conciliatory tone in his most recent public statement.

"There are calls for us to influence the militants," he said earlier this week. "We will do everything in our power."

Jill Dougherty, a Russia expert and CNN's former Moscow bureau chief, said Putin is facing enormous pressure both from the international community and domestically. Business elites are pushing to avoid more sanctions, and Russian nationalists want the country to be tougher on Ukraine.

"You can almost see it, his balancing, he does this when he talks," Dougherty said. "He is a judo expert. And he is prepared, he's ready to parry, thrust and protect Russia from what he expects are going to be the threats."

Ukraine: Pilots ejected after planes were hit

An air defense system shot down the Ukrainian jets Wednesday after the pilots completed a task in Dmytrivka, a village in Ukraine's Donetsk region near the border with Russia, the Ukrainian military's press office said.

The jets' pilots ejected from the planes after they were hit, the military said. Information on their condition wasn't immediately available.

Sergei Kavtaradze, an aide to rebel leader Alexander Borodai, the Prime Minister of the self-declared Donetsk People's Republic, told CNN that the two jets had been shot down by rebel fighters using a shoulder-fired missile system.

But Col. Andriy Lysenko, a spokesman for the Ukrainian National Security and Defense Council, said preliminary information suggested the missiles might have been launched from inside Russia.

The planes were flying at an altitude of 5,200 meters (17,000 feet) when they were hit, he said.

News of the jets' downing Wednesday comes six days after the deadly crash of the civilian passenger plane Malaysia Airlines Flight 17 in eastern Ukraine.

Ukrainian officials have previously accused pro-Russian rebels of shooting down several military aircraft.

In the week leading up to the July 17 crash of MH17, Ukrainian officials said an Antonov An-26 transport plane and a Sukhoi Su-25 fighter jet had been brought down. The Ukrainian military said the missile that struck the Su-25 had been fired from Russian territory.

The latest reported shootdown highlights the ongoing conflict in eastern Ukraine's Donetsk and Luhansk regions between the rebels and Ukrainian security forces.

A CNN team on the ground in Donetsk was turned away by rebel fighters at the entrance to the town of Snizhne, near Dmytrivka. The militants said they had orders not to allow people to travel farther because of fighting.

A jet could be heard passing periodically very high overhead, while on the ground, ambulances rushed past, as did a convoy of rebel fighters in civilian vans and cars.

Claim and counterclaim

The first caskets carrying remains of the crash victims arrived in the Netherlands on Wednesday, where they were met by family members, Dutch King Willem-Alexander and Queen Maxima and other dignitaries. About two-thirds of the 298 victims were Dutch.

As the solemn tribute continued, accusations did not stop.

Meanwhile, the finger-pointing continues over who was responsible for bringing down Flight MH17, a Boeing 777.

U.S. officials say pro-Russian rebels were responsible for shooting down that plane, but they say they now believe it's likely the rebels didn't know it was a commercial airliner, U.S. intelligence officials said Tuesday.

However, Vitaly Nayda, Ukraine's director of informational security, told CNN's Kyung Lah that the person who shot down the flight was "absolutely" a Russian. "A Russian-trained, well-equipped, well-educated officer ... pushed that button deliberately," he said.

Moscow has denied claims that it pulled the trigger. And Russian Army Lt. Gen. Andrei Kartapolov suggested a Ukrainian jet fighter may have shot the plane down. Ukraine's government rejects that claim.

@highlight

Observers say Putin is under pressure at home and abroad

@highlight

U.S. officials: Russian troops moving closer to Ukrainian border

@highlight

Ukrainian security council spokesman says missiles may have been fired from Russia

@highlight

The shootdown comes six days after Malaysia Airlines Flight 17 was brought down