(CNN) -- With a new school year starting, homework is front and center in many homes. Parents worry if their kids are completing the assigned work while kids wonder why they have to work when really they prefer to play in the sun.

There's good news for some families in Quebec.

The College de Saint-Ambroise, an elementary school in Quebec, has banned homework for kids in grade one through six for a year. The Canadian media exploded with blogs, tweets and radio talk shows questioning the decision or applauding the action.

Attempts to ban homework aren't new. In 2012, President Francoise Hollande of France proposed banning homework for all primary and middle school students, which was roundly ridiculed by The Wall Street Journal. In the same year, a school in Germany decided to actually do away with homework for students in grades five to nine.

Oddly, when schools decide to ban homework, it is big news, but we know little about what happens afterward. What we do know is that Finland assigns little homework and its students have some of the highest test scores in the world.

Los Angeles Unified School District -- America's second-largest school system -- took a different tact.

In 2011, it set a policy that homework could not count for more than 10% of a student's grade. The decision caused such an outrage that a 15-member panel was formed and subsequently changed the policy so that homework accounted for 20% of a student's grade.

This kind of intense debate about homework has a long history. For example, in the 1920s, some physicians were concerned about the impact of homework on children's health.

They argued that children need between six to seven hours a day of fresh air and sunshine. In the 1930s, editor Edward Bok of the Ladies Home Journal also called for an end to the practice. For the rest of the 20th century, different research reports were used to support or dismiss the practice, yet it persists despite the lack of clarity on its educational value.

What is clear is that parents and kids don't live in the world of academic research; they live in the real world where there are piles of homework on the kitchen table.

The experience of homework is very different depending on which side of the economic divide you sit. The unequal distribution of educational resources means that some students go home to nannies, well-stocked home libraries, tutors, well-educated parents and high-speed Internet. Others students go home to caring for siblings in crowded apartments and often-absent parents who barely make ends meet. The issue of inequality was a main reason that the French President proposed banning homework.

What about parents' educational hopes for their kids?

Homework forces families to follow the state's educational agenda. Most parents are willing to turn their kids over to the state for the seven to nine hours of the school day for educational enrichment. But then they want to build a rich family life with their kids, and homework can interfere with that. For example, if parents want their children to be actively engaged with grandparents or church activities in the evening, those things would compete with homework time.

Who controls a child's time has tremendous implications for the debate on homework. Should children be in school nine hours only to come home to two hours of homework? Could the intense pressure on children to achieve academically have negative health impacts down the road, in addition to the increased childhood obesity we are seeing?

When schools ratchet up the pressure for higher academic achievement, one of the first things to go is recess even as homework is piled on.

While scholars debate the value of homework -- and pundits, politicians and educators call for increased educational choices, greater standardization and accountability for schools -- many parents and students feel overwhelmed. The pressure of longer school days and more homework don't help matters.

Parents who want to connect personally in meaningful ways with their children after a long day at their job would do well to remember that they have a right to family time uninterrupted by homework. They would do well to listen to what their kids have to say about the impact of homework on their lives.

Too much homework may not be a good thing, especially for younger children. For families interested in clearing the kitchen table they can find support and advice from the growing Healthy Homework movement.

At the end of the day, it's about how one wants to balance work, family, educational goals and happiness.

@highlight

An elementary school in Quebec banned homework for kids in grade one through six

@highlight

Etta Kralovec: Attempts to ban homework aren't new; the issue has been debated for decades

@highlight

She says some experts are concerned that homework can negatively affect kids' health

@highlight

Kralovec: Homework could take time away from other activities like family engagement