Washington (CNN) -- Justice Ruth Bader Ginsburg is predicting "sharp disagreement" as the Supreme Court prepares by month's end to release some of its most-talked-about rulings, including the constitutionality of the health care law championed by President Obama.

Speaking to a legal conference Friday night in Washington, the oldest member of the high court offered tantalizing hints about where the court may be heading in coming days.

"The term has been more than usually taxing, some have called it the term of the century," she said in remarks at the American Constitution Society's annual review of the court. The ACS is a left-leaning legal advocacy and scholarship group.

The court in the next two weeks will rule separately on health care, Arizona's controversial immigration crackdown law, television broadcast indecency enforcement, and a federal law making it a crime to lie about earning high military honors.

Ginsburg called the court's frantic race to finish their remaining 15 or so rulings "flood season."

"As one may expect, many of the most controversial cases remain pending," she noted. "So it is likely that the sharp disagreement rate will go up next week and the week after."

Ginsburg, among the left-leaning justices, spent several minutes talking about the health care issues, but offered no hints whatsoever on the internal deliberations, or how the court might be leaning. But she said her benchmates were fully aware of the public scrutiny the case has attracted.

Ginsburg offers 'greatest hits' summary of past term

"No contest since the court invited new briefs and arguments in 'Citizens United' (a 2009-10 campaign finance spending case) has attracted more attention -- in the press, the academy," she said. "Some have described the controversy as unprecedented and they may be right if they mean the number of press conferences, prayer circles, protests, counter protests, going on outside the court while oral argument was under way inside."

She then explained-- with a dollop of humor-- the four issues the court was considering, including the main focus: the constitutionality of the individual mandate, which would require nearly all Americans to buy health insurance starting in 2014 or face a financial penalty.

"If the individual mandate, requiring the purchase of insurance or the payment of a penalty, if that is unconstitutional, must the entire act fall?" she said, then outlining another key question. "Or, may the mandate be chopped, like a head of broccoli, from the rest of the act?"

That brought laughter to the knowing crowd, since many critics warn giving Congress the power to force the mandate on people would be a "slippery slope" -- and that lawmakers could then force people to buy broccoli in the name of ensuring a healthy populace.

She then made light of the initial question argued by the justices back in March.

Supreme cuisine: New cookbook honors late husband of Justice Ginsburg

"The big question inviting the answer everyone is waiting for: Do federal courts lack jurisdiction to entertain a pre-enforcement challenge to the individual mandate in light of the anti-injunction act of 1867," she said. "That act prohibits any person from suing the federal government to restrain the assessment or collection of any tax."

While legally dense, the "anti-injunction" question was considered the least important issue taken up by the court, and one most legal analysts were sure the bench will ignore, allowing the justices to go ahead and tackle the larger, more vital constitutional questions.

The final issue being debated internally is whether the Affordable Care Act's expansion of Medicaid exceeds Congress' power.

Some of those watching Ginsburg's speech noted her remarks regarding the power of dissents issued by the high court, and whether she was signaling how Congress might follow up to however the health care cases are decided.

"I have spoken on more than one occasion about the utility of dissenting opinions, noting in particular that they can reach audiences outside the court and can propel legislative or executive change," she said.

In this context, the 79-year-old justice was speaking about her much-discussed 2007 dissent in a pay discrimination claim that resulted in an Alabama woman being denied the ability to seek back wages, after alleging her fellow male supervisors were being paid more than her for years, for the same work.

Congress changed the rules following that high court ruling, and President Obama signed the Lilly Ledbetter Fair Pay Act in 2009, one of his first acts in office.

The Supreme Court will next issue opinions Monday morning, but many court watchers believe the justices will wait until the week of June 25 to bring out the health care opinions, just before they recess for the summer.

Ginsburg repeated what many at the court have long known when trying to speculate what the court will do, and when.

"At the Supreme Court, those who know don't talk," she said, smiling. "And those who talk don't know."

Health care reform: Issues round-up

CNN's Oliver Janney and Leslie Bentz contributed to this report

@highlight

"The term has been more than usually taxing," Ginsburg says

@highlight

The court is expected to rule in coming weeks on high-profile cases, including health care

@highlight

She offers no hints on internal deliberations