Joint Base Lewis-McChord, Washington (CNN) -- The American soldier accused of killing 16 Afghan villagers in a shooting rampage is sitting in a military courtroom for the next week or more, hearing the evidence against him.

The Article 32 hearing began Monday at Joint Base Lewis-McChord in Washington state to determine if a trial is warranted for U.S. Army Staff Sgt. Robert Bales, who could get the death penalty if convicted.

The deadly shooting spree near a small U.S. base in Afghanistan's Kandahar province last March strained already tense U.S.-Afghan relations and intensified a debate about whether to pull out American troops ahead of their planned 2014 withdrawal.

"He committed a mass killing crime, and we would like the court in the United States to implement justice and punish him according to the crime," Ahmad Zia Syamak, a spokesman for Afghan President Hamid Karzai, told CNN on Monday.

Bales acted with "chilling premeditation" and was "lucid, coherent and responsive" when he left the remote outpost and went from house to house, gunning down villagers, Lt. Col. Joseph Morse, the Army's prosecutor, told the court. Women and children were among the 16 dead and six wounded, authorities said.

"Nothing really justifies killing women and children in a noncombat situation," Bales' attorney, John Henry Browne, told CNN earlier. "But there may be explanations if that's true."

Read more: Stunned friends recall good deeds of Afghanistan killings suspect

The first soldier to testify Monday was Cpl. David Godwin, who said he watched a movie and drank Jack Daniels whiskey with Bales and another soldier, Sgt. Jason McLaughlin, just hours before the alleged attack.

The soldiers drank moderately and did not get drunk, Godwin said.

Godwin was awakened early the next morning and told Bales was missing from camp, he testified. The soldiers searched the camp for Bales, who re-appeared about 4:30 a.m. and was taken into custody, he said.

Sgt. McLaughlin testified next, telling the court that Bales had awakened him at 2 a.m. and told him he had been in a nearby village and had "shot some people up."

Mclaughlin said he didn't believe Bales and he told him to let him get back to sleep because he had to go on duty in an hour.

"I'll be back at 5," he said Bales told him. "You got me?" As Bales departed, he told McLaughlin, "Take care of my kids," McLaughlin testified.

When Bales approached McLaughlin and Godwin after he was taken into custody he asked them "Did you rat me out? Did you rat me out, man?" Godwin testified.

Bales, who had blood on his uniform and face, said, "I thought I was doing the right thing," Godwin testified.

While waiting for helicopter to take him away, Bales told Godwin "It's bad. It's bad. It's real bad," Godwin said.

Capt. Daniel Fields, the third witness, said that when he asked Bales what had happened after he surrendered, he replied, "I'm sorry I let you down."

A crowd of Afghan villagers gathered outside the camp as the sun began to rise that morning, Fields said. He was told their trucks were filled with people who had been shot, he said.

"Interpreters were spit on because the people knew they worked for Americans," so the U.S. soldiers stayed out of sight to avoid a confrontation, he testified.

Browne said in a CBS interview that his client appeared to have memory problems predating the incident.

"He has some memories about what happened before the alleged event and some memories after the alleged event and some windows here and there into things, but he really doesn't have any memory," Browne said.

Along with the 16 counts of premeditated murder, six counts of attempted murder and seven counts of assault, Bales is also charged with illicit use of alcohol and steroids.

The steroid use will be a key factor in Bales' defense, Browne said. "Steroid use is going to be an issue in this case, especially where Sgt. Bales got steroids and how he got steroids," he told CNN last spring.

Bales, who served three tours of duty in Iraq before being sent to Afghanistan, may have been suffering post-traumatic stress disorder, Browne said. Bales suffered a traumatic brain injury during a roadside bomb explosion and lost part of his foot in separate tours in Iraq, he said.

"Anybody that has seen what he's seen and done what he's done at the request of the military -- and I'm not talking about these allegations -- I think would have PTSD. ... Dragging parts of bodies around is not something you forget very often."

Read more: Soldier who allegedly killed 16 Afghans engaged in financial fraud

Following Afghan tradition, the 16 victims were buried soon after the deaths, before autopsies could be done. Some legal experts have told CNN that could present a difficulty for prosecutors. But there were photographs taken of the victims and survivors who saw it happen. Also, if any rounds were recovered from the scene and matched his weapon, they could be used as evidence against Bales.

The Article 32 hearing, named after the section of the military code of justice that dictates how it works, is sort of a combination of a grand jury hearing and a preliminary hearing in a civilian criminal case. But there are significant differences.

For instance, there will be significant testimony from many of the potential witnesses in the case, and unlike in a grand jury case, Bales and his attorney will be there and be able to cross-examine the witnesses against him or even present witnesses of their own.

Read more: Afghan villagers describe slaying's horror, differ on number involved

This hearing, which is expected to last up to two weeks, will be even more unusual in that the courtroom will be linked by satellite to Afghanistan, where some of the witnesses will testify by teleconference.

On some days, the hearing in Washington state won't even begin until dinnertime, when the day is just beginning on the other side of the world in Afghanistan.

In one other difference from civilian court, the person who acts as the judge in the case will not make a decision about whether the case should go to trial in a court-martial. He or she will make a recommendation to the officer who ordered that the hearing be held. That person will decide which, if any, charges Bales will face at trial and also whether prosecutors will pursue the death penalty in the case.

Under fire: Wartime stress as a defense for murder

CNN's Larry Shaughnessy and Masoud Popalzai contributed to this report.

@highlight

NEW: Bales told a captain "I'm sorry I let you down," the officer testifies

@highlight

A sergeant says Bales told him he had been in a village and "shot some people up"

@highlight

Another soldier testifies Bales watched a movie and drank Jack Daniels whiskey before attacks

@highlight

The U.S. soldier is charged with assault, attempted murder, 16 counts of premeditated murder