Washington (CNN) -- The presidential campaign fundraising numbers being reported paint a picture of what's to come over the 13 months until the 2012 election: A flood of television ads, cross-country bus tours and a lot of handshakes.

Money drives a campaign, and fundraising is a signal of its strength. It also allows campaigns to get ahead in the media wars -- on TV, radio, online, in the mail -- and on-the-ground grassroots outreach.

President Barack Obama's campaign has pledged to raise an eye-popping $1 billion for his re-election campaign -- an unheard of figure in American politics -- Obama's campaign raised nearly $750 million for the 2008 election.

To put that into perspective, Republican presidential candidate John McCain raised $239 million from donors and received $84 million collected from public funds -- something that Obama chose not to participate in.

So why does it cost so much to campaign for election in the United States?

Bigger country = bigger money

"America is the largest democracy in the world and that's going to cost a lot of money to express yourself and get your message out, get the vote out, get people to support you and put in (campaign) infrastructure," said Republican strategist Ron Bonjean.

In order for a candidate to reach all 50 states within an election cycle, a trove of money will be needed to cover that much ground.

And then there's length of U.S. campaigns.

Keith Boykin, a Democratic strategist and former staffer on Bill Clinton's successful 1992 campaign, said the length of the U.S. election cycle dictates that candidates must pile up funds to survive the long haul.

"If you're running for prime minister in Britain, you don't spend a year and a half or two years running for office," he said. "The election is called and the opposition party decides it's going to mount a campaign and you have a concentrated time to focus on that." (Under Britain's parliamentary system, the party with the most votes becomes the ruling party, and that in turn determines who becomes the prime minister).

In Britain, a law known as the Political Parties, Elections and Referendums Act 2000 regulates campaign spending -- anything from party political broadcasts, advertising, rallies and even "issuing disparaging material relating to another party or its candidates," according to the government's website.

In 2010, the parties and their candidates were regulated by time frames: The "long campaign" -- from January 1 to April 12 when Parliament was dissolved â€” and the "short campaign" from the dissolution of Parliament through election day. According to the website, the long campaign had a limit of 25,000 pounds (about $39,000) and 7,150 pounds (about $11,200) for the short campaign.

The ad wars

Television advertising is by far the most expensive item in a campaign's budget. Air time in major markets in key swing states can cost a campaign millions of dollars. Obama spent much of his money in 2008 advertising in large -- and expensive -- markets in battleground states.

The eventual Republican nominee will have to blanket those markets, too.

And that's when big Republican donors will come calling, Bonjean said.

"A lot of wealthy donors are waiting on the sidelines waiting to see who the Republican candidate is going to be to get behind," Bonjean said. "Once that happens it will be very competitive with President Obama."

Bonjean believes that Republicans will be successful in attracting younger voters and small donors this time around -- something Obama capitalized on in 2008.

Boykin said the fear for the Obama campaign is that because the economy is weak and Republicans are eager, if not desperate, to replace him, he has to cover all his bases. He needs the support not only of his liberal base but moderates and independents, too -- and do everything he can to get his message out.

"Part of the problem he has had as president is that despite very effective communication effort as a campaigner, he hasn't been effective in communicating his successes while he's been governing," he said. "And he's going to have to do that more effectively in the coming months."

It's not just TV ads that deplete a campaign's bank account -- it's the entire get-out-the-vote effort.

"I think elections have become more costly because more money is spent on television advertising, on a national campaign infrastructure ... campaign planes, the buses, the whole movement from city to city," Bonjean said.

In countries such as Britain, France, Mexico and Spain, for example, candidates can blanket media markets with less money. And there are restrictions in some countries on how many ads can air.

Big vs. small

Obama's campaign was able to raise $42.8 million between July and the end of September, an Obama campaign aide told CNN. Between the campaign and the Democratic National Committee, they raised more than $70 million in the third quarter. Some Democratic sources had earlier expected the combined total to be $55 million.

Read more on Obama's fundraising numbers

The $42 million figure most likely will be close to or exceed the total raised by all of the Republican presidential candidates together for this quarter. Of numbers released by Republican campaigns before they have to formally submit their fundraising to the Federal Elections Commission, Texas Gov. Rick Perry's campaign said it raised $17 million, former Massachusetts Gov. Mitt Romney's campaign estimated it raised between $11 million and $14 million and Texas Rep. Ron Paul's campaign said it raised around $8 million. Other Republican campaigns did not release their figures ahead of the deadline.

In the second quarter -- running between April and June -- Obama's campaign was able to raise a record-setting $87 million.

The campaign released a list of more than 270 fundraisers --so-called "bundlers"-- who helped bring in at least $50,000 for the campaign and the joint Obama for America-Democratic National Committee victory fund. In addition, 31 people raised more than $500,000 including Hollywood producer Jeffrey Katzenberg, Vogue Editor Anna Wintour and former New Jersey Gov. and U.S. Sen. Jon Corzine.

Bundlers are an integral part of campaign fundraising efforts, since individual donations are limited. While federal election law requires campaigns to disclose the names of donors of more than $250, there is no requirement to reveal the names of bundlers.

Obama was able to rake in a large part of his 2008 campaign funds from a swath of small donors -- most of them young.

This year he is hoping to get those donors back.

Shortly after he announced his 2012 campaign in early April, his staff reported around 23,000 small donors -- who typically give anywhere from $25 to $100 -- gave to the campaign.

"Obama was largely successful at getting small donors through the social media phenomenon created around his campaign," Bonjean said. "Now the Republicans are mimicking that. So I think they'll be much more competitive with that."

Where's it coming from?

Boykin and other activists believe that too many politicians are guided by special interest groups and wealthy donors -- not the average American Joe.

"We have a campaign financing system that is a grotesque way out of touch with reality of the American people," Boykin said. "You have to be wealthy or in touch with the very wealthy in order to get elected to almost any political office -- not just the presidency.

Because of that, corporations and outside groups tend to have a large influence in our elections.

And on January 11, the Supreme Court ruled that big business, unions and nonprofits now have more power to spend freely in federal elections.

A 5-4 conservative majority crafted a narrow overhaul of federal campaign spending. The justices eased long-standing restrictions on "independent spending" by corporations and unions in political campaigns.

Read more about the case

Shortly after the ruling, Obama blasted the decision saying "the special interests and their lobbyists even more power in Washington -- while undermining the influence of average Americans who make small contributions to support their preferred candidates."

Boykin added that there seems to be a concerted effort to protect the corporate interests and the moneyed interests "because those are the people who write the rules."

The past is the past

The Federal Elections Commission has a breakdown of presidential campaign receipts ( in millions of dollars) going back to the 1996 presidential race, that shows how dramatically campaign fundraising and spending has multiplied in a short time:

2004

George W. Bush: $269.6

John Kerry: $234.6

2000

Bush: $95.5

Al Gore: $48.1

1996

Bill Clinton: $42.5

Bob Dole: $44.9

CNN's Kevin Bohn, Bill Mears and Rob Yoon contributed to this report.

@highlight

President Obama is out on the campaign trail raising money for his re-election bid

@highlight

Obama is shooting for hauling in $1 billion for the 2012 race

@highlight

Strategists says this race could be the most expensive one ever