(CNN) -- I have a bright, funny 12-year-old son. He plays a mean game of basketball, loves strawberry banana smoothies and spends way too much time texting on his iPhone. And, if you believe a new study just released, there's a 50-50 chance he'll end up in handcuffs sometime before he turns 23.

A report from the University of South Carolina and the University of Albany released this month in the journal Crime & Delinquency argued that by the time they reach age 23, nearly one in two black males (49%) will have been arrested. And the study doesn't even count arrests in minor traffic violations.

One out of two. And for white males, there is almost a 40% chance they will have been arrested by 23, according to the report. For Latino males, its 44%. Females fare slightly better. By age 23, arrest rates were 20% for white females, 18% for Latinas and 16% black females.

Looking deeper into the study, it showed that for younger boys -- those of any race who have yet to turn 18 -- there is about a one in four chance they'll get arrested.

That is stunning, no matter what race you are.

There are critics of the study who say that methodology is flawed, that "it is more of an experiment about handling missing waves of data from a longitudinal sample than a meaningful study about race, gender and crime," Ivory A. Toldson, an author and Ph.D researcher at Howard University, said in an article on TheRoot.com.

But even if the number is off by half, it's still alarming.

Can you imagine the impact of your young son -- or grandson, or nephew, or cousin or brother -- having to look down the barrel of a police officer's gun, or having his wrists forcibly twisted behind his back and handcuffed in public? And, in many cases, all before he is old enough to vote. Or drive. Or get a job.

Can you imagine how that young boy will grow up to be a man? Can you imagine his feelings toward the police -- many of whom are trying as hard as they can to keep the streets safe -- who put those handcuffs on him? Will he trust them? Will he respect them? Or will he fear them?

Now, can you imagine the difficulties when that same young man goes to get a job? Many employers ask you at the end of that job application form whether you have ever been arrested. These kids will forever have to check the YES box, hoping they get the chance to explain away the circumstances later. But we know most will never make it to the first interview.

The study's author put it in context. "A problem is that many males -- especially black males -- are navigating the transition from youth to adulthood with the baggage and difficulties from contact with the criminal justice system," said Robert Brame, a criminology professor at the University of South Carolina and lead author of the report.

Ours is a society that lives in fear. A society that has created a multibillion-dollar industry based on locking people up. We want our cops to protect us, to confront first, arrest next, then resolve later.

Sure, crime is a real problem in America, although the crime rate has been steadily declining for more than the past decade, according to the FBI. So has the rate of young black men entering accredited four-year colleges, compared to black females and others.

But the unemployment rate among those same young men -- many of whom had to check that YES box on the application -- is still more than twice that of the population at large, according to the Bureau of Labor Statistics.

As a father, I will do everything I can to make sure my son is not one of the 50% who get arrested, but instead among the 50% who don't.

I am determined that my son will do great in school, stay away from the wrong element in the streets and, by 23, will have hopefully graduated from college, gone on to graduate school or started his first job in the real world (and moved out of the house, for sure!)

But it just angers me that, in 2014, I now have to teach him, along with how to tie a tie, how to write a proper resume and how to open the door for a lady, how he must behave when confronted by the police.

Keep your hands at 10 and 2. Don't make any fast moves. Don't talk back. And do what they ask of you.

And maybe, just maybe, you won't end up on your knees, hands behind your back, feeling the cold of the steel around your wrists.

Maybe...

The opinions expressed in this commentary are solely those of Bryan Monroe

@highlight

Recent report says black males have a 50% chance of being arrested by age 23

@highlight

White males have a 40% risk of arrest by same age

@highlight

Critics of the study say methodology is flawed

@highlight

Monroe: What do I tell my son about how to avoid being arrested?