(CNN) -- Soon you won't have to worry about your phone falling in the toilet, tumbling into a puddle or someone inadvertently dribbling coffee into the headphone socket (we've all done it).

British-based firm P2i has developed a "liquid repellent nano-coating" technology -- branded Aridion™ -- that can be sprayed onto a solid surface and, they claim, repel nearly all forms of liquid.

The polymer coating in question is a patented chemical that lowers an object's surface energy, causing liquid to form beads upon contact and roll off without being absorbed.

The chemical itself is a little less than 50 nanometers wide -- that's 1,000 times thinner than a human hair and, suffice to say, completely invisible to the naked eye.

That means once a mobile phone -- or any electronic device -- has been coated, it's still physically indistinguishable from the original.

"You look at it and you can't see any change," explains Stephen Coulson, the chemical engineer who developed the technology. "But when you drop water on it, it will just bead up and drop off. More importantly, the internals will also be protected to prevent corrosion damage."

Like the Internet, GPS and digital photography before it, Aridion™ began life as a military-sponsored innovation -- with a military purpose in mind.

In this case, the British Ministry of Defense were seeking to provide maximum protection to its soldiers' uniforms so they could resist all types of liquid assailants, "not just rainwater, but also chemical nasties like nerve agent," says Coulson.

"We did about a year's research and then found the technology -- which was the eureka moment where we put certain drops of liquid onto fabrics and, rather than being absorbed into it, they rolled off," he added.

Indeed, the research was so successful that the scale by which liquid repulsion is measured immediately required updating, claims Coulson.

"Before we started this research the top end was what was called 'Oil 8' ... We've now had to push that up to 'Oil 10' in order to fully measure all of the treatments we've made ... we're seeing resistance that people have never seen before"

It's a gratifying result for a man who has invested every minute of his professional life perfecting the technology. The first shoots of what would later become known as Aridion™ sprouted in Coulson's research as a PhD student in the 1990s.

The patents were established at the turn of the millennium, but it wasn't until the beginning of 2011 that the technology finally made its way into the kit of Britain's Special Forces.

Now having demonstrated that Aridion can repel almost any type of liquid from almost any type of solid surface and also act, incidentally, as an anti-microbial and flame retardant, you'd assume a host of industry reps would be knocking down the door's to P2i head office in Oxfordshire. But Coulson says it's not been quite so straightforward.

"I think any new technology is a hard sell to start with. You can show the benefits and it's very visual, so that gets you a seat at the table to discuss it, but when you're talking about implementing new manufacturing solutions and technology into mass-manufacturing then you have to convince a lot of people," says Coulson.

"You've got to not only engage with the technical people, the marketing but also the operational and implementation people," he adds.

Having said that, the numbers are starting to tell a different story. P2i has worked closely with Motorola, who have now implemented the technology in 10 million of their latest phones and the polymer is also coating about 60% of the world's hearing aids.

Meanwhile, the company has installed over 100 nano-coating machines within major manufacturing centers around the world and turnover has been doubling every year -- last year hitting $20 million.

"We're also working with all of the top ten mobile phone manufacturers. We've just recently signed TCL Alcatel and we have a number of announcements moving forward," says Coulson.

But mobiles and other electronic goods most obviously vulnerable to liquid corrosion are just the tip of the iceberg as far as Coulson is concerned.

Following the success of its clothes range with the British Army, civilian varieties from your favorite brands will soon be in store. P2i already has deals with shoe-makers K-Swiss, Nike and Adidas.

Coulson argues that there's a fundamental difference between existing waterproof clothes and garments coated with ion-mask™ (effectively the same as Aridion™ but specially tailored for the fabrics market).

"A waterproof jacket in the rain without our technology will provide protection against water coming through it directly -- however the outside material will get wet and start to increase in weight, he explains. "It may also get dirty; you may get staining on there. With the ion-mask™ technology on the outside of that jacket ... it remains the same weight."

Indeed, anything that suffers reduced performance from the effects of liquid intrusion seems to be in Coulson's sights: P2i have even experimented with things like tennis balls, surfboards and the nose cones of Formula One racing cars.

"We see the future as everything being treated with P2i's technology," he says. Only time will tell if it's as watertight a proposition as it sounds.

@highlight

Liquid repellent nano-coating technology prevents water from being absorbed onto surfaces

@highlight

Most popular application so far is within mobile phones and hearing aids

@highlight

The chemical's British-based inventor Stephen Coulson says it could be applied to almost everything