Khumbu Valley, Nepal (CNN) -- Italian climber Claudio Tessarolo has been at Mount Everest base camp for the last 10 days, waiting to find out if his attempt to summit the world's highest peak can go ahead.

He says it's been 10 days of rumors -- 10 days of watching other expedition teams make the difficult decision to leave, one by one.

This morning, he and his team finally decided to pack up and follow them.

"For once, the local people decided about Everest," he says.

I've been climbing towards base camp through the Khumbu Valley for the last five days.

Helicopters have been a constant presence, breaking the beautiful silence that lovers of the mountains treasure.

They carry negotiators to Kathmandu, officials to base camp and climbers back home.

On the ground, I cross paths with yak caravans, ascending empty and descending with full loads.

"Why is everyone leaving?" a German climber asks me. "There is still one month of opportunity before the monsoon arrives."

Despite conflicting reports to the contrary, the mountain is still open.

The government has not issued any prohibition against climbing, releasing a statement on April 24 encouraging expedition teams to go ahead with the season.

But support for this season's climb has trickled away, day after day, since the April 18 avalanche that left 13 guides dead and three missing -- the deadliest accident in the history of the world's highest peak.

A group of about 50 people, mostly Nepali Sherpas, were hit by the avalanche at more than 20,000 feet just above base camp in the Khumbu Ice Fall.

Sherpas, an ethnic group from Nepal's Himalaya region famed for their climbing prowess, aren't officially stopping anyone from attempting the risky journey, though hundreds involved in the lucrative Everest trekking industry have refused to climb.

"Without the Sherpas we cannot climb and there is nothing we can do about it," says Tessarolo.

"We made Everest a circus. This year the Sherpas decided that the show will not go on."

Sherpas open the route on the Nepali side of Everest, through the treacherous Khumbu Icefall.

They fix the climbing lines all the way to the summit of Mount Everest, transport the equipment to make camp, climb next to their clients while carrying their oxygen and food, and rescue those in danger.

Without their assistance, making the long, dangerous journey is nearly impossible for all but the most experienced of climbers.

Everest avalanche: American climber recounts how Sherpa saved his life

Mixed feelings on canceled season

It wasn't a unanimous decision by Nepal's Sherpa to abandon the season -- there's no unanimous motive.

Some don't want to climb because they're in mourning -- a sign of respect for their friends who died in the avalanche and their families.

Others don't want to climb for religious reasons.

The Sherpa spiritual code of conduct, which interconnects humans and nature, has been violated, they say.

To put it simply, the gods are angry.

Some refuse to climb for political reasons: they want better insurance from the Nepal government and scholarships for their children.

Some don't want to climb because of safety: there have been several avalanches reported since the tragedy.

There have even been reports of threats of violence to climbers who try to continue.

It's still possible, according to some reports, to find guides willing to take you to the summit on the northern, Chinese side of the mountain.

But in Nepal the season is looking bleak.

Discovery calls off coverage of Everest wingsuit jump

'How will I convince my wife to let me go away again?'

The Nepal government makes about $3 million from royalties on Everest each spring season.

More than 330 foreign climbers had been given permission to climb Everest over the next couple of months, with an estimated 400 guides helping them, spending between $40,000 and $90,000 each in their attempt to scale the mountain.

The short window, May 15-30, is usually the best time to make an attempt to reach Everest's peak.

As discussions took place on the fate of the Everest season last week, many climbers left base camp to continue their acclimatization process on other mountains in the region.

"When we went back, we found base camp empty," says Bae Young Rok, a South Korean member of the Kyungil University Alpine Club.

"There is nothing we can do but leave as well."

He says the Nepalese government told him his Everest climbing permit will remain valid for the next five years.

"That's fine, but how will I convince my wife to let me go away again for two months?"

One of the reasons an Everest expedition takes so long is the time required for multiple rotations up and down the mountain to help the body adjust to the thin air, says professional climber Alan Arnette (who summited Everest in 2011) on his blog.

"A typical Everest climber will spend 10-15 days sleeping high on the mountain above Base Camp before going on their summit attempt," he says.

"They sleep at ever-increasing altitudes to trick the body into making the necessary physiological changes, especially with respect to respiration, the key to survival at extreme altitudes."

Sherpas seek better employment opportunities

On the route to base camp I meet Tsering Sherpa, who is making his way down from base camp.

"I am ready to climb," he says.

"I want to stand by my clients; it is their decision whether to climb or not."

He says the leader of his team called the expedition off on Monday.

"He told us that the icefall is too risky."

Some teams left earlier out of respect for their Sherpa, many of whom work on climbing expeditions only because they don't have access to better economic opportunities.

They make up to $6,000 per season and usually get a summit bonus if their clients reach the top of the 8,848-meter (29,020-feet) mountain.

It's a stark contrast to what drives the foreign visitors to climb.

"In our time the best job available was climbing; it's not anymore," says Natang Sherpa, who owns the Moonlight Lodge in Namche Baazar, a popular acclimatization village among tourists.

Her daughter is now a medical doctor living in the United States.

"Tourists asked me how long have I been a Sherpa. I am a Sherpa since I was born! Some of us become porters and climbers, most of us, luckily, can avoid it [nowadays]."

Other Nepalese ethnic groups are starting to replace the Sherpa, as they manage to secure better jobs.

Among the 16 people dead or missing in the April 18 tragedy, three are from other ethnic groups.

Mount Everest climbing season up in air after avalanche deaths

Only a handful remain

For the few still hanging on in base camp in the hope of making the summit, their chances get slimmer with each day that passes.

The Khumbu Icefall moves one meter per day: the ladders are lost, the lines broken.

None of the camps on the mountain itself are operative, I'm told, and nobody has reached Camp 3 yet -- one of four camps set up on Everest en route to the summit.

Nobody is left to do the heavy work for the foreign climbers, and most have come to the realization over the last few days that climbing is not a possibility for them.

Until the late 1970s, only a handful of climbers reached the top each year.

The number topped 100 for the first time in 1993.

By 2004, it was more than 300. In 2012, the number was more than 500.

The deadliest year on Everest was 1996, when 15 people died. Another 12 climbers were killed in 2006.

Everest climbers, widower recount deadly traffic jam on top of the world

Journalist Manesh Shrestha contributed to this report.

@highlight

Though Mount Everest remains open, base camp exodus continues as climbers abandon the season

@highlight

Various reasons behind Sherpas' decision to abandon climb following deadly April 18 avalanche

@highlight

South Korean climber says Nepal government will extend his Everest permit, but fears he won't have another chance to return