(CNN) -- Please bear with me as I ask you to briefly use your imagination. Close your eyes. Imagine Machu Picchu at dawn cloaked in fog. Now imagine the fog slowly lifting to reveal an enormous ancient city perched on the edge of a mountain.

Picture a sense of mystery being immersed in thousands of years of history as you walk between antiquated hewn stone structures. There is tranquility in the wind-blown stillness of the primeval site. You feel a renewed sense of kinship with the past and with your ancestors and feel a deep reverence for their lives and accomplishments.

Now imagine the menacing sound of bulldozers closing in and men at work. Their heavy machinery rattles the ground. You hear workers rigging dynamite to these massive stone structures. There is a brief lull and then the deafening blow of multiple explosions as Machu Picchu is razed to the ground.

Be at ease, Machu Piccu is a UNESCO protected site. But a very similar 2,600-year-old Buddhist site in Logar province, Afghanistan isn't so lucky.

This site is called Mes Aynak and is nothing short of awe-inspiring: a massive walled-in Buddhist city featuring massive temples, monasteries, and thousands of Buddhist statues that managed to survive looters and the Taliban. Holding a key position on the Silk Road, Mes Aynak was also an international hub for traders and pilgrims from all over Asia.

Hundreds of fragile manuscripts detailing daily life at the site are still yet to be excavated. Beneath the Buddhist dwellings is an even older yet-unearthed Bronze age site indicated by several recent archaeological findings.

Mes Aynak is set for destruction at the end of December 2012. All of the temples, monasteries, statues as well as the Bronze age material will all be destroyed by a Chinese government-owned company called China Metallurgical Group Corporation (MCC). Six villages and the mountain range will also be destroyed to create a massive open-pit style copper mine.

In 2007, MCC outbid competitors with a $3 billion bid to lease the area for 30 years. MCC plans to extract over $100 billion worth of copper located directly beneath the Buddhist site. Ironically, the Buddhists were also mining for copper albeit in a more primitive fashion.

MCC says they weren't told about the archaeology site's existence until after the contract was signed. Following significant international pressure and perhaps sensing an impending PR nightmare, MCC in 2009 gave archaeologists three years to attempt to excavate the site.

Archaeologists say they need at least 30 years to do the job but had no choice but to accept MCCs brief timetable. Specialists on site are working with extremely limited funding and the crudest of tools.

Afghan archaeologists, who do the majority of the excavation, don't have access to computers or digital cameras and have been sleeping on the floor in a wooden shack when staying on the site overnight.

Today, three teams of international archaeologists led by DAFA, a French archaeological delegation, scramble to save as many relics as they can. These experts are performing rushed rescue archeology, which focuses on removing movable objects and not on preserving structures.

Archaeologists now have less than four months to do three decades worth of excavation. They are also risking their lives daily as locals of Logar Province, angry at the loss of their villages partner with the Taliban to regularly attack both the MCC site and the archaeology location with rockets and land mines.

In July, a Logar worker unearthed a landmine that exploded in his face. Later that month, four Afghan policemen were killed by a landmine on the road leading to the archaeology site.

I am often asked, "Why save it? It is, after all, just another remnant of the past, right?" Wrong.

Mes Aynak is the missing link that shows Afghanistan's interconnectivity throughout Asia on the Silk Road. Afghanistan needs to see the value of learning its own cultural history as too often the country's story is co-opted by the lens of another.

Afghans need to claim their cultural significance in the world for current and new generations. And the findings at Mes Aynak will be the key to doing that.

In addition to Mes Aynak's historical significance, the site is breathtaking to behold in person. I can't help but feel privileged and honored to have been able to set foot inside its ancient walls, to have been able to bare witness to massive Buddhas, many of which are still coated in gold paint overlooking their ancient city.

These statues have miraculously survived looting, survived the intense heat and cold, and survived over three decades of continuous war.

There is a magic to Mes Aynak -- an ability to draw in people from around the world who will risk their lives to save it. I fell in love with this ancient site and will do everything in my power to try to help save it.

It sickens me to know that in a short time this site will be destroyed in the same violent and disrespectful way the Buddha of Bamyan was destroyed. This desecration shows no reverence to culture or religion.

Imagine someone bulldozing your grandparents' graves and blowing up their cemetery. How could the world look away letting such crime happen in the name of capitalism?

Unfortunately, Mes Aynak has gained some powerful enemies. MCC, The World Bank and Afghan ministries all want mining to start ASAP.

In my opinion, they want Mes Aynak to set a precedent -- to be a model for resource extraction of the one trillion dollars plus of valuable minerals like oil, copper, lithium and iron buried underneath Afghanistan.

According to archaeologists that I spoke with, every mining location holds cultural heritage. On every potential mine lies an ancient site like Mes Aynak. So, even worse than the senseless destruction of Mes Aynak, is the thought that this kind of cheap destructive process will be replicated all across Afghanistan.

I often hear talk about mineral extraction being somehow good for Afghanistan, but I promise you this is not the case.

Given the country's out of control corruption there are a privileged few who will see any payout from such endeavors. Afghan citizens have absolutely nothing to gain from this copper mine or any other international extractive industry.

I believe Chinese will bring in their own laborers to manage the mine and Afghans will be given only low level and terribly paid positions working in slave-like conditions.

And I have said nothing about the environmental devastation. Many mining experts have told me the toxic pollution from the mine will likely turn Mes Aynak into a site so toxic that in the future people will be advised against even setting foot on the ground. They tell me this pollution will be permanent, rivers will be polluted and the toxins will travel to other areas -- and the locals have never been educated about these risks to the area.

So not only will Afghanistan lose an ancient site, a key to unlocking its important history, but the country will lose the land and everything living on it. And what happens when Afghanistan needs copper or oil or iron for its own development? Will they have to buy it back from China at inflated rates?

My fear is that in the future Afghanistan will consist of hundreds of these gaping toxic craters and the resources the country needs for its own development will be lost. Afghans will see no benefit. They will suffer from irreversible environmental devastation and the permanent loss of invaluable cultural heritage.

So as a final request I want you to close your eyes once again. Imagine a city-sized toxic crater in the ground where the majestic Machu Picchu once stood. That sight, unfortunately, is the future of Mes Aynak unless we do something to stop it.

@highlight

Huffman says the ancient site will be destroyed by plans to mine the area

@highlight

A Chinese company has permission to create a massive open-pit style copper mine

@highlight

Huffman: Mes Aynak is missing link showing Afghanistan's historic role in Asia

@highlight

He says destroying Mes Aynak is equivalent to wiping Machu Picchu off the map