(CareerBuilder.com) -- The importance of references seems to be a hot topic these days. Employers want to make sure they are hiring the right person for the job; but some thwart the process because checking references can be labor-intensive. On the other hand, job seekers provide references they know will give a glowing report, but employers are getting smarter and finding references you didn't provide.

So, what's the deal? Do references matter? Do employers even check them anymore? What's the protocol for providing them to a potential employer? Who are the best people to include as references? And, if an employer doesn't call any of your references, is it a bad sign?

While the definitive answer to any of these questions depends on the employer, overall, yes, references do still matter. The process has just changed.

"References play a huge role in the hiring process, perhaps now more than ever," said Heather R. Huhman, founder and president of Come Recommended, an online community that connects internship and entry-level job candidates with employers." Oftentimes, hiring managers fall in love with a candidate on paper and then again in an interview, only to find out through a reference check that none of their previous employers would ever hire them again. By checking a candidate's references, hiring managers save themselves the frustration of hiring a person who is not a good fit for a company. In this economy, where hiring budgets are slim, every hire must be a great fit."

Provided references are no guarantee

Though the majority of employers do check references, others skip this step. Not only is it labor-intensive to check references for people who might not be poised for a job offer, but Jack Harsh, adjunct professor at the University of Richmond Robins School of Business, said that many employers worry about the risk of liability in rejecting a candidate based on poor references.

"[Hiring] decisions cannot be based on information that is discriminatory in nature, so to avoid any liability, the checks are forgone," Harsh said. "Sadly, the first reference the employer gets in such cases is from colleagues after employment has begun."

Steve Langerud, director of career development at Depauw University, adds that sometimes, the quality of references is benign.

"Everyone wants to be helpful and supportive to former employees, but in the end, they offer little substance to a new employer," he says. "Legally, they are limited by what they can or want to say about former employees. I think the old formal system of references is dead in most professional fields."

Langerud warns that just because an employer isn't checking personal references the traditional way doesn't mean he isn't checking references at all.

"Employers are more likely to check the informal, but tangible, behavioral reference sources like LinkedIn, Facebook, credit history [or] criminal history than the more subjective references provided by candidates," he said. "Candidates should be much more intentional about crafting a professional identity that serves the role of a 'reference' but within the context of the work, profession and colleagues you seek to engage. It eliminates the weaknesses inherent in the old style of references that become so watered down they are useless."

Making the right choices

The last thing you want to do is give an employer useless references, but many job seekers make the mistake of not taking the time to thoughtfully choose the right people to speak on their behalf, said Elaine Varelas, managing partner for Keystone Partners, an outplacement and talent management consulting firm.

"You want people who can speak to your role as a professional, not as a nice neighbor," Varelas said. "Candidates can make their references count by prepping them to discuss their specific skills as they relate to the job and the impact they brought to the job, which can be just the differentiation needed in this highly competitive market."

Harsh agrees that when he receives a résumé with references attached, he gives them virtually no weight.

"They seldom are specific to the role my company seeks and are not meaningful in considering qualifications or traits of successful candidate," he said.

Finally, when it comes to protocol for submitting references, the process has changed as well. It used to be that applicants sent them in with their other application materials, but now, Varelas says, you should wait to provide references until you are asked.

"Most companies do not want your references until the end of the process and they will let you know when to provide a list of names and contact information. Do not send written references," she said. "These do not offer the highest impact as they are not specific on how you will fit into the job you are pursuing. It is better to spend your time preparing your references for the kinds of questions they will be asked, and what they can do to help you close an offer."

Helpful hints

Harsh, Varelas and Langerud offer these 10 tips to ensure you do everything right when it comes to providing references:

1. Include references only when requested by an employer.

2. Carefully consider whom to provide after discussion with the prospective employer. The time to check references is before an offer is made, but after the candidate is either the final candidate or among the final few for the job.

3. Seek references from people who actually know you and your work. Ask for permission to list them as a reference.

4. Ask directly if they can provide you with a positive reference for the position(s) you are seeking. If they hesitate, move on!

5. Prepare your references about who will be calling them and what to focus on when talking about you. Always ask them to call you after they have been called.

6. Prepare your references to speak consistently about your skills, but not identically. Suggest a different highlight for each person. Have 100 percent confidence in what they will say and how they speak about you, or cross them off the list.

7. Provide accurate contact information about your references, and ask your references how they prefer to be contacted (e-mail, phone, etc.).

8. Let your references know what happens to you and the position(s) you applied for. Thank your references.

9. Prepare a LinkedIn site to demonstrate your skills and interests.

10. Participate in professional blogs to create a history of professional involvement in your field that is independent of your work history.

&copy CareerBuilder.com 2009. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

Refrences still matter these days, but the process has changed on how they are used

@highlight

Often times an employer will use more informal tools like Facebook and LinkedIn, said an expert

@highlight

Make sure to include references only when requested by an employer, and never before

@highlight

Seek references from people who actually know you and your work, not just personaly