Beijing (CNN) -- China conjures various images.

It could be food -- Peking Duck, steamed dumplings and the like.

Or kung fu -- Bruce Lee and his dazzling martial-arts skills or more recently Ang Lee's "Crouching Tiger, Hidden Dragon."

Or the giant pandas -- those cuddly creatures as photographed in the nature reserves or as portrayed in the Hollywood blockbuster, "Kung Fu Panda."

Or Yao Ming -- the other cuddly giant who, until he retired last year, won games and friends in the NBA.

Stereotypical or not, these are some of China's "soft power" resources.

In recent months, China has been on a "soft power" offensive to improve its national image and increase its global influence.

China has hosted the 2008 Olympics and the Shanghai Expo in 2009 -- expensive events which, many experts say, helped enhance the "China brand."

"The Olympics was very much a positive move in improving China's Soft Power," said Scott Kronick, president for Ogilvy PR in North Asia, which advises Chinese and overseas clients. "How the country responded to the Sichuan earthquake was another."

There are long-term initiatives, too, such as the setting up of Confucius Institutes to promote the Chinese language and culture. Akin to Germany's Goethe Institut or the British Council, hundreds of these Confucius Institutes have been established in leading universities and colleges around the world.

"There is a sense that soft power is growing, as more foreigners are aware of China's successes, get exposed more to its culture and have to consider China's views on a whole range of global issues," noted John Holden, Beijing-based adviser at Hill+Knowlton, a U.S. public relations company.

Why China's obsession to project its "soft power"?

Soft power, according to Harvard Kennedy School professor Joseph S. Nye, "is the ability to get what you want through attraction rather than coercion or payments."

Nye cites three ways to affect the behavior of others:

â€¢ You can coerce them with threats, using military power.

â€¢ You can induce them with payments, using economic clout.

â€¢ Or you can attract and co-opt them, using culture, diplomacy and other means and resources.

"The latter is soft power -- getting others to appreciate you to the extent that their behavior is modified," explained Kronick of Ogilvy. "When the first two are exercised judiciously and are combined with the third, they create 'smart power.'"

"The Chinese want to exercise greater soft power," Kronick added. "How they do this is an ongoing challenge and pursuit."

As China becomes richer, modernizes its military and increasingly consumes greater global resources, experts see a growing global concern over China's rise as a global power.

Optimists say China will turn into a benign power. Alarmists warn China is bound to emerge as an Evil Empire.

In a white paper issued in 2005, China outlined its intentions to rise peacefully as a global power.

"China did not seek hegemony in the past, nor does it and will not do so in the future when it gets stronger," the white paper said. "China's development will not pose a threat to anyone; instead it can bring more development opportunities and bigger markets for the rest of the world."

But some public opinion polls show China's soft power offensive remains inadequate.

A survey by the Pew Research Center's Global Attitudes Projects last year noted a significant rise in positive views in a number of countries. However, across the 22 nations surveyed, the U.S. generally received more favorable marks than China.

In the U.S., France, Germany, Spain and Japan, the survey showed, those who see China as the world's leading economic power believed this is a bad thing. Those who named the United States tended to think it is a good thing.

Experts partly blame this on poor communications.

Ahead of China's transition of leadership later this year, China has tightened its control of the media and continued its repression of dissent.

"China hurts itself when it flouts its own laws and international norms on human rights," Holden said. "This tarnishes its image."

"What they do wrong is that they traditionally have had a tendency to only want to project positive news, and this often is seen clouding the truth," Kronick noted.

Zhao Qizheng, the former director of the State Council Information Office and an advocate of public diplomacy, acknowledges the limits of official propaganda.

"For a long time, the international community has been cynical towards the traditional Chinese voice, believing that it's mostly official propaganda with political agenda, so it's not very credible and interesting," Zhao said in a recent online forum.

Zhao admonished ordinary Chinese to engage in public diplomacy. "We Chinese should be good at storytelling, to use soft ways of communications to create the so-called 'China image,'" he said.

Experts -- like James McGregor, a veteran China-watcher and senior counselor at APCO Worldwide, a public relations consulting company -- agree.

"The Chinese students, the emigrants and business people who are scattered around the world -- and the Chinese individuals whom foreigners meet in China -- are the country's soft power. They have many friends and admirers who through them have great affection for the Chinese people, their incredible work ethic and accomplishments," he said.

After 30 years of rapid economic and social changes, China struggles to project an international profile that befits the second biggest economy in the world.

McGregor thinks China's dilemma is more deep-seated and long-term.

"I think the world respects China's economic accomplishments and has great admiration for the Chinese people," he said. "But the Chinese government has almost no soft power in the world. You need a leading ideology that resonates with the world and a system of ethics and governing that people admire. China doesn't have that right now."

@highlight

China on "soft power" offensive to improve image, increase influence

@highlight

Control of media tightening before transition of leadership this year

@highlight

China is now second the second biggest economy in the world