London (CNN)It wasn't messrs Clooney, Pitt and their nine accomplices who sailed down an elevator shaft and cracked open dozens of safety deposit boxes at a London vault during the Easter weekend.

But last weekend's raid in the heart of the city's jewelry  district feels like it has been taken from a movie like "Ocean 11" given its daring and planning.

Such robberies are rare: the gang didn't follow the current criminal trend of manipulating digits in cyber space but instead went back to basics and committed their burglary in a way not seen in London for more than 40 years. In September 1971, the staff of a bank in Baker Street, central London, arrived at work to find that thieves had dug a 40-yard tunnel from a shop they had rented, hauled in a thermic lance and explosives and opened the strong room. The gang got away with a haul worth around £30 million (the incident later formed the basis of the movie "The Bank Job.")

But how are such heists organized? Roy Ramm, a former commander of specialist operations at London's Scotland Yard for 27 years, explains.

In the UK burglaries and robberies are often committed by working-class people, people who would otherwise have blue collar jobs. In more than 25 years as a Scotland Yard detective, I never met a Raffles- or a Thomas Crown-style criminal from a middle-class background who had then turned to the hard side of crime.

Sophisticated heists like the Hatton Garden raid are generally not a natural progression for burglars who began with smaller domestic break-ins. Many neighborhood criminals commit burglaries to feed drugs habits and acquire long strings of convictions that mean they are always on the police radar.  Occasionally, they steal things they can't sell and end up dumping valuable paintings or antiques when they are not able to sell them on quickly.

More specialist criminals -- those, for example, who target museums or country houses -- will be very specific and steal only what they know they can quickly convert to untraceable cash. Many of those who commit the bigger crimes or run major criminal enterprises combine high IQs with a kind of raw street intelligence. One of their skills is the ability to recognize a criminal opportunity when it presents itself, possibly from a source of inside information.

Probably the biggest difference between any heist you'll see in a movie and its real-life equivalent is the motive. I've never encountered any criminal who committed a high value crime just for the challenge or to prove that it could be done. The only reason has been for the money, often to support a certain lifestyle and to fund other criminal enterprises.

Inside information is one way of identifying a criminal opportunity, using people who are able to provide that crucial detail or who will participate in some small way to facilitate the crime.

The Brinks MAT robbery in 1983 -- a case which I was involved in at the time -- saw a criminal gang escape with gold bullion worth more than £28 million (around £88 million -- or $130million -- adjusting for inflation) from a warehouse at London's Heathrow Airport. The Knightsbridge safety deposit robbery of 1987 saw a gang make off with tens of millions of pounds in cash and valuables from an upscale London neighbourhood (the true amount will never be known). Both were made possible by inside information: it's an angle that London detectives investigating last weekend's heist will be looking at very closely.

The planning behind the Hatton Garden raid will have been meticulous. The target will have been observed, perhaps for months, and the thieves will have decided on the right time to commit the crime.  A long weekend or a public holiday are occasions when more time may be available, also perhaps when regular staff are away.

Sometimes the mastermind behind the raid will need a larger team of criminals to do a specific job. Usually they will already be known directly to each other, perhaps because they worked on other jobs together. Possibly a specialist can be brought in by another team member -- but they have to be able to trust each other and trust comes from understanding, so gangs in the UK tend to come from the same social and ethnic group, maybe even limited to one relatively small geographic area. Even though there is more diversity in society, it would be unusual to find a broad ethnic or social mix in the team put together for a major crime.

Vehicles will have been obtained, stolen or purchased for cash and their identities cloned or changed. Equipment will have been sourced. Everything will have been cleaned, cleaned and cleaned again to remove forensic traces.

They will plan routes that avoid CCTV and timings that attract the least attention. They will have untraceable disposable phones and an outside team to warn the inside men of any problems. They will have planned their getaway, their clean-up and how and when they are going to dispose of anything that might link them to the crime scene -- and of course how they are going to sell on the proceeds of their crime.

What criminals steal doesn't vary that much. Cash is probably first choice, followed by anything that can quickly and easily be converted to cash, like gold, jewellery and watches. The conversion of stolen goods to cash is risky and expensive: the Brinks MAT bullion that was traced was because it had been clumsily smelted and then sold on.

Fine paintings and rare antiques are less desirable for experienced criminals -- unless they are stealing to order -- because they are so identifiable and because the black market is so much smaller. A painting may sell at an international auction for millions of dollars but it will only fetch a fraction of its true value from a dishonest collector.

London detectives investigating the Hatton Garden heist will be looking very closely at the possibility of inside involvement. But police enquiries won't stop there. They will look at every aspect of how the target business operates, then try to think like criminals to identify the weaknesses in physical and operational security that the gang may have been informed about or else spotted and then exploited.

The forensic assault on the crime scene will be immense. In recent years forensic science has made major advances in identifying trace evidence and investigators will look for any scrap of evidence that might yield the DNA of a criminal. CCTV footage from street cameras and from inside private premises will be analyzed and vehicle movements logged and cross-checked. Rewards for information will be offered. Witnesses will interviewed.

In the police's criminal intelligence branch, the movements of known criminals will be analyzed and the networks of sources -- informers -- will be tasked to report what they hear. The details of any identifiable goods which have been stolen will be circulated to known markets, both in the UK and internationally.

The detectives investigating these major crimes in the UK see them as an exciting challenge to their professionalism. They don't admire the criminals but they have less contempt for a gang that builds a sophisticated plan and causes no personal harm to anyone than say for a violent robber. But the investigation will still be relentless.

@highlight

Police in London are trying to catch the gang which staged a multi-million heist during the Easter vacation

@highlight

Former police commander: Such crimes require meticulous planning and use of information by criminals

@highlight

The masterminds behind such complicated crimes carefully assemble their gangs with men they can trust