Gold medals are the pinnacle of achievement for the 26 Olympic sports contested at the Games. Athletes get one shot every four years to make history: but time, dedication, guile and application must combine for the opportunity to be seized. Sometimes, however, even this is not enough to be crowned the world's best.

Visualize running the race of your life as part of a four-man relay team, being acknowledged as winners to the world but never receiving the coveted medallion of precious medal. Imagine this happened 12 years ago to a team from a nation that has only ever won two gold medals previously and that, despite the official nature of the result, the wait goes on.

Picture that in the intervening time, between the event and the present day, you have buried one of your teammates, a man who died at the age of 42 without ever touching the gold he rightfully won. This is the story of Nigeria's 4 x 400m runner Jude Monye.

Monye was born in Onicha-Ugbo, Delta State, Nigeria and ran the 400m in 45.16 at his prime at the 1995 World Championships in Gothenburg. His talent was so prodigious as a youth he won a scholarship to train and study in the United States at the University of Mississippi and, after an injury-plagued experience at the Atlanta Games of 1996, then qualified to run for his nation again at Sydney 2000.

And it was in Australia that Monye, running in the Nigerian relay team of Clement Chukwu, Sunday Bada and Enefiok Udo-Obong, reached his zenith of performance on the track.

The greatest

"That relay team was the greatest," Monye, 38, told CNN, at "Nigeria House" a theater close to the Olympic Park in East London, themed in all things west African for the duration of the 2012 Games.

"Previously there had always been a weak member in the relay team, but when myself and Clement joined Sunday, and then Enefiok came into the side, we knew we were strong. We knew something special could happen."

The tale of Nigeria's only gold medal in the 4 x 400m is one as packed with drama as it is delays.

Going into the race,  the Nigerians had reason to feel pleased with their performance so far.  For a nation that had never won a medal in the 400m -- its two other golds came from football and long jump in 1996 -- the team won their semifinal to book a place in lane four.

In lane five, the outright favorites, Team USA: Antonio Pettigrew, Alvin and Calvin Harrison and anchored by one of America's greatest ever sprinters Michael Johnson, who had already taken gold in the individual 400m.

Monye would race the second leg against Pettigrew.

"On the day of the final, I woke up feeling relaxed and thought 'I feel good, let's see what happens.' All the attention from our sports ministry was on the women's team, they were thought to be the big medal hope, nobody really paid attention to us.

"And we only got the fifth fastest time in the semifinals, remember, but we had trust in ourselves. We knew we could deliver."

Nigeria were in fifth when Monye clasped the baton for the second leg. By the final meter, Udo-Obong had dipped his head into second place with an overall time of 2:58.68.

"It was the race of our lives," Monye told CNN. "It's the best 4 x 400m I ever ran, and we still hold the African record."

While the runners from the most populous nation in Africa beat Jamaica to second, the Americans topped the podium and had gold medals draped around their necks, a crowning glory for the team and Johnson -- a winner in the individual 200m and 400m in Sydney -- in particular.But the golds would have a restless destiny.

Dope and displaced gold

In 2004 the International Association of Athletics Federations (IAAF) ruled that Jerome Young, an American sprinter who ran for the States in the 4 x 400 semifinal, had been ineligible to compete, a decision that would see the medals taken from the quartet and the result erased from the record books.

Under appeal, the Court of Arbitration for Sport (CAS) overturned the ruling and allowed the USA to keep their medals, but not for long.

For in May 2008, in the trial of former running coach Trevor Graham, Pettigrew testified he had used performance enhancing drugs (EPO and human growth hormone) under Graham's tutelage during the Sydney Games.

Graham was subsequently sentenced to one-year's house arrest for perjury while Pettigrew suffered a two-year ban from competition.

In the wake of the admission both Pettigrew and Johnson returned their gold medals voluntarily to the IOC in June of that year, before the Olympic Committee confirmed the American abrogation.

Their decision came within a whisker of breaching the "statute limitations" of 8 years, after which there is no legal basis for retrospective change to such results.

"For eight years I could say I was a five-time Olympic gold medalist. Then I had to start saying four-time. It doesn't sound the same," an angry Johnson told British newspaper The Daily Telegraph in July, 2012. Pettigrew committed suicide in 2010.

The golds were no longer in the possession of the USA runners, but they still were far from the Nigerians' grasp.

The long wait ...

Four more years passed -- while the IOC waited to see if any further information would surface from American doping investigations -- before the body's executive board to award the gold medals to the west Africans.

On July 20, 2012 as the IOC convened ahead of the London Games, Nigeria were proclaimed gold medal winners of the Sydney Olympics' 4x400m relay.

Sadly, the decision came too late for Bada, who died suddenly, of a suspected cardiac arrest, in December 2011, after collapsing at the National Stadium in Lagos.

"The day before he died I called him to talk about the medals, so it's sad we've lost him. The IOC should have made this a priority, it's very frustrating," Monye said.

"It was sad we didn't get to hear the Nigerian national anthem during the Olympics, but especially for my friend Sunday. He's not here to get the medal. That in itself is sad."

According to Monye, the three remaining athletes are still unaware of how and when the medals will be given to them.

"I'm disappointed in the IOC and the Nigerian Olympic Committee (NOC). I spoke to the Nigerian sports minister last week and he said to me 'Congratulations Jude, when are you getting your gold medal?' I said 'Sir, you're asking me?' I've heard nothing since.

"It would have been nice to get our medals in the stadium in London, but I'm not sure this has happened in the Olympics before. This is very rare, so there is no protocol."

In response the IOC told CNN in a statement: "The presentation of the medals falls under the remit of the NOC, we suggest that you contact the Nigeria Olympic Committee directly for further details."

When CNN did, Tunde Popoola -- the Secretary General of the Nigerian Olympic Committee said: "We cannot respond to the questions raised at this time."

Though doubt remains over when Monye, Udo-Obong and Chukwu will receive their coveted prize, the meaning it will have to those involved and a nation of avid athletics fans does not.

"Nigeria loves the Olympics especially track and field, it would mean so much for the country. The medal could now be dedicated to Bada and we're hoping his son could pick up the medal for him instead."

@highlight

Nigeria's 4 x 400m team were awarded victory when Team USA's gold was rescinded

@highlight

Antonio Pettigrew, of Team USA, admitted doping during the Sydney Olympics in 2008

@highlight

The Nigerian athletes have still yet to be given their gold medals won in 2000

@highlight

Former 400m runner and member of Nigerian relay team Sunday Bada died in 2011