Thomas Eric Duncan left Africa for the United States, by official accounts, a healthy man. But within days after his arrival in Texas, things changed for him, for the worst.

So who is Duncan, besides the first person to be diagnosed with Ebola in the United States? When did he start to feel sick, and what happened to him next? And who did he come in contact with, in the meantime?

Your #EbolaQandA questions answered

Who is Thomas Eric Duncan?

He is a 42-year-old Liberian citizen, said a friend who knows him well but asked not to be identified because of the sensitivity of his case. Duncan's Facebook page indicates that he's from the Liberian capital of Monrovia, where he attended E. Jonathan Goodridge High School.

Why did he come to the United States?

To visit family and friends, according to the friend, who noted this was Duncan's first trip to America. Centers for Disease Control and Prevention director Thomas Frieden has said that Duncan was "staying with family members who live in this country."

Duncan was visiting his son and his son's mother in Dallas, according to Wilfred Smallwood, Duncan's half-brother.

When did Duncan leave Liberia?

He departed the West African nation on September 19, Frieden says.

How did he get Ebola?

Authorities haven't said.

Witnesses say Duncan had been helping Ebola patients in Liberia. Liberian community leader Tugbeh Chieh Tugbeh said Duncan was caring for an Ebola-infected patient at a residence in Paynesville City, just outside Monrovia.

The New York Times reported Thursday that Duncan had direct contact with a pregnant woman stricken with Ebola on September 15, days before he left for the United States. Citing the woman's parents and Duncan's neighbors in Monrovia, Liberia, the newspaper said Duncan had helped carry the ailing woman home after a hospital turned her away because there wasn't enough space in its Ebola treatment ward.

A CDC spokesman told CNN on Wednesday that he hadn't seen the newspaper's report and couldn't comment.

Was he screened for Ebola before getting on the plane?

Yes, according to Binyah Kesselly, board chairman of the Liberia Airport Authority.

"The first screening was at the gate, before you get to the parking lot. The second time is before you enter the terminal building and the third is before you board the flight. At every point your temperature is scanned."

His temperature at those checkpoints was a consistent 97.3 degrees Fahrenheit, Centers for Disease Control and Prevention chief Thomas Frieden told reporters Thursday.

On a health screening questionnaire, Duncan answered "no" to questions about whether he had cared for a patient with the deadly virus and whether he had touched the body of someone who died in an area affected by the disease, Kesselly said.

Complete coverage on Ebola

So where did he go next?

Authorities believe he was on two United Airlines flights -- Flight 951 from Brussels to Washington Dulles and Flight 822 from Washington Dulles to Dallas-Fort Worth -- during his trip, according to a spokesperson for the airline who did not want to be named. Passengers on those flights are not in danger, the spokesperson said.

The airline is voluntarily reaching out to passengers on those flights, an airline source said.

When did his Ebola symptoms appear?

"Four or five days" after his trip, according to the CDC's Frieden.

This doesn't mean that Duncan actually got infected with Ebola in the United States. The incubation period for the virus is two to 21 days, meaning that a person could be infected with the disease for up to three weeks before he or she show any signs of it.

When he did seek medical help?

After 10 p.m. Thursday, September 25. That's when Duncan first walked into Texas Health Presbyterian Hospital Dallas, according to a statement Wednesday. (A hospital official had earlier said that he'd gone to the hospital Friday.)

His friend said that Duncan had a fever and vomiting during this first visit to the Dallas hospital. The hospital, in a statement Wednesday, said he had a "low grade fever and abdominal pain."

He underwent basic blood tests but wasn't screened for Ebola, said Dr. Edward Goodman from the Dallas hospital. Duncan left the medical facility after being given antibiotics and a pain reliever, his friend said.

"His condition did not warrant admission," the hospital said. "He also was not exhibiting symptoms specific to Ebola."

Were flags raised that Duncan might have Ebola?

After being asked by a nurse, Duncan did say that he'd traveled from Africa, said Dr. Mark Lester, executive vice president of Texas Health Presbyterian's parent company.

But that detail -- which might have raised an alarm that Duncan might have Ebola, since Liberia is one of the countries hardest hit by the virus -- was not "fully communicated" to the medical team, according to Lester.

When was he admitted to Texas Health Presbyterian Hospital?

On Sunday.

The friend -- frustrated and feeling hospital staff wasn't doing enough -- then reportedly called the CDC about Duncan's case. The CDC told the friend to call Texas' Department of Health, with the message eventually getting to the hospital.

This description, however, runs counter to what Texas Health Presbyterian said in its statement Wednesday. By the time Duncan arrived via ambulance, "EMS had already identified potential need for isolation," the hospital said. "The hospital followed all suggested CDC protocols at that time."

Who did the patient come into contact with in the meantime?

Given the timetable outlined by Frieden, that leaves a few days between when Duncan began to show signs of Ebola and when he was hospitalized. This is significant because someone with Ebola is only contagious when they are symptomatic. And, obviously, there are more safeguards to prevent infection in a medical environment than outside of it.

Health officials are reaching out to as many as 100 people who may have had contact with Duncan, a spokeswoman with the Texas Department of State Health Services said Thursday. These are people who are still being questioned because they may have crossed paths with the patient either at the hospital, at his apartment complex or in the community.

"Out of an abundance of caution, we're starting with this very wide net, including people who have had even brief encounters with the patient or the patient's home," spokeswoman Carrie Williams said. "The number will drop as we focus in on those whose contact may represent a potential risk of infection."

The number of direct contacts who have been identified and are being monitored right now is "more than 12," a federal official told CNN on Thursday. "By the end of the day, we should have a pretty good idea of how many contacts there are," the official said.

That number includes five students who attended four different schools in the area, according to Dallas Superintendent Mike Miles.

Three students were also pulled from an elementary school in the Richardson Independent School District on Thursday after health officials determined they may have been in contact with Duncan.

They have no symptoms, but "have been removed from school in order to be monitored," the school district said.

It's not known yet whether they or anyone else got Ebola, which only spreads through contact with infected bodily fluids, because of Duncan. This includes members of the ambulance crew that transported him to the hospital; none of had shown symptoms, Dallas Mayor Mike Rawlings said Tuesday.

How is Duncan doing?

"All right," according to his friend, who has spoken with Duncan frequently. "He is in pain."

The friend, who talked with Duncan as recently as Wednesday afternoon, said that Duncan hasn't eaten in a week. Texas Health Presbyterian Hospital spokeswoman Candace White said that Duncan is in serious condition at her Dallas hospital.

@highlight

United Airlines is reaching out to passengers on flights with the patient

@highlight

Thomas Eric Duncan, 42, is the first person diagnosed with Ebola in the United States

@highlight

Duncan had a fever, was vomiting when he went to a hospital; he was sent home

@highlight

Liberian man was admitted to the same Dallas hospital, isolated days later