(CNN) -- Hours before 22 U.S. embassies and consulates were to close for a day, President Barack Obama met with top security leaders Saturday to review the situation that led to the unprecedented move.

A U.S. global travel alert remained in place amid fears that al Qaeda may launch attacks in the Middle East, North Africa and beyond in coming weeks.

The threat prompted the United States to announce that 22 facilities would be closed on Sunday, including in Yemen, which was a focus of concern.

Obama met Saturday with his White House chief of staff, Secretary of State John Kerry, Secretary of Defense Chuck Hagel, as well as the heads of Homeland Security, the National Security Agency, the FBI and CIA, the United Nations and the Joint Chiefs of Staff.

On Saturday, the security around the U.S. embassy in Yemen was even tighter than last year when the embassy was raided by protesters. At least 12 tanks were stationed within 500 meters of the building.

Hundreds of additional security forces were deployed, and roads leading to the embassy were closed. Checkpoints were set up at a distance from the embassy, and trucks weren't allowed to pass anywhere near the main embassy road.

Yemen's special forces, the most elite, were seen in small numbers near the embassy, as well.

Meanwhile, Britain, France and Germany have said they, too, will close their embassies in the Yemeni capital, Sanaa, on Sunday and Monday for security reasons. No other embassies are affected, they said.

Neither Italy nor Spain -- which has no embassy in Yemen -- planned to close any of their embassies.

The U.S. embassies closed on Sunday -- a day they would normally be open -- stretch across a swath of North Africa and the Middle East, from Mauritania to Oman. Bangladesh and Afghanistan, both majority Muslim nations, also are affected.

The U.S. government's actions are in response to growing intelligence that shows a potential for attacks in Yemen and elsewhere in the Middle East and North Africa, said U.S. officials who spoke to CNN on condition of not being identified.

Official: Security tightened in Yemen

"The threat appears to be much worse than it has (been) in a long time," said a senior national security official in Yemen, where the government is "on high alert against possible attacks in the days to come."

Various Western targets -- not just those tied to the United States -- are under threat, two U.S. officials said.

Three sources said the United States has information that members of al Qaeda in the Arabian Peninsula are in the final stages of planning for an unspecified attack.

One of the sources said such preparations appeared to have increased in recent days with the approaching end of the Muslim holy month of Ramadan. Sunday is Laylet al-Qadr, or the Night of Power, one of the holiest moments on the Muslim calendar.

Said one U.S. official: "It all leads us to believe something could happen in the near future."

What's behind timing of terror threat

Christopher Hill, a former U.S. ambassador to Iraq, told CNN he had never seen embassy closures ordered across such a broad area.

"There have been incidents where they've closed down a number of embassies in the Middle East because the information is not specific enough to say that 'embassy X' got to be closed as opposed to other embassies," said Hill, who joined the U.S. Foreign Service in 1977.

"But I think this, closing all of these embassies in the Middle East to North Africa, is in fact unprecedented. At least, I didn't see this during my career."

'Leave Yemen now'

U.S. officials said that, based on intelligence, they were particularly concerned about the U.S. Embassy in Yemen between Saturday and Tuesday. President Barack Obama, amid regular updates on the situation, has directed officials to take all appropriate steps to protect Americans.

A White House official said the president was updated Saturday morning by Lisa Monaco, his assistant for homeland security and counterterrorism.

Obama, who departed for Joint Base Andrews to play golf, is being updated through the weekend, the official said.

He praised Yemeni President Abdo Rabu Mansour Hadi for his country's efforts following a meeting Thursday at the White House.

The UK Foreign Office has also warned its citizens against travel to Yemen, and urged British nationals to leave as soon as possible.

"If you don't leave the country now while commercial carriers are still flying it is extremely unlikely that the British government will be able to evacuate you or provide consular assistance," it said.

Photos: Attacks on U.S. diplomatic sites

It was unclear whether the apparent plot targets that Arabian nation or one elsewhere -- which is why the travel alert applies so broadly, and why embassies from Bangladesh to Libya are being closed. Nor is the expected time of an attack known, which explains why the U.S. travel alert extends through August.

"Terrorists may elect to use a variety of means and weapons and target both official and private interests," the alert states. "U.S. citizens are reminded of the potential for terrorists to attack public transportation systems and other tourist infrastructure."

New York Rep. Peter King, a member of the House Intelligence Committee, called the information "the most specific I've seen."

While the principal attention is on the Arabian Peninsula, he stressed to CNN's Wolf Blitzer that "we can't rule anything out."

"We are focused on the Middle East, but it's a potential series of attacks that really could be almost anyplace," King said.

22 embassies, consulates ordered closed

The State Department listed the 22 embassies and consulates that are closed Sunday, which is normally the start of the work week in the countries affected.

The 17 affected U.S. embassies are in Afghanistan, Algeria, Bahrain, Bangladesh, Djibouti, Egypt, Iraq, Jordan, Kuwait, Libya, Mauritania, Oman, Qatar, Saudi Arabia, the United Arab Emirates, Sudan and Yemen. The U.S. Embassy in Israel will be closed as normal Sunday.

See the whole list

Consulates in Iraq, Saudi Arabia and the United Arab Emirates are also being shut for the day. Embassies and consulates in the region typically close or operate with minimal staff on Fridays and Saturdays.

The shutdowns could extend beyond Sunday, a senior State Department official said.

Retired Gen. James Mattis -- who until earlier this year was head of U.S. Central Command, responsible for a 20-country area that includes the Middle East -- said the decision to close the embassies underscores the reality of the threat and the wisdom of U.S. policymakers.

U.S. embassies have been targeted before in places such as Yemen, Turkey and Tanzania, he pointed out. Moreover, al Qaeda in the Arabian Peninsula is one of the terrorist network's most active and most destructive branches.

"We have to remember that we're up against an enemy who kills indiscriminately -- whether it be women, children, diplomats -- and our embassies ... have been one of the targets," Mattis told CNN on Friday.

Referring to the move by U.S. officials, he said, "They are showing some proactive discretion here, making certain that we don't give the enemy an opportunity that we can deny them."

Meanwhile, Canada shuttered for one day its diplomatic mission in Bangladesh on Saturday.

Questions, concerns after Benghazi

House leaders have been briefed, Democratic leader Nancy Pelosi told reporters, adding that the travel alert and embassy closings provided "some understanding of the seriousness of the threat."

King, who has also heard such briefings, applauded the government's decision to close its diplomatic missions.

"I give them credit," the Republican said of the Obama administration. "I think the government is doing exactly the right thing here."

Such bipartisan agreement in Washington comes at a time when politicians are still scrutinizing the September 11, 2012, attack on the U.S. consular compound in Benghazi, Libya, which killed four Americans, including Ambassador Christopher Stevens.

Since then, Republicans have been pressing Obama's administration for answers, with some accusing officials of covering up what happened in Benghazi and not doing enough to track down the attackers.

Eight GOP lawmakers are asking that incoming FBI Director James Comey brief Congress within 30 days about the investigation. They say the administration's inquiry to date has been "simply unacceptable," according to a draft letter obtained by CNN.

Earlier this week, Vice President Joe Biden and senior State Department officials went to Congress to discuss embassy security.

Biden also briefed congressional leadership, key committee chairmen and ranking members about the latest threat concerns, a source who attended the meeting said.

Another official said the recent intelligence might not have warranted such a response before the Benghazi attack, which created a political firestorm for the administration.

On Thursday, State Department spokeswoman Marie Harf said the agency was taking the steps out of an abundance of caution.

CNN found embassy attack suspect before FBI

CNN's Greg Botelho, Michael Martinez, Jill Dougherty, Dana Bash, Evan Perez, Gloria Borger, Jim Acosta, Elise Labott, Mohammed Jamjoon, NuNu Japaridze, Bharati Naik, Karen Smith, Laura Smith-Spark and Hakim Almasmari contributed to this report, which was written by Tom Cohen in Washington.

@highlight

NEW: 22 U.S. embassies, consulates are closed

@highlight

NEW: President Obama meets with committee of security heads to review the situation

@highlight

The State Department issues a global travel alert on possible al Qaeda attacks

@highlight

Sources say al Qaeda is in final planning stages of unspecified plot