(CNN) -- After almost 17 years in prison, this was it: This was The Moment.

Gloria Killian's murder conviction had been overturned. Carrying a small bag of her belongings, she walked out of prison as a free woman.

Only ex-prisoners can fully know the emotions that overtake someone during such a moment. It's a mix of two feelings: joy -- for surviving their ordeal -- and fear about the challenges they surely will face in the outside world.

For Killian's friend Joyce Ride, then in her late 70s, picking up Killian was also very emotional. "Seeing her walk out was a really great joy," Ride told CNN, recalling that day in 2002. "It was like a load was lifted off my shoulders."

The two women noticed a crowd of inmates and visitors had gathered to watch this magic moment. Suddenly the inmates started waving goodbye.

The sendoff was sort of a thank-you note. "Gloria was very popular," Ride said. Killian had used her education as a former law student to perform legal work for some of the inmates.

Killian settled into Ride's passenger seat and Ride steered toward the exit. "We did a lap around the parking lot to wave back at them," said Ride.

Half an hour later, the two friends enjoyed a meal at an Italian restaurant, where Killian savored her first glass of wine since 1986. For someone sentenced to 32 years to life, it was a sweet victory following a hard-fought journey.

"I'm annoyed by injustice. Profoundly annoyed," Ride said. "This was clearly an injustice."

Six suitcases of silver

It all started in 1981, when Stephen DeSantis -- disguised as a phone repairman -- entered the home of elderly coin collector Ed Davies and his wife, Grace, in suburban Sacramento, California. According to the Ninth U.S. Circuit Court of Appeals, DeSantis tied up the couple and was joined inside the house by his cousin Gary Masse. Ed Davies was shot and killed. His wife was also shot, but survived. The cousins stole six suitcases of silver.

After an anonymous phone tip accused Masse and DeSantis, police went on the hunt. "When officers attempted to find Masse, they encountered his wife, Joanne, who told the officers that a woman named Gloria planned the robbery," appeals court documents said.

Killian was a former law student in her 30s who'd never been in trouble with the law. Masse's wife told police her husband had met Killian through a mutual friend, according to Killian's book, "Full Circle." Police questioned Killian and held her without bail for about four months.

She told police she was innocent and had never met Masse, and was released for lack of evidence. Then, without warning a year later, police locked Killian away again without bail. Masse had suddenly told authorities that Killian was the crime's mastermind.

For a time, the death penalty loomed over Killian, but in 1983 the California Supreme Court changed the rules regarding the execution of accomplices to murder. That ruling made Killian eligible for bail until her trial began, more than two years later.

Although Masse implicated Killian at the trial, his cousin DeSantis had testified at his separate trial that "Killian was not involved in the crime in any way and that he had never even met or heard of Killian," according to court documents.

But the jury believed Masse's story and convicted Killian on charges of murder, robbery and conspiracy. She was locked up at the California Institution for Women prison at Chino.

'She probably wasn't a criminal'

It wasn't until the early 1990s that Joyce Ride came to the rescue.

She was visiting women inmates as a member of Friends Outside, one of many nonprofits across the nation that help inmates and their families cope with incarceration and transitioning to and from prison life. By supporting prisoner visits by friends and family members, Friends Outside says, it reduces stress among prisoners, preventing despair and unhealthy behavior.

Ride had already raised two daughters as a California housewife. One had grown up to become a Presbyterian minister. The other, the late Sally Ride, had become NASA's first woman astronaut.

A nun who volunteered by visiting women in jail inspired Ride to learn more about why so many women who are victims of domestic abuse end up in prison. After her husband died, Ride began dedicating many of her days to visiting incarcerated women. "It interested me," she said.

Ride's younger daughter, the minister, understood. But it confused her astronaut daughter. "Sally couldn't figure out why I was visiting prisons," Ride said. Compared to her work at NASA, she said, "it was a whole other world."

It was pure coincidence that Joyce Ride met Killian in prison. They hoped to work together to help women inmates who had suffered from domestic violence.

"Gloria had a good sense of humor and we just got along very well," Ride remembered. After about a year of visits, "it dawned on me she probably wasn't a criminal. So I asked her why she was there."

Killian told Ride her story.

Ride was convinced Killian was innocent. She felt that she had to do something.

Despite Killian's objections, Ride started financing a private investigation and legal battle that eventually would win Killian's freedom.

"I was willing to be stubborn and do what it takes," Ride said. "Of course when I started out I didn't know what it was going to cost." The decade-long battle cost Ride about $100,000. She sold stocks to raise money for Killian's defense and had to pay taxes on that income, she said.

Ride's private investigator, Darryl Carlson, uncovered a damning piece of evidence:

It was a letter that proved the prosecution's star witness, Masse, had struck a deal. In exchange for leniency, Masse testified that Killian was the master planner of the home invasion and murder.

Killian's prosecutor had never shared that letter with Killian's lawyers during the original trial.

Read the prosecutor's letter

In hopes of overturning the conviction, Killian's lawyers used this and two other letters to appeal to the U.S. Ninth Circuit Court of Appeals.

Circuit Judge Michael Daly Hawkins wrote that the letters "exposed Masse's motivation to lie and tended to show that he did lie." The letters made Masse's testimony worthless and "without it, there was no case," Hawkins wrote.

Hawkins noted that one of the other documents discovered by Killian's team was a letter Masse "wrote to the prosecutor shortly after Killian's trial in which he emphasized that he 'lied (his) ass off on the stand' for the government."

Read the official transcript of Masse's letter

Read the opinion of the Ninth U.S. Circuit Court of Appeals

Eventually, prosecutors dismissed the charges against Killian.

The ordeal was over.

But not before Killian had spent nearly two decades behind bars.

Housemates

In 2008, State Bar of California prosecutors brought "prosecutorial misconduct" disciplinary charges against the prosecutor, Christopher Cleland. The court ruled Cleland was "culpable of failing to disclose exculpatory evidence (one letter) to the defense..." As a result, the court determined Cleland should receive an "admonishment" â€” which is considered neither discipline nor exoneration.

Read the California State Bar Court's decision

Now, a dozen years after her release, Killian and Ride are still supporting each other as the best of friends -- sharing Ride's home in Claremont, California.

"All of Gloria's relatives died while she was in prison," Ride said. "So, when she got out, I offered her a place to stay." They've recently taken in a third housemate, a woman Killian befriended in prison.

In the decade since her release, Killian has raised money to help women prisoners. She has founded an advocacy group, the Action Committee for Women in Prison. She also tells her story on the speaking circuit.

At age 90, Ride isn't stopping either. She's still volunteering and visiting inmates.

"Prisoners are persons like the rest of us, and they've made mistakes," Ride said. "I think prisoners need friends on the outside."

For Killian, having that friend made all the difference in the world.

Ride says America should do more to support the nation's prison population. What do you think? Share your thoughts in the comments.

@highlight

Joyce Ride's $100K probe overturned a murder conviction

@highlight

Gloria Killian served nearly 17 years for murder; eventually, charges were dismissed

@highlight

Private eye finds jaw-dropping proof of a plea deal for testimony

@highlight

Ride, mom to the late astronaut, volunteers to befriend prisoners