When can a government kill its own people?

The straightforward question has anything but a simple answer, especially for the government of a nation founded on inalienable rights to life, liberty and the pursuit of happiness.

Monday's news that the Obama administration is considering a military hit on an American terrorist raises anew the issue of what justifies such a step, according to both the law and the public conscience in an era of political, social and technological evolution.

"America's legitimate claim of self-defense cannot be the end of the discussion," President Barack Obama said last year when he announced new guidelines on drone strikes that target enemies for killing. "To say a military tactic is legal, or even effective, is not to say it is wise or moral in every instance.  For the same human progress that gives us the technology to strike half a world away also demands the discipline to constrain that power -- or risk abusing it."

The American Civil Liberties Union contends the administration abuses its power, particularly when it comes to drone strikes that have targeted foreigners and in some cases, American citizens.

"Even in the context of an armed conflict against an armed group, the government may use lethal force only against individuals who are directly participating in hostilities against the United States," the group says on its website. "Regardless of the context, whenever the government uses lethal force, it must take all possible steps to avoid harming civilian bystanders. But these are not the standards that the executive branch is using."

Here are questions about what the government is doing, with explanation of why and arguments against:

1)            What does targeted killing mean, and how widespread is it?

After the September 11, 2001, terrorist attacks on the United States, a traumatized nation responded with new laws that greatly expanded the government's power to fight terrorism.

Wars were launched in Afghanistan and then Iraq, and the national intelligence system expanded to new capacity disclosed in last year's classified leaks by former National Security Agency contractor Edward Snowden.

Part of the expanded powers included legal authorization to target terrorists defined as enemies of the state -- people determined to be fighting a war against America.

The CIA and the military have used drones and covert missions to take out such targets, including drone strikes that killed U.S. citizen Anwar al-Awlaki, a wanted terrorist, and three other Americans.

Unofficial estimates based on reports by human rights groups and media accounts indicate the Obama administration has carried out hundreds of drone strikes that have killed hundreds and perhaps thousands of people, including terrorists and civilians, in an escalation of the practice started by the Bush administration.

Most have occurred in Afghanistan, but others have taken place in countries where no ground war was occurring including Yemen, where al-Awlaki and the two other Americans died in 2011.

2)            Is it legal for the government to target and kill people?

In his May 2013 speech at the National Defense University, Obama proclaimed the practice completely legal.

"Under domestic law, and international law, the United States is at war with al Qaeda, the Taliban, and their associated forces," he said. "We are at war with an organization that right now would kill as many Americans as they could if we did not stop them first.  So this is a just war -- a war waged proportionally, in last resort, and in self-defense."

Critics, however, say the government oversteps the legal boundaries of the Constitution and international law, particularly by making decisions on targeted killings in secret without going before any court.

"The result is that the public remains in the dark about how exactly U.S. policy governing targeted killings is operating, under which legal authorities, and who exactly are its victims," said a letter to Obama in December from nine rights groups.

Hina Shamsi, who directs the ACLU's National Security Project, told CNN that the Obama administration was "fighting hard" to prevent a judicial review of the strikes that killed al-Awlaki and the other Americans, including the terrorist's 16-year-old son.

Until allegations in classified documents can be assessed in court, she said, the question of whether they amount to real evidence remains unanswered.

Shamsi called the U.S. actions "one of the most extreme and dangerous forms of authority that the executive branch can claim -- the power to kill people based on vague and shifting legal standards, secret evidence and no judicial review even after the fact."

In 2010, a federal judge in Washington noted the government would need permission from a federal court to wiretap al-Awlaki, but that no such court process existed in order to kill him.

Rejecting an effort by al-Awlaki's father to block his son's possible extrajudicial killing, U.S. District Judge John Bates called it "somewhat unsettling" that a president could -- for national security reasons -- make a unilateral decision to kill a U.S. citizen overseas and the decision would be "judicially unreviewable."

3)            Even if it is legal by the letter of the law, is it morally or politically right?

Obama has insisted his responsibility as commander in chief to protect Americans from attack justified targeted killings like the drone strike on al-Awlaki.

In his speech last May, he rejected targeting an American citizen without what he called "due process," meaning adherence to full legal procedures. Then he explained the reasoning for the al-Awlaki hit two years earlier, before the expanded policy guidelines he was announcing.

"When a U.S. citizen goes abroad to wage war against America and is actively plotting to kill U.S. citizens, and when neither the United States, nor our partners are in a position to capture him before he carries out a plot, his citizenship should no more serve as a shield than a sniper shooting down on an innocent crowd should be protected from a SWAT team," Obama said, citing al-Awlaki by name.

"I would have detained and prosecuted Awlaki if we captured him before he carried out a plot, but we couldn't," Obama continued. "And as President, I would have been derelict in my duty had I not authorized the strike that took him out."

Shamsi, who argued the ACLU's federal court case seeking judicial review of the strikes on al-Awlaki and two other Americans, contended that the government has failed to adhere to the oversight it set up for targeted killings.

"Policy restrictions are well and good, but the administration appears to have gone well beyond them based on the investigate reports of human rights organizations and media accounts," she said Monday.

4)            Does it work?

Ever the politician, Obama argued forcefully last year that targeted killings were a necessary tool in the expanding battle against international terrorism.

"Dozens of highly skilled al Qaeda commanders, trainers, bomb makers and operatives have been taken off the battlefield," he said. "Plots have been disrupted that would have targeted international aviation, U.S. transit systems, European cities and our troops in Afghanistan.  Simply put, these strikes have saved lives."

Critics, including congressional Republicans, argue the President's anti-terrorism strategy, which in many ways extended programs and practices started after the 9/11 attacks under the Bush administration, have failed to effectively curtail al Qaeda.

Asked last week at a congressional hearing if al Qaeda was stronger or weaker today than before the 9/11 attacks, Director of National Intelligence James Clapper struggled to find an answer before conceding the terrorist network now was more widespread and therefore more difficult to combat.

At the same hearing, House Intelligence Committee Chairman Mike Rogers argued that tighter restrictions on targeted killings announced by Obama in last year's policy speech had weakened the government's fight against terrorism.

"Today, individuals who would have been previously removed from the battlefield by U.S. counter-terrorism operations for attacking or plotting to attack against U.S. interests remain free because of self-imposed red tape," the Michigan Republican said, adding that "the President's May 2013 policy changes for the U.S. targeted strikes are an utter and complete failure, and they leave Americans' lives at risk."

However, the criticism by Rogers differs from Shamsi's accusation that the administration fails to adhere to the stated policies of increased oversight and following due process. Rogers complained that the problem involved confusion over the U.S. policies.

5)            Is it worth it?

To Obama, the need to take out war enemies supersedes the potential political fallout at home and abroad over drone strikes and other targeted killings.

He argued last year that doing nothing would invite "far more civilian casualties" by terrorists targeting U.S. cities as well as foreign strongholds in Yemen, Afghanistan, Somalia and elsewhere.

"Remember that the terrorists we are after target civilians, and the death toll from their acts of terrorism against Muslims dwarfs any estimate of civilian casualties from drone strikes," he argued, saying that "doing nothing is not an option."

Obama also contended the drone strikes were less risky than conventional weapons or "boots on the ground" in terms of collateral damage and broader political repercussions.

"It is false to assert that putting boots on the ground is less likely to result in civilian deaths or less likely to create enemies in the Muslim world," he said, referring to unpopular U.S. military incidents of recent decades. "The results would be more U.S. deaths, more Black Hawks down, more confrontations with local populations, and an inevitable mission creep in support of such raids that could easily escalate into new wars."

On the ground, though, drone strikes that kill civilians evoke rage and resentment against the United States that can breed more anti-American activism. To Shamsi, the threat also is to core American values back home.

"There's enough credible reporting about tragic wrongful killings and mistakes having been made," she told CNN. "It helps neither the security of the United States nor the victims of its policies, because in the end, long-term national security depends on our real commitment to our laws and our values."

@highlight

Sources: the Obama administration is considering a strike on a U.S. terror suspect

@highlight

Under President Obama, drone attacks have killed four Americans

@highlight

Obama announced more oversight of targeted killings, but critics say little changed

@highlight

The ACLU calls for judicial review of strikes that killed al-Awlaki and others