(CNN) -- Anti-Semitism, arguably the most enduring and murderous ethnic prejudice in human history, has always adapted to the prevailing social, political and technological conditions.

In our global age of international flows and world politics and communication, anti-Semitism has become global, and it is in no small measure due to digital technologies: the Internet and satellite television. Anti-Semitism now reaches vast parts of the world where there are no Jews. And the people who rely most on the Internet, the young, are the most innocent and susceptible to believing the prejudices they come across.

Digital technology has become a game changer for anti-Semitism, and for prejudices and hatreds in general, including against African-Americans.

Never before has prejudice toward Jews been so widely present around the world in places where the hated people are present and especially where they don't even live, as a Pew Global Attitudes Survey of 24 countries reveals. Jews form .2% of the world's population, with the vast majority in just two countries, Israel and the United States. Yet in Europe, where Germans and many other Europeans slaughtered 6 million Jews in the Holocaust, a shocking amount of anti-Semitism still exists.

Across the Arab world there is almost uniformly poisonous anti-Semitism, including instances of Arab leaders, imams, and ordinary people saying that Jews are the children of apes and pigs. More amazing is that in Latin America, sub-Saharan Africa, and Asia, anti-Semitism is widespread. Fifty percent of Brazilians, 43% of Nigerians, and 55% of Chinese surveyed by Pew said they had an unfavorable opinion of Jews, even though in Brazil Jews form .05% of the population, and in the other countries there are barely any Jews at all. Even in the United States, where anti-Semitism is lowest among major countries, according to the Anti-Defamation League's index of anti-Semitism, "15 percent of Americans fall in the most anti-Semitic cohort."

Digital technology has critically contributed to the explosion of anti-Semitism in five ways:

While before a person had to be personally exposed, through people or perhaps a book, to vile characterizations of Jews, today anti-Semitism is prominently available everywhere anytime -- to those seeking it out or to the innocent person just looking for information. Typing "Jew" into Google or Bing returns a top site (sometimes No. 2) called JewWatch, which is a vast emporium of anti-Semitic accusations and hatred claiming 1.5 billion pages in support of its mission to defame and eliminate Jews and their supposed power. This is but one of tens of thousands of anti-Semitic hate sites, which include a growing alternative to Wikipedia, called Metapedia, which seeks to create (currently in 18 languages) an anti-Semitic informational universe.

Second, while before new anti-Semitic accusations and initiatives traveled slowly if at all, today they can spread like wildfire over entire regions or the world, picked up by news or community websites coursing through the Internet and beamed to viewers on national, regional, or international television networks. This can be true of blood libels such as that Jews harvest Palestinian organs, of alleged plots to conquer and colonize Patagonia, or--more routinely--false accusations of Israeli atrocities. It is true of the frequent speeches by political and religious leaders urging the annihilation of Jews.

Third, you now have for the first time international and virtual communities of anti-Semitic hatred. Through digital technology, anti-Semites find validation from and communion with anti-Semites elsewhere in their own countries and around the world. Everything we know about prejudice shows that when it is shared in communities, and especially when political or religious leaders openly express hatred of a group, such bigotry is powerfully sustained and spread.

Fourth, the Internet and digital technology has integrated different streams of anti-Semitism into a global anti-Semitic amalgam. Muslim anti-Semites adopt anti-Semitic Christian motifs (to win Christians to their cause), regularly depicting in speeches and political cartoons the Palestinians as the modern crucified Christ! Leftist anti-Semites, neo-Nazi anti-Semites, old fashioned Christian anti-Semites, and, of course Arab and Islamic anti-Semites share common cause in their demonization of Israel.

Fifth, digital technology has also lifted all anti-Semitic restraints. With the anonymity of the Internet, and with the total lack of anti-Semitic inhibition coming from the Arab and Islamic worlds -- its commonplace demonizing and dehumanization characterizations of Jews and calls for the extermination of Jews around the world -- what anti-Semites say and see as thinkable action goes well beyond, in ferocity and murderousness, even Nazi Germany's profoundly anti-Semitic discourse. Not just the Jews of Israel but Jews everywhere are endangered.

Digital technology has transformed anti-Semitism into an essential part of the substructure of prejudice around the entire world. To become inundated with it, all you have to do is, innocently or not, enter the word "Jew" into your browser, and then start clicking.

But this surge in anti-Semitism also shows the way to combating it, by using legal means and political pressure to get Internet providers, social media sites and search engines to adhere to their own terms of usage, and to the laws of democratic countries -- especially forceful in Europe -- which prohibit hate speech.

The opinions expressed in this commentary are solely those of Daniel Jonah Goldhagen.

@highlight

Daniel Goldhagen: Internet, other technology contributing to new spread of anti-Semitism

@highlight

He says many sites promote hatred of Jews, reaching nations with very few Jewish citizens

@highlight

He says Pew study shows rise in anti-Jewish attitudes in Asia, Europe, Latin America, Africa

@highlight

Goldhagen: Internet providers, social media, search engines must cut off hate speech