Boston, Massachusetts (CNN) -- In a stunning upset that reshaped the U.S. political landscape, Republican Scott Brown won Tuesday's special election in Massachusetts for the U.S. Senate seat formerly held by liberal Democrat Ted Kennedy.

Brown defeated Democrat Martha Coakley, the state attorney general.

Brown's victory made real the once unthinkable prospect of a Republican filling the seat held by Kennedy, known as the liberal lion, for almost 47 years until his death due to brain cancer last August. Before Kennedy won the seat for the first time in 1962, his older brother John held it for nearly eight years until his election as U.S. president in 1960.

"This really does change everything, you know that?" said Mitt Romney, the former GOP governor of Massachusetts who introduced Brown at his victory rally.

Share your thoughts on the election results

Voters across Massachusetts braved winter cold and snow for an election with high stakes -- the domestic agenda of President Obama, including his top domestic priority, health care reform.

Brown's victory strips Democrats of their 60-seat Senate super-majority, needed to overcome GOP filibusters against future Senate action on a broad range of White House priorities. Senate Democrats needed all 60 votes in their caucus to pass the health care bill, and the loss of one seat now imperils generating that support again for a compromise measure worked out with the House.

"Forty one, forty one," chanted the crowd at Brown's rally, referring to his new status as the Senate's 41st Republican. Brown, a state senator until now, heralded his victory as the start of more election surprises in 2010.

No Republican had won a U.S. Senate race in Massachusetts since 1972, and Democrats control the governorship, both houses of the state legislature, and the state's entire congressional delegation.

"When there's trouble in Massachusetts, rest assured there's trouble everywhere, and they know it," Brown said of the Democratic Party.

Republican leaders sounded a similar theme, saying Americans were fed up with what they called Democratic arrogance in Washington.

"Americans are investing their hopes in good Republican candidates to reverse a year-long Democrat trend of ignoring the American people on the issues of health care, spending and the growth of government," Senate Minority Leader Mitch McConnell, R-Kentucky, said in a statement.

The seat vacated by Kennedy's death is currently held by his former aide and longtime friend Paul Kirk, who was appointed on an interim basis.

Obama called Brown and Coakley on Tuesday night, and a White House statement said the president "told Sen. Brown that he looks forward to working with him on the urgent economic challenges facing Massachusetts families and struggling families across our nation."

Massachusetts Secretary of State Bill Galvin said last week that certifying Tuesday's election results could take more than two weeks -- potentially enough time to allow congressional Democrats to pass a final health care bill before Brown is seated.

But multiple Democratic sources said that is unlikely. Even if House and Senate Democrats could reach a deal to meld their bills and pass them in the next couple of weeks, there would be a huge outcry from not only Republicans, but also an increasingly distrustful public if they appeared to be rushing it through.

Galvin had predicted as many 2.2 million of the state's 4.5 million registered voters would vote -- at least double the turnout from December's primary. In one sign of high interest, more than 100,000 absentee ballots were requested ahead of the election, according to Brian McNiff, Galvin's spokesman.

Coakley was initially expected to easily win the race to replace Kennedy, who made health care reform the centerpiece of his Senate career.

Until recently, Brown was underfunded and unknown statewide. Waging a nationally backed campaign that included driving his pickup around the state, Brown surged in the weeks preceding Tuesday's vote and led in all the final polls.

In a sign of the high stakes involved, the Coakley campaign held an afternoon news conference Tuesday to complain that voters in three places received ballots already marked for Brown.

McNiff confirmed that the secretary of state's offices received two reports of voters saying they received pre-marked ballots. The suspect ballots were invalidated and the voters received new ballots, McNiff said.

Kevin Conroy, the Coakley campaign manager, said the "disturbing incidents" raised questions about the integrity of the election. In response, the Brown campaign issued a statement criticizing Coakley's team.

"Reports that the Coakley campaign is making reckless accusations regarding the integrity of today's election is a reminder that they are a desperate campaign," Daniel B. Winslow, the counsel for the Brown campaign, said in the statement.

Obama had been "surprised and frustrated" by the race, White House Press Secretary Robert Gibbs said Tuesday.

Obama and former President Bill Clinton hit the campaign trail in the final week in an attempt to save Coakley's campaign, which observers say was hampered by complacency and missteps.

Obama crushed Sen. John McCain in Massachusetts in 2008, beating the GOP presidential nominee by 26 points.

"If you were fired up in the last election, I need you more fired up in this election," Obama urged a crowd at a Coakley campaign rally on Sunday.

Vicki Kennedy, the late senator's widow, called on state Democrats to turn out to save her husband's legacy.

"We need your help. We need your support. We need you to get out there and vote on Tuesday," Kennedy said. "We need you to bring your neighbors. We need you to bring your friends."

Brown, who has trumpeted his 30 years of service in the National Guard, hewed to traditional GOP themes in his victory speech. He promised to back tax cuts and be tough on terrorists, and to oppose Obama's health care overhaul effort.

"People do not want a trillion dollar health-care plan that is being forced on the American people," Brown said.

Brown said his victory defied "the odds and experts" who predicted that the Senate seat held by Democrats for more than 50 years would not change hands.

Instead, independent voters who outnumber registered Democrats and Republicans combined in Massachusetts strongly supported Brown.

"Tonight, the independent majority has delivered a great victory," Brown said, later adding: "What happened here in Massachusetts can happen all over America."

Facing the possibility of Coakley's defeat, Democrats were trying to figure out whether they could pass a health care overhaul without that crucial 60th Senate vote. But top White House aides publicly insisted they were not engaging in any talk of contingency plans because they thought Coakley would win.

Two Democratic sources in close contact with the White House told CNN on Monday that they'd urged the administration, in the event of a Brown victory, to push House Democrats to pass the Senate's health care bill as currently written. Doing so would prevent the plan from having to be taken up by the Senate again.

"I think the Senate bill clearly is better than nothing," House Majority Leader Steny Hoyer, D-Maryland, said Tuesday.

A third option would be for Democrats to revisit the idea of trying to push health care through the Senate with only 51 votes -- a simple majority.

But to do that Democrats would have to use a process known as reconciliation, which presents technical and procedural issues that would delay the process for a long time. A number of Democrats are eager to put the health care debate behind them and move on to economic issues such as job creation as soon as possible this election year.

Senate Democrats could also try again to get moderate GOP Sen. Olympia Snowe of Maine to vote for a compromise health reform plan. Multiple Democratic sources, however, have said they think that is unlikely now.

CNN's Jim Acosta, Dana Bash, Kevin Bohn, Ed Henry, John King, Suzanne Malveaux, Shawna Shepherd, Jessica Yellin, Kevin Bohn, Alan Silverleib and Tom Cohen contributed to this report.

@highlight

Republican Scott Brown upsets Martha Coakley to fill Ted Kennedy's seat

@highlight

Win leaves Democrats without crucial 60th Senate vote needed for health care overhaul

@highlight

Brown's platform includes backing tax cuts, being tough on terrorists