(CNN) -- It is one of the iconic modern cinema scenes: Mena Suvari, as Angela in Oscar-winning "American Beauty," stretches her arms wide as she basks in a sea of floating rose petals during one of Lester's (Kevin Spacey) frequent fantasies.

But when Senegalese photographer Omar Victor Diop set out to recreate the provocative sequence for his latest project, finding a bed of red roses proved difficult. Undeterred, Diop found the solution by using a plant wall inside the hotel where the shoot was taking place.

"The creative process of this series itself is very similar to the way African contemporary creation often takes place," says Diop. "We often have to tweak concepts and styles from around the world and adapt them to our context, while preserving their original feel."

That series is "Onomolliwood," a dazzling collection of images in which Diop and Antoine Tempe, a Senegal-based French-American photographer, revisited several Hollywood classics to give an African take on some of cinema's most iconic moments.

The two artists merged their passion for aesthetics and performance art to offer a collection of striking images infused with flowing swirls of color, vivacious textures and dynamic characters.

"I wanted to imagine what these movies would look like if they were conceived and shot in Africa," explains Diop.

Read this: Artists' road trip across Africa

Completely self-taught, the 33-year-old is a newcomer to Senegal's creative scene. He started experimenting with cameras on the streets of Dakar in 2010, at a time when he was still working in corporate communications for a multinational.

But much to his surprise, Diop's first conceptual project, the futuristic "Fashion 2112," was selected the following year to be showcased at Bamako Encounters, Africa's premier photo exhibition.

After that, Diop decided to fully pursue his passion for photography. He quit his job last year and quickly started building an eclectic body of work that spreads from conceptual art to fashion photography and portraits.

CNN's African Voices spoke to Diop about revisiting cinema classics and the transition from the corporate world to art.

CNN: "The Matrix," "American Beauty" and "Frida" are just some of the famous films featured in the Onomolliwood series. What was the inspiration behind the project?

Omar Victor Diop: I worked on this project with French-born American photographer Antoine Tempe after an invitation by the Onomo Hotel Group. We thought that actually using cinema as a general theme would be a way for our respective creative universes to meet because cinema involves fashion and aesthetics, but it also involves an important performance dimension.

We started working with the movies we liked, the movies that had influenced us. I remember watching in the 1980s the same movies as the young people of Paris and New York and maybe Bangkok. At the end of the day we're all the same young people regardless of where you were born and where you were raised and somehow I wanted to show this also through the choice of movies in the series.

CNN: Is part of your artistic goal to show the modern side of Dakar and Senegal?

OVD: Yes, and it's not even about the new Africa, it's just that because of globalization and the internet the modernity of Africa has sort of accelerated. But even back in the 1980s, when I was just a kid, I can tell you that Dakar was very modernized and international.

Another advantage we had was that we were open to not only the Western world but the entire world -- we had African cultural content, Asian content, Chinese or Indian movies. It's just a shame that all of this, especially the urban life of the 1980s, is not documented.

Read this: Photos show Congo in new light

So when I think about creating a new series I always make sure that not only the current Africa but also the one I grew up is somehow portrayed. I believe it's the responsibility of a photographer to not only conceptualize but also come up with some work that can be used as a reference in the future as a history document.

CNN: How is it working as an artist in Dakar today?

OVD: It's very exciting being part of the creative scene in Dakar right now. I think the period we are living in is a breakthrough, in the sense that there is a sustained and growing interest for "another Africa." Also, African artists are now aware that they can communicate to the world, and speak about and for themselves. It's terrific when you realize that you can actually write your own history as you live your passion.

CNN: What kind of themes fascinate you?

OVD: I am very interested in movement; movement of the human body but also of the fabrics, outfits and styles that are used to embellish the body. Even in my fashion photography I always make sure that there is a movement that is captured, and that tells a story.

I'm also interested in the aesthetics of the 1970s and the 1980s, especially in Africa, and I always try to recreate that with the use of colors and styling references.

And I'm also interested in personalities; that's why I've started a series of portraits called "The Studio of Vanities." The reason behind it was that I wanted to somehow pay homage and also document the youngest generation of Dakar's cultural entrepreneurs -- I'm convinced that many of these people are going to be very successful and are going to bring a lot of great things to the cultural sector in the next few years.

CNN: How was the transition from the corporate world to becoming artist?

OVD: I quit my job a year ago; it was a quite bold decision that scared many people around me because being an artist was not considered as a valid option. I come from a family where my mum is a lawyer and my dad is a chartered accountant -- both of them having very senior jobs throughout their careers -- and I attended top schools that were very advanced and quite expensive. With the money my family invested in me, of course you can imagine my mum being quite devastated, but I now have their full support.

@highlight

Senegalese photographer revisits cinema classics to give an Africa twist

@highlight

The Matrix, Frida, among the movies he re-imagined

@highlight

Omar Victor Diop's work focuses on art and fashion

@highlight

His other work includes portraits of Africa's contemporary creative minds