(CNN) -- The U.S. government pleaded Saturday for North Korean authorities to release 85-year-old Merrill Newman, with a spokeswoman saying officials are "deeply concerned" about him and another American being held in the isolated East Asian nation.

"Given Mr. Newman's advanced age and health conditions, we urge (North Korea) to release Mr. Newman so he may return home and reunite with his family," said National Security Council spokeswoman Caitlin Hayden.

Washington's plea came on the day North Korean state media released print stories and video showing what they called Newman's "apology." University of California, Berkeley professor Steven Weber characterized it as "highly scripted political theater."

So how did an elderly retired financial consultant and Korean War veteran become the central figure in an international dispute? Why is there such animosity still tied to a conflict, the Korean War, that ended six decades ago? And why is this all unfolding now?

Weber, a former consultant to the U.S. Commission on National Security, has a theory: "They are trying to get the Western media to pay attention."

With the notable exception of its longtime ally China, North Korea is in many ways a pariah state bogged down by what many view as decades of repressive leadership. At the same time, the communist nation has had difficulties getting enough energy to power their country and food for their people.

Largely shut off from the rest of the world, its leaders and state media often use saber-rattling rhetoric to unite citizens against what Weber described as "nasty outsiders" -- which, not coincidentally, are chiefly South Korea and the United States, just as during the Korean War.

The discord in recent years has centered mostly on North Korea's nuclear and missile programs, with the international community taking punitive measures such as economic sanctions to hold Pyongyang in check.

North Korea hasn't been alone. Iran, too, has long been an international target because of its nuclear program, though that landscape has changed with the recent diplomatic accord.

That fact may not be lost on Pyongyang, said Weber, who surmised North Korea may be particularly eager to get the world's focus and, ideally, concessions in the process.

Added Weber: "If the Iran thing gets settled peacefully, then guess who's left?"

Wife, son beg for his release

Elderly man not only American detained

Newman is not the only American being detained in North Korea. In her statement, Hayden also asked for the release of Kenneth Bae, who was arrested in November 2012 in North Korea.

Last May, Bae was sentenced to 15 years of hard labor after North Korea's government found him guilty of "hostile acts" and attempts to topple the government.

"We are thankful that the White House has advocated for the release of both Mr. Newman and my brother, Kenneth Bae," said Terri Chung, Bae's sister. "It has been a devastating experience for my brother and my family, so we pray every day for his release. Now we're including Mr. Newman in our prayers. We cannot forget about these two men. For every action that the US government takes toward his release, we are thankful."

Chung has said Bae suffers from chronic health conditions that require doctors' care, including hypertension, diabetes and an enlarged heart. On Monday, Chung said ailments her brother suffered before his detainment -- back problems and radiating leg pain -- worsened while he was forced to work long hours daily in a labor camp. He has lost 50 pounds since he was detained, she added.

The Bae family has been in "sheer pain and agony" since his detainment, Chung said.

Other detained Americans

Unique case

Newman's age, and the circumstances surrounding his detention, are unique.

According to his family, the Palo Alto, California, resident had gone on a 10-day organized private tour of North Korea in October. From phone calls and postcards he sent, the trip was going well and there was no indication of any kind of problem, son Jeff Newman said.

The day before he was to leave, "one or two Korean authorities" met with Newman and his tour guide, the son added. They talked about Newman's service record, which left "my dad ... a bit bothered," according to Jeff Newman.

Then, just minutes before his Beijing-bound plane was set to depart Pyongyang in late October, he was taken off the aircraft by North Korean authorities.

Newman's weeks-long detention is complicated by the fact that, according to his son Jeff, he suffers from a heart condition.

Sweden's ambassador to North Korea visited Newman on Saturday where he is being held at Pyongyang's Yanggakdo Hotel and delivered his medication, his family said.

"As a result of the visit, we know that Merrill is in good health," the family added. "Merrill reports that he is being well treated and that the food is good."

The Newmans went on to thank the ambassador and "express appreciation for the cooperation of the DPRK government in allowing the visit to take place."

"We are asking that the DPRK authorities take into account his health and his age and, as an act of humanitarian compassion, allow him to depart immediately for home," the family said. "All of us want this ordeal to end and for the 85-year-old head of our extended family to be with us once more."

Reported apology: 'I have been guilty of big crimes'

Until Saturday, the North Korean government hadn't said why it held Newman.

American accused of spying issues 'apology'

The explanation came in the form of a published apology from Newman, as well as accompanying images of him thumbprinting his handwritten note and talking about his experiences.

Atop the first of the four pages is the word "apology," according to video released by North Korea. The end of the last page is dated November 9 -- indicating Newman made his reported admission more than 20 days ago. Why might Pyongyang have waited 21 days, then, to make the admission public? That's another one of the mysteries surrounding this case.

In the note, Newman talked about his having advised the Kuwol Unit, part of the "intelligence bureau" fighting against Pyongyang in the Korean War. He detailed how he commanded troops to collect "information" and wage various deadly attacks.

"After I killed so many civilians and (North Korean) soldiers and destroyed strategic objects in the DPRK during the Korean War, I committed indelible offensive acts against the DPRK government and Korean people," Newman said, according to the "apology" reported by KCNA.

The reported message also touches on his return 60 years later to North Korea, admitting that he "shamelessly ... had a plan to meet any surviving soldiers and pray for the souls of the dead soldiers."

"I have been guilty of big crimes against the DPRK government and the Korean people again," Newman adds in the "apology."

His statement ends: "If I go back to (the) USA, I will tell the true features of the DPRK and the life the Korean people are leading."

In addition to this statement, KCNA ran a story alleging Newman came to North Korea with a tourist group in October and afterward "perpetrated acts of infringing upon the dignity and sovereignty of the DPRK and slandering its socialist system."

This story claimed that Newman tried to "look for spies and terrorists who conducted espionage and subversive activities against the DPRK."

Investigators determined that, as a member of the U.S. military, he "masterminded espionage and subversive activities ... and, in this course, he was involved in the killings of service personnel of the Korean People's Army and innocent civilians."

"The investigation clearly proved Newman's hostile acts against the DPRK, and they were backed by evidence," the KCNA story added. "He admitted all his crimes."

Is American man a bargaining chip?

Newman's fate, North Korea's thinking unclear

Just five days ago, his wife, Lee, said she hoped he would be home for Thanksgiving.

"We need to have Merrill back at the head of the table for the holidays," Lee Newman told CNN's Wolf Blitzer. "And we ask -- respectfully -- for them to release him and let him come home."

One day before Thanksgiving, Rep. Charlie Rangel -- who himself was wounded fighting in the Korean War -- released a letter urging North Korean leader Kim Jong Un "to release him immediately." Noting Newman's medical issues, the New York Democrat implored Kim to "have the heart to reunite him with his loved ones and those who can provide proper care."

Rangel also reflected on the 1950s war, as well as the current state of affairs between the key players.

"I believe that Mr. Newman, like myself and others who have fought during the Korean War six decades ago, wants to see a united Korea in our lifetime," wrote the congressman. "While progress has been slow on the political front, I am confident it can be advanced on humanitarian grounds."

So will there be fresh movement in Newman's case? Will his reported apology pave the way for his release or will it be followed, like Bae, with a lengthy prison sentence?

As of Saturday, nobody -- at least nobody outside of North Korea -- seems to know.

As Weber, the Berkeley professor said: "When it comes to North Korea, nobody knows very much."

CNN's Chelsea J. Carter, Ashley Killough and Nancy Baker contributed to this report.

@highlight

Merrill Newman was detained in North Korea in October, after a trip to the Asian nation

@highlight

State news said he "apologized" for crimes, including killings during Korean War

@highlight

Family of another detained American thanks the White House for seeking their release

@highlight

An expert says that North Korea is trying to get the world's attention