(CNN) -- As the "B" in BRIC (one of the world's fastest-growing economies alongside Russia, India and China), Brazil may very well owe its force to an emerging business and technology district in the heart of Sao Paulo, centered around an upscale avenue called Luis Carlos Berrini in the neighborhood of Brooklin.

The modern buildings of Morumbi in Brooklin line the Marginal highway along the Pinheiros River.

"There's been a transformation from a sleepy outpost in Sao Paulo to perhaps the city's most dynamic area in terms of new growth, new buildings and new companies," observes Bill Hinchberger, the founding editor of Brazilmax, an online travel guide to Brazil.

Of course, this transformation didn't happen overnight. Development began in the 1930's, from a quaint rural outpost to a middle-class residential neighborhood of predominantly single-family, chalet-style homes of German and British expatriates, alongside a favela.

The commercial growth of Brooklin -- named after the now-defunct New York trolley-car line which terminated in that neighborhood -- began with the general movement of banks from Rio de Janeiro to Brazil's biggest city near the country's newly established (yet diplomatically dull) capital of Brasília in 1960.

In the following decades, more brands and businesses moved over from Rio to Sao Paulo, hotels took over vacant lots, and the favela was razed to make way for more office buildings.

While residential (as well as dining and nightlife) development has been slow to develop in comparison, the influx of outsiders and renewal of generations has resulted in a stimulating mix of new residents and commuters.

"Since the development of the late 1990's, Berrini is becoming the fourth downtown of Sao Paulo, after Centro, Paulista (a symbol of the 20th century city) and Faria Lima [in neighboring Pinheiros]," says Hinchberger, who lived in Brazil from 1986 to 2008, most of that time in Brooklin.

Today, the region around Avenida Berrini hosts a quorum of high-technology multinational firms and their executives, including AT&T, HP, LG Electronics, Microsoft, Nokia, Oracle, Philips, Samsung, Sun Microsystems, and even Coca-Cola and Pepsi.

But perhaps more telling is the shift of headquarters of Brazil's largest and internationally renowned media conglomerate, Globo, from its traditional home in Rio to its new stronghold in Brooklin, Sao Paulo.

Other Brazilian media and IT giants such as Terra Internet and Abril have also set up shop on Avenida Berrini, with a slew of software start-ups filling in the side-streets.

So is Berrini set to be Brazil's own up-and-coming Silicon Valley?

"I think it's overblown to call it a Silicon Valley," responds Hinchberger.

"Brazil has a problem in terms of IT with fairly restrictive laws on the importation of hardware, which just makes everything more expensive. The price of any computer is about twice as much as in the U.S. Even local manufacturers don't charge cut-rate prices, because they know they can get a free ride [on the market rates]."

But if general access to hardware hinders distribution, Hinchberger agrees that software for Web and mobile development is soaring.

This should come as no surprise, given that Brazil is the world's fifth-largest country in both area and population, and ranks fifth worldwide in number of mobile phone and Internet users.

Mobile mecca

With a population of 190 million, Brazil registered over 152 million mobile phones (of which 3.2 million 3G devices) as of February 2009, resulting in a market penetration rate of 80 percent, according to the Brazilian telecommunications portal Teleco.

Teleco also reports that Brazil's four major carriers -- Vivo, TIM, Claro and Oi -- together hold 91 percent of the market.

And let us not forget, Sao Paulo is the world's fourth-largest city, as well as Brazil's biggest and richest megalopolis.

Among the foreign companies with their foot in the door of this exploding online and mobile market is the year-old start-up Nimbuzz -- headquartered in the Netherlands, with its first overseas office in Sao Paulo -- which offers a free, mobile solution for instant messaging, VoIP calling, file sending and social networking through existing platforms.

"Nimbuzz is located about five minutes from Avenida Berrini," says Marcelo Calbucci, Nimbuzz's Brazilian marketing analyst.

"Many direct-to-consumer companies (D2C), operators, Internet companies and general technology companies are located around Berrini, so the location has helped in meeting new opportunities and building business relationships more frequently, with companies that relate directly to Nimbuzz's core business."

But while some 152 million Brazilians may have a mobile handset, a staggering 80 percent of them use a pre-paid phone card, making the public's investment in mobile services a challenge.

Nimbuzz, however, remains optimistic about evolving mentalities, as the company's Berrini branch focuses on shifting Brazilians' already buzzing online activity to their handheld devices.

"The online social habits of the Brazilian population match Nimbuzz features, mainly with Orkut and MSN, but with good participation also from Skype, Facebook, Twitter, MySpace and others," says Calbucci.

Just around the corner from the Nimbuzz office is Brasigo, another year-old start-up, which offers an online space for Brazilians to interact and share with each other, beginning with a user-generated question-and-answer service.

Like Nimbuzz, the company may be starting small, but unlike global models such as Yahoo! Answers, Brasigo has the advantage of being born and raised in Brooklin.

@highlight

Avenida Berrini in Brooklin, Sao Paulo, is Brazil's up-and-coming high-tech hub

@highlight

Commercial transformation began with economic shift to Sao Paulo in 1960's

@highlight

Berrini is home to both foreign and local multinational brands and software start-ups

@highlight

Brazil has an exploding mobile-phone penetration rate of 80 percent