Vershire, Vermont (CNN) -- Armed with a law degree, an SUV that serves as a mobile office and her own harrowing personal history, 58-year-old trucker-turned-lawyer Wynona Ward navigates the back roads of rural Vermont.

Her mission: to aid victims of domestic violence.

Ward is the founder of Have Justice Will Travel, a group that works to end the generational cycle of abuse by giving free legal representation and support services to isolated -- and often desperate -- low-income people and their children.

"For domestic violence victims in rural areas, it can be very devastating," Ward said. "They're out there on these back roads, with no access to in-town services. Many do not have telephones; some do not have a driver's license or automobile. So we go to them."

Do you know a hero? Nominations are open for 2010 CNN Heroes

In 1991, Ward was a 40-year-old truck driver with no college degree. She was also harboring a past full of horrific sexual and physical abuse. Then, one phone call from a family member changed everything.

"My husband and I were driving a tractor trailer unit across the country and [learned that] a child in my family revealed that she had been abused by my brother," Ward said. She says the same child had been sexually abused by her grandfather -- Ward's father -- years before.

"I knew what she was going through. It took me back to my own childhood where I was abused in a very similar way. I just said, you know, I've got to go home. This can't happen anymore."

Ward's own childhood was marked by extreme poverty, violence and abuse. Her father raped her before she was 3, and the abuse continued throughout her childhood, Ward said. Her father also beat Ward's mother and siblings.

"When my father sexually abused me, it was very traumatic," Ward said. "But what was much more traumatic for me was when I watched him beat my mother, choke my mother, throw things at her.

"Many times, I wondered why she didn't die, because the abuse was so bad."

Ward said that this type of in-home abuse is not uncommon in many rural areas and that not only is it generational, it's also frequently ignored -- and often unreported.

"Very often, when the neighbors heard screaming coming from our home, they just turned their heads. And when we heard screaming coming from their homes, we turned our heads, too, because it was an accepted way of life."

School was Ward's salvation and safe harbor. A good student, she began dating a classmate named Harold at age 13. She left home at 17, married Harold when she was 18, and tried to put her past behind her.

But when the recurring pattern of sexual abuse surfaced in her family again, Ward was moved to action.

"I decided I was going to go and hang all the sex offenders that there [were]," Ward said. "But instead, I learned that I could be more helpful working in family law, where women and children really needed the help and where I could be there for them on a daily basis."

Ward became a volunteer victim's advocate and worked with her family members to convict her brother for abusing the child in her family. Along the way, she realized she had a passion for law.

At 44, Ward became the first person in her family to graduate from college. She went on to Vermont Law School, graduating when she was 48.

"At that point in time, I didn't feel 48," she said, laughing. "I was just ready to go to work."

With the help of a grant, Ward established Have Justice Will Travel at her kitchen table. Since 1998, the group has provided nearly 10,000 victims with legal and social services.

"[We] work with these women so they can become strong and independent and self-reliant and be able to support themselves and their children," Ward said.

Ward works closely with victims' advocacy groups to help provide a "complete package," including shelters, hot line information, housing, clothing and legal support. Her group's services include transportation to and from court hearings and free legal representation.

Ward divides her time among client visits, grant-writing and fundraising. She sees hundreds of clients each year, driving more than 30,000 miles annually in her truck -- which is equipped with a radio, scanner, cell phone, computer and printer. Some of her clients don't have electricity. Driving herself into the most remote areas of Vermont, Ward said she's been able to reach victims who otherwise wouldn't have access to support services.

Asked what keeps her going, Ward said, "I think about my mom sitting at our kitchen table, trying to figure out how to make the last 10 cents last to feed us all.

"[Have Justice Will Travel] would have ... said to my mother, 'Yes, you are being abused, and it is not OK. You do not have to put up with this. You do not have to be a submissive wife. And you do not have to put up with having someone beat you. We can help you. We can help you to get out.'"

Want to get involved? Check out the Have Justice Will Travel Web site and see how to help.

@highlight

58-year-old trucker-turned-lawyer helps victims of domestic violence

@highlight

Her own past full of horrific abuse spurred her to create Have Justice Will Travel

@highlight

Since 1998, the group has provided nearly 10,000 victims with legal and social services

@highlight

Do you know a hero? Nominations are open for 2010 CNN Heroes