(CNN) -- When it comes to the Academy Awards, Hollywood has some biases.

The late Heath Ledger won a Golden Globe for his performance as The Joker in "The Dark Knight."

Summer blockbusters get short shrift. Comedies aren't taken seriously. And animated features? They almost never get drawn.

Which, on the surface, doesn't bode well for three of the biggest movie stories of the year: "The Dark Knight," Robert Downey Jr.'s performance in "Tropic Thunder," and Pixar's latest marvel, "WALL-E."

Each earned critical plaudits and box office success. And each faces an uphill struggle nabbing major-category Oscar nominations when the Academy of Motion Picture Arts and Sciences announces its shortlists Thursday morning.

Awards expert Tom O'Neil, who follows the Oscars for the Los Angeles Times' TheEnvelope.com, says the best-picture front-runners are "Frost/Nixon," "The Curious Case of Benjamin Button," "Milk" and Golden Globe best drama winner "Slumdog Millionaire." Barring a completely out-of-the-box surprise, that leaves "Dark Knight," "The Reader," Clint Eastwood's fast-gaining "Gran Torino" and possibly "Doubt" or "Revolutionary Road" to battle for the final slot.  Watch who took home the Globes »

O'Neil believes "Dark Knight," the year's top box office draw, has "an excellent shot" of making the best-picture list.

"We know that because Oscar voters belong to guilds that have their own awards, 'Dark Knight' has a strong chance," he says, noting that the Directors Guild, Producers Guild and Writers Guild have all nominated "Dark Knight" for their top awards. Read what EW's Dave Karger has to say about that

"WALL-E," however, is almost certainly out of the best-picture race, he says. Animated features, no matter how successful, have fared poorly in general categories. Indeed, only one animated feature -- 1991's "Beauty and the Beast" -- has ever been nominated for best picture.

With the addition of the best animated feature category in 2001, it's doubtful that even the best Pixar has to offer will cross over to best picture, particularly since the Academy ignored classics including "Snow White and the Seven Dwarfs," "Fantasia" and "Toy Story."

"Oscar voters like reality," says O'Neil.

Either way, the Oscars could probably use the ratings help a box office success can bring to its broadcast. In recent years, the Academy has nominated several independent or low-budget films for top awards, many of which didn't crack the $100 million mark at the box office. Oscar ratings have tumbled; last year's numbers for "the Super Bowl for women" -- as the Oscar broadcast is known by advertisers -- were the lowest on record and a far cry from 1998, when more than 55 million people watched all-time box office king "Titanic" take home the top prize.

That's not to downgrade the expected front-runners, especially since the Oscars' intention is to honor some of the year's best films and performances (though critics have carped they've often not done so). Still, it might behoove the Academy to pay attention to box office as well as prestige, particularly when several films have garnered both. Almost three-quarters of the respondents to an unscientific USA Today Internet survey have said they'd be more likely to watch the Oscar ceremony February 22 if "The Dark Knight" is nominated for best picture.

"If a film is very successful, it shouldn't be automatically relegated to the minor leagues," producer Peter Guber told The Associated Press. (Ironically, Guber co-produced the 1989 "Batman," which, despite big box office and Jack Nicholson's Joker, was nominated for just one Oscar -- for Anton Furst's set design. It won.)

Historically, summer blockbusters haven't always been ignored. "Jaws," considered the first of the modern summer blockbusters, was nominated for best picture, as were "Star Wars," "Raiders of the Lost Ark" and "The Fugitive."

And there's something to be said for giving visibility to smaller films, says John Martin, president and CEO of Alamo Drafthouse Cinemas, an upscale theater chain based in Austin, Texas. iReport.com: Share your thoughts on Oscar nominations

"As an exhibitor, we would love to see those [smaller niche] films make it as well," he says. "They would have legs [box office longevity] if nominated."

Martin, a former film executive, was pleased that "Slumdog" and "The Wrestler" -- two films his chain got behind -- fared so well at the Golden Globes, and he has high hopes for both films at the Oscars. "The Wrestler's" lead, Mickey Rourke, earned a Globe for best dramatic actor, and is now a leading candidate to win best actor at the Oscars.

O'Neil sees Rourke as the front-runner in the category, which should be "a real slugfest," he says. "Milk's" Sean Penn was considered the early leader, with his main competition "Frost/Nixon's" Frank Langella. But now Rourke is in the picture, which could mean trouble for Brad Pitt ("Benjamin Button"), Leonardo DiCaprio ("Revolutionary Road"), Clint Eastwood ("Gran Torino") and Richard Jenkins ("The Visitor").  Watch Eastwood talk about "Gran Torino" »

And Kate Winslet, a double winner at the Globes, could fall between the cracks in the Oscar balloting, O'Neil adds. Other awards let the performers or studios designate whether roles are leading or supporting; the Academy decides on its own, which means that Winslet's performances in "Revolutionary Road" and "The Reader" could split her support, whether for lead or supporting actress.

Heath Ledger should have no such problems. The late actor, whose performance as The Joker in "The Dark Knight" has been considered Oscar material since the film came out in July, is believed to be a shoo-in for best supporting actor. Ironically, he could be competing against Downey -- 2008's big comeback story -- for a performance as an actor who takes his Method a little too seriously in "Tropic Thunder."

Though comedies haven't received much nomination recognition, comedic performers have received some recognition, including "Blazing Saddles' " Madeline Kahn, "Heaven Can Wait's" Dyan Cannon and "A Fish Called Wanda's" Kevin Kline, which can't hurt Downey. There's also his personal story, says O'Neil: After drug abuse nearly killed his career, he starred in "Thunder" and "Iron Man," two of 2008's biggest hits.

"He's a hopeful spin on the Ledger story," O'Neil says.

Martin believes Ledger is a lock. "I wouldn't be surprised if he wins [outright]," he says.

But "Dark Knight"? Hollywood will have to get past its disdain for "comic-book movies." Which, O'Neil says, it should.

"This isn't just a superhero movie," says O'Neil. "It's come to the rescue of Hollywood during a dark time."

@highlight

"The Dark Knight" was year's top box office film, also critically praised

@highlight

Oscar nominations tend to go to "prestige" works

@highlight

One observer believes "Knight's" prospects for best picture nod are "excellent"

@highlight

Other strong possibilities: "Slumdog Millionaire," Mickey Rourke, Heath Ledger