(CNN) -- Sometimes a sign of the times is subtle.

Let's talk about it: Second Life has long been a forum for self-help, now some rehab centers are setting up shop there.

For clients of an alcohol rehab center in Atlanta, one appears in the form of an after-care option: they can meet their therapist for follow-up sessions in Second Life, the popular virtual world.

The clients at Accelerated Recovery Centers, all addicted to alcohol, first complete an initial two to three weeks of intensive therapy at the center, undergoing training and meeting with psychologists, counselors, life coaches, medical professionals, nutritionists and personal trainers.

Then they go home -- where temptation waits. To cope with that, over the next nine to 12 months they have sessions with their therapist over the phone, through a video-chat service like Oovoo.com, or in Second Life.

In the latter, an avatar that the client controls meets with another that the therapist controls. The rehab center has been carefully replicated within Second Life, on a secure parcel of virtual real estate called Identity Island.

The furniture, walls, and layout of the virtual rehab center look the same as in Atlanta. The therapist's face is mimicked on the avatars. Audio is used rather than text chat, so the therapist's voice comes from the avatar during sessions.

There's also group therapy, with many avatars meeting at once.

But the rehab center is not about technology -- it's about helping clients overcome alcohol addiction. (The center was started about three years ago; the Second Life option came last year.)

Some clients decide against Second Life. They're not comfortable with computers, perhaps, or they don't like being represented by an avatar.

But for many, the virtual world works. They have a sense of having "been somewhere," notes David E. Stone, a licensed psychologist at the center and its chief technology officer.

And they feel "more comfortable meeting in a replica of the therapy room that they used in real life." Many also tend to reveal more, or be more direct, in the virtual world -- a phenomenon called "online disinhibition." (You can see it in chat rooms too.)

And different aspects of identity tend to emerge with different mediums, whether text, voice, video or avatar (or in-person), just as a group setting reveals different things than one-on-one.

Avatar-based therapy raises some intriguing questions. For instance: Do clients identify with their avatars?

"Clients may possibly objectify or distance themselves from their avatar, which in some cases might attenuate the effects of the therapy," notes John Suler, a psychology professor at Rider University in New Jersey who has studied the topic.

But in some cases an avatar might help, he notes. For instance developing an "observing ego" -- the ability to look at oneself objectively and rationally -- is critical to many kinds of psychotherapy.

"It's possible that interacting through an avatar might stimulate that observing ego," he says.

The rehab center's use of the virtual world is, if anything, restrained.

Of course not every problem can be addressed in Second Life, such as, Stone feels, psychotic disorders.

Immersive worlds help cope with the real world

But many therapists believe virtual worlds can help clients deal with fears or addictions and experiment with new behaviors and means of expression.

Avatars are not always involved. For instance a virtual world can be immersive, with earphones, wrap-around goggles, vibrating floors or chairs, and even smells, so users feel they're "in" the world rather than controlling an avatar moving through it.

The former has more power to distract, to the point where in some experiments burn victims have felt reduced pain while immersed.

Such setups, however, can get expensive, whereas Second Life is free or low cost, making it an easy way for therapists to experiment with virtual worlds.

The U.S. military uses virtual reality to help Iraq War veterans cope with post-traumatic stress disorder. Added to the visual experience are smells and sounds -- like burning rubber and Arabic prayer -- to help trigger flashbacks so they can be dealt with gradually in a safe environment, with a therapist on hand.

A California chain called the Virtual Reality Medical Center helps clients overcome a wide range of fears, including of flying, heights, public speaking, closed spaces and spiders. Virtually Better in Georgia has similar offerings.

The list goes on, with variations seen around the developed world.

But these are still early years, and much remains to be seen and tested when it comes to virtual worlds and psychotherapy.

Stone and his team plan to share their findings on the use of Second Life at an American Academy of Psychotherapists event in November.

A fair bit of self-help goes on in Second Life, without therapists. For instance some physically disabled users combat depression by flying, dancing and earning a living in the virtual world. Shy types gain real-world confidence in virtual parties.

This sort of thing is likely to happen more often. Research firm Gartner estimates that 80 percent of Net users worldwide will be in non-gaming virtual worlds like Second Life by the end of 2011.

Ironically, Internet addiction is also likely to rise -- meaning in some cases one malady could be swapped with another.

Not all therapists will go virtual. Many insist on seeing cues like appearance, facial expressions and body language. Some set up shop in Second Life but require a real-world meeting first. Others accept PayPal and offer their services to any avatar or website visitor who happens along.

Of course long-term success is rarely a sure thing in psychotherapy, whatever the approach. Back at the rehab center, therapists and clients are easing into virtual reality.

Avatar-based therapy is just an option. In any case clients must return to the center at least once. The real center, that is, in Atlanta -- to meet with the real version of their therapist.

@highlight

Some rehab centers using virtual worlds to complement therapy for addiction

@highlight

Self-help has already been a large feature in Second Life

@highlight

Some psychologists say patients might distance themselves from avatar

@highlight

Others suggest it could provide way to gain some useful objectivity