(CNN) -- Jobs, say hundreds of thousands of people. Pollution, say hundreds of thousands of others.

They say that's what a proposed oil pipeline would bring into the country, as it transports crude from massive deposits in Canadian tar sands to refineries and ports in the United States.

The Keystone XL pipeline has triggered a gush of comments from Americans for and against its construction. The State Department in Washington has received 1.2 million since early March, when it came out in support of the project.

It began publishing them on its website Thursday. The first 100,000 appeared this week, and the department plans to publish a similar number of comments every week, according to a statement.

The comments are directed at a document the State Department published in March to justify its approval of the Keystone XL in light of what it considered environmentally sound planning.

The Environmental Protection Agency strongly disagreed and batted down State Department's draft Supplemental Environmental Impact Statement, giving it the equivalent of a "C-" grade as an environmental document.

Environmentally concerned citizens have piled in on top of the guardians of America's ecology and appear to have turned in most of the comments arriving at the State Department.

Citizens highlighting the possible economic benefits have joined the fight, siding with the pipeline's proponents.

Obama's rock and hard place

The politics of oil, jobs and ecology have put President Obama between a rock and hard place, as the ultimate decision to permit the Keystone XL's construction rests on his shoulders alone.

Proponents of the Keystone XL pipeline, many of them Republican lawmakers the president is seeking compromises from, say it will give America energy independence, thousands of jobs and important industrial infrastructure, and won't cost taxpayers a dime.

Among its detractors are some of Obama's traditional allies, who were instrumental in getting him elected. They say the massive pipe is dangerous, inherently filthy and must be stopped.

State Department vs. EPA

In its lengthy study, the State Department, headed by John Kerry, weighed in on the side of the proponents.

But after reviewing it, the EPA sent a letter to high officials at the State Department, blasting the environmental impact statement.

The environmental agency rated it as EO-2, a bureaucratic moniker for "Environmental Objections-Insufficient Information," a below-average grade on the EPA's scale.

The Canadian crude in its raw form is mixed with sand. Extracting the oil and transporting it requires more energy than pumping crude out of a well. Thrusting it through long pipes increases the energy consumption.

That higher energy use leads to greater greenhouse gas emissions, an increase of "18.7 million metric tons (20 million tons) C02 ... per year when compared to an equal amount of U.S. average crudes," the EPA said.

The State Department's assessment concludes that just as much Canadian oil will make it to market, by train if necessary, if no pipeline is built, therefore there would be little additional ecological impact.

The EPA argued that "while informative," that train of thought is out of date.

In comes public opinion

Many of the U.S. citizens' comments arriving at the State Department are duplicated form letters sent or signed by multiple commenters. They are associated with organizations that usually propagate one of two polarized arguments.

In its form letters, members of the group Action Tar bemoan "the killing a vast forests, to the contamination of terrestrial, aquatic, and atmospheric ecosystems which we all depend on."

But like most of the ecological protesters, it drives home the aspect of climate change, caused by "a new super greenhouse gasoline." Additional boosts to climate change also make up the core of the EPA's objections.

Form letters from proponent groups counter with arguments of economic urgency. "... approve this project. Keystone XL will ensure American energy security and create jobs and economic opportunity in Nebraska."

Obama's own former deputy press secretary is leading the charge to push the president to stop the pipeline.

Bill Burton quit his job before the 2012 election to head up the super PAC Priorities USA, which worked for the president's re-election. In January, he joined the PR firm Global Strategy Group as an executive vice president.

He is now representing a new coalition, "All Risk, No Reward," which opposes Keystone XL. It goes after the additional greenhouse gases but also showcases the damage to Americans in the heartland caused by spills.

Obama must decide

Obama has promised to decide soon on whether or not to allow the TransCanada oil company to lay the 835-mile long Keystone XL pipeline from Alberta, Canada, to Steele City, Nebraska.

The Keystone XL would pump 830,000 barrels of oil sands crude per day through America's heartland, connecting crude producers in Canada with refineries and shipping companies in the United States.

TransCanada would cover all the costs, proponents argue, making it practically a gift to the U.S. oil infrastructure.

On its way to Nebraska, where it would connect with other, already existing pipelines, Keystone XL would pick up additional oil produced in Montana and North Dakota and stream it south, TransCanada said on its website.

It would reduce "American dependence on oil from Venezuela and the Middle East by up to 40 percent," TransCanada extols.

But the EPA is also concerned about oil spills, particularly since sands crude is different from conventional crude.

It cites a 2010 pipe break in Michigan, which spurted out 20,000 barrels of sands crude. Some of it sank to the bottom of the Kalamazoo River and could not be completely cleaned up in three years' time, the EPA said.

"Spills of diluted bitumen may require different response actions or equipment," the letter stated. "These spills can also have different impacts than spills of conventional oil."

Nebraska's response

The State Department's assessment represents its second go-round with the Canadian company. It originally rejected a permit from TransCanada, last year, over the proposed route through Nebraska. TransCanada came up with a new route that the State Department approved of, but the EPA says it misses the mark.

Nebraska's Republican Gov. Dave Heineman has approved the project, and U.S. Rep. Lee Terry, R-Nebraska, has called for the Keystone XL's construction in a Republican radio address.

The pipeline "is primed to give our economy a shot in the arm and make energy more affordable -- and it won't cost the taxpayers a dime," he argued.

Terry spoke a day after an apparent pipeline rupture in the Arkansas town of Mayflower in late March, about 20 miles north of Little Rock.

Black torrents of diluted bitumen flowed through the community, forcing the evacuation of 22 homes.

@highlight

The president has faced high political pressure on the Keystone XL pipeline

@highlight

Now the public joins in on both sides, with 1.2 million comments so far

@highlight

Proponents include Republicans whom Obama seeks compromise with

@highlight

Opponents include many who helped elect him president