(CNN)By the time Cynthia Falardeau read about Alex Pring, a little boy who got a battery-powered robotic arm last summer, she had made peace with her son Wyatt's limb difference.

Her premature baby had been born with his right arm tangled in amniotic bands. At a week old, doctors amputated his dead forearm and hand. They were afraid his body would be become infected and he would die. Falardeau mourned her boy's missing arm for years but, in time, embraced her son as he was.

Wyatt also learned to adapt. They tried a couple of prosthetics when he was younger and each time the toddler abandoned the false limb within months.

"His main interest was to create a shocking response from onlookers by pulling it off in the grocery store," Falardeau wrote on CNN iReport. In truth, she had been more concerned about getting him therapy for his autism-related delays -- the limb difference was secondary.

So when a friend shared a story from the "Today Show" with Wyatt in mind, about a team of University of Central Florida (UCF) students and graduates that made an electronic arm for 6-year-old Pring using a three-dimensional printer on campus, Falardeau was defensive.

"He doesn't need this," she thought.

Her fifth-grader had a different reaction: "I want one of these robot arms!" Falardeau remembers Wyatt telling her and her husband. "I could ride a bike! I might even be able to paddle a kayak!"

There were other things the 12-year-old boy said he would do if he had two hands. A proper somersault. Clap with two hands. Dance with a pretty girl with one hand on her back and the other leading. Stuff she hadn't really thought about but he clearly had.

Falardeau got in touch with the Orlando students through E-Nable, an online volunteer organization started by Rochester Institute of Technology research scientist Jon Schull to match people who have 3-D printers with children in need of hands and arms. The organization creates and shares bionic arm designs for free download at EnablingTheFuture.org that can be assembled for as little as $20 to $50. Middle and high school student groups and Girl and Boy Scout troops are among those donating their time and materials to assemble limbs for kids and give them to recipients for free.

The UCF team, which operates a nonprofit called Limbitless Solutions, is special because it's the only group in the 3-D volunteer network making electronic arms. Most 3-D arms are mechanical, which presents a challenge for children without elbows. With mechanical arms, the child opens and closes their hand by bending their elbow. The students came up with the idea for an electronic arm with a muscle sensor that allows the child to open and close their hand by flexing their bicep.

"It's really just a step-by-step process of solving problems. The first problem we solved was: how do we make the hand move electronically? And then: how do we attach this arm to a child?" said sophomore Tyler Petresky. "It's just one problem after another we keep solving. That's what engineering is all about."

The Centers for Disease Control and Prevention estimates about 1,500 babies in the United States are born with upper limb deformities each year. Comprehensive statistics aren't available for the number of children with amputations, such as Wyatt.

The UCF project started when Albert Manero, an engineering doctoral student, heard a story on the radio about one of the inventors of the 3-D printed hand. He got involved with E-Nable and met Alex, a local boy teased because of his missing arm, and set about designing a robotic replacement. They gave it to Alex for free.

"My mother taught us that we're supposed to help change the world," Manero said at the time. "We're supposed to help make it better."

The students were blown away by what happened after that. The "Today Show" and other national news outlets featured stories about Alex and Manero, and then they got international attention. Families in more than 25 countries have asked the UCF students to help their children. In February, Microsoft highlighted the team in a social media campaign celebrating students using technology to change the world.

Each electronic limb takes about 30 to 50 hours to make and assemble. The students use the printer in the school's manufacturing lab and cover the cost of materials -- about $350 -- through donations.

Petresky got involved with the design of Pring's hand because Manero knew he was good with electronics.

"He bribed me with some pulled pork sandwiches. I went over to his house and helped him out with electronics," he said. "I found out he was working on an arm, and I thought that was the coolest thing in the world."

Eventually Manero moved to Germany for a Fulbright scholarship and left Petresky in charge of running the operations in Orlando.

Petresky says they ask every family about the child's favorite color, superhero and interests, so the new limb can "not just be a piece of plastic ... but be a part of them."

As they've designed the bionics, they've learned that kids don't necessarily want to blend in. Children have requested colorful designs inspired by superheroes, Disney's "Frozen," and in Wyatt's case, the blue-skinned men from "Blue Man Group." For Christmas, the group upgraded Alex's plain vanilla white arm to a new one resembling Optimus Prime from "Transformers."

"We quickly found out this is much less about fitting in and feeling normal, and much more about expressing yourself," Petresky said. "There's a large aspect of being artistic and being creative."

The team has made electronic arms for five children and are working with three more kids including Wyatt. He traveled with his mom to UCF last week and practiced flexing his muscle to make the hand open and close.

He expects to get fitted with his new arm later this month.

His mom, Cynthia, was most excited about seeing Wyatt being celebrated for who he is.

"The adoration of college students was an affirmation that money can't buy. He was wrapped in the joy of leading and advising students on how to help children like himself," she wrote in her iReport. "Wyatt felt like he was making a difference for himself and other children."

As they got ready to leave the campus, her son told her he can't wait to see what he will accomplish with his new arm. And someday, he said, he wants to go to UCF and help other kids like him.

@highlight

Around the world, volunteers with 3-D printers are making limbs for children.

@highlight

Meet some Orlando engineering students changing the world.