(CNN) -- Talk about wasted energy.

After all the shouting and handwringing, what President Barack Obama appears prepared to do over the next few days to fix some of what's broken with the immigration system isn't likely to have much effect at all.

His right-wing opponents act as if what he's planning will lead to an apocalypse, while his supporters seem determined to oversell it as some sort of new Emancipation Proclamation. The truth is very different.

There are a few reasons why:

For a start, there are an estimated 11 million illegal immigrants in the United States, and less than half would be covered by what Obama has in mind. And on top of that, if the experience with Deferred Action for Childhood Arrivals is any guide, only about a third of those eligible will find the courage to come out of the shadows and accept the administration's offer.

Besides, the executive action probably won't take effect for about six months, which will give Republicans in Congress time to stop beating their chests and start passing legislation that makes permanent changes, the sort that would render the executive action meaningless. Meanwhile, during all this, deportations of the less fortunate would continue, and might even be ramped up. It hardly seems surprising then that the major networks are reportedly not going to be airing the President's speech when he delivers it at 8 pm ET. (Although Spanish language channel Univision is expected to break into its coverage of the Latin Grammys for the speech).

Obama is scheduled to follow up the address with a trip to Las Vegas on Friday, where he'll flesh out the details of what he has in mind during a visit to Del Sol High School, a location that will bring the President full circle -- it was at this school last year that Obama laid out his vision for comprehensive immigration reform.

Over the weekend, Obama will make the rounds of Spanish-language media. There, he'll try to persuade Hispanic voters -- 70% of whom supported his reelection in 2012 -- that he doesn't deserve the moniker of "Deporter-in-Chief." Of course he can hardly be surprised this is the way Hispanic voters see him: That's the reputation you get when your administration deports 2 million people in five years, divides hundreds of thousands of families, and reportedly sends thousands of U.S.-born children to foster care after they were left behind when their undocumented parents were deported.

All this hasn't stopped Obama's opponents on the right portraying him as Santa Claus for the undocumented, a bizarre interpretation of reality given the last five years of removals. Of course, we all know what's behind this portrayal: It's meant to stir up fear, anger, and anxiety. And, sure enough, it's working. Ignorance has the power to do that.

In fact, it's really startling how the immigration issue can make smart people say dumb things. Just a few days ago, David Brooks, the New York Times columnist, insisted that Obama wants to "rewrite" immigration laws through his executive action.

Brooks doesn't get it. But he is not alone. Obama isn't "rewriting" anything, but simply applying discretion in enforcing the law.

Let me explain: When a policeman pulls you over for speeding, but he lets you off with a warning, he didn't "rewrite" the traffic laws. He merely used his discretion to not give you a ticket, probably so he can focus his time and resources on more egregious offenders.

It's this kind of discretion that is at the heart of what Obama intends to do about immigration. Not only is it not "illegal" as alarmists on the right have prematurely characterized Obama's planned executive action, it's standard operating procedure in America's criminal justice system.

In fact, much of what the President is said to be considering seems tame and, dare I say it, conservative. Besides the fact that not many people will apply or qualify for this relief, it's also not the equivalent of permanent legal residency. No president can confer that, despite what clueless right-wing pundits are saying about how Obama is handing out "amnesty." This isn't overreach by the President -- in fact, some on the left will consider it underachieving.

Still, Mr. President, an explanation of what type of executive action you plan to take would be nice. After all, you've made a mess of the discussion so far, even as you poisoned the nation's overall immigration debate. And you've reminded us that, when the nation is starved of principled leadership on a tough moral issue, broken promises and flip-flopping and stall tactics and finger pointing are left to fill the gap.

And one last thing. While you're setting the record straight about what actions you intend to take and who will benefit, you should also do something that you are probably reluctant to do: You need to level with immigrant advocates about how, no matter what you say or do, deportations of illegal immigrants will likely continue at the same pace that they have throughout your administration.

After all, no one is debating whether individuals who are here without the proper documents should be removed. That seems a given. Last year, for example, PBS reported that Immigration and Customs Enforcement has established a yearly quota of 400,000 deportations. And although ICE has denied there is such a quota, the agency has miraculously managed to hit that figure, or get very close to it.

So we have a pretty good idea that this is going to continue no matter what Obama says tonight from the White House, or tomorrow from Las Vegas, or on Spanish-language media in the days to come. The fact is that the deportation machine is unlikely to be toyed with, and that 400,000 removals per year will likely become the new normal.

Why? Because like any self-sustaining government bureaucracy, ICE justifies its funding level by how much it does. And, if it does less, it could lose some of that funding to another agency. The same goes for U.S. Attorney's Offices around the country that prosecute the people that ICE apprehends.

Bureaucrats are people, too. They want job security just like the rest of us, especially in a shaky job market. So if the administration isn't deporting one group of people, then it will focus on another.

So, however much manufactured outrage we hear from Obama's opponents on the right in the coming days, the fact remains that the "business" of our nation's immigration enforcement agency is deporting illegal immigrants. And no matter what executive action Obama takes, when the smoke clears and tempers cool, it'll be business as usual.

@highlight

Ruben Navarrette: Obama immigration plan unlikely to bring big changes

@highlight

Obama has reputation as "Deporter-in-Chief" with Hispanic voters, he says

@highlight

Deportations have their own self-sustaining bureaucracy: Navarrette