Seattle, Washington (CNN) -- First, Justin Stoner blew the whistle on his platoon. Now, the Army apparently wants to silence him.

In photos obtained by CNN, Stoner sports bruises and abrasions on his back, chest and near his neck -- the marks of a beating inflicted by fellow soldiers as payback for reporting their rampant hashish use, the Army said.

At the time, those close to the investigation tell CNN, Stoner just wanted the smoking in his tent and around him to stop. So he went outside his group and reported the drug use to his superiors.

But that move, and the subsequent beating he endured for being viewed as a snitch, triggered a wide-ranging criminal investigation that has left some soldiers accused of killing innocent Afghan civilians and others accused of posing in gruesome photos with the dead or keeping body parts as war trophies.

Now the Army is doing everything it can to limit the publicity its own explosive account created.

Stoner, a private first class now back in the United States, had agreed to speak with CNN about the torment he went through at the hands of fellow soldiers earlier this year.

But just three hours before the interview was to take place in Seattle, CNN received this e-mail from his military attorney, Capt. Ernesto Gapasin, Jr., abruptly pulling the plug on the scheduled interview:

"About two hours ago, prosecutors and I met re [regarding] the disposition of the case against PFC Stoner,'' the attorney wrote. "Based on this meeting, PFC Stoner will be given full immunity in this case and not be prosecuted for any allegations made against him, contingent also however, on staying away from the media."

The Army disputes that account, however, saying Stoner has not been given immunity.

"Discussing PFC Stoner's direct involvement in these hearings is inappropriate and could affect the outcome of these cases," Lt. Col. David P. Doherty, a spokesman for the Army's I Corps, told CNN in a statement issued Thursday.

"It is imperative that we follow the judicial process in order to provide the accused a fair and impartial trial, while at the same time serve justice," Doherty said. "PFC Stoner is currently not charged in these matters, nor has he been granted immunity by the convening authority for his cooperation in these ongoing investigations."

What is clear is the Army is scrambling to contain the news of an apparently out-of-control platoon.

The portrait of rogue soldiers at a forward operating base in Afghanistan has been painted by the Army itself in chilling charge sheets leveled at 12 members of the 5th Brigade, 2nd Infantry Division, based out of Joint Base Lewis-McChord outside Tacoma, Washington.

Five of the dozen are charged with pre-meditated murder in what investigators call the "staged" killings of three civilian Afghans. Those soldiers and the others face various other charges as well from unlawful use of illicit drugs, possession of a human skull, fingers and leg bones to the assault on Stoner.

Two directives have been sent to military and civilian attorneys representing the Stryker dozen. They involve grisly photos allegedly showing dead bodies and body parts, and soldiers posing as if they had killed a deer on a hunt.

One of the orders commanded military defense attorneys to return all "documents inadvertently provided by the government" on September 9. The marked exhibits, lawyers told CNN, correspond to the photos.

A number of lawyers have told CNN the photos are worse than those that depicted humiliating poses of Iraqi prisoners at the infamous Abu Ghraib prison. Those photos sparked outrage and riots in parts of the world.

Another directive apparently was meant for civilian attorneys and not only pointedly ordered the return of photos but further said defense and prosecution teams could only view them at Lewis-McChord.

Lawyer Dan Conway, who represents Pfc. Andrew Holmes, told CNN the order makes it difficult to represent their client, because it prohibits them from forensic testing and they are housed in many cases thousands of miles from where the lawyers are based.

Other attorneys have similarly complained to CNN that the Army is tying their hands in defending their clients to avoid more embarrassment.

Holmes is charged with premeditated murder in a January killing. Conway said his client is innocent of the charges and was denied representation for 20 days, despite repeatedly asking for an attorney while still in Afghanistan.

Both orders were signed by Col. Barry H. Higgins, the brigade's commander. The second directive reads, in part: "Further I order that all such images may not be distributed to any persons outside of personnel assigned to CID. 'Human Casualties' are defined as dead, wounded or injured human beings to include separated body parts, organs, and biological materials, resulting from either combat or non-combat activities.''

Even without those photos surfacing, much has already leaked out about the case, spurred in no small part by the Army's release and description of grisly details in the charging documents.

And the headlines around the world about the rogue unit have created a backlash in a part of the world where the Army desperately hopes to win over hearts and minds.

The beating of Stoner and the murders of Afghans apparently just for sport and then staged to look like combat casualties- have been highlighted by some of the accused soldiers' whose own words captured on interrogation tapes obtained by CNN.

Tapes describe killings for sport

In one of those videotaped sessions, Cpl. Jeremy Morlock -- who has been charged in all three of the killings -- recounts how he and several other soldiers deliberately ambushed Stoner on May 5.

"So yeah, we walked into the room and locked the door behind us and a couple guys started talking to him, laying on him," Morlock told investigators.

Asked by investigator what he meant, Morlock replied, "Why would you rat out your guys, stuff like that."

He said Stoner initially denied he went to superiors, then admitted it as he was being confronted by their squad leader, Staff Sgt. Calvin Gibbs.

"I think someone had grabbed him at that point and maybe punched him in the chest or something," Morlock said on the tape.

"He then made a comment like you guys can sit here and punch me all day long if you want and once he said that, Gibbs was like OK, grabbed him off his cot and threw him on the ground in his room and that's when a few guys got some licks in."

Morlock's attorney, Michael Waddington, said his client was on prescription drugs from the Army, high on hashish and suffering combat-related injuries when the crimes were committed.

The Army has recommended Morlock be court-martialed. Gibbs' attorney said he is not ready to comment on the case.

But Gibbs has been charged with the most crimes, and is depicted in the interrogation tapes made by some of the accused and in witness statements as the ringleader who reveled in his kills and dropped three human fingers in front of Stoner after the beating.

Other soldiers told investigators that Gibbs liked to collect fingers, teeth and leg bones as souvenirs.

Gibbs is also suspected of being a skinhead who kept track of his "kills" with skull tattoos on his leg.

Reports show Army sgt. tracked kills with tattoos

CNN has obtained investigators' photos of the tattoos clearly showing skulls and cross bones. One soldier, not charged, said Gibbs "associates with skinheads online.

"It's scary because they are worse than most gang members I've met," the soldier told investigators.

The photos are included in over 1,000 pages of evidence compiled by the Army and turned over to attorneys. They include witnesses' statements and depict a platoon where Gibbs ruled -- and anyone who didn't follow his rules believed they could end up like Stoner.

"I take that man very seriously," Spc. Adam Winfield told investigators in his videotaped confession. "He likes to kill things. He is pretty much evil incarnate. I mean I have never met a man who can go from one minute joking around then mindless killings. I mean he likes to kill things."

Winfield is charged with premeditated murder in a May killing of an Afghan civilian whose death was made to look like a hostile enemy battlefield death. His lawyer, Eric Montalvo, said his client is not guilty of premeditated murder despite what his client told investigators on the videotaped interrogation.

The Army is now investigating claims by Winfield's father, Christopher Winfield, that it ignored his attempts to warn them about Gibbs.

Warning may have been ignored

The elder Winfield told CNN that his son alerted him after the first killing, and he said two more men died needlessly after that because the Army would not listen to his warnings.

In addition, the Army reportedly is re-examining Gibbs' role in the 2004 shooting of two adults and a child in Iraq, near the city of Kirkuk. The shooting involved a car which purportedly was swerving towards a uniformed patrol.

Spc. Michael Wagnon is the fifth member of the Stryker platoon charged with premeditated murder. His attorney, Colby Vokey, said his client is innocent.

The Army, meanwhile, seems to have decided to let the charging documents be its official comment.

"I don't want to do anything that could in any way jeopardize the prosecution or their ability of the defendants in this case to get a fair trial, " Geoff Morell, a Pentagon spokesman, told reporters October 5.

-- CNN's Todd Schwarzschild, Courtney Yager and Scott Zamost contributed to this report

Watch The Situation Room with Wolf Blitzer weekdays at 4pm to 6pm ET and Saturdays at 6pm ET. For the latest from The Situation Room click here.

@highlight

Army says Pfc. Justin Stoner was beaten by fellow soldiers for reporting their drug use

@highlight

Stoner's report led to a wide-ranging investigation into the killings of Afghan civilians

@highlight

12 soldiers have been charged, some with pre-meditated murder and possessing body parts

@highlight

For more on this story, watch CNN's Situation Room tonight at 5 p.m. ET