CNN is doing something terrifying and awesome this week: The network is asking you to be my boss. You have the power to vote on the stories I'll do over the next year as part of a new social-justice project called Change the List.

Polls close at 2 p.m. ET Monday. You can find the ballot, with 20 topics to choose from, at CNN.com/Change. I'll do the top five.

I say it's terrifying because you have me in a state of near-constant panic as I wait to hear which stories I'll be doing (at one point on Friday morning, the fifth and sixth place stories were tied) and awesome because this is a great experiment in journalism as democracy, in letting the voices of the people be heard.

The response has been mostly wonderful. As of Friday morning, 28,000 ballots had been submitted. Melinda Gates, Rotary International and Change.org all tweeted about it. The New York Observer praised the aspirations of the project and said it represents a "very different kind of journalism than the 'infotainment' that the CNN's brand, fairly or not, is known for." (I'll take that as a compliment, although you'd be hard pressed to find anyone who would label Arwa Damon's work in Syria, Erin Burnett's reports from Iran or Christiane Amanpour's anything "infotainment.")

And many of you wrote to me personally to say that you appreciated the fact that CNN was listening to your points of view. "I just wanted to drop a line and say thank you for actually listening and trying." "Thank you for your invitation to participate." "Thanks for even asking." "To say you have made my day hugely understates the case."

The feedback isn't all sunshine and unicorns, of course. Some of you have tweeted me that this is "not journalism" because the story-selection is crowdsourced. Others called it a gimmick or a marketing ploy. And, on the other end of the who-controls-the-news spectrum, some of you said that it was draconian and old-school of me to present 20 ideas to choose from -- rather than asking you for the story ideas in the first place.

Many of you have e-mailed me with smart, specific story concepts that you hope will be considered for a sixth Change the List story, which will be chosen by a small group of CNN editors. Perhaps the whole thing could have been crowdsourced. It's too late for that. But I did want to air the smart suggestions you shared with me. I collected them on a public Google Doc and have listed them below.

Among the most popular write-in ideas: overpopulation, climate change and child abuse in the United States. The first two surprised me. If you look at polls, Americans don't seem to care much for environment and resource issues. In a February survey from the Pew Research Center, only 34% of Americans said climate change was "something that is essential for the White House and Congress to tackle this year."

This informal feedback suggests that many of you are passionate about these issues. "You missed some huge ones that mainstream media is neglecting," one person wrote in an e-mail. "Climate change is continuing without much attention. Resource depletion: peak oil (end of cheap oil), aquifer depletion, fishery depletion, etc."

And another: "At the core of resource, environmental, gender and health issues is human population, a subject most cannot manage to accept."

I could go on, but instead I'll hand over the floor to you. Here are 97 topics you suggested I cover as part of Change the List. They're in no particular order, other than which e-mails and tweets I read first. Have more ideas? Tweet me: @jdsutter. Or e-mail ctl@cnn.com. The wild-card sixth story could come from this list but ultimately will be chosen by CNN's editors.

Although I could never cover all these topics alone, I thought it would be helpful to make them public. Maybe someone else will take up the torch. The United Nations has a similar project, for instance, that aims to crowdsource the "world we want." Meanwhile, there's still plenty of time to vote for the five stories I will cover as part of Change the List. Winners will be announced Tuesday.

Thanks so much for participating. And here are your ideas about the biggest problems in the world:

1. Constitutional rights

2. Bullying

3. Immigrant rights in the United States

4. Domestic-worker slavery

5. Discrimination against people with disabilities

6. Enviro-based solutions for poverty

7. Lacking investigative journalism

8. Mental health

9. Overpopulation

10. Kurdistan

11. Media coverage of mass shootings

12. Poverty and American Indians

13. Environmental justice

14. Africa's longest civil war

15. Genetically modified organisms (GMO)

16. Indefinite detention in jails

17. Child abuse in the United States

18. Drug-related incarcerations, particularly of minorities

19. Corporal punishment

20. Anti-climate change

21. Gay rights internationally (I second this as a very worthy subject; the crackdown on gays in Georgia and Russia, just to name two, is staggering, and being gay is still punishable by death in some nations.)

22. Better-skilled work force and trade-based education

23. Family planning

24. Slowing illegal immigration to the United States

25. International diplomacy and compromise

26. Zimbabwe's failing economy

27. Traffic congestion

28. Child prostitution

29. Patent trolls ("This American Life" did a helluva job explaining this concept. The show defined patent trolls as "companies that amass huge troves of patents and make money by threatening lawsuits." Critics say they stifle innovation.)

30. Polarized political discourse

31. Deforestation rates

32. Community gardens (pro)

33. "Death of journalism"

34. High-fructose corn syrup

35. U.S. budget issues

36. Lacking patriotism

37. Nodding Syndrome in Uganda (From NPR: "The strange and deadly illness known as nodding syndrome affects only children, and only in a small pocket of East Africa. It has affected more than 3,000 children since the late 1990s, when it first appeared in what was then southern Sudan. And for more than three years, the cause of nodding syndrome has eluded epidemiologists around the globe.")

38. Abortion

39. Niger Delta oil spills (The U.N. said in 2011 that cleanup could take 30 years.)

40. Family court issues

41. Arctic issues

42. "Transgenerational effects of endocrine disruptors, with DES (diethylstilbestrol) as prime example"

43. "Culture of the deaf"

44. "Going to send you to the South Pole to cuddle with emperor penguins" (from a Facebook friend who knows I would love that assignment)

45. Vets getting preference on jobs

46. Anti-Monsanto

47. Syria's war

48. IRS scandals

49. Sex trafficking (See CNN's "The Fighters.")

50. Unfairly high cost of student loans

51. Government spying in the United States

52. Benghazi, Libya

53. "Cancer Cluster in Clyde, Ohio!!"

54. Mining in Africa and its environmental cost

55. Price-fixing scandals globally

56. "The rise of conservative and hate ideology"

57. "I want to know more about Greece's economic crisis." (That's a phrase I never expected to hear from a reader. But check out this fascinating story from Vice on the drug of choice among Greece's homeless population.)

58. Kids in jail

59. Violence in U.S. cities

60. China's rise

61. "Child sexual abuse by the clergy in developing African countries"

62. U.S. nuclear waste storage

63. Conflicts of interest in government

64. Clean energy

65. Hospice and its "occult character"

66. Thorium/energy

67. Veterans services, generally

68. Child malnutrition, which reportedly is responsible for 45% of deaths of kids under five

69. HIV/AIDS. "The crisis isn't over, despite what many people think."

70. "Ever see a poor politician?"

71. "Government waste: Where does our tax money go anyway?"

72. Corporate greed (Check out this "Frontline" documentary that investigates why no top-level Wall Street bankers have gone to jail in connection with the U.S. financial crisis.)

73. Why can Congress vote their own wage increases?

74. PTSD among veterans

75. Teacher pay

76. Homeless and mentally ill children, particularly in developed countries

77. "APATHY"

78. Lacking mental health services in California

79. Lyme disease

80. Condom availability

81. Sex-offender prevention programs

82. Potable water access

82. Government corruption

83. Violence against Aboriginal women in Australia

84. Global warming

85. Alleged prostitution and illegal activity on Craigslist

86. Resource depletion

87. Health care availability

88. Tort reform

89. Laws on the right to self-defense

90. Racism in America

91. Prisoners are free labor in the U.S.

92. American Indians being removed from tribal rolls without cause

93. "The violent persecution of Christian and other minority communities in majority Muslim countries"

94. Jobs for adults with Asperger syndrome

95. Discrimination against men in divorce cases

96. Lou Gehrig's Disease (ALS)

97. Privatization of American schools

Vote here: http://cnn.com/changethelist

@highlight

John Sutter asks readers to vote on the stories he'll cover

@highlight

The vote is part of the Change the List project, focused on social justice

@highlight

Voting ends at 2 p.m. ET Monday: cnn.com/changethelist

@highlight

Sutter also took suggestions for a wild-card topic; he lists 97 of them