Editor's Note: Alfred Liggins is chief executive officer of Radio One Inc. and chairman of TV One LLC. The companies are aimed at an audience of African-American and urban consumers, and they own 53 radio stations in 16 cities, a cable network and a variety of Web sites. Liggins personally has contributed to Barack Obama's campaign.

Alfred Liggins says the black population in America has grown increasingly diverse.

(CNN) -- If you think African-Americans will come out in greater numbers than ever before to vote for Barack Obama, you're probably right.

If you think you know how they'll vote in the almost 500 House, Senate and gubernatorial races, you could be in for a surprise.

Although politicians and their advertising gurus often speak to Black America as a collective, homogeneous group, the black population is anything but a monolith. In the past decade, the more than 40 million strong black population in America has become increasingly diverse: economically, socially, technologically and even philosophically.

In the final push toward Election Day, as politicians and political hopefuls seek to penetrate this community, they may no longer understand to whom they are speaking. Are they addressing blacks or African-Americans? Is racial prejudice as important an issue today as affording a college education for their kids or taking care of an aging parent? iReport.com: Black college cancels class to vote

Radio One, the country's largest broadcasting company primarily targeting African-Americans, recently commissioned a study to uncover Black America today. How do they identify themselves? What do they care about? How are they influenced? What is most important to them?

Interestingly, the study found that 42 percent of those polled actually prefer to be called black (these are more likely to be more affluent) compared with 44 percent who choose to be described as African-American.

And yes, it would be misguided to assume that dropping a Martin Luther King Jr. quote into a speech and focusing on America's history of racial inequality is the sure way to sway black voters when one-third of blacks, particularly younger people, believe that there is actually too much focus on past oppression.

And as insulting as it is to assume that all women vote for female candidates, it is equally inaccurate and offensive to say that blacks simply cast their ballots for people of color. Like all Americans, black folks vote on the issues they care about, and today those issues are less likely to be linked to race than they are to the economy, health care, education and a whole spectrum of social issues.

As Georgetown University sociology professor Michael Eric Dyson recently said, "black people don't vote for candidates just because they are black. If Clarence Thomas ran for president, he would get five black votes."

Given Black America's extreme diversity today (the study identified 11 specific groups) it is easy to misunderstand who they are and how they can be reached. Yes, discrimination and racial issues are still incredibly important, particularly to middle-age and older blacks. But the younger populations are more concerned about starting their own businesses, paying for their education, taking care of their children and creating a better work/life balance.

So how do politicians penetrate the multiple segments of Black America? In 1992, when Bill Clinton wooed African-Americans in church, he understood how to effectively reach that population. But that was before social networking sites attracted millions of teenage and young black adults.

Now that the digital divide has faded, with roughly the same percentage of blacks online as the general population, ignoring black Web sites and social networking sites would be a big mistake.

Although the history of black oppression in America is not the radioactive issue it once was, trust in the community -- whom blacks trust -- is still paramount. Of all institutions, they are least likely to trust credit card companies but also remain seriously wary of the mainstream media and tend to trust black media more than traditional media outlets.

It has been almost a century and a half since blacks in America won the right to vote. It makes all the sense in the world that the black community has evolved and diversified over the years, but too often politicians make the mistake of assuming that blacks are still a monolithic group fixated on all of the same issues.

Though Barack Obama will be able to count on a massive percentage of the black vote on Election Day, the rest of the ticket will need to dig deeper than the canned speeches dealing with racial injustice of the past to satisfy today's black voters.

The opinions expressed in this commentary are solely those of Alfred Liggins.

@highlight

Alfred Liggins: America's black population has become more diverse

@highlight

40 million population represents many different social, economic viewpoints, he says

@highlight

Liggins: Discrimination still key issue, but other concerns have emerged

@highlight

Liggins says politicians need to know that past appeals to race are outdated