(CNN) -- When Iranian officials arrive at the next round of nuclear talks in Baghdad on May 23, they will seek to advance several of their own goals, while only making modest changes to their nuclear program.

Tehran's goal is to engage with the United States. Although the meeting will involve six world powers -- Russia, China, France, the UK, Germany and the United States -- it is the only venue it has to speak to American officials.

'Detailed proposal' emerging at Iran nuclear talks

Any breakthrough in talks with Washington might help ease mounting tensions with America's allies in the Middle East, including the Gulf Arab States and even Israel. Furthermore, it will ease voices inside Iran that oppose talks with the United States, without whose consensus Iran will be unable to shift the direction of its nuclear program.

Iran wants to get Washington to accept it is a player in Middle East politics. This grants it leverage to negotiate new terms of agreement over its nuclear activities. In return, Tehran will offer solutions to its conflicts with the United States in the region.

Unlike the United States, Tehran currently supports the Syrian regime and will aim to ensure that a future Syrian government will protect Iranian regional interests. Iran supports Palestinian Hamas against the U.S.-backed Palestinian Authority. Iran supports Baghdad's Shia government, which makes Iraq the only Arab country in the Persian Gulf to have closer ties with Iran than with America's Arab allies.

Iran also aims to keep Israel at arm's length. It likes to portray Israeli hostility as a case of simple regional rivalry rather than one based on the real threat of a nuclear Iran. Ongoing talks allows it to maintain just enough transparency over its nuclear program to make the case that it is not fear of a nuclear Iran which prompts Israeli hostility, but the fact that it is capable of counter-balancing Israeli power in the region.

Iran will therefore insist in the talks what Israel refuses to accept, that all states must join the Nuclear Non-Proliferation Treaty, eliminate existing nuclear weapons stockpiles and have the right to develop peaceful nuclear energies.

Another goal Tehran will pursue is to demand that the tightening sanctions regime be loosened. An Iran-based journal, Iranian Diplomacy, suggests that Iran could cap its uranium enrichment at 3.5 percent -- a grade that can be used for nuclear power but not for nuclear weapons -- in exchange for easing sanctions.

Iran could also propose first to dispose of its extra 20 percent enriched uranium, which it claims is produced for medicinal purposes. That is presuming that the Iranian claim to have the capacity to produce in abundance the higher-grade fuel is correct. The article underscored a political reality that U.S. diplomats have already experienced: Iran will never agree to cease enrichment altogether or give its enriched uranium away.

In fact, President Mahmoud Ahmadinejad never said Iran would, but the message was lost in translation when it was told in New York. That was because the West refused to admit a hard dose of reality when it was injected by Ahamdinejad's controversial figure.

Just as it refuses to accept that Iran's nuclear policy is not determined by its presidents but by a higher body of decision-makers, which means that regardless of who leads the country the nature of its nuclear program will not change unless its demands are met.

Iran is buying time without altering its questionable behaviors over its nuclear and regional policies. But the signs are clear that Tehran is committed to engagement to meet its desired goals. Iran's goal is to use delay tactics to arrive at some "soft compromises" in the talks.

These include getting the United States to convince Israel to cease threatening Iran over its nuclear program, which has created tensions inside Iran. It also includes convincing the United States to permanently recognize Iran's enrichment program and to agree to ease the sanctions.

In short, Iran is in the mood for what it calls "resistance diplomacy." This means, in the process of talks, it will continue to exercise patience to wear out the U.S. resolve to confront it.

In the best case, Iran hopes to leave the talks feeling assured that its immediate security concerns have been sufficiently addressed. That explains Iran's recent accommodating stance towards the talks, which, according to former Iranian deputy foreign minister Abbas Maleki, has the full blessing of the supreme leader.

In the worst case, Iran will continue using its regional influence and enrichment program to obtain future concessions. Iran will then use the next presidential race in June 2013 to revamp the nuclear talks by instilling in the West the false hope that a new presidential figure might be able to alter the course of Iran's nuclear program, which will not happen, again, unless its security concerns are addressed.

The best choice right now is to play the same game with Iran, by engaging it with the same patience. At the same time, Washington must recognize that any change Tehran will introduce will be measured against a host of demands that it will make to ensure regime security.

Therefore, in the process of talks, threatening Tehran with military action is counter-productive. And while sanctions are useful tools, they must be adjusted to loosen to any constructive change Iran makes and tighten if Iran is unaccommodating.

The alternative is risking entering into a protracted conflict with Iran.

Tehran's choice to pick Baghdad as the next venue for the May talks reveals a final goal: to unnerve the world by reminding it that only a decade ago Iraq was invaded on charges of possessing weapons of mass destruction. The current threat of war against Iran for fear that it could possess nuclear weapons may risk repeating the consequences of the Iraqi invasion in 2003. The Iraqi invasion brought about civil strife in the country, and increased the Iranian influence in the region.

@highlight

Keynoush says Iran wants engagement with the U.S.

@highlight

She says Iran wants the U.S. to accept Iran as a regional player

@highlight

Says there are clear signs Tehran is committed to engagement to achieve its goals

@highlight

She says the U.S. should engage but with patience