Pointe Aux Chenes, Louisiana (CNN) -- The marshes here have long been a refuge for the Native Americans living in Louisiana's bayou.

"We came to live here because it was marshland, where nobody else wanted to live," said Chuckie Verdin, the chairman of the Pointe Aux Chenes Indian Tribe.

The tribe is made up of about 700 members whose ancestors were forced from their lands and resettled to Louisiana more than 100 years ago.

That refuge, already strained from coastal erosion, is facing a new menace: the oil spill spreading uncontrollably across the Gulf of Mexico.

On Saturday, the same day that the state closed fishing in the area, Verdin addressed some of the tribal members in the town's cinder block church.

Before the tribal meeting, the members recite a prayer in a French dialect, a language picked up by their ancestors from European settlers generations ago.

Several men have come directly from hauling in the last catch of shrimp and blue crab. They sit in the pews still wearing their calf-length rubber fishing boots.

Verdin, a veteran fisherman and oil rig worker, doesn't downplay the threat growing just a few miles away.

"This could be the end of our way of life," Verdin tells the crowd from the altar.

He is wearing a black T-shirt that reads "I am a Point Aux Chenes Tribal Member and I Count."

Grim expressions cover the faces in the small crowd in the church. People ask if there has been any response from a letter sent to Louisiana Gov. Bobby Jindal asking for help.  Verdin shakes his head.

Since the tribe is still fighting for federal recognition, it is not empowered to appeal to Washington. That recognition, tribe members said, would give them special protections and expanded powers to push for the help they say they need.

They are uncertain of how to negotiate with BP, which has set up an office on the second floor of the church to hire people to place protective booms off the coast.

People complain they feel cut off and alone.

The tribal members say no federal or state officials have come to advise them on what to do. However, a small delegation of Native Americans has made the long journey from Alaska to share their experience dealing with the aftermath of the 1989 Exxon Valdez disaster.

"There were severe human impacts with the workers who tried to clean up the oil spill in Alaska," said Faith Gemmill, who spent 14 hours flying to get to Louisiana. "These are persistent impacts, they don't go away."

But if this area is going to be protected from the encroaching oil spill, the residents of Pointe Aux Chenes will have to do it themselves.

Taking a boom supplied by BP, Verdin and about 25 other tribal members set off in their fishing boats to seal off their wetlands from the oil, which is already reaching the shoreline.

Before they leave, a BP worker inspects the boats and orders the men -- most who have been fishing for all their lives -- to wear life jackets.

Verdin says if BP provided him with more boom and agreed to hire more workers, he could probably get 100 people on the job.

What concerns the tribe the most is a small island off the coast of Pointe Aux Chenes they call their sacred grounds. It is the land where many of their ancestors are buried.

Hurricanes carried away the headstones years ago.  It is bare ground except for a large, simple white cross.

From the back of their boats -- some with names like "Geronimo" and "Crazy Horse" -- the workers place the boom on the water's edge.

Several large globs of a reddish-brown oily substance are floating inside the boom. The clumps have been spotted in other areas where the tribal members fish.  But this is the closest they've seen it to Porte Aux Chenes.

It is not the first time the tribe has made a stand to protect the burial ground.

In the 1970s, Verdin said, tribal members stood on the shores of the sacred ground cradling shotguns and rifles to face down oil company workers intent on dredging the land for a pipeline.

The oil company dredged elsewhere, but the results were still catastrophic. Tribe members say the deep cuts made through the marshes brought in saltwater and led to coastal erosion.

That erosion has turned the once abundant oak trees in Pointe Aux Chenes -- which means "Oak Point" in French -- into empty husks. Erosion has also turned areas where people once lived into waterlogged marshes or open water.

In 2005, Hurricane Rita brought up to 8 feet of water to parts of the town, Verdin said.

Adding oil to such a storm surge would prove disastrous.

"If we get oil up in here and you get a hurricane, I don't see them letting us come back," Verdin said. "Who's going to clean that after, how long is that going to take?"

But for tribe member Lulu Dardar, the disaster already has struck. A single mother of four, she ekes out a living from catching shrimp and blue crab off her small boat.

Dardar's face is a deep brown from a life working in the sun. On the last day of fishing before the state closes the water because of the spill, Dardar unloads baskets of blue crab in the pouring rain.

Once the crab is on the dock, she is out work but with mouths still to feed.

"I don't know what I do next, this is all I know how to do," Dardar said. "I don't know what I do tomorrow."

@highlight

Gulf oil spill threatens sacred burial ground of Louisiana's Point Aux Chenes Indian Tribe

@highlight

Most of the tribe's 700 members also rely on fishing and fear the spill could end their way of life

@highlight

Members say no federal or state officials have advised them on dealing with the disaster

@highlight

Native Americans from Alaska told the tribe how they dealt with the 1989 Exxon Valdez spill