San Diego (CNN) -- Now that President Barack Obama has broken his promise to take executive action on immigration, and put off the thorny issue until after the midterm elections -- and I predict, for the remainder of his presidency -- many immigration reform advocates are angry, surprised and disappointed.

I'm none of those things. Here's my take: When it comes to Obama and immigration, keep your expectations low. Despite what he says, don't make the mistake of thinking that he actually supports legalizing the undocumented. Finally, whatever he says, don't assume it's the truth.

When it comes to immigration, Obama has a long trail of half-truths and broken promises. In July 2008, the presidential candidate told the National Council of La Raza that, if elected, he would make the issue a top priority and address it within the first 100 days. That didn't happen.

White House officials then moved the goal line to, well, the first term. That didn't happen either.

From 2009 to 2011, Obama told supporters that he couldn't curb deportations because he was "not a king."

Yet, in 2012, eager to re-engage Hispanic voters for his reelection, Obama summoned his inner monarch when he unveiled "Deferred Action for Childhood Arrivals," which gives undocumented young people a temporary reprieve from deportation and work permits.

In 2013, Obama did another about-face and returned to his rhetoric about how he couldn't act alone to stop deportations. He also gave half-hearted support to the Senate immigration bill, which would militarize the border and only legalize about half of the estimated 11 million undocumented immigrants in the United States.

Now, we're in another election year, and Obama is back to cynically using the promise of immigration reform to get Latino voters to turn out. He dangles it like a carrot in front of a donkey pulling a cart. Speaking in the Rose Garden on June 30, Obama bemoaned inaction by the Republican-controlled House and promised to take executive action before the end of summer.

Lawmakers urge Obama to work with Congress on immigration

Well, summer is over, and Obama is backing out of the deal.

Some on the left are finally getting the message that Obama is not their amigo.

Cristina Jimenez, the managing director for United We Dream, an advocacy group for undocumented students, told The New York Times: "The president's latest broken promise is another slap to the face of the Latino and immigrant community."

For Obama, the question is never what he can do for the immigration issue but what the immigration issue can do for him.

It's no surprise that some on the left have realized that they have to do for themselves.

Just a few hours before Obama's retreat, I was having breakfast in Southern California with one of the leaders of a prominent grassroots immigrant rights organization. He wanted me to connect his group with Republicans who support immigration reform because it might pressure Obama to act.

I can do one better. Want to get comprehensive immigration reform? Elect a Republican president.

Congress passes laws, but the president sets priorities. Just like Obama did with health care reform, which is why we call the new law "Obamacare" and not "Pelosicare" or "Reidcare."

Once you see through the political fog on the immigration debate, you realize that Republican presidents are a better bet for delivering reform.

Three reasons:

First, ignore what politicians say and watch what they do. Democrats campaign as soft on illegal immigrants, but they're tough on them once in office. Republicans campaign as tough on illegal immigrants, but they're soft on them once in office.

Second, look at history. In 1986, it was a Republican president, Ronald Reagan, who signed an "amnesty" bill into law. Twenty years later, it was another Republican, George W. Bush, who boldly kicked off the modern debate over comprehensive immigration reform by proposing legal status for the undocumented. Meanwhile, it was a Democrat, Bill Clinton, who militarized the border with Operation Gatekeeper in 1994 and signed a 1996 immigration law that made it easier to deport people and harder to return.

Now we have another Democrat, Barack Obama, who has deported more than 2 million people, roped local police into enforcing immigration law through the program known as Secure Communities and shipped thousands of child refugees back to Central America without due process.

Third, understand human nature. Republicans don't love immigrants. But they love business, and business loves immigrants. Meanwhile, Democrats don't hate immigrants. But they love unions, and unions hate immigrants.

Obama: Waiting will make immigration executive action 'more sustainable'

Still, electing the right leaders is only half the job. The rest of it is holding them accountable.

Latinos should be furious at Obama's betrayal. But they should save some anger for themselves for believing the lies.

As for Obama, he continues to insult Latinos with more blame-shifting and double talk. Now he insists that his decision to delay any executive action on immigration wasn't based on politics -- except when it was.

On Sunday, during an appearance on NBC News' "Meet the Press," Obama told moderator Chuck Todd that contrary to earlier reports, he was not trying to help Democrats in Congress keep their seats in November. Instead, he realized that the recent surge of unaccompanied minors across the US-Mexico border changed the political equation.

"The truth of the matter," Obama said, "is that the politics did shift midsummer because of that problem."

To summarize, the president who didn't have enough courage is blaming his ineptitude on child refugees who had an abundance of it.

Breaking his promise made the President look dishonest. Admitting that it was about politics made him look weak. But blaming it all on the kids made him look pathetic.

@highlight

Ruben Navarrette: The delay announced by President Obama is another broken pledge

@highlight

He says promises that immigration reform would be a priority were not serious

@highlight

History shows that GOP presidents, friendly to business, more likely to favor immigration, he says

@highlight

Navarrette: Obama was wrong to blame his inaction on the surge of border kids