(CNN) -- The U.S. has increased embassy security worldwide after the assault that killed the U.S. ambassador to Libya, Chris Stevens and three other consular officials, and violent protests at U.S. embassies in Egypt and Yemen.

Protesters have been angered by a film that mocks Islam's Prophet Mohammed. The online film "Innocence of Muslims" has attracted widespread condemnation including remarks from Egyptian President Mohamed Morsy and Pakistan's foreign ministry.

Violent protests erupt at embassies as U.S. seeks killers

The tension has also provoked comment throughout the press in the Arab world. CNN samples some of the commentaries:

Lebanon Daily Star

In an editorial in the online English language version of the Lebanon Daily Star, the paper is critical of the violence but adds "... after a number of similar reactions in recent years to depictions of Prophet Mohammad far less offensive, it should no longer be a surprise

"More efforts must urgently be made to contain the spread of such hateful media.

"While the violent outbursts were the work of a small group of religious extremists, the authorities in the United States must also bear some responsibility for what happened, and for the ability of the attackers to breach embassy security in both countries.

"It is also vital to view the events in Libya and in Egypt within a context, one in which people's wider anger, religious fervor or boredom -- or a combination of all three -- has been manipulated by a fifth column to further its own interests.

"If we are to learn anything from these tragic events, it is that greater religious understanding is needed now more than ever."

The Kuwait Times

Badrya Darwish, writing in the Kuwait Times, focuses on the upset caused by the film-maker and calls on the U.S. government to act.

"Of course, the producer of the film and the actors taking part in the movie knew exactly what they were doing and knew exactly what the result of this would be -- violence and riots," she says.

"I call this insinuation of hatred and an act of terror that is wrapped in velvet. And do not say that it is about freedom of speech because it is not!

"After 9/11, the U.S. has new laws. Let's see the American government use those against non-Muslims too."

Asharq Al Awsat

Tariq Al Hameed, writing in the Arabic newspaper Asharq Al Awsat, says: "Since the fall of the Mubarak regime, the real problem in Egypt has been having double standards with the street, which is moving without leaders of public opinion.

"There are leaders who act as political men, not listening to the demands of revolutionaries in the streets, media, and social platforms. There, innocent becomes guilty without trial. This is the problem with Egypt today, and it is the obstacle that will stop it from heading towards the future.

"Countries are not constructed on screams, chaos, or revenge, but they are built on wisdom, thinking, and tolerance. Unfortunately, this is not the case in Egypt, and that is evident in demonstrators against the U.S. embassy, who were Islamists, Christians, and even a group of soccer fans."

The Jordan Times

Under a headline of "Nothing justifies murder," an editorial in The Jordan Times condemns the perpetrators of the attack on the U.S. embassy in Benghazi and the film-maker "whose sinister objectives are very clear."

It says: "The intentions are to denigrate Islam, the faith of more than 1.5 billion people, or around one quarter of the world's population, most of them living peacefully with followers of other faiths. The movie certainly targets these people in a manner that aims to disrupt their relations with others who might view them in a negative light.

"Unfortunately such [a] job is made easier by a very small minority of Muslims who advocate violence or the use of force to impose their views on others -- others here being not only non-Muslims, but also Muslims who do not agree with them, meaning the vast majority of the followers of the faith.

"In Islam and for Muslims, nothing justifies violence and spilling blood of innocent people."

Addustour

In Jordan, Hilmi Al Asmar writes that the West should take action against the film-maker. In an editorial in Addustour, the paper says: "We appreciate all those who repudiated the film's director "Sam Bacile", whether Copts or otherwise. His destiny is to live hiding like the non-believer Salman Rushdi, and likewise.

"We hope the West will discipline their ribald, and stay away from our religion and honor, and they should understand very well that Muslims left the ages of humiliation and degradation, and started their journey to gain their dignity and wealth back.

"These are not holy words, as whoever reads what their scholars write knows what this means exactly."

Al Hayat

In the pan-Arab newspaper Al Hayat, Zuhair Qsaibati says malice breeds malice. "In the age of hatred that erases all logic, it is not a coincidence that a mosque has been desecrated in France, and Muslims in the U.S. have been warned of a 'holocaust'.

"This film is just one of the many weapons of mass destruction that threaten the Arab Spring. Malice brings malice, and if revolution is a fair game then its enemy will be always ready to spread discrimination in the region: among Muslims and Christians, Muslims and Copts, Sunnis and Shiites, Sunnis and Alawites."

The Egyptian Gazette

An editorial in the English language Egyptian Gazette assesses the way anti-U.S. hostility has created a leadership test for both President Barack Obama and Mitt Romney ahead of the presidential election.

"Obama, appearing in the White House Rose Garden, somberly condemned the attack on the US consulate in Benghazi, projected presidential dignity, called on Americans to unite and promised action to protect diplomats in the Arab world," it says.

"But the president's unspoken political mission was to exploit and enhance perceptions of him as a steely global leader and to shield his own election prospects from immediate damage from any voter outrage at home."

It said Romney "unloaded on the administration over a statement issued by the US embassy in Cairo which effectively condemned a film by a US director deemed offensive to Islam which sparked the riot."

@highlight

"More efforts must be made to contain spread of hateful media," says Lebanon's Daily Star

@highlight

The Jordan Times concludes: "In Islam and for Muslims, nothing justifies violence and spilling blood of innocent people."

@highlight

The Kuwait Times focuses on the upset caused by the film-maker and calls on the U.S. government to act

@highlight

In the pan-Arab newspaper Al Hayat, Zuhair Qsaibati says malice breeds malice