(CNN) -- The other night, as I sat in the telescope operation room at the Keck Observatory in Waimea, Hawaii, preparing with colleagues to measure light from some of the most distant galaxies known, the phone rang with startling news.

An exploding star had been sighted in M82, one of the nearest big galaxies. The "supernova" (as such stellar explosions are called) was a special, rare "Type Ia" -- the kind that led to the Nobel-worthy discovery of dark energy.

Type Ia supernovae have happened in our galactic neighborhood only three times in the last 80 years. Like astronomers around the world, we were excited to be at a world-leading telescope, where we could collect new information about this rare event.

The new supernova, SN2014J, is 11.4 million light-years from Earth, a mere stone's throw in cosmic terms. The previous record-holders were found in 1937 (14 million light-years away) and 1972 (16 million light-years away).

Supernovae occur at the end of a star's life when its furnace runs out of fuel. Because gravity then overcomes the star's ability to remain puffed up, there is a violent collapse, followed by an explosion that produces radioactive elements such as nickel and cobalt. Most of the light we see from a supernova is emitted as those radioactive elements decay, so the brightness falls sharply over a period of weeks.

Incidentally, all the iron in your blood came from the decay of radioactive nickel manufactured in a stellar explosion. So most of the atoms in your body were once in the interiors of stars.

Because supernovae change brightness very quickly compared with galaxies (months compared with billions of years for galaxies), we quickly diverted the Keck telescope from our intended targets to SN2014J. Our galaxies will look the same another night, but the supernova won't.

Amazingly, a professor and his students at the University of London Observatory had discovered SN2014J well before it reached its peak brightness.

"The weather was closing in, with increasing cloud," said professor Steve Fossey. "So instead of the planned practical astronomy class, I gave the students an introductory demonstration of how to use the CCD camera on one of the observatory's automated 0.35-meter telescopes."

Deciding to look at M82 was almost pure luck -- there were fewer clouds in that direction, and the galaxy was pretty and bright. But Fossey quickly noticed M82 didn't look right: It seemed to contain a bright new star. He realized this might be a supernova and, together with his students, worked feverishly to rule out other explanations (such as a flaw in the camera or an asteroid in our galaxy appearing to pass by M82). In short order, the discovery of the new supernova was confirmed, and the e-mail alerts and notifications began.

Tom Wright, one of the students, said, "One minute we're eating pizza, then five minutes later we've helped to discover a supernova. I couldn't believe it."

The only supernova that's more extraordinary is SN1987A, which was discovered in 1987. It is in a tiny satellite galaxy orbiting the Milky Way, about 160,000 light-years away and 70 times closer than SN2014J.

Here's an analogy for the vast distances across which we see supernovae: Imagine if 1987A were on the back porch. Then SN2014J would be just down the street; a garden-variety nearby supernovae would be in the next town, and the most distant supernovae would be over in the next state.

Space is very empty -- there are only a few big galaxies near us. On average, the distance to the nearest big galaxy is about 100 times its size. But space is also huge, and there are billions of galaxies.

In an ordinary big galaxy such as the Milky Way, one supernova -- of any type -- happens only every hundred years or so. But since there are so many galaxies in the universe, millions of supernovae go off every year. From Earth, we can see hundreds of these.

One recipe we can use to find a supernova is to take pictures of a few hundred galaxies, repeat a few weeks later and look for the difference. The supernova will look like an overly bright star compared with the galaxy in which it lies.

Finding one supernova in several hundred galaxies is equivalent to staring at one galaxy for several hundred years.

M82 is an unusual galaxy because it has a high rate of star formation. That's why two other supernovae were found in M82 as recently as 2008 and 2004. But they were not the special Type Ia supernovae. Because we have a good idea of how much light is emitted by Type Ia supernovae, the brightness we observe is a direct indicator of the distance to the host galaxy. This makes Type Ia supernovae incredibly valuable for measuring cosmic distances.

Careful observations of Type Ia supernovae across the universe were essential to measuring the expansion history of the universe over billions of years. This led directly to the discovery of dark energy, a sort of fifth fundamental force that is now one of the most important unknowns in physics or astronomy.

The reason Type Ia supernovae are special is their uniformity. Basically, they all explode at about the same mass, so they are all roughly equally luminous. Better understanding the physics of that explosion and the effect of local galactic environment will make Type Ia supernovae even better "standard candles" and improve our understanding of the properties of dark energy and the cosmological evolution of the universe. The more data we can get, and the closer the supernova, the better the calibration.

We are lucky that SN2014J was discovered about two weeks before it will reach its maximum brightness, rather than after. For the next week or so, the data will get better as the supernova gets brighter.

On Tuesday night, it was reported to be 11th magnitude (astronomer units), which is about 100 times fainter than can be seen with the naked eye. But it should get at least 10 times brighter, with a maximum around 8th magnitude -- not visible to the naked eye but certainly discernible with a good pair of binoculars.

M82 lies far north in the sky, in the constellation Ursa Major, near the Big Dipper, above the Dipper's bowl and about a third of the way over toward Polaris, the North Star. So if you can see the Big Dipper and the North Star, take a shot at seeing one of the most unusual supernovae in your lifetime.

Of course, you can't get too excited about the timing. We see this light 11.4 million years after the explosion happened, because of the time light takes to reach our galaxy. So it was a really special time in M82 11.4 million years ago.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

In one of the nearest big galaxies, M82, a rare type of supernova exploded

@highlight

Meg Urry: Its uniform luminosity makes it valuable in measuring cosmic distance

@highlight

She says finding supernovae has led directly to the discovery of dark energy

@highlight

Urry: We are seeing this light 11.4 million years after the real explosion