PARIS, France (CNN) -- The jet carrying 228 people from Rio de Janeiro, Brazil, that disappeared overnight as it entered an area of strong turbulence probably crashed into the Atlantic Ocean, the CEO of Air France said Monday.

Anne and Michael Harris, who lived in Rio de Janiero, Brazil, were two Americans aboard the flight.

Brazilian and French ships and planes were looking for any sign of the missing plane, authorities said.

The first three hours of what was to have been an 11-hour flight appear to have been uneventful, CEO Pierre-Henri Gourgeon said.

But about 4:15 a.m. Paris time, Flight 447's automatic system began a four-minute exchange of messages to the company's maintenance computers, indicating that "several pieces of aircraft equipment were at fault or had broken down," he said.

"This succession of messages signals a totally unforeseeable, great difficulty," he said. "Something quite new within the plane."

During that time, there was no contact with the crew, Gourgeon said.

"It was probable that it was a little bit after those messages that the impact of the plane took place in the Atlantic," he added.

He said the Airbus A330 was probably closer to Brazil than to Africa when it crashed.

He noted that turbulence made flying "difficult" in the area but that it is "too early to say" exactly what happened.

The chances of finding any survivors were "very low," French President Nicolas Sarkozy admitted Monday.

"This is a catastrophe the likes of which Air France has never seen before," he said at Charles de Gaulle International Airport, where he met with relatives of the missing.

"I said the truth to them: The prospects of finding survivors are very low," he said.

The airline company identified the nationalities of the victims as two Americans, an Argentinean, an Austrian, a Belgian, 58 Brazilians, five British, a Canadian, nine Chinese, a Croatian, a Dane, a Dutch, an Estonian, a Filipino, 61 French, a Gambian, 26 Germans, four Hungarians, three Irish, one Icelandic, nine Italians, five Lebanese, two Moroccans, three Norwegians, two Polish, one Romanian, one Russian, three Slovakian, two Spanish, one Swedish, six Swiss and one Turk.

An official list of victims by name was not available late Monday.

The American victims were identified as Michael Harris, 60, and his wife, Anne, 54, by the couple's family and his employer, Devon Energy in Oklahoma -- the largest U.S.-based independent natural gas and oil producer. Michael Harris was a company geologist in Rio de Janeiro, according to a company spokesman.

Anne Harris' sister, Mary Miley, told CNN the couple had been living in the city since July 2008 and that they were traveling to Paris for a training seminar for Michael and for a vacation.

"Anne and Mike were indeed a beautiful couple inside and out and I miss them terribly already," Miley said in an e-mail.

Sarkozy said French authorities sent ships and planes to the area about 250 miles (400 kilometers) from Brazil. "Our Spanish friends are helping us; Brazilians are helping us a lot as well."

French Transport Minister Jean-Louis Borloo told CNN affiliate France 2 that France asked the U.S. military to assist in the search through U.S. detection satellites. Pentagon officials in Washington did not immediately confirm the request.

Brazilian President Luiz Inacio Lula da Silva told reporters in San Salvador, El Salvador, that he had spoken with Sarkozy but neither leader knew what to say. "All we could do was thank each other," Lula said. "He thanked me for the speed with which the Brazilian air force took charge."

He added, "In times like these, there is little to do but to deeply lament, to wish the families a lot of strength, because there are no words in times like these."

Sarkozy said authorities were seeking the help of satellites that might be able to pick up signs of what happened to the 4-year-old Airbus 330.

No possibility was being excluded: Turbulence in the area was strong, but other planes were able to pass through it without incident, he said.

The plane reported a problem with the electrical system, "but the specialists refuse for the moment to express themselves about any possibility," Sarkozy said.

The jet also sent a warning that it lost pressure, the Brazilian air force said.  Watch aviation expert describe possible scenarios »

It lost contact with air traffic control between Galeao International Airport in Rio de Janeiro and Charles de Gaulle International Airport in Paris, the airline said Monday.

The Airbus A330 sent out an automatic signal warning of the electrical problems just after 2 a.m. GMT Monday as it flew "far from the coast," said an Air France spokeswoman who declined to be identified. It had just entered a stormy area with strong turbulence, she said.

The jet was flying at an altitude of 35,000 feet and a speed of 521 mph, the air force said.

Among the passengers were 126 men, 82 women, seven children and a baby, in addition to the 12 crew members, Air France officials in Brazil said.

Much of the route is out of radar contact, Brazilian air force Col. Henry Munhoz told TV Globo.

The flight, AF 447, took off from Galeao International Airport at 11:30 p.m. Sunday GMT. It was scheduled to land in Paris at 9:10 a.m. GMT.  Learn more about recent notable airplane crashes »

Its last known contact occurred at 2:33 a.m. GMT, the Brazilian air force spokesman said.

It was expected to check in with air traffic controllers at 3:20 a.m. GMT but did not do so, the Brazilian air force said in a statement.

Brazilian authorities asked the air force to launch a search mission just over three hours later, at 6:30 a.m. GMT, the statement said.

The plane reported no problems before takeoff, Joao Assuncao, Air France's manager in Brazil, told the country's Record TV.

The airline set up a crisis center at the Paris airport. It listed numbers for families to call: 0 800 800 812 for people in France and 00 33 1 57 02 10 55 for families outside France.

At a crisis center at the airport in Rio, relatives of the missing complained of a dearth of information from Air France, the Brazilian state news agency reported.

One man, who identified himself as Bernardo, said his brother, Romeo Amorim Souza, and his wife were on the missing flight.

"I came to the airport because I wasn't finding information, and my parents are very nervous," he told Agencia Brasil.

The missing A330 last underwent a maintenance check on April 16, the airline said.

CNN air travel expert Richard Quest said the twin-engine plane, a stalwart of transatlantic routes, had an impeccable safety record, with only one fatal incident involving a training flight in 1994.

"It has very good range and is extremely popular with airlines because of its versatility," he said.

Its crew was composed of three pilots and nine cabin crew members, including a captain who has logged 11,000 hours in flight. About 1,700 of those hours were on the A330 and A340. Of the two co-pilots, one has 3,000 hours of flying experience and the other 6,600 hours. The aircraft has flown 18,870 hours.

The model is "capable of communicating in several different ways over quite long distances even if they are out of radar coverage," said Kieran Daly of the online aviation news service Air Transport Intelligence.

The French Accident Investigation Bureau for civil aviation is investigating, the company said in a statement.

CNN's Lianne Turner, Ayesha Durgahee, Helena DeMoura, Isa Soares and Mariano Castillo contributed to this report.

@highlight

CEO: "Several pieces of aircraft equipment were at fault or had broken down"

@highlight

Passenger jet carrying 228 people disappears off coast of Brazil, airline says

@highlight

Air France says jet may have suffered electrical problems after hitting storm

@highlight

Expert says plane is extremely popular with airlines