(CNN) -- With Americans Kenneth Bae and Matthew Todd Miller back in the United States, the big question now is why did North Korean leader Kim Jong Un agree to their release?

Is it a sign Pyongyang wants better relations with Washington? Is it sending a message to its closest ally, China? Or is it a bid to shift the focus off its human rights record amid talk Kim could be charged with crimes against humanity?

"I think right now there is a charm offensive," Gordon Chang, the author of "Nuclear Showdown: North Korea Takes On the World," told CNN.

Something in Pyongyang, Chang believes, sparked the offensive. But just what stemmed the change is highly debated.

This much is clear: North Korea's release of Bae and Miller on Saturday came amid a rare, last-minute trip by a top American official -- Director of National Intelligence James Clapper, to Pyongyang, a senior State Department official told CNN on condition of anonymity.

Clapper, who was tapped by President Barack Obama as an envoy, made the trip after North Korea urged the United States to send a Cabinet-level official, the official said.

Clapper is not a member of Obama's cabinet. He is the government's spy chief.

The official said there were no discussions about North Korea's nuclear program, and other U.S. officials told CNN there was no "quid pro quo" for the men's release.

"I do believe it's a positive sign," Bill Richardson, a former U.S. ambassador to the United Nations who tried to win Bae's release during a 2013 visit to North Korea, told CNN.

With North Korea "catching a lot of grief" on its human rights record in the United Nations, Richardson said it appears Pyongyang is sending a message that "we're ready to talk."

The secretive nation has been slapped with crippling U.N. sanctions. It has previously used negotiations surrounding its burgeoning nuclear program to get needed aid, such as food.

'There may be a number of reasons'

But Joel Wit, a former State Department official who negotiated with North Korea, believes the release of Bae and Miller had very little to do with "a desperate cry for help."

"There may be a number of reasons why North Korea may have released the two Americans now," he said.

It could be as simple as North Korea made its point. "These people were put in jail for a certain amount of time, and now they can be released," he said.

Or it could be that Kim is "communicating to China ... that Pyongyang is trying to be reasonable, and the United States is not."

Wit said it also could have something to do with North Korea's effort to tamp down the possible fallout from a scathing U.N. Commission of Inquiry report cataloging North Korea's abuses that the investigators said amounted to crimes against humanity.

"I think there is no doubt in the minds of anyone who follows North Korea closely that Kim Jong Un is in charge. There's no doubt about that," Wit said.

Kim, who took over as the absolute leader following the 2011 death of his father Kim Jong Il, personally ordered Bae and Miller released.

Early hopes that the younger Kim would be open to warming relations with the West were quickly dashed after he took a series of provocative steps, including threatening a preemptive nuclear strikes.

He has since come to be viewed as more unpredictable, more dangerous and harder to read than this father.

Christopher Hill, who served as the head of the U.S. delegation in failed talks aimed at curbing North Korea's nuclear ambitions, also doubted the release of the two men was a good-faith gesture.

"He has not shown any sign of living up to what his father agreed to, which is to do away with his nuclear program," he told CNN.

Asked whether there was any substance behind the so-called "charm offensive," Hill said, "It's really kind of early to tell."

Human rights allegations

The release of Bae and Miller comes a month after North Korean officials appeared to go on the offensive, taking questions at the United Nations, arranging human rights talks with the European Union and taking a high-level trip to South Korea.

It was an abrupt about-face for North Korea, which only a year earlier had conducted an underground nuclear test and threatened attacks against South Korea and the United States.

In return, the United Nations slapped additional sanctions against North Korea, further isolating the secretive nation. The sanctions have cut off North Korea's ability to trade with most of the world.

The so-called charm offensive appears to have coincided with the release of a U.N. commission report that accused North Korean leaders of a pattern of human rights abuses that "does not have any parallel in the contemporary world."

The commission said it would refer its findings to the International Criminal Court, also known as the ICC, for possible prosecution. It also sent a letter to Kim warning he could face prosecutions for crimes against humanity, and warned of other options, including the possibility of being tried before an ad hoc tribunal by the United Nations.

In order to charge Kim or other North Korean leaders, the move would have to be approved by the U.N. Security Council. If the matter escalates to that level, China -- a permanent member of the council -- has indicated it likely will veto it.

China and North Korea have been close allies, since China backed the North in the Korean War in the 1950s.

The United States supported the South in the conflict, fighting side by side with its troops. The two Koreas are still officially in a state of war, though an armistice signed in 1953 ended the bloodshed.

CNN's Madison Park contributed to this report.

@highlight

North Korea's ''charm offensive'' coincides with release of U.N. report

@highlight

North Korea has released Kenneth Bae and Matthew T. Miller

@highlight

There are questions about why Pyongyang freed the Americans

@highlight

North Korea analysts and experts are divided over why it took the step