(CNN) -- It is midday and Geoff Lawton is hard at work at Zaytuna Farms in New South Wales, Australia. But the real work, he says, is going on inside the center of the compost.

Geoff Lawton says that permaculture "revs up" systems of soil creation.

"There's lots of things breeding in there," Lawton says.

Compost may not seem a sexy subject, but within this steaming pile, life is being created.

"There's organisms breathing and dying and reproducing very quickly," he says. "It's all very hot and steamy."

That rich soil lays the groundwork for Lawton's revolutionary method of food production. It's called permaculture.

Lawton's friend and mentor, Bill Mollison, developed the process back in the 1970s. Since then he and Lawton have traveled the globe preaching the value of permaculture and its aim to create harmony between the landscape and the people who live on it.

"Nature exists in an incredibly rich form, and enriching form and does so without any energy inputs from mankind," Lawton explains. "Permaculture does the same thing."

"We've taken the systems of soil creation and soil life and we've revved them up. We've speeded up nature itself and we've improved the system."  Watch Geoff Lawton at work »

So what does it take to improve the system?

Lawton says it's about rehabilitating areas that have been damaged by pollution or overuse by recycling nutrients and energy back into the soils.

Permaculture also takes all the things we need -- our housing, energy sources, food and water supplies -- and tailors them to fit into the natural rhythms of the ecosystem. The idea is to work with, not against, nature.

Lawton says that during the first few weeks and months you don't see the real benefits, but after a year to 18 months you really start to see the difference.

"Within two or three years you can see a system that is really something that's got great opportunities and possibilities," he said.

The gardens at Zaytuna Farms bear fruit and vegetables of all that hard work. The real measure though isn't how it works, but where.

Lawton claims this permaculture method can work anywhere in the world, including the desert.

"Almost all the deserts on earth at one point were forested," he said. "They all have different types of oasis systems. What you're doing is picking different points in the desert and turning them into a rich oasis."

On a DVD created by the Permaculture Research Institute of Australia, Lawton shows us what happened when he took this method to places like Morocco and Jordan -- just 80 kilometers from the Dead Sea.

"People were amazed to see an area that was salty, sandy ground, turn into a lush green forest, that had mushrooms growing from the soil," Lawton said.

The ability to "green" the desert is not only having an impact on the communities where these gardens are grown. Interest is also sprouting among young people.

Dozens come to Zaytuna Farms every year to learn about the permaculture method.

"I've only been doing it a year and once you hit upon the principles it's basically observations," said intern Jonathan Chan.

"You have to look at the land and which way the wind is blowing and see where the sun angles are and design around that and it does seem quite simple."

For Chan it's as much about cultivating a new way of life as it is about cultivating the land.

"I think people are getting to the point where they have to make change and permaculture is a good direction to go," he said.

Still, permaculture isn't without its critics. They argue the method is time-consuming in the early stages and that makes the system hard to get off the ground in many places.

It can be made even more difficult if the people living around the site aren't familiar with the process.

But Lawton argues the time and energy expended in a permaculture garden is offset by the quality of the experience, and the richness of the end result.

"A good organic farmer works a thousand hours a year. The industrial mankind works two thousand to three thousand hours a year. What do we have to show for it? Gadgets.

"We don't have community, we don't have clean water, clean air or sensible housing. As negative as we currently are, we can be equally positive," Lawton said. "It's not just self-reliance or self-sufficiency, it's absolute abundance."

@highlight

Geoff Lawton is using renewable natural resources to enrich ecosystems

@highlight

Permaculture can turn the most arid, nutrient-free soil into thriving habitats

@highlight

Lawton's friend and mentor, Bill Mollison developed the technique in the 1970s

@highlight

Lawton has turned deserts in Jordan and Morocco into rich oases