The United States has increased its military presence in Iraq, ordering 300 more troops to the violence-ravaged nation, the Pentagon announced Monday.

ISIS militants have "continued to pose a legitimate threat to Baghdad and its environs," a U.S. official told CNN. "We have seen them reinforce themselves around Baghdad enough to convince us more troops was the prudent thing to do."

The new troops, 200 of whom arrived Sunday and Monday, will provide security for the U.S. Embassy, the Baghdad airport and other facilities in Iraq, Pentagon spokesman Rear Adm. John Kirby said.

The deployment includes "a detachment of helicopters and unmanned aerial vehicles, which will bolster airfield and travel route security," Kirby said in a written statement.

The airport is in western Baghdad about 12 miles (20 kilometers) by helicopter from the embassy in the capital's fortified Green Zone.

The 300 troops are in addition to 300 U.S. advisers who will help train Iraq's security forces. They will bring the total of American forces in Iraq to about 800 troops.

Revered Shiite shrine attacked

On Monday, Three mortar rounds hit the outer gate of a Shiite holy site in Samarra, killing one person and wounding 14, a spokesman for Iraqi Prime Minister Nuri al-Maliki said.

Al-Iraqiya, a state-run television network, reported that the Iraqi air force demolished the site where the mortars were fired.

The Al-Askariya mosque was heavily damaged by militants in February 2006. That attack triggered retaliatory attacks against Sunnis, and touched off the sectarian fighting that nearly tore the country apart.

The mosque houses the Imam Ali al-Hadi and Imam Hassan al-Askari shrine, one of the holiest sites for Shiite Muslims.

Samarra is about  80 miles (129 kilometers) north of Baghdad.

The death was one of 1,873 in June due to violence, according to the Interior Ministry, a figure that includes 355 Iraqi soldiers and 130 police officers.

That is a dramatic increase from the May death toll of 994 given by the United Nations and health officials in restive Anbar province. The U.N. said 144 of the people killed in May were civilian police officers.

ISIS declares caliphate

Emboldened by a weakened Iraqi government that is struggling to stop their murderous advance, extremists of the Islamic State in Iraq and Syria declared over the weekend that they have set up a caliphate spanning large areas of the two countries.

In a newly released audio message and written statement, purportedly from the official spokesman of ISIS, the group called on Muslims to swear allegiance to the caliphate, which means Islamic state.

The group said in the message Sunday, which CNN couldn't independently confirm, that its flag now flies from Aleppo province in northwestern Syria to Diyala province in eastern Iraq. It announced that it was changing its name to just the "Islamic State."

The ISIS statement was just one of the many developments in the fast-moving situation in Iraq over the weekend.

How ISIS is overshadowing al Qaeda

Who controls Tikrit?

Iraq's government touted its military offensive to recapture Saddam Hussein's hometown of Tikrit from extremists, with some officials taking to state-run television over the weekend to declare that the army had defeated ISIS.

But residents in the city nestled along the Tigris River, about 140 kilometers (about 87 miles) northwest of Baghdad, gave a different account Sunday.

"There are no Iraqi troops here," one woman told CNN by telephone from Tikrit. The only presence, at least in her neighborhood, is the "Islamic state," she said, referring to ISIS.

The woman, who asked not to be identified over concerns for her safety, said she could hear the sounds of a fierce battle, in the form of shelling, being carried out by both sides.

Heavy shelling

A video posted on YouTube appears to support her assertion. A man gives a tour of the city to show, he says, that there were no Iraqi security forces on the streets on Saturday, the day Iraqi forces said they launched the offensive.

In the video, the man can be heard repeatedly saying "June 28, 2014," presumably to offer evidence of the date. He says "Thank God, Tikrit is safe and still in the hand of tribesmen and not troops of 'al-Haliki,' " a derogatory reference to al-Maliki that refers to his death.

Witnesses inside and outside Tikrit said Iraqi forces were heavily shelling the city. Two days ago, the air force dropped leaflets from helicopters, demanding that residents leave the city "for their safety."

A large number of people have fled Tikrit for smaller villages to the north, according to witnesses, who say Iraqi forces are battling ISIS on the southern edge of the city.

State-run Iraqi TV showed video footage of large plumes of black smoke billowing from the city. Another video, released by the Ministry of Defense, showed Iraqi troops and convoys loaded with heavy weapons driving through the desert. The video was titled "cleansing the road between Samarra and Tikrit."

CNN couldn't independently confirm the different claims.

Russian jets arrive

Five Russian Sukhoi fighter jets have arrived in Iraq, the first of 25 warplanes expected to be delivered under a contract between Moscow and Baghdad, the Iraqi Ministry of Defense said in a statement.

A video the ministry released Monday showed the jets, with wings unattached, being pulled toward hangars.

"These jet fighters will contribute to increase the combat capability of the air force and the rest of the armed forces in eliminating terrorism," the ministry said.

The Su-25 has been in service for more than three decades and was part of the Iraqi air force under Saddam Hussein's regime.

The announcement follows a comment by al-Maliki that recent militant advances might have been avoided if Iraq had proper air power in the form of fighter jets that Iraq has been trying to get from the United States.

"I'll be frank and say that we were deluded when we signed the contract" with the United States, al-Maliki told the BBC in the interview last week, which was released Friday.

Iraq has now turned to Russia and Belarus to buy fighter jets, he said. "God willing, within one week, this force will be effective and will destroy the terrorists' dens," he said.

U.S. officials were quick to reject al-Maliki's complaints.

U.S. fighter jets have not been slow in coming, Kirby said. The first two promised F-16s "weren't expected to be delivered until the fall, which is still months away," Kirby said. "And we were in the process of working towards that delivery."

The advance of the al Qaeda splinter group "couldn't have been stemmed through the use of two particular fighter planes," he said.

Al-Maliki's statements about the need for air support came as American and Arab diplomats told CNN that the United States is unlikely to undertake any military strikes against the Islamic State of Iraq and Syria and its allied fighters before a new government is formed in Iraq.

Mass graves reported

Human Rights Watch has reported the discovery in Tikrit of two mass graves believed to contain the bodies of Iraqi soldiers, police and civilians killed by ISIS and its militant allies.

In addition to the alleged executions in Tikrit, reports continue to emerge of atrocities committed by both sides.

Human Rights Watch, citing displaced residents and local activists and journalists, said Saturday that ISIS fighters kidnapped at least 40 Shiite Turkmens, dynamited four Shiite places of worship and ransacked homes and farms in two villages just outside Mosul.

The few Sunni villagers who remained in Guba and Shireekhan told those who fled that at least some of the kidnapped Turkmens had been killed, the rights group said. However, they had not seen bodies and could not give more information.

ISIS destroyed seven Shiite places of worship in the predominantly Shiite Turkmen city of Tal Afar, about 50 kilometers (31 miles) west of Mosul, earlier in the week, Human Rights Watch added, citing local sources.

But the allegations of atrocities are not just limited to ISIS. Amnesty International has said it has gathered evidence pointing to a pattern of "extrajudicial executions" of Sunni detainees by government forces and Shiite militias in Tal Afar, Mosul and Baquba.

Maps: Understand the crisis in Iraq

What is ISIS?

Iraq witnesses recall horrors in Tal Afar, Mosul

Iraq's Shiites answer call to arms

@highlight

Death toll in Iraq for June nearly twice that of May

@highlight

U.S. official tells CNN that potential threat from ISIS prompted troop escalation

@highlight

Pentagon sending 300 more troops to Baghdad as protection forces

@highlight

Mortar rounds strike gate of holy site in Samarra