(CNN) -- Already hamstrung by generations of poverty, environmental catastrophe and strongman rule, Haiti will need years to recover from the devastation inflicted by last week's earthquake, according to U.S. and Canadian analysts.

Haiti's struggling democracy has survived on international aid and the muscle of a U.N. peacekeeping mission since a 2004 revolt that ousted President Jean-Bertrand Aristide. The magnitude-7.0 earthquake that struck outside Port-au-Prince has set back efforts to get the country back on its feet "by many, many years," said Stephen Randall, a senior fellow at the Canadian International Council, a Toronto-based think tank.

"I don't think all of it is lost, but it's a very serious setback," Randall told CNN.

President Rene Preval's government regrouped at a police compound near the Port-au-Prince airport after nearly all of government ministries suffered heavy damage in the January 12 quake. Prime Minister Jean-Max Bellerive put the confirmed death toll at 72,000 on Tuesday, but estimates of the total number of fatalities run more than twice that high.

Mark Schneider, who led the Caribbean division of the U.S. Agency for International Development during the Clinton administration, said much has been done to build a non-corrupt police force and judiciary over the past six years.

"Of the administration and sort of on the institutional side, I think a lot can be salvaged," said Schneider, now senior vice president at the International Crisis Group. But he said efforts to redevelop Haiti's long-ravaged economy may have been set back by "decades."

iReport: Search list of the missing and the found

Haiti's public infrastructure -- roads, power and sanitation systems, hospitals and schools -- was already in poor condition before the earthquake. The flimsy homes built across Port-au-Prince collapsed wholesale during the quake, and hospitals quickly ran out of medicine. Clogged roads, damaged communications and airport congestion slowed the delivery of the hundreds of millions of dollars worth of international aid pledged in the week after the disaster, leading to widespread frustration and sporadic looting around the capital.

Once the challenges of feeding, housing and treating hundreds of thousands of ill, homeless and hungry people are behind them, Schneider said, Haitians from all walks of society need to reach a new "social compact" aimed at ending its persistent problems.

"The mismanagement of the environment; the narrow, self-interested actions of the economic elite that deny taxes to the government so they can't provide education to the population; the failure to establish government agencies that can provide services -- all those things are not the consequences of natural disasters, but they make the country more vulnerable when disasters hit," he said.

Though its economy has grown in recent years, Haiti is still the poorest country in the Western Hemisphere, with four-fifths of its 10 million people living in poverty. Its gross domestic product of $12 billion in 2008 is a tiny fraction compared to the $14 trillion generated by the United States, its largest trading partner.

In addition, years of deforestation has left a mountainous country in the middle of the Caribbean's hurricane belt vulnerable to flooding and mudslides, like the ones that killed thousands in 2004. And poor construction left unknown thousands of people trapped in buildings that pancaked when the earth moved last week, said John Mutter, a professor of earth and environmental sciences at Columbia University in New York.

Full coverage    l     Twitter updates

Stricter building codes and honest enforcement are necessary, but "people will never be able to build strong, expensive structures if they don't have a strong economy," Mutter told CNN's "American Morning."

"The economy of Haiti cannot put Port-au-Prince back in place," he said. "It's a perfect storm. It absolutely needs external intervention from the international community. We have to think of what we're doing."

Haiti's governmental budget of about $1 billion per year is derived largely from customs fees and is wholly inadequate for the physical improvements needed, Randall said. Emigres send back more money than that every year, but that money goes to individual families, not to public projects.

"The international community has been pressing the Haitian government to put more stock in taxation, but in fact, the real taxation that's taking place are the remittances," Randall said. "It's a form of taxation, family to family, friend to friend."

But Schneider said the influx of reconstruction aid could be an opportunity for Haitians to rebuild its infrastructure with more concern for its environment -- and to create jobs for Haitians in its construction.

"That's the way you employ a lot of Haitians," he said. Reconstruction contracts should require "both jobs and job training."

High-resolution images of damage

The United States has been heavily involved in Haiti commercially, politically and militarily for most of the last century, including occupying the country for nearly 20 years in the early 1900s.

The Clinton administration restored Aristide to power in 1994 after a 1991 coup, and a U.S. jet hustled him out of the country again in 2004 following a rapidly spreading uprising against his government. Aristide has called his removal a U.S.-backed coup, an allegation Washington denied.

Now the United States is the largest contributor to the Haitian government, while Canada -- which also has a police contingent in Haiti as part of the U.N. peacekeeping mission MINUSTAH -- is the second-largest.

CNN's Matt Smith contributed to this report.

@highlight

Quake set back efforts to get Haiti back on its feet "by many, many years," analyst says

@highlight

Haiti's democracy survived after '04 revolt with aid, U.N. peacekeeping mission

@highlight

International Crisis Group official: Efforts to build non-corrupt institutions can be salvaged

@highlight

Professor: Haitian economy cannot rebuild Port-au-Prince, so international aid needed