(CNN) -- Ten cases of polio have been confirmed among children in Syria, the first outbreak of the disease in that country since 1999, a World Health Organization spokesman told CNN Tuesday.

WHO's Oliver Rosenbauer said the confirmations were among 22 suspected cases that were identified on October 17 in the eastern city of Deir Ezzor after the children exhibited symptoms of "acute flaccid paralysis" -- a sudden onset of weakness and floppiness in any part of a child's body or paralysis in anyone in whom polio is suspected as the cause.

The confirmation was key because other diseases can cause similar symptoms.

Most of the victims were younger than two years old and were unimmunized or underimmunized, WHO said in a statement.

The Syrian Health Ministry is working with international organizations and the Syrian Arab Red Crescent to get vaccine to all areas of Syria, Health Minister Dr. Saad al-Nayef told WHO's regional committee on Monday in Muscat, Oman, the state-run Syrian Arab News Agency reported Tuesday.

But Dr. Bruce Aylward, the World Health Organization's assistant director-general for polio, emergencies and country collaboration, told CNN last week that his organization was not waiting for the confirmation to mount a vaccination campaign.

"As far as everyone is concerned, they're treating this like polio," he said.

On October 24, health officials launched a program to immunize 1.6 million Syrian children against polio, measles, mumps and rubella -- in government- and rebel-held areas. The response, which will also include neighboring countries, is expected to last at least six months, the WHO said.

According to UNICEF, 500,000 children in Syria have not been vaccinated against polio.

Given the fighting, the large-scale movement of refugees and the number of children who have not been fully immunized, "the risk of further international spread of wild poliovirus type 1 across the region is considered to be high," it added.

The highly infectious viral disease primarily affects young children. Initial symptoms can include fever, fatigue, headache, vomiting, neck stiffness, limb pain and, in a small number of cases, paralysis and death.

It can be prevented through immunization, but there is no cure. The incidence of the disease has dropped by more than 99% since 1988. It remains endemic in three countries -- Pakistan, Nigeria and Afghanistan -- down from more than 125 countries in 1988.

Public health can be among the first casualties of war, as resources are diverted away from ensuring clean water supplies and intact sewer lines.

Despite the challenges posed by the ongoing civil war, the polio vaccination effort will be helped by the fact that Syria had high rates of vaccination coverage among its populace prior to the current conflict, Aylward predicted.

In an address Friday to the U.N. Security Council, the under-secretary-general for humanitarian affairs and emergency relief cited the outbreak as an example of the privations endured by the Syrians and the risks they face.

Diseases, including those easily preventable by basic hygiene and vaccination, are spreading "at an alarming rate," said Valerie Amos. In addition, reports of malnutrition have soared, and people suffering from chronic illnesses, such as cancer and diabetes, are dying for lack of access to treatment, she said.

Aid workers cannot reach some 2.5 million people in the country, she added.

"All humanitarian staff missions and convoys continue to require written approval," she said, citing as "unacceptable" and "unpredictable" the government's processing of visas for U.N. and non-governmental staff members. More than 100 such visas are pending, many are limited to a single entry and many of those that are issued are for insufficient durations, she said.

"There is simply no reason why humanitarian staff, whose only interest is to help those in desperate need, have not been granted visas to scale up our operations," she said.

In response, Syria's permanent representative to the United Nations acknowledged to reporters in New York that the country is facing grave humanitarian problems, but accused Amos of having failed to properly apportion blame.

"She should know and say what are the root causes," Bashar Jaafari told reporters, citing neighborhoods that are "under siege by the Syrian Army because there are armed groups in these neighborhoods taking civilians as human shields."

Jaafari said his country is "a victim of interference by some member states into its domestic affairs."

Regarding the issuance of visas, he said, "We are issuing too many visas to too many people; we are a sovereign nation, like any other nation; we have our own reasons sometimes to deny a visa to this or that individual."

Jaafari said Damascus has extended visas to hundreds of people working for the Office for the Coordination of Humanitarian Affairs (OCHA), which is led by Amos. "Any minimal cases here and there" of problems "wouldn't affect the overall picture of our cooperation with OCHA," he said.

According to the United Nations, more than 100,000 people have died in the conflict, which began in March 2011 when government forces cracked down on peaceful protesters.

CNN's Jessica King contributed to this report

@highlight

NEW: Most of the victims are younger than 2

@highlight

Ten cases have been confirmed out of 22 suspected cases, WHO says

@highlight

Public health officials had already begun mounting a vaccination campaign

@highlight

First confirmation of polio in Syria since 1999