(CNN) -- It would be dishonest to say that 2014 has been a good year for women. We looked in disbelief as a terrorist group in Syria and Iraq turned women into slaves, and another radical group in Nigeria captured hundreds of female students and disappeared with them.

But 2014 was also a year in which many women fought back and inspired the world with their bravery and savvy. They taught us that the stakes are high and the road to a better future is fraught with difficulties, but with strength and dignity, we can get there.

Here are some of the women who in 2014 stared down the odds, helped change history, or changed our perceptions.

1. Vian Dakhil and the Kobani women who fought ISIS

The most enduring and inspiring images of 2014 come from the besieged city of Kobani, the Kurdish town on Syria's border with Turkey where ISIS, also known as the Islamic State, met unexpectedly fierce resistance. ISIS militants, who have brutalized girls and women, knew they would face opposition but did not expect Kobani's defending army to include large numbers of women. Women make up about one-third of Kobani's defenders and are part of a dramatic effort by female residents in Iraq and Syria to turn the tide against ISIS's misogynistic extremists.

It was Vian Dakhil who captured the world's attention by telling her fellow members of the Iraqi parliament about the impending genocide of the Yazidis. There were also women in Mosul, Iraq, who gave their lives fighting against ISIS in other ways. Their collective message? They would do everything possible to stop ISIS from reviving the practice of selling women into slavery.

2. Josephine Finda Sellu and Kaci Hickox took on Ebola

International attention on Ebola -- and panic that it will spread in the West -- has waned. But the battle to stop Ebola in West Africa continues, and the front lines are guarded by women, mostly nurses risking their lives to care for the ill. The story of Sierra Leone's Josephine Finda Sellu, showed the incredible courage and commitment of the task. She recalled more than a dozen nurses in her staff already dead, wondering how many more would perish.

Most of those fighting the disease are Africans, but Western volunteers have joined, also doing heroic work. They included Kaci Hickox, a Maine nurse who found herself at the center of a politicized dispute when she returned home. Hickox refused to allow politicians and public health officials give in to public fears. By refusing to sit quietly in an airport isolation tent, and later in home quarantine, she forced Americans to look more clearly at the risks and helped put an end to the overblown panic.

3. Oby Ezekwesili helped rally the world to #BringBackOurGirls

When hundreds of Nigerian girls were kidnapped by Boko Haram, the Islamist radical group, Nigerian women needed help to resolve the crisis. Oby Ezekwesili was one of the key figures who helped launch a viral campaign, #BringBackOurGirls, that took the Twitterati by storm and got the world's attention.

Some of the girls managed to escape, and bravely told the horrifying story of their captivity. The threat from Boko Haram is no longer secret. Neglect by the central government is harder to conceal, and the search is not over. Hope for their return is not lost.

4. Malala Yousafzai won the Nobel Prize

When it comes to defying those who would stop women's equality, the foremost icon is Malala Yousafzai, the Pakistani girl shot in the head by the Taliban to stop her efforts to help girls attain education. Malala survived and kept up her mission. She and Kailash Satyarthi, an Indian children's rights advocate, won the Nobel Peace prize together. She is the youngest person in history to win the award.

5. Barbara Bowman, Joan Tarshis and others came out against Cosby

More than a dozen women have come out accusing Bill Cosby, a beloved television personality, of sexual assault and rape. Women such as Barbara Bowman, Joan Tarshis, Janice Dickinson, Judy Huth and others.

Perhaps what's most surprising is that these accusations are not new but that the world had not taken them seriously. Nothing has been proved in a court of law, but the women, whose voices are finally being heard, have created an important zeitgeist moment. Sexual assault by anyone, even powerful people, is simply not acceptable. These women are breaking down the barriers for others to come out and tell their stories.

6. Minal Sampath and fellow space explorers boosted India

When Indian scientists and engineers put a rocket into orbit around Mars, mission control exploded into cheers. Among them were scores of women in colorful saris. India's space program is drawing worldwide accolades, and many of the people responsible for its success are Indian women. Bravo!

7. Shonda Rhimes and Julianna Margulies are changing prime time

For decades, women were relegated largely to supporting role on U.S. television. That has changed, with strong women now playing the lead in several prime time shows. The small screen is suddenly filled with powerful, multidimensional characters -- women whose lives are not centered on the men in their lives.

There's Olivia Pope, the lead character played by Kerry Washington in "Scandal," from producer Shonda Rhimes. There's Alicia Florrick, played by Julianna Margulies in "The Good Wife," from producers Robert and Michelle King. And there's Elizabeth Faulkner McCord, played by Tea Leoni, in "Madam Secretary," a show created by Barbara Hall. The landscape of television is being transformed -- we now have new role models not to mention more interesting programming.

8. Taylor Swift and Sofia Vergara know how to build empires

Women may have performed for a long time, but the phenomenon of women taking charge of their careers and building empires is newer. Talented, entrepreneurial women are creating entertainment empires with themselves at the center.

This year, Taylor Swift seemed to have been everywhere while her album is the biggest of the year in copies sold. Meanwhile, Sofia Vergara remains the highest paid actress on TV for a third year in a row. They have become powerhouses, expanding their reach and their influence.

@highlight

Frida Ghitis: 2014 is a year in which many women fought back against injustices

@highlight

The women who make up the army defending Kobani, Iraq, are brave to take on ISIS

@highlight

Malala, an advocate for girls' education, became the youngest person to win the Noble Prize

@highlight

Josephine Finda Sellu was incredibly courageous to help Sierra Leone fight Ebola