(CNN) -- Potential jurors in Casey Anthony's first-degree murder trial were asked during jury selection in May if they could look at the remains of a victim as simply evidence and not let their emotions sway them one way or the other.

This week, jurors in the Florida mother's trial for the death of her daughter, Caylee, were put to the test.

Week 3 of the trial began with forensic testimony about how someone searched for "chloroform" and "neck-breaking" on the computer in the home Anthony shared with her parents in Orange County. By Thursday, panelists were fully immersed in the physical reality of the 2-year-old's death: bones, decomposition, odor and all.

The prosecution called key forensic witnesses, who described in graphic detail, the state of Caylee's remains when she was found in a wooded area on Dec. 11, 2008, six months after she went missing.

"This is the skull with the hair and tape along with some leaf litter and other debris that was received at the same time as the other specimens," Orange County Chief Deputy Medical Examiner Dr. Gary Utz said on Thursday as he described a photo of Caylee's remains.

Jurors saw images of the tiny, decaying shorts and Winnie the Pooh blanket found with Caylee's remains. Animals had chewed up Caylee's bones by the time law enforcement discovered them, according to testimony.

At times, the typically stone-faced defendant bowed her head and tried to avoid looking at graphic images of her daughter's remains. On Thursday, Anthony broke into tears and was deemed "ill" by Judge Belvin Perry. Court ended abruptly to allow her to recover.

Anthony, 25, faces seven counts in Caylee's death, including first-degree murder, aggravated child abuse and misleading investigators. If convicted, she could face the death penalty.

Anthony has denied having anything to do with her daughter's death. Her defense team asserts Caylee's death was an accidental drowning that "snowballed out of control." Defense lawyer Jose Baez attorney said in his opening statement that Caylee drowned in the family pool shortly after her family last reported seeing her and that Casey Anthony and her father, George Anthony, panicked upon discovering the body and covered up her death. George Anthony denied that scenario in his testimony the first week of the trial.

Beginning Thursday, jurors saw dozens of photos and heard hours of testimony on the remains.

Despite objections from the defense, jurors saw a video in which images of Caylee's skull and the duct tape found across the front of it at the scene were superimposed over a photo of a Caylee alive, smiling, with her mother.

The prosecution argued the video showed how the duct tape could have covered both Caylee's nose and mouth, while the defense argued it was only designed to appeal to juror emotions.

Dr. Jan Garavaglia, star of the Discovery Channel's "Dr. G. Medical Examiner" and chief medical examiner in the case, offered some of the most compelling testimony of the week. Garavaglia, who examined the child's remains, testified Friday she could not say for sure how Caylee died .

But, homicide is "the only logical conclusion," she said.

During cross-examination, defense attorney Cheney Mason questioned Garavaglia's method of evaluating the manner of death, suggesting that forensic evidence, and not outside facts of the case, should determine her conclusion. Garavaglia defended her method, saying the cause of death can rarely be determined without outside information.

"The fact that it's tossed in a field to rot in bags is a clear indication that the body was trying to be hidden," Garavaglia said during cross examination. "It being put in a bag is a very big red flag for homicide, never seen in an accidental death for a child, and the fact that there's duct tape attached anywhere to that child's face is to me indication of a homicide."

The trunk

By Saturday, testimony reached discussion of bugs and larvae found in Anthony's trunk, where the prosecution alleges Caylee's body was kept in garbage bags for days after her mother knocked her out with chloroform and taped her nose and mouth.

While forensic entomologist Neal Haskell credited the bugs to decomposition, the defense argued and Haskell admitted the bugs could be attributed to a trash bag found in the trunk.

The prosecution also called Arpad Vass, a senior research scientist at Tennessee's Oak Ridge National Laboratory, who testified Monday about his examination of items from the trunk.

Vass said he was "shocked" by the high level of chloroform in the trunk carpet sample and had an immediate reaction when he opened the can containing the sample.

"I essentially jumped back a foot or two," Vass said, before confirming to Assistant State Attorney Jeff Ashton that he believed the smell was human decomposition. "The odor was extremely overwhelming. I was shocked that that little bitty can could have that much odor associated with it."

During a combative cross-examination, defense lawyer Baez attempted to cast doubt on Vass' testimony, accusing him of having a financial interest in the case and questioning his testing methods. Vass acknowledged that he has a pending patent on a device designed to detect clandestine graves. But he rejected the suggestion that his testimony in the high-profile trial could potentially inspire interest in the device and its applications.

The dogs

Tuesday and Wednesday brought key testimony of the four-legged variety. Deputy Jason Forgey of the Orange County Sheriff's Office, and Sergeant Kristin Brewer of the Osceola County Sheriff's Office, detailed the efforts of cadaver dogs Gerus and Bones, who searched critical areas in search of human remains.

Gerus detected human decomposition in both Anthony's car and in the Anthony's back yard, Forgey testified.

Brewer told jurors that Bones picked up the possible presence of human remains in the backyard near Caylee's playhouse. Images of Caylee's bright plastic playhouse were shown to jurors for demonstration.

During cross examination, Forgey and Brewer agreed that the dogs are not infallible when it comes to identifying remains and, "like humans," are imperfect.

The computers

Though Wednesday and Thursday's testimony on computer forensics was less graphic compared to what was to come, it represented some of the prosecution's most critical evidence so far.

Through the testimony of three computer experts, the prosecution worked to establish premeditation, a factor essential to convicting Anthony of first-degree capital murder.

Searches conducted on the Anthony family computer on March 17 and 21 of 2008 included "chloroform," "how to make chloroform," "household weapons" and "neck-breaking," according to testimony.

"Chloroform" was searched for 84 times, according to the testimony of John Bradley, who developed the computer program used by investigators to locate the searches.

During cross examination, Bradley agreed it is impossible to know for sure how much time was spent on each page viewed, and that some of the terms searched, like "hand-to-hand combat" and "self defense," appeared to have no relation to a case involving the death of a 2-year-old.

Week 4 is expected to bring the close of the prosecution's case and possibly the start of the defense. Only a few prosecution witnesses remain, including a trace-evidence analyst and a tattoo artist Casey Anthony visited in the weeks following her daughter's disappearance.

@highlight

First part of week's testimony focuses on computer searches for "chloroform," "neck-breaking"

@highlight

Jurors see dozens of photos, hear hours of testimony regarding Caylee Anthony's remains

@highlight

Forensic expert: Homicide "only logical conclusion" for Caylee Anthony's death

@highlight

Defense says Caylee's death was accidental drowning that "snowballed out of control"