As accusations over Obamacare and U.S. spying spiral into political controversies at home and abroad, there are two key questions bubbling beneath the surface: What did President Obama know, and when did he find out?

U.S. officials have said that the President didn't know about problems with the website for the health care policy he championed and that it wasn't until recently that he learned about a National Security Agency operation that wiretapped German Chancellor Angela Merkel's phone.

Dianne Feinstein, the chairwoman of the Senate Intelligence Committee, became the latest official to say the President was unaware of at least some spying.

"It is my understanding that President Obama was not aware Chancellor Merkel's communications were being collected since 2002. That is a big problem," she said Monday in a written statement.

Questions about what the President knew and when he knew it have important implications, analysts told CNN on Monday. If Obama was aware, that could mean he isn't being clear with the American public now. And if he wasn't aware, that could mean his own staff kept him in the dark.

"There's really no good answer," said Republican strategist Kevin Madden. "If he knew, essentially we're being misled by different people in the administration about the extent of the president's knowledge. If he didn't know, it's an abdication of even the most basic responsibilities of the command and control over very important parts of his administration, and that becomes a problem."

A.B. Stoddard, associate editor of The Hill, said this isn't the first time this sort of situation has come up, and someone aiming to protect Obama could have deliberately kept him out of the loop.

"So he gets to sort of exonerate himself and say, 'I really don't know.' ....But if he's not responsible, who is?" she told CNN's The Lead.  "He has to be accountable for major decisions and major moments like this. When someone like Merkel calls him, he has to be able to be accountable to her and say these aren't decisions made by other people."

White House: Don't tie issues together

In an exclusive interview with CNN last week, Health and Human Services Secretary Kathleen Sebelius said the President didn't know of problems with the Affordable Care Act's website until after its glitch-laden launch on Oct. 1. This was despite the fact that insurance companies had been complaining and the site crashed during a pre-launch test run.

At a press briefing Monday, White House spokesman Jay Carney declined to detail what Obama knew and when. He said that tying topics like problems with the Obamacare website and reports about NSA spying together is "conflating a bunch of very disparate issues."

Asked about a Wall Street Journal report that the White House stopped the operation monitoring Merkel after learning about it over the summer, Carney said he wouldn't "get into individual reports about specific programs" but said he'd provide more details once a White House review of U.S. surveillance is complete.

Experts: Not every detail disclosed

It's plausible that Obama wouldn't know about specific surveillance targets, said CNN National Security Analyst Frances Fragos Townsend, who sits on the CIA external advisory board.

Overall intelligence collection priorities are well-known by the White House, she said.

"Specific targets, however, (like) Angela Merkel's cell phone, are not the sort of thing discussed with the President of the United States," she said.

Every morning, Townsend said, Obama receives an intelligence narrative.

"It doesn't tell him specifically where the collection came from," Townsend said, "but some of it is sort of self-evident."

No one should expect the President to know everything the NSA is doing, said Julian Zelizer, a professor of history and public affairs at Princeton University.

"But when you're talking about the surveillance of world leaders, and an issue that's been controversial for a while now, you would expect that there's some knowledge either by the President or people surrounding him. ... I do think there's surprise that this was off the radar in the inner circles of the White House," he said.

Time for change?

Republican U.S. Rep. Peter King, a key member of the Homeland Security Committee, said if the surveillance happened without the President's knowledge, it has larger implications.

"I would say if the President did not know, that raises very serious questions about what he's doing as chief executive. The fact he would be going into negotiations and discussions and meetings with Angela Merkel or French leaders -- or any leaders for that matter -- and not be aware that there was surveillance going on of the private phone calls, to me either something is definitely wrong in his administration or he just has a totally hands-off attitude. To me, this is unacceptable," King told CNN's Wolf Blitzer on Monday.

No matter what Obama knew, or when, Stoddard said, it's time for a new approach.

"He has often said that he didn't know what was going on with the (HealthCare.gov) website. ... He can't pretend he doesn't know and walk away from problems anymore, because he has been caught too many times out of the loop," she said. "He can't do his job that way."

Problems in management, analysts say

Ron Suskind, who analyzed Obama's leadership style in his book "Confidence Men," said the recent glitches in HealthCare.gov give a glimpse into problems with Obama's management approach.

Obama should get high marks for the concepts of policies he's pushed forward, like the Affordable Care Act, Suskind said. But he's struggled with implementing them, Suskind said.

"Whether Obama gave orders that were not followed, or simply did not give directives that were precise with attached ticking clocks, if you will, in terms of execution, he clearly should have, minutes after the Affordable Care Act was passed, said, 'This is a logistically high bar to cross. Let us begin now to come up with models, alphas and betas and test runs, and call in the best people on the planet to make sure that we have a system that is ready to operate efficiently on opening day.'"

But when Obama learned of the problems isn't the most important question to ask, Suskind said.

"The question is, what will he do now?"

Ross Douthat, a CNN political commentator and a columnist for The New York Times, wondered whether some officials would lose their jobs if the President really wasn't informed.

"The question becomes, why do the people who failed to keep him in the loop still have their jobs?" he said on Anderson Cooper 360.

Another columnist at the Times said it looks bad that Obama looks uncertain.

"(One of the) basic kinds of rules of management is: Never let the boss get caught off guard. The boss is caught off guard here. That is a problem," Charles Blow said. "That is a management problem, and they're going to have to figure that management problem out."

@highlight

Intelligence Committee chair says President should have been told of some spying

@highlight

Officials say Obama didn't know about HealthCare.gov website glitches and U.S. spy programs

@highlight

Analyst: "This has happened before. ... He has to be accountable for major decisions"

@highlight

Republican strategist: "There's really no good answer"