(CNN) -- The underwater drone scanning the ocean for Malaysia Airlines Flight 370 ended its eighth mission Monday, having covered about two thirds of its intended territory without finding any sign of the missing plane.

This has been the case for 45 days now, which seems like an eternity for the relatives of the 239 passengers and crew on board, still hoping for a miracle or, at least, closure.

"Emotionally, it's up and down. You know? Sometimes, I'm OK. Sometimes, so-so. Sometimes -- always -- very sad," said Nur Laila Ngah, whose husband worked on the flight's cabin crew.

The couple had been planning to celebrate their 13th anniversary this year. They have three children, ages 12, 10 and 8.

Recalling a conversation she had with her husband before he left, Laila said: "I was asking him, 'are we going to have the next 13 years together?' Of course."

About their children, she said: "They have faith that their father will be coming back."

The Bluefin-21 began its eighth mission Sunday, surveying the bottom of the southern Indian Ocean for traces of the Boeing 777. It is expected to start its ninth mission later Monday.

These efforts may be a main focus of the search, but they aren't the only part.

Australia's Joint Agency Coordination Centre announced Monday morning that up to 10 military aircraft and 11 ships would participate in the day's search.

Previously, acting Malaysian Transport minister Hishammuddin Hussein said that "experts have narrowed down the search area."

But are they actually closer to finding anything? "It's difficult to say," Hishammuddin conceded, adding the search "is at a critical juncture."

"I appeal to everybody around the world," he said, "to pray and pray hard that we find something to work on over the next couple of days."

The failure to find clues to the plane's disappearance does not mean that the operation will stop, only that other approaches -- such as a wider scope or the use of other assets -- may be considered, Hishammuddin told reporters. "The search will always continue."

Still, he said, "With every passing day, the search has become more and more difficult."

Mother Nature isn't making this task much easier.

Tropical Cyclone Jack is circulating northwest of the search area. And while it won't hit directly, this system should increase winds and rains.

Malaysian authorities briefed families of people aboard Flight 370 behind closed doors Sunday afternoon in Kuala Lumpur, Malaysia.

Selamat Bin Omar, whose 29-year-old son was a passenger, told CNN that officials dealt with practical matters, such as how the families could make bank transactions.

Hamid Ramlan, whose daughter and son-in-law were on the plane, said he learned nothing new at the briefing.

"I believe that the government didn't try to hide something, or hide any information from us. They are telling the truth. But then, mostly the members of victims, the families, they do not want to believe," he said.

His wife falls into that category.

"My wife cannot accept that. She still believes that the airplane was hijacked. She believes that my daughter is still alive."

Passengers' relatives list questions

It was early on March 8 when Flight 370 set off from the Malaysian capital of Kuala Lumpur, destined for Beijing.

The plane never made it.

What happened has been a confounding mystery, with the frustration of passengers' family members compounded by a scarcity of details from authorities.

New bits of information that have come out six weeks later may help round out the picture but don't answer the main question: Why did the plane go off course, and where is it now?

These recent developments include a senior Malaysian aviation source's assertion that the jetliner deviated from its flight path while inside Vietnamese airspace.

It turned left, then climbed to 39,000 feet -- below its maximum safe limit of 43,100 feet -- and maintained that altitude for about 20 minutes over the Malay Peninsula before beginning to descend, the source said.

Malaysia Airlines has declined to answer CNN's questions on various matters -- including the fact that, according to the source, the missing jet was equipped with four emergency locator transmitters. When triggered by a crash, ELTs are designed to transmit their location to a satellite.

Relatives of people aboard the jetliner have drawn up 26 questions that they want addressed by Malaysian officials, who are to meet with them next week in Beijing. Most of the Flight 370 passengers were Chinese.

Among them: What's in the flight's log book? Can they review the jet's maintenance records? Can they listen to recordings of the Boeing 777 pilot's conversations with air traffic controllers just before contact was lost?

Hishammuddin has defended his government's handling of the operation and accused members of the media of focusing on the Chinese families. He said relatives of passengers and crew from other nations represented have not had problems.

"The most difficult part of any investigation of this nature is having to deal with the families," he said.

CNN's Nic Robertson, Sumnima Udas, Aaron Cooper, Tom Watkins, Todd Borek, Pamela Boykoff, Mitra Mobasherat, Ivan Watson, Brian Todd, Elizabeth Joseph and Erin Burnett contributed to this report.

@highlight

NEW: Underwater drone finishes 8th mission, still no trace of missing plane

@highlight

NEW: Up to 10 aircraft, 11 ships to participate in Monday's search, agency says

@highlight

"They have faith that their father will be coming back," says wife of missing crew member

@highlight

Flight 370 went missing 44 days ago; the search area has "narrowed," official says