(CNN) -- Nick Charles, who started off as a taxi driver and later became the first sports anchor at CNN, died Saturday after battling bladder cancer since 2009. He was 64.

Charles died peacefully, looking out at the spectacular land that drew him to Santa Fe, New Mexico, his wife, Cory, said.

Charles began at CNN on the network's first day, June 1, 1980, and covered nearly every sporting event over the years.

He was paired with Fred Hickman for most of the next two decades on "Sports Tonight," a show that beat ESPN in ratings when the upstarts were battling for viewers. To this day, he and Hickman remain one of the longest-lasting anchor duos in television.

Topps, the trading-card company, put Charles' million-dollar smile on a bubble gum card, a rarity for a television personality. People magazine once dubbed him one of the most handsome men in America.

"Nick was your friend from the moment you met him -- and he stayed your friend forever," said Rick Davis, one of Charles' producers at CNN in the 1980s. "All of us who had the very good fortune to have been his friend have so much to remember about how he touched our lives in his own special way," said Davis, who is CNN's executive vice president of News Standards and Practices.

At his home in Santa Fe recently, Charles pointed to his signature mop of curly black hair as he scrolled through photographs of his on-air days. "Look at that thing," he said with a laugh. "It's my Billy Ray Cyrus mullet."

Facing death, Charles embraced life

While the world knew Charles for his sportscaster days, it was his battle with cancer that inspired tens of thousands of people. In a recent CNN.com article, he talked openly about the dying process and preparing his family for when he was gone. He made birthday video diaries for his 5-year-old daughter, Giovanna, in the years to come.

"This is a gift from God where I need to build these memories for her, so that I'm not a blur," he said. "I feel that when I go, that I'm going to prepare a place for my daughter and my wife. I'm going to be in their heart and soul. I tell them that every day."

Gupta: The friend I can't fix

His message, he said, is to "never give up on life."

"It's an imperfect world, but, boy, it's still beautiful."

"What is life?" he said. "It's 20 percent what happens to you and 80 percent how you react to it."

"Find that little kernel every day that brings you pleasure and joy -- and fasten onto that. That's what's going to make life worth living. Always look for the best."

"When you're contemplating your mortality and your life," he said, "those are the things I reflect on."

The son of a taxi driver who was mostly absent from his life, Nicholas Charles Nickeas grew up poor in inner-city Chicago. In grade school, during the frigid winters when his dad didn't pay the heat bills, Charles would curl up in bed with his mother and brother to stay warm.

He struggled in high school. He had no mentors. He was too busy working late-night jobs at produce docks in desolate Chicago neighborhoods. Once, his boss pointed to mounds of rat feces, threw lye all over the floor and handed the 17-year-old Charles a pair of gloves, rubber boots and a hoe.

He scrubbed away, but thought to himself: "I'll never be trapped again in life. Never. Never."

"That was a watershed, life-changing moment for me. It really drove me to the point where I had focus in my life."

He eventually went to Columbia College Chicago, where he studied communications and journalism.

He drove a taxi to help pay for college. Even in the driver's seat, he was practicing for his broadcast career.

"I wasn't nosey, but just curious about people's life. I'd ask, 'How'd you get to this country? What was the spark that motivated you in life?' ... I don't know what it was, but people would open up."

Charles was still driving taxis in the fall of 1970 when he auditioned for his first television job, at WICS in Springfield, Illinois.

Two days later, he got the job. He took a pay cut to enter the television business: $130 a week as a sports anchor, compared with $200 driving a taxi.

He was told by his news director that his Greek name was too ethnic and to change it to something more "vanilla."

"Nick Nickeas, sounds like you got a stutter, too," the news director added.

At the age of 24, Nick Charles was born. He covered sports for WICS, before the job rolled into just about anything, from farm reports to fluff. A wolf once urinated on his leg: "The mother wolf was a little mad. We got a little too close to her cubs."

From Springfield, he worked at local stations in Baltimore and Washington before joining CNN.

And it's at CNN where he shined.

In his prime, he and Hickman had chemistry, charisma and dynamism -- a duo of boundless energy. The two were revolutionary for their time, a white and black man sitting side-by-side live every night in studios from the once-segregated South.

"We just clicked from the very beginning," Hickman said in an interview before Charles' death. "In television, you always have personality conflicts. Nick and I never had one. Nick and I have always had a tremendous relationship."

Hickman's favorite memory with his long-time friend came in the 1980s when they arrived in Los Angeles for the Cable Ace Awards. Stretch limousines and other luxurious cars were parked everywhere. "We pulled up in a red Ford Tempo," Hickman said with a laugh.

His favorite line ever uttered by Charles came after Mike Tyson demolished an opponent: "Tyson tore his meat house down."

"I still don't know what it means," Hickman said, "but I love it."

Charles covered everything from the Olympics to the Super Bowl to the Kentucky Derby. But boxing was his passion.

He covered some of the most classic boxing matches -- when Tyson bit Evander Holyfield's ear, when Roberto Duran quit and told Sugar Ray Leonard, "No mas."

Seeing an undefeated Tyson get knocked out by Buster Douglas in Tokyo in 1990 was epic.

"That night was magical," Charles said. "It speaks to the uncertainty, that anybody's cloak of invincibility can be ripped away."

Charles would cry when he talked about the strength of boxers, because when he looked at the ring, he saw young men like him from the inner city who had to rely on themselves to reach success.

"You have to walk down that alley way to the ring," he said. "You're going to get hit. You have to take pain to get it. You have to fight through fear."

"There's just such an empathy I have for these guys. They want it so badly."

Tyson on Saturday sent a message on Twitter: "Mourning the loss of a true warrior. My friend & brother, Nick Charles."

In an interview in March, Charles had said he hoped to make it to one more Easter, to see his dream home completed in May, to see his daughter play the piano, to reach his 65th birthday on June 30. He made three of those four goals.

"If I don't make it," he said, "there's no need for any pity parties."

"People won't remember who you are or what you said," he said. "It's really about: Are you going to be remembered as a good person?"

"That's victory to me. That's success."

Charles is survived by his wife, Cory, of 13 years and their daughter, Giovanna. He has three children from two previous marriages: Jason, 39; Melissa, 36; and Katie, 24.

"His passing is a loss to CNN, to the sports world and to the fans and friends everywhere who were with him to the end of his extraordinary life," said Jim Walton, Charles' field producer in his early days and current president of CNN Worldwide.

Nick Charles and his family formed the "Embrace Life" project to help stop child trafficking and abuse, increase access to education and allow children to embrace life. Working with the humanitarian organization World Vision and the TEACH NOW: Preventing Child Labor in the Philippines project, the family welcomes support here: www.worldvision.org/EmbraceLife.

@highlight

Charles began at CNN on the network's first day, June 1, 1980

@highlight

Charles appeared on a bubble gum card, a rarity for a television personality

@highlight

He covered everything from the Olympics to the Super Bowl to the Kentucky Derby