(CNN) -- The critics are raving about Steven Spielberg's new film "Lincoln." A.O. Scott of the New York Times called it "among the finest films ever made about American politics." Viewers get a taste of the legislative process up close by watching how President Abraham Lincoln rounded up the necessary votes in get the 13th Amendment resolution through the House. Viewers see a master at work -- a president who knew how to break through the various divisions in Congress and outflank his opponents.

Review: 'Lincoln' brilliantly dramatizes delicacy of politics

Movies such as Spielberg's often result in inflated expectations about what a president could achieve in the current political environment. The reality is that even the best presidents would have trouble rounding up votes in the contemporary Congress.

As the nation continues to be obsessed with a sex scandal involving top military officials and as the lame-duck Congress figures out what to do about the fiscal cliff, Washington would do well to think seriously about how government reform might improve the basic machinery of the federal government so that elected officials are better able to handle the big issues of the day such as unemployment, immigration, climate change and more.

Reform must start with reining in the power of money and organized interest groups. Campaign finance reform, once a promise of President Barack Obama in 2008, has taken a back seat even though the president made some progress on reforming lobbying early in his term.

Unless Congress does more to prevent the revolving door between Capitol Hill and K Street and limit the power of private money in campaigns, it will be difficult to change the status quo. With more than $6 billion spent on the recent election, elected officials will have to maneuver around donors who were essential to both sides of the campaign and who will be expecting access when the new year begins.

Then there is the filibuster, which currently requires a supermajority on most pieces of legislation given that the congressional minority has been willing to use this mechanism with ruthless abandon. Since 2007, according to the Senate Historical Office, there were more than 360 Republican filibusters. When Congress reconvenes in early 2013, it will have one shot to change the rules so that the threshold for passing a filibuster is lowered. In January 2009, lawmakers let the opportunity slip away. The chronic use of the filibuster threat has been one of the central culprits behind dysfunction as the congressional minority has immense power to block progress.

But it's not just Congress that has to step up its act. The White House, for example, needs to curtail one of the legacies of Lincoln that has often caused friction with Congress and circumvented the kind of the checks and balances we depend on: executive power.

Throughout the 20th century, and especially in recent decades, presidents routinely employ executive power, such as signing statements, to circumvent the will of Congress. Obama, who started his term critical of how President George W. Bush had employed this authority, has started to replicate his predecessor.

The president used executive power to conduct national security operations as well as to strengthen environmental regulations. "I refuse to take 'no' for an answer," Obama said, "When Congress refuses to act and -- as a result -- hurts our economy and puts people at risk, I have an obligation as president to do what I can without them." The problem with executive power is that it results in policies that can easily be overturned and which rarely have bipartisan support. It also sets a precedent for the president to erode legislative power.

Recently, in a wonderful play at my children's school, the students put on a show about how a bill becomes a law. The play begins with protest that unfolds when a group of parents want to impose a candy tax on their children after they collect their Halloween treats. The president, moved by the protesters, sends this proposal to Congress. After a committee drafts the legislation, the House of Representatives passes the measure, as does the Senate. But soon after, the Supreme Court declares the bill to be unconstitutional.

As my wife and I watched two of our children star in the play, we could not help but think about what the teachers decided to leave out of the script. What parts of our political process are sanitized when we translate them into a production for children? There was no talk of lobbyists, filibusters and executive power.

As the new Congress gets ready to reconvene in January, this is the time to consider reform. If we want to reach the high moments captured in Spielberg's film about Lincoln, we need to make sure our political process, albeit difficult, works. Otherwise dysfunction will rule.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Steven Spielberg's new film "Lincoln" shows up close legislative process

@highlight

Julian Zelizer: Even the best presidents would have trouble with current Congress

@highlight

He says Congress must seriously push for reforms such as filibusters

@highlight

Zelizer: White House must change its ways as well, by curtailing executive power