It is estimated that around one in four couples around the world have trouble conceiving. For a small proportion of them, In Vitro Fertilisation (IVF) is a technology that can restore the dream of parenthood.

IVF is the fertilization of an egg by sperm outside the body, where it is cultivated in a lab environment, and if an embryo results it is implanted into the mother's womb. Now the chances of IVF treatment being successful are being boosted by a machine called the Embryoscope.

A record number of babies are being born through IVF -- with over 60,000 IVF babies born in the United States alone in 2012. But since the inception of IVF in the 1970s, monitoring embryos has been a difficulty. In order to examine them, the embryologist must remove them from the safe environment of the incubator and expose them to environmental hazards such as temperature changes and contaminants.

Embryos are removed and examined just once a day, which limits the information available to embryologists, as well as the chances of picking the embryo with the best chance of delivering a viable pregnancy.

Embryo development

But these longstanding issues are being addressed by the Embryoscope. The device combines an incubator that maintains perfect conditions, with a tiny camera that takes photos every 10-15 minutes -- creating a time-lapse video of the embryo's development. This removes the need to expose the embryo to the outside atmosphere, and provides embryologists with far greater information with which to make decisions.

"I think this is the most exciting breakthrough since IVF started," says Dr. Simon Fishel, managing director of the UK's CARE Fertility, responsible for the first Embryoscope baby born in the UK, in 2012 (as well as the first ever IVF baby back in 1978).

"The information that we are gathering with the Embryoscope with the time-lapse is far superior," he says. "We have much, much more information on which to base the crucial decision as to which embryo is the one to transfer back to the patient."

Embryos that show early abnormalities can be immediately ruled out, and learning algorithms have been created that recognize positive or negative patterns at key development points thereafter -- meaning patients can be implanted with embryos that have an optimal chance of success.

"We have a predictive scale (for evaluating) the likelihood of an embryo to give the best chance of a live birth," says Fishel. "It's a complex procedure and it uses very complex technology and some mathematics. But using this whole process, it really changes the way the embryologists work in the lab. And I think it's changing the face of how we do IVF, in fact."

Improving the odds

The extra information is particularly beneficial for patients with the lowest chances of pregnancy -- such as older women, or those with reduced egg counts. CARE estimates its use of the Embryoscope and algorithms broadly increases the chance of a pregnancy by around 20%.

"The images also allow you a higher level of assurance to pick an embryo with the highest chance of being genetically normal," says Dr. Jason Barritt, lab director at the ART Reproductive Center, in California.

The technology can also provide insights into early-stage development beyond the need to conceive. A recent Spanish study conducted with an Embryoscope showed differences in growth patterns between male and female embryos, which could potentially allow gender to be more rapidly determined.

Use of the Embryoscope has spread to IVF facilities around the world, but some barriers remain: the vast amount of extra data requires greater resources for analysis, and the technology itself is expensive. But much of IVF is about trying to beat the odds, and as technology progresses, so do the chances of parenthood for couples who can't conceive naturally.

@highlight

Embryoscope gives time-lapse images of IVF embryos

@highlight

It gives valuable insight into embryo development

@highlight

The most viable embryos can be chosen for implantation

@highlight

The technology is improving IVF success rates