(CNN)When she was an undergraduate at Princeton University, books like "The Hot Zone" and "Virus Hunters" captivated Rebecca Levine, inspiring her to become a disease detective.

Fifteen years later, Lt. Rebecca Levine, a newly minted officer with the U.S. Public Health Service, stepped off a plane in West Africa to fight Ebola, ready to implement the key strategy she'd been taught: contact tracing.

The process that's helped stop diseases like SARS and smallpox seems simple: Find everyone who had close contact with infected individuals and track them for 21 days. If any of these contacts comes down with the disease, isolate them from the community and repeat the process by tracking the contacts' contacts.

But tracing works only if you have a list of the contacts and their addresses. When Levine arrived at a Ministry of Health office in Sierra Leone, she found that the database she needed was "pretty much in shambles."

Many contacts' addresses were missing or were vague like "down by the farm road." In all, only 20% to 30% of the contacts in the database had a usable address.

That meant the local contact tracers weren't able to do their jobs properly.

"They were really unfamiliar with what contact tracing was," she said. "And they didn't have the resources they needed."

According to the United Nations, only 16 of 44 zones in West Africa have sufficient contact tracing.

This inability to do complete contact tracing is a major reason -- perhaps the major reason -- that the Ebola outbreak continues to spiral out of control, according to public health officials and experts.

"There's a lot of infection out there. Contact tracing breaks down. Then you have a real problem." Dr. Bruce Aylward, assistant director-general of the World Health Organization, said August 28.

Top WHO officials have said there aren't enough contact tracers to get the job done, and the organization forecasts an "exponential increase" in the number of Ebola cases in the coming weeks.

Donald Thea isn't surprised that the system is breaking down in many areas. An infectious disease epidemiologist at the Boston University School of Public Health, he's worked in Africa for more than 25 years.

Like Levine, he often found that people had no address -- or had one that even locals couldn't decipher. Residents moved a lot, and when they did, many times they took their doors and locks with them to save money. They wouldn't change the number on the door, so the streets ended up with a mishmash of addresses.

Add that to the fact that people are often uncooperative with the tracers, sometimes even throwing stones at health care workers. They fear that they or their loved ones will be put in the hospital; they've seen firsthand that people who go there often don't return.

"The community perceives this as a death sentence," he said. "Relinquishing your loved one is tantamount to death."

And health care workers have very little to offer people as an incentive to cooperate.

"With smallpox, we could offer people a vaccine, a carrot in essence to induce them to be cooperative. With Ebola, we have nothing," Thea said.

In Sierra Leone, Levine, an officer with the Epidemic Intelligence Service at the Centers for Disease Control and Prevention, remembers the words of her agency's director, Dr. Tom Frieden. Battling Ebola is like fighting a forest fire: Miss even just one contact, and you could be leaving behind a burning ember that will reignite the outbreak.

When Levine arrived in Sierra Leone on August 17, she brought software on a thumb drive to manage cases and contacts. The software was designed by the CDC and was far more effective at organizing thousands of names than the unwieldy Excel spreadsheet that the local health care workers had been using.

With the help of other organizations, she also got the workers more computers and training in how to do contact tracing. Now, hundreds of contact tracers are assigned to go out into the neighborhoods in her district every day.

She says the death and illness all around her spur her on.

"Each one of these heartbreaking stories just makes me want to cry," she said. "It's more reason to try harder and think of more creative solutions."

@highlight

Disease detective finds contact tracing system for Ebola outbreak "in shambles"

@highlight

Many contacts' addresses were missing or vague

@highlight

Only 20% to 30% of contacts in database were being properly followed