(CNN) -- Remember your first road trip? That sweet taste of independence as you were finally unleashed on America's free and open highways?

For Pulitzer-winning automotive columnist Dan Neil, it was the day he turned 16 and passed his driving test.

"The minute I got my drivers license out of the laminator, I was on the road," he recalled. "I took the longest road trip I could take."

Neil pointed his Fiat 124 Spider convertible in the direction of the nearest city: Raleigh, North Carolina.

"I just had to go man, I just had to drive. I must have put 500 miles on that car that day."

Neil said he was part of a mindset that associated the automobile with freedom, mobility and self-determination.

Then the excitement in Neil's voice disappeared. "That was in the mid-1970s, and the road system was a little bit different then."

Indeed it was. The days of America's "free" and open roads are gone -- or perhaps they never existed at all.

Drivers often forget that they pay for highway construction and maintenance through federal fuel taxes: 18.4 cents per gallon for gasoline and 24.4 cents per gallon for diesel. "The notion that the road has ever been free is sort of a self-delusion," said Neil.

Opinion: Five myths about the highway fuel tax

But the fuel tax is running out of steam, experts warn, because more efficient vehicles are using less fuel and rising fuel prices discourage driving. As tax revenue falls, so does the nation's ability to pay for road construction and maintenance.

The solution, say many transportation experts, is to replace -- or supplement -- fuel taxes with a per-mile tax on every vehicle in America.

Tax authorities might monitor each vehicle's mileage by installing devices that would transmit data.

Unlike a fuel tax, which is somewhat hidden in the price of fuel, a device that spends your money with each tick of the odometer would be a real buzz-kill for millions of road tripping Americans.

"It's just like a speed limit or a toll road or any other kind of interference," said Neil. "It steps on that conception we have of ourselves as a people without borders or boundaries. You step on our ability to take to the open road."

The bottom line

So, what kind of money are we talking about here?

Translated into dollars and cents, fuel taxes cost each vehicle owner about $250 a year on average. According to a University of Iowa study, paying that amount on a per-mile basis would come to about 1.6 cents per mile.

Whether it is paid for through fuel taxes or taxing per-mile, it's clear the federal highway fund is in trouble.

By the end of 2012, according to the Congressional Budget Office, the fund will "be unable to meet its obligations in a timely manner" unless Congress injects even more life support from the general Treasury.

During the next 20 years, projections show average vehicle fuel efficiency nearly doubling.

Revenues from the fuel tax will be slashed by half, according to the Iowa study.

Meanwhile, the cost of safe roads, bridges and transit systems will skyrocket. By 2020, says the American Society of Engineers, the price tag could be as high as $1.7 trillion.

Bottom line: two cents per mile would be enough to pay for the nation's transportation infrastructure needs. That's according to a 2009 nonpartisan commission headed by two former U.S. transportation secretaries.

'The Man,' with a capital M

Imagine 254 million vehicles.

That's the number of cars, trucks and motorcycles that a tax per mile system would have to monitor.

Some proposals call for using GPS satellites to gather mileage data on each vehicle.

Whoa. Really?

When it comes to tracking their vehicles, Americans tend to be really touchy about protecting their privacy.

According to a University of Iowa poll, only about 20% of drivers would choose a pay-per-mile tax system if GPS tracking is involved.

The anonymous driver will soon be an extinct species, says Neil.

"You can't drop off the grid. Ten years from now, it will be virtually impossible to drive a car that doesn't have an electronic signature," said Neil.

"It doesn't matter whether you have OnStar or you rent a car -- it's going to have a 'black box.' If you've got any kind of navigation, The Man -- with a capital M -- knows where you are."

University of Iowa research shows that the public would be more willing to accept per-mile taxes if its monitoring technology doesn't record a vehicle's specific location.

Taking your vehicle to have someone read the odometer every year -- like some states do with emissions testing -- might be an option.

But some experts fear that method might be too expensive. Also, the resulting once-a-year tax bill might be too much for some drivers to pay.

One idea tested in Minnesota eliminates GPS and uses cell phone text messaging technology.

During fuel stops at gas stations, a device that already exists in most cars would text the car's mileage information to a "back office" data base.

The office would then adjust the price of fuel at the pump based on each vehicle's mileage driven.

Implementing any system would be tricky, says Paul Hanley, who headed the Iowa study. Retrofitting existing cars with the required technology would be almost impossible, he says.

The cheapest and least difficult option says Hanely, would be to install devices in new cars and slowly transition to the new system as the nation's entire fleet of vehicles turns over.

It takes about eight years before 90% of our vehicles are turned over, Hanley says, and more than 10 years to convert the fleet to nearly 100%.

"It's inevitable," says Hanley, who's been conducting a real-world test of a pay-per-mile system with more than 2,500 drivers in 12 locations from coast-to-coast. Per-mile taxes "with a combination of tolls is coming as we move away from the fuel tax."

Several states in addition to Iowa and Minnesota are looking into possible pay-per-mile tax systems, including Oregon and Texas.

Don't bother, some argue

Leave well-enough alone, says the American Trucking Associations' Darrin Roth, who argues that taxing vehicles per mile is too expensive to implement and administer.

Those costs would be passed on to consumers, Roth says.

The best and least complicated solution is to raise the fuel tax, which hasn't changed since 1993. But that idea comes with its own set of political challenges. Many members of Congress would likely oppose any kind of tax hike.

"I'm not convinced per-mile taxes are going to happen," says Roth. "If it does, it probably won't happen for a long time."

Despite all the changes technology may bring to the driving experience, "the American road will still be out there," says Neil.

"It's fun and it's incredibly broadening for people ... and it's a great way to spend time with your family," he says. "It might not be as innocent as it used to be, but it's still an important part of who we are as a people."

How to pay for that highway remains a question Americans will debate for a while -- perhaps for years down the road.

@highlight

Experts: Per-mile road tax will replace or supplement fuel tax

@highlight

Columnist: Don't curtail Americans' love for the open road

@highlight

Per-mile GPS tracking devices spur privacy fears