Staring out over Iceland's Svinafellsjokull glacier, a cruel, frozen landscape of white ice broken by blue crevasses, it's easy to imagine myself in some distant world on the other side of the universe.

It's bleak and cold, but beautiful in an otherworldly way.

This is the stand-in for an alien world that director Christopher Nolan used for his doom-laden new movie "Interstellar," instead of spending squillions on CGI backdrops.

In the film -- released by Warner Bros, which like CNN is owned by TimeWarner -- astronauts played by Matthew McConaughey and Anne Hathaway plunge through a space wormhole in search of an alternative to a dying Earth.

While the plot might be baffling, if some reviews are to be believed, the reason for choosing Svinafellsjokull isn't.

Forged by harsh winters and angry volcanic forces, it's like nowhere else I've seen on Earth -- cinematic.

The same can be said for many other locations in Iceland, which is why the country's become a go-to destination for a slew of sci-fi directors.

Hostile planet

Svinafellsjokull doesn't have a lengthy role in "Interstellar," but it's featured strongly in posters and trailer scenes showing McConaughey walking across a hostile, wintry terrain.

It looks so incredible, I wanted to see it for myself.

Reaching Svinafellsjokull is easier than blasting through an intergalactic breach, but only just.

What should be a five-hour drive along the southern stretch of Iceland's Highway 1 -- for most parts a two-lane blacktop that loops from Reykjavik around the country's perimeter -- is made longer by frequent stops for slack-jawed gawping at mind-boggling scenery.

There are snow-capped volcanoes, plunging waterfalls, terrible cliffs and bizarre petrified landscapes coated with lurid green moss.

At one point the road crosses a broad, featureless lava field whose pitch-dark terrain is only rendered distinguishable from the highway by painted white lines.

I arrive at the glacier as night falls and spend the night at the Hotel Skaftafell (Skaftafelli 2 Freysnesi, 785 Orafi; +354 478 1945), an unfussy but welcoming stop in the bleak shadow of the ice field that's equipped with an excellent restaurant and talented wait staff.

The hotel was used as a watering hole for the "Interstellar" crew in September 2013, but if the receptionist at the front desk was left starstruck by the celebs passing through its sliding doors, she isn't letting on.

"We've had lots of them," she says dismissively. "They're always filming here."

Jagged world

Daylight arrives after 9 a.m. -- it's late October -- and brings with it views of clouded mountains.

A weak sun pushes its way over the southern horizon and the temperature hovers a couple of notches above freezing.

At a nearby hut operated by Icelandic Mountain Guides, I join a small group embarking on a hiking tour of the glacier. We're kitted out with crampons and ice axes.

Our guide, Tomas, gives us a rudimentary lesson in staying upright on the ice.

"Walk like a cowboy, not a ballerina," he advises, chiefly to ensure we don't impale ourselves on our own spikes, but also for better balance.

And then we're let loose on the glacier.

Svinafellsjokull lies at the foot of Vatnajokull, said to be the largest glacier outside of polar regions.

Awestruck by the sheer bombast of the jagged world stretching ahead of us, we're silent at first. The only sounds are our crampons scraping the ice and winds howling higher up the mountain.

I'm by no means alone -- there are eight of us in our group, plus another huddled about half a mile away -- but looking out over this huge, empty expanse of vicious ridges stretching up to Vatnajokull, there's a daunting sense of being a long way from home.

Before we get too overwhelmed, Tomas leads us up and down the great folds in the ice to the brink of yawning crevasses where glassy, blue ice plunges to unknown depths.

To gauge one, he hurls down a boulder and we listen to it clatter against the fissure's walls.

It's a long way down.

Tomas says the glacier is advancing up to 65 meters (213 feet) per year, although summer temperatures melt back two-thirds of that advance.

Friction as the massive weight of ice creeps forward over the rocks below causes new crevasses to open up and old ones to close.

Higher up the hillside, where the ice began its journey about 200 years ago, it can reach depths of up to a kilometer.

The size of the fissures there make the higher reaches impassable on foot.

Frozen carcasses

Tomas tells us of farmers who lost sheep to holes in the ice, only to recover them as "frozen meals" when the glacier spat them years later.

There's also a tragic, true story about two British scientists who went missing on the mountain above during an expedition in the 1950s.

Decades later, what is believed to be their equipment emerged from the ice and is now on display in the glacier's visitor center.

"If you drop your iPhone here, you can probably come back and get in 20 years," says Tomas. "There's a saying: whatever the ice takes, it always gives back."

With these tales ringing in our ears, he takes us down into a moulin -- a smooth-sided tunnel carved through the ice by meltwaters that's as beautiful as it is claustrophobic.

Then we're back out on the open ice, tramping on metal claws across the glistening geological maze that stretches away all around us.

On our way back to firmer soil, Tomas shows us the icy expanse where the 350-strong cast and crew of "Interstellar" spent two weeks filming.

"They booked the whole glacier right at the height of the season," he says. "They built their own road to drive vehicles onto the glacier and even brought a spaceship."

Today there's no sign they were ever here.

Any trace of their presence has long since been swallowed by the advancing ice.

Lost, in space.

Lights, camera, Iceland

It's not just "Interstellar." Here are some of the other recent films that have used Iceland to double for fictional realms.

"Prometheus"

Ridley Scott's pompous "Aliens" prequel may have failed to live up to the hype, but that wasn't Iceland's fault.

The country's glowering landscape was used as a stand-in for a prehistoric Earth visited by a pallid alien creature clad only in underpants.

Among key locations was Detifoss, a thundering waterfall at the far north of the Vatnajokull National Park.

"Game of Thrones"

There aren't many good-looking locations in Europe that haven't been plundered by this beard-heavy TV show about squabbling nobility, so little surprise Iceland has been featured.

Hverfjall volcano, close to northern Iceland's Lake Myvatin, has cropped up in the long-running series, portraying the wintry land of Westeros. The southwestern Thingvellir National Park and the northern Godafoss waterfall have also made appearances.

"Batman Begins"

"Interstellar" director Christopher Nolan is a return visitor to Iceland.

His 2005 reboot of the caped crusader series, "Batman Begins," brought him to Jokulsarlon, a breathtakingly beautiful glacial lagoon to the east of Svinafellsjokull that can be visited on the same day.

There are daily boat trips among the lagoon's stunning blue icebergs to watch seals hunting for fish.

Two Bond movies -- "Die Another Day" and "A View to A Kill" -- had parts filmed here, as did "Tomb Raider."

"Noah"

Not even "Noah" star Russell Crowe could chew the scenery in Iceland, which is possibly why director Darren Aronofsky filmed his recent biblical epic here.

The tale of flood and salvation used the dramatic basalt scenery of Reynisdrangar and Dyrholaey near the town of Vik -- on the road to Svinafellsjokull -- to stand in for antediluvian Earth.

Tours of Svinafellsjokull can be arranged through Icelandic Mountain Guides; +354 587 9999

@highlight

Iceland's vast Svinafellsjokull glacier was used as film set for the new "Interstellar" movie

@highlight

Svinafellsjokull lies at the foot of Vatnajokull, said to be the largest glacier outside of polar regions

@highlight

Ice at the foot of the glacier can be up to 200 years old