In the age of personalization, a Finnish company is bringing 3D technology to the world of bespoke men's footwear.

Inside the London store of the Left Shoe Company -- just one of seven locations around the world -- a space-age platform sits among scaling shelves decked with beautifully made, traditional men's shoes.

Next, customers are invited to sport a pair of bright yellow and green socks and stand on the Sci-Fi-like scanner as it produces a virtual 3D picture capturing the volume of their feet.

After selecting the model and style from the store's catalogue, the shoes are made by traditional craftsmen in Portugal and delivered to the customer anywhere in the world in up to 6 weeks.

Bespoke 3D innovation

What's more -- shoppers looking to purchase another pair of shoes can easily order them online thanks to their 3D foot-scan stored in the company's digital archives.

"It enables me to stay in contact with customers all over the world," says Christian Haugaard, director of the London store. "They may have visited the store once in their entire lives, but they can shop with us forever."

The simplicity for the customer is also an added bonus, explains Hauggard: "It allows you to shop online and know exactly what you're going to get, whereas if you go to other e-commerce sites you may have to buy two or three sizes and return two of them. It doesn't make a lot of economic sense."

The digital scan gives shoppers a custom fit made in seconds at virtually no cost allowing them to skip the made-to-wear tradition of having a wooden model made of their feet -- an expensive and time consuming process.

In turn, the savings is passed on to the customer. The Left Shoe Company's footwear costs around $640, about half of what a traditional shoemaker might charge.

Luxury embraces digital

By combining a tech-savvy business model with old-school artistan tradition, the Finnish company is making bespoke craftsmanship accessible to a customer that craves authenticity in the digital era.

"It's a sector that doesn't really embrace change and that includes technology and e-commerce," says Allegra Perry, a senior analyst at Cantor Fitzgerald. But, she says, across the board, technology is becoming an increasingly big feature in the luxury goods sector.

CEO Erkan Fere says that using technology to streamline a traditional business model has as many advantages for the business as it does for the customer.

The benefit of made-to-measure footwear, he says, is that it involves minimum waste. "We make the shoes one by one when an individual customer orders them. If we don't sell many of a certain style, it doesn't matter."

He's convinced that tradition with a tech twist will catch on: "We have adopted this technology early, but I have no doubt that other companies will catch up quickly."

And the demand for bespoke is growing, says Paul Alger, head of the UK Fashion and Textile Council: "For many years consumers have been rather passive about what they'll buy, but now there's a whole generation of new consumers that say 'I will buy less, but I will buy better.'"

There is still an important place for bespoke in this world of ready-to-wear, says Haugaard. "We had a gentleman in the other day and he ordered one shoe in a size 9 and one in a size 7. Where else would you go? The only alternative is to buy two pairs of shoes."

A majority of the population, he points out, have different sized feet and, by bringing together high-technology and traditional craftsmanship, the Left Shoe Company is making high-end, made-to-measure shoes a more attainable dream.

@highlight

Finnish shoemaker is combining tech and tradition to create bespoke footwear for clients

@highlight

Customers can choose all aspects of their shoe's design including model, leather, color

@highlight

Luxury goods expert Allegra Perry says high-end designers are embracing technology more