(CNN) -- The 23-year-old woman in Harare, Zimbabwe, said she could talk, but only briefly. It was 3:30 p.m. there and she had to be home before the 6 p.m. curfew, she said.

Movement for Democratic Change official Fredrick Shaba is treated for stab wounds after an attack last week.

"I should be home in an hour, hour and a half. If I'm not home by then, it means trouble," she said Tuesday.

Zimbabweans are accustomed to violence, but the beatings and bloodshed have been epidemic since early April, days after opposition candidate Morgan Tsvangirai pushed longtime President Robert Mugabe into a runoff election for the nation's top post.

Tsvangirai dropped out of the race this week, citing intimidation and vote-rigging. He is now in hiding at the Dutch Embassy, uncertain like most Zimbabweans whether the violence would continue.

Zimbabweans and outside observers say militias loyal to Mugabe's Zimbabwe African National Union-Patriotic Front (ZANU-PF) have engaged in intimidation tactics designed to deter Tsvangirai's supporters from casting ballots.  Watch people run in fear »

"Violence has been taking place mainly in the countryside, people having their hands chopped off, fingers broken, etc. -- the reason for that being to prevent them from voting in the runoff," said a journalist Tuesday in an e-mail from Harare.

Both the woman and journalist requested anonymity out of fear they could be targeted for talking.

"If you talk too much, they come looking for you, they hunt you down, they beat you," the woman told CNN.

Rapes and maimings are being reported across the country. On Monday, the United Nations Security Council condemned "the campaign of violence," which it said was responsible for scores of dead opposition activists and the beatings of thousands.  Watch why the U.N. says a fair election is impossible »

"There are so many people who are dying right now. We're not even sure how many people have died," said the woman in Harare, Zimbabwe's capital.

In his letter announcing he was dropping out of the presidential race, Tsvangirai said at least 86 people have been killed, 10,000 wounded and 200,000 people displaced.

At a rally Monday in Chipinge, a rural town near the Mozambique border, Mugabe brushed off the death toll, calling Tsvangirai's Movement for Democratic Change a creation of the West.

"Britain and her allies are telling a lot of lies about Zimbabwe, saying a lot of people are dying. These are all lies because they want to build a situation to justify their intervention in Zimbabwe," Mugabe said, according to the state-run Herald newspaper.  Watch how past interventions in Africa have fared »

In his Tuesday letter, Tsvangirai -- who has called the election "a sham" -- said the impossibility of a fair election convinced him to bow out.

"The violence, intimidation, death, destruction of property is just too much for anyone to dream of a free and fair election, let alone expect our people to be able to freely and independently express... themselves," he wrote. "For this reason, my party and I have resolved that we cannot be part to this flawed process."

The journalist was in the capital Sunday when ZANU-PF youths attacked an opposition rally at a stadium, just hours before Tsvangirai announced his exit from the poll. Despite a Saturday court order allowing the rally, the militias blocked the roads as MDC supporters arrived, he said.

"Those who tried to ask the reasons why, they were assaulted," the journalist said. "Later, some MDC supporters came chanting songs and they were beaten up by the ZANU-PF militia with logs, stones or anything that was in sight."

Mugabe has denied accusations of violence and has countered that MDC supporters are inciting violence across Zimbabwe.  Watch how Londoners want to "make Mugabe history" »

The journalist said he has seen violence perpetrated by MDC faithful, but it is a recent phenomenon and usually retaliatory.

"I saw a ZANU-PF youth being beaten Sunday evening," the journalist said. "He had been spotted at the rally venue and was then followed to his home in the evening by MDC youths."

The government-sponsored violence has scared people into carrying and wearing ZANU-PF regalia -- flags, bandanas and T-shirts bearing the national colors and emblazoned with "100 percent empowerment." Other popular slogans include "WW," which means "win or war," and the more blunt, "June 27 Mugabe in office by whatever means."

"WW means if ZANU-PF loses it goes to war," the journalist said. "It is a threat or meant to confuse the electorate. It shows that ZANU-PF has nothing to sell to the people for them to vote for it, so they now resort to intimidation."

The journalist said he witnessed such saber-rattling at a ZANU-PF rally last week in Norton, about 19 miles southwest of Harare.

"People were told that they must not vote again for the MDC or there will be war," he said. "They were told that there would be a camera seeing how they would have voted."  See how the election unfolded »

Even MDC supporters are tying the red-yellow-and-green ZANU-PF bandanas around their neck or over their heads, said the woman in Harare.

"You need to move around with this," she said. "If you're driving a car, you need to have this in your car. I have one in my car now. If you don't, they will think you're MDC and they will mess you up big time."

Added the journalist, "Because of the violence taking place, people have been looking for ZANU-PF regalia to 'protect' themselves. The assumption is that if you are in ZANU-PF regalia, you support it."

Asked if hopes for Zimbabwe's future dissipated with Tsvangirai's departure from the race, the journalist said there are mixed emotions. Some are eager to vote Friday and want to "finish off" Mugabe, some are tired of the violence, some are hopeless and some are scared, he said. Others are relieved Tsvangirai dropped out because it could mean an end to the violence.

"Myself, I've lost hope," said the woman in Harare.

Even if the violence were to vanish, Zimbabwe would remain crippled by its economy, long decimated by inflation and unemployment. Basic goods are scarce and expensive. Loaves of bread last year sold for about 5,000 Zimbabwean dollars, the woman said. The price then was steep because of skyrocketing inflation, but today, 5,000 Z-dollars would be a bargain.  Watch a Zimbabwean envoy warn against micromanagement »

Recently, she said, she saw bread selling for 550 million Z-dollars.

"That was quite reasonable," she said of food prices of late.

The woman said she makes the equivalent of $10 a month. Though the official exchange rate is 7.5 billion Z-dollars to the U.S. dollar, the Harare woman said she has seen exchange rates as high as 15 billion to 1.

Even if you have money, it's not guaranteed you can get basic necessities. The government has imposed price controls, forcing manufacturers to close their doors because they cannot make a living.

"Basically, there are no goods to talk about," the journalist said. "Most commodities are now on the black market."

You could stand in line for two or three hours for bread and not get a slice, and the price for a loaf on the black market could be as much as 10 billion Z-dollars, the woman in Harare said, explaining that she has made the 300-mile drive to South Africa to pick up food because there were no real grocery options in Zimbabwe.  Watch Tsvangirai explain times are desperate »

"The way our money has changed," she said, "I've had a tough time keeping up."

There are questions about whether the southeastern African country's leaders can negotiate a settlement to mitigate Zimbabwe's turmoil.

Mugabe said at a rally Tuesday that he would be "open to discussion" but only after the runoff, the Herald reported. Tsvangirai said Wednesday that he was open to considering a postponed election, or even a negotiated transition of power.

Tsvangirai also said in his Tuesday letter, and reiterated Wednesday, that he would consider a new election. However, it would rely heavily on the oversight of the Zimbabwe Electoral Commission, which Tsvangirai has accused of espousing the philosophy "that a president does not come to power through the electoral process, but rather, through the barrel of a gun."

Until the commission can ensure a free and fair election, Tsvangirai wrote Tuesday, "the presidential election question remains unresolved."

@highlight

Journalist says he's seen "people having their hands chopped off, fingers broken"

@highlight

U.N. says scores killed, thousands beaten in "campaign of violence"

@highlight

Harare woman: ZANU-PF "will mess you up big time" if you're pro-opposition

@highlight

Loaf of bread about 550 million Z-dollars, or up to 10 billion Z-dollars on black market