(CNN) -- When Mark Zuckerberg set out to build Facebook in the fall of 2003, he was still trying to figure out exactly what the website should be. One conclusion he arrived at pretty early on was that it shouldn't be branded as a dating site.

"I don't think people would sign up for the facebook thing if they knew it was for dating," Zuckerberg wrote at the time in an IM chat with his close high school friend Adam D'Angelo, who became Facebook's CTO and eventually went on to co-found Quora. "I think people are skeptical about joining dating things too."

Though the look and feel of Facebook has changed in the years since, Zuckerberg and employees at the company have generally refrained from referring to the social network as a dating site, and from going after the online dating industry.

That's why it was so striking to see Facebook tease a feature clearly intended for dating during the company's big press event on Tuesday for Graph Search, a new search engine that lets members use natural language to pull up recommendations for people, places and businesses from their social graph.

Facebook reps demonstrated several uses for the product, ranging from recruiting to searching for restaurant recommendations. Then, at one point, a Facebook employee stood on stage and searched for "friends of my friends who are single and living in San Francisco."

With that simple line, Facebook asserted itself as a potentially big player in the future of online dating.

"Facebook just announced that they are moving in on the essence of online dating," said Dan Slater, author of Love in the Time of Algorithms, a history of online dating and its impact on our culture, which comes out next Tuesday.

The bedrock of most dating sites, according to Slater, has been the ability to discover people you don't know who share similar interests, whereas Facebook's focus was on helping you find the people you do know. Graph Search changes that by making it much easier to search for people outside your immediate social circle.

"That is a radical change for a community as big as Facebook."

With Graph Search, Facebook members can search for other single users and filter the results based on their interests, education, age, hometown, current city and more — all while using natural language. If you want to find single women under the age of 35 who are from your hometown and now live in New York, you can type exactly that into the search engine and see what pops up.

Can Facebook really be used for online dating?

At first blush, it might seem obvious that Facebook could be used for dating purposes. The social network has long served as a place to flirt by letting users advertise their relationship statuses, stalk one another's updates and Poke people they might be interested in. Indeed, one study last year from Stanford found that about 10% of couples who met online knew each other first in some other context and re-connected through a social network like Facebook.

That said, several startups have tried in recent years to leverage Facebook's social graph for dating, but with only mixed success. Kingfish Labs raised $500,000 in early 2012 to use Facebook for dating, but its first Facebook application, Yoke, struggled to take off and the company itself was later acquired by BuzzFeed.

Yoke was able to rely on Facebook data to help its users find people who shared connections and interests with them, but the problem the dating app faced was providing a way for users to get in touch with those people.

"Cold friending or cold messaging someone on Facebook is uncomfortable because you don't know if the other person wants to be approached. On OkCupid it's not uncomfortable, it's standard," Rob Fishman,co-founder of Kingfish Labs, told Mashable. The assumption is that everyone on OkCupid is interested in dating, but on Facebook, even those who label themselves as "single" may not be in the market for a new relationship.

"There is no way for the third party to signal that 'yes, I want a date to approach me.'"

More fundamentally, Fishman says that his company found Facebook's Like data was often not fresh or comprehensive enough to serve as a match-making tool.

"Facebook Like data is actually pretty sparse and stale," Fishman says. "If I asked you what your favorite movies are and went to your movies section on Facebook, I don't think they would match up. On OkCupid, people curate their profiles with a scalpel."

These two problems will likely limit the potential of Graph Search as a dating tool for now, but Fishman suggests this could change in the future if Facebook adds additional relationship status options like "Looking for a date," and if the social network can accrue enough real-time interest data for users from its partnerships with other websites.

"Someone is going to crack the nut of Facebook dating," Fishman says. "It might well be Facebook."

A more casual place to date online

The larger question then is whether Facebook can or will ever take on the big players in the online dating space. Investors appear to be concerned about this possibility, as the stock for IAC/InterActiveCorp — the parent company of Match and OkCupid — dropped by more than 2% after Facebook announced Graph Search on Tuesday.

"I think the online dating business has to be looking at this announcement and saying this could either be the best thing ever for us, or it could be the beginning of the end," Slater says. If members of existing dating sites are successful in finding matches through Facebook, it could cut into their business. On the other hand, Slater says, Facebook could potentially help the industry by removing whatever "cultural barrier" remains for online dating.

About a third of the single population in the U.S. currently uses online dating sites — a number that has been relatively flat in recent years. Both Slater and Fishman suggest that Facebook has the potential to make it more common for people to use the Internet to find dates, without necessarily stealing away many customers from other online dating sites.

Even before Facebook made its big announcement, Slater says he noticed that a growing number of non-dating platforms are being used for dating purposes, from match-making apps on Spotify to social discovery tools like Highlight. Meanwhile, he says some dating websites are starting to re-brand a bit by taking the "pink hearts" off their homepage with the goal of being a little more welcoming to those who might previously have been put off by the idea of online dating.

Facebook could fit nicely in this trend by serving as a more general social venue where casual users occasionally browse for dates without necessarily branding themselves as online daters.

"It's very similar to going to a club or a poetry reading or whatever your thing is [to meet people]," Slater says, whereas "online dating is more like going to a speed-dating event."

At least in this sense, Facebook could help online dating function a little more like offline dating.

See the original article on Mashable.com

© 2013 MASHABLE.com. All rights reserved.

@highlight

it was so striking to see Facebook tease a feature clearly intended for dating during the company's big press event on Tuesday

@highlight

Facebook's new Graph Search will let people search, say, for young single people in their city

@highlight

Author: "Facebook just announced that they are moving in on the essence of online dating"

@highlight

Facebook could become a social venue where casual users occasionally browse for dates