(CNN)The demands by terrorists for ransoms in return for kidnapped hostages continues and grows -- and it is a brave (some would say heartless) government that chooses non-payment over the lives of its citizens.

This week's $200 million demand in return for the lives of two Japanese citizens perhaps represents a change of tactics from ISIS -- the group that now rules over large parts of Syria and Iraq -- as they realize that, with the notable exceptions of the U.S. and the UK, the willingness of Western nations to resist making some form of payment in the face of YouTube videos of their citizens begging for their lives is weak.

Is an unwavering resistance towards ransom payments a constructive position to take? Is offering no hope of some form of negotiated settlement in the best interest of a nation's citizens? Or would it in fact make more sense to take a flexible approach that operates on a "case-by-case" basis, engages in negotiation, and considers all possible options including ransom?

The arguments against payment are well-rehearsed and oft-repeated by those that attempt to hold the international line. Since 9/11 the attempt to starve terrorist organizations of financing has been a cornerstone of the global effort to counter these groups. Payment of ransoms to terrorist organizations for the safe return of citizens is thus entirely contrary to the blizzard of national and international laws and norms that have emerged.

At a 2013 summit in Northern Ireland, world leaders noted that the "international community has made significant progress in combating the flow of funds to terrorist organizations," but also drew attention to the substantial financial benefit being earned through ransom payments and the incentive this provided for further kidnappings.  Following the G8 Summit, and notwithstanding the fact that in 2009 the U.N. reminded Member States of their obligation to prevent the payment of ransoms to terrorists under Security Council Resolution 1904, the Security Council passed a further resolution in January 2014 calling upon Member States "to prevent terrorists from benefiting directly or indirectly from ransom payments."

Without doubt, paying ransoms encourages more kidnappings -- it is a self-perpetuating, self-reinforcing cycle. The U.S. administration argues that "hostage-takers looking for ransoms distinguish between those governments that pay ransoms and those that do not ... and make a point of not taking hostages from those countries that refuse to make concessions."

Be that as it may (and proving a counter-factual is always highly subjective), the murder in 2009 of British citizen Edwin Dyer by al Qaeda in the Islamic Maghreb -- whilst his fellow Swiss and German captives were freed following the reported payment of a substantial ransom -- shows that refusing to pay is risky.

Furthermore, the procession of gruesome beheadings visited on American and British hostages by ISIS in 2014 suggests that, in the knowledge that the U.S. and UK will not pay ransoms, captured citizens from these two countries are far more likely to be murdered in the pursuit of propaganda.

A willingness to negotiate

While paying ransoms increases the risk of further kidnappings, it also clearly increases the likelihood of a safe and successful outcome. Offering to consider ransom demands introduces a critical prerequisite for success -- namely, a willingness to negotiate.

The secretive world of kidnap-for-ransom (KfR, in industry parlance) insurance provides a source of instructive insight. This industry bloomed following the kidnap, ransom, and death of the 20-month old baby son of U.S. aviator Charles Lindbergh.

At the heart of the growth and success of this niche industry is its ability to respond to and engage with kidnappers, normally via intermediaries. Success is judged not only by the safe return of a captured individual but also by the ability to negotiate a price that is far removed from the opening ask.

Knowing that ransom payments to designated terrorist groups are illegal, KfR specialists will quickly pass insured situations involving terrorist groups to government authorities -- and the outcomes are rarely as favorable as those that can be achieved via expert negotiation.

Periodically the facts presented to policymakers change and policymakers must adapt. Such a moment for adaptation has arrived.

Kidnap-for-ransom is an increasingly widely-used tool by terrorist groups. Nasser al-Wuhayshi, leader of Yemen-based al Qaeda in the Arabian Peninsula, which is estimated to have earned $20 million from ransom between 2011 and 2013, asserts that "kidnapping hostages is an easy spoil" and "a profitable trade and a precious treasure."  In several recorded messages, al Qaeda leader Ayman Al-Zawahiri has called for supporters worldwide to kidnap Westerners.

Stomach-churning (and illegal, in most jurisdictions) as it may be to finance designated terrorists, in recent months, citizens of France, Germany, Denmark, and Italy have returned safely home. Citizens of the UK and the U.S. have not.

The point blank refusal to pay ransoms is wrong-headed. A more nuanced approach that leaves all options, including payment, open for negotiation is much more likely to result in success.

@highlight

ISIS has kidnapped more than a dozen Western citizens in recent years

@highlight

Some European countries are known to pay, but the U.S. and UK do not

@highlight

Keatinge: U.S. and UK are wrong to dismiss ransom demands out of hand