Dubai (CNN) -- The United Arab Emirates is no stranger to superlatives: the world's tallest building, among the world's most expensive hotels, even the largest kebab.

The country has more than 100 world records to its name, so it's little wonder that Guinness has decided to open an office in Dubai next year to make it easier for people and businesses in the region to have their attempts certified.

Talal Omar, the head of Guinness's Dubai office, says the region has seen huge growth in recent years. "In the UAE, Saudi Arabia and Egypt, we've seen an increase of 300 to 400% in the number of applications over the past five years. The aim of this office is to make it easier, to make it quicker for people and businesses all across the region to access and achieve world records," he told CNN.

There have been several this year alone: the largest handprint in Kuwait, the longest table in Dubai or the most people to parachute-jump from a hot-air balloon.

Omar has overseen more than 300 records across the world, and relocated from London to Dubai just to cope with the new demand in the Middle East.

He says any record attempt must meet four criteria to even be considered:

1) It must be measureable -- longest, heaviest, fastest etc

2) It must be verifiable, that is to say you must provide evidence to prove it

3) The record must be breakable, in other words it can be challenged in the future

4) The record must have one single variable: you cannot have the longest, fastest marathon, they'll either measure the longest or the fastest.

Alastair Richards, president of Guinness World Records, says the organization is moving with the times in a bid to attract younger readers. "We've got a website and of course it's got the news daily as to what records are being broken around the world," he said. "It also as a website will give you a link to our YouTube site, Facebook, Twitter. There's also a section of the website where you can video yourself on let's say your mobile phone doing something you think is really cool that you think should be a Guinness World Record but as far as you know it's not at the moment.

"So this is really going after and encouraging the sort of 14 to 24-year-old boys and girls to have a go at record breaking, which is all about self-esteem and self-worth but that's a bigger question as to why Guinness World Records still exists after 56 years.

"So the website for instance now gets 1 million unique visitors a month, the vast majority of which are all about, they're looking at records and they're making record inquiries or they're enquiring about record claims."

"The Guinness World Records is about the amazing superlatives that make up our physical world or our universe but at the heart of it is just about human beings and it's a measure as to how unique and amazing each and everyone of us is. So in that sense we reflect society. So lots of who's got the most fans on Facebook, who's got the most Twitter followers or who's been tweeted the most in 24 hours. So for example, President Barack Obama when he gets four more years, that got retweeted some 770,000 times, within 24 hours, it's that type of record now that is probably the most popular."

Here are some recent records that have been set in the Middle East

• The greatest distance covered in 24 hours in a motorized wheelchair. Haidar Talib, an Emirati travelled the 141km from Masdar City to Al Thiqa Club for Handicapped in Sharjah in 14 hours, 28 seconds on a solar-powered wheelchair.

• The world's biggest kebab, weighing 468kg, was made by Doner Restaurant on Jumeirah Beach Road in 2012

• The longest line of sandwiches, measuring 2,667.13 meters, was created by Kraft Foods Middle East and Africa in September 2010.

• The world's heaviest gold ring, the Najmat Taiba ("Star of Taiba") was created by Taiba for Gold and Jewellery of Saudi Arabia at the Old Gold Souq in Deira in April 2009. The ring, weighing 63.856 kilograms, consisted of 5.17kg of precious jewels set in a 58.686kg, 21-carat gold ring.

• The largest coin, 1 meter wide, 2.3 centimetres thick and weighing 185kg, was made in Dubai.

• The world's most expensive cocktail, "the 27.321," named for its 27,321 dirham ($7,400) price tag, features on the menu of the Skyview Bar at Burj Al Arab.

• Dubai's Princess Tower, completed in 2013, is the world's tallest residential tower at 413.4 meters and with 100 above-ground floors.

@highlight

Guinness will open office in Dubai so people in region can have attempts certified

@highlight

The region has seen huge growth in recent years

@highlight

Guinness: Organization is moving with times in bid to attract younger readers