(CNN) -- Just about every time an article about "sugar" is published, I get frustrated because of the effort by some to falsely target sugar.

Although reporters often ask the Sugar Association for scientific facts and data regarding sugar to use in their stories, the information we provide is rarely included. Often, it's completely ignored because it does not support the preconceived focus of their article.

Thus, a tremendous amount of factual, scientifically verified information about all-natural sugar (sucrose) is being left out of today's conversation. And, sugar, the natural version, is too often confused with the more prevalent man-made sweeteners like high-fructose corn syrup.

That's misleading for consumers. And it's bad for advancing a real debate about solving the serious problem of obesity in America.

Opinion: The sweet secret that could kill you

I'm talking about a legitimate, credible discussion, supported by government data and independent scientific research, not hysteria and misinformation. Those using inflammatory and baseless phrases like "toxic" are often more concerned with a sound bite to sensationalize an article or TV appearance, and their claims have more to do with boosting their social media following or selling books than resolving genuine issues of public health. Targeting sugar alone is disingenuous, at best.

The most recent example of this trend is a study that appeared in the journal JAMA Internal Medicine, and the media storm that ensued, condemning sugar as a contributing factor to cardiovascular disease.

Consider this: The authors of the study itself concede that an observational study like theirs is not proof of cause and effect. The authors fail to note the weakness of the self-reported data they used to estimate intake levels of "added sugar."

This inadequacy is demonstrated by the fact that study participants self-reporting higher levels of physical activity had a greater, not the expected lower, risk of cardiovascular disease. And the study's authors also simplistically lumped together all caloric sweeteners as "added sugar" rather than identifying them individually (more on this in a minute).

Yet that didn't stop headlines like "Sugar tied to fatal heart problems" or "Eating too much sugar may be killing you."

Sugar not only makes you fat, it may make you sick

These headlines -- and many others resulting from the study -- underscore the problem consumers are facing when seeking factual information on health.

Having worked with the U.S. sugar industry for more than a decade, I am becoming more and more dismayed by those habitually providing a megaphone for what "some" folks are saying while barely giving a thought to whether these claims reflect a consensus view that is either prevailing among qualified experts or is scientifically correct.

Although obsessing about sugar as "the" problem in our diets gives headline writers everywhere the chance to grab our attention with provocative puns, it undermines the worth of important work regarding other dietary and health concerns. It takes the focus and resources away from us supporting scientifically verified, proven interventions dealing with obesity.

The fact is that American per capita consumption of real sugar (sucrose) is lower now than it was 40 years ago by approximately one-third (34%). So of all the things we need to worry about in this world, "higher" consumption of sugar is not among them. Because we've been consuming less of it for decades.

And when critics talk about consumption of "sugar-sweetened" or "sugary beverages," they are often inaccurately lumping sugar -- from sugar cane and sugar beets -- with man-made sweeteners like high-fructose corn syrup.

Sugar and high-fructose corn syrup, for example, are different sweeteners. They are molecularly different. With U.S. Department of Agriculture data showing that more than 90% of the caloric sweetener used in beverages in the United States is such corn syrup, not sugar, how can the media, or anyone, continue to call them "sugar-sweetened beverages"?

So Americans just need to remember: Only sucrose, or sugar, is sugar. Sugar has been consumed safely for centuries and, when consumed in moderation, has been and should continue to be part of a balanced diet and healthy lifestyle. That's a fact.

The opinions expressed in this commentary are solely those of Andy Briscoe.

@highlight

Andy Briscoe says media reports involving natural sugar are often misleading

@highlight

Briscoe contends recent studies linking excess sugar to poor health are inadequate

@highlight

Too often, he argues, headlines confuse sucrose -- or sugar -- with high-fructose corn syrup