(CNN)In June of 1960, my father was a 14-year-old Cuban boy with a round-trip airline ticket from Havana to Madrid, Spain. He spent the summer with family in Spain while Cuba fell deeper and deeper into Fidel Castro's revolution. He didn't realize the extent to which his life back home was quickly crumbling and that the winds of revolution were about to change his life forever.

At the end of that summer, my grandfather told his son that he would not be coming home; that he should stay in Spain and wait for the rest of the family to join him.  It was a long wait. It would take my grandfather more than 10 years to get out of Cuba.

I've always wondered if that summer vacation was part of my grandfather's plan to make sure that my father would not be trapped in socialist Cuba. Maybe if my father had known he wasn't coming back home, he would have put up a fight to stay in Havana. My mother recently found that unused airline ticket sitting in a box of my father's things. The ticket to a flight that never happened is a heartbreaking slice of family history still frozen in time.

For many Americans, the reaction to the news that the United States and Cuba have announced plans to normalize relations was, "It's about time." For many Americans, Cuba is nothing more than a forbidden playground with cigars, rum, beautiful beaches and baseball players. They want to experience a taste of this island trapped in time. They want to see the classic American cars rolling through the streets of Old Havana.

To the families of Cuban exiles, the island is much more. It's a complex and sad reality. Cuba is not a novelty or an unchecked box on a bucket list. Cuba is the rhythmic heartbeat of a life lost long ago but still beating in our souls.

Castro's revolution split my family apart like so many others. I still have extended family in Cuba. I've had only a few chances to spend time with them. (I've worked as a journalist twice in Cuba, covering Pope John Paul II's visit in 1998 and former President Jimmy Carter's visit in 2002.) I'm the only person in my family who has traveled to Cuba since most of my family left.

All my life, I've wondered if this historic moment would ever come in my lifetime. In my mind, it was supposed to be a moment like the Berlin Wall coming down; a highly anticipated event the world would watch together. But instead, the news seemed to come out of thin air on the week before Christmas. Unexpected and unpredictable, that's the way it always seems to be with Cuba.

Hard times for ordinary Cubans

With normalized relations, many people want to see a boom of foreign investment, led by Americans flocking to a place that's been locked behind the gates of the Cold War for more than 50 years. But I ask you to understand, as best as I can explain, the fear and apprehension this news means to many Cuban exiles.

People often tell me that they'd love to travel to Cuba because it seems like such a fun place. I tell them of my uncle who, well into his old age, would wake up at 4 in the morning to get in line for a ration of bread. I remember the first time I visited Cuba, I watched my uncle come home with a piece of bread that had more in common with a hockey puck. I couldn't believe that my elderly uncle would wake up every morning to stand in line for that.

People often tell me they want to walk the streets of Old Havana and see the crumbling buildings. I tell them of the countless young girls who work as "jineteras" -- slang for Cuban prostitutes -- to help earn money for their families who live crammed inside those walls. It's sickening to think that so many men from around the world come to Cuba for just this reason.

These are the kinds of things Cuban exile families think about when they think of Cuba. It's overwhelming sadness. There's a very privileged class in Cuba. The families of those in power live a life that rivals that of the most comfortable Americans. So when Cuban exiles hear of normalizing relations, they worry that it's Cuba's privileged class that will benefit the most at the expense of ordinary Cubans.

Fear that the status quo will prevail

Many Cuban exiles feel that the Castro regime has won the war for more than 50 years and that normalizing relations is another victory for a corrupt and evil dictatorship. "They always win" is a common sentiment among Cuban exiles who have such a distrust of the Castro regime. Many exiles fear a wrong move will provide another victory for a dictatorship that took so much from them. For more than 50 years, Cuba's story has surprised and saddened many exiles and their families, and we can't help but fear history will repeat itself.

We see family and friends left behind on the island who've spent decades fighting and scraping for the most meager of lives. "No es facil," said President Obama, the Spanish phrase often used to describe life in Cuba. It translates to life "is not easy." And that's putting it mildly.

Perhaps it's inevitable that U.S. and other foreign investment will swoop into Cuba one day. Maybe it's just a matter of time before a McDonald's restaurant sits on the Malecon, Havana's famous oceanfront boulevard just 90 miles from South Florida. Or maybe Americans will rush in to buy up oceanfront property with amazing views on the most beautiful beaches of Cuba. But I ask you this: What kind of view will ordinary Cubans get?

My father didn't live long enough to see this moment. My grandparents aren't here to see it either. And most in my family have mixed emotions about what this will really mean. This Christmas, we'll argue about it over black beans and rice and roasted pork. The children of Cuban exiles, like me, all dream of walking the streets of Cuba with our parents and grandparents to finally feel that rhythmic beat of our Cuban soul that still sits in our hearts.

@highlight

Many Americans see Cuba as a playground of cigars, rum, beautiful beaches and baseball

@highlight

But the Cuban revolution broke up families, and there's a big gap between nation's rich and poor

@highlight

Some fear that any foreign investment in Cuba won't benefit ordinary Cubans

@highlight

Many exiles feel that normalizing relations is another victory for a corrupt and evil dictatorship