London (CNN) -- High-level talks to defuse the Ukraine crisis, due to be held by the U.S., Russia, the EU and the Kiev government next week, amount to a big personal test for John Kerry after a notably accident-prone first year as U.S. President Barack Obama's secretary of state.

Kerry's State Department failed to see the Ukraine crisis coming and may have inadvertently helped to provoke it. They pushed too hard as the EU moved to cement closer ties with the former Soviet republic. Then, when Ukraine's elected, pro-Russia president was forcibly overthrown, the U.S. barely concealed its satisfaction.

The conviction that Washington deliberately engineered the Kiev "coup" predictably enraged Russian President Vladimir Putin. He decided he would try a bit of direct intervention of his own. The result was last month's annexation of Crimea and the apparent, continuing Russian military threat to eastern Ukraine.

Key international issues

There is a bit of a pattern emerging here.

Take Egypt for example. In November last year, during a Middle East tour, Kerry gave his backing to the military junta that deposed the country's elected Muslim Brotherhood President, Mohamed Morsy, and brutally repressed thousands of his supporters.

Kerry declared that Egypt was following a "roadmap" back to democracy and that Abdel Fattah el-Sisi, the general in charge, enjoyed his confidence. Since then, the repression has only gotten worse, and Egyptian democracy has become a bad joke. Hundreds of Brotherhood supporters were sentenced to death in risibly unfair court trials, amid a widening crackdown on political dissent and independent media.

El-Sisi now plans to become president. Kerry has become more critical, but the die is cast.

Very soon, Egypt will have a new dictator to replace former Egyptian President Hosni Mubarak, only younger and potentially more vicious. This dire prospect is not what the Arab Spring was about, and surely not what the Obama administration intended.

Kerry's judgment has not proved any more impressive in his handling of several other key international issues. He threw his weight behind the Syrian peace talks process after receiving encouragement, ironically, from Putin, who is Syrian President Bashar al-Assad's main external backer.

But it seems the wily Russian leader saw Kerry coming from way off.

Moscow continued to aid, abet and arm the Assad regime while the U.S.-backed opposition groups squabbled and split and eventually achieved next to nothing in the Geneva talks. Kerry's plan to discuss a transitional government in Damascus never got to first base.

Out of touch

Kerry invested a surprising amount of personal capital in reviving peace negotiations between Israel and the Palestinians, making optimistic prognostications about his chances of success where so many others have failed.

Perhaps it was a generational thing. Kerry, aged 70, has lived with the Israel-Palestine conflict all of his professional life. When he finally became secretary of state, maybe he thought: "At last, I have my chance to fix this." But he hasn't.

In fact, following the Palestinian Authority's decision last week to seek U.N.-recognized statehood, and the Israeli government's reaction in breaking off most contacts, the situation is rapidly deteriorating again.

Kerry's behavior in all these cases was delusional and out of touch with the realities on the ground, as the Washington Post's Jackson Diehl has argued, saying: "Egypt is under the thumb of an authoritarian general. The Syrian peace talks imploded soon after they began. The Israeli-Palestinian negotiations are hanging by a thread. All along the way, Kerry -- thanks to a profound misreading of the realities on the ground -- was enabling the bad guys."

Now Kerry faces his biggest challenge -- persuading, or forcing, another bad guy (namely Putin) to back off in Ukraine at a time when the Russian leader seems ever more convinced of American weakness.

According to Anne-Marie Slaughter, a former Obama state department official speaking Thursday to the BBC, Putin formed that opinion, rightly or wrongly, when the U.S. ducked military action in Syria last year. Now he appears to believe Washington, and therefore NATO, will avoid a physical confrontation over Ukraine at all costs, and that this gives him a clear negotiating advantage.

Ahead of next week's talks, Kerry could be misreading the situation again. He evidently did not believe Russia would be so audacious as to annex Crimea. He was wrong. Now, judging by recent statements, he is getting it wrong again. He seems to believe Putin is on the point of ordering similar action in eastern Ukraine, where pro-Russia separatists have seized government buildings and appealed for Russian armed intervention.

Testifying to Congress this week, Kerry blamed the protests on "special forces and agents" sent by Moscow in a move he said "could potentially be a contrived pretext for military intervention just as we saw in Crimea." While the U.S. favored a diplomatic solution, Washington was ready "to do what is necessary" to maintain international order.

Putin must chortle at such empty-sounding rhetoric. He believes, with good reason, that the U.S. and its allies will not go to war over Ukraine. He probably also has no intention of sending in his tanks, simply because he does not need to.

The direct and indirect pressure on Kiev to bow to Russian demands for "constitutional reform," including some form of federal system and enhanced regional autonomy in the east, is massive and beginning to tell. It is backed up by powerful Russian economic leverage, especially over gas supplies and agricultural exports.

Ukraine is broke and divided. Crimea is lost. It has neither an elected government nor president. It is militarily vastly inferior. And it lacks allies it can rely upon, when the chips are down. Like it or not, it has little choice but to seek an accommodation with Russia. Unless Kerry significantly raises his game, the terms will be dictated by Putin.

OPINION: Egypt's el-Sisi manufactures new dictatorship

OPINION: For many Egyptians, there is no alternative but el-Sisi

@highlight

John Kerry's state department failed to see the Ukraine crisis coming, writes Simon Tisdall

@highlight

He evidently did not believe Russia would be so audacious as to annex Crimea, he says

@highlight

Tisdall: Ukraine has little choice but to seek an accommodation with Russia

@highlight

Unless Kerry raises his game, the terms will be dictated by Putin, writes Tisdall