(CNN) -- Chelsea Clinton can trace her African awakening to February 11, 1990, when she sat on the kitchen counter of the governor's mansion in Arkansas and watched with her parents as Nelson Mandela walked out of prison in South Africa.

Just shy of her 10th birthday, Clinton knew then that history was being made and even more, "that the future was being born," she told CNN before leaving this week on a nine-day, six-stop African trip with her father, former President Bill Clinton.

Now she is part of that future she envisioned more than 23 years ago. The Bill, Hillary and Chelsea Clinton Foundation is involved in myriad projects in Africa intended to help historically disadvantaged people get a chance to realize their human potential on a continent known mostly for squalor and conflict.

Changing both the reality of Africa and the perception of its failed progress are important to Clinton, a self-proclaimed child of advantage raised by wildly successful and famous parents.

She credits both with helping her better understand the world, quoting her father's maxim that "intelligence is equally distributed; opportunity and resources aren't," while citing travels around the world with her mother -- former U.S. Sen. and Secretary of State Hillary Clinton -- that always included time with women and girls in far-flung places such as Zimbabwe.

"I always got to meet girls who very much were my age and very much were experiencing different things and very similar things that I was experiencing in the United States," she said, describing encounters that helped her realize "how many more advantages I had by being born in late-20th century America."

It resulted in a simple but profound question that inspires her today: "How could I not have thought about what I could do in my life to try to close the gaps that happened just by accident of where I was born?"

The answer is reflected in her work with the foundation and its various initiatives focused on health care, economic empowerment, climate change and other issues.

This week's trip begins in Malawi, where Clinton and her father will meet with President Joyce Banda and tour a Clinton Health Access Initiative clinic to visit HIV-infected patients being helped by access to less-expensive medicine.

Other stops include Zambia, Tanzania, Zanzibar, Rwanda and South Africa, a regular destination on her African travels. She spent time there in 1997 with her mother on a trip that preceded her father's historic visit a year later as the first sitting U.S. president to go to the country.

Clinton and her father also visited South Africa last year as part of a similar African swing to visit foundation sites there and in Mozambique, Rwanda and Uganda.

Many of the projects result from work of the Clinton Global Initiative, a kind of facilitating arm of the foundation that brings together philanthropists, corporations and others seeking to do good with projects and partners that need help.

"One of the things that we see over and over again is that so often the right constituent parts aren't really that far from one another," she said. "They're just not connected or organized."

So far, CGI members have committed to projects and other participation in Africa worth $27.8 billion, more than a third of the initiative's total member commitment worth $73 billion.

Clinton will visit one of the CGI projects on Friday in Zambia, where the U.S.-based Starkey Hearing Foundation will work with local authorities to fit hearing aids for people who need them.

It is part of the Starkey foundation's plan to "to give 1 million people hearing aids this decade to restore the gift of hearing, and to make a difference in people's lives in new ways," according to its website.

"It's not giving a gift of hearing for a moment; it's giving the gift of hearing for a lifetime," Clinton said of the project, which also supplies batteries and teaches people how to use and maintain the devices to "totally transform the trajectory" of their lives.

For much of the work of the foundation and the initiatives, success generally means that at some point, their help no longer will be needed, Clinton explained.

For example, a coffee roasting plant in Rwanda, which she and her father will visit with Rwandan President Paul Kagame, will eventually process 3,000 tons a day to create 40 jobs while boosting the income of tens of thousands of farmers, according to the Clinton Development Initiative website.

Given the nation's troubled history, with the 1994 genocide still resonant as a symbol of African upheaval and misery, the coffee plant represents "the next chapter in what's been really exciting to watch unfold in Rwanda," Clinton said.

@highlight

The former president and his daughter will make six stops on a nine-day trip

@highlight

Chelsea Clinton's African awakening: Nelson Mandela's release from prison in 1990

@highlight

Foundation work closes gaps between her American upbringing, rest of the world

@highlight

The itinerary includes HIV patients, hearing aids and a coffee-roasting plant