(CNN) -- Is there a hidden war going on in the workplace between employees with children and employees without?

In a recent New York Times article about flextime ("When the Work-Life Scales Are Unequal"), child-free workers are pitted against those who are parents, haggling over who does more work.

Certainly, the tensions are real. But what this article and much popular debate around flextime misses is that when appropriately implemented, co-workers benefit from the greater contributions, not to mention healthier lifestyles, that flextime affords. It's time to move beyond overly simplistic analysis that sets people against each other at work.

As an executive coach, adviser and confidante to senior executives across many industries, I've been working with this issue for more than 15 years and have heard all sides. Those without children will find many reasons to complain about work, including having to pick up slack for colleagues with children. But the reverse is true, too: While working parents are worrying about getting to their kids' activities, they complain about the preoccupation their child-free colleagues have with dating, their frequenting of happy hours, their unavailability to answer calls at night while they are out socializing and the unproductive mornings that follow as they try to shake their hangovers.

In my experience, much of the tension among employees with children and those without children is caused by varying levels of availability.

Who would think that parents with children are often more accessible and more reliable than those without?

On a recent Friday at 5:15 p.m., I went to meet a friend at her Midtown Manhattan office, where she works as a psychologist at the Columbia University Medical Center. The office was practically empty. She and her colleague were the only therapists, out of 30, who were there after 5 p.m. They are among the few therapists on staff with toddlers at home.

Just the night before, I met a client in Tribeca for dinner, a senior executive at JPMorganChase, no kids. She told me that she was taking this Friday off to spend more time with her parents in their country home. These are not the scenarios that generally come to mind when you think of stereotypical workers with and without children.

That is because the flextime issue has long been framed as a zero sum game in which those with kids win and those without kids lose. This relies on old-school ways of thinking about how work gets done.

If face time were the only measure of contributions in the workplace, then perhaps it would seem that child-free workers were left holding the bag. But it's not. Efficiency trumps face time almost every time in white collar jobs, and even a good portion of blue collar jobs.

The majority of senior managers I have worked with tell me that parents learn time and people management skills that make them more effective managers at work. Because there is more at stake when one's paycheck is providing for many rather than one, there is a sense of urgency in keeping a job and being promoted rather than a sense of entitlement about perks and promotion.

What the problem often comes down to is superficial appearances: It may look like working parents are getting a slide when they leave to take care of the family.

And that is because working parents and child-free workers alike assume we need to disclose more than we really do. In these matters transparency is overrated. My recommendation is simple: don't ask, don't tell. When a worker has to leave the office, he or she should simply state, "I have to leave at x time because I have an event/appointment/commitment."

The caveat here is that this only works for jobs that don't require physical presence in a particular location, in office cultures in which total contribution is measured and in workplaces in which employees are present and available to take calls 90% of the time between 9-5 and often beyond.

Ultimately every company wants employees who look in the mirror each morning and ask, "Am I working as smart as I can?"

At companies such as IDEO, a global design company, they've refined this model. On a tour of the company this summer, I learned that a typical new project launch commences with each team member describing their ideal work schedule, and the whole team is expected to morph into a schedule that goes partway to meet everyone's scheduling needs.

Not only is this a successful model, but company's managers tells me they find that employees are more productive when they work out their customized schedules.

They also remain at the company longer, accept lower compensation because of the benefits in work/life balance and have reduced tension with co-workers around issues of fairness in team contributions. Similarly, employees at the Chicago Web-app company 37 Signals are part of a results-focused and mostly virtual environment in which each person determines his or her schedule with consideration to teammates needs and is judged by the results.

Whether it's toddlers or happy hours that motivate a worker's desire to work more flexibly, the reasons don't matter as long as the worker gets the job done. If we don't start taking a more enlightened and complex view when it comes to our feelings about co-workers, the conversation around flextime will quickly descend into blame and resentment, which ultimately affects not only morale and culture but also the bottom line.

We need to flex our minds when we think about who partakes, who loses and who gains from workplace attitudes that allow for making judgments about co-workers not only at work but outside of work, too.

The opinions expressed in this commentary are solely those of Alicia Bassuk.

@highlight

Alicia Bassuk: Article reports tension between workers with children and those without

@highlight

She says it shouldn't be so; workplaces that value contribution over face time do better

@highlight

She says working parents often more efficient; nonparents go out, sometimes not available

@highlight

Bassuk: Companies' with enlightened view about flextime, remove resnetment as an issue