Move over Japan. Move over Silicon Valley. Africans are making a bid to turn the continent into the new home of mobile gaming.

With more than 700 million mobile broadband subscribers across the continent, it's little wonder a growing number of young entrepreneurs are jumping on the digital bandwagon and creating innovate, interactive content for their home market.

One such man is Nigerian Hugo Obi. Earlier this year he launched Maliyo, a gaming firm aimed at creating culturally relevant content that reflects the lives of average Nigerians.

"Nigeria is the largest country in the continent," he said. "It has the fastest growing internet users, fastest growing mobile users and the shared nature of the Nigerian people is how they love to consume.

"They are very keen on new trends and new content. So there is an immense opportunity and you can already see that with loads of other young tech start ups."

Obi took inspiration from the San Francisco-based company Zynga Games, which was founded in 2007. Its development of hugely popular games like Bubble Safari and Farmville introduced gaming to a new and even wider audience.

It also gave Obi the determination to tap into the market of around 44 million Nigerian internet users, by offering them a local gaming experience.

His firm now creates apps developed by Africans, for the African market, which can be played through websites like Facebook or on mobile devices.

"Okada Ride" is just one of Maliyo's browser games that has a local narrative, in which the player weaves in and out of Nigeria's pot-holed roads, avoiding oncoming traffic.

Play Maliyo Games "Okada Ride"

Obi said: "Okadas (motorbikes) are everywhere -- it's insane. Our game allows people to get a local interactive experience. They can drive around pot holes and tuk tuks. We brought in local sounds from busy streets. There is that connectivity."

Obi is not alone in his crusade to turn Africa into a mobile gaming continent. Anne Shongwe founded the digital company Afroes in 2009.

"When I started the company three years ago there was a global market for this, but there wasn't an African market," she said. "The skill set was here, but companies didn't believe it was worth investing. For us we are prioritizing content for Africa."

Afroes now employs nine people in South Africa and Kenya. Its primary focus is educational gaming for teenagers and young adults who use smart phones and basic Nokia or Samsung handsets.

"Our focus is games for change," said Shongwe. "We have developed a game called Moraba. It's part of a partnership with U.N. Women and its aim is to end violence against women. As you play the games you answer questions related to gender-based violence."

The games are available for free, with revenue generated through sponsorship and advertising. Obi also believes games can be educational.

He said: "Our focus is on the interactivity and the fun. But if we can offer another element then we think that could be a way for us to give back.

"In a game of multiple levels the challenge becomes more difficult. We're looking at educating people between levels. You can score extra points if  you answer questions (related to the game's genre) correctly."

Along with providing a fun, interactive and sometimes educational experience, Africa's burgeoning digital industry is also creating jobs.

It is estimated that 70% of Africa's young people are jobless but a growing number are capitalizing on the digital market and are setting up their own companies.

Obi and his team work alongside other firms at the Co-Creation Hub in Lagos. The hub acts as a business incubator and provides a base of operations for Maliyo and several other start ups.

"In the space you have lots of developers working on independent projects and we're able to leverage and share knowledge and share expertise and share contacts and share experiences," he said.

"We have a 12-hour power supply and 12-hour internet supply. We pay a flat rate over a 12-month period and that has significantly reduced our operation costs."

Kalaya Okereke agrees that networking is paramount to building a successful tech industry across the continent.

She organizes workshops for the Youth Alliance for Leadership and Development in Africa, aimed at bringing entrepreneurs together.

"It's about creating a network, not only of youth, young students, young professionals, young entrepreneurs, but more experienced professionals," she said. "The captains of industries, the dignitaries, people that have that inside knowledge they can share with them.

"We can't wait around for the government or older generations to do everything for us."

For Obi, waiting around is definitely not an option. He plans to develop his company quickly and release more titles soon.

"It is very, very challenging but the opportunities are immense. You have to continue to be motivated and that motivation has to come from inside," he said.

"You have to be persistent. You have to be hungry, you have a good vision and you have to share that with as many people as possible."

@highlight

African game developers making mobile games aimed at local market

@highlight

Games aim to be fun and interactive, but also educational

@highlight

Burgeoning digital industry creating jobs as more young people go it alone

@highlight

Start-ups urged to network and promote their content across Africa