Washington (CNN) -- The Obama administration is putting the final touches on a security assistance package totaling as much as $2 billion over five years to help Pakistan fight extremists on its border with Afghanistan, senior U.S. officials and diplomatic sources tell CNN.

The aid is expected to be announced later this week when Pakistani officials are in Washington to hold high-level talks.

The package aims to address Pakistan's insistence it does not have the capability to go after terrorists, and needs more support from the United States, the sources said. The aid will help the Pakistanis purchase helicopters, weapons systems and equipment to intercept communications.

It falls under the United States' Foreign Military Financing (FMF) program, which provides grants and loans to countries to purchase weapons and defense equipment produced in the United States. It also includes more counterinsurgency assistance to Pakistani troops and a program allowing members of the Pakistani military to study at American war colleges.

The $2 billion package is on top of billions of dollars the United States already gives Pakistan in military aid and a $7.5 billion aid package over five years in non-military counter-terrorism assistance approved by Congress last year.

"They key is to beef up their ability to go after militants, it can't be diverted to other threats," one senior U.S. official said.

Pakistan has long claimed its military is geared toward defending itself against threats from countries like India, and does not have the kind of equipment it needs to fight insurgents. U.S. officials said they recognize Pakistan's current military hardware is not perfectly suited toward such operations, but made clear the new aid must be directed toward fighting extremists, rather than India

"We recognize they need different kinds of capacities and more of them to handle extremists form within their own border," one official said. "They do need more capacity and the kinds of capabilities that are geared toward fighting extremists, rather than a major land conflict."

U.S. officials acknowledge the Pakistani military is stretched thin since this summer's devastating floods, and has had to divert resources from the fight against extremists to conduct relief efforts. They hope the new security assistance will address the military's resource limitations so they can redouble efforts to go after militants.

"There is an expectation with that capacity comes a greater effort," a senior official said.

The aid comes on the heels of a White House report sent to Congress earlier this month which uses unusually tough language to suggest the ally is not doing nearly enough to confront the Taliban and al Qaeda, despite repeated Obama administration claims in public that Pakistan is working hard to crack down on militants

The White House assessment, obtained by CNN, is particularly tough on Pakistan's inability to make gains in South Waziristan, where many analysts believe key al Qaeda leaders have gained a safe haven to use as a base to plot terror attacks against Western targets.

The report notes that from March to June, the Pakistani military "continued to avoid military engagements that would put it in direct conflict with Afghan Taliban or [al Qaeda] forces in North Waziristan. This is as much a political choice as it is a reflection of an under-resourced military prioritizing its targets."

"The capacity issue is very real," another senior official said. "It's not like they could just go into North Waziristan if they wanted to and succeed. There is an issue of political will but the capacity issue remains extremely important."

The official said the multi-year assistance package is designed to provide the Pakistanis with "an issue of predictability and consistency" in U.S. military assistance, which has typically been done on a year-to-year basis. Pakistan has long voiced concerns the United States is not going to remain engaged with the region over the long term.

"We need to demonstrate we are in it for more than six months to a year. This offers a time horizon and allows them to chill out about that," the official said.

Even with the harsh White House report, U.S. officials do acknowledge that Pakistan has made some progress in combating terrorism, noting the country has suffered thousands of casualties as a result of its campaign against extremists in its tribal areas bordering Afghanistan. Suspected U.S. drone strikes have also increased in Pakistan, killing dozens of high-level militants in the tribal areas. Although the U.S. does not comment on drone strikes, Pakistani officials have said they could not be done without Pakistani cooperation.

While in Pakistan in July, Secretary of State Hillary Clinton said the Pakistani government has become "very serious" about fighting the violent extremist organizations within its borders.

At the time, Clinton alluded to the security assistance being announced this week, while telling reporters the United States was "working on a multi-year package with the Pakistanis."

Pakistan Foreign Minister Shah Mehmood Qureshi and Pakistan's military chief, Gen. Ashfaq Parvez Kayani, are leading a Pakistani delegation arriving Tuesday for the U.S.-Pakistan Strategic Dialogue, three days of meetings starting Wednesday with Clinton, Defense Secretary Robert Gates and Adm. Mike Mullen, chairman of the Joint Chiefs of Staff.

The talks address all facets of the relationship between Washington and Islamabad, but counterterrorism cooperation will be a major aspect of the talks.

"Pakistan has taken aggressive action within its borders. But clearly, this is an ongoing threat and more needs to be done," State Department spokesman P.J. Crowley said Monday. "That will be among the issues talked about."

@highlight

The aid package could total as much as $2 billion

@highlight

An announcement is expected when Pakistani officials are in Washington this week

@highlight

The aid is to help Pakistan fight extremists on its border with Afghanistan

@highlight

A senior official: "There is an expectation with that capacity comes a greater effort"