Hong Kong (CNN) -- China's third-largest city Guangzhou -- capital of China's richest and most progressive province Guangdong -- has announced it has taken the first concrete steps in unbolting the country's often reviled "Re-education Through Labor" (RTL) system.

A senior judge told the state-run China Daily that all detainees in the city under the "laojiao" or RTL system would be released by the end of the year.

"The police and many legal experts have realized the drawbacks of laojiao and called to abolish the system, which has become outdated," Yu Mingyong, deputy president of Guangzhou Intermediate People's Court, was quoted as saying.

"Many of those released from laojiao find many difficulties returning to society, families and work after ... their personal freedom has been restricted in labor camps for several years."

Guangzhou still has about 100 people in labor camps, he said.

Human Rights Watch welcomed the move but said there were few RTL camps and detainees in cities. It estimates Guangdong has as many as 18,000 detainees held in a network of facilities throughout the province.

Despite the move to end the process -- originally aimed at reforming offenders through a mixture of hard labor and Marxist indoctrination -- HRW claims the changes are merely cosmetic and work camps have simply been relabeled drug detox centers.

How it started

Reform Through Labor was set up in the 1950s under Mao Zedong and modeled on the Soviet "gulags" -- a place where "counter-revolutionaries" and "class enemies" could be detained without trial.

Millions are believed to have died through overwork, suicide and harsh conditions until the system was overhauled in the 1970s when Deng Xiaoping released prisoners accused of political and religious offenses.

According to the latest available figures from the Bureau of Re-education Through Labor under the Ministry of Justice, 160,000 people were held in 350 re-education through labor centers nationwide as of the end of 2008. The UNHCR says the figure is possibly as high as 190,000 people.

Today the system empowers police to jail accused offenders -- from petty thieves and prostitutes to drug abusers -- for up to four years without a judicial hearing.

Public criticism of the system has grown in China where petitioners against official corruption, "subversives," such as Falun Gong practitioners or those simply finding themselves on the wrong side of powerful Communist Party figures, have also been sentenced to penal labor without trial.

In a brief note in the official Nanfang Daily last week, the vice president of Guangzhou City, Yuming Yong, said the city's administrative courts had ceased hearing RTL cases in March, effectively scrapping the system.

"Judicial reform of RTL has been a priority this year," Yong told the Nanfang Daily. "Guangzhou has stopped approval of re-education through labor (cases) further highlighting the protection of citizens' personal liberties."

An administrative tribunal official Xiao Zhixiong added that with no new detention cases being heard, the system would eventually be "digested out" but that specific reforms would be a matter for other relevant departments.

In January this year, the central government in Beijing strongly hinted that it would begin scrapping the system although Guangzhou's announcement is the strongest indication yet that concrete steps have been taken.

Cosmetic changes

While Guangdong province has a reputation for being progressive and reform-oriented, human rights groups are skeptical about the depth of change to the controversial jail system.

Nicholas Bequelin, a senior researcher at Human Rights Watch told CNN that reforms may simply be a cosmetic re-branding of an otherwise repressive system.

"Guangdong is at the vanguard of reform, that's their identity," Bequelin said. "Unfortunately, this 'reform' essentially consists in changing the signboard at the labor camp from 'Re-education Through Labor' to 'Coercive Detoxification Center.'"

He said Guangdong had been ready to move fast because the majority of the RTL detainees in the province -- 10,000 out of a total of 18,000 according to HRW â€” are drug offenders or users who posed little political threat to authorities in Beijing.

"It's not entirely clear to us what has become of the 8,000 RTL detainees who are not being shifted to the detoxification system. Some may have been shifted to yet another system of administrative detention, 'Custody and Education,' designed for people suspected of engaging in sex work or of having hired the services of sex workers," Bequelin said.

These centers, HRW argues, also constitute arbitrary detention because deprivation of liberty results from administrative, rather than judicial, decisions.

"In other words, no trial, no lawyer, no appeal. And the conditions in these centers are consistently abusive," he added.

He said that while it was encouraging that local authorities had stopped admitting new detainees while they awaited more concrete reforms from Beijing, the central government could reverse its proposals at any stage.

"As far as Human Rights Watch is concerned, the only way forward is to put a definitive end re-education through labor, not to shift detainees to another arbitrary system of detention, or establish a new system to warehouse minor offenders, petitioners, government critics, sex workers and offenders below the age of 18," Bequelin said.

Backlash over exposed cases

Two high-profile cases that became public last year generated a massive backlash, forcing the government to address the thorny issue of RTL.

In one case, a mother was sentenced to 18 months in a labor camp for "disrupting social order" after she repeatedly petitioned officials to execute men convicted of raping her 11-year-old daughter. In another case, a young village official was sent to a labor camp for two years for re-tweeting Weibo posts that were deemed seditious.

While even Guangdong's progressive administration has stopped short of attacking the system, saying that it was "not opposed to the use of coercive power and punishment by public security organs," recent official announcements have offered guarded criticism of RTL.

"The system was designed to maintain social order, prevent and reduce crimes by reforming people who committed minor offenses but were not punishable by the penal code," read one Xinhua editorial. "It did play an important role in maintaining social order in specific periods, however, with the development of society and the legal system, its defects have become more and more evident."

Jie Chen contributed to this report

@highlight

China's third city Guangzhou announces first steps in unbolting 'Re-education Through Labor' system

@highlight

System was set up in the 1950s under Mao Zedong and modeled on the Soviet 'gulags'

@highlight

It provides for detention without trial for petty thieves and prostitutes to drug abusers

@highlight

Human Rights Watch says the changes to the system, however, are only cosmetic