(CNN) -- A small boy, perched on an open catwalk in a candy factory, falls to his death. No, it is not a macabre moment out of "Willy Wonka and the Chocolate Factory." It is a true story told by social reformer Jane Addams, who founded Chicago's Hull House in 1889.

Addams also described little girls who refused sweets as Christmas gifts that year. "They could not bear the sight of it," Addams wrote. "We discovered that that they had worked from 7 in the morning until 9 at night, and they were exhausted."

These Dickensian scenes lasted in America from the late 19th century until 1938, when child labor was outlawed under the Fair Labor Standards Act. They are a sobering reminder of why the nation marks Labor Day.

To most Americans, the first Monday in September means a three-day weekend and the last hurrah of summer, a final outing at the shore before school begins, a family picnic.

But Labor Day was born in a time when work was no picnic. As America was moving from farms to factories in the Industrial Age, there was a long, violent, often-deadly struggle for fundamental workers' rights, a struggle that in many ways was America's "other civil war."

It was a war fought when 12-hour days and six-day weeks were routine. Wages were low; there were no sick days, pensions or holidays. There was certainly no unemployment insurance. Any attempts at organizing were met by the combined wrath of business and government. The business of America was business.

That conflict, a period in which thousands of workers died in America's unsafe and unsanitary factories and mines, and hundreds more died in riots and pitched battles over workers' rights, is the little-noted history behind this holiday.

The first American Labor Day is dated to a parade organized by unions in New York on September 5, 1882, as a celebration of "the strength and spirit of the American worker." Their goals were simple: decent wages, an eight-hour workday and the right to organize. The September date was selected to provide a respite for workers and their families midway between July Fourth and Thanksgiving Day. By all accounts, the first Labor Day was a peaceful affair that drew tens of thousands of workers and their families to the city's Union Square Park.

But the path to a national Labor Day holiday was no walk in the park. The federal Labor Day was created 12 years later, signed into law by President Grover Cleveland during his second term in 1894. It's not that Cleveland was a great friend of labor. In fact, he had just sent out troops to break a strike.

During the economic depression known as the Panic of 1893, workers for the Pullman Car Co., one of the country's largest manufacturers, walked off their jobs when Pullman tried to cut wages, fire workers and evict them from their company-owned homes. They were joined by hundreds of thousands of workers in a nationwide walkout. Facing a strike that would shut down America's railroads, Cleveland dispatched 12,000 federal troops on the premise that the strike interfered with the U.S. Mail. In the ensuing violence, at least 13 strikers were killed.

This was not the first time troops had been used against American workers. Federal soldiers, state militias and private armies, often from the Pinkerton Detective Agency, had used deadly force to break many 19th-century strikes. Some of these strikes had become pitched battles, like the Homestead strike of 1892 in Pennsylvania. There, men on both sides armed with rifles and cannons died fighting over keeping a union at a steel mill, a union that owner Andrew Carnegie and manager Henry Frick were determined to break.

After crushing the Pullman strike, Cleveland thought that granting workers a Labor Day holiday was a sop that would appease them as he sought a third term. (It didn't work; he was denied the Democratic nomination in 1896.) Politicians and labor leaders were content to keep the holiday in September, far from the growing popularity of May Day as a commemoration of the "Martyrs of Haymarket Square," a group of union leaders executed -- unjustly, it was later proved -- after Chicago's deadly Haymarket Square Riots in May 1884.

For unions, Labor Day proved a hollow victory. Most of the reforms they sought did not come about for nearly half a century. The Depression-era fair labor laws that were passed under Franklin D. Roosevelt finally set standards like the eight-hour day and an end to child labor.

This history is worth remembering on Labor Day. But at a moment when American workers are battered by high unemployment, the Great Recession, a technology revolution in the workplace and globalization, there seems to be little to celebrate.

And these economic forces are only part of the relentless pressures faced by America's work force. There is also a renewed war over labor in this country. It is being fought in battleground states including, most notably, Wisconsin, Ohio, New Jersey and Florida, where mostly Republican governors are wrangling with public employees over pay, pensions and more fundamental issues including the right of collective bargaining.

Their sharp anti-union rhetoric has increasingly found receptive listeners who have been convinced that "spoiled" unions and public employees -- the people who fight our fires, teach our children and pick up our garbage -- are at fault for our budgetary woes and the sorry state of the economy. The fight has been vitriolic but well short of the violence of America's "other civil war."

With that in mind, it is worth recalling President Abraham Lincoln's words during the dark early days of the real Civil War. "Capital is only the fruit of labor, and could never have existed if labor had not first existed," he told Congress in December 1861. "Labor is the superior of capital and deserves much the higher consideration,"

Today, the first Republican president's words would count as heresy in the GOP. But they are a sharp reminder that working men and women built this country and fought its wars. And their labors are worth more than a Monday holiday or the mean-spirited contempt they now face. They deserve, as Lincoln said, "the higher consideration."

The opinions expressed in this commentary are solely those of Kenneth Davis.

@highlight

Ken Davis: Today, labor under fire. But war for workers' rights was long, deadly struggle

@highlight

There was child labor, 12-hour days, 6-day weeks, low wages, no sick days, holidays

@highlight

Soldiers, militias, private armies used deadly force to break 19th-century strikes

@highlight

Labor Day born in 1894, he says, but reform didn't come till FDR's fair labor laws