(CNN) -- The first U.S. case of Middle East Respiratory Syndrome (MERS) coronavirus has been reported in Indiana, the Centers for Disease Control and Prevention said Friday.

The patient is a health-care provider who recently traveled to Saudi Arabia to provide health care, said Dr. Anne Schuchat, assistant surgeon general with the U.S. Public Health Service and director for the National Center for Immunization and Respiratory Diseases.

The person, an American male, traveled on April 24 from Riyadh to London, then to Chicago, and took a bus to Indiana, officials said. He began experiencing shortness of breath, coughing, and fever on April 27, according to the Indiana State Department of Health.

The patient was admitted to Community Hospital in Munster, Indiana, on April 28, the same day he visited the emergency department there, the health department said. He has been isolated and is in stable condition. He is receiving oxygen support, but does not require a ventilator, Schuchat said.

MERS: 5 things to know

The virus poses a "very low risk to the broader general public," Schuchat said, as it has not been shown to spread easily from person to person.

The CDC and the Indiana State Department of Health are conducting a joint investigation into the case, according to a CDC statement. The CDC confirmed Indiana test results on Friday.

"The CDC, IDPH (Illinois Department of Public Health) and CDPH (Chicago Department of Public Health) do not consider passengers on the flight or bus to be close contacts of the patient and therefore are not at high risk," said Dr. LaMar Hasbrouck, director of the IDPH.

Passengers on the same plane and bus as the patient will be contacted by the CDC as a precautionary measure, starting Saturday, the Illinois statement said. If the CDC identifies ill individuals with possible MERS-CoV, it will notify health officials in Chicago and Indiana.

"There is no reason to suspect any current risk to travelers or employees at O'Hare Airport at this time," said CDPH commissioner Bechara Choucair.

The coronavirus, known as MERS-CoV, was first reported in the Middle East -- specifically, the Arabian Peninsula -- in 2012.

Laboratory testing has confirmed 262 cases of the coronavirus in 12 countries, including the Indiana case, Schuchat said. Ninety-three people have died.

So far, all MERS cases have been linked to six countries on or near the Arabian Peninsula, Schuchat said.

The Saudi Ministry of Health has reported 339 cases, and said nearly a third of those have died. Not all of the Saudi cases have been confirmed by the World Health Organization.

"The MERS virus is of grave concern because of the virulence," Schuchat said. But, she added, "We're not yet aware of confirmed sustained community transmission."

Late last month, Saudi officials noted a spike in new cases.

The CDC has expected MERS to come to the United States, Schuchat said. "We have been preparing for this."

However, "The introduction of MERS-CoV is another reminder that diseases are just a plane ride away," she said.

Opinion: Why MERS virus is so scary

MERS-CoV comes from the same group of viruses as the common cold and attacks the respiratory system, according to the CDC. Symptoms, which include fever, cough and shortness of breath, can lead to pneumonia and kidney failure.

The CDC has issued general precautions such as frequent hand-washing, avoiding close contact with infected people, avoiding touching your eyes, nose and mouth with unwashed hands, and disinfecting surfaces that are frequently touched.

Pediatricians should ask about where young patients with high fever and respiratory symptoms have traveled, Schuchat said.

"Young children often have fever and respiratory symptoms, but the key here is: Was there a history of travel within the past 14 days to the Arabian Peninsula, or contact with someone? ... They should alert their clinician about that travel or contact," Schuchat said.

Currently, the CDC does not recommend changing travel plans because of the virus, Schuchat said.

No one knows exactly how this virus originated, but evidence is emerging implicating camels. In a recently published study in mBio, researchers said they isolated live MERS virus from two single-humped camels, known as dromedaries. They found multiple substrains in the camel viruses, including one that perfectly matches a substrain isolated from a human patient.

The same group of researchers reported in February that nearly three-quarters of camels in Saudi Arabia tested positive for past exposure to the MERS coronavirus.

MERS mystery: Virus found in camels

Although many of the cases have occurred on the Arabian Peninsula, people have died of the infection elsewhere, including in European countries and Tunisia in North Africa. Egypt reported its first case on April 26, according to the WHO.

Limited human-to-human transmission of the disease has also occurred in other countries -- meaning some people who traveled to the Middle East gave the virus to others.

Officials are not aware of any other confirmed U.S. cases, Schuchat said, adding it's too early to assume no one else is ill. An active investigation is underway.

CNN's Miriam Falco, Caleb Hellerman and Ashley Hayes contributed to this report.

@highlight

The patient is a health care provider who traveled to Saudi Arabia

@highlight

MERS coronavirus was first reported in 2012 in the Middle East

@highlight

Saudi officials have noted a recent spike in cases