(CNN) -- Did Yasser Arafat die eight years ago of natural causes or was the 75-year-old Palestinian leader poisoned, as his widow believes?

That's the question forensic investigators from at least three nations are trying to answer by testing samples taken from Arafat's body, which was exhumed Tuesday and reburied a short time later.

Tests are being performed on those samples for the presence of polonium -- a toxic, radioactive element found on some of his personal belongings earlier this year.

For five decades, Arafat was the most prominent face of Palestinian opposition to Israel, first as the head of the Palestine Liberation Organization, which carried out attacks against Israeli targets, and later as the head of the Palestinian Authority.

The Palestinian Authority, which runs the West Bank, says it is convinced Israel is behind any poisoning of Arafat.

"We had nothing to do with it," Israeli government spokesman Mark Regev told CNN's Wolf Blitzer. "Those charges are ludicrous and it's conspiracy theories which, as you know, sometimes have legs of their own. But, as you know, there is no truth in it whatsoever."

French authorities -- responding to a request from his widow -- opened a murder inquiry into Arafat's death this year after high levels of polonium-210 were detected on Arafat's toothbrush, clothing and his keffiyeh, the trademark black-and-white headscarf he often wore. France opened the investigation partly because Arafat died there in 2004.

While France is leading the investigation, forensic experts from Switzerland and Russia took their own samples for independent analysis.

'Proof in our hands'

Arafat's widow, Suha, told CNN on Tuesday that she doesn't feel comfortable accusing a person or a country of poisoning her husband, but she wants the investigators to keep working. "I will tell you everybody is accusing Israel," she told CNN's Christiane Amanpour. "I can't just conclude without having all the proof in our hands."

Amanpour asked the widow whether she regrets turning down a chance to have her husband's body undergo an autopsy when he died. Suha said it never occurred to her to have one performed.

"Nobody asked me to do an autopsy," she said.

Palestinian Authority President Mahmoud Abbas subsequently approved the exhumation from Arafat's mausoleum in the Palestinian presidential compound in the West Bank city of Ramallah.

But the presence of high levels of polonium-210 on his belongings does not mean Arafat was poisoned, according to FranÃ§ois Bochud, director of the Swiss institute that carried out the tests.

Some details in Arafat's medical records are not consistent with polonium poisoning, he explained, and "the only way to resolve this anomaly would be by testing the body."

So what is Polonium-210 and how does it work?

Polonium-210 is not a radioactive substance that emits gamma particles, which can travel through walls at extremely high energies. Instead, as polonium-210 decays, it releases alpha particles, which can't even pass through a piece of paper.

But alpha particles are still dangerous. They travel short distances and retain a high amount of energy.

Bottom line: It may be very difficult to determine if Arafat was poisoned with the substance, but taking samples was less of a task. This week experts retrieved the samples from Arafat's body without disturbing the whole of him so officials would not have to do a military reburial as was planned, according to Tawfiq Tirawi, head of a Palestinian investigation committee. Palestinian leadership placed flowers at Arafat's mausoleum, Tirawi told reporters.

Poisoning rumors

For Suha Arafat, that event was difficult to watch.

"I will tell you something very emotional today while I was seeing his, you know, reburial and his remains," she told Amanpour. "I thought I would promise all my Palestinian people that his remains will go ... to Jerusalem, as he always wanted to be buried in the Al Aqsa mosque in Jerusalem."

Arafat died at age 75 at a Paris military hospital after he suffered a brain hemorrhage and slipped into a coma. Palestinian officials said in the days before his death that Arafat had a blood disorder -- though they ruled out leukemia -- and that he had digestive problems.

Rumors of poisoning circulated at the time, but Palestinian officials denied them, and then-Foreign Minister Nabil Sha'ath said he "totally" ruled them out.

Two weeks after Arafat's death, his nephew said medical records showed no cause of death. Nasser al-Kidwa, who was the Palestinian observer to the United Nations, said toxicology tests showed "no known poison" -- though he refused to exclude the possibility that poison caused his uncle's death.

"The suspicion that he was killed, that he was deliberately murdered, has been there all along and most Palestinians believe that," said Hanan Ashrawi, a member of the Palestine Liberation Organization's executive committee. "I personally believed it because I was with him; I saw him; I saw the transformation and it certainly was unnatural."

Ashrawi said she had spoken with Arafat's doctors, who told her that they could not rule out the possibility that he had been poisoned.

"But we didn't have any kind of thread, any kind of evidence," she told CNN in July. Referring to the report that showed polonium-210 on some of his belongings, Ashrawi said it "in many ways, tells us our suspicions are founded that there is sufficient evidence to say that he was killed, that he was assassinated using polonium."

Only a few countries, including the United States, Israel and Russia, have stocks of polonium-210, a fact that would limit the list of possible suspects, according to Cham Dallas, a professor and toxicologist at the University of Georgia's Institute for Health Management and Mass Destruction Defense.

"You would only use polonium if you were making a statement, not if you were trying to hide," he said.

Someone trying to get away with murder would be better off using pharmaceutical agents, since a number of of them "disappear in the body" and cannot be identified later, he said.

"I can't figure out why they would use it, frankly," he said. "There are so many really cool agents to kill people if you want to be secret and even if you want to make a statement."

Polonium-210 made headlines in 2006, when it was used to kill Alexander Litvinenko, a former KGB agent who came to Britain in 2000 after turning whistle-blower on the FSB, the KGB's successor.

In a deathbed statement from a London hospital, Litvinenko blamed Russia's President Vladimir Putin, an accusation the Kremlin strongly denied.

But it's hard to compare the cases of Arafat and Litvinenko, who was diagnosed when he was alive, Bochud said.

Arafat's symptoms when he died were not entirely consistent with polonium poisoning, he said.

"For example, the bone marrow stayed in good shape until (the) death of Arafat. In other cases of polonium poisoning, there is a decaying of the bone marrow," the medical expert said. "Another point, he did not lose his hair as would be expected in the case of polonium (poisoning)."

Scientists performed more than 50 measurements on the belongings between February and June, he said.

Palestinians who view Arafat as a symbol of resistance are also quite emotional about the suspicion he was poisoned.

Arafat won the Nobel Peace Prize in 1994, along with Israeli leaders Yitzhak Rabin and Shimon Peres, for their work on the Oslo accords in 1993. The Oslo agreement was perceived at the time as a breakthrough that could lead to an independent Palestinian state and a permanent peace with Israel.

CNN's Fred Pleitgen and Saad Abedine contributed to this report.

@highlight

NEW: Arafat's widow says she doesn't want to accuse

@highlight

Former PLO leader Yasser Arafat's body is exhumed

@highlight

Israel says it had nothing to do with his death

@highlight

Palestinian officials want to know if Arafat was poisoned with radioactive element