(CNN) -- Japan's new prime minister on Friday offered the world a vision of his country as a reinvigorated Asian power, pledging to restore its influence in a region where it is increasingly eclipsed by China.

"Japan is not, and will never be, a tier-two country," Shinzo Abe said in a speech to members of the US foreign policy establishment, following his first meeting with President Barack Obama.

"It is high time, in this age of Asian resurgence, for Japan to bear even more responsibility to promote our shared rules and values."

Mr Abe's declaration that "Japan is back" could raise hackles in China, where a new leadership is keen to establish that country as a more dominant political force, befitting its position as Asia's largest economy.

Mr Abe, a conservative nationalist, referred to a rare increase in Japan's military spending and made a forceful reassertion of Tokyo's claim to the Senkaku Islands, whose ownership has been contested by Beijing, saying Japan "simply cannot tolerate any challenge now, or in the future".

But he also tried to assure US leaders that he was working to avoid escalating a dispute which Washington has made clear it does not want to be drawn into, suggesting he might be open to meeting Chinese leaders to try to ease tensions over the islands. "The doors are always open on my side for the Chinese leaders," Mr Abe said.

China on Friday criticised Mr Abe after the Washington Post published an interview quoting him as saying Beijing had a "deeply ingrained" need to challenge its neighbours over territory. Japanese officials said the quote was "misleading" and Mr Abe had not said China sought conflicts with other countries.

Mr Abe came to Washington seeking to erase a perceived ambivalence about Japan's relations with the US that was created by the previous centre-left government, which Mr Abe's Liberal Democratic party defeated in national elections in December.

Japan has swapped prime ministers six times since Mr Abe first held the office in a short and scandal-marred tenure from 2006 to 2007. One of his biggest challenges is to convince the Obama administration that his second stint will last long enough for him to follow through on his promises.

Mr Abe has made a robust start, launching an economic stimulus programme of increased government spending and looser monetary policy that has lifted the Japanese stock market and pushed his poll ratings to around 70 per cent. Washington has been broadly supportive of the effort, even though it has led to a sharp fall in the yen that has alarmed some of Japan's trade partners and prompted concerns about a potential "currency war" of competitive devaluations.

Mr Abe pressed his government's case that a healthier Japanese economy would be good for the rest of the world. "Soon, Japan will export more, but it will import more as well. The US will be the first to benefit, followed by China, India, Indonesia and so on," he said.

He also moved Japan a step closer to joining an effort to create a trans-Pacific free-trade zone. In a joint statement, Mr Abe and Mr Obama said "all goods would be subject to negotiation" should Japan join the US and a group of mostly Asian countries in talks over the Trans-Pacific Partnership, but that "it is not required to make a prior commitment to unilaterally eliminate all tariffs".

That wording appeared to be broad enough to allow Mr Abe to claim that joining negotiations would not break an election promise to protect Japanese farmers. "It is my understanding that giving up all 'sacred areas' is not pre-condition," he said.

@highlight

Japan's new prime minister offered a vision of his country as a reinvigorated Asian power

@highlight

Shinzo Abe pledges to restore its influence as it is increasingly eclipsed by China

@highlight

Abe in Washington: "Japan is not, and will never be, a tier-two country"