(CNN) -- A smartphone app has been launched to help save an Australian indigenous language that is in danger of disappearing.

Its creators say the The Ma! Iwaidja free mobile phone app is the first phone app for an Australian indigenous language and aims to prevent the extinction of the Iwaidja language -- one of Australia's 100 endangered languages. It is spoken by less than 200 people on Croker Island, off the coast of the Northern Territory of Australia.

The app contains a 1,500-entry Iwaidja-English dictionary and a 450-entry phrase book that users can update.

"There has been an enthusiastic uptake of mobile phone technology in indigenous communities in Australia, so the idea is to capitalize on that," says linguist Bruce Birch, coordinator of the Minjilang Endangered Languages Publication project, which developed the app.

"People have their phones with them most of the time, the app is incredibly easy to use, and this allows data collection to happen spontaneously, opportunistically," he says.

The school on Croker island has eight iPads with the app installed and the island's community store sells smartphones.

The next phase of the project involves creating an online database with a web interface so that users can share entries they create. The team is also creating a new Iwaidja Dictionary app, which will focus on recording a range of information orally, allowing the user to avoid typing, Birch adds.

"We believe the tools we are developing will exponentially increase the involvement of the Indigenous people whose languages are threatened, without the need for difficult-to-attain levels of computer literacy," Birch says.

Read related: Your smartphone is a pain in the neck

He is already working on apps for other endangered aboriginal languages. A phrase book app for Mawng and Kunwinjku will be available by early next year. An empty app is also in the pipeline, allowing people to collect data on any language.

Until now endangered aboriginal languages were recorded in the presence of a linguist and selected native speakers with recording equipment, Birch says. Now, with the easy-to-operate app, indigenous people whose languages are threatened can record and upload languages at their own pace and at times which suit them, he says, without requiring the presence of a specialist holding a microphone.

"What we have found over the years is that one-way resources do not have much impact, especially on younger generations of speakers," Birch says.

He adds: "The ability provided by the tools we are developing to easily create, record and share language, images, and video, at the same time as building sustainable databases for future use, involves and empowers speakers of indigenous languages in a way which has not been possible before."

Read related: African apps take on mobile gaming industry

In 2012 smartphone penetration in Australia shot up 40% to 52% of the population, making it the fourth-highest penetration in the world, after Saudi Arabia, the UAE and Norway, according a Google report.

And Australia is currently among the top 30 countries in the world to generate revenue in the Apple App Store for iPhone, according to analysts Distimo.

Ma! Iwaidja is just one example of a recent explosion in unusual smartphone apps developed for Australians. Those living Down Under can now use their phones to find the nearest lavatory, get rescued from earthquake rubble and even know how much sunscreen to wear.

The National Public Toilet Map provides directions to the nearest five toilets to a user's location.

The app was created as a project of the National Continence Management Strategy, funded by the Australian Government Department of Health and Aging, as an extension of www.toiletmap.gov.au to "meet an immediate need for people away from their computer," explains Michael Rochford, director of Human Solutions Pty Ltd, the developer.

The app provides details of 15,000 public and private latrines across Australia, including details on whether there is a baby change room, sharps disposal unit and sanitary disposal bin and whether the water is drinkable.

"Forty-two percent of our users are on mobile devices, with about half of those using the iPhone app. Downloads and usage are significant," Rochford says.

Backpackers can ditch clumsy guide books and use smartphone apps to plan their trips around Australia using The Australia Planner, a free mobile application by Tourism Australia, while those playing non-elite sports can keep up to date with the results, league tables and schedules of their teams via the SportingPulse app.

SunSmart, an app developed by Boosted Human, a Melbourne-based software consultancy, provides exact UV levels anywhere in Australia.

Users choose their location in Australia and get alerted when UV levels there have reached dangerous levels. The app includes a calculator letting users know how much sunscreen they need to apply according to their body size.

Earthquake Buddy, developed by The App Collective, based in Australia, can figure out your location if an earthquake above 5.5 Richter occurs.

The app sends an automatic email showing a user's GPS-mapped location from a secure server to four chosen so-called "Quake Buddies." It even allows users to record a video or audio message to their loved ones to be played if they are never found and can function as a bright torch to help them if they are buried beneath the rubble.

The Australian Mobile Phone Lifestyle Index, published in September 2012, found that 69% of respondents had installed an application to their mobile phone, half of them were using between two and five applications on average per week, while just over a third were using more than six applications.

And the app market looks set to keep growing. According to a Deloitte study, the market for developing apps in Australia is expected to be worth more than half a billion dollars in the next three to five years.

@highlight

Mobile app designed to preserve language now spoken by less than 200 people

@highlight

Australia currently has the fourth-highest smartphone penetration in the world

@highlight

Unusual Australian smartphone apps include one to help people caught in an earthquake