Washington (CNN)It all started eight years ago Tuesday, near the spot where Abraham Lincoln once warned that America's divides could tear it apart.

In Springfield, Illinois, Barack Obama flashed a smile, bounded on stage in a long dark coat, and vowed, like his political hero, to "transform a nation" and unleash a wave of hope and change.

He looked as fresh as the frigid air in which thousands had gathered, wrapped up in scarves and winter coats, to witness the launch of a campaign that, improbably, would end in the White House.

Eight years later, the end of Obama's grueling, crisis-addled administration is in sight and his supporters have learned by experience how much harder it is to be President than to run for the office. Dreams of a new bipartisan era have given way to constant confrontations with a Congress that is now completely controlled by Republicans, many of whom are on a mission to dismantle much of Obama's agenda. The situation isn't much better on the global front, where Obama continues to grapple with all-too-familiar foreign policy challenges in Iraq and Afghanistan along with new threats from Russia.

From Tuesday, Obama's time left in the White House will be shorter than the time it took him to win the presidency, and his 2007 speech has become a cautionary tale of the gulf between powerful campaign rhetoric and reality. It also remains a guidepost to the political philosophy that has underpinned the Obama administration and a reference point for both backers and critics as they write history's first draft on his presidency.

On that Saturday morning in 2007, from behind a podium bearing his new campaign logo, a rising sun symbolizing new hope, Obama -- with not a gray hair in his head -- rattled off a list of how he would change the nation.

He pledged to deliver universal health care within four years, help families struggling from "paycheck to paycheck," seek to end poverty in America, close out a "war with no end" and make future generations proud by defusing the threat from global warming.

In hindsight, his sights were trained too high. While even his critics would admit Obama wrought significant political change, he has often fallen short of his rarefied goals, running up against a system of governance set up by America's founders to resist sharp change of political direction.

Indeed, millions more people do have health insurance thanks to Obamacare. Universal coverage, however, remains a dream. Many Americans still live paycheck to paycheck. The economic crisis, yet to erupt when Obama gave his speech, meanwhile required the President to spend much of the political capital he won with his 2008 triumph on a financial overhaul that's now under attack by congressional Republicans.

Tackling poverty is now the rallying call in yet another presidential campaign. Eyeing 2016, Republicans are suddenly joining the crusade.

Congress, meanwhile, refused the tough economic pill that putting a cap on carbon emissions would entail. America's alliances may be in better shape than in the go-it-alone days of George W. Bush's first term. But trans-Atlantic tensions are obvious over issues like Ukraine.

For sure, Obama honored his vow to get troops home from Iraq and Afghanistan. But the battle against Islamic extremism grinds on over a widened battlefield. And ironically, Obama became the President who ordered Americans back to Iraq, to confront a new enemy, ISIS.

Declaring wars over is one thing, truly ending them is another.

In Springfield, Obama warned the United States must leave Iraq because "it's time to admit that no amount of American lives can resolve the political disagreement that lies at the heart of someone else's civil war."

That mantra has guided his foreign policy in office -- and explains his reluctance to throw U.S. forces into the cauldron of Syria.

Such chaos has not been kind to Obama's 2007 vow that it was time to "usher in a new birth of freedom on this Earth."

For example, he spent Monday wrestling with global crises including a challenge from Russia, which increasingly operates in Cold War-era terms, and Iran, which is driving a hard bargain in nuclear talks.

Implicit in Obama's appeal eight years ago was his assurance that Washington politics did not have to be so bitter or so divided.

With the certainty of a yet untested politician, he cited the example of Lincoln's "House Divided" speech and subsequent presidency to argue political change was possible.

"The life of a tall, gangly, self-made Springfield lawyer tells us that a different future is possible," Obama said. "He tells us that there is power in words. He tells us that there is power in conviction, that beneath all the differences of race and region, faith and station, we are one people."

Eight years on, that sentiment, and Obama's promise that few obstacles can "withstand the power of millions of voices calling for change" bears re-examination.

It was not the "power of words" that enacted health care reform, but now-defunct Democratic majorities in Congress. Change in the Obama era has sometimes been incremental. It's now enacted only by wielding executive powers, which Republicans say are an abuse of the President's authority.

The "power of words" -- put to the test by Obama's Cairo address to the Muslim world in 2009 -- also failed to shift geopolitical logic overseas, as turmoil shatters the Middle East, and U.S. foes sense weakness.

Back home, Washington is more divided and poisoned politically than ever. Republicans may have rejected compromise, but Obama's critics say his own partisan reflex is also to blame.

He could not, for instance, resist reminding the GOP during his State of the Union address in January that he beat them twice. And his negative re-election campaign to beat Mitt Romney in 2012 ran counter to his own rejection of "petty and trivial" politics in 2007.

But the President, his hair now speckled with white, insists he was not naive.

In the State of the Union, as much an argument to future historians as a policy wish list, Obama offered his own rebuttal to his critics.

He reprised the 2004 Democratic National Convention speech, which paved the way for his 2007 announcement, in which he declared there "wasn't a liberal America, or a conservative America; a black America or a white America, but a United States of America."

"Over the past six years, the pundits have pointed out more than once that my presidency has not delivered on this vision," he said. "But I still think the cynics are wrong."

@highlight

Obama launched presidential campaign eight years ago Tuesday

@highlight

Hindsight of troubled presidency casts speech in new light

@highlight

Obama insists 'I was not naive'