Washington (CNN) -- Hillary Clinton had to know she was going to have to talk about her wealth.

The tightly orchestrated book tour for her new memoir has closely resembled a campaign -- with war rooms and surrogate coordination. So one would expect that Clinton was prepared to answer questions on any topic.

But when the wealth question came, Clinton, the political heavy hitter, whiffed.

Twice.

The muffed answers have made trouble on their own for the potential presidential candidate by raising new questions about her ability to connect with average voters on economic issues.

But they've also had another consequence.

Prior to her book tour, she'd begun a pivot to the left. Many liberals had questioned her economic themes and coziness with Wall Street. In response, she stepped up her populist rhetoric.

However, because of the blaring headlines on wealth, her outreach to party progressives has gone mostly unnoticed so far, possibly clouding her appeal to another important constituent.

A day to forget

Clinton's first misstep came when she told ABC at the start of her book tour this month that she and her family "came out of the White House not only dead broke but in debt," adding later that her family had "no money" at that time.

She wasn't wrong when she said the first family left the White House way behind financially. She said they were burdened by legal bills and still had to keep a roof -- actually two -- over their heads and send their daughter to college.

But here's a mighty big difference between Clinton and the average person.

For starters, she and her husband were obviously well positioned to quickly capitalize on the post-presidential custom of cashing in.

She left that part out.

Hillary Clinton had a massive book advance in the works and, along with the former president, the prospect of making millions. This is what fueled cries of hypocrisy.

After quickly trying to clean up the comments, though, Clinton swung and missed again on Sunday when questioned about her own financial standing and wealth inequality in an interview with The Guardian.

Clinton compared herself to others and noted her situation is different, too.

"We pay ordinary income tax, unlike a lot of people who are truly well off, not to name names; and we've done it through dint of hard work," she said.

One reason Clinton's two missteps on wealth are surprising is that questions about the issue are not new and shouldn't have come as a surprise.

Liberal websites like Mother Jones began asking questions about her speaking fees -- upwards of $200,000 -- in early May.

Republican groups like the Republican National Committee and America Rising, an outside anti-Clinton super PAC, had been probing the topic longer.

The progressive connection.

Sally Kohn, a progressive activist and Clinton critic, said she handled the wealth question poorly and "certainly has enough money to hire a better speaking coach."

But she downplayed the mistake.

"Why people do have a problem with her is not because of her personal wealth, it is because of her coziness with Wall Street. That is the problem," Kohn said.

The monied elite is an anathema to liberals, who decry wealth inequality, the corrosive impact of too-big-to-fail businesses and, of course, the overwhelming power in America of the professional investor class vs. average people struggling to save.

For much of Clinton's time on the paid speaking circuit, the former secretary of state has focused on bipartisan issues and kept some distance with hot political issues.

But less than a month before questions about her wealth and understanding of the middle class started to define her book tour, Clinton departed from more bipartisan topics and stepped up her populist rhetoric in a May speech at the New America Foundation.

She bashed George W. Bush, embraced material from the liberal playbook, and highlighted populist themes in her speeches.

Clinton charged up her rhetoric, too. She blasted tight-fisted millionaires, decried the current economy as a "throwback to the Gilded Age," and dusted off old standbys about Republican trickle-down economics.

The change in tone hasn't happened in a vacuum, and may have projected that Clinton and her aides expected criticism about her wealth, stature and ability to relate to everyday Americans.

But because of the mistakes, her populist pivot has largely gone unnoticed.

An exclusive club

Instead, it's Clinton's two tone-deaf statements about her family's wealth that have defined her book tour, so far.

They have also begun to shine a light on Clinton's work as a constant fundraiser.

Between her campaign for president in 2008 and her time as the head of a global foundation, she spent a considerable amount of time courting the money of millionaires and billionaires.

Her foundation -- The Clinton Foundation -- has also become a bastion for corporate donors. Stephen L. Bing, the founder of Shangri-La business group; Tom Golisano, the founder of Paychex and Cheryl and Haim Saban, Democratic megadonors and the owners of Univision, have donated between $10 million and $25 million.

Republicans have seized on it and are looking to portray Clinton as out-of-touch and someone who has spent too much time in the "bubble" and in other rarefied surroundings.

They point to her gaffes as well as a comment from earlier in the year when she told a group of auto dealers that she hadn't driven a car since 1996.

And while pro-Clinton Democrats have defended her, others in the party have begun to knock her -- some more subtly than others. They also say she's out of touch.

Vice President Joe Biden, who may be running for president, appears to be getting in on the action.

Biden said on Monday that he "makes a lot of money" as vice president. But he made sure to mention he was "listed as the poorest man in Congress" and said he has "no savings account."

Key point: Biden stressed that he's been "really, really fortunate" compared to the way others have struggled.

Bush is still Clinton's bogeyman

6 times Clinton sounded, acted like a candidate

@highlight

Hillary Clinton has now misstepped twice on questions about her wealth

@highlight

The wealth questions come at the same time that Clinton has stepped up her populist rhetoric

@highlight

Democrats to the left question Clinton's economic ideas and coziness with Wall Street

@highlight

Republicans are trying to create a narrative the Clinton is out of touch with most Americans