(CNN) -- Remember being a kid, stuck home from school because you were sick, and "The Price is Right" would come on? I was that kid, and Ben Blatt was that kid, too. The difference between us is that when I was choosing college classes by their attendance policy, Blatt graduated from Harvard with a degree in applied math -- and then used what he learned to figure out how to win at "The Price is Right."

When Blatt, a staff writer at Slate, discovered that there were collections of data based on the outcomes of the over 70 pricing games from the show, the mathematician inside leaped at the chance to look for patterns, and he found a few places where a person could not only do better than chance, but even win 100% of the time!

Now, a couple caveats: This is just based on a few years of data (Blatt says each game is played about 10 times a year) so the samples aren't perfect, and you can't use math to win every game (so, sadly, Plinko perfection remains painfully out of reach). However, he outlines a couple tips that could help you up your game at home -- or even, should you get the chance, on set.

Bet better

The game -- Contestant's Row: The first stop for anyone on the show is "Contestant's Row," where four players chosen from the audience bet on a featured prize, and the person closest to the correct price without going over wins. Blatt went through show transcripts for five years and compiled the data to figure out what is best to do.

The tip: Bet $1 higher than the highest bid. According to Blatt's data, the last person to bid wins 35% of the time, but if they guessed $1 higher than the highest bid, they would win 53.8% of the time.

Why it works: People are afraid to overbid, because you definitely lose if you bid too high, so they typically bid a bit lower than what they think the actual price is. Betting $1 more takes advantage of this.

Clean their clock

The game -- Clock Game: Guess the exact price of two prizes in less than 30 seconds. On a wrong guess, the host will tell you if you need to guess higher or lower.

The tip: Assume both prizes are worth between $500 and $1,000 then cut the difference in half and repeat. According to Blatt's analysis based on more than 75 games, this strategy works 100% of the time.

Why it works: Splitting the difference each time is the fastest way to home in on the correct price (It's technically called a 'binary search') and should keep the times you have to guess on each prize below 10. Since you get unlimited guesses, you just need to be quick about each guess and victory is yours!

Stop the yodeling

The game -- Cliff Hangers: Known to most of us as "the yodeling game," players guess the two-digit price of three items. A mountain climbing figure clad in lederhosen makes his way one step closer to the top of a mountain for every dollar your guess is from the actual price. If he travels over 25 steps (if your guesses total more than $25 off) then he falls and you lose.

The tip: Guess $19 the first time, and then guess $11 more than the price of the previous item on your second and third guesses.

Why it works: Blatt's research found that each prize is slightly more expensive than the prize before it, so the step up of $11 is in the sweet spot to compensate for the increase. Based on over 50 games, this strategy worked 100% of the time.

The Magic Pick

The game -- Magic Number: The contestant is shown two prizes and has to guess a number that is between the prices of the two prizes.

The tip: Guess $2,250.

Why it works: Because of math. Blatt crunched all the numbers from over 50 plays of Magic Number, and found that guessing $2,250 would win 79% of the time. The average contestant only won 44% of the time.

Blatt's article outlines some more strategies (including another game where he found a strategy that works 100% of the time) and includes a "Price is Right" cheat sheet that's so complete, it even earned a retweet from Drew Carey, the show's host.

Bob Barker will celebrate 90th birthday on 'Price is Right'

@highlight

Slate staff writer Ben Blatt crunched the numbers to find ways to win on "Price is Right"

@highlight

On Contestant's Row, use the $1 higher strategy, he says

@highlight

On Cliff Hangers, also known to most of us as "the yodeling game," go with 19 and add 11