Los Angeles (CNN) -- Dr. Conrad Murray's delay in calling 911 for help as soon as he realized Michael Jackson was not breathing may have cost the pop icon his life, according to a cardiologist who testified Wednesday in Murray's involuntary manslaughter trial.

Dr. Alon Steinberg, a cardiologist called as an expert witness by the prosecution, listed Murray's failure to immediately call for paramedics as one of six examples of gross negligence that contributed to Jackson's death.

"If these deviations would not have happened, Mr. Jackson would be alive," Steinberg testified.

Earlier Wednesday, Murray's defense team dropped its theory that Jackson may have orally ingested the surgical anesthetic propofol that the coroner says killed him.

Lawyers for Murray will instead focus on the theory that Jackson used a syringe to inject the fatal overdose through a catheter on his left leg while Murray was away from his bedside.

Murray's defense also contends that Jackson swallowed eight tablets of lorazepam, a sedative, in a desperate search for sleep the day he died.

Murray's deviations from medical standards of care include the doctor leaving his patient alone with propofol and lorazepam nearby, which could have led to Jackson self-administering the fatal drugs, Steinberg testified.

"It's like leaving a baby that's sleeping on your kitchen countertop," Steinberg said. "There's a very small chance the baby could fall over, or wake up and grab a knife or something."

The Los Angeles County coroner ruled that Jackson's June 25, 2009, death was from "acute propofol intoxication" in combination with several sedatives, including lorazepam.

Prosecutors argue that Murray is criminally responsible for Jackson's death because his use of propofol to treat the singer's insomnia was grossly negligent and an extreme deviation from the standard of care required of physicians.

Murray should be found guilty even if jurors accept the theory that Jackson self-administered the fatal dose because the doctor was reckless for leaving the drugs near his patient when he was not around, Steinberg testified.

The possibility that Jackson drank propofol arose during Murray's preliminary hearing in January, when a prosecution expert agreed with the defense that a higher level of propofol in his stomach compared to his blood suggested it could have happened.

Both prosecution and defense experts conducted tests on animals since January's preliminary hearing on the "bio-availability" of propofol if consumed orally. Defense attorney Michael Flanagan agreed Wednesday that the studies showed "propofol, when orally ingested, is not bio-available."

Another study, conducted over the summer on university students in Chile, concluded "if you drink propofol, it will have trivial effects on the person," Deputy District Attorney David Walgren said.

"Oral propofol did not kill Michael Jackson," he said.

The defense, in a rare moment in the trial, agreed.

"We are not going to assert at any point in time that Michael Jackson orally ingested propofol," Flanagan said.

With about three days of defense testimony expected, closing arguments could be just a week away. Steinberg is the first of three experts who will wrap up the prosecution's case.

Steinberg said he based his conclusions on Murray's own words to detectives in an interview two days after Jackson's death. That interview was played for jurors in the previous two days of the trial.

Jackson would be alive today if Murray had called 911 for help within two minutes of realizing Jackson was not breathing, instead of waiting about 20 minutes before asking a security guard to call, Steinberg said.

Earlier testimony revealed Murray did ask Jackson's chef to send a security guard upstairs to help him about five minutes after the time prosecutors suggest he realized there was a problem with Jackson. The chef, however, testified that she sent Jackson's 12-year-old son upstairs instead of security.

Steinberg said the use of propofol to treat Jackson's insomnia was another extreme deviation from standards that contributed to Jackson's death. He later acknowledged a recent report from China that the anesthetic had been successfully used to treat chronic insomnia, but he suggested it needed more study to be accepted.

Sleep expert Dr. Nader Kamangar testified later Wednesday that propofol has no therapeutic value in treating insomnia, and to use it is unethical and an extreme deviation from the standards of care.

"It is beyond comprehension," Kamangar said. "It is frankly disturbing,"

Steinberg said he based his conclusions on his belief that Murray had connected Jackson to an IV drip of propofol after he gave him an injection of propofol. That assumption, he said, was made because Murray told police he had used such a drip on most previous nights.

When Flanagan challenged him to show where in Murray's police interview he said he used a drip the day Jackson died, he eventually said "I will agree with you, it's not completely clear."

Steinberg also said it was gross negligence that Murray was not prepared for an emergency, such as having a generator in case there was a power failure.

A sleep expert and an anesthesiologist are expected to follow Steinberg on the witness stand Wednesday and Thursday.

The pathologist who conducted the autopsy on Jackson testified Tuesday that while it was physically possible that Jackson could have given himself the overdose that killed him, Murray is still guilty of causing his death because he gave him access to the dangerous drugs.

Dr. Christopher Rogers said Murray's admission in a police interview that he used propofol to treat Jackson's insomnia was a factor in his conclusion that it was a homicide, not an accidental death.

He said Murray's use of propofol in Jackson's home without proper monitoring and resuscitation equipment or a "precision dosing device" contributed to the singer's propofol overdose and subsequent death.

"Essentially, the doctor would be estimating how much propofol he would be giving," Rogers testified. "I think it would be easy under those circumstances for the doctor to estimate wrong and give too much propofol."

Murray, in the interview played for the jury over the past two days of testimony, told detectives he gave Jackson a series of three sedatives -- Valium, lorazepam and midazolam -- over a 10-hour period before finally giving in to Jackson's plea for propofol.

"I've got to sleep, Dr. Conrad," Murray said Jackson pleaded to him. "I have these rehearsals to perform. I must be ready for the show in England. Tomorrow I will have to cancel my performance, because you know I cannot function if I don't get to sleep."

Murray said he injected a small dose of propofol using a syringe, but the prosecution contends he also used a makeshift IV setup to keep Jackson medicated and asleep. That drip may have malfunctioned while the doctor was not monitoring his patient, they contend.

The propofol bottle that prosecutors say Murray used for the IV drip had a slit in the rubber top, which Rogers said is evidence it was part of the drip system.

On the recording, Murray insisted he kept a close watch on Jackson after he finally fell asleep. The physician never mentioned the long list of e-mails and calls that cell phone records later revealed.

Rogers testified it was unlikely that Jackson self-administered the deadly dose of propofol in the two minutes Murray said he was away from him, but he conceded under defense questioning that it was physically possible.

Jackson could have reached the IV port near his left knee to self-inject propofol, he said. If Jackson pushed the drug in quickly, it could have made his heart stop immediately, Rogers said.

Rogers later added, under questioning by the prosecutor, that he would still consider it a homicide even if Jackson administered the fatal overdose to himself since the doctor would have been negligent in leaving the drugs nearby.

His testimony also gave some support to the defense theory that Jackson orally ingested an overdose of lorazepam from a pill bottle next to his bed.

A toxicology study of Jackson's stomach contents, conducted in recent months, showed a level of lorazepam four times higher in the stomach that in his blood.

"There would have to be some oral lorazepam taken somewhere along the line," Rogers testified, after taking a moment to do some quick math while on the witness stand.

Murray was hired as Jackson's personal physician while the singer prepared for his "This Is It" comeback concerts in London, planned to start in July 2009.

If convicted of involuntary manslaughter, Murray could spend four years in a California prison and lose his medical license.

@highlight

NEW: Sleep expert says using propofol to treat insomnia is "beyond comprehension"

@highlight

Michael Jackson would be alive now if Murray called 911 quicker, doctor says

@highlight

Cardiologist cites six examples of Murray's gross negligence in Jackson's death

@highlight

Defense still contends Jackson may have injected himself with the fatal dose