(CNN) -- Here's something you probably didn't imagine doing today: entering a name-that-pangolin contest. But I hope you'll make room in your busy schedule for a humble and endangered creature that truly could use some help. P26 is the current name of that shy-looking pangolin in the photo above. What kind of name is that for such a rare and fascinating mammal, the modern world's tiny dinosaur, a "walking pinecone" that can defend itself against lions and tigers by rolling up into a little scale-covered ball?

P26 sounds like a line in a spreadsheet.

He deserves a way better name.

The generous researchers at Vietnam's Carnivore and Pangolin Conservation Program have agreed to let CNN's readers suggest and then vote on a new name for P26, who was recently released back into the wild after being rescued from the black market.

Suggest a name by commenting below. You can up-vote the names in the thread you'd like to be considered. I'll ask readers to vote on five of the best (non-profane) and most popular names next week.

P26 will assume whatever name you pick.

You can also tweet this to encourage friends to vote:

Pangolins like P26 are endangered, and they're thought to be the most-trafficked mammals in the world. As I found out on a recent reporting trip to Southeast Asia, activists fear that they could go extinct before most people so much as realize they exist. They're shipped around the world for their scales, which are used in traditional medicine, and for their meat, which is a delicacy and status symbol in Vietnam and China.

You voted for me to research and report on the illegal animal trade as part of my Change the List project, which focuses on bottom-of-the-list issues and places.

Find more stories in this reader-led series at CNN.com/Change.

On my trip to Indonesia and Vietnam in February, I met P26 and other rescued pangolins at the vastly underfunded rehabilitation center in Vietnam. The group operates on $27,000 a year, its manager told me. That's for seven employees at two national parks. I also went undercover to talk with mafia-type pangolin traffickers and poachers.

My take-away is that celebrity would bring the pangolin a form of protection. As long as it remains an obscure and little-known creature, it's easier for pangolin bosses to keep packing up these animals by the tons and shipping them to market. And it's also easier for restaurants to sell pangolin and consumers to justify buying it. Pangolins are remarkable animals: Their tongues are longer than their bodies; they hang from trees by their tails; they're pretty much invincible to predators in the wild.

It would be unthinkable if they went extinct because they're not conventionally cute. There are easy, workable solutions. Humans are their biggest threat.

Given the seriousness of the trade, maybe this naming contest seems goofy or inappropriate, but I think of it as a way for CNN's audience to adopt a pangolin and to get to know P26. He's one of the shyest pangolins the researchers in Vietnam have worked with (all pangolins are super-shy, by the way, and they actually die of "stress" in captivity, which is why you almost never see them in zoos).

He was released into Cat Tien National Park on March 19, and I'm told he's making his way into the world with extreme timidity, like a Great Dane walking onto a sheet of ice. That's, of course, understandable considering he was hunted and was likely bound for a restaurant table or a bag of scales before he was seized by the Vietnamese government and, luckily, turned over to the researchers. When researchers put P26 in a box out in the forest and encouraged him to walk away, he just sat there, terrified.

"With other releases the animal has happily come out the box and started investigating the area. P26, however, was lot more nervous," Louise Fletcher, who's handling his release, wrote on a blog where she documents the pangolins' journeys. "It is bad practice and stressful to tip the box or lift the animal out. Better just to leave it open and let them climb out by themselves. So, instead, we stood back and waited, but he still did not want to leave."

He was still in the box when they left that night, she said. The next morning, however, she was relieved to find the box empty. The researchers are monitoring P26's movements with a radio tracking device that's attached to one of the scales on his tail.

By March 24, P26 had left the den site -- a good sign -- but then "dug himself further under the roots of the tree," as if to hide, Fletcher wrote in an e-mail. "Hopefully now he will begin to become more familiar with the surrounding area."

You can follow P26's journey on a blog written by Fletcher and other staff at the Carnivore and Pangolin Conservation Program in Vietnam.

I'll be back in touch with the top five names soon.

What would you name the pangolin in the photo? Leave your picks in the comments, and vote up the names you like. We'll have a vote on the best of the best soon.

@highlight

Pangolins are thought to be the most-trafficked mammas in the world by number

@highlight

You can help name the pangolin in the photo, which is currently called P26

@highlight

P26 is among the shyest of the shy pangolins; he recently was released into a park in Vietnam

@highlight

To submit a name, post it in the comments and up-vote your favorites