Hong Kong (CNN) -- It's a well known part of Hong Kong urban lore that an apartment where a violent death took place can often be bought for as much as 10-30 per cent off the market price.

Depending on the type of death -- suicide, natural death or gruesome murder -- the house will become more or less hongza; a Cantonese term that literally translates as "calamity house" but effectively means the house is haunted.

Less well known is that secretive databases that collate hongza addresses are playing on local superstitions to effectively control prices in one of the world's most expensive real estate markets.

The problem with hongza is that it spreads.

Not only will a violent murder affect the price of the apartment where it took place, it will likely slash thousands off neighboring apartments -- and even the whole building.

"Databases don't specify which apartments, data is incomplete: if an apartment has 30 or 40 storeys there's a high probability all will be affected," said Jacklyn Pun Ka-Yan, sales director at Many Wells Property Agent.

Published information might specify the floor, but not the apartment where the death occurred. In some cases, only the building's address appears.

"I think they should make it clear, they should not just state the entire floor as haunted," Patrick Fong, whose flat is listed on the same floor as a hongza apartment, told CNN.

Penthouse slums highlight Hong Kong's wealth divide

Once a property is listed on a database, however, there's no way out, says Pun. Owners have little recourse in getting their properties removed from hongza lists.

Meanwhile, the more than 5,000 real estate practitioners in the city, according to figures from the Society of Hong Kong Real Estate Agents, are bound to keep tabs on hongza properties following a 2004 court decision making it compulsory for estate agents to report houses with a dark history.

The case found against Centaline Property, one of Hong Kong's best-known real estate agencies, after a buyer pulled out of a transaction in 2001 when he discovered the apartment he planned to buy was hongza.

"If an estate agent acting for a purchaser knows, or ought to have known of the occurrence of a tragic incident in a property, and knew or ought reasonably to have known that this would materially affect the value of the property, that agent would owe a duty to alert its client to that fact," Judge Benjamin Yu said in the judgment which also acknowledged that property values could be reduced 'between 25 to 30%' in the case of a murder or suicide in a flat.

The agency was ordered to pay almost $40,000 as a result of failing to "obtain information in relation to the properties," Judge Yu wrote in his decision.

This information is now supplied by unaccountable databases that have no oversight into how the lists are compiled.

Repeated attempts by CNN to reach the most widely used information website, hk-compass.com, were unsuccessful. The page does not display the names of its managers.

Hong Kong's hot market in 'haunted' houses

Its contacts are listed behind Web Commerce Communications Limited with phone numbers under a Malaysian country code. WCC supplies an identification service, but does not run the website, one of its employees told CNN in a phone interview.

Website hk-compass.com sells hongza data to realtors for about $42 a year, according to the price list on the site.

"We can only report the case to the authorities, we can't do anything because we don't know who is behind this," said Diamond Shea Hing-wan, President of the Hong Kong Owners' Club.

Meanwhile, Shea says, authorities have shown little enthusiasm for tackling a problem that is costing Hong Kong homeowners millions of dollars.

"We have contacted the Estate Agents Authority, but there's no action," Shea said, adding that he could only urge property owners to contact Shek Lai-him, a Hong Kong lawmaker who represents realtors on Hong Kong's professional constituency government.

Repeated interview requests with Shek were ignored and attempts to speak with the Transport and Housing Department were declined.

For one disgruntled property owner, who asked to only be identified as Mr Chan due to the stigma associated with owning a cursed home, the solution to the problem is simple.

"I think the government could regulate the website so that the addresses on it are more detailed," he said.

Squarefoot, another hongza database, had 3438 entries in their database, as of October 2012, the company told CNN. In some cases, only street addresses are listed, information that could effectively depreciate the value of whole buildings.

The final number of property owners affected by a hongza listing is impossible to estimate and, with huge fortunes won or lost in one of the region's most volatile property markets, few want to talk about it.

"The government will try not to do something they don't think they can handle right now," said Eddie Hui, Professor at the Department of Building and Real Estate of the Hong Kong Polytechnic University.

Eudora Wong and Sergio Held contributed to this report

@highlight

In Hong Kong, an apartment where a violent death has occurred can take 10-30 per cent off its market price

@highlight

Databases that track these incidents sell their services to real estate agents

@highlight

Owners complain that once their apartments appear on these lists, there's no way to change the information

@highlight

A violent death in an apartment often affects the resale value of other homeowners on the same floor