Five men are tasting freedom for the first time in years -- including one President Barack Obama described as "one of the most important intelligence agents that the United States has ever had in Cuba" -- in a historic deal between the U.S. and Cuba announced Wednesday.

The still unidentified spy was released along with Alan Gross, the American subcontractor held for five years in Cuba despite persistent and very public pushes for his release.

The intelligence agent was part of a deal that exchanged him for three convicted Cuban spies who are now back home in Cuba.

All five of the released men are now part of a bigger story, one that speaks to the long-held rivalry between the United States and Cuba that is now being rewritten as the two countries revamp diplomatic relations.

Who are these men? What did they do? And what can they look forward to, now that they're free?

Obama signals overhaul of Cuba relations

RELEASED BY CUBA

Unnamed U.S. intelligence agent

The most significant person to be freed may be the only one who hasn't been named, and about whom least is known.

He is a U.S. intelligence agent who spent nearly 20 years in a Cuban prison before his release. But why?

"This man -- whose sacrifice has been known to only a few -- provided America with the information that led us to arrest the network of Cuban agents that included the men transferred to Cuba today as well as other spies in the United States," Obama said Wednesday. "This man is now safely on our shores."

According to the office of the Director of National Intelligence, this Cuban national provided the U.S. government with information that "was instrumental in the identification and disruption of several Cuban intelligence operatives in the United States and ultimately led to ... successful federal espionage prosecutions."

Specifically, the U.S. intelligence office tied this unnamed spy to the conviction of one-time Defense Intelligence Agency senior analyst Ana Belen Montes, who was sentenced to 25 years after pleading guilty of spying for the Cuban government in 2002. He's also tied to the case of ex-State Department official Walter Kendall Myers and his wife Gwendolyn, who pleaded guilty in 2009 for illegally aiding the Cuban government for decades.

The unnamed agent also played a role in helping federal authorities go after the Florida-based Wasp Network, including members of the Cuban Five. Three of those five were released in exchange for this intelligence agent as part of Wednesday's deal.

"Securing his release from prison after 20 years --  in a swap for three of the Cuban spies he helped put behind bars -- is fitting closure to this Cold World chapter of U.S.-Cuban relations," the DNI office said.

Alan Gross

Though the 65-year-old Gross has been detained  for less time than the others freed as part of the U.S.-Cuba exchange, his plight probably has been the most widely reported, thanks to his family's public campaign for his release.

A subcontractor for the U.S. Agency for International Development, Gross went to Cuba purportedly to bring the Internet to the Caribbean nation's small Jewish community -- despite the Havana government's restrictions on Internet access.

His two-day, March 2011 trial took place behind closed doors, ending with his conviction for allegedly trying to set up an Internet network for Cuban dissidents "to promote destabilizing activities and subvert constitutional order."

This month, his wife Judy Gross said her husband spent "five years ... literally wasting away. Alan is done." She urged U.S. President Barack Obama to bring Alan Gross back home, saying, "otherwise, it will be too late."

While the others were swapped as part of a deal, the Cuban government says that Gross was let go unilaterally on "humanitarian" grounds.

Gross: 'I'm free'

RELEASED BY THE UNITED STATES

Gerardo Hernandez

Hernandez led the group known as Cuban Five, who were arrested in 1998 and convicted of espionage in 2001 for gathering intelligence in Miami.

He got special treatment in U.S. courts -- two life sentences, in fact -- compared to the others charged. This came after guilty verdicts on charges that included conspiracy to commit murder for engineering the downing of two planes flown in 1996 by the exile group Brothers to the Rescue.

According to the National Committee to Free the Cuban Five, Hernandez and the others "were falsely accused by the U.S. government of committing espionage conspiracy against the United States, and other related charges. The Five's actions were never directed at the U.S. government."

That website claims the now 49-year-old, Havana-born Hernandez is a cartoonist-humorist and a Cuban military veteran who, after his conviction, was held in a federal prison in Victorville, California. He went on 54 combat missions, one of them as part of Cuban forces fighting against apartheid-era South African forces in Angola.

Luis Medina

Also known as Ramon Labanino, Medina belonged to the Cuban Five. During their trial, he and others said their mission was to gather intelligence in Miami to defend Cuba from anti-Castro groups they feared would attack the island.

He got life plus 18 years, though his sentence was changed to 30 years in late 2009, according to the National Committee to Free the Cuban Five website. Medina was serving his sentence in Ashland, Kentucky.

The now 51-year-old grew up in Cuba's capital, even graduating with first class honors with an economics degree from the University of Havana, the Free the Cuban Five site says.

A talented athlete, he has three daughters -- ages 16 to 25 -- from two different marriages, according to the site.

Antonio Guerrero

Guerrero was the other member of the Cuban Five to be released -- not including other members Ruben Campa and Rene Gonzalez, who was let go in 2011.

Unlike the other five, Guerrero was born in Miami in 1958, though he and his parents moved to their native Cuba the following year, says the National Committee to Free the Cuban Five website.

An airfield construction engineer schooled in Ukraine when it was part of the Soviet Union. He proceeded to work on the expansion of the airport in Santiago de Cuba, and in his free time engaged in art and poetry, according to the Free the Cuban Five website.

Re-sentenced in 2009 to nearly 22 years, according to that site, Guerrero leaves incarceration in Marianna, Florida, to reunite with his two sons, ages 22 and 27.

@highlight

U.S. agency says freed U.S. intelligence agent was a Cuban national

@highlight

He provided info that led to convictions of U.S. officials and others

@highlight

Obama called him "one of the most important (U.S.) intelligence agents" in Cuba

@highlight

Cuba also frees Alan Gross; U.S. releases 3 convicted Cuban agents as part of deal