(CNN)When photographer Richard Ross wants to talk to a child at a juvenile detention center, he knocks on their cell door. He asks them if he can come inside.

The 67-year-old Californian is used to taking off his shoes when he enters homes, so he does the same in a cell.

"Most of the kids, they've never had that kind of respect," he said. "But I give it to them, I give them the power. I sit on the floor so they're looking down on me."

Ross doesn't begin by hammering them with questions. He wants to have a conversation.

"I say, 'What's gone on in your life?' "

The result of that tenderness and patience is Ross' latest collection of photos, "Girls in Justice."

The images are unflinching. They convey the ugliness of a young person's life behind bars. The pictures are replete with the unique loneliness, anger and boredom of a juvenile detention center. But the girls also tell their stories alongside the images.

One photo shows a girl in a tan jumpsuit, hand on her head, sitting alone in a drab, cavernous room.

"I've been here 17 times," one girl says.

Many of the stories are bleak, reflecting adults who endangered the girls or, at the very least, failed repeatedly to protect them.

"Mom's a stripper. Dad was an alcoholic, drug addict, murdered last year," said one girl explaining her past. "They took my brother and I away because my dad chained us in the house and tried to burn it down. I lived with my grandma and uncle. The people who are supposed to love you never do."

The photos show girls wasting the day in their bunks, staring at the wall. Some struggle with mental illness. The girls obscure their faces or are turned away from the camera. That works to protect their identities, but it also evokes shame. Ross seems to be saying the shame isn't the girls' -- it's ours as a society for jailing children.

His images aren't always literal. A photo shot toward an azure sky is framed by concertina wire. A straight-forward photo, of a utility wall holding dozens of scissors, turns the stomach after reading the caption -- the guards need the scissors to cut away any cloth a teenager might use to trying to hang herself.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Ross recalled one particularly agonizing interview with a girl who kept telling him, "I can't wait to get out of here so I can kill myself."

"She was just a kid, but she was at that place where you have no hope," he said. "I feel all these stories, but that one just hit me hard. I was sobbing. You want to say, 'It will get better,' but you also know the system and you know that you can't say that."

Ross, the son of a New York City police officer, had a happy upbringing in a home of modest means. He got into a decent amount of trouble growing up, and he said he could have easily wound up in the justice system.

But times were different then, he said, and there's been a cultural turn in America toward criminalizing a child's bad behavior.

He recalls a detention-center director in Reno, Nevada, who asked him to visit and take photos. At intake, he photographed a fifth-grader who had been taken to jail because he had acted up in class.

"This fifth-grader came up to my belt buckle," Ross recalled. "He was drinking warm milk, like someone gave him a cardboard thing of milk. I can still smell that milk. That intake area smelled like elementary school."

The child's single mother couldn't pick him up for hours. She was holding down a job that wouldn't allow her to leave until after 6 p.m.

The detention-center director sent Ross' photo to every principal in the area to make a point: Children do not belong in lockup, so find another solution.

Ross is adamant that he's making photographs to bring about "immediate change."

He speaks across the country to law schools and works closely with child welfare advocates. His work has been shown during legislative sessions to illustrate how sorely the juvenile justice system needs fixing.

"I'm trying to wake people up, make them realize there are lives at stake," he said. "At the same time, I don't, I can't, position myself as the great hope. I might not be able to do much but listen. But I think I'm a good listener, and I think these kids deserve to tell their stories."

Richard Ross is a photographer based in California. You can follow his Juvenile in Justice project on Facebook, Twitter and Instagram.

@highlight

Photographer Richard Ross shows what life is like for girls in a juvenile detention center

@highlight

He wants to "wake people up" about the system and bring about "immediate change"