San Diego (CNN) -- The most important tool that law enforcement officers have at their disposal is common sense. This is especially true with that segment of the force that spends the most time interacting with the public: traffic cops and highway patrol officers who enforce the vehicle code.

I'm glad the San Diego police officer who pulled me over a couple of years ago had common sense. He had spotted me holding onto my smartphone and suspected that I was violating California's "hands free" law. The law, which took effect in 2008, prohibits drivers from talking on a cell phone while driving.

By the time the officer approached the driver's side window, he had his ticket book out. After we exchanged pleasantries, he told me that he had pulled me over for talking on the phone while driving.

That's true, I said. I was talking on the phone. Then, I turned my head, so he could see the Bluetooth headset lodged in my right ear. I was using a hands-free device, just as the law requires. But, I explained, I had to lay my hands on the phone, if only for a second, to push the button that makes a call.

"That makes sense," the officer said with a smile as he closed his ticket book. "Have a nice day."

There is no argument that distracted driving can be just as dangerous as drunken driving, and so states have the right to pass laws that ban the practice of talking on the phone while driving. Twelve states and the District of Columbia have such laws on the books. Forty-two states and the District of Columbia also ban texting while driving.

However, these laws raise questions.

For instance, if the idea is to stop drivers from being distracted, then why stop at banning handheld cell phones? We can hold the steering wheel with one hand while using the other to drink a cup of coffee or eat a hamburger, but we can't use it to hold a phone? We can fiddle with the radio or -- in a minivan, the DVD player -- but we can't access Pandora or satellite radio on our phone?

Besides, as illustrated by a recent appeals court decision in Central California that could reverberate around the country, passing a law is the easy part. It is implementing it on the street that can get tricky for police -- especially in the age of the smartphone that doesn't just let you make a call but also provides a variety of functions that, far from being harmful to motorists, might prove helpful.

For instance, you can access a map with your phone. That's what Steven Spriggs of Fresno, California, was trying to do a few years ago when an officer with the California Highway Patrol pulled him over. Spriggs says that he was stuck in heavy traffic because of road construction, and that he was using the map function on his phone to look for an alternate route.

Spriggs tried to explain to the officer that he wasn't talking on the phone, and so -- given his understanding of the state's hands-free law -- he had not committed any infraction. The officer didn't buy it and proceeded to write him a $165 ticket. Spriggs thought that was unfair, and so he fought the ticket in court -- all the way, in fact, to the 5th District Court of Appeals, which recently ruled in his favor.

The appeals court threw out the ticket, declaring that the California State Legislature had only intended to prevent talking on the phone while driving. Nothing more.

"Spriggs contends he did not violate the statute because he was not talking on the telephone. We agree," the court wrote. "We conclude the statute means what it says -- it prohibits a driver only from holding a wireless telephone while conversing on it."

This may be that we have not heard the last of this case. The state could appeal, and the California Supreme Court could agree to hear the case. The legislature could decide to amend the law to broaden it out and perhaps close some of the loopholes.

For now though, this is a major victory -- not just for one California motorist but for common sense. The officer who stopped Spriggs that day on the roadway was short on it.

He could have saved us all time and trouble by not forcing the issue and making room for the possibility that there was nuance in how the law should be applied. Yet, the good news is that the appeals court had enough to keep law enforcement from overreaching.

The framers of the Constitution could never have imagined automobiles or cell phones. Yet, because of how they felt about the courts reining in the power of the state, you can bet that they would be pleased at how this story turned out.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

California court sided with a driver who looked at a map on phone while in his car

@highlight

Ruben Navarrette: The dangers of texting and driving are well-known

@highlight

He says cops should use common sense, not ban all use of phones in cars

@highlight

Navarrette: Smartphones provide a variety of tools that could be helpful