(CNN) -- The intrigue over the whereabouts of North Korean leader Kim Jong Un deepened Friday after the country's state news agency failed to issue a report about his expected visit to the Kumsusan Palace of the Sun in Pyongyang.

In previous years, Kim has visited the shrines of his late father and grandfather at midnight on the eve of the 69th anniversary of the founding of the Workers' Party of North Korea.

The Workers' Party, founded in 1945, is North Korea's political party and is considered one of the country's most crucial institutions alongside the military.

Kim Jong Un misses shrine visit

KCNA has typically filed a report on the visit within hours of it happening, but so far this year nothing has been issued.

Analysts are puzzled and speculation is running rampant about why Kim has been out of the public eye. He hasn't made a public appearance in over a month, and was reportedly last seen at a concert with his wife September 3.

State media attempted to explain his absence by saying Kim was experiencing "discomfort."

He had been seen hobbling earlier in the summer, prompting theories ranging from weight gain to gout. There have also been questions about the possible meaning behind his absence: Is he genuinely sick or are there machinations within the North Korean power circle?

Is Kim Jong Un's sister in charge?

North Korea as Rorschach test

"Whenever someone doesn't show up in the public, we tend to speculate something of a power struggle," said Han Park, author of "North Korea Demystified."

Because not much is known about North Korea's internal politics, observers scrutinize public functions and ceremonies to see who appears and who does not.

"We're always operating on this incomplete info," said Joshua Stanton, a North Korea observer who created the website One Free Korea, which is critical of the regime.

Drawing conclusions about what's happening in North Korea has been likened to a Rorschach test -- it's a reflection of the views of whoever is drawing the conclusions, rather than an informed analysis based on facts. And the facts in the reclusive country are murky at best.

"People have a tendency to see the things they want to see," Stanton said. "We should default to skepticism."

Opinion: Why Kim is probably still in charge

North Korea's diplomacy efforts

With its top leader missing in action, North Korea has extended its diplomatic efforts with the outside world.

One of its officials said the regime was ready to restart the six-party nuclear talks, which include Russia, the United States, China, Japan and South Korea. It has also reached out to the European Union and South Korea.

High-ranking Pyongyang officials visited South Korea on Saturday, but just days later, the two countries were exchanging fire at a disputed maritime demarcation line.

The mixed messages reflect Pyongyang's "state of constant and ever-shifting cost-benefit calculation to maximize its national self interests," said Jasper Kim, founder of the Asia-Pacific Global Research Group.

"Every move North Korea makes is a negotiation attempt to see which states will accede and offer something of value in exchange for some level of stability. This has and always will be North Korea's dominant negotiation strategy."

Longest absence

Kim made only one official appearance in September. This has only happened once before, in September 2010, and that was the month in which Kim made his first official public appearance alongside his father at Kumsusan Palace of the Sun, according to NK News, a website devoted to analyzing North Korea.

The current absence is Kim's longest since he first began making official appearances in 2010, NK News said. His longest absence as Supreme Leader prior to this was a 24-day period between June 7 and July 1, 2012. His second longest absence ever was for 29 days between July 28 and August 27, 2011 -- while his father was still alive, NK News said.

Kim's sole public appearance in September was at a Moranbong Band concert at Pyongyang's Mansudae Art Theatre, reported by state media on September 4. He was accompanied by his wife Ri Sol Ju, his sister Kim Yo Jong and several top officials including Hwang Pyong So.

With Kim out of sight, North Korean top brass pay visit to South

CNN's Paula Hancocks, KJ Kwon, Michael Martinez, Brian Todd and Dugald McConnell contributed to this report from Seoul.

@highlight

NEW: KCNA was expected to release report on Kim's visit to shrine

@highlight

NEW: No report was issued, suggesting that perhaps he didn't attend

@highlight

Kim's absence is longest since his official appearances began in 2010, NK News says

@highlight

There's been rampant speculation after Kim's absence from the public spotlight for a month