Editor's note: Paul Begala, a Democratic strategist and CNN political contributor, was a political consultant for Bill Clinton's presidential campaign in 1992 and was counselor to Clinton in the White House. He is an affiliated professor at Georgetown University's Public Policy Institute and an adviser to the Service Employees International Union, which supports President Obama's health care plan.

Paul Begala says health care isn't getting attention it deserves -- and Obama administration is partly to blame.

(CNN) -- You probably have never heard of Robin Beaton, and that's what's wrong with the debate over health care reform.

Beaton, a retired nurse from Waxahachie, Texas, had health insurance -- or so she thought. She paid her premiums faithfully every month, but when she was diagnosed with aggressive breast cancer, her health insurance company, Blue Cross, dumped her.

The insurance company said the fact that she had seen a dermatologist for acne, who mistakenly entered a notation on her chart that suggested her simple acne was a precancerous condition, allowed Blue Cross to leave her in the lurch.

Beaton testified before a House subcommittee this week. So did other Americans who thought they had insurance but got the shaft. As Karen Tumulty of Time magazine (who has been the journalistic conscience of health care coverage) wrote, other witnesses included:

"Peggy Raddatz, whose brother Otto Raddatz lost his insurance coverage right before he was scheduled to receive an expensive stem-cell transplant to treat his lymphoma. Why? Because Fortis Insurance Company discovered his doctor had found gall stones and an aneurysm on a CT scan -- conditions that had nothing to do with his cancer, that never bothered him and that he wasn't even aware of. And Jennifer Wittney Horton of Los Angeles, California, whose coverage was canceled because she had been taking a drug for irregular menstruation. Now, she can't get coverage anywhere else. 'Since my rescission, I have had to take jobs that I do not want, and put my career goals on hold to ensure that I can find health insurance,' she told the subcommittee."

The subcommittee's chairman, Democrat Bart Stupak of Michigan, called the hearing to highlight the obnoxious and unethical practice called rescission. His researchers produced performance reviews of insurance company bureaucrats who were praised and rewarded for kicking people off their coverage.

Then Stupak asked three health insurance executives the big question: Will your company pledge to end the practice of rescission except in cases of intentional fraud?

All three health insurance executives said no.

It was as dramatic as congressional testimony gets. Yet it got no airtime on the networks, nor, as far as I can tell, on cable news, although CNN.com did run a story. Time's Tumulty was all over it, as was Lisa Girion of The Lost Angeles Times. But the story did not make The New York Times.

Nor The Washington Post, which found space on the front page the morning after the hearing for a story on the cancellation of Fourth of July fireworks in Shippensburg, Pennsylvania, but not a story on the cancellation of health insurance for deathly ill Americans who've paid their premiums.

Stupak, and the Energy and Commerce Committee chairman, Henry Waxman, D-California, did their job. Why didn't the media do its? Why were the outrages uncovered by Stupak and Waxman un-covered by most of the media?

Maybe because the Obama White House drew the spotlight away from health care. They'd diverted the media to cover Obama's proposed reforms of the financial regulatory system.

On the last day of the 1992 Clinton-Gore campaign, we had the media A-Team traveling with us. So I made it my business to sit next to David Gergen, then with U.S. News & World Report but a former top aide to Presidents Nixon, Ford and Reagan (at that point -- little did I know he would soon be working for President Clinton). I had never seen a communications shop as effective as Reagan's, and I wasn't going to miss an opportunity to learn from a master. Gergen told me an anecdote I still remember vividly.

In the opening months of the Reagan presidency, it was the economy, stupid. America was mired in a recession, and President Reagan wanted to focus the nation's attention on his economic plan. But Secretary of State Al Haig had other ideas. The State Department had nothing to do with the economy, and Haig had ambitious plans. So, Gergen told me, Haig got a bunch of good press, advocating for intercepting Cuban gun runners (if memory serves).

You would think a staunch anti-Communist such as Reagan would have been happy. But, no. Reagan's chief of staff, James Baker, upbraided Haig for diverting media attention away from the primary goal: passing the president's economic plan.

I never forgot Gergen's story -- especially when the Clinton White House wandered off message as it tried to pursue fundamental reform of the health care system.

The economic plan eclipsed health care for much of Clinton's first year. As did NAFTA. And the crime bill, which included the Brady Bill and other gun control measures. And don't forget gays in the military. And a foreign policy crisis in Somalia -- and another in Haiti. And another in Russia.

Clinton gave his health care address to the Congress on September 23, 1993. October was supposed to be "Health Care Month" in the White House, but so many other issues got in the way that he had just one public event focused on health care in the entire month -- just one.

I understand that Obama's White House team has to juggle a lot of issues; I've been there. And I'm sure the Obama financial reforms have merit. But if the president wants to pass his ambitious health care reform, he's going to have to put other, worthy, ideas on the back burner and shine the media spotlight on the plight of people like Robin Beaton.

The opinions expressed in this commentary are solely those of Paul Begala.

@highlight

Paul Begala: Health insurers are depriving some ill people of coverage

@highlight

He says practice called "rescission" is used to deny people benefits

@highlight

Begala says hearing on rescission got little media attention

@highlight

He says Obama administration must put health care on front burner