GENEVA, Switzerland (CNN) -- U.S. President Barack Obama called on Iran to provide the U.N. nuclear watchdog agency with "unfettered" access to the newly disclosed Qom uranium enrichment site, and Tehran's nuclear negotiator said the country would cooperate with inspectors.

President Obama said Iran must provide inspectors with "unfettered" access to the new site within two weeks.

Iran says it plans to cooperate "fully" and "immediately" with the U.N. nuclear agency and will invite representatives of the body to visit its newly revealed uranium enrichment facility "soon," said Javier Solana, the European Union foreign policy chief.

The IAEA has confirmed a trip to Iran by Director General Mohamed ElBaradei would take place soon, but no specific date has been announced. A senior U.S. official speaking on background told reporters that ElBaradei's trip to Tehran could come as early as this weekend.

In an exclusive interview with CNN's Christiane Amanpour on Thursday, Iran's chief nuclear negotiator, Saeed Jalili, said "transparency is not something new" for the Islamic republic's nuclear program.

"Iran has committed itself to follow all the obligations and the like," Jalili said, speaking through a translator provided by the Iranian delegation in Geneva.

"What I want to emphasize is that our cooperation with the agency and the way we look specifically regarding to nuclear energy is that we believe that nuclear warheads are illegitimate and no country should have these kind of weapons."

He said nuclear energy for peaceful purposes "is the right of every sovereign state and country."  Watch more from the Jalili interview »

There were a number of developments at a meeting Thursday in Geneva between Iran and world powers over Iran's nuclear program; Solana said the meeting "represented the start of what we hope will be an intensive process."

"I and all the representatives of the six countries were united in underlining the importance of fully transparency and of rebuilding confidence through practical steps. In the course of the day, we had both plenary meetings and bilateral discussions allowing for detailed exchanges on all issues," Solana said.

The meeting occurred on the heels of the recent revelation that Iran was building a second uranium enrichment facility near the city of Qom, a dramatic development that jacked up tension between Iran and international powers.

International powers have threatened more sanctions if the Islamic republic doesn't change its ways.

At a news conference Thursday after the talks, Solana said International Atomic Energy Agency experts are expected to visit the facility near Qom "within the next couple of weeks."

IAEA spokesman Gill Tudor said Director General Mohamed ElBaradei "has been invited to Tehran by Iranian authorities. He will travel there soon to discuss a number of matters."

Solana confirmed that world powers and Iran will hold another round of talks before the end of the month, but it is not known where or exactly when.

"An agenda for that meeting will be worked out through diplomatic channels. It will focus on nuclear issues, including proposals previously put forward by both sides. It will also deal with global issues that any of the parties wish to address," Solana said.

Solana also said the world powers and Iran agreed in principle "that low-enriched uranium produced in Iran would be transported to third countries for further enrichment and fabrication into fuel assemblies for the Tehran research reactor, which produces isotopes for medical applications."

Details will be worked out at the next meeting, Solana said.

The senior U.S. official told reporters that the enrichment would happen in Russia.

"The potential advantage of this, if it's implemented, is that it would significantly reduce Iran's [low-enriched uranium] stockpile which itself is a source of anxiety in the Middle East and elsewhere," the senior U.S. official told reporters in a briefing Thursday.

Jalili, Iran's chief nuclear negotiator, noted at a news conference Thursday that the parties hope to reach a framework for future talks.

The Geneva talks also featured a proposal for Iran to send its enriched uranium to a third country for final processing to ensure that it would be used for medical purposes, rather than a nuclear weapons program.

Of the third-party enrichment proposal, Obama said it might be "a step towards building confidence that Iran's [nuclear] program is, in fact, peaceful."

The president said Thursday in Washington that he expected to see "swift action" by Iran on the steps outlined in the Geneva talks.  Watch Obama demand transparency »

"This is a constructive beginning, but hard work lies ahead," Obama said, noting that an "intensive period" of negotiations with Iran will be occurring.

"Talk is no substitute for action," Obama said in urging Iran to take the necessary steps to meet its obligations under international non-proliferation agreements.

"This is about the global non-proliferation regime and Iran's right to peaceful nuclear energy," Obama said.

Iran participated in the talks along with the EU, Germany and the five permanent members of the U.N. Security Council: the United States, Britain, France, Russia and China.

Top officials from the United States and Iran huddled on the margins of the Geneva talks on Iran's nuclear program.

Jalili met with William J. Burns, the U.S. undersecretary of state for political affairs who was leading the U.S. delegation, a senior U.S. official and a diplomatic source confirmed.

The men discussed the nuclear program, a sit-down described as the first face-to-face meeting over the Iran's nuclear program.

The diplomatic source, who characterized the meeting as "serious and frank," said world powers are pushing for a date for International Atomic Energy Agency inspectors to examine the nuclear facility in Qom.  See a map of Iran's nuclear sites »

They also discussed human rights issues, including detained Americans in Iran. Among those held in Iranian custody are three hikers who strayed from Iraqi territory into Iran.

The sources would talk only on the condition of anonymity because of the sensitive nature of the ongoing discussions with Iran.

"They certainly are historical talks," said David Albright, president of the Institute for Science and International Security and a former weapons inspector. "For the United States and Iran to sit down finally and start to talk about the significant differences between the two countries is extremely important, and I think it's long overdue."  Watch commentators on concerns over Iran's nuclear program »

The existence of the second uranium enrichment facility prompted Obama and the leaders of Britain and France to publicly chide the Islamic republic last week at the G-20 summit in Pittsburgh and threaten further sanctions.

Iran claims that its nuclear program is intended for peaceful purposes, but many in the international community have accused the country of trying to develop a nuclear weapons capability.

CNN's Andrew Carey, Matthew Chance, Christiane Amanpour and Elise Labott contributed to this report.

@highlight

U.S., Iran hold talks on margins of multilateral meeting on Iran's nuclear plans

@highlight

Obama says talks are "constructive" start but demands more

@highlight

Foreign policy chief confirms another round of talks coming

@highlight

Newly revealed Iranian uranium facility is focus for world powers