Birmingham, England (CNN)It's 4 o'clock in the morning. Most of Birmingham, the second most populated city in England, is fast asleep. But like a thief in the dead of night, a solitary figure slips through the city's deserted streets. Arriving at a derelict warehouse, he is brandishing what looks like a lightsaber as he makes his way to the roof.

Using the resting metropolis as a backdrop, "Sola" draws swift shapes in the air with the light wand. Thirty seconds later, the camera shutter clicks and the light artist grabs his kit, disappearing once more into the night.

Welcome to the elusive, magical world of "lightbombing."

"Sola" is the street artist alter ego of 40-year-old photographer Peter Medlicott, who has been capturing the urban landscape of Birmingham streets since shortly after relocating there in 2000. Much of the city had become ex-industrial space and Sola recalls how upon first appearances, the city seemed somewhat run down. But a chance late-night shoot revealed the transformative nature of nightfall on the city. What were once dead spaces became a textural stage for the photographer to illuminate.

Meeting in the heart of the city's creative quarter, Sola greets me warmly before grabbing a coffee and sitting down. Dressed casually in a sweatshirt, jeans and sneakers, his face lights up with enthusiasm as he begins to explain the art of lightbombing.

"I look like a complete nutter"

Lightbombing is long-exposure photography where the artist draws intricate designs, patterns or words using hand-held lights in front of a camera in pitch black darkness. While many artists around the world experiment with long-exposure photography and light art, Sola coined the term "lightbombing."

"It's me, the drunks and the burglars," he says grinning. "To the average casual observer who just happens to come across me, I look like a complete nutter. I'm in the street waving a torch around. It's so dark you can't see my camera 90% of the time. And you're looking at this dude running around, thinking 'What the hell is going on?!'"

His technique borrows elements from graffiti, including "bombing," where the artist gets to a location, does the work and is gone. Sola's physical process lasts mere seconds and leaves a continuous, fluctuating stroke on the final photograph as if by magic..

"It's like drawing on the page and when I move the light in front of a camera, it leaves that mark. If you go faster, it leaves a thinner mark and if you go slower, it leaves a brighter mark," explains the artist.

Then for just a brief moment, Sola's face becomes solemn. Although striking and entertaining to see, lightbombing isn't some frivolous hobby.  Explaining his vocation, Sola's voice is filled with passion for his work as he reiterates that what you see is what he shoots. He's adamant that the camera should capture the moment and only permits himself to edit the photographs in as much as a darkroom would allow.

"I never edit my photos. You should shoot it for real," he says. "When I grew up with film, you had to make it in the camera. There was no messing around. You couldn't do much afterwards in post edit. Yet some of the most iconic imagery of all-time was shot on film and very little touches with a brush afterwards on the print. I think there is something important about that."

He adds: "I very purposefully don't shoot under direct light. I don't hang around. I don't wear bright clothing. I wish I wore some crazy ninja Zentai suit or something."

"I'm not going to get arrested"

Often he will spend weeks scouting the perfect location for his latest collection. And while he's always eager to find a new space, he says he has no desire to be arrested.

"As long as I don't break anything to get in, I'm not forcing entry. If there is a fence down, there's a fence down. I'm just wandering around. By and large, it is never my intention to trespass. I'm walking around and if there is a way into a space, I might use it."

The popularity of Sola's light art has offered the photographer some exciting opportunities in the last few years, including working with commercial partners such as Nike for ad campaigns and traveling to Dubai for a three-week collaboration with local artists. He has also shot scenes in the British countryside and during the Glastonbury annual music festival.

Using the city as his playground, he never returns to the same location twice -- explaining that he thinks it helps keep his work "fresh." But just for once, tonight he has driven me to an abandoned car park he recently shot at. As he expertly unfurls his tripod and snaps his camera in to place, Sola claims anyone can duplicate his method -- all you need is a light source and a camera.

"The first few I did were with road safety maintenance lights that you have in your car. You can use anything, you could use your phone. You can use anything that has got a light. I use certain items --  I'm not a painter but they are my brushes and also my sculptor's tools as well. Different ones do different things. Different filters go onto them and to help me realize what I need that light form to do."

After a few test shots to check the light and angles of the moonlit rooftop, he turns on a meter-long light bar with what looks like purple transparency paper taped to one side and begins moving in front of the camera.

"I'm working out which strokes to make and where to put them in order to achieve what I want to do. So again there's little nuances. The perspectives of what you expect it to be are out (of sync)," he says.

"By using angles and basically taking maximum advantage of the camera and tools at hand to shift the perspectives, I think that's when you start to take it away from being real. It takes (the light sculpture) into a sort of wonderful, mystical element."

Blink and you'll miss it

And how long does it take for Sola to create these dazzling light sculptures? Rather nonchalantly he replies: "About six minutes. In, out, shoot. Get back in the car."

As he comes back to the camera to check each shot, Sola describes how it is quite meditative to work late into the night and how he often falls into a zen-like state while designing his pieces. But while he waxes lyrical about the metamorphic beauty of a deserted city, he's also quick to remind me of the ever-present danger.

"You're on your own from a safety perspective and it is an expensive camera bag that I'd quite like to keep hold of. It can lead to some hairy moments. I'm pretty much fast enough to get gone. I try to shoot, wherever possible, near to my car.

"Most of the time, when anyone even vaguely sketchy gets close enough, you show them what you're doing and they are so blown away by it that you diffuse the situation."

While he is open to sharing his techniques with the world, this masterful manipulator of light rarely features himself in his work preferring to let the photographs speak for themselves.

"I just want to inspire people with my work. If someone can look at a piece and be excited, inspired, moved in any way shape or form, then I'm happy, job done. Because there is not enough of that in life. And there's too much 'art.'

"This is why I strip away the 'arty' stuff. It's there and I could sit and wax about it but no one wants to hear that really. Everyone can get something different from it. It keeps it accessible to people."

Despite the near freezing temperatures out on city streets tonight, hours fly by as we move from location to location. Finally, after one last shot, Sola makes his way back to the camera, glances at the screen and concludes he's ready to call it a night. As he flips his tripod and pushes the legs back into the locked position, I ask him where he wants to take the moving art form next.

"A lot of my work is very abstract," he says. "A lot of my work has that magical element that wondrous thing, but sometimes there is not enough tangibility to it. The Nike campaign was a starting point. But I'd like to up the game, essentially high-end fashion. Do beautiful work with more people in them. I love the abstract work but for my heart (I) need to shoot with people."

See more of Sola's work on his website or connect through Facebook.

Phoebe Parke contributed to this story.

@highlight

Sola is a Birmingham-based street artist

@highlight

Using long-exposure photography he creates incredible light sculptures

@highlight

He reveals tricks and tips to create dazzling photographs