(CNN) -- Police gunned down John Crawford, 22, in a Walmart in Beavercreek, Ohio, on August 4. Recently released surveillance video, synced with a recording of the 911 call, reveals the blatant dishonesty and falsehoods that led to his death as he talked on his cellphone in the pet aisle, casually holding a pellet gun that he had picked up from a shelf in the store.

That a young black man was shot to death by police is nothing new. It was simply caught on tape this time.

In the 911 call, we hear Ronald Ritchie repeatedly telling the operator that Crawford is pointing "a gun" at people. At one point, he tells the operator that Crawford is "loading it right now" and that "he just pointed it at, like, two children."

Ritchie told the media that Crawford "was just waving it [a gun] at children and people. .... I couldn't hear anything that he was saying. I'm thinking that he is either going to rob the place or he's there to shoot somebody else." The man looked kind of serious, Ritchie said. "He didn't really want to be looked at and when people did look at him, he was pointing the gun at them. He was pointing at people. Children walking by."

At no point in the surveillance video did Crawford point the air rifle at anyone. He did not "load it." And when police encountered Crawford, they shot him almost immediately.

What happened to John Crawford has happened to many black men in the past, killed for their hands' terrifying proximity to a wallet, or a cellphone or a pocket. This, combined with prevailing racist narratives and practices, can quickly transform "black man" into "armed and dangerous killer."

Ritchie dialed 911 and his statements did not reflect the truth. He's old enough to know white imagination often trumps black truth. Ritchie had plenty of time on his 911 call to tell the story accurately. John Crawford, on the other hand, had no time to think, let alone form a complete sentence in his defense.

Deliberately "making false alarms" is a crime under Ohio law, punishable by a fine or jail sentence. But Ritchie has not been charged with anything.

Even with videotaped evidence of police destroying black people, many freedom-loving Americans remain unconvinced of a systemic problem. Maybe some day the perfect tape will be released, one in which the dead or maimed African American has just the right wardrobe, complexion, size and diction to warrant empathy.

For centuries, certain white civilians and members of law enforcement have used the privileged presumption of decency afforded them to cast aspersions on black people. Such aspersions are deadly for African Americans. Crawford's fate is one few white people will ever fear or experience, particularly in a brightly lit Walmart.

In Ohio, it's legal to openly carry a gun, yet John Crawford was killed for openly carrying a toy.

John Crawford was not in the streets. He was in one of the nation's largest toy and gun retailers. If we're in a toy and gun store, and I'm holding what could be either, isn't it at least plausible I'm a customer? If you swing by the barbecue grill section and pick up a grilling fork and lighter fluid, you don't magically become a knife-wielding arsonist. Kids grab toy guns from the shelves and act out gun fights in the aisles all the time. They are never gunned down by the guys from "Call of Duty."

Let's be practical. We've all seen something that, at first glance, looked a little sketchy. Maybe a lady leaves her bag on the train. You could immediately yell "Bomb!" -- but that would be hasty and irresponsible. You could get the woman's attention, or tell other people, or notify the conductor, or call in a suspicious package. What you cannot do is call 911 and say she's strapping on bombs to kill little kids.

Officers are paid to assess situations and act in the interest of the law and public safety. Being a police officer can be very dangerous. Incidentally, so can being black in America. Time and time again, when law enforcement engages African Americans, they skip the protocol and get right to the violence.

If police know Crawford has a "gun" based on Ritchie's call, they also know he's alone and cornered. They know John Crawford can hear, as evidenced by his ongoing phone conversation.

Police are really good at announcing themselves -- unseen and at a safe distance. Maybe from a few aisles away, they could have said: "Drop the weapon, kick it toward my voice and get on the floor!" Instead, they ran up on him unannounced, shouting and shooting like maniacs.

Of course you would be as startled and terrified as John was in that incomprehensibly brief moment; suddenly under siege from big, armed, yelling, faceless figures charging and shooting him.

The tape reveals a young father racked with horror, confusion and pain, as the very people sworn to protect him, snatch his life.

No indictment in police shooting death of Ohio man carrying air rifle

You can't startle the hell out of an unsuspecting American who's committed no crime, then shoot him to death for being startled. Or can you? Once again, our "justice system" reviewed the evidence before it and determined that the shooting was justified.

Historically, the justifications for similarly motivated homicides have essentially been the same: He looked at a white woman. He was running. He was wearing a hoodie. He was a teenager playing his personal music preference at a high volume. He was big. He was wounded, delirious and terrified after a car accident. He was lying face down with his hands cuffed behind his back. He fit the "so called" description. He was holding his wallet. She was seeking help after an accident. He was walking slowly. He was walking fast. He was walking. He was standing.

There is no moral or legal justification for Crawford's death at 22.

Opinion: How Walmart can help confront racism

Now, many of your experiences with police may have been associated with respect, fairness and decency. Mine have not. But that shouldn't influence our ability to interpret the evidence.

We must acknowledge that for a significant portion of the American population, fairness and decency at the hands of the law, police or the courts is not the reality. This is not hyperbole. African Americans in particular have witnessed or been victim to disproportionate police violence and abuse -- sometimes to the point of death. Watching cops harass or unlawfully detain, demean, choke or taunt people is not only real for some people of color, it is routine. We're tired of being told we're seeing ghosts. If you care to look, the data is perfectly visible. And we need your help.

The existence of your neighbor's pain is not dependent upon your belief in it. And we cannot improve a situation that we don't acknowledge. Learning from patterns is both basic and critical to the progress of human "civilization."

We must stop reflexively dismissing our nation's shortcomings by telling oppressed people what America does and does not stand for. I assure you, they are well aware.

@highlight

Police fatally shot John Crawford, a young black man holding an air rifle, in a Walmart

@highlight

Jesse Williams: 911 caller wrong when he said Crawford was pointing and loading "gun"

@highlight

Williams: Crawford's killing once again shows racist assumptions about black men

@highlight

Williams: Data show cops shoot first, ask later when it comes to blacks, an injustice to all