(CNN) -- A major rainstorm washed over the water-weary Northeast Tuesday, flooding much of the already saturated region but focusing its withering power on the tiny state of Rhode Island.

"Right now, most of our eyes are on the Pawtuxet River in Cranston," said Tom Econopouly, a senior hydrologist at the Northeast River Forecast Center in nearby Taunton, Massachusetts.

The river was predicted to crest Wednesday morning near 20 feet -- flood stage is 9 feet, he said, adding, "It's very high."

Another record was set in Yantic, Connecticut, where the Yantic River crested Tuesday at 13.6 feet, 4.6 feet above flood stage, he said.

Yet another record was predicted for Saxonville, Massachusetts, where the Sudbury River was expected to reach 13.4 feet Wednesday afternoon. Flood stage is 10 feet.

"I've been working here for over 10 years and I really haven't seen anything like this in my career," Econopouly said.

Is it flooding near you? Share photos, videos and stories

The cause of all the records was a storm system "that just didn't move" since it formed Sunday night, he said.

By late Tuesday, the storm was lifting, but several rivers had not yet crested, he said.

In all, the storm system dumped 8.75 inches of rain in East Providence, 7.6 inches in downtown Providence, and 5 inches in Cranston, all in Rhode Island, he said.

Compounding the misery was the fact that parts of the region were still trying to shake off the effects of a storm two weeks ago. And this week's system -- with heavy winds and rain -- has left thousands of customers without power.

On the National Weather Service map posted on its Web site, the coast was covered in bright green from Maine to Delaware, indicating widespread flood warnings.

"We haven't seen the worst of it yet," Rhode Island Gov. Donald Carcieri told reporters Tuesday night after seven to eight inches of rain had inundated much of the state. He pleaded with state residents to stay off the roads. "We are very concerned about flooding on the highways," he said.

The Blackstone River in Woonsocket, Rhode Island, and the Pawcatuck River in Charleston, Rhode Island, were not expected to crest until 8 a.m. Wednesday, he said.

"None of us alive have seen the kind of flooding we are experiencing now," he said, calling the downpour an event that occurs once every 100 years to 500 years.

Sewage treatment plants around the state were swamped, with one in Warwick, Rhode Island, "completely inundated," he said. That led the Department of Health to order the closure of all beaches in the state. Emergency officials asked residents of affected areas to try to conserve water.

Decisions about school closings were to be announced in the morning, he said.

Carcieri urged residents of low-lying areas not to jeopardize their safety by refusing to comply with officials' requests to evacuate. He noted that some members of the National Guard have been deployed to help.

Cranston Mayor Allan Fung said about 120 homes had been evacuated in the western part of the city.

Dam safety was to be monitored overnight, said Dave Smith, director of the Emergency Management Agency. "The water that's running through the throats of some of those dams is remarkable," he said.

A spokesman for National Grid Energy Services said 12,000 to 14,000 customers were without electricity in the Cranston area, where a substation was underwater.

In Westerly, Rhode Island, another 9,600 customers were in the dark, the spokesman said. He told area residents to expect rotating outages throughout the night and predicted they would continue for "a period of days."

Gas was turned off in some areas, too, he said.

Shelters have been set up throughout the state, said Rhode Island Lt. Governor Elizabeth Roberts.

"We are looking at historic levels," said Luke Peterson, the assistant town manager for West Warwick, Rhode Island. The Pawtuxet River in Cranston and West Warwick, about 13 miles southwest of Providence, flooded a few weeks ago at record levels. This time, Peterson said, the town has received reports predicting that the river, which reaches flood stage at 9 feet, will crest at 17.5 feet at nearby Cranston. The river crested at 14.98 feet more than two weeks ago.

"There's not a whole lot we can do," Peterson said. "If we try to hold back on our side, we'd make it worse for the neighboring community."

Still, no deaths have been reported in Rhode Island.

That was also the case in Massachusetts, where four to seven inches of rain had fallen in the eastern part of the state during this latest storm, said Scott MacLeod, a public information officer with the Massachusetts Emergency Management Agency in Framingham, Massachusetts.

Most of the flooding in Massachusetts occurred in the Bay State's southeastern corner county of Bristol, Massachusetts, where about 200 people were evacuated, he said.

On Monday, Massachusetts Gov. Deval Patrick declared a state of emergency and activated the National Guard, which was prepared to assist overnight, MacLeod said.

A handful of shelters were open, though few people were staying there, and there were no reports of power outages in the state, MacLeod said. "It's mainly flooding issues -- closed roads, flooded roadways and basements."

Though the rain was expected to stop overnight in Massachusetts, "the flooding will continue throughout the week for a number of our rivers and streams," MacLeod predicted.

The storm delayed flights at Boston's Logan International Airport, all three New York-area airports and Philadelphia International Airport in Pennsylvania, according to the Federal Aviation Administration's Web site.

Connecticut Gov. Jodi Rell said she was putting the state National Guard on alert to assist with flood control and sandbagging efforts.

By Tuesday night, a spokesman for the state's Department of Emergency Management and Homeland Security said rivers were still rising. "We do have significant flooding in the southeastern part of the state," said public information officer Scott DeVico.

Particularly affected were the areas around the Connecticut cities of Norwich, Stonington and Groton City, he said. But no fatalities had been reported and fewer than 400 customers were without power, he said.

Though no major highways were shut, a number of secondary roads were closed in low-lying areas, he said.

In New Jersey, the city of Wayne issued a flood warning but said it was not issuing evacuations. In Paterson, New Jersey, minor flooding was reported, the city fire department said.

In Philadelphia, Pennsylvania, and the Delaware Valley, the National Weather Service issued a coastal flood advisory.

@highlight

Pawtuxet River in Cranston, Rhode Island may crest 11 feet above flood stage

@highlight

Storm system "just didn't move" once it formed, hydrologist said

@highlight

Sewage treatment plants around Rhode Island swamped

@highlight

Power outages, road closings and airport delays also blamed on storm