Dixon, Illinois (CNN)  -- William Heirens, the "Lipstick Killer," is believed to be the longest-serving inmate in the United States. He turns 81 on November 15.

Diabetes has ravaged his body, but his mind is sharp.

"Bill's never allowed himself to be institutionalized," said Dolores Kennedy, his long-time friend and advocate. "He's kept himself focused on the positives."

The days are spent mostly watching television and reading magazines. Using a wheelchair and sharing a cell with a roommate in the health unit of Dixon Correctional Center, he still yearns for a chance at freedom. It is something he has not tasted since 1946.

Heirens has been locked behind bars and walls for 63 years, making inmate C06103 the longest-serving prisoner in Illinois history, state officials say.

According to Steven Drizin, the legal director of the Center on Wrongful Convictions at Northwestern University, Heirens "has served longer than anyone in the U.S. that I can find."

He was put away a year after the end of World War II. It is a dubious record, but fitting for the man dubbed the Lipstick Killer, whose crime spree remains among the most infamous in the history of Chicago, the city of Capone and Leopold and Loeb.

The scar-faced gangster and the thrill-kill pair are long gone. Heirens, however, has not slipped into the past. He lives in the present and hopes for a future outside prison. Supporters have championed his cause, convinced that he is innocent, or arguing that he has been rehabilitated, a model inmate who has served his sentence.

"Pray for my release," he wrote in a letter dated October 11.

"There is no reason to keep this man behind bars," said Drizin. "He meets all the criteria for parole."

While Drizin, who has represented Heirens since 2001, and others passionately plead for his release and prepare to re-petition the state parole board that has consistently refused to free Heirens, others are convinced he is a manipulative murderer.

"He was the bogeyman," said Betty Finn of the man convicted of strangling her sister. "I don't think you need to feel sorry for him. He chose his life and he chose his actions."

Josephine Ross was the first victim. The 43-year-old was found stabbed to death in her apartment. She was killed on June 5, 1945.

In December, police discovered the body of Frances Brown in her bathroom. She was stabbed through the neck and shot in the head. The killer left a message on the wall. It said, "for heavens sake catch me before I kill more I cannot control myself." It was scrawled in red lipstick. The press seized on the detail. The headlines would soon scream of the Lipstick Killer.

Four weeks later, an intruder used a ladder to enter the second-floor window of Suzanne Degnan's bedroom. The killer approached the sleeping 6-year-old girl and abducted her. "I was old enough to know everything that happened and remember the looks on my parents' faces," Finn said of the crime against her younger sister.

"Can you imagine as a child to have this happen? Can you imagine going to bed at night and all of a sudden your sister is not in her bed?"

There would be a ransom note demanding $20,000. But there would also be the horrific discovery of Suzanne's severed head in a sewer. Other body parts were found within days.

Chicago was gripped in fear. Scores of people were questioned, but the investigation dragged on for months without a break. One, however, came in June, when two police officers confronted a burglar near the Degnan home.

The young thief was a 17-year-old student at the University of Chicago. His name was William Heirens, and police soon became convinced he was the killer.

Drizin said Heirens was subjected to days of brutal interrogation. He also was beaten and given sodium pentothal to make him tell the truth, Drizin said. He underwent a spinal tap, another extreme measure to compel him to talk.

Prosecutors said his handwriting matched that of the words scribbled in lipstick at the scene of the Brown killing. The FBI determined that a fingerprint lifted from the Degnan ransom note matched Heirens.

That gave the state's attorney two powerful pieces of evidence against Heirens. But a confession would seal his fate. On August 7, 1946, Heirens supplied it, describing how he killed Degnan, Brown and Ross.

He pleaded guilty to three counts of murder. In exchange for the plea, Heirens was spared the death penalty and given three consecutive life sentences.

Heirens has distinguished himself in prison. He was the first inmate in Illinois to receive a college degree. "He helped redesign the library system in the department of corrections," said Drizin, who also commended Heirens for becoming a "first-rate jailhouse lawyer."

Drizin said Heirens has been eligible for parole nearly every year since the 1970s. The Center on Wrongful Convictions mounted a clemency campaign for Heirens on the grounds that he has served longer than required, and that the evidence used to convict him was unreliable. "Smoke and mirrors" was how Drizin described it.

Kennedy, who wrote a book that attempts to prove Heirens is innocent, said a political component is keeping him in prison.

"It's a very political case," she said. "Authorities have made statements that he would never get out. I think the courts managed to look the other way and the [parole] board didn't want to take the heat."

John Russick, senior curator for the Chicago History Museum, said the story of William Heirens is complicated.

"This is not a largely understood case," Russick said. "People know the term Lipstick Killer, and that there was a sensational crime, but I don't think it's talked about in detail."

He added, "I feel like it defies logic, and that's what's troubling about it. When you look closely at the nature of these kinds [of confessions] and when you know how these confessions were acquired, there's enough there to -- at the very least -- to make you feel very unsure."

Frank Czagany, who met Heirens when both were working in the machine shop at U.S. Steel in 1944, remembers his friend as being "very quiet, not wild." "He wouldn't say crap if he had a mouthful of it," Czagany said.

Finn calls the efforts supporting Heirens misguided. "I'm not a vindictive person, I'm not doing this out of anger. It's fear," she said. "There is no evidence that says he's the least bit innocent. How can every single court be wrong?"

Finn, who attended Heirens' most recent parole hearing, in July, said he is not innocent by any stretch of the imagination. "Keep him locked in jail," she said.

Kennedy said she and others are looking for a suitable placement in a nursing home for Heirens. She said she believes there is some indication that if an acceptable facility is located, he may have a chance to spend his final days a free man.

"He looks for any glimmer of hope," said Kennedy. "He still wants to be out."

Drizin said that time has come. "This is a case where I have serious doubts about his guilt," he said. "But it's a case where there is no question in my mind that the circus-like atmosphere that pervaded his arrest and his prosecution resulted in a trial proceeding for Bill and a guilty plea that was fundamentally unfair."

"They probably have good hearts and are dedicated," Finn said of Heirens' believers. "He is not innocent by any stretch, no matter how they twist it."

@highlight

William Heirens may be the longest-serving prison innate in the United States

@highlight

He has been behind bars for 63 years

@highlight

At 81, Heirens is diabetic and uses a wheelchair

@highlight

He says his 1946 confession to the "Lipstick Murders" was coerced