(CNN) -- Should men be routinely screened for prostate cancer? This question has been asked ever since the prostate specific antigen test, or PSA, became widely available more than two decades ago.

Central to this question is another question: Does prostate cancer screening save lives?

Both questions are hard to answer. Screening clearly helps find cancer. But many of the cancers that are diagnosed and treated do not need to be. Left alone, they will not harm the patient. And some cancers go on to cause death despite treatment.

The right question really is: Does screening find some cancers that need to be cured and can be cured?

After an exhaustive process, the U.S. Preventive Services Task Force has announced its final recommendation on PSA-based prostate cancer screening. It finds that the known harms of screening outweigh the potential benefits for men who have no cancer symptoms. It notes that all screening studies have demonstrated considerable harms associated with screening, but only one major study found evidence that screening saves lives -- and that study has some internal inconsistencies. It showed screening saves lives in the Netherlands and Sweden, but not in five other European countries. Even the positive parts of that study did not show a considerable increase in lives saved.

The task force's methods are notable for their scientific rigor. A group of experts in prostate cancer and in evidence appraisal systematically reviewed and reported on all the scientific evidence to date on prostate-cancer screening and treatment. The task force, a second group with expertise in preventive medicine and screening, then considered the review and made a preliminary recommendation. That recommendation was made available for public comment last fall. Those comments were then considered before a final recommendation was made.

Although the task force recommends against routine screening, it does recognize that some men will still want to be screened because of family history or other concerns. The task force vehemently stresses the necessity of informed consent in such cases: Men must be told of the known harms of screening. Hopefully its strong statement will cause physicians and screening advocates to be more cautious about encouraging screening.

For years, professional organizations, including the American Cancer Society, the European Association of Urology, the National Comprehensive Cancer Network and even the American Urologic Association, have urged caution and informed decision-making regarding screening. These recommendations have largely been ignored.

Over the past 20 years, many well-meaning people have supported mass screening. Celebrities, athletes, politicians and cancer survivors have endorsed screening. Mass screening is commonly conducted in shopping malls, churches and community centers, at conventions and state fairs and in vans parked in supermarket parking lots.

News: Task force says PSA tests do more harm than good

Hospitals, medical practices, fraternities, politicians, radio and TV stations and even an adult diaper manufacturer have sponsored mass screenings. Men who attend them are rarely informed of the risks of screening and are often promised unproven benefits.

These two decades of mass screening are estimated to have caused more than 1 million American men to receive unnecessary treatment causing numerous common side effects, including radiation-induced bowel injury, urinary incontinence and impotence, and a significant proportion have serious, life-threatening complications.

Mass screening is a lucrative business. I am haunted by a conversation I had in the late 1990s with a marketing executive at a major American hospital who bragged about his "prostate cancer business plan." His hospital conducted free screening at a local mall every September for Prostate Cancer Awareness Month.

He explained that this was not just cheap and effective advertising for his hospital system. It was also a moneymaker. As he explained it, for every 1,000 men over age 50 who were screened at the mall, 145 would have an abnormal screen, and 135 would go to his hospital for evaluation. Fees collected from them would easily cover the cost of the free screening event. About 45 in that group would have cancer; the rest would be false positives.

The marketer had figured out how many men would be treated with surgery, radiation, and hormones. He had estimates of all the money the center would make from treating all 45 cancer cases. He knew how many men would be treated for urinary incontinence, and what his net profit for treating that would be. Amazingly, he even knew how many of the men would want penile prostheses surgically implanted to treat their impotence.

I asked him one question: "How many lives will you save if you screen a thousand men?" He looked at me as if I were a fool, and said, "Don't you know? No one knows if this stuff saves lives. I can't give you a number on that."

He was right. It would not be until 13 years later, in 2010, that a clinical trial would finally be published suggesting that screening saves lives -- and that trial has internal inconsistencies making that suggestion suspect. Indeed, for two decades, mass PSA-based prostate cancer screening was done in this country without direct clinical evidence showing that it was beneficial to patients.

It was, of course, very beneficial to those who offered it.

While I hope that this new recommendation will put an end to mass screening, I am not optimistic. As Upton Sinclair once said, "It is difficult to get a man to understand something, when his salary depends on his not understanding it."

The opinions expressed in this commentary are solely those of Otis W. Brawley.

@highlight

Otis Brawley: New report says prostate cancer screenings do more harm than good

@highlight

He says medical community has long pushed screenings, though benefits unproven

@highlight

He says an industry grew around screening, ignoring considerable associated risk

@highlight

Brawley: Report should end mass screenings, but it will be tough to slow industry