The disappearance of Malaysia Airlines Flight 370 could take its place at the top of the biggest unsolved mysteries of history.

"This is a very strange event," aviation historian Carroll Gray said. "It doesn't lend itself to the normal sets of explanations."

Such mysteries are "phenomenally gripping," Gray said. "Things that are unsolved just sort of grab people, especially when you have the common experience of flying."

Answers about what happen to the Boeing 777 and the people on board must come soon, he said. "When you get on the plane the next time, are you going to wonder a little bit about whether you are going to disappear?"

But history holds tight to some secrets, leaving us with just speculation, conspiracy theories and educated guesses. A mystery can have a long life, never forgotten and often re-examined.

Here are some of history's most tantalizing mysteries and debatable events:

Who shot JFK and RFK?

The assassination of U.S. President John F. Kennedy on November 22, 1963, remains one of the most shocking events of the 20th century.  The shooting of his brother Robert F. Kennedy on June 5, 1968, added to the conspiracy theories. In each case, a lone gunman was accused. In both deaths, questions remain:

Was there a second shooter on a grassy knoll along JFK's motorcade route? How could a man with a mail-order rifle target the President in a moving car from such a distance?  Lee Harvey Oswald was himself shot to death at a Dallas police station days after JFK's death.

A blue ribbon panel headed by Supreme Court Chief Justice Earl Warren concluded Oswald was the only assassin, but a Gallup survey six decades later found 60% of Americans don't believe that.

As for RFK, a witness told CNN in 2012 that she heard two guns firing during the 1968 shooting in Los Angeles and that authorities altered her account of the crime.

The mystery of Marilyn Monroe

The Los Angeles County coroner ruled that actress Marilyn Monroe's August 1962 death was a "probable suicide" from an overdose of barbiturates.  Despite the official conclusion, questions have lingered for decades about her death at 36.

The fuel for conspiracy theories include discrepancies about what time her body was found, the disappearance of her internal organs at the morgue and her links to President John F. Kennedy and his brother Robert F. Kennedy, as well as organized crime bosses.

Also, the Monroe the world saw was not the real Norma Jeane Baker.  She was not a dumb blonde, but an intelligent, well-read brunette, according to those who knew her.

Was Natalie Wood's death an accident or murder?

The death of actress Natalie Wood, whose was found floating off California's Catalina Island in November 1981, was initially ruled an "accidental drowning," but the Los Angeles County coroner officially changed the death certificate last year to read "drowning and other undetermined factors."

Homicide investigators decided to take a new look at one of Hollywood's most enduring mysteries after they were contacted by people who said they had additional information about the actress' drowning, the Sheriff's Department said.

Wood's death happened during a trip on her yacht with husband Robert Wagner and actor Christopher Walken.

"Since there are unanswered questions and limited additional evidence available for evaluation, it is opined by this medical examiner that the manner of death should be left as undetermined," the coroner said in a 2012 statement.

What happened to Amelia Earhart?

Famed aviator Amelia Earhart vanished along with navigator Fred Noonan during a doomed attempt to fly around the world in 1937.

"There's still no concrete evidence as to what happened," Gray said.

Theories about her fate included one that Earhart's plane was forced down by the Japanese around the Marshall Islands. Another is that Earhart secretly returned to the United States and the government gave her a new identity.

Earhart was on the last segment of her global route, flying from Lae, Papua New Guinea, with a destination 2,500 miles away in the middle of the Pacific Ocean.  If her plane crashed into the waters short of her planned refueling point on Howland Island, the wreckage is likely resting 17,500 feet below the ocean's surface.

Only in recent years has it been possible to explore those depths with underwater vehicles. Expeditions scanning the ocean's floor have offered tantalizing evidence in the past two years that Earhart's plane could be near Nikumaroro Island in the South Pacific.

Where is Jimmy Hoffa?

Ex-Teamsters boss Jimmy Hoffa was last seen on July 30, 1975, outside a Detroit-area restaurant. His disappearance is a mystery that triggers occasional digs by FBI agents looking for his remains.

The last such search centered on a field near Detroit in June 2013, based on a tip from alleged mobster Tony Zerilli that Hoffa was hit with a shovel and buried alive there.  Nothing was uncovered after three days of work with a backhoe.

The FBI said at the time of his disappearance that it could have been linked to Hoffa's efforts to regain power in the Teamsters and to the mob's influence over the union's pension funds. Hoffa was thought to be trying to get back into a power position with the labor movement after his release from prison. He was sent to prison in 1967 for jury tampering and fraud. President Richard Nixon pardoned him in 1971.

Popular theories over the years include that Hoffa was disposed of under the old Giants Stadium in New Jersey, buried in a Michigan horse farm, taken to a Florida swamp as alligator food or that his body was incinerated. Another early theory was that Hoffa simply took off for South America with a go-go dancer.

Hoffa's middle name, by the way, is Riddle.

Who was Jack the Ripper?

The name Jack the Ripper came from a letter sent in 1888 to London police, purporting to be the killer of five prostitutes.

His true identity has never been proved.  Stories about the serial killings on the streets of Victorian London captured readers around the world, spurring intense speculation that lasted well beyond a century.

Crime writer Patricia Cornwell contributed to the theories with her 2002 book "Portrait of a KIller -- Jack the Ripper: Case Closed."  Cornwell fingers painter Walter Sickert, in part based on the similar watermarks on the letter to police and Sickert's personal writing paper.  She also argued that many of his paintings depicted Jack the Ripper crime scenes.

The ghost ship Mary Celeste

The twin-masted merchant vessel Mary Celeste set sail from New York on November 7, 1872, bound for Genoa, Italy.  Its 10 passengers were not on board when it was found floating in the middle of the Strait of Gibraltar four weeks later. There were no signs of a struggle, and all of its cargo was still on board. Its only lifeboat was missing.

Speculation over the past 140 years about why the ship was abandoned include theories involving pirates, a crew mutiny and even monster from the sea.  A documentary titled "The True Story of the Mary Celeste" released in 2007 ruled out those possibilities but stopped short of a conclusive explanation.

What's the deal with the Bermuda Triangle?

The legend of the Bermuda Triangle began with the unexplained disappearance of a group of military planes carrying 14 men off the coast of south Florida in December 1945.

"We are entering white water, nothing seems right," the flight leader supposedly said before radio contact was lost.  Thirteen more servicemen sent to search for the missing fliers also vanished.

Other mysterious disappearances and encounters have been linked to the area of ocean that is a triangle anchored by Bermuda, Florida and Puerto Rico.

Two British South American Airways passenger planes disappeared in the area a year apart in 1948 and 1949.  No explanations or wreckage were ever found.

Victims credited to the area in numerous books and documentaries have included a large oil tanker, a pleasure yacht and a small passenger plane. Books, including "The Devil's Triangle," "Limbo of the Lost," and "The Riddle of the Bermuda Triangle," suggest supernatural explanations.  Aliens in spaceships, wormholes and the mythical lost continent of Atlantis have been blamed.

Are Big Foot, Sasquatch or Yeti for real?

Stories of elusive giant, hairy human-like beasts have been told on several continents for centuries.  In the Himalayan Mountains, it is known as the Yeti or the Abominable Snowman.  North Americans have reported sightings of Big Foot or Sasquatch.  Russians call theirs the Almasty.

One common feature in modern reports is that most photos are blurry and video is shaky.  Serious examination often leads to conclusions of mistaken identity or elaborate hoaxes.

But just last year, a British geneticist said that hair samples supposedly from two of the mystery creatures proved to be a genetic match to an ancient polar bear.  The scientist submitted his DNA results for publication in a peer-reviewed science journal, and it is due to publish a book based on his research this year.

Is the Loch Ness Monster a real creature?

The earliest documented sighting of the mysterious creature swimming in Scotland's Loch Ness came in 1871, according to the monster's official website.  Yes, it has a website that serves the purpose of promoting tourism to the area.   Dozens of sightings have been logged since then, including the most recent in November 2011 when a Mr. George Edwards reported seeing a "slow moving hump" emerge from the murky depths of Loch Ness.

A U.S. research team targeted Nessie -- the creature's affectionate nickname -- in 2009 using a submarine to explore the lake's bottom. The only discovery were thousands of golf balls 300 feet down and 100 yards off the shore.

No mystery there, though: Locals and tourists have been known to practice their golf swing there for years.

Was the Shroud of Turin the burial cloth for Jesus?

The Shroud of Turin may be the most famous religious relic.

Some Christians believe the shroud, which appears to bear the imprint of a man's body, to be Jesus Christ's burial cloth. The body appears to have wounds that match those the Bible describes as having been suffered by Jesus on the cross.

Many scholars contest the shroud's authenticity, saying it dates to the Middle Ages, when many purported biblical relics -- such as splinters from Jesus' cross -- surfaced across Europe.  Even the Roman Catholic Church does not insist the shroud was used to wrap the body of Jesus. Its official position is that the shroud is an important tool for faith regardless of its authenticity.

Just before stepping aside as Pope a year ago, Benedict XVI authorize the broadcast of video of the shroud from Turin Cathedral, where the mysterious Christian relic is kept out of sight in a bulletproof, climate-controlled glass case.

@highlight

Conspiracy theories surround deaths of JFK, RFK, Marilyn Monroe, Natalie Wood

@highlight

The missing mysteries: Earhart, Hoffa, Mary Celeste crew, Bermuda Triangle travelers

@highlight

Big Foot,  Abominable Snowman and Loch Ness Monster remain elusive

@highlight

Was the Shroud of Turin the burial cloth of Jesus Christ?