(CNN) -- Before dropping off his son at Colgate University a few days ago to begin his freshman year, New York advertising photographer Robert Tardio went on one last summer vacation with his family. While his wife and youngest son were out exploring the quaint streets of Montreal, Robert took his eldest, college-bound teen out for a beer. "My son is an incredible, conscientious young man. But at 14, 15, 16 -- alcohol was out of the question. We made it very clear what our expectations were and that he would not be drinking."

The rules shifted for Tardio's son Ames when he turned 18. Now, a beer here or there was no longer out of the question.

Labor Day by the numbers

"In our minds, he became somewhat of an adult, and we were willing to set new limits. He understood that if he was going to have a drink he had to be responsible and in control at all times. We also had many discussions with him about the consequences of his actions if he wasn't under control."

So the Tardios did what many parents across the country do: They made up their own rules, inside their own home, when it came to alcohol consumption and their underage children. As a mother of a 10-year-old daughter and a 12-year-old son, I've often wondered if it's OK to give my children a sip of wine at dinner. Would I be sending an irresponsible message, or demystifying alcohol and thereby weakening its allure later on?

U.S. government agencies insist no amount of underage drinking is acceptable. "If parents have a liberal idea about alcohol, kids may get the wrong message," says Dr. Vivian Faden, director of the Office of Science Policy and Communications at the National Institute on Alcohol Abuse and Alcoholism at the National Institutes of Health. "Underage drinking can lead to injuries, fatal car accidents, risky sexual behavior, and there's also potential risk to the developing brain."

What are your Labor Day plans?

According to the NIAAA, every year nearly 2,000 college students between the ages of 18 and 24 die from alcohol-related injuries. The question parents often wrestle with is whether they can help their children make better decisions about drinking on campus if they allow experimentation at home before they leave for college. Tamar Abrams, a senior communications manager at a global development firm in Virginia, says she never allowed her daughter to drink when she was in high school. "The line for me was what was legal versus what was illegal. It seemed like a slippery slope to bend the rules, and I was not going to break the law." Her daughter is currently a rising sophomore at Drexel University and hasn't had any alcohol-related problems.

Dr. Westley Clark, director of the Substance Abuse and Mental Health Services Administration's Center for Behavioral Health Statistics and Quality, would agree with Abrams' approach. "Statistics show children who start drinking at a younger age have more problems later on. We also know that, particularly for males under 21, they are still developing what we call executive function -- meaning, how they make decisions and how they deal with risk. At 21, the brain is simply more mature and the ability to control impulses is much stronger. The legal age is 21. The message to parents is to buy time and delay the onset of any consumption."

At Yale University's School of Medicine, Meghan Morean, a postdoctoral fellow in the department of psychiatry, has been studying substance abuse in adolescence and early adulthood for nearly a decade. While she agrees with Clark that early drinking is associated with "heavier drinking as children age," Morean says what could be a key in helping children avoid alcohol-related trouble is often the willingness of their parents to talk. "The piece of the puzzle that's likely missing is arming underage drinkers with real, concrete information. It's too easy to say 'Don't drink and drive,' and that's generally where parents stop talking. Instead, they should be quizzing their kids to see if they really understand how many drinks it takes to get drunk. Do they know what binge drinking really is and what it looks like? These are the type of questions that need to be talked about openly and honestly."

Underage drinking: Talking to your teen about alcohol

Having those kinds of candid conversations is something the Tardios made sure to do with Ames before -- and after -- they offered him his first beer at home. And it's the reason that, when they said goodbye to him at Colgate -- the same campus where the couple met 34 years earlier -- they drove off with perhaps less anxiety about alcohol than many parents of college freshmen are feeling right now. "We've built a trusting relationship with our son and we know he'll make the right decisions without us watching over him," reflects Tardio. "We've allowed him to play a little with alcohol at home and we're not worried that suddenly, without our supervision, he'll make the wrong decisions. We've always had high expectations about his behavior and that hasn't stopped now that he's in college."

Do you let your kids have a drink on special occasions? Were you raised in a household where a sip of wine with dinner was normal? Share your experiences in the comments section below.

@highlight

Some parents wonder if giving kids a taste of alcohol would demystify it or be irresponsible

@highlight

No amount of alcohol is OK for children, U.S. government agencies say

@highlight

2000 college students die from alcohol-related injuries each year, government says