Washington (CNN) -- Congress gave final approval Friday to a giant transportation funding bill as part of a package that includes a measure holding down interest rates on federal student loans.

Both issues are priorities of President Barack Obama's, and the legislation demonstrated rare bipartisan agreement in the deeply divided Congress.

The package won Senate approval with a 74-19 vote after passing the House 373-52.

Hours later, President Barack Obama signed into a law a bill that temporarily -- from June 30 through July 6 -- assures there will be continued funding for certain transportation projects and halts potential student loan interest rate hikes, according to a news release issued by the White House shortly after 8 p.m. Friday.

He could sign the larger legislation at a later date, presumably by the end of next week before the stopgap bill expires.

Compromises on the transportation bill and the student loan issue, as well as a third component reauthorizing national flood insurance, came in rare bipartisan agreement during the same week that House Republicans enraged Democrats by voting to hold Attorney General Eric Holder in contempt of Congress.

None of the rancor from Thursday's contempt vote was evident Friday, as legislators involved in reaching the compromise praised the bipartisan effort.

The top senators in the negotiations, Democrat Barbara Boxer of California and Republican James Inhofe of Oklahoma, issued a joint statement expressing thanks and praise for all involved in getting the package passed.

A White House statement said the legislation prevents middle-class families from getting hurt by congressional inaction on extending transportation funding and preventing the federal student loan rate from doubling.

Passing the package meant Congress beat looming deadlines, with highway repair funding and the lower student loan rates set to expire Saturday.

The transportation bill funds construction for highways, bridges and other transportation projects for two years in every state and congressional district in the nation. Obama has pushed for it as a way to boost job growth in the construction industry, and both parties expressed interest in reaching a deal.

Still, enactment of the measure marks a significant accomplishment for legislators. In recent years, Congress was able to agree only on a series of short-term extensions of the previous transportation bill passed in 2005.

Aides predicted the final bill would get the large bipartisan majorities it did, although some Republicans opposed the measure's price of just over $100 billion.

Both parties had to compromise on core issues.

Republicans dropped language that would have approved the Keystone XL pipeline and prevented the Environmental Protection Agency from regulating harmful coal ash waste from power plants.

Democrats were forced to accept GOP demands to streamline and speed up the federal review process of construction projects.

Republicans said that doing so would cut permitting times in half. They also got reforms that would allow states to opt out of federal mandates to spend highway dollars on bike paths and highway beautification projects. Doing so, Republicans said, would allow states to spend more on critical infrastructure projects.

Although the agreement includes many of the reforms the House GOP pushed for, it falls far short of the broader transportation and energy bill that House Speaker John Boehner unveiled this year.

Boehner, R-Ohio, framed that initial proposal -- which combined road and bridge projects with provisions promoting greater domestic energy production such as more drilling on public lands and approval of the Keystone XL pipeline -- as a major jobs bill.

However, internal GOP divisions forced House Republican leaders to pull the measure and it never got a floor vote. The energy portions of the bill did pass the House, but none of those were included in the final measure negotiated with the Senate.

The student loan measure will keep interest rates at the current 3.4% rate, which was set to double to 6.8% on Sunday.

Obama brought national attention to the student loan issue and started campaigning for it in April. After the certain Republican candidate for president, Mitt Romney, also said he supported extending the lower rate, Congress got serious about looking for ways to make it happen for another year.

During negotiations this week, legislators decided the revenue to pay the $6 billion cost should come from changes to the way companies fund pension programs. The deal would also limit how long undergraduate students can go to school without accruing interest on student loans to six years.

CNNMoney's Jennifer Liberto and CNN's Ted Barrett and Deirdre Walsh contributed to this report.

@highlight

NEW: Obama signs a stopgap bill affecting transportation funding, student loan rates

@highlight

The larger bill will fund road and bridge construction and repairs for two years

@highlight

The bill also includes a measure holding down interest rates on federal student loans

@highlight

In recent years, Congress passed short-term extensions of the 2005 highway bill