(CNN) -- In the wake of the six-month anniversary of Boko Haram's kidnapping of 276 schoolgirls two weeks ago, the Nigerian military released a terse statement that it had negotiated a ceasefire with the cult-like Islamist insurgency, saying it would be finalizing the details for return of most of the girls this week. The announcement came as a surprise, since the administration of President Goodluck Jonathan had refused to negotiate for the girls' release up to that point.

What is going on?

Boko Haram has yet to comment publicly on any of this, and instead attacked two villages the day after the purported ceasefire. Last week, they reportedly abducted another 30 children. The Nigerian military has, for its part, regularly made false or misleading statements throughout the insurgency, which spread in earnest beginning in 2011, and which has seen Boko Haram expand control of territory in the northeast of the country. Yet despite these developments, the Nigerian government maintains that talks with the insurgents are progressing in neighboring Chad.

If the government really is in talks, then it represents the best prospect for the return of the girls since they were kidnapped in April. Still, a real resolution of the insurgency -- and an end to Boko Haram's current tactics -- seems remote. After all, kidnapping is one of the most important sources of Boko Haram financing, and the girls' return will certainly come at a heavy price. Moreover, the movement's goal of installing its medieval version of a Taliban-style state in as much of Nigeria as it can capture leaves little room for negotiating some form of a permanent settlement.

But that is all looking ahead. In the meantime, there is the complicated issue of determining the Nigerian government's motivations for agreeing to a ceasefire and negotiations.

Up to this point, the inaction and/or ineptitude of President Goodluck Jonathan's administration in managing both Boko Haram and the liberation of the kidnapped girls has prompted heavy criticism within Nigeria and abroad. The success of the #BringBackOurGirls movement, which has kept a daily demonstration alive in Abuja since April, and enjoys the support of U.S. first lady Michelle Obama and a chorus of celebrities, underscores public frustration with the Nigerian government's poor management of Boko Haram.

Why the government, which earns roughly $100 billion annually from oil revenues alone, cannot finish the job is the source of intense debate across Nigeria. Massive sums of public funds are being released for the counterinsurgency effort, but troops in the theater of operations have mutinied several times over lack of equipment and allegations that officers are stealing their pay.

Just as shocking as the corruption is the apparent indifference of the government to the emergency. The very day that Boko Haram kidnapped the schoolgirls in April, just a day after it set off a bomb at a bus stop killing over 70 innocent victims, President Jonathan reportedly danced and sang at a political rally for himself and his ruling party as general elections approach in February 2015. Not only did the military have a four-hour warning that the attack on the girls' village was imminent, according to Amnesty International, but it took them two weeks to respond.

To his credit, President Jonathan met with his security chiefs about the kidnappings the day after the political rally, and also visited the bus stop shortly after the bombings took place. But his political priorities appear clear -- spending the majority of his energies seeking to stave off the growing political opposition to his re-election plans. Despite a major insurgency that is threatening a third of the nation and displacing over 250,000 people, by some estimates, the business of politics, it seems, comes first.

And what a business it is. Earlier this year, the internationally respected governor of the central bank announced that $20 billion of Nigeria's oil earnings were unaccounted for by the state-owned oil company, and that he planned to investigate. Rather than applauding these anti-corruption efforts, the President sacked the governor. In a surreal public debate, the finance minister counter-argued that "only" $10.8 billion was missing.

While 85% of Nigerians live on less than $2 per day, the Nigerian media report almost daily accusations of audacious spending and corruption across government at all levels, from gold-plated iPhones allegedly distributed to guests at the President's daughter's wedding, to the minister of petroleum reportedly spending millions in public funds on chartered aircraft for private trips.

As a result of all this, fears are growing that government claims of the girls' imminent release is a public relations stunt designed for election year consumption and to divert attention from the Jonathan administration's problems. Not only has Boko Haram embarked upon new attacks and kidnappings in recent days, but Nigerian journalists are also reporting that the man the government says is representing Boko Haram at the talks in Chad is a fraud. The media-savvy head of Boko Haram, Abubakar Shekau, has yet to comment, but the government has wrongly claimed to kill him twice already, only to have him appear in another online video.

Of course, if the negotiations prove to be real and succeed in reuniting the girls with their families, the Jonathan administration has a brief opportunity to initiate a process that could end the insurgency. Boko Haram is a movement of many parts, the most extreme controlled by the Shekau network. But other factions are interested in a negotiated settlement and have requested mediators on several occasions. If the Nigerian government can engage these fence-sitters in the movement in a peace process that offers some measure of amnesty, it may be able to isolate Shekau and the hardliners sufficiently to bring them to justice and end the war.

Unfortunately, with so much at stake in the coming elections, there seems a very real chance that the Jonathan administration will return its attention to the business of politics, and lose this opportunity to change course. If so, it will face not only the weary Nigerian electorate at the ballot box in the coming months, but also a growing insurgency that may see less and less reason to negotiate.

@highlight

Despite ceasefire claims, Boko Haram attacks continue, says Darren Kew

@highlight

Nigerian President's priority is next year's election, Kew says

@highlight

Kew: Nigerian journalists skeptical over Boko Haram "talks"