(CNN) -- President Barack Obama has turned off large parts of America through radicalism, incompetence and political ineptness. As my friend Barry Casselman argues, "Obama has the worst political tin ear I've seen at that level. (I realize he thinks he is bringing out his base vote). But he's almost daring most Americans to turn against him." My prediction for midterm election night this coming Tuesday is that many Americans are going to take the President up on his dare.

Of course, nothing is over until it's over. Hard campaigning and a few changes in the news can shift races, and there are a lot of races within the margin of error in polling. However, as my colleague Joe Gaylord, with whom I worked on campaigns for 30 years, points out: "In tidal years everything collapses against the losers the last weekend." He remembers races in 1982 where our incumbent was up by 10 points on Friday and lost on Tuesday.

My take is that this is going to be a tide if not a tidal wave. Why? Because in most races, Democrats will stay home, Republicans will vote and independents will break heavily against the Democrats. Recent polls indicate the younger voters (millennials) are likely to break Republican after two massive victories for Obama in that age group. Latinos seem much more favorable to Republicans than many expected and much less likely to turn out for Democrats. Meanwhile, the margin for Democrats among women has shrunk dramatically, and in some races Republicans are now carrying both men and women (and that really would create a tidal wave).

And while the African-American community remains the most loyal to President Obama, even there a fight has been developing. Some new ads appealing to African-Americans to leave the Democratic Party are stirring up a lot of attention, so it will be fascinating election night to watch for African-American turnout and for a small but real increase in the Republican vote among African-Americans (note, for example, Gov. John Kasich's endorsement by a leading African-American newspaper in Ohio).

Overall, I think Republicans will gain six to 10 Senate seats, with 10 being more likely than six. Actually, winning more than 10 (think New Mexico, Virginia, Minnesota in that order) may be more likely than winning five or less. If Scott Brown, who has run a brilliant race, beats Sen. Jeanne Shaheen in New Hampshire (and she has run a terrible race) it will signal a big night for Republicans.

A key question is whether Republicans win Georgia outright, or have to win a special election on January 6, three days after the new Congress assembles. That turnout is made more complicated if the governor's race also goes into a runoff, which would be December 10, and it will be very hard for Democrats to win a turnout fight immediately after New Year's.

Louisiana will almost certainly go to a runoff, and the Republican will almost certainly win on December 6.

In the House, Republicans will likely gain seven to 14 seats. Since they start at 234 seats, a 12-seat gain would match the 1946 post World War II high point. If they grab 14 seats, they would have more seats than at any time since 1928.

Governorships are a mixed bag, and so intensely local that I really don't have a good read on what is likely to happen. Republicans start the evening ahead 29 to 21, and they could add Massachusetts, Connecticut, Colorado, Arkansas and Illinois. However, there are four or five states where the Republican incumbent is embattled and in a very close race. If Republicans break even or add one or two governors, I think we could describe it as a very good night for the party.

At the state legislative level, which has huge implications for the growth of young, future lawmakers, the ability to experiment with new solutions at the state level, and control of congressional reapportionment, look for the Republicans to gain 300 state legislative seats and control of six more legislative bodies, giving them the all-time high mark in Republican history.

But more than the raw numbers, it will be interesting to keep an eye on some specific trends. New England, for example, might see a big resurgence of the GOP. If Republicans win governorships in Massachusetts and Connecticut and the Senate race in New Hampshire, something big will clearly be happening.

Another trend could be the election of new solution-oriented, bright and articulate Republican senators. Ben Sasse in Nebraska has been ignored because he is so clearly going to win, but he will be one of the most intellectually prepared conservatives since Bob Taft. Cory Gardner will be a superstar if he wins Colorado, while Iowa's Joni Ernst has already become a national figure. Former Massachusetts Sen. Scott Brown, now running in New Hampshire, will have earned star status by winning in two states.

All that said, Florida may be the hardest fought campaign in the country. Gov. Rick Scott has been a very successful manager of the state, but is not a natural politician. Former Gov. Charlie Crist is a great politician, but his swings from Goldwater Republican to Obama Democrat have made it impossible to predict what kind of governor he would be now. This race has so much money going into it, and is so intense, that it is extremely difficult to predict what will happen on Tuesday. A Scott win would be a signal that Democrats simply are refusing to turn out. A Crist win would be a signal that the Democratic machine has been able to mobilize apathetic and disappointed voters.

One last thing to keep an eye on next week: exit polling on women, Latinos, Asian-Americans, African-Americans and millennials. If Democrats are losing ground in most or all of those groups, the coronation of Hillary Clinton may have to be postponed for a while. And if all the harsh Democratic advertising fails, it may be a sign, as Molly Ball suggests in The Atlantic, that "cranky social issues warriors" whose campaigns are "obsessed with social issues" may now be defining Democrats and not Republicans.

Looking beyond the election, there are two big questions, namely, how will President Obama react to the results, and what will Republicans do?

Certainly, the President and his team will face a clear choice: Do they follow Woodrow Wilson's response to the 1918 election and hide in a bunker, using executive orders and defying the new Congress? Or do they follow President Eisenhower's example after the 1958 election and find a way to work with the opposition party's congressional leadership?

We may not know the answer to this until the State of the Union and the budget proposals early next year. But Republican leaders have a unique opportunity to fill a vacuum of ideas and hope, and already people like Speaker John Boehner, House Majority Leader Kevin McCarthy and Sen. Marco Rubio have been outlining positive agendas.

But Barry Casselman perhaps caught as well as anyone the challenge facing Republicans, when he wrote:

"Let us not forget that the energy of this wave has been provided by the incompetence of Barack Obama and his overreaching allies across the nation. The Republicans, if they win, will now need to put forward new ideas. Otherwise, victory next Tuesday will be an empty one."

Republicans need new ideas. But they also need to be able to put those ideas into action.

Join us on Facebook.com/CNNOpinion.

@highlight

Obama administration marked by radicalism, incompetence: Newt Gingrich

@highlight

Polls suggest younger voters are likely to break Republican, he says

@highlight

Republicans will gain six to 10 Senate seats in Tuesday's midterms, he says