(CNN) -- The Euro crisis is not just a Greek crisis, or an Italian crisis, or now even a French crisis.

It is an American crisis, too, a crisis that may thrust the U.S. economy back into recession in 2012.

If the Euro cracks up, many European banks who hold Euro-denominated bonds will discover that their bonds have lost value. The bonds won't fall to zero (hold on a second for the reason why not), but they will lose enough value to play havoc with the bondholders' capital. The banks will then either have to seek government help or stop their lending to businesses and consumers or both.

The bank crisis will translate into a severe Europe-wide recession, just as the U.S. financial crisis of 2008 created a severe recession in 2009.

Recessions that originate in the financial system cause more suffering and last longer than other kinds of recessions, a record painstakingly (and painfully!) documented by Ken Rogoff and Carmen Reinhart in their now-classic study, "This Time It's Different."

The European Union represents a bigger economy even than the United States. If the euro cracks, and euro-holding banks fails, the pain will cross the Atlantic, as the pain of the U.S. crash of 2008 crossed the Atlantic in the opposite direction.

European financial institutions may lose the ability to repay U.S. creditors, inflicting more losses on an already traumatized U.S. financial system.

Collectively, the eurozone countries are far and away the largest foreign investor in the United States. If the eurozone economies slump, Americans will find it harder to raise capital for new projects and businesses.

As a single economy, the EU is America's largest trading partner. If it buys less, American exporters will suffer.

This catastrophe could erupt almost literally at any minute.

The United States is not helpless to avert this crisis. In fact, the United States could play an important role to avert the crisis, not only with money (although money may be needed), but also by standing with those Europeans willing to run the political risks to address the crisis.

But the indispensable first step is to understand the crisis.

Many Americans perceive the euro crisis as a crisis of government deficits and government debt. That may have been true of Greece, but it's certainly not true of France, the latest eurozone country to come under pressure in the financial markets. The German public debt is actually slightly larger than the French public debt, yet it is French bonds that the market is selling off.

Why?

If the euro cracks up, each country in Europe will be forced to (re)create a new currency of its own.

In such a world, German bonds would probably rise in value, while French bonds would probably fall quite sharply. As the markets become more anxious that the euro may fail, they exert pressures that help rip the euro apart.

Let me present some very simplified math, using made-up numbers, just to help explain the idea.

Imagine you were to buy a German bond worth 1,000 euros. That bond now pays interest of 20 euros a year, equivalent (let us say) to $30 U.S.

The crisis hits. The euro cracks up. Germany creates a new deutschemark equal to 1 euro. Your 1,000 euro bond is now a 1,000 new DM bond, paying 20 new DM a year. But because the euro implicitly undervalued German currency, it is highly likely that the new DM will rapidly appreciate against the dollar. In that case, your interest payment of 20 new DM would soon buy more dollars than your old interest payment of 20 euros.

Result: You are very happy to own German debt, despite the fact that Germany's total debt equals 83% of GDP.

Now imagine you were to buy a French bond worth 1,000 euros. That bond currently pays interest of 30 euros a year, equivalent to (say) $45.

But if the euro were to crack up, and France were to adopt a new French franc, that franc would probably decline against the dollar, because the current euro arrangement implicitly overvalues French currency. Instead of buying $45, your interest payment of 30 new francs might be worth only $30, perhaps even less.

Result: You are increasingly nervous about holding French debt, despite the fact that France's total debt equals only 82% of GDP.

People say: "The U.S. could become Europe if we keep accumulating debt."

Yet America's debt burden is already higher than France's, and markets accept U.S. debt with profound calm. The difference: it's not that markets are worried that France can't pay its debts. They are worried that France won't pay its debts with euros. By contrast, nobody doubts that the U.S. government can pay its debts with dollars.

America has in the past faced the kinds of problems that France, Italy and the others face now.

In the panic of 1893, holders of American silver certificates (the paper money of the time) suddenly panicked that gold was going to become more valuable relative to silver. They began demanding gold in return for their paper, eventually draining federal gold reserves to the legal minimum. At that point, the federal government refused to release any more gold, and the country plunged into one of the worst depressions in U.S. history, exceeded only by the Great Depression of the 1930s.

The U.S. in 1893 was a very rich country, and its debt burden was really quite light. The total resources of the country more than sufficed to pay its total debts, as the resources of France and Italy more than suffice to pay their debts.

This was not a debt crisis, such as you might have today in a genuinely poor African country. It was a crisis caused by issuing debt in a currency (gold back then, euros now) that the issuing government did not control.

Europe's options now basically reduce to two: Either smash up the euro to restore each individual government with its own individual currency (accepting a horrific recession along the way) or else build a single new pan-European government to control the new pan-European currency (with considerable inflation risk along the way).

Neither option is hugely attractive. Mistakes are easier to make than to undo. But the second choice does look seriously less ugly. Because the United States would suffer some of the pain from option one, it would be in the national interest to urge, and to contribute to support, the cost of option two.

Option two will involve transition costs. The original purpose of the International Monetary Fund, to which the United States remains the single largest contributor, was to ease monetary shocks. Here at last is the biggest of them all. The IMF needs to involve itself actively, and Americans should not begrudge the cost of averting what otherwise could be a financial and economic catastrophe of global impact.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Americans have a big stake in the outcome of the euro crisis

@highlight

He says crisis could lead to a serious recession in 2012

@highlight

Europe is America's largest trading partner and biggest investor in the U.S.

@highlight

Frum: America should push for resolution of the crisis and provide money if needed