(CNN) -- Pope Francis marked his first Good Friday as the head of the Roman Catholic Church, asking the faithful to follow Jesus' lead.

"Christians must respond to evil with good, taking the cross upon themselves as Jesus did," Francis said at a nighttime ceremony marking the Stations of the Cross, also known as Way of the Cross or Via Crucis, at Rome's Colosseum.

Francis said the cross represents God's response to evil in the world and that the answer to evil "is the cross of Christ -- a word which is love, mercy, forgiveness."

Good Friday, one of the holiest days on the Christian calendar, recalls the day Jesus died on the cross.

Jorge Bergoglio, now Pope Francis, was elected pontiff just over two weeks ago, succeeding Benedict XVI. A former Argentine cardinal, he became the first non-European pope of the modern era, the first from Latin America, the first Jesuit and the first to assume the name Francis.

Since taking on the role, he has focused on a message of helping the poor and needy and demonstrated a simple, humble personal style. Francis already has repeatedly veered from tradition -- from the white papal robes he wore on the Vatican balcony the night of his election, to his choosing to ask for the crowd to pray for him first before he offered a blessing of his own.

Bergoglio's journey to top of the church

His selection came shortly before Holy Week, one of the most significant periods of the Roman Catholic year. These celebrations will culminate on Easter Sunday with the pope's first "Urbi et Orbi" blessing, directed to the city of Rome and to the world.

Celebrant references Kafka story

These remarks at one of the Italian capital's most famous landmarks came hours after the new pontiff, dressed in red vestments, began a service at the Vatican's St. Peter's Basilica by walking down its nave and laying on his stomach in prayer, according to Vatican Radio.

He then joined legions of Roman Catholics worldwide who reflected Friday on the gospel account of the Lord's Passion, recalling the day Jesus died on the cross before rising three days later, according to Christian doctrine.

Per tradition, the Vatican sermon was given by the preacher to the papal household, the Rev. Raniero Cantalamessa.

"We have the opportunity to make, on this day, the most important decision of our lives, one that opens wide before us the doors of eternity," Cantalamessa said. "To believe!"

Opinion: Pope Francis' gestures strike fire in our hearts

During the address, he referenced author Franz Kafka's "An Imperial Message," a story in which a king on his deathbed whispers a message to a subject, makes the subject repeat it, and then sends him on his way. The messenger tries to leave but encounters insurmountable obstacles as he attempts to head away.

Cantalamessa said the story is a "powerful religious symbol and takes on a new meaning, almost prophetic, when heard on Good Friday."

"We must do everything possible so that the Church may never look like that complicated and cluttered castle described by Kafka, and the message may come out of it as free and joyous as when the messenger began his run," he said. "We know what the impediments are that can restrain the messenger: dividing walls, starting with those that separate the various Christian churches from one another, the excess of bureaucracy, the residue of past ceremonials, laws and disputes, now only debris."

The Stations of the Cross

Dressed all in white, the pope arrived shortly after 9 p.m. (4 p.m. ET) at the Colosseum to mark the Stations of the Cross.

As a large crowd -- many of them holding lit candles -- looked on, Francis sat solemnly as a cross was walked around the historic Roman amphitheater to recall 14 moments from Jesus' final day.

Participants included clergymen and other Christians from Brazil to Africa to China to the Middle East. At one point, the cross was carried by a woman in a wheelchair, from a group representing the physically and mentally disabled.

Francis spoke to close the ceremony, explaining the meaning of the cross and how Christians could apply that in their lives.

"Let us walk together in our Way of the Cross, and let us do so carrying in our hearts these words of love and forgiveness," he said.

Similar services and ceremonies were held in churches and other locales worldwide, including the annual Stations of the Cross walk through the winding streets of Jerusalem's old city.

Pope Francis' humble superiority

They came a day after Francis broke with tradition by going to a youth detention center in Rome, rather than the city's chief cathedral, where he washed the feet of a dozen young detainees. Among the group at the Casal del Marmo were two women and two Muslims.

The pontiff poured water over the young offenders' feet, wiped them with a white towel and kissed them.

In his homily, given to about 50 young offenders, he said that everyone should help one another. "As a priest and as a bishop, I should be at your service. It is a duty that comes from my heart," he said.

The act of foot-washing at the Mass of the Lord's Supper on Holy Thursday is part of the Christian tradition that mirrors Jesus' washing of his disciples' feet.

The girls whose feet Francis washed -- in another move away from custom -- were an Italian and an Eastern European, according to the Vatican.

The Vatican Press Office responded Friday to "questions and concerns" related to the pope's washing the young offenders' feet, especially those of two females, calling it a "simple and spontaneous gesture of love, affection, forgiveness and mercy."

"When Jesus washed the feet of those who were with him on the first Holy Thursday, he desired to teach all a lesson about the meaning of service, using a gesture that included all members of the community," the office said in a statement. "... To have excluded the young women from the ritual washing of feet ... would have detracted our attention from the essence of the Holy Thursday gospel, and the very beautiful and simple gesture of a father who desired to embrace those who were on the fringes of society."

Why is the pope washing prisoners' feet?

CNN's Livia Borghese and Joe Sterling contributed to this report.

@highlight

NEW: Pope: Cross represents God's response to evil -- which is love and forgiveness

@highlight

He makes these remarks to close a Stations of the Cross ceremony at Rome's Colosseum

@highlight

Earlier, he'd participated in a service about the Lord's Passion at St. Peter's Basilica

@highlight

The Vatican rebuts "concerns" over Francis's washing 2 women's feet Thursday