(CNN) -- An operation to airlift thousands of African migrants stranded in violence-ravaged Central African Republic in dire humanitarian conditions started Saturday.

The move comes a day after the country's interim leaders, President Michel Djotodia and Prime Minister Nicolas Tiangaye, who took power after a coup last year, announced their resignation at a regional summit in Chad.

The airlift, on a specially chartered plane, has been set up by the International Organization for Migration in response to the urgent need for tens of thousands of migrants to flee the country.

Francois Goemans, emergency coordinator for the IOM operation, said the first flight to leave the Central African Republic's capital, Bangui, on Saturday afternoon would ferry between 300 and 320 Chadians to their capital, Ndjamena.

READ MORE: Children beheaded as violence grows

Two more flights to Ndjamena will follow, taking a total of 1,000 Chadian migrants home.

Priority has been given to families, especially women and children, the IOM official said.

Goemans said he was shocked by the conditions endured by the migrants, which he said were the worst he had seen in 20 years in the field.

People have been living in makeshift transit camps for a couple of weeks in difficult conditions and with very little support, he said.

"The situation is terrible," he said. "There's diarrhea, the sanitation is terrible.

"People are traumatized, people are dealing with some strains that you cannot believe -- so many of their relatives have been killed ... and they are all traumatized."

Foreigners 'target of violence'

Medical checks are under way to make sure the migrants are fit to travel, Goemans said.

The three charter flights to Chad will be followed by two to Bamako in Mali, he said. About 700 Malians will be taken back to their home country by Tuesday, he said.

In the past couple of weeks, the IOM has helped other African nations including Mali, Senegal and Burkino Fas, to evacuate thousands of their citizens.

It has now stepped in with its own charter flights so that those stranded in desperate need don't have to wait any longer or travel on cargo planes without seats, Goemans said.

The organization is also working with governments across the region to help their nationals who've been brought home, some of them destitute, to resettle, he said.

Many will need psychological and social support to help them recover from their experience, he said, not least because foreigners have often been the target of the violence currently tearing the Central African Republic apart.

The operation to fly out all the migrants stranded in the country will likely take several weeks. Many are outside the capital, Goemans said, making movement dangerous and access difficult.

Plunged into chaos

While nearly 27,000 migrants from neighboring countries have been evacuated by their countries, at least 33,000 more who've asked for help from their embassies remain in urgent need of aid, the IOM said Friday.

"The evacuation of these migrants must be done quickly and in an orderly manner to avoid people trying to leave on their own overland and taking terrible risks, in desperation," said IOM West Africa director Carmela Godeau.

The Central African Republic was plunged into chaos last year after a coalition of rebels dubbed Seleka ousted President Francois Bozize, the latest in a series of coups since it gained independence.

Rebels infiltrated the capital in March, sending Bozize fleeing to Cameroon. Djotodia, one of the Seleka leaders, then became interim President.

Since then, political turmoil and violence have spiraled. Seleka is a predominantly Muslim coalition, and to counter the attacks on Christian communities, vigilante Christian groups have fought back. The United Nations has said it fears a genocide is brewing, and aid agencies warn of a humanitarian crisis.

At least 1,000 people have died in the violence, and some 958,000 more, many of them children, have been forced from their homes within the Central African Republic, according to the United Nations' refugee agency, UNHCR.

There are also more than 86,000 refugees in Cameroon, Chad, the Democratic Republic of the Congo and the Republic of the Congo who fled the Central African Republic in 2013, the UNHCR said Friday.

Some 100,000 people have gathered at a makeshift camp by the international airport in Bangui, seeking refuge from the violence.

UNHCR this week resumed deliveries of food and humanitarian supplies to those at the airport site after peacekeeping troops were brought in to maintain order.

The agency will distribute aid including blankets, sleeping mats, soap, mosquito nets and plastic sheets to some 20,000 families, or about 100,000 people, it said.

The U.N. agency appealed for $40.2 million to help respond to the crisis over the next three months.

@highlight

About 1,000 Chadians and 700 Malians are to be flown home in the next four days

@highlight

Migrants have been stranded in terrible conditions, International Organization for Migration says

@highlight

"The situation is terrible," IOM emergency coordinator Francois Goemans says in Bangui

@highlight

Central African Republic has descended into a spiral of violence following a coup last year