The Columbus Day holiday is usually observed with a smattering of parades in a few cities and discount sales from retailers.

But this year, people in New York will observe the man who discovered America, up close and personal.

The art installation "Discovering Columbus" takes the form of a modern New York living room surrounding the 13-foot marble statue of Christopher Columbus.

The statue, which has stood on a granite podium high above the middle of a Manhattan traffic circle for the past 120 years, has until now only been able to be viewed from afar, unless you were a pigeon.

The exhibit, conceived by the Japanese artist Tatzu Nishi and backed by the Public Art Fund, is an 800-square-foot replica of a contemporary living room that is suspended 70 feet in the air supported by scaffolding.

"The project is really about transforming an object that already exists, a monument that's been here in New York City for 120 years," said Nicholas Baume, director and curator of the Public Art Fund, "and giving people a chance to experience it in a completely new way to have in this case, a much more intimate experience."

The statue, which was crafted by Gaetano Russo in 1892, seemingly stands on a coffee table and is surrounded by several comfy chairs, sofas, a bookcase and flat screen television. Unlike a usual "no touch" policy at an art exhibit, visitors are free to lounge on the furniture for a good look at  the monument. The wallpaper covering the walls was designed by the artist and features iconic American pop culture figures, such as Mickey Mouse, Michael Jackson and Marilyn Monroe.

Nishi has done several such exhibits around the world by taking a usually inaccessible object and creating a living space around it for visitors.

"I didn't choose Columbus as a figure. I chose this sculpture as a visual object and Columbus Circle as a place," the artist said.

And what a place it is for those lucky enough to secure a spot and willing to climb six flights of stairs.

From the windows of the living room, one can see million dollar views of Central Park as well as Broadway and downtown Manhattan.

"The view you get here is extraordinary. You actually sense the fact that Columbus Circle is the center of this nexus of New York City," Nicholas Baume said.

But not everyone thinks the exhibit is such a wonderful endeavor.

Rosario Iaconis, chairman of the Italic Institute of America, commented on the project before it opened.

"Columbus was a man of the Renaissance, an exemplar of that civilization. This, is foolishness. This is not art. If it's his particular vision, it's a skewed vision, so I, again with due respect to Mr. Nishi, I think he stumbled on his project."

One famous New Yorker disagrees.

"I've been living in this city since 1966. Columbus Circle has always been there, but you don't look up. You can't see it, it's so high," Mayor Michael Bloomberg told reporters. "For you and I, this is the first and only chance you're probably going to have in your whole life."

The artist was asked by the Public Art Fund two years ago to do a project in the city, and he walked all around visiting different sites until he settled on Columbus Circle statue.

"It's not my intention to say something about Columbus; rather, I want to change the sculpture from public sculpture into a completely different thing," Nishi said.

The exhibit opened on September 20 and will run through November 18.

Visitors can obtain free passes by signing up at the Public Art Fund's website. Each pass grants access to the exhibition for  up to 30 minutes.

Once the exhibition is over, the monument will go through a restoration. The pigeons will have to wait a little bit longer to see their old buddy Chris.

Photos: Street art vs. public art installations

@highlight

Living room set up around Columbus statue high above Manhattan traffic circle

@highlight

Japanese artist mixes idea of 500-year-old Italian navigator with modern Americana living

@highlight

Some Italian-Americans are not happy with exhibit