The Supreme Court sidestepped a sweeping decision on the use of race-conscious school admission policies, ruling Monday on the criteria at the University of Texas and whether it violates the equal protection rights of some white applicants.

The justices threw the case back to the lower courts for further review.

The court affirmed the use of race in the admissions process, but made it harder for institutions to use such policies to achieve diversity.

The 7-1 decision avoids the larger constitutional issues.

Read the decision (.PDF)

Abigail Noel Fisher individually sued the flagship state university after her college application was rejected in 2008 when she was a high school senior in Sugar Land, Texas.

She claims it was because she is white and that she was being treated differently than some less-qualified minority students who were accepted.

In a statement after the ruling Fisher said, "I am grateful to the justices for moving the nation closer to the day when a student's race isn't used at all in college admissions."

The decision comes as the justices work toward wrapping up a busy term.

Among the big issues yet to be resolved: federal enforcement of the Voting Rights Act and the politically blockbuster constitutionality of same-sex marriage.

The Supreme Court plans to meet again on Tuesday to issue additional opinions.

In the Texas case, the school defended its policy of considering race as one of many factors, such as test scores, community service, leadership, and work experience, designed to create a diverse campus.

University encouraged by decision

The university said it was encouraged by the decision.

"We remain committed to assembling a student body at The University of Texas at Austin that provides the educational benefits of diversity on campus while respecting the rights of all students and acting within the constitutional framework established by the court," said school President Bill Powers.

The Obama administration agreed with the school, saying to grow a nation built on differing complexions and backgrounds will depend on future leaders "who possess the understanding of diversity that is necessary to govern and defend the United States."

In ruling narrowly, the court reaffirmed earlier decisions allowing for a limited use of race-conscious public policies.

"The attainment of a diverse student body serves values beyond race alone, including enhanced classroom dialogue and the lessening of racial isolation and stereotypes," wrote Justice Anthony Kennedy in the majority opinion.

Ex-student challenges university's affirmative action policy

But Kennedy said that such admissions programs must withstand close review.

Kennedy said the "university must prove that the means chosen" to attain diversity "are narrowly tailored to that goal," adding that the highest level of legal standard must be met before institutions use diversity programs.

"Strict scrutiny (of the policy) imposes on the university the ultimate burden of demonstrating, before turning to racial classification, that available, workable race-neutral alternatives do not suffice," he said.

The Supreme Court in recent decades has established a three-pronged test to balance the government's interest against a constitutional right or principle, and decide which laws may go too far. These standards of review are rational basis scrutiny, heightened scrutiny, and strict scrutiny.

Kennedy said the appropriate standard was not applied properly by the lower federal courts in the Fisher case.

He said state universities must demonstarte to the courts that no workable race-neutral alternatives would produce the desired educational and social benefits.

Justices Stephen Breyer and Sonia Sotomayor, who are more left-leaning, agreed with the Supreme Court's five conservatives.

Justices Antonin Scalia and Clarence Thomas also agreed with the limited reach of the ruling, but separately suggested continuing use of diversity programs in the classroom were unconstitutional.

"Although cloaked in good intentions, the university's racial tinkering harms the very people it claims to be helping," said Thomas, the court's only African-American, who himself benefited from affirmative action programs early in his academic and professional career.

Only Justice Ruth Bader Ginsburg disagreed with the majority's conclusion lower courts should take another look at the Fisher case.

"Government actors need not be blind to to the lingering effects of an overtly discriminatory past," she said. "I have said before and reiterate here that only an ostrich could regard the supposedly neutral alternative as race unconscious."

Justice Elena Kagan did not participate in the case because she apparently had been briefed on the issue as the Obama administration's solicitor general before joining the high court.

Three questions for Clarence Thomas

Ideological differences

The justices said in 2003 that state universities can, in limited circumstances, tailor their admissions policies to consider an applicant's race.

And this court was clearly divided along ideological lines during last October's oral arguments about whether affirmative action essentially has run its social and legal course, and should no longer be used in the way schools like the Texas university has done.

The state of Texas provides for a hybrid admissions policy: Automatic acceptance to its university's main campus in Austin for in-state students finishing in the top 10 percent of their high schools, ensuring a measure of non-subjective diversity. Three-fourths of the in-state student body get in this way.

Fisher just missed that opportunity, so had to compete in a separate pool of students seeking to attend the highly competitive school. It is that selection process that was before the court.

The school, with 52,000 students, has touted its "holistic" policy of considering race as one of many factors.

African-Americans in Texas as a whole represent about 12 percent of the overall population, but only make up about 5 or 6 percent of University of Texas admissions.

The high court will get another crack at the issue this fall in a separate appeal.

The justices will decide the constitutionality of a voter referendum in Michigan banning race- and sex-based discrimination or preferential treatment in public university admission decisions. Oral arguments are likely in October.

The case is Fisher v. University of Texas at Austin (11-345).

Fast facts: Top U.S. Supreme Court decisions

@highlight

Decision involving the University of Texas affirms the use of race in college admissions

@highlight

But 7-1 ruling makes it harder for institutions to justify diversity in certain cases

@highlight

Supreme Court case involved white student who sued after application was rejected

@highlight

The school defends its policy of considering race as one of many factors in admissions