(CNN) -- On August 13, 1963, in a last ditch effort to derail the pending March on Washington, Strom Thurmond took the Senate floor and hurled a series of vicious, personal attacks against the man organizing the largest protest in U.S. history.

Thurmond called him a Communist and a draft dodger.

He brought up a previous arrest and accused him of being immoral and a pervert.

The man Thurmond was attacking was not Dr. Martin Luther King Jr. 

In fact Thurmond used King's own words -- secretly recorded by J.Edgar Hoover -- in his attacks against the march's deputy director.

"I hope Bayard don't take a drink before the march," Clarence Jones, King's lawyer and close friend, said in the recording.

"Yes," King replied. "And grab one little brother. 'Cause he will grab one when he has a drink."

"Bayard" would be Bayard Rustin, the most important leader of the civil rights movement you probably have never heard of. 

Opinion: Congress, stand up for civil rights

Rustin was imprisoned for challenging racial segregation in the South before the phrase "Freedom Rider" was ever said. He taught a 25-year-old King the true meaning of nonviolent civil disobedience while the great dreamer was still being flanked by armed bodyguards. And before addressing the crowd of 250,000 that gathered at the National Mall nearly five decades ago, famed actor and activist Ossie Davis introduced him "as the man who organized this whole thing."

No, the reason why you probably have not heard of Bayard Rustin has nothing to do with the significance of his contributions to the March on Washington or the civil rights movement in general. His absence is epitomized by the sentiment woven between the lines of that joke between Jones and Rustin's protege. You see, the organizer of the great march, the man who held a fundraiser at Madison Square Garden to help fund the bus boycott in Montgomery, the intellectual behind the founding of the Southern Christian Leadership Council was also unabashedly gay. And it was the discomfort some had with his sexuality that led to his disappearance in our history books. 

"We must look back with sadness at the barriers of bigotry built around his sexuality," wrote NAACP chairman emeritus Julian Bond in "I Must Resist," a collection of Rustin letters. "We are the poorer for it."

As we celebrate the 50th anniversary of arguably the single most important event of the 20th century -- as well as the speech that defined it -- there is a natural inclination to evaluate how close we are to achieving Dr. King's famed dream. 

Why some movements work and others wilt

With President Obama in office, it is silly to suggest no progress has been made. But considering that the wealth gap between black and white families has nearly tripled over the past 25 years or that a recent Reuters/Ipsos poll found that 40% of white Americans don't have a friend outside of their race, who can view the election of one man as King's dream being fulfilled?

Yes, the residue of the Jim Crow era still poisons the air like mold spores after a flood, manifesting in unjust laws such as Stop and Frisk and clusters of failing schools in poor black neighborhoods. 

But after recently reading the full text of Dr. King's "I Have A Dream" speech, it occurred to me that perhaps the reason why we're still divided as a nation is because we haven't figured out what is keeping us apart.

Despite being a leading voice for racial equality since the 1940s, Rustin's marginalization is a direct reflection of oppression of a different sort. Thurmond used it as a weapon to attack the March on Washington. Adam Clayton Powell, a black congressman from Harlem, used it to gain power. Other black leaders, like Stokely Carmichael, used it to question his place in the movement. 

March on Washington: Fast Facts

You see as big and as looming and as destructive as racism has been and continues to be in society, we must remember it is only a branch.

The root of the problem, the reason why we continue to struggle with equality, is our pathological intolerance, an intolerance no collective group of people has proven to be immune to.

"I say to you today, my friends, even though we face the difficulties of today, and tomorrow, I still have a dream. It is a dream deeply rooted in the American dream. I have a dream that one day this nation will rise up, live out the true meaning of its creed: 'We hold these truths to be self-evident, that all men are created equal.'"

Dr. King's dream has not been fulfilled because we began betraying the integrity of his dream the moment we started scrubbing Rustin's life out of Black History Month lessons and civil rights movies.

We betray that dream each time a black person claims offense to the notion that gay rights are civil rights, as if the black community is the only community capable of being oppressed.

We betray King's dream each time a white elected official is allowed to say things about the gay community in ways that would never be tolerated if directed at the black community.

I don't say these things because I view the history and plight of these two minority groups as being exactly the same -- they are not.    

I say these things because racism and homophobia -- like anti-Semitism, sexism and xenophobia -- all have the same mother. And as long as concessions are made for one, we will never be free from the clutches of the others.

The Presidential Medal of Freedom is the nation's highest civilian award. It was established by President Kennedy 50 years ago. Considering the anniversary of the march, it is fitting that Rustin is among the 16 being honored with it in November. 

But like King, he was more than August 28, 1963.  

He was a giant.

And so while the medal is special, the best way to honor him is to talk about him, all of him, both now and in the many years to come. Bayard Rustin spent his life fighting for peace and equality and he did so unashamed of who he was. It's about time history, and the people he helped most, stop being ashamed of him. 

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

Bayard Rustin was a civil rights leader and Martin Luther King's mentor

@highlight

LZ Granderson says Rustin's role in March on Washington was largely erased

@highlight

He says Rustin was banished from a prominent role because he was gay

@highlight

Granderson: If we tolerate bigotry of any form, we can't achieve King's dream