NATO's top military commander expressed concern Sunday about the buildup of Russian forces on Ukraine's border, as Moscow's forces consolidated their control of Crimea over the weekend.

Supreme Allied Commander Europe Gen. Philip Breedlove said Russia had a large force on Ukraine's eastern border and that he was worried it could pose a threat to Moldova's separatist Trans-Dniester region.

"The (Russian) force that is at the Ukrainian border now to the east is very, very sizable and very, very ready," Breedlove, a U.S. Air Force general, said.

"There is absolutely sufficient force postured on the eastern border of Ukraine to run to Trans-Dniester if the decision was made to do that, and that is very worrisome."

Russia said its forces complied with international agreements.  Moscow annexed Crimea following a controversial snap referendum in the autonomous region last week that produced an overwhelming majority of votes in favor of leaving Ukraine to join Russia.

"Russia is acting much more like an adversary than a partner," Breedlove said, speaking at an event held in Brussels, Belgium, by the German Marshall Fund think tank.

Other officials expressed concern too.

"It's deeply concerning to see the Russian troop buildup along the border. It creates the potential for incidents, for instability," Tony Blinken, White House deputy national security adviser, told CNN's "State of the Union."

"It's likely that what they are trying to do is intimidate the Ukrainians. It's possible that they are preparing to move in."

Pro-Russia demonstrations planned

Pro-Russia demonstrations were planned for Sunday in Ukrainian cities outside Crimea, a Black Sea peninsula. The shows of favor for Moscow were scheduled for cities in Ukraine's south and east, where there are many ethnic Russians.

On Saturday, six Russian special forces armored personnel carriers broke through the gates of Belbek air base, firing warning shots into the air, a spokesman for Ukraine's Ministry of Defense in Crimea told CNN. One journalist was injured in the attack, said Vladislav Seleznev.

In a separate incident, pro-Russian self-defense forces stormed the Novofederoskoe military base, also in Crimea, taking control of it, a Ukraine Defense Ministry spokesman said.

Seleznev also said that Crimean self-defense forces and Russian special forces took a Ukrainian ship, the Slavutych.

The ship was captured "after a two-hour assault," he said, though the Ukrainian ship's crew members came ashore and didn't suffer any injuries.

Ukrainian forces on the Novofederoskoe base threw smoke bombs during the incident and retreated to the base's headquarters, Seleznev said in a Facebook posting.

The base's aviation brigade then sang the Ukrainian national anthem, lowered the Ukrainian flag and left the base, he said.

The White House urged Russia to open talks with the Ukrainian government. But in a statement, it also held the Russian military directly responsible for any casualties inflicted on Ukrainian military members -- whether from regular Russian troops or militias not wearing insignias.

Crimea remarries -- but that divorce will be messy

International monitors

The incidents occurred as international observers were set to arrive in Ukraine to monitor the security and human rights situation, in a posting expected to last at least six months.

But they will not enter the contested region of Crimea, a statement from the Russian Foreign Ministry said, because this "became part of Russia."

The Organization for Security and Cooperation in Europe will eventually deploy a total of 100 observers throughout Ukraine in hopes of "reducing tensions and fostering peace, stability and security." They will also check that the rights of ethnic minorities are being protected.

The OSCE may widen the mission to include 400 more monitors, and extend it for a second six-month period if requested by the Kiev government.

Russia, which is one of the OSCE's 57 member states, approved the mission, according to state-run Russian news agency RIA Novosti.

Russia's Foreign Ministry said it hoped the observers' work would stop nationalist extremists, who Moscow says have a strong influence on Kiev's government, and protect linguistic rights. Many Ukrainians speak Russian as their native language.

Russia has previously said it reserves the right to enter Ukrainian territory to protect ethnic Russians from what it says is a threat from ultranationalists and fascists.

Meanwhile, European leaders have demanded that independent monitors be granted access to the Crimean Peninsula.

OSCE monitors made multiple attempts to enter Crimea during the height of the crisis, when pro-Russian militias took control of the region. But armed men at the borders turned them back.

Russia sanctions: EU should leave trade alone

Claims on Crimea

Ukraine, the United States and other Western powers maintain Crimea is still a part of Ukraine.

"We must not allow a new division of Europe," German Foreign Minister Frank-Walter Steinmeier said Saturday in Kiev, where he met with with Ukrainian Prime Minister Arseniy Yatsenyuk and acting President Oleksandr Turchynov.

Russia insists its actions are legitimate. Crimea had belonged to Russia until 1954, when it was given to Ukraine.

The region also has a majority ethnic Russian population and other long historic ties to Russia.

Russia's Black Sea Fleet is based in the Crimean city of Sevastopol, making it strategically important to Moscow.

Moscow has doggedly pursued its own course, even as Western leaders have denounced its actions as violations of Ukraine's sovereignty and a breach of international law.

U.S. President Barack Obama plans to meet with leaders of the G7 group of industrialized nations this week to discuss Ukraine.

Russia has been excluded from the talks on the sidelines of a nuclear summit in the Netherlands.

A planned EU-Russia summit has also been canceled, as the West seeks to increase Moscow's isolation over its actions in Ukraine.

EU leaders imposed a new round of sanctions against 12 individuals last week, bringing the total number of people facing EU asset freezes and travel bans to 33.

The United States announced its own new round of sanctions against 20 individuals and a bank which U.S. officials say is linked to Putin and senior Russian officials. Washington had already announced sanctions on 11 individuals.

"What we've seen the President do in recent weeks, and what we'll see him do this week, is bring the world together in support of Ukraine, to isolate Russia for its actions ... and reassure our partners and allies in NATO and Europe," Blinken said.

Sanctions on Russia: Would World Cup boycott hit harder?

Opinion: Putin's breathtaking lies about Russia

@highlight

NATO commander says Russia has a large force on Ukraine's eastern border

@highlight

"Russia is acting much more like an adversary than a partner," NATO commander says

@highlight

"We must not allow a new division of Europe," says German foreign minister

@highlight

Pro-Russia rallies planned in southern, eastern Ukraine