(CNN) -- This holiday season, it's still shoes off and liquids out at airport security, but changes may be on the way to part of this routine, and agents will be watching much more than the contents of your carry-on.

Passengers prepare for a security screening at Washington Dulles International Airport in Virginia.

In the coming months, the government expects to revisit its rule for the amount of liquids that may be brought aboard planes, while boosting the number of behavior detection officers deployed at checkpoints across the country.

More than 2,000 are already on the job, and the program is growing every day, said Christopher White, a spokesman for the Transportation Security Administration.

"What the officers are looking for are physiological signs that cannot be manipulated that indicate stress, fear or deception," White said. "We find bad people everyday with behavior detection officers."

The specially trained agents, who work in teams, establish a baseline of behavior and then search for people who rise above that level, he added.

The TSA has been taking steps to reduce stress for all travelers at security, such as adding special family lanes, to make it easier for the officers to spot passengers who are acting suspiciously.

"By calming the checkpoint down, it makes people with potential hostile intent really stand out," White said.

"If there's a shark fin in a rough sea, it's impossible to see. If there's a shark fin in a lake, it's very easy to see."

The word on liquids

Meanwhile, new technology may help change a familiar part of the security screening process.

By now, most air travelers know the government's 3-1-1 rule for liquids and gels: Containers no larger than 3 ounces are allowed in carry-on luggage, provided they are packed into one quart-size clear plastic zip-top bag, with one bag allowed per person.

Those restrictions could be eased next year with the help of advanced X-ray machines that can be upgraded with software, like computers, White said.

"Scientists at the national labs have been working to develop an algorithm to plug into the machines that would allow us to tell the difference between a bottle of Coke and a bottle of liquid explosives," he said.

The TSA is planning to have 600 of the machines installed at airports across the country by the end of this year and may look at changes to the 3-1-1 rule in fall 2009, White added.

Coming much sooner: the expansion of the family lane program to every airport in the country starting Thursday.  See where the nation's busiest airports are »

The special lanes are designed to make security screening as smooth as possible for people traveling with children, passengers with special needs or anyone unfamiliar with security procedures, while improving wait times for other travelers.

What's not changing for the foreseeable future: taking your shoes off at security. Running them through the X-ray machine is simply the fastest way of ensuring there's nothing hidden inside, White said.

Preparation and planning

If you are flying this Thanksgiving, expect lots of company but fewer people than last year. The Air Transport Association of America predicts a 10 percent drop in the number of people traveling on U.S. airlines during the holiday, compared with the same time period in 2007.

"Some of the capacity cuts that carriers put into place have finally taken effect, but also we do think that the economic downturn is finally taking a toll on consumer spending when it comes to travel," ATA spokeswoman Elizabeth Merida said.

The trade association for U.S. airlines predicts that the busiest travel days of this Thanksgiving holiday will be Wednesday, November 26; Sunday, November 30; and Monday, December 1, with planes 90 percent full on average on those dates.

Airports across the country are gearing up for the travel rush.

"We are making a commitment that even during peak periods, the [security] line will not exceed 20 minutes," said Ben DeCosta, aviation general manager at Hartsfield-Jackson Atlanta International Airport in Georgia.

The world's busiest airport has spent more than $25 million on improvements, including 10 additional "high-productivity, speedy" security lanes for a total of 32, he added.

Hartsfield-Jackson also offers a number of queuing options for the more than 40,000 people who line up at its security checkpoints every day.

"Our line management segregates people by expertise and by preference, and it helps to speed everything up and to make people less anxious about the beginning of their trip," DeCosta said.

Hartsfield-Jackson is also joining the growing number of U.S. airports with whole-body imagers at security checkpoints. The machines offer an alternative to pat-downs by officers.

No matter what airport you're passing through, be prepared, White said.

"If you're ready for security with your boarding pass and your ID out, with your shoes and your coat off, and with your liquids out of the carry-on bag, your experience is going to be very good and very pleasant," he said.

"For passengers who are not ready, they not only slow down themselves, they slow down the entire checkpoint line."

@highlight

Government's 3-1-1 rule for liquids and gels could be eased next year

@highlight

TSA aims to reduce travelers' stress, making it easier to spot suspicious behavior

@highlight

Taking shoes off at security expected to remain in place for the foreseeable future

@highlight

Family lane program expands to every airport in the country starting Thursday