Washington (CNN) -- The U.S. military is updating plans to potentially evacuate U.S. Embassy personnel from Yemen in the wake of rising violence and uncertainty about the security situation in that country, CNN has learned.

Any military involvement in an evacuation would come only after the U.S. ambassador requests help, something which has not yet happened. However, this week, defense and State Department officials confirmed there have been a series of conversations between the Pentagon and State Department about how long U.S. diplomats can safely stay in Yemen.

"We are poised to act if it becomes necessary to get people out," the defense official said. "If you ask me do I think it's more likely now, the answer is yes."

A State Department official said there is always planning in place, "but no decisions have been made."

"The situation could change tomorrow or the next day, so I don't want to say we never will, but for now it is not in the cards," the State Department official said.

A U.S. defense official with direct knowledge of the planning confirmed the details to CNN but declined to be identified due to the sensitivity of the matter. While the Pentagon has been keeping a close eye on the deteriorating security situation in Yemen for weeks, several defense officials tell CNN that in the last few days, concern has grown.

Al Qaeda member killed in Yemen strike, official says

General threats

Terrorists have made general threats against the U.S. Embassy and personnel in Yemen, including the ambassador, but the United States does not have any actionable information about a specific or credible threat, State Department officials said Tuesday.

Last weekend, al Qaeda in the Arabian Peninsula (AQAP) claimed it planted two explosive devices at the residence of Yemen's President to target U.S. Ambassador Matthew Tueller who was expected there for a meeting, according to an online statement posted by the terror group and unearthed by SITE Intelligence Group. The explosives were discovered before detonation.

But defense and State Department officials said they have no indication so far there was an attack truly aimed at the ambassador.

"There are threats against everybody," a senior State Department official said. "The U.S. Embassy, the ambassador, all of our employees. But there is nothing actionable."

The State Department officials described the threats "aspirational in nature," rather than a specific or credible plan to attack U.S. facilities or personnel.

"We get a lot of these threats," another official said. "We look, check and decide whether there is something actionable. If there were some time to act upon we would. But there is nothing."

Embassy staff reductions

The State Department has at times this year ordered a reduction in the number of embassy personnel. One State Department official said the reduction of staff was "marginal," with less than a quarter of the personnel sent to other countries in the region until the situation in Yemen improved. The ambassador is still in the country, and several dozen heavily armed Marines continue to guard the embassy.

"There is a lot of turmoil there, so we took a few people out and made adjustments -- but this is nowhere near a major reduction," the State Department official said.

The major concern for the military is whether the violence has grown to the point that the embassy personnel cannot safely stay, and that there may be only limited ways of getting them out of Yemen. There have been clashes between rebel groups and Yemen government forces around the airport in the capital, Sanaa.

Contingency plans

The updated evacuation plans could include the use of U.S. Marines and helicopters stationed on the amphibious warship USS Makin Island off the coast of Yemen. If an evacuation was ordered, and there was continued fighting around the airport in Sanaa that would make it impossible for diplomats to leave on commercial planes, the Marines could be called in, a defense official said.

The defense officials who spoke with CNN acknowledge that as part of the discussions about whether and how long the diplomats can safely remain in Yemen, there is also internal discussion about the key issue of trying to keep a U.S. presence even after an evacuation that can continue to work with the Yemeni government and military on fighting AQAP, the al Qaeda affiliate in Yemen. If the United States were forced to even temporarily shutter the embassy there, its ability to monitor and conduct counterterrorism efforts would be significantly reduced, one of the defense officials said.

@highlight

Al Qaeda in Arabian Peninsula said it planted devices at Yemen President's home

@highlight

The U.S. ambassador was expected for a meeting there

@highlight

U.S. military is concerned about clashes near the airport in Sanaa