When the biggest cable company in the United States buys the second-biggest cable company in the United States, what does that mean for you?

If you're afraid the answer might be a higher cable bill, you're not alone.

"Americans already hate dealing with the cable guy -- and both these giant companies regularly rank among the worst of the worst in consumer surveys," said Craig Aaron, president and CEO of Free Press, a group that advocates for diversity in media ownership. "But this deal would be the cable guy on steroids -- pumped up, unstoppable and grasping for your wallet."

On Thursday, Comcast announced it had agreed to buy Time Warner Cable for $45 billion. If approved by the federal government, and that's no sure thing, the two would become a massive cable giant, serving one out of every three homes in the United States.

(Time Warner Cable was spun off from Time Warner in 2009 and no longer has any connection to the owner of CNN, HBO and Warner Bros.)

Obviously, it's way too early to know whether the dire predictions of folks such as Aaron will come true.

But the announcement has raised a lot of questions along those lines for subscribers of both companies, as well as others curious how the emergence of such a cable giant would impact them.

So here's an effort to address some of those questions as best we can:

When could this happen?

Comcast says that if the merger is approved by federal regulators, they would become one with Time Warner Cable by the end of this year. Subscribers to the two companies shouldn't see any changes before then.

If it's any guide, Comcast's acquistion of NBC Universal was slowed down by the regulatory review process and took 13 months before it was completed in 2011.

Would my bill go up?

It depends upon whom you ask. As noted above, there are activists dedicated to fighting big media mergers on the argument that relying on a small handful of giant companies kills competition and drives up prices in any market.

"An enlarged Comcast would be the bully in the schoolyard, able to dictate terms to content creators, Internet companies, other communications networks that must interconnect with it, and distributors who must access its content," said John Bergmayer, senior staff attorney for online consumer activist group Public Knowledge. "By raising the costs of its rivals and business partners, an enlarged Comcast would raise costs for consumers, who ultimately pay the bills."

But some industry analysts say there's no reason the merger would directly impact subscriber wallets -- at least no more than they're already being hit.

"I think this is more of a story about two companies wanting to get together to improve their market share and revenues for their stock price than it is for customers," said tech industry analyst Jeff Kagan. "I don't think this is a story about customers at all."

Kagan noted that since Comcast and Time Warner Cable are largely in different U.S. markets, the merger wouldn't mean a loss of competition. But that doesn't mean cable bills won't go up, he said, because they're already doing just that.

"Cable television prices have continually risen over time; the price customers pay roughly doubles every 10 years," Kagan said. "I don't see that changing."

How about service quality?

If history holds, subscribers to both companies could be in for some bumps along the way.

"Whenever there are mergers of two large customer-service providers ... we tend to see quite a few problems," said David VanAmburg, managing director of the American Customer Satisfaction Index, citing surveys about mergers between airlines, banks and other companies.

He said problems could be caused by hiccups in merging customer database -- things such as double billing or accounts getting lost.

"We'd be surprised if a new hybrid Comcast-Time Warner doesn't produce a lower level of customer satisfaction for a year or two," he said. "Customers have felt burned in the past by large mergers where choice is effectively reduced."

And it's not like a lot of people are in love with their cable service to start with.

Financial site MoneyRates.com released a survey Thursday in which 25% respondents called cable companies the worst for customer service. That led credit card companies at 15%, insurance companies at 14% and phone companies at 12%

Past gripes about cable-TV and broadband companies have focused on high rates and the difficulty of getting customer-service help over the phone, according to ACSI research.

Many consumers now pay more for TV and Internet service than they do for heat or electricity. Consumers in most areas of the U.S. don't have a choice between cable TV providers, which makes them feel helpless when rates rise or service is poor, VanAmburg said.

Would my cable offerings change?

In terms of services, this could be a win for Time Warner Cable customers.

If the deal goes through, TWC customers would likely be offered Comcast's wider menu of channels and services. While Comcast customers aren't necessarily satisfied all the time, a lot of its hardware and software has gotten high marks.

In its announcement of the planned merger, Comcast said that, among other services, it offers "50,000 video on-demand choices on television, 300,000 plus streaming choices on XfinityTV.com, Xfinity TV mobile apps that offer 35 live streaming channels plus the ability to download to watch offline later, and the newly launched X1 cloud DVR."

If the merger goes through, Comcast also would become the largest broadband provider in the United States. So Time Warner Cable subscribers would presumably have new options on that front as well.

@highlight

Proposed Comcast-Time Warner Cable merger raises some concerns

@highlight

Some fear a massive cable company would mean higher rates for TV, Internet

@highlight

One analyst believes the move is more about market share

@highlight

Cable prices already are doubling every 10 years