(CNN) -- A lone blonde woman, wrapped in nothing but a sarong, leads four camels and a little dog across one of the most uninhabitable environments on Earth.

Startlingly beautiful, with skin roasted a deep chestnut from the desert sun, the petite 26-year-old in flimsy leather sandals appears the unlikeliest adventurer for a nine-month expedition across the Australian outback.

Appearances can be deceiving.

In 1977, Robyn Davidson trekked 2,700 kilometers from Alice Springs to the Indian Ocean, armed with little more than a map and a rifle, in a landscape which had destroyed many a hardened explorer before her.

Adventurers are often asked why they push themselves to the human body's limits.

"It's only in hindsight that there's any psychologizing of it," Davidson tells me in between bites of her croissant, at a trendy inner-city London cafÃ© on a humid spring morning.

"At the time it just seemed like a perfectly sensible, good thing to do. Above all else, it was pleasurable."

And in an age of instant communication, where you are never far from a text message, tweet or Facebook post, perhaps Davidson has a lesson for us all.

"I disappeared but I've never felt so alive," she says in her soft Australian accent.

Making Tracks

It's no coincidence these punishing red plains are nicknamed the country's "dead heart." A place where temperatures can exceed a scorching 120F and the nearest town is often hundreds of kilometers away.

The Aboriginals called Davidson the "desert woman," and her epic journey caught the attention of National Geographic photographer Rick Smolan -- who became both her documenter and lover.

His intimate images of the intrepid young woman -- tenderly feeding her camels, or swimming in a rare watering hole -- helped make it one of the most popular photo essays in the magazine's history.

It plunged the girl who grew up on a cattle station in remote Queensland into the international spotlight -- her outback odyssey became the toast of New York.

Davidson's book detailing the marathon mission, called "Tracks," has since sold over one million copies, bringing to life the beauty and brutality of a landscape mysterious to many outside Australia -- and indeed to the majority of people living in the country's coastal cities.

The book has now been turned into a feature film, with actor Mia Wasikowska possessing an unnerving resemblance to the real-life desert woman.

A literary life

Wearing a crisp white shirt, Davidson's broad face remains unmarked by a lifetime in the sun.

At 63-years-old, she is still as quietly striking as those images of a fair-haired girl on camel-back staring fiercely into the camera three decades ago.

How do you follow an expedition of such epic proportions? In her late 20s, Davidson moved to a shoe factory in London's East End, of all places.

She fell in with a literary circle that included housemate and celebrated author Doris Lessing, and boyfriend-of-three-years Salman Rushdie.

A nomad at heart, Davidson lived across the world, shifting like the sands of her impressive landscapes.

Now she's back in the UK capital to write her memoirs -- about as far away as you can get from her extreme pilgrimages, including two years traveling with nomads in north-west India in the 1990s.

Pleasure and pain

"Why not?" has become Davidson's enduring response to why she ventured into Australia's great unknown in the 1970s an era before.

Where other people might see a vast expanse of arid nothingness, Davidson saw the desert as a "limitless garden," a place "teeming with life."

It was a desert she traversed without GPS trackers and high-tech camping kit.

Learning bush skills from the aboriginal communities she met along the way, Davidson ate witchetty grubs -- which to the easily-queasy might resemble enormous maggots.

She quickly learned not to trust her maps in this unchartered landscape, and instead followed animal tracks towards water.

Not bad for the girl who police initially wouldn't register a rifle to, because they thought they'd have to go chasing after her when she got lost.

Real-life romance

Even Smolan -- the 27-year-old photographer who spent three months with Davidson at intermittent points throughout the journey -- was convinced that each time he looked back at her in his rear view mirror, it would be the last.

"There were herds of wilds animals, crazy people out there," he says over the phone, the sound of traffic blaring in the background of his native New York.

"Her camels could have thrown her, she could have broken a leg, she could have gotten lost. It's the kind of place where if you take the wrong road, after three weeks you come to a fence and find you're out of water."

Much is made in the film of the pair's romantic coupling, but in the searing heat it was a relationship tempered by more complex emotions -- some still raw for Smolan.

"I was resistant to Rick because I felt I'd sold out to National Geographic," says Davidson, who never intended to write about her personal pilgrimage at all.

"He's a sweetie, but hopeless in the desert. But when you are forced to deal with somebody, you either kill them or you learn tolerance. And we're still very good friends so... I think it forged a very deep friendship actually."

Smolan has a different take: "It was much more of a romance -- at least on my side -- then it was in the movie."

"I was pretty smitten and you can see that in the photographs," he says of the "intense and fascinating woman who didn't want me there."

"She had no idea how beautiful she was. Several times I developed my pictures and brought them out to show her, thinking I could win her over -- because most women like it when you show them how beautiful they are. And I remember being really stunned that the more beautiful my pictures where of her, the more she hated them.

"She just said: 'I'm not some god dammed model out here."

Four-legged family

Was Davidson's real adoration for her faithful dog Diggity and four camels, a type of ramshackle circus family inching across the desert together?

"The love story of the movie is much more between her and the dog, than her and me," says Smolan, chuckling good-naturedly. "This little dog was like her protector. If there were snakes, if there were intruders... Diggity had her back."

But why camels? "They're the perfect form of transport," explains Davidson matter-of-factly in her book. "One sees little by car, and horses would never survive the hardships of desert crossings."

This was not about conquering nature, she says, bristling at the suggestion. Instead, Davidson wanted to meld into the environment, her skin slowly turning the same reddish brown as the ancient lands she walked.

"Maybe for men it's a longing to conquer something. They conquer the mountain, they conquer something in themselves. I never felt that way. For me it was more of a merging into, entering into, becoming part of."

Tough love

She'd see other travelers "hurtling through the desert in a four-wheel drive, with two-wave radios, and iceboxes, and think -- why bother?"

"My procedure across that desert was about getting rid of stuff -- both physically and metaphorically."

Did that include the memory of her mother's suicide when she was 11-years-old, as suggested in the film?

Davidson sighs, and you get the feeling it's a diagnosis she's heard many times before.

"It kind of seems to say that for a woman to have done anything extraordinary, she has to be a bit strange, or have something to work out, or there has to be some sort of dark thing in her past.

"I don't think my mother's death had much to do with it at all, frankly."

Myth and memory

These days, where even NASA astronauts can tweet every step of their missions to millions across the world, Davidson's slow and deeply personal journey feels all the more rare -- and mysterious.

"It's a tale with mythical elements," she says, her gray eyes revealing the only hint of sun damage on her serene face.

"If you think of all the enduring stories in the world, they're of journeys. Whether it's Don Quixote or Ulysses, there's always this sense of a quest -- of a person going away to be tested, and coming back."

How lucky we are she did.

Inspire: Nat Geo female photojournalists perfect shot

Quiz: Women writers who turned pages of history

@highlight

Remarkable woman who crossed Aussie outback on camel

@highlight

Book "Tracks" became bestseller and now a feature film

@highlight

Nat Geo photographer and lover documented epic trip

@highlight

Journey took nine months, with searing 120F heat