(CNN)Russia is rarely out of the headlines these days -- often for controversial reasons -- but does that mean it should be avoided by tourists?

Since the collapse of the Soviet Union the country's status as a travel destination has grown steadily, with visitors drawn as much by the spectacular architecture and history of Moscow and St. Petersburg, as by the people and rich culture.

However, recent events in Ukraine and the Crimean region have dealt a blow to this popularity, and could spell further trouble for Russia's tourism industry in 2015.

Ironically, with the ruble taking a significant hit after the West slapped sanctions on Moscow following the annexation of Crimea and tensions in eastern Ukraine, there's seldom been a cheaper time to go for visitors from many countries.

But will they go? And, crucially, should they?

Indications so far suggest that 2015 will be another tough year for the Russian tourism industry.

In the past, Russia's biggest source of visitors has been former Soviet states -- chiefly Ukraine.

"Ukraine is by far Russia's largest foreign market. Last year, tourism from that country into Russia plunged 43%," says Gillian Kennedy, an analyst for the London-based Travel & Tourism Intelligence Centre.

It's a situation mirrored across other former Eastern Bloc countries.

"Traditionally, these visitors have traveled to Russia by road, which is a cheaper route than flying. But many roads to Russia from Eastern Europe go through Ukraine, which were shut down because of the conflict."

Beyond the region, tourism from Germany, the United Kingdom and United States experienced the most significant drops -- trends Kennedy says are likely to continue in coming years.

"The political situation between Russia and the EU remains difficult, which affects the economy of Russia in a negative way," says Helen Isaeva, managing director of Moscow-based destination management company Travel Russia.

"Needless to say that Russia is currently not a popular destination to travel to for many countries there."

Russia's rail and river voyages -- usually a strong draw for tourists -- have seen a decline in interest for 2015 excursions.

According to Dmitry Esakov, director of sales and marketing for Moscow-based Volga Dream Cruises, bookings are down by up to 40%, partly due to a backlash against Russia's recent actions.

"Business from all Western countries has been affected in one way or the other," he says. "Whereas six months ago that drop down may have been mainly driven by safety concerns, now they are mostly of a political and emotional nature."

There are no major Western travel advisories warning against visiting Russia beyond its border regions with Ukraine and regions that have previously been beset by troubles such as North Ossetia and Chechnya.

The UK Foreign and Commonwealth website notes on Russia: "Most visits are trouble free."

There's a more cautionary message from the U.S. State Department, which expresses concern about sporadic terrorist incidents, crime, harassment and demonstrations -- but there's no explicit warning to stay away.

Felix Willeke is the marketing manager for Lernidee Erlebnisreisen, a German tour operator running the Tsar's Gold Trans-Siberian train between Moscow and Beijing.

He says the Crimean crisis initially failed to dent business when it broke out in March.

Since there were no travel warnings, few people canceled.

"Nevertheless, only a few new bookings came in after April for the rest of the season -- 2014 wasn't the best year, but still, it was better than our forecasts for 2015."

Willeke says his company still plans to run its full schedule of trans-Siberian trains, even though advance bookings are already down 30%.

American tour operators have experienced similar booking trends.

Annie Lucas is the co-owner of MIR Corporation, a U.S.-based company with long roots in Russia.

At this time last year, Lucas thought that 2014 was looking to be a strong year for tourism to Russia. While events in Crimea didn't  lead to cancellations of trips already booked, there was a drop in future demand.

She says those who pulled out did so because they "were not thrilled with the notion of what was going on, and they made their decisions based on that rather than personal security issues."

Another barometer of falling demand is a cutback of 2015 tour departures by international operators.

River cruise companies Viking Cruises and Uniworld are cutting capacity, while AmaWaterways has pulled out of Russia altogether.

For AmaWaterways president Rudi Schreiner, it's partly a matter of economics and partly a matter of emotion.

"I'm the first to admit that this is both a personal and a business decision," he says. "One of my concerns is what the economic situation will be in the future.

"If there's another conflict, or if trade sanctions are being imposed, we don't want to provide support to the regime."

Economic factors are also at play, Schreiner adds.

"With the rapid decline of the ruble, it's extremely costly to bring in goods to Russia," he says. "So, we cannot guarantee that we can import the quality of goods and employ the right people to provide our passengers with the level of luxury they are used to."

Business travel has also been hit, although the news isn't all bad.

Despite the recent downturn, Asia is emerging as a potential growth market for Russia in terms of both business and leisure travel.

"Asian countries tend to be less sensitive to the politics," says Travel Russia's Helen Isaeva. "The same we hear from hoteliers: as the number of Europeans goes down, the number of Asians increases. As a result, our focus will move from the West to the East."

Outside of former Soviet states, China is Russia's largest and fastest-growing international inbound market.

According to TTIC's Kennedy: "Out of the top inbound countries, China was the only one to increase last year. As a result, Russia's national tourist agency has been making a strategic switch from West to East in the last few months."

In part, it's doing so by making visas easier to obtain, especially for Chinese groups heading to Crimea.

Those groups are needed to fill the empty rooms left by the decline of Ukrainian vacationers, who previously made up 70% of Crimea's tourism market, according to Kennedy.

Fueled by marketing efforts, easing of visa restrictions, and by the increased buying power of the yuan versus the ruble, business from China is expected to be up at least 10% in 2015.

If Westerners do venture to Russia this year, they may discover that it's actually a good time to go.

Although Viking Cruises has dry docked a portion of its Russian fleet, Richard Marnell, senior vice president of marketing, points out that "2015 may actually be the best time to visit Russia. It certainly won't be as crowded, and prices are down due to shrinking demand and favorable exchange rates against the ruble."

Lernidee's Willeke agrees.

"What many do not see in this context is that there couldn't be a better time to visit. People are friendlier than ever before, the cost for restaurants, theater visits, souvenirs, yes, even hotel overnights, are significantly lower, plus ... no queuing at the St. Petersburg Hermitage."

Laura Powell is a Washington, DC-based travel journalist. Twitter: @dailysuitcase.com | www.dailysuitcase.com

@highlight

Forecasts indicate Russia's tourism industry is on track for a tough year

@highlight

Tension in eastern Ukraine and annexation of Crimea have hit ruble, making it a cheaper time to visit

@highlight

China is now Russia's largest and fastest-growing international inbound market