Khartoum, Sudan (CNN) -- Final results of last month's referendum show an overwhelming majority of southern Sudanese voted to split from the north, a result that will lead to the creation of the world's newest nation, the referendum commission said Monday.

The chairman of the Southern Sudan Referendum Commission, which organized the vote and includes members from both sides, said 98.83% voted for separation, while 1.17% voted for unity.

"It was a peaceful process," chairman Muhammad Ibrahim Khalil said at a ceremony in Khartoum attended by Sudanese politicians, international diplomats, U.N. staff, academics and others. "It was a transparent process."

"Not a single person" showed up to appeal the results, he said. Preliminary results had shown overwhelming support for separation.

The commission met Monday with Sudanese President Omar al-Bashir and First Vice President Salva Kiir to present the final results, state TV reported earlier.

Al-Bashir has stated his commitment to the results and said he will accept them, state TV said.

As a result of the government's acceptance of the results, the United States is beginning the process of removing Sudan from its list of state sponsors of terrorism, U.S. State Department spokesman P.J. Crowley said Monday.

U.S. President Barack Obama announced Washington's intention to recognize Southern Sudan as a sovereign, independent state in July, when a comprehensive peace agreement with the north is due to end.

"After decades of conflict, the images of millions of southern Sudanese voters deciding their own future was an inspiration to the world and another step forward in Africa's long journey toward justice and democracy," Obama said in a statement. "Now, all parties have a responsibility to ensure that this historic moment of promise becomes a moment of lasting progress.  The Comprehensive Peace Agreement must be fully implemented and outstanding disputes must be resolved peacefully."

Obama promised the United States would support the governments of both Sudan and Southern Sudan to ensure a smooth and peaceful transition to independence.

Prime Minister David Cameron of Britain -- which ruled Sudan between 1899 and 1955 -- said he welcomed the Khartoum government's positive reaction to the results and said the United Kingdom would support the country's new chapter.

"It is a happy day for southern Sudanese," said Louis Makor, 40, an activist from the south.  "We have gained our rights, our self-determination, and I hope the best for both southern and northern Sudanese. And we will remain brothers."

Those in the north had more varied opinions.

"I think it is better," said Abd al-Aziz Ahmad, 30, a grocery store owner. "They can have their own country, and our problem in the north will lessen."

Northerner Al-Razy Yassin, 27, however, said he felt very sad about the outcome.

"I believed that our strength is in our diversity," he said. "This means the failure of the Sudanese national state, and I fear what might come."

There were tears on the face of Ikhlas Garang, a woman who is half northern and half southern, who cried, "Why are we separating? Why are we separating?"

Sudan's north and south fought a war for more than two decades, finally ending in a peace treaty in 2005 that paved the way for the referendum. The conflict, which left 2 million people dead, pitted a government dominated by Arab Muslims in northern Sudan against black Christians and animists in the south.

A majority of Sudan's oil reserves are in the south, which was another flashpoint in the war.

Several million voters, including expatriates in the United States and seven other countries, cast ballots.

Before Southern Sudan can become independent, the two sides still have to address various issues including currency, citizenship, national debt, and how to divide the majority of oil reserves found in the south. The Abyei region -- which straddles the border between the regions -- remains a disputed area between the two sides.

And as the world's newest nation, Southern Sudan would face daunting obstacles.

There is a desperate need for development in the south and a lack of a robust educated class to control the new levers of power.

A flood of refugees, eagerly returning to an independent homeland, could complicate matters in a place that already lacks enough schools and clinics and has few paved roads.

Longstanding grievances among rival southern groups could erupt in violence; several hundred southerners already have been killed in such fighting in the last year or two. Or the north could refuse to accept the results or stir tensions by trying to pit one southern faction against another.

The concerns run so deep that a year ago, Dennis Blair, then the U.S. director of national intelligence, warned the U.S. Congress of possible genocide.

"A number of countries in Africa and Asia are at significant risk for a new outbreak of mass killing" in the next five years, he said. "Among these countries, a new mass killing or genocide is most likely to occur in Southern Sudan."

Al-Bashir, wanted for war crimes after mass killings and rape in the country's western Darfur region, has said a southern vote for independence would be like "cutting off a part of the nation's body, but not the end of the world."

Still, al-Bashir has said he won't hesitate to accept the results, because peace with the south is the ultimate goal.

People in Southern Sudan have long felt dominated by the north, ever since slave-raiding parties from the region penetrated the south around 1840. The raids instilled a collective hostility toward northerners that successive generations in the south nursed until they erupted in open war.

When it ruled Sudan, Britain administered north and south as separate entities, preventing travel from one region to the other. The imbalance that resulted sparked southern fears of northern domination when the British announced plans to leave.

Southerners took up arms against the north in August 1955, six months before Sudan's independence. Most jobs in the new national government went to people from the north, which also dominated the process of drafting a constitution.

The insurgency that started in 1955 killed several hundred thousand people and forced many more from their homes, until a peace deal silenced the guns in 1972. Barely a decade later, though, war resumed after the Sudanese president split the south into three regions and sought to impose Islamic law on non-Muslims.

The 1989 coup that brought al-Bashir to power let him steer the ship of state by the compass of Islamic extremism. He praised the 1979 Iranian revolution and offered shelter to many groups the United States views as terrorist organizations.

Osama bin Laden arrived in Sudan in 1991, long before he became a household name. The United States added Sudan to its list of state sponsors of terrorism two years later.

Peace talks to end the war were well under way in 2003 when a mostly unrelated conflict erupted in the western Sudanese region of Darfur. Marginalized non-Arab Muslims there rebelled against the government by attacking a military garrison.

The Sudanese government responded by arming and cooperating with Arab militias that killed, tortured and raped thousands, mainly targeting tribes from which the rebels drew strength, according to the United Nations, Western governments and human rights organizations.

The United Nations says 300,000 people have been killed and 2.5 million displaced in Darfur, though the government of Sudan says the toll is lower.

Al-Bashir's role in Darfur led the International Criminal Court to indict him in 2009 on accusations of war crimes.

Even as the killing continued unabated in Darfur, al-Bashir's government made progress in negotiations with southern rebels. That progress resulted in a landmark agreement in January 2005 between the Sudanese government and the main rebel group in the south, the Sudan People's Liberation Movement. The Comprehensive Peace Agreement called for the referendum that took place last month.

Journalist Isma'il Kushkush in Khartoum and CNN's Aliza Kassim and Mark Bixler in Atlanta contributed to this report.

@highlight

The final results of January's vote were announced Monday

@highlight

98.83% of southerners voted for the split

@highlight

It will create the world's newest nation

@highlight

Sudan's north and south have been at war for two decades