(CNN) -- From hot air balloon to hang-gliding operators, plenty of airborne adventure outfits promise to let you "soar with the birds."

Few, however, deliver on the claim quite as literally or dramatically as Nepal's Parahawking Project.

An activity in which humans fly alongside beautiful Egyptian vultures, parahawking is one of the more sensational flight experiences on the planet.

Flights take off from the lakeside town of Pokhara -- a jumping off point for whitewater rafting, mountain biking and other adventure activities in the Nepal's Annapurna region.

Thanks to the perennial presence of thermal gusts of air, traditional paragliding is an established and popular activity in the Pokhara Valley.

Many paragliding outfits operate tandem flights in the area.

But only the Parahawking Project offers two flight companions -- mine were named "Scott" and "Kevin."

Scott Mason was my human guide.

Like most Egyptian vultures, Kevin, didn't say much, but was extremely handsome, with sharp eyes and an adorable spiked hairdo.

The founder of Nepal's Parahawking Project, Mason employs two Egyptian vultures, his preferred breeds in the air, to accompany paragliders in flight. (Kevin's feathered colleague is named "Bob.")

Inspiration strikes over beers

Like other birds, Egyptian vultures conserve energy while flying by seeking "thermals" -- rising currents of warm air that occur when the sun heats the ground.

Thermals are also important to paragliders, who use them to stay aloft for longer periods of time.

Parahawking involves using trained birds to locate thermals.

Human paragliders follow the birds as they fly, rewarding the birds with a piece of meat after they've been guided to a thermal.

"The birds land on the passengers' gloved hand for an inflight reward," according to the Parahawking Project website.

The idea of using vultures to lead paragliders first came to Mason in 2001.

Mason says inspiration struck over beers with the man who kick-started Nepal's paragliding industry.

"The more beers we had, the better the idea seemed," he says.

"Luckily, it still seemed like a good plan in the morning."

Taking flight

Though a few other operators around the world have begun offering parahawking flights, Mason, who says he's always been "a bird guy," says his project is the original.

In the eight years since the tandem flights with vultures took off, Mason has had a number of interesting experiences.

One involved a client with no arms for the birds to land on -- a fact the man failed to mention until go time.

Then there was the vegan who decided, after jumping, that she couldn't bear to touch the buffalo bait.

The best part of the job "is when a passenger is reduced to tears as the bird comes and lands on their arm during a flight," says Mason.

Magical experience

Standing on a cliff on a sunny morning, Mason hands me a long leather glove.

This will be Kevin's perch when he alights midair on my arm.

His motivation will be the raw buffalo meat tucked into my fist.

The whole parahawking experience, which lasts about 30 minutes, is surreal.

With 8,000-meter, snow-capped peaks reflecting in the lake below, the views from the sky are phenomenal.

When Kevin finds us a strong thermal, we quickly follow and ascend, and then he's called over for a reward.

Sheer joy overwhelms the senses when sharing the skies with a bird at 2,000-plus meters.

The concept is simple, the feeling magical.

Conservation efforts

In Pokhara, parahawking is roughly twice the price of a standard tandem paragliding session.

From the â‚¬125 ($170) parahawking fee, however, 1,000 Nepalese rupees (about $10.50) are donated to vulture conservation projects in Nepal.

Parahawking is just part of Mason's mission to educate people on the value of vultures and threats posed to their existence.

He's also helped established the Ghachok Vulture Restaurant, a community-managed safe vulture feeding site near Pokhara.

Tourists sign up with the "restaurant" and those lucky enough to receive a forthright "cow dead" text are invited to see the birds devour a carcass.

The parahawking season runs from about October to April.

Bookings are made through the Parahawking Project website or at the Blue Sky Paragliding office in Pokhara.

The Parahawking Project, Maya Devi Village, Lakeside, Pokhara, Nepal; +977 98066 47917

Brandi Goode is a freelance writer based in Tokyo.

@highlight

In parahawking, Egyptian vultures guide paragliders to sky "thermals"

@highlight

Paragliders hold raw buffalo meat in their fists to reward the birds for guiding them

@highlight

With each flight, about $10.50 is donated to vulture conservation projects in Nepal