(CNN) -- At the celebration of the 50th anniversary of the passage of the Civil Rights Act, four presidents remembered the battles and honored those who fought to form "a more perfect union" on the path to economic, educational and voting equality.

But, for one of those heroes, it was also a time to pause and acknowledge the progress. And for one president, it was a time to honor another.

The four presidents -- Jimmy Carter, Bill Clinton, George W. Bush and Barack Obama -- led the observances, appropriately, at the Lyndon B. Johnson Presidential Library in Austin. It was President Johnson who in 1964 secured the passage of the Civil Rights Act, and in 1965, the Voting Rights Act -- the latter eviscerated last year by the Roberts Court.

President Obama thanked "the warriors for justice, the elected officials and community leaders who are here today." Those who ended segregation and ushered in the most significant change in America since the Civil War were indeed, "warriors for justice."

One of the warriors present was Rep. John Lewis who was in his 20s when the battles for Civil Rights were raging across the South, and indeed, all America.

Lewis was attacked dozens of times. The bus he was riding was firebombed in Anniston, Alabama. He suffered a fractured skull from a policeman's club on the Selma Bridge and was beaten unconscious in a Montgomery bus station.

It was men and women warriors like Lewis who first moved Americans, and then moved the federal government, to guarantee the basic human rights they demanded. The rights were as simple as ordering a sandwich and drink at a lunch counter, and as profound as being able to vote.

Introducing the President, Lewis said, "President Barack Obama was born into a dangerous and difficult time in American history, a time when people were arrested and taken to jail just for sitting beside each other on the bus."

"When people say nothing has changed, I say come and walk in my shoes, and I will show you change."

President Obama keyed his theme to honor President Johnson. "Because of the civil rights movement, because of the laws that Lyndon Johnson passed, new doors swung open," he said. "I have lived out the promise of LBJ's efforts. ... Michelle has lived out the legacy of those efforts. ... My daughters have lived out the legacy of those efforts."

Doors swung open, Obama said, "not all at once, but they swung open. Not just (for) blacks and whites, but also women and Latinos; and Asians and Native Americans."

"In a time when cynicism is too often passed off as wisdom, it's perhaps easy to conclude that there are limits to change; that we are trapped by our own history; and politics is a fool's errand," he said, adding, "I reject such cynicism."

We "cannot be complacent," he said. "Our rights, our freedoms -- they are not given. They must be won." Obama added, "We remain locked in this same great debate about equality and opportunity."

Earlier in the week, former President Jimmy Carter struck a similar theme: "We still have gross disparity between black and white people on employment (and) the quality of education," said Carter. "But we feel like, you know, Lyndon Johnson did it -- we don't have to do anything anymore. I think too many people are at ease with the still existing disparity."

Former President George W. Bush, who spoke at the conclusion of the Summit said, "I fear that the soft bigotry of low expectations is returning, and for the sake of America's children, that is something we cannot allow."

Former President Bill Clinton homed in on the erosion of the Voting Rights Act, and partisan divisions. "We all know what this is about: This is a way of restricting the franchise after 50 years of expanding it," Clinton said. "Is this what Martin Luther King, Jr. gave his life for? Is this what Lyndon Johnson employed his legendary skills for?" he asked.

"I am concerned that on this 50th anniversary, these divisions and the lack of a spirit of coming together put us back in the dustbin of old history," Clinton said.

Obama echoed Clinton, saying, "One concern I have sometimes during these moments (is that) from a distance, sometimes ... they seem easy. All the pain and difficulty and struggle and doubt -- all that is rubbed away."

Bush reminded the audience about the importance of education in ensuring equality for all. "It is not a coincidence that many of the defining struggles of the civil rights era -- from Little Rock Central to the University of Mississippi -- took place in educational settings. Those who engage in oppression and exploitation always deny real learning. Those who fight oppression always insist on equal education. Through civil rights laws, we assure justice in the present. Through education, we secure justice for the next generation."

There is still more work to do. More work by my generation, which includes the President. And more work by those coming up now.

Obama exhorted young people especially not to succumb to despair or cynicism because the struggle seems too hard. "We've got a debt to pay," he said. President Johnson "believed that together we can build an America that is more fair, more equal, and more free than the one we inherited. He believed we make our own destiny. And in part because of him, we must believe it as well."

If we still believe, we shall overcome one day.

Join us on Facebook.com/CNNOpinion.

@highlight

Donna Brazile recalls the 50th Anniversary of the Civil Rights Act

@highlight

Four presidents honored civil rights heroes and Lyndon Johnson, who signed act

@highlight

President Obama called them "warriors for justice"