LONDON, England (CNN) -- They were entrusted with gold.

The Beatles, shown here in 1964, left behind a wealth of material, which was carefully handled by EMI's engineers.

When the Beatles' longtime record label, EMI, decided to remaster the Beatles' music, they gave the raw material to a handful of men. Among them were EMI engineers Allan Rouse, the project coordinator, and Sean Magee.

Rouse, in particular, was familiar with the tapes. He was the person who had copied them from their original analog form to digital as a safety backup in 1991. He's since worked on the Beatles projects "Live at the BBC," "The Beatles Anthology" and "Let It Be ... Naked."

CNN's Jim Boulden was given the chance to sit down with Rouse and Magee. The following is an edited and condensed version of the interview. For the complete interview -- including some technical details -- click here (.pdf file -- requires Adobe Acrobat)

CNN: Why was this project taken and why so long?

Rouse: It was started 4 1/2 years ago and it has taken over that period of time about a year to do the whole thing. On average about two weeks per album. Explore a timeline of the Beatles over the decades

CNN: What does this allow you to do that you couldn't have done to these songs before?

Rouse: When they were originally transferred to CD in 1986, digital technology was in its infancy and the gap of 22 years has allowed for a great increase in that technology. So the transfers are far superior now and that was before we actually did any work to them.

In addition to that, we had decided that we wanted to remove or improve technical faults within the recordings that could have been a bad edit, a dropout, vocal sibilance, vocal pops. Things that were directly related to the technical recording rather than the human recordings, so in other words we haven't taken out breaths or little coughs or squeaky chairs or Ringo's occasional squeaky bassdrum pedal.

CNN: Tell us about the process? And that is where you came in [Sean].

Magee: The first part of the process is choosing what equipment you are going to use to do the image and the transfers. ... And then after choosing ... everything was transferred track by track into protocols, making sure the tape heads were nice and clean and the tape speed was constantly monitored, so the best possible transfer could happen.

Then Guy Massey, who did all the transfers, went in with the restoration engineer -- a guy named Simon Gibson -- they then looked at all the various ticks, pops, sibilance and sorted all that out. ... That now becomes your master tape and that's when we started, really.

CNN: Each [song] had its own challenges?

Magee: Absolutely.

CNN: What were the differences? Would it take a week on a song, six months on a song?

Magee: More likely four or five hours on a song. On average we took about two weeks per album. But sometimes it might be three or four hours on a song, it might be 10 minutes on a song.

CNN: How much involvement was there from the Beatles themselves?

Rouse: They weren't involved in the process. Obviously they have to sign off on it. So when we finished it, we provided them with a copy of every album. But the process was over such a long period of time and it would be very complicated to have involved them anyway. I'd like to think they have some trust in us because we've done numerous other jobs for Apple.

CNN: And you haven't heard back and that is good news?

Rouse: Basically, if the phone doesn't ring, that is good news, yes.

CNN: There always will be people who say ... you are messing with something in the original --

Rouse: Playing with the crown jewels.

CNN: There probably will be a critic out there that will complain.

Rouse: Yes.

CNN: But you are clearly pleased with your outcome?

Rouse: Yes, I think, actually before we even started work on them, by doing an [equalization] ... they actually sounded better and I think quite frankly, probably the closest they have sounded to the original masters, than they have done ever before.

CNN: Anything surprise you by going through this whole process?

Rouse: Probably the only surprise is that when I started buying the vinyl in the '60s, I bought stereo, so I had never heard mono, and to be honest with you it was actually quite a fascinating experience to sit and listen to, particularly "Sgt. Pepper" in mono.

I mean, up until "Sgt. Pepper" and beyond, up to the White Album in fact, the monos were considered to be the real masters in the sense that in the '60s Britain wasn't up to speed, we hadn't quite got to stereo. The only people who really had stereo in those days were people who could afford it and invariably that meant they were listening to classical music or middle-of-the-road music. ...

To suddenly hear the monos, I don¹t think, in fact, I had listened to the mono "Sgt. Pepper" in all the years I have been doing Beatles work. Until this particular time.

CNN: The press release says you took out bad edits. I didn't know there would have been bad edits in the original Beatles.

Rouse: There wasn't many to be honest, I mean it was just an issue that we could deal with now. There were a few songs where they had created it over two takes and they wanted to use a part of one take and a part of another, and sometimes the edit wasn't as good as it could be. In some cases we couldn't do anything about it, But if we could we would try and smooth it over so it wasn't so obvious.

CNN: Did you achieve [what you were going for]?

Rouse: I think that's up to other people to judge, isn't it. ... It was a team effort. And I think that was the most important thing, one person wasn¹t involved in just doing the one thing. In fact it would have been ...

CNN: Awful?

Rouse: ... it would have been unfair.

CNN: Was there a time pressure as well?

Rouse: No there was no time pressure. There was a possibility of them coming out sooner, but we were way up anyway by that point. That got extended.

I think that when EMI put the press release out, we all did a double take and thought, "Oh my God, they're coming out now. We can¹t do anything about it now. Should we go back and start again?" There was some fear and trepidation at that point. Realizing that after four years not quite knowing when they were gonna come out, to suddenly be told "That's it, no more time lads. You're finished." iReport.com: Share your review of the Beatles box sets

CNN: And now they are ready for digital downloads if we get to that point.

Rouse: They are. If they do.

@highlight

Engineers spent more than four years on Beatles catalog remastering

@highlight

Group strived to stay as close to originals as possible, yet clean up flaws

@highlight

One of the biggest surprises: hearing the mono versions