(CNN) -- Venezuelan President Hugo Chavez froze diplomatic relations with Colombia late Tuesday, citing verbal aggressions from the neighboring South American country.

Venezuelan Foreign Minister Nicolas Maduro speaks to journalists on Monday in Caracas.

The televised announcement followed declarations from the Colombian government Monday that anti-tank weapons purchased by Venezuela ended up in the hands of the guerrilla Revolutionary Armed Forces of Colombia, known as the FARC. In addition, Colombian President Alvaro Uribe said the guerrillas were trying to buy anti-aircraft missiles. Venezuela received a shipment of Russian SA-24 Igla shoulder-fired missiles earlier this year and showed them off at military parade in April.

Chavez recalled Venezuela's ambassador to Colombia, as well as most of the embassy's staff.

"Leave only the lowest functionaries," he said.

Chavez also threatened to take over Colombian companies operating in Venezuela if Colombia offends Venezuela one more time.

Colombia's claims are "mistaken," added Chavez, who called the country's leaders "irresponsible."

There was no immediate reaction from the Colombian government.

Tuesday's developments came one day after Chavez signed a military agreement with Russia to buy enough BMP-3 armored fighting vehicles and T-72 tanks to double the nation's inventory, according to the Jane's Defense Weekly publication. Chavez said he will use the tanks in his "Western Shield Plan" on the border with Colombia.

Tensions between the two countries have been high since March 2008, when Chavez ordered tanks to the border in response to a Colombian attack on FARC bases in Ecuador. More recently, Chavez has severely criticized Uribe for entering into negotiations to allow the United States to open military bases in Colombia.

The United States says it needs the bases because Ecuador has ordered the closing of a U.S. installation there. Chavez accuses the United States of wanting the bases so it can attack Venezuela.

Analysts say Chavez's actions toward Colombia are tied to his feelings toward the United States.

"Chavez hates the United States and he wants to lead a group of countries that don't pay attention to the United States," said Myles Frechette, the U.S. ambassador to Colombia from 1994-97. "Uribe is a guy who is in tune with the United States."

Frechette notes that "Colombia and Venezuela have complementary economies" and could sell more goods to each other under better conditions.

Jennifer McCoy, director of the Americas Program at the Carter Center, makes the same point.

"It's a conflict between two ideologies between two countries that are mutually dependent on each other," she said.

The latest dust-up started Monday, when Colombia accused Venezuela of selling arms to the FARC.

Colombian Vice President Francisco Santos said army troops had found AT-4 shoulder-fired grenades in recent raids on jungle camps used by the FARC.

"This is not the first time that this happens," Santos said. "In several operations in which we have recovered weapons from the FARC, we have found powerful munitions and powerful equipment, including anti-tank weapons, from a European country that sold them to Venezuela and that turned up in the hands of the FARC."

The guerrillas were trying to buy anti-aircraft missiles, Uribe said. Analysts say that could change the guerrilla war's dynamics.

"The AT-4 is much less of a heavy weapon, but surface-to-air missiles would give the FARC a much greater military capability," said Anna Gilmour, senior America's analyst for the Jane's Country Risk consultancy group.

Uribe said Monday that must not be allowed to happen.

"The international community must help us," he said. "These bandits have historically been able to rely on many sources for armaments. We have found out through intelligence that they are now looking to buy surface-to-air weapons to use against our airplanes."

Venezuelan officials denied any involvement.

"To me it seems that this is a new attack against our government based on lies," Venezuelan Minister of the Interior and Justice Tareck El Aissami said at a news conference Monday. "We absolutely deny that our government or our institutions are providing assistance to criminal and terrorist organizations.

"It's laughable, it sounds like a cheap film made by the American government."

Sweden probes 'serious incident'

Officials in Sweden, where the anti-tank weapons were made by Saab Bofors Dynamics, verified that the AT-4s were sold to Venezuela in the 1980s.

Anders Jorle, Sweden's foreign ministry spokesman, told CNN the government "considers this as a serious incident" and is investigating.

"We've been in contact with Colombian and Venezuelan authorities to clarify how this happened," Jorle said Tuesday. "The weapons were part of a lot sold to Venezuela 20 years ago. No weapons have been exported to Venezuela since 2006."

The Swedish Foreign Ministry added that the Swedish Inspectorate of Strategic Products, the authority responsible for checking weapon exports, will consider not selling any more weapons to Venezuela.

The FARC most likely acquired the AT-4 grenade launchers in the past 18 months, said Jane's analyst Gilmour.

This is not the first time that Venezuela has been tied to the FARC, which has been fighting the Colombian government for more than 45 years.

Last fall, the U.S. Treasury Department accused two senior Venezuelan intelligence officials and a former official of providing weapons to the FARC and assisting the rebels with narcotics trafficking. The U.S. identified one of the individuals as Hugo Armando Carvajal Barrios, director of Venezuela's Military Intelligence Directorate.

Another individual was identified as Ramon Emilio Rodriguez Chacin, who was Venezuela's Minister of Interior and Justice until September.

Rodriguez Chacin was "the Venezuelan government's main weapons contact for the FARC," the Treasury Department said. "The FARC uses its proceeds from narcotics sales to purchase weapons from the Venezuelan government. Rodriguez Chacin has held numerous meetings with senior FARC members, one of which occurred at the Venezuelan government's Miraflores Palace in late 2007. Rodriguez Chacin has also assisted the FARC by trying to facilitate a $250 million dollar loan from the Venezuelan government to the FARC in late 2007."

Computers recovered last year in the Colombian attack on the FARC base in Ecuador showed that "Chavez has been heavily involved with the FARC," said Susan Kaufman Purcell, director of the Center for Hemispheric Policy at the University of Miami.

"Chavez has been modeling himself more on what [former Cuban leader Fidel] Castro used to do in terms of helping insurgencies and destabilizing countries," Purcell said.

Analysts point to Venezuela's increasing militarization as a threat to stability. From 2005-07, Venezuela bought $4.4 billion in weapons and military hardware, including 24 Sukhoi-24 aircraft, 50 combat helicopters and 100,000 AK-103 assault rifles, Gilmour said. Last year, Russia extended a $1 billion credit line for further acquisitions.

"Venezuela has been trying to frighten everyone in the region by buying Russian weapons," said former U.S. envoy Frechette.

He said Chavez has become increasingly frustrated that he doesn't always get his way, such as in his relations with Colombia. So he turns to the Russians.

Analysts: Chavez role in military sales in question

Chavez's involvement in the sale of the anti-tank weapons to the FARC is open to discussion, though.

"The more interesting question is how they got there and whether Chavez had anything to do with it," Purcell said.

Frechette agrees, saying, "Nobody can say this was done by Chavez."

The former envoy believes there's a good chance that the sale was carried out by corrupt officers without Chavez's involvement.

"Don't underestimate the corruption in that country," he said, adding that some military officials might have "discovered these things that have been sitting in a warehouse since the 1980s."

Whether Venezuela would sell surface-to-air missiles also is open to discussion.

Gilmour says Venezuela will want to safeguard its stockpile.

"Venezuela would not want any kind of seepage because the missiles were acquired so recently and Venezuela-Russia relations are pretty positive at the moment," she said.

Purcell said Russia might not care, pointing out that "Castro did all sorts of things that the Soviets didn't like" but still kept supporting him for decades.

"Russia has a lot of different interests," she said. "It's not clear that they would walk away from the relationship."

CNN's Laura Perez Maestro and Mariano Castillo contributed to this report.

@highlight

Venezuela recalls ambassador to Colombia, most of embassy staff

@highlight

Colombia claims weapons purchased by Venezuela ended up in hands of guerrillas

@highlight

Venezuela President Chavez threatens takeover of Colombian firms in his country