(CNN) -- One by one, surviving family members and friends stepped up to a podium in Arlington National Cemetery. Before them were short lists of names, which included their loved ones -- fathers, sisters, sons and more. Slowly, they read the names, each one punctuated with a ring of a bell, to honor and remember who was lost.

A quarter of a century ago Saturday, Pan Am Flight 103 exploded in the evening skies above Lockerbie, in Scotland, killing all 259 people on board and 11 more on the ground.

Events Saturday in the United States and Britain marked the 25th anniversary of a bombing that devastated families on both sides of the Atlantic. It remains the deadliest act of terrorism on British soil.

At Arlington, a crowd used to gathering in bitter cold to remember this day each year sat beneath unseasonably warm Virginia skies. They heard from dignitaries, including Attorney General Eric Holder and Parliamentary Under Secretary of State for Scotland David Mundell.

And they paid tribute to their collective loss, their fight for justice and aviation security reform, and their sense of community -- not just with each other, but with those in Lockerbie.

"You created light out of darkness, and out of that light has come a lasting legacy," said former FBI Director Robert Mueller. "We mark your strength... May the thought of your loved ones bring a smile to your lips."

A bagpiper honored the anniversary with "Amazing Grace." Children placed flowers at the cemetery's Lockerbie Cairn. A wreath was laid and taps was played. The explosion left 189 Americans dead.

Across the Atlantic, services of remembrance were held Saturday evening at Westminster Abbey in London and at Dryfesdale Church in Lockerbie.

The anniversary was also marked at Syracuse University in New York, which was especially hard hit by the disaster.

"Today marks the 25th anniversary of the tragic crash of Pan Am Flight 103 in Lockerbie," Gov. Andrew Cuomo said in a press statement. "That day, 270 innocent lives, including 35 students from Syracuse University who were returning home for the holidays, were taken from us. As we commemorate those we lost in this horrific terrorist attack, the families and loved ones of the victims are in the thoughts and prayers of all New Yorkers. Our state and nation will never forget their loss."

The service, in the university's Hendricks Chapel, started at 2:03 p.m. ET, the time the bomb exploded (7:03 p.m. in Scotland), and was scheduled to include the recitation of a specially composed "Common Prayer for Peace."

Composed jointly by Hendricks Chapel Dean Tiffany Steinwert and the Rev. Sandy Stoddart of Lockerbie, it includes these lines: "Rising up from the ashes of tragedy, we proclaim our commitment to creating a better, more just world."

Remembrance services were also planned at the university's Lubin House in New York City.

UK Prime Minister David Cameron, in a statement, paid tribute to the "fortitude and resilience" of those affected by the bombing and said it demonstrated how "terrorist acts cannot crush the human spirit."

He said, "Though 25 years have passed, memories of the 243 passengers, 16 crew and 11 Lockerbie residents who lost their lives on that terrible night have not dimmed.

"Over the last quarter of a century, much attention has been focused on the perpetrators of the atrocity. Today, our thoughts turn to its victims and to those whose lives have been touched and changed by what happened at Lockerbie that night."

Cameron said a strong bond between the town of Lockerbie and Syracuse University, which offers scholarships to two Lockerbie students each year, represented a "lasting and optimistic legacy" that had emerged from tragedy.

After a three-year investigation, U.S. and British investigators indicted two Libyans for murder in the bombing of the New York-bound Boeing 747. Only one, Abdel Baset Ali Mohmed al Megrahi, was convicted.

Megrahi died last year in Libya, having been released from prison in Scotland in 2009 on compassionate grounds because he had terminal cancer.

Libya agreed in 2003 to pay $2.7 billion in compensation to the families of the bombing victims, although its late leader, Moammar Gadhafi, always remained cagey about admitting official Libyan involvement in the bombing.

@highlight

Services are held in the United States and Britain to remember those killed

@highlight

It's been 25 years since Pan Am Flight 103 exploded in the skies above Lockerbie, Scotland

@highlight

Syracuse University remembers 35 of its students who were on the plane

@highlight

Prime Minister David Cameron says memories of the 270 dead "have not dimmed"