(CNN) -- Iraq is on the edge of the precipice as a consequence of the standoff between Shia Prime Minister Nuri al-Maliki and Sunni Vice President Tariq al-Hashimi, with the former accusing the latter of engaging in terrorism and the latter accusing the former of dictatorial ambitions. This crisis involves all three major sectarian and ethnic groups in Iraq, with al-Hashimi taking refuge in the autonomous Kurdish region of Iraq as a guest of Iraq's Kurdish President Jalal Talabani.

What happens over the next couple of weeks will determine whether Iraq will continue to exist as a unified state or begin to irretrievably unravel in sectarian strife.

Two realities stand out in the midst of all the noise and fury currently surrounding the debate in and over Iraq.

First, it is clear that the American venture in Iraq has ended in abject failure at the cost of 4,500 American lives and between 100,000 and 200,000 Iraqi lives. No weapons of mass destruction were found in Iraq, nor was any link established between the Saddam Hussein regime and al Qaeda. Furthermore, as the events of the past few days demonstrate, the United States has been largely unsuccessful in establishing an inclusive, democratic order in Iraq, another objective touted by Washington to justify the invasion of Iraq in 2003.

What the American invasion ended up doing was creating unprecedented sectarian strife and totally debilitating Iraqi capabilities, thus tilting the regional balance of power in the energy-rich Persian Gulf substantially in favor of Iran.

Second, it is only Iran that can now prevent Iraq from sliding into the abyss of chaos and disintegration. This argument has a simple logic. Iran is the country with the greatest leverage with the Shia-dominated al-Maliki government. In fact, al-Maliki would not have been able to put together a coalition after haggling for nine months, and become prime minister for a second time after the last elections, had Iran not weighed in on his behalf. Iran is also the state with the greatest stake in keeping Iraq unified and ensuring its sovereignty, because Iraq's disintegration could adversely affect Iran's national integrity and its aspirations to become a regional leader in the Middle East.

While the major Shia parties in Iraq -- the Dawa Party, the Sadrists, and the Islamic Supreme Council of Iraq -- are not Iranian creations per se, all of them are beholden to Iran in multiple ways. Their leaders lived in exile in Iran during Hussein's rule, and the Islamic Revolutionary Guard Corps trained their militias. Their links with the IRGC and the militias' dependence on Iranian training and weaponry continue to exist. Whenever the going gets tough for any Iraqi Shia faction, its leaders take refuge in Iran, as Muqtada al-Sadr did time and again over the past few years.

Iraqi dependence on Iran is bound to grow now that the Americans -- who had tended to favor the Shia over the Sunni in Iraq -- have departed the shores. The al-Maliki government, its current bombast notwithstanding, will soon realize -- if it has not done so already -- that it is surrounded by a host of latently hostile Sunni Arab neighbors, from Saudi Arabia and Jordan to Egypt and potentially Syria. Iran is its only dependable ally and one which it cannot afford to alienate.

Iran also forms the lifeline of the Iraqi economy, especially in the predominantly Shia south. Iranian pilgrims flock to the Shia holy cities of Najaf and Karbala, providing livelihood to thousands of Iraqi citizens. Cheap Iranian manufactured products flood the Iraqi market, and Iranian contractors are involved in infrastructure projects such as power, health and housing.

Iran is now Iraq's second largest trading partner after Turkey, which has a near monopoly on trade with Iraqi Kurdistan. Additionally, Iranian financial support keeps many Iraqi Shia institutions, parties, and leaders afloat.

In short, the Iraqi government's dependence on Iran in political and economic terms is of a very high order. This provides Tehran with enormous leverage that it can use, if it so desires, to compel the al-Maliki government to undertake a radical course correction and return to the model of a more inclusive political system rather than one based simply on Shia demographic strength. Shiites constitute approximately 60% of the Iraqi population, with Sunni Arabs and predominantly Sunni Kurds each accounting for about 20%.

There is every reason to believe that such a course correction is in Iran's long-term interest for a number of reasons. First, if the Iraqi state disintegrates as a result of al-Maliki's policies, Iraqi Kurdistan, currently an autonomous entity, will be emboldened to declare itself a sovereign, independent state. This would run contrary to Iranian state interests, since Iran is also home to a restive Kurdish minority whose demands for autonomy border on independence.

An independent Kurdish state next to Iranian Kurdistan would not only be a bad example (from the perspective of the Iranian state) for Iranian Kurds, it would also become a center for Kurdish irredentism, stoking demands for pan-Kurdish unity that would have deleterious consequences for both Iran and Turkey.

Second, Iran has regional ambitions not only in the Persian Gulf, but also in the broader Middle East region. The Iranian regime is fully aware of the fact that one of the major hurdles in its path toward regional pre-eminence is its Shia character. Much of the rest of the Middle East is predominantly Sunni Muslim. This was a major, if not the primary, reason that Iran's post-revolution leaders emphasized the "Islamic" rather than the Shia nature of the Iranian revolution, thus enhancing its appeal among the Sunni majority in the Middle East.

Iran's support to Muslim causes -- the Palestinian cause foremost among them -- regardless of the sectarian composition of the affected Muslim populations has added greatly to the popularity of the Islamic Republic, particularly among the Arab public.

Al-Maliki's sectarian policy is bound to hurt not only Iraqi interests, but also the image of Iran in the Middle East, and adversely affect its ambitions to act as a major player in the region, especially since Iran is perceived as the principal supporter of the al-Maliki government.

It is, therefore, in Iran's interest to rein in al-Maliki's sectarian proclivities and to maneuver to have him replaced as Iraq's leader if he is not amenable to Tehran's advice. Muqtada al-Sadr can be used by Iran to pull the rug from under al-Maliki's feet, since al-Maliki is now dependent upon the 40-member Sadrist group in Parliament to keep him in office. (The Iraqiya -- the coalition of Sunni and secular Shia groups to which al-Hashimi belongs -- withdrew its support from the governing coalition.) That the Sadrists, one of the three main Shia groups in the Iraqi Parliament, may be contemplating such a move themselves is indicated by their demand on Monday that Parliament be dissolved and new elections held.

The Sadrist agenda may, in fact, coincide better with the Iranian one, given al-Sadr's visceral anti-Americanism, which stands in sharp contrast to al-Maliki's ambivalence toward the United States. But regardless of this fact, it is becoming increasingly evident that al-Maliki's current policy runs contrary to Iran's interests. It is also clear that only Iran is in a position to force him to reverse course and thus to save Iraq from disintegration and civil war.

The opinions expressed in this commentary are solely those of Mohammed Ayoob.

@highlight

Iraq is facing a sectarian crisis with Shia, Sunni and Kurd factions

@highlight

Mohammed Ayoob: Iran has the most influence over Iraq's government

@highlight

He says it's strongly in Iran's interest to keep Iraq as a single nation

@highlight

Ayoob: The next several weeks could determine the fate of Iraq