Washington (CNN) -- Capitol Hill lawmakers made a fresh push Tuesday to gain passage of a law that punishes those who lie about earning high military honors.

The Supreme Court ruled June 28 that the Stolen Valor Act of 2006 was unconstitutional, saying it violated the free speech rights of those making false claims about winning the Medal of Honor and other combat citations.

A revised, more narrow version would make it a federal misdemeanor for anyone to benefit financially from lying about military service, records or awards. That would include receiving federal veterans and health care benefits, government contracts or jobs reserved for veterans. Similar state and federal fraud statutes are already on the books, but this law codifies sanctions for those seeking to profit strictly from false military service.

"We must defend the valor of those who have served our country, especially those men and women who have earned awards for outstanding service, but that we also must protect the very liberties for which our service men and women sacrificed," said Rep. Joe Heck, R-Nevada. "The Stolen Valor Act of 2011 would achieve both objectives."

Heck, who is also a colonel in the U.S. Army Reserves, and co-sponsor Sen. Scott Brown, R-Massachusetts, held a news conference on the Hill with supporters of the bill, including Mark Donald, a retired Navy SEAL and 2008 Navy Cross recipient.

"It's not about really a person. The awards represent character, they represent the character of the individual," said Donald. "They represent character of the unit, character of the service, character of the country. Those awards actually don't belong to me, they belong to all of us. It's a trademark of the country is what it is, for what happened that day."

At issue before the high court last month was the constitutional value of false statements of fact, and whether Congress went too far when passing the Stolen Valor Act in 2006.

A former California politician was prosecuted by the Justice Department for publicly stating he had earned the Medal of Honor, when in fact the man, Xavier Alvarez, had never served in the military. That conviction -- and the law itself -- were dismissed.

Writing for the majority, Justice Anthony Kennedy said the law violated free speech protections.

"The nation well knows that one of the costs of the First Amendment is that it protects the speech we detest as well as the speech we embrace," he said. "Though few might find (Alvarez's) statements anything but contemptible, his right to make those statements is protected by the Constitution's guarantee of freedom of speech and expression. The Stolen Valor Act infringes upon speech protected by the First Amendment."

The high court has traditionally been skeptical of legislation attempting to limit or regulate "unpopular" speech or free expression -- such as burning the flag, picketing military funerals and the marketing of animal cruelty videos.

But Brown said the revised legislation would "punish military liars and cheats in a way that satisfies the court's concerns." The freshman senator currently seeking re-election is also a 33-year member of the U.S. Army National Guard, a colonel in the Judge Advocate General's Corps.

The original Stolen Valor Act was designed to "protect the reputation" of military decorations, citing "fraudulent claims surrounding the receipt of the Medal of Honor (and other congressionally authorized military medals, decorations, and honors)." Similar laws have been in place since 1948.

Spearheading both laws were Pam and Douglas Sterner, former Colorado natives who helped draft the legislation and who lobbied members of Congress to pass it. The couple attended the event Tuesday on Capitol Hill.

The Sterners hope technology will soon eliminate many of the military medal frauds. They have been lobbying to secure a government-funded national database of all medal citations, making it easy for the public -- employers, voters, family and almost anyone -- to check to see who has received what. Privacy concerns have blocked previous efforts.

At a Pentagon briefing on Tuesday, George Little, a spokesman for Secretary of Defense Leon Panetta, said since the Supreme Court decision, the Pentagon had initiated a review of setting up such a database.

"We are exploring options to stand up a database of valor awards and medals, we haven't arrived at a final conclusion yet, but that process is ongoing and the goal is to stand up such a database," Little said.

The Pentagon review is examining not just a database of recipients of the Medal of Honor, which Little says the Pentagon already has strong informational control over, but also many of the other medals of valor, such as the Silver and Bronze Stars and the Navy Cross.

Completing a database with so many awards and matching them to names of recipients going back as early as the Vietnam or Korean wars would pose an organizational challenge, something Little said would have to be addressed in the review.

"There are some complexities involved in looking back into history, we would obviously hope to be able to go as far back as possible, but we also want there to be integrity in the data," Little said.

One other complexity the Pentagon will have to examine is how to get around releasing names and operations of troops wounded on classified missions.

"Those are the kinds of things that we know we're going to have to look at," said Pentagon spokesman Navy Capt. John Kirby.

CNN's Juanisha Brooks and Mike Mount contributed to this report.

@highlight

The Stolen Valor Act of 2006 was deemed unconstitutional by the Supreme Court

@highlight

The high court said it infringed on the First Amendment right to free speech

@highlight

A Colorado couple has spearheaded efforts to get the laws passed