Washington (CNN)Former New York Gov. Mario Cuomo's death leaves American liberalism with one fewer voice, but his former colleagues say his words and deeds as governor of New York will echo long after his passing.

New York Rep. Nita Lowey, who worked with him as assistant secretary of state before she was elected to Congress, said part of his power was how he couched the liberal ideal of government as a helping hand for the needy in relatable terms.

"What was so important to my development was his absolute conviction that people wanted a hand up, not a handout," Lowey said.

New York Democratic strategist Hank Sheinkopf said much of his appeal and legacy — and why he remains a rarity in politics today — is that he was unapologetic in his ideals and beliefs.

"He didn't need any spin doctors. He didn't need to be told what to do. If he had something on his mind he said it, he told you exactly how he felt, and he didn't regret any of it," Sheinkopf said.

RELATED: Former New York Gov. Mario Cuomo dies at 82; we've 'lost a giant'

Still, his allies admit that his soaring oratory was at times constrained by the earth-bound realities of a difficult economy and partisan opposition in the statehouse.

Former New York Democratic Assemblyman Paul Tokasz said that he was often met with disappointment by teachers' unions and other constituencies in the state with a budget that might have been balanced but didn't do enough for them.

"There were some difficult conditions in the late 80s, early 90s, in terms of fiscal conditions of the state and I think he realized that," Tokasz said. "It's never easy satisfying all of your constituencies."

He remembered that in the early 90s during a year when the governor had promised a certain level of funding for education that he ultimately couldn't deliver on because of the state's financial difficulties, Cuomo admitted during his subsequent state of the state address that "he was disappointed in himself because as an executive he had failed."

Many of his accomplishments were "prosaic," said Harold Holzer, one of his spokesmen. Cuomo passed the nation's first mandatory seatbelt law, vetoed the death penalty for the dozen years he was in office and supported an assault weapons ban.

RELATED: Cuomo and Clinton: A complicated, but mutually beneficial, relationship

At a time when crime was rampant in New York City in particular, Cuomo built more jails in New York than any other governor in the state's history, hardly an accomplishment many liberals would tout but one his contemporaries hailed as fruitful and necessary.

Cuomo also named the 90s the "decade of the child" and worked to encourage more investment in early childhood education, though many of his efforts on that front didn't bear fruit until he was out of office.

Holzer said, however, the little things mattered to the governor.

"The seatbelt law and requiring deposits on bottles seem prosaic, but he liked the nitty-gritty things," Holzer said.

But the disappointments of his tenure might be overshadowed by his use of a lofty rhetorical talent to defend and promote his unapologetically liberal beliefs.

Cuomo's value as an "eloquent voice for the voiceless," Holzer said, was "difficult to discount," at a time when many of the liberal beliefs he espoused were taking a pummeling in the public sphere by Republicans, led by then-President Ronald Reagan.

RELATED: Obama on death of Mario Cuomo: He was a 'determined champion of progressive values'

"His impact was reminding people of conscience that there were issues left to be addressed," he said, remembering his 1984 Democratic National Convention speech -- and landmark public event .

It was a voice that "brought morality into the public sphere and kept it there," Sheinkopf said, by issuing a fiery and convincing speech defending legal abortion, despite his deep Catholic beliefs, in an address to Notre Dame University.

"It took tremendous courage as a Catholic to stand up at Notre Dame and take on his church on abortion," Sheinkopf said.

It was a voice that brought the parties to the table for a measured and substantial discussion on the issues, many of his contemporaries said. Rep. Charlie Rangel remembers that "those of us in the legislature always have problems with the executive," but that Cuomo was still effective.

"What we're talking about here, though, is a man that had the intellect and ability to work with Democrats and Republicans and get the ball moving forward," Rangel said.

When Cuomo campaigned in Tokasz's conservative upstate New York-district, where it was "much more conservative," he said, Cuomo would still take up the debate on less popular issues.

"The governor was very good at articulating his position and using substantial arguments to support his position," he said.

His death leaves one clear inheritor of his legacy, both "literally and figuratively," Lowey said — Andrew Cuomo, his son who was sworn in to a second term as governor shortly before the elder Cuomo passed away.

"Andrew Cuomo, as governor, because of his pragmatism has been extraordinarily successful in actually putting in policies to implement Mario's vision," Lowey said.

In some ways President Barack Obama, also known for his oratorical skills, is another inheritor of his legacy — but like Cuomo, Obama faced the same constraints of governing at a time of recession and austerity, in the face of an often unwilling and intractable legislature.

RELATED: New York area Republicans praise liberal icon Cuomo

In others, the resurgence of the liberal left may have its roots in Cuomo's tenure as governor. New York City Mayor Bill de Blasio's unabashed commitment to liberal ideals against a skeptical city echoes in many ways the governor's commitment to criminal justice reform, civil rights and other

And Sen. Elizabeth Warren, another rising liberal star, may echo Cuomo in her fiery speeches on Wall Street and the middle class.

But in many ways the conditions that created Cuomo, and made him such a valuable figure in liberal politics, have passed.

Even then, Cuomo was aware that words can only go so far, and that Americans' patience for the careful phrasing and nuanced argument he was so apt at delivering had already begun to wear thin.

"I've learned that the only way to communicate successfully" as a governor, he told a group of reporters during an exit interview with reporters, "is simplicity and reiteration. Constant reiteration of simple ideas."

And he acknowledged, "I have also decided I'm not capable of doing it."

Rangel said that today's often toxic atmosphere of partisanship makes it difficult for anyone to have the sort of conversation with the public that Cuomo revered and did so well.

"I don't think anyone could get out of the billions and trillions of dollars that have been poured in for [the parties] to negatively attack each other," he said.

"But if there's anyone that could do it, it would've been Mario Cuomo."

People we lost: 2014

@highlight

Gov. Mario Cuomo's most lasting legacy remains his "eloquent voice for the voiceless"

@highlight

While his accomplishments as governor were often more "prosaic," he moved Americans with his speeches

@highlight

His son, supporters say, is a clear inheritor of his legacy