(CNN) -- Take your thumb and hold it out directly in front of you, away from your face. Now close the left eye. Open it and close the right eye.

Your thumb appears to have moved, even though you didn't move it with your arm. Three-D technology capitalizes on this effect, taking advantage of the brain's ability to fuse two images into one. Those glasses that you have to wear when watching something in 3-D are basically helping your brain interpret two flat images as one object that has depth.

With the success of "Avatar," a cluster of 3-D movies, including "Alice in Wonderland" and "How to Train Your Dragon", are making their mark in Hollywood. Martin Scorsese recently announced plans to direct a 3-D film later this year. Nintendo also announced plans for a 3-D gaming console, the 3DS. Many electronics companies have 3-D television models, bringing the opportunity for this enhanced viewing into the home as networks begin to air more 3-D programming. Comcast's 3-D channel aired the Masters Golf Tournament earlier this month, and ESPN plans to launch a 3-D sports network this year.

But doctors say that for eyes unaccustomed to watching 3-D for hours every day, there are some dangers, including mild symptoms such as disorientation and, in rare cases, seizures.

The Samsung 3D LED TV comes with a substantial health warning. It cautions that certain flashing images or lights could induce epileptic seizure or stroke, and that "motion sickness, perceptual aftereffects, disorientation, eye strain and decreased postural stability" may result.

Doctors say the percentage of people who should worry about significant adverse effects is small, especially the possibility of seizure. More commonly, people may experience dizziness or other discomfort after watching something in 3-D, including a feature film.

One pair of 3-D glasses to rule them all

Symptoms of nausea, headache and fatigue may result because 3-D causes the eyes to move in an unnatural way, said an e-mail from Dr. Lisa Park, clinical assistant professor in the department of ophthalmology at New York University Langone Medical Center.

Here's how it works: The 3-D movie presents two slightly different perspectives of the same scene, superimposed but separated by a specific degree.

Three-D glasses have a polarized filter that separates those two images, allowing each to be seen by a different eye. This happens so fast that you don't see the transitions, said Steven Nusinowitz, associate professor of ophthalmology at the Jules Stein Eye Institute at the University of California, Los Angeles.

In the brain, the two images are fused, creating the illusion of depth, he said.

When you see something come toward you in the real world, your eyes slightly cross toward each other. At the same time, the lenses change shape in order to keep the object in focus as it moves in your direction, a process called accommodation. But when you see images on a screen, your eyes try to align the two images, but not "accommodate," because the object is not actually moving toward you.

"The movie is telling you 'Hey, I'm moving around in this scene,' but your vestibular system is telling you, 'I'm not moving anywhere,' and that disconnect will make you feel sick, for some people," Nusinowitz said.

Read about 3-D at CES

For those with certain underlying conditions, the artificial environment of a 3-D movie strains the ocular system, so when you take off the glasses it can be disorienting, said Dr. Norman Saffra, director of ophthalmology at Maimonides Medical Center in New York.

People whose eyes are not perfectly aligned, or who have a weak eye muscle, will not be able to see in 3-D, Saffra said. Strabismus, a condition in which the eyes point in different directions, can be an impediment to seeing 3-D. Some people with amblyopia, or lazy eye, may also miss out on the depth perception effect when wearing 3-D glasses.

Why I can't watch 3-D TV

Nusinowitz himself gets dizzy watching 3-D movies because his eyes have very different refractive errors -- he needs different prescription strengths in each lens of glasses. Still, based on experiences with patients, he said he believes he's in the minority.

"I'm willing to say that 80 percent of people will not have problems," he said.

As for long-term effects of watching 3-D television instead of regular television, no one knows for sure because it's too new. Park is concerned about serious consequences for children who watch 3-D television for long periods of time -- "a continuous abnormal stimulus may possibly have long-term effects that are yet to be studied," she said.

@highlight

In 3-D movies, glasses help the brain fuse two images, creating the illusion of depth

@highlight

Symptoms of nausea, headache and fatigue may result when eyes move unnaturally

@highlight

People with certain eye conditions cannot see in 3-D