Tianna Gaines-Turner is so politically active, she gave 2012 presidential candidate Mitt Romney a questionnaire to answer on policy positions. When he failed to respond, she volunteered on President Barack Obama's campaign. She also encourages her neighbors to vote.

Her activism is persistent despite feeling like she is an ignored component of the American electorate.

"I feel like they're not talking to me," Gaines-Turner said of politicians.

That's because she is poor. Her life is not unlike those of millions of Americans who rely on a patchwork of government assistance and near-minimum wage jobs.

The mother of a 9-year-old and 6-year-old twins, who was once homeless, finds herself unemployed again because her temporary job at a day care ended on December 2.

Her husband makes $8.50 per hour working behind the food counter at a deli; they struggle to feed their family even with $160 per month in food stamp benefits.

Opinion: Out of jobs, out of benefits, out of luck

Even though she feels disconnected from the political process, Gaines-Turner is politically motivated. If politicians understood what life is like for her and her neighbors, she said, things could get better.

"It's hurtful because they don't know what we go through every month," she said of politicians.

Nearly 50 million live in poverty in the United States -- about one out of every six people -- matching or beating some of the highest poverty rates since the 1960s.

But it is one of the least discussed topics in national politics.

Correspondent's notebook: Hungry during the holidays

An Obama pledge

Well into his second term, President Barack Obama has turned his attention to poverty and income inequality. It's an issue he's rarely addressed up to this point.

In key unemployment benefits vote, Democrats one vote short

In his first presidential campaign, poverty was not a focus, but Obama pledged to end childhood hunger by 2015. He's far from achieving that.

The year Obama made the pledge, a record 31.8 million people received supplemental food benefits. That record has been broken each year since, with more than 47 million people now in the food stamp program.

While he has launched a campaign to address income inequality by urging Congress to raise the federal minimum wage and extend expired unemployment benefits, activists said Obama has done little that is substantive.

But the issue was around long before Obama took office in 2008.

Fifty years after President Lyndon Johnson launched the War on Poverty, which was a central component of his 1964 campaign, poverty still affects millions of Americans.

And the gap between the wealthy and the poor has grown steadily.

The top 5% of households possessed 22.3% of income in 2012, compared with 16.3% in 1968, according to the Census Bureau.

Moreover, a 2011 report by the Congressional Budget Office found that the top 1% of households have seen after-tax income grow by 275% since 1979, compared with 18% for the bottom 20%. Those at the low end did not keep up with inflation.

The nonpartisan congressional analysts blamed unequal wage distribution and "less redistributive" government benefits and taxes for increased income inequality.

Obama: Wage, income gap eroding American dream

Just as problematic to hunger and poverty activists  -- and to people like Gaines-Turner -- there is almost no real discussion of issues important to them in Washington, except when they surface in periodic budget wrangling.

Dr. Mariana Chilton, an associate professor at Drexel University's School of Public Health and founder of the Witnesses to Hunger project focusing on "mothers who know poverty first hand," said the lack of discussion is detrimental to the poor because winning candidates can't be held accountable for promises they never make.

"We've seen a complete falling away of people in positions of leadership," she said.

But that could change: Dealing with poverty appears to be trending like Miley Cyrus.

Progressive candidates

Liberals hope 2016 will be different as they push people like Massachusetts Sen. Elizabeth Warren to run for president. A neophyte politician, Warren is a champion of liberal economic policies.

And progressives believe the election of Democrat Bill de Blasio as mayor of New York, the world's financial capital, is a promising sign the nation may be more ready to discuss issues pertaining to poor people.

A populist, de Blasio has stressed a tale of "two cities" theme that illustrated a division of rich and poor.

De Blasio sworn in by Bill Clinton

"The increasing interest on giving everyone in society a fair shake ... could foreshadow the fact that we may be on the cusp of entering a new progressive era," said Chris Lehane, a Democratic strategist who worked for former President Bill Clinton and presidential candidate Al Gore.

Conservatives, too

But the push on poverty and income inequality might come from an unexpected corner of American politics: the conservative wing of the Republican Party.

Rep. Paul Ryan of Wisconsin, a possible 2016 contender, is to address poverty Thursday at an event with NBC News' Brian Williams, which could be the advent of a public campaign on the issue.

For the past year, he has quietly been exploring the theme. He embarked on a listening and learning tour of poor communities across the United States, according to several people who have either accompanied him or discussed it with him.

Arthur Books, president of the American Enterprise Institute conservative think tank, said Ryan "represents a movement and a recognition that in the past five years, people in the bottom half have gone backwards."

Brooks said he has spoken with Ryan, the 2012 Republican vice presidential nominee, about poverty and the issue is something that he wants to tackle.

It started less than a month before Romney and Ryan lost the election.

While the standard bearer was largely seen as an aloof elitist, Ryan met with a group of low-income people at Cleveland State University.

Bob Woodson, an acquaintance of Ryan who runs the Center for Neighborhood Enterprise, a national organization that works with low-income people, said the lawmaker reached out to him after the election, saying he wanted to learn more.

Ryan meets with him one day a month in a different city and spends time with poor people, Woodson said.

"It's been an eye-opener" for Ryan, Woodson said. "I've taken him to places that few other representatives have been."

Woodson thinks Ryan will eventually form a poverty agenda, "but before he does so, he needs to understand what the needs are."

While Ryan is exploring the issue quietly, two other potential 2016 candidates are also highlighting the issue.

Sen. Rand Paul of Kentucky delivered a speech on poverty in Detroit in recent weeks.

Evidence that he might be looking to elevate the issue politically is that he chose the Motor City, which is bankrupt despite a resurgence in auto manufacturing. Michigan is also a traditional presidential battleground.

Rand Paul: Extending jobless benefits a 'disservice'

And Florida Sen. Marco Rubio is unveiling his anti-poverty agenda this week.

The right's focus on the poor is a strict about-face. The Republican Party is considered unsympathetic to the poor. Current efforts in Congress to sharply cut food stamps and statewide efforts to drug-test welfare recipients exacerbate the perception.

If politicians make poverty a central -- or at least one -- component of national campaigns, it would be a significant departure from modern-day politicking.

Recent politics

Medicare and Social Security often receive widespread attention on the campaign trail because the issues have political advantages. While both are credited for lifting and keeping seniors out of poverty, the programs are available to all seniors. Politicians covet senior voters.

Welfare, unemployment benefits and food stamps -- government programs intended to benefit those most in need -- are spread throughout the population and traditionally don't get as much political exposure.

While an expansion of government programs could be risky rhetoric in some political circles -- especially Republican ones -- innovative approaches to address the often-talked about gap between rich and poor and the shrinking middle class have been absent.

The only major party candidate recently to make poverty a central theme was Democrat John Edwards, who did so at a time when the economy was perceived to be strong.

The former senator fell short in the 2008 presidential primaries against Obama, who spoke in generic broad sweeps about a more just and prosperous citizenship that could simultaneously be appealing to the wealthiest and poorest.

Instead, poverty becomes an issue only when a candidate's dismissal of the poor becomes public.

Sutter: The most unequal place in America

Romney's campaign faced a backlash when he said he was "not concerned" about the very poor. His comment that 47% of Americans were "dependent upon the government" also became a political liability.

But is political ignorance of poverty calculated?

The middle class supplies the greatest percentage of votes. And if people truly vote their interest, the middle class wants to hear how it would benefit.

One voter who was squarely in the middle class said during Edwards' campaign that she couldn't relate to what he was talking about.

Lehane, the Democratic strategist, said the poor don't vote, "which means their voices are not as loud in the political process as they should be -- especially given the number of children near, at or below the poverty line."

Statistics do show that lower-income people are less likely to vote. According to CNN exit polls, those who made less than $15,000 per year made up 6% of voters in 2008. More than 13% of the overall population fell below the poverty line that year.

Fueled by a troubled economy, perhaps, politicians are looking to turn that philosophy on its head.

Philosophical divide

Deep philosophical divides on the best way to address the issue are likely, even if Republicans take it on.

Democrats tend to support policies that involve more government and equitable wealth distribution, while Republicans tend to back a "trickle-down" approach  in which stronger upper- and middle-class economies benefit the poor.

Acknowledging the issue is the first step, said Woodson, who runs the Center for Neighborhood Enterprise.

"That's the kind of dialogue that I'm trying to get going," he said. "I'm trying to get both conservatives and liberals to debate which interventions improve the lives of poor people."

CNNMoney: $15 minimum wage supporters vow to fight on

@highlight

High-profile Republicans are turning their attention to poverty

@highlight

President Obama has shifted his attention to income inequality

@highlight

A low-income mother of three has worked for years to get politicians to discuss poverty

@highlight

Ignorance of poverty by politicians calculated to appeal to a more engaged voting bloc