Washington (CNN) -- The U.S. Senate voted Thursday to kill a controversial proposal pushed by Republicans that would have allowed employers to opt out of providing health care coverage they disagree with on moral grounds.

By a 51-48 mostly party line vote, the motion by Democrats to table the amendment succeeded, effectively killing it. Three Democrats joined Republicans in opposing the tabling motion, while one Republican -- retiring moderate Sen. Olympia Snowe of Maine -- voted with Democrats in favor.

The so-called "conscience" amendment, sponsored by Sen. Roy Blunt of Missouri, was the Senate Republicans' response to the simmering controversy over a recent Obama administration decision to mandate the kind of health care coverage provided by religious employers.

"This bill would just simply say that those health care providers don't have to follow that mandate if it violates their faith principles," stated an early February press release from Blunt. "This is about the First Amendment. It's about religious beliefs. It's not about any one issue."

The specific potential impact of the amendment was a matter of debate. On his website, Blunt rejected complaints that it would have allowed anyone to deny coverage of anything for any reason.

However, Senate Democrats insisted it would provide too much latitude for employers to impose their personal beliefs on the healthcare issues of their workers.

"It would simply give every boss in America the right to make health care decisions for their workers and their families," argued Sen. Patty Murray, D-Washington.

She and other Democrats said that under the amendment, employers could have cited moral objections to cutting off coverage of immunizations, prenatal care for children of unmarried parents and other standard procedures.

The American Civil Liberties Union applauded the Senate vote.

"The Blunt Amendment and its supporters are out of touch with reality," said Sarah Lipton-Lubet, the ACLU policy counsel. "Overwhelmingly, women from every religious background use contraception to protect their health and plan their families and lives. The Senate did the right thing by American women today."

While Blunt's amendment took a broad approach, the main issue involved whether religious employers should have to include coverage for contraception in health plans offered to employees at affiliated institutions, such as hospitals.

Earlier this month, Secretary of Health and Human Services Kathleen Sebelius issued a directive that would have required all employers, including religious organizations, to include such coverage in health insurance offered to their employees. While churches were exempt, the mandate covered religious affiliated institutions.

Representatives from many faiths opposed the decision, calling it a violation of their religious conscience.

In response to the uproar, the White House backed off the directive and instead said that religious employers could opt out of offering coverage for birth control, but insurance companies would have to offer such coverage separately and at no charge.

Some critics say the White House's changed position does not go far enough.

Blunt's amendment stated the president's health care law, the Patient Protection and Affordable Care Act, imposes requirements that infringe on the rights and conscience of insurers and plan sponsors. While the law exempts some religious groups, it does not allow all those with religious or moral objections to decline providing coverage, the amendment says.

Part of the uproar surrounded universities and hospitals affiliated with religions, which were not given the same exemptions as churches and other religious institutions.

The Blunt amendment would have established that an entity refusing coverage on religious or moral grounds is not in violation of the law. It did not mention contraception specifically and included health insurance companies .

To get a vote on the Blunt amendment, it was tacked onto a $109 billion transportation bill, raising complaints from Senate Majority Leader Harry Reid, D-Nevada, that the proposal was not germane to the legislation.

Because of the dispute, action stalled on the transportation bill, which is backed by both parties.

Reid said Tuesday that Senate Minority Leader Mitch McConnell, R-Kentucky, insisted on a floor vote on the Blunt amendment "before we can move ahead with this jobs bill."

"Once we have put this extreme and distracting proposal behind us, I hope my Republican colleagues will stop living in the past and join us this year, 2012, and help us create jobs," Reid said.

Blunt welcomed the vote by tweeting, "Glad Sen. Reid is going to allow a vote on my bipartisan admt to protect religious freedom this Thursday. #HHSMandate."

Voting on the amendment forced senators to take a stand on the controversial contraception decision. Though many Republicans have come out in support of the measure, Snowe told MSNBC the amendment is "much broader than I could support."

Not all Democrats were united against the amendment, however. Sen. Joe Manchin, D-West Virginia, issued a statement Wednesday saying he would support it.

"I am voting in favor of this measure to protect the First Amendment to the Constitution of the United States of America," Manchin said in a statement.

A CNN/ORC International poll earlier this month showed a partisan divide on the issue, with 70% of Democrats agreeing with the Obama administration policy while 85% of Republicans opposed it. Independents were statistically split.

CNN's Josh Levs contributed to this report.

@highlight

The ACLU hails the Senate vote

@highlight

The measure would have allowed employers to opt out of some health care coverage

@highlight

Sen. Roy Blunt defends his amendment as defending religious freedom

@highlight

Opponents say it gives employers too much power to deny coverage for workers