Houston, Texas (CNN) -- A U.S. district court judge denied bail Friday for a man charged with a federal hate crime in connection with a "knockout" assault against an elderly black man that authorities say was racially motivated.

Conrad Alvin Barrett, 27, of Katy, Texas, has been charged with one count of violating the Matthew Shepard and James Byrd Jr. Hate Crimes Prevention Act.

Barrett, who arrived in federal court in Houston wearing an orange jail jumpsuit and leg shackles, faces up to 10 years in prison and a $250,000 fine, if convicted.

Federal prosecutors contend Barrett attacked the 79-year-old man because of the color of his skin.

"I do not believe there are any conditions that will guarantee the safety of the community," Judge Frances H. Stacy said in her ruling.

The judge said there was sufficient evidence to show Barrett committed the assault, which she described as a hate crime.

"The crime was vicious. The victim lost three teeth. He was an old man. He was singled out because of his race," Stacy said.

A federal prosecutor told the court that Barrett made a video of the November 24 attack.

In the video, according to a federal affidavit filed in the case, Barrett allegedly said: "The plan is to see if I were to hit a black person, would this be nationally televised?"

He then allegedly "hit the man with such force that the man immediately fell to the ground. Barrett then laughed and said 'knockout,' as he ran to his vehicle and fled."

The victim suffered two jaw fractures and was hospitalized for several days, the complaint said.

Barrett's attorney, George Parnham, raised the issue of his client's mental health in court, saying his client has been diagnosed as bipolar and was not on his medication at the time of the attack.

Parnham told CNN earlier that he could not say whether his client carried out the attack, but, "mental health issues definitely played a part in anything that occurred."

Barrett "is very sorry for this person," Parnham said, adding that he and his client haven't had much opportunity to discuss the facts of the case.

'Knockout game' a national problem

The "knockout game" is an assault in which an assailant aims to knock out an unsuspecting victim with one punch.

According to the Justice Department complaint, there have been "knockout game" incidents, some of which have been called other names, as long ago as 1992.

New York police previously charged suspect Marajh Amrit with a hate crime in the alleged attack of a white Jewish man as part of a "knockout" game.

Similar cases have been reported recently in several states, including Illinois, Missouri and Washington.

"Hate crimes tear at the fabric of entire communities," U.S. Acting Assistant Attorney General Jocelyn Samuels said Thursday in a Justice Department statement announcing the charge against Barrett. "As always, the Civil Rights Division will work with our federal and state law enforcement partners to ensure that hate crimes are identified and prosecuted, and that justice is done."

Barrett, who is white, allegedly recorded himself on his cell phone attacking the man and showed the video to others, the department said. "The complaint alleges Barrett made several videos, one in which he identifies himself and another in which he makes a racial slur. In addition, Barrett had allegedly been working up the 'courage' to play the 'knockout game' for approximately a week."

The victim's face was swollen on one side, and he has had to use a straw to drink, a nephew, Joseph Lewis, told CNN affiliate KTRK-TV in Houston.

In a letter to the court, the victim -- who has not been identified -- asked the judge not to release Barrett.

"Judge, I am the man who was attacked by Conrad Barrett. I hope he will not be released because I am afraid he will hurt me if he is released," said the letter, which was read in court by a federal prosecutor.

"Since the attack, I've had to live with my children and have people take care of me. If you set him free, I'll worry that he can attack me again at any time. Please do not release him and give me my freedom."

FBI Agent Alfred Tribble testified during the hearing that the video shows Barrett approaching the victim and asking "How's it going?"

Tribble told the court that "a loud smack is heard and the victim falls to the ground."

He said a man who sounds like Barrett can be heard later in the video saying "Knockout, baby!"

According to a federal affidavit, Barrett told an off-duty police officer what happened and shared a video, saying he felt bad.

In other videos on his phone that police confiscated, Barrett used the N-word and said that African-Americans "haven't fully experienced the blessing of evolution," according to the criminal complaint.

"It is unimaginable in this day and age that one could be drawn to violently attack another based on the color of their skin," said Special Agent in Charge Stephen Morris of the FBI's Houston office. "We remind all citizens that we are protected under the law from such racially motivated attacks, and encourage everyone to report such crimes to the FBI."

New York case

In a separate case, New York City police on Wednesday searched for a man who allegedly punched a 33-year-old woman in the back of the head in Brooklyn in what may be a "knockout" assault.

Despite that and other cases, New York Police Commissioner Ray Kelly said last month that city officials haven't seen evidence of a trend, though they are not ruling out the idea.

"The press has named it the so-called knockout game. We don't discount that that exists. It's a possibility. We've investigated and will continue to investigate," Kelly told reporters in late November.

Possible 'knockout' game victim: 'The whole group of kids just laughed'

Police keep close eye on reports of disturbing 'knockout' game

CNN's Jocelyn Lane reported from Houston, and Chelsea J. Carter reported and wrote from Atlanta; CNN's John Newsome, Josh Levs, Joe Sterling, Morgan Winsor, Poppy Harlow and Shimon Prokupecz contributed to this report.

@highlight

NEW: A federal judge denies bail for Conrad Barrett

@highlight

NEW: Barrett, 27, is charged with a federal hate crime in connection with a "knockout" assault

@highlight

NEW: The 79-year-old victim tells the court he is afraid Barrett may try to hurt him again

@highlight

NEW: An FBI agent testifies Barrett can be heard on a video saying "Knockout, baby!"