(CNN) -- Remember the pre-Web personal diary? It had a lock on it, and after writing your thoughts about the day, it stayed tucked in a drawer. You talked about dreams and disappointments and school and love, and sometimes you culled it for phrases in the love letter you agonized over for a week before leaving it in the mailbox or locker of your interest. The last thing you wanted was for someone else to read it, at least not until the beloved saw it and said, "Yes."

Back in the old days, love wasn't social, it was private. Communication, not to mention courtship, seemed to take a long time. Hours of contact with the loved one alternated with days alone with your longing. Except for a close friend or two, you kept it secret until you were established as an "item," and even then you maintained the border between private exchange and social identity as a couple. The medium of love -- the letter, the quiet walks, the rose, the kiss -- remained between you and your interest, and you didn't reproduce it for others. When you were apart, solitude hurt, but it made the time together all the more precious.

Today, with the spread of social media, the pain of separation is over, and so is the exclusivity of love.

As Facebook gets ready to go public and huge dollar amounts are discussed -- a $100 billion valuation, $5 billion in hoped-for sales, $100 per share, $1 billion in profits in 2011 -- CEO Mark Zuckerberg and others have a very specific vision of the future. Facebook, MySpace, Twitter, Zynga, Foursquare and all the other social media services coming and going are about changing, fundamentally and forever, the very nature of human experience. They want to socialize everything.

Here is how Mark Pincus, founder of Zynga, the social network game developer, put it last year: "In five years, everybody will always be connected to each other, instead of the web." Zuckerberg repeated the point: "If you look five years out . . . every industry is going to be rethought in a social way. And not just industries, but individuals, too ... And no matter where you go . . . we want to make it so that all those experiences can be social." And when Time Magazine named Zuckerberg its Person of the Year, it summarized the goal of his company this way: "Facebook wants to populate the wilderness, tame the howling mob and turn the lonely, antisocial world of random chance into a friendly world, a serendipitous world. You'll be working and living inside a network of people, and you'll never have to be alone again."

The vision doesn't just provide social contact as an option in your daily affairs. It's a requirementâ€”"everybody," "always," "every industry," "all those experiences," "never have to be alone."

The numbers back them up. In 2010 Facebook leapt from 337 million to 585 million users, with 7.9 new ones registered every second. Foursquare, the geolocation networking service, grew 3400% in 2010 and reached 10 million users by June 2011. Twitter logged 25 billion tweets in 2010 and teens with mobile devices ran up 3,339 text messages per month that year. More and more, it seems, every experience can be social, and pretty soon it will be social unless you become a hermit.

Here's the thing. It's not just that social media doesn't cure loneliness, which surprised social psychologists, it's that love itself doesn't survive socialization.

Genuine love is anti-social. If you write a love letter and leave it for her, but post it on Facebook, too, your feelings disperse. The sentiments in the letter spread too thinly, and if she sees them elsewhere she wonders, "Hey, I thought your love was meant for me." If she posts your letter on Facebook, you think the same thing. If both of you post the letter on Facebook, well, love itself wastes away, just as any noble, feeling-full statement does when it turns into an advertising jingle. If you call him on the phone and hear him say for the first time, "I love you, too," then hang up and text 20 friends and update Facebook with, "He said it!" you may think that you are expanding and replenishing his declaration, but in truth you only deplete it. This is a moment to savor and ponder by yourself, to let it exist for a time on its own. Love can't run too swiftly or follow too many channels and last.

Zuckerberg has noted that we are "hard-wired" to care about what other people think, to heed the interests and eyes of our companions. Maybe so, but that doesn't mean we should involve them in everything. That way leads to what Andrew Keen terms in an upcoming book, "digital vertigo," the disorienting, enfeebling effect of social contact on personal experience.

The faster you express your love and the more you share it with others, the less you do, in fact, love. We have gone from 'Shall I compare thee to a summer's day' to smiley face emoticons, from beauteous and painstakingly crafted one-to-one disclosures of love to quick and clichÃ©d postings of love for all to see and 'like.' Think of it this way: what great lover of the past, real or fictional -- Gatsby, Dante, Mark Antony, Penelope in Ithaca, Queen Victoria -- spotted the beloved for the first time and thought one second later, "I can't wait to tell all my friends"?

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Mark Bauerlein.

@highlight

Mark Bauerlein: In the old days, love wasn't social, it was private between couples

@highlight

Bauerlein: Today, social media services want all human experiences to be social

@highlight

Psychologists have found that social media doesn't actually cure loneliness

@highlight

He says that genuine love is anti-social