Berlin (CNN) -- U.S. President John F. Kennedy's "Ich bin ein Berliner" speech delivered 50 years ago was well received by more than 100,000 Germans hopeful for America's steadfast support as Berlin came to symbolize one of the Cold War's main battlegrounds. As presidential candidate in the summer of 2008, Barack Obama had nearly twice that number of optimistic onlookers at Berlin's Victory Column who eagerly anticipated a new American outlook on questions ranging from climate change to nuclear disarmament.

The state visit to Germany this week, with a public appearance in front of the Brandenburg Gate, will most probably offer transatlantic reassurances and deliverables from the United States as echoed by both Democratic and Republican presidents in the past; but instead, the current American president should take this as an opportunity to bring Germany out of its shell and persuade it to act as a legitimate power in world affairs.

Although looked on as a traditional ally of the U.S. along with the UK and France, Germany has often taken a backseat within the trio since it struggles to find a comfort zone in the realm of hard security. Reminders of World War II's devastation -- and Germany's role in that -- have shaped the EU's largest country to showcase its economic prowess rather than its military capabilities.

According to the Stockholm International Peace Research Institute (SIPRI), the United Kingdom spends nearly double on military expenditure as a percentage of GDP in comparison to Germany, and France is not far behind Britain. Yet today the cards are reshuffled, the economic crisis has left the UK and France weak and inward looking while Germany for the most part weathered the storm. Germany's new standing in Europe and the world has garnered it respect and scorn, something that comes with the territory for a great power.

President Obama recognizes Germany as a leading global player, and has mentioned the country in his last two State of the Union speeches. The U.S. has cultivated its relationship with Chancellor Angela Merkel: she was honored with a state dinner at the White House in 2011 and two years before that she was the first German chancellor in more than 50 years to address the U.S. Congress.

Five decades ago, Germany was a trusted partner and a protectorate of the U.S.; today it is Washington that needs Germany's support in taking transatlantic relations to the next level. With the UK dangling threats to opt out of the EU and France struggling to jump start its economy; the U.S. should encourage Germany to reignite the European project in order to show the world that Europe can be an essential partner when it comes to confronting challenges around the world.

OPINION: Rehn: No need for UK 'threat' to leave EU

Three areas calling for German leadership are the euro crisis, transatlantic trade and multilateral security. Within Europe, Germany doesn't have to solely spread the mantra of austerity, it could also share its lessons learned in economic reform and commitment to vocational education -- not too long ago it was labeled the Sick Man of Europe while today unemployment is below 7%. On behalf of Europe, Germany should spearhead the current Transatlantic Trade and Investment Partnership (TTIP) between the United States and Europe that is on the negotiating table.

TTIP will enhance the prosperity gains on both sides of the Atlantic and set the ground rules for trade as a check to China. Finally the U.S. needs NATO-member Germany to play a stronger military role at hot spots around the world. The misdeeds of Germany's past should never be forgotten, and German decision-makers are sensitive to historical responsibility, all the more reason to support their allies when ushering change in despotic countries -- Libya was one such case.

Parallels between two young presidents representing a vision of America a half a century apart will certainly be drawn during Obama's state visit to Germany. There might even be a line for the history books after the speech at the Brandenburg Gate, but Obama knows there is no pressure.

Germany's expectations for America have dampened since his last visit and Berlin today shows scant scars of 1963. It is the U.S. that hopes Germany will step up and take the leadership mantle in Europe and elsewhere.

The opinions expressed in this commentary are solely those of Sudha David-Wilp.

@highlight

Barack Obama makes a state visit to Germany this week

@highlight

He should persuade Germany to take the lead in world affairs, writes Sudha David-Wilp

@highlight

German leadership is required for the euro crisis, transatlantic trade and multilateral security