Newark, New Jersey (CNN) -- They arrived in the United States from West Africa, young girls held against their will and forced to work for hours on end.  But this time, it didn't happen hundreds of years ago.

Nicole's journey started in 2002, when she was barely 12, in her small village in western Ghana.  She and about 20 other girls were held in plain sight, but always under the watchful eyes of their captors.

"It was like being trapped, like being in a cage," said "Nicole," now 19. CNN agreed not to use her real name.

"I always have to behave, behave, behave, behave. No freedom at all."

The girls' families sent them to the United States after being assured they would receive a better education. But once they arrived, they were forced to work in hair braiding shops across the Newark area -- just a short drive from New York City, right in the shadow of the Statue of Liberty.

The girls, who are now young women, have never spoken publicly before, until now.

"It was horrible," said Zena Amevor, who was 15 when she was brought over from Togo. "Sometimes there was not enough food for us to eat. ... It was like a prison. I was just stuck there. ... It was horrible."

For the first time, the former slaves provided details about their horrifying odyssey and an intimate view into the world of human trafficking and contemporary slavery.

"Jacqueline" was 13 when her family sent her to the United States, not knowing that a woman she called "auntie" was a human trafficker. It was unclear if the woman was a blood relative.

"My dad ... worked hard so I could go to school, so when my auntie came and told my family that I could go to a school in the U.S. ... they trusted her," she said. "Everyone was happy about it."

The girls worked in the salons right out in the open, in front of customers. They were on their feet all day, sometimes for more than 12 hours, weaving intricate and elaborate hair braids, seven days a week.

This went on for more than five years.

"We stood there all day, just braiding," Jacqueline said. "If they want really small braids, you stay there sometimes until 2 a.m. ... That's every day."

At times, they were forced to braid the hair of American teenagers no older than they were -- girls who were free and had no idea the people braiding their hair were slaves.

"I wished I could go with them," Nicole said. "Most of the time, I'd end up just breaking down later crying ... because when I see teenagers going around, going to the movies and just being a teen ... I just couldn't understand why my life has to be this way ... "

In one of the many ironies in the case, the customers whose hair was braided by the slave girls were mostly African-American women, many of whom could have been descendants of slaves brought to America generations ago.

Slavery through trafficking continues widely today in the United States, though often undetected, according to law enforcement officials.

Nicole, Zena, Jacqueline and the other girls were held in groups in several houses around Newark and East Orange, New Jersey. The girls were brought to the United States at different times between 2002 and 2007, according to court documents. As the group grew, the traffickers ran out of places to put them and had to rent more living quarters.

The homes were always in the middle of residential areas with manicured lawns and nice houses, often near churches, schools and community buildings.

"I think it's hard for people to believe that in 2010, we have people who actually put people in slavery," said Paul Fishman, the U.S. attorney for New Jersey, whose office successfully prosecuted the case. "It's the most fundamental and intolerable violation of human rights."

The traffickers convicted in this case were a mother, father and son who also came from West Africa, according to court documents and law enforcement officials.

Nicole, Zena and Jacqueline described living in fear shortly after they arrived in the United States, forced to work by day at the hair salons and sleeping in groups on the floor at night.

"When I got here ... I asked her if I was going to school, and she said there was no school," Jacqueline said, referring to her auntie, the trafficking ringleader.

"I said, 'I'm not going to school?' [and] she said, 'no' ... and that was her decision and she wasn't going to change it."

The captors controlled the girls by beating them, withholding food, keeping them separated from anyone else and, at times, through sexual abuse, according to court documents.

The young women who spoke to CNN described years of cruelty, physical abuse, beatings with wood or metal objects, extreme isolation and sleeping on mattresses on floors in filthy conditions. Even their phone calls back to their families were monitored by their captors.

"I always thought of running [away], but I know nobody," Zena said. "I don't know where to go, didn't have [any] friends, nobody to talk to, so it was kind of hard. ... I had nowhere to go to."

Five years after the girls began arriving, U.S. Immigration and Customs Enforcement agents received a tip and began extensive surveillance on the houses where the girls were kept.

After months of surveillance, the ICE agents raided the houses in 2007. Inside, they found the girls and mattresses on the floor. The traffickers had hidden bags of cash and the girls' passports.

Peter Edge, who led the team of agents, said none of the girls' customers ever called officials to help.

"Hundreds of people came into these salons, they probably witnessed things out of the ordinary," said Edge, special agent in charge of ICE's Homeland Security Investigations in Newark.

"These girls were shielded from the outside world, virtually hidden in plain sight ... from everything else that was around them."

Edge and the girls said several customers asked about the girls' ages, and the girls -- following the orders of their captors -- lied and said they were 18.

"I wish one of my customers ... would have gone to police," Nicole said.  "I wish they would have helped me."

In the 2007 raid, the ICE agents found a notebook the girls used to track the tips they received, but couldn't keep, at the hair salon. Ironically, on the cover of the notebook was a picture of the Statue of Liberty.

More than two years later, Akouavi Afolabi; her husband, Lassissi Afolabi; and their son, Dereck Hounakey, were convicted of running the trafficking ring. Akouavi Afolabi was the ringleader, while her husband and son were accomplices, according to court documents.

In September of this year, a Newark court sentenced Akouavi Afolabi to 27 years in prison, while her husband received 24 years and their son received 4½ years.

The girls had to testify against the Afolabis in court.

"I remember crying. All I did was cry. It was overwhelming," Nicole said. "I told myself, 'She finally got what she deserved' ... she did really, really wrong. She treated us bad. And she was heartless ... and I'm happy she was caught."

Court records show the Afolabis knew many of the families whose girls they lured away to become their slaves. They had an elaborate scheme to lure the girls: Mrs. Afolabi would approach families of young girls in Ghana and Togo, where she had connections, and tell the families she would give the girls an education in the United States. They then used fraudulent visa papers to sneak the girls into the country.

Experts say the main reason for most modern-day human trafficking is money.

"Human trafficking is extremely profitable," said Bridgette Carr, a law professor and a national expert on human trafficking.

The customers at the hair braiding salon where Zena and Nicole were forced to work would sometimes pay as much as $200 to $400 for elaborate braiding that would take many hours to complete.

The traffickers took every penny made by the girls, both in tips and payments for their hair braiding. They made about $4 million, according to court documents.

"It's so profitable that we are seeing some drug traffickers get out of drug trafficking and into human trafficking," said Carr, who teaches law at the University of Michigan Law School in Ann Arbor.

Carr heads a clinic that is helping Nicole and many of the other girls move ahead with their lives.

"Sadly, the work of our clinic is necessary in every community in America," she said. "Human trafficking, also known as modern-day slavery, exists in big cities, in small towns, in rural areas with no towns, exists in restaurants, in hair salons, in hotels and in farmwork.

"Almost every industry you can think of, there is an opportunity there for someone to be exploited. This is everywhere in the U.S."

Today, Nicole, Zena, Jacqueline and the other girls are trying to move on with their lives. Several are in high school, and one has recently been accepted into college.

Most of the girls have not been able to return home to see their families in West Africa. When asked why she agreed to finally talk out about such a painful chapter of her life, Nicole said she wanted to raise awareness about what other young girls may be going through.

"I want to tell people that slavery exists," she said. "It's huge, and it's really happening here."

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

Zena and Nicole were sent from West Africa to the U.S. with promise of an education

@highlight

They and others ended up working as slaves in hair braiding salons in New Jersey

@highlight

They spoke out for the first time about their ordeal to CNN

@highlight

"American Slaves: Hiding in Plain Sight" airs tonight on AC360° at 10 ET on CNN