(CNN) -- Tuesday marks the 10th anniversary of the U.S. and coalition invasion of Iraq.

Ten years of conflict caused death, despair and a complete change of life for many Iraqis.

Retired Army Sgt. Noah Galloway recently reflected on his time in Iraq after serving during Operation Iraqi Freedom and on what was left behind:

"When any country invades another country there are civilians affected that aren't a part of the conflict and those are lives that need to be taken care of. We have a responsibility as humans on this planet to take care of them. Homes and lives were destroyed. I agree with a lot of Americans that we have struggles of our own in this country that need to be addressed, but even in hard times, we have a lot going for us," Galloway said.

Now, a decade later, the casualties and hardships caused by war are still apparent among Iraqi civilians. Galloway continues, "If we want our efforts, the lives of the soldiers given, if we want that to not have been in vain, then we have to go in after the invasion and take care of those people because this is going to affect the Iraqis as a people for decades to come."

Galloway is speaking to what he saw at the beginning of this conflict, but the needs of humanitarian aid have only grown since then. As he said, homes were destroyed and many were left with the need of extensive medical attention either from injury as a direct result of the fighting or because of the lack of proper medical care in general. One such example of the latter is Noor al-Zahra Haider, or as she's known worldwide, Baby Noor.

Baby Noor was born with spina bifida, a birth defect in which the vertebrae do not form completely around the spinal cord. In 2005, a routine raid by U.S. soldiers into her home in the town of Abu Ghraib forever changed the course of her young, fragile life. It was then that Noor's grandmother boldly pleaded to the soldiers that without their help, this young child would die.

Iraq newsmakers: Where are they now?

The troops responded, sending word to their superiors that they needed to help this baby. And help her they did. The troops brought Noor, her father and grandmother back to Camp Liberty while planning her transport to the United States for proper care. Childspring International, an Atlanta-based Christian nonprofit organization dedicated to bringing sick children from the developing world to the United States for medical care, offered assistance in bringing Noor and her family to Atlanta for treatment at Children's Healthcare of Atlanta. Childsrping International also set up a fund for Baby Noor and are still taking donations through their website. There she endured several surgeries and began what would be a lifelong, uphill battle. But following threats believed to be from al Qaeda, Noor and her family were left with little choice but to return home. She is now a 7-year-old girl in a wheelchair with serious medical needs that are barely being met and at high risk of complications from a urinary tract infection that could cost Noor her life.

But Noor's story is just one of many and represents the greater need for humanitarian aid to the war-ravaged region. There are organizations in Iraq meeting the needs as best as they can. One such organization is the International Medical Corps. Founded in 1984 by volunteer doctors and nurses, the International Medical Corps is a global, humanitarian, nonprofit organization dedicated to saving lives and relieving suffering through health care training and relief and development programs. It has been on the ground in Iraq since before the conflict began.

Dr. Tariq Hasoon, national medical director for International Medical Corps Iraq, said of his involvement in this mission: "Today, I look back at the Iraqi health system and compare it to what I knew a decade ago, and I am amazed at the progress we have made. The most remarkable advances have come in the strategy and planning and the skills of the people running the system. International Medical Corps has played a vital role in that transformation. For example, we introduced a nationwide emergency medicine strategy, which has significantly improved the survival rates of injured people in need of paramedic and emergency room care."

But Hasoon acknowledges that the work is far from complete. He said he will not rest until "we are done with our task that began 10 years ago this week."

Another organization aiding in efforts in Iraq is the Sponsor Iraqi Children Foundation. Its work brings to light another major issue facing the country after 10 years of war: orphaned children.

"Iraq is facing an urgent humanitarian need. According to UNICEF, there are an estimated 800,000 orphans in a nation that has known 10 years of war and violence," said Jonathan Webb, a U.S. Army vet and chairman of the Sponsor Iraqi Children Foundation.

"Among them, there are kids who have lost parents and now work on the streets to help support themselves. We need a legacy of love for these kids who are the future of Iraq," said Webb.

Sponsor Iraqi Children Foundation also supports a safe haven for orphans and street children which provides them with healthy food, tutoring, medical care, as well as loving and emotional support.

While the official U.S. military mission in Iraq has ended, it is clear that the people of this nation are still suffering and the need for international humanitarian aid is great. Please click on the links above and see how you can make an impact for the Iraqi people.

@highlight

The U.S. military mission in Iraq is over, but the Iraqi people still need help

@highlight

Baby Noor is the face of a nation in a humanitarian crisis

@highlight

Iraqis need help with basic medical needs

@highlight

The war has left many of the nation's children orphaned