(CNN) -- Just days before he was sworn in, President Obama was giving his daughters a tour of the Lincoln Memorial when one of them pointed to a copy of Abraham Lincoln's second inaugural address carved into the wall.

President Obama strides into history as the nation's first black president.

Obama's 7-year-old daughter, Sasha, told her father that Lincoln's speech was really long. Would he have to give a speech as long? Obama's answer was completed by his older daughter, 10-year-old Malia.

"I said, 'Actually, that one is pretty short. Mine may even be a little longer,' " Obama told CNN recently. "At which point, Malia turns to me and says, 'First African-American president, better be good.' "

The story is light-hearted, but it touches on a delicate question: Will people hold Obama to a different standard because he is the first African-American president?

Americans appear split by race on that answer. According to a CNN/Opinion Research Corp. poll, 53 percent of blacks say the American public will hold Obama to a higher standard than past presidents because he is black. Most whites -- 61 percent -- say Obama's race will not matter in how he will be judged.

The question divided several people who were racial pioneers themselves.

Alexander Jefferson was one of the first blacks allowed to become a fighter pilot. He was a member of the Tuskegee Airmen, a group of black pilots who escorted bombers in World War II.

"We had to be twice as good to be average," he says.

Obama won't face the same pressures he did because his presidential predecessor was so inept, Jefferson says.

"No, the world is ready for him," he says. "The [George W.] Bush debacle was so depressing."

Jefferson was shot down by ground fire on his 19th mission and spent a year in German prison camps. He wrote about his POW experiences in "Red Tail Captured, Red Tail Free: Memoirs of a Tuskegee Airman and POW."

Jefferson says he dealt with the pressures of being a racial pioneer by drawing on the strength of black leaders who opened doors for him.

"I sit on the backs of everyone who came before me," says Jefferson, who attended Obama's inauguration with other Tuskegee Airmen.

Jefferson says he would have emotionally imploded if he'd thought too much about the pressures of representing all blacks and dealing with the racism he encountered when he returned home to a segregated America after the war.

"I did what I had to do so I didn't go stark-raving mad," he says. "There wasn't all this self-analysis and back and forth. I was too damn busy with a wife, a child and a mortgage."

Michele Andrea Bowen couldn't avoid a bout of constant self-analysis. She was one of the first African-American students admitted to a doctorate program in history at the University of North Carolina at Chapel Hill.

"I know Obama is going to be held to a different standard," says Bowen, author of "Up at the College" and books such as "Holy Ghost Corner," which celebrate black faith and culture.

Bowen says she faced relentless scrutiny, and so will Obama.

"You know that it was hard for you to get in it, and you know they're watching you," Bowen says. "And you know that they're judging you by a critical standard that's sometimes not fair."

Bowen says a white classmate, her partner in dissertation, once confided to her that he received the same grades as she did, even though he knew his work was inferior.

"It toughened me up," Bowen says. "It can give you headaches and stomachaches. I learned you have to be thankful that God blessed you with that opportunity. At some point, you stop worrying, and you trust God."

'Would Bush have been president if he were black?'

Perhaps Obama will avoid those stomachaches because of the massive good will his election has generated. But that could change quickly if Obama makes a controversial decision or a mistake, says Andrew Rojecki, co-author of "The Black Image in the White Mind: Media and Race in America."

Rojecki says people who say Obama isn't going to be held to a different standard because of his skin color didn't pay attention to his campaign.

He says Obama had to deal with challenges that other candidates didn't have to face. Obama's run for office was almost ended by his association with his minister, the Rev. Jeremiah Wright, whose incendiary sermons shocked many.

But Republican presidential nominee John McCain's relationship with the Rev. John Hagee, who was accused of anti-Semitism, never threatened to end his campaign, Rojecki says.

"Obama was held responsible for what his minister said, and McCain was associated with Hagee, but somehow that didn't stick," says Rojecki, a communication professor at the University of Illinois at Chicago.

Even people who regard themselves as the most progressive, open-minded supporters may subconsciously hold Obama to a different standard, Rojecki says.

He says several academic studies show that it often takes people longer to associate good qualities to blacks when different faces are flashed across a screen.

"They have these stereotypes buried in their subconscious," he says. "That's why people cross the street when they see a young black man. They'd rather not take a chance."

Obama virtually had to be perfect to overcome those stereotypes, Rojecki says. He was the first black editor of the Harvard Law Review, he has an Ivy League-educated wife and adorable daughters, and he ran a great campaign.

"He's the perfect symbol of achievement," Rojecki says.

White candidates for office don't have to have an uninterrupted life of achievement to be considered for the Oval Office, Rojecki says.

"If George W. Bush were black, do you think he would be president?" Rojecki says.

Jefferson, the Tuskegee Airman, says Obama should have at least one consolation. The problems he confronts now are so immense that anyone, even someone who was considered by many to be perfect, would not be able to escape withering judgment.

"If the president was Jesus Christ, '' Jefferson says, "they would still debate if he's qualified."

@highlight

Racial pioneers say they felt pressure to be extraordinary

@highlight

Poll shows Americans split by race over how Obama will be judged

@highlight

Racial pioneer says pressure can make person "stark-raving mad"