Buenos Aires, Argentina (CNN) -- An Argentine court this week granted an injunction that blocks internet giant Google from "suggesting" searches that lead to certain sites that have been deemed anti-Semitic, and removes the sites from the search engine's index.

The injunction, filed by DAIA, an umbrella organization of Argentina's Jewish community, also prohibits Google from advertising on the stated websites.

The injunction names 76 sites that the organization considers "highly discriminatory."

Google's suggested searches are a Google algorithm that offers search terms similar to the one the user appears to be typing in.

"The common denominator on these sites is the incitement of hate and the call to violence," DAIA said in a statement. "In none of these cases are there discussions or criticisms from the academic, technological, political or philosophical perspectives."

Google representatives in the United States and Argentina did not immediately respond to calls for comment.

Argentina has the largest Jewish population in Latin America. The Jewish community there numbers more than 250,000, with the majority residing in the capital, Buenos Aires.

The ruling notes that restrictions on freedom of speech and censorship is illegal under the Argentine constitution, but also notes that the constitution protects people from discrimination. As such, the judge cited previous cases in Argentina that establish that in some restricted cases, it is permissible to prevent the diffusion of certain publications if they infringe on someone's personal rights.

Judge Carlos Molina Portela concluded that "the terms mentioned (in the lawsuit) as well as the results obtained through 'suggested searches' could be described as discriminatory acts and/or at least, incitement and/or encouragement for discrimination."

According to DAIA, the suggested search complaint focused on 13 terms that led to websites that are anti-Semitic, some of which deny that the Holocaust took place. The group did not disclose the 13 terms in question, nor the names of the websites that were blocked.

In a statement, the group said that by suggesting these websites, Google is "inducing and directing traffic to sites with offensive and illegal content."

In Argentina, there have been previous cases in which individuals have sued to have certain websites removed from Google's index, citing invasion of privacy, said Robert Faris, research director for the Berkman Center for Internet and Society at Harvard.

The court actions in Argentina appear to view Google more as a publisher of information than as an intermediary, he said.

"It seems to reflect a misunderstanding of how the internet works and how search engines work," he said.

Cynthia Wong, director of the Global Internet Freedom Project at the Washington-based Center for Democracy & Technology, said the Argentine court's move was part of a "problematic trend" on the part of many governments.

"At the end of the day, enlisting companies to become greater gatekeepers on content online really does shrink the range of speech that we can access. ... It's dangerous to try to shut down speech, because you don't get that kind of robust public debate about what should or should not be acceptable in a democratic society," she said.

While restrictions on the internet are usually associated with countries such as China or Iran, it is not uncommon for other nations to try to impose some limits on it.

Thailand, for example, asked Google to remove YouTube videos that showed the Thai king, Bhumibol Adulyadej, with feet near his head. In Thai culture, it's considered extremely offensive for anyone's feet to be near someone's head.  A national law bans such representations, and Google agreed not to show such videos within Thailand, although they are still available elsewhere in the world.

Germany bans neo-Nazi content, and Google has agreed to remove such sites from its Google.de search engine in that country. Turkey, meanwhile, blocks YouTube because the company refused to take down all potentially offensive videos about Ataturk, the Turkish political hero.

"It's a slippery slope. I don't think that the people of Argentina are harmed by the inability to see anti-Semitic content, but I think that the best answer is counter-speech,"said Ryan Calo, a researcher at the Stanford Center for Internet and Society.

He noted that Google, faced with anti-Semitic search results in the United States, responded by posting an ad with a link to a statement that includes a link to information from the Anti-Defamation League.

"If you recently used Google to search for the word 'Jew,' you may have seen results that were very disturbing. We assure you that the views expressed by the sites in your results are not in any way endorsed by Google," Google's policy statement says.

It goes on to note that citizens and organizations have urged the company to remove links or adjust search results.

"Although Google reserves the right to address such requests individually, Google views the comprehensiveness of our search results as an extremely important priority," the statement says. "Accordingly, we do not remove a page from our search results simply because its content is unpopular or because we receive complaints concerning it."

CNN's Mariano Castillo and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Internet freedom advocates criticize the move, calling it a "slippery slope"

@highlight

An organization representing the Jewish community filed an injunction

@highlight

A judge granted the injunction this week

@highlight

It affects certain results and websites that have been deemed anti-Semitic