(CNN) -- Occupy activists and law enforcement authorities found themselves at odds in several U.S. cities over the weekend, including yet another tense showdown late Sunday afternoon in Portland, Oregon.

Police in riot gear and holding batons lined up for hours along a city street, face-to-face with activists who refused to clear the road and go onto the sidewalk. This confrontation came hours after Portland police Sgt. Pete Simpson said more than a dozen people were arrested as authorities cleared Chapman Square, the last city park where protesters had gathered.

Simpson said the officers were in riot gear as a precaution, and were joined by other assisting agencies. "We needed the manpower because we used up a lot of resources yesterday (Saturday)," he said.

Mayor Sam Adams said late Sunday afternoon that "a series of increased drug overdoses... an arsonist that used the camp as camouflage and almost a 20% increase in crime surrounding the encampment" prompted the move.

"All of us are working really hard at keeping the peace and protecting freedom of expression," Adams told CNN. "I support a lot of what the encampment stands for ... (But) it shouldn't be focused on port-a-potties and tents and encampments attracting criminal elements. I think this movement needs to evolve."

Kari Koch, one of the activists, told CNN that she was "extremely disappointed that the mayor chose to crack down on these parks when the outpouring of support (among area residents) has been so strong."

"Homeless people exist, drug addicts exist, mentally ill people exist. We were a safe place they could go, and that created some problems," she said. "And we were working to deal with those problems, and the mayor cut us off."

Video from earlier showed authorities dismantling tents at the camp. Once the parks -- which Simpson said are "pretty beat up" -- are cleared, temporary fencing will be erected so repairs can be made.

One officer was struck in the leg earlier Sunday by a projectile thrown from a crowd, and was taken to a hospital, but the injuries were not life-threatening, authorities said. One protester was arrested in a separate incident overnight, Simpson said.

Video from that scene showed masses of protesters -- about 7,000, according to Koch -- on downtown streets. In the early-morning hours Sunday, police told demonstrators to leave the streets or face arrest. All but two of the demonstrators followed that order, many retreating to several parks, CNN affiliate KGW reported.

Yet hundreds returned by early Sunday morning -- some of whom have not been affiliated with the Occupy movement until now -- apparently hoping to witness a police confrontation, police Lt. Robert King said.

On Sunday, Mayor Sam Adams praised police for showing professionalism and restraint, noting the lack of serious injuries incurred over several police actions and stressing a calm, well-communicated approach.

"I'm prioritizing patience," he said earlier in the day. "In order for us to do this peacefully, we need the time and folks on the ground need the time to do their work right."

In Denver, meanwhile, two police officers were injured and two Occupy activists were arrested late Sunday afternoon, according to a statement from that Colorado city's police department.

Protesters became upset when police began removing a food table from a park, some of them surrounding a police car. One woman then pushed a Denver police officer, according to the police statement. She and a male who came to her aid were arrested.

One officer twisted his knee, while another was treated and released from an area hospital after being hit in the head, police said.

This scuffle took place after, on Saturday night, police in riot gear arrested 17 people as they cleared furniture and tents from an Occupy encampment near the city's civic center, police spokesman Sonny Jackson told CNN. The main issue, he said, was that the items were blocking a right of way.

"People are welcome to come back and protest, but we don't want them to do it in a way that's not safe," Jackson said.

What started as the Occupy Wall Street movement in New York in September has spread across major cities worldwide as a call to action against unequal distribution of wealth.

In Philadelphia, Mayor Michael Nutter said Sunday he was increasing police presence near the Occupy Philly camp and asking the city's police commissioner to "establish structures and strategic positioning and deployment of officers on a regular basis in that location."

What began as a peaceful protest 39 days ago has given way to increasing public safety and public health concerns, Nutter told reporters.

"Occupy Philly has changed," he said at a noon press conference. "We're seeing serious health and safety issues playing out on an almost daily basis... The people of Occupy Philly have also changed and their intentions have changed. And all of this is not good for Philadelphia."

A woman reported she was sexually assaulted Saturday night in a tent at the encampment, Nutter said. CNN affiliate WPVI reported a suspect was arrested in the alleged assault.

In addition, there is the threat of fire near historic City Hall and concerns about litter, public urination, defecation and graffiti, according to the mayor.

Numerous reports of thefts and assaults in the encampment have been made, and 15 emergency medical runs were made between October 6 and November 11, he said.

Also, a maintenance project is set to begin soon on City Hall, one of several, he said. A $50 million renovation is planned for Dilworth Plaza, where protesters have camped.

Occupy Philly's general assembly voted Friday night not to move from the plaza, and members have not responded in recent weeks to expressions of concern from the city, which has repeatedly tried to work with the protesters, he said. "Many of the people that we talked to in the beginning of this event and activity are now gone," he said.

"We have things we need to do," Nutter said. "I understand that they have things on their mind as Americans and wish to express their free speech. I understand that, I get that, I've defended that. The things we're talking about, the activities that are going on, are not about free speech. They're public health and public safety concerns that have nothing to do with Wall Street and corporations."

The protesters are "purposely standing in the way of nearly 1,000 jobs for Philadelphians at a time of high unemployment," Nutter said. "They are blocking Philadelphians from taking care of their families."

"Misconduct is not about free speech," the mayor said, "and the behavior we're now seeing is running squarely into the needs of our city government that also represents the 99%. As mayor of the city of Philadelphia, I represent the 99% also."

Meanwhile, in Salt Lake City, police said on Twitter 19 people were arrested Saturday night as authorities moved in to clear an Occupy Salt Lake encampment at a downtown park.

Police had ordered protesters to leave the park after a man was found dead late Thursday night. The cause of death was thought to be carbon monoxide poisoning and a drug overdose, CNN affiliate KSTU reported.

"We can no longer tolerate individuals camping on our streets," Salt Lake City Police Chief Chris Burbank told reporters.

However, "only camping is over," Salt Lake City Mayor Ralph Becker's office said on Twitter -- protests can continue at the park. KSTU reported authorities said protesters would be allowed to have a 24-hour presence and one building, but the tents had to go.

Since camping began at the park, Becker's office said in the statement, "local law enforcement has responded to a dramatically increased amount of criminal activity in the park, and has made over 90 arrests in the area since early October."

A melee involving 30 people on Wednesday night led to four arrests, Becker's office said, and public safety "has become increasingly questionable. Additionally, the amount of human and animal waste, as well as drug paraphernalia, is an escalating public concern."

As police moved in Saturday evening, according to video from the scene, protesters chanted, "This is what a police state looks like."

"Our rights to assembly, which are embodied in the First Amendment, are still being violated," protester Jesse Fruhwirth told KSTU. "Our forefathers are speaking to us, telling us that this is what assembly looks like. Not being able to camp here severely limits the ability of us to keep our coalition together."

"Many thanks to all for a peaceful resolution," Salt Lake City police tweeted late Saturday.

In Oakland, California, police issued a third notice for demonstrators to vacate city parks on Saturday, police spokeswoman Officer Johnna Watson told CNN. The protesters had not complied with that order, Watson said.

A second notice was issued Saturday morning after a fatal shooting near the camp, according to CNN affiliate KCBS. A man in his early 20s was shot Friday. Authorities said one of the suspects has been "a frequent resident at the encampment over the past several days," KCBS said.

Also Saturday, 27 protesters were arrested in St. Louis after defying an existing park curfew, authorities said.

@highlight

NEW: 2 Denver police injured, 2 activists arrested Sunday

@highlight

Portland riot police trying to clear street face off with Occupy protesters

@highlight

Sexual assault reported at Occupy Philly camp, mayor says

@highlight

Salt Lake City police clear camp, arrest 19 protesters