(CNN) -- Spawning at least 24 possible tornadoes, mostly in the Midwest, a giant storm system stretched Tuesday night from Alabama to Maryland, bringing new watches and warnings.

The system unleashed its wrath on several communities in northern Alabama, Tennessee and North Carolina on Tuesday night.

At one time, it had stretched a staggering 1,200 miles from north to south.

Tornado watches were in effect for several counties near Charlotte, North Carolina, and forecasters say some areas will see continued strong winds Wednesday.

In Lincoln County, North Carolina, five homes were damaged and two of them destroyed, said spokesman Dion Burleson. Five people were hurt; one has life-threatening injuries. Several cars were overturned in Catawba County, according to the National Weather Service.

In Chattanooga, Tennessee, a possible tornado struck a fence near Chickamauga Dam and threw debris into a roadway, police said. Seven cars lost control and crashed, with five people suffering injuries.

Deputies were assessing damage near the town of Geraldine in DeKalb County, Alabama, and in Marshall County, said Lauree Ashcom, spokeswoman for the Alabama Emergency Management Agency. Marshall includes the lake resort city of Guntersville. A tornado may have touched down southwest of Geraldine, she said.

Downed trees are making it difficult to reach residents and determine any injuries, said DeKalb County emergency official Michael Leath. "We're having to batten down the hatches for another system coming in." No injuries had been reported late Tuesday.

A tornado watch was in effect for the District of Columbia until 3 a.m. ET Wednesday.

Wind, rather than flooding, appeared to be the biggest danger, with gusts exceeding 70 mph in some places. The National Weather Service's Storm Prediction Center said there were 258 reports of wind damage by mid-evening Tuesday.

No deaths had been reported to state emergency officials by early evening.

Extensive damage from the high winds and possible tornadoes was reported in a band from Minnesota to the Gulf Coast.

Six tornadoes were confirmed in Indiana, three in Ohio and another in Wisconsin.

Up to 200,000 residents lost electrical power.

A tornado smashed into a business in LaPorte County, Indiana.

Dan Hill, general manager of Hoosier Machinery Solutions, heard a weather siren and went to check.

He turned to another employee after spying an odd cloud formation outside the business door. " 'Does that look like a tornado?' I asked. As soon as I said that, it touched down."

The twister tore a roof off a pole barn, damaged some reconditioned recycling equipment and employees cars. No one was hurt. The 10 employees "all ran for [heavy] equipment and got inside," Hill told CNN.

All 48 floors of the Chase Tower in downtown Indianapolis were evacuated for a short time at the height of the storm. People took refuge in the building's fallout shelter, according to CNN affiliate WRTV.

The system appears to have made weather history. Preliminary readings indicate that a new record was set for the lowest pressure in a nontropical storm in the mainland United States, said Chris Vaccaro of the National Oceanic and Atmospheric Administration.

The minimum central pressure of 28.22 inches of mercury was equivalent to the pressure of a major Category 3 hurricane, without the corresponding wind scale, he said. If confirmed, the reading would break the current record of 28.28 inches, set on January 26, 1978, during what became known as the Blizzard of 1978.

Storms caused extensive damage to buildings near Racine, Wisconsin, and Peotone, Illinois, Tuesday morning.

A Peotone youth who was with his brother at a farm that was damaged described to CNN affiliate WLS-TV in Chicago what it was like in the middle of the tempest.

"All of a sudden, the wind kicked up," Justin Schroeder said. He said the force of the wind "sent us back into the foyer about five feet. It was like a bomb went off. You didn't hear a tornado. You didn't hear a whistle. It was a like an explosion of glass."

Some experts told WLS that the storms might be the most powerful to hit Illinois in more than 70 years. The CNN Severe Weather Center reported the storm was moving quickly eastward at more than 50 mph.

The Minneapolis/St. Paul Airport reduced air traffic from three runways to one runway for landings and takeoffs Tuesday mid-afternoon because of high winds. About 50 flights had been canceled or delayed, a spokesman said. Conditions may still be difficult in the region Wednesday.

O'Hare International Airport in Chicago reported that 500 flights had been canceled as of 3:35 p.m. Some delays were reported at Chicago Midway Airport. Indianapolis International Airport reported some delays for flights to Detroit, Michigan; Milwaukee, Wisconsin; Cleveland, Ohio; and Minneapolis, Minnesota, while Detroit Metro Airport said most flights were on time with the most significant delays to O'Hare.

Indiana and Illinois each had at least 60,000 power outages and 38,000 were reported in Ohio. Other states reported smaller figures.

Gabrielle Torres and her husband experienced extreme weather in Corydon, Indiana.

"There were extremely strong winds that were even rocking my husband's semi-truck side to side," she said. "The tornado sirens were sounding but we could barely hear them over the pounding rain."

In St. Louis, Missouri, two reported partial building collapses were blamed on the extreme weather, according to Officer Donna Wisdom of the St. Louis Police Department. Video from CNN affiliate KSDK-TV in St. Louis showed downed trees, damage to homes and thick rubble on a sidewalk beside a building damaged in the storm. Wisdom said no serious injuries were reported from the partial collapses.

A National Weather Service damage assessment team confirmed that an tornado touched down near Somers, Wisconsin, causing two injuries.

Numerous uprooted trees, snapped and downed power poles and roof damage to several buildings was reported. Several parked tractor-trailers were also tipped over, according to the National Weather Service.

Severe thunderstorm warnings and tornado watches popped up throughout central Kentucky, Ohio and Tennessee around midday Tuesday as the intense band of storms began to push through Indiana.

At least one tornado was reported to have severely damaged a house in Howard County, northeast of Kokomo, according to CNN affiliate WRTV in Indianapolis.

Witnesses gave accounts that underscored the fury of the storm. Several said they'd never seen anything like it.

CNN iReporter Trey Sturgeon, 23, of Connersville, Indiana, described the wind and rain as "a little bit scary."

"Where I live in Indiana, we don't get winds and possible tornadoes," said Sturgeon, a musician who was at home when he looked out the window to see the storm.

"The first thing I thought of was my family," he said.

"When the winds came, it was a lot more like a dense fog than rain -- from the wind pushing the rain sideways," he said.

"On a tree right down the road, a big tree limb was broken off and it blew across the street before it hit the ground, and we're talking maybe a 200-, 250-pound tree limb. There were reports on my police scanner of tree limbs falling and landing on power lines in the northern part of the county."

All 48 floors of the Chase Tower in downtown Indianapolis were evacuated briefly at the height of the storm, and occupants took refuge in the building's fallout shelter, WRTV reported.

"It was pretty bad up there," Nick Hoetmer, who works in the building, told WRTV. "The windows were moving back and forth, so it was nasty."

CNN meteorologist Sean Morris and CNN's Dave Alsup, Shawn Nottingham, Michael Martinez and Kara Devlin contributed to this report.

@highlight

Northern Alabama, Tennessee and North Carolina are hit Tuesday night

@highlight

A U.S. low-pressure record may have been broken

@highlight

Up to 200,000 customers lose power, many of them in Indiana, northern Illinois, Ohio

@highlight

Emergency official: "We're having to batten down the hatches"