(CNN) -- Warnings from the National Weather Service about excessive temperatures in the Northeast remain in place through Thursday, as temperatures approached or surpassed the 100-degree mark for a second consecutive day Wednesday in many states.

An "excessive heat watch" will remain in effect through Thursday afternoon in parts of Delaware, Massachusetts, Pennsylvania and New Jersey. The weather service says that temperatures maybe lower but the dew point temperatures will be higher. That combination means heat indices will be close to 100 degrees again on Thursday.

A "heat advisory" remains in place for parts of Vermont as well. Heat index values are expected to hover between 100 and 104 degrees Thursday, so the advisory will not be lifted until Thursday evening.

Meanwhile, the weather service projects that a "heat advisory" in place for the New York metro area will lifted by mid-day Thursday. High temperatures are forecast to be about ten degrees cooler than they were Wednesday, as southeasterly winds come in off the Atlantic Ocean.

Show us ways that you are staying cool

Weather stations in Richmond, Virginia; Raleigh, North Carolina; and Mount Holly, New Jersey; and at Philadelphia International Airport in Pennsylvania and Newark International Airport in New Jersey all registered triple-digit temperatures early Wednesday afternoon.

At Baltimore-Washington International Airport in Maryland, temperatures also hit 100 degrees Wednesday afternoon, 4 degrees shy of Tuesday's high. But CNN meteorologist Chad Myers said heightened humidity Wednesday made it feel similar to Tuesday -- and he warned that the hottest time of day lay ahead later in the afternoon.

Waterparks, pools and even fire hydrants became gathering places for people trying try to cool off as the record-breaking heat wave continued to roast much of the region.

Officials are advising people to stay indoors as the prolonged heat and humidity creates a "dangerous situation."

The heat already has claimed at least two lives. An elderly woman was found dead Monday night in a Philadelphia home without air conditioning, according to the city medical examiner's office. An adult was found dead inside a Baltimore home with a temperature higher than 90 degrees, the Maryland state health department said Wednesday.

Young, fit people have succumbed to the extreme temperatures, too. Four midshipmen at the U.S. Naval Academy in Annapolis, Maryland, were being treated for signs of heat exhaustion Wednesday morning, according to academy spokeswoman Judy Campbell.

The extreme heat caused scattered power outages in some states. There were customers without power in Connecticut, Massachusetts and New Jersey. Con Edison says customers who lost power in the New York City area should have electricity restored by early Thursday morning.

Michael Clendenin of Con Edison told CNN's American Morning Wednesday that his company has been able to keep the power on for all but 6,000 or so of its 3.2 million customers in New York City.

"It is the kind of thing we expect in heat waves like this and we are working very hard to try to minimize the impact." Clendenin said.

He warned that the situation is far from over.

"So far, I would say we dodged major bullets. I think there's still a big shoot-out going on." Clendenin said.

Power isn't the only thing in sporadic supply in the heat-afflicted region. According to the general manager of the White Oak Ice company in Bensalem, Pennsylvania, "The whole tri-state area is just about out of ice -- New Jersey, Philadelphia and Delaware. Absolutely unbelievable. It's terrible up here. We haven't experienced this in 12 years, 13 years," said John Sylvester.

"All the big major companies are out of ice. Guys are scrambling. They're calling for ice and it's coming from Wisconsin, Ohio, the Carolinas and they're running out. Demand is way higher than what everyone can produce and I don't see any end in sight," Sylvester added.

"Other ice companies are calling us begging for ice. There's only a certain amount of guys who manufacture and a company like ours, we're keeping up with it but we're coming to an end. We've used all our ice in storage. We start storing in February or March. We make a couple hundred tons a day."

In New York, the city set up as many as 400 cooling stations in its five boroughs, according to the Office of Emergency Management.

Emergency Management Commissioner Joe Bruno urged people to use the center, and advised neighbors to check on neighbors to make sure they are well.

Some of those neighbors might not have air conditioning to begin with.

New Yorker Alfred Roblero not only lacks air conditioning in his apartment, he has to walk up six flights of stairs to get there.

"It's terrible. Most of the time my heart is like beating like... like I need air because of the heat," Roblero told CNN's Jason Carroll.

"This is a significant health emergency as well as a heat emergency," Bruno said.

New York City officials say the unauthorized opening of fire hydrants often spikes during heat waves. Residents are being warned not to open hydrants without spray caps, because it's "illegal, wasteful and dangerous," and could lead to fines and/or imprisonment.

The city says illegally-opened hydrants could impede firefighting, waste more than 1,000 gallons of water per minute and knock down children, causing injury -- but adults can get legally-approved spray caps from their local firehouse that will limit water flow to 20-25 gallons per minute when placed on a hydrant.

In Middletown, Connecticut, police issued summonses for second-degree reckless endangerment to two high school football coaches who held practice in the heat, leading one student to collapse.

The assistant football coaches at Middletown High School staged a "strength and conditioning session that consisted of weight training and running" from 6 p.m. to 8 p.m. Tuesday, the Middletown police said.

A student passed out during a phase of the running that involved "sprinting up a hill several times," police said.

In Nashua, New Hampshire, Ben Dionne spent part of Tuesday outside cleaning out a pool. He told CNN affiliate WMUR he was following experts' advice to stay hydrated. "It's hot. I'm just trying to stay cool and get as much water as I can."

In Philadelphia, a 92-year-old woman was found dead in her home. The woman, who was discovered by a neighbor, had opened a few windows but did not have air conditioning, said a medical examiner's spokesman.

The National Weather Service is urging people to protect themselves.

"Be sure to check on your elderly relatives and neighbors. Coaches, trainers, camp counselors should remain alert for signs of heat exhaustion and heat stroke," the weather service warned.

The heat can also adversely affect animals, and that's having an impact on a popular New York City tourist attraction. The city's health department bans carriage operators from working their horses "whenever the air temperature is 90 degrees Fahrenheit or above," said department spokeswoman Suzanne Craig. She said anyone offering horse-drawn carriage rides at those dangerous temperatures is subject to fines from both the health department and the American Society for the Prevention of Cruelty to Animals, or ASPCA.

ASPCA officers in Central Park told Craig that operators complied with the mandate Tuesday, sidelining their businesses in the heat, except for early in the morning and late at night when temperatures dipped below 90 degrees, she said.

Some people are fleeing the city for cooler places nearby. Mountain Creek Waterpark in Vernon, New Jersey, is drawing a lot of New Yorkers, park spokeswoman Alice Heinrich said Wednesday. "It has been one of those weeks where everyone gets the idea, they see a heat wave and don't have pools, so they come out to the waterpark."

Heinrich said the waterpark is reminding visitors via its loudspeakers to drink fluids -- and making it easier for them to do so. Waterpark workers are going around handing out water to people waiting in long lines for rides, she said.

CNN's Chad Myers, Mackenzie Green, Jessica Naziri, Jason Kessler, Mythili Rao, Cassie Spodak, and Ashley Vaughn contributed to this report.

@highlight

Heat wave causes deaths in Baltimore and Philadelphia

@highlight

Several cities from Raleigh, North Carolina, to Newark, New Jersey, hit triple digits

@highlight

Heat advisories are in effect until Wednesday evening in the Northeast

@highlight

New York sets up cooling stations, warns not to open fire hydrants without spray caps