Paris (CNN) -- The French Senate opened debate Thursday on a controversial bill that would extend the right to marry and adopt to same-sex couples.

The lower house has already approved the legislation. If it passes the Senate, it would mark the biggest step forward for French gay rights advocates in more than a decade.

But the plan faces stiff opposition from the Roman Catholic Church, other religious groups and social conservatives, with huge numbers turning out for protest marches in Paris in recent weeks.

At the same time, the legislation has won wide backing from gay rights advocates.

The Senate debate is expected to continue into next week.

Same-sex marriage: Who will legalize it next?

International question

France is not the only nation currently wrestling with the polarizing issue.

Uruguayan senators voted overwhelmingly in favor of a same-sex marriage measure Tuesday, despite vocal opposition from the Catholic Church. Next week, lawmakers in the lower house are expected to vote on the Senate's version.

Legislators in the United Kingdom are also weighing proposals to legalize same-sex marriage.

In the United States, the issue went before the Supreme Court last week, and justices are now deliberating over the matter.

Nine states and the District of Columbia issue marriage licenses to same-sex couples, including three states -- Maryland, Washington, and Maine -- where voters approved it in ballot initiatives last year. The other 41 states have specific laws blocking gays and lesbians from legally marrying.

The first same-sex couples walked down the aisle in the Netherlands in 2001. Since then, almost a dozen countries have passed laws allowing same-sex marriages and domestic partnerships, including Canada, South Africa, Belgium and Spain.

In Argentina, the push to legalize same-sex marriage met with fierce opposition from the Roman Catholic Church, with Cardinal Jorge Mario Bergoglio -- then the archbishop of Buenos Aires and now the pope -- engaging in a notorious war of words with the government over the issue. It was approved in 2010.

The issue also has divided Australia, where lawmakers voted against a bill to legalize same-sex marriage last September. A poll for the advocacy group Australian Marriage Equality indicated that 64% of those surveyed "support marriage equality."

'It's love that matters'

Extending the right to marry and adopt to same-sex couples in France was one of President Francois Hollande's electoral pledges in campaigning last year.

The left, which includes Hollande's governing Socialist Party, dominates the National Assembly, where the bill passed by a large majority in February. The party has only a slim majority in the Senate.

The issue has sparked strong reactions among ordinary voters, as well as their legislators.

Some 300,000 people turned out for a protest march staged less than two weeks ago, police in Paris told CNN affiliate BFM-TV.

Same-sex marriage campaigner Marc Barronet told CNN it was not surprising that the move has provoked strong reactions from some.

"France is a rather progressive country ... but you shouldn't forget that France also has some parts of rather conservative society and in times of economic crisis, people tend to cling to what they know and fear change, forgetting sometimes that change can bring improvements."

Opinion: Gay rights in France - How even the U.S. leads the way

Nonetheless, he is confident that the measure will pass sooner rather than later.

"France is a secular society, so it's very different from other countries where religion plays a large part in the question of marriage," he said.

"There is a clear majority in parliament in favor of this bill, so it will become law."

Engineer Driss Houat, 69, told CNN Thursday he opposes the measure. "I am completely against it because God created man and woman so that they could be married. Not for anything else. It's absurd for me to see this bill pass," he said.

But Myriam Duru, 37, a manager at a Tommy Hilfiger store, disagrees.

"I am Muslim, so I believe in God. I think it's not a problem for me to accept. I don't understand people who think that God exists and can say 'I'm against the happiness of people,'" she said.

Alexis Nys, a 58-year-old salesman, said he supports same-sex marriage "because at the end it's love that matters. Not old things and old fashions. I think we need to live like we should live today."

A law legalizing civil unions was introduced in 1999 in France under a previous Socialist government.

Known in France as the PACS (pacte civil de solidarite), the civil union agreement can be entered into by same-sex or straight couples and confers many but not all of the rights of marriage.

French lawmakers approve same-sex marriage bill

CNN's Charles Pellegrin reported from Paris and Laura Smith-Spark wrote and reported in London.

@highlight

NEW: Senate has begun debating a bill that would allow same-sex couples to marry and adopt

@highlight

NEW: The issue of same-sex marriage has polarized debate among ordinary French people

@highlight

Opposition to the measure is led by the Roman Catholic Church and social conservatives

@highlight

Nearly a dozen countries have passed laws opening up marriage to same-sex couples