Editor's note: Robert Menendez is the junior senator from New Jersey and the author of a new book, "Growing American Roots: Why Our Nation Will Thrive As Our Largest Minority Flourishes."

Sen. Robert Menendez, D-New Jersey, says that in the U.S., Latinos are no longer on the outside looking in.

Across America, the Latino population is growing, and it is now the largest minority group in the country. Latino voices are being heard, and their economic impact is being felt in the marketplace, which is good for the whole of the nation.

Contrary to what may be a popular belief, most Latinos in America today are U.S. citizens. Many barely live above the poverty line, but many others have entered the ranks of the middle class and are contributing mightily to the culture as well as the economy.

Latinos are no longer on the outside looking in. They are at the table, making a difference. On every major issue before Congress and every major issue before the courts, Latinos, in larger and larger numbers, are engaged in the debate.

Our nation will thrive as our largest minority flourishes. It's important to remember that, particularly in tough times such as these. Latinos have many role models, and now we have one more: Justice Sonia Sotomayor on the United States Supreme Court.

Sotomayor and I grew up at the same time in similar circumstances. She was raised in public housing in the Bronx. I was raised poor, in a tenement building in Union City, New Jersey, the son of Cuban immigrants. My mother was a seamstress; my father an itinerant carpenter. I was the first in my family to go to college.

I never dreamed that one day, I would be elected as one of 100 United States senators in a country of 300 million people, and be able to cast my vote in favor of the confirmation of an eminently qualified Hispanic judge who lived across the river from that old tenement in Union City. It was a proud moment for me, one I will always remember as a highlight of my time in the Senate.

One day, a new generation of young Latinos will follow in the footsteps of Sotomayor and other pioneering public servants. They will build on the successes of our community, contribute to strengthening our economy and leave their mark on the community and on our nation.

Being at the heart of the debate, part of the greater American community, is nothing new for Latinos in this nation. In my new book, I write that it is incumbent on us, as Latinos, to remind ourselves and the rest of America about our long presence here and the contribution we have made -- and about how the success of the Latino community is important for the success of the entire country.

Latino patriots have served and fought in every war. They are artists, dancers, singers, poets and journalists, teachers and scientists. More and more Latinos are becoming entrepreneurs and businesspeople, contributing to the wealth and economic well-being of the nation. But they have also been characteristically humble, and have not spoken enough about their accomplishments and the contributions they have already made to the fabric of this nation.

From the earliest days of the republic -- indeed well before the Revolution -- Latinos have been an integral part of the establishment of this country. All Americans should have access to that history.

In politics alone, Latinos have played a larger role than most realize. Technically, the first Latino in Congress was Jose Marion Hernandez, who served briefly from 1822 to 1823 as a delegate from Florida before it became a state in 1845. Romualdo Pacheco of California won by one vote in 1876 to become the first Hispanic member of the United States Congress.

The first Hispanic senator was Octaviano Larrazolo of New Mexico, who served for a short time in 1928 before resigning because of ill health. There have been three Latino Nobel Prize winners from the United States and 11 Latino astronauts, and the list goes on. We need to enhance the teaching of the story of Hispanic life in America which will, in the end, shed more light than heat on the immigration debate taking place across this nation.

Latinos themselves need to fully understand and appreciate their accomplishments, but also to understand, as a community, where we have fallen short. Millions of Latinos are graduating into the middle class. More Latino children are going to colleges and universities than ever before. Latinos are increasingly serving in public office and in key areas of the economy.

But, at the same time, despite this progress in education, too many Latino children are dropping out of school. Too many families are struggling to make ends meet. And too many Latinos suffer from a lack of adequate health care. These are the realities, some we can justifiably be proud of. Others we must honestly confront and address if we are to succeed together as a nation, achieve our full potential and bring the next generation along.

Growing roots in America means recognizing our past, acting now and preparing the road for those new generations who will follow. It means engaging in sweeping efforts to improve education for Latinos and all American children, including specific programs to bring along those who have fallen behind in school through no fault of their own. It means comprehensive health care, elder care and economic opportunity -- the same rights that all Americans want and deserve.

We must engage and encourage young Hispanics to enter public service, to be part of the debate, to be at the table and be part of the solution. We must instill in them a sense of history and a belief that it is our duty and obligation to give something back to the community to build a better, stronger nation.

The opinions expressed in this commentary are solely those of Robert Menendez.

@highlight

Robert Menendez: Latinos are now are at the political table, making a difference

@highlight

More young Latinos will follow in the footsteps of pioneering public servants, he says

@highlight

He says Latinos must remind America about long Latino presence, contributions

@highlight

Latinos must appreciate accomplishments but also understand shortfalls, he says