(CNN) -- Along the Rust Belt and in cities dotting the Northeast and Upper Midwest, Catholic communities are mourning the loss of parishes. It's a five-year trend of sweeping church closures that most recently hit Cleveland, Ohio.

St. James parish in Lakewood, Ohio, is slated to close. The interior replicates a 16th-century Sicilian cathedral.

Wally Martens, a Cleveland native, can look out his kitchen window and see the spiritual home that has served his family for five generations. St. Ignatius of Antioch has been with him and his loved ones through life and death.

"It's the place where most of us were baptized, most of us got married, most of us graduated from grade school and some of us were buried," Martens, 68, said of the west side urban parish that serves 1,200 households. To find out that the building is set to be shuttered is "like losing somebody in your family."

Earlier this month, Bishop Richard G. Lennon of the Diocese of Cleveland, which serves more than 750,000 Catholics, announced that 29 parishes will close and 41 others will merge. The reconfiguration plan, which will effectively cut 52 parishes in the current tally of 224, is scheduled to go into effect by June 30, 2010.

"Closing a parish is very emotional," Bishop Lennon said in a written statement. "I have personally experienced the closing of my own childhood parish in Boston, which members of my family helped establish in 1914. ... I pray that my decisions will serve the needs of this Diocese and its people."  Parishioners speak out on closings »

Other cities that have had waves of closures have included places as various as Camden, New Jersey; Allentown, Pennsylvania; and New York City. All of this comes at a time when the Pew Forum on Religion & Public Life reports that Catholicism in America has lost more affiliated members than any other faith tradition.

There are reportedly 67.1 million Catholics in the U.S., according to The Official Catholic Directory 2008. Compared to the 2007 number of 67.5, that's about a 400,000 decrease in one year. And the Pew Forum found that approximately a third of its survey respondents who were raised in the Roman Catholic Church no longer attend the church.

What drove the decision to close parishes in Cleveland were population shifts to outlying areas, financial strains that have 42 percent of parishes "operating in the red" and priest shortages, diocese spokesman Robert Tayek explained.

The bishop, he said, is trying to find "an equitable solution."

But the announcement has raised many questions. Among them: What happens to the struggling neighborhoods that have come to rely on outreach and programs offered by some of these inner-city parishes?

"Too many bishops are treating parishes as if they were Starbucks franchises," said Sister Christine Schenk, a Cleveland-area nun who's been fighting for nearly two decades to institute change in the church through her organization FutureChurch.

"It's about more than money. It's about mission to the people," she said. "This isn't what Jesus would do."

The Rev. Bob Begin of Saint Colman couldn't agree more.

"The founder of our church started his mission by saying, 'I came to bring good news to the poor,'" said Begin, who described his parish as serving about 1,300 people in a community where the average income is below $20,000.

Saint Colman, which is slated to merge with another parish elsewhere, gets daily knocks on its doors from nearby residents, many of them immigrants from 25 different countries, who are in need of all kinds of assistance, he said.

"If this parish weren't involved in bringing good news to the poor, I would not spend a lick of energy trying to keep it open," the pastor said. "But because it is bringing good news to the poor, then I have a responsibility to guard and defend this mission against anyone who threatens it."

His parish and others affected by the recent announcement had until 5 p.m. Friday to file an appeal with the diocese.  According to The Plain Dealer, which conducted a survey of the parishes, at least 11 had filed as of Friday morning. The diocese itself refused to comment on numbers.

For those who didn't file, the bishop's decision is final. But if what happened in Boston, Massachusetts, is any indication, no parish should count on the appeal working.

Bishop Lennon came to Cleveland from the Archdiocese of Boston, where he oversaw the reorganization and closure of parishes and came under harsh criticism from many. One such critic was Peter Borré, chairman of the Council of Parishes, a Boston-based advocacy group for imperiled parishes.

In 2004, within months of the Archdiocese of Boston announcing it would pay a settlement of $85 million to more than 500 alleged sex abuse victims, 83 parishes were put on the chopping block, "which was a head spinner," Borré said.

In the end, because of his organization's relentless efforts, Borré said, only 60 parishes were cut.

His group coordinated around-the-clock vigils or sit-ins that are ongoing, four and a half years later, in five Boston-area parishes. He also has led the charge to navigate the appeal process for nine parishioner groups that have now taken their battle all the way up to the Apostolic Signatura, or, as Borré called it, the "Vatican Supreme Court."

The assumption is that the highest level of the Vatican will deny the appeals this spring, but Borré said it is important to him and the others to fight as far as they can go.

"Other than vigils, this is the only step still open to us," he said. "Secondly, we are the lead dog on this sled. We are the first that has experienced this phenomenon, and we have made it a self-appointed task to let the rest of America know what to expect."

As of Friday morning, eight Cleveland parishes had reached out to Borré for language to help in their appeals. Others likely drafted letters of their own.

But some affected parishes had no intention of fighting.

Ray Daull, 68, a deacon at Christ the King in Cleveland Heights says a merger, which will combine his parish with three others, is a good thing. It'll be sad to see his church of 52 years go, but given its deficit and shrinking attendance, with a merger, "We will have more resources ... and the money can go into doing our work," he said.

But for parishes such as St. Ignatius of Antioch, the one Wally Martens can see from his window, accepting the end is not yet possible.

"There was a general gasp, and then sadness turned to madness," the Rev. James McGonegdal, Marten's pastor of 20 years, said of the announcement he made at Mass on March 15. "Some of the parishes knew they'd be closing, whereas for St. Ignatius and a couple other parishes, it was almost like a sudden death. You grieve in a different way."

A standing-room only crowd poured into the parish last Sunday to show growing support. Martens said in a week's time, $900,000 had been pledged to finance the church and send a message to the diocese.

For Martens' 92-year-old mother, Pauline, pondering life without her parish is unthinkable. For most of her life, it's the only one she's known.

"I just thought the church would go on forever," she said. "I expected to be buried from there. But I guess the way things are going, I just don't know what'll happen to me."

@highlight

Parish closures hit Catholic communities across the Northeast and Upper Midwest

@highlight

Diocese of Cleveland is most recent one to announce sweeping changes

@highlight

Parishioners worry about the inner-city poor that rely on church outreach

@highlight

"This isn't what Jesus would do," says a nun-turned-activist