(CNN) -- After more than three decades, Zimbabwean President Robert Mugabe is not ready to give up power.

Referred to by locals as "old man," the 89-year-old leader trudges on, holding on to his presidency by suppressing the media and intimidating his opponents, rights groups say.

But his supporters have dismissed the claims, saying the bespectacled leader wins hearts based on his popularity and policies.

Zimbabwe election praised by African Union, sidesteps rigging claims

Last week, Zimbabwe's election commission handed him another five years in power when it said he won 61% of the votes in the country's presidential elections.

His rival, Prime Minister Morgan Tsvangirai, cried foul and threatened to mount a legal challenge. The United States, the United Kingdom and Australia all questioned the results.

Mugabe has never been shy about his grip on power.

"This is my territory, and that which is mine I cling (to) unto death," he once said.

War hero

Once hailed as a liberation hero, Mugabe became a household name during a guerrilla war against white colonial rulers in Zimbabwe, then known as Rhodesia.

The white regime threw him into prison for 10 years. After his release in 1974, he launched a fight for freedom from Mozambique. He coordinated a guerrilla war against then-Prime Minister Ian Smith's white minority rule in Rhodesia and returned home a hero in 1979.

"He was very clear of what they were looking for, which was really one person, one vote, democracy for his country," said Moeletsi Mbeki, brother of former South African President Thabo Mbeki. "He was leading this party which had an army, which was credible, which was doing a good job against the white settlers in then-Rhodesia."

He went on to lead the newly independent Zimbabwe -- first as prime minister in 1980, then as president seven years later.

Different paths

Mugabe and South Africa's anti-apartheid icon, Nelson Mandela, both battled to free their nations from white minority rule.

But Mandela, who became president in 1994 after he was freed from prison, kept a promise to retire after only one term. Though both were hailed as liberation heroes, Mandela is considered an iconic statesman. Mugabe, on the other hard, is vilified by some world leaders.

"In western lore he has been a terrorist, a Marxist ideologue, now a bloodthirsty tyrant, stereotypes that he alone on the continent has been able to mock and laugh off," Roy Agyemang said in an opinion piece in Britain's The Guardian newspaper.

Agyemang, who produced the movie "Mugabe: Villain or Hero?" said the leader is unfazed by the characterizations.

" 'If standing for my people's aspirations makes me a Hitler,' Mugabe once said, 'let me be a Hitler a thousand times.' "

Good ol' days

Zimbabwe's economy was strong in the early years of Mugabe's rule. The country was known as the breadbasket of southern Africa because of its strong agricultural sector.

But that changed in the 1990s, when the economy began a downward spiral and Mugabe's government faced charges of elitism, cronyism and corruption.

His liberation credentials brought him high regard during the early part of his leadership, with many seeing him as a unifying figure committed to the needs of the average person.

Goodwill runs out

But the goodwill from his liberation struggle slowly ran out.

In 2000, he drew criticism for his land reform program that evicted white farmers and gave the land to poor black Zimbabweans, many veterans of the struggle for independence. Most were not as familiar with commercial farming.

"Zimbabwe belongs to the Zimbabweans, pure and simple," he said in a 2009 interview with CNN's Christiane Amanpour.

White Zimbabweans -- even those born in the country with legal ownership of their land -- have a debt to pay, he said.

Soon after, agricultural output decreased sharply.

'One of Africa's bad boys'

Despite his pariah status in the West, analysts say Mugabe's anti-Western tirades have propelled his popularity at home.

To some, he commands respect for challenging the status quo and retaining his image as a critic of former colonial powers, said Ayo Johnson, director of Viewpoint Africa, which sells Africa content to media outlets.

"Mugabe ... is one of Africa's bad boys and wears his medal with pride," Johnson said in a past interview. "He who stands up and shouts the most is usually revered."

Few African leaders have as willfully and spitefully taunted the West, a major source of donor aid, as Mugabe has.

His anti-West tirades especially target Britain and the United States, which he accuses of colonialism.

"Keep your pink nose out of our affairs, please," he told the United States last week in response to criticism of his push for elections without key reforms.

Agyemang says Mugabe's bold economic policies are moving the nation forward.

"Mugabe is more than just a politician, he leads a cause, or as his militant supporters would say, he has become the cause itself," Agyemang said in The Guardian piece. "And the cause has something to do with giving back the African his dignity well beyond symbols of nominal independence."

No longer a breadbasket

In recent years, political rivals have accused him of turning a nation once known as the breadbasket of southern Africa into one racked by hunger and once sky-high inflation.

But Mugabe has clung to power at all costs.

In 2008, his party lost to his closest rival, Tsvangirai, who did not get enough votes to avoid a runoff. Opposition party supporters were beaten, tortured and killed, rights groups said, and Tsvangirai withdrew from the runoff in protest. The post-election violence left about 200 people dead and thousands injured.

Regional leaders dismissed that election as a sham and pressured the two to form a power-sharing agreement, which led to a tense coalition in 2009. Mugabe's main opponent became his prime minister, and the squabbles continued.

Former teacher

Born in February 1924 in then-Rhodesia to a carpenter father, Mugabe spent his early career as a teacher.

His first wife died in 1992, and he married his current wife, Grace, four years later. They have two sons and one daughter.

Mugabe has university degrees in education, economics, administration and law from the University of London.

In 2002, the European Union imposed sanctions on Mugabe and his allies, including travel bans, accusing Zimbabwe of human rights violations.

in 2008, the United Kingdom stripped Mugabe of an honorary knighthood awarded by Queen Elizabeth II. Later that year, the nation plunged into post-election violence.

The European Union eased the sanctions after a successful referendum on a new constitution in March of this year but called for credible elections.

Inflation

As he has continued to lash out at the West, donors have distanced themselves, sending Zimbabwe on a downward economic spiral.

By 2008, the nation's inflation had soared to 200 million percent. Food shelves were empty, and a loaf of bread cost about 300 billion Zimbabwean dollars.

International isolation continued to hit the economy as corruption remained rife.

Despite widespread poverty, the nation has made major strides in its economy in recent years, experts say. There is food on the shelves, schools and hospitals are open and farming is showing signs of recovery.

Since 2010, the nation's gross domestic product "has grown by an average of over 7% and inflation has remained in the low single digits," the International Monetary Fund said last month. "Government revenues have more than doubled from 16% of GDP in 2009 to an estimated 36% of GDP in 2012, allowing the restoration of basic public services."

Medical trips

Illness has come with Mugabe's advancing age.

He has reportedly made regular trips to Singapore for medical treatment amid growing concerns about his health. In 2011, public documents showed he amassed a staggering $29 million in travel expenses. WikiLeaks released cables detailing party members' reports that he is suffering from cancer, which he has denied.

Despite the reports, a Freedom House survey last year showed that Mugabe's party was regaining its popularity.

Q&A: Why Zimbabwe elections matter

CNN's Paul Armstrong contributed to this report.

@highlight

He was once called a liberation hero, but rights groups now accuse him of abuses

@highlight

Mugabe became a household name during a guerrilla war against white colonial rulers

@highlight

He was Zimbabwe's prime minister in 1980, then its president seven years later

@highlight

Survey last year showed his party regaining popularity