(CNN) -- Over the past few months, newspapers, websites and cable news programs have implied 2010 would be a year of remarkable progress for women in politics.

With a record number of women running for the U.S. House (138) and U.S. Senate (15), pundits, pollsters and politicians assumed it was the dawn of a new day, one in which Democrats and Republicans understood the importance of electing women.

High-profile female candidates, many with interesting personal stories and personality traits, fostered the speculation that 2010 might very well be another "Year of the Woman."

But it wasn't.

In fact, Wednesday morning's headlines did not even mention women. Obviously, Democratic losses and Republican's ascent correctly took center stage. But some important points about women in politics slipped through the cracks.

First and foremost, for the first time in 30 years, the number of women serving in the U.S. House of Representatives will likely decrease. A few contests remain too close to call. Democratic incumbents Melissa Bean and Gabrielle Giffords are fighting to hold onto their seats. Republican challengers Ann Buerkle and Ruth McClung are trailing by only a few thousand votes to the male incumbents they hope to unseat.

But only if women win all of these races (an unlikely scenario) will the total number of women serving in the House hold steady at 73.

The story in the U.S. Senate is similar. Depending on the outcome of Lisa Murkowski's write-in bid in Alaska, women will either continue to occupy 17 seats or they will drop to 16.

Therefore, the best-case scenario for women's overall representation is they will continue to comprise 17 percent of Congress.

Second, a net loss of women in Congress was a likely outcome heading into election night. We just did not seem to talk much about it. In an election cycle in which women competed for fewer than one-third of the 435 seats at stake in the House and only 15 seats in the Senate, substantial or even incremental gains for women were almost impossible.

And because 77 percent of the women in the House and Senate were Democrats, women were in a particularly precarious position as they faced an anti-Democratic, anti-establishment electorate.

The election results are consistent with what the political landscape portended. In the House, at least nine female Democratic incumbents lost their races. That number may climb to 11 when the votes are fully tallied.

Only one out of 28 female Democratic challengers knocked off a Republican incumbent. And six of the nine Democratic women running in open seats lost their bids. Democratic women held four of their five seats in the Senate, although no female Democratic challengers or open-seat candidates won.

Importantly, Democratic women fared no worse than their male Democratic counterparts; of course, their male Democratic counterparts did not fare well.

The only way to compensate for these losses would have been with substantial increases of women in the House and Senate on the Republican side of the aisle. That did not happen.

The National Republican Congressional Committee ran women in only three of the 30 races that presented the best opportunities to gain seats.

So even though all 15 female Republican incumbents who sought re-election won and even with victories by six Republican women challengers and two Republican women competing in open-seat contests, the opportunity for gains was minimal. Republican women will continue to comprise just 9 percent of their caucus in the new Congress.

Third, the loss of Democratic control in the House is especially detrimental for women because opportunities for leadership positions are based on seniority.

Not only will Nancy Pelosi no longer be speaker of the House, but Louise Slaughter, Nydia Velazquez and Zoe Lofgren will also no longer serve as committee chairs. Early reports of the new Republican leadership include no women's names.

I do not want to minimize that last night's elections resulted in an increase of the total number of Republican women in Congress. And I have no interest in detracting attention from the successes several women saw last night.

Nikki Haley, for instance, became South Carolina's first female governor. Susana Martinez's win in the New Mexico gubernatorial race means that she will be the first Latina ever to occupy a governor's mansion.

Cases such as these, however, are few and far between. Focusing on those wins obscures the reality that 2010 did not represent another "Year of the Woman." It likely moved us backward on the path to gender parity.

The opinion expressed in this commentary are solely those of Jennifer Lawless.

@highlight

Jennifer Lawless: Number of female candidates made 2010 seem like big year for women

@highlight

But when vote count is over, number will likely stay right where it is, she says

@highlight

She says shift in House pushed Democrat women out of leadership positions

@highlight

Lawless: Women winning governor races significant, but not same as overall gains