(CNN) -- Republicans effectively gained control over Congress on Tuesday. The GOP won a majority of seats in the House of Representatives, thus overturning the gains Democrats made in 2006 and 2008.

In the Senate, where the procedural power of the minority has already given Republicans the power to shape deliberations, the narrowed Democratic ranks will further weaken the majority.

In the weeks running up to the election, there were some commentators who concluded that the current situation would be the best outcome for President Obama.

Pointing to the example of the 1994 midterms, which gave Republicans control of Congress, they have argued that a bad outcome for Democrats would ironically allow Obama to regain his standing. Obama could use Republicans as a foil to attack extremism -- just as Clinton did with Speaker Newt Gingrich in 1995 and 1996 -- and he would have political cover and incentives to move closer toward the center, where voters would like him more.

Gov. Bill Richardson of New Mexico said, "I do see a similarity to the Clinton experience. The divided government result, if it happens, is good for the president, because he now has some potential enemies but he also has some potential partners to get things done where he didn't have them before."

Yet this analogy rests on a selective memory of what happened after 1994, which is particularly surprising from someone who worked in the administration. The period that followed those midterms was among the most contentious in recent American politics.

Republicans conducted a series of investigations into the Clinton administration, which consumed an enormous amount of time and political energy from the White House. The investigations culminated in Clinton's impeachment proceedings.

The partisan battles took their toll. While Osama bin Laden and his minions were preparing to attack the United States, Washington was engaged in bitter partisan wars over Clinton's relationship with an intern. As the historian Steve Gillon recounted, the partisanship also drowned a secret effort by Gingrich and Clinton to reach a bipartisan pact on Social Security reform.

The process damaged both parties, not just Democrats. Republicans were left without their own leaders. Gingrich essentially was forced to resigned because the Republican Conference lost confidence in his leadership. His slated successor, Louisiana's Robert Livingston, had to resign because of personal problems.

The 2000 election revealed how divided the parties had become. Democrats and Republicans squared off in the courts after questions about the vote in Florida, making the electoral process itself fair game in the scandal wars taking place between the parties.

Divided government will make a fragile legislative process even more difficult to maneuver. Although political scientists have shown how important legislation has passed in periods of divided government, it is unclear how this model holds up in recent times.

There was not much legislative progress on big issues such as Social Security or health care reform in the second half of the 1990s. These years were not some high point in policymaking. In fact, it was just the opposite. Most key issues were pushed aside.

The situation will only be worse today. The intensified partisan polarization that exists in today's never-ending campaign cycle makes it even more difficult for the parties to reach deals on major issues. With the exodus of moderate Democrats as a result of Republican victories, the parties in Congress will move farther apart. The 24-hour polarized media will fuel the conflict and facilitate scandal warfare.

For those who liked what they saw in the second half of the 1990s: Obama will have more trouble doing what Clinton did politically when he painted Republicans as right of center. After all, the nation doesn't have divided government, it has a divided Congress.

So if Obama attacks the Congress for failing to produce results, voters will not only turn to see the face of Speaker John Boehner but they also will see whoever ends up as leader of the Senate Democrats. This makes the argument hard to sell.

Additionally, there is no reason to believe that either President Obama or congressional Republicans will have much incentive to enter a grand bargain such as welfare reform in 1996. If there was ever a time that Republicans had reason to compromise it was after their disastrous showing in the election of 2008. Yet Republicans did not compromise.

Now, with 2012 over the horizon, the GOP will have more incentives to oppose the president. Indeed, Sen. Mitch McConnell, leader of the Senate Republicans, recently said: "The single most important thing we want to achieve is for President Obama to be a one-term president."

At the same time, Obama faces a significant risk if he tries to appease Republicans in Clinton-like fashion. After all, many liberals are already frustrated with the kinds of compromises Obama has made. Going too far -- for example, declaring that the era of big government is over -- could trigger a challenge to the president in the Democratic primaries.

We should hope that the United States is not about to live through a repeat performance of what occurred after 1994. The nation faces too many pressing economic and foreign policy problems to have that happen again.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Julian Zelizer says GOP gained control of Congress and some predict that will help Obama

@highlight

They say when Clinton faced this in 1994, it gave political cover to press agenda, he says

@highlight

But what really happened, he says, was years of gridlock, investigations, division

@highlight

Zelizer: We should hope Obama does not face this, as too many issues need real attention