What the heck are triglycerides? If you don't know, you have plenty of company.

One in every three Americans has high triglyceride levels, which elevate risk of heart disease and early death.

The fatty particles found in your blood are important for heart health, but don't get nearly as much attention as, say, cholesterol.

Now a new study suggests that there's a good chance that your triglycerides are in the unhealthy zone, whether you know what they are or not. About one-third of American adults have triglyceride levels that are borderline or too high, according to a Centers for Disease Control and Prevention report published Monday in Archives of Internal Medicine.

"I see it as a major problem that we've completely ignored this problem so far," said Dr. Børge Nordestgaard of the University of Copenhagen in Denmark. Nordestgaard has conducted research linking high triglyceride levels to cardiovascular disease and early death, but was not involved in the CDC research.

"Everyone in clinical practice seemed to be so focused on LDL, LDL, LDL [bad cholesterol], people tended to forget triglycerides." he said.

Being too heavy, getting too little activity, drinking lots of alcohol and eating lots of saturated fat can all add up to higher triglyceride levels because the body stores excess calories as triglycerides. Health.com: Fats to eat, fats to avoid

Triglycerides are a third type of fatty particle found in the blood, along with LDL cholesterol and HDL (also known as good) cholesterol. People taking certain medications or those who have diabetes or a genetic condition can have high triglycerides. Health.com: What cholesterol tests reveal about your heart's health

Nordestgaard said that high triglycerides are as dangerous as high cholesterol levels as a risk marker for heart disease and early death.

"There's a really big potential for further prevention of heart disease and strokes by getting more focused on that," he said.  Health.com: How stress can trigger heart problems

The problem: Right now, the best way to attack high triglycerides is by losing weight, eating more healthily, and becoming more active-- a tall order for many of us.

In the new report, Dr. Earl Ford of the CDC, and his colleagues looked at a nationally representative group of 5,610 people 20 and older. They found that 33.1 percent had triglyceride levels above 150 milligrams per deciliter, while 17.9 percent had levels above 200 milligrams per deciliter, 1.7 percent had levels of 500 milligrams per deciliter or above, and 0.4 percent had levels higher than 1,000 milligrams per deciliter.

Triglycerides of 150 to 199 milligrams per deciliter are considered borderline high and anything above 200 milligrams per deciliter is considered too high. Men were more likely than women to have high triglycerides, while whites were at greater risk than African Americans and Mexican Americans.

Very high triglyceride levels can cause inflammation of the pancreas. Although there's increasing evidence that elevated triglycerides are associated with cardiovascular disease and early death, no one has yet shown that treating high triglyceride levels reduces cardiovascular disease, according to an editorial by Dr. Warren G. Thompson and Dr. Gerald T. Gau of the Mayo Clinic College of Medicine, in Rochester, Minnesota.

Lifestyle changes-- exercising, losing weight, swapping healthy fats for unhealthy ones, and the like-- are the treatment of choice right now for people with triglyceride levels between 150 milligrams per deciliter and 500 milligrams per deciliter . According to the National Cholesterol Education Panel, higher-risk people with triglyceride levels falling in this range may also need medication.

Beyond lifestyle changes, treatments for high triglycerides include statins, fibrates, niacin, and fish oil. But while fibrates reduce the risk of cardiovascular events like stroke and heart attack, Thompson and Gau note, they don't reduce mortality and actually increase the risk of death from non-heart-related causes; they are only recommended for people with triglycerides above 1,000 milligrams per deciliter.

"What we really need scientifically, we need companies to come up with drugs that are more efficient at particularly reducing triglycerides," said Nordestgaard. He usually recommends that people try statins first if lifestyle changes are not enough-- as do Thompson and Gau. Health.com: The therapeutic lifestyle changes (TLC) diet for heart disease

"People with hypertriglyceridemia should talk to their physician about appropriate steps to take to bring their levels of triglycerides down," said Ford. "For people with levels in the 150-500 milligrams per deciliter range, therapeutic lifestyle change is recommended."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Fatty particles called triglycerides are important for heart health

@highlight

One in every three Americans has high triglyceride levels, according to CDC

@highlight

High triglyceride levels can cause pancreatic inflammation, heart disease death