(CNN) -- Central Texas, especially that sweet spot halfway between Dallas and Austin where small swaths of the legendary old prairies remain, is an earthly paradise. Blowsy live oaks spread their heavy limbs beneath cloud-spattered skies, while creeks and rivers—most prominently the meandering Brazos—ripple alongside gently rolling pastures gilded with waving grasses. These natural glories are precisely what led Laura and George W. Bush to choose the area for their Prairie Chapel Ranch, the retreat they completed in 2001, just after he became the 43rd president of the United States. Occupying some 1,600 acres near the flyspeck town of Crawford, about 25 miles west of Waco, the property is anchored by a strong but relatively modest home that quietly honors its location.

During the eight years Mr. Bush was in office, the ranch served as the Western White House and welcomed numerous heads of state—from Russian president Vladimir Putin to Saudi king Abdullah bin Abdulaziz—some of whom were coaxed to join the leader of the free world as he raced along the property's 40-mile network of bike trails. And, of course, there are the well-known stories of the president spending his vacations clearing brush, often in searing heat, sometimes encouraging aides to join him.

Architectural Digest: Tom Brady and Gisele Bündchen's Custom Chateau

These days the Bushes live in Dallas, also home to the George W. Bush Presidential Center, which opened last year on the campus of Southern Methodist University. But they regularly make the trip south to Crawford, where the former president is just as likely to be found handling a fishing rod or paintbrush as he is a chain saw. The ranch remains an essential getaway for the couple, a place to unwind and spend time with their daughters, Barbara Bush and Jenna Bush Hager, as well as Jenna's family, and to entertain close friends like Deedie and Rusty Rose, prominent cultural leaders in Dallas.

In fact, it was Deedie Rose who helped the Bushes find their architect, David Heymann, a professor at the University of Texas at Austin's School of Architecture. "Deedie and Rusty love the way David sites buildings," says Mrs. Bush, relaxing on a shady terrace that overlooks a shimmering lake where her husband often casts lines for bass. (The largest caught to date, the former president reports, was a ten-pounder.) "So when we bought this property, Deedie told me, 'I have your architect,' and, of course," she jokes, with a slightly arched eyebrow, "I always do what Deedie says." (Rose was a member of the committee that selected Robert A.M. Stern to design the Bush center.)

Architectural Digest: Ralph Lauren Shows Off His Incredible Car Collection

The former first lady notes that when she was growing up in Midland, Texas, her father built spec houses—"one story and low to the ground, a style you saw a lot in the '50s and '60s." She and Mr. Bush had a similar type of residence in mind for Crawford, mainly, she explains, "because we wanted the house to fit into the landscape." And she means fit literally. Heymann's design carefully nestled a single-level, three-bedroom limestone structure and an adjacent two-suite guesthouse into an almost imperceptible rise amid an existing grove of live oaks and cedar elms.

Wrapped by deep roof overhangs—some up to ten feet wide—that serve to deflect the region's broiling sunlight and torrential downpours, the dwelling features tall windows that add a romantic transparency to its unpretentious countenance. "We wanted to see and enjoy the beauty as much as possible," says Mr. Bush. To answer the couple's desire for indoor-outdoor living, many of the windows are also doors that open to covered terraces and walks, buffalo-grass lawns, and the tree-shaded swimming pool. When the doors are flung wide, the home becomes a veritable pavilion, capturing passing breezes and filled with birdsong. The configuration also reduces the need for internal corridors—often the Bushes navigate the place by strolling out one door and in through another. "It's slightly motel-ish, but we love that," Mrs. Bush says lightheartedly.

Architectural Digest: Bette Midler's Jaw-Dropping NYC Penthouse

The former first lady worked closely on the project with Heymann, who found her to be a highly perceptive accomplice. "She has a lot of experience from seeing the carefully organized houses that her dad built, and she has a very, very good eye," he says. Early in the construction process Mrs. Bush pointed out that the masons' work on the Texas Lueders limestone that clads the exterior (and some interior) walls of the residence was absolutely perfect—and thoroughly wrong. The Bushes wanted to have a subtly rustic, handcrafted look, and Heymann had deliberately chosen to use the so-called rough-back pieces that were traditionally thrown away in the trimming process rather than smoothly finished blocks. "We had to take away their levels," the architect recalls, adding that the stone was relaid the old-fashioned, slightly irregular way, with taut string and appraising eyes.

Architectural Digest: Radical Houses Around the World

An advocate of sustainable design, Heymann incorporated into the compound a number of green features, including a geothermal energy system for heating and cooling. Rainwater runs off the house's standing-seam metal roof and into a gravel-filled moat, where it filters into a 42,000-gallon cistern concealed beneath the rear terrace and is recycled to irrigate the lawns.

See more photos on ArchDigest.com

Reprinted with permission of Conde Nast.

@highlight

During George W. Bush's presidency, world leaders visited his Texas ranch

@highlight

The Bush family regularly makes the trip from big-city Dallas to small-town Crawford

@highlight

Mr. Bush frequently fishes and paints to unwind on the ranch

@highlight

The design's green features include a geothermal energy system for heating and cooling