(CNN) -- From a distance, it is its shiny exterior that first catches the eye.

As you step closer, a rooftop solar panel, an outdoor security light and a roof overhang make Nosango Plaatjie's shack stand out amid the sprawling cluster of makeshift wooden structures and rusty corrugated iron dwellings where her neighbors live.

Welcome to the iShack, or improved shack, an innovative approach to housing that's being tested in the windswept slum of Enkanini, just outside Stellenbosch, South Africa.

The dwelling, developed by researchers at the University of Stellenbosch, is intended to raise the living standards of slum residents while improving their access to electricity and protecting them from extreme temperatures in an environmentally friendly way.

Read: 'Solar sisters' spreading light in Africa

The iShack prototype is occupied by Plaatje and her three young children. It is fully equipped with a photovoltaic panel capable of producing enough electricity to power three lights, a mobile phone charger and an outdoor motion detector spotlight.

Its windows are strategically placed to achieve better air circulation and sunlight heating, while the roof is sloped so that rainwater can be harvested during the winter months.

Recycled cardboard boxes and old Tetra Pak containers are used for insulation between the exterior zinc surface and the interior, while a flame-retardant paint is used to lessen the risk of fires. Inside the shack, rows of recycled bricks create a sturdy flooring base and act as "thermal mass," protecting against temperature change.

Plaatjie, a domestic worker employed once a week, says her family's life has improved a great deal after relocating to the ecologically designed iShack.

Their previous home was a cold, damp shack hastily put together from disused pallets and corroded zinc sheets. A leaking roof, bare earth floor and lack of windows made conditions even tougher, while the shortage of electricity meant that Plaatje would often miss out on important calls about work as she couldn't always walk long distances to charge her phone.

"Now I am available all the time and it is helping me to make more money," Plaatjie told iShack's developers.

She added: "The solar [lights] are better. Now we don't need to go to sleep early anymore because now we have lights. My daughter must do her homework now, she doesn't have any more excuses. And I like the light outside because we can see what is going on, I feel safer."

Read: Harnessing pedal power to light up Africa

According to U.N. Habitat, 62% of the urban population in Sub-Saharan Africa lives in slums, which it describes as being typically characterized by deplorable living conditions, a feeling of insecurity and inadequate infrastructure for basic energy, sanitation and water services.

In South Africa, thousands of informal settlements have sprouted up in recent decades on the urban perimeter. To deal with the pressing housing problem, the government has shifted its emphasis from building new brick and mortar houses toward in-situ upgrading of existing informal settlements and providing access to services.

But the iShack's developers say that slum dwellers usually have to wait for years for power and water grids or low-cost housing to arrive. They say that a growing housing backlog, coupled with budgetary constraints and a surge in urbanization rates, means that poorly serviced dwellings are likely to be part of urban living in South Africa for years to come.

"Shacks are becoming the new norm," explains Andreas Keller, one of the developers of iShack. "So what can we do today in order to improve the living conditions of people through energy intervention, lighting, cell phones, communication, upping security?

"That's where the planning comes in and the technology takes it one step further."

The developers say the project is a cost-effective solution that shows what communities can achieve in the short term. Excluding the solar power system, the iShack costs about 5,600 rand ($660). The typical cost of a shack in Enkanini can vary from a few rand, when somebody collects materials at the landfill and carries them back to the settlement, all the way up to 5,000 rand ($582) on the informal real estate market, says Keller.

"The rationale is that over time the additional cost upfront will be recouped through reduced fuel bill [and] greater wellbeing," he adds.

Read: Cape Town takes on Tinseltown

Now, thanks to a grant by the Bill and Melinda Gates Foundation, the iShack project will be trialled over the next year. Up to 100 shacks will either be built or retrofitted to determine whether the system can be applied on a larger scale.

Keller says that as the project grows, community members trained in maintaining and repairing the solar power systems will be able to sell affordable energy to other residents. This will help them earn a living and also pay for new batteries for the iShacks.

"We need to encourage the informal settlers, the slum dwellers, to invest into this infrastructure themselves," says Keller. "We cannot rely on a passive population to simply sit there and expect governments to solve their problems, so we need to make sure that any investments that they've made won't become redundant in the future."

@highlight

The iShack aims to improve living conditions for people in slums

@highlight

The 'shack' is equipped with a solar panel that can power lights and a mobile phone charger

@highlight

The project will be scaled up using a grant from the Bill and Melinda Gates Foundation

@highlight

U.N. Habitat: More than 60% of Sub-Saharan Africa's urban population lives in slums