(CNN) -- "A 13-year-old girl called me an ape."

Adam Goodes was not impressed. One of the most successful proponents of a sport that is more Australian than any other, a hero in a country where its stars are gods, he was not going to take such an insult lightly.

"I stopped, I called her out, got her escorted out of the ground, and from that point the awareness and the conversations that have been had around racism in this country have just skyrocketed," he tells CNN's Human to Hero series.

Goodes is a star of Australian Rules Football, best described as an often-confusing mix of the two rugby codes, basketball, and its close Gaelic football cousin.

"Aussie Rules," also known as AFL, reflects the nation's continuing battle with the aftermath of its colonial past.

On one hand it sometimes highlights appalling attitudes towards indigenous peoples -- after the incident with the girl, the president of the host team's club joked on radio that Goode should be used to promote a stage production of King Kong, effectively ending their friendship.

On the other, it has made great efforts to welcome indigenous players; there are 68 registered at the 18 Premiership teams this year, and their 9% total of the sport's overall list is greater proportionally than the 2.5% they make up of the country's total population.

So it was all the harder for Goodes to accept being abused during a game that was part of the AFL's 2013 "Indigenous Round" -- and played at arguably the country's most iconic sporting venue, the 100,000-capacity Melbourne Cricket Ground.

"I hope I'm a person people look up to and say, 'I remember the day Adam Goodes did that at the MCG. Today is the day I'm going to stand up for myself or stand up for somebody else who might not have a voice for themselves,' " he says.

"Since last year, a lot more cases have come through, and I think that's what needs to happen for it to improve. A lot more people need to call it out, need to say no to racism ... and we're going to improve as a community from there."

In recognition of his work helping Aboriginal youth and battling racism, Goodes was named "Australian of the Year" in January, the same month he turned 34.

"It's a very humbling experience," he says. "It's been an amazing platform for me this year to talk about things I'm passionate about -- like eliminating domestic violence and trying to get recognition in the constitution for Aboriginal people.

"It was quite dumbfounding for me to find out that we weren't part of (Australia's) constitution -- this is a document that's over 112 years old that doesn't recognize its first people."

When European settlers came to Australia in the 1800s, they took land from the indigenous people and forced the nomadic tribes to accept new ways of living, often splitting up families under a government policy of "assimilation" -- as highlighted in the acclaimed 2002 film "Rabbit Proof Fence."

Australian politicians have since apologized for the past mistreatment, but Aborigines remain disadvantaged socially and economically compared with the overall population.

Goodes, like many modern Aborigines, is from a mixed-race family, with a father of British descent.

Born in South Australia, his tribal name is Adnyamathanha -- the people who live in the Flinders Ranges, the largest in Australia. His place of birth (Wallaroo, on the York Peninsular near Adelaide, first settled by Europeans in 1836) means he is also Narungga.

"Growing up, I didn't know what it meant to be Aboriginal," Goodes recalls. "My mum was taken away from her family when she was five years old and we weren't really taught anything about what it meant to be Aboriginal -- no language, no culture, no ceremonies, no nothing.

"What we did know was where we came from, and that was Adnyamathanha and Narungga, so I've had to do a lot of that journey, to find out information about that, in the last 10 years.

"So for us, growing up, we just thought we were just like any other normal family. We didn't really see ourselves as mixed race. I copped stuff from people at school because of the different color and whatnot, but I had good support that helped me get through those tough times."

His parents separated when he was young, and he moved state to Victoria with his mother in his early teens, and they settled in another small country town.

Up until that stage, Goodes was a big fan of basketball star Michael Jordan, while his own talents were in soccer.

However, there were no teams in his new hometown -- so his mum suggested having a go at AFL.

"I was very athletic, so the running part of it was good," he says. "Grabbing the ball was quite difficult because it could bounce everywhere, but I was able to pick that up pretty easily."

The main premise of AFL is simple: kick the oval-shaped ball between the two central posts to score maximum points; if it goes through the two outside posts, the score is lower.

It results in basketball-size scorelines, and with 18 players on each team -- wearing sleeveless tops known as "guernseys" and notoriously short shorts -- all kicking, passing, running, jumping and jostling at high intensity for two hours, it can be a confusing spectacle, as Goodes admits.

"You might come and watch a game and not know what's going on. That's because the players, the coaches, the supporters and even sometimes the umpires don't know what's going on either," he says.

"I still think that I'm learning things and improving because it is a game that you can never truly master."

While it was started by European settlers in the 1850s, the game has strong links to an ancient Aboriginal sport known as Marngrook.

"We used to play a game where we'd have a possum skin filled with charcoal and they'd kick it around, hand-pass it around, 50-a-side, up and down these massive bits of land, and they would play for days," Goodes says.

He has won two AFL titles, once as captain, and twice been awarded the game's highest individual honor, the Brownlow Medal.

His biggest challenge becoming an AFL player, he says, was not being an Aboriginal in a white man's world, but having to uproot from his family at the age of 17 and chase his sporting dream in Sydney, where he had been drafted by the city's AFL club the Swans.

"In the first year, I didn't look even close to playing in the senior side, I played reserves all year," Goodes says.

"It was really a tough year for me and it wasn't until the next year that I actually really committed and decided, 'this is what I want to do, this is what I wanted to be.' I started to make those real sacrifices and really working hard, making all the right choices to be a professional athlete."

He was inspired by Aboriginal teammate Michael O'Loughlin, nearly three years his senior.

"The way our kinship system works, he's actually my nephew -- something I only just found out recently," Goodes says.

O'Loughlin was the first Sydney player to pass 300 games, and Goodes broke his club record in 2012 when he made his 304th appearance. He is now the most-capped indigenous player, having beaten Andrew McLeod's record of 340 games for Adelaide this year -- the most by any player is 426.

"To have him there to help mentor me, and show me the way, has just been an ideal situation for me and that's what I would want for my brothers and any other people when they go to a football club," he says of O'Loughlin, who retired in 2009.

Having had a long spell on the sidelines with injury last year, missing the club's run to the preliminary final, Goodes says he is determined to extend his career for as long as possible.

"I know I can still improve and I think that is what drives me," he says ahead of this weekend's opening playoffs, where Sydney will take on Fremantle after finishing the regular season as the top team.

"A lot of people would say I'm past it, but I still believe I have a lot to offer."

When he finally hangs up his boots, Goodes aims to focus on the foundation he set up with O'Loughlin, which provides school scholarships for Aboriginal children in Sydney.

"I've committed a lot of my time to my sport and there's going to be a big void for me to fill," he says. "It'll be nice to have a bit more spare time for me."

@highlight

Adam Goodes is a leading AFL player who has battled against racism

@highlight

He is the most-capped indigenous player in the Australian sport

@highlight

The 34-year-old has won two AFL titles and been named top player twice

@highlight

Goodes has helped Sydney into 2014 playoffs as minor premiership winner