(CNN) -- Although details are still emerging in this most recent tragedy, we know an officer repeatedly shot and killed an unarmed 18-year-old black man, Michael Brown, in a St. Louis suburb last weekend -- less than two days before he was scheduled to attend college.

Last month, Eric Garner, another unarmed black man, died from an illegal police chokehold during an encounter on Staten Island, New York.

Nearly 20 years ago, my son Anthony Baez also died in an illegal police chokehold. Anthony was playing football in the street with his brother when their ball accidentally hit a police car. Instead of addressing real public safety issues, a New York police officer chose to harass my sons brutally.

These cases and many more reveal our country's systemic criminalization and devaluing of black and brown lives.

The list is long. Twelve years after Anthony was killed, New York police officers fired at an unarmed Sean Bell 50 times and killed him the night before his wedding. The detectives who were responsible were acquitted of criminal charges.

Just three years later, a BART police officer in Oakland, California, shot and killed 22-year-old Oscar Grant while he was facedown on a subway platform, posing no threat. It inspired a movie, "Fruitville Station." The transit police officer who shot him was convicted of a lesser charge of involuntary manslaughter and spent 11 months in prison.

Two years ago, unarmed National Guardsman Noel Polanco was fatally shot by a New York police detective during a highway traffic stop. The detective was not indicted.

Also two years ago, unarmed 18-year-old Ramarley Graham was shot and killed by a New York police officer who unlawfully entered his home and killed him in front of his grandmother and 6-year-old brother. A judge threw out the first indictment against Officer Richard Haste, who fatally shot Graham, and a second grand jury failed to re-indict him.

Just this January, an off-duty Houston police officer shot and killed 26-year-old Jordan Baker, a father and college student who worked part time, at a strip mall. The investigation is still pending.

These are just some of the dozens of police killings of unarmed Americans by law enforcement over the last decades. These tragedies and injustices happen year after year, and people of color -- primarily black and Latino -- are usually the victims.

Sadly, our communities in New York and elsewhere are almost conditioned to expect these incidents -- the loss of our children, siblings and spouses to excessive violence by those whose job it is to protect us.

New York Police Commissioner Bill Bratton's recent comment dismissing that race was a factor in Garner's death is a slap in the face to those of us who've lost our children, and it is part of the problem that allows such unjust killings to continue.

In addition to the pain families experience from losing their loved ones, we are also forced to endure additional injustices, when again and again government and the criminal justice system fail to hold officers accountable, and instead the victims are criminalized.

Similar to the response in Garner's case, the New York Police Department attempted to blame my son for his death by saying that he and his brother resisted arrest.

But what were they under arrest for? Playing football in the street? Even if we hypothetically assumed the officers' allegations were true -- although they were not and a federal court found the officer guilty -- how does that justify killing someone?

With Bratton as police commissioner then and today, we see a similar response.

In many of these unjust killings, New York police detailed victims' past involvement with the criminal justice system to the media, as if that justified their lives being taken by the police. We've seen it with Garner, and we saw it with Anthony Rosario, Hilton Vega, Patrick Dorismond and many others.

Also, district attorneys fail to convene a grand jury or secure a conviction. We must question the closeness of district attorneys to police departments, given their interdependence. In only a handful of these cases, including my son's, the federal government stepped in to provide some limited accountability.

In Michael Brown's killing, the FBI will conduct a parallel investigation to one already under way by the St. Louis County, Missouri, police. Like it did with my son, the FBI review will focus on possible civil rights violations in his killing. That is the only way my son got justice -- when the federal government found the police officer who killed my son violated his civil rights.

Where is the justice for families like those of Ramarley Graham? It's been two years since his death and a year since the Justice Department said it was reviewing the case but still nothing. The family doesn't even know whether the officer responsible for killing him in cold blood has been disciplined or still walks around with a gun and shield.

Those with a badge who unjustly kill and brutalize should be stripped of their badge, their gun, their job and their pension because they have violated the public trust.

A systemic lack of accountability and inadequate discipline allows these incidents to continue to happen.

And now, in the wake of Garner's death, Bratton and the New York Police Department are responding in the same way they always have -- pledges of more training.

It's not training that will prevent this from happening again.

We need accountability for all officers involved that sends a message that this type of brutality is unacceptable and the lives of people of color are equally valued. Systemic cultural and substantive policy changes in police departments -- particularly in New York -- are needed to ensure black and brown communities are not targeted with overly aggressive, discriminatory "broken windows policing" and "stop and frisk" policies that promote brutality and violence. Officers should work to understand the communities they work in, not criminalize them.

Police-community relations can only start to improve when individual officers who abuse civilians' rights are held accountable with a zero-tolerance policy for police brutality.

Anything less is just rhetoric, and I fear that these unjust deaths will continue with more families and communities suffering the same pain.

@highlight

Like unarmed Eric Garner, Iris Baez's son was killed by police in an illegal chokehold

@highlight

There's been an uproar after an officer in Missouri shot and killed an unarmed Michael Brown

@highlight

Iris Baez: Police who kill unarmed people of color often get away with slap on wrist

@highlight

Baez: Justice and good community relations call for zero tolerance for police brutality