His uncle Harry has promised the newest addition to the royal family that he will have "fun" -- and if a centuries old tradition is to be followed, it is an odds on certainty that horse racing will play a prominent role in young Prince George's future social life.

A love of horses and thoroughbred racing is ingrained in the House of the Windsor, and Prince George's great grandmother Queen Elizabeth II is a leading owner with a string of top horses.

"She adores breeding racehorses," her racing manager John Warren told CNN.

"The British bloodstock industry is very lucky to have a patron such as the queen."

Fittingly, the 87-year-old's most notable achievement is winning the Gold Cup at Royal Ascot with Estimate, a four-year-old filly guided by 10-time British champion trainer Michael Stoute.

Ridden by Ryan Moore, Estimate stormed to victory in the prestigious Group One race in June, the first time in its 207-year history that the British monarch had owned the winner.

It added to her earlier triumphs in the English Classics, the 1,000 and 2,000 Guineas, The Oaks and St. Leger.

Derby disappointments

Only the Epsom Derby eludes the queen, who saw her latest hope, Carlton House, come home third in 2011 after starting as favorite.

"She has inherited her father King George VI's love of the turf," said Nick Attenborough, spokesman for Great British Racing.

The Queen Mother had a long, successful affiliation with steeplechase racing, where horses run longer distances than flat horses and have to negotiate jumps or hurdles.

She died in 2002 at the age of 101, but during her lifetime had 449 winners in her royal colors.

A top race at the Cheltenham Festival, the Queen Mother Champion Chase, is named in her honor.

But like her daughter, success in the most prestigious event -- the Grand National, jump racing's equivalent of the Derby -- remained a dream for the Queen Mother.

She was cruelly denied success in the 1956 edition when her horse Devon Loch, ridden by Dick Francis, led on the run-in at Aintree before falling to the turf unexpectedly.

It was said the horse became distracted by the ear-shattering noise from a loyal crowd, desperate for a royal winner, and missed a stride.

'She strives to have winners'

While racing is often called the "Sport of Kings," in Britain "Sport of Queens" is just as appropriate.

According to official records, Queen Victoria is said to have become so excited while watching a race at Ascot that she broke the window of the Royal Box in a rush to see the finish.

Her great great grand daughter would surely never be guilty of such unseemly behavior, but as Estimate stormed clear in the final furlong at Royal  Ascot she could be seen with the broadest of smiles and maybe a hint of a tear.

"It's a special thrill to win this race for the Queen and it will have given her enormous pleasure," Stoute said at the time. "She really loves this game and it's a great recreation for her.

"The Queen has such a love for her breeding program and this will have been a bigger thrill to win with a filly, rather than a colt. She told me it was a very big thrill and thanked everybody involved."

Her grandson Peter Phillips put it more succinctly.  "This is her passion and her life and she's here every year and she strives to have winners," he was quoted as saying.

That passion extends to a day-to-day involvement with her bloodstock and training operation.

Formidable operation

"She names all her own horses, I believe -- it gives her fantastic pleasure, planning the whole process," Attenborough said.

It is a formidable operation with Royal studs at Sandringham and Wolferton in Norfolk and Polhampton in Berkshire, feeding into her training operation with about 25 horses racing each season.

One of the stallions at Sandringham is former Derby winner Motivator, with the queen part of a syndicate using the horse for breeding.

She will doubtless be hoping that one of his offspring can deliver her success at Epsom after the heartbreak of Carlton House's unlucky near miss two years ago.

The last Royal winner of the Derby, Minoru back in 1909, was owned by King Edward VII, who was renowned for his love of racing and the good things in life.

Edward also had success as the Prince of Wales with Diamond Jubilee in 1900, named in honor of his mother Queen Victoria's long reign.

For the current British head of state it would represent a monumental achievement to emulate this feat, but it is not for lack of knowledge or trying.

Well informed

"She is a very well-informed and keen owner, probably the best-informed owner in the country,"  said leading trainer Andrew Balding, who has looked after a number of the queen's horses, and knows he has to keep them in peak condition.

The Queen's keenness extends to low-key visits in a private capacity to racetracks such as Newbury, which is in the Royal County of Berkshire, to check on the progress of her horses.

"Most of the crowd would be unaware she is there, walking around the paddock, possibly wearing a head scarf," revealed Attenborough, whose organization is responsible for promoting horse racing in Britain.

While Queen Elizabeth will not hand over the reins of her racing operation anytime soon, Attenborough is confident that she will find a suitable successor.

"They are a family that understands traditional values and understand the value of succession," he said.

"It can be traced back to Queen Anne's day."

Queen Anne designated an area of land near Windsor to equestrian pursuits in 1711, and it later became Royal Ascot.

The Queen Anne Stakes, a Group One race that takes place every year at Royal Ascot, is named after the monarch who was so influential in the history of thoroughbred racing.

Attenborough, and the whole of the UK racing industry in the UK, are hoping that the latest edition to the Royal family -- Prince George of Cambridge -- will be just as keen.

Royal patronage

They sent a special gift of a teddy bear, dressed in the queen's racing silks, to the maternity wing of the London hospital where he was born in July.

Watch: Pictures of Prince George released

For now, Attenborough is delighted to have the queen as a figurehead to their sport, particularly as it is now competing for audiences with counter attractions such as the English Premier League and team sports like rugby and cricket.

"Fantastic for us as she has to be the most high-profile figure in Great Britain with a standing all round the world and it is hard for any country in the world to have a more prominent figurehead in their sport," he said.

Her star horse Estimate will likely return to Ascot on October 19 for the grand finale of the British flat racing season,  the QIPCO British Champions Day, looking to repeat the earlier success on a course on which she has never been beaten, in the Long Distance Cup.

Estimate will likely face stiff competition from horses owned by other royal families, with the rulers of the Gulf states, notably Dubai's Sheikh Mohammed bin Rashid Al Maktoum, whose powerful Godolphin operation has been a major force in British racing for over 20 years.

Attenborough believes the royal connections, with long standing owner breeders like the Aga Khan and the queen now competing against relative new entrants such as Sheikh Mohammed, can only serve to  maintain interest in sport of the turf in the 21st century.

"Their involvement is a fantastic boost for British and European racing," he said.

Meanwhile, Britain's monarch, despite her 87 years, shows no signs of slowing up in her relentless pursuit of thoroughbred perfection.

@highlight

The British royal family are avid followers of horse racing

@highlight

Queen Elizabeth II owns 2013 Gold Cup winner Estimate

@highlight

She takes active role in Royal bloodstock and training operation

@highlight

The late Queen Mother had 449 winners in her racing colors