LONDON, England (CNN) -- A former motor-racing engineer has unveiled a prototype of a new hydrogen-powered city car which claims to emit less than one third of the carbon emissions produced by its nearest rival.

The Riversimple Urban Car has been nine years in the making and needs further funding for city trials.

The creators of the 'Urban Car,' UK-based company Riversimple, say the vehicle emits less than 30 grams per kilometer of carbon dioxide, less than one third of the carbon produced by the Polo Bluemotion.

Riversimple founder Hugo Spowers has spent nine years researching and developing the prototype car.

"I think that the auto industry is focusing a lot of money on research and development at a basic science level on hydrogen storage and fuel cell technology. We don't think it's necessary to do that," Spowers told CNN.

"We can use existing technology and integrate it into a whole system design approach -- that is where the breakthrough has come."

Spowers is searching for extra funding to put the 'Urban Car' on the streets, but he says at this stage they won't be for sale. Riversimple plans to lease the car to customers for a monthly fee of £200 ($330). Hydrogen fuel for the cars will cost just 15 pence (25 cents) per mile.

It's a long way from the fuel-guzzling world Spowers used to inhabit as a designer and developer of high-powered racing cars. It was the industry's appalling environmental record that encouraged him to leave to try to find a way to make driving greener.

"Certainly the first five or six years were hard work because I did have an awful lot of people telling me I was mad," Spowers told CNN, at the launch of the Riversimple Urban Car in London.

"Gradually it all sort of gathered steam," he said, adding "I'm absolutely convinced that we're offering a better solution for a segment of the transport problem and we'd be crazy not to pursue it."

The Urban Car's power comes from hydrogen fuel cells which are linked to four electric motors situated over each of the car's wheels. Almost all of the braking is done by the electric motors, which then capture the energy of the car in motion and store it in a bank of ultracapacitors. In conventional cars, the energy generated through braking is lost as heat.

The energy stored in the Urban Car's electric motors is enough to power 80 percent of the car's acceleration. That reduces the energy demands on the hydrogen fuel cell, meaning it can be one fifth of the size of one used in a normal car. The lighter fuel cell also makes it more energy efficient.

A large part of the funding for the car's development came from the family of Ernst Piëch, the eldest grandson of Ferdinand Porsche who founded the motor company of the same name in 1931.

Ferdinand Porsche's great-grandson Sebastien Piëch is a partner in Riversimple. He says the company's nimble size has given it an advantage over larger car manufacturers whose future he says concerns him.

"It concerns me massively, because I don't see that the model they have now is very relevant to where consumers are going. Consumers are looking for a different solution. I'm not sure if what they're producing is working," he said.

Riversimple plans to share the designs for its car through open-source licence agreements, a system more commonly used in the software industry. Designers and manufacturers will be invited to make improvements so the car evolves into the most efficient vehicle it can be.

"We don't believe that making money on IP (intellectual property) is really what's actually happening even now. We believe that service and providing the solution for customers will be where we make money," Piëch told CNN.

The next step now is to find further financing, another £20 million ($33 million), to build and test ten cars. Fifty prototypes will then be built for a pilot project in a small city. The location is still to be confirmed, but Riversimple has narrowed down its options to small towns in the United Kingdom, perhaps Oxford or Peterborough.

"I'm very confident we'll get it to market," Spowers said. "I couldn't say hand on heart that I'm confident that we'll achieve what I think technically can be done. That's a bit in the lap of the gods and it's all to do with people, politics and business -- all a bit more unpredictable."

@highlight

Riversimple launches car prototype with lowest level of carbon emissions

@highlight

Car is powered by a hydrogen fuel cell and four electric motors over the wheels

@highlight

Company's looking for $33 million dollars to build ten cars for trials

@highlight

Designer Spowers used expertise he gained in motor racing to build prototype