(CNN) -- This week marks the centenary of the assassination in Sarajevo of Archduke Franz Ferdinand of Austria.

This was a key trigger for the devastating First World War, setting off a chain reaction that saw key European powers, including Germany, Russia and Britain, entering conflict soon after.

One hundred years on, the world has numerous echoes of the early 20th century with a major shift in global power once again taking place.

Whereas Germany, Russia and the United States were key "rising nations" in 1914, power is today shifting from the global North to the South with Asian countries, especially China, primary beneficiaries so far.

And as 100 years ago, geopolitical tensions are mounting as "revisionist nations," including China and Russia, challenge key elements of the U.S.-led international order.

This is partly driven by rising economic power resurrecting nationalism and claims for resources, as witnessed by multiple disputes between China and neighboring countries in the South China Sea for instance.

China's rise

While much focus in 2014 has so far been on Russia's annexation of Ukraine, the Syrian conflict, and the rise of Islamic extremist group ISIS in Iraq, it is perhaps Asia where most tension and insecurity lie in terms of potential for a great power war.

China's remarkable rise is unsettling the region, and indeed much of the world beyond. And dangers of miscalculation are growing, in part, because of military build-ups.

Japanese Prime Minister Shinzo Abe drew parallels earlier this year between the geopolitical landscape in Asia today and Europe on the eve of war in 1914.

Moreover, Philippine President Benigno Aquino recently compared what he claimed was Beijing's track record of belligerent behavior with German expansionism in the 20th century by openly questioning "at what point do you say, 'enough is enough?'"

Within Asia, potential triggers for a great power conflict include an escalation of tension between Japan, which the United States has a security treaty with, and China.

Another possible flashpoint is Taiwan, again a U.S. ally, which China claims sovereignty over, even though the island has been governed separately since the Chinese civil war in the 1940s.

Blighted decades

These risks are real and significant. However, there are key differences today with the world of 1914 which, in the absence of catastrophic miscalculation, makes a major power war unlikely for the foreseeable future.

This is not least because memories of the First and indeed Second World Wars, linger powerfully. With justification, the First World War was described as the "greatest seminal catastrophe" of the 20th century by U.S. diplomat George Kennan, who would later become the architect for the U.S. Cold War "containment strategy."

Aside from the many millions who died from 1914 to 1918, the war set in chain several developments which blighted the world for decades to come. These include the emergence of Communism in Russia and -- as numerous historians assert -- the rise of Nazi Germany and the seeds of the Second World War.

Another major difference between now and 1914 is the presence of nuclear weapons which, as during the Cold War, generally serve as a brake on major power conflict.

It is noteworthy here that it is both revisionist nations, including China and Russia, as well as "status-quo powers," such as the United States and France, that possess nuclear arsenals.

A further fundamental change is that, unlike 1914, there is now a dense web of post-war international institutions -- especially the United Nations -- which continue to have significant resilience and legitimacy decades after their creation.

While these bodies are imperfect, and in need of reform, the fact remains that they have generally enabled international security, especially with five key powers (United States, Russia, United Kingdom, China, and France) all on the U.N. Security Council.

Moreover, the relative balance between the two leading powers today is different in 2014 than 1914. That is, the gap between United States and China is greater today than that between the United Kingdom and Germany 100 years ago.

'American century'

Indeed, perhaps the biggest consequence of the First World War was the dawn of what has been called the "American Century" in which the United States emerged as the world's most powerful nation.

To be sure, the country has undergone relative decline, and China is forecast to become the largest economy in the world this year based on purchasing power parity data.

However, the United States remains significantly ahead of China on most measures of national strength, including military might, and is likely to enjoy an overall advantage for years.

Indeed, unlike the United Kingdom in the 20th century, there are indications that U.S. power will remain resilient for decades to come in the 21st century, buoyed in part by factors such as the country's "energy revolution," which has far-reaching geopolitical consequences, including from potential energy self-sufficiency.

Taken overall, while another major war cannot be ruled out, the prospect of this for the foreseeable future is not as high as 100 years ago.

The relative global balance of power is different today, partly because of the resilience of U.S. power.

Moreover, nuclear weapons and international institutions, especially the U.N., generally act as a restraining force against major conflict that did not exist in 1914.

@highlight

This week marks the centenary of the assassination in Sarajevo of Archduke Franz Ferdinand

@highlight

The assassination was a key trigger for the First World War, setting off a chain reaction

@highlight

Today power is shifting from the global North to the South, writes Andrew Hammond

@highlight

He says key differences with the world of 1914 make a major power war unlikely