(CNN) -- Turkey's Prime Minister Recep Tayyip Erdogan is facing a local election this weekend, the biggest test of his popularity since becoming Prime Minister in 2003. The polls are seen as a referendum on his popularity before the country's first direct presidential election this summer, in which Erdogan is widely expected to run.

But things don't seem to be going smoothly. Just months after the damaging Gezi Park protests in Istanbul, Erdogan's government is now facing a wide-ranging anti-corruption probe.

And to add to the misery, Turkey's economy, once hailed as a miracle, is slowing down, its currency is hovering around record lows against the dollar, and some of its firms are facing huge foreign debts.

How did it get into this mess?

Many developed countries struggled with growth in the aftermath of the global financial crisis. Not so Turkey, which grew substantially over the last decade. Erdogan's government was praised for its ability to attract foreign investors from Europe and emerging markets such as Russia and China.

The rapid economic growth was largely fueled by cheap credit pouring into the country. As the crisis hit developed economies, investors turned to emerging markets which promised higher returns than depressed Western markets.

For years, Turkey had enjoyed a foreign-funded construction boom. House prices had soared more than 50% since the end of 2009 and both the country's GDP and per capita income had increased threefold since 2003.

But the party ended with the U.S. Federal Reserve announcing a scale-back in its stimulus program last summer. Suddenly, there was less cash available to invest.

With more security in the U.S. economy, investors started pulling their money from the emerging markets.

Turkey's growth slowed to just above 2% and inflation rose to 7.4% in 2013, well above the 5% target. The country's currency, the Lira, slumped further in January, which forced Turkey's central bank to adopt a radical approach and almost double interest rates from 7.7% to 12% -- a clear indication of the bank's determination to prevent foreign capital outflows.

But for voters, this may not be good news. Higher interest rates are likely to slow down Turkey's economic growth. And as cash becomes less available and borrowing becomes more expensive, producers and business owners are likely to pass their increased costs to consumers, who will in turn see prices going up.

Erdogan is aware of this and strongly opposed the bank's move to raise interest rates. He argued it would hurt Turkey's growth and blamed the Lira's recent tumble on the opposition and an "interest rates lobby," saying it was the result of a conspiracy against him and his government.

And while Turkey's $800 billion economy remains among the 20 biggest in the world, the IMF has warned it is not built on a sustainable model and remains too vulnerable to dangers outside its borders.

Add to this another grim statistic: the country's poverty. According to the Organisation for Economic Co-operation and Development (OECD), one in five Turks live below the relative poverty line -- meaning their income is less than half of the country's median. That is one of the highest figures among developed countries, with only Mexico and Israel lagging behind.

Turkey's strategic position means the country is the bridge between Asia and Europe. Its membership of NATO and candidacy to join the European Union reflect its importance.

But the current unrest and uncertainty has already cost the country millions -- its stock market lost a third of its value last year alone. Foreign investors have been watching Erdogan's steps closely and to them, the result of this weekend's local election could be an indication of where the country's economy moves next.

Read more: Turkey's political crisis undermining democracy
Read more: Is instability the 'new normal' for Turkey?
Turkey: From a bridge to an island in the Mideast
Read more: Worst is yet to come for Fragile Five

@highlight

Turkey's economy, once hailed as a miracle, is slowing down and its currency is talking a beating

@highlight

The country's central bank doubled the interest rates to prevent foreign capital outflows

@highlight

The IMF has warned Turkish economy is not sustainable and remains vulnerable to external dangers