Atlanta, Georgia (CNN) -- Staring at the throngs of media representatives who came out to hear and see her Friday, Jessica Colotl took another step into the fight for her future.

The undocumented student from Mexico whose case has become a lightning rod in the immigration debate had been released on $2,500 bond just a couple hours earlier. The 21-year-old student at Kennesaw State University in Georgia surrendered Friday morning to authorities in response to a warrant for her arrest issued Wednesday night by the Cobb County Sheriff's Office.

Standing nervously before the crowd, Colotl fought back tears when people cheered for her. The media bombarded her with questions as she tried to give voice to her struggle.

Just a week earlier, she'd been released from a deportation facility in Alabama after being stopped in March for a minor traffic violation.

"If I were to be deported, I'd have to start all over again," she said. "I'm hoping for the best."

The sheriff's office said she gave a false address when stopped for that violation, a felony charge that her attorney denies.

A spotlight has been trained on Arizona since Gov. Jan Brewer signed into law a bill that requires law enforcement officials to seek proof of legal U.S. residency from anyone whom they have stopped on suspicion of having violated the law.

But advocates working with Colotl point out that a little-understood program already gives local authorities in many states the latitude to act as immigration officials -- a right that is often abused, they say.

"The future of Arizona already exists in Cobb County and Gwinnett County [also in Georgia]," said Jerry Gonzalez, executive director of the Georgia Association of Latino Elected Officials.

Near him were other Colotl supporters, some holding signs reading "Education not deportation."

Under the U.S. Immigration and Customs Enforcement 287(g) program, state and local law enforcement can partner with the federal agency to gain some immigration enforcement authority in their own jurisdictions. If they conclude that someone is in the country illegally, they can turn that person over to ICE. Last year, a change to the partnership program prioritized the detention and arrest of those who have allegedly committed crimes.

The Cobb County Sheriff's Office is one of 71 law enforcement agencies in 26 states that have entered into this partnership program, according to the ICE website.

Labeling the program a "civil rights disaster," Mary Bauer, legal director of the Southern Poverty Law Center, said it "leads to racial profiling, distracts police from looking for real criminals and destroys families."

The American Civil Liberties Union of Georgia called Friday for an end to the program.

"Jessica's case is yet another outrageous example of the unaccountable local enforcement of immigration laws in Cobb County gone awry," said Azadeh Shahshahani, ACLU of Georgia's national security/immigrants' rights project director.

Colotl's legal problems started in late March when her car was stopped on the Kennesaw State campus.  Born in Mexico but living in the United States since she was 11, she could not produce a driver's license, so she handed over as identification an expired passport from Mexico.

She was arrested the next day and turned over to immigration officials. She spent more than a month in the Etowah Detention Center in Alabama.

Friends came out in force and marched on campus in her defense. Earlier this month, she was released, and her deportation was deferred for a year, which will allow her to finish her studies. She hasn't returned to classes yet, but looks forward to earning her degree.

"I'm just trying to live the American dream and finish my education," she said.

Calling Colotl "a symbol of what's wrong with the immigration system," immigration attorney Charles Kuck thanked ICE for allowing his client to stay in the country for a year to finish her studies. He then set out to educate people about the challenges facing Colotl, providing a reason why she did not have a license.

"Jessica can't start the process to become a U.S. citizen because she's not allowed to," he said. "If Jessica could obtain a license, she would have."

In a statement Wednesday night, Cobb County Sheriff Neil Warren said, "Ms. Colotl knew that she was in the United States without authority to be here and voluntarily chose to operate a vehicle without a driver's license, which is a violation of Georgia law. She has further complicated her situation with her blatant disregard for Georgia law by giving false information."

As for the use of the ICE program, he said, "I value any tool that helps me enforce the law and remove violators from our community."

But the band of lawyers and advocates who rallied around Colotl say Cobb County is abusing its power. In a joint statement Thursday night, they voiced outrage over Colotl's treatment and suggested that the felony charge is trumped-up.

"It is obvious from all the documents that I've seen that she has done nothing wrong and has given her proper address to Cobb County and immigration officials," said Chris Taylor, Colotl's criminal attorney. "There has been no crime committed."

The car's registration simply reflected her old address, Taylor said in an interview, and she provided her new address when she was taken into custody. Taylor said he has the documents to prove this and looks forward to clearing her name.

In front of the crowd that gathered Friday, he said of his client, "She has not failed us. We have failed her. The system has failed her."

The Cobb Immigrant Alliance likened the actions of officials to "schoolyard bullying." Gonzalez, of the Georgia Association of Latino Elected Officials, called the sheriff "Wild-West Warren," saying he "has abused his authority in this case. His actions clearly demonstrate the problems that occur when local law officers are granted authority to enforce immigration laws."

"Sheriff Warren has embarked on a witch hunt, wasting money and county resources for political gain," said Adelina Nicholls of the Georgia Latino Alliance for Human Rights. "This is not about public safety."

@highlight

Jessica Colotl, an undocumented immigrant, was arrested, detained after traffic violation

@highlight

In U.S. since she was 11, she is close to graduation from her university in Georgia

@highlight

"I'm just trying to live the American dream and finish my education," says Colotl

@highlight

Advocates and lawyers for Colotl liken case to "witch hunt" and say system is flawed