(CNN)  -- Rowaida Abdelaziz doesn't want your pity.

Rowaida Abdelaziz says wearing the hijab sometimes interferes with usual U.S. teenager activities, but that it's worth it to her faith.

She doesn't want your frosty public stares; the whispers behind her back; the lament that she's been degraded by her father.

What the Muslim high school senior wants you to understand is that she doesn't wear the hijab, the head scarf worn by Muslim women, because she is submissive.

"It represents beauty to me," says Abdelaziz, the 17-year-old daughter of two Egyptian parents living in Old Bridge, New Jersey.

"My mom says a girl is like a jewel," Abdelaziz says. "When you have something precious, you usually hide it. You want to make sure you keep it safe until that treasure is ready to be found."

The nation has heard plenty of debate over racial profiling. But there's a form of religious profiling that some young Muslim women in America say they endure whenever they voluntarily wear the hijab.

The hijab, also known as the veil, is the headscarf worn by Muslim women around the globe. It's a simple piece of cloth, but it can place young Muslim women in Western countries in difficult situations.

Some hijab-wearers say that strangers treat them as if they're terrorists. Others ask them if they're a nun -- or even allergic to the sun. In some cases, their worst critics are not Americans, but fellow Muslim Americans.

The pressure on Muslim teenagers in the U.S. who wear the hijab may be even more acute. Their challenge: How do I fit in when I wear something that makes me stand out?

Randa Abdel-Fattah, who has written two novels about this question, says wearing the hijab can "exhaust" some young Muslim women in the West.

"You can sometimes feel like you're in a zoo: locked in the cage of other people's stereotypes, prejudices and judgments, on parade to be analyzed, deconstructed and reconstructed," says Abdel-Fattah, a Muslim who has Palestinian and Egyptian parents but was born in Australia.

Abdel-Fattah says people should not assume that Muslim women who wear the hijab are being controlled by men. She, too, struggled with the choice of wearing a hijab when she was a teenager.

"When it comes to the hijab -- why to wear it, whether to wear it, how to wear it -- there is theology and then there is practice and there is huge diversity in both," says Abdel-Fattah, author of "Does My Head Look Big in This?"

The surprising history behind the hijab

Some women say the hijab makes them feel like they're locked in a cage. But others say it leads to personal freedom.

Sarah Hekmati first wore the hijab at age 15 growing up in Detroit, Michigan. She is the daughter of Iranian parents who left Iran in 1979 during the Islamic revolution.

Hekmati says the hijab liberated her from some teenage angst: Does my hair look good? Am I cute enough? Should I lose weight?

"It gave me a sense of identity," she says. "I really liked the purpose behind the hijab -- a woman covering herself so that a man should know her for her mind, not her body."

That purpose can be traced back to the Quran, Islam's holy text, which encourages women to dress modestly, says Faegheh Shirazi, author of "The Veil Unveiled."

Some Muslims take the Quran's advice as a command for women to wear the hijab, while others disagree, she says.

"The Quran is very ambiguous about whether you have to wear the veil or not," Shirazi says.

The hijab, however, actually predates Islam, Shirazi explains. The first known reference to veiling (Shirazi uses the term hijab and veil interchangeably) was made in an Assyrian legal text in the 13th century B.C., Shirazi says.

In the Assyrian, and later, the Roman and Byzantine empires, the veil was a symbol of prestige and status, she says. By the 12th century, the veil had been imposed on women in the Muslim world to exclude them from public life, Shirazi says.

"A sign of distinction had been transformed into a sign of exclusion," she writes in her book.

People are still debating the meaning of the hijab today.

In 2007, British Muslim groups protested when schools were given the right to ban students from wearing full-face veils. In 2008, Turkey's top court upheld a ban on wearing Muslim headscarves at the country's universities. That same year, a Muslim woman was briefly jailed at a suburban Atlanta, Georgia, courthouse after refusing to remove her hijab in court.

Some moms against hijab wearing

The debate over the hijab can literally hit home for some young Muslim women. Those that wear the hijab in the United States can befuddle their mothers, who often immigrated to the West so they could be free from wearing the hijab and other rules imposed on women.

That's what happened to Hekmati, the Muslim-American from Detroit. Her mother, Behnaz, was puzzled by her daughter's decision to wear the hijab. Behnaz Hekmati grew up in Iran, where she did not wear the hijab. Young women who attended college in Iran like she did generally didn't wear the hijab, she says.

Behnaz Hekmati warned her daughter that wearing the hijab would arouse the suspicion of Americans.

"I said Sarah, when you cover your head here the people think you are political -- they see you differently," Behnaz Hekmati says.

Most of the trouble, though, came from Iranian-Americans, who came to the United States to escape the Islamic fundamentalists who seized power in 1979, she says.

"The Iranians here bother her more than Americans," Behnaz Hekmati says. "They say, 'We got rid of you guys. We came here because we didn't want to see you guys anymore.'"

Hekmati was more concerned as a teenager about more personal issues, like her relations with boys. The hijab made it more difficult, she says. Few asked her on dates. Guys always seemed to put her in the "friend category." She wondered if she was attractive.

"I wondered at times: Am I always going to be a guy's friend and nothing more."

Strangers in public saw her as something else -- a subjugated woman.

They looked at her with pity, she says. Some were just baffled.

"One guy asked me if I was allergic to the sun," Hekmati says.

Abdelaziz, the New Jersey high school senior, also had her tense public encounters: angry looks, people feeling sorry for her or assuming her father ordered her to wear the hijab.

"It's not oppression; it's not that I'm accepting degradation -- it's about self-respect," she says.

But it's more about faith as well. She says the hijab affirms "Islam in the most respectful and purified way."

"When you actually wear it, it opens your eyes," she says. "It makes you want to explore your religious faith."

At times, Abdelaziz says she wonders what it would be like to attend her prom, get a tan at the beach and have a boyfriend.

But she says her decision to honor her faith is already paying off.

"It really feels good," she says. "It felt like I was missing something and now I'm complete. I finally understand my purpose."

@highlight

The hijab is the head scarf worn by Muslim women

@highlight

Wearing one as a Muslim teenager in the U.S. may offer challenges

@highlight

Some wearers say they get strange looks and sometimes angry remarks

@highlight

But those who voluntarily wear it say it can help them in their faith and teen life