(CNN) -- I, like millions of Americans, tune in each week to check out the latest adventures of America's favorite "Modern Family," especially Mitch and Cam and their adorable daughter Lily.

While their prominence on network television strongly signals Americans' growing comfort with same-sex couples raising kids, my research suggests that, in truth, Mitch and Cam may have more in common with the decidedly un-modern Cleavers of 1950s sitcom fame than most LGBT families in this country.

A typical LGBT parent is more likely to be an African-American woman in Mississippi than a white lawyer in California. U.S. Census Bureau data suggest that Americans raising kids as part of a same-sex couple are almost twice as likely to be African-American as are their counterparts raising children in heterosexual couples, and Mississippi is the state where same-sex couples are most likely to have a child.

About 3 million LGBT Americans are parents. Surveys suggest that 37% of the more than 8 million LGBT adults in the United States report having had a child. On average, they've had two kids, so it's likely that at least 6 million Americans have an LGBT parent. Evidence also suggests that many of these LGBT parents had their children at a relatively young age.

This week, the Supreme Court will consider two cases that will affect same-sex couples, including those who are parents. One case deals with the constitutionality of the Defense of Marriage Act, which prohibits the federal government from recognizing the marriages of same-sex couples. The other will weigh California's Proposition 8, which prohibits same-sex couples from marrying in that state.

Opinion: Will gay rights infringe on religious liberty?

As the justices deliberate, they should understand what marriage might mean for America's LGBT parents, especially those in same-sex couples. Most kids being raised by same-sex couples (59%) are reported to be the biological children of one of the spouses or partners. But for kids who don't have a biological link to their parents, the absence of marriage can mean a tenuous or nonexistent legal connection to parents who, in a medical emergency, may not be permitted to make life-altering decisions on behalf of their children.

U.S. Census Bureau data suggest that 16,400 children being raised by same-sex couples are stepchildren and 22,500 are adopted. In fact, same-sex couples are four times more likely than other couples to have an adopted child and six times more likely to be fostering a child. With the mix of laws on the books in this country, simply crossing a state border from a state that recognizes the marriage of a same-sex couple to one that doesn't can mean the step- and adoptive-parents can suddenly become legal strangers to them.

For many American families, marriage helps to promote stability in family relationships and more efficient allocation of household financial resources. Both of these factors help to explain why children raised by their married parents generally report better health and well-being outcomes when compared to children who experience family instability and more limited financial resources.

LGBT families tend to include parents that are younger, more female, and more racially and ethnically diverse than the typical American parent. Unfortunately, all of these characteristics are associated with relatively lower incomes. So it is no surprise that we find a $10,000 difference between the median annual household incomes of same-sex and different-sex couples raising children, $63,900 vs. $74,000, respectively.

Same-sex couples raising children are also at a disadvantage when it comes to health insurance coverage for themselves and their children. Many companies do not offer spousal and family health benefits to same-sex partners. And even when they do, they are often more expensive than comparable plans available for different-sex married couples.

While more of these families might have access to health insurance after the implementation of the Affordable Care Act, right now, among same-sex couples raising biological, adopted or stepchildren, at least one parent or child does not have health insurance in 38% of same-sex couple families. For different-sex married couples, the figure is half that at 18%.

Sutter: The county where no one's gay

As evidenced by their majority support for legalizing marriage for same-sex couples in this country, Americans are getting to know their LGBT family members and neighbors (and their kids) better every day. They see that LGBT parents are motivated by many of the same desires as other parents: strong, happy and healthy families.

Is it surprising then that many want to get married? Doing so would provide these families, many of whom endure challenging legal climates and economic hardship, with the same opportunities and choices available to all Americans.

While marriage is hardly a panacea for economic health, allowing same-sex couples to marry at least gives them the same opportunities for building stable and economically secure families that so many other Americans have. Let's hope that the Supreme Court sees it that way, as well.

The opinions expressed in this commentary are solely those of Gary Gates.

@highlight

Gary Gates says couple in "Modern Family" doesn't reflect most LGBT families

@highlight

He says typical LGBT parent is likely to be younger, female, racially diverse

@highlight

He says crossing a state line can turn someone from a parent to a stranger to their child

@highlight

Gates: The Supreme Court should give same-sex couples opportunities others have