Washington (CNN) -- The current large-scale U.S.-South Korean naval exercise off the west coast of Korea has multiple purposes. After last week's North Korean attack on a South Korean island, the most important is to send a message to Pyongyang that Washington and Seoul have the capability -- and the will -- to respond with devastating force to any further acts of aggression.

A second is to strengthen the U.S.-ROK (Republic of Korea) joint capability to coordinate such a response, as well as to reinforce their anti-submarine capabilities that were so obviously inadequate last March, when North Korea torpedoed a South Korean naval vessel on the high seas.

In light of the fact that past North Korean misbehavior has not produced serious consequences for Pyongyang, it may be difficult to convince the North that "this time we're serious." There was a South Korean artillery response to the shelling last week, but it was apparently flawed in execution and did not produce much damage.

What is needed is to credibly promise a harsh response to future attacks, yet not trigger North Korean escalation or a preemptive war on the assumption that an effort to destroy the North is looming.

Despite its labeling the current situation an "ultra-emergency wartime situation," the North Korean regime is not suicidal, and one ought not assume it will take actions that will predictably bring destruction down on its head. But its apparent and dangerous belief that it can act with impunity has been reinforced over many years. It comes not only from the measured South Korean response after the ship sinking, and from the absence of truly punishing actions after it reneged on commitments not to test intercontinental ballistic missiles and nuclear weapons.

Even assassination attempts against South Korean presidents and the blowing up of a civilian Korean airliner in years past produced little by way of lasting consequences for the North.

Fear of precipitating a second Korean War has proved an effective deterrent against strong U.S.-ROK retaliation. This time, Washington and Seoul seem determined not only to demonstrate the resolve to strike back (albeit proportionately) if necessary, but to strengthen existing UN-sponsored sanctions against the DPRK (Democratic People's Republic of Korea) that will effectively curtail the North's illicit activities as well as squeeze individuals in the elite structure.

Another dimension of the current exercises, which include the aircraft carrier George Washington and its strike group, is to demonstrate to China that, its strident objections to naval operations in the Yellow Sea notwithstanding, the United States not only has the right to operate in international waters but will do so in defense of its national interests.

The point is not to stick a finger in China's eye; Washington would far prefer to cooperate with Beijing than to appear to challenge it in order to change North Korean behavior.

But the U.S. has argued to China for a long time -- to little effect -- that its coddling of Pyongyang was not producing better behavior. Rather, it was enabling the North to pursue its contrarian ways, producing stalemate in the nuclear talks, the sinking of a South Korean naval vessel, and now a calculated attack on a South Korean island that killed civilians as well as military personnel.

Thus, the American message to Beijing is: "If you cannot help bring North Korea to cease its provocative behavior, we will be forced to take actions that, while not aimed at you, will discomfit you." If this leads China to more seriously strive to rein North Korea in, all the better.

Moreover, China shrilly insisted a few months ago that no U.S. naval exercises should take place in the Yellow Sea -- and especially that no aircraft carrier should enter those waters. In the face of that position, at some point the U.S. had to exercise its freedom of navigation rights. But the choice of timing -- not ideal with a Chinese state visit to Washington planned for January -- was dictated by Pyongyang's actions.

Some observers say the only way to change North Korean behavior is to engage it. In fact, the United States is quite willing to engage the North, including in serious negotiations.

But it is not willing to look the other way in the face of Pyongyang's aggressive military behavior and its blatant violation of its most basic pledges and UN resolutions regarding denuclearization. And it is not willing, as the North appears to want, to accept the DPRK as a de facto nuclear weapons state by sitting down with Pyongyang absent a demonstration by the North that it is committed to denuclearize (even if doubts abound regarding implementation).

If the North does something meaningful to lower tensions with the South and to demonstrate "sincerity" about abandoning nuclear weapons, the prospects for resumed six-party denuclearization talks will improve. Meanwhile, however, the United States will continue to show strong support for its South Korean ally to counter Pyongyang's threatening actions.

The opinions expressed in this commentary are solely those of Alan D. Romberg.

@highlight

The U.S. and South Korea are conducting naval exercises in the Yellow Sea

@highlight

Alan Romberg says these are a message to North Korea that it could provoke retaliation

@highlight

He says incidents of North Korean aggression have so far met with little military response

@highlight

U.S. also wants to demonstrate its freedom to project power in international waters, he says