Washington (CNN) -- Rep. Charlie Rangel's journey from Harlem's favorite son to politically embattled Washington insider to campaign victor is a saga that spans more than 40 years and is the type of tale that only seems possible in the soap opera-like world of inside the Beltway politics.

Rangel's comeback tale is as much a testament to his political savvy as it is the resiliency of the area he represents.

"One of the great things about Charlie Rangel is his longevity. And there are lots of people who see his ability to stay on the game as representative of Harlem," said Mark Anthony Neal, an African-American studies professor at Duke University and author of "New Black Man: Rethinking Black Masculinity." "The idea of Harlem always being on the ropes and being able to bounce back, that's been the story of Rangel's political career."

Rangel claimed victory Tuesday in the Democratic primary to represent a redrawn, largely Latino New York district, capping a tale of political survival for the lawmaker, whose House colleagues censured him for ethics violations after his re-election to his 21st term in 2010.

On Tuesday night, he offered relieved thanks to supporters at his campaign headquarters in New York after clinching the five-way race for the nomination in his Harlem-area district. The new 13th Congressional District stretches from East Harlem to the northwest Bronx.

"They've had enough trust in me, they say, 'Rangel, we think you can do it. We want you on our team in the Bronx,' " he said. "And so I can tell everybody who don't know this district or the Bronx, when I'm walking the streets of the Bronx, I feel my district and the blood and the minds and the ambitions and the things that people want for their children."

Rangel netted about 45% of the vote, compared with his closest rival, New York state Sen. Adriano Espaillat, who got about 40% in the latest count.

Rangel received 80% of the vote in the 2010 primary.

Espaillat, 57, who would have been the first Dominican-American to serve in the House, used his background to court Latino votes and take aim at the 82-year-old Rangel over his long tenure in Washington and his ethics abuses.

On Tuesday, Espaillat sent a note to supporters, thanking them and conceding the race.

"Though we didn't make it to the finish line tonight, the values we fought for and the communities we seek to improve will continue to light a fire in us," he said. "The truth is, even in coming a bit short, we made history."

Rangel knows about fighting.

He grew up in poverty, was abandoned by his Puerto Rican father and lived with an aunt and uncle in the Bronx. The high school dropout enlisted in the Army and was awarded the Bronze Star for valor in the Korean War after he helped rescue 40 men trapped behind Chinese lines.

After the war, he used the GI Bill of Rights to earn a degree from New York University and a law degree from St. John's University. He served as an assistant U.S. attorney before being elected to the New York State Assembly in 1966.

Rangel began his long run in the U.S. House in 1970 when he defeated another flamboyant and beloved longtime Harlem politician, Rep. Adam Clayton Powell Jr., in the Democratic primary.

Years later, he defeated Powell's son in the 2010 Democratic primary.

But in his most recent contest, the congressman faced changing demographics and a redrawn district with more Latino-Americans than African-Americans, a shift that helped Espaillat.

Though he now represents a district that is more heavily Latino, the African-American community's traditionally higher voter turnout rates helped Rangel win, said David Wasserman, editor of House races for the Cook Political Report.

"His 2010 primary was more of a referendum on ethics. This was more a test of ethnic strength and a referendum on Rangel's fitness for office," Wasserman said. "He delivered a more tenacious campaign closer to Election Day, and he was able to count on very loyal support to win a low-turnout primary."

Rangel, one-time chairman of the House Ways and Means Committee, was censured by the lower chamber in 2010 after he was found guilty of ethics violations. He failed to pay income taxes for a rental unit in the Dominican Republic, filed misleading financial disclosure reports and set up his campaign office in a building where he lives, among other breaches.

Pundits predicted an end to his political career at the time, pointing to previous ethics problems and the potential of redistricting after the 2010 census.

"The power of incumbency was on full display when Rep. Charlie Rangel won his primary on Tuesday," said Thomas Schatz, president of Citizens Against Government Waste, a watchdog group. "While Congress' rating is in the single digits and several incumbents have lost primaries around the country, Rep. Rangel is still extremely popular in Harlem. His re-election is both a testament to his longevity and a reflection of his constituents, who clearly don't seem to mind his ethical lapses. "

Still, the dapper lawmaker has a core of ardent supporters.

"He is a consummate public servant, and public service is not easy whenever your life is open for constant scrutiny and everything you do is under a microscope," said New York state Assemblyman Keith L.T. Wright, a co-chairman of the state Democratic Party. "He's from Harlem. We've done nothing but have to fight for whatever we have to achieve."

In Congress, Rangel was among the leading voices in the fight against drug trafficking, pushed for low-income housing tax credits and authored legislation to support urban communities.

He became the first African-American chairman of the powerful Ways and Means Committee after Democrats won control of the House in 2006.

He also helped create the Congressional Black Caucus, an organization that represents African-American members of Congress.

Despite the new district lines and some recent health problems, Rangel fought hard to keep his seat, squaring off with his opponents in debates and taking them on during campaign stops.

"One of my opponents said that I got the idea that I'm the only person that can do the job, that I'm the smartest person in the world and no one is smart enough to do it. I said, 'That's not so. I'm just smarter than you,' " Rangel said last week, according to CNN affiliate WCBS-TV.

Rangel and Espaillat faced fellow Democrats Joyce Johnson, a business executive; former Rangel intern Craig Schley; and former Bill Clinton aide Clyde Williams to win control of the 13th Congressional District.

New York Gov. Andrew Cuomo endorsed Rangel on Friday, citing his decades of service and ability to "bring things back to the state of New York."

However, New York's three major daily newspapers each endorsed a different one of Rangel's opponents, prompting a fierce defense from the New York City native.

And on Tuesday, though a bit chastened by his tough political slog, he offered a bit of trademark spark.

"If (the newspaper editorial boards) didn't think, after 42 years, that I was the best qualified, I promise them in the next two years, they'll have no question of the fact that you elected the best."

CNN's Gabriella Schwarz and Alan Silverleib contributed to this report.

@highlight

Charlie Rangel's ability to fight off the ropes embodies area he represents, professor says

@highlight

The 21-term congressman faced changing demographics and a redrawn district

@highlight

Rangel was censured in 2010 after he was found guilty of ethics violations

@highlight

Pundits had predicted an end to his political career