(CNN) -- Unlike al Qaeda, the Pakistani Taliban organization has shown little appetite for taking its brand of jihadism beyond the borders of Pakistan and Afghanistan. Maybe that's changing.

Certainly that's the case if the messages from the organization's leader, Hakimullah Mehsud, are to be taken at face value. "From now on," he says in an audio message said to have been recorded in April, "the main targets of our fedayeen [fighters] are American cities. This good news will be heard within some days or weeks. Today onwards, the direction of our jihad is American states and cities. Inshallah we are successful in this mission and objective."

The Pakistani Taliban, also known as Tehrik-i-Taliban Pakistan, or TTP, does not lack a motive to lash out. In recent months it has come under increasing pressure as the United States has intensified drone strikes and the Pakistani army has carried out offensives against the group deep inside its safe haven in Pakistan's Federally Administered Tribal Areas.

Officials are keeping an open mind about any link between the Taliban and the failed car bombing in New York last weekend. Within hours of the incident, an audio message purportedly from Qari Hussain Mehsud (a senior member of the TTP) claimed responsibility for the attack. "This attack is a revenge for the great and valuable martyred leaders of mujahedeen," he said. At first intelligence analysts discounted the message (not least because of specious claims by the group in the past), but as more information emerged about the incident, it has received renewed attention.

Very occasionally in the past the TTP has made threats about launching attacks overseas. Before he was killed by a drone strike last year, the group's then leader, Baitullah Mehsud (no direct relation to Hakimullah or Qari Hussain) told reporters: "Very soon we will take revenge from Amer­ica, not in Afghanistan but in Wash­ing­ton, which will amaze the entire world." And he added: "The max­i­mum they can do is mar­tyr me." They did -- but not before Mehsud made an outlandish claim that the TTP was responsible for a shooting rampage in Binghamton, New York, that left 13 people dead. (A Vietnamese immigrant carried out the attack before killing himself.)

The question for counterterrorism officials now is whether the threat by Hakimullah Mehsud to attack targets in the United States is bluster or carries real menace.

The TTP was officially formed in 2007 when a number of hard-line Islamist groups demanding the introduction of Sharia law in Pakistan came together in the Federally Administered Tribal Areas. They had already murdered scores of tribal elders to clear the area of rival authorities.

The TTP's ambitions were at first confined to the tribal territories bordering Afghanistan. But by 2009 it was challenging Pakistan's heartlands and its establishment, with attacks on police academies, government buildings and army convoys as far away as Lahore and Rawalpindi. It has also cooperated closely with the Afghan Taliban and attacked NATO convoys and pre-positioned supplies on their way to Afghanistan. But it was the Taliban's widening campaign against the state that led the Pakistani army to launch major offensives last year in the Swat Valley and South Waziristan.

There has been just one documented example of the TTP showing more global ambitions. On January 19, 2008, 12 Pakistanis and two Indians were arrested in Barcelona, Spain. Ten were charged -- along with another suspect later detained in the Netherlands -- with involvement in a conspiracy to carry out suicide bomb attacks on Barcelona's subway system. Several of the conspirators had arrived from Pakistan in the weeks before they were arrested.

Soon after their arrest, U.S. Defense Secretary Robert Gates said: "The Barcelona cell appears to have ties to a terrorist training network run by Baitullah Mehsud." Several months later a TTP spokesman, Maulvi Omar, acknowledged in a video, "The one in Barcelona was conducted by 12 of our men. They were under pledge to Baitullah Mehsud, and TTP has already claimed responsibility because of Spain's military presence in Afghanistan."

The 11 ultimately charged were convicted and sentenced to jail terms of eight to 10 years in December last year. Much of the prosecution's case was based on an informant inside the cell who said he had been trained in the use of explosives in Waziristan, the TTP's stronghold before the Pakistani army offensive.

To date, the Barcelona case remains the only credible example of the TTP's capability to take its fight overseas. But other Pakistani groups have shown an ability and desire to broaden their targets. Lashkar-e-Taiba recruited American David Headley to reconnoiter and plan an attack on the offices of the Danish newspaper that published cartoons of the Prophet Mohammed in 2005. He was arrested on his return to the United States last year -- before any attack was carried out -- and pleaded guilty to charges connected to the conspiracy. Headley also confessed to involvement in reconnaissance for the Mumbai attacks by Lashkar in November 2008.

For its part, the TTP has developed both its alliances and capabilities closer to home, most notably joining forces with al Qaeda for the attack on a U.S. base in eastern Afghanistan that killed seven CIA employees and contractors last December. And last month it launched a complex but unsuccessful attack on the U.S. Consulate in Peshawar.

Intelligence analysts believe that as the attempted car bombing in Times Square was so poorly executed, it would be surprising if the TTP were closely involved.

@highlight

Officials keep open mind about any link between Taliban and failed New York car bombing

@highlight

Pakistani Taliban occasionally has made threats about launching attacks overseas

@highlight

Just one example of global ambitions has been documented