(CNN) -- Dr. Charles Raison, CNN's mental health expert, addresses two questions from readers reacting to a piece on anxiety from Kat Kinsman, CNN Eatocracy managing editor, on her lifelong struggle with the condition. Look for Raison to address other questions in the future.

Q: Can using marijuana or having a drink or two be helpful for people with anxiety? What should they watch out for?

Dr. Raison: If one goes on any search engine looking for study results related to marijuana or alcohol and depression or anxiety, one will immediately see that most of the evidence tells a cautionary tale.

Many studies suggest that regular use of either marijuana or alcohol is associated with an increased risk for a variety of mental health problems, anxiety and depression among them. Increasing data suggests that regular marijuana use in adolescence may also be a risk factor for developing very serious psychotic disorders, especially schizophrenia.

In addition to promoting other disorders, alcohol is especially liable to abuse and dependence and has ruined innumerable people's lives for millennia.

Far fewer studies have examined whether using these compounds in moderation might improve depression or anxiety.

But as Socrates noted almost 2,000 years ago, alcohol is both a blessing and a curse to mankind. Indeed, now we know that the regular modest use of alcohol actually promotes a number of health factors.

Similarly, it is increasingly clear that many of the chemicals within marijuana hold great promise for the treatment of physical pain. The endocannabinoid system in the brain -- which is a primary target for marijuana -- has profound effects on how people think and feel.

My son is mentally ill, so listen up

For example, increasing evidence suggests that the "runners high" many people get after strenuous exercise is produced primarily by activation of the brain's' internal endocannabinoid system. Other chemicals in marijuana impact other brain pathways, like serotonin, that are known to play a role in depression and anxiety.

People have been taking a drink or two in the evening since time immemorial. And many people will attest that this practice helps them shed the cares of the day. Recently, I've met with several very experienced psychiatrists who have been recommending small amounts of marijuana use for for very depressed patients who haven't responded to antidepressants. In some patients, they are reporting remarkable improvements.

But the problem at this point is that while many studies have shown an association between alcohol/marijuana and mental illness, I don't know of any really rigorous studies looking at the therapeutic potential of either for depression and anxiety.

Answering the question of what people who use these substances should watch out for is easier. They should watch out for the possibility that they become more anxious or depressed after drinking or using marijuana. And they should keep a close eye on their use, especially use of alcohol, which can be highly addictive. Whatever potential benefit alcohol and marijuana may offer is 100% lost once they are abused.

Q: What are the best anxiety treatments who don't want (or are afraid) to take medicines? Is there anything that might ease their concerns? Is there a point where medication becomes essential?

Dr. Raison: By far the best studied non-medicine treatment for depression or anxiety is psychotherapy. Literally hundreds of studies have shown that on average psychotherapy works as well for these conditions as do medications.

Of the various psychotherapies, the best studied is cognitive behavioral therapy, or CBT. But studies are being done all the time, and other forms of therapy are also emerging as highly effective.

Over and above the type of therapy employed, a key factor of therapeutic success is the "fit" between the client/patient and therapist. In practical terms, this means that people should feel comfortable with their therapists. If one feels ignored, looked down upon, dismissed or attacked, it is very unlikely the therapy will be successful. Very often when therapy works people start feeling better within a few weeks, so this is also something to look for.

No other non-medical treatment for depression or anxiety has anywhere near the amount of supporting evidence that psychotherapy does. Having said this, significant evidence now points to the usefulness of exercise for improving mental health.

Especially when it comes to depression, exercise has been repeatedly shown to be of value. Both strength training and aerobic exercise have benefits and combining them is the best of all.

However, to get the full antidepressant effect of exercise requires real commitment. To work optimally, exercise must be engaged in for at least 30 minutes a day five days a week. And the intensity level should be such that one has some difficulty carrying on a conversation while doing it.

Anxiety, you're not the boss of me

However, other health benefits accrue from far less strenuous exercise and in general many people feel better with even moderate exercise.

Several supplements have shown promise in depression. Both SAMe and L-methylfolate have shown promise as additions to people not fully responding to antidepressants. Most of us in the field think they also work by themselves, although more data are needed.

The data for St. John's Wort is plus/minus. Some evidence suggests that omega-3 fatty acids and N-acetyl-cysteine may also hold promise for the treatment of depression

If someone has a pattern of becoming depressed every winter, bright light therapy with a light box delivering at least 10,000 lux of light has been shown to be very effective. About 10% of the population suffers from some degree of low mood and energy in winter. This phenomenon is more common in cold, dark, gray places than in warm, sunny Southern ones. The power of a light box to lift mood and give energy can really be exceptional. This is an option that is sadly too often overlookied.

Many people swear by a variety of non-traditional approaches. The bottom line is that if someone is helped by these modalities and not harmed, the goal has been achieved.

Dr. Charles Raison is an associate professor of psychiatry at the University of Arizona in Tucson.

@highlight

A recent Kat Kinsman piece on anxiety resonated with readers

@highlight

Many of you had questions about treatment and medication

@highlight

CNN Health's mental health expert Dr. Charles Raison provides answers