(CNN) -- They say travel broadens the mind, but when there's cake involved other body parts are also at risk of broadening.

Sugar lurks around every street corner, particularly since the diabolical cupcake revolution began foisting its caloric concoctions on an unsuspecting public.

While cupcakes might be a passing fad, some dessert offerings seem impervious to change.

In a few lucky corners of the world, pastry makers have been perfecting their creations for generations, reaching the point where they're works of art.

Here are nine of the world's oldest pastry shops -- tried and trusted by centuries of cake-hungry visitors.

Hofbackerei Edegger-Tax (Graz, Austria)

This bakery has been coming up with the goods since the 14th century and has been at its current location since 1880.

The ornately carved, arched wooden doors and storefront crowned by the Austro-Hungarian imperial coat of arms -- a gold two-headed eagle holding a sword and a globe above the door -- attest to its age and popularity with local royalty.

This was, after all, a "Purveyor to the Imperial and Royal Court."

Its traditional Sissi Busserl cookies, named after Empress Elizabeth of Austria, are worth trying.

Celiac sufferers are in luck -- the bakery might be ancient but it's keeping up with the times by offering gluten-free products.

Hofbackerei Edegger-Tax, Hofgasse 6, Graz;. +43 316 83 02 300

La Maison Stohrer (Paris)

Continuing the theme of royalty with a fondness for fat, Paris's oldest pastry shop, La Maison Stohrer, can claim regal connections via Poland.

In 1725, when Louis XV married Polish princess Marie Leszczynska, his new bride brought along her father's pastry chef, Nicolas Stohrer, to Versailles.

Five years later Stohrer opened this pastry shop on Rue Montorgueil in Paris, and it's been serving royalty ever since -- Britain's Queen Elizabeth II stopped in during her 2004 state visit to France.

Commoners are welcome too.

Stohrer is credited with inventing "baba au rhum" -- a booze-soaked brioche named after a character in "The Thousand and One Nights" -- that's still a popular choice.

It's worth breaking eye contact from Stohrer's crammed pastry cases to check out the frescoes created by artist Paul Baudry in 1860.

Maison Stohrer, 51 Rue Montorgueil; +33 1 42 33 38 20

Pietro Romanengo fu Stefano (Genova, Italy)

This ancient cafe is heavy on the confectionery and famous for its candied fruit.

The company was founded in 1780, opening the oldest of its two shops on Via Soziglia in 1814.

Not much has changed since.

Those visiting in May and June will witness Pietro Romanengo fu Stefano's staff engaged in annual labors to separate the petals used to produce the cafe's celebrated rose syrup and rose sugar.

Pietro Romanengo fu Stefano, Via Soziglia, 74/76, Genova; +39 010 2474574

Ruszwurm Cukraszda (Budapest)

Anyone visiting the 13th-century Matthias Church in Budapest could do worse than following their tour with a sugary pick-me-up at nearby Ruszwurm Cukraszda.

Located in the Buda Castle area, this pastry shop opened in 1827 and has survived sieges, a revolution and World War II.

The original Biedermeier-era interior and furniture is still in the shop today. The cabinets along the walls hold a collection of antiques related to confectionery.

The traditional Hungarian cream and sponge Dobos cake is a customer favorite, as is the shop's own creation, the Ruszwurm cream pastry.

Ruszwurm Cukraszda, Szentharomsg utca 7, Budapest; +36 1 375 5284

Confeitaria Nacional (Lisbon)

An ornate pastry shop with cream-colored walls trimmed in gold and overlooked by a mirrored ceiling, the Confeitaria Nacional opened in 1829 in a stately corner building on the Praca da Figueira square.

It's still run by descendents of the founder.

The traditional Portuguese Christmas cake Bolo-Rei (King's Cake) was brought to Portugal by Confeitaria Nacional's Baltazar Rodrigues Castanheiro Filho from the south of France in the 19th century.

Based on the seasonal French favorite Gateau des Rois, the Bolo-Rei is a bread-like cake with raisins, candied fruits and nuts.

At other times of year, it's worth trying one of their popular pasteis de nata custard tarts.

Confeitaria Nacional, Praca da Figueira 18B, Lisbon; +351 21 324 3000

Antigua Pasteleria del Pozo (Madrid)

When a baking shop's name contains the word "antique," it's either got some history behind it or the pastries are on the stale side.

Thankfully, it's the former with Antigua Pasteleria del Pozo.

This Madrid institution opened as a bakery in 1810 and then as a pastry shop in 1830, claiming the crown as the city's oldest.

It's stayed true its roots, providing traditional Spanish delicacies like bartolillos, a favorite with the locals.

Del Pozo is also famous for its roscon de reyes, a traditional treat usually only available during Epiphany but available here all year.

Antigua Pasteleria del Pozo, 8 Calle Pozo, Madrid; +34 915 22 38 94

Blikle (Warsaw)

Reportedly a favorite of General Charles de Gaulle and Pope Paul II, Blikle, which opened in 1869, is still a family business.

The shop still operates in its original location, although the premises were completely rebuilt after being destroyed by the retreating Germans near the end of World War II.

There are now 20 Blikle shops scattered throughout Poland, but the original is the main attraction.

Favorite items include a version of a paczki (Polish doughnut), a glazed pastry filled with rose petal jam and sprinkled on top with candied orange peel.

Visitors will may have to join a line of locals waiting for this one, but they'll be taking part in a longstanding Warsaw tradition.

Blikle, 35 ul. Nowy Swiat 35, Warsaw; +48 22 826 45 68

Maison Bertaux (London)

For those who like a slice of contemporary art alongside their cake, London's oldest cafe usually obliges.

Since 1871, Maison Bertaux has been bringing French patisserie, including croissant, eclairs, fruit tarts and Gateau Saint-Honore, to the city's central Soho district.

In true French fashion, there's sidewalk seating available under Maison Bertaux's distinctive blue awnings.

Long a destination for arty types -- it's near Central St. Martin's art school -- Maison Bertaux made pop singer Lily Allen's French wedding cake and late designer Alexander McQueen's birthday cakes.

Famous visitors have included Nicole Kidman and Bob Geldof.

Co-owner Tania Wade mounts art shows in the cafe's basement and upstairs tea room.

Next up is the work of actor Timothy Spall, who was recently named best actor at the Cannes Film Festival.

Maison Bertaux, 28, Greek St., Soho, London; +44 20 7437 6007

Cafe Tortoni (Buenos Aires)

OK, we said oldest "European" pastry shops, but anyone hunting for a bit of France in Buenos Aires should check out Cafe Tortoni.

Opened by a French immigrant in 1858, Tortoni soon become the gathering place for the city's cultural elite and celebrities from around the world.

Einstein, Rubinstein, Borges and Hillary Clinton have all dropped in over the years.

Today, visitors can sample the cafe's hot chocolate with churros (fried dough covered in sugar and cinnamon), while taking in one of the nightly or weekend tango performances.

Cafe Tortoni, 825 Avenida De Mayo, Buenos Aires; +54 11 4342-4328

Danielle Beurteaux is a New York-based writer whose work has appeared in The New York Times, Health and PopularMechanics.com, and many other outlets. Her website is Daniellebeurteaux.

@highlight

Hofbackerei Edegger-Tax in Graz, Austria, has been serving cakes since the 14th century

@highlight

Many ancient pastry emporiums, like La Maison Stohrer in Paris, claim royal patronage

@highlight

Ruszwurm Cukraszda in Budapest has survived sieges, a revolution and World War II