Cape Town, South Africa (CNN) -- The Western Cape might be South Africa's wine capital -- renowned around the world as the home of some of the country's most famous labels -- but not far from Stellenbosch's fertile vineyards there's another drink brewing up a storm.

Inspired by an international boom for local, independent microbreweries, the business of craft beer has also taken off in South Africa recently, as growing numbers of small producers are experimenting with styles and techniques to satisfy a rising thirst for new flavors and novel brews.

"There is a massive demand," says Dan Badenhorst, co-founder of Devil's Peak Brewing Company, just one of the several microbreweries to come out of Cape Town in recent times.

"We started off in a garage, from there we bought our own 500-liter system and now we are in this new 1,500-liter system," he adds. "Constantly, our biggest challenge has been keeping up with the demand."

Read this: How Mandela became a brand

Craft beer is traditionally produced by independent breweries on a much smaller scale than the multinationals.

In South Africa, a country with a strong beer culture, consumers have traditionally opted for mass-produced beer products. South African Breweries is a subsidiary of SABMiller, the world's second-largest brewer, and accounts for more than 90% of the country's beer market.

But the smaller players have also started making a mark.

Almost three decades after South Africa's first microbrewery, Cape Town-based Mitchell's Brewery, opened its doors in the early 1980s, estimates suggest that today there more than 50 microbreweries across the country, a figure that's doubled in the last few years.

"On a top level, the big beer companies are supporting craft beer because it helps bring more people to beer," says Rob Heyns, founder of League of Beers, an online store offering local and international craft beers to enthusiasts in South Africa

He adds, however, that craft beer still has a long way to go before it can take on the mass beer producers.

"On the ground level, it's always going to be tight competition and as a craft brewer you're never going to be able to win out against one of the big brewers unless you, the consumer, asks specifically for those beers," adds Heyns. "That's the best that way craft beer can win."

Read this: A journey through South Africa's wine region

In order to win consumers' hearts, South Africa's burgeoning beer makers say they often turn to local ingredients to try and achieve unique and distinctive flavors.

"Locality is very important in the craft beer industry," explains JC Steyn, head brewer at Devil's Peak Brewing Company.

"You'd go to Cape Town and get the craft beers from Cape Town because they are so close to the brewery and they are so fresh and all those flavors are still very abundant," he adds. "Once beer travels it totally diminishes those characters."

Beer makers have also started using a number of beer festivals and tasting events to raise the profile of their brands and bring their products to a wider audience.

Greg Casey, owner of Banana Jam CafÃ© in Western Cape, holds several of such events throughout the year in his restaurant. He says craft beer is a great trend that's about finding something special.

"It's not about volume consumption," says Casey. "It's become about flavor and it's about trying something that's a little more special, like a bottle of wine," he adds.

Read this: South Africa's first black female winemaker

"So you are not looking for how much beer can I consume and how much it costs, you are looking for quality over quantity - and people are willing to pay for that."

Beer drinker Gregory Bowden agrees.

"I really prefer craft beer to the standard commercial stuff that you get," he says. "The variety that's available, the different range of flavors that you can get, it's just something that a mass-produced beer I don't think will be able to give," he adds. "You can tell that people put love into it and there's a bit more attention given to the product than with a mass produced."

It's that kind of care that craft beer makers hope will keep consumers coming back for more.

"You've got to be passionate about beer," says Badenhorst. "If you're going into it for the money, you're not doing it for the right reason," he adds.

"For us it's always been a passion; it's been wanting to show South Africans what beer is about."

@highlight

Better known for its wines, the business of craft beer is taking off in South Africa

@highlight

Craft beer produced by independent breweries on smaller scale than the multinationals

@highlight

Estimates suggest the country is home to some 50 microbreweries