(CNN) -- We all knew he'd eventually get around to it: Mark Zuckerberg is expected to finally bring Facebook public. The company is reported to be preparing to file for an IPO -- initial public offering -- through which anyone will be able to buy shares of the social networking company on an open stock exchange.

As a media theorist, I used to ignore these business shenanigans. Who cares if these companies are private or public, profitable or in the red? How many non-Wall-Street-Journal readers even knew what an IPO was back before the Internet created the likes of AOL, Netscape, and Google?

But the fact is we do now think about the stock market. Many of us are aware that Apple's market capitalization is fast approaching half a trillion dollars, making it either the largest or second-largest company in the world behind Exxon Mobil - depending on the week. So when we hear that Facebook is preparing for an IPO that will likely dwarf Google's entrance to the public markets in 2004, particularly considering that the company doesn't sell tangible goods or services in the traditional sense, we can't help but wonder what this will mean for the future of Facebook, its users, its competitors, and the greater economy.

The way it appears at first glance - particularly for those who have been following Mr. Zuckerberg since he launched "The Facebook" from his college dorm or, better, those who have seen the movie "The Social Network" - is that the Zuckerberg juggernaut is continuing unabated.

This new form of media -- social networking -- will not only redefine the Internet, change human relationships, create a new marketing landscape, and challenge Google, but it will now rescue and alter the economy itself. Like virtual kudzu, it will infiltrate the financial markets, creating new sorts of opportunities for this peer-to-peer "social" economy to take root. We will all make our living playing Farmville, or designing new versions of it, or investing in companies that do.

In reality, however, I don't think we are witnessing Facebook's victory over the financial markets as much as its acquiescence to them. Yes, Apple challenged Microsoft for software supremacy, just as Facebook now challenges Google for Internet supremacy. But there's another operating system churning away beneath all this high tech activity, and it's called corporate capitalism. If a company is big enough -- and that means simply holding enough money -- then sooner or later that money influences the rest of the company's activities.

In Facebook's case, it meant approaching the legal limit of 500 investors, which triggers a requirement to open the books to regulatory scrutiny. It also meant dealing with a few thousand coveted employees who took jobs at Facebook instead of Google or Apple or anywhere else because they were hoping to get in on a big thing. The promise of cashing in a few million dollars worth of stock options helps many a programmer make it through a late night of coding.

The same goes for those who invested in Zuckerberg five or more years ago and want to cash in before the "social web" bubble pops, if it's going to. Facebook was taking so long to get to market that many people had begun selling their shares privately on what are known as secondary markets, putting Facebook's valuation even further out of the company's own hands.

Simply becoming a multi-billion-dollar company changes the essence of its goals, activities, and purpose. Its bloodstream becomes filled with cash, and cash has its own agenda. For just like print, TV, or the Internet, money is a medium, too. It has biases, or tendencies, programmed right into it. The kind of money we happen to use -- bank-issued central currency -- is biased toward lending. That's why we call our system "capitalism." It's about the capital: Our money is designed to favor those who lend it to others who actually use it to build companies or create value.

The more money a company takes in, the more obligated it becomes to function in accordance with the properties and rules of money. For example, since becoming public, Google has had to prove its devotion to its shareholders' interests by cutting pet programs, showing earnings' growth, and demonstrating focus over big dreams. Out with public experiments like Google Labs, in with products like Android try to compete with Apple's iOS and G+ to compete with Facebook. No more touting that employees get 20% of their work hours to do whatever they want. It's a real corporation, now, and has to behave like one.

By all accounts, Zuckerberg was trying to delay this eventuality as long as possible. He knows that becoming the CEO of a public company will not be nearly as much fun, or as free, as running an Internet startup. However much we may not like his vision for our future, his primary purpose was to change the world. He wanted to create the operating system on which human social activity took place.

What he has ultimately succumbed to, however, is the fact that Facebook was running on top of another operating system all along. Instead of revolutionizing our reality, by filing an IPO Mark Zuckerberg is finally getting with the program.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff says Facebook's reported plan to go public makes some wonder about future

@highlight

He says it may seem company expanding influence, reaching into, rescuing economy

@highlight

But really it would be just giving into corporate capitalism, he says: Earnings trump big dreams

@highlight

Rushkoff: With IPO, Zuckerberg not so much revolutionizing reality as getting with program