(CNN) -- First the good news.

Significant progress has been made over the past 13 years in meeting the targets the international community set for social and economic development by 2015.

Thanks to the collaborative efforts of government planning agencies, U.N. entities, global aid organizations, international foundations and civil society groups, half a billion fewer people now live in extreme poverty, four out of five children routinely get vaccinated for a variety of diseases, and deaths from malaria have fallen by one quarter.

Family planning programs have helped slow population growth, contributing, in particular, to a significant reduction in fertility in the developing world. Maternal death has been reduced, and we are now saving the lives of about 3 million children every year who previously would have died from childhood illnesses. We are also providing primary education for a record number of boys and girls in the developing world.

Read this: Men, step up on family planning

However, it's clear that come 2015, the world's report card on the Millennium Development Goals (MDGs) will be scored "Incomplete." And that's not just because we are likely to fail to meet some of the targets we set for ourselves in the early days of the new century. (We have fallen short on our goals on maternal health and family planning, for example.) We will also get an "Incomplete" because we are now facing challenges, like climate change, whose significance we failed to appreciate when the original goals were drafted.

With that in mind, United Nations Secretary-General Ban Ki-Moon appointed a U.N. System Task Team on the Post-2015 U.N. Development Agenda to facilitate consultation with stakeholders ranging from member states to civil society, academia and individual citizens. As part of their work, the Task Team produced discussion documents proposing basic principles for a new development framework.

The Secretary-General also appointed a High-Level Panel of Eminent Persons to outline a new set of goals designed to complete the work of the original MDGs and address the new challenges of the century ahead. The Secretary-General's vision for the new development framework centers on ending poverty through sustainable development, dealing with the problem of global climate change, and reducing inequality -- between men and women, and between rich and poor.

The authors of this article, one of us the president of a developing nation and the other the head of the U.N. Population Fund, believe that Africa will be the test case for the world's resolve and success, or failure, to achieve these goals.

This isn't a case of parochialism, though we both happen to be African. It is, instead, our shared judgment that Africa is likely to become the litmus test for whether the global community will have the resolve to work cooperatively to tackle the big issues that will affect us all on our increasingly interconnected and interdependent planet.

Consider this. The world has added approximately a billion people since the United Nations drafted the Millennium Development Goals, and is expected to add approximately 3.7 billion more by 2100. Significantly, U.N. experts predict that almost all of that future growth will take place in developing nations, and that a disproportionate share of it will take place in sub-Saharan Africa.

With this population growth will come increased demand for food, energy and water; increased pressure on the natural environment; increased demand for medical care; and an increased need for education and jobs. In addition, the effects of climate change are expected to hit sub-Saharan Africa particularly hard, exacerbating all of the challenges above.

But the flipside of challenge is opportunity, and the opportunities in Africa are abundant. The 54 countries of Africa comprise, collectively, about 1 billion consumers with an average age of just under 20. This will represent an enormous market for the world's goods and services in the decades ahead.

Ozwald Boateng: New wind of change is blowing through Africa

By mid-century, Africans will also represent one quarter of the global labor force, and by the end of the century, Africa will have the world's highest ratio of working age population to dependents. This is a giant potential "demographic dividend" that Africa can build upon.

With far-sightedness, African countries can also tap the enormous potential of African women and girls. Educating women, providing age-appropriate sex education and access to family planning methods, will free and empower women and girls to make even more significant contributions to Africa's economic development. In many ways, the "face" of Africa's future is the face of a teenage girl.

Africa's economy will also continue to benefit from the continent's enormous mineral wealth, which, if managed sustainably and equitably, should fuel accelerated economic growth in the decades ahead. The continent's potential for growth is also underscored by the fact that Africa has the world's largest share of underutilized arable land and water.

The opportunities are extraordinary, the challenges many. As the United Nations drafts a new set of goals to follow the MDGs, Africa will be the ultimate testing ground for new strategies to end poverty, mitigate the impact of climate change and reduce inequality in the 21st century.

However, if Africa gets it "right," the continent will also be the new century's greatest success story.

The opinions expressed in this commentary are solely those of President Ellen Johnson Sirleaf and Dr. Babatunde Osotimehin.

@highlight

Liberian President Ellen Johnson Sirleaf and UNFPA chief write on development goals

@highlight

International community made progress on MDGs, but still has a way to go, they say

@highlight

Extreme poverty and vaccinations for children have seen an improvement

@highlight

Africa will be testing ground for new strategies to reduce inequality