(CNN) -- It's been more than half a century since the U.S. military executed a service member.

Army Pvt. John Bennett was hanged in 1961 at Fort Leavenworth prison in Kansas, convicted of raping and attempting to kill an 11-year-old Austrian girl.

The 26-year-old soldier's execution barely made the newspapers, according to a profile of Bennett published in 2000 in the Los Angeles Times. But by today's standards, it probably would have generated a huge amount of attention and controversy.

Bennett was black, the Austrian girl was white, and Bennett's defense was "brief and ineffective," the Times reported.

The Times story went on to say that during the six years between Bennett's trial and his execution, eight other black soldiers were executed -- but the six white prisoners on death row lived.

The white prisoners "had killed little girls or killed more than once. ...President Dwight Eisenhower commuted sentences of four. Two were spared by the court," the paper said.

And there was evidence in Bennett's case that he suffered from mental health problems that, in today's justice system, might have spared him.

Military death row: More than 50 years and no executions

The soldier's lawyer never brought up Bennett's mental history, and Bennett didn't testify, the newspaper said.

"The biggest concern with the military death penalty was that it fell disproportionately on African-American soldiers," says Eugene R. Fidell, who teaches military justice at Yale Law School.

During World War II, blacks accounted for less than 10% of the Army. During the war, 70 soldiers were executed in Europe and, of those, 55 were black, wrote Dwight Sullivan, a military law expert, for the nonprofit Death Penalty Information Center, which analyzes and studies issues surrounding capital punishment.

After President Harry Truman ordered an end to segregation in the armed forces in 1948, the racial disparity in executions increased, Sullivan said. Between 1954 and 1961, 11 of 12 service members executed were black.

A 2012 study that analyzed racial disparity in military death penalty cases between 1984 and 2005 found minorities were twice as likely as whites to be given the death penalty, a finding considerably higher than in civilian courts, said Catherine Grosso of Michigan State University's College of Law, a co-author of the study.

As commander-in-chief, the U.S. president is the only person who can sign a death warrant for a service member. Eisenhower signed off on Bennett's execution, but by the time Bennett's final day came, President John F. Kennedy was in office.

"The data were sufficiently troubling that when Pvt. Bennett's case came before President Kennedy, an analysis was done of all military cases, and his staff was concerned about adverse public reaction," Fidell said. "In the end, JFK declined to interfere with the execution."

Apart from the Times story, few news outlets appear to have written about Bennett, an indigent son of a Virginia sharecropper.

According to the paper, the ammunition handler and truck driver's court-martial happened in Austria. The trial lasted five days.

The girl, who the Times says was named Gertie, came into contact with her attacker while she was walking across a meadow in the town of Seizenham.

Residents said that a man who looked like Bennett had stumbled into their homes, asking for a prostitute. Bennett, the paper said, claimed he and the girl had consensual sex.

Later, the wife of an Army sergeant, said that the girl showed up at her home and repeatedly used the word N-word, the Times reported.

Bennett was charged with rape, and prosecutors added a charge of attempted murder for leaving the girl in a meadow, the newspaper said.

Gertie testified for the prosecution and pointed Bennett out at the trial, according to the Times.

Bennett was in the disciplinary barracks' boiler room at Leavenworth and "waited calmly" as Col. Weldon W. Cox read his sentence, according to a 1994 Military Law Review article.

Cox asked the condemned soldier whether he wanted to make a final statement.

"Yes," he answered. "I wish to take this last opportunity to thank you and each member of the staff for all you have done in my behalf."

Hagel orders review of military judicial authority

CNN's Chelsea Carter contributed to this report.

@highlight

Army Pvt. John Bennett executed in 1961 for raping Austrian girl

@highlight

Case would probably be controversial today; black soldier's defense was reportedly ineffective

@highlight

26-year-old ammunition handler had mental defects not addressed at trial, paper says

@highlight

Number of blacks executed in military was disproportionate to whites, Yale prof says