For those of you who do not have your calendars marked and gifts or cards purchased, a reminder: Sunday is Mother's Day, a "holiday" that many Americans have the luxury and good fortune to be able to observe.

This year, the National Retail Federation estimates that Americans will spend around $18.6 billion on gifts for this one day -- even though most of us go through the motions of celebrating without having any idea about the day's original intent.

Mother's Day can be traced back to Julia Ward Howe, and its aims were quite different from anything you'll find today on a greeting card. In her Mother's Day Proclamation of 1870, Howe called on her "sisters" to work to establish peace so that her son could return home from war: "In the name of womanhood and humanity, I earnestly ask that a general congress of women without limit of nationality may be appointed and held ... to promote the alliance of the different nationalities, the amicable settlement of international questions, the great and general interests of peace."

This year, I would like to ask that we -- mothers and everyone else -- reignite the spirit of common purpose that Julia Ward Howe sought to inflame in Americans, and direct it toward a silent wartime that is taking hundreds of thousands of women's lives each year -- childbirth.

The World Health Organization estimates that some 360,000 girls and women die worldwide each year from pregnancy or childbirth-related complications. Nearly all of these deaths are preventable. It's not that they are preventable if we find a cure, and it's not that they are preventable if we extend expensive lifelong treatment regiments.

They are preventable if we extend very basic, known and trusted services: if we help women get to health care facilities in their time of need; if we ensure that a skilled professional is available to oversee their labor and delivery; if we provide access to family planning so that children are spaced. These goals are all within our reach, but only if we decide that women's lives are worth saving.

What does the issue actually look like worldwide?

Opinion: Global health within our grasp if we don't give up

While rates of maternal mortality are often highest in developing countries, particularly in sub-Saharan Africa and Southeast Asia, in several of those countries we are beginning to see declines. Startlingly, maternal mortality rates have been rising in America.

According to the World Health Organization, the rate of women who died from pregnancy-related complications in the U.S. increased by nearly 50% from 1980 to 2008 -- a statistic that suggests this issue is one of equitable resources and education, not a lack of technology or infrastructure.

Two years ago, I made a documentary film, "No Woman, No Cry," and founded an advocacy and mobilization campaign called Every Mother Counts. I did both to raise awareness and support for maternal and child health care. We are trying to draw attention to an underreported global problem that can be solved if only we come together to make it a priority.

Opinion: Mother's Day is not so rosy in Africa

Our organization measures success by the actions taken to reduce maternal mortality and improve maternal health. The goal is 5 million actions by 2015 -- perhaps signing a pledge, running a 5K or even a marathon or donating an old cell phone so it can be used to facilitate communication and medical care in rural areas. Our website, everymothercounts.org, suggests specific actions to take, many of them straightforward steps that help spread the word or raise resources for simple solutions. Individually they may seem small but together, they can save lives.

With that said, here is what we propose for Mother's Day: a "No Mothers Day." Our "proclamation" encourages mothers to join in solidarity to "disappear" for the day, out of solidarity with those who needlessly die in pregnancy and childbirth. We believe that in acting together, we can show just how much a mother is missed when she is gone

We're spreading the word with a film to get families across the country talking about this issue, so that next year, there will be more mothers and families who can celebrate Mother's Day together.

Please join me at http://www.facebook.com/everymothercounts, for No Mothers Day. Because together, our silence will speak the loudest for all mothers.

@highlight

Christy Turlington Burns: Mother's Day first pushed bringing sons home from war

@highlight

She says we should use day to focus on health care for women in pregnancy and childbirth

@highlight

Each year 360,000 women die from pregnancy and childbirth; her group provides ways to help

@highlight

Writer: This year, observe a "No Mothers Day;" mothers should "disappear" to point out problem