(CNN) -- There was a time when Amy Winehouse was as talked about for her talent as she was for her behavior.

Amy Winehouse has undeniable talent, but has become better known for her wild behavior.

Her first album, 2003's "Frank," earned rave reviews in her native Britain for her unique voice -- an instrument that featured touches of Billie Holiday, Dinah Washington and Ray Charles -- and clever songwriting, attributes that were enough to put the jazz-inflected album on the shortlist for the UK's prestigious Mercury Prize and win Winehouse a top British songwriting award.

Then, when her drinking and drug abuse first became topics of tabloid conversation, she turned the topic around with "Rehab," an autobiographical song that became the first hit off her second album, "Back to Black." "They tried to make me go to rehab," she sang, "I said no no no."

With producers Salaam Remi (who helmed "Frank") and Mark Ronson behind the boards, and crack soul band the Dap-Kings offering support, "Back to Black" zoomed up the charts and became her American breakthrough, becoming one of the hot titles of 2007. DJs remixed her songs; artists such as Prince and George Michael wanted to work with her.

"Amy is bringing a rebellious rock 'n' roll spirit back to popular music," Ronson told Rolling Stone, comparing the singer to early-'60s tough girls such as the Shangri-Las.  See a timeline of Winehouse's career »

Winehouse won five Grammys for her work in February, including honors for best new artist, song of the year and record of the year (both for "Rehab").

By then, though, the bloom was off the rose.  Watch Winehouse's latest scare »

If Winehouse's deliberately off-the-rack look -- beehive hairdo, heavy eyeliner, haphazard clothes -- once made her seem boho and hip, her repeated appearances on the tabloid pages presented her as pathetic. If "Rehab" once seemed an amusing poke in the eye to her minders, it took on darker overtones as Winehouse was hospitalized for various ailments and actually did go to rehab, most recently in early 2008, in an attempt to kick her drug and alcohol addictions.

And that doesn't even address her other problems: her sometimes contentious relationship and marriage with the equally troubled Blake Fielder-Civil, currently serving time for assault and obstructing justice after brawling with a pub manager and then offering him $400,000 to keep quiet; her uneven concert appearances, which have included drunken behavior and fan assault; her battles with various authorities, ranging from the American Embassy in London (which denied her a visa to travel to the U.S. to perform at the Grammys) to her father.

Which leaves the question of what's next for Winehouse -- who is just 24 (she turns 25 in September) -- forever up in the air.

In June, she was rushed to the hospital after fainting; her father, Mitch Winehouse, told reporters that cigarettes and crack have jeopardized her lungs. On Monday she was back in the hospital, this time for an adverse reaction to medication.

She's forever working on new material, Mitch Winehouse told the Times of London. "Amy can be creative when most other people would be checking into a hospice. When she can hardly stand up, she's got her books in front of her, scribbling away," he said.

But, he added, "She only writes songs from her personal experiences, and they're all more or less painful. It's a shame. But that's the way she is."

The Winehouse family was always into music. A number of her mother's relatives were jazz musicians, according to Allmusic.com, and Amy grew up listening to Frank Sinatra, Ella Fitzgerald and Dinah Washington.

But it was also a clan riven by divorce, with Winehouse's parents splitting when she was 9.

In her teens she formed a duo based on the American R&B act Salt 'n' Pepa; it was called Sweet and Sour. Later, an expulsion from a London drama school turned into a break when a musician schoolmate gave her demo tape to a music business executive. Winehouse was eventually signed to Island Records, for whom she put out "Frank."

Once Winehouse started establishing her wild-child reputation, the tabloids jumped on her story and never let go. They trumpeted her missed concerts, shaky performances, weight loss, shambling manner. One set of photos, in 2007, showed her bloodied after an apparent argument with Fielder-Civil; another, from a raw-looking video, showed her apparently smoking crack.

She has a love-hate relationship with the paparazzi, Rolling Stone reported earlier this month, and the photographers appear to have equally mixed feelings: "She's on loads of crack, but you can see through that," Simon Gross, a freelance photographer, told the magazine. "I just want for her to get better. I'm hoping someday for that set of pictures of her riding her bike in the park or something healthy."

For all that, the talent continues to shine through. Her Grammy performance, finally held at a London club, earned raves; she also pulled herself together for a tribute to Nelson Mandela in late June. (The next day, however, she slugged a fan at the Glastonbury Festival; the festival's organizer said she had been groped.)

She characterizes herself as madly in love with Fielder-Civil, whom she calls "my Blake," though her father blames him for some of her problems. (He also told Rolling Stone that being in prison has changed Fielder-Civil, and hopes that the pair can break away from their demons by moving from their London neighborhood.)

Whether she can turn her life around, however, is anyone's guess.

In 2007, a Rolling Stone writer asked her what she thought was her worst vice. Her reply captured both her allure and her flaws.

"Mainly that I'm quite reckless and always throw caution to the wind," she said.

@highlight

Amy Winehouse as famous for tabloid coverage as talent

@highlight

Winehouse broke through in America with Grammy-winning "Back to Black"

@highlight

Singer undeniably talented, also in grip of life-threatening addictions