(CNN) -- The vetting process and the subsequent hiring of Yahoo CEO Scott Thompson seemed like standard procedure. But in recent days he has come under fire for the controversy surrounding his academic credentials.

A graduate of Stonehill College, Thompson earned a bachelor's degree in accounting. But his official biography at Yahoo and Paypal, where he worked previously, says that he also has a degree in computer science. Thompson probably could have gone further and claimed he had a master's degree in engineering and no one would have questioned it. Holding these credentials seems very plausible for someone with Thompson's job history. And since he was a well known and successful executive, a background check was probably put on the back burner. Why? "Groupthink" is a possible culprit.

The term groupthink was coined by Irving Janis in 1972 to describe ill-fated decisions like in the cases of the Bay of Pigs invasion or the destruction of the Space Shuttle Challenger. In these instances, small, cohesive committees engaged in flawed decision-making while being under the gun to produce a result quickly. Group members feel the need to conform and be in a consensus, despite what their gut instincts tell them.

While we don't know all the factors that went into the vetting process of Thompson, the executive search committee that was responsible for his review may have engaged in groupthink. Fortunately, in Yahoo's case, the only bad outcome is that jobs were lost under Thompson's leadership.

Thompson certainly isn't the only high profile executive to have been caught in this type of scandal. Plenty have come before him and plenty will come after him.

In Thompson's case, it turned out that he didn't even submit a resume, and that he reached out directly to Yahoo about the job. How his record got embellished is not exactly clear at this point. Whether he was in any way involved with enhancing his biography or somehow the resume mistakenly incorporated incorrect information, the firestorm over Thompson serves as food for thought about the bigger issue of embellishing one's resume.

Resume fraud is not uncommon. It is committed to gain a competitive edge in landing a job, but the rationale that people use to justify the fraud is less clear. Some people actually perceive their lies to be 80% truths and therefore see no problem in fudging their resume. Other job seekers may feel the exaggerated information is permissible as a way to compensate for the many hard knocks they have endured in life. The more times that false information goes undetected, the more desensitized people become to their own deception, and will likely continue with this pattern of behavior.

Research has suggested that the best predictor of one's future behavior is one's past behavior. The more pieces of the puzzle that a job search committee can put together about a candidate's past, the more accurate it will be in assessing that individual.

Nowadays, with a competitive job market and fewer jobs, recruiters should take extra precautions against resume fraud. In addition to background checks and verification of credentials, the interview process is an opportune time to ferret out any falsified information.

Structured job interviews with standardized questions are ideal for determining how qualified a candidate is for a job. But employers should be just as concerned about the candidate's characteristics, especially their level of integrity.

The unstructured employment interview -- informal questioning or conversation -- is better at revealing a candidate's personality traits. Candidates are usually caught off guard with small talk over dinner and drinks and inadvertently end up spilling the beans. Any red flags in a candidate's past will have a high probability of being raised if they exist.

Vetting a candidate thoroughly can sometimes be costly and time consuming, but it is worthwhile for the long-term health of the organization. I'm sure this has been an expensive learning experience for Yahoo. Hopefully, others will take note.

The opinions expressed in this commentary are solely those of Melinda Blackman.

@highlight

Yahoo CEO Scott Thompson has come under fire for lying about his academic degrees

@highlight

Melinda Blackman: "Groupthink" may be a culprit in the hiring process of Thompson

@highlight

She says Thompson's case raises larger issue of resume fraud

@highlight

Blackman: Vetting a job candidate thoroughly can be time consuming, but it's important