WASHINGTON (CNN)  -- A process that started months ago among White House lawyers to compile a list of possible Supreme Court picks has accelerated with word Justice David Souter plans to step down from the bench in June.

Ruth Bader Ginsburg is the only female high court justice. Women likely will be high on the Souter successor list.

The nominee would give President Obama an immediate opportunity to place his stamp on the nation's highest court, and perhaps to begin cementing his legacy with a lifetime appointment to that bench.

Obama on Friday said he will seek "somebody with a sharp, independent mind and a record of excellence and integrity."

That person must honor traditions, respect the judicial process and share Obama's grasp of constitutional values, he said.

The president said he intends to consult with people in both political parties as he makes his choice to replace Souter.

Legal sources say Obama's legal team will begin refocusing what had been an aggressive effort to fill federal vacancies on lower federal court seats. Now their attention will be directed into a search for Souter's replacement.

Administration officials have been working closely with key senators and Democratic legal advisers on possible choices.

"The [Obama] White House and the Justice Department certainly have people there already thinking about the issues, compiling lists, starting to vet the backgrounds of those candidates," said Edward Lazarus, a Supreme Court legal expert and a legal adviser during the Obama transition.

A mix of federal judges and political allies are among the names the administration is said to be informally considering, said legal and political sources.

Among them are federal appeals court judges Sonia Sotomayor, 55, of New York; Diane Wood, 59, of Chicago; and Solicitor General Elena Kagan.

Those sources say women candidates will be at or near the top of the list of finalists. "The president has long recognized the need for more gender diversity on the high court," said one source who asked not to be identified. Justice Ruth Bader Ginsburg, 76, is the only woman on the high court.

Sotomayor is near the top of the list of many sources consulted by CNN. She is a Hispanic-American named a federal trial judge by President Bush in 1992 and elevated to her seat in 1996. Her supporters call her a moderate who would enjoy bipartisan support in the Senate.

But conservative legal blogs in recent weeks have been sharply questioning her judicial philosophy, perhaps anticipating a high court vacancy.

Fights over judicial nominees have grown increasingly partisan and nasty in recent years, sparked by the confirmation fights over Robert Bork and Clarence Thomas for the Supreme Court. Bork was rejected by lawmakers, while Thomas sits on the high court.

Many of President George W. Bush's judicial choices were blocked by Democratic senators, and his two Supreme Court picks were the subject of massive ad campaigns launched by advocacy groups on both sides of the political debate. Conservatives have vowed to give Obama the same treatment over his choices.

Most of Bush's lower court choices were not named until August 2001, seven months into his first term.

The political and practical stakes are high. Sources have said privately the president is not interested in choosing "extreme" liberals to the bench, an idea echoed by some legal analysts.  Watch CNN's Bill Schneider examine Obama's options »

"I don't expect to see President Obama naming some real firebrands, the kind that might be real lightning-rods for controversial confirmation hearings," said Lazarus.

Conservatives "are assuming that in his heart of hearts, Obama is an activist, old-fashioned, liberal firebrand on judicial issues, and, at least if one goes by what President Obama has written on the subject, he's not." Obama, a Harvard Law School graduate, has taught constitutional law in Chicago.

Republicans have warned the White House not to shut them out of the overall judicial selection process.

In a March 2 letter, 41 GOP senators urged Obama "to consult with us as it considers possible nominations to the federal courts from our states." If not consulted, they said, "The Republican Conference will be unable to support moving forward on that nominee."  Watch CNN's Dana Bash report on how Republicans might respond »

Translation, say liberal groups: filibusters and obstructionist tactics.

"Republican senators fought hard against some of President Clinton's candidates," said Nan Aron, who heads the the Alliance for Justice.

"I think we saw it during Eric Holder's hearing [for attorney general]. Republican senators were testing out messages, not designed to deny confirmation to Eric Holder but to test them to see whether those tactics would work with some of Obama's judicial nominees," Aron said. "That's going to happen. There's no question about it."

The fight over Souter's seat could be just the opening act to perhaps two more high court vacancies under Obama.

Bush burnished his conservative credentials by naming Chief Justice John Roberts and Justice Samuel Alito to the high court, and helped increase the overall conservative bent of most federal courts.

Republicans have controlled the White House -- and thereby court nominations -- in 28 of the last 40 years. Seven of the nine high court members were named by GOP presidents.

Obama has said Justices Stephen Breyer and Ruth Bader Ginsburg -- liberals named by President Clinton -- are his kind of judges, but Obama has spoken only in general terms about the type of person he would nominate.

"I will look for those judges who have an outstanding judicial record, who have the intellect, and who hopefully have a sense of what real-world folks are going through," he said at the October 15 presidential debate.

@highlight

President Obama has chance to place his stamp on the Supreme Court

@highlight

Sources: Women candidates to be at or near the top of the list

@highlight

Republicans hint at confirmation confrontation if they are ignored

@highlight

Seven of the nine high court members were named by GOP presidents