Washington (CNN) -- The Supreme Court narrowly ruled Wednesday that a white cross, erected as a war memorial and sitting on national parkland in the Mojave Desert, does not violate the constitutional separation of church and state.

The 5-4 conservative majority said Congress acted properly when it tried to transfer land around the Mojave Memorial Cross to veterans groups, an effort to eliminate any Establishment Clause violation. The land then would have been declared a national memorial. A federal appeals panel had blocked that land swap.

"It is reasonable to interpret the congressional designation as giving recognition to the historical meaning that the cross had attained," Justice Anthony Kennedy wrote. "The Constitution does not oblige government to avoid any public acknowledgment of religion's role in society."

But even among the conservatives who voted to allow the cross to stand, there was strong disagreement about how similar disputes should be settled, an indication of the contentious nature of church-and-state cases.

At issue before the justices was whether the display violates the First Amendment to the U.S. Constitution, which says that "Congress shall make no law respecting an establishment of religion."

More specifically, can one individual who protests the cross have legal standing to take his case to court and prevail? And do congressional efforts to minimize the appearance of a constitutional violation carry any weight?

The 6-foot Latin cross was first erected in 1934 by a local Veterans of Foreign Wars unit in a remote part of the California desert to honor war dead. It has been rebuilt several times over the years, and Easter services take place on the site annually.

The land now is part of the Mojave National Preserve, a unit of the National Park Service, encompassing 1.6 million acres, or 2,500 square miles.

A former Park Service employee brought suit, saying such symbols represent government endorsement of the Christian faith. A federal appeals court ultimately agreed, and rejected a move by Congress in 2003 to transfer the tiny portion of land where the cross sits back to the VFW, as a privately held national memorial. The area in question is a prominent outcropping known as Sunrise Rock.

Kennedy said the cross represents more than just a religion, echoing the views of the VFW.

"Here one Latin cross in the desert evokes far more than religion," he wrote. "It evokes thousands of small crosses in foreign fields marking the graves of Americans who fell in battles, battles whose tragedies are compounded if the fallen are forgotten."

The court sent the case back to the lower federal courts to resolve, and said the man who brought the suit, Frank Buono, could continue his legal fight over how the future land transfer is handled. Justices Antonin Scalia and Clarence Thomas said they would go further and end all litigation of the land transfer.

The appeals court noted that the land transfer effort singled out the VFW for special treatment and that officials had rejected a proposal to erect a nearby Buddhist stupa, or shrine. Jewish and Muslim veterans groups in the U.S. say the Mojave Cross symbolizes the sacrifice of Christian veterans, excluding other faiths.

In dissent, Justice John Paul Stevens -- who is retiring at the end of the term in June -- said the land transfer does not remedy the constitutional concerns.

"Such measures would not completely end the government endorsement of this cross," he wrote, "as the land would have been transferred in a manner favoring the cross and the cross would remain designated as a national memorial."

As the only war veteran on the court, Stevens, who served in World War II as an intelligence officer, added, "I certainly agree that the nation should memorialize the service of those who fought and died in World War I, but it cannot lawfully do so by continued endorsement of a starkly sectarian message."

The American Civil Liberties Union is representing Buono. Attorney Peter Eliasberg told the court "the government had favored one party to come on, contrary to the government's own regulations, and erect a permanent symbol, while not allowing others."

The case is Salazar v. Buono (08-472).

@highlight

Justices say war memorial doesn't violate Constitution's First Amendment

@highlight

Mojave Memorial Cross was placed on national parkland in California desert

@highlight

5-4 majority says transfer of land around cross to veterans groups was proper

@highlight

In dissent, justice says land transfer doesn't remedy constitutional concerns