(CNN) -- The other night was one of the most sacred and extraordinary events of my life as an advocate. A gathering of people from all around our country with one thing in common: a desire to stop the gun violence that plagues their lives and continues to plague our nation.

Marking the one-year anniversary of the mass shooting in a Sikh temple in Wisconsin, young Sikhs of Oak Creek organized a candlelight vigil against gun violence at the same gurdwara where six people were murdered.

One would anticipate the one-year anniversary vigil to be small and somber. Most people I meet know Aurora and Newtown but draw a blank when they hear Oak Creek. It simply blurs into the string of horrific mass shootings last year that each time failed to yield the solutions to gun violence that we were desperate for.

And yet, more than 1,000 people of all faiths and backgrounds gathered in Wisconsin for the vigil with many more watching online. Holding candles and wearing scarves and turbans in solidarity, they listened to survivor stories of Oak Creek and other national tragedies, from Virginia Tech to Newtown.

Rather than a solemn affair, the Sikh Americans of Oak Creek interwove tearful testimonies with multifaith prayer and music, stories and songs that repeatedly lifted up the Sikh spirit of "Chardi Kala," everlasting optimism and high spirits even in hardship and suffering.

The Oak Creek mass shooting was a national tragedy. It was the biggest act of violence against a faith community since the 1963 Alabama church bombings. But it is also a story of how a community got up from being floored and organized for concrete social and political change. In a time when many who want gun violence prevention legislation are frustrated and tempted to give up, Oak Creek offers hope and inspiration.

Immediately after the mass shooting, the Sikh community rightly understood the Oak Creek tragedy was part of a history of discrimination on the basis of race and religion. Sikhs in Oak Creek joined civil rights groups and allies in a national grassroots campaign calling for the FBI to track hate crimes against Sikhs and others vulnerable to violence.

Their work resulted in a historic Senate hearing on the rise of domestic terrorism and hate crimes in America. On September 19, 2012, Harpreet Singh Saini, a teenager whose mother was gunned down in the prayer hall, became the first Sikh in U.S. history to testify before Congress.

"I want to protect other people from what happened to my mother," Harpreet said. "I want to combat hate, not just against Sikhs but against all people. Senators, I know what happened at Oak Creek was not an isolated incident. I fear it may happen again if we don't stand up and do something."

Harpreet asked the government to give his mother the dignity of being counted in hate crimes statistics. On Friday, after a year of concerted organizing, Attorney General Eric Holder announced that the Department of Justice will finally begin to track hate crimes against Sikh Americans, Hindus, Arabs, Buddhists, Mormons, Jehovah's Witnesses and Orthodox Christians. They will be counted on the Hate Crime Incident Report form for the first time.

Although adding categories to an incident report might seem like a minor improvement, it is not. It's impossible to combat the problem of hate-based violence in America without acknowledging that it exists. The policy change is an important crime-fighting tool and a civil rights victory for a community that has suffered discrimination, especially since 9/11.

Quick action that galvanized Oak Creek in the wake of tragedy helped get this done. But it was also the result of more than a decade of sustained effort by determined community advocates, such as the Sikh Coalition, the Sikh American Legal Defense and Education Fund and South Asian Americans Leading Together.

Now, some Sikh Americans are joining the movement against gun violence for the first time. Amardeep Singh Kaleka, whose father Satwant Singh Kaleka was killed fighting the gunman in the shooting, has become a prominent voice against gun violence. His brother, Pardeep Singh Kaleka, teamed up with former white supremacist Arno Michaelis to educate young people about the roots of violence. They helped the Sikh youth of Oak Creek found Serve2Unite in the aftermath of the mass shooting.

Watch "Oak Creek: In Memoriam," a short film about tragedy and healing

"We refused to let that act define what we became," said Oak Creek Mayor Steve Scaffidi. "We can accomplish something. We can make a change that's real. We don't have to wait for Washington or someone else to do it."

As a Sikh American, I was deeply inspired that the vigil honored all victims of gun violence. The ceremony began and ended with a reading of the names of people murdered by guns -- a school in Newtown, a theater in Aurora, the streets of Chicago and daily homicides that barely make headlines.

Between stories of victims, the drums of Native American tribes flowed into Sikh prayers and the voices of a children's choir. The vigil also featured an array of representatives from some 45 groups who worked with Sikhs since the tragedy, including Groundswell at Auburn Seminary, a multifaith social action network of 100,000 people of faith I helped found.

The movement against gun violence has not fizzled out. Even in the midst of the distractions of the next day's news cycle, we must remain focused in the pursuit of solutions that make our streets and schools, homes and houses of worship, safer for all. Young Sikh Americans are among the many new voices that can re-energize the movement.

After all, the story of Oak Creek teaches us the way forward beyond the passage of reasonable legislation such as background checks. It reminds us to focus on curbing the impulse to violence and hate in our own homes and hearts. And it shows us how to keep working even when times are bleak -- in Chardi Kala, a spirit of relentless optimism.

The opinions expressed in this commentary are solely those of Valarie Kaur.

@highlight

Vigil at Sikh temple one year after murders brings people from all faiths hurt by gun violence

@highlight

Valarie Kaur: Most people know Aurora or Newtown but don't remember Oak Creek

@highlight

Now, hate crimes lists includes Sikhs, Hindus, Arabs, Buddhists, Mormons, Jehovah's Witnesses

@highlight

Kaur: Oak Creek will keep fighting gun violence despite all the setbacks in reform