(CNN) -- There is something magical about animal migrations. Perhaps it's the fact that as more of us move to cities (The U.N. predicts that nearly 70% of the global population will be urban dwellers by 2050), the sight of congregating herds, schools of fish, or flocks of birds is increasingly rare. Or maybe witnessing animals cross great distances to eat, mate, breed and, in essence, survive helps us to take stock of our own lives.

Whatever the reason, when animals come together, very often so do humans. Here's our guide to the animal migrations that bring people out in flocks.

Butterfly kingdom

Residents of Pacific Grove, California, take their butterflies very seriously. The area offers a warm micro-climate that attracts 20,000 monarch butterflies who travel up to 2,000 miles to winter in the region. In fact, the annual phenomenon has earned Pacific Grove the nickname "butterfly town".

"I always hear that the monarchs are coming before I ever see one. I get emails saying, 'I saw my first monarch of the season!' Everyone wants to be the one to herald their return," says Lori Mannel, executive director of the Pacific Grove Museum of Natural History. The season sees an influx of tourists as well. During the winter months, nearly 100,000 visitors come to witness the spectacle.

The last few years has seen a drastic decline in their population, a fact some credit with the degradation of milk weed -- the only flora monarchs can lay their eggs on. To help restore the population, many locals have started replanting the stuff, while the local government has instilled a $1,000 fine for disturbing a monarch.

Where: California
When: October - February

Read more: World's weirdest food festivals

Run, sardine, run

The east coast of southern Africa bears witness to one of the greatest migrations of all time: the sardine run. From May through July, millions of sardines spawn in the Agulhad Bank and make their way north up the coast.

The migration also attracts predators, both of the human and animal variety. Each year, thousands of locals and tourists perch with massive fishing nets to catch the unwitting fish. Joining their ranks are sharks, dolphins and gannets, who also hover nearby in the hopes of snagging an easy dinner.

Where: South Africa
When: May - July

Sign of the wildebeest

While tourism isn't always a welcome phenomenon for environmentalists, there are some instances where conservation efforts are abetted by traveler interest. In the Serengeti, for instance, the tens of thousands of visitors that stream in July and August for the Great Migration (so called for the millions of wildebeests that trek from Tanzania to Kenya) actually help to ensure funding goes to conservation.

"You could argue that tourism is one of the major reasons this huge ecosystem still exists today," says Craig Sholley, the vice president of philanthropy and marketing at the African Wildlife Foundation.

At the peak of the migration, the banks of the Grumeti River are lined with hundreds of vehicles packed with environmental voyeurs all eager to glimpse the beasts make the life-threatening swim across the currents.

Where: Tanzania and Kenya
When: July - August

Read more: World's weirdest food festivals

Crab season

Christmas Island is perhaps best known for the swarm of red crabs that pour onto the roads and beaches every winter.

"It looks like someone came along and planted all these crabs overnight," explains Linda Cash, the marketing manager at Christmas Island Tourism.

When the crabs come out, the atmosphere becomes positively festive, notes Cash. The roads are closed to protect the journeying numbers, and the park builds special bridges to help them cross safely.

"People come down at night with their rakes, move the crabs off the road and share a beer," she says.

Where: Christmas Island
When: October - November

A whale of a time

As it happens, humpback whales are a species constantly on the move. This is good news for tourists, who have a plethora of choice for where and when they'd like to engage in whale watching activities.

In the summer months, Colombia's Pacific Coast becomes a hotbed for roughly 3,000 of the journeying mammals, who use the warm waters as their mating grounds. Australia makes another popular spot to glimpse the majestic creatures, who hug the coast from July onwards. The whales can travel over 5,000 miles, and often, savvy businesses set up cruises and watch towers to help visitors get a peek.

Where: Colombia and Australia
When: July - October (Colombia), June - November (Australia)

@highlight

Animals migrate to breed, feed, mate, and various other essentials to survival.

@highlight

Sometimes, migrations attract predators, as with the sardine run in South Africa.

@highlight

Some communities, like in Pacific Grove, California, impose fines on anyone disrupting the local fauna.

@highlight

Locals on Christmas Island kickback with a beer during the annual crab migration.