(CNN) -- As Japan's fifth prime minister in four years, Naoto Kan hopes the revolving door of Japanese politics will remain closed long enough for him to reinvigorate the country.

"The Japanese economy has remained stagnant and suicides have remained 30,000 or so per annum for many years now. So, Japan as a country has lost its vigor, it feels very much closed in for various reasons," he told CNN in his first interview with a non-Japanese broadcaster.

Kan indicated five areas that he and his government have been addressing to help open up the country since he succeeded former Prime Minister Yukio Hatoyama in June.

"The first is that we need to grow the economy, the second is to strive for fiscal consolidation and the third is to reform our social security system, and the fourth is to achieve what I call regional sovereignty to change the shape of this country and the fifth is for the Japanese people to actively, with ownership, engage in diplomacy.

"Ten years down the road I believe that Japan will emerge stronger and more vigorous economically, socially and otherwise."

Considered a man of the people, Kan came to prominence in the 1990s when he exposed a government cover-up of HIV-infected blood distributed to hemophiliacs. He stepped down as leader of the Democratic Party of Japan six years ago after being embroiled in a pensions scandal, but his political revival was complete this summer when he succeeded Hatoyama as Prime Minister.

Since he arrived in office, Kan has had to deal with a number of issues, among them the recent clash with China over the territorial claims of islands in the East China Sea.

"I believe in any country, matters that relate to its territory would, of course, provoke strong sentiments amongst the people of that country. But I trust that five years, ten years down the road, when people look back at how we dealt with that, people then will appreciate that my cabinet dealt with the issue in a calm manner," he said.

"[A]s far as Japan is concerned, there is no territorial issue connected to the Senkaku Islands. In fact, the Senkaku Islands are...inherent territory of Japan that is recognized in our history and also by international law."

The islands are known as the Diaoyu Islands in China.

"China has become a major presence for most countries around the world but notably for its neighboring countries in Asia. So I think it is a common position for Japan and its Asian neighbors that we certainly would strive to maintain as much as possible friendly relations with China. But at the same time seek China to behave in accordance with international rules."

Kan's predecessor resigned after failing to hold an election pledge to move an unpopular U.S. military base away from its current location on the island of Okinawa. While Kan told CNN that plans have been agreed to move the based, he reiterated the strength of the Japanese-U.S. relationship.

"I believe the Japan-U.S. relationship is in very good shape today. I have met President Barack Obama twice and in both of these meetings we have agreed that we should further deepen and advance the Japan-U.S. alliance and more specifically we have agreed that we should further deepen our relations on three pillars, that is security, our economy, and cultural, and people-to-people exchanges," he said.

A strong yen, cause for concern for many Japanese companies and workers, was in part blamed by Kan on the state of the U.S. economy.

"I believe one of the basic causes for that situation is the fact that the U.S. economy, whilst undergoing some changes, if anything, is being steered toward a weaker dollar," he said.

"If you want to change this strong yen situation we need to do three things. First of all, we need to invest more overseas... The second thing we need to do is to increase domestic demand... [and] as agreed at the G20 summit, should there be excessive fluctuations in exchange markets, then we need to take resolute actions."

One of the most questioning voices of Kan so far has been his wife, who wrote a book entitled, "What on Earth Will Change Now That You Are Prime Minister?" The couple have a playfully adversarial relationship -- when they fight "she always wins," Kan said.

"What she tells me all the time is that she is a primary voter, meaning that when I talk to our voters about my ideas, she says if she does not get convinced with what I say, no voters would buy my argument. She tells me to try to convince her first with my argument. For me, she is the most challenging voter."

@highlight

Naoto Kan became Prime Minister of Japan in June 2010

@highlight

Kan says that Senkaku Islands are 'inherent territory of Japan'

@highlight

Strong yen is because U.S. economy is steered towards weak dollar, he says