(CNN) -- Often in the middle of the night, while his wife sleeps beside him, John Sheridan picks up his iPhone from the nightstand and shakes the device like it was a conductor's wand on fire.

John Sheridan of Florida creates music on his iPhone while his wife sleeps beside him.

Sometimes he goes on like this for more than an hour at a time. There's a point to this midnight madness, though.

By day, Sheridan is a 53-year-old real-estate agent in Florida. But by night, he's an iPhone musician.

In the past few months, he has used his phone to record and upload at least 30 songs to the Web using an iPhone application called ZOOZbeat, which helps anyone -- regardless of musical talent or lack thereof -- create songs by selecting instruments from a list and then waving his or her phone around.  Learn how ZOOZbeat works »

"You don't have to know anything. You go in there and click on it, and it's playing guitar chords," Sheridan said. "It's pretty neat, actually."

A quick flick of the wrist produces a high note. A gentler movement belches out a lower tone. The app loops the sounds and lets users edit their tracks on the fly or afterwards.

Sheridan said he wears headphones while he's jamming, so as not to wake his wife.

His recording sessions are part of a pocket-sized revolution in the music world: Smartphone apps and programs for handheld gaming consoles now let all kinds of people create and remix tunes on-the-go.

The mobile-music movement is particularly pronounced in the Apple's iPhone app store, where more than a dozen downloadable applications, many of which are free or cost less than $3, let would-be musicians turn their smartphones into keyboards, drums, guitars and all kinds of futuristic synthesizers.

One bizarre application, called Ocarina, even lets people create flute sounds by blowing into their phone's built-in microphone while touching the screen to select various notes.

"There's been an absolute explosion in [music] production on mobile devices across all kinds of different platforms," said Peter Kirn, editor-in-chief of createdigitalmusic.com.

Some mobile musicians are finding online fame on video-sharing sites like YouTube. More than 82,000 people have viewed this video of a woman using the Ocarina app to play the theme to "Jurassic Park" with her nose, for example.

The band the Mentalists racked up nearly 900,000 views by performing the MGMT song "Kids" using four iPhones, each loaded with a different musical app.

Professional musicians are taking smartphones on tour with them for their musical capabilities, too. A video of the band Gomez shows the group using an iPhone as an instrument. The Gregory Brothers, the band formed by the siblings who make the "Auto-Tune the News" video series, have used the I Am T-Pain application to add robot-style vocal effects to their live shows.

Phoenix has performed with an iPhone, and Jordan Rudess of the band Dream Theater has a slate of online videos explaining the musical apps he uses on tour.

The smartphones have their technical limits, of course, and the idea isn't to fully replace real-world guitars and drum kits. But the phones do offer a lightweight alternative to heavy tour gear, and they have a novelty appeal for some musicians and music fans.

Jeremy Landry, a musician who said he has recorded an entire album on the Sony PSP gaming device, said it's a fun challenge to "see how much sound you can push out with your hands tied behind your back" by a mobile device.

"I feel like I have more creativity if I have limits set on me," he said.

Kirn, the Web site editor, said the trend toward mobile music started with Nintendo's Game Boy and continued on other hand-held gaming devices.

But smartphones are giving the trend more mainstream appeal.

The iPhone's accelerometer, which allows users to control apps by tilting the phone, makes the ZOOZbeat app possible, said Gil Weinberg, director of the Georgia Tech Center for Music Technology and founder of ZOOZbeat.

Weinberg hopes the app will help save the struggling music industry by getting people more engaged in the music they love.

"You don't have to have a lot of money, and you also don't have to have a lot of experience in music" to be an iPhone musician, he said. "We will help you experience whatever level of creativity you would like."

ZOOZbeat recently released a new version of its app that will make this experience more social. The new app lets people "toss" recordings from one phone to another, helping them collaborate on track engineering.

It also lets people download professional music samples for remixing and recreation, adding their own lyrics if they choose.

People can't sell their ZOOZbeat creations, Weinberg said, but the company plans to hold contests with rewards like backstage passes to concerts.

Andrew Beck, a masters student in music technology at Georgia Tech who works at ZOOZbeat, envisions a future when apps like ZOOZbeat will let concert audiences participate in live shows.

"It'd be cool if people were somehow involved in the concert," he said, "but we're not sure exactly how that would work yet."

Beck, who also is a musician, said he tried giving an audience Wii remotes so they could play along with one of his shows. But the experiment just ended up creating a lot of noise, he said.

Sheridan, the nocturnal iPhone musician who goes by the screen name strato999 on the ZOOZbeat site, says that making mobile-phone music is addictive.

Sheridan earned money in college by playing guitar in a country band. Playing his phone isn't better than playing the guitar, just different, he said.

His first iPhone song, called "My name is John," is set to a hip-hop beat -- a stretch for a former country musician. The song's only lyrics are its title, which he repeats nine times in a slithery voice. Synthesizers squeal and records scratch in the background.

In a follow-up effort called "The Juan Song," Sheridan applies similar principles to a salsa beat. The lyrics, which were recorded in Spanish with the help of a translation app, go like this:

My name is John Do you like my song? If not, it doesn't matter (repeat)

In other tunes, Sheridan just seems to say whatever comes to him in the moment he awakes. He laments about the real-estate crisis in a track called "Inside Out" and bemoans the fact that he's on a diet in "Salad -- The Horror of Salad," whose instrumentals sound fit for an '80s TV drama. The song starts off like a spoken-word poem:

Cucumbers. Tomatoes. Carrots. Oil. Vinegar. Lemon ...  SALAD! Carrots, tomatoes are salad ... are salad. I'M SO SICK OF SALAD!!!

Sheridan knows his songs are silly. When he posts them on Facebook, his friends tell him to hire a lyricist. But he hopes oddball tunes make people smile -- and bring a bit of a creative spark into his life in the process.

@highlight

Smartphones and handheld devices increasingly being used to make music

@highlight

Florida man wakes in night to create songs on iPhone using ZOOZbeat app

@highlight

Bands like Gomez and Phoenix are in on mobile music trend

@highlight

ZOOZbeat app was developed at Georgia Tech University