(Health.com) -- Donna Landrigan had been acting strangely for almost a month.

Weeks of pounding, wall-to-wall headaches had left the normally calm and confident 35-year-old mother of three feeling confused, anxious, and doubting. "She couldn't function," recalls Dan Landrigan, Donna's husband. "She couldn't do anything, and she had these really intense levels of paranoia."

Over-the-counter medications did nothing to relieve her headaches, and visits to the doctor and a local emergency room were similarly fruitless. Donna's state of mind continued to deteriorate. The breaking point finally came on a December night in 2008, when she stood in the middle of the kitchen floor and screeched at the top of her lungs.

"It was a bloodcurdling scream," Dan recalls. Later that night, Dan found his wife slumped on the concrete floor of the garage, moaning.

That chilling evening marked the beginning of a medical odyssey that would ultimately involve four hospitals, experts in three states, and 10 months of guessing, testing, doubting, and hoping. Something was attacking Donna's brain. She'd spend five months in a drug-induced coma before doctors knew what it was.

Health.com: Your life-saving guide to bad headaches

Buying time

An ambulance rushed Donna to the ER after she collapsed, but she was quickly transferred to the intensive-care unit (ICU) at nearby Highland Hospital, in Rochester, New York. Neurologist Nick Johnson, M.D., was there when she arrived.

"She was psychotic and required restraints, both physical and emotional," Johnson says, referring to tranquilizers. "She was trying to hurt herself and the people around her."

Johnson was perplexed. After hearing her symptoms, he at first suspected encephalitis, a swelling of the brain usually related to an infection. He tested Donna for more than a hundred viruses and bacteria that can cause the condition, but everything came back negative. In no state to return home, Donna was admitted to the hospital for tests and observation.

Two weeks later, Johnson and his team had a breakthrough when an electroencephalogram, or EEG, revealed recurring seizures in Donna's brain that were unaccompanied by physical symptoms -- a serious condition, known as nonconvulsive status epilepticus, that kills 56 percent of the people it affects. But their relief at having finally arrived at a diagnosis was short-lived; the seizures failed to respond as expected to a slew of drugs.

Health.com: 20 medical mysteries and miracles

Shortly thereafter, Dan walked into the hospital to visit his wife and found her bed empty. Unbeknownst to him, doctors had used a powerful anesthetic to put Donna in a coma and had transferred her to an ICU on another floor.

"The doctors explained to me that if they continued to let her brain seize like that, it would eventually wear out and start shutting down," Dan says. "They induced the coma. That was the only way they could buy more time to seek and find out what was wrong."

As Dan remembers it, the scene that greeted him when he saw Donna in a coma for the first time was like something out of "ER" or "Grey's Anatomy, "not real life.

"It was kind of freaky," he says. "You don't expect to see that with a loved one. Everything just comes slamming right at you. It's very overwhelming to walk in and witness it alone."

Health.com: TV doctors bring unethical behavior to prime time

An elusive tumor

By mid-January, Donna's condition hadn't improved, and she was transferred to a larger facility in Rochester. The doctors at Strong Memorial Hospital decided to take a more aggressive approach, deepening her coma with the drug pentobarbital.

But after six weeks Donna was even worse. Her blood pressure had plummeted and she had developed hypothermia -- common complications of lying in the ICU for so long. "I still have the image of walking into the room and seeing despair on the nurses' faces," says Dan, who visited Donna on all but four days during the ordeal. "I got terrified that maybe we were taking a turn for the worse."

In reality, the doctors were getting warmer. They began to speculate that an antibody produced by Donna's own immune system -- a protein that usually fights disease -- was damaging her brain. To confirm their hunch, they sent samples of Donna's cerebrospinal fluid (CSF) to the Mayo Clinic, in Rochester, Minnesota. The test results provided a glimmer of hope: Pathologists had found an antibody -- they just didn't know what it was.

Health.com: 'Indescribable, crazy pain': I survived dengue fever

Experts at the University of Pennsylvania eventually identified the mysterious antibody as a type that targets receptors in the central nervous system that are involved in memory and neuron function. (The antibody can also attack nerve cells in the brain, which would explain Donna's seizures.) These so-called anti-NMDA receptor antibodies usually arise in response to a type of tumor called a teratoma.

Teratomas tend to appear in ovaries and testes and can contain cells and tissues of all kinds, even embryonic body parts such as hair and teeth.

Once again, the doctors' optimism waned quickly as they struggled to locate the tumor. Meanwhile, chemotherapy had no apparent effect. Even though they couldn't find a tumor, the doctors decided that the only remaining option to save Donna's life was to remove her ovaries and hope for the best.

A few days after Donna underwent surgery to remove her ovaries and fallopian tubes, Dan got a call on his cell phone from one of Donna's doctors.

"We found a tumor," she told him, sounding choked up. It was indeed a teratoma, a benign but messy jumble of hair cells, nerve tissue, and teeth. The antibodies created by Donna's body to fight the nerve tissue in the teratoma were inadvertently attacking healthy tissue in her brain.

With that, Donna became one of about 100 people in the world to be diagnosed with anti-NMDA receptor encephalitis. In many ways her case is typical. The vast majority of patients who develop this rare condition are women, and most experience psychiatric symptoms, memory problems, and seizures. Ovarian teratomas are the culprit in most cases, but not all.

But no one has experienced seizures for as long as Donna did and survived, according to Johnson.

A slow recovery

Once the tumor was removed, Donna's doctors started the slow, painstaking process of tapering off the drugs and bringing her out of her five-month coma.

On Memorial Day 2009, Donna awoke briefly and smiled when she heard the nurses in her room mention French fries. "Donna, do you like French fries?" they asked her. She mouthed the word "yes."

Donna took about four weeks to become fully alert and conversant. Her first memory upon waking, she says, was hearing that Michael Jackson was dead. (Ironically, Jackson suffered cardiac arrest after overdosing on propofol, the drug that Donna's doctors used to induce her coma.) It was June 2009, and she remembered nothing since October of the previous year.

Health.com: Michael Jackson's death: why cardiac arrest is deadlier than heart attack

The seizures have stopped, but Donna, now 36, is still struggling with the aftereffects of the coma. Now, more than a year after waking up, she is at home but in a wheelchair, suffering from nerve damage and muscle spasms. She had hoped that she would be walking by now. "I like to believe it's temporary," she says.

Three-quarters of the people who have contracted anti-NMDA receptor encephalitis have recovered fully or with minor neurological problems. Johnson, who took care of Donna for the duration of her illness, is grateful that she seems well on her way to joining that group.

"This was a very unusual outcome, especially for someone with seizures that long," he says.

Copyright Health Magazine 2010

@highlight

Donna Landrigan spent five months in a drug-induced coma

@highlight

Doctors found a teratoma tumor, a benign jumble of hair cells, nerve tissue, and teeth

@highlight

Most patients who develop this rare condition experience psychiatric symptoms