(CNN)Today, as we celebrate the legacy of Dr. Martin Luther King Jr., I know there are those who will ask, "How long will it take?" How long until the dream is fulfilled? How long until our destination is reached?

But, like Dr. King, we must continue to march on.

We march on toward the realization of the American Dream. We are not diverted by those who would deny opportunity based on what we look like or where we came from or who would deny equality based on who we love.

We march on poverty, until every child has the nourishment of body and mind needed to fuel their chance at success. We must find ways to bring those from the "outskirts of hope" closer to the circle of opportunity.

We march on ballot boxes, because the rights for which we fought are too important to give up now. And no one should silence us simply because they might disagree with our views.

We march on because all lives matter, not to be judged by the color of their skin.

How long? Not long, because the images and words and fights of half a century ago still have the power to rouse us to march.

How long? I don't really know. But as Dr. King once told us, "the arc of the moral universe is long, but it bends toward justice."

This year, I know I am not the only one with the Oscar-nominated "Selma" on my mind. Across the country, people are lining up in theaters and watching a raw image of the sacrifice 600 voting rights marchers made: as they pursued the right to vote, they were brutally attacked by police using billy clubs and tear gas.

The lessons of the struggle depicted in this movie are important, important enough to be mindful of them every day. But we should be especially mindful as we celebrate Martin Luther King Jr. Day. Today is a day of national reflection, but it is also a day of action. Remembering those who sacrificed before us is important, but carrying on their legacy and continuing to march forward is essential.

The walk from Selma to Montgomery that turned into Bloody Sunday leaves us with a strong reminder of how much those before us gave for basic human rights. The walk is a strong reminder of how John Lewis stood side-by-side with Dr. King, so that today he can stand in the chambers of Congress and continue to use his voice to fight, as he did 50 years ago, for the right to vote.

Because even though 50 years have passed since the marches of 1965 that led to the passage of the Voting Rights Act of 1965, we are still in that fight today.

Just last week, Republican House Judiciary Chair Bob Goodlatte said that it's not "necessary" to fix the mangled Voting Rights Act after the Supreme Court's decision left the door open to burdensome and unfair voting restrictions. All I can say is he either does not read the news or he doesn't think protecting all eligible Americans' right to vote is important.

In the last election cycle, we saw the country take significant steps backward as more states restricted the right to vote. In Ohio and Wisconsin, Republicans passed measures limiting the times polls are open and cutting weekend voting typically favored by black and low-income voters.

In North Carolina, Republicans passed what have been called the "nation's most restrictive voting laws," establishing rules that make it more difficult for people to register to, and actually, vote. In Texas, students were banned from using student IDs as a valid form of identification, while recently married or divorced women were stopped from voting if their names did not match their IDs.

And it's important to remember that all of these new voting restrictions are aimed at addressing a problem that does not exist.

Reported cases of voter fraud are incredibly rare, so it's puzzling why the GOP is so insistent on pushing these laws. One thing we do know is that these laws disproportionately affect women, young people, the elderly, African-American and Latino voters -- voters who traditionally vote for Democrats. Those negatively affected by these unnecessary, indeed oppressive, voting restrictions constitute over half of the voting population.

The 2014 midterm elections left us with even more conservative state houses and more conservative governors, so it's never been more important that we remain vigilant in fighting back against these discriminatory measures.

When more voices are heard, our country is better for it. When more voices are heard, the leaders better represent the views of those they represent. Our country has seen unrest this year, and as our civil rights leaders taught us, a vote is the clearest way to make our voices heard, to stand up for our convictions.

We have such a pressing moral obligation to live up to the name of this day. For Dr. King who gave his life, along with many others including Jimmie Lee Jackson, Viola Liuzzo and the Rev. James Reeb, for the 600 individuals who made unbelievable sacrifices that day in Selma, for our children who should not have to face the same hardship the men and women before us had to face.

Let's honor this day and those who fought for freedom before us, and let's keep fighting for the things we still believe make us the country we are today. Let us continue to march on.

@highlight

Donna Brazile: Anniversary of Selma 50 years ago reminds us work on rights continues

@highlight

She says voting rights have to be defended anew against assaults over nonexistent voter fraud