Editor's Note: This is the third in a five-part series exploring Judge Sonia Sotomayor's background and life with those who know her, and revealing the experiences that might shape her views as a Supreme Court justice if confirmed.

Sotomayor won the Moses Taylor Pyne Prize, the highest honor given to an undergraduate at Princeton.

PRINCETON, New Jersey (CNN) -- Sonia Sotomayor spent her first week at Princeton University obsessing over the sound of a cricket. Growing up in New York City, her only notion of this insect was Jiminy from "Pinocchio." She tore her dorm room apart looking for the critter every night.

Finally, her then-boyfriend and future husband visited and explained that the cricket was outside the room, where she had been holed up most of that week in 1972.

"This was all new to me: we didn't have trees brushing up against windows in the South Bronx," Sotomayor recalled in a speech to the Princeton Women's Network in 2002.

The freshman who was so taken aback by a cricket's chirping now has a more public challenge: Senate hearings on whether to confirm her as a Supreme Court justice, potentially the first Latina to hold such a post.

At one time, being different may have been difficult -- for it wasn't just Princeton's crickets that startled Sotomayor. The academics and the students on the leafy Gothic campus, with its ivy-covered dormitories and castle-like towers, also made her feel out of place.

Sotomayor, who was on a full scholarship, started "a little more on the shy side," said Sergio Sotolongo, who attended high school and Princeton with Sotomayor.

"She did mention that, as a freshman, she felt sometimes intimidated by others and didn't really raise her hand very much," said Sotolongo, now chairman and CEO of Student Funding Group in Liberty Corner, New Jersey.  Watch classmates, professor remember Sotomayor »

As a first-year student, Sotomayor felt what she's called a "chasm" between herself and her classmates. She really only knew the Bronx and Puerto Rico, while her classmates spoke of European vacations and skiing. She said in 1990 that she felt she was a "product of affirmative action" and questioned whether she would have been accepted into the Ivy League using "traditional numbers" from test scores alone.  See how many of the Supreme Court justices went to Ivy League schools »

She would certainly have looked different to her classmates, with relatively few Latinos or minorities at Princeton during her college years. Even being a woman was different for Sotomayor's class -- the college had opened its doors to women three years earlier, but male students were still superior in numbers and (in some cases) attitudes.

Judith Perlman, who lived down the hall, explained: "I'd go to class and I would say things, and the professor would say, 'Oh, we usually express ourselves in a more gentlemanly fashion here.'"

Perlman and Sotomayor shared "girl talk" but about what they wanted to do with their lives, not about things like fashion, which interested neither.

Academically, Sotomayor also faced a gap. She would later graduate summa cum laude and be awarded the top undergraduate honor, the Moses Taylor Pyne Prize, but she stumbled that first year.

Peter Winn, who taught Sotomayor and was her thesis adviser, said her early writing reflected the fact that her first language is Spanish.

"She could be very assertive and very articulate, but not initially," said Winn, now a professor at Tufts University.

"Sonia was someone who entered Princeton as a young woman with enormous potential, and one of the things that happened at Princeton was, she learned how to fulfill that potential," he said.

Nancy Weiss Malkiel, now dean of the college, agreed with Winn, writing in an e-mail that Sotomayor came to Princeton "with high intelligence and great ability, but without a very sophisticated grounding in the study of history."

Malkiel, who taught history, said she worked with Sotomayor to develop the student's skills in the spring of her first year.

Sotomayor also worked independently, spending one summer reading classics that were new to her, including "Alice in Wonderland," "Huckleberry Finn," and "Pride and Prejudice," to attune herself more to the cadences of English, she has said.

Despite the challenges, the young woman encouraged her friend from the Bronx, Sotolongo, who is one year younger, to enroll in the fall of 1973.

"In the end, clearly she was very happy to have gone to Princeton," Sotolongo said.

And by the time Sotolongo began his freshman year, Sotomayor was showing off a new personality.

"She certainly opened up as she got her feet under her," said James Resnick, who also majored in history and is now a consultant at Keystone CompControl in Butler, Pennsylvania.

With Charles Hey-Maestre, who was a year behind her, Sotomayor founded the student organization Accion Puertorriquena and by 1974 she was speaking out for the group in the Daily Princetonian student paper. The group helped to file a complaint with the Department of Health, Education and Welfare, alleging that Princeton showed a "lack of commitment" in recruiting Latino students and hiring Latino faculty and administrators.

Hey-Maestre, now executive director of Puerto Rico Legal Services in San Juan, Puerto Rico, said Sotomayor "has the ability also that if she's feeling insecure about something, she manages it, and doesn't project it."

Latino affairs seemed to be an outlet for Sotomayor socially. Hey-Maestre said she was focused on her studies but went to some parties, especially Puerto Rican cultural celebrations. Otherwise, Hey-Maestre and Perlman remember, Sotomayor spent time with her off-campus boyfriend, Kevin Edward Noonan. They were later married, but divorced after seven years.

Outside the university, Sotomayor volunteered at the Trenton Psychiatric Hospital as an interpreter. She talked at length with Sotolongo, while he was working on a project at the Trenton police department, about why youth got involved in criminal activities and how the cycle of recidivism might start and stop.

"Those were issues she was very concerned about, and I think in whatever circles she could, made those feelings known and expressed them," Sotolongo said.  See photos from Sotomayor's life »

Sotomayor's interest in Puerto Rican matters fed her as a history major. She wrote her undergraduate thesis on Luis Munoz Marin, the first governor of the island elected by popular vote. "She was bending over backwards to be fair to points of view she didn't necessarily agree with," Winn said.

The Sonia Sotomayor who went on to Yale Law School had matured, with classmates describing her as "always willing to raise her hand," "confident," "outgoing," and "one of the more outspoken people." Read more about her time at Yale

She may still have been the girl from the Bronx, but she did not try to use her experience of hardship as leverage, said Stephen Carter, a Yale classmate of Sotomayor and now a professor there.

"She would never sit around and say, 'Oh, well, I grew up in a housing project so I know,'" Carter said. "She didn't feel her background gave her some kind of special trump. She wanted the argument to work. She would tell you why she thought something, and the 'why' never had anything to do with where she came from."

@highlight

Sonia Sotomayor arrived at Princeton in 1972 in fourth co-ed class

@highlight

She read children's classics to enhance her English writing skills

@highlight

She launched a Puerto Rico action group and campaigned for Latinos

@highlight

By the time she went to Yale, she was confident and outgoing, classmate recalls