(CNN) -- It seems difficult to open a paper, turn on TV or visit a website these days without hearing some awful new "discovery" about Obamacare and how it's going to end the world. More often than not, these claims are overblown, designed to get attention and score political points.

This week, the New York Times published an article explaining that the savings many people hope to see in lower-cost insurance could come at the cost of fewer choices with respect to health care providers. This is very true.

If we want to be realistic about health care reform, we have to acknowledge that everything comes with a tradeoff.

In order to make insurance cost less, private insurance companies have to make use of the tools available to them.

In the past, they could have tried preferentially to cover healthier people and refuse coverage to those with chronic conditions. That leaves a cheaper risk pool, which results in lower premiums.

But Obamacare no longer allows that. If we want guaranteed issue and community ratings (so that no one can be denied insurance and no one can be charged more for being sick), then insurance companies must use other strategies to save money.

In the past, insurance companies could have tried to issue policies that didn't cover as much. Policies with skimpier benefits are cheaper, too. But Obamacare sets minimums with respect to what qualifies as comprehensive coverage. So that tool was taken away as well.

In the past, insurance companies could have set lower annual or lifetime limits, which confines their risk and allows them to sell insurance at a lower price. Or, they could have set really high deductibles or out-of-pocket maximums. These, too, are now more tightly regulated.

So what's left? How can insurance companies make health care cheaper so that they can deliver lower premiums to people and attract more business?

Well, one thing they could do is limit their administrative costs. But if you ask insurance companies, they tell you that they are already running pretty lean. They also like to make a nice profit, and they like to pay their executives well. So they are left with one really good option: Pay less for care.

How do they do this?

One way they've been doing it for years is to contract with certain doctors and hospitals to provide care for their beneficiaries for less money. Providers will agree to this because it guarantees them a certain amount of business. Insurance companies like it because it means they can pay less, charge lower premiums and sell more policies. And that is how many plans in the health care exchanges will compete for your business.

Please understand that this is nothing new with respect to health insurance. At my job, there are a number of different plans offered to employees. The most expensive plan allows us to see the widest range of physicians. There's a cheaper plan available, but my kids' pediatrician (whom we revere) isn't in that network. So we pay for the more expensive plan. That's a choice we make as informed consumers.

Problems will arise if people don't understand what they are getting into. There's no such thing as a free lunch.

If you buy the cheapest plan, it may not include the doctor you want. If choice is your No. 1 goal, then you will probably have to pay for it. What makes this a problem for Obamacare, though, is that some health exchanges aren't offering a choice. For instance, in New Hampshire, only one insurance company is offering exchange plans, and it has a rather limited network.

If you were previously uninsured, then the most straightforward argument is that the plan you're getting, probably with subsidies to make it cheaper, is better than nothing. But some people, who might have had individually issued policies before Obamacare with larger networks, will not be happy with their new plans. They may be cheaper, but they may have preferred to pay more for choice, and now they won't be able to.

No policy is perfect. On the whole, I believe far more people will benefit from Obamacare than will be hurt by it. Any change will inevitably make someone unhappy. This is one of those situations.

We shouldn't ignore this deficiency. We should fix it. One way might be to have a public option, run by the government, which might have a larger network. Medicare has perhaps the largest national network in the country, as more doctors accept it than just about any other form of insurance.

So it's totally possible to offer more choice. But that will require politicians to work together to amend the law to make it better.

It will be instructive to watch how people react to news like this. If they are truly concerned about fixing this problem, then they will seek solutions to do so. If they use this issue only to demagogue against the entire law, though, it's likely that they care more about politics than policy.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Lower-cost insurance could come at the cost of fewer choices of health care providers

@highlight

Aaron Carroll: Insurance companies have been doing this for years to keep costs down

@highlight

He says just as there's no policy that is perfect, there are tradeoffs to Obamacare

@highlight

Carroll: One way to fix this is to have a public option, which might have a larger network