Washington (CNN) -- Within hours of President Barack Obama's announcement that Osama bin Laden had been killed, politics entered the fray.

A small but vocal group of Republicans including former Bush administration officials began claiming that information obtained from waterboarding and other now-prohibited enhanced interrogation techniques led to the successful assault on bin Laden's compound in Pakistan.

Debate rages about role of torture

Interviews and commentaries by conservatives, including former Vice President Dick Cheney repeated the contention, citing media reports rather than direct information.

A closer look shows no obvious evidence of a direct connection, at least to waterboarding, the simulated drowning technique considered to be torture under international law.

While administration officials, former interrogators and others concede that thousands of pieces of information collected over the past nine years eventually brought U.S. Navy SEALs to bin Laden, no one has cited specific information that came from the harsh interrogations labeled torture.

That doesn't stop defenders of enhanced interrogations from trying.

Republican Rep. Peter King, the chairman of the House Homeland Security Committee, said that waterboarding alleged 9/11 mastermind Khalid Sheikh Mohammed caused him to eventually provide information on the al Qaeda courier killed with bin Laden in the raid.

Was bin Laden's killing legal?

Mohammed was captured in 2003, and another high-value suspect, Abu Faraj al Libi, was captured in 2005.

"I think it's fair to say that it's a long way to getting bin Laden, but the first step along that road began with the intense interrogation" of Mohammed and al Libi, King said.

However, as CNN Senior Political Analyst Gloria Borger reported Wednesday, Central Intelligence Agency operatives already knew the courier's nickname when they interrogated Mohammed and al Libi.

According to Borger's report, the detainee who initially provided the courier's nickname may have been subjected to harsh interrogation, but not waterboarding.

Later, Mohammed lied to his interrogators about the courier, who was described as his protege, and intelligence personnel concluded that the courier was important because Mohammed was trying to cover for him, a senior U.S. official said.

U.S. intelligence eventually uncovered the courier's identity four years ago "from a different part of the world," the senior U.S. official said.

Trail to bin Laden started with courier

King argued that Mohammed only talked after being waterboarded, and even though he lied about the courier, the fact he talked at all showed the value of waterboarding.

To Deputy National Security Adviser Denis McDonough, no such connection exists.

"This whole idea about somehow whether EITs (enhanced interrogation techniques) played into that, I think, is just not consistent with the facts, and, also, a little bit of a sideshow, as far as I'm concerned," McDonough said.

White House Press Secretary Jay Carney told reporters Wednesday that locating bin Laden required years of painstaking work that eventually led to discovery of the address of the Pakistan compound last August.

"I can say with certainty that no single piece of information, with the exception of the address of the compound, was ... singularly vital to this, because we're talking about tiny bits of information that were compiled by unbelievably competent professionals over nine and a half years," Carney said. "And it's impossible to know if one piece of information came from one source and was corroborated in another way; if, you know which thread held the cloth together, with the exception of the location of the compound."

Carney acknowledged that some information came from terrorism detainees, which he called one of many ways that information was gathered.

"Now, I can't categorically rule out that one piece of information" played a key role, "because we don't know," Carney said.

Mark Fallon, a former interrogator at the Guantanamo Bay, Cuba, terrorist detention facility, rejected claims that enhanced interrogation techniques led to bin Laden's capture.

"I think some people are trying to rewrite history here," Fallon told MSNBC, adding that he was privy to information from Mohammed and wasn't aware "of any substantive information or intelligence that was a derivative product of waterboarding."

One of Obama's first acts as president was to halt waterboarding and other enhanced interrogation techniques of the Bush administration. The issue was one of the most contentious of the Bush presidency, with critics accusing the administration of legalizing torture while supporters called the enhanced interrogations necessary for combating terrorism.

Now, those who were under fire for the interrogation policies are claiming vindication and calling for their return.

John Yoo, a Bush administration lawyer who wrote the memo justifying the enhanced techniques, said in a posting Monday on the National Review website that the policy had worked. However, his posting only cited media reports based on anonymous sources, rather than any specific information gleaned from interrogated detainees.

Marc Thiessen, a visiting fellow at the American Enterprise Institute, made similar assertions on the group's website, but began his commentary by attributing his information to news reports.

Cheney, interviewed on ABC and Fox, said he assumed enhanced interrogation techniques played a role in bin Laden's demise, but added he had no proof.

Former Secretary of State Condoleezza Rice said that information was key to the fight against terrorism.

"Now let's remember that in the early days, we knew very little about how al Qaeda operated and the roundup of their field generals like Khalid Sheikh Mohammed led us not just to learn that there was a courier -- I remember when they learned there was a courier who might be a link to Osama bin Laden -- but we also learned from those people about the structure of al Qaeda," Rice said.

However, Democratic Sen. Dianne Feinstein, who chairs the Senate Intelligence Committee, said she was unaware of any information eventually leading to bin Laden's location that "came as a result of harsh interrogation practices."

Two conservative senators -- Republicans John McCain of Arizona and Lindsey Graham of South Carolina -- also rejected the claim that waterboarding and other enhanced interrogation played a role in finding bin Laden.

"This idea -- we caught Bin Laden because of waterboarding -- I think is a misstatement," Graham said, citing instead the years of difficult intelligence work. "I do not believe this is a time to celebrate waterboarding. I believe this is a time to celebrate hard work."

CNN's Gloria Borger contributed to this story.

@highlight

Conservatives say Bush-era policies are vindicated

@highlight

Democrats reject that any valuable intel came from waterboarding

@highlight

The White House emphasizes years of tracking down countless leads