Washington (CNN) -- After four years in which he has alternately helped -- and miffed -- the White House, Vice President Joe Biden told CNN that his role as the deal-closer is clearly his most comfortable yet.

"I have spent a lot of time in this town. And I have personal relationships with people I strongly disagree with, but there's trust. And so I'm a logical person, a logical person to, as they say or you guys say, close the deal," Biden told CNN Chief Political Analyst Gloria Borger in an exclusive pre-inaugural interview.

Biden cut the last-minute deal last month with Senate Minority Leader Mitch McConnell that averted going over the fiscal cliff -- after President Barack Obama's negotiations with House Speaker John Boehner failed. He was given the high-profile task of putting together the administration's sweeping gun control proposals and will play a major role in pushing them through Congress.

He is quick to emphasize that he was not undercutting the president when he reached deals with congressional Republicans.

"I have his complete support for what I'm saying, because I know what he wants, No. 1," Biden said. "It's the president, not me."

Sworn in again, Obama lingers for last look

Obama and the vice president ran against each other for the 2008 Democratic nomination, and Biden said that helped forge a relationship.

"So when we got into this deal, we didn't have what other administrations have had, where the vice president and the president have a different take on the major issues of the day. We're totally simpatico," Biden said.

He told Borger that he never had any problem with any assignment he was given in the first term, when he was tasked with overseeing the $787 billion stimulus program, cutting several key fiscal deals with congressional Republicans once they took control of the House of Representatives in the mid-terms and leading the effort to end the U.S. military presence in Iraq.

Biden makes second term official

In the second term, one of his major duties will be to help get congressional approval for the most far-reaching gun control legislation in decades. After dozens of meetings with more than 120 groups spanning the various issues related to gun violence, he led the inter-agency effort that came up with the specific proposals.

Biden and Obama know they will have to mount a major public relations campaign to try to overcome the strength and opposition of the National Rifle Association.

"There's a growing consensus in this country, a growing consensus among even sportsmen and other groups, about everything from who should own a weapon ... and what information should be available," he told CNN, saying he believed it would be easier to pass this type of legislation in the wake of the elementary school shootings in Newtown, Connecticut.

Biden, a major gun-control proponent who has gone up against the National Rifle Association for decades, was the major reason the 1994 assault weapons bill passed.

A tale of two terms: Unfinished business and battles ahead

Asked if he thought the NRA is stoking fear against the president, he responded, "Look, I think the NRA's reaction -- overreaction -- is a reflection of the vulnerability of their position."

Biden is also expected to be one of the key players in coming fiscal fights: automatic spending cuts set to take effect in a month, funding the government and the debt ceiling. House Republicans just signaled they would support a three month extension.

The vice president said that is a hopeful sign that the GOP would not allow the country to default on its debts.

"The Republicans aren't going to do that. They've finally figured it out. All this bluster about you're going to renege on the debt," he said. "They will not because there are more responsible people in that party than irresponsible. So it's not going to happen."

Biden said he hoped there is still a path forward to allow the White House and congressional leaders to reach agreement on a major deficit reduction deal -- one that has so far eluded them despite optimism in the past.

Biden's recommendations on gun control to Obama

"So we ought to be able to, in the next three months, finish out that grand bargain to get us to the point of ... where debt to GDP (gross domestic product) is about 3%," he said. "Every economist, left, right and center, says that -- when that happens, the economy grows. I think we'll get there."

As the president and vice president have worked to achieve many of the administration's major goals, the two have had some disagreements -- Biden did not agree that the timing of the mission to kill Osama bin Laden was right, and the vice president got out in front of his boss when Biden voiced support for same-sex marriage on "Meet the Press" last May.

"We sometimes disagreed on tactics as to how to proceed to try to get what he wanted done, which I've agreed with, but we've never disagreed on policy. And even the so-called discussion about, you know, my saying I was comfortable with gay and lesbians and relationships, I knew his positions," Biden said.

When Borger asked about those specific comments, he recounted how the president reacted.

"I walked into the office and he got up, smiled, gave me a big hug and he said, 'Now, I'll tell you what, man, that's one of the things I like about you, you say what's on your mind,' " the vice president recounted.

He recently told The New York Times it did cause "a little apoplexy" around the White House.

"It did, but not with him. Not with him."

It was with the president's staff. Some of Biden's candor has at times has not gone over well with White House officials.

Obama's second-term priorities

Asked how he can tell when he may have done something the president doesn't like or makes him angry, Biden said that is "easy."

"We made a deal early on, when either one of us are dissatisfied we just flat tell the other person. And so one -- lunch once a week, you know, that's when we talk. And when he hasn't liked something I've done, he just flat tells me."

Borger asked: "He says, 'Joe, you shouldn't have done that?' "

Biden responded "He says, 'Joe, look ... I don't agree with the way you did that. You, you know, why did you do A, B, C or D?' Or he will say, or I will say, 'Hey, look, man, I don't like the way this is going' -- so there's complete openness."

Biden, who at times has been known more by the public for his gaffes than his policy work, has seen his approval ratings rise recently.

He has hinted he may seek the Democratic presidential nomination in 2016 and told CNN any decision about his future is not imminent. He did attend Iowa's inaugural party in Washington this weekend and invited New Hampshire's governor to his official swearing-in Sunday. Those two states vote first in presidential nominating contests in three years.

"There's a whole lot of reasons why I wouldn't run. I haven't made that decision. And I don't have to make that decision for a while. In the meantime, there's one thing I know I have to do, no matter what I do. I have to help this president move this country to the next stage."

Asked whether he was ready to run against Hillary Clinton, who many Democrats expect to be a candidate in 2016, he responded: "I haven't made that judgment. And Hillary hasn't made that judgment. But I can tell you what -- everything that should be done over the next two years that I should be part of would have to be done whether I run or I don't run.

"If this administration is successful, whoever is running as a Democrat is better positioned to win. If we're not successful, whoever runs as the nominee is going to be less likely to win."

Four other priorities for Obama's next four years

CNN Producer Courtney Yager contributed to this report

@highlight

Biden says he's comfortable with most recent role as deal closer

@highlight

Vice president says running against Obama in 2008 helped forge relationship

@highlight

One of Obama's biggest roles will be trying to get Obama's guns agenda through Congress

@highlight

Some of Biden's candor hasn't gone over well with White House staff