(Wired) -- It's mind-boggling to look at paintings from the 14th and 15th centuries and think that artists like Leonardo da Vinci created such vibrant portraits using nothing more than a free hand and the naked eye -- when just 100 years before, two-point perspective was unknown. If you're David Hockney, who's been a seminal figure in modern painting since the 1960s, you literally can't believe it.

Hockney holds nothing against his predecessors, but he does have a theory that some used early optical devices to improve and expand their skills.

The idea first occurred to him nearly 14 years ago and became the subject of his book Secret Knowledge: Rediscovering the lost techniques of the Old Masters.

Hockney's latest show, A Bigger Exhibition, hosted by San Francisco's de Young Museum, looks back on the period since his revelation, highlighting how he's embraced technology ranging from video cameras to iPads, and integrated them into his art. (The exhibition's title is a play on Hockney's best-known painting, A Big Splash.)

In 1999, a long-standing and well known fascination with new media led Hockney to his controversial suspicions. Visiting the retrospective of a 19th century French artist, he noticed uncanny technical similarities to drawings that Andy Warhol had traced from slide-projected photographs.

Knowing that the tools Warhol had used clearly weren't available in the 1800's, Hockney began researching. It wasn't long before he came across camera lucida, a small prism mounted at the end of a metal arm that enables an artist to refract an image onto their paper. The device received a patent in 1807. Bingo.

The discovery was enough to prompt Hockney to expand his investigation, which quickly grew in scope and size. By the end of his study he'd created The Great Wall, a staggering arrangement of pictures organized chronologically from left to right, and geographically from top to bottom, charting of the evolution of western art across time and space. He used the Wall to trace this history of optical aids, identifying 1420 as the trend's likely genesis.

Shown publicly for the first time at the de Young, the 8-by-72-foot behemoth is the ultimate testament to Hockney's obsession with technology's influence on fine art. It's obvious that tools like camera lucida made creating realistic artwork easier.

But Hockney's broader concern, which he's explored extensively throughout his career, is how technology has allowed artists to experiment with new perspectives, and thus create new ways of considering the world around them.

Where Jan van Eyck might have used convex mirrors to create a larger field of view on his canvas, Hockney turns to a modern equivalent: video cameras. Tucked among the rows of hanging paintings and sketches, four large sets of nine LED screens roll footage of the same country road, each in one of the four seasons.

To make the piece, titled Woldgate Woods, Hockney mounted nine cameras on an SUV and while a studio assistant drove, he directed another who controlled each shot individually. The result is a video collage that's synchronized in timing, but visually unaligned -- a choice he hoped would challenge the viewer's understanding of perspective, encouraging them to explore each screen and become an active participant in the work.

Unsurprisingly, you can find more evidence of technological inspiration all over A Bigger Exhibition. Walking through the seemingly endless space devoted to the exhibit -- the largest in the museum's history -- it's seemingly in more places than not.

From towering 12-foot-tall prints of iPad drawings to rolling flat screens depicting each of his digital brushstrokes, Hockney's eye has remained steady while his tools have changed -- making you wonder what will be next in his arsenal.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

David Hockney has long incorporated new media into his work

@highlight

His fascination with technology led him to investigate how old masters used it

@highlight

Hockney's latest show, A Bigger Exhibition, looks at how he embraced tech innovation