Beijing (CNN) -- Allan Yang would be a success story in any country.

Originally from China's impoverished interior, he was the first member of his family to leave his native Anhui province and is now pursuing an MBA at the prestigious Tsinghua University in Beijing.

At 24, Yang is the face of new China: erudite, sophisticated and a card-carrying member of the Communist Party.

"It's just like applying for university in the United States," he said of the party. "You give an application letter and submit some reports that test your knowledge of Communist history."

In fact the process is a bit more complicated. Unlike applying to college, a successful application for membership in the Chinese Communist Party typically takes years. Arduous "observational periods" are required when prospective members are expected to read the classics of Socialism, become steeped in the party ideology and submit an unending series of essays that are little more than long paeans to the party's greatness.

Though Yang admits few take this process seriously.

"There are lots of things to download from the Internet, we just copy and paste," he chuckled.

Far more serious is the question of China's future, a future that -- for better or worse -- will likely be dominated by the Communist Party and eventually people like Yang.

In China today, the party has become an exclusive club for the country's elite. According to the parties own internal statistics, less than 90,000,000 people, or around 7% of China's population, currently form its ranks.

The general view of Chinese these days is that recruitment is most heavy among university students and the moneyed population, while most of the worker/peasants that constituted the party's historical support appear no longer welcome.

It is an irony not lost on Aaron Zhang.

"When they say, 'I care about China,' my first instinct is not to believe them."

Zhang, a 25-year-old Aeronautical Engineering student at Beihang University in Beijing is not in the party, a fact he noted with more than a sparkle of pride. He claimed that far from fulfilling the party's original mission of lifting up the poor, the modern party has mutated into an oligarchy, and its youngest members are motivated by nothing more than naked careerism.

"For lots of jobs, membership in the party is necessary," said Zhang. "My relatives wanted me to join, they knew it would be good for my career, but I do not believe in Communism, and I just didn't want to lie."

Yang, by contrast, is personally unapologetic. "90% of my motivation was career," he admitted.

A number of other students conceded that while career did play a major role in their decision, social responsibility was also a critical element of the party and influenced their desire to join. "Party members are expected to be better," chimed one earnestly.

"It's probably a combination of things," said Jonathan Banfill, a lecturer at Tsinghua University's Department of Foreign Languages and Literature. Banfill, who has seen a lot of eager Communists come and go over the years, noted China's long history of scholar-bureaucrats and the traditional respect and job security that came with government service. Today, however, he stressed that young Chinese had no single motive for joining the party.

"Some students want it for idealistic reasons, there are people who want it for a stable job, people who want it for connections and then there are people who join because their mothers told them to," he said.

The party loomed large for their parents, most of who were born during the Cultural Revolution and came of age amidst the tumult of the Tiananmen Square crackdown. For them the party today is a safe refuge for their children against the economic uncertainties that plague a developing nation.

Membership in the party is almost never explicitly required for any job and open discrimination is forbidden under Chinese law, however, for those that want an interview after graduation, the facts on the ground are indisputable.

Party membership is almost always a must for any form of government service and is strongly preferred for employment in China's vast state-owned enterprises. According to the Ministry of Education, the country graduated 6.8 million students in 2012, thus ensuring that competition for jobs will be fierce.

Despite China's impressive market reforms, their 2012 statistical yearbook calculated that state enterprises employ 67.04 million people, which accounts for 30% of all Chinese economic activity. This amounts to a major institutional disadvantage for China's non-party citizens. A young employee at China Central Television (CCTV), who is not in the party and requested anonymity, admitted he was the exception that proved the rule. He noted that promotion for him would be almost impossible without becoming a party member.

It is still too soon to say what these rising Communists will do with the China they inherit. The party's Confucian aversion to youthful leadership ensures that several decades will pass before any of them approach the reins of power -- which might be a good thing.

The young Communists I spoke too generally struggled with any ideas for how to improve the country or the party. Several suggested "reform" only to be unable (or unwilling) to provide any specific examples. What is certain is that as the 21st century seems increasingly Asian, China's future leaders will leave their mark not just on their own country, but the world.

@highlight

China's Communist Party has become an exclusive club for the country's elite

@highlight

Around 7% of China's population currently form its ranks, the party says

@highlight

Many young Chinese graduates see party membership as useful for their career

@highlight

Discrimination illegal under Chinese law, but membership is needed for government jobs