Washington (CNN) -- President Barack Obama indicated a willingness Wednesday to agree to a short-term deal to raise the federal borrowing limit, if Republicans will accept it, a Democratic lawmaker told CNN.

The president signaled more "give" to the idea of a six-week deal to hike the debt ceiling during a private White House meeting with House Democrats, said the lawmaker, who spoke on condition of anonymity.

The revelation comes amid a stalemate that has Republicans trying to use spending and debt limit deadlines as leverage to wring concessions from Obama and Democrats.

The result of the political standoff has been a partial government shutdown that is in its second week and fears of a possible U.S. default on its debt that economists warn could cause another recession.

CNN has been reporting that senior House GOP sources are signaling openness to the idea of a short-term increase in the debt ceiling, as long as Democrats agree to negotiations on how to reduce the debt and deficit during the time the debt ceiling is increased.

Talking about a short-term solution, Obama told the group "if that's what (House Speaker John) Boehner needs to climb out of the tree that he's stuck in, then that's something we should look at," according to the lawmaker, who attended the meeting.

'Measure of hope'

The lawmaker left the White House meeting with a "small measure of hope that this becomes an exit strategy."

The president warned if Republicans want to propose a short-term fix and Democrats say no, then the firm ground Democrats think they're standing on now would soften.

Boehner and Republicans are demanding that Obama and Senate Democrats negotiate on deficit reduction steps that would be part of legislation to reopen the government and raise the limit on federal borrowing needed to pay the bills.

Obama has refused to enter formal talks until the shutdown ends and the debt ceiling has been raised to remove the threat of default.

A senior House Republican told CNN that GOP members may be willing to go for a short-term debt ceiling hike -- lasting four to six weeks -- as long as the president agrees that negotiations will occur during that time.

However, no specifics were immediately available about how such legislation would take shape or how the talks would occur.

But Republican sources have also told CNN the parameters of those talks have to be specific enough to sell to their skeptical GOP members.

So what would Democrats be willing to talk about? The lawmaker said House Democrats are open to hearing what Republicans have in mind with a short-term deal.

GOP seeks leverage

The shutdown began when Congress failed to pass a spending plan for the new fiscal year that started October 1. Now another deadline looms -- the need to increase the federal borrowing limit by October 17 or risk a U.S. default.

Days of back-and-forth rhetoric and jibes between the leaders have brought no direct negotiations, but plenty of accusations and political spin.

On Wednesday, GOP leaders appeared to shift their focus from efforts to dismantle Obama's signature health care reform, the initial driving force behind the shutdown, to securing spending cuts elsewhere.

Boehner, who earlier this year told his GOP colleagues that he was finished negotiating one on one with the president, has called for Obama to sit down for what he calls a "conversation" on how to reopen the government and prevent what would be the first-ever U.S. default as soon as next week.

But when Obama invited the entire House Republican caucus to the White House as part of a series of meetings with legislators, Boehner's office responded that only the GOP leadership and committee chairmen would attend the Thursday gathering.

"It is our hope that this will be a constructive meeting and that the president finally recognizes Americans expect their leaders to be able to sit down and resolve their differences," said a statement by a Boehner aide.

Obama's invitation was intended to demonstrate outreach to Republicans just eight days from when the Treasury says Congress must increase the federal debt ceiling or risk default.

White House spokesman Jay Carney said Obama was disappointed that Boehner was limiting attendance at Thursday's meeting to fewer than 20 of the more than 200 House Republicans.

"The president thought it was important to talk directly with the members who forced this economic crisis on the country" about the potential harmful impacts from the shutdown and a possible default, Carney said in a statement, repeating that Obama "will not pay the Republicans ransom for doing their job."

Meanwhile, GOP leaders were distancing themselves from demands by tea party conservatives to also make dismantling Obamacare a condition for agreement.

Ryan's plan drops Obamacare

Republican Rep. Paul Ryan of Wisconsin, the House Budget Committee chairman who was the party's vice presidential nominee last year, argued in a Wall Street Journal op-ed that Democrats and Republicans should focus on "modest reforms to entitlement programs and the tax code."

"Right now, we need to find common ground," Ryan wrote in the column posted online Tuesday night. "We need to open the federal government. We need to pay our bills today -- and make sure we can pay our bills tomorrow. So let's negotiate an agreement to make modest reforms to entitlement programs and the tax code."

However, Ryan's column never mentioned Obamacare, focusing instead on forced spending cuts to domestic and military programs, as well as reforms to Medicare.

Ryan's Obamacare omission appeared to anger conservatives, who took to Twitter in response.

"Much like White House press, Paul Ryan doesn't mention Obamacare in WSJ oped," tweeted Dan Holler, spokesman for the conservative group Heritage Action.

Perhaps in response to a conservative backlash, Boehner made a brief statement Wednesday on the House floor that focused on the GOP message that Obamacare was detrimental to the country. He stopped short of linking it to any negotiations on ending the shutdown and raising the debt ceiling.

Boehner insists that the government must reduce deficits, declaring that Republicans won't raise the debt ceiling without steps toward that goal.

Boehner demands cuts for debt limit increase

But a House GOP leadership source told CNN on Wednesday that Obama's rejection of linking negotiations to raising the borrowing limit meant Republicans would likely be forced to agree to a "clean" debt ceiling limit proposal in exchange for setting up talks on deficit reduction steps.

According to the source, the economic implications of a U.S. default "scares people" to make such a deal acceptable to enough House Republicans in order to get negotiations started.

The source acknowledged Boehner may lack support from some or most of his GOP caucus, requiring Democratic votes for the proposal to pass.

Democrats planning

Democratic Sen. Dick Durbin of Illinois told CNN his side already was mulling over "what we will discuss, what we will negotiate over, what things will be on the table." Obama also met with the House Democratic caucus at the White House.

The GOP-led House passed a measure on Tuesday to set up a special negotiating team comprising members of both parties from the House and Senate, but Obama and Democrats rejected the concept as the latest Republican gimmick to force talks before raising the debt ceiling.

Meanwhile, Senate Democrats announced they will propose a measure to increase the debt ceiling beyond next year's congressional elections with no additional issues attached.

While many Republicans are certain to oppose it, Democratic leaders hope increased pressure for Congress to prevent a default next week will cause some GOP senators to vote for it.

A GOP source told CNN on Tuesday that the White House was having corporate chief executives call Republican leaders. The business community has called for resolving the Washington stalemate to avoid a default that would spike interest rates to impact the economy.

Without a breakthrough, the shutdown would continue at a cost estimated at up to $50 billion a month. Failure to raise the debt ceiling by next week's deadline would leave the government unable to borrow money to pay its bills for the first time in its history.

All the partisan bickering -- and lack of progress -- is taking its toll not just on furloughed workers, shuttered government facilities and programs, but also on Americans' confidence in their government.

Poll: Most angry at both parties

Shutdown forecast: Week two and clouds ahead

In a national poll released Monday, most respondents said the government shutdown was causing a crisis or major problems for the country.

The CNN/ORC International survey indicated that slightly more people were angry at Republicans than Democrats or Obama for the shutdown, though both sides took a hit.

According to the poll conducted over the weekend, 63% of respondents said they were angry at the Republicans for the way they have handled the shutdown, while 57% expressed anger at Democrats and 53% at Obama.

"It looks like there is more than enough blame to go around, and both parties are being hurt by the shutdown," said CNN Polling Director Keating Holland.

According to a new Gallup poll Wednesday, the Republican party's favorable rating dropped to 28%, down 10 percentage points from September. The 43% for Democrats was a 4-percentage-point drop from last month.

Will 2014 election solve anything?

Senate Democrats sought to keep up the pressure, holding a rally on the Capitol steps on Wednesday to demonstrate their unified stance in calling for House Republicans to reopen the government and raise the debt ceiling.

A CNN survey indicates enough Republicans in the House would join Democrats in voting for a Senate-passed spending plan to end the shutdown.

All 200 Democrats and 19 Republicans support passing a continuing resolution with no additional legislative strings attached .

With two vacancies in 435-member House, 217 votes are currently the minimum needed for the measure to win approval in the House.

However, not enough Republicans are willing to join Democrats in a procedural move to force Boehner to hold a vote on the Senate plan.

Boehner has said the measure would fail to pass in the House, a contention rejected by Obama and Democrats.

The speaker has previously allowed measures to pass the House with mostly Democratic support, which has weakened his leadership among conservatives. Doing so now could cost him his leadership post due to the conservative backlash in would likely unleash, analysts believe.

CNN's Chelsea J. Carter, Paul Steinhauser, Jim Acosta, Deirdre Walsh, Barbara Starr, Ted Barrett, Dan Merica and Brianna Keilar contributed to this report.

@highlight

NEW: Obama indicates a willingness to accept a short-term deal, a lawmaker says

@highlight

GOP source: Republicans may have to accept a "clean" debt ceiling plan

@highlight

The partial government shutdown enters its ninth day

@highlight

A deadline looms to raise the debt ceiling or face default for the first time