A 29-year-old woman, remembered by her mother for her "heart of gold." A Boston University graduate student from China who'd gone to enjoy the marathon's finish with two classmates. An 8-year-old boy, cheering on runners with his family.

All of them, gone.

Their lives were snuffed out by twin blasts at the tail end of Monday's Boston Marathon. Thirteen others -- out of 183 hospitalized -- had limbs amputated, according to hospital officials. The question is: Why?

The victims: Promising lives lost in tragedy

More than a day later, authorities don't have an answer. Unlike after the September 11, 2001, attacks, no one claimed responsibility for this terrorist attack. No one had been identified as a suspect. The attack came out of nowhere, with no threat. Just horror.

As Richard DesLauriers, the special agent in charge of the FBI's Boston office, put it Tuesday afternoon: "The range of suspects and motives remains wide open."

The two identical pressure-cooker bombs -- each with the capacity to hold six liters of liquid, according to a Boston law enforcement source -- blew up seconds and a short distance apart on Boston's Boylston Street. They contained BB-like pellets and nails, the FBI's DesLauriers said, causing even more damage.

Photos obtained by CNN, which were in a bulletin sent to federal law enforcement agencies, showed parts of a pressure cooker, a shredded black backpack and what appear to be metal pellets or ball bearings. Such evidence -- including a partial circuit board -- are headed to an FBI facility in Quantico, Virginia, where authorities will try to determine how the devices worked and cull out clues identifying the person or persons responsible.

More on the investigation into the bombings

Whatever investigators find, whenever they find it, it won't take away the pain. Scores who are not grieving loved ones are faced with a lengthy physical recovery. There's the psychological battle as well -- living with the memories of the deafening blasts, the carnage, the fear as they searched for loved ones.

Ron Brassard was one of them. One second, he was laughing and smiling. The next second, there was a roaring blast, originating  from about 10 feet away, and he looked down to see a "puddle of blood." He later discovered a "chunk of the leg was just not there." His wife was hospitalized, too, and a friend lost both her legs.

Brassard told CNN's Anderson Cooper he is angry. But he's also not about to let this terror change him, any more than it already has.

"You can't let people control your life like that," Brassard said from his hospital bed. "You just can't."

Hundreds run toward carnage to help

The pressure wave from Monday's explosions in Boston's historic Copley Square whipped the once limp international flags straight out, as if they were caught in a hurricane.

Some runners said they thought the first blast was a celebratory cannon. By the second, there were no such illusions.

The scene on the ground was sheer horror. Blood and unconscious people were everywhere.

So, too, were people who went to help.

Boston heroes run to help

Some were spectators, like Carlos Arredondo. An affiliate of the Red Cross, he tended to a man who'd lost two of  his limbs.

Dr. Natalie Stavas, a pediatric resident at Boston Children's Hospital, was near the home stretch of the race she was running with her father when she heard the blasts.

Despite having run 26 miles, she went over barriers and past policemen, until one stopped her. Stavas told CNN she told him she was a doctor and pleaded, "You have to let me help, you have to let me through."

She said she performed CPR on the first person she encountered. For the next two, she worked to halt their bleeding. Stavas stressed that there were hundreds of others doing whatever they could.

"It was horrific. It was the worst thing I've ever seen," Stavas said. "It was unbelievable."

Nails, metal beads found in patients

While authorities have given no indication they know who was behind the attack, they have offered details on the devices used.

DesLauriers, from the FBI, said the bombs were possibly placed in pressure cookers hidden inside a backpack or another black nylon bag. Another law enforcement official told CNN it was "likely but not certain" the bombs were on a timer, not set off remotely by a cell phone.

Experts see hallmarks of 'lone wolf' devices

Another federal law enforcement official said both bombs were small, and initial tests showed no C-4 or other high-grade explosive, suggesting the materials used in the attack were crude.

And deadly.

Those killed include 8-year-old Martin Richard, a resident of the city's Dorchester neighborhood whom babysitter Caitlin Doyle recalled as "just all-around a wonderful kid (with) a big, bright smile that no one could ever forget."

There was 29-year-old Krystle Campbell, who was "fun, outgoing (and) always there to help somebody," her grandmother Lillian Campbell said.

Lastly, there was the Boston University graduate student from China -- whom the school and Chinese consulate declined to identify by name. According to a LinkedIn profile, she graduated from a Chinese university with a degree in international economics and was set to earn her master's degree in mathematics and statistics in 2014 from B.U.

Others survived, thanks largely to the work of emergency personnel and volunteers on-site and scores of professionals in several world-class hospitals nearby.

Doctors removed more than a dozen nails from one patient, and three had been struck with metal beads slightly larger than BBs, said Dr. Ron Walls, the emergency medicine chairman at Brigham and Women's Hospital.

Back in Copley Square, in the heart of Boston, investigators on Tuesday continued searching for any hint that might lead them to the perpetrator.

Authorities also pleaded for the public's help. Did they know of anyone who made a threat involving April 15 or the marathon? Did they hear explosions in a remote area, possibly as a test run? And did they spot anyone near the finish line dropping off what ended up being the two bombs?

Obama calls attack 'terror'

By 5 p.m. Tuesday, the FBI had gotten more than 2,000 tips, DesLauriers said. They'd also begun poring over scores of photos and videos from the scene.

"We are doing this methodically," he said, "... and with a sense of urgency."

Mayor: 'We will not let terror take us over'

At one point, 11 Boston-area hospitals had 23 people in critical condition and 40 listed as serious. There are still some fighting, with more surgeries planned. But there is progress. In fact, according to a CNN tally, at least 100 of the 183 people who received treatment were able to go home by Tuesday night.

How Boston and America recovers over the coming days, weeks and months remains to be seen.

As has happened before after such terror attacks, Tuesday saw authorities responding to alerts and threats -- in places like Dallas, Cleveland and New York -- that all proved to be unfounded.

Security in Los Angeles and New York has been stepped up in light of the Boston attack, and authorities in London are reviewing measures for that city's upcoming marathon.

Back in Massachusetts, one question is what becomes of the Boston Marathon -- the world's oldest annual marathon, dating to 1897, drawing more than 20,000 participants. Rather than shutting it down, officials promised to build the race back up.

"Next year's marathon will be even bigger and better," Gov. Deval Patrick.

That sense of defiance was echoed by Mayor Thomas Menino. Residents and visitors to the city might have to deal with more checks at transit stations and elsewhere. They might have to get used to seeing more authorities out and about. But they shouldn't change their attitudes, said the mayor.

"This tragedy is not going to stop Boston," Menino said. "We will not let terror take us over."

@highlight

Photos shows parts of a pressure cooker, backpack and pellets

@highlight

An 8-year-old boy, 29-year-old woman and grad student from China die

@highlight

Scores more are injured in the twin blasts, helped by medical staff and others

@highlight

Authorities say they don't have any suspects or a motive for the attack