Washington (CNN) -- When Congress is tasked with debating U.S. involvement in overseas conflicts, a common refrain from lawmakers is to follow the advice of military commanders. It has been repeated dozens of times, for instance, by Sen. John McCain, R-Arizona, when discussing the wars in Iraq and Afghanistan.

"We urge the administration to work urgently with Iraqi authorities to reach an agreement that reflects the best military advice of U.S. commanders on the ground," he wrote in a news release in 2011 about reducing the U.S. military footprint in Iraq. He said something similar in a 2012 statement about Afghanistan.

Now that Congress will have its say on U.S. intervention in Syria, it has testimony and documents from top members of the military to reference, and some of the testimony falls short of an enthusiastic endorsement of U.S. involvement.

Concerns exist within the ranks of the military over the outcome of such strikes, and those concerns are coupled with worries about strains on an already stretched military.

Dempsey: Intervention in Syria could cost billions

A frank assessment of the risks

In a series of communications with Congress over the summer, Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, testified and wrote letters to Congress about the risk of U.S. military involvement in Syria. Chief among them is the challenge that a limited strike remain limited in scope.

In an assessment to Sen. Carl Levin, head of the Senate Armed Services Committee, on July 19, Dempsey outlined possible scenarios and the risks they bring. Dempsey said U.S. involvement, even if it's limited in nature, would probably lead to an extended stay.

"Once we take action, we should be prepared for what comes next. Deeper involvement is hard to avoid," he wrote.

Dempsey explains that risks include retaliatory attacks by the al-Assad regime, civilian casualties and "extremists" -- including al Qaeda, Hezbollah and Iran -- gaining more control and access to weapons, including chemical weapons.

Two days before the alleged chemical attacks in Syria, Dempsey replied to a request from New York Rep. Eliot Engel on Dempsey's assessment of different military options in Syria. The general outlined a difficult path for U.S. success in Syria.

"In a variety of ways, the use of U.S. military force can change the military balance, but it cannot resolve the underlying and historic ethnic, religious and tribal issues that are fueling this conflict," Dempsey wrote. "It is my belief that the side we chose must be ready to support their interests and ours when the balance shifts in their favor. Today, they are not."

Another high-ranking member of the military urged extreme caution. According to the Washington Post, Gen. James Mattis, former head of U.S. Central Command, said at a security conference in July that "this is going to be a full-throated, very, very serious war" if the U.S. becomes involved.

House Armed Services Committee Chairman Buck McKeon said he has concerns about the ongoing strategy after an attack.

"I'm concerned about more the military aspects, what are we expecting Syria, Iran, Hezbollah, their other allies in the region to do. What are we doing about any attacks that might happen to Israel or Jordan or Turkey, other areas in the region," said McKeon, R-California. "For that matter, our embassies around the world. Are we doing everything we can to make sure we're able to protect ourselves should they do any kind of counterattack?"

Overstretched military

Any U.S. involvement will not be cheap. The U.S. is coming off a decade-long war in Iraq and is still fighting a 12-year-long war in Afghanistan. Additionally, tight budgets caused by forced spending cuts are concerning to those both inside and outside the military.

The most likely scenario in Syria would be cruise missile strikes followed by a bomb damage assessment, with additional strikes on what was missed or not destroyed. Additionally, if the U.S. goes after chemical weapons capabilities, airstrikes would necessitate taking out Syria's air defense and command and control capabilities.

Dempsey wrote in his July letter that using "lethal force to prevent the use or proliferation of chemical weapons" could cost "well over $1 billion per month." He also wrote that controlling chemical weapons would require more resources than just air and cruise missile strikes. He said it would need to be coupled with "thousands of special operations forces and other ground forces" to secure critical sites. President Obama, however, has said he would put "no boots" on the ground in Syria.

The $1 billion price tag could take a hefty bite out of a slimmed-down military budget. Members of the military have testified before Congress and released statements about the crippling effect that the forced spending cuts has had on the military. Military operations will be "significantly and adversely affected," an August 10 Defense Department news release said.

The military requested and the president proposed a budget of $526.6 billion for 2014, which is 8% more than what the Defense Department is currently operating with. Defense Department Comptroller Robert F. Hale told Congress that that request "supports national security interests in a time of very complex challenges."

But it's unclear whether the military would get its wish. Congress has not overturned the forced spending cuts, which would slash $52 billion next year. As the military points out, the sequester's impact in 2014 would be 40% greater than 2013.

Sen. James Inhofe, R-Oklahoma, said the U.S. simply can't afford to get involved in Syria.

"We're in a position right now where we don't have the assets to get involved in another intervention," he said on CNN's "The Lead" last week.

McKeon had similar concerns about the forced spending cuts.

"That is the thing that really concerns me is, sequestration on the backs of our military is making it very difficult for them to carry out mission after mission," McKeon said.

Congressional hawks tie Syria to budget cuts

In addition to budget cuts, the wars in Iraq and Afghanistan have strained the military but also taught military leaders valuable lessons. Dempsey wrote: "We have learned from the past 10 years; however, that it is not enough to simply alter the balance of military power without careful consideration of what is necessary in order to preserve a functioning state. ... Should the regime's institutions collapse in the absence of a viable opposition, we could inadvertently empower extremists or unleash the very chemical weapons we seek to control."

Rep. John Garamendi, D-California, echoed Dempsey's sentiment. "The past decade has amply demonstrated the folly of military commitments poorly conceived," he wrote in a statement.

Secretary of State John Kerry dismissed that argument. "Fatigue does not absolve us of our responsibility," he said Friday.

Despite concerns, support exists

However, some former top military leaders are coming out in support of a military strike. Gen. Wesley Clark, the former supreme commander of NATO who led military forces in the Kosovo war in 1999, laid out a grim assessment.

"At a time when the U.S. faces many other security threats, not to mention economic and political challenges at home, it is tempting to view action against Syria's regime as a significant distraction. Certainly, it also carries risks. ... You can't always control the script after you decide to launch a limited, measured attack," he wrote in an opinion piece Friday in USA Today.

Despite his measured tone, he said the humanitarian crisis is the U.S.'s responsibility.

"President Obama has rightly drawn a line at the use of chemical weapons. Some weapons are simply too inhuman to be used. And, as many of us learned during 1990s, in the words of President Clinton, 'Where we can make a difference, we must act.' "

Dempsey has not made any public statements about U.S. intervention. He's scheduled to testify on Tuesday before the Senate Foreign Relations Committee.

@highlight

Budget cuts, cost of fighting two wars have stretched the military thin

@highlight

Dempsey wrote that U.S. forces can change the military balance, not what's fueling the conflict

@highlight

Trying to prevent further use of chemical weapons could cost $1 billion per month, he says