Strep throat should not kill you. Nor should a knee scratch that becomes infected.

For decades, the world has relied upon antibiotics to treat common infections. As bacteria develop resistance to antibiotics, these minor afflictions could soon become life-threatening.

Procedures that place patients at risk of infection, like hip replacements, dental work and open-heart surgery, could become far more dangerous.

The Centers for Disease Control and Prevention reported in October that antibiotic-resistant bacteria -- known as "superbugs" -- cause at least two million infections and 23,000 deaths in the United States yearly. The cost to the U.S. health care system has been pegged at $17 billion to $26 billion annually.

In 1977, the Food and Drug Administration found that feeding antibiotics to food animals at low doses, both to promote growth and to prevent disease, contributes to this public health crisis. The CDC concurred: "[M]uch of antibiotic use in animals is unnecessary and inappropriate and makes everyone less safe." The World Health Organization, the American Medical Association, the American Academy of Pediatrics, and many others have called for restrictions.

In the almost four decades since the FDA acknowledged this problem, Congressional opposition and intense industry lobbying has blocked meaningful action -- even as hundreds of scientific studies have confirmed the link between antibiotic misuse in food animals and superbug infections in humans.

This month, the FDA issued voluntary guidelines designed to curb the misuse of antibiotics in animals. If history is any indication, the impact will be minimal on industries that have spent millions fighting mandatory regulation.

Industrial operations that produce most food animals in this country administer low doses of antibiotics to make animals grow faster and to prevent diseases from breaking out in crowded and unsanitary conditions. Using low doses of antibiotics in livestock exposes bacteria to just enough antibiotics to kill the most susceptible bugs while allowing resistant germs to thrive and reproduce.

Resistant bacteria are found in higher numbers on people who work at these operations, who can bring superbugs home with them into their communities. Resistant bacteria can also contaminate meat during slaughter. Fruits and vegetables that are fertilized with animal waste may be tainted as well. The more superbugs, the more likely they are to cause infections that are expensive and difficult to treat. Some may not be treatable at all.

The FDA's guidelines ask industry not to use antibiotics for growth promotion but permit use of antibiotics for routine disease prevention with a veterinary prescription. This not only leaves producers with a loophole to continue using antibiotics for growth promotion by simply calling it another name, it also provides a disincentive to clean up their facilities. Instead, the industry can use the simplest, cheapest and most dangerous method to keep livestock healthy: antibiotics. The agency argues that veterinarians will ensure responsible use, but most livestock and poultry are overseen by veterinarians employed by companies that have spent years fighting regulation.

The FDA has emphasized that drug companies support its plan. That is no surprise: if antibiotics can still be used routinely for disease prevention, they will be sold in the same quantities, and industry will still make millions of dollars. The chief executive of the largest animal drug company said the guidelines "will not have a significant impact on our revenues." It is difficult to fathom why the FDA expects the drug industry to voluntarily reduce its sales when 80 percent of the antibiotics sold in the United States are sold for use on the farm.

Industry support follows decades of opposition to more meaningful restrictions by the drug and farm lobbies. In 2008, the Pew Commission on Industrial Farm Animal Production, which included veterinarians and infectious disease experts, recommended banning antibiotic use for growth promotion and disease prevention. A recent report by the Johns Hopkins Center for a Livable Future detailed how commission recommendations have been blocked by companies intent on maintaining the status quo.

Take for example the Preservation of Antibiotics for Medical Treatment Act (PAMTA), a bill that would save eight classes of antibiotic for use on humans and sick animals and which has been the subject of frequent industry attacks. Out of 225 lobbying reports filed in the 112th Congress on PAMTA, 195 reports (87.5%) were submitted on behalf of entities hostile to the legislation. Medical and consumer advocacy groups filed only 30 of the 225 reports (12.5%).

With millions of infections and thousands of deaths linked to antibiotic resistance, we cannot wait any longer to take meaningful action. The World Health Organization has warned that antibiotic resistance could mean "an end to modern medicine as we know it."

It is time for Congress to stop resisting meaningful regulations to curb the misuse of antibiotics and step up to the plate.

@highlight

Superbugs in farm animals have become resistant to many antibiotics

@highlight

Slaughter: New FDA voluntary guidelines on antibiotic use aren't strong enough

@highlight

Slaughter: Industry has a giant loophole to allow use