ATLANTA, Georgia (CNN) -- It is an irony of contemporary art-museum management: Sometimes the museum that creates an exhibition doesn't get to premiere it.

In a treatment of a Bridgeman Art Library photo, the High shows visitors Jules Arnout's "View of the Grand Gallery."

This is the case this week, as Atlanta's High Museum of Art couples its public opening of a second year of Louvre-fueled shows from Paris, France, with an exhibition about influences on the Impressionists.

"Inspiring Impressionism" is organized by the Denver Art Museum. It opened Tuesday at the High, to run there through January  2008.

With the backing of Northern Trust, the show will then travel to Denver February 23 to May 25, 2008, and then on to the Seattle Art Museum from June 19 to September 21, 2008.

Why not start in Denver? That museum this fall is host to pieces seen in the first year of the three-year Louvre Atlanta series of exhibitions. Like priceless dominos falling, these shows roll around the country and the world, globalization dictating galas, super-sensitive custom shipping companies probably among the biggest winners.  See a gallery of images from 'Inspiring Impressionism' at the High Museum of Art »

Another unintended effect may be shadowing of one important outing by another.

It should be interesting to learn whether showing "Inspiring Impressionism" at the High on the same time frame as the second year of Louvre Atlanta pays off. Do all the boats in Monet's "Autumn on the Seine, Argenteuil" float?

Smart museum-goers will see it all. "The Louvre and the Ancient World" and the companion show "The Eye of Josephine," after all, look at some of the oldest treasures in the Louvre's vast holdings.   See a gallery of some of the highlights of the Louvre Atlanta shows »

The fit is comfortable, in a way, the Impressionist movement of the turn of the last century finding its main proponents in French artists. The emphasis here, however, is on what older works may have moved and motivated such artists as Claude Monet, Pierre-Auguste Renoir and Paul Cézanne.

One very distinctive connection from the Louvre Atlanta opener of last year is a section of this new show that looks at the tradition of modern-era artists learning by studying the work of masters at the Louvre, Bartolomé Esteban Murillo's "The Beggar Boy" of around 1650 being one of the most-copied canvases in Western art's modern history.

From the outset, visitors to "Inspiring Impressionism" are reminded of the Louvre treasures all around them at the High: The Impressionism show's entry gallery is flanked by a handsome photographic treatment of Louis Jules Arnout's "View of the Grand Gallery at the Louvre" from between 1850 and 1870. In that original painting and color lithograph that followed, Arnout captured the bustle of artists working and visitors promenading in the Louvre's chief exhibition space that runs along the Seine in Paris.

In fact, even older-era echoes of this same concept are encountered on looking at Louvre Atlanta's "The Tiber" marble from the first century A.D., you're reminded that Michelangelo himself was aware of that piece, influenced by it, presumably inspired by it.

So a surprise symmetry takes shape at the High this fall, as visitors contemplate dialogues between museums (the Louvre, the High, Denver, Seattle), the viewers of art in Europe and the United States, and the artists themselves in France, in the U.S. and elsewhere.

High director Michael Shapiro calls these synchronicities "visual evidence of connections."

His colleagues Timothy Standring of Denver and Ann Dumas of London, England, have held up their end of this conversational eyeful with timely contributions, glimpses of Old World craft from Titian and Velasquez to Fragonard and Rubens -- and the "moderns" who saw beyond them to a new age of aesthetic debate.

Don't miss some of the comments and writings of various artists, used as part of the display of the show at the High. Degas may have said it most honestly: "No art is less spontaneous than mine. What I do is the result of refection and the study of the Old Masters."

Joining Northern trust Corporation in funding the exhibition are the National Endowment for the Humanities, and support is also provided by an indemnity from the Federal Council on the Arts and the Humanities.  E-mail to a friend

@highlight

"Inspiring Impressionism" looks at Old Masters, other influences on modern art

@highlight

Featured are works of Monet, Renoir, Cézanne, Cassatt, Morisot

@highlight

"Inspiring Impressionism" runs through January 31, 2008, at the High Museum

@highlight

Denver Art Museum and Seattle Art Museum get the show next