Washington (CNN)Democrats who have gleefully watched Republican infighting for years are about to feel some heat of their own.

As the party works to retake control of the Senate in 2016, Democrats are looking at a Senate landscape that could feature titanic intraparty clashes starring big personalities who have been waiting years for a shot at the big time.

It's a big shift from recent years when Republicans, riven by long-standing ideological fault lines, faced divisive and attention-grabbing primaries, usually pitting a party favorite against insurgents from the conservative grassroots. Memorably, in 2010 and 2012, the fights were so damaging that Republicans failed to pick up winnable Senate seats by nominating flagrantly unprepared candidates.

Democrats, for the most part, have not had to face the same problem. But that might be changing.

While the fields of candidates are still taking shape, a platoon of Democrats are mulling Senate bids in Ohio, Florida, Maryland, California, Pennsylvania and Illinois. While many of them have yet to formally declare campaigns, none possess the kind of field-clearing star power that could help Democrats avoid a primary bonanza, and few show signs of putting their ambitions aside for the sake of party unity.

Republican primary battles aren't going anywhere in 2016, and on the presidential level, Democrats continue to line up behind Hillary Clinton as their nominee, without a whiff a serious primary challenge.

But there is a different story unfolding in the next race for the Senate, where the question is whether Democrats will cleave along ideological and generational lines in primary fights, jeopardizing the party's hopes of regaining control of the the Upper Chamber.

"The great irony of Democrats celebrating fissures amongst Republicans in recent years is that historically they're much less capable of confronting the extreme elements within their party than the GOP," said Josh Holmes, a former top strategist to Republican Senate Leader Mitch McConnell. "Now we're watching several years of pent-up liberal aggression about to spill into divisive primaries that will undoubtedly complicate things considerably for their Senate chances."

Democrats scoff at the idea, claiming that no potential candidate has the ability to fumble away a Senate win against the many Republicans up for re-election next year. Of the nine Senate seats rated as toss-up or competitive the Rothenberg & Gonzales Political Report, seven of them are held by Republicans elected in the tea party wave of 2010. Democrats need a net gain of five seats to take back the Senate.

"Unfortunately for the numerous vulnerable Republican senators, there are no Todd Akins here, and there isn't a single state on the map with a Democratic primary that will negatively impact our ability win the state," said Justin Barasky, the Democratic Senatorial Campaign Committee's communications director. Akin, of course, was the GOP nominee in Missouri in 2012 who derailed his own campaign with a comment about "legitimate rape."

Last cycle, Barasky said, Democrats witnessed hotly contested Senate primaries in New Jersey, Massachusetts and Hawaii. All of those fights were in blue states, of course. But none of them resulted in a November loss for Democrats.

Republicans, though, are hoping to breathe life into the narrative, especially with Democratic primaries brewing in the competitive states of Florida and Ohio.

"Democrats are facing messy primaries in key Senate races across the country, and there doesn't seem to be any end in sight," said Andrea Bozek, communications director for the National Republican Senatorial Committee. "The infighting is so bad that it's not just limited to candidates in key races, but is even playing out between Harry Reid and the DSCC in Washington."

The most crowded lane, for now, appears to be in Maryland, where five-term Sen. Barbara Mikulski is retiring. In a state that reliably goes blue in federal elections, the retirement has at long last opened a door for a raft of Democrats in Congress eyeing higher office.

With the exception of House Democratic Whip Steny Hoyer, nearly every Democrat in Maryland's eight-member congressional delegation has signaled some kind of interest in the Senate seat. NAACP President Benjamin Jealous and Baltimore Mayor Stephanie Rawlings-Blake have also been floated as contenders.

Despite the microscopic ideological differences between the likely candidates, the race has already been heralded as a battle between the party's play-it-safe establishment and its restive liberal wing.

Harry Reid, the Democratic leader in the Senate, declined to stay neutral and promptly endorsed Rep. Chris Van Hollen for the seat, a sign that the national party apparatus might be in his corner. The DSCC, however, has not picked a side in the race.

Progressive groups, meanwhile, have championed a known figure from their community: Rep. Donna Edwards, who joined the race last week vowing to protect Social Security and Medicare, "no ifs ands buts or willing-to-considers." That was seen as a poke at Van Hollen, who said in 2012 he was "willing to consider" entitlement changes as part of deficit negotiations.

But even if the primary turns into a pitched battle over progressive priorities, there is little chance the nomination fight would hinder Democratic hopes in Maryland, which hasn't seen a GOP senator since Charles Mathias in 1987. And Mathias, a civil rights advocate and skeptic of Ronald Reagan, was one of the most liberal members of the Republican Party.

Republicans are also hoping for Democratic carnage in Ohio, where Sen. Rob Portman is up for re-election. National Democrats have endorsed former Gov. Ted Strickland for the nomination, but the news did not force P.G. Sittenfeld, an up-and-coming 30-year-old Cincinnati city councilman, out of the race.

Democrats are skeptical that Sittenfeld can raise the kind of money to compete against Strickland and Portman, but if he does, his candidacy will make for a stark contrast against the 73-year old Strickland.

In an interview, Sittenfeld spoke critically of Portman, calling him "a 25-year creature of Washington" who is "out of touch" with Ohio. But the next-generation rhetoric could also stir inevitable questions about Strickland's age.

"I fit the mold for new leadership," Sittenfeld told CNN in an interview, careful to note his admiration for Strickland and stressing that he is running against Portman.

"If you put together 100 people into the Senate, wouldn't you want at least one person from the largest generation in American history, the most technologically savvy generation in American history?" Sittenfeld asked. "How can we invest  in technology and innovation to solve problems when we are rehashing stale battles?"

As in Maryland, there appear to be no major early-stage differences between Strickland and Sittenfeld on the issues, which again suggests that the Democratic primary boom of 2016 is more about timing and opportunity than anything else. With a presidential election on the ballot, increased voter turnout is expected to give Democrats a lift in the general election.

"There is an ideological reason for running, but let's not separate that from a path to victory," said Nathan Gonzales, editor of the Gonzales & Rothenberg Report. "Primaries happen when multiple candidates see a good opportunity. Democrats have good opportunities in multiple states this cycle, specifically in Maryland. The Democratic nomination is incredibly valuable because Maryland is a Democratic state. Lots of candidates see paths to victory and think, 'Why not me? Why not now?' "

And while primaries can drain financial resources and drive uncomfortable headlines, the contests are not necessarily damaging, Gonzales said.

"Crowded and expensive primaries do not prohibit general election victory," he said. "That doesn't mean that a party can't win."

Brad Todd, a Republican consultant who worked on several top tier Senate races in 2014, said the primaries might boost Democrats. "Some of those primaries will animate elements of their base, including some donors, more than the general elections," he said.

But Todd said the rush of primary activity for Democrats does not compare to the pitched tea party-versus-establishment battles that have roiled his party for years.

"I don't see that happening with Democrats as much as it does with Republicans since all of their candidates are pretty much orthodox liberals," he said. "There's no such thing as a centrist Democrat anymore, so there won't be nearly as many sabers to rattle against them in primaries."

@highlight

Recently, it's been Republicans who have been in attention-getting, bruising primaries

@highlight

A platoon of Democrats are mulling Senate bids in Ohio, Florida, Maryland, California, Pennsylvania and Illinois

@highlight

Of the nine Senate seats rated as toss-up or competitive in 2016, seven are held by Republicans