Responding to allegations, St. Louis County Police Chief Jon Belmar said Monday that officials did not restrict airspace over Ferguson, Missouri, to block media coverage of protests.

Rather, he said, the temporary restriction was about protecting both those in the air and on the ground.

"It's always all about safety," Belmar told reporters.

"We don't have the ability to preclude people out of there for any other reason other than that. Had we just wanted to move the media away from this arena we would have started that on the ground, and that's not what happened," he said.

The chief spoke one day after the Associated Press reported that the no-fly zone was aimed at the media -- a story a St. Louis alderman described as "disturbing."

The report only further hurt the already damaged trust between residents and authorities, St. Louis alderman Antonio French told CNN.

The AP's story, he said, "shows that there seemed to be an active campaign to keep what was happening out of the spotlight, to suppress media coverage" of demonstrations and riots in Ferguson following the police shooting of Michael Brown, a black teenager who witnesses say had his arms up and was surrendering when a white police officer shot him August 9.

Authorities contend that Brown attacked the officer in his car and tried to take his gun.

The White House also commented on the AP story, noting that the flight restrictions were temporary.

"In this case, what the FAA says is that they took the prudent step of implementing this temporary flight restriction in the immediate aftermath of reports of shots fired at a police helicopter," Press Secretary Josh Earnest said, "but within 12 to 14 hours, that flight restriction was updated in a way to remove restrictions for reporters who were seeking to operate in the area."

Belmar stressed that the temporary flight restriction did not prohibit all flights at all altitudes. Police, for example, continued to fly, even though doing so was not 100% safe, the chief said.

He also underscored that there were threats from credible sources suggesting certain groups were targeting helicopters with rifles and lasers.

"At no time ... did we request that only media be kept out of the airspace and, again, I would like to reiterate that the FAA contacted us regarding the amount of air traffic that was in that location," Belmar said.

Keeping the media out?

Brown's shooting sparked a federal civil rights inquiry and a grand jury investigation. In the immediate days after Brown's killing, an intense national spotlight shone on the St. Louis suburb.

A rush of media went to Ferguson. Several journalists were arrested, and law enforcement officers were seen and heard on video harassing members of the media. An Al Jazeera America correspondent told CNN's Brian Stelter that he felt rubber bullets and tear gas were shot at his crew intentionally.

Journalists arrested in Ferguson

At the time, police requested a restriction of airspace surrounding Ferguson, and the Federal Aviation Administration agreed to it for safety reasons. But according to recorded telephone conversations that AP obtained, the ban was aimed at keeping news helicopters from flying over Ferguson.

On August 12, the morning after the FAA imposed the first flight ban, FAA air traffic managers tried to redefine the flight ban so that police helicopters and commercial flights running at nearby Lambert-St. Louis International Airports could fly, according to AP. They were struggling to explain how those flights were cleared to fly, but others were not, the news agency said.

"They finally admitted it really was to keep the media out," said one FAA manager about the St. Louis County Police in a series of recorded telephone conversations that AP has.

AP reported that a manager at the FAA's Kansas City center said police "did not care if you ran commercial traffic through this TFR (temporary flight restriction) all day long. They didn't want media in there."

"There is really ... no option for a TFR that says, you know, 'OK, everybody but the media is OK,'" the manager said, the AP reported.

The managers then crafted wording they felt would keep news helicopters out of the controlled zone but not interfere with other air traffic, according to AP.

FAA's response to CNN

CNN asked the FAA about the Associated Press story and received a written statement that read, in part: "FAA cannot and will never exclusively ban media from covering an event of national significance and media was never banned from covering the ongoing events in Ferguson in this case."

On Monday, French, the St. Louis alderman, told CNN: "When you take these new facts and add them to what we saw -- the targeting of journalists including violence perpetuated toward journalists -- this (the new allegation involving the FAA and police) is not the kind of thing that you'd think would happen in our country."

The alderman said he hoped the AP story will ignite a conversation or some kind of probe.

"We really need to find out what was behind this, who was behind this, who authorized this, is this kind of thing done regularly?" French said. "When things like this happen it's about how we (local leaders) respond to it."

French noted that he can urge an investigation -- but he's a city representative, not a county one, and doesn't have the authority to demand a probe, he said.

The flight restrictions were lifted on August 22, the AP report said, citing records.

In its statement to CNN, the FAA said: "There is nothing more important to the FAA than the safety of the National Airspace System and people on the ground.  When local law enforcement reports a danger to aircraft, including guns fired into the air that could impact low flying aircraft, the FAA will always err on the side of safety."

It continues, "When requested and no safety or security issues exist, the FAA actively facilitates media access to airspace, making provisions that allow properly accredited media representatives to operate inside the boundaries of temporarily restricted airspace through proper coordination with air traffic controllers or other appropriate officials. To the best of our knowledge, during the 11 day period flight restrictions of varying levels were in place, no media outlets objected to any of the restrictions."

A violation of the Constitution?

The American Civil Liberties Union weighed in on the AP story Monday.

"Just as the ACLU and ACLU of Missouri are working to protect the rights of protesters on the ground, we will protect them in the air as well," said Lee Rowland, a staff attorney at the ACLU's New York headquarters. She serves as lead counsel in federal First Amendment cases.

"It's very troubling to the ACLU and it should be extremely troubling to anyone in the public who wants to get news about what their government is up to," she said. "This was a no-fly zone targeted at the media and it appears it was not for safety purposes. If indeed the air restrictions were only to keep the media out, it is a constitutional violation of the freedom of the press."

Complete coverage of Ferguson

@highlight

St. Louis police chief says decision was about safety, not exclusion

@highlight

Police requested and were granted restriction on airspace in Ferguson, Missouri

@highlight

AP: Restriction was intended to ban news helicopters, taped conversations reveal

@highlight

First flight ban imposed during violence after Michael Brown's shooting by police officer