London, England (CNN)  -- British pensioner Ethel Kendall was "only 72" when she left the United Kingdom in 1986 to be closer to her family in Canada. At the time, she was receiving the full British pension of just over £38 ($58) a week.

Twenty-four years later, she is still receiving the same amount, and after a European Court of Human Rights ruling Tuesday she is not likely to receive any more.

"You know this isn't about me," the 96-year-old told CNN on the phone from her home in Canada.

"It's about the British government's deception and dishonesty. Our contributions were deducted from source with the clear understanding that we would get a full pension on retirement, but somewhere along the lines they changed the rule. In my book, in our book, they're guilty of both fraud and deception."

Kendall is one of more than half a million British expatriates living in countries including Canada, South Africa, Australia and New Zealand, whose pensions are not linked to inflation.

On Tuesday, the European Court of Human Rights ruled by a majority of 11 to six that the British government had not breached their human rights by failing to "up-rate" their pensions to bring them into line with the cost of living.

Under British rules, pensioners in a number of countries who do not have reciprocal agreements with the UK receive the same pension they were entitled to in the year they left Britain.

People who emigrated before retirement age receive the amount they would have received at retirement age in the UK. In Britain, men qualify for a pension at 65, women at 60.

A British expatriate who retires to Australia, for example, receives less money each week than if they had contributed the same amount during their working life and then emigrated to Barbados, Croatia, the Philippines, the United States, or one of more than 40 countries which do have reciprocal UK agreements.

Margaret Oxley moved to South Africa at the age of 23 after World War II. Now in her 80s, she receives a UK pension of just £2 ($3) a week.

"The exchange rate is ten to one. Then the bank takes charges you see. No, you can't survive. A loaf of bread is ten rand. I get around 20 rand a week. So it's really not worth bothering about," she said.

Aging expatriates who have seen their pensions dwindle due to inflation and the falling value of the pound have been campaigning for change.

The first court case was brought against the UK government in 2002 by Annette Carson, a British resident who moved to South Africa in 1989.

According to court documents, she receives a basic state pension of £67.50 ($103) -- £14.55 ($22) less than she would have received if her pension was index-linked.

After failing to make her case in the British High Court, she took her claim to the British Court of Appeal and then the House of Lords.

Many saw this week's ruling in the European Court of Human Rights as the last legal avenue for recourse, but they are reluctant to give up the fight.

"I don't think we're going to make it the end of the road," said John Markham, director of UK parliamentary affairs for the International Consortium of British Pensioners.

"Certainly I think we're going to mobilize public opinion with the new parliament," he added, referring to the upcoming British election expected on May 6.

The Vice President of the British Australian Pensioners Association, James Nelson said: "Now it is up to the people still working or living in Britain to tell their government that they will no longer stand for this injustice. By paying increases in some countries and withholding them in others, the UK government severely limits our freedom of choice regarding where we can retire."

It is estimated that around 250,000 British pensioners living in Australia are affected by the British policy.

"This is a devastating result and it will affect the lives of many British expat pensioners. The living standards of many will only continue to decline," said Jim Tilley, Chairman of British Pensions in Australia, who says one elderly woman there receives less than £7 ($10) a week after moving to the country in 1974.

In a short statement, the British Department for Work and Pensions said it had noted that the court found in favor of the government. "We do not therefore plan to make any changes to the current arrangements, which allow for the exportability and up rating of UK State Pensions."

Ethel Kendall is still angry. Not only for herself, she says, but for the pensioners in Britain who may now be reluctant to leave.

"There are many very lonely people we know in the UK who would give anything to come to Canada to join their families but they don't take that risk," she said.

A former nurse, Kendall worked part-time during and after World War II to ensure she could continue to support her three sons should anything happen to her husband.

He was injured but lived for another 26 years after the war ended. A few years after his death, Kendall remarried. Only after losing her second husband in the mid-1980s did she move to join her family in Canada. She sold her home when prices were low but she says it didn't take long before her capital was eroded and she was relying on her UK pension for basic needs.

"It finished up with my family, not exactly subsidizing me with money, but buying big things for me," she said.

"I'm 96 now. I've been fortunate; Canada has been good to me. I've been in subsidized housing for 20 years but it shouldn't be that way."

If her pension was indexed Kendall would be receiving £82 ($125) a week, more than twice as much as she does now.

"We'd be lucky the way things are going now if we get a dollar for a pound. So, £82 would be a darn sight better."

@highlight

British pensioner Ethel Kendall left the UK in 1986 to be closer to her family in Canada

@highlight

24 years later, she is still receiving the same pension of just over £38 ($58) a week

@highlight

After a European Court of Human Rights ruling she is not likely to receive any more

@highlight

Over half a million British expatriates' pensions are not linked to inflation