New York (CNN) -- Rudy Giuliani committed a classic Washington gaffe on CNN's "State of the Union" this past Sunday -- he told the truth.

When asked about his criticism of Mitt Romney back in 2008, Rudy explained that it was a campaign contrast influenced by ego, but admitted that at the time he was comparing "my far superior record to his otherwise-decent record."

Surrogates aren't supposed to toot their own horn. They're supposed to loudly recite the party line. But Rudy is an independent-minded kind of guy and when asked a direct question, he answered.

The reason that Rudy had a better record in office than Mitt is actually pretty simple -- he worked at it in New York City nonstop for eight years. In contrast, Mitt was MIA from Massachusetts much of the time when he was governor.

Under Rudy's leadership in New York City, crime and welfare rolls were cut in half, ahead of national trends. As the quality of life improved, so did the local economy -- with businesses and families reversing a decades-long exodus. On the fiscal conservative front, Rudy excelled as well, cutting or eliminating 23 different taxes while reducing the rate of spending below the rate of inflation plus population.

I'm biased here to the extent that I served as Rudy's chief speechwriter in City Hall and deputy policy director in his 2008 campaign. But as another esteemed New York political leader, Sen. Daniel Patrick Moynihan, once said, "everyone is entitled to their own opinion, but not their own facts." Rudy remains controversial, but his record by the numbers is not a matter of opinion -- it is a matter of fact.

Mitt's record in Massachusetts is more limited because he was only in office for one term and halfway through that period he started laying the groundwork to run for president. Mitt is running on executive experience, but it is as a businessman and turnaround artist -- not as chief executive of Massachusetts, the only government leadership position he has ever held.

There's no question Mitt accumulated an impressive record as the innovative founding executive at Bain Capital, and he deserves a lot of credit for turning around the Salt Lake City Olympics. But his record of accomplishment in government is much more limited and far less innovative.

His CEO approach to dealing with the Democrat-dominated legislature fell flat. And after assuming the chairmanship of the Republican Governors Association for the 2006 mid-term elections, he spent two-thirds of his time out of state.

So it's not a surprise that he declined to run for re-election as governor; instead, he announced he would run for president in 2008.

This is a straightforward recital of the facts -- a more detailed portrait of his time in Massachusetts can be found in the essential book "The Real Romney," written by two Boston Globe reporters, Michael Kranish and Scott Helman. But suffice it to say that Mitt is a very goal-oriented guy, and after achieving the governorship, he set his sights quickly on the next challenge -- the one that had eluded his beloved father -- the presidency.

The central achievement of Mitt's government career in Massachusetts was the mandate-driven health care reform he now tries to ignore but which he once touted by saying that "an achievement like this comes once in a generation." He even chose the bill to appear in his official state portrait. The plan wasn't just a signature achievement, it was considered a political asset in running to succeed President George W. Bush.

The country was tired of polarization, and Mitt could provide a problem-solving antidote, a demonstrated ability to bring a Republican solution -- the individual mandate -- to a problem that Democrats traditionally cared most about. It was an approach entirely consistent with the way he campaigned for office in 2002 and also consistent with the Romney family political philosophy established by his father, George, when he was an effective and popular governor of Michigan in the 1960s.

Risking re-election was also deemed to be a political loser.

If he ran and lost, his presidential ambitions would be toast. That's why Mitt was the last in 16 years of Republican governors for stereotypically liberal Massachusetts. The trend was set by centrist William Weld after he succeeded Michael Dukakis in 1990 and extended by Paul Cellucci. But Mitt pretty much buried that trend and didn't even try to extend it back in 2006. He wasn't a trailblazer as much as a trail-ender in this regard.

But the biggest tell was the now infamous 180 on social issues he had pledged to defend while trying to get elected in the first place. In July of 2005, he penned an op-ed in the Boston Globe saying that his "convictions have evolved and deepened during my time as governor" -- the once staunch defender of a woman's right to choose began describing himself as "firmly pro-life" just in time to hit the national conservative circuit.

Likewise, his commitment to advance "full equality" for gays and lesbians quickly fell by the wayside. Ditto past statements on guns, greenhouse gases, abstinence education and immigration. These are politically pragmatic decisions when someone is planning to run for the Republican nomination, but they are not the actions of a conviction politician.

In contrast, John McCain and Rudy -- two of Romney's rivals in 2008 -- are quintessential conviction politicians. They put real stock in concepts of honor when it comes to the political arena, and it often gets them in trouble. It would have been far easier for Rudy to reframe his position on abortion or adjust his rhetoric to the right on guns, gays or immigration. But Rudy's not that kind of guy. Mitt is.

Mitt's missing record in Massachusetts reflects the fact that he treated that executive office as a launching pad for his presidential ambitions. And it is an irony of presidential politics that the signature health care bill he intended to used as evidence of his political vision became a liability from which he had to distance himself four years later.

The quintessential turnaround artist when it comes to business, he never really attempted a turnaround of Massachusetts.

Instead, his inattention helped end 16 years of Republican gubernatorial rule. That is, unfortunately for Mitt, also a matter of record. As the technocrat candidate is fond of saying, "facts are stubborn things."

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

Rudy Giuliani drew contrasts between his record and that of Mitt Romney

@highlight

John Avlon says Giuliani didn't help Romney but did tell the truth

@highlight

Avlon: Romney chose not to run for re-election, neglected Massachusetts

@highlight

He says former governor has abandoned his top achievement, the health care mandate