Boulder City, Nevada (CNN) -- Driving across the stark Nevada desert at 75 miles an hour, you don't expect to find much.

Craggy mountains tower above scrubby brown plains with only hints of scattered green. Sometimes, a tumbleweed, like a lost extra from an old Western movie, skips across the road.

Then, off in the distance, I see something shiny. More than shiny; it is positively gleaming.

This is my first glimpse of what is billed as the largest solar cell field in the country. It is hard to say if the claim is true, since these things are being built so quickly in so many places now. But it is impressive: row after row after row of black glass panels tilted toward the sun, quietly soaking energy from the sky.

"Right now, we have about a million panels," says Scott Crider with Sempra Energy, a California-based energy resources company. "This facility will power about 14,000 average homes on an annual basis."

And that's just the start. Sempra has big designs on being a major player in the green energy game. But as the wind whips through my hair and I study the immense emptiness all around, I can't help but ask, "Why is this such a good location for such a thing?"

"First, there is a lot of available, flat land," Crider says. "Second, it is incredibly sunny. This region gets about 330 days of sunshine per year. And third, there's existing transmission lines which provide access to major markets throughout the western United States."

Which, as is so often the case, raises another question: Why are those lines way out here?

To find that answer, you have to drive 20 minutes to struggling Boulder City, population about 16,000. The town is uniquely poised to cash in on the new energy boom precisely because it was built on old energy technology; during another time when the economy and energy collided; when thousands of jobless men came here during the Great Depression to undertake an unprecedented power-generating project.

"This town is here because it was a federal reservation to build Hoover Dam."

That's Duncan McCoy. He's a member of the city council and has a background in history. He has watched his town get hammered by the recession. Tourists aren't coming to the dam just east of town like they once did. The value of local houses has plunged.

"Our local sales tax revenue is down," he says, shaking his head. "That's a major portion of our budget. Our property tax revenues are down."

But bring up the solar facility and he brightens, because it has opened a gateway from his town's past into the future. The solar plant provided several hundred temporary construction jobs when it was built, and it has created a handful of permanent positions, since.

More importantly, it is bringing desperately needed money to city coffers. Fifteen years ago, the town bought up vast amounts of land to protect itself from the sprawling reach of neighboring Las Vegas. As luck would have it, the purchase included all the land around the big transmission lines leading to the dam, and now, they are leasing that property to Sempra and others who want to tap into them.

"This year, we'll get about two-and-a-half million dollars. That's about 11 percent of our city's general fund budget," McCoy says. "That's pretty important money, and we can count on it."

They can probably count on more as well. Back at the solar field, Crider makes it clear that this is only the start. "There is strong demand for cleaner sources of energy, and we're going to help fill that niche."

Sempra is not alone. Nevada is aggressively courting more solar firms, convinced that if they can get enough into place, the whole state can benefit from being a major green energy source for neighboring super state California.

Of course, other states such as Arizona and New Mexico are thinking the same thing. For the folks in Boulder City, however, that's a worry for another day. They know their dark days are far from past. But right now, the sun is shining, and just as it was when they built the dam so long ago, that's a start.

@highlight

Boulder City, Nevada, a small town near the Hoover Dam, has declining tax revenues

@highlight

A new solar energy field nearby brought jobs, leasing fees

@highlight

Sempra Energy says rural Nevada is ideal for harvesting large amounts of energy

@highlight

Boulder City site has about 1,000,000 solar panels