(CNN) -- An American human rights group documenting widespread sexual violence against Darfuri women in Sudan and Chad has called for "vigorous prosecution of rape as a war crime."

Sudanese women in a refugee camp in southern Chad in March.

Physicians for Human Rights, based in Cambridge, Massachusetts, issued a report Sunday "documenting the scope and long-term impact of rape and other sexual violence" experienced by women who fled the war-torn Sudanese region of Darfur and now live as refugees in neighboring Chad.

The report -- titled "Nowhere To Turn: Failure To Protect, Support and Assure Justice for Darfuri Women" -- is based on interviews with 88 female refugees living in Chad's Farchana refugee camp. The study was done with the Harvard Humanitarian Initiative.

"Many Darfuri women refugees live in a nightmare of memories of past trauma compounded by the constant threat of sexual violence around the camps now," said Susannah Sirkin, the physician group's deputy director.

"Women who report being raped are stigmatized, and remain trapped in places of perpetual insecurity. There's no one to stop the rapes, no one to turn to for justice for past or ongoing crimes, and little psycho-social support to address their prolonged and unimaginable traumas."

Dr. Sondra Crosby, a Physicians for Human Rights consultant and expert in refugee trauma, said "the atmosphere of intimidation was palpable as we listened to women describing their profound suffering and fear, and their yearning to return safely and with dignity to their former lives."

Of those refugees interviewed, "32 reported instances of confirmed or highly probable rape" -- 17 in Darfur and 15 in Chad, the group said.

"Among the instances of rape reported in Chad, the vast majority (10 of 11 confirmed reports) occurred when women left the camps to gather firewood." And just over half of the 88 women interviewed -- 46 of them -- live in fear of sexual assaults around the refugee camp.

The group supports the issuing of International Criminal Court warrants against the Sudanese perpetrators.

The group also called for "legal reforms in Chad to end impunity for sexual violence," and for "effective psychosocial support to survivors." And it said increased protections are needed by police and peacekeepers, including "effective firewood patrols."

The conflict in Darfur began in 2003 after rebels in the western region of Sudan began attacking government positions. Sudan's government responded with a fierce military campaign that has led to some 200,000 deaths and forced 2 million people to flee their homes, according to the United Nations.

@highlight

88 Darfuri women interviewed in Chad described "profound" suffering and fear

@highlight

Expert in refugee trauma says "the atmosphere of intimidation was palpable"

@highlight

200,000 people have died, 2 million have fled the region since fighting began in 2003