JACKSON, Mississippi (CNN) -- It's triggered an emotional controversy.

The pardons of convicted killers by outgoing Gov. Haley Barbour has forced Mississippians to take a look at an ageless program that employed violent men -- including convicted murderers -- inside the governor's mansion and put those men on a fast track to a full pardon -- and freedom.

The program, known as the Governor's Trusty program, is now front-and-center at the Mississippi capitol. No one seems to know how long the program has been in effect, or how it got started.

"It's almost closed," said Mississippi state Rep. Bobby Moak, a Democrat who's helping to spearhead legislation to change the program and the governor's power to pardon.

"You can't go into this capitol dome and ask somebody to tell you about that particular program ... to tell you how they're (inmates are) vetted, who is chosen, why they are chosen or anything else," Moak told CNN.

What is known is that in his final days in office, Barbour signed full and complete pardons for five violent offenders serving life sentences -- including four men who had committed murder.

These men were trusties -- selected by the Mississippi Department of Corrections because of their exemplary behavioral record while in prison to work at a variety of jobs, including as servants and handymen in the governor's mansion.

CNN was able to track down one of the pardoned murderers in Mississippi. Almost 11 years to the day that he shot his wife in the back and killed her, in front of a room full of witnesses, Anthony McCray spoke with CNN's Martin Savidge.

Savidge: "What kinds of things would you do at the governor's mansion?"

McCray: "I did housekeeping. Shined door knobs. Washed cars and stuff like that. I cooked with the chef. That's it."

Savidge: "How long were you there?"

McCray: "Three years."

Savidge: "What was the change like for going from prison to the governor's mansion?"

McCray: "Well, first I had to get used to it because I had been in prison so long. I had to adjust to it, but down the road it was OK. Everybody was nice to you, treat you nice. You just do your chores."

Savidge: "Better living conditions?"

McCray: "Yes, sir.

Savidge: "You'd have your own room?"

McCray: "Yes, sir. You'd have your own room. There was six rooms. You'd have your own room. You'd get up and it's time to go to work. You eat your breakfast and go to work.

Savidge: "And this was always at the governor's mansion?"

McCray: "Yes, sir.

Savidge: "Could you leave?"

McCray: "No. you couldn't go nowhere."

That prison inmates like McCray -- who pleaded guilty in the death of his wife, Jennifer -- were afforded such a situation is the very thing that infuriates Ronald Bonds. His sister was McCray's wife, gunned down after the couple had argued at an after-hours club. Bonds helped raise his sister's two young children.

"How do you get a convicted murderer ... to go work at the governor's mansion?" he asked incredulously.

"I don't know what he could have done. You've got some folks that can do some pretty devious things to get what they want," he told CNN.

"The governor must not have no grandkids coming in ... cause I wouldn't trust them folks," added Bonds, referring to the trusties.

Barbour has defended his decision. Barbour says he believes in second chances and that men who committed crimes of passion are least likely to repeat their crimes.

"I have no doubt in my mind that these men have repented, have been redeemed, have come back hard-working to prepare themselves to go out in the world. I have no question in my life," he said in an interview with Fox News.

"When my grandchildren are over at the governor's mansion, we trust them to play with and to be looked out for by these people. If I trusted them to be around my grandchildren, I think that makes a pretty plain statement," he said.

According to the state Department of Corrections, prisoners selected for the program cannot have a drug or a sex-crimes conviction. They must also show that they are interested in bettering themselves while in prison.

Women generally are not selected to be a part of the trusty program, because the Corrections Department forbids mixing men and women together.

But opponents of the program say it shows tremendous leniency by taking violent individuals out of prison and into the confines of the governor's mansion, where they have their own rooms -- and a path to that fast track to freedom with a pardon.

"It takes 12 people to put somebody in prison and one man (the governor) gets to release him because he gave him a good car wash or served dinner right. It's wrong," says Tiffany Ellis Brewer.

One of the recently pardoned trusties, David Gatlin, was given a life sentence in the shooting death of her sister. Gatlin was convicted of shooting Tammy Brewer in the head as she held their 6-week-old son.

"It astounds me. I can't even fathom ... because he (Gatlin) lives in his mansion, and he speaks to him, and gets to sit down and talk to the governor, that this man (Barbour) doesn't take into consideration that he shot Tammy in her head with a child in her arms."

According to the Department of Corrections Inmate Handbook, found online, inmates convicted of murder, and those serving life sentences are ineligible for the program -- raising the question of how and why McCray, Gatlin and others managed to be in the program. A Department spokesperson did not return CNN's calls for an explanation.

The men are constantly surrounded by the governor's security staff at the governor's mansion -- considered a secure location. The men who are selected are put through a further background check by the Mississippi Highway Patrol, the agency assigned to protect the governor.

According to a law enforcement source, security is very tight.

"One strike and you're out. So they (inmates) are on their best behavior always. Whatever they tell the inmates to do has to be followed. They better be toeing the line," the source said. "They wouldn't choose anyone that might grab a kitchen knife and do something. They have to be people they feel they can watch."

But the program appears to give these men direct access to the governor -- a privilege that most prison inmates obviously do not enjoy.

McCray told CNN he saw Barbour practically every day.

"He'd ask me how my children were doing and stuff like that," McCray told CNN's Savidge.

"He'd ask how everybody was doing and I said everybody was doing just fine. And we'd move along. He'd go and do his work and I'd go and do my work.

"If you want to go talk to him, he'll talk to you," McCray added.

Savidge asked, "Really, you could just walk up to him and say, 'How are you?'"

"How you doing, Mr. Haley Barbour?" McCray responded. "That's it. He had his work to do, too."

McCray described the outgoing governor as "Nice ... nice ... really nice individual guy. Down to earth."

Asked if he discussed a pardon with Barbour, McCracy responded: "No. I never asked nothing about that."

"It was just assumed that eventually, by working in the mansion you'd get that pardon," said Savidge.

"Tradition," responded McCray. "That's what they call it. Before he got into office. It's been going on for years."

The Department of Corrections said research was still under way to determine how long the trusty program has been going on, but department officials could not say how many inmates have gone through the trusty program, or how many of those trusties were eventually pardoned.

But now there's a new governor in town. Former Lt. Gov. Phil Bryant was sworn in last week. Bryant has said the road to a pardon will no longer run through the Mississippi governor's mansion.

Bryant would not consent to an interview with CNN, but his director of communications said in an e-mail that changes have already begun.

"The day Phil Bryant was sworn in, the Mansion trusty program ended in its antiquated 50 year old form," wrote Mick Bullock.

"Governor Phil Bryant, on Tuesday (last week) discontinued the practice of convicts spending the night on the Mansion grounds and the tradition of pardoning the mansion trusties. Further, he is currently working towards phasing out the use of violent offenders at the Mansion."

McCray, meanwhile, says he deserves his pardon, despite only serving 11 years of a life sentence for killing his wife.

"Well, it's by the grace of God. That's what God does -- God opens doors that no man can close. I'm a child of God. That's what I believe," he told CNN.

He also says that Barbour, as governor, had the right to let him go free, as McCray put it, "When the Lord touched his heart."

@highlight

It's not clear how long the Governor's Trusty program has been going on

@highlight

Selected inmates work and live inside the governor's mansion

@highlight

Controversy over former Gov. Barbour's pardons has put the program in the spotlight

@highlight

"It takes 12 people to put somebody in prison and one man gets to release him," says a victim's relative