(CNN) -- This week's United Nations meeting could mark a turning point in the acidic relationship between Iran and the United States.

Will U.S. President Barack Obama shake the hand of newly elected Iranian President Hassan Rouhani? Will the two presidents even hold a meeting?

Those are key questions after Rouhani's "we must work together" opinion piece published by the Washington Post's website last week.

His comments have sparked optimism on the streets of Iran's capital, where residents are hopeful as they take note of their new president's unprecedented charm offensive pushing for better relations with Washington.

But the Iranian president's new approach hasn't played as well in Israel.

The New York Times reported Sunday that Israeli Prime Minister Benjamin Netanyahu is stepping up an effort to blunt Iran's diplomatic offensive, and plans to warn the United Nations that overtures toward a nuclear deal could be a trap.

Iran insists its nuclear program is for peaceful energy, but the United States and others suspect it's for atomic bombs.

The dispute about why Iran is seeking nuclear capability has prompted international sanctions and escalated concerns about additional warfare in the Middle East.

In his op-ed, Rouhani wrote that he wants "a constructive approach" between his country and the world, including about Iran's nuclear program.

"We must work together to end the unhealthy rivalries and interferences that fuel violence and drive us apart," Rouhani said.

Analysts are divided about Rouhani and his sincerity in addressing his country's nuclear program. But there's one thing all analysts agree on: the op-ed was a jumping off point for a very high-profile public relations push.

And this week, Rouhani could take things a step further.

Analyst: Rouhani needs to strike a deal quickly

In many ways, Rouhani's recent election is like Obama's in 2008: Rouhani enjoys enormous political capital, offering an opportunity to renew U.S.-Iran relations.

Rouhani overcame hard-line conservatives by campaigning as a centrist and a reformer, using a "hope and prudence" slogan.

To keep hard-liners at bay, Rouhani now must deliver something -- namely, economic relief as Iran strains under global sanctions -- or his critics will prevail as they did against Obama in 2009 when his own venture on U.S.-Iran diplomacy foundered, one analyst said.

"Now the roles are reversed: Rouhani needs to strike a deal quickly," said Trita Parsi, president of the National Iranian American Council, who authored "A Single Roll of the Dice: Obama's Diplomacy with Iran."

This week's U.N. General Assembly meeting "could be quite decisive," Parsi said.

"That's going to be the moment where the two sides have to invest the political capital needed. Otherwise it will go nowhere. It's going to be costly politically to strike a deal. There's going to be critics on both sides," Parsi said. "There is a need for a huge dose of political will to be injected into the process."

Will the two presidents meet?

Obama delivered a speech Tuesday at the U.N. General Assembly, and Rouhani is scheduled to as well. But it's unclear whether the two presidents will meet.

Ben Rhodes, a White House deputy national security adviser, said Monday that no meeting has been scheduled with Rouhani for this week, but the White House remains open to diplomacy that serves American interests.

Elliott Abrams, a senior fellow at the Council on Foreign Relations, said Obama shouldn't meet with Rouhani during the U.N. gathering, though shaking hands in a corridor would be appropriate.

Abrams says that's because while Rouhani is Iran's president, he is not the country's leader. Ayatollah Ali Khamenei is the supreme leader of Iran.

"They are not counterparts, they are not equal," said Abrams, who also supervised U.S. policy in the Middle East under former President George W. Bush. "So for the president to meet with him, I think confers too great a recognition on him."

Abrams said Rouhani was a skilled political tactician when he was the country's chief nuclear negotiator from 2003 to 2005.

"Remember this is the guy -- Rouhani -- who wrote several years ago with pride how he tied us up in negotiations while the nuclear program (of Iran) was going forward," Abrams said. "So we should approach this with skepticism."

Asked Monday whether the two presidents may just shake hands, Rhodes replied, "I don't think anything will happen by happenstance on a relationship this important."

White House weighs in

The Obama administration has welcomed Rouhani's published column.

"But the fact of the matter is actions are what are going to be determinative here," White House spokesman Josh Earnest said. "The Iranians, for a number of years now, have been unwilling to live up to their obligations to the international community as it relates to their nuclear program."

The international community's economic sanctions against Iran has "taken a significant toll on their economy and put pressure on them to come back to the bargaining table," Earnest said.

He did acknowledge that Rouhani now enjoys a window of opportunity against his hard-line adversaries at home, but Iran must "demonstrate their seriousness of purpose" and show "their nuclear program is for exclusively peaceful means."

For now, Obama's schedule this week doesn't contain any meetings with Rouhani.

Asked if the United States is willing to ease sanctions against Iran, Earnest said such economic pressure "is what has brought the Iranians to the table."

Optimism in Tehran

On the streets of Iran's capital, many appear to be hopeful that their president's overtures toward the United States are a good sign. But they're also realistic that 34 years of mistrust will not disappear overnight.

"I am 99% sure things will be better," said Tehran resident Syed Ali Akbar. "I can just feel it."

Barber Hassan Ahmadi said he wants sanctions to end.

"I want to see better relations," he said, "so we can live a little easier."

Ali Hayati wasn't even born the last time Iran and the United States had diplomatic relations. But now, he feels like there's a chance for change.

"I want to see Mr. Rouhani and Mr. Obama sit in front of each other and speak about life," he said.

At the House of Persian Carpets in the famous Tehran Bazaar, merchant Sadegh Kiyaei said he's optimistic.

"We believe that two nations -- Iran and America -- they realize that they need each other. They like each other," he said. "And they feel that it's the right time to get together and to start talking at least."

CNN's Reza Sayah in Tehran, Kevin Liptak in Washington and Catherine E. Shoichet in Atlanta contributed to this report.

@highlight

White House official: Obama still has no meeting scheduled with Rouhani

@highlight

The Iranian president's comments spark optimism on the streets of Tehran

@highlight

New York Times: Israel's prime minister believes the overtures could be a trap

@highlight

Newly elected Rouhani "needs to strike a deal quickly" with the United States, one analyst says