(CNN) -- Two high school students -- managing editors at their school newspaper in Ann Arbor, Michigan -- wrote a distressing op-ed that appeared recently in The New York Times.

Madeline Halpert, a junior, and Eva Rosenfeld, a sophomore, had undertaken a Herculean task. After bonding over the discovery that both were being treated for depression, they linked up with other journalism students and gathered highly personal stories about mental illness from teenagers in their school district.

Incredibly, all their subjects agreed to be identified. No unnamed sources. No pseudonyms. These were reporters who did their homework, and subjects who saw the merit of going public about their experiences with everything from depression and anxiety to eating disorders and drug abuse.

The two student editors were gearing up to devote an entire edition of the paper to telling the mental health stories of their peers.

And then, the head of their school put the kibosh on the project. The stories were not to be published lest they trigger bullying or further mental health problems for the afflicted students.

I read the two girls' story the morning after a remarkable night of witnessing just the opposite -- the progress that comes when school administrators encourage their students to speak and write openly about mental illness.

High school students in the tiny New England town of Ledyard, Connecticut, population 14,687, for six years have been competing in an essay contest called "Breaking the Silence about Mental Illness." The project got started when two Ledyard high school health teachers teamed up with the leader of a local mental health support group to invite kids to compete for annual prizes of $250, $150 and $100. The prize money comes from the local chapter of the National Alliance on Mental Illness.

I was one of four judges, which has given me a ringside seat to this work in progress at changing attitudes. Importantly, if you include our contest coordinator who oversees the project, three in our group of five are mental health professionals who can spot when an essayist hasn't gotten the facts right, or displays red flags that should be brought to the attention of a parent. All of us have a connection to mental health issues, whether it is in a lifelong professional devotion, our own mental illness, or the care of a loved one.

On Wednesday night, we honored our latest crop of courageous teenage writers in a meeting room at a state mental health center in Norwich, Connecticut.

Ben Coffing read his third-place essay, "ADHD Though My Eyes" and taught the audience a little something about the pain of feeling different.

"Imagine being called SPED in the hallway just because you have to work harder at school than someone else," he said, referring to the derogatory slang that some students throw at special education kids. As far back as Ben can remember, kids thought he was weird because he was "a little bit different." But he also thinks having ADHD has made him "a very caring person when others have a problem or issue."

I mean, can you top that, or what?

Molly Barnett read her second-place winning essay, "Breaking The Silence About Mental Illness." "Try to put yourself in their shoes," she said of people struggling with a mental health condition. "Imagine going through each day, each hour, fighting the voices screaming in your head, as if you have schizophrenia."

Kathleen Ferry, the first-prize winner, began to sob just a few paragraphs into reading her gripping essay about what she called the "alternate reality" of two weeks in a psychiatric hospital.

I offered to read the rest, and Kathleen stood beside me as I shared her words about "going from ER visit to ER visit" in her struggle with a worsening depression. After her last line -- "I am living proof that things do get better; all you need is guidance" -- Kathleen got a standing ovation from the audience of parents, siblings, friends and local residents.

And then she posed for a picture with her $250 check, and took a seat next to her mom, who wrapped her arms around Kathleen and planted two big kisses on her right cheek. Parents or guardians of our winners always show up for the big night.

The contest drew 36 entries in 2008, its launch year. That inched up to 40 in 2009 and then a record-breaking 92 by 2013, just months after students in another Connecticut school got a crash course on mental illness in the Sandy Hook massacre. This year, 149 Ledyard students submitted essays -- another record. The wisdom, honesty and emotion of the entries compounds with each cycle.

Mental illness in children: Where to turn

What's always striking is how wide a population is affected by mental illness in such a tiny community. The two student editors in Ann Arbor observed the same thing on a larger scale.

Cheryl Jacques, an essay contest judge and executive director of the Southeastern Mental Health Authority, a division of Connecticut's Department of Mental Health and Addiction Services, said kids suffering with mental illness are craving information that can help them make sense of what they're feeling.

Ann Arbor, consider the great results of the open conversation about teenage mental health in Ledyard. Your high school editors are on to something.

@highlight

Two high school students tried to tell stories about teen mental illnesses

@highlight

Susan Antilla: Schools need to have open conversations about mental health

@highlight

She says kids suffering from mental illness crave information that can help them

@highlight

Antilla: A town in Connecticut has seen good results when it fosters discussion