Washington (CNN) -- In one of the most immediate consequences of the pending spending cuts, the Federal Aviation Administration has informed contractors that -- lacking any last-minute agreement -- the agency will move Monday to close some 168 contractor-staffed air traffic control towers nationwide on April 1, and another 21 towers by Sept. 30, industry officials tell CNN.

All of the control towers are at small- and medium-size airports, but together they handle about 5.8% of all commercial airline traffic, and considerably more business and private airplane traffic.

The cuts will not force the closure of the airports, because aircraft can land without air traffic control help, and some operations can be switched to other FAA facilities.

But airport authorities say the move will eliminate one level of safety at affected airports and will reduce the efficiency of the entire airspace system.

The FAA's first concrete action to address the $85 billion in spending cuts -- known in Washington as the sequestration -- is aimed at three contractors. While the FAA uses its own workforce of some 14,700 controllers to staff about 280 control towers at major airports, it contracts with three companies to staff roughly another 250 towers, generally at smaller airports.

Spending cuts threaten military town's business

Representatives of those companies told CNN the FAA has notified them verbally that they will be receiving written notice by Monday about the pending tower closures.

"To us and our people, it's extremely significant," said Shane Cordes, CEO of Midwest Air Traffic Control Service, which provides controllers to towers in about 23 states in the East, Northeast, Great Lakes and central regions of the United States.

"We're talking not only about a loss of jobs but, from my perspective, a negative impact to the safety and efficiency of the national airspace system," he said.

Cordes said the FAA's contract tower program "has been repeatedly lauded by the (DOT's) office of inspector general as a cost effective and safe program." The program "enhanced the FAA's attempts to be fiscally responsible while remaining operationally safe and efficient," he said.

In addition to the contract towers, the FAA has said it is contemplating closing 49 FAA-staffed towers. And it has notified most of its 47,000 employees of the possibility of furloughs, expected to be one or two days every two-week pay period.

Spencer Dickerson of the U.S. Contract Tower Association, an airport industry group, said contract towers are taking a disproportionate brunt of the closures. In addition to the 168 towers to be closed April 1, some 16 towers that are operated on a cost-sharing basis with other governments, and five operated with the Air National Guard, will be closed Sept. 30.

"We're very discouraged and we still think that the Department of Transportation and FAA ought to scrub the budget harder to find savings that don't affect the control towers," Dickerson said.

Budget cuts would hit private air traffic in effort to spare airlines

"Will it be unsafe? No. They'll figure it out, but are there concerns about safety? Absolutely. Are there concerns about efficiency? Absolutely. Is this a job killer? Absolutely," Dickerson said.

"It's unprecedented that we're going to turn the lights off on 168 towers on April 1, and we don't have any information from the FAA on how that's going to work," he said.

The FAA targeted airfields with fewer than 150,000 operations -- an operation is a takeoff or landing -- or 10,000 commercial operations in a year. The agency said it is open to reconsidering closures on a "case by case" basis, but would have to offset any changes with other spending cuts.

Congressional Republicans have criticized the planned tower closures, saying the administration is "creating alarm" as a negotiating gambit.

In a statement, three Republicans said, "The agency is well positioned to absorb spending reductions without compromising the safety or efficiency of the National Airspace System." The statement was released by House Committee on Transportation and Infrastructure Chairman Bill Shuster, R-Pennsylvania, Senate Commerce Committee Ranking Member John Thune, R-South Dakoka, and House Subcommittee on Aviation Chairman Frank LoBiondo, R-New Jersey.

Wes Cozart, head of Robinson Aviation (RVA) Inc., which staffs control towers in the FAA's Southern and Southwest regions, said he is "saddened" by the pending closures. Cozart said an FAA contracting official gave him notice that it intends to close 77 of his towers, jeopardizing the jobs of more than 400 of his employees.

"We're not sure how the process worked to get to this point, so I really can't comment on that. We really don't know. If they had cut 20%, maybe that would be understandable. But it looks like they cut almost the entire program out," Cozart said.

"We're hopeful that somebody will come to a conclusion that changes this," Cozart said. "Personally, I'm not hopeful that they'll make it."

"I'm hopeful," he said, correcting himself. "But I'm not confident."

Spending cuts: When they'll really bite

@highlight

Agency makes contingency plans over spending cuts

@highlight

Control towers at dozens of airports may be closed

@highlight

Most are small or medium, operated by contractors

@highlight

FAA informs its staff of possible furloughs