(CNN) -- There are times when political ambition spurs political leaders to reach new heights of courage and creativity. To date, the Ebola outbreak of 2014 is not proving to be one of those times.

By chance, the deadly infection first arrived on American shores in two states, Texas and New York, where powerful governors are each nurturing dreams of the presidency and eager to posture as men with the right stuff to lead the nation.

But Rick Perry in Texas and Andrew Cuomo in New York are both being tripped up by a dilemma that has bedeviled recent presidents: They are trying to govern an irritable, politically polarized electorate that demands and rewards certainty and bombast from its leaders, even in situations that cry out for flexibility and calm.

Forced to choose between narrow political advantage and the broader public good, Perry and Cuomo both showed they are willing to take the easy way out.

From the very start, it's been clear that the only logical way to stem the Ebola crisis is to contain and control the disease at its source. That means getting medical materials and personnel to the West African nations of Liberia, Sierra Leone and Guinea without delay -- battling the virus overseas so we don't have to contend with it here.

That's a tricky, complex logistical task. Even before the Ebola outbreak, all three nations suffered from poverty, civil wars, rickety infrastructure and a weak health system. Aid workers from America and other nations are frantically trying to build a public health system in places where none existed before (in the hard-hit Bomi region of Liberia, for instance, there are only two doctors for 89,000 people).

The virus could conceivably overwhelm the heroic efforts under way. The World Health Organization estimates that the three affected countries already have 10,000 confirmed, probable and suspected cases of Ebola -- but that number could explode to as many as 10,000 new infections per week by the end of this year. In addition to causing a global humanitarian crisis, an epidemic of such proportions would be far more likely to spread to Europe and the Americas, which to date have treated only 18 Ebola patients.

The simple-minded reaction here has been to propose banning travel to and from the affected countries and quarantining anybody entering the U.S. from those places. But that, according to health experts, would be a disastrous mistake.

"We have been reiterating at every opportunity that we do not recommend travel and trade restrictions. We need outsiders to get in to combat this outbreak," says Gregory Hartl, a spokesman for WHO. "We need expert logisticians, epidemiologists, communications experts. If the flights are being cut off they can't get in."

But the men who would be president are responding to very different considerations than the health experts are.

"This is all hands on deck," Perry declared at a press conference on October 1, shortly after the news that a Liberian man in Dallas, Thomas Duncan, had been diagnosed with Ebola. "Professionals on every level of the chain of command know what to do to minimize any potential risk to the people of Texas," Perry said, seeking to project an image of quasi-military efficiency that turned out to be a mirage.

Duncan's death was followed by the news that two nurses attending him also contracted the virus -- and had entered the dangerous, contagious phase of the disease while traveling outside of Texas. Reporters soon discovered holes in Perry's chain of command. At Texas Health Presbyterian Hospital, where Duncan succumbed, a nurse said that boasts about training and preparedness were a myth:

"We never talked about Ebola, and we probably should have," said one nurse, according to the Texas Tribune. "They gave us an optional seminar to go to. Just informational, not hands on. It wasn't even suggested we go. ... We were never told what to look for."

Perry ended up apologizing for his state's shortcomings -- and, in a crucial concession to the politics of the situation, reversed an earlier position and called for creation of a no-fly list and suspension of travel to and from Ebola-struck countries.

In New York, medical authorities handled the state's first and only case of Ebola more effectively than in Texas -- but that didn't stop Cuomo from doing a flip-flop of his own on the issue.

About a week after a courageous physician named Craig Spencer returned from helping Ebola victims in Africa, he developed an elevated temperature -- one sign that the virus may be present -- and was transported to Bellevue Hospital, one of the 11 city-run hospitals in New York City.

Cuomo, along with New York Mayor Bill de Blasio, told New Yorkers to be calm and staged photo ops of himself riding the subways -- something Cuomo almost never does -- to show the public that the chances of being infected with Ebola through casual contact are slim to none.

But the next day, Cuomo and his New Jersey counterpart, Gov. Chris Christie, announced without warning that any health workers arriving at New York-area airports who had dealt with Ebola victims will be held in quarantine for 21 days, the incubation period of the virus.

The decision, made hastily, went into effect immediately.

"Since taking office, I have erred on the side of caution when it comes to the safety and protection of New Yorkers, and the current situation regarding Ebola will be no different," Cuomo said.

That was a 180-degreee spin from October 7, when the governor said he would oppose restrictions on travel. "I don't think it works mechanically to say, 'Shut off entry from any country,' because what happens is you just fly to another country and you then you come in from that country," he said back then.

What changed in the meantime? Cuomo, running for re-election on November 4, has been hammered by his Republican opponent, Rob Astorino, on New York's Ebola preparedness. And the governor's not-so-secret presidential hopes also depend on selling an image of forcefulness and strength to the nation -- an image that could suffer if he seems "soft" on border control.

But the story did not end with this weekend's stepped-up quarantine. Sunday night, amid intense criticism from medical professionals -- including Kaci Hickox, the nurse quarantined in New Jersey under that state's rigorous new protocols -- Cuomo once again changed course. He backed down from the strict mandatory quarantine policy he'd just instituted, according to an article in The New York Times, and adopted a less severe one -- allowing home quarantine for those not showing symptoms of Ebola and compensating them for lost income.

Make no mistake about it: Forcing volunteers to sit in a quarantine center for three weeks -- Hickox said she was confined to a makeshift tent and treated like a prisoner -- will discourage, and in some cases halt, the desire of good-hearted professionals to volunteer to fight the war against Ebola. Cuomo's hastily modified quarantine-at-home policy is less harsh, but could have a similar chilling effect. Christie continues to embrace the original, more severe quarantine.

The great irony is that the politicians, driven by ambition, are going to contain, quarantine, hassle and discourage the people who really do have the right stuff: men and women willing to put their lives on the line to save the rest of us.

@highlight

Errol Louis: Texas, N.Y. governors took easy way out on Ebola returnees

@highlight

He says medical experts' ability to fly in and out of W. Africa is key to stemming Ebola

@highlight

He says Perry blustered about Texas' ability on Ebola, Cuomo played politics on quarantine

@highlight

Louis: Effect will be to discourage generous health workers who are best hope