San Diego (CNN) -- President Obama's critics have the right to be upset by his decision to shield from deportation, at least temporarily, some groups of undocumented immigrants. But they don't have the right to twist the facts, use inflammatory language and create confusion.

They're the ones who are most confused. They don't appear to have the foggiest idea how the process would work. That's their own fault. They should have paid closer attention two years ago, the last time the administration did something like this, with the program known as Deferred Action for Childhood Arrivals.

Simply put, Obama is using the executive power granted to him by the Constitution to reshuffle the immigration enforcement deck and prioritize deportations so that, for instance, the undocumented parents of U.S.-born citizens get a temporary "deferred" status and thus can't be removed for three years.

But you should read the fine print. There are a lot of strings attached, and there is no guarantee that some of these people won't be deported. It's a crap shoot for undocumented immigrants, which explains why only a little over half of the young people who were eligible for DACA took the risk and applied for it, according to the Migration Policy Institute.

No one can say what will happen when Obama's new deferment expires. A lot will depend on the political mood at the time, and what the new president will decide, in 2017, to do with immigrants who are holding these deferments. There could be extensions offered, or it could be the end of the road. If it's the latter, a large number of undocumented immigrants -- media reports have put the potential figure at 5 million, although the actual figure is likely to be much lower, given the response to DACA -- will be deportable once again.

The administration has said that the new program -- which it is calling DAPA, Deferred Action for Parental Accountability -- would work much the same way as its predecessor, DACA. Obama announced that program in June 2012 and it took effect about six months later. Under DACA, undocumented young people brought here as children can apply for a two-year "deferred action" that lets them remain in the country temporarily without fear of being deported.

Yet there is a catch -- when you deal with government, there's always a catch. I'll explain what it is in a minute. But first, let's listen to what has been coming from the sky-is-falling chorus in the Republican Party. Obama's conservative critics really do say the darnedest things.

A recurring theme is that Obama is acting outside the law, rewriting the law or ignoring the law.

When I asked one conservative commentator to explain, he said: "Well, there was a law on the books that said a person can't be in the country illegally? Now they can. Because Obama changed it."

Nonsense. He did no such thing. Obama merely applied to the enforcement of immigration laws something that all police, prosecutors and judges have: discretion.

Now it turns out I have to explain this simple concept to Obama himself. This week, the President responded to hecklers at a speech in Chicago who were demanding that he ease up on deportations by insisting that he had just taken action to "change" the law.

Meanwhile, law professors and other legal experts have come forward to say that Obama did not, in fact, change the law and that he has the Constitution on his side when it comes to using executive power.

Conservative critics are wrong that he went so far as to "change" the law, and Obama was wrong to agree with them.

Other critics went even further and suggested that Obama wasn't just changing the law but actually "canceling" it.

More nonsense. No president can cancel a law, or repeal a law, or strike down a law. Only Congress can do that.

But this brings us back to the "catch" in Obama's executive action. Those of us who have interviewed DACA recipients and studied how that program works will find it difficult to take seriously the concerns raised by critics who are unfamiliar with the subject matter.

You see, while the administration hasn't yet released the procedures for applying for DAPA, White House officials have said that the new program will be modeled on DACA. This means that qualifying for this temporary reprieve from deportation won't be a walk in the park.

Here's what happens under DACA: The first thing that an undocumented immigrant must do is contact the friendly neighborhood office of U.S. Citizenship and Immigration Services and declare that he or she is in the country illegally. Immigrants who do that are then subjected to background checks and fingerprinted. Files are created with their names on them, where the government will keep their home addresses, the names of their employers, if any, the names of everyone else who lives in their houses, etc.

Then each application is considered by USCIS officials, and either approved or denied. If the application is approved, under DACA the immigrant could remain in the United States for three years -- unless the policy is rescinded by a future president. If it is denied, there is no appeal and the government has all of the immigrant's personal information. So much for staying in the shadows.

So tell me again how Obama is "canceling" existing immigration law. If that is the case, then how it is that the whole process for obtaining deferred action for DACA -- and likely for DAPA too -- begins with undocumented immigrants, in essence, surrendering to authorities? If immigration law is really no longer in effect, why do these people have to bother turning themselves in at all, getting fingerprinted and all the rest?

Also, if immigration law is really being repealed, then under what authority will immigration agents be deciding the fate of DAPA applicants? In fact, if the immigration law is canceled, wouldn't these agents be out of a job? After all, once you strike down a law, it's difficult to enforce it.

You think all this makes for a sweet deal for the undocumented? Not exactly the free ride that Obama's critics think it is -- that is, if they were thinking at all.

@highlight

Navarrette: Critics can disagree with Obama immigration action, but should get facts right

@highlight

He says use of executive power to defer deportations is not "changing" or "canceling" the law

@highlight

He says under DACA, and likely DAPA, immigrants turn selves in, risk deportation if rejected

@highlight

Navarrette: It's no free ride for immigrants; conservative critics wrong to suggest it is