(CNN) -- Legend has it that when the surrealist painter Salvador Dali had to pay for an expensive restaurant meal he would twizzle his famous mustache and arch his eyebrows before beguiling his host into letting him dine for free.

The crafty Catalan, it is said, would write out a check for the required amount and sign on the dotted line. Just before handing the payment over, however, he would pull the piece of paper back and pen an elaborate doodle on the opposite side.

"An original from the master Dali. I will never cash this check," would inevitably be the reply from the starstruck restaurant owner thrilled to be gifted an artwork that would doubtless be of greater value than the amount on the check itself.

By perfecting the magic checkbook technique, Dali would rarely, if ever, have to pay for his dining habits.

People might not hoard the recently revealed 100 Norwegian Krone ($15) banknote in the same manner -- but it too is a work of art in its own right.

On one side, a giant viking boat makes progress upon a tranquil sea, sails blowing in full glory. On the other, an abstract interpretation of a pixelated ocean ebbs and flows like a game of watery Tetris.

Norges Bank, the Norwegian central bank, held a competition to design the front and back of the new note, which will come into circulation in 2017. The winning designs, announced earlier in October, were submitted by Norwegian graphic designers The Metric System -- Terje Tonnessen and Snohetto.

According to Norges Bank, the winning designs display "artistic flair" that emphasize Norway's close relationship with the sea, but are also "suited to the incorporation of necessary security elements." These will include machine-readable elements and anti-counterfeiting measures.

Such high-tech accoutrements are now a common feature of the most modern banknotes. But art, the aesthetic and items of cultural significance are also a major consideration when designing the latest money.

According to the curator of the British Museum's Modern Money Collection, Thomas Hockenhull, the art by itself isn't a particularly reliable security feature given the "advancement of scanning and printing technology."

"Those are maintained primarily to preserve public confidence in the note," Hockenhull said.

But, he added, when combined with complex measures like watermarks, moving color elements and the latest in polymer and paper technology, a detailed image can make forgery more difficult.

The Bank of Canada has produced bills in recent years that illustrate this elaborate synergy. Holographic and transparent features accompany state-of-the-art calligraphy that officials claim is nearly impossible to duplicate.

Instead of using paper, the newest Canadian notes are made from a polypropylene substrate and feature a large transparent window through which you can see a metallic portrait above a metallic building. Beneath the portrait the word "Canada" is also transparent and is slightly raised.

Other security features include a smaller frosted window with a maple leaf design, which has a transparent outline and contains hidden numbers only visible when lit up with a small light.

Similar plastic and transparent elements can be found on the latest colorful currency from the likes of Guatemala, Australia and Nicaragua, Chile and Malaysia.

The United States and United Kingdom, meanwhile, are at the forefront of the most complex paper currencies out there, Hockenhull said.

The new British £50 note includes raised ink, contains a metallic thread embedded in the paper, and has a number "50" that appears in red and green under ultraviolet light.

Among other features, the newest U.S. $100 bill has a 3-D blue ribbon woven into the paper, next to Benjamin Franklin's face. When the note is tilted, images of bells and the number 100 move from side to side, and up and down. The bill also has raised print, a color-changing number 100 in its bottom right corner, and microprinted text on Franklin's collar -- all carefully incorporated to make forgery more difficult.

But complex though these designs may be, to our knowledge, a method to counter Dali's magic checkbook has yet to be devised.

Look through the gallery at the top of the page to view some of the best examples of banknotes that mix the aesthetic and the latest in anti-counterfeiting measures.

@highlight

Latest Norwegian banknotes will incorporate complex artwork and designs

@highlight

Designs chosen in part for their ability to cater for complex security features

@highlight

Security features built into elaborate designs make notes harder to counterfeit