Cholera, a deadly diarrheal disease, has been rare in the United States since the early 1900s, but in the developing world, where access to clean drinking water is more difficult, it is still a serious problem.

Dr. Rita Colwell has studied cholera for nearly 50 years, and has written more than 700 publications and received at least 40 honorary degrees. The former director of the National Science Foundation and former president of the American Association for the Advancement of Science, Colwell is currently a distinguished professor at both the University of Maryland, College Park and Johns Hopkins University's Bloomberg School of Public Health.

CNN spoke with Colwell about her research and how she and her team helped develop an incredibly simple method to help the people of rural Bangladesh have cleaner, safer drinking water. The following is an edited portion of that interview.

A medical miracle: Saving cholera victims

CNN: Tell me about cholera.

Colwell: Cholera is ... transmitted by water. The bacteria that causes the disease ... (naturally occurs) in the aquatic environment. That's a discovery that my laboratory made some 25 to 30 years ago.  When ingested, it attaches to the intestine and a toxin is most frequently produced.  The result is severe vomiting, diarrhea and if a person doesn't have their fluid replenished, dehydration and eventually death (results).

CNN: Is there an antibiotic for cholera?

Colwell: You can take an antibiotic. It's generally susceptible to tetracycline, a broad-spectrum antibiotic, and other antibiotics.  There's been a discovery some years ago of what's called oral rehydration therapy, ORT, whereby a mixture in water of table salt, bicarbonate of soda and table sugar is mixed in appropriate concentration and sipped.  This replenishes the fluid loss and is very effective in treating cholera.

CNN: That's interesting that it doesn't seem people die from the bacteria attacking their systems, but rather the dehydration effects.

Colwell: That's predominantly the case.  The toxin can have other effects but mainly it's the sodium-potassium transport mechanism that gets interfered with. Bangladesh has two major epidemics every year: spring, which is right about now, and fall: September, October, November. This occurs year after year with almost no exception due to the fact that, as we have shown, the bacteria are associated with plankton.  As the plankton become abundant, they bloom in the spring and fall, after which the cholera bacteria become abundant in the water and the disease occurs.

CNN: Are cholera outbreaks connected to global warming?

Colwell: Temperature is a major regulator of the abundance of the cholera bacteria.  The study that was carried out by Carla Pruzzo in Italy, with which we collaborated, was an analysis of plankton samples that had been stored for the past 40 years at a marine laboratory in England. They'd been collecting samples every year for 40 years and so we analyzed the samples, and what Dr. Pruzzo and our team found was that as the water temperature is increasing, the numbers of vibrios (small, comma-shaped bacteria) and the number of cases of diseases caused by vibrio, namely cholera, have been increasing.  It has been directly related to the warming of the sea temperature.

CNN: Can you describe the method you developed in Bangladesh to control cholera?

Colwell: Having done an enormous amount of research showing the ecology of the cholera bacterium, (we found) it was definitely tied to plankton.  The cholera bacteria is part of their natural flora.  It occurred to us that by simple filtration to remove the plankton, we would filter about 99% of the bacteria, leaving just a few suspended in the water. So then, we hypothesized, we could reduce cholera significantly by educating women who collect water for their household to use cloth filtration.

Probing the mysteries of probiotics

We found that sari cloth that comprised the dresses that women wear, if folded about four times, gave a very nice mesh filter, with small enough pore size to trap plankton.  A three-year study was funded by the National Institutes of Health and Nursing Institute that involved about 50 villages and over 150,000 people, and sure enough, by having women filter their water collected from the ponds and rivers every day, we showed about a 50% decrease in cholera.  A very simple step, and very important.

CNN: How did you get the message out to everyone that they should be doing this?

Colwell: We worked with the women in the villages and we trained them, essentially as extension agents ...  to go to the villages every week with a meeting for the women of the village to explain to them why it's good to filter, how to filter, and the difference it would make to the health of their children. So with this constant reinforcement, we found that indeed, they did filter because they found that their children didn't get sick.  And that, of course, was a big incentive.  The project ended about six years ago, but we went back to see if they were still filtering, and we found 75% of them were.

CNN: So, do you think that clean water is the key to controlling waterborne diseases like cholera?  Or, do you think it's getting people the education about better sanitation?

Colwell: It's a combination of sanitation and safe water. ... We do not have cholera in the United States.  We have not had it since about 1930 when filtered, chlorinated household water was made available.  Similarly in Europe, back in the 1890s and 1900s, cholera epidemics were devastating.  In fact, cholera played into outcomes of major wars when troops became debilitated by the cholera bacterium.  So, a combination of proper sanitation and filtered, chlorinated, safely distributed water-- not just cholera, but at least two dozen diseases transmitted by contaminated water can be prevented.

CNN: What could we do as a nation to help this effort to getting education about sanitation and clean drinking water to more developing countries?

Colwell: I think education for both proper sanitation and for filtering water is very badly needed. I also work with Safe Water Network, which is a philanthropic organization that delivers kiosks ... that provide filtered water on a larger scale.

We need to think of water availability depending on the environment and the conditions on which the water can be made available. It's not all one-size-fits-all.  For example, filtration in a major city probably isn't as effective as chlorinating the water and having it distributed safely, which many cities in developing countries do. ... But for the remote villages, they don't have that kind of access, so their simple filtration is really, really helpful.

These women changed medicine

@highlight

Rita Colwell has been studying cholera for half a century

@highlight

Her team discovered an innovative way to control the disease in Bangladesh

@highlight

Research has shown cholera is related to global warming, she says

@highlight

Clean water availability is not "one-size-fits-all"