(CNN)  -- Earthquake scientist James Roddey is known up and down the Oregon coast as the "prophet of doom" -- a nickname that seems even more ominous after the disaster in Japan.  As an earth science officer for the state, Roddey educates communities on how to prepare and survive the earthquake and tsunami that he predicts is virtually inevitable.

"They want to know more. They want to know what they can do," said Roddey, who spoke to CNN on Monday shortly before his scheduled appearance at an Oregon school near Gold Beach.   He's the bearer of bad news. Very bad news: there's a one-in-three chance that a major quake will strike the region by 2061, according to Oregon State University scientists.

The risk lies along a fault line that extends near Newport, Oregon, to Northern California.

Despite those odds, many Oregon coast residents are nonchalant about the threat of a catastrophe on the scale of the temblor that struck Japan last week.

"A lot of people don't even realize that we get earthquakes in Oregon," Roddey explained.  "This used to be the place where Californians moved to get away from earthquakes."

As Japan reels from what its prime minister called its "toughest crisis" since World War II, emergency preparedness officials in the United States around the world are paying close attention. Friday's 9.0-magnitude quake was the strongest in recorded history to hit Japan, according to U.S. Geological Survey.

"What you are seeing in Japan today is what you will also see in our future," said Oregon State University geologist Robert Yeats. "Except they're better prepared than we are."

Disaster preparations have been permanently imprinted on Japan's collective memory since the terrible Kanto earthquake in 1923 killed more than 140,000 people.

The breathtaking damage from this most recent quake speaks to how bad the toll could have been -- if not for preparation.

"On a scale of one to 10, with 10 being the most prepared and zero being the worst-prepared ever, you can put Haiti at zero, you can put Japan at eight and you can put the U.S. at five," said Erwann Michel-Kerjan, managing director of the Risk Management and Decision Processes Center at the Wharton School.   A nation's mindset surrounding disaster preparedness is directly linked to disaster frequency, say experts. But even in California, where so many quakes have occurred, less than 10% of residents have earthquake insurance, Michel-Kerjan said.

Nuclear power plants

Last week's earthquake and subsequent tsunami triggered fires, explosions, and radiation leaks at Japan's nuclear power plants.  That has raised concerns of a far more dangerous radiation threat in Japan.

It has also prompted a discussion in the United States and around the world about nuclear power safety.

Some U.S. lawmakers are calling for new nuclear plant projects to be put on hold until regulations can be examined.

The United States nuclear reactors operate at 65 plants across the country. In addition, there are dozens of reactors, weapons labs and other nuclear facilities associated with national defense. Most of the civilian plants are located near major population centers.  See locations of U.S. nuclear power facilities

There hasn't been a new nuclear plant commissioned and completed in the United States since the Three Mile Island meltdown in Pennsylvania in 1979, although dozens that were approved at the time have come on line.

Federal regulators are reviewing 20 applications to build nuclear plants, and several existing facilities have applied to extend their operating licenses.

Typically, nuclear power plants are designed to withstand natural disasters, including earthquakes.

Perhaps the most vulnerable U.S. nuclear power plants are two located in the quake-prone state of California.  The Diablo Canyon nuclear power plant near San Luis Obispo and the San Onofre station, north of San Diego, were built along Pacific coast near the San Andreas Fault.

Opinion:  Japan and the future of U.S. nuclear power

Those plants were built to withstand a magnitude-7.5 earthquake, said Robert Alvarez, a nuclear expert at the Institute for Policy Studies and a former senior official at the U.S. Department of Energy.

If there was a nuclear catastrophe, health officials warn that there are "substantial gaps" in how prepared the United States is for a "major radiation emergency event," an American Medical Association journal reports "

Preparing for the tsunami threat

Back in Oregon, the shoreline community of Cannon Beach has proposed construction of a tall, reinforced municipal office building that would double as a tsunami shelter.

"You're looking at a $4 million building in a community that's only 1,700 people," said Roddey. "A small community like that can't raise the money by themselves."

Cannon Beach is seeking federal money to help fund the project, which may include deep foundations and seawalls to protect against the ocean's crushing forces.

Would U.S. taxpayers -- especially with the ongoing budget battles in Washington -- be willing to shell out more money to save lives and limit property damage from natural disasters?

The world became acutely aware of the widespread damage a tsunami can cause in December 2004, when a massive quake triggered a wave that swept across the Indian Ocean, wiping out villages in several south Asian countries, killing over 200,000 people.

Since then, Asia had taken big steps to improve its warning systems, the United Nations said.

In the United States, budget cuts could directly effect the country's tsunami preparation system.  A spending plan passed last month by House Republicans allegedly would result in cuts to the National Weather Service's Pacific Tsunami Warning Center. Republicans deny their budget would specifically reduce the tsunami center.

Whatever the case, some argue that cutting the center would be shortsighted.

The American Society of Civil Engineers says that paying for resilient critical infrastructure before a disaster strikes saves money and lives in the long run, according to its 2008 report.

"Consider that an additional $2 billion investment in the levees surrounding New Orleans may have reduced the tragic loss of life caused by Hurricane Katrina," the report said.

Making safer buildings and bridges

In Japan, engineers must adhere to strict construction codes aimed at making structures quake-resistant.

"The Japanese spend more of a premium on the construction of their buildings," said professor Stephen Mahin of the University of California, Berkeley.

"When you buy a condo in Japan, the owners and engineers will make a big point of the seismic safety of a building. Here in the United States, that kind of thing may not even be mentioned."

In the western United States, public buildings that are deemed critical have been strengthened against quakes in major cities from Seattle south to San Diego and east to Salt Lake City, he said.

Major universities, including the University of California, have spent millions of dollars over the past 20 years upgrading their existing buildings, said Ronald Hamburger of the American Society of Civil Engineers.

Private corporations that include AT&T, Hewlett-Packard, Procter & Gamble and Sears have spent significant money upgrading their buildings against quakes, he added.

And, in California, nearly all of the state's bridges have been retrofitted for seismic resistance.

"We are far better off today than we were 20 years ago," said Hamburger.

However, if a repeat of San Francisco's 1906 7.8-magnitude quake hits Los Angeles, San Francisco or Seattle, Hamburger said, "I would not be surprised if one or two of the high-rise buildings in those cities would collapse."

Most of the high-rise office buildings built in those cities before the mid-1990s do not meet current standards for new construction, and most of them have not been upgraded, said Hamburger.

"Those buildings were designed in the 1960s, '70s and '80s," he said. "The building codes in place in the Western U.S. in those years were far better than building code requirements in force in the Eastern U.S. today, but they're really not adequate for an event like what Japan experienced."

Risk to shipping ports

Key California shipping ports that lie in quake zones, such as Los Angeles, Long Beach and Oakland, may also be at risk, although a 2007 study suggested the danger from tsunamis was minimal because the major fault lines in the area are on shore.

These ports represent major U.S. revenue arteries. But because many of the facilities at these ports were built in the 1960s and '70s, they could sustain damage from a big earthquake or tsunami, according to experts.

Upgrading these facilities could cost in the tens or hundreds of millions of dollars.

A Georgia Tech team of engineers, including professor Glenn Rix, is developing new, less expensive construction methods aimed at protecting shipping ports from possible destruction. Rix is studying the use of prefabricated plastic vertical drains in the wharf structure, which might allow for easier upgrades to protect against quakes.

Raising awareness

After the Kanto earthquake, Japan established National Disaster Reduction Day as a way to teach future generations about preparedness. Other nations have created similar holidays, including Bangladesh, Chile, Cuba, Dominican Republic, Jamaica, Madagascar, Mexico, Mozambique and Vietnam, according to the UN.  To raise awareness in the United States, Americans should focus more on education, said Roddey, so they can  raise support for disaster preparation and ultimately  save lives.

"The United States needs to take more preventative action to prepare for disasters, said Roddey. "If I had my hands on the purse strings I'd be spending hundreds of thousands -- if not millions of dollars -- to educate people, and to move schools and other critical facilities out of the inundation zones."

For Roddey, the right thing to do is crystal clear: Look to what the experts are predicting and act rather than react.

"We're the first generation in modern history that understands the risks and consequences of an event like what happened in Japan," said Roddey. "How we prepare for it here literally defines us as a people."

CNN's Patrick Oppmann and Deirdre Walsh contributed to this report.

@highlight

U.S. ranks about a five out of 10 for earthquake preparedness, says expert

@highlight

Major quake/tsunami will hit Oregon coast by 2061, say geologists

@highlight

U.N. cheers Asian nations for tsunami warning improvements

@highlight

Some major U.S. high-rises not adequately retrofitted for Japan-strength quake