Lax oversight at the Internal Revenue Service allowed for the singling out of some conservative groups, resulting in lengthy delays in the processing of their applications for federal tax-exempt status, according to a report by the agency's inspector general released Tuesday.

The report found that for more than 18 months beginning in early 2010 the IRS developed and followed a faulty policy to determine whether the applicants were engaged in political activities, which would disqualify the groups from receiving tax-exempt status.

"The IRS used inappropriate criteria that identified for review Tea Party and other organizations applying for tax-exempt status based upon their names or policy positions instead of indications of potential political campaign intervention," according to the report.

President Barack Obama called the report findings "intolerable and inexcusable."

"The federal government must conduct itself in a way that's worthy of the public's trust, and that's especially true for the IRS. The IRS must apply the law in a fair and impartial way, and its employees must act with utmost integrity.  This report shows that some of its employees failed that test," the president said in a statement released late Tuesday.

Opinion: The real risk of the IRS scandal

Obama said he has directed U.S. Secretary of Treasury Jack Lew "to hold those responsible for these failures accountable."

IRS officials, according to the report, did not consult anyone beyond the agency about the development of the additional screening criteria. They believed that the criteria they came up with was a screening shortcut meant to help with the influx of applications, the report said.

The agency's top watchdog found that the criteria used to flag potential political applications resulted in substantial delays and the request of unnecessary information from the groups.

Among the criteria used by IRS officials to flag applications was a "Be On the Look Out" list, or a BOLO, which was discontinued in 2012, according to the report. The criteria on the BOLO included:

-- Whether "Tea Party," "Patriots" or "9/12 Project" was referenced in the case file.

-- Whether the issues outlined in the application included government spending, government debt or taxes.

-- Whether there was advocating or lobbying to "make America a better place to live."

-- Whether a statement in the case file criticized how the country is being run.

-- Whether it advocated education about the U.S. Constitution and the Bill of Rights.

The investigation by the Treasury Inspector General for Tax Administration was initiated after congressional complaints began to surface in the media in 2012 that the IRS was targeting conservative groups and holding up applications.

Obama struggles with rocky start to second term

"Whether the inappropriate criterion was shorthand for all potential political cases or not, developing and using criteria that focuses on organization names and policy positions instead of the activities permitted under the Treasury regulations does not promote public confidence that tax-exempt laws are being adhered to impartially," the report said.

The IRS welcomed the Treasury inspector general's report, saying that it agreed that aspects of its original approach in handling the influx of tax-exempt applications was inappropriate.

"The IRS is required by law to determine if organizations are engaging in a legally permissible level of political activity. Centralizing these cases was necessary to achieve consistent treatment," it said in a statement.

The developments came hours after U.S. Attorney General Eric Holder announced the Justice Department had launched a criminal investigation into whether the IRS politically targeted some conservative groups.

"The FBI is coordinating with the Justice Department to see if any laws were broken in connection with those matters related to the IRS," Holder said at a briefing.

In a written response included in the report, the IRS commissioner of the Tax Exempt and Government Entities Division said there was no criminal behavior behind the actions of the agents, but rather inefficient management.

IRS in the spotlight: What's a 501(c)(4)?

"We believe the front-line career employees that made the decisions acted out of a desire for efficiency and not out of any political and partisan viewpoint," the commissioner wrote.

The report found that all of the applications that were sent to the Determinations Unit "experienced substantial delays in processing."

"Although the processing of some applications with potential significant political campaign intervention was started soon after receipt, no work was completed on the majority of these applications for 13 months," it said.

The report's findings indicate that of the 298 cases reviewed by the IRS inspector general as potential political cases not eligible for tax exempt status: 72 contained the name "tea party," 11 contained "9/12" and 13 contained the word "patriots," according to the report. There were 202 cases that did not contain any such reference.

Of those applications still open for review, 160 cases were open from 206 days to more than three years -- through two election cycles.

Among the recommendations made by the Treasury inspector general: The IRS better document reasons why applications are chosen for review, develop a process to track requests for assistance, develop and provide training to employees before each election cycle and immediately resolve outstanding cases.

The report also called on the Department of Treasury to develop guidelines to explain social welfare activity -- the primary factor in obtaining tax-exempt status.

"Although the IRS has taken some action, it will need to do more so that the public has reasonable assurance that applications are processed without unreasonable delay in a fair and impartial manner in the future," the report said.

Lois Lerner, director of tax-exempt organizations for the IRS, acknowledged Friday that the IRS had targeted some groups for further review because they had those words in their names.

She said the activity took place at the IRS office in Cincinnati, which handles applications for 501(c)(4) status.

Opinion: IRS abuses power in targeting tea party

But documents suggest at least three other IRS offices did the same.

Letters provided to CNN show IRS officials in Washington and California contacted conservative groups to demand more information before approving the groups' requests for tax-exempt status.

The American Center for Law and Justice, a legal group representing numerous conservative organizations, provided CNN with four such letters: one each from IRS offices in Washington; Cincinnati; El Monte, California, and Laguna Niguel, California.

The IRS did not respond to CNN's request for comment regarding the letters.

White House spokesman Jay Carney told reporters Tuesday that he's "confident" no one at the White House was involved in the practice.

Asked about complaints by some Republican lawmakers for the past couple of years that conservative groups were being unfairly targeted, Carney said he is "sure some people knew about the stories. But we were not aware of any activity or any review by the inspector general."

Some Republicans criticized the president for not speaking out on the issue immediately. He said he learned about it through news reports Friday.

The Republican-led House Ways and Means Committee, which oversees the IRS, announced it will hold a hearing Friday. Slated to testify are Steve Miller, the acting IRS commissioner; and the Treasury inspector general investigating the complaints, J. Russell George.

Sen. Carl Levin, D-Michigan, said the Permanent Subcommittee on Investigations -- which he chairs -- now needs to expand an investigation already under way.

That one has focused on the IRS's "failure to enforce the law requiring that tax-exempt 501(c)4s be engaged exclusively in social welfare activities, not partisan politics," Levin said in a statement. The IRS' announcement about targeting of some conservative groups raises questions over its impartiality in doing so, he added.

Will scandal impact 2014 elections?

@highlight

Obama blasts the "failures" of IRS employees, calls their actions "wrong"

@highlight

Report finds IRS deliberately targeted groups and delayed applications

@highlight

"The IRS used inappropriate criteria" for deciding reviews, report says