(CNN) -- A judge in California just sent shock waves across America's public education system, declaring tenure laws unconstitutional.

The case started two years ago, when nine students sued the state of California, asserting that their constitutional right to equality of education is violated by laws that protect "grossly inadequate teachers." Two unions representing 425,000 teachers stepped in to fight the students, their families and a legal team backed by a powerful education reformer, Students Matter.

The students had two main arguments.

First, that five California laws that allow public school teachers to secure (and keep) tenure after 18 short months caused the students to be unreasonably exposed to "grossly ineffective teachers." And second, that minority and poor students were disproportionately stuck with them.

Los Angeles Superior Court Judge Rolf Treu not only agreed with the students, he drew parallels between his opinion and the decision in the landmark U.S. Supreme Court decision in Brown v. Board of Education, which struck down "separate but equal" laws and ended segregation in schools. Treu put a spotlight on the negative impact (loss of competency and earning potential) that grossly ineffective teachers have on kids and labeled it "compelling" and "a shock to the system."

The judicial beat down was so complete and unequivocal, the judge struck down any and all laws that protect grossly ineffective teachers at the expense of kids, including laws that protect "permanent employment status," "first in first out" and "dismissal statutes."

Here were the key elements of the ruling:

1. California is one of 37 states that give permanent employment status to teachers in three years or less. In California, it was a mere 18 months on the job. The judge found that both teachers and students are "disadvantaged" by the practice and that there's "no legally cognizable reason (let alone a compelling one)" to rush to tenure.

2. "Dismissal statues." Experts testified that dismissals in California are "extremely rare" and administrators find it next to "impossible" to get rid of ineffective teachers. In 38 states, teachers can have multiple appeals and the process is so complex and costly it can take up to 10 years in some states and cost hundreds of thousands of dollars to remove someone. The judge found the termination process such a joke he called it an "illusion."

3. "Last In, First Out." In 33 states, if there are layoffs, it's last in, first out with no regard of merit. The judge raised the common-sense point that if the best teacher is the junior one, his or her merit should be considered in the decision of who to lay off.

The message is loud and clear: Students, we've got your back.

Unions, get ready for a fight. And a fight it will be. This isn't just a case about schools in California, but one that education reformers and teachers' unions are watching across the nation. The unions plan to fight for tenure all the way to the Supreme Court if they have to -- and it's a fight I believe they will lose in both the courts of law and the court of public opinion.

We all agree that schools are a place where the first and foremost goal should be to help children learn and succeed. We also agree that schools are failing. Pick any metric (drop-out rates, comparisons to other countries, grade-level competencies), and you'll find a system that's horribly broken. Ask anyone how to fix it and you'll get widely different answers.

I personally agree with both Sir Ken Robinson's assessment of our schools and his argument for a total paradigm shift in education; you may have a different TED Talk you prefer on education.

Great, competent teachers are the single most important factor in kids in-school learning and growth experience. I encourage you to read the opinion. This judge acknowledges how powerful teachers are and describes the power they truly have to make a difference: "Competent teachers are a critical, if not most important component of success of a child's in-school education experience."

There are many outside-school factors that impact students: poverty, violence, home life, health, nutrition or disabilities but as this judge so eloquently writes, "quality of teaching is what matters most for the students' development and learning in school."

This decision isn't an indictment of teachers in general; it's a statement about the critical difference they make (positive and negative) and a take down of laws that protect the "grossly inadequate" ones.

It's sad that the unions are gearing up for a fight. It's too bad the judge couldn't just make his decision and assign a little homework instead.

How remarkable would it be to see a teachers union leader, who claims that the union puts kids first, have to write an essay reflecting on the lessons learned after hearing testimony for two months.

Maybe, just maybe, 18 months is a bit hasty for a tenure review. Maybe "Last In, First Out" isn't the best layoff system for kids or for teachers. Maybe overhauling the dismissal process for incompetent teachers is not only best for students but actually strengthens the union because its active members are the ones who are more effective in the classroom.

It was a shame in 1954 that students had to sue to gain their constitutional right to equal access to education, and it's a shame that 60 years later students are still fighting to secure it and teachers' unions are the ones fighting them every step of the way.

@highlight

Judge in California ruled the state's tenure laws are unconstitutional

@highlight

He found that tenure denies students their right to a decent education

@highlight

Mel Robbins: Teachers' unions intend to appeal the ruling, which will become a national test case

@highlight

She says the unions are going to lose in the courts of law and the court of public opinion