(CNN) -- After Haiti's devastating earthquake, Georges Nader picked up Hector Hyppolite's oil-on-cardboard painting like a father would a wounded child. He could barely hold back his tears.

"Vase et Fleurs," glorious in its art naif simplicity, lay before him like a complicated jigsaw puzzle. Pieces were frazzled, some were even missing.

Like so many other things in Haiti, the painting by one of Haiti's foremost artists was gone. A masterpiece lost, and with it a part of Haiti's history.

No one would ever be able to put it together, Nader believed, as he fished through a demolished museum in Port-au-Prince that housed 12,000 pieces of art collected by his family.

Each told the history and aspirations of a people who survived hardship and expressed themselves through painting and sculpture.

With few functioning institutions or the kinds of buildings and monuments found in wealthier nations, depictions of sun and sea, people and animals by untrained artists -- some infused with the spiritual traditions of voodoo culture -- came to serve as Haiti's collective memory.

Hyppolite, a voodoo priest and self-taught artist, painted with his fingers and with brushes made of chicken feathers.

On Friday, Nader will stand again before Hyppolite's 1946 still life, its brilliant hues brought back to life by conservators working with the Smithsonian Institution.

"I think it's a miracle," Nader said.

The painting is one of two restored works of art that is part of a larger show of 50 pieces created by Haitian artists -- the other rescued piece is "Beau Reve" by Celestin Faustin.

"Saving Grace: A Celebration of Haitian Art" was organized by Affirmation Arts and curated by leading Haitian art historian Gerald Alexis.

Alexis, like his longtime friend Nader, said the exhibit meant the world to him, a potent symbol of Haiti's rebirth, especially amid cries that recovery efforts after the earthquake has been too slow.

"This is the identity of the Haitian people," Alexis said. "If we let this go, the next generation in Haiti will not know where they came from. It was a duty we had to fulfill."

In the immediate aftermath of earthquake, Nader and other art collectors in Haiti rescued thousands of pieces from the rubble that might have been forever lost. In just one room of his museum, he salvaged 1,000 pieces -- 70 percent needed restorative work.

It was hard to quantify the loss, Nader said, because unlike in the United States, Haiti lacked a plethora of museums and galleries. Much of the nation's treasure existed in private homes, in private collections like the one his father built when he began collecting decades ago. No one knew for certain how many pieces were lost.

As the second floor of his gallery transformed into a hospital ward for art, Nader was determined to make them all well again.

He and Alexis began making phone calls, knocking on doors. It would take people with tremendous expertise to perform intricate surgery on delicate paintings and objects to make them whole again.

They found a partner at the Smithsonian and the result was the Cultural Recovery Centre, which recently opened in conjunction with the Haitian government in the hills of Port-au-Prince. Haiti's cultural heritage, like Africa's lions in the wild, were endangered. The center's mission was to protect that heritage.

Richard Kurin, under-secretary for history, art and culture at the Smithsonian, said it would have been unconscionable to leave art under the rubble.

He said the recovery center is "magically" restoring thousands of pieces that were damaged.

The center is also training Haitians how to conserve. A course in September taught 26 participants how to identify deterioration agents, apply first aid treatment, prepare and respond to emergencies and create safe storage spaces for collections.

"I think we look at the restoration of art as the restoration of hope," he said. "By restoring the past you are giving people access to their heritage."

Marla Goldwasser, the director of Affirmation Arts in New York admitted she didn't know much about Haitian art before she took on the "Saving Grace" exhibit. But the gallery wanted to make a contribution to Haiti's recovery.

"We wanted to give Haitian art, the Haitian people, a voice," she said about "Saving Grace," the first such show of Haitian art in the United States in over a decade. Many of the pieces have previously not been seen outside Haiti.

Nader hopes those who relish the visual feast will gather an understanding of the vital role that art plays in Haitian society. And why it is incumbent on Haitians to bring back what an earthquake buried last January.

@highlight

A still life painting by Haitian artist Hector Hyppolite was damaged in the earthquake

@highlight

Gallery owner Georges Nader wanted to have it -- and thousands of other pieces -- restored

@highlight

In a troubled land, art serves a vital role as the nation's memory

@highlight

The Haitian government has been working with the Smithsonian on restoration

@highlight

'Saving Grace,' a show of 50 pieces of Haitian art, opens in New York on Friday