(CNN) -- All I want for Christmas is a triple-nipple baby bottle, some extinct goat DNA, and a Mars survival kit. Is that really too much to ask?

Not if you happened to walk past a particular neon-lit convenience store in downtown Brooklyn -- the flashing sign in the window advertising "Cash for genes."

Inside the unremarkable 99¢ shop you'd find the usual assortment of hair accessories, shoelaces, and cleaning products; the only thing binding them together being their "Low! Low!" price.

But take a closer look and you'd also discover strange items from the future -- a universal language translator, a liquid cash injection kit, even some spacesuit lining (for when those bothersome transgenic moths eat through your helmet).

This is the world according to the Extrapolation Factory -- a group of New York designers using a mixture of expert reports and crowd-sourcing to create products anywhere from 10 to 10,000 years in the future.

Made in Brooklyn

Now items from their "99c Store of the Future" -- a one-off installation where space-age objects were sold in an ordinary shop -- has gone on display in China's first state-run contemporary art gallery.

The Shanghai Power Station of Art -- a former power station turned museum overlooking Huangpu River -- last week launched its Design Shanghai 2013 exhibition, showcasing over 500 works from around the world.

"We're contributing 30 products that came from the 99¢ store -- very peculiar, bespoke future objects," said Elliott Montgomery, co-founder of the Extrapolation Factory.

"By putting these ideas out there, we're pushing the way people think about consumerism far beyond the immediate. It'll be interesting to see how people's reactions in Shanghai differ from those in New York City."

Futuring

The surreal project is part of a growing movement in design called "Futuring" -- which as the name suggests, involves creating products for the future.

"The incorporation of futures thinking into the design world has picked up pace hugely since the mid-2000s," said Stuart Candy, professor of foresight and design at Ontario College of Art and Design.

"With massive global challenges looming, like climate change, peak oil, and economic volatility, we need to develop a cultural capacity for thinking ahead and creating options -- so we aren't just reacting to crisis after crisis."

But "Futuring" isn't just about developing environmentally-friendly cars or search-and-rescue robots. As the Extrapolation Factory showed, it can also be found in the ordinary 99¢ store down the road, or what Candy describes as "Guerrilla Futuring."

"The 99¢ store project is interesting because it's a rare invitation to imagine the future's mundane side," he added.

"Popular notions of the future often get stuck in a kind of glossy rut - gleaming buildings and whiz-bang inventions -- and it's not often that we see the futures of everyday life brought into focus."

Design

So how did the Extrapolation Factory create their intriguing objects?

The group -- comprising 33-year-olds Elliott Montgomery and Chris Woebken, who met after studying design interactions at London's Royal College of Art -- put the call out for members of the public interested in "futuring."

On a snowy day in New York City, they gathered 40 people -- ranging from seven-year-old kids to middle aged architects -- and asked them to read think-tank reports on the future.

"The forecasts were from a broad spectrum -- obesity as a percentage of the UK population, robots in the homes of South Koreans, shortages of chocolate, acceptance of drug use, and technology," said Montgomery.

The participants then wrote a short story imagining a world where these forecasts came to life. A table was laid out with various items from other 99¢ stores, which they used to create new products for their fantastical fables.

"We got some very bleak futures where environmental scenarios were really devastating, like the dying out of coral reefs. So products like the "Grow Your Own Coral Reef" responded to those issues," said Montgomery.

"At the same time there were people who imaged a future of great possibilities. One of the children was responding to the idea of robots in all our homes, who would help her brush her pet chinchilla. So the product she made was an arm attachment for your chinchilla-brushing robot."

What next?

There's an interesting parallel in seeing objects from the 99¢ store of the future going on display in China -- one of the world's biggest makers of cheap, mass-produced products.

"It seems appropriate that the project be brought from New York to Shanghai," said Candy. "It prompts us to think about the supply chains - in which China is a critical link - which make the phenomenon of 99¢ stores possible in the developed world."

So could these fantastical 99¢ items become reality?

"We're not asking people to predict, but more to dream," said Montgomery. "Or produce nightmares, if that's what will help us make decisions in the present."

@highlight

What would 99¢ store of the future look like? Two NY designers found out

@highlight

Created hundreds of futuristic products, and sold them in ordinary shop

@highlight

Now surreal items have gone on show in Shanghai Design 2013 exhibition