(CNN) -- Steven Soderbergh's movie "Contagion," which opened in theaters Friday, speaks to globalization in an era when risk is shared by the entire planet, but benefits remain prioritized to exclusive, usually wealthy populations.

This terrible global risk/benefit calculus means viruses may now swiftly enter every region of the world, but the protective gear, treatments and vaccines necessary to save lives remain primarily available to lucky residents of the United States, Canada, Western Europe, Japan and a handful of other countries. There is no governing structure for a pandemic, and little more than vague political pressure to ensure limited access to life-sparing tools and medicines for more than half the world population.

"Contagion" is an action-thriller about the outbreak of a deadly virus. The producers behind "Contagion" asked me to serve as a consultant because I wrote "The Coming Plague" in the 1990s and worked as a reporter in at least 20 epidemics, including those of HIV in the 1980s, Ebola and SARS.

From my very first meeting with "Contagion" director Soderbergh and screenwriter Scott Z. Burns, I stressed that the days when epidemics could be tackled locally had long passed. I argued that the movie had to demonstrate that disease threats in the 21st century are global threats, but the world lacks an appropriate system of governance and trade to permit a genuinely equitable response.

Without equity, pandemic battles will fail. Viruses will simply recirculate, and perhaps undergo mutations or changes that render vaccines useless, passing through the unprotected populations of the planet.

A man lucky enough to receive an effective vaccine against a new viral threat in Los Angeles may be re-exposed a year later to a mutated version of that germ that circulated among unimmunized populations in poor countries, only to slam North America in a second wave. That is what happened with influenza in 1918, which spread across Europe in a mild form, returning months later in its terrifying virulence and killing more than 50 million people (by recently adjusted estimates perhaps 100 million people).

Those who see "Contagion" will recognize these themes in its plot: Chinese villagers clamor for vaccines, Internet users gravitate to false claims and order anything they think may help, the entire world sees the pandemic unfold on TV and the Internet and grows universally fearful. Fear spreads globally, even as governments fail in their ineptitude and exhaustion, with police, fire, public health and political leaders themselves falling victim to the virus.

Drs. Larry Brilliant and Ian Lipkin, the other scientific consultants to "Contagion" and I did everything we could to make the movie accurate. But of course it is not a documentary, and the events depicted have, thankfully, not transpired.

What audiences see is the best rendition of events likely to unfold in such a pandemic as can be estimated, based on how governments, public health leaders, scientists, drug companies, communities, law enforcement and international agencies have responded to recent outbreaks of less virulent germs.

The hypothetical MEV-1 in "Contagion" is based in parts of the Nipah virus that first surfaced in Malaysia in 1998, the Chinese SARS outbreak of 2003, H1N1 swine flu in 2009, Ebola in Kikwit in 1995 and government reactions to the anthrax mailings of 2001.

It is part fantasy, part reality and totally possible. As was believed by many in 2000 of the idea of al Qaeda successfully attacking the United States, and in 2004 of the likelihood the levees protecting New Orleans would collapse, the ideas shown in "Contagion" constitute a low probability event that would have high consequences. Assessing how likely such things as the 9/11 attack and Katrina are and determining how to prepare and respond are the jobs of government.

But governance is a tricky concept. A country may be authoritarian, even brutal, but govern its infrastructure quite well. Of course, the preferred goal is democracy that is well guided, resilient and strong. We live in a time, however, when people are angry at their governments, both locally and nationally, and austerity is the maxim in all but the over-heated emerging markets of China, Brazil and perhaps India and Indonesia. "Government" is the official dirty word of most of the candidates for the Republican nomination for president of the United States.

Internationally, mechanisms of global health governance are very weak. The World Health Organization is running a $1 billion budget deficit, laying off more than 20%, or 300, of its employees this year. Among the other players in the multilateral health picture only GAVI, the alliance responsible for child vaccinations, is financially stable and has vibrant leadership. Most other global health entities are struggling, both financially and politically.

In the United States, politicians post-2001 grew tired of our Centers for Disease Control and Prevention, long the world's premier disease-fighter. As I delineate in my new book, "I Heard the Sirens Scream: How Americans Responded to the 9/11 and Anthrax Attacks," political leaders blamed the CDC for failures in the response to the anthrax mailings.

By the end of the Bush administration, Congress tilted in a new direction, demanding spending on obesity and diabetes. Under the Obama administration, the CDC is led by the very able Dr. Thomas Frieden, but congressional mandates have shifted its resources and focus from epidemics and outbreaks to obesity management and chronic disease issues.

Billions of dollars were spent post-2001 to create systems of high security laboratories around the world, and stockpiles of vaccines and drugs. But the biggest chunk of change in that pursuit went for smallpox readiness, despite the dearth of evidence that al Qaeda or any other terrorist entity possessed smallpox with intent to use the germ as a weapon.

All the fancy technology invented post-anthrax will be of little use against a previously unknown, novel entity as depicted in "Contagion." Moreover, technology for public health is useless if the workforce of doctors, nurses, lab technicians, scientists and other public health workers is weak. In these recessionary times, public health budgets are falling to budget axes from Maine to Manila.

When moviegoers watch "Contagion," I hope they will ask themselves a few very important questions and demand answers from their leaders. When an outbreak occurs, what agency is responsible for spotting it, assessing the threat and responding? If World Health Organization funding is diminished and its staffing cut, what organization deals with governing global responses and striving for equitable access to the treatments and vaccines? When lies and exploitation fill the internet, how can health leaders counter the deceptions, conspiracy theories and profiteering? When drug companies push pandemic exigencies aside amid concerns about profit-losses, what government can exert appropriate pressure to get billions of doses of drugs and vaccines made in a rapid, safe manner?

"Contagion" should serve as a wake-up call not only about the germs, but perhaps more importantly about the frailty of governance, nationally and worldwide.

The opinions expressed in this commentary are solely those of Laurie Garrett.

@highlight

Laurie Garrett says movie "Contagion" shows global risk of pandemic shared by rich, poor

@highlight

She says without global equity in the ability to respond, everyone would be affected

@highlight

She says politics, economy have lead to shifting priorities, leaving world poorly prepared

@highlight

Garrett: Movie a warning: Global coordinated, equitable response to a pandemic needed