(CNN) -- France will send approximately 1,000 more troops to the Central African Republic, French Defense Minister Jean-Yves Le Drian said Tuesday in a radio interview.

Speaking on Europe 1 radio, he said the mission would last about six months and would be coordinated with the United Nations and African Union.

About 400 French troops are already in the Central African Republic, the French Defense Ministry said, where they are deployed to protect French nationals and help secure the airport in the capital, Bangui. France is a former colonial power in the Central African Republic.

Former leader Gen. Francois Bozize fled the country in March of this year, after a coup led by rebel leader Michel Djotodia.

A transitional government was put in place, headed by Prime Minister Nicolas Tiangaye, but the country continues to be wracked by unrest and new elections have yet to be held.

In a piece published Monday by French newspaper Le Figaro, French Foreign Minister Laurent Fabius said the troubled Central African Republic was facing its worst crisis yet.

He highlighted the threat to peace posed by growing tensions between the country's Muslims and Christians, which have already led to a number of deaths.

'Suffering beyond imagination'

U.N. Deputy Secretary-General Jan Eliasson warned Monday that the situation in the country was deteriorating rapidly and called on the international community to act swiftly to turn it around.

"The population is enduring suffering beyond imagination," he told a meeting of the U.N. Security Council. "As we see far too often, women and children are bearing the brunt. Human rights violations are mounting. The use of child soldiers is rising. Sexual violence is growing.

"There are widespread reports of looting, illegal checkpoints, extortion, illegal arrests and detentions, torture and summary executions."

Eliasson also highlighted the worsening humanitarian situation in the country, saying that as much as a third of the population is in need of food, health care, clean water and shelter.

He suggested that a U.N. peacekeeping force should eventually replace the current African-led International Support Mission in the Central African Republic, known as MISCA. That potential force could number about 6,000 troops and 1,700 police personnel, he said.

In the meantime, however, he called for the international community to give its full backing to the efforts of the current mission.

A new leadership team for the mission was announced Saturday, with retired Maj. Gen. Jean Marie Michel Mokoko of the Republic of Congo at its head.

Humanitarian crisis

Adonia Ayebare, ambassador for the African Union's permanent mission to the United Nations, warned Monday of "disastrous" humanitarian consequences, with hundreds of thousands of civilians either internally displaced or refugees in neighboring countries.

He called on transitional authorities to "fully assume their responsibilities," particularly the protection of civilians and the transition to an elected government.

As many as one in 10 people have been forced from their homes since March, humanitarian group Doctors Without Borders said Tuesday.

Recent clashes in the town of Bouca, in the northeast part of the country, have only added to the problem, the organization said.

"The fighting in Bouca is indicative of how horrific violence is engulfing the Central African Republic," said Sylvain Groulx, head of the group's mission there.

"We are extremely concerned about the living conditions of the displaced, who are overcrowded in churches, mosques or schools, or living in the bush with no access to health care, food, or water, and are threatened by epidemics. Much more needs to be done, and it needs to be done now."

CNN's Lilia Blaise and Nana Karikari-apau contributed to this report.

@highlight

NEW: Doctors Without Borders highlights plight of the many people displaced by violence

@highlight

Mission is expected to last about six months, Defense Minister Jean-Yves Le Drian says

@highlight

About 400 French troops are already deployed in the African nation

@highlight

A transitional government has been in place since a coup earlier this year