Washington (CNN)Call it a brief intermission: There's a three-week break in the action after a slew of primaries in May and June and a couple big headlines.

The major story line so far this election cycle is the ongoing battle that pits mainstream Republicans against tea party groups and anti-establishment organizations.

After a few high-profile tea party victories in late May and early June put to bed premature stories of the death of the 5-year-old grass-roots conservative movement, incumbents and establishment candidates ran the table in last week's contests.

Complete coverage: 2014 midterm elections

The calendar ahead doesn't look as promising for outsiders looking to knock off another incumbent in the remaining primaries in the 18 states yet to vote.

"The primaries produced only a few fights between the tea party and the establishment wing of the GOP because many congressional Republicans took their primaries seriously and kept their votes consistently conservative," GOP consultant Ron Bonjean told CNN.

"The few primary battles we saw produced victories based on combinations of intensity, fund-raising and motivating voters one way or another," said Bonjean, who has been a top strategist and adviser to House and Senate Republican leaders.

The resounding defeat of House Majority Leader Eric Cantor in his congressional primary in Virginia to a little-known and underfunded anti-establishment candidate rocked the GOP.  But two weeks later, the tea party lost out on a golden opportunity to oust a sitting GOP lawmaker when Sen. Thad Cochran of Mississippi edged out state Sen. Chris McDaniel in a primary runoff.

McDaniel, who enjoyed strong support from tea party and anti-establishment groups, narrowly edged out Cochran in the June 3 primary, but with neither man cracking 50% (there was a third Republican candidate on the ballot who grabbed 1.5% of the vote), the contest moved to last week's runoff, which Cochran won by fewer than 7,000 votes.

Would Cochran's strategy work elsewhere?

The senator's victory was aided by votes from African-American Democrats, who were courted during the runoff campaign by pro-Cochran forces. But McDaniel alleges his team has found voting irregularities and is not conceding.

"Interpreting the Cochran win as some kind of 'Empire Strikes Back' moment is an overreach," Republican communications strategist Keith Appell told CNN.

"Republican leaders and their establishment backers dodged a bullet in Mississippi, but there is still a deep and active discontent among the grass roots, and it will only continue to manifest until the leadership reconnects with its base. Anyone who seriously thinks otherwise is delusional," said Appell, a senior vice president at CRC Public Relations, a Washington public relations firm that has had many conservative clients.

Some victories but a lot of defeats

Anti-establishment forces have scored some victories this season. They knocked off another GOP incumbent, 91-year-old Rep. Ralph Hall of Texas, who lost his congressional primary runoff last month to a tea party-backed candidate.

And in May, tea party-backed Ben Sasse came out on top in Nebraska's GOP Senate primary. The same night conservative Alex Mooney, who was supported by anti-establishment groups, won the GOP contest in West Virginia's 2nd Congressional District. But those were the major highlights for the tea party in a year when mainstream Republicans have enjoyed most of the victories.

Primary challenges from the right shook up the Republican Party in the last two election cycles. But they have also hurt the party's chances of winning back control of the Senate from Democrats, effectively costing the GOP five potentially winnable elections since 2010.

So what's happening this cycle?

"Establishment Republicans and incumbents have learned to run against tea party-backed candidates," said Jennifer Duffy, senior editor for the nonpartisan Cook Political Report, a top campaign handicapper.

And outside help is making a difference.

"I think the Republican establishment is fighting back more than in previous cycles. There is more organization and involvement from outside groups in some of these primaries," said Nathan Gonzales, deputy editor of the nonpartisan Rothenberg Political Report. "I think in the past it was too often an incumbent running against an anti-establishment challenger and a host of outside groups,"

Inside Politics: The Chamber of Commerce's next target

The battles ahead

Anti-establishment forces still have an outside chance to score an upset in Tennessee and Kansas in early August.

"For those folks who are looking to knock off a Republican senator in a primary this cycle, the opportunities are down to Tennessee and Kansas," Gonzales said. "There is still some time for those races to develop, but they will both take work to get the challenger campaigns to the same level as Chris McDaniel in Mississippi."

Two-term Sen. Lamar Alexander of Tennessee is an inviting target. He's known as a lawmaker willing to work with Democrats to broker bipartisan deals. He's facing off against a bunch of primary challengers. The one with the best shot of toppling Alexander appears to be state lawmaker Joe Carr.

"Make no mistake about it -- the fight that Chris McDaniel started in Mississippi will continue here in Tennessee," Carr said after the Mississippi runoff.

But unlike McDaniel, polls indicate Carr's the distinct underdog to Alexander.

In Kansas, Sen. Pat Roberts is seeking a fourth term in office. Milton Wolf -- a second cousin (once removed) of President Barack Obama -- touts himself as a conservative activist with the guts to stand up to the GOP establishment.

Wolf's campaign has tried to portray Roberts as more about Washington than Kansas, pointing to reports this year that the senator listed his voting address at the home of two longtime political supporters who rent out a room to him. Roberts owns a rental property in his hometown of Dodge City and a home in the Washington suburbs, where he spends much of his time.

But Wolf, a radiologist, came under attack over old Facebook postings in which he exposed private patient X-rays and other personal information -- poking fun at the dead or wounded. Wolf was forced to admit he made "insensitive" comments.

Like Carr, polls indicate Wolf trails far behind Roberts.

But Sal Russo, chief strategist for the Tea Party Express, a national tea party group that backs Wolf, told CNN that the challenger is "able to bring a lot of excitement and enthusiasm among the grass roots. And that's the problem Roberts has. He lives in Washington. He's pretty much out of touch with the people of Kansas. So I think that that frustration with Washington has manifested itself in growing support for Milton Wolf."

Winning by losing?

The next high-profile primary is Georgia's GOP Senate runoff on July 22, but the tea party doesn't appear to be much of a factor there. Businessman David Perdue and Rep. Jack Kingston advanced to a runoff, but the three more conservative candidates didn't.

But regardless of the outcome of the primary contests, tea party leaders said they've changed the conversation in Washington.

"The tea party is winning by losing in the sense that you don't see any Republicans saying, 'Let's pass immigration reform that gives a path to citizenship. Let's make it easier for the President to raise the debt ceiling.' Almost all Republicans have shifted right," said John King, CNN's chief national correspondent.

Another strategist said this year's contests aren't the final chapter in the struggle between the grass roots and the establishment.

"The party remains deeply divided, and both sides have the resources and commitment needed to take the fight into 2015 and 2016," wrote Stuart Rothenberg, editor and publisher of the Rothenberg Political Report. "The war is likely to get messier and the division more consequential before the two sides look for ways to bridge their differences. That should please Democrats."

What does that mean for November?

The candidates who emerge from this year's primaries could have an immediate impact come November.

Democrats have a 55-45 majority in the Senate (53 Democrats and two independents who caucus with the party). But in the midterm elections, the party is defending 21 of the 36 seats up for grabs, with half of those Democratic-held seats in red or purple states. In the House, the Democrats need to pick up a challenging 17 Republican-held seats to win back the majority from the GOP.

"We learned that Republicans across the board have picked highly electable candidates and have improved their chances of taking over the Senate," said Bonjean, the GOP consultant.

But Democrats disagree, and say that even though mainstream Republicans are winning in the primaries, those candidates are moving further to the right to secure victories, which will likely hurt them when they face a more moderate general election electorate in November.

@highlight

Outsiders vs. insiders is the dominant story line in GOP primaries so far

@highlight

After knocking off Eric Cantor, insurgents thought they had a sure win in Mississippi

@highlight

Two more Republican Senate incumbents face challengers but hold lead in polls

@highlight

Establishment Republicans fear a tilt too far right may hurt party in November