(CNN) -- Paula Kahumbu initially opted for a career in wildlife conservation so she wouldn't have to deal with people.

But working with wild animals in her native Kenya has taught her that it is near impossible to prevent some vulnerable species coming into contact with human communities --- often with damaging consequences.

As executive director of the Kenya Land Conservation Trust and chairman of the Friends of Nairobi National Park, Kahumbu now aims to reduce people-wildlife conflicts arising from these scenarios.

"Africa is the only continent remaining on this planet that still has its full diversity of large mammals," she says. "We can't afford to lose it. We've always been able to co-exist with wildlife."

See also: Uneasy truce between Maasai and nature

In some parts of the rural Kenya however the durability of this ancient cohabitation has been tested in recent times.

Lions have become a particular problem for farm owners and Maasai tribes, with whom they share the country's vast savannahs, often preying on valuable livestock.

This has led many farmers and rural communities to take matters into their own hands, in some cases killing whole prides they perceive as a threat.

The use of pesticides such as Furadan -- a tablespoon of which costs less than a dollar and is enough to kill a lion -- has become a particularly ruthless way of doing so.

"Kenyan lions have reduced from about 15,000 about 15 years ago to fewer than 2,000 now," explains Kahumbu.

Read related: 'Green Nobel' fights to save Africa's rainforests

"And we know that probably 50 percent of that is attributable directly to the use of pesticides."

Through dialogue and education programs, Kahumbu is aiming to end these practices. She hopes to show rural communities how they can coexist and even benefit from their proximity to lions.

"In many parts of Maasai land now what we have are programs where people are rewarded for protecting wildlife. They are rewarded for keeping land open."

"They are trained so that they can participate in conservation. And they are given opportunities to get investors to come in and work with them. I really think that is the solution."

See also: Last of the bush trackers

A constructive and respectful dialogue with communities is highlighted by Kahumbu as a key factor in achieving these aims. But it's not just the human population who have been the focus of her organization's educational efforts.

The Princeton University graduate is also working to train wild lions so they know not attack livestock. She admits such a tactic may sound bizarre but believes it is essential to safeguard the big cat's future in Kenya.

"Lions are very, very intelligent animals. The reason why lions don't prey on certain livestock in certain places is because they get hammered (if they do)."

"There are ways that you can punish lions - and one of them is that you can put rock salt into a shot gun and shoot at them. It's not going to injure them or kill them but it hurts like hell. They're not going to come back because they don't want to have that pain again."

Kahumbu speaks with a passionate conviction on the benefits these training programs have brought.

Yet with more than 75 percent of Kenya's wildlife inhabiting land outside of government protected areas, she admits there is only so much they can achieve on their own.

It was for this reason that in 2007 she decided to join Wildlifedirect, a bloggers network which connects conservationists and publicizes conservation work across the world.

She has since taken over as the website's chief executive and its popularity has soared.

"Initially all we were doing is raising money - it was every blogger for himself. And what we noticed, what I noticed, very early on is that many of the bloggers were telling the same story."

This observation helped Kahumbu grasp that the blog platform could be used as a network tool for conservationists, helping them stay in touch as well as share their research.

"All of the bloggers who were online on other predators (such as crocodiles, jackals and birds) are now sharing each other's technology and learning from each other and exchanging," she says.

See also: Beauty trumps beast in conservation efforts

The power of communication emphasized by these exchanges has since acted as an inspiration for Kahumbu's latest conservation project --- the creation of recorded oral history of Kenya's biodiversity.

"In my work, especially working with the local communities who are dealing with wildlife on a daily basis - I have been reminded constantly (that) most of the knowledge is maintained in the minds of the elders," she says.

"I hear these people lamenting that old stories are now gone and nobody can tell them. Those elders are not literate - they can't record their stories."

By filming conversations with older tribes people and storing them on the internet, Kahumbu aims to keep this cultural knowledge and experience alive.

She also hopes a new generation of rural Kenyan's will gain a historic perspective on how to live alongside animals such as lions.

"All they (young people) see about wildlife is killing livestock or destroying property," she says.

"(But) through these stories, children are able to actually discover this incredible culture and biodiversity that we have in Kenya and across Africa," she says.

@highlight

Paula Kahumbu is a Kenyan conservationist aiming to reduce human-wildlife conflict

@highlight

Lion populations in Kenya have fallen drastically in the last 15 years

@highlight

Kahumbu is training lions and educating humans to get along better