(CNN) -- Nearly a year ago, a big-budget film crew found itself in a most unlikely setting for a movie shoot.

Filming on location in Tunisia at the outbreak of the Arab Spring, the international cast of actors and crew wound up at the center of an uprising that would eventually sweep through the region, toppling governments in its wake.

Almost 12 months on from those tumultuous events, Tunisia has had its elections, and the movie -- billed as an Arab epic -- is hitting cinema screens.

"Black Gold" is an ambitious production that unites Hollywood and Bollywood stars with Arab talent. The story of two tribes fighting over a stretch of desert during the oil boom of the 1930s, it's being billed as the biggest Arab movie since "Lawrence of Arabia."

Its producers no doubt hope that what's captured on film will live up to the off-screen drama surrounding its creation -- and appeal to Western audiences as well as those in the Middle East.

Indian actress Freida Pinto, best known for her role in smash hit "Slumdog Millionaire," plays Princess Lallah. She say she decided to stay in Tunisia when the revolution broke out shortly after filming began, partly as a gesture of solidarity with Tunisians.

"I just felt that if I can just give my support to my Tunisian friends, the ones who I had spent a lot of time with for almost a month, in any possible way, this would be it," said the 27-year-old.

"Just stay back and support them and tell them that, you know, things are going to be fine eventually and they just have to fight it out.

"So, I stayed back and it felt great."

French-Algerian actor Tahar Rahim plays a prince at the center of a family battle, forced to choose between traditional values and the new world of opportunity offered by oil.

Rahim says he could see a parallel between the film's theme -- the youth fighting against a repressive older order -- and the recent political upheaval. "This is destiny," he said. "We began the movie weeks before the revolution ... that's strange, the parallel between the movie and the news."

Perhaps best known for his role in 2009's "A Prophet," Rahim rejects his billing as the first Arab actor to lead a Hollywood film, saying that honor belongs to "Lawrence of Arabia" star Omar Sharif, who appeared at the film's premiere.

Sharif had been offered the role of the Emir Nassib, played in the film by Spanish actor Antonio Banderas, when the idea for "Black Gold" was initially floated by Tunisian film-maker Tarek Ben Amar 35 years ago.

Ben Amar, the man who persuaded Hollywood directors Steven Spielberg and George Lucas to shoot "Star Wars" and "Indiana Jones" in his country, said key plot points in the film mirrored political events during the uprising.

Former president Zine El Abidine Ben Ali fled office on the same day the crew shot a scene in which Banderas' character, Nassib, "loses his empire to his son-in-law, who should be the future of that country," said the producer. "There was some interesting parallels."

French director Jean-Jacques Annaud said he felt in a "cocoon" from the drama of the revolution during filming.

"I remember being on the set in Hammamet and being interviewed by CNN and they said 'So, what about the revolution?' I said 'It's strange, I feel here I'm in the '30s, and outside I'm not really sure what's happening.'"

Despite this, he said, the film-makers "knew that the story in the contemporary world was reflecting the problems we were talking about in the movie.

"So it was very fascinating, and having all my crew, who were Tunisian, being so involved in what was happening in the cities around us, made our movie even more thoughtful and timeless."

Annaud said he had wanted to make the film since he first visited the region 20 years ago and discovered a very different society from what he had been led to expect.

"People didn't really understand this part of the world. They didn't understand the generosity, the hospitality," he said. "I felt very happy and I wanted to make a movie about this part of the world. And I was impatient to do it because I felt something was needed urgently."

English actor Mark Strong said the role of Amar was the second or third Arab character he had played, and he hoped Arab actors would get the same opportunity to play characters from a different background.

"Why shouldn't Arabs get the chance to play whoever they want, whether they are from Algeria, Qatar, whoever (wherever)?" he said.

"Black Gold" premiered on the opening night of the Doha Tribeca Film Festival. The film was also shot in Qatar, which provided funding for the production through the Doha Film Institute.

@highlight

Drama "Black Gold" unites stars of Hollywood, Bollywood and Middle Eastern film cinema

@highlight

The story follows two tribes fighting over a stretch of desert during the 1930s oil boom

@highlight

On location, the cast found themselves filming in Tunisa at the start of the revolution