The Eiffel Tower. The Colosseum. The Taj Majal. The Pyramids.

Massive architectural marvels from times past, they are often stopping points on a tourist's journey.

Although these grand sites aren't always why globe-trotters say they're going on vacation, some of history's great works of architecture star in the returning traveler's photos. Did you get that smiling shot in front of Buckingham Palace or the photo "pushing" the Leaning Tower of Pisa upright?

Despite a tight economy, a new generation of architects is giving the traveler reasons to jump on a plane to see modern masterpieces. Many of the new structures are public projects, designed to welcome the resident and tourist alike.

"There's been a lot of emphasis on public architecture, using it to really bring vitality to a place," says Justin Davidson, New York magazine's architecture and classical music critic. "Whether people are traveling a great distance to see one thing or it's creating a market for the regeneration of a place that really needs it, those things get merged."

Here are six great spots for ogling modern marvels:

New World Symphony (Miami Beach). The New World Symphony, which brought vitality to Miami Beach's Lincoln Road when it moved into the Lincoln Theater many years ago, is having the same impact at its new location nearby. The symphony, which prepares graduates of major music schools for roles in leading orchestras around the world, hired architect Frank Gehry to design its $160 million New World Center campus in collaboration with symphony founder and artistic director Michael Tilson Thomas. The campus, which hosted its inaugural concert in January 2011, has an adjacent 2.5-acre public space designed by Dutch architecture firm West 8. Free and affordable events are often scheduled at the outdoor space.

For the architecture geek: Miami Beach is also attracting the world's architects to its parking structures. Noted architect Zaha Hadid was recently selected to design a municipal garage. She follows on the heels of New World Center architect Gehry, Mexican architect Enrique Norten and Swiss architecture firm Herzog & de Meuron, all with innovative parking garages in Miami Beach.

Natural History Museum of Utah (Salt Lake City). Appearing to be hewn out of the foothills of the Rocky Mountains, the Natural History Museum of Utah's new $140 million Rio Tinto Center looks like Utah. Unlike designers of many natural history museums in urban locations, Ennead Architects and GSBG Architects could take advantage of the 17-acre site's location at the edge of Salt Lake City. The building is above ancient Lake Bonneville's shoreline, with the Bonneville Shoreline Trail cutting through the site.

For the architecture geek: Tucked away in a Salt Lake City block behind homes and businesses, Gilgal Sculpture Garden is one of the city's best-kept secret treasures. Dating back to the late 1940s and designed by Thomas Battersby Child Jr., a contractor and former bishop of the Church of Jesus Christ of Latter-day Saints, "it's a funky and relatively obscure public sculpture garden located in Salt Lake that has many fans among architects and University of Utah students," says Bob Herman, a local architect and past president of the Utah Center for Architecture.

Times Square, the High Line and more (New York). Since the banishment of vehicular traffic from parts of Time Square, the neon and digital people "have gone nuts" with signage in Times Square. It creates an almost performance art-like scene for the pedestrians taking a break from their walks, says Bloomberg Media architecture critic James Russell.

After a walk through Times Square, head south to an innovative urban park built atop an unused elevated train line in Manhattan's Chelsea neighborhood. The High Line has been a hit since it opened in phases over the past three years. Unencumbered by moving vehicles or traffic lights, landscape architect James Corner Field Operations and the architecture firm of Diller Scofidio + Renfro designed a garden oasis above the hustle and bustle of the West Side.

For the architecture geek: Continue downtown to 8 Spruce St., where New York by Gehry (another Gehry design) is reportedly the tallest residential structure in the Western Hemisphere. "It has a rippling stainless steel façade, and it's near Brooklyn, so you can walk across the Brooklyn Bridge to see it," Russell says. "The other side is the Brooklyn Bridge Park, which is an absolutely stunning place to be in and from which to look at Manhattan." Landscape architect Michael Van Valkenburgh designed the park.

Clyfford Still Museum (Denver). After gaining national fame and attention for his work into the 1940s, abstract expressionist artist Clyfford Still withdrew from the commercial art world and kept most of his work rather than selling it. Although his work was discussed along with peers such as Mark Rothko and Jackson Pollock, he shunned the public eye. He died in 1980, and his will stipulated that his estate be given to an American city that would create a permanent space solely for studying and exhibiting his work. Denver accepted the challenge; Brad Cloepfil of Allied Works Architecture designed the structure, and the Clyfford Still Museum opened in November. The museum houses 94% of the artist's known work, most of which has never been on public display before now.

With a series of skylights designed to bring in natural light to illuminate the collection, "the quality of light in this museum is one of the best I've ever seen," Russell says.

For the architecture geek: After visiting the Still museum, look beyond the art to appreciate the Denver Art Museum's 2006 addition by noted architect Daniel Libeskind, who famously won the World Trade Center design competition. There is a daily architecture tour at 1 p.m.

Oslo Opera House (Norway). Part of a redevelopment project to reconnect the cutoff waterfront to the rest of the city, the Oslo Opera House has an incredible amount of public space that allows people to walk up the outside of the structure to its rooftop plaza. The building, which houses the Norwegian National Opera and Ballet, was designed by the internationally renowned Norwegian architecture firm Snøhetta. It opened in 2008. If you'd like to attend any of the artistic performances, make sure to purchase tickets in advance online.

For the architecture geek: If you think the outside of the Oslo Opera House would be an excellent skate park, it's no accident. Skateboarders were consulted about the exterior design and surfaces and have enjoyed the results, according to Wired magazine. The magazine lists some suggested moves.

Parque Biblioteca España (Medellín, Colombia). For the adventurous architecture traveler, try visiting Medellín, Colombia, where a renaissance in design and infrastructure is taking place. Former Medellín Mayor Sergio Fajardo made the development of public architecture to revitalize poor areas and connect them to the rest of the city a central tenet of his administration. "Our most beautiful buildings must be in our poorest areas," Fajardo has frequently said.

Designed by architect Giancarlo Mazzanti of Bogota, Parque Biblioteca España, in the Medellín neighborhood of Santo Domingo, is the most famous of a half-dozen libraries designed with park space in the city. Along with improvements in roads and schools, the city has built a system of gondola-like public transit to transport residents of the poorest hillside communities down to the city's public rail system. Although Medellín is much safer than it was during the height of the drug wars, check with local officials and the U.S. State Department before heading to Santo Domingo.

The libraries are part of the city's commitment to its poorest residents.

"It represents an investment in the whole urban fabric, using culture, architecture and design to improve people's lives and connect them to transit, architecture and culture," says Davidson, the New York magazine critic. "It's a showy piece of new architecture that represents something broader that a place is trying to accomplish. One building does not do that in isolation."

@highlight

New World Symphony offers free and reduced price music at new Miami Beach campus

@highlight

A hiking trail runs through the Natural History Museum of Utah's outdoor space

@highlight

Skateboarders and music lovers alike are welcome outside Norway's Oslo Opera House

@highlight

Medellín, Colombia's libraries are part of the city's commitment to its poorest residents