Here's a roundup of five medical studies published this week that might give you new insights into your health, mind and body. Remember, correlation is not causation -- so if a study finds a connection between two things, it doesn't mean that one causes the other.

More babies are being breast-fedCenters for Disease Control and Prevention

Breast-feeding rates in the United States are on the rise, according to the latest Breastfeeding Report Card from the Centers for Disease Control and Prevention.

The CDC reported that 79% of babies born in 2011 were breast-fed. Southeastern states lagged behind the national average, with Kentucky, Louisiana, Mississippi and West Virginia exhibiting breast-feeding rates below 65%.

California, Montana, Oregon and Washington led the nation with breast-feeding rates above 90%.

The American Academy of Pediatrics recommends that breast-feeding continue for at least 12 months, but only about 50% of infants were still breast-feeding at 6 months. That number dwindled to just above 25% for infants at 12 months.

Extreme weather kills thousands in U.S. each yearCenters for Disease Control and Prevention

About 2,000 people in the United States die from extreme weather conditions each year, according to a report released Wednesday by the CDC.

The report analyzed death certificates from 2006 to 2010 for deaths attributed to weather-related causes, such as heatstrokes, hypothermia, floods, storms and lightning.

Roughly one-third of the weather-related deaths were attributed to excessive natural heat, and nearly two-thirds were attributed to excessive natural cold.

The CDC also found that males, African-Americans and the elderly had the highest weather-related mortality rates of any other demographics.

Women in the military are less likely to drinkArmed Forces & Society

Although male military enlistees and veterans have a history of increased alcohol consumption, it turns out the opposite may be true for women.

A study published Thursday in Armed Forces & Society found that women in the military are less likely to drink alcohol than women who haven't served. Researchers used data taken from a 1997 survey of almost 9,000 people and followed up with the young men and women each year until 2010.

The study's authors suggest the threat of sexual harassment and assault may be a possible explanation for enlisted women not imbibing. They also speculate that women in the military abstain from alcohol to avoid being looked down upon by fellow soldiers.

Blood sugar linked to how brains respond to foodSociety for the Study of Ingestive Behavior

Does your mouth water at the sight of foods such as pizza and French fries?

Genetics aren't all to blame.

Your brain's response to the sight of food actually has more to do with your blood sugar levels, according to research presented Tuesday at the Society for the Study of Ingestive Behavior's annual conference. Researchers at the University of Washington examined 21 pairs of identical twins to see whether the brain's response to the sight of food was linked to genetics.

The scientists found twins with lower blood glucose levels saw greater activation in the brain in response to pictures of food. But when it came to rating their appetites and choosing portions for meals, the twins reacted similarly.

Autistic brains seen as less flexible at switching tasksCerebral Cortex

When switching from one task to another, the brains of autistic children show little change in connectivity, according to a study published Tuesday.

Researchers at Stanford University compared functional MRI images of the brains of 34 autistic children to those of 34 typically developing children during different types of activities. In the experiment, the study authors examined the children's brains at rest, while they looked at pictures and while they were solving math problems.

The authors found that it was much easier to distinguish how brain connectivity changed between tasks in children who were not autistic. In the brains of children who were autistic, researchers saw little change.

@highlight

CDC says that 79% of U.S. babies born in 2011 were breast-fed

@highlight

Extreme weather kills 2,000 Americans each year, CDC report says

@highlight

When switching tasks, brains of children with autism show less connectivity, study says