(CNN) -- Wine-making in Georgia has been an integral part of the country's culture for millennia; so ingrained is viticulture in the country that imagery of grapevines can be seen adorning churches and public monuments.

But a Russian embargo on Georgian wine imports imposed in 2006 has meant its vineyards have been transformed more in the last six years than the previous 8,000.

Until the embargo, the country of 4.5 million people in the Caucasus region sold around 50% of its wine to Russia. A year after it was cut off from its biggest market, sales dropped by a further 25%, according to the Ministry of Agriculture of Georgia.

Safety concerns were the official reason behind the Russian ban on all beverages imported from Georgia, although many within the wine industry believe the move was politically motivated.

"In 2004 the wine industry started its reforms and by 2006 (counterfeiting and sub-standard quality wine) was partly solved," says Levan Davitashvili, of Schuchmann Wines, an independent winery in Georgia.

While little known to most wine drinkers in western countries, Georgia has traditionally had a reputation for producing the best quality wine from the region, especially among former Soviet states.

With over 500 endemic varieties of grapes it is one of the world's most diverse for types of wine, with most families owning small vineyards using traditional wine-making methods -- typically in huge, underground amphorae-like vessels called "qveri".

Yet its good reputation was diluted by counterfeiting that increased during the late 1990s and early part of the last decade.

One of the most common ways to produce fakes was to pass off substandard wine, sometimes not made in Georgia at all, as a better quality product.

"In the bottle its grape juice or wine from elsewhere but it bared the label of Georgian appellation," says Irakli Cholobargia of the Georgian National Wine Agency.

"The other type of counterfeit isn't wine in the bottle at all, but something else like juice of radish or carrots with alcohol."

Cholobargia says that is was easy to spot the fakes even before drinking them because they were sold a much cheaper price than the authentic wines.

Despite Cholobargia's contention that the counterfeiting was limited, fakes would turn up in other markets apart from Russia even as far as the U.S. The Baltic states of Estonia, Latvia and Lithuania have been a substantial export market for Georgian wine and some estimates have suggested that before 2006 there was twice as much fake Georgian wine as authentic sold there.

"Georgia's wine players all suffered because of the name infringement and it hit the reputation of Georgian wine overall," says Cholobargia.

The result of the embargo and loss of the biggest export market was that many wine-makers simply had to close while those that survived had to upgrade their facilities and quality. Many, like Schuchmann Wines, have recast themselves as boutique vineyards with an eye to tapping into the western market.

Previously known as Vinoterra and founded in 2002 by a small group of Georgian winemakers near the eastern city of Telavi, it was bought by German investor and wine aficionado Burkhard Schuchmann in 2008. The aim was to provide a higher quality wine that would impress European wine drinkers.

"Western consumers have better expectations rather than those who have an established history of drinking Georgian wines," says Davitashvili, who also says that the 300,000 bottles that Schuchmann Wine produces each year could be expanded to one million as China's thirst for wine increases each year.

While sales of Georgian wine have been increasing for the last three years, it could still take another five years for the volume of sales to surpass pre-2006 levels, according to Cholobargia. With only 45,000 hectares of vineyards (one of the world's largest wine producers, Spain, has over one million hectares), Georgian wine will always be a relatively bespoke operation.

"But if we get back the same volume (as 2006) the value will also go up," says Cholobargia.

Since 2004 the Georgian government has taken steps to protect and encourage the industry, legally reclaiming Georgian names from companies registered in Israel and the U.S., and in April an agreement with the EU came into effect on mutual protection of trademarked food and drink.

"Wine is very important for the country," says Cholobargia. "It's one of the high quality products of the country. The key instrument to raise awareness, plus the uniqueness gives us the opportunity to attract international attention."

CNN's Eye On series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports.

@highlight

Georgia is thought to be the world's oldest wine producing area

@highlight

History of wine-making stretches goes back over 8,000 years

@highlight

Russian embargo on Georgian wine since 2006 initially hit industry hard

@highlight

Many producers have improved quality and looked for new markets