(CNN) -- A federal agency in charge of safety on the roads wants an outright ban on using mobile phones while driving. But what if we're just too hooked on our smartphones and other digital gadgets to care?

For many drivers in 2011, a phone is as vital an in-car accessory as a radio, a map or a cup holder. Spend a few minutes watching motorists backed up at a traffic light and you'll see a large chunk of them on their smartphones: talking, texting, peering at a digital map or playing "Angry Birds."

Enough, says the National Transportation Safety Board, which on Tuesday issued its most sweeping recommendation on mobile-phone use yet -- that all nonemergency talking, texting or other use by drivers be made illegal. That would include hands-free devices as well as handheld ones.

Reaction has been heated. There seems to be across-the-board agreement, even on the part of some self-admitted offenders, that a ban on drivers using their hands to text and talk makes sense.

But after that, things get more complicated. And some critics are saying that any law targeting phone use in cars is already too late.

"Mobile phones are omnipresent. Virtually every adult and many kids have one," Detroit Free Press auto columnist Mark Phelan wrote Wednesday. "No law will change the fact that people expect to remain in touch while they're behind the wheel."

The NTSB's proposed ban, he said, would be "the most pointless and universally ignored law since Prohibition."

"Imagine the old 55-mph speed limit, only without radar detectors," he wrote.

In the United States, more than 35% of adults own a Web-enabled smartphone and more than 83% own a mobile phone of some kind, according to a recent Pew study.

At any given daylight moment, some 13.5 million U.S. drivers are on handheld phones, according to a study released last week by the National Highway Traffic Safety Administration.

Some 3,092 roadway fatalities last year involved distracted drivers, although the actual number may be far higher, the NHTSA said. Federal officials have taken to calling phone use behind the wheel "the new DUI."

Alex Hughes of Austin, Texas, says he doesn't use his phone while actively driving. But at stoplights, he admitted, he'll do everything from texting and checking e-mail to reading news stories, checking Facebook and posting to Twitter.

"I like to be able to maximize the use of my time," he said. "I don't see there being a big harm in multitasking when my car is stopped so long as I maintain awareness of what traffic around me is doing."

Many CNN Tech readers who responded to a call for thoughts on the issue said they don't understand a distinction the NTSB plan makes between phones and systems that come installed in cars, like Ford's SYNC, which enables voice calls, online music services and other phone-like features.

"I make and receive phone calls via my hands-free equipment and I use the phone for GPS navigation. All of this I could do freely if I have the right optional extras in my car," said Trevor Cudmore of Bayport, New York.

"Should radios and GPS navigation also be banned from cars? Laws exist in most states banning texting and making phone calls without hand-free equipment -- the issue is that these laws are not being enforced. "

The use of mobile GPS also was mentioned frequently by both readers and online pundits. Virtually every mobile operating system has some sort of mapping app to help drivers get from Point A to Point B.

What sense does it make, the logic goes, to ban phones in the car while allowing apps that are created, almost exclusively, to be used in the car?

"(G)iven that GPS is now an integral part of most smartphones, and that services like OnStar integrate voice commands to phones via Bluetooth, it's not clear how effective or enforceable a total ban would be -- or whether it would change the behavior of drivers in a significant way," wrote Sean Gallagher for tech blog Ars Technica, a CNN content partner.

"Bans on handheld phone use haven't significantly reduced the likelihood of drivers to take incoming calls while they're driving regardless of the type of phone they have."

A bigger safety issue could arise, Cudmore said, if such tools are banned.

"If cell phones are banned, those of us without GPS installed in the car will need to revert back to paper maps or printed directions," he said. Which is more dangerous, listening to my phone's GPS navigation or reading a set of printed instructions? Let's be honest, before GPS when everyone used maps, did we all pull over to the side of the road to read the next instruction once we reached a waypoint? If used correctly, these devices are improving safety."

Any ban on cell phone use in cars probably wouldn't become law for a while. The NTSB doesn't have any lawmaking power and Congress would have to pass any law regarding phones and driving, although the safety board has helped push ideas into law before. Getting such a law through Congress, given the current gridlock in Washington, could be a torturous process.

Currently a patchwork of laws governs cell phone usage by drivers. Some 35 states ban text messaging while driving, 30 states ban cell phone use by novice drivers, and 10 ban all use of handheld cell phones, according to the NTSB.

@highlight

Federal board suggests a ban on phones while driving, but many balk at the idea

@highlight

Many support banning texting while driving, but say hands-free, GPS should remain legal

@highlight

Auto industry columnist says law would be "most ignored since Prohibition"