(CNN) -- Oppressed by war and poverty for generations, the Sudanese have struggled with terrible hardships. But the people of this vast country have a narrow window of hope to achieve progress by ridding both their nation and the world of a horrible disease forever.

With support from The Carter Center and others in one small targeted area where cases remain, Sudan -- the last stand for Guinea worm disease -- could quickly eliminate this parasitic infection contracted from contaminated drinking water.

Guinea worm victims endure the horror of a thin worm, up to 3 feet (1 meter) long, emerging slowly through a burning blister in their skin over the course of about a month after the parasite has incubated inside them for a year. This can be stopped by educating people to filter all drinking water and to stay out of water sources when they have a worm emerging to keep it from discharging new larvae back into the water.

Click to see Guinea worm disease: Then and now

Because the worm requires a human host, it is within our control to eradicate it. Poised to become only the second disease eradicated from Earth besides smallpox -- which had different challenges -- Guinea worm cases have been reduced from about 3.5 million in 20 nations in 1986 to about 3,200 in 2009. Eighty-six percent of remaining cases in the world are in Southern Sudan, where violence continues to threaten the population and health workers. The few other cases are in Ghana, Mali and Ethiopia.

I recently returned to Southern Sudan to visit an endemic Guinea worm village and met with ministers of health from Northern and Southern Sudan, who are assisted in their Guinea worm eradication effort primarily by The Carter Center and other partners, including the World Health Organization, UNICEF, and the Centers for Disease Control and Prevention.

Sudan has reduced its cases by 98 percent since the eradication program began there in 1995, and we expect even greater reductions in 2010.

But continuing insecurity is a major concern. In 2009, Guinea worm workers were forced at least 32 times to remain in their homes or offices or had to be evacuated temporarily because of violence or threatened violence, and areas affected by violence reported at least half of all cases last year.

The greatest periods of progress have been when violence abated -- during a cease-fire lasting almost six months that I negotiated between Northern and Southern Sudan in 1995 to initiate the Guinea worm program there, and since the 2005 Comprehensive Peace Agreement.

Also challenging is the slow pace of providing safe drinking water in endemic villages, only 16 percent of which have even one safe water source. The campaign has hinged on providing cloth filters, health education, and a mild insecticide to kill the parasite in water. This has been effective in bringing us to the brink of eradication, albeit slowly.

But wherever possible, creating new sources of clean groundwater can accelerate elimination, with the added benefit of preventing many other water-based maladies.

This is just one example of how investing in disease prevention and eradication can strengthen the foundation for progress in developing nations. Across Africa, Guinea worm eradication workers have blazed new trails to prevent the disease in remote villages. Likewise, networks of thousands of volunteer health care workers have been created to identify cases, deliver cloth water filters, and ensure that their infected neighbors do not step into a water source. They form the backbone of a rudimentary health care delivery system that is both low cost and effective in fighting other diseases, too.

A war waged to vanquish the fiery serpent

No one is working harder to eradicate Guinea worm disease than the Sudanese themselves. Sudan has a corps of more than 13,500 passionate and dedicated volunteer health workers -- foot soldiers of Guinea worm eradication under the very capable direction of the Southern Sudan Ministry of Health and supported by 41 Sudanese and expatriate technical assistants from The Carter Center.

Whatever the outcome of April's national elections in Sudan and the referendum on national unity in Southern Sudan next January, ridding their nation of Guinea worm disease will show the world what Southern Sudanese can do when they are not distracted by war.

This will be an important victory for Sudan and the world. With a little more help from their global neighbors, this achievement could be within reach very soon.

@highlight

Jimmy Carter: Sudanese have chance to rid nation and world of a horrible disease

@highlight

Guinea worm sufferers endure 3 foot-long worm emerging painfully from skin, he writes

@highlight

The Carter Center helping Sudan with education, eradication efforts

@highlight

Sudanese have been most successful during periods of relative peace, Carter says