(CNN) -- Six months on from the strike-related violence that left 44 people dead at the Marikana mine in South Africa, unrest and uncertainty still plague the country's mining sector.

At least nine mine employees were hurt Monday when security guards shot rubber bullets to break up a confrontation between rival union groups at Anglo American Platinum's Siphumelele mine, in northwest South Africa, Anglo American said in a statement.

It's the latest in a number of incidents at South African mines that have disrupted the industry. A string of wildcat labor actions, coupled with rising power costs and depressed commodity prices on the international market, have put pressure on many mining companies operating in South Africa, the continent's largest economy.

"Mining companies have really struggled to get back onto production levels prior to the strikes," says Abrie Olivier, mining leader for southern Africa at Deloitte. He adds that the "heightened tensions" witnessed last year have also raised questions about the role of unions within the mining sector.

Last year's tensions have been widely blamed on competition for members between rival trade unions -- the more established National Union of Mineworkers and the fast-expanding Association of Mineworkers and Construction, which is seen as the more militant of the two.

Olivier adds: "Six months down the line, there's quite a big process in terms of redefining the landscape of the unions -- who's in control and who's not, who's got the voice of the workers and who doesn't, how do mining companies engage with labor through union."

Last August, violent clashes at a platinum mine owned by Lonmin, in Marikana, about two hours northwest of Johannesburg, sparked national outrage after 34 people died when police opened fire on striking workers. Ten others died in the earlier days of the protests, including two police officers.

After the carnage, wildcat strikes marred by violence became the order of the day in South Africa's mining sector. Fatal clashes between rival unions, as well as underground sit-ins, brought several operations to a halt and cost the country big money in lost production.

In December, Harmony Gold cited security concerns for its decision to suspend operations in its Kusasalethu mine, about 100 kilometers west of Johannesburg. The company, which is one of South Africa's top gold producers, has only now reached an agreement with unions and expects the mine to return to full production toward the end of June.

Last month, discontent among workers rose again after Anglo American Platinum, the world's top platinum producer, announced plans to mothball two mines, sell an unprofitable one and put 14,000 jobs at risk, although those plans are currently on hold.

The potential job losses could spell trouble for the ruling African National Congress party that's already struggling to deal with the country's 25% unemployment. Unfulfilled promises of a better life post-apartheid have already led to an increase in urban unrest in recent times.

Analysts say that mining is the backbone of South African economy. According to the country's Chamber of Mines, the sector employed about 513,000 people in 2011. Over the past 10 years, the industry has contributed just over $213 billion (1.9 trillion rand) to both the country's GDP and export earnings, in real money terms.

After more than a century of mining gold, platinum had become South Africa's new cash cow. But the sector is struggling with an oversupply in the international market and soaring production costs.

At the same time, pending increases in electricity costs and the potential of further labor unrest over the coming months, when wage contracts will be up for renegotiation, as well as uncertainty over mining legislation, have all helped exacerbate an already challenging situation. This has prompted some investors to look for opportunities in other countries.

"It will vary according to the mineral group and project life cycle but we are likely to see investors looking elsewhere in the region ... particularly if the South African government doesn't come out quite strongly and say what its plans for the sector are going forward," says Simiso Velempini, South Africa analyst for global business risk consultancy Control Risks. "We are seeing some investors looking to Zimbabwe, Namibia and increasingly Mozambique, which has vast untapped natural resources," she adds.

Police fire tear gas as striking miners protest

In December, the government, which is currently amending its Mineral and Petroleum Resources Development Act, moved to ease investors' concerns by ruling out nationalization as a policy option.

Instead, it opted for "strategic" state involvement in key sectors of the industry and hinted at new taxes as it declared that the "state must capture an equitable share of mineral resource rents through the tax system and deploy them in the interests of long-term economic growth, development and transformation."

But, Velempini says, lack of clarity about the level of state intervention in the industry is keeping investors wary.

"That is going to be something that investors want to hear more about and want to be reassured about in 2013," she says. "Which state-owned enterprises will potentially increase their involvement in the mining sector but also how the government plans to increase the local South African participation in the sector, through what means and ways."

But despite the sector's recent woes, most analysts agree that mining holds the key to a prosperous South Africa.

"It's an industry that's going through a lot of change and it's going through a lot of pain, for the better," says Olivier. "If there's one industry that is very resilient it is the mining industry and South Africa will get through it and I think it will be for the better in the long run."

Velempini agrees. "The mining sector in 2013 is in for quite a tumultuous period but having considered the sector's contribution to the country's GDP, but also its contribution to employment levels, the government will have a strong reason to try and ensure that there is policy clarity and also a measure of stability in the medium term," she says.

South Africa mine fires 1,4000 striking miners

@highlight

Violence at South African mines creating uncertainty in the industry

@highlight

Last year, thousands of striking workers halted operations at many of the country's mines

@highlight

Strike-related violence at Lonmin's Marikana mine in August left 44 dead

@highlight

The unrest has prompted some investors to look at alternative options