Freetown, Sierra Leone (CNN) -- Jabati Mambu has lived all his adult life without his right hand.

He was only 15 when rebels of the Revolutionary United Front swept through Freetown, the capital of Sierra Leone. In their signature, sinister style, they hacked off Mambu's hand with a machete.

Mambu, now 28 and a goalkeeper for Sierra Leone's amputee football (soccer) team, was one of thousands of victims who felt huge relief Thursday after an international tribunal convicted former Liberian President Charles Taylor on 11 counts of aiding and abetting the rebels to carry out war crimes.

Taylor convicted in The Hague

"I think this should send out a very big message to those who want to commit crimes," Mambu said. "People will listen, even if they don't care, and they will know what has happened today is important for us victims."

Those who suffered in Sierra Leone's notoriously brutal civil war reveled in the fact that Taylor was finally held to justice for the bloodshed, an act of accountability that had seemed implausible to many.

In the diamond-mining region of Kono, where much of the atrocities took place, almost everyone has a story to tell about the rebels, who the Special Court for Sierra Leone concluded were supported militarily by Taylor.

"Things went bad, but this will let people know that it will not go unpunished," said the Rev. Sahr Christian Fayai, head of the Human Rights Commission in Kono.

Fayai saw loved ones die, children abducted, women raped and homes burned.

"My experience was very bitter. I lost everything in a heartbeat," he said.

The verdict, he said, will help heal the wounds. Or at least begin healing.

The court found Taylor guilty of abetting murder, rape, conscripting child soldiers, sexual slavery and mining diamonds to pay for guns in the decade-long war that ultimately left 50,000 dead or missing.

Who is Charles Taylor?

It has been another decade since Sierra Leone emerged from violence. But another Kono resident was still too afraid to speak openly. He had seen hell and lives in fear of retribution for telling the world about it.

During the worst of the war, he and his family walked by the cover of night to escape across the Guinea border. But the rebels caught them and lined them up with others for execution.

One of the rebel fighters recognized the man and called him out. He asked his son to point to all those he knew. The boy picked out his father, mother, sister and grandfather. Everyone else was shot to death.

"They killed them in front of our faces. My boy was so terrified -- he was only 5."

Thursday, the man watched a judge read out Taylor's verdict on a television screen in a bank. He stood among amputees and ex-combatants. They felt vindicated: Taylor, they said, had robbed them of their youth and education. They might have been something in life had it not been for him.

Justice took a long time coming, the Kono resident said. But it prevailed.

"Now I am waiting to see what will be the sentence," he said. "Will it be a life sentence? We live with the bitterness of war. We can see scars all over."

Opinion: Who really benefits from these trials?

In Taylor's homeland, Liberia, the reaction to the court's historic ruling was mixed. Taylor had just become the first former head of state to be convicted by a war crimes tribunal since the Nuremberg trials after World War II.

In Monrovia, the Liberian capital, a man sported a "not guilty" T-shirt and advocated for Taylor's freedom. Others said they want their president back.

"If I want him to come back? Yes. I would be happy," said Dennis Zomo. "I'm a Christian. I don't have any bad mind against him."

Daniel Rogers said he was angry about the bad reputation the world has attached to Liberia. He said the people of Sierra Leone were hardly innocent.

"We did not chop our people's arms during our war. We are not ... wicked enough to chop up people," he said. "We expect that our war crimes court, the court of Liberia, will come here, too, to try people from Sierra Leone."

Added Ali Kemokei: "I feel there was an international conspiracy. President Taylor never ... went to fight in Sierra Leone."

But not every Liberian was defending Taylor.

"I feel good for Taylor to be guilty," said Sekei Duklay, "because he killed my people, he destroyed this country, so I don't like him. I want they should (put) him in jail for life imprisonment."

Back in Freetown, people gathered at the Special Court Thursday to watch the verdict. Taylor's proceedings were moved to the Netherlands because of fear that the trial might trigger instability in Liberia.

How 'blood diamonds' fuel conflicts

In Freetown, Taylor still has a following.

"The court says it is trying those who are most responsible," said Elred Collins, head of the Revolutionary United Front Party and the former spokesman for the rebels.

"Every Sierra Leonean took part in the war. In one way or another, they did take part in the war," he said. "So if you would like to bring everyone to justice, I don't know when the case will end."

For Mambu, the amputee footballer, there is no end, either. Not yet.

And not for other victims of the war, who said that the conviction of one man was not enough to help get the damaged lives of thousands of others back on track.

"I think more has to be done for the things that happened to us not to happen again, like amputation, rape, burning of houses," Mambu said.

In Sierra Leone, said aid worker Jennifer Harold, there are bullet holes in all the buildings. And there are bullet holes in the national psyche.

In that sense, the verdict was a big victory, said Harold, World Vision's director in Sierra Leone.

Change is slow, she said. But with Taylor likely to go to jail, the victims of his war know now that they don't have to be mired in the past.

Journalist Damon van der Linde reported from Freetown, Sierra Leone and CNN's Moni Basu reported from Atlanta. Journalist Bonnie Allen contributed to this report from Monrovia, Liberia.

@highlight

An international tribunal finds Charles Taylor guilty of aiding war crimes

@highlight

In Sierra Leone, war victims feel relief

@highlight

Amputee Jabati Mambu says much more has to be done for those who suffered

@highlight

Taylor finds some support in his homeland, Liberia