(CNN) -- The fear began just after news broke Thursday that a long-range business jet with an isolation pod left the United States for Liberia, where it will evacuate two Americans infected with Ebola.

Twitter exploded with questions about the deadly virus, which according to the World Health Organization is believed to have killed hundreds in four West African nations. And with reaction to news that two infected Americans would soon be on their way back to the United States.

"Why are they doing this?" Robin Hunter asked in a post on Twitter.

While U.S. officials have remained mum on the issue, a source told CNN that a medical charter flight left from Cartersville, Georgia, on Thursday evening.

A CNN crew saw the plane depart shortly after 5 p.m. ET. The plane matched the description provided by the source, who spoke on condition of anonymity.

It was not immediately known when the two Americans -- identified by the source as Dr. Kent Brantly and Nancy Writebol -- would arrive in the United States, or where the plane would land.

At least one of the two will be taken to a hospital at Emory University, near the headquarters of the U.S. Centers for Disease Control and Prevention in Atlanta, hospital officials told CNN's Dr. Sanjay Gupta.

The patient will be cared for in an isolation unit at the hospital that is separate from patient areas, Gupta said.

With the return of Brantly and Writebol to the United States, it will be the first time that patients diagnosed with Ebola will be known to be in the country.

Brantly and Writebol are described as being in stable-but-grave conditions, with both reportedly taking a turn for the worse overnight, according to statements released Thursday by the faith-based charity Samaritan's Purse.

No known cure

There is no known cure or vaccine for Ebola, which the World Health Organization says is believed to have infected 1,323 people in Guinea, Liberia, Sierra Leone and Nigeria between March and July 27.

Of those suspected cases, it is believed to have been fatal in at least 729 cases, according to the health organization.

In the United States, the National Institutes of Health announced it will begin testing an experimental Ebola vaccine in people as early as September.

The federal agency has been working on the vaccine over the last few years and says they've seen positive results when they tested it on primates.

The NIH announcement came the same day as the CDC issued a Level 3 alert for Guinea, Liberia, and Sierra Leone, warning against any nonessential travel to the region.

As of now, the outbreak has been confined to West Africa. But it could spread via travel, especially since people who have Ebola may not know it; symptoms usually manifest two to 21 days.

The symptoms include fever, headaches, weakness and vomiting, and at an advanced stage there is internal and external bleeding.

The Eboloa outbreak is believed to be the worst in history, and even in a best-case scenario, it could take three to six months to stem the epidemic in West Africa, Dr. Thomas Frieden, director of the CDC, told reporters on Thursday.

Writebol gets 'experimental serum'

Both Brantly, a 33-year-old who last lived in Texas, and Writebol were caring for Ebola patients in Liberia.

An experimental serum was administered to Writebol this week. Only one dose of the serum was available, and Brantly asked that it be given to his colleague, said Franklin Graham, president of Samaritan's Purse.

Samaritan's Purse said it did not have any additional detail about the serum.

At the same time, Brantly received a unit of blood from a 14-year-old boy who survived Ebola, the statement said. Brantly had treated the teen, it said.

It was not immediately clear what doctors hoped the blood transfusion would do for Brantly.

While blood transfusions have been tried before, Frieden told reporters no one really knows why some people survive and some don't.

There have been questions about the the health of Brantly's wife and his children, who left for Texas prior to his diagnosis.

In a statement released Thursday, Amber Brantly said she and her children "are physically fine."

"We had left Liberia prior to Kent's exposure to the virus," she said. "I am always anxiously awaiting any news from Liberia regarding Kent's condition."

Meanwhile, Writebol's husband, David, who like his wife is with Samaritan's Purse, is near her, said their son Jeremy, who spoke with CNN's Chris Cuomo from the United States.

But she is isolated from him, and he has to wear head-to-toe protective clothing similar to a hazmat suit so that he does not contract a disease that starts out with similar symptoms as a strong flu but can end in internal bleeding and death.

"Mom continues in stable condition but it's very serious, and she's still fighting," her son said. "She's weak, but she's working through it."

Liberian Information Minister Lewis Brown said his country could ill afford to lose health care workers like Writebol and Brantly.

"We join the families in prayers that they can come through this and become ... shining examples that, if care is taken, one can come out of this."

Another physician in West Africa was not so fortunate; Dr. Sheik Humarr Khan fell ill early last week while overseeing Ebola treatment at a Sierra Leone hospital and died days later.

Rate of infection

Ebola fears hit close to home

The rate of infection has slowed in Guinea, but it has increased in neighboring Sierra Leone and Liberia.

As infection accelerates, some aid groups are pulling out to protect their own.

Samaritan's Purse and the missionary group Serving in Mission have recalled all nonessential personnel from Liberia.

The Peace Corps announced Wednesday it is doing the same, removing its 340 volunteers from the three severely affected nations.

While there are no confirmed cases, a Peace Corps spokeswoman said two volunteers came into contact with someone who ended up dying from the virus.

Those Americans haven't shown signs of Ebola but are being isolated just in case. The spokeswoman said they can't return home until they get medical clearance.

Meanwhile, Liberian President Ellen Johnson Sirleaf and Sierra Leone's President Ernest Koroma both canceled trips to the United States, and Koroma declared a state of emergency. Koroma announced an action plan to tear down many barriers that international medical workers say they face while fighting disease.

Sirleaf said on CNN's "The Lead with Jake Tapper" that the country is in desperate need of people with expertise in treating and dealing with Ebola.

Some residents in affected villages have accused medical workers of bringing the disease into the country and have barricaded their towns or otherwise blocked access to Ebola victims.

Koroma said he will deploy police and military to accompany the aid workers.

They will search house to house for the infirm and enforce orders designed to curb the virus' spread.

American dies in Nigeria

One American, 40-year-old Patrick Sawyer, died in a Nigerian hospital earlier this month -- having come from Liberia. He was in a plane to Lagos, when he became violently ill. He was planning to go back home to Minnesota to celebrate his daughters' birthdays, but the disease took his life before he could.

The Nigerian government said Thursday it has located 10 more people who had contact with Sawyer, the first American who died in the Ebola outbreak. Meanwhile, none of the 67 people under surveillance and the two people in quarantine have shown symptoms of the disease, Nigerian Minister of Information Labaran Maku said.

A naturalized American citizen who worked in Liberia, Sawyer flew to Nigeria intending to attend a conference.

After exhibiting symptoms upon arrival July 20, he was hospitalized and died on July 25.

Nigeria's Minister of Health Onyebuchi Chukwu says the government is still searching for more people that had contact with Sawyer on his journey on a plane that stopped in Accra, Ghana and Lome, Togo, before traveling on to Lagos.

Ebola doctor in Sierra Leone dies

What you need to know

CNN's Millicent Smith, Caleb Hellerman, Jason Hanna, Jonathan Helman, Pamela Brown, Nana Karikari-apau and journalist Heather Murdock in Abuja, Nigeria, contributed to this report.

@highlight

The patient will be cared for in an area isolated from other patients, officials say

@highlight

One of the two infected Americans will be taken to hospital in Atlanta, officials say

@highlight

Medical charter flight leaves Georgia to evacuate infected Americans, source says

@highlight

Two American charity workers are described in stable, but grave condition