Washington (CNN) -- President Barack Obama's spokesman criticized the Egyptian government on Tuesday for arresting and harassing journalists and rights activists, and called comments by Vice President Omar Suleiman that Egypt is not ready for democracy "particularly unhelpful."

The remarks by White House press secretary Robert Gibbs reflected a growing U.S. dissatisfaction with Egyptian President Hosni Mubarak and Suleiman, the intelligence officer Mubarak chose as his deputy to bring about reforms demanded by protesters who have convulsed Cairo and the Egyptian economy for more than two weeks.

In another sign of U.S. frustration with the pace of reform in Egypt, Vice President Joe Biden, in a phone call Tuesday with Suleiman, pushed for more progress, according to a White House statement.

Biden urged "that the transition produce immediate, irreversible progress that responds to the aspirations of the Egyptian people," according to the White House statement.

It said the two vice presidents discussed "restraining the Ministry of Interior's conduct by immediately ending the arrests, harassment, beating and detention of journalists, and political and civil society activists, and by allowing freedom of assembly and expression; immediately rescinding the emergency law; broadening participation in the national dialogue to include a wide range of opposition members; and inviting the opposition as a partner in jointly developing a road map and timetable for transition."

"These steps, and a clear policy of no reprisals, are what the broad opposition is calling for and what the government is saying it is prepared to accept," the statement said. "Vice President Biden expressed the belief that the demands of the broad opposition can be met through meaningful negotiations with the government."

A senior administration official told CNN on condition of not being identified that the Egyptian government was "doing the kinds of things that need to be done, but they have to now deliver and Biden outlined some specific things that will demonstrate that they're delivering."

The essential question, according to the official, was whether Egyptian leaders were "truly willing to cede power to somebody else."

"Are they truly going to deliver change or are they trying to put a veneer on this process and finesse the next few months without actually delivering change?" the official added. "There's a sense that the government can wait out the protesters. But then what? We're confident the protesters are not going away."

The Egyptian government's dilemma is "that the longer this goes on, there's an economic impact that Egypt can't afford," the official said.

So far, the Obama administration has been careful to call for democratic reforms in Egypt while also trying to maintain stability in a key Middle Eastern ally that is a vital Arab partner to Israel through the Camp David Accords of 1978.

With detentions, beatings and harassment of journalists and rights activists continuing, and the weekend comments by Suleiman that signaled a shaky commitment to the reforms offered by Mubarak, Gibbs made a point of directly criticizing both the vice president and the Egyptian government in a briefing with White House reporters.

"The government has got to stop arresting protesters and journalists, harassment, beatings, detentions of reporters, of activists, of those involved in civil society," Gibbs said. Previously, he and other U.S. officials, including Obama and Secretary of State Hillary Clinton, called for a halt to the crackdown on journalists and activists without directly saying that the Egyptian government was responsible.

Asked about Suleiman's comment, made in an interview with ABC, that Egypt lacks the necessary "culture of democracy" for the changes demanded by protesters, such as freedom of speech and the right to organize opposition parties, Gibbs said the words went against what was happening on the streets of Cairo and elsewhere in Egypt.

"Vice President Suleiman made some particularly unhelpful comments about Egypt not being ready for democracy," Gibbs said, adding, "I don't think that in any way squares with what those seeking greater opportunity and freedom think is a timetable for progress."

Gibbs also took exception to Suleiman's insistence that foreign elements, including Islamists, are behind or motivating the protesters in Egypt.

"I think the rhetoric that we see coming out now that simply says that somehow what you see on TV has been drummed up by foreigners is at great odds with what we know is actually happening," Gibbs said.

Another senior administration official, speaking with CNN on condition of not being identified because of the sensitivity of a rapidly changing political situation in Cairo, acknowledged that "there is some sort of level of frustration here."

"We don't want just talking," the official said. "We want it to lead to something concrete."

While there is no U.S. timetable of steps being pushed, the official said, "we continue to stress to both sides that negotiations and dialogue have to be inclusive and broad because we do recognize that there's not just three or four viewpoints; it encompasses a wide range of views in society ... that need to be fully represented in negotiations and discussions."

Gibbs repeated the U.S. call for an orderly transition in Egypt from the repressive rule of the past three decades under Mubarak to a multiparty democracy through free and fair elections.

Mubarak has insisted he will remain in power through the end of his term in September instead of ceding to demands for his immediate ouster by the protesters and opposition figures. Suleiman also says Mubarak must remain in power until the next election for the transition to be orderly.

Suleiman met Sunday with some Egyptian opposition figures in preliminary talks that symbolized concession on both sides.

Some opposition figures had rejected any discussions until Mubarak stepped down, while a government statement issued on state TV after Sunday's meeting outlined future steps resulting from the meeting.

In a brief informal exchange with reporters on Monday, Obama said: "Obviously Egypt has to negotiate a path and I think they are making progress."

Gibbs said Tuesday that the talk of reform must be followed by meaningful action, or the protests on the streets would continue.

"I think that the people that are expressing their desire for greater opportunity and freedom are going to continue to express that desire until the government takes the very concrete steps that I outlined a minute ago to address those concerns," Gibbs said. "And if they don't, then those protests will, I assume, continue."

CNN's Jill Dougherty contributed to this story.

@highlight

NEW: A U.S. source says there is frustration with Egypt's government

@highlight

White House spokesman Gibbs calls Suleiman's comments "unhelpful"

@highlight

Gibbs says Egypt should stop arresting and harassing journalists and activists

@highlight

Vice President Biden talks by phone with Suleiman