(CNN) -- If George Orwell and Lucille Ball had a love child, his name would be Stephen Colbert.

In the last century, the great critics of corrupt political language were British authors who wrote dystopian novels. In "1984," Orwell described a totalitarian society in which meaningless political language, dubbed Newspeak, veiled horrible truths.

Earlier, In "Brave New World," Aldous Huxley described toddlers conditioned in laboratories to be afraid of books. And in "A Clockwork Orange," Anthony Burgess imagined a world in which ultraviolent teens rampaged in a distinctive English-Russian patois that defined their alienation from society and authority.

Now in the 21st century, there is Colbert's "truthiness" -- political half-truths, quarter-truths and what the website Politifact describes as "Pants-on-Fire" prevarications.

On his Comedy Central show, "The Colbert Report," he introduced "The Word," a regular deconstruction of language contortion designed, in Orwell's notion, to defend the indefensible. (One example: "A Perfect World," as in, journalists should demand to investigate torture, but it's not a perfect world.)

It's sharp political humor and a canny critique of American culture, language and iconography. And it's helped the comic emerge as this nation's court jester, licensed by the youthful cable TV audience to speak truth to power.

Such is Colbert's power and influence that he has been invited to testify before Congress today on the issue of illegal immigration -- and to testify in character. It's as if the Congress of the Eisenhower years invited Harpo Marx to offer testimony by beeping his bicycle horn.

Colbert has long been on to something important about the nature of our political discourse at the beginning of a new postmodern millennium: that ideology has become the lens through which Americans found their particular truth, let the evidence be damned.

As a caricature of Fox's Bill O'Reilly, he has turned deconstruction of the culture wars into an art form, adopting the slogans and symbols of America's ideologues, even as he reveals their emptiness.

Of course, during the last century, there were always comic voices -- from Will Rogers to Lenny Bruce to Pat Paulson to George Carlin -- who could be counted on to deflate the pretensions of the rich and powerful using their own words.

But cable television has created a different breed of comic cat with vast media reach. And on Fox, Glenn Beck offers himself up as a "rodeo clown" (his words), a character who embodies the disaffection and alienation of the right, but whose acolytes experience him as real enough to follow him in the thousands to the Lincoln Memorial for a rally.

Jon Stewart insists that his "Daily Show" is comedy entertainment and not journalism, and yet it has become the main source of political news for millions. Even as President Obama is seen by some to have lost his campaign mojo, Stewart and Colbert plan their own Washington rally, making them arguably the most potent antidote to the blustery right.

Is it possible we are reaching the point in political history when a fictional character can be elected to office?

Viewers and fans should remember what's real about all this and what's not. I was reminded of this firsthand when I encountered the Colbert comic persona during one of the 2004 presidential conventions in which he declared himself a worthy presidential candidate because of his humble origins.  He was a descendant, he said, of "goat turd farmers from France."

As producers explain to guests on "The Colbert Report," it is not their job to be funny, but to act as foil for the self-important and clueless cable talk show host.  The guest tries to disabuse Colbert of his ridiculous view of politics and the world, an effort that never works, of course.

What happens when Colbert is questioned by members of Congress promises to be a comic hall of mirrors in which illusion and allusion, reflection and deflection, truthiness and reality collide and converge.

Members of Congress might treat the spectacle as entertainment, but they would be wise to look a level deeper, to see that the followers of Colbert's circus may one day cast off their ironic pose and step up to cast their votes.

When I was the age of Colbert's legion of  fans,  I turned to the novels of Orwell, Huxley and Burgess to sharpen my skepticism toward the language of those in power. Such fiction is likely to wane in influence in an era when so many read less and care less.

In its place is something quite different but, in its own way, quite good: comedy and satire shining a disinfecting light on the language of scoundrels. Turn on the telly.  Pass the popcorn.

The opinions expressed in this commentary are solely those of Roy Peter Clark.

@highlight

Roy Peter Clark says Stephen Colbert is heir to social comment tradition of Orwell, Huxley

@highlight

Comedian's sway is so great, he says, he's testifying in character on immigration to Congress

@highlight

He says Colbert (and Beck too) knows Americans find "truth" through own ideological lens

@highlight

Clark: But Colbert uses power of satire to shine disinfecting light on language of scoundrels