(CNN) -- With Amazon unveiling its much-anticipated Kindle Fire tablet computer Wednesday, we may finally have a real tablet war on our hands.

In the nearly 18 months since the iPad went on sale, tablet rivals have come and gone. But Apple's device has remained dominant.

Amazon's new entry, though, might be different. Instead of crafting an iPad carbon copy and asking consumers to choose between them, they've pushed out a stripped-down and simplified device that sells for much less than the iPad 2 while skimping on some of that tablet's features.

If you're in the market for a tablet, though, here's the real question: Which one, if either, is right for you?

We can't say for sure, since we haven't gotten our hands on one yet. (Amazon didn't let reporters demo them at Wednesday's launch event.)

Here's a look at how the two devices stack up in some key areas.

Price

Apple's higher prices make the Fire's price tag look like, well, a fire sale.

At $199, the Kindle Fire will be a full $300 cheaper than the lowest-priced iPad 2. That's possibly an easier entry point for folks who are intrigued by the iPad but can't justify spending $500 for a portable computer when they already have a smartphone and a laptop.

One reason iPad competitors have had a hard time catching on is that, to make a profit, they're priced about the same as Apple's hit device, which costs $499 to $829, depending on storage capacity and 3G capability. That being the case, the majority of consumers have stuck with the market leader.

For evidence of the power of a lower price point, though, look no further than HP's "dead" TouchPad tablet, which the company announced it was discontinuing last month. The company slashed prices to $99 for a 16GB model and $149 for a 32GB one, and they suddenly flew off the shelves (so much so that HP actually made more to fill the demand).

The Fire's $199 sticker may appeal to parents who want to get their child a tablet but hesitate at shelling out $500 or more for something that might get dropped into a puddle.

Screen size

There's a pretty clear difference here. The iPad has a 9.7-inch display, compared with a 7-inch screen on the Kindle Fire.

That screen size is probably a big reason Amazon can offer its tablet at $199 -- touchscreens are expensive to make. But with smartphone screen sizes inching ever-bigger (the just-announced Samsung Galaxy Note will clock in at 5.3 inches) the Fire ends up being a bit of a "tweener."

That's probably no big deal for some users. But if watching movies or playing games is a big reason you want a tablet, bigger is clearly better.

On the flip side, the Fire is smaller and 50% lighter than the iPad, and Amazon says it's "easy to hold in one hand." This may appeal to some users who want to take their tablet on the go.

Features

The Kindle Fire is definitely scaled back from the iPad 2 in several ways.

The Fire doesn't have a camera. For shutterbugs, that might not be such a big deal, as many folks find it easier to shoot photos on smartphones than tablets anyway. But it also means apps like Apple's video chat service, FaceTime, won't be replicated on Amazon's offering.

The Fire also doesn't have a microphone, so voice recording and Skype-style chat are out.

And the Fire is Wi-Fi-only, which means users will be able to surf the Web and download content (like books from Amazon) only when they have a connection. The iPad also comes in 3G models, albeit at a higher price. (The 3G version of the low-end 16GB iPad 2 jumps to $629, not including the monthly data plan).

The Kindle Fire promises eight hours of battery life, as opposed to 10 hours for the iPad 2.

Finally, the Fire has only 8GB of storage (compared with the iPad 2's bottom end at 16GB) but makes up for it by offering free cloud storage on Amazon's gargantuan bank of servers.

Apps

The Fire will run on a modified version of Google's Android operating system. That means users will have access to several thousand apps in Amazon's app store for Android. The iPad, of course, has access to more than 425,000 apps in the Apple Store. So, advantage iPad on this one.

Amazon has, of course, optimized the Fire for its own content, like streaming movies, e-books and music. It also will come with a 30-day free look at Amazon Prime, the company's premier service that offers free two-day shipping of products from Amazon.com and free streaming from a library of more than 11,000 movies and TV shows.

Bottom line

On the surface, both tablets appear to be good options for people who just want a basic portable computer for light Web surfing and content consumption. The iPad has a proven track record and more bells and whistles, although that $199 Kindle Fire price is sure to tempt consumers.

The Fire doesn't go on sale until November 15, so you'll have plenty of time to read reviews of the device by then.

@highlight

Amazon unveils its Kindle Fire tablet, a rival to Apple's iPad 2

@highlight

Price is the huge difference, although Amazon has sacrificed some features

@highlight

Fire offers a smaller screen and no camera or microphone

@highlight

Amazon has optimized the Fire for media consumption