(CNN) -- His long hair has been shaved off, he has to wear a Marine's uniform and is given orders like a soldier, but Udi Segal is not in the military -- he has in fact refused to join the Israel Defense Forces. He may have refused to join then, but he's still forced to look like a soldier in prison.

The 19-year-old has been in prison for 20 days. He's a "refuser" -- the name given to conscientious objectors who refuse to join the Israeli military on political and ethical grounds.

We drove from Jerusalem to Carmel Prison, near Altit, at 6 a.m. -- Udi was due to be released for the weekend and we were meeting his parents at the gates as they were expecting his release anytime between 8 and 9:30 a.m. As we wait, I witness an impatient mother anxious to see her son, pacing. He is her "baby," the youngest of three boys.

But this mother has found herself at the heart of a divide in Israeli thinking, a society sometimes split between patriotic, isolationist thought and inclusion. Hevda Livnat has two other sons serving in the military, one of whom is in Operation Protective Edge in Gaza. The boys in the military didn't want to appear on camera or talk to us. When I ask Hevda about her feelings about the differences amid her family, she shrugs and says simply, as only a mother can: "They're all my boys."

His father Davidi Segal at first seems uncomfortable with not only our presence, but his son's choices. But that all slipped away pretty fast when they saw Udi.

The teenager is questioned before release, and finally emerges at 10:30 a.m. The father hugs him and cheers. They are "happy to see his smile" says Udi's mother and "relieved" says his father.

But he's only out for the weekend and must return -- it's only then he'll be told how long he's back in for -- possibly another 20 days. This process can go on for months.

First stop for the teenager -- a plate of hummus -- and then time, to sit down with me to discuss his carefully considered political and ethical views.

I learn that the family lives in a "Kibbutz" or Jewish commune in the north of Israel and Udi's views were formed at an early age in a joint Arab-Israeli (or Muslim-Jewish) school.

"I understood that Arabs can be my friends, Arabs are not at all my enemies, they are my neighbors."

Why not join the army for the sake of military service, I ask him. "If I wouldn't be a fighter and I'd just sit in an office, someone else would fight, someone else will kill people, someone else will occupy and also I would occupy -- I will support a system that occupies."

But does Udi really think being a refuser can change anything? He is after all in a minority. "I know my step won't stop the occupation but what I hope to do is that people will see I refuse and will think twice before they join the army; if they're now in the army they'll think twice before they're pushing the button and killing people in Gaza," he explains.

At this point I ask him about his brother, who is in the IDF and has been serving in Gaza. "There is debate ... but there is still brotherhood," he replies.

Udi's mother has accepted her sons' choices. She hopes her sons in the military can be at peace with their actions but respects their choice to do their duty. And Udi's decision, she says, didn't come as a surprise, she has watched him develop his political thought. She says the family has learned from it.

"We need these people, as a mother of course I ask why my son, but we need these voices to be heard. We shouldn't be afraid. Nothing will happen to Israel if 400 people say we're not going to Gaza."

In fact she likes the idea of citizens challenging politicians. She tells me she doesn't want Prime Minister Benjamin Netanyahu to feel too comfortable sitting in his seat of power while this conflict continues.

In an interesting take Udi tells me, even as an Israeli citizen, he too feels "occupied," a concept I hadn't considered. "The basic freedom that people don't get in Gaza, also in West Bank, also here in Israel, is because of the occupation. Because of the occupation, I live in a military society, in a violent society, a chauvinistic society."

The Israel Defense Force wouldn't tell CNN how many teenagers are enlisted into military service every year for, they say, security reasons. Neither would they share the number of refusers.

Udi's parents, Hevda and Davidi, both served in the military. While they're proud to have children making independent decisions, there is a mixture of confusion and concern amid their openness.

His father, who at first I thought was against his son's decision, is not so much opposed to it, as concerned. He is not sure Udi understands the complex situation, which he says he hates. Neither side is right or entirely to blame, he explains: "Hamas is wrong and Israel is no angel."

He however, sees a combined military and political solution to the situation. But he wants to be able to debate with his son who has ended the discussion and made up his mind. Udi's mother has accepted his path but is concerned his decision may have repercussions.

Are you scared of the backlash? I ask Udi. "I get messages in my Facebook and email -- that people want to kill me, I'm a traitor... But I'm fine, I'm not scared."

Udi is clear, he doesn't support Hamas -- he doesn't believe they're helping the Palestinian cause at all. They are also not helping their own people. But neither does he support Israel's response to Hamas's rockets.

But what would he say to people who say he's not being patriotic or respectful of his country? He is forceful. Confident and without thinking twice responds.

"I don't want to respect my country, I don't want to be patriotic, I want to respect people, not countries."

Military service is compulsory by law in Israel. Men must serve three years; women must serve two.

Everywhere we go in Israel we see teenagers in military fatigues carrying their guns, a badge of honor, a reminder this country considers itself under threat and has the right to self defense.

To stand out from such a strong national narrative isn't easy. But Udi is clear, he's no hero, it's not about courage or even about him.

"This is also one of the problems that people look at me that I'm brave, [but] I don't want them to look at me that I'm brave, I want them to look at the occupation.

The Israeli military points out that not all are conscientious objectors like Udi.

But some Israeli teenagers do say no. Udi is not alone, he is one of 130 young Israelis who wrote to Netanyahu -- not only refusing to serve but criticizing Israeli politics, policy and accusing the state of war crimes -- an allegation the state rejects.

Later in the evening, on his first of just two days out, he takes time to meet his friends ... and other refusers who have held a party for him.

The group call themselves the "Conscientious Objectors against the Occupation" and operate through word of mouth and Facebook. They are Israeli boys and girls who feel their voice too should be heard. They posted their letter on Facebook and invite people to sign it.

I meet several of them that evening who signed the letter to the PM. These are incredibly politicized young people who want to break free from the national narrative -- articulate teenage activists.

Bar Levy, who is 16 and still at school, says: "I don't agree with what the army does. I think it's immoral and it's only hurting us and the Palestinians."

Daniel Elsohn is an 18-year-old social volunteer for Windows for Peace. "I think the army plays a big role in getting our society militarized and getting our society very much concentrated around violence and repression and it is not something I want to take part in." he says.

Danielle Yaor, aged 19, says: "As a citizen ... I live because of the suffering of Palestinians and because of that I chose to be against the occupation."

Though not huge in number, their opinions and actions are adding to the debate inside Israel - a discourse these young Israelis hope will lead to a more open society. Yet the operations and conflict continue.

Victoria Eastwood contributed to this report.

@highlight

A "refuser" has decided against joining the Israeli military on political and ethical grounds

@highlight

Israel is sometimes split between patriotic, isolationist thought and inclusion

@highlight

Udi Segal, 19, is one of 130 young Israelis who wrote to their PM refusing to serve

@highlight

Though not huge in number, their opinions and actions are adding to the debate inside Israel