(CNN) -- In August 1974, editors of the Journal of the American Medical Association contacted the doctor who had developed a new method to save someone from choking -- then a major cause of death in the United States.

His new technique was saving lives across the country, and they wanted to tell him they were publishing a story about it, and were going to name the procedure after him.

Dr. Henry Heimlich says the editors told him they were considering the "Heimlich Method" or the "Heimlich Maneuver."

"I thought 'maneuver' sounded more appropriate," he says.

On Tuesday, Heimlich, 94, released his autobiography, "Heimlich's Maneuvers.'' In the story about his 70 years in public health, the sometimes controversial thoracic surgeon recounts his early experiments testing the Heimlich Maneuver on dogs, his life as a surgeon and researcher, and his time in the U.S. Navy stationed in China during World War II.

"Many people think I came up with the maneuver by accident," Heimlich says. "You know, I happened to fall against someone who was choking, that kind of thing. I first seriously considered the problem of choking when I read about the thousands of people who die each year. So I set about researching a better way, thinking, perhaps I could make use of air trapped in the chest to propel the object out of the trachea."

Heimlich began experimenting on anesthetized dogs and tried to push the air out using different methods. He found when he pushed just below the rib cage, the object he had placed in the dog's throat shot out of its mouth every time.

A maneuver was born.

And that is mostly what the world knows about Heimlich. But in his autobiography, the doctor details other inventions and medical theories he is proud to have been a part of.

In the early 1950s, Heimlich started looking at how to help patients who had lost their ability to swallow due to a damaged esophagus. He began replacing the damaged esophagus with a part of the patient's stomach.

"People who hadn't swallowed for decades -- who would feed themselves through a tube in the stomach -- were able to, for the first time, sit down with their family or go to a restaurant and eat normally," Heimlich said.

During the Vietnam War, Heimlich invented a chest drain valve that allowed air and fluid to escape from the chest so that the patient's lung filled with air, helping many wounded soldiers on the battlefield waiting for care.

Then in the 1980s, Heimlich invented the micro-trach transtracheal catheter, which allows people with serious lung conditions to receive oxygen more easily.

"I would like people to appreciate that ever since I decided to be a doctor I've wanted to help people," Heimlich says. "I have seen people dying needlessly when in most cases, a simple technique was the solution."

But some of Heimlich's ideas have caused controversy in medical circles.

Heimlich has argued his maneuver can be used for resuscitating drowning victims and for both acute and preventive treatment of asthma.

The American Red Cross does not support using the maneuver for drowning. (Even for someone who's choking, the agency's first-aid procedure recommends first doing five back slaps and then five Heimlich abdominal thrusts.) Other experts have noted cases where performing the Heimlich Maneuver on a drowning victim did additional damage.

As for asthma, medical experts have long questioned the maneuver's effectiveness as a treatment. In an article published in Modern Medicine in 1997, doctors noted that asthma is a disease of chronic inflammation; while the Heimlich Maneuver may help clear mucous plugs that form in the lungs, it won't treat the inflammation that causes an attack. Only medication can do that.

In China, Heimlich teamed up with local doctors to test another one of his theories: that malaria can be used to treat chronic Lyme disease, cancer and HIV. Put simply, Heimlich believes purposefully injecting patients with the deadly disease and letting it go untreated for a few weeks will strengthen patients' immune systems.

The U.S. Centers for Disease Control and Prevention opposes malarial therapy, and many medical experts have criticized Heimlich's testing methods, including his testing on human patients.

Heimlich's son, Peter Heimlich, writes a blog, on which he has spent years trying to draw attention to his father's "wide-ranging, unseen history of fraud."

Calling it a "family issue," Heimlich doesn't talk about his son, but says there is evidence to back up all his ideas.

Peter Heimlich has disputed his father's account that JAMA named the medical procedure after him. In response CNN contacted JAMA, but the journal was unable to verify or discount either Heimlich's claim.

Henry Heimlich says there have been cases where individuals used the Heimlich Maneuver to save a drowning victim or stop an asthma attack, and stands by his own studies that he says show malaria therapy has promise in improving the lives of HIV/AIDS patients.

"All I am saying is that, before dismissing my ideas, let's at least study them to evaluate their efficacy."

What isn't up for debate is that choking can be deadly, and the Heimlich Maneuver has saved many lives. Heimlich estimates it has saved the lives of more than 50,000 people.

"There's been a lot of attention paid to the Heimlich Maneuver because it's so effective, but what I think makes it truly innovative is the fact that it's accessible to everyone. Anyone can save the life of a choking person -- even a child can perform the Heimlich Maneuver."

"Heimlich's Maneuvers'' was published by Prometheus Books.

@highlight

"Many people think I came up with the maneuver by accident," says Dr. Henry Heimlich

@highlight

In fact, the maneuver was developed after testing and experimenting on dogs

@highlight

Heimlich, 94, has written a new autobiography