Kabul, Afghanistan (CNN) -- Najla Habibi says she is hopeful about the future of her country.

"I know we have got a lot of problems, but still I am happy that I, as a woman, can go to school to teach and hundreds of thousands of girls across the country are able to go to school," the 47-year-old school teacher said. "You know that during the Taliban this was not possible."

More than a decade since the war began, Afghans now say that they feel positive about their country's future, a report released Wednesday by the Asia Foundation said.

The report, "Afghanistan in 2012: A Survey of the Afghan People," found public opinion to be the most optimistic since the annual survey began in 2004. Fifty-two percent of the respondents felt that the country was moving in the right direction, compared to 46% in 2011. Improvements in security and reconstruction were the most cited reasons for the improved outlook.

The Foundation interviewed nearly 6,300 Afghans from all 34 provinces, gauging their perception on security, governance, economy and other issues relating to the country's development.

"This survey helps to give us a sense of citizens' priorities, needs, and views," said Abdullah Ahmadzai, The Asia Foundation deputy country representative in Afghanistan, in a news release. "We hope these findings help bridge the gap in understanding between the international community, the Afghan government, and local communitiesâ€”dialogue necessary for Afghanistan's long-term prospects."

Over half of the respondents feel that their families are more prosperous today than in the Taliban era and access to schools has increased. Most respondents agreed with the government's national reconciliation and negotiation efforts with the Taliban.

But concerns remain. "It is good that the government is putting efforts on talks with the Taliban, but I am always afraid that if talks become positive and the Taliban come (back) to the government, would we still hold our rights or not?" Habibi said. "But generally I think we are moving towards a right direction."

In the 2012 report, fewer Afghans said they experienced violence or crime over the past year, with a significant decline in violence and crime. "I feel safe in Kabul, especially in my shop because it is not on a main road or near a military compound, " a 29-year-old shopkeeper told CNN, who asked not to be named. "But I don't feel safe once I go to downtown or to any of the high profile areas of Kabul."

Attitudes toward women also appear positive. Nearly nine in 10 respondents agreed that women and men should have equal educational opportunities. Two thirds of Afghans surveyed say they think women should be allowed to work outside the home.

Despite the sense of optimism in the report, insecurity continues to be the biggest worry. Respondents cited security issues (28%), unemployment (27%), and corruption (25%) as the three biggest problems facing Afghanistan. Two-thirds of those interviewed said that local employment opportunities are bad.

"I don't think Taliban threat is worse than corruption in Afghanistan," the Kabul shopkeeper said. "It is the corruption, which is taking Afghanistan towards calamity as we have been seeing in the last decade."

The report comes at a crucial time when the NATO led International Security Assistance Force (ISAF) is in the process of transferring the country's security responsibilities to the Afghan National Forces. Afghanistan is also preparing for its next presidential election, scheduled for April 2014.

Not all are hopeful for the future. Jan Mohammad Parwani, a 35-year-old father of three who sells mobile phone credit cards on the streets in Kabul, said he wants to leave the country.

"I was really hopeful for the future of my country and the direction it was moving to when I returned from Iran with my family seven years ago, but now I regret (it)," Parwani said. "I wish I was still living as a refugee in Iran.

"I know Iranian government doesn't like us Afghans and they don't treat us in a nice way, but at least I was earning enough and also there was no fear of suicide attacks, roadside bombs and rockets."

@highlight

The Asia Foundation releases "Afghanistan in 2012: A Survey of the Afghan People"

@highlight

Fifty-two percent of the respondents felt that the country was moving in the right direction

@highlight

Insecurity, unemployment and corruption are the three biggest problems