Yangon (Financial Times) -- Myanmar passed a milestone in its efforts to clear its foreign debts after announcing agreements with the Paris Club of creditors, the World Bank, and the Asian Development Bank.

The deals announced Sunday mean that Myanmar has now cleared the bulk of its $11.3bn in outstanding foreign debts. Resolving the debts, which the government stopped servicing in the 1980s, is seen as a crucial step in the country's efforts to re-engage with international donors.

The World Bank and the ADB said their boards had agreed to clear Myanmar's arrears of a combined $960m using bridge loans from the Japan Bank for International Cooperation. The moves funded by Tokyo followed Japan's unilateral decision to settle nearly $6.6bn in bilateral debt and a subsequent move by Norway to clear some $600m in debt.

The Paris Club agreement, to cancel at least 50 per cent of a further $4.4bn in bilateral debt, will meanwhile enable Myanmar to start negotiations with nine creditor countries on repayment terms.

Myanmar, which has promised a series of rapid political and economic reforms under President Thein Sein, has made clearing its debts a priority.

But there are concerns among some diplomats that the debt deals could prompt further criticism of the Myanmar military's escalating attacks on northern ethnic Kachin rebels. In recent weeks, the United Nations, the US and the European Union have all urged an end to the fighting, and some western politicians and officials have warned that further conflict could endanger aid plans for Myanmar.

The most significant breakthrough in terms of Myanmar's remaining debt to creditor countries came after an intense 19-hour negotiating session between Myanmar and the Paris Club group of creditor countries in Paris late last week.

The Paris Club is an informal group of creditor countries that consult regularly on issues including loan restructuring and debt cancellation, particularly for heavily indebted poor countries.

Myanmar owed about $4.4bn to nine Paris Club countries including the UK, Germany, France, Denmark and the Netherlands.

Under Paris Club rules, a debtor country must first clear its arrears with international financial institutions before it can negotiate with creditor countries.

"It was a very tough negotiation, but Myanmar got a good, in some respects exceptional, agreement -- this has really opened a new era for us," said Zaw Oo, a leading Myanmar economist who was part of the negotiating team in Paris.

The government has high hopes for more leniency from creditors following the Paris Club talks, he noted.

"Japan and Norway's moves were vital in helping the Paris Club reach a relatively quick agreement, but the international financial institutions were crucial in convincing creditors that our reforms are genuine and are proceeding," he said, noting that such a move would normally have required a formal IMF programme.

"Myanmar has come a long way in its economic transformation" and the debt deals should help attract investment, spur growth and create jobs, said Annette Dixon, the World Bank's country director, though she warned "much work remains to be done".

In its most recent assessment, the World Bank said Myanmar's economic growth accelerated to 5.5 per cent in fiscal year 2011-12 and is expected to reach 6.3 per cent in 2012-13.

© The Financial Times Limited 2013

@highlight

Myanmar cleared bulk of $11.3B in outstanding foreign debts

@highlight

Myanmar reached agreements with Paris Club creditors, World Bank, ADB

@highlight

Paris Club agreement cancels at least 50% of further $4.4B in bilateral debt