(CNN) -- Deep underground on the border between France and Switzerland, the world's largest particle accelerator complex will explore the world on smaller scales than any human invention has explored before.

The collider's ALICE experiment will look at how the universe formed by analyzing particle collisions.

The Large Hadron Collider will look at how the universe formed by analyzing particle collisions. Some have expressed fears that the project could lead to the Earth's demise -- something scientists say will not happen. Still, skeptics have filed suit to try to stop the project.   It even has a rap dedicated to it on YouTube.

Scientists say the collider is finally ready for an attempt to circulate a beam of protons the whole way around the 17-mile tunnel. The test, which takes place Wednesday, is a major step toward seeing if the the immense experiment will provide new information about the way the universe works.

"It's really a generation that we've been looking forward to this moment, and the moments that will come after it in particular," said Bob Cousins, deputy to the scientific leader of the Compact Muon Solenoid experiment, one of six experiments inside the collider complex. "September 10 is a demarcation between finishing the construction and starting to turn it on, but the excitement will only continue to grow."

The collider consists of a particle accelerator buried more than 300 feet near Geneva, Switzerland. About $10 billion have gone into the accelerator's construction, the particle detectors and the computers, said Katie Yurkewicz, spokewoman for CERN, the European Organization for Nuclear Research, which is host to the collider.

In the coming months, the collider is expected to begin smashing particles into each other by sending two beams of protons around the tunnel in opposite directions. It will operate at higher energies and intensities in the next year, and the experiments could generate enough data to make a discovery by 2009, experts say. Check out the collider complex's six detectors »

Testing the unknown

Experts say the collider has the potential to confirm theories about questions that physicists have been working on for decades including the possible existence of extra dimensions. They also hope to find a theoretical particle called the Higgs boson, which has never been detected, but would help explain why matter has mass.

The collider will recreate the conditions of less than a millionth of a second after the Big Bang, when there was a hot "soup" of tiny particles called quarks and gluons, to look at how the universe evolved, said John Harris, U.S. coordinator for ALICE, a detector specialized to analyze that question.

Since this is exploratory science, the collider may uncover surprises that contradict prevailing theories, but which are just as interesting, said Joseph Lykken, theoretical physicist at the Fermi National Accelerator Laboratory.

"When Columbus sails west, he thought he was going to find something. He didn't find what he thought he was going to find, but he did find something interesting," said Lykken, who works on the Compact Muon Solenoid, one of six experiments inside the collider complex.

Why should the layperson care about this particular exploration? Years ago, when electrons were first identified, no one knew what they were good for, but they have since transformed our entire economy, said Howard Gordon, deputy research program manager for the collider's ATLAS experiment.

"The transformative effect of this research will be to understand the world we live in much better," said Gordon, at Brookhaven National Laboratory. "It's important for just who we are, what we are."

Black hole fears are "baloney"

Fears have emerged that the collider could produce black holes that could suck up anything around them -- including the whole Earth. Such fears prompted legal actions in the U.S. and Europe to halt the operation of the Large Hadron Collider, alleging safety concerns regarding black holes and other phenomena that could theoretically emerge.

Although physicists acknowledge that the collider could, in theory, create small black holes, they say they do not pose any risk. A study released Friday by CERN scientists explains that any black hole created would be tiny, and would not have enough energy to stick around very long before dissolving. Five collider collaborators who did not pen the report independently told CNN there would be no danger from potential black holes.

John Huth, who works on the collider's ATLAS experiment, called such fears "baloney" in a recent interview, and noted that in normal physics, even if the black hole were stable, it could just pass through the Earth without being detected or without interacting at all.

"The gravitational force is so weak that you'd have to wait many, many, many, many, many lifetimes of the universe before one of these things could [get] big enough to even get close to being a problem," said Huth, professor of physics at Harvard University.

At the scene

When visiting the general-purpose detectors CMS and ATLAS at the Large Hadron Collider, Lykken said he was awed that 30,000 tons of electronics would have to work without anyone fiddling with them all the time.

"It just blows you away to look at these things and realize they're not only incredibly complex and huge, but they have to actually work," he said. "They have to work without people banging on them all day because they're sitting underground all by themselves."

With twice as much iron as the Eiffel Tower, CMS will run at full power for the first time in conjunction with the first beam test Wednesday, Lykken said. The magnet serves to bend particles, whizzing by at almost the speed of light, to figure out what kind of particles they are.

Although the detector's parts weigh thousands of tons, in previous trials of CMS at lower power, the magnet actually yanked certain parts around because of its power, Lykken said.

"You're talking about such incredible power inside both the accelerator and detectors that you never really know until you turn it all on what's going to happen," he said.

Scientists around the world are pumped for the first beam. Fermilab, the high energy physics lab in Batavia, Illinois, and major collaborator on the Large Hadron Collider, will be host of a "pajama party" at 1:30 a.m. CT that includes a live connection to CERN to follow the action.

Cousins believes that because the collider pushes the frontiers of science and technology, it would be "amazingly impressive if it works the first try," he said in a phone interview from CERN. Any little disturbance of the magnetic field anywhere in the tunnel could stop the beam from making it all the way around.

Still, after a 25-year wait, he's not complaining. "I personally will be fine if there's some problem that has to be overcome in the next few days," he said.

@highlight

Large Hadron Collider will have first attempt at circulating a beam September 10

@highlight

It's the largest particle accelerator in the world and costs about $10 billion

@highlight

Lawsuits allege it could generate black holes that could eat the Earth

@highlight

Scientists say these allegations have no merit