(CNN) -- Democracy campaigners in Bahrain and politicians around the world are calling for this Sunday's Formula 1 race in the Gulf state to be canceled as violent clashes continue between activists and authorities. What are the issues around the controversy, and how are the sport and its fans reacting?

Why are there calls for this weekend's Grand Prix in Bahrain to be scrapped?

Opposition groups in Bahrain as well as politicians, rights groups and many F1 fans around the world want Sunday's Grand Prix -- which could be watched by a global audience of more than 500 million -- to be canceled while the Gulf state braces itself for more violent demonstrations after months of political unrest.

Protesters see the race as a publicity stunt by the country's rulers to make the nation seem more unified than it actually is. The Bahrain Grand Prix was canceled last year amid a Shiite-led uprising against the Sunni monarchy and a government crackdown in which dozens were killed and hundreds detained.

Nabeel Rajab, an opposition protester, said the demonstrators were not against the Formula One race itself. "We are just against the government or the oppressive ruling elite using that as PR," Rajab said.

In Britain, where many F1 teams are based, opposition leader Ed Miliband said: "Sport and politics generally shouldn't mix, but ... what kind of signal does it send to the world when this grand prix is going ahead, given the concerns there are, given the violence we have seen in Bahrain, given the continuing issues around human rights?

"I don't think it's the right decision to let this grand prix go ahead and I think the government needs to weigh in and express its view."

And opposition politician Yvette Cooper urged British F1 stars Jenson Button and Lewis Hamilton to pull out of the race. "It shouldn't go ahead, I don't think British drivers should go. I think the Formula 1 should not go ahead in Bahrain," Cooper told the BBC.

But UK Prime Minister David Cameron refused to join the calls, insisting it was a matter for the F1 authorities whether the race went ahead. "It is important that peaceful protests are allowed to go ahead," he said.

Why are protests now taking place in Bahrain?

Shiite opposition groups in the Sunni-ruled kingdom say they want equality, and have posted calls on social networking sites for daily protests during the Grand Prix weekend, to focus media attention on their demands.

The government has sought to ban protests in the capital Manama but that has failed to prevent violent clashes in the capital between demonstrators and authorities, who are accused of heavy-handed tactics.

The government has condemned violence on all sides -- saying that any police officers found guilty of heavy-handed tactics would be held to account and that protesters should behave in a civil manner as well.

An Amnesty International report this week says promised reforms in Bahrain are inadequate and fail to provide justice for victims of human rights violations.

Protesters are also demanding the release of jailed activist Abdulhadi al-Khawaja, who has been on hunger strike for more than 70 days. Al-Khawaja, 52, was arrested in April 2011 for his role in anti-government protests that began a month earlier with demands for political reform and greater freedoms for Shiites.

In June, Bahrain found him and seven other Shiite opposition activists guilty of plotting to overthrow the country's royal family.

The government also stands accused of punishing its own national sporting heroes and accusing them of being traitors. International and local human rights groups say three players in the Bahraini national soccer squad were arrested last year, along with more than 150 sportsmen, women and administrators. It is unclear how many remain in jail.

The authorities maintain they were part of illegal, violent protests.

Could protesters disrupt the race or threaten spectators?

This is the big question. Protesters have vowed to protest near the Sakhir circuit, which is about 25 miles (40 kilometers) from Manama, but witnesses there say there is a heavy police presence on the road between the track and the airport.

The unrest makes hosting the race precarious because the racers must pass through some areas where clashes have occurred to get to the circuit, which is in the desert.

On Thursday protesters burned tyres, briefly blocking several main roads leading to Sakhir. A Molotov cocktail exploded late Wednesday near a car carrying members of one F1 team, Force India, during clashes between protesters and security forces. No one was reported injured in the incident.

The incident prompted a team member and a contractor to return home despite reassurances by officials that Bahrain is safe. Bahrain has refused to extend visas of non-sports reporting crews from CNN and other news organizations, saying they cannot stay for the race.

What do F1 drivers and the sport's governing body say?

Formula One's governing body, the FIA, decided last week the race should go ahead, after weeks of speculation. The governing body said its president traveled to Bahrain in November and met "decision-makers and opinion formers, including elected Shiite members of parliament. All expressed their wish for the Grand Prix to go ahead in 2012," it said.

Drivers have attempted to distance themselves from the violence. Romain Grosjean of France-based Team Lotus said his team was preparing for the event "as well as we can."

"As you say, we can't ignore the situation. But in another way, I hope the race may make a clear vision and help the situation and I think the Grand Prix will be nice," he told reporters in Bahrain.

Reigning champion Sebastian Vettel brushed off any concerns about safety, saying: "I heard about the issue at Force India.

"Generally in the paddock (staging area for the cars) it seems to be no problem," he told the Press Association. "Outside of the paddock maybe there is a risk, but I think there is a risk everywhere we go."

Seven-times title winner Michael Schumacher initially insisted he did not want to get involved before saying: "I just want to say one thing which is I don't want to mix the sport with politics. I'm here for the sport."

How much is the race worth to Bahrain and to F1 itself?

Bahrain pays $64 million to host the Grand Prix but the island kingdom it is estimated to receive several times that amount -- up to $800 million -- from tourism and other economic benefits.

Of more importance is the issue of prestige that the race could bring. "Bahrain is no different from the other Persian Gulf states in using high profile sporting events like tennis and golf tournaments to raise their own international prestige," James Montague, a journalist who has written about sport in the Middle East and is the author of "When Friday Comes: Football in the War Zone," told CNN.

"Qatar winning the bid to host the 2022 World Cup finals is a case in point. The F1 grand prix has been instrumental in raising Bahrain's international profile far higher than a small island with a population of around 1 million people could expect.

"The idea that sport and politics should be separated is worse than a myth. It's disingenuous. The royal family of Bahrain secured the F1 GP with wider economic and political aims in mind. They are even promoting the race within Bahrain as a potentially unifying force for the kingdom. They say that politics has no role in sport but separating sport from the political realities of any society is as impossible as separating politics and art, or music."

Have there been protests against F1 races held in other countries accused of human rights abuses?

No. Last week's race in China took place without any calls for it to be cancelled despite concerns about human rights in that country. The same could be said for races in Russia and Singapore.

The only serious protests in the history of Formula One -- a multi-billion dollar sport and industry -- were before the South Africa Grand Prix at Kayalami in 1985 against the apartheid regime. Despite a boycott of South African teams in other leading sports at the time, the event still took place, but was cancelled the following year and only resumed in 1992.

How have F1 fans reacted?

Many fans of the sport have reacted with disgust, with countless posts on Twitter saying that they would refuse to even watch the race on television in protest. Ed Foster, a writer for British magazine Motorsport, told CNN: "We did a poll on our website recently and the response was instant. We simply wrote 'Should F1 go to Bahrain? Yes or no?' and hundreds of people got back to us straight away.

"I think only one said that we should. It's pretty clear speaking to people that a lot of the fans have decided to not watch the race out of principle."

It remains unclear how F1 fans will react to calls to boycott the race -- either at the track or watching on TV. But one news agency, the UK's Press Association, reported there were few spectators in the main grandstand at Sakhir to watch Friday's practice session.

@highlight

Democracy campaigners in Bahrain want Sunday's F1 race in the Gulf state to be canceled

@highlight

Protesters see race as publicity stunt by country's rulers to make nation seem more unified

@highlight

Shiite opposition groups in the Sunni-ruled kingdom want equality and human rights reforms

@highlight

Motorsport's governing body say race should go ahead; drivers brush off safety concerns