Beijing (CNN) -- China's leaders begin a highly-anticipated four-day meeting on Saturday that is expected to shed light on the direction the world's second largest economy is likely to take in coming years.

The big question for the gathering -- officially called the third plenary session of the 18th Central Committee of the Communist party of China -- is how hard Xi will push for reforms.

Possible changes include an overhaul of tax, land and family planning policies; solutions to control an explosion in local government debt; restructuring China's massive state-owned enterprises; and looser controls on foreign investment.

CNN's Beijing bureau chief, Jaime FlorCruz, spoke to Cai Hongbin, the dean of Guanghua School of Management at Peking University about what to expect:

What are the challenges that China faces now?

The Chinese economy faces many challenges, in the realms of urbanization, industrial upgrading, changing into more efficient market infrastructure, and reforming the financial sector. There are a lot of problems, but many of these are manageable. The Chinese economy is like a race car making a turn. You want to be very focused to stay on course and maintain constant speed. If you slam on the brake while turning, you may easily lose control and get into trouble.

But China's economic growth has been slowing down -- isn't that alarming?

Indeed, the Chinese economy has been slowing down for the past three years but recent data and other evidence suggests this is changing. I am pretty optimistic that the Chinese economy will be back on a relatively strong growth track, and then things will move forward. The key is while maintaining a healthy growth rate, we need to further economic reforms.

What further economic reforms should China take?

In the very near term, the Chinese government should focus on the urbanization process and reform the "hukou" (residence registration) system -- to make sure that the new migrant workers coming to the cities have equal opportunities to education, jobs, access to social safety nets and public services. The other key issue is to improve business environment, and this requires government reforms, so that governments don't interfere too much, control too much, interfere with the market too much and control resources too much.

Some say that China needs political reforms as much as it needs to further economic reforms. What kind of reform on the political side can we expect?

The economic reforms cannot be separated from the political reforms. And that is a common understanding in China now. In my view, for China in the current situation, the most important political reforms are in the government reforms.

And in the official government documents, it has been made clear that they want to redefine the three relationships: the relationship between the government and the market, letting markets play a more fundamental role in resource allocation; redefining the relationship between the government and the society, to let social organizations play more important role in society; and then, redefining the relationship between the central and the local governments, to make sure different levels of government all have the right incentives to push forward healthy economic growth and social progress.

Some say China must keep the magic "8" in GDP growth to sustain economic growth and social stability. What do you think?

A certain number of growth rate, like 8%, is not a magic number. In fact, I would suggest that the government should downplay it, or even don't publish at all the target of GDP growth. In a market economy -- for a complex economy like China -- it is very hard to plan what's going to be the growth rate for next year, or the next five years.

The new government is looking for real solutions. So changing the behavior of local governments in China will be the key in changing the growth model. Starting from the central government, getting rid of the GDP target and then, putting in a systematic package of reform to change the local government's incentives, so that the local officials will be more focused on how to develop the local business and market, how to improve the environment, how to make the city more liveable and changing their incentives to these areas, instead of trying to attract big projects or getting impressive GDP numbers.

How worried should we be in terms of Chinese housing bubble? How big is it and will it burst?

It is something that we need to be concerned about, but I don't think the whole housing sector in China and all housing prices in all of Chinese cities, are out of control.

Overall, I think, the housing price in large cities is something that we need to be concerned about, but if we handle this issue well, it is a manageable problem, and it will not necessarily lead to a bubble that will eventually burst and will cause all sorts of financial issues.

How risky is it for China to be pushing further along market-oriented reform?

When you reform, you meet challenges along the way, you face difficulties. In some sense it is more difficult to push forward now than early on, because in these reforms, you need to deal with very complex interest groups, you need to make a lot of compromises and difficult trade-offs. That is a difficult thing to do, but not to push forward is even more risky. The Chinese leaders realize the urgency of pushing forward economic reforms.

How will the coming Third Party Plenum be considered successful?

The meeting will be considered successful if it points to the right direction and take further reforms, lay some cornerstones so that you can clearly see that in the next five to 10 years, the current government will push through series of economic reforms -- so that the Chinese economy will be on the right developmental and growth track; so that we that the economy will become more efficient and strong, the society more open and progressive, the government more efficient, less corrupt and more productive in terms of managing the economy and the society.

@highlight

Cai Hongbin says that China's economy is like a race car making a turn

@highlight

Need to maintain constant speed; if you slam on the brake you may easily lose control, he says

@highlight

Economic reforms cannot be separated from the political reforms, he adds

@highlight

No magic numbers for Chinese economy; need to find real solutions