(CNN) -- Have you noticed that homelessness isn't worse? Here we are, living through the most protracted joblessness crisis since the Great Depression -- and surprisingly, fewer people are living on the street.

The federal Department of Housing and Urban Development reported that the number of the chronically homeless declined by 30% between 2005 and 2007. You might have expected the numbers to spike again when the financial crisis hit but no. Since 2007, the number of chronic homeless has dropped another 19%.

A broader measure of the number of homeless counts the number of people living out of doors on one randomly chosen night. That broader measure has also improved through the economic crisis. Between January 2011 and January 2012, homelessness among veterans dropped by 7%.

To what or whom do we owe this good news?

In very large part, we owe it to the president whose library opened in Dallas last week: George W. Bush.

For three decades, we have debated what causes homelessness and how to deal with it. Is homelessness a mental health problem? A substance abuse problem? A problem caused by gentrification and urban redevelopment? Or something else again?

The Bush administration substituted a much simpler idea -- an idea that happened to work. Whatever the cause of homelessness, the solution is ... a home.

In 2002, Bush appointed a new national homeless policy czar, Philip Mangano. A former music agent imbued with the religious philosophy of St. Francis of Assisi, Mangano was seized by an idea pioneered by New York University psychiatrist Sam Tsemberis: "housing first."

The "housing first" concept urges authorities to concentrate resources on the hardest cases -- to move them into housing immediately -- and only to worry about the other problems of the homeless after they first have a roof over their heads. A 2004 profile in The Atlantic nicely summarized Tsemberis' ideas: "Offer them (the homeless) the apartment first, he believes, and you don't need to spend years, and service dollars, winning their trust."

Many old school homeless advocates resisted Mangano's approach. They were impelled by two main objections:

1. They believed that homelessness was just the most extreme form of a problem faced by low-income people generally -- a lack of affordable housing for low-income people. Focusing resources on the nation's hardest cases would (these advocates feared) distract the federal government from the bigger project of subsidizing better housing for millions of people who did not literally live in the streets.

2. By 2002, the nation had been worrying about homelessness for several decades. Countless programs from state and local agencies responded to some separate part of the problem; tens of thousands of people earned their livings in those state and local agencies, disposing of massive budgets. "Housing first" threatened to disrupt this vast industry. "Housing first" was comparatively cheap, for one thing: a homeless shelter might look squalid, but it cost a great deal to operate -- more, oftentimes, than a proper apartment with kitchen and bath. The transition to "housing first" threatened jobs and budgets across the country.

There was only one counterargument to these objections: "Housing first" worked. It worked from the start, and it worked fast. It worked so well that the Obama administration has now claimed the approach as its own, even keeping Mangano on the job for the first weeks of the new administration.

Bush remains one of the more controversial and less popular ex-presidents. But if in the next days you happen to walk down a city street, take a moment to notice how many men or women are sleeping there. Results will vary from place to place, but on average, there are probably fewer than half as many as a decade ago. The job is not completed yet. But for the first time since the 1970s, the abolition of homelessness has become a real and near possibility. Whatever else you think of the 43rd president, that achievement is part of Bush's legacy, too.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Despite the Great Recession, fewer people are living on the street

@highlight

Frum: Why isn't homelessness getting worse? Because of the policies of George W. Bush

@highlight

He says under Bush the simple solution of providing a home ("housing first") worked

@highlight

Frum: Abolition of homelessness has become a real possibility, thanks to Bush