Los Angeles (CNN) -- With no new video game consoles announced during the Electronic Entertainment Expo, the talk this week has been about the myriad of gaming choices players are going to have.

From titles with huge blockbuster potential to independent offerings, game designers have broadened their imaginations to bring exciting entertainment choices. Yet, some of the most interesting games from E3 this year have an air of familiarity about them, like seeing an old friend again in a new way.

'Destiny'

From the makers of "Halo: Combat Evolved," Bungie introduces a universe where mankind is on the precipice of extinction and the players are the last hope of fending off a menace determined to end the human race.

Utilizing an open-world concept, "Destiny" gives players the chance to explore a broken-down Earth with other players in single and cooperative missions. The game has some MMO elements built in, but the idea of exploring and charting your own course in a beautiful but deadly world is enticing.

"Destiny" is scheduled for release in September for the PlayStation 3, PlayStation 4, Xbox 360 and Xbox One.

'Evolve'

On its surface, "Evolve" looks like a four-player cooperative game where the team seeks out and defeats fantastical monsters. The twist, however, is that boss monsters are also controlled by another player.

This "4 versus 1" game mechanic encourages teamwork, planning and execution by the hunter players who try to kill the big baddie before they become the hunted. The player-character monsters are able to grow and evolve as the game progresses, giving them the opportunity to turn the tables on the other four.

"Evolve" is scheduled for release in October for the PS4, XB1 and PC.

'Assassin's Creed: Unity'

Set in turbulent 18th-century France, players are once again thrust into the role of an assassin charged with stopping the Templars, an ancient order bent on controlling the world. The seventh main title in the franchise now offers cooperative play, enabling three others from the Brotherhood of Assassins to join in your fight.

Abilities and missions appear similar to past games, but the element of cooperative play creates the need for teamwork, strategy and some really cool moments. The group is still likely to be outnumbered in many of the quests, yet their unique abilities should get them through to the goal.

"Assassin's Creed: Unity" is scheduled for release in October for the PS4, XB1 and PC.

'Halo: The Master Chief Collection'

In preparation for the release of a new "Halo" title next year, Microsoft is giving players a chance to relive or discover for the first time the genesis of one of the most iconic characters for the Xbox, the space marine known only as "Master Chief."

"Halo: The Master Chief Collection" puts all four major "Halo" games together, remastered and playable in a seamless way to experience the franchise as one very long adventure. While the older games' graphics have been updated, there is also the option to enjoy theme the way they were originally designed. That includes some of the unintentional bugs that players found and used to their advantage.

The collection is jammed with maps, multiplayer options and iconic weapons, all aimed toward the "Halo 5: Guardians" title coming in 2015.

"Halo: The Master Chief Collection" is scheduled for release in November exclusively for the Xbox One.

'LittleBigPlanet 3'

A universe full of whimsy and imagination. Fantastical creatures of all shapes, sizes and abilities. Levels created by the brain power of millions of people around the world.

Oh, and now you have friends.

Sackboy is back in "LittleBigPlanet 3" from a new developer, Sumo Digital, and he's brought some help to solve new challenging levels.

Oddsock, Toggle and Swoop help as the well-known stuffed yarn boy makes his way through new multiplayer action spanning all 8.7 million user-generated levels in the Little Big Planet universe.

"LittleBigPlanet 3" is scheduled for release this November exclusively for the PlayStation 4.

'No Man's Sky'

This entry from independent game company Hello Games puts players in a vast universe that game designers themselves have described as infinite.

Huge beautiful worlds, where dinosaurs exist alongside modern technology, are at the player's fingertips to explore. This science-fiction story is designed so that no two players will have the same experience even though they will be in the same universe.

Every player starts on a different planet, making the potential unique gameplay nearly endless.

"No Man's Sky" does not have an announced release date, but it is exclusive to the PS4 at launch, with Xbox and PC coming later..

'Splatoon'

From the fantastic to the hilarious, "Splatoon" lets you become a transformative squid, shooting ink and battling in 4 versus 4 territorial combat. The idea is to cover the battlefield in your team's color while the opposing team tries to do the same.

Switching from an ink-shooting person to a squid creature, players can quickly travel in the ink of their team to reach destinations quickly. It is competitive, but in a friendly way, as players race the clock toward victory.

"Splatoon" will be available in 2015 for the Nintendo Wii U.

'Super Smash Bros.'

Pac-Man joins an all-star cast in the new competitive fighting game, "Super Smash Bros." Like others in the series, players can choose from iconic video game characters to do battle in 4 versus 4 action.

Two versions of the game are planned for release, one for the Wii U and one for the handheld 3DS console. There are exclusive features for each, but the addition of new characters and Mii fighters (Nintendo avatars that represent the player themselves) should give fans and newcomers many hours of entertainment.

The 3DS version is schedule for release in October, while the Wii U version will come out during the 2014 holiday season.

'Batman: Arkham Knight'

The Dark Knight returns to gaming consoles and has a new tool in his war on crime in Gotham City. A revamped and upgraded Batmobile offers players new ways to take down bad guys, travel the city and generally strike a new kind of fear in the hearts of criminals.

More than just a means of transportation, the Batmobile feels like a separate character helping Batman during hand-to-hand combat, taking on larger opponents or acting as a distraction to allow the Caped Crusader access to new areas.

While still perpetually dark, Gotham looks more inviting this time around and opens up new gameplay choices and style options as the adventure progresses.

"Batman: Arkham Knight" is scheduled for release in 2015 for the PS4, XB1 and PC.

OK, gamers. We know we didn't include everything. Which games were you excited to see at E3, and which of the ones on our list are you looking forward to playing? Let us know in the comments below.

@highlight

Games are the focus at a console-free E3 expo

@highlight

"Destiny," from the makers of "Halo," tops the list

@highlight

"Assassins Creed" and "LittleBigPlanet" are back

@highlight

Nintendo teases "Splattoon" and "Super Smash Bros."