Few people would use the word "fantastic" to describe a visit to Fukushima, the site of Japan's 2011 nuclear disaster. But Lady Barbara Judge is not just anybody.

Judge, a 66-year-old lawyer and businesswoman with dual British and American citizenship, has been called in by the Tokyo Electric Power Company (TEPCO), the company behind the Fukushima, to help relaunch Japan's nuclear power program, which was suspended completely in March 2011.

On March 11, 2011, Japan suffered its largest recorded earthquake and tsunami, which killed thousands and devastated parts of the country. Seawater flooded the Fukushima nuclear power planted and caused loss of cooling and partial meltdown in three reactor units.

The nuclear accident was eventually classified at Level 7, the highest on the International Nuclear and Radiological Event Scale, and the authorities evacuated residents within a 20-kilometer radius of the plant.

Judge visited Fukushima Saturday to talk to workers in her new role as deputy chairman of TEPCO's Nuclear Reform Monitoring Committee.

"It was fantastic," she said. "It was absolutely hope and enthusiasm, not despair."

Judge met TEPCO employees, some of whom had been on duty on the day of the accident and others who had been working at the plant ever since to clean up the debris and radiation and to make the site fit to reopen.

"I was extremely impressed that these people were so dedicated," said Judge. "They were heroes."

She added: "I was amazed at how much work had been done to clear up the site and the high aspiration to make the site the safest in the world."

Judge, who was chairman of the UK Atomic Energy Authority for two years from 2004, is relishing the unenviable task of helping TEPCO restore its nuclear energy production.

Despite her experience, she knows she was an outsider for her new role at TEPCO.

"Choosing a foreign woman was an important decision (for TEPCO) because women are not often seen at the senior executive level of business in Japan," she said.

Judge's first tasks in Japan are helping TEPCO change its safety culture and restore public confidence.

"It is a very big challenge because, before the accident, there was a very close relationship between the nuclear regulator and the plant operators," said Judge.

"They all knew each other, had been educated together, and therefore there was no competitive regulatory tension."

"We need to change the culture so that people will be praised and rewarded for pointing out problems. They used to be afraid to say that anything was wrong."

On Judge's first visit to Fukushima Saturday, she was particularly keen to talk to women, who she believes are likely to be the strongest opponents of nuclear power.

She said: "Approximately 20,000 lives were lost as a result of the earthquake and tsunami, but not one of those who died did so as a result of radiation. And radiation experts believe that no-one will die from radiation."

Estimates about the health impact of radiation have varied hugely. One study, by John Hoeve and Mark Jacobson at Stanford University estimated there could be 130 additional cancer deaths, mostly in Japan, as a result of the radiation.

Kathryn Higley, head of Nuclear Engineering & Radiation Health Physics at Oregon State University said, in a July 2012 interview with CNN, that although the methods of the Hoeve and Jacobson study were standard, there is still uncertainty around them.

Given how much cancer already exists in the world, it would be very difficult to prove that anyone's cancer was caused by the incident at Fukushima Daiichi. World Health Organization estimates that 7.8 million people died worldwide in 2008, so 130 out of that number is quite small, she added.

A United Nations scientific body is carrying out a full inquiry, but its interim findings found no serious impact on health."

Working on nuclear power is the latest twist in a career that has taken Judge from law to banking, to countless boardrooms.

In the 1980s, she was the youngest ever commissioner of the U.S. Securities and Exchange Commission (SEC) and the first female director of a British merchant bank.

Her title comes from her second marriage to Sir Paul Judge, former director general of the British Conservative Party, who juggles a similarly vast array of titles in business and public bodies.

Judge -- then Barbara Thomas -- started her career as a star law student at New York University with a drive to succeed inherited from her mother.

"Originally, when I told my mother I wanted to be an actress she said that we didn't need any starving actresses in the family, and, if I wanted to act, I should do it in front of a jury and become a lawyer," she said.

"My mother was the smartest person I know and she fundamentally believed that women should have a career to offer them the opportunity to be independent."

Judge's graduation coincided with a push to get more women into big, American law firms and with her top grades, she was able to secure several offers.

"I worked extremely hard, often until 3am, but it paid off as I became a partner in my law firm by the time I was 31," she said.

At the age of 33, Judge became the youngest ever commissioner of the U.S. Securities and Exchange Commission (SEC).

"That was the big break that changed my life," she said.

Also on Leading Women: The British-born artist who became one of India's leading talents

While at the SEC, Judge had her son, Lloyd Thomas, and took only 12 days off work, returning on day 13 to give a speech to 200 brokers.

"My mother always told me that as long as you have good childcare, you could have a career -- in fact, a good job was harder to find than a good nanny," she said.

"I have a wonderful relationship with my son and he is proud of the fact that I worked full time, even when he was young.

"You can have a serious career and also be a serious mother."

In 1983, after three years at the SEC, Judge's first husband relocated to Hong Kong, so she got a job as the first woman director of a British merchant bank, Samuel Montague & Co, to join him in what was then a British territory.

"It was very much a boys' club and it was difficult to be accepted, particularly as an American woman trained as a lawyer, not a banker."

Thirty years on, Judge is still working at the same furious pace and gets up before 5.30am every day to work before breakfast.

She plans to take after her mother, who did not retire from her job as a university associate dean until the age of 87.

The owner of a resume littered with firsts -- rising to the top of a man's world in the 1970s and 80s -- Judge will inevitably be described as a pioneer for women.

"I feel more like a pioneer now than I did when it was happening," she said. "I never really thought of myself as a 'woman' in the context of my professional life,  I only thought I was a 'person.'"

"The real pioneer was my mother."

@highlight

Tokyo Electric Power Company asks Lady Barbara Judge to help rebuild nuclear power post Fukushima

@highlight

Lady Judge is a British-American lawyer and banker who led UK Atomic Energy Authority

@highlight

In 1980s, she was youngest ever commissioner of U.S. Securities and Exchange Commission and first female director of British merchant bank