(CNN)This is what it's come to. Starbucks asked its local baristas to have conversations about race. Not the federal government or Congress. Not academia or the NAACP. But a national coffee shop chain waded into an area of social conflict that is as old as the slave ships and as modern as stop-and-frisk policing.

Then people went crazy.

Starbucks CEO Howard Schultz was accused of ruining that magic morning moment when customers fork over $4.15  for a "grande" coffee with warm skim milk and vanilla extract. A barista writing "Race Together" on cups was called an affront to mornings and coffee -- such important conversations belonged inside a hallowed institution, not a common coffee shop, where apparently people no longer chat.

A lot of the reaction came via snipes on Twitter from people calling Schultz out on Starbucks' diversity, the hue of his mochaccinos, or his liberal "brewing" of controversy.  The nastiness drove the company's communications chief briefly off Twitter. Then, after barely a week, Starbucks shut down the whole darned thing, pushing ahead with a hiring and media initiative instead.

But treating Twitter as an important voice of American conscience is like focusing on the annoying beep emitting from your smoke detector instead of addressing the fact that the battery's run dry.

What's trending is not necessarily what matters.

People do need to talk about race. Not because of a harmless coffee cup, but because we have a real race problem and we need solutions. Starfish Media Group just finished a nationwide tour of American colleges, universities and communities called "Black in America 2015." It's based on our CNN documentary series that takes a close look at the challenges and triumphs of being black in America: from the hopes of the Martin Luther King era to today's unlikely brew of un-kept promises and vast opportunities.

There were plenty of conversations about race among the thousands of black and white college students and panelists like rapper Chuck D and Cedric Alexander of the National Organization of Black Law Enforcement Executives. They lined up to talk about how their experiences mirrored those of the people in the documentaries: black families finding common roots with whites, the politics of skin color, or the black-and-blue conflict over the police engaging in racial profiling. The topics and perceptions were an unending thread. Not only did people talk when they were offered the chance; they wanted to talk.

At Stony Brook University, one of our tour stops, a young white male student asked our panel if effecting change in racial discrimination today was even harder to achieve than it was during the Civil Rights era when racism was more overt.  What a good question.

There are no longer signs segregating our bathrooms and water fountains, but police are being caught on cell phone videos in apparent attacks on young black men -- the new signposts of racial inequality. New technology has multiplied and spread symbols of racial injustice, but that has created new challenges and new reasons to talk.

In this country we sometimes pretend we are so far past the ugly days of Jim Crow and middle-of-the-night cross burnings as to have no racial issues to discuss. We did, after all, elect a black president who, like me, has both a black and a white parent and descends from immigrants.

But blacks and whites don't see things the same, and that is a big problem we need to discuss. Pew Research Center asked people of both races this year how much more needs to be done to achieve racial equality. Seventy-nine percent of blacks said "a lot" more work needs to be done. Just 44% of whites thought the same.

Our country is more diverse than ever -- 13% African-American and 17% Latino, according to the U.S. Census -- but we still live in different worlds.  Blacks have more debt, higher unemployment, less financial security, are less likely to be married or own homes, and are less likely to be represented in corporate boardrooms, the tech industry or even Congress.

Perhaps more alarmingly, 75% of black students are going to schools where the majority of the students look just like them. It has been 60 years since Brown v. Board of Education was supposed to bring our schoolchildren together on an equal playing field. That is something worth talking about.

Recently, Bryan Stevenson, who founded the Equal Justice Initiative in Montgomery, Alabama, examined the details behind 3,959 lynchings in 12 Southern states from 1877 to 1950. He wants to raise money to memorialize the sites. We may not live in that land any more, though the FBI is investigating the death of a black man found hanging among the walnut trees this month in Mississippi. But we do live in a land where there is a modern terror digging roots in the minds of young black men.

In 2014, our CNN documentary "Black in America: Black & Blue" showed police officers talking fearfully about facing off against young criminals on familiar streets and African-American men in fear that they would become the victims of police shootings. The documentary was released just as grand juries chose not to indict the police officers in the Eric Garner and Ferguson, Missouri, cases.

To me, it reveals how damaging the rift in our perceptions can be.

A young man named Keeshan Harley talked about being frisked over 100 times. Why? "Because I fit the description," said the black college student. Seventy percent of blacks believe, just like Keeshan, that the police treat racial and ethnic groups differently and do not hold police officers accountable for misconduct, according to a study by the Pew Research Center. The percentage of whites who agree with that perception hovers in the mid-30s.

Much of the white community doesn't perceive or understand the persecution of a Keeshan Harley. But when they see a videotape, as in the Eric Garner case, many finally recognize there is a problem.

We need to consider how a lack of confidence in government and law enforcement is dangerous in a civil society.

A young man named Luis Paulino shared a cell phone video with me when I was reporting "Black & Blue." It shows tall white police officers beating Luis on the street for no apparent reason. He couldn't call the police for help. These were the police. What if there had been no tape, I asked him. "Nobody would have believed me," he said. "It would have been my word against 15 police officers." That is modern-day terror, and worth at least a coffee shop chat.

Black people talk about race all the time, from processing comments about our freckles to recounting how someone rolls their fingers through our child's curly hair. We don't get or expect an even playing field at work. We don't ever get to cross a street in a hoodie at night without the other pedestrians making a string of assumptions. We don't have some mutable characteristic. We wake up and go to bed black, and that makes a difference in this country.

CEO Howard Schultz was left wondering why it was such a bad idea to encourage people to talk about race. His initial letter to his staff made it clear he believes his #racetogether coffee cup campaign can contribute to starting an important conversation. "What if our customers ... had a renewed level of understanding and sensitivity about the issue, and they themselves would spread that to their own sphere of influence?"

What a good question it was. What if?

@highlight

Starbucks quickly shut down its program of asking baristas to talk to the public about race

@highlight

Soledad O'Brien: Forget the storm of tweets criticizing the coffee company; we need a vigorous conversation on race