Washington (CNN) -- As voters headed to the polls on Election Day, several of Mitt Romney's senior campaign aides said, they truly thought he was going to win the presidency and retake the White House Republicans lost four years earlier.

"I was cautiously optimistic," Romney pollster Neil Newhouse said.

Instead, Barack Obama garnered 51% of the popular vote and 332 electoral votes to 206 and approximately 48% of the popular vote for his opponent.

Newhouse was one of the key Romney campaign officials who joined counterparts from Obama's campaign at a Harvard University symposium last week that examined the election, the strategies and how various factors influenced the outcome. Reporting about the symposium, a post-election ritual dating back to 1972, was embargoed until audio recordings of the forum were released to the public on Monday.

On Election Day: Romney polling showed Obama lead in Ohio on Sunday

During a session examining the general election, Romney aides said they believed their campaign had an intensity and enthusiasm advantage that would help spur voters to come out in larger numbers for Romney than the public polls were indicating.

"We thought that we had the potential to tilt the partisan electorate a couple points in our direction," Newhouse said.

What the Republicans didn't see was a massive and effective get-out-the vote operation by the president's campaign, which increased its share of the Hispanic, African-American and youth vote over 2008 rates.

As they heard the efficiency, breadth and depth of the Obama initiative described firsthand, Romney officials said their Obama counterparts deserved much credit both for the organization and for the results.

Romney re-joins Marriott's corporate board

The general election panel, moderated by CNN Chief Political Analyst Gloria Borger and CNN Senior Political Analyst Ron Brownstein, was just one part of the event sponsored by Harvard's Institute of Politics. Besides the officials from the Romney and Obama campaigns, key personnel representing the Republican primary contenders as well as strategists for the major super PACs participated in various sessions looking at the election.

Full audio: Harvard Institute of Politics symposium

Looking back at some of their efforts, Romney aides said they realized they had work to do to try to increase their support among Latinos -- especially in light of some of Romney's comments made during the Republican primary advocating self-deportation of illegal immigrants. Romney aides maintained they did not consider having the candidate apologize for those remarks when the general election came.

"We shifted resources to try to improve our numbers with Hispanics in Florida. We did see some movement in Florida ... but we definitely had issues we inherited. We also did the same in Nevada," campaign manager Matt Rhoades said.

When asked about Romney's secretly recorded comments at a fundraiser where he said 47% of the country would not vote for him because they are "dependent on government," officials said they did not know it existed. Immediately after it was released, campaign officials researched to see if there was any editing of the tape that changed what the candidate said. Then aides had to go into damage control mode.

Analysis: Why Romney lost

Rhoades and others credited Romney for knowing he made a mistake and not blaming others.

"I remember speaking to him and there was a lot of negativity about our campaign as a whole, but he's a person who takes personal responsibility about it," Rhoades said. "And he would tell me ... 'You didn't say 47%, Matt. Stuart (Stevens, Romney's senior campaign adviser) didn't say 47%. I did.' And obviously it was not a high moment for our campaign, but I think it speaks a lot to who Mitt Romney is, and I also like to think it speaks a lot to who this campaign team is that we're able to make a run and come back from that."

Rhoades discussed how the campaign was having problems in September after the Republican convention -- confronting stories of infighting -- but praised Romney, saying he never "pushed through and plowed through."

Romney aides they "never allowed ourselves to believe" they had no chance of winning.

Obama aides said the roughest point of their campaign was the president's performance in the first debate in Denver.

David Axelrod, Obama's senior campaign adviser, told the panel that aides had purposely decided to avoid bringing up such issues as Romney's experience at Bain Capital or the 47% comments, but saw that strategy backfire.

"We had a strategy of limited engagement that we took to an illogical extreme," Axelrod said, a comment that was met by laughter from the attendees.

"What we assumed was that these guys, having practiced for as long as and as hard as they had, had an answer prepared, and we just felt like we were going to lead into something that may not be productive," he added.

One key missed opportunity was when the Republican nominee said he had been in business for 25 years, didn't know about tax breaks for companies moving jobs overseas and that "I maybe need to get a new accountant."

"There were answers that we could have given. But it would have been more personal in nature," Axelrod observed. "If there was a preparation problem, it was on that strategic level."

Obama engaged in more rigorous preparation for the second and third debates. One part of that was a focus on reaction shots, especially during the town hall forum where he would be on camera a lot.

Other interesting items to emerge:

Florida, Florida, Florida: The Obama campaign had decided to wait until mid-September before deciding whether to fully commit financially to an ad campaign in Florida. Team Obama saw some encouraging poll numbers that showed the state competitive after the Democratic convention and dedicated $40 million.

It was a "big moment," campaign manager Jim Messina said, because it was one of the states the Republicans had to get back into their column in order to get the 270 electoral votes needed for election.

The Bain attacks: Team Romney was aware that attacks on Romney's tenure at Bain Capital had been used in Romney's previous runs for office in 1994 and 2002, so the campaign in the fall of 2011 set up a task force headed by Bob White, one of his closest friends and also a former Bain executive, to be ready to answer any charges.

When the pro-Newt Gingrich super PAC went up with Bain attacks in January during the Republican primaries, Rhoades said, the team had rebuttal information ready within 24 to 48 hours. While Rhoades said aides thought the attacks could come during the primaries, "we were surprised a little by the intensity."

Mr. Preparation: Beth Myers, who directed Romney's debate preparation, said she wanted getting ready to debate the president to be the "Manhattan Project" of the campaign. The first general election debate prep came in June with policy sessions because officials knew this would be a good chance to give the campaign a jolt.

There were policy and strategy sessions in June, July and August. Myers made sure Romney was armed with a research book for any cross-country trip. During the Democratic convention in early September, Romney went to debate camp doing five mock debates in three days. And for "fun at night" the aides would do whiteboard review sessions.

Romney did 16 mock debates in total because those close to him knew that one way to help him relax was to make sure he was as prepared as possible.

Rubio and Ryan in political spotlight

CNN's Peter Hamby and Mark Preston contributed to this report.

@highlight

Romney aides thought intensity and enthusiasm would tip the balance in their favor

@highlight

Campaign officials say they gave no thought to an apology for self-deportation comments

@highlight

Obama advisers said the low point for his campaign was after his first debate performance

@highlight

Officials were speaking at a Harvard post-campaign symposium