(CNN) -- The case of Darren Deon Vann, who police say confessed to murdering as many as seven women in northwest Indiana over the past couple of years, is just the latest example of a kind of crime spree that has become all too familiar. At a time when television crime dramas like "CSI," "Criminal Minds," and "Law and Order" record high ratings with lurid plot lines about repeat killers, it is easy to come away believing that serial killings are as prevalent as they have ever been.

Actually, quite the opposite is true.

Looking at the actual numbers, it is clear that serial murder peaked during the 1970s and 1980s, and has declined dramatically ever since. During the 1980s, for example, there were an estimated 200 serial killers operating in the United States; in the first decade of this century, by contrast, the count was half that figure.

Why? The reasons for this precipitous decline are complex.

In part, the drop parallels the sharp downturn in all forms of homicide beginning during the 1990s, and is, to some extent, a result of some of the same factors. The growth in the U.S. prison population, for example, kept many violent predators -- including many potential serial killers -- safely behind bars. In 1980, for example, the number of prisoners under the jurisdiction of state or federal authorities stood at 330,000. By 1990 that number had climbed to 773,000, and by 2009 it had soared to 1.6 million.

But the decline in serial murder may also reflect improved law enforcement investigative techniques. True, things might not always work quite as smoothly as they do on the crime drama "Bones," but advances in DNA profiling and databases, as well as enhanced interagency communication, may have helped capture many would-be serial killers before they were able to amass a large victim count. In addition, a host of technological innovations -- including Amber Alert, sex offender registries, video surveillance systems, GPS tracking of mobile phones and vehicles, and monitoring of social media and chat rooms -- have presented law enforcement with additional tools to identify and apprehend sexual predators early in their criminal careers.

Meanwhile, the Internet has provided sex offenders with a wide variety of options for satiating their sadistic desires without needing to involve unwilling victims. Of course, society may frown on the level of violence in widely available pornography. But as distasteful as it may sound, this ready accessibility may also serve as a cathartic release valve for certain individuals who might otherwise resort to rape, torture and murder (although the evidence on whether it is a release valve or sometimes a catalyst is mixed).

Technology has also provided greater safety for potential victims. Cell phones and their photographic functions have added some level of protection from strangers. At the same time, the greater public awareness of serial offenders has significantly increased the level of caution about accepting rides or gifts from total strangers. Many parents, for example, have become reluctant to permit their unsupervised children to play in the street or the front yard of their own home. Decades ago, hitchhiking was a relatively common way of getting around. Nowadays, most people avoid hitching a ride unless there is absolutely no alternative. When was the last time you actually saw someone thumbing on the side of the road?

Unfortunately, a reduction in known cases of serial murder is not the end of the story. It is possible, for instance, that a number of cases occurring in recent years have not yet been identified and solved, causing them to be absent from the database of known perpetrators. Even now, as in previous decades, so-called "linkage blindness" continues to prevent or at least delay recognition that a single killer may be responsible for widespread carnage. Before identifying a serial killer, we must first acknowledge the strong possibility that one is operating in a particular community. Over the decades, many serial killers have cleverly concealed the extent of their murderous behavior by varying their modus operandi, as well as the types of victim they target.

Forty years ago, when many Americans were first apprised of accounts of serial murder, the fascination with the phenomenon -- and with names like Jeffrey Dahmer and Ted Bundy -- was palpable. As a result, enterprising entrepreneurs marketed serial killer "murderabilia," including calendars, trading cards, T-shirts, action figures, paintings and comic books.

As the public's fascination with serial killers has subsided, so has its preoccupation with more typical cases that do not yield double-digit body counts or particularly gruesome tortures. To attract extensive publicity, a serial killer almost has to stay on the loose for decades, kill a dozen victims or more, and engage in disturbing rituals or cannibalism. Fortunately, such characteristics are even rarer than the fans they inspire.

Yet regardless of the decline in numbers, any serial murder remains a difficult and perplexing problem for law enforcement. There are still as many as 10 serial killers captured each year by the police, and even a drop in the numbers is unlikely to reduce the level of fear that serial killers still create. Indeed, the power they have over the public's psyche remains extraordinary, and criminologists have a responsibility to try to understand how and why these offenders take the lives of innocent victims -- and how they can do so with such chillingly cool deliberation.

Photos: Infamous serial killers

@highlight

Serial murder peaked during the 1970s and 1980s, James Alan Fox and Jack Levin write

@highlight

Rapid growth of U.S. prison population may have contributed to the decline, they say

@highlight

But there are still as many as 10 serial killers captured each year by police, they write