ATLANTA, Georgia (CNN) -- For years, political scientists assumed our political leanings came from the way we were raised and the company we keep. You're a screaming liberal? Must be because you were raised in a household full of screaming liberals. You're an arch conservative? Must be because of that college you went to.

Experts are studying the theory that political leanings are related to the way individuals process information.

But slowly, some political scientists are beginning to change their minds on what shapes our political views. They're starting to wonder whether some of our political identity is rooted in our DNA.

The theory goes something like this: Choosing a political point of view involves thinking through issues: Will more lax immigration rules put the U.S. at risk? Will tighter gun-control laws help lower the murder rate?

Many scientists believe how our brains work is influenced by our genes -- that to some extent we're hard-wired from birth to process information in a certain way.

This doesn't mean, these scientists say, genes dictate how we think; environment clearly plays a huge role. Nor does it mean there's a Republican gene or a Democrat gene. Scientists who espouse the genetics-politics connection say that probably hundreds of genes influence how we think and how we see the world.  Watch more about how your genes can influence how you vote. »

"Political tendencies are like being left-handed or right-handed -- you're born feeling more natural using one hand or the other," says John Alford, a political scientist at Rice University. "It doesn't mean you can't switch -- for many years lefties were taught to be righties. But it's not easy."

It's a classic dispute of nature versus nurture, and it was Alford's study on nearly 10,000 twins that started the debate three years ago. The study showed identical twins, who share all the same genes, are more likely to share political views than fraternal twins, who share only about 50 percent of their genes.

After Alford's study, scientists set out to see whether brains of liberals and conservatives look any different.

In one study, researchers at New York University and UCLA asked 43 study subjects to assess, on this scale  if they were liberal or conservative. They then strapped electrodes on the subjects and had them play a game on the computer game.

In a study published last year in the journal Nature Neuroscience, the researchers found that liberals and conservatives processed information differently. Specifically, they found differences in activity in the anterior cingulate cortex, an area of the brain that processes conflicting information.

David Amodio, an assistant professor of psychology at New York University, and lead author of the study, says these results suggest that liberals and conservatives have some basic brain differences -- and those differences are influenced by our genetic makeup.

"People used to think political attitudes were influenced only by our culture and our environment," he says. "Now we realize political attitudes are influenced by genes in interaction with the environment."

Political scientist James Fowler at the University of California, San Diego, puts it this way: "What we are discovering is that nature is just as important as nurture when it comes to political behavior."

Our genes may influence not just our political point of view, but also whether we vote at all. In a study recently accepted by The Journal of Politics, Fowler found people with one version of a gene called MAOA were 1.3 times more likely to vote than those with a different version. In addition, members of religious groups who carried a particular version of another gene called 5HTT were 60 percent more likely to vote than members of religious groups with a different version of the gene.

The science of genes and politics is not without its critics. Some say there's absolutely no proof that our political views are embedded in our DNA. "These are very facile studies that make outrageous claims," says Evan Charney, a political scientist at Duke University. "They're trying to make political science into a science, when really it's not."

For example, he says identical twins might have more similar political views than fraternal twins because they were raised "as if they were one unit. They're dressed in the same clothes and given names that rhyme."

Alford, who did the twins study, disagrees. He says genes do make a difference, and he hopes the genes-politics research will help increase tolerance for people with different political views.

"Maybe we'll all just accept that people are built to see the world differently," he says. "There isn't one correct way to be. It's just the way you are." E-mail to a friend

Elizabeth Cohen is a correspondent with CNN Medical News.

@highlight

Political scientists study whether some political identity is rooted in DNA

@highlight

Theory: Political leanings related to the way individuals process information

@highlight

One study found differing brain activity as liberals, conservatives processed info

@highlight

No Democrat or Republican gene; environment a huge factor