(CNN) -- In 1519, Portuguese explorer Ferdinand Magellan launched the expedition that completed the first circumnavigation of the globe. And so humanity learned the full extent of its world.

This week, we learned from Science magazine that NASA's Voyager 1 spacecraft -- currently the man-made object farthest from Earth -- crossed a boundary of the solar system and entered interstellar space sometime last summer.

Like Magellan's voyage, Voyager's achievement is a major milestone in human exploration. In a remarkably short time by cosmic standards (the universe being 13.7 billion years old), humans have evolved to the point of sending robotic diplomatic missions to other planets and stars.

This particular emissary from the human race carries a recording of greetings in 55 languages as well as images explaining who we are. Although the Voyager scientists had no particular expectation of encountering other civilizations, they knew the mission would go forth unimpeded for millenniums. So they prepared a message for any distant future being who might stumble across this man-made artifact.

If "E.T." finds Voyager 1, will it phone home? We know that planets around other stars ("exoplanets") are abundant, and that when liquid water and carbon-based compounds and an energy source are present even in the most inhospitable zones on the Earth, life arises easily. But the kind of intelligent life that can build and launch a pioneering spacecraft is surely much more rare. And if someone answers the call, it will be sufficiently far in the future that the Earth-bound world as we know it will have changed beyond recognition.

Unlike missions to nearby Mars or Venus, Voyager 1 and 2 (both spacecraft were launched in 1977) and their older siblings, Pioneer 10 and 11 (launched in 1972 and 1973, respectively) headed for outer space from the beginning. They visited Jupiter, Saturn, Uranus and Neptune, taking photographs of unprecedented clarity and making complex measurements of the particles and magnetic fields around the planets.

Voyager 1 is the fastest-moving and most distant of the four spacecraft. Data collected by its remaining instruments have been interpreted by scientists as indicating a crossing of the boundary between our solar system and interstellar ("between the stars") space. It's not a sharp boundary, and there are definitely no signposts, so there has been some debate about the exact moment of transition.

In fact, the exact date doesn't matter. Whether it was July 2012 or August 2012 or even months earlier or later, humans have unquestionably projected their presence well beyond any previous location.

It's a bit different from Magellan's voyage, however. In those ancient days, travel was the only way to investigate the world. Today we survey our world -- and a large fraction of the observable universe -- using powerful telescopes, on the ground and in space.

Very deep exposures taken with the Hubble Space Telescope have revealed that the Milky Way galaxy is but one of a trillion galaxies in the observable universe.

There are hundreds of billions of stars in the Milky Way galaxy alone, each of which could have a system of planets orbiting around it. Some of these are likely to harbor life, albeit of a primitive form.

In terms of knowing our 21st-century world, NASA's robotic scientific satellites have made huge advances. And from the ground, telescopes study exoplanets and the SETI Institute searches for extraterrestrial intelligence using a large radio telescope array in California. In terms of receiving signals, Earth-bound and near-Earth telescopes are unsurpassed.

In terms of outward communication, TV signals created decades ago have long since announced our presence -- in fact, because such signals travel at the speed of light, they left the solar system only days after the initial broadcast.

But in terms of pieces of metal human hands have touched, Voyager 1 is unique. Now some 36 years and a few days after it was launched into space, more than 11 billion miles from the sun, traveling at 38,000 mph, Voyager 1 will doubtless travel onward for tens of thousands of years to come.

Its power source won't last nearly that long. Voyager 1 has sufficient power for remaining instruments through at least 2020, and if some are turned off to conserve power, a single instrument could last another five years afterward. But then the "little spacecraft that could" will go silent.

Forty thousand years from now, after traversing 10 trillion miles or so of interstellar space, Voyager 1 will approach the then-closest star, AC +79 3888. At that point it will be a ghost ship, representing an old civilization, gone but enshrined forever in the golden record.

As John Grunsfeld, NASA's associate administrator for science in Washington, said, "Perhaps some future deep space explorers will catch up with Voyager, our first interstellar envoy, and reflect on how this intrepid spacecraft helped enable their journey."

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

NASA's Voyager 1 spacecraft left the solar system and entered interstellar space

@highlight

Meg Urry: Voyager's achievement is a major milestone in human exploration

@highlight

She says the mission, launched 36 years ago, will go forth unimpeded for millenniums

@highlight

Urry: There are no expectations that it will encounter other civilizations, but possibility exists