Vancouver, British Columbia (CNN) -- In February 1984, a group of tech enthusiasts gathered in Monterey, California, to share thoughts on three subjects -- technology, entertainment and design. It was the start of the acronym (and the organization) TED, which marks its first three decades this week with a conference in Vancouver.

One speaker back in 1984, Nicholas Negroponte, the founder of MIT's Media Lab, predicted that devices with touch screens would come into widespread use, more than 20 years before Apple's iPhone delivered on that bet.

On Wednesday, the 1,300 attendees at this year's conference will be shown a video with clips from Negroponte's 1984 talk, along with snippets of TED Talks that predicted advances in the use of robots, development of a driverless car, and technology that enables scientists to grow human body parts.

Each of these predictions has come true, notes TED's June Cohen. One that largely hasn't, at least in any practical sense, is the personal flying car, Cohen said in an interview with CNN. (One conference included a presentation on a small plane that can be driven on roads, but it hasn't come into widespread use.) "It's a very Jetsons concept," she said. "I am waiting for that flying car."

Negroponte gave the first talk Monday at the TED2014 conference, adding a prediction that knowledge -- the ability to speak a language or absorb Shakespeare's plays -- will one day be ingested through a pill.

He is one of many TED "all-stars" invited to reappear on the conference's stage. Among them: "Eat, Pray, Love" author Elizabeth Gilbert, Wikipedia founder Jimmy Wales, inventor Ray Kurzweil, robotics expert Rodney Brooks, educator Salman Khan, Gen. Stanley McChrystal, Whole Earth Catalog founder Stewart Brand, and Sir Tim Berners-Lee, who invented the World Wide Web.

Others speaking at this weeks's conference, titled "The Next Chapter," include Bill and Melinda Gates, Sting, author Isabel Allende, and former Rep. Gabby Giffords and her husband, astronaut Mark Kelly. On Tuesday, Charmian Gooch, co-founder of the anti-corruption group Global Witness, will reveal the wish for which she was recently awarded the $1 million TED Prize.

TED's breakout moment

While much of this year's conference harks back to TED's start in 1984, the organization really didn't assume its current form -- and its expansive public footprint -- until eight years ago.

In 2006, TED's leadership decided to put its archive of recorded talks online for free. The thinking was that there were limits to how much impact a talk could have if its audience was only a thousand people, even if those people were influential ones. As Cohen recalls, it was considered a risky and even radical move.

"There was a lot of skepticism," she says. "People worried that it might capsize our business model because we were running an expensive, somewhat elite conference. Conventional wisdom would tell you that if you have sort of a luxury item, an expensive conference, you have to keep your prices high and your commodity scarce."

But Cohen says TED never got the pushback some expected from people who had paid thousands of dollars to attend the conferences. "They welcomed it," she said. "They longed to share the talks with friends and family who couldn't be there in the room."

And it didn't discourage people from going to TED, she said. "We raised the price of the conference by 50%, to $6,000, and we ended up selling out a year in advance with a thousand-person wait list. ... That really was a lesson for us in the power of openness." TED followed up by allowing independently organized groups around the world to hold "TEDx" conferences, propagating its 18-minute video format.

TED staff members can reel off the resulting numbers: 1.9 million TED Talk video views a day, 1,600-plus TED Talks online, 9,000 TEDx events in 157 countries.

Making of a TED Talk

A TED Talk -- most of the main conferences have more than 60 of them -- is typically a carefully curated and rehearsed presentation by a thinker, an expert or an artist who's passionate about his or her subject, which can range far beyond the original "technology, entertainment, design" boundaries.

Shot by as many as eight cameras, with professional set design and lighting, the video builds to an emotional (and intellectual) climax and is intended to be shared widely.

What it is not is an hour-long college lecture, a panel discussion or a question-and-answer session with the audience -- all of which might make for a less dramatic and far less shareable product.

Some critics have argued that TED Talks reduce complex subjects to a string of bullet points or promote a naive utopian view of the infinite possibilities of technology.

That's not the way Cohen sees it. A graduate of Stanford, where she edited the student newspaper, she was working as a vice president at the online arm of Wired magazine when she attended her first TED in 1998.

"I absolutely fell in love with it from my first moment there. I felt like I had found my world and found my people. ... I think one of the reasons it spoke to me was that TED is sort of uniquely designed for people who have a wide range of interests."

Cohen is a passionate advocate for conference sessions that hop from one discipline to another. "For me that's what TED is. It's not a single talk or even a collection of talks, it's the range of territory that we cover. ... And if we've curated it right, what happens to people in the audience during a TED session is that you can almost feel your brain lighting up in different areas. So when you see a designer speak, followed by a poet, followed by a physicist, followed by an entrepreneur, followed by a great musical performance ... it helps us create connections between the ideas that are coming at us."

Not everyone approves. "People with a wide range of interests are often cast as dilettantes or often looked down upon for what is seen as a lack of focus," Cohen says. "I see it as an existence of breadth, and one of the things you find really unites people who attend TED, or people who watch TED talks regularly, is that they do have a great interest in a wide range of areas."

"Interestingly, there's a lot of evidence that that is the kind of thinking we really need today, that the great challenges of our times cannot be solved by experts working in their individual areas, but rather by people who can gather information from a wide range of fields and bring them together."

TED's evolution

The year that Cohen first went to TED was also the first time that Chris Anderson, a magazine entrepreneur, attended. He too was hooked. And in 2001, having sold his company, Anderson purchased TED through his nonprofit Sapling Foundation from TED co-founder Richard Saul Wurman.

Anderson begins each conference with the incantation "It's time for TED" and shares hosting the sessions with Cohen and other staff members. Cohen helps curate the conference and also oversees TED's media arm, which includes a recently relaunched TED.com.

She sees the arc of TED's lifespan as going from a "closed conference to an open platform for spreading ideas." Indeed the organization's motto is "Ideas worth spreading," and the new website makes that tangible.

A widget on each video allows a user who has shared a talk with others to see how many views the talk has gotten from those who have clicked on that person's link. Through the site, TED speakers can provide suggestions for further reading and for ways to take action on the issues raised in their talks.

The boom in online video

Still, the heart of what TED offers is the short, tightly edited online video itself, and Cohen acknowledges that what was once unique to the organization has become available elsewhere. "Over the years, the format of a recorded talk has gone from a novelty to a bit more of a staple online. I think that's great news for everyone."

As for the criticism TED has gotten, Cohen says, "the more people you're influencing, the bigger target you'll become. It's a natural part of growing up as a media organization."

"We work very concertedly with all of our speakers to make sure that their talks are deeply substantive and authentic. So there's no formula for a great TED talk. ... We always make it very clear to our speakers that it is essential that they not dumb down their material."

Cohen says the aim is to have the audience "stretch up," and to help make that possible, she cites the advice often attributed to Albert Einstein: "Make things as simple as possible but no simpler."

And, she adds, "It's important to remember what a TED Talk is. A TED Talk isn't a scientific paper and it isn't a full-length book. It's a short talk meant to reach an intelligent general audience."

@highlight

TED got its start as a conference in Monterey, California, 30 years ago

@highlight

Today the organization has a big media footprint, with 1,600-plus talks available online

@highlight

Many predictions made on its stage have come true, including popularity of touch screens

@highlight

Speakers at this week's conference include Bill Gates, Sting, and Tim Berners-Lee