Washington (CNN) -- The 2014 elections will continue what has become a staple in American politics: the survival of powerful political families.

Bush. Carter. Nunn. Udall. Cheney. These are familiar names from a previous generation -- but also for a new one.

When Liz Cheney announced her intention to become the next senator from Wyoming this year, she likely evoked voters' memories of her father, Dick Cheney, the former vice president.

The same is true for two politicians in Georgia. Both the daughter of former Sen. Sam Nunn and a grandson of former President Jimmy Carter will be on the 2014 ballot in the Peach State. Michelle Nunn is running for U.S. Senate, while state Sen. Jason Carter has launched a bid for governor -- jobs her father and his grandfather, respectively, once held.

"For their constituents and the American public, those names are a proven quantity, and as time goes on, you see that Americans look back at the history of our political system, and things seem better in hindsight," said Dan Mahaffee of the Center for the Study of the Presidency and Congress. "It harkens back to a more collegial political era."

Candidates and family heritage

All over the country, candidates with such familiar names are either running for re-election or jumping into races and using their families' vast networks to anchor nascent campaigns.

Take a look at the heritage of some of these candidates on the ballot in 2014:

• Rep. Shelley Moore Capito of West Virginia is running for her state's open U.S. Senate seat. Her father, Arch A. Moore Jr., was governor of West Virginia for 12 years.

• Sen. Mary Landrieu is running for re-election in Louisiana. Her father, "Moon" Landrieu, was once mayor of New Orleans and a brother, Mitch Landrieu, is now the city's mayor.

• George P. Bush is running for Texas land commissioner. A member of one of America's great political dynasties, he's the grandson of former President George H.W. Bush and nephew of former President George W. Bush.

• Rep. Rodney Frelinghuysen of New Jersey is running for re-election. A member of one of the most dominant political families in the United States, Frelinghuysen can trace his roots back to four U.S. senators and Frederick Frelinghuysen, one of New Jersey's delegates to the Continental Congress.

• Sen. Mark Pryor, who is running for re-election in Arkansas, is the son of former Sen. David Pryor.

• Sen. Mark Udall of Colorado, the son of a former congressman, is running for re-election. And so is a cousin, Tom Udall of New Mexico, also a U.S. senator.

A 'ready-made Rolodex'

"You grow up around a business, you learn the ropes early," CNN contributor Paul Begala said. "It is the same reason restaurants or hardware stores -- or junkyards -- have names like 'Sanford and Son.' "

Begala cites many benefits to running as the next in line in a political family, but two stand out: a thick skin and fund-raising.

"A politician's kid grows up hearing all kinds of awful things about Mom or Dad, and they learn that's not the end of the world," he said. "Toughness matters in politics."

Begala said that relying on relatives' fund-raising networks also is unbelievably helpful for these candidates. Being a Cheney in Wyoming, a Bush in Texas or a Landrieu in Louisiana will open many doors -- and wallets.

It is "hard to estimate how much good President Bush 41's network did for Bush 43," Begala said.

Mahaffee added, "You are almost born with a ready-made Rolodex."

American dynasties from the early years on

The number of political families on the ballot in 2014 is nothing new. Since the outset of the United States, political families have dominated certain states, and many have risen to national prominence.

The Adamses, with the nation's second president, John Adams, and sixth president, John Quincy Adams, were among the first political families. But certainly not the last.

The Republican Tafts have long dominated Ohio politics, boasting three U.S. senators, a president, a governor and countless local positions. The Democratic Kennedy family has dominated politics in New England -- with a president, three presidential candidates, three senators, multiple congressmen and dozens of local elected positions.

A 2012 study of the Kennedys' political dominance by the University of Minnesota found the family has logged more than 92 years in congressional service, a number that doesn't even count Joseph P. Kennedy III's recent term as a representative from Massachusetts.

Then there are the obvious political families: the Bushes and Clintons. Between 1980 and 2008, a member of one of these families was either president or vice president.

Bush and Clinton "fatigue" has even become a common term as speculation grows about former Florida Gov. Jeb Bush and former Secretary of State Hillary Clinton both eyeing a run at the presidency in 2016.

So why do Americans, the same people who revolted against a monarchy in 1776, keep electing members of the same families?

Some political watchers said the continuity these families bring can be comforting to voters, but the public also can sour on candidates who see themselves as anointed successors to their families' political power.

Mahaffee, however, said the idea that voters are sick of political families is dispelled by the fact that so many of them exist. Do voters occasionally get sick of one family? Yes, he said. But on the whole, such a history is a good thing for candidates, he said.

"It is helpful that you continue to have generations that bring political experience with them," Mahaffee said. "They have more of a knowledge (of) what it takes to be a political leader."

@highlight

A new generation from well-known political families will show up on the 2014 ballot

@highlight

From Bush to Carter to Cheney to Nunn, children and grandchildren are seeking office

@highlight

"You grow up around a business, you learn the ropes early," CNN contributor says

@highlight

Accessibility to fund-raising networks and tough skin among benefits to such candidates