Editor's note: Thomas Maier is the author of "The Kennedys: America's Emerald Kings," (Basic Books), which was the basis of a Warner Bros. video documentary released in November. He is a reporter for Newsday.

Thomas Maier says Ted Kennedy's immigrant heritage helped drive his advocacy of a more open America.

(CNN) -- With a sign from Dunganstown, Ireland, hanging in his U.S. Capitol office, a reminder of the famine-ravished farm where his ancestors began, Sen. Edward "Ted" Kennedy always seemed to understand that the Kennedys were perhaps America's greatest immigrant story -- overcoming religious, ethnic and cultural barriers to reach once unimaginable heights.

"My brother Jack wrote 'A Nation of Immigrants' in 1958, and his words ring true as clearly today as they did half a century ago," said Ted early last year, a few months before he was struck with a malignant brain tumor that claimed his life Tuesday. "I'm constantly reminded of my immigrant heritage."

Indeed, the Kennedys' vision of "A Nation of Immigrants" -- which Ted championed throughout his public career -- dramatically transformed today's America, opening the door for millions of new citizens and paving the way for Barack Obama's presidency. It is the Kennedys' most lasting legacy.

John F. Kennedy's idealistic belief in America's dream of opportunity for all was clearly stated in "A Nation of Immigrants," which reflected so much of his family's story as Irish Catholic immigrants.

The essence of this little known, little-studied book became the 1965 Immigration Reform Act, which ended the discriminatory preference given to white Europeans and opened the door to millions from Latin America, Asia, Africa and around the world.

First proposed by President Kennedy in July 1963, a few months before his assassination, the bill was passed in his memory, pushed by his two brothers in the U.S. Senate and signed by President Lyndon Johnson beneath the Statue of Liberty. Ted was particularly proud of its passage and referred to it often in public. No law in our lifetime has done more to change the demographics of modern America.

Many historians routinely ignore, or give only a passing nod, to the underlying forces of ethnicity and religion that so often influenced the Kennedy family's actions and outlook. Often their years in power were lionized as "Camelot" by the press. But as Ted Kennedy realized, a comparison to British royalty hardly seemed proper for the great-grandson of an Irish migrant worker who fled from a Dunganstown, County Wexford, farm during the Great Famine.

That Dunganstown sign in Ted's office was a reminder of the Kennedys' sense of their own immigrant heritage, their epic encounters with religious bigotry, and how the complex dynamics of their family life reflected the Irish Catholic experience in America.

From his grandfather, former Boston Mayor John F. "Honey Fitz" Fitzgerald, young Ted heard of the great wave of Irish immigrants to America that included their family. And in the 1990s, the efforts of Ted and his sister, U.S. Ambassador Jean Kennedy Smith, to bring peace to their ancestral homeland seemed to reflect their deeper sense of being Irish, of being Catholic and of being members of a family coming from an often oppressed immigrant minority. Ted went back to Ireland many times, including to the old Kennedy homestead in Dunganstown.

The culmination of this Kennedy's immigrant legacy was most apparent by the 2008 presidential campaign, which offered many reminders for Ted Kennedy of the barriers his brother faced in 1960, becoming the first U.S. president from a minority background. Most notably, Obama, the U.S. senator from Illinois, possessed a style and dignity particularly reminiscent of the Kennedy era.

At a key moment in the primary campaign, Ted Kennedy publicly supported Obama who, in turn, said the Kennedy family always stood for "what is best about America." Obama's campaign faced many tests similar to those that John Kennedy endured in 1960 as the first and only Roman Catholic elected to the presidency.

As a minority, born to black and white parents, Obama had to overcome code words and subtle biases historically applied to African-Americans. Like Catholic hard-liners who complained that Kennedy wasn't "Catholic enough" in 1960, Obama was sometimes criticized within the black community for not seeming "black enough" in 2008.

And yet when the media made it seem Obama had been attacked for his minority status, African-Americans rallied to his support, just as Catholics did in 1960 for Kennedy. Ted Kennedy's dramatic embrace of Obama's candidacy carried a powerful symbolism, one of the last significant acts of his distinguished career before he fell ill.

From the broadest vantage, the Kennedy story reminds us of the glories and the limits of America's melting pot and those histories that paint people from minority groups in familiar "just like us" tones. We gain a better grasp of the Kennedys' appeal beyond Irish Catholics -- to countless other immigrant and minority groups who share a dream of ascendancy in America.

In this context, our understanding of the Kennedys becomes richer, more complex and of greater historical significance to what John Kennedy called a nation of immigrants. It recalls how far we've progressed as a country since the 1960 election, and yet how many barriers still remain today. No one understood that better than Ted Kennedy.

The opinions expressed in this commentary are solely those of Thomas Maier.

@highlight

Thomas Maier: Kennedy's heritage was of an immigrant family that broke barriers

@highlight

Maier says the Kennedy brothers pushed wider opening of U.S. borders in 1960s

@highlight

He says resulting demographic change helped usher in President Obama's election

@highlight

Maier: Like JFK, Obama's background is much different than other presidents