(CNN) -- Many Americans, including President Obama, have become fans of the Netflix series "House of Cards."

The show, starting Kevin Spacey and Robin Wright, is the story of the House majority whip who, through many devious machinations, becomes vice president of the United States. The show presents a devastating portrait of the nation's capital in which the major players care only about advancing their careers.

Public policy and the democratic process are just vehicles for the fulfillment of Spacey's career ambitions. He is willing to resort to any tactic -- even murder -- to achieve his goals.

Without question, the show is riveting. The writing is impressive, and the acting is phenomenal. It is difficult to avoid binge-watching one of the most compelling pieces of television in years.

Yet the portrait of politics that "House of Cards" provides viewers is extremely skewed, a vision so devious and so cynical that it neglects the great things that our democratic process and our leaders have produced over time. "Even in a landscape newly populated with cynical-to-downright-nihilistic political shows," wrote an editor for The New York Times, the show "stands out for its unblinking commitment to a singularly dark vision of politics."

To be sure, politicians can be extraordinarily cold and calculating, ruthless in their pursuit of power, and some do spend almost all of their time figuring up how to move up the political ladder.

But American politics has been much more than the world depicted in "House of Cards." Many politicians are ruthless and calculating but use those traits for bigger objectives and sometimes will risk sacrificing their career for principle.

While serving as Senate majority leader, Lyndon Johnson famously relied on his ambition and thirst for power to produce some rather notable legislative accomplishments, such as the Interstate Highway Act of 1956 and the Civil Rights Act of 1957.

Johnson did things that would make New Jersey Gov. Chris Christie cringe, but the results were often impressive.

President Franklin Roosevelt could be ruthless with his opponents, isolating them from his inner circle and castigating them in public, but his terms in office produced a New Deal and won a world war against fascism. (Even Spacey's character was responsible for education reform in season one and entitlement reform in season two.)

Our political system, with these kinds of power brokers at their helm, has produced great legislation. During the 1930s, the New Deal offered a federal blanket of security to America's workers -- by insuring bank accounts, providing old age pensions, regulating financial markets, legitimating industrial unions, enacting a minimum wage and more -- that have remained integral to the nation's landscape and were a foundation for the middle class.

During the mid-1960s, LBJ and the 89th Congress used the government to help tackle many of the big problems that faced the nation, such as providing health insurance to the elderly through Medicare and Medicaid and guaranteeing that African-Americans would not have to live in racially segregated societies through the Civil Rights Act of 1964.

American politics is also filled with examples of great leaders. Not everyone is as despicable as Frank Underwood.

In the White House, the nation's first president, George Washington, set the bar when he voluntarily stepped down from power and demonstrated that the United States would not become a monarchy.

Abraham Lincoln guided the nation through the brutal Civil War and brought end to the horrendous institution of slavery. Franklin Roosevelt led Americans through the Great Depression and a major world war, and Dwight Eisenhower, as Evan Thomas showed in his recent book, worked hard to calm the tension of the Cold War and find peaceful solutions to diplomatic challenges.

John F. Kennedy carefully negotiated with the Soviets through the Cuban Missile Crisis in 1962, avoiding a catastrophic nuclear war, while President Ronald Reagan seized an opportunity for peace over an arms agreement in 1987 after the emergence of Mikhail Gorbachev, who wanted to change the course of world history.

There have also been great legislative leaders whose ambitions made important contributions to Congress.

Henry Clay set the bar in the 19th century for how a legislative leader could forge compromise.

New York's Robert Wagner promoted many of the ideas that ultimately became the New Deal. His colleague Emanuel Celler spent much of the 20th century fighting from his seat in the House of Representatives to champion the cause of immigrants, workers and African-Americans.

Michigan Sen. Arthur Vandenberg, a one-time isolationist, changed his tune and worked with President Harry Truman to design America's Cold War policies in the late 1940s. In 1964, Illinois Sen. Everett Dirksen, a staunch conservative, convinced a large bloc of fellow Republicans to come around to vote in favor of ending the filibuster against the Civil Rights Act of 1964. Rep. John Conyers brought the energy he developed during the civil rights movement to the halls of Congress, defending the Voting Rights Act during the 1980s and 1990s.

Great ideas have also come out of Washington rather than the private sector. During the 19th century, the belief in public investment, the idea that the federal government should help create a national infrastructure to connect communities, took hold as public funds were used to build roads and create a mail system.

Between the 1940s and 1960s, the federal government championed the cause of computing technology and space exploration at a time when neither seemed very profitable to most in the private sector. A number of politicians, such as Minnesota Sen. (and future Vice President) Hubert Humphrey, were central to promoting the idea of racial equality.

So although "House of Cards" is a great show, viewers need to remember that politics is much more than that. We have become so cynical in this day and age that we can no longer see what is good about our democratic system.

The history of our country reveals that this democratic process can also produce great things. Washington is more than a power game: It is a town where those in power have the potential to make important changes and contributions to our history. And sometimes, they have done just that.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Netflix show depicts Washington in which power is used ruthlessly

@highlight

He says the show is compelling but paints too dark a portrait of the nation's capital

@highlight

Political leaders used power to end threats and attain social justice, he says

@highlight

Zelizer: Enjoy show, but don't take it as statement about limits of American politics