Washington (CNN) -- The Supreme Court kicked off its new term on Monday, struggling to clarify when foreign victims of torture and other crimes against humanity can sue corporations and others in federal courts.

The outcome could have significant global impact from a moral, political, and financial perspective.

At issue is the scope of a federal law that is increasingly being used in an effort to hold parties accountable for human rights atrocities committed overseas.

A dozen Nigerian political activists now living under asylum in the United States claim foreign oil companies were complicit in violent abuse at the hands of their former country's military. The decade-old lawsuits have been blocked from going to trial in American courts.

The Obama administration is siding partly with the foreign businesses.

Election raises stakes for court vacancies

The justices first heard the case in February, trying to sort out whether individuals alone -- or political groups and corporations also -- are covered by broad civil immunity for alleged international law abuses.

Now the court will decide that and a more fundamental question: whether the 1789 federal law can be applied to any conduct committed entirely outside the United States.

"Do you disagree [there] are fair [international] judicial systems where a plaintiff can get a fair shake?" said Justice Samuel Alito, reflecting general conservative skepticism. "If that's so, then why does this case belong in the courts of the United States, when it has nothing to do with the United States other than the fact that a subsidiary of the defendant has a big operation here?"

But other justices said federal courts for two centuries were open to such foreign claims, initially in response to piracy on the high seas.

"We gave a stamp of approval" to such lawsuits in a 1980 case, said Justice Elena Kagan, "understanding that there were certain categories of offenders who were today's pirates."

Chief Justice John Roberts wasted little time before moving on to the first of two cases. The nine-member bench remains the same, and showed no signs of discord after the controversial, landmark ruling in late June upholding President Barack Obama's health care overhaul.

Scalia dismisses talk of rancor

The human rights appeal was filed on behalf of residents of the oil-abundant Ogoni area of the Niger River delta. Two decades ago, they protested environmental harm caused by Shell and other energy firms from petroleum extraction.

They and their families claim the Nigerian government brutally suppressed them, "aided and abetted" by private corporations doing business there. The Ogoni 9 -- as the key leaders became known -- were allegedly detained, tortured, and tried by a special Nigerian military tribunal, in violation of international human rights treaties.

The Nigerian government's 1993-95 crackdown sparked global outrage after author Ken Saro-Wiwa and eight other activists were convicted, then hanged.

Among those bringing suit is his nephew, Charles Wiwa, who escaped the oppression and now lives in Chicago as a political refugee. He described being a student activist beaten by soldiers for hours in front of a crowd of onlookers, then detained and tortured for days.

He claims Shell -- based in the Netherlands and Britain -- conspired with the government to keep its business operations going in the face of protests and should be held accountable for ignoring or encouraging a pattern of killings, rapes, beatings, and property destruction. He said the only place to obtain justice is in the United States.

"Nigeria's dictatorship has grown rich from its oil," Wawa told CNN. "It is important those (oil) companies be held responsible, because we cannot bring any legal action in courts in Nigeria."

The U.S. law in question is the Alien Tort Statute, which gives federal courts jurisdiction over civil claims from foreigners that they were harmed by international law violations. It was largely ignored for decades, but has now become an important legal vehicle for those bringing human rights claims.

Similar lawsuits involve Chevron and Exxon energy operations in Indonesia; Chiquita Brand fruit farms in Colombia; and businesses that operated years ago in the apartheid system in South Africa.

Justices will soon take up same-sex marriage

The high court in 2004 endorsed use of the statute in question, but only in limited circumstances.

Paul Hoffman, attorney for the Nigerians, said the United States was a proper judicial forum for such limited claims.

"The trend in the world today is towards universal justice for people and corporations that violate these kinds of norms," he told the court. "In fact, the United States has been the leader in that. Our government has proclaimed our leadership position to U.N. bodies and around the world.

All four left-leaning justices were skeptical about giving corporations a judicial free pass of sorts.

When Kathleen Sullivan, attorney for the corporations, suggested prior court precedent did not deal with the current dispute, Sotomayor shook her head.

"You're basically saying [the prior cases] were all wrong," said Sotomayor. "Counsel, how can you say that? Maybe the facts didn't, but certainly the reasoning of the case addressed that issue very directly, basically said it does" give Nigerians a chance to make their case in U.S. courts.

A ruling is expected in a few months.

The case is Kiobel v. Royal Dutch Petroleum (10-1491).

@highlight

Supreme Court begins new term with case involving foreign victims of torture

@highlight

Case involving Shell Oil could have significant global impact

@highlight

Human rights appeal filed on behalf of residents of oil-abundant area of Nigeria