(CNN) -- Pakistan's election campaign was heavily infused with the rhetoric of change. Voter turnout was the highest since the 1970s. A large number of new youth voters also entered the fray.

Yet the evolution of democratic culture in Pakistan produced a rather conventional outcome -- victory for a two-time former prime minister known for corruption and the military coup that ousted him in 1999.

Nawaz Sharif and his party, the Pakistan Muslim League -- Nawaz (PML-N) will still be on the hook to produce change for over 180 million Pakistanis -- and there is a lot to change. The good thing is that there is not a lot of confusion over what Pakistan's problems are. Sharif's wide margin of victory also affords him a broad mandate to make bold policy decisions without the same political instability that plagued the outgoing Pakistan People's Party government.

Will he take advantage of this opportunity? Yes and no.

Sharif has rightly prioritized the economic situation, but he will still have to pick and choose his battles on reform. The economic challenges demand both short-term fixes and long-term reforms. Most governments in Pakistan have opted for short-term fixes because the path to reform simply takes too long or lacks political support.

Sharif might have support in the National Assembly for some of the more difficult reforms, such as taxation and cutting energy subsidies, but the backing of special interest groups, trade unions and provincial governments among others will not always be guaranteed. Real reform will require the buy-in of these stakeholders too.

Sharif could be the man to do it. He is a free-market oriented businessman who in his previous tenures as prime minister focused on privatization, infrastructure development and deregulation. But his views alone won't carry the country towards the free market. Sharif will also need to strengthen his party's links to economic and political stakeholders outside of Punjab, where the PML-N has a smaller presence than the other regional parties.

A prime example of where Sharif's outreach will be needed is in Karachi. The megacity contributes to over 20% of the country's GDP and is also home to a multi-billion dollar informal economy. These economic gains have been threatened by unprecedented violence between the Muttahida Quami Movement (MQM), the Pakistan People's Party (PPP), and the Awami National Party (ANP) -- all of whom are looking to benefit from the financial spoils.

Karachi's economic environment has no doubt learned to adjust to the fluctuating security situation, but the national government cannot afford to let it get worse. Fixing Karachi will require Sharif to garner the support of MQM, PPP, and ANP -- none of whom at this point look poised to join his government.

Security is the other area where Sharif faces high expectations, but will be forced to be flexible and accommodating to competing interests. More than ever before, the Pakistani public, politicians and the military agree on the existential threat posed by the Pakistani Taliban.

The military's on again-off again campaign against these militants in the country's Federally Administered Tribal Areas has failed to end violent attacks on ordinary citizens and government targets. The spike in attacks during the election campaign is evidence enough of that.

Sharif will have to find his public voice on militancy, an issue he has been resoundingly silent on. This isn't surprising considering his own Punjab province is a hotbed of militant activity in the south. Part of the problem is that the PML-N-led government in Punjab has not taken aggressive legal or police action against militant groups like Lashkar-e-Jhangvi, Lashkar-e-Taiba, and Sipah-e-Sahaba, some of whom in recent months have been implicated for their involvement in major attacks outside of Punjab.

The lack of action against these groups seems to have protected the PML-N against attacks during the campaign. There have also been fewer attacks within Punjab.

Sharif cannot pursue this informal arrangement at a national level. He will also have to get behind the military's campaign against the Pakistani Taliban but has to be cautious in how forward he leans.

Sharif could continue to protect Punjab at the expense of the country, or he could be bold and help the military wipe out the Pakistani Taliban -- either way, he still loses a little.

Pakistanis deserve enormous credit for showing up in large numbers to vote in the face of such violence. Sharif and the PML-N should be congratulated on winning big, especially with so much hype in Punjab over Imran Khan, the famed politician and cricket star. But the high voter turnout and election victory just put Sharif back on the map.

Based on the options he faces, there are plenty of reasons to be less sanguine on the prospects for quick and easy policy-making. It is now up to Sharif to figure out how to navigate the long road ahead.

The opinions expressed in this commentary are solely those of Shamila N. Chaudhary.

@highlight

Pakistan elects two-time former prime minister known for corruption and military coup

@highlight

Big expectations for Nawaz Sharif and his party, Pakistan Muslim League -- Nawaz

@highlight

Sharif must tackle economic challenges as well as security issues from Taliban