In the future, women may be able to buy birth control pills alongside ibuprofen and cough drops if the recommendation of the American College of Obstetricians and Gynecologists is adopted.

The group is recommending that oral contraceptives be sold over the counter without a prescription in an effort to reduce the number of unintended pregnancies in the United States.

Approximately 50% of all pregnancies are unplanned, a rate that hasn't changed much in the past 20 years, according to the Guttmacher Institute, a nonprofit organization dedicated to reproductive health research. Women in their 20s are most at risk.

"Access and cost issues are common reasons why women either do not use contraception use or have gaps in use," according to the American College of Obstetricians and Gynecologists.

Many developed countries still require a prescription for oral contraceptives, including Canada and most of Europe, but many other countries sell the pill without a prescription even formally or informally.

The movement to push birth control over the counter is nothing new, says Dr. Daniel Grossman, who volunteers as vice chairman for the American College of Obstetricians and Gynecologists' Committee on Gynecologic Practice Bulletins.

In the early 1990s, a paper in the American Journal of Public Health argued that oral contraceptives should be available without a prescription.

What's different now, Grossman says, is that a large body of evidence documents the safety and effectiveness of the pill, as well as research showing that women are interested in receiving it over the counter.

Free contraception may prevent abortions

"I want it between the condoms and pregnancy test kits," said Kirsten Moore, president and CEO of the Reproductive Health Technologies Project, a group advocating for reproductive freedom. "I want it there so it's giving the message: if you're sexually active, use protection."

As with any drug, there are risks associated with oral contraceptives. The American College of Obstetricians and Gynecologists acknowledges that the pill can increase a patient's risk of blood clots and stroke, especially if she is obese or smokes. And selling the medication over the counter would reduce the chance that a woman would be screened by a doctor.

But the group also says studies have shown that women may be able to self-screen for these conditions using a simple questionnaire. The physicians group argues that the risks must be put in context with the risk of blood clots or stroke with an unintended pregnancy.

"The comparison isn't taking the pill or not taking the pill," Moore said. "It's taking the pill or not taking the pill and risking becoming pregnant."

Grossman says he's most concerned about the costs that may be associated with over-the-counter oral contraceptives. Although the Affordable Care Act requires coverage of birth control prescriptions, insurance companies may not cover over-the-counter medications.

If the product isn't sold at an accessible price for consumers, Grossman said, "It's going to replace a prescription barrier with a cost barrier."

The American College of Obstetricians and Gynecologists says similar incidents show that moving birth control over the counter will probably increase use.

When nicotine patches and gum went on sale over the counter, attempts to quit smoking using those products nearly doubled, statistics from the Centers for Disease Control and Prevention show. And sales of emergency contraception doubled in the year after Plan B One Step "morning-after pill" went over the counter, according to the advocacy group OCs OTC.

New York schools offer morning-after pill to students

Another benefit to offering birth control without a prescription is that it may provide greater access to populations that otherwise would not take advantage of these medications.

"Over-the-counter access will greatly reduce the systemic barriers, like poverty, immigration status and language, that currently prevent Latinas from regularly accessing birth control and results in higher rates of unintended pregnancy," the National Latina Institute for Reproductive Health said in a statement.

The American College of Obstetricians and Gynecologists hopes its recommendation will motivate a pharmaceutical company to take the next step, Grossman said. A company with a prescription medication patent would have to submit an application to the Food and Drug Administration to begin the over-the-counter approval process.

In order to do that, the company needs to have research on its birth control product's safety as an over-the-counter medication. These studies would have to prove to the FDA that the right people will choose to take the medication -- meaning otherwise healthy women who want to avoid pregnancy -- rather than the people who shouldn't purchase it -- meaning those at high risk of blood clots or stroke.

In a statement, the FDA said it is willing to meet with any pharmaceutical company that may want to switch its product to over-the-counter status.

In Philippines, a 14-year fight for birth control

A few other obstacles stand in the way of the American College of Obstetricians and Gynecologists' recommendation becoming reality.

The battle to make emergency contraception available without a prescription was long and full of political pitfalls, Moore said. The first application to allow Plan B to be sold over the counter was denied; after about three years of debate, permission was given only for women over the age of 17.

"Any company is looking at the way the FDA handled emergency contraception and saying, 'I'm not taking that bait,' " Moore said.

Even if a company were to step forward, this would be "uncharted territory" for the FDA, Grossman notes. The agency has never approved a chronic over-the-counter medication -- one that's taken daily for an unlimited amount of time. (Although consumers sometimes take aspirin or antacids daily, they are not labeled for that kind of use.)

There will also undoubtedly be arguments against the recommendation, whether they stem from fears over encouraging risky behavior, concerns about about patient adherence or religious beliefs.

Still, Grossman said, consumers could see birth control medications sold over the counter in less than five years.

"It is a pretty bold move on the part of ACOG," he said. "I really respect that the organization decided to make this statement after reviewing all the evidence. It's not very common where you hear a physician organization say, 'We think there should be a change so that our patients don't have to see us anymore.' "

@highlight

Physicians group recommends oral contraceptives be sold over the counter

@highlight

Approximately 50% of all pregnancies in the United States are unplanned

@highlight

Access, cost are common reasons why women do not use contraception regularly