Beijing, China (CNN) -- Countries whose top leadership meet with the Dalai Lama, Tibet's exiled spiritual leader, lose on average 8.1 percent in exports to China in the two years following the meeting, according to a recent study.

Called the "Dalai Lama Effect," the study by the University of Gottingen in Germany found the negative impact on exports began when President Hu Jintao took office in 2002.

The study is the first empirical analysis demonstrating the economic consequence of such meetings. Machinery and transportation equipment exports suffered the most consistent negative impact, following meetings with the 14th Dalai Lama, according to study authors Andreas Fuchs and Nils-Hendrik Klann.

"We wanted to find out the impact of the rising role of China in the world ... to find out what we should expect of China's role in the world in the coming years," researcher Fuchs told CNN. "It is clear that politics has played a huge role in China's commercial relationships."

China says it opposes politicizing trade and economic ties. However, prior to each of the Dalai Lama's meetings with leaders, the Chinese government often openly threatens that such meetings will lead to damaged trade relations with China.

Using data from the United Nations, Fuchs and Klann tracked exports from 159 countries doing trade with China from 1991 to 2008. They discovered that exports to China decreased only after the Dalai Lama met with heads of state, such as presidents, prime ministers, kings, queens and the Pope.

The Dalai Lama's meetings with heads of state -- including U.S. presidents George W. Bush and Barack Obama, German chancellor Angela Merkel and French president Nicolas Sarkozy -- have been a consistent source of diplomatic tension with China.

No negative impact was found after meetings of the Dalai Lama with lower-ranking officials, the study said.

Dalai Lama talks of retirement

In response to the study findings, Tenzin Taklha, joint secretary for the Dalai Lama in Dharamsala, told CNN: "His Holiness has no intention of causing any inconvenience to the host country he visits."

Taklha added, "It is unfortunate that the Chinese government views everything His Holiness does through a political angle."

China's Ministry of Foreign Affairs declined to comment.

The "Dalai Lama Effect" is not permanent, according to the study. The negative impact on exports disappeared on average two years after each meeting takes place.

"China has an interest in having its commercial relationships restored. On the other hand, they have interest to really show their anger about a Dalai Lama reception or meeting," Fuchs said.

My Take: Why the Dalai Lama became a global icon

The study went on to say, "China's political leadership may be willing to bear the economic and political costs that arise from diverting trade away from the Dalai Lama-receiving countries if such 'punishment' increases the likelihood of its political survival."

The implications of decreased exports to China could hurt the Chinese economy. "Blocking trade endangers Chinese economic growth, both from a immediate short-term perspective, and longer-term perspective as trade partners seek to diversify away from a potentially-aggressive China," said Alistair Thornton, China Analyst at IHS Global Insight, a macroeconomic research firm.

Moreover, the government may not be responsible for the negative impact on exports in the aftermath of meetings with the Dalai Lama.

"The possibility remains that Chinese companies are taking it upon themselves to curb trade links, rather that it being a direct order from the highest levels," Thornton said. "As machinery tools are strongly linked to trade missions, and the government controls the trade missions, the government would appear to be in control here. But it could be less that the government has ordered a freeze on imports, rather than removed one easy way for companies to strike deals for those imports."

More than 95 percent of the Dalai Lama's visits to foreign countries are non-political in nature, says the Dalai Lama's joint secretary, but his meetings have long been the subject of intense debate in Beijing.

When the Dalai Lama was awarded the Nobel Peace Prize in 1989, China threatened to sever economic ties with Norway if Norwegian leadership attended the ceremony.

In February of this year, U.S. President Barack Obama met with the Dalai Lama in Washington despite warnings from Beijing. Following the meeting, Chinese Vice-Foreign Minister Cui Tiankai summoned the U.S. ambassador to express China's discontent.

"The U.S. act grossly interfered in China's internal affairs, gravely hurt the Chinese people's national sentiments and seriously damaged the Sino-U.S. ties," said Chinese Foreign Ministry spokesman Ma Zhaoxu in a statement in February.

The long term impact of the "Dalai Lama Effect" is uncertain.

"Chinese trade relations are not free of political biases ... the country seems to exploit trade ties as a foreign policy tool," Fuchs and Klann wrote. "[However] such an economic punishment mechanism will only prevail as long as the expected political gains from stabilizing the regime outweigh the losses from trade diversion."

@highlight

Study: Countries that meet with the Dalai Lama lose  8.1 percent in exports to China

@highlight

Effect lasts for two years following the meeting with the exiled spiritual leader

@highlight

The "Dalai Lama Effect" began in 2002 when President Hu Jintao took office

@highlight

Only impacts trade if meetings are between a head of state and the Dalai Lama