(CNN) -- With a crop of political movies in the Oscar running, this weekend Hollywood is looking more like Poliwood. Best Picture contenders such as "Argo," "Zero Dark Thirty" and "Lincoln" have managed to pay off at the box office even as they brought politics and history to the big screen -- proof that we'll take smart over stupid as long as we're entertained while educated.

But what's really notable about these films is that for the most part they avoid hagiography. They dare to show complexity. This doesn't mean indulging in moral relativism; evil exists and these films acknowledge it. But the human dimension is kept intact rather, with characters not divided into simply angels versus devils. The real tradeoffs behind difficult decisions are acknowledged, consistent with the idea that the truth is never pure and rarely simple.

In "Argo," the CIA agents are far from James Bond clones. Suited up in 1970s regalia, Ben Affleck's disheveled character is separated from his wife and child. He quaffs wine and chows down on McDonald's, and is outclassed by Hollywood producers cooperating in the creation of the fake film that provides cover for an escape of embassy personnel from Iran.

The film doesn't blink at the brutal mob mentality of revolutionary Islamist radicals, but it also takes time to explain the vicious cycle that began when the CIA helped topple and democratically elected Mohammed Mossaddegh and replaced him with the shah. The Carter White House is depicted as well-intentioned and principled but not exactly a crackerjack All-Star Team.

Likewise, the Navy SEALs who kill Osama bin Laden in "Zero Dark Thirty" are disciplined in their work but not portrayed as anything resembling perfect in their personal lives. The lead CIA agent, Maya, played by Jessica Chastain, is a mess outside the narrow confines of her work. She is obsessive, bullying and intolerant but sharply intelligent. Her initial moral qualms over torture are quickly replaced by a cold determination to do whatever it takes.

Obeidallah: Oscars don't matter

But perhaps the best example of this human realism this Oscar season is Daniel Day-Lewis' definitive film portrayal of President Abraham Lincoln. He is not portrayed as a stovepipe-hat-wearing saint, but a prairie politician -- a flawed man and a wounded giant.

He wrestles with depression, slaps his eldest son and yells at his wife when she overindulges in histrionics over the death of a younger son. Lewis' Lincoln buoys his darker moods by telling meandering jokes that amuse him more than the listeners, infuriating his secretary of war, Edwin Stanton, in the process. He is thought to be a fool by some and a despot by others. But above all, he is skilled in the art of power and strategic in its deployment.

Lincoln stretches the limits of law and ethics to cobble together enough votes for the passage of the 13th Amendment. Congressmen are bribed and cajoled with the promise of lucrative new jobs. Threats are made and some principles abandoned in the cause of building a broader coalition. Lincoln lies to Congress about the status of secret peace talks with the Confederacy. He alone, at times, keeps in mind the larger goal of bending history toward justice, against the cruel backdrop of escalating body counts.

The best metaphor for the movie's more realistic viewpoint is Lincoln's voice. It has often been described by biographers as high-pitched with a Kentucky accent, and this was difficult to reconcile with the grave baritone we associate with the man reading the Gettysburg Address. But Daniel Day-Lewis did the research like Alan Lomax on a field recording and he came back with a voice that matches the biographical descriptions -- hard to imagine but instantly recognizable when finally heard. This Lincoln takes the risk of authenticity and takes the man off his pedestal, becoming somehow bigger for it.

And that's a healthy trend for movies overall.

Opinion: With Lincoln, a new frontier for Day-Lewis

Lastly, one the Academy missed: In an unjustly Oscar-ignored presidential portrayal, Bill Murray channeled FDR in "Hyde Park on Hudson," showing the four-term president as a charming man in need. Buoyant amid stormy weather, Murray's FDR is comfortable with maintaining multiple layers of deceit with those closest to him. This is capped off by intermingling romantic affairs that occasionally explode out into the open. It's a reminder that great and good can be very different qualities, doled out in different amounts at different times, sometimes within the same person.

The lesson? You don't have to be perfect to be a hero. And imperfections can actually add to heroism by virtue of authenticity.

Hollywood's new take on politics and history invigorates because it does not hero-worship or whitewash. By risking realism, exposing flaws as well as moments of greatness, the inspiration of these characters becomes more accessible to us all.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: A new take on politics and realism in this year's Oscar crop. Call it "Poliwood"

@highlight

He says in "Argo," "Zero Dark Thirty," "Lincoln," films show nuance, humanity in characters

@highlight

Day-Lewis, Avlon says particularly, shows Lincoln as a flawed political animal

@highlight

Avlon: You don't need to be perfect to be a hero. Authenticity can add to heroism