Los Angeles (CNN) -- Oh, Jules Verne or Peter Benchley, where are you, great writers of deep-sea monsters?

For the second time this week, Southern California has seen a rare sea beast washed ashore, far from home waters.

This time, it's a saber-toothed whale, better known to live in deep Alaskan waters than in the warm surf of tourist-choked Venice Beach in Los Angeles where it stranded Wednesday.

In an extraordinary way even for scientists, the carcass of the nearly 15-foot and 2,000-pound whale was intact -- except for a couple of fresh bite marks from sharks. The whale, a female, apparently was barely alive when it came ashore -- a highly unusual sight because beached whales are often badly decomposed or badly eaten by marine life, a local biologist said.

"It was really humbling and sad to see such a majestic creature stranded this way," said Heather Doyle, director of the Santa Monica Pier Aquarium. She rushed down the beach on her bicycle to witness the rarely-seen animal after staff naturalist Brittany Corona happened upon a crowd surrounding the whale on the sand.

Such a sighting of the whale up close in California "is a once in a lifetime opportunity," she added.

Giant eyeball washes up on beach

Just three days earlier, another rarely observed species -- a sea-serpent-like animal called an oarfish -- was discovered dead at Catalina Island off the Los Angeles coast.

Oarfish hide in the deep ocean. The one found in the island's Toyon Bay was so big -- 18 feet long -- that it required 15 people to hold it chest-high in a trophy photo taken by the Catalina Island Marine Institute.

"They're so rare and unusual looking," Jim Dines of the Natural History Museum of Los Angeles said of the oarfish and the saber-toothed whale. "They are like sea monsters, and people really pick up on that."

Are their deaths freak events prompted by global warming?

"I think it's just really a coincidence," Dines said. "It's too early to tell. If we were to see a whole bunch of these animal strandings, that would give more evidence of something going on."

Added marine biologist Jose Bacallao of the Santa Monica Pier Aquarium: "I'm not going to speculate on any wackiness, but I will say you have years of temperature changes and we have had warmer waters.... I'm not saying the water temperature brought that whale or the oarfish here, but it's still a pretty amazing sight to see."

Dine is also a mammalogist who performed a necropsy on the whale shortly after it was found Wednesday. His examination showed no signs of trauma such as being hit by a ship and no signs of disease or parasites, Dine said.

The female whale also didn't have any food in her stomach -- aside from ingested plastic or nylon that wasn't enough to kill her, Dine said.

The carcass did show two or three fresh wounds from cookie-cutter sharks, whose name comes from how their bites leave a round wound that cuts through skin, blubber and muscle, Dines said. But those bites weren't mortal wounds, he said. In fact, the whale had several dozen scars from such bites, which are common in the species, he added.

Dines is waiting on testing results of tissue samples to determine a cause of death.

Though the animal's death is unfortunate, scientists such as Dines are excited about its discovery because so little is known about the deep-water animal that lives in the north Pacific. Its strandings typically occur in Alaska or Japan. Its last stranding in southern California was 15 years ago, Dines said.

"There is some speculation that they do migrate in the winter, but it's not certain how far (south) they go," Dines said.

It's the adult male whale that grows sabertooth-like teeth, used for combat against other males for dominance in breeding, Dines said. The females don't grow the saberteeth. The species is also known as the Stejneger's beaked whale. As a whole, the front of the species' face resembles a goose beak, Dines said.

"It's creating a lot of excitement in the media and the public, but the scientists are just as excited about this because it's a rare opportunity to study the natural history of these kinds of animals that are so rarely observed, even by marine specialists," Dines said.

Discovery makes a splash: The rarest whale

Though the plastic found in the whale's stomach didn't cause its death, the material's presence in marine life is a growing concern.

"Certainly, pollution of plastics in the ocean is a huge concern and causes I don't know the number of deaths of marine animals," Dines said.

The discovery of the two animals also occured as Manhattan Beach paddle-boarder Mark Durand captured on his helmet camera a video of an 8-foot great white shark swimming underneath him and grazing his board this week.

The series of events has heightened public interest in what lurks within Los Angeles' coastal waters, scientists said in interviews Thursday.

What now becomes of the two magnificent sea monsters?

Dines took several tissue samples of the whale, and its skeleton will be placed in the museum's collection of 4,000 marine specimens, used for research and exhibition, he said. The 15-foot-long whale is just a little bit short of the 18 feet common for females in the species.

As for the oarfish, its 18-foot length was too big for one freezer, so scientists cut it up into small pieces and froze them, said Jeff Chace, program director of Catalina Island Marine Institute.

Researchers will later boil off the flesh and reconstruct the skeleton, using photographs taken during the dissection of the deep-sea serpent.

Study: Spiders had ancient big-clawed relatives

CNN's Casey Wian, Jack Hannah and Dottie Evans contributed to this report.

@highlight

A saber-toothed whale from the Alaskan deep sea washes ashore in Los Angeles

@highlight

Its carcass is intact, giving tourists at Venice Beach and scientists a rare sighting

@highlight

Earlier this week, a rare oarfish that was 18 feet long is found at a coastal island

@highlight

Scientists can't say whether the rare animals' strandings are because of global warming