(CNN) -- Whenever someone has lived a solid and productive life, the pastor at his or her funeral may turn to Matthew 25:21 to offer a few words the good Lord may utter as the person's spirit ascends to heaven: "Well done, good and faithful servant!"

In the pantheon of civil rights organizations, the Southern Christian Leadership Conference stands tall as one of the greatest groups ever to advance the cause of civil rights, helping bring the hatred and bigotry of Jim Crow to its knees.

From its marches and protests to its negotiations with political and business leaders and its efficient work with other civil rights groups, the SCLC's work has been legendary.

Yet 55 years after its co-founding by the Rev. Dr. Martin Luther King Jr., it is an organization that makes headlines today more for infighting among members and the revolving door that its top leadership positions have become -- all while crucial social justice issues continue to fester for African-Americans and others.

Whether we want to admit it or not, the Southern Christian Leadership Conference has been devoid of a Christian spirit for a long time. It is leading nothing and doing nothing.

The fact that I'm writing these words may be painful to civil rights stalwarts (and Alpha Phi Alpha fraternity brothers of mine) like longtime activists the Rev. Joseph Lowery and the Rev. C.T. Vivian, but sometimes the truth hurts.

On Monday, the SCLC is set to announce that former CEO Charles Steele is returning to helm the organization he served as president from 2004 to 2009. In the four years since he left, the SCLC has gone through four leaders, including the Rev. Bernice King, who, in a strange debacle, was chosen as CEO in 2010, but never assumed the post after a conflict with the board. Her cousin Isaac Farris, a nephew of Dr. King, was chosen to lead the group about a year ago, but he was replaced.

In the past several years we have seen split factions among the board, leading to competing board meetings; the doors to the headquarters being chained to keep others out; even arguments at board meetings where some members nearly came to blows.

This is nothing but drama, mess, childish antics or whatever you want to call it. It is a severe stain on the life and legacy of King and the many others who stood with him during the darkest hours. When your group is known more for fighting among its leaders than fighting racism, sexism and inequality, you serve no real purpose.

One of Steele's accomplishments when he took over the first time was building the organization a national headquarters that the group owned. He did so, debt-free -- but who cares about a building when an organization has no mission and no relevance? Who really cares if the organization's leaders proclaim a desire to be solvent when the SCLC has lost its soul?

I've meet Charles Steele and we've had many discussions. He's an honorable man. But the issue here isn't who is the leader. Instead, it's a group of people on the board of directors who aren't leading the group anywhere but further into the grave.

I'll be perfectly honest: The SCLC has been persona non grata on the media platforms I have that reach millions of African-Americans. Booking someone from the group on my Sunday morning news show on a black cable network, TV One, or my daily news segment on the Tom Joyner Morning Show, a syndicated radio show with a huge black audience, would be a waste of time. Why am I going to waste valuable time advancing the latest initiative from the SCLC when it's likely to go nowhere due to constant infighting?

The list of issues the SCLC could be addressing is vast, from the scourge of inner-city violence that continues to take away another generation of black kids, to a high school dropout rate that is shameful.

If the SCLC wants to get back to basics and play a crucial role in the 21st century, Steele is going to have to rid the group of the spirit of dissension that is running through its veins. He is going to have to show a new generation of pastors across the country that aligning with the SCLC has value other than raising their blood pressure.

As a Christian, I desire the best outcome for the SCLC. But frankly, I have no faith that the organization has put its past drama behind it..

And until it can prove to me and others that it wants to be taken seriously, the SCLC will be just like the Congress for Racial Equality or the now-defunct Student Nonviolent Coordinating Committee -- groups that had their glory days during a different era, and saw them end.

The opinions expressed in this commentary are solely those of Roland Martin.

@highlight

Roland Martin: Southern Christian Leadership Conference a towering civil rights group

@highlight

But, he says, it's been riven by infighting in recent years that has hurt its ability to do its work

@highlight

He says incoming CEO is promising, but squabbling board of directors detracts

@highlight

Martin: If new CEO wants SCLC to regain relevance, he must quell drama, move forward