Sandy Springs, Georgia (CNN) -- The old Chevrolet paint and body shop was vacant -- 24,000 square feet of metal and concrete surrounded by a sea of asphalt.

But when some members of Congregation Or Hadash saw it, they saw a home.

Since it was founded in 2003, the conservative Jewish congregation had bounced from location to location outside Atlanta -- a Methodist church, a windowless space in a school, any place they could rent or borrow as they grew.

"Sometimes, from week to week, we didn't know exactly where we were going to be," said Fred Wachter, president of the congregation and a member since its early years. "All the while ... we probably walked every piece of available property and real estate in Sandy Springs, trying to find something, anything, that would look like it."

In 2010, the congregation purchased the former auto shop, seeing the promise of their own synagogue in its bare white walls.

"That was the first leap of imagination someone had to make, and it's a big leap," said architect Brian Bell, whose firm, BLDGS, worked on the synagogue.

In architecture, it's called adaptive reuse -- remaking old buildings for new purposes.

Bell and his partner, David Yocum, aren't Jewish, and they had never before worked on a religious structure. But the Georgia Tech faculty members had transformed several old buildings and an "uncanny" number of automotive spaces: A carriage house-turned-art gallery, a renovated a truck depot that became the Atlanta Contemporary Art Center and their own office, which is housed within a former Atlanta auto parts shop.

There was nothing sacred about the auto shop, a spare structure built in the 1990s. But it was available, affordable and allowed the congregation to remain central to its members, all while healing a patch of earth that had been left neglected.

"Or Hadash," members point out, means "new light" in Hebrew.

"There was not an ounce of excess to it," Bell said of the old building. "Even with this harsh industrial site, the idea was to impart their principles and values onto the site."

The congregation wanted its home to work for 362 days of the year, with a large sanctuary, social hall and classrooms for its 400 member families. They could always find a larger venue for the Jewish High Holidays, when more people attend services.

They planned on an energy efficient, environmentally sound space and to send as little to the landfill as possible. They needed to stay within their budget -- $4.8 million to purchase and transform a building -- and refused to name spaces after donors, even if it would've raised more money. In their synagogue, they wanted everyone to feel equal.

"We really were able to think about how we wanted to do it and to make decisions over a period of time," said Wachter, who led the congregation's building committee. "Everything was done very deliberately."

Or Hadash Rabbis Mario Karpuj and Analia Bortz, a married couple from Argentina, set the tone for the contemporary design of the space, and members weighed in with their own ideas. They didn't want anything ornate or fancy, but where there's color on the walls, it's warm and bright. The lobby was built to feel welcoming, like a hotel.

In the sanctuary, the walls and ceiling are artfully askew, "so your eye and mind can wander," said Bell, the architect. The bema, the podium at the center of the room, is positioned to be wheelchair accessible and keep all members level. High windows obscure the parking lot surrounding the building but reveal a border of trees. Skylights were placed to highlight the ark, the closet that holds the synagogue's Torah scrolls, as well as its "infinite" glass door and the Hebrew alphabet etched into it.

The sanctuary was engineered to maximize acoustic performance. Services at Or Hadash often include music, and congregants speak to each other from across the room. In their old space, low drop ceilings meant they struggled to hear one another. Now, their voices are loud and clear.

"It's really something amazing," Wachter said. "The ability to really be able to enjoy the rich sounds within the sanctuary is something that really makes a difference."

Congregation Or Hadash moved into its new home at the end of February, after less than a year of construction. This month, the building was honored in the Georgia chapter of the American Institute of Architects' Design Awards.

Visitors are often wowed by the change and stunned to learn the building's history, said Bruce Warschoff, the congregation's executive director. As much as members love the space, they love the story.

"Once we found a place in existence, the idea of repurposing made sense," Warschoff said. "It's nice to have room to spread out."

Even now, there are reminders of the building's past -- they kept the same footprint, and some of the original exterior walls, steel structure and concrete blocks remain visible. The old concrete floor is freshly polished, but watchful eyes can spot outlines of the former auto bays and windows where cars used to drive in. They kept the posts that used to guide cars inside, but painted them a warm red to contrast with the new gray exterior. Even concrete in the new courtyard is original but cut to improve drainage and create a new look.

The congregation is gradually growing into the building. Flags still mark where plants and flowers will go in the ground, and the walls will remain clear of artwork until they better understand their own space. There are plans to improve classrooms and their kosher kitchen later, but they're grateful now for a consistent space with room to grow.

It's a complete transformation, said Bell, the architect, even between the steel ceiling and concrete floor.

"You have to transform it. If you leave it too much the same, it doesn't have the potential to enlighten us," Bell said. "We're always trying to break out out of the big box we started with."

@highlight

Congregation Or Hadash's synagogue is built from a former auto paint shop

@highlight

The Atlanta-area synagogue is an example of adaptive reuse in architecture

@highlight

Architect: "We're always trying to break out out of the big box we started with"

@highlight

Have you helped re-purpose a building? Share your story on CNN iReport