ATLANTA, Georgia (CNN) -- Gregory Maguire absently cleans his glasses with his tie as he talks about pushing someone down the stairs.

"I use children's stories as kind of a snare and temptation and illusion to draw in readers," Gregory Maguire says.

"I wonder if you've ever stood at the top of the stairs behind someone who's really annoying and just imagined putting your foot out and planting your boot in somebody's objectionable behind?" he asks. "You know, I think that thought is a fairly common human thought."

Maybe for the author of "Wicked," who looks more like a college English professor than someone who spends his days writing about the world of Oz. Maguire often imagines evil, and how those without self-control respond to it.

Maguire's "Wicked" series puts a spin on the classic "The Wonderful Wizard of Oz" tale, bringing in corruption, political prisoners and war. His first book, "Wicked," has sold more than 2.5 million copies, and the musical based on the book reportedly has been seen by more than 3.75 million people in New York alone. National tours have been huge successes.

Maguire's newest book in the series, "A Lion Among Men," tells the story of the Cowardly Lion -- the motherless cub defended by Elphaba in "Wicked."  Watch Maguire roar about "Lion" »

CNN talked to Maguire about the book's main character, his life before "Wicked" and why he has never written realistic adult fiction. The following is an edited version of that interview:

CNN: To someone who's never read your books before, how would you describe your style?

Gregory Maguire: I would describe [my books] as being, not quite allegories, but commentaries on contemporary society -- and indeed politics to some extent -- enshrouded in, and disguised by, the guise of children's stories.

In other words, I use children's stories as kind of a snare and temptation and illusion to draw in readers who say this is going to be easy ... and it's going to be fun. And indeed I hope it is fun. But once I get people involved in the plot, I hope to also communicate some of the questions I have about the way we live our lives in the 21st century.

CNN: Talk to me about Brrr. What's his personality like? What is he going through?

Maguire: Well, Brrr is the name that I've given to the cowardly lion who is the main character -- the protagonist -- in this novel called "A Lion Among Men." And I gave him that name for two reasons: One, because it does sound like a shiver, and he is always slightly spooked by the world; and the second reason, because the two letters in it B-r-r-r are both letters from the name of Bert Lahr, who played the Cowardly Lion so famously in the 1939 MGM film.

His character arises in the hollow space in our perceptions between that giant roaring lion at the MGM logo ... the ideal lion, and the kind of sad, sacked, out of work, vaudeville performer in lion pajamas that we see when Dorothy actually runs into the lion on the Yellow Brick Road.

In other words, there's a huge disconnect between the image we project of ourselves -- the best we might ever hope to possibly be -- and the way we feel about ourselves at our absolute worst -- when we're the most down in the dumps. There's a huge space in between there. So the novel's really in some ways about character and taking control of the destiny of your own character.

CNN: Everyone knows of your success with "Wicked" -- it's huge. But what was your life like before you wrote that book?

Maguire: I had written children's books for 14 years before I published "Wicked." And none of them were poorly reviewed, and none of them sold enough for me to be able to buy a bed.

I was the traditional artist in the garret, expecting to live that way or maybe to give up writing soon because I would eventually have to get a job that was going to pay me some kind of retirement package. Silly thought, that, these days.

CNN: You often take the point of view of the "wicked" or "evil" characters in your books. How do you get inside their heads?

Maguire: Well, I like to think I'm a pretty good-natured guy and pretty civil and probably not ever truly guilty in any serious way of any legal infractions. But I do seem to have an unconscionable, easy time of thinking about how people might do wrong, of what they might feel like and how they might behave if they had less self-control than I do.

And then also, how they would have to deal with the weight of being called evil. If everyone was always calling you a bad name, how much of that would you internalize? How much of that would you say, all right, go ahead, I'll be everything that you call me because I have no capacity to change your minds anyway so why bother. By whose standards should I live?

In a way, all three of my adult books come down to that question -- by whose standards should I live? Can I find my own standards? Can I recognize them? Can I value them if I can name them? And are they good enough, are they strong enough, standards by which to live?

CNN: You talked about writing children's books. How is writing for children different than writing for adults?

Maguire: Well, for one thing children are intensely more impatient than adults. So you have to start out active, you have to start out strong and you cannot be, for a moment, self-indulgent.

Everything has to be a sound bite or something that the children can visualize as if they're running a little Super 8 projector in their mind. Now I date myself with ancient technology, but you know what I mean ... write the scene that you want Steven Spielberg to film, which means every sentence has to give us something to see. Make it intensely visual and this is, I think, the main rule for writing for children.

But in no way do I make it less thoughtful. I just actually have to work harder. Writing for children is like the difference between writing a sonnet and writing a gossip column. I mean you have a lot more restrictions so you have to work a lot harder.

I'm not saying that a gossip column can't be intensely rewarding, but I dare say it's easier to write.

CNN: Have you ever considered writing anything that's not magical, or more real life?

Maguire: I have, but I never seem to get very far. In a way, and I don't mean to talk myself down, but sometimes I look at the mysteries of other people and I think, "How do I know if they think anything like I think?"

I can only guess who you might be. You might see the world in a whole different range of colors than I do. You might be super sensitive to nuances of body language or music or ... I just don't know.

So I always feel when I try to write realistic fiction for adults, that maybe I don't have enough life experience, even though I'm 54. I'm not sure I trust it.

But when I write something that has a magic base to it, I put in everything I do know about the infinite varieties and subtleties and ambivalences in adult behavior, but nobody can call me out and say, "You don't even know who human beings are" because I've couched it.

I suppose it's a kind of safety net for myself, or a security blanket. If I'm writing magic, nobody can say I got it wrong because we all know magic doesn't exist.

@highlight

Gregory Maguire's new book, "A Lion Among Men," is about the Cowardly Lion

@highlight

Maguire wrote children's books for 14 years before writing "Wicked"

@highlight

"Wicked" has sold more than 2.5 million copies

@highlight

New novel is about "taking control of the destiny of your own character," Maguire says