(CNN) -- Former South African President Nelson Mandela toiled for 27 years in South African prisons before gaining his freedom and leading his nation from white minority rule to full democracy. In the process, he became an international symbol of strength and hope.

Mandela became South Africa's first black president in 1984.

This month he celebrates his 90th birthday with a lavish, star-studded concert in London that confirms his enduring status as a revered global icon. But his journey from young protester to political prisoner to leader of his nation has not been without heartache and personal loss.

Mandela was born in 1918 in the South African village Qunu.

He was the son of the chief councilor to a Thembu chief, and he soon became passionate about political reformation, founding the African National Congress Youth League in 1944 with lifelong friend Oliver Tambo.

Mandela's natural leadership skills pushed him front and center during the ANC's 1952 Defiance Campaign, which urged South African citizens not to cooperate with certain laws deemed discriminatory.

Mandela urged nonviolent solutions to the South African government's political, economic and social oppression of the nation's black majority.

His commitment to nonviolent change was tested, however, in March of 1960 when black protestors in the township of Sharpeville were fired upon by South African police as they gathered to protest a law that required all black citizens to carry passbooks at all times.

Sixty-nine people were killed and more than 180 were injured in the clash.

The Sharpeville Massacre sparked riots, strikes and protest demonstrations across South Africa, and the government declared a state of emergency.

But the massacre also highlighted the tragedy of apartheid to the rest of the world. The United Nations condemned the massacre, and its security council convened on April 1, 1960, to consider the ravaging effects of apartheid on South Africa's people.

Inside the country, Mandela and his colleagues reconsidered the use of violence to further their cause for freedom. Mandela formed the revolutionary group Spear of the Nation In 1961 and was named its commander in chief. He slipped out of South Africa for military training in Algeria in 1962 but was arrested soon after he returned.  See pictures of Mandela's life »

Mandela had several previous run-ins with police, and he was eventually sentenced to life in prison for his actions protesting South Africa's apartheid government.

At the time of his sentence Mandela made a dramatic statement that illustrated his overarching commitment to freedom: "During my lifetime I have dedicated myself to the struggle of the African people," he said.

"I have fought against white domination, and I have fought against black domination. I have cherished the ideal of a democratic and free society in which all persons live together in harmony and with equal opportunities. It is an ideal which I hope to live for and to achieve. But, if needs be, it is an ideal for which I am prepared to die."  Listen to famous speech »

During his long incarceration, Mandela nearly became a myth. He smuggled out notes of encouragement to his followers that read like pronouncements.

"Any man or institution that tries to rob me of my dignity will lose," one note said.

He might have been condemned to hard labor in a limestone quarry, but Mandela's unyielding moral stance held him high on a pedestal to his followers.

In 1990, it became clear to then-South African President F.W. de Klerk that Mandela's release was necessary for the nation to heal.

Mandela was 71 years old when he walked free from Victor Verster prison, his clenched fist held high.

He'd lived a life of protest for a cause for which he'd been prepared to die. And now he would lead a nation on the brink of civil war to democracy.

Three years later, de Klerk and Mandela would share the Nobel Peace Prize.

"The policy of reconciliation that Nelson R. Mandela and Frederik Willem de Klerk represent provides hope not only for South Africa; it is also a shining example for the world that there are ways out of the vicious circle of violence and bitterness," said Francis Sejersted, chairman of the Norwegian Nobel Committee as he awarded the shared prize.

In 1994, Mandela was elected president in South Africa's first all-race general elections.

Since his retirement in 1999, Mandela has turned his attention to international diplomacy: He convinced Libya to hand over two suspects for trial in the Lockerbie airplane bombing, and he played a role in the Burundi peace process.

In 2005, he took up a personal cause closer to home. Mandela's son, Makgatho Mandela, 54, died of an AIDS-related illness.

Nearly 5 million South Africans may have AIDS, medical experts estimate, and for many in the country discussing the disease is a taboo.

"Let us give publicity to HIV/AIDS and not hide it, because the only way to make it appear like a normal illness like TB, like cancer, is always to come out and to say somebody has died because of HIV/AIDS," Mandela said in January at a news conference where he announced his loss.

"And people will stop regarding it as something extraordinary."

On Mandela's 80th birthday he wed his 52-year-old companion, Graca Machel, from Mozambique at a private ceremony in his home in Johannesburg, South Africa.

He danced at the double celebration surrounded by his grandchildren, family and close friends.

@highlight

Mandela born in 1918 in the South African village Qunu

@highlight

Anti-apartheid leader spent 27 years in prison

@highlight

Elected as South Africa's first black president in 1994