(CNN) -- Before the Arab Spring came the Damascus Spring. When Bashar al-Assad succeeded his father Hafez Assad in 2000, there was the promise of a modern and more democratic Syria.

In his inauguration speech, al-Assad indicated he would be a very different kind of leader to his father. "I shall try my very best to lead our country towards a future that fulfils the hopes and legitimate ambitions of our people," he said.

And for a while that promise was kept. His official website says he has built free-trade zones, licensed more private newspapers and private universities, and fought government waste and corruption. He has also worked on social and economic reform.

But while there have been some changes during his rule, many say al-Assad's promises have largely not been delivered.

Human Rights Watch has called his time as president "the wasted decade" with a media that remains controlled by the state, a monitored and censored internet and prisons still filled with dissidents.

Two former regime insiders -- now its opponents -- recalled their time with the younger al-Assad. Former vice president Abdel Halim Khaddam said Bashar was often the victim of his elder brother's cruelty. "His brother Basil bullied him as a child. His father never gave him as much attention as Basil," Khaddam said.

Al-Assad's uncle Rifaat, who left Syria in 1984 after being involved in a failed coup, also recalled the future president.

"He is very different than his father. Hafez was a leader, the head of the entire regime, while Bashar was never that close to being one and never fell within that framework. He is being perceived as the leader but he follows what the regime decides on his behalf."

Al-Assad himself said reform faltered because of unrest in neighboring states, Lebanon and Iraq. He told the Wall Street Journal last year: "There are many things that we wanted to do in 2005 we are planning to do in the year 2012, seven years later."

But Abdel Halim Khaddam, vice-president under both Bashar and his father, says the younger al-Assad is both brutal and indecisive.

"Bashar's problem is that he listens to everything but denies and forgets quickly. You discuss an issue with him in the morning and another person comes along and changes his mind.

"Politically, Bashar does not have a consistent ideology; he changes his opinion according to his interests and that of the regime's."

And the regime is a family affair. Al-Assad's younger brother Maher commands an elite division of the army, and is accused of widespread human rights abuses. His cousin Rami Makhlouf is the richest man in Syria.

The Assads belong to Syria's Alawite minority, who according to the president's uncle Rifaat, are driven by fears they could be overwhelmed. "There is no doubt that the Alawites are a minority who are in fear of the outcome and they are driven by that fear factor," he said.

Despite the brutal crackdown over the last year in Syria, in which thousands have died, al-Assad maintains he is not in charge of Syria's military. He told ABC's Barbara Walters: "They are not my forces. They are forces for the government. I don't own them. I'm president. I don't own the country. So they are not my forces."

Wouldn't al-Assad, the commander in chief, have had to give the order for any military actions? "No, no no," he said.

Not by your command? "No," he said, "on no one's command. There was no command to kill or to be brutal."

Al-Assad said those members of the armed forces who "went too far" had been disciplined.

But former vice-president Khaddam is in no doubt who does give the orders to kill: "Bashar Al-Assad and no one else. He gives out orders to use all means of force to crush the revolution. He is surrounded by close aides and a security apparatus that advise him, but he decides."

It wasn't expected that Bashar would carry on the family's political dynasty. He didn't seem to have the personality for the job; he wasn't deeply involved in military or government matters, according to "Inheriting Syria: Bashar's Trial by Fire," a biography by Flynt Leverett, who worked as an expert on Syria for the CIA in the 1990s and was the senior director for Middle East affairs at the National Security Council in the early 2000s.

Because Bashar's older brother Basil was expected to succeed his father, Bashar al-Assad went to London in the 1990s and studied ophthalmology, and headed the Syrian Computer Society. "Dr. Bashar," as he was widely known, liked to windsurf and play volleyball.

He is believed to have started dating British-born Asma al-Akhras during this time. Bashar was called back to Syria in 1994 when Basil died in a car wreck. This turn of events made him first in line to rule Syria, and he was appointed president by Syria's rubber-stamp Parliament in 2000 after his father died.

Before 2000 ended, he and Asma were married.

Will Asma al-Assad take a stand or stand by her man?

Shortly after the Arab Spring started in early 2011, al-Assad made apparent moves toward change in Syria. Initially, protesters wanted basic reforms, more freedoms, a multiparty political system and an end to emergency law. Some of these measures have, on paper, been implemented by al-Assad, but they were far too little and, by the time they came about, too late.

After almost a year of violent protests, opposition supporters have lost any faith they ever had in al-Assad's ability to deliver reform, and simply want an end to his rule and true democratic elections.

Now al-Assad and members of his close-knit regime are digging in for what could be a long war of attrition.

CNN's Rima Maktabi contributed to this report.

@highlight

Bashar al-Assad indicated he would be different kind of leader to his father

@highlight

But many say al-Assad's promises have largely not been delivered

@highlight

One former vice-president says Bashar al-Assad is both brutal and indecisive

@highlight

Al-Assad and his close-knit regime are digging in for what could be long war of attrition