Ras Lanuf, Libya (CNN) -- The military forces of Moammar Gadhafi on Friday pounded Ras Lanuf, the key oil port once in the hands of rebel forces, with its leadership confidently vowing to retake all territory from the opposition despite growing international pressure.

Even as it targeted its domestic enemies, the Tripoli government continued to parry with leaders around the globe.

Deputy Foreign Minister Khaled Kaim, for instance, said Friday that Libya has suspended diplomatic relations with France, one day after the French government recognized the newly created Libyan opposition movement as the sole representative of the country.

In Ras Lanuf, pro-Gadhafi forces cranked up an intense and steady bombardment of the city, believed to be by rocket, artillery and tank fire. A storage tank at an oil refinery was on fire after an air raid there.

"We saw a bomb fall about a kilometer to the southwest of the refinery, and moments later saw thick black smoke rising from the refinery. We don't know, and no one we spoke to could say with any level of certainty or veracity, what caused the fire," said CNN Correspondent Ben Wedeman.

Dozens of pickup trucks and cars belonging to the opposition were heading away from the city amid fear that Libyan forces were advancing as the bombardment continued. The rebels evacuated to a checkpoint outside the town, but that and other rebel positions also were targeted by airstrikes.

Rebels said the eastern city has been essentially empty as civilians fled and opposition forces retreated from sustained attacks. On Thursday, state media said the town was "cleansed" of the fighters.

This reflects the turn in fortunes for Gadhafi's well-equipped military, which has gained an upper hand after rebel fighters seized ground across Libya.

Along with its offensive in Ras Lanuf, government soldiers beat back rebels Thursday in Zawiya east of the capital, Tripoli.

Zawiya's Martyrs' Square was littered with the bombed-out, scorched carcasses of army tanks and other military vehicles. Workers swept up the evidence as Gadhafi supporters chanted slogans and waved green flags.

Saif al-Islam Gadhafi, one of Gadhafi's sons and a spokesman for the regime, vowed Thursday to retake other areas in eastern Libya that were controlled by the opposition and warned the international community that Libyans won't welcome NATO and Americans. NATO is contemplating the establishment of a no-fly zone, but says it needs a clear U.N. mandate to do it.

"I receive hundreds of calls from the east daily, and they are saying, 'Save us.' They are begging us and pleading for us to save them, and my answer is two words. Listen to me, and I want those armed groups to listen to me real well, and I want our people in the east to hear this as well: We're coming," he said.

Saif al-Islam Gadhafi is one of two Moammar Gadhafi sons who share the first name Saif.

On the diplomatic front, meanwhile, opposition to Moammar Gadhafi continues to gain momentum.

U.S. President Barack Obama reiterated Friday that he wants the Libyan leader to "step down." He added that he "won't take (the) decision lightly" to decide whether to use military force, including helping enforce a no-fly zone, saying it is critical to "balance costs versus benefits."

Obama noted that NATO officials will meet Tuesday to consider whether to implement a no-fly zone. He said U.S. actions so far, including freezing assets and other sanctions, are "slowly tightening the noose" on Gadhafi.

"We have moved about as swiftly as an international coalition has ever moved to impose sanctions," he said.

The U.S. Treasury Department beefed up those sanctions Friday, freezing the assets of nine more individuals. Among them are the wife and four sons of Libya's leader, including Saadi, Hannibal, Muhammad and Saif Al-Arab Gadhafi. Libya's defense minister, military intelligence director, external security organization head and public works coordinator are also included.

Also Friday, U.N. Secretary-General Ban Ki-moon introduced former Jordanian Foreign Minister Abdul Ilah Khatib as his new special envoy to Libya. Khatib will leave New York over the weekend, accompanied by humanitarian and U.N. officials, to "convey, in no uncertain terms, the concerns of the United Nations and the international community," Ban said.

"I (hope) that this effort ... will succeed in stopping the killings and ending the suffering of the civilian population, in addressing their humanitarian needs and in preserving the unity of the Libyan people and the territorial integrity of their homeland," Khatib said, adding that Gadhafi's government "welcomed" the visit.

In Brussels, Belgium, the European Council, a body of the European Union, issued a declaration saying Gadhafi "must relinquish power immediately."

"His regime has lost all legitimacy and is no longer an interlocutor for the EU. The European Union has adopted restrictive measures against the country's leadership and against entities holding sizeable assets controlled by the regime and stands ready to adopt further sanctions.

"The objective is for Libya to rapidly embark on an orderly transition to democracy through a broad-based dialogue. The European Union welcomes and encourages the interim transitional national council based in Benghazi which it considers a political interlocutor."

Some members are clearer than others in their support for the National Transitional Council as the legitimate representative of the Libyan people.

French President Nicolas Sarkozy said in his news conference that "we consider the National Council based in Benghazi as the proper interlocutors for Libya and they need to be recognized as such and encouraged." German Chancellor Angela Merkel was more cautious in her approach to the council and called them a possible interlocutor.

Sarkozy said the European Council decision is a very strong one, and he stressed that a U.N. mandate and a request from the region are needed for intervention.

"We are considering and examining all necessary options to deal with the situation," he said. "We cannot stand by and watch this happen."

He wouldn't say whether France or Britain would take unilateral military action if a U.N. mandate wasn't achieved.

British Prime Minister David Cameron said in Brussels that authorities are tightening "the net" on Gadhafi and "his henchman" with tougher financial sanctions.

"We have added the Libyan Central Bank and the Libyan Investment Authority to the Libyan EU asset freezing list and, in doing so, the UK has frozen a total of 12 billion pounds of Libyan assets," Cameron said.

On Friday, the Libyan ambassador to the United States and to the United Nations will call on the United States to follow France's lead and recognize the opposition as the legitimate representative of Libya.

U.S. Secretary of State Hillary Clinton has announced plans to meet with opposition leaders when she visits Tunisia and Egypt next week. She said the United States was suspending relations with the Libyan Embassy in Washington, and an administration official added that the embassy "must shut down."

Protests against the 68-year-old Gadhafi began February 15 as anti-government demonstrators sought his ouster after nearly 42 years of rule, and the discontent devolved into a fierce and bloody civil war.

Death toll estimates earlier this week ranged from more than 1,000 to as many as 2,000.

As of Thursday morning, the war had forced out nearly 250,000 people, many of them poor migrant workers who have been stranded at both the Tunisian and Egyptian borders, the U.N. refugee agency said.

CNN's Jonathan Wald contributed to this report.

@highlight

NEW: Gadhafi's government suspends diplomatic relations with France, a minister says

@highlight

NEW: The U.S. broadens its sanctions, freezing assets of Gadhafi's relatives and officials

@highlight

The EU council calls for Gadhafi's departure

@highlight

Pro-Gadhafi forces steadily bombarded the oil port city of Ras Lanuf