Jakarta, Indonesia (CNN) -- Indonesians are heading to the polls Wednesday to elect its lawmakers in a crucial vote that will set the stage for the upcoming presidential elections.

Grappling with questions over the country's economy and corruption, voters will choose among 19,669 candidates for 532 legislature seats, at the national and sub-national level.

Leading the presidential polls is a charismatic Jakarta governor, who is drawing comparisons to the 2008 version of Barack Obama. There are also smaller parties and colorful candidates including an Elvis impersonator, a former beauty queen and a singer.

In this election, the political parties must win 25% of the popular vote or 20% of the legislative seats in order to officially nominate their candidates for president and vice president. The presidential election is slated for July 9.

Wednesday's vote will shape the presidency as current President Susilo Bambang Yudhoyono will end his 10-year tenure this year. Indonesian law prohibits third terms.

Leading the polls

Recent surveys in Indonesia show a clear frontrunner for his successor.

Joko Widodo, a 52-year-old former furniture exporter, built a reputation during his tenure as the mayor of Surakarta in Central Java. The candidate known as Jokowi draws similarities with Obama, because it's a case of a relatively unknown candidate captivating national attention, says Douglas Ramage, an analyst with Bower Group Asia, based in Jakarta.

"Anyone who was disenchanted with the current government pours their hopes and dreams on him," he told CNN.

Widodo's supporters cheered on March 14, when his party, the Indonesian Democratic Party of Struggle or PDI-P announced him as its presidential candidate.

Described as "folksy and self-effacing," Widodo's leadership style has endeared him to supporters. He rose to national prominence in 2012, when he became governor of the capital, Jakarta.

For many, his victory signaled a clamor for a new breed of political leaders.

"If he becomes president in July, he would be the first Indonesian president who doesn't come from a military, bureaucratic or elite background," Ramage said. "We could be looking at a real generational shift in Indonesian politics."

The Jokowi effect, as many call it now, is expected to change the political landscape. It may even spur apathetic voters, particularly among first-timers, to exercise their right to vote.

"I'm too lazy to line up and vote but I'll decide on the day itself," said Karin, a 28-year-old who voted for Yudhoyono in the last two elections. "But I do want Jokowi to be president."

But skeptics question whether Widodo has enough experience for the top post. One opinion piece in the Jakara Post asked: "Can Indonesia afford untested leadership in this age?" For now, Widodo has had a "Teflon aura" because criticisms haven't stuck to the candidate, Ramage said.

Another contender is Prabowo Subianto, a former general and son-in-law of Suharto, the former strongman who ruled Indonesia for 32 years. Prabowo, the presidential candidate for the Great Indonesia Movement (Gerindra) party, trails Widodo in most surveys by double digits.

A complex election

Over the years, the number of national political parties has whittled down to 12, but the established ones, like the PDI-P and Golkar, which Suharto founded, still dominate legislative elections.

On Wednesday, each voter will be handed four ballots at the polling station, two for the upper and lower house, one each for the provincial and district legislatures. It can be daunting, even for seasoned voters.

Fitri, a 32-year-old working mother, is still unsure whom to vote for.

"I don't even know the candidates' names," she said.

Yudhoyono won the country's first direct Presidential vote in 2004, by a landslide, but his popularity has waned since then because of high-profile corruption cases involving members of his Democratic Party.

He ran explicitly on a platform of anti-corruption in 2004 and 2009, said Ramage. "When voters are asked why they're not supporting Yudhoyono's party, there's a sense of betrayal of promise."

Indonesia is the world's third's largest democracy, after the United States and India, which is also currently holding elections. The Indonesian poll will span across 17,000 islands.

Final results are not expected until late April or early May.

@highlight

Indonesians will vote on its lawmakers Wednesday, an election seen as a bellwether for July's presidential poll

@highlight

Jakarta governor has jumped into national spotlight as presidential contender

@highlight

Presidency to be decided July 9, but political parties must fare well in legislative election to have a candidate