London (CNN) -- When one looks back at humanity's great achievements, what do we think of -- the moon landings, decoding the human genome, elimination of small-pox, the invention of penicillin -- all have left their mark on our collective history.

We can soon add a new defining achievement to this list -- everyone on the planet having access to clean, safe drinking water.

All these achievements have required a great deal of effort, resources, and political commitment. Getting water to every person on the planet will be no exception, but it can and should be done, and done by 2030.

Read/Watch: Welcome to Alakamisy

Over the last two decades an incredible two billion people have gained access to clean drinking water for the first time, so it's not such a pipe dream to argue that we should reach the remaining 783 million by this date.

The difficulty will be that those who currently don't have access to this essential resource are the most difficult to reach, the most marginalized, the poorest, and the most politically disenfranchised. But that is also why getting water to those without is so important.

Access to clean water has always been the foundation of human development, and it continues to this day, but thankfully, most of us can now take this for granted.

Without water 'on tap' economies can't get going, children are more likely to drop out of school or just not attend in the first place and hospitals find it virtually impossible to cope with the spread of disease and infections. This has been and continues to be the reality for over one in ten people around the world.

You can see for yourself, in WaterAid's new multi-media piece, the transformative impact that providing clean drinking water can have, by going on a virtual visit to the village of Alakamisy, a remote rural area of Madagascar that benefited from a WaterAid project in 2010.

Don't take my word for it. Take a moment to listen to the story of Setraniona, who regularly suffered from water-borne diseases and had to drop out of school as a child before completing her education. Today because of the access to clean water in her community her own daughter will complete her education.

Or Razanamalala who got a loan from the community water committee we helped set up. She invested that money in produce for her shop and six months on and she had paid back the loan in full. In a very real sense this is water promoting economic development.

On a global scale the benefits in terms of money are enormous. As we have just highlighted in our new report, Everyone Everywhere, It's been calculated by economists at the World Health Organization (WHO), that we stand to gain $220 billion a year through universal access to both water and sanitation. For every $1 invested in water and sanitation results in an average of $4 in increased productivity. That is no drop in the ocean.

Access for everyone to water, sanitation and hygiene would also save around 2.5 million lives every year. Currently diarrhoea alone kills around 2,000 children under the age of five every day, making it the second biggest cause of child death globally.

So, why make this call now? Why put a time stamp on our endeavors to get water and sanitation to everyone? Well, world leaders are currently debating what to replace the Millennium Development Goals with when they expire in 2015. So the opportunity is there for our politicians to grasp.

Back in 2000 when world leaders signed up to the original Millennium Development Goals, targets to tackle the sanitation crisis didn't feature. We at WaterAid and many other organizations around the globe convinced them to come back two years later and address this deficit, and in 2002 global targets were established to halve the proportion of the world's population without access to sanitation.

We can't let this happen again, we cannot allow services as fundamental as water, sanitation and hygiene that have such a broad range of impacts across human development to be missed off the international agenda once more.

So it's time to accept the challenge, in fact to rise to it. As an optimist, I believe fundamentally that our leaders have the capacity to get the job done, and then for time immemorial, we can stand back and acknowledge that we really have achieved something very special -- the end of thirst.

The opinions expressed in this article are solely those of Barbara Frost

@highlight

Chief Exec of NGO WaterAid says clean water for everyone on planet achievable by 2030

@highlight

Clean water a "foundation of human development" says Barbara Frost

@highlight

New WaterAid interactive explores how clean water can transform communities

@highlight

Interactive visits Alakamisy, a remote area of Madagascar that WaterAid helped in 2010