(CNN) -- One of the prosecution's final witnesses, Casey Anthony's mother took the stand again Tuesday in her daughter's capital murder trial, breaking into tears from time to time as she discussed items found with the remains of her 2-year-old granddaughter, Caylee.

The prosecution plans to rest its case Wednesday, prosecutor Jeff Ashton told Orange County Chief Judge Belvin Perry Jr. The defense was unable to move its first few witnesses, Perry said, and will begin its case Thursday.

Cindy Anthony began crying when a photograph of Caylee wearing a shirt reading "Big trouble comes in small packages" was introduced into evidence. Previous testimony has suggested that scraps of the shirt were found at the scene along with Caylee's skeletal remains.

Cindy Anthony said she did most of the laundry at the home, and "I don't ever remember seeing that shirt."

She also identified photographs of objects similar to canvas laundry bags she said were in the Anthony home and said that Caylee had a Winnie the Pooh blanket but that she had not seen the blanket since the end of May, before Caylee disappeared. A canvas laundry bag and Winnie the Pooh blanket were found with the little girl's remains.

Cindy Anthony's testimony followed that of a long line of investigators and forensic experts, called to the stand in the Orlando courtroom in an effort to support prosecutors' theory that Casey Anthony, 25, killed her daughter by knocking her out with chloroform and putting duct tape over her nose and mouth. They allege she then put the little girl's body in black garbage bags and stored it in her trunk before dumping it in woods near her home.

Caylee's skeletal remains were found in December 11, 2008. She was last seen June 16, 2008, but her disappearance was not reported until July 15, 2008, after Cindy Anthony demanded answers from her daughter about Caylee's whereabouts.

Anthony faces seven counts in Caylee's death, including first-degree murder, aggravated child abuse and misleading investigators. If convicted, she could face the death penalty.

She has pleaded not guilty. Her attorneys have said Caylee was not killed but rather drowned in the family pool on June 16. Defense attorney Jose Baez told jurors that Casey Anthony and her father, George Anthony, panicked when they discovered the body and covered up her death. George Anthony rejected that scenario in his testimony the first week of the trial.

Cindy Anthony testified Tuesday that duct tape was also in the home, stored in the garage, but she could not recall making a previous statement that duct tape was used at a command center after Caylee went missing.

Baez pointed out that in a July 2009 deposition, Cindy Anthony was asked whether Casey Anthony had removed any duct tape from the home while out of jail on bond and said she didn't think so, as the family had only one roll and her husband was using it. Cindy Anthony explained that at the time, both she and her husband were using the tape on "no trespassing" signs on their property because of protesters outside.

The final witness of the day was Bobby Williams, a tattoo artist who applied a tattoo to Casey Anthony -- "Bella Vita," Italian for "beautiful life" -- on July 2, during the time Caylee was missing but before her disappearance was reported to police.

Williams testified that Anthony did not appear to be upset and did not mention Caylee. He said he spoke to her again July 15, when she came into the shop to make an appointment for herself and a friend for July 19. She mentioned at the time that Caylee was with the nanny but would be with her July 19, Williams said.

A host of witnesses including Anthony's former boyfriend, friends and acquaintances have testified that Anthony was not upset and did not mention her missing daughter in the 31 days before police were notified the little girl had disappeared. Anthony told authorities afterward that she had been frantically searching for her daughter during that month.

After Williams' testimony, Anthony's defense team moved for a mistrial on several grounds, including the fact that prosecutors asked Williams whether she seemed remorseful, although Perry did not allow Williams to answer. Prosecutor Jeff Ashton countered that the question came in response to Baez's asking Williams whether customers do not often get tattoos to remember departed loved ones. Perry denied the mistrial motion.

Defense attorneys said they will move for acquittal when the prosecution rests.

Earlier Tuesday, FBI forensic examiner Catherine Theisen said that neither Anthony nor Caylee could be excluded as the source of a hair found in Anthony's trunk.

Theisen said she subjected a portion of the hair to mitochondrial DNA testing. Such testing is used, she told jurors, when a specimen such as hair or skeletal remains may not contain enough nuclear DNA for testing.

Nuclear DNA, she said, is inherited from both parents and can identify a person to the exclusion of all others. Mitochondrial DNA is inherited from a person's mother, and testing shows whether a person cannot be excluded as the source of evidence -- along with their mother, their siblings and anyone else in the maternal family line.

Theisen said she compared the hair portion to cheek swabs from Anthony and found that they matched. She said she would not expect to see that DNA type in more than .26% of the African-American population, 1.85% of the Caucasian population and .39% of the Hispanic population.

She also acknowledged that the testing could not exclude Anthony's mother, Cindy Anthony; her brother, Lee Anthony; or any maternal uncles as the source of the hair.

Theisen also testified Tuesday that she tested the "hair mass" found with Caylee's remains and found that it shared the same mitochondrial DNA type as the hair in the trunk.

On cross-examination, Baez attempted to question Theisen, over numerous objections from prosecutors, about whether she was aware that Lee Anthony owned the car before his sister. Theisen said she did not recall seeing the name Lee Anthony in the communications she was given about the case.

Cindy Anthony also took the stand Tuesday and told prosecutor Linda Drane Burdick that she has bleached her hair blonde for years. She said that Casey Anthony has also highlighted her hair off and on and that Lee Anthony has always kept his hair short. She said Caylee's hair was never colored or processed.

FBI trace evidence examiner Karen Lowe previously testified that a 9-inch piece of hair from the trunk appeared similar to a piece of hair recovered from the little girl's hairbrush and was not similar to Casey Anthony's hair.

Cindy Anthony said that it was possible her mother had been in the car and that her hair, a mixture of blonde, brown, white and gray, has been shoulder-length for years.

Following Theisen to the stand Tuesday was Alina Burroughs, an Orange County Sheriff's Office crime scene examiner who helped process the scene where Caylee's remains were found and helped execute a search warrant at the Anthony home. Burroughs identified photographs of several sheets of heart-shaped stickers found at the home, as well as the sheets themselves, with some stickers missing.

On Monday, an FBI latent print examiner testified that adhesive in the shape of a heart was found on a corner of a piece of duct tape that was covering the mouth portion of Caylee's remains.

Elizabeth Fontaine explained the find to jurors by asking them to think about when they remove an adhesive bandage from their skin and some of the adhesive remains in the shape of the bandage. Instead of a bandage, however, the outline was the shape of a heart, she said, and about the size of a dime.

A sticker was also found at the site where Caylee's remains were discovered on a small piece of cardboard. An FBI analysis showed that sticker did not match those found at the Anthony home.

Asked by Baez whether she found a sticker like that in the home, Burroughs said she did not.

Jurors sent a note to Perry on Tuesday asking to see the photograph of the sticker recovered from the crime scene. Perry granted that request but made clear to jurors that the sticker has since separated from the cardboard.

Fontaine said Monday that she found the heart-shaped adhesive while examining the three pieces of duct tape found on Caylee's remains for fingerprints. She said she didn't find fingerprints but didn't expect to, given the months the tape and the remains had been outdoors and exposed to the elements. Any oil or sweat from a person's fingertips would have long since deteriorated, she said.

Perry told jurors Monday testimony in the case could conclude by the end of next week, although he cannot say for sure. Deliberations could begin by June 25, he said.

Roy Kronk, the meter reader who discovered Caylee's remains, has been subpoenaed by the defense, his attorney, David Evans, said Tuesday. He was not given a date to appear in court, Evans said.

In Session's Mayra Cuevas and Michael Christian contributed to this report.

Watch Nancy Grace Monday through Sunday starting at 8 p.m. ET on HLN. For the latest from Nancy Grace click here.

@highlight

NEW: The defense will begin its case Thursday

@highlight

Cindy Anthony breaks into tears at several points

@highlight

Casey Anthony is accused of killing her 2-year-old daughter, Caylee, in 2008