PICHER, Oklahoma (CNN) -- Wearing powder blue pants and a plaid fedora, 84-year-old Orval "Hoppy" Ray arrived fashionably late to a celebration in Picher, Oklahoma, a vacated mining town at the center of one of the nation's largest and most polluted toxic-waste sites.

Hoppy Ray, 84, was among the last people to leave the toxic town of Picher, Oklahoma.

Former residents, bought out by the government because their town was deemed so dangerous, gathered in Picher's elementary school to say farewell to a place where kids suffered lead poisoning, where homes built atop underground mines plunged into the Earth and where the local creek coughs up orange water, laced with heavy metals.

A toothpick dangling out of the corner of his chapped mouth, Ray greeted several old friends as if he were in any other small town in America.

"Hello there, Hoppy! How the hell are ya?" one called out.

Gray mountains of toxic gravel loomed behind the school, just out of sight, as Hoppy hobbled past a bundle of balloons and through the front doors, cane in hand. He tipped his hat as he entered.

"Looks like a good crowd," he said. "Everybody seems to be havin' a good time. That's the main thing."

In a town this tragic and for a person as stubborn as Hoppy, that's a big statement.

As his abandoned town fades to dust, Hoppy has gone into the business of memories. He wants to remind townspeople, and the world, that a person's home should always be loved -- no matter how toxic.  See Hoppy share memories of Picher »

* * * * *

Hoppy didn't understand what all of the fuss was about.

It was 2006, and the federal government announced it would pay people to leave Picher and the Tar Creek Superfund Site, which is part of the government's toxic-waste cleanup program. A report had found that much of the area was at risk of collapsing into the extensive lead and zinc mines.  Timeline: How Picher became toxic »

The buyout plan was seen as a blessing by some scared families.

But not Hoppy.

Hoppy swore he wouldn't leave his hometown, that he would die before he'd leave Picher, even if his electricity and water were turned off.

He'd grown up there, worked in the mines alongside his father -- and all three of his brothers. But Picher was more than a place to make money. It was a place of patriotism and purpose: The metals they dug out of caves deep in the ground were processed and turned into bullets that armed U.S. soldiers in both world wars.

The wars ended, though, and so did the world's interest in Picher. By 1970, the last mine shut down.

Hoppy's family stayed.

They couldn't leave a place that had threaded itself into their lives so deeply.

* * * * *

After making a quick stop in the crowded school cafeteria, Hoppy found a more suitable post on the sidelines of the reunion, in a narrow hallway.

He sat in a chair with a smirk on his face, using his cane to ping friends in the shins, or sometimes in the groin, to get their attention.

"This here's the last man standing," one man said, chuckling, as he stopped by Hoppy's seat.

Hoppy's son and grandson arrived with several cardboard boxes of books, pulled from the bed of the old miner's pickup. With the help of another local-history buff, Hoppy has self-published three books. The latest, "Just Call Me Hoppy," chronicles his memories of a pre-toxic Picher, a time he believes everyone else has forgotten.

The book begins in 1925, when the mines were at their peak -- and the year Hoppy was born.

At 17, he left Picher to fight in World War II. After he was injured when his Navy ship was hit by a suicide bomber, Hoppy returned home to finish high school and go to work in the mines.

In those years, Picher was a bustling town with neon signs "like Las Vegas," Hoppy recalled.  See photos of the town »

When the mines slowed down and money was tight, Hoppy hustled billiard tables at a pool hall downtown. When the mines shut entirely, he bought the pool hall and hung on its walls some of his dad's mining gear: a kerosene lamp, a helmet.

The items puzzled kids who came into the Pastime Pool Hall. What were the mines like? they asked Hoppy. What did they mine for, anyway?

Shocked by the younger generation's ignorance, Hoppy became a collector. He asked the kids to bring in mining memorabilia. In exchange, he'd let them shoot a few rounds of pool for free.

"I thought it was important that people ought to know what Picher's role was in two world wars," Hoppy said. "Hell, to me, it was important. ... Without the mines here in Ottawa County [Oklahoma], those wars would've lasted a lot longer."

Hoppy's book details Picher's patriotic spirit, its sense of purpose during the wars. But it mentions the Superfund buyout only in passing and never explains that the town is toxic. It doesn't say that four of Hoppy's great-grandchildren tested for high levels of lead in their blood. They are among the victims of Picher's toxic legacy.

Hoppy figures the world hears plenty about all that. He'd rather focus on the Picher he loves. The walls of his pool hall -- the sign in the window says "Hoppy's Museum" -- are now papered with photos and artifacts.

Neighboring buildings are boarded up, their windows broken, the paint peeling. Tree-size weeds crack the sidewalks.

Hoppy's pool hall breathes life into this abandoned place, where only a few people still live. On Monday nights, he opens the doors to local musicians. When he goes home, he leaves a single bulb lit over the door.

It's the only light on the street.

* * * * *

One morning, about two weeks before Picher's June 13 reunion, Hoppy's son moved his dad out of town while Hoppy was at his favorite restaurant eating breakfast.

Hoppy was furious.

"I unlocked the door ... and I didn't have a stick of furniture," he said. He stood in the entryway in disbelief.

David Ray showed up behind his dad, bearing the news that Picher had left him behind. It was time to go. He was moving to Miami, a town just 10 miles south.

Hoppy remains bewildered by the situation. He lies awake at night in his new home. He tunes the television to a country-music station and blares familiar songs to try to lull himself to sleep.

On the rare instances when that has worked, Hoppy has dreamed of a pre-toxic Picher. He sees packed movie theaters and bar fights.

He sees the people from the photos on the walls of his pool hall, all of whom are gone.

Some mornings, Hoppy leaves breakfast and drives to his old home instead of his new one in Miami, as if he's on autopilot.

His house in Picher, the one where he lived for nearly half a century, is tagged with yellow spray paint: TBCD.

To be condemned.

Why is moving just 10 miles away so devastating?

Outside Picher, the mining town's former residents are branded "lead heads" and "chat rats." People wonder whether living in the polluted area made them stupid.

Like any downtrodden group, Picher residents once found strength in numbers, in their insulated community.

Now they must find their way in a larger world -- a world they don't fully understand, one that understands them only as the products of a toxic town.

It's no wonder they seek solace in memories.

* * * * *

From his post in the hallway at Picher's wake, Hoppy sold $300 worth of books -- not enough to cover costs but enough to leave him satisfied.

His night was cut short when the muscles in his chest seized up.

He had two heart attacks in recent weeks, and doctors said the stress was getting to him.

Hoppy's son told his dad he was "out of gas." It was time to go.

Hoppy's family loaded his unsold books back into the bed of his pickup, and the old miner drove down empty streets to a still-unfamiliar home.

He says he moved to Miami "under protest." But he's easing to the idea a bit.

"They told me they were gonna move me to Miami," he joked, "and I said, 'Over my dead body, you will!' "

He continued, changing tone: " 'Oh, well,' I said, 'I've been dead from the waist down now for 10 years anyway.' "

He has found purpose by resurrecting Picher's untold story -- at the pool hall, at the reunion and through his books.

He's not happy about having to leave his home. But he's no longer the stubborn man who couldn't dream of the world beyond Picher.

"There's not any point in thinking about it," he said, "because there ain't a damn thing you can do about it -- just break out, go someplace else and start all over again."

The walls in his new living room are still bare. But he has ordered two 6-foot-long murals of Picher, photographs of the town in its heyday.

The mountains of gravel waste were smaller then -- and growing. For Hoppy, the photos capture a town on the upswing.

He went to Picher's wake expecting it to feel like a funeral.

He left with a sense of relief.

And afterward, for the first time in weeks, he slept through the night.

@highlight

Former residents of toxic lead-mining town gather to say farewell

@highlight

Picher, Oklahoma, is one of oldest, largest most polluted toxic-waste sites in U.S.

@highlight

A government program pays people to leave the dangerous area

@highlight

Mines leave the surface prone to collapse and stain a local creek orange