(CNN) -- As a business decision, America Online's recent announcement that it was planning to pull back its employee 401(k) matching program to save money was not a surprise. It is common practice for U.S. companies to lay off workers, reduce hours, and cut benefits to look more attractive to shareholders, even while posting record profits.

Last year's decisions by ESPN, Kellogg, and General Electric illustrate how layoffs are part of corporate growth strategies. Usually, layoffs are blamed on uncertainty, the need for efficiency, or the sluggish economy.

The surprise was when he announced the change, AOL's chief executive Tim Armstrong had placed blame for the cuts on Obamacare, which he says would cost the company $7 million, and two female employees with "distressed babies" that cost $2 million in 2012.

However, after staff and public outcry, Armstrong saw the light and said his company would reverse its decision to dole out its matching funds to employees' contributions in one lump sum at the end of the year, rather than match contributions in each paycheck.

Here's why two newborns and the costs of Obamacare were very unlikely reasons that AOL would have to change its 401(k) program to save money:

Health care costs are unpredictable for everyone, not just new moms. After all, a healthy, single man can break his leg or be diagnosed with cancer at any time. Patients with expensive health care needs one year are not guaranteed to spend a lot on health care in the following year -- and anyone could have a health emergency at some point. That's why we buy health insurance: to protect ourselves against an unpredictable and potentially devastating event.

A large company like AOL is better able to spread the risk across all employees because it has many workers, most of whom are in good health. Rather than allow employees to sign up for various insurance plans through multiple companies, AOL is self-funded. That means it pays all claims directly, with a third-party administrator managing the business processes.

Companies like AOL that self-fund their health benefits typically buy reinsurance policies to protect them from any exorbitant, unexpected claims. In addition, AOL employees are required to pay both a share of their insurance premiums and up to $6,000 per family in out-of-pocket costs, which means they are already paying a significant share of health-care spending increases. So two new moms and their newborns are merely a convenient excuse that companies like AOL can use to cut costs to benefit their shareholders and executives' wallets.

And why did Armstrong blame ObamaCare? The Affordable Care Act does include fees for insurers and third-party administrators to help fund efforts to stabilize the individual and small group insurance markets. In 2014, AOL may need to pay just up to $63 per year per insured employee. But because AOL offers comprehensive coverage to its employees, it would not be subject to the penalties that apply to larger employers that do not provide affordable coverage to their full-time employees, starting in 2015.

Employers cannot blame the president for unpredictable health care costs either. In the past four years, the rate of national health care spending growth slowed substantially to less than 4% per year -- half the growth rate of the previous four decades.

Although it's convenient for employers to blame Obamacare for any instability or changes to health-care spending, the fact remains that the cost of maternity or other benefits spread over a large insured population is minimal.

In a 2011 report, the California Health Benefits Review Program found that adding a requirement to cover maternity services to individual insurance plans would result in just a 0.52% increase in spending.

Blaming two new mothers for these sweeping benefit cuts was an awful way to treat employees who are already facing the worst of all possible scenarios: a very sick child.

It's a mistake Armstrong should never make again.

The opinions expressed in this commentary are solely those of Dylan Roby

@highlight

AOL blamed 401(k) changes on cost of Obamacare and two sick newborns

@highlight

Dylan Roby: It promptly reversed its decision after staff and public outcry

@highlight

Roby: Obamacare can't cost that much: AOL is too big and workers pay big costs

@highlight

Roby: Maternity coverage cost spread over lots of employees would be minimal