(CNN) -- On Tuesday, President Barack Obama was at the Capitol, joining leaders of Congress to dedicate a statue in honor of the "Mother of the Civil Rights Movement," Alabama's Rosa Parks. About the same time, across the street at the Supreme Court, an Alabama lawyer was arguing that a key provision of the Voting Rights Act -- the consequence and legacy of the Civil Rights Movement -- was unnecessary and unconstitutional.

The irony lies not only in the timing or juxtaposition, but the institutions.

On December 1, 1955, Rosa Parks refused to give up her seat when a white bus driver ordered her to move. Twelve years earlier, the same driver had grabbed her coat sleeve and pushed her off his bus for trying to enter through the front rather than the back door. This time he said, "Well, if you don't stand up, I'm going to have to call the police and have you arrested." She replied, "You may do that."

Her arrest led to a 381-day boycott of Montgomery buses by the black community. The boycott propelled the Rev. Martin Luther King Jr. to prominence as a civil rights leader. And the arrest of Parks and the boycott she inspired led to a civil law suit, Browder v. Gayle, in which the Supreme Court declared the Alabama and Montgomery laws requiring segregated buses unconstitutional.

It took Congress 10 years to catch up to the Supreme Court, when it passed the Voting Rights Act in 1965.

Although Alabama's at it again with the new challenge, this time it seems the conservative majority of the Supreme Court wants to roll back the clock. Frank C. Ellis Jr., the attorney for plaintiff Shelby County, argues that Congress exceeded its authority in 2006 when it reauthorized Section 5 of the Voting Rights Act for another 25 years.

Toobin: Chief justice out to end affirmative action

Section 5 is the heart of the VRA. Areas of the country with a history of voter suppression and intimidation -- determined decades ago by a formula devised by Congress -- must submit any changes in their election laws to the Department of Justice for clearance. The jurisdictions covered include six Southern states, Alaska and parts of other states, including California, Florida, New Hampshire and sections of New York City.

Congress did extensive research before reauthorizing the act in 2006, and recent studies prove Section 5 works well in targeting places where discriminatory voter practices exist. This is evidenced by successful lawsuits brought under Section 2 of the VRA, which bars "voting qualification" that "results in a denial or abridgment of the right of any citizen of the United States to vote on account of race or color." As Justice Elena Kagan pointed out, "under any formula that Congress could devise," Alabama would still be a targeted state.

But neither facts, history or legal precedent deterred Justice Antonin Scalia from deciding he alone would be better qualified to do Congress' job.

He said last week that Section 5 amounted to a "perpetuation of racial entitlement" that "will be re-enacted in perpetuity unless a court can say it does not comport with the Constitution. ... It's a concern that this is not the kind of a question you can leave to Congress ... even the Virginia senators ... are going to lose votes if they do not re-enact."

So, protecting the right to vote -- not just of blacks, by the way, but of Native Americans in Alaska, Hispanics in California, and even French-speaking Americans in New Hampshire -- is a "racial entitlement." And legislative questions can't be left to Congress. And -- horrors! -- a senator's vote might be influenced by how the citizens he represents will respond. After all, that democracy thing might interfere with Scalia's judicial fiats.

Four years ago, Chief Justice John Roberts wrote, with respect to Section 5, that "things have changed in the South." Really?

Tell that to the citizens of the five Florida counties covered by Section 5 of the Voting Rights Act. This year, Florida tried to cut early voting hours in those counties. A panel of federal judges refused to allow it, thanks to Section 5. (Guess who would have been disenfranchised if the cutback had gone through?)

A panel of federal judges in Texas also knows that times have not changed. That's why they rejected, again under Section 5, a new photo ID law that would have imposed "strict, unforgiving burdens" on poor and minority voters. Under that proposal, by the way, you could vote with a gun license but not a student or veteran's ID.

Another justice, last week, raised the specter of "state sovereignty." A little history, courtesy of President Abraham Lincoln, in remarks to Congress given on July 4, 1861: "...no one of our states, except Texas, ever was a sovereignty; and even Texas gave up the character on coming into the Union..." (As did Hawaii.)

Much as Scalia and his cohorts would like to legislate -- or dictate -- from the bench, the Supreme Court can only decide if a law is constitutional. And as a Harvard Law Review essay argues, Congress authorized preclearance -- Section 5 of the Voting Rights Act -- under Section 5 of the 14th Amendment. And that makes it constitutional.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: The high court heard arguments on Section 5 of the Voting Rights Act

@highlight

Section 5 protects people in parts of nation from voter intimidation, she says

@highlight

She says Justice Scalia questioned "racial entitlement" of Section 5

@highlight

Brazile: Voter suppression attempts continue; Consitiution calls for Section 5's protections