Hong Kong (CNN) -- Attempting to forecast future events is a dangerous pastime.

Who could have predicted the spectacular fall of Chinese politician Bo Xilai, once a rising political star, or the stunning escape of blind activist Chen Guangcheng from house arrest?

But forecasting is useful for journalists who should be primed to anticipate the dominant trends ahead.

So, adding to what's already out there, here goes. These are the five key China stories I'll be looking out for in 2013:

US-China tensions

The U.S. is wary of China's military growth and economic might, while China is wary of America's pivot to Asia and President Barack Obama's increasingly tough line on trade.

But in 2013, there will be more immediate points of friction between the two giants.

Xie Tao, a professor of Political Science at Beijing Foreign Studies University, underlines three specific trends to watch: "Number one, whether Barack Obama will sell weapons to Taiwan in January; second, whether China will continue to block U.S. efforts to resolve the crisis in Syria; and number three, Iran."

Tao adds: "I'm not quite optimistic about peaceful cooperation between the two countries, but in the longer term, I'm more optimistic than many other scholars of the U.S.-China relationship."

China's Own Pivot to Asia

As the U.S. makes its strategic pivot to Asia, China has been considering its own relationships in its backyard. Beijing is out to ink trade deals with Japan and South Korea while actively expanding trade ties with Southeast Asian countries like Laos and Myanmar.

The New York Times' Beijing-based Chief Diplomatic Correspondent Jane Perlez tells me: "China is a cash power in Southeast Asia. They're spending billions of dollars on roads and rail through the countries of Southeast Asia, that will enable goods to come up through China, then back down through China, and will knit the whole region together."

But given the ongoing tension with South Korea, Philippines and Japan over disputed islands in the South China Sea, as well as tension within Myanmar over China's mineral mining operations, will Beijing lose the diplomatic war for hearts and minds in the region?

The Party's Priority: Cleaning up corruption

The Chinese Communist Party is facing a number of challenges that are undercutting its legitimacy: A widening rich-poor divide, a desperate need for social reforms, political corruption, and a spate of sex scandals involving Party officials. As such, the Communist Party must make cleaning up its own domestic affairs a top priority.

Political commentator and columnist Frank Ching believes the new leadership's top agenda is cleaning up the Party itself, adding this observation from the recent 18th Party Congress in Beijing: "When Xi Jinping came out to introduce members of the Standing Committee, he did not mention foreign policy at all. He didn't say anything about international relations. I think that's because he realizes China's most serious problems are domestic ones, and he's going to have to focus on those first."

China's Smartphone Boom

China, the world's biggest Internet market, is forecast to overtake the U.S. in smartphone shipments and become the world's leading smartphone market this year, according to research group IDC.

With some retailing for as low as $160, China's cheap smartphones will make a huge social impact through China. According to Josh Ong, China Editor of The Next Web: "It's becoming more and more possible for Chinese consumers to skip bulky desktops or even laptops and netbooks and rely solely on their phones as their primary computing devices. Students, migrant workers, and even rural citizens stand to benefit greatly from the rise of affordable smartphones."

As more Chinese venture online (and on microblogs) via their smartphones, there will be greater public outcry and protest, as well as greater pressure on the government to manage the added censorship load.

"We have seen the beginnings of a digital accountability system. If nearly everyone has the means to record and instantaneously broadcast their surroundings, it will keep most people from acting out," says Ong.

China to the Moon

In the second half of 2013, China's Chang-e III is expected to land on the moon. Once the lunar rover touches down on the lunar surface, expect a massive wave of propaganda touting its scientific might.

China is still on a high after setting a deep-sea diving record in the Mariana Trench and successfully docking the Shenzhou-9 with the Tiangong 1 space lab in the same week earlier this year. But China on the moon will do far more than stir national pride. It will cement China's own age of discovery for the world to admire and, in certain corners of the globe, fear.

Chinese explorer Wong How Man says the message of China's space program is clear and highly symbolic. "We're in space... not just making cellphones."

@highlight

U.S. wary of China's military, economic growth, while China is wary of America's pivot to Asia

@highlight

China will also be considering its own often fractious relationships in its backyard

@highlight

Corruption will also be a key issue for the new Chinese leadership in 2013

@highlight

Space exploration will continue as a symbolic marker for China's development