(CNN) -- Thousands of Honduran women and children leave the poverty and the violence in their communities to embark on a 1,500-mile journey through the heart of Mexican cartel territory to get into the United States.

On "The Beast" -- the name given to the fast train that many ride through Mexico -- the stories are harrowing. Some die along the way.

Others reach the "land of the free'" only to find themselves in immigration detention or shelters for unaccompanied children.

Their individual stories often go untold for privacy, safety and security reasons.

The Department of Homeland Security reports a dramatic decrease in the number of unaccompanied minors and adults with children crossing the border recently, a situation more like what we saw prior to the influx this spring and summer. Still, thousands are entering the country illegally each month.

One woman has been adamant about getting the stories of these women and children first hand in the hopes of solving the problem.

The first lady of Honduras, Ana Garcia de Hernandez, leads a commission, created by Honduran President Juan Orlando Hernandez, to solve the unaccompanied child crisis. She has visited shelters in the United States and Mexico, asking women and children about their arduous journey and the conditions that prompted them to flee.

In this Q&A, translated from Spanish and edited for clarity and brevity, she sheds light on an issue that is close to her home and to her heart.

CNN: You have talked with many women and unaccompanied children who have been detained by U.S. immigration authorities or repatriated to Honduras. What story resonates the most?

Garcia de Hernandez: In my visits to several shelters and detention centers in McAllen, Texas, and Mexico ... every story has been hard for me to hear.

I have talked to mothers and children who chose to leave the country in search of opportunity in the United States and have faced the risks of the migration route.

I remember this particular case of a child who had spent 20 days kidnapped by "coyotes" because his dad had not finished paying them and stories of women who have been abused. In Mexico, I knew the story of a woman who was sexually abused in front of her husband and after that, she was attacked physically. As you can imagine, she was in a very difficult psychological situation.

CNN: Why is it important for you to hear the stories of the women and the children in person?

Garcia de Hernandez: For me, it is essential to be in the place where everything happens. In the United States, I visited several detention centers. I had the opportunity to talk with officials from the Border Patrol and got a chance to be at the point of crossing in the Rio Grande. In Mexico, I was in Tapachula, Tabasco, Palenque and the capital city.

Back in Honduras, I received our citizens repatriated from Mexico on the border of Corinto and deported from the United States as well. When one hears closely the experiences of these families, there is a bigger desire and commitment to support and help them during this difficult time.

CNN: In what ways do you think the United States handling of the influx of women and unaccompanied children could be improved?

Garcia de Hernandez: For my husband, President Juan Orlando Hernandez, it has always been important that each case should be viewed on an individual basis. Every child, every woman and every family is a different story of life, and they are entitled to have their human rights respected and to have the option to have a judge defend their case and explain their situation and hope for asylum. Each case is a different story.

CNN: As a woman, mother and wife, what frustrates you the most about the violence that is forcing young women and children to flee Honduras?

Garcia de Hernandez: It is a combination of many feelings. From one side we recognize that there is violence in the country, and believe me, we are fighting hard to eradicate it. We also know there are a lot of missing job opportunities, but my husband and the government are focused on social issues to generate these opportunities of development in Honduras.

Also, there's misinformation coming from the organized crime networks, where human traffickers are doing business with the pain of Honduran families. They don't care if they have to risk the lives of children in the process of smuggling them into the country.

CNN: Hundreds, if not thousands, of unaccompanied Honduran children have been released to sponsors in the United States and are being enrolled in American schools right now. What is your message to those Honduran children who are now beginning a new, uncertain life in the United States?

Garcia de Hernandez: What worries me the most is what is happening with these more than 15,000 Central American children who have entered this way to the United States.

And those who have already been released to their parents or a sponsor, I wonder if these kids are actually in school, if they receive medical attention and especially if they get psychological counseling for the trauma they experienced on this trip.

I imagine them entering a country where they don't know the language and in many cases these children do not even know their parents. Sometimes they only know their voices on the telephone.

I ask the government of the United States to provide these children with all the assistance they really need.

@highlight

First Lady of Honduras has visited shelters in U.S. and Mexico

@highlight

She says it is essential to "be in the place where everything happens"

@highlight

Garcia de Hernandez wants U.S. to view unaccompanied children on case-by-case basis