(CNN) -- The Mississippi River rolls muddy and wide beneath a gray, spitting sky. The St. Louis Arch, symbol of the once unimaginable promise of the nation's westward expansion, looms above the barges pushing past and the summer traffic below. Across the water, at 35 years old, Lolanda Ohene is staring at the skyline and wondering what has happened to her future.

"I thought I'd be more successful right now," she says, "have better health insurance, better (working) conditions, just better everything, because I'm in America." She laughs softly. "We're supposed to have better quality everything here, but we don't."

Ohene is a forklift operator at a warehouse and one of the countless working Americans struggling with the long, slow economic recovery, characterized by the latest jobs report, which once again shows unemployment above 7%. The rate has not dipped below that number since November 2008, two months before Barack Obama became president. His defenders point out that the nose dive in jobs began under President Bush; his detractors counter that Obama has not exactly proven a wizard at reversing the trend.

Forget the politics: The bottom line is that sustained unemployment of more than 7% is wreaking havoc in ways that many economists fear are being overlooked as the nation grows numb to the dreadful monthly numbers.

"It's a total employers' market," says John Schmitt, a senior economist at the progressive Center for Economic and Policy Research. He argues that the first and foremost effect is an erosion of the bargaining positions for workers everywhere. "If you are looking for a job, you take whatever is offered. If you have a job, you don't complain. If wages are going to be frozen, if benefits are going to be cut, you suck it up. There's not much you can do."

Other profound changes emerging from the 7% landscape: The Labor Department reports four times as many workers are now being offered temporary or part-time positions than full-time jobs; reports have abounded for many months about how even the full-time positions now don't pay as well as those lost in the Great Recession.

Certainly, President Obama is sensitive to all that. He has been barnstorming the country in recent weeks leading sing-along choruses of "The Let's Save the Middle Class Rag," the song that got him re-elected. But aside from the politics, there are practical reasons he, his Democrats, and Republicans, too, need to see the 7% floor broken, and soon. As Schmitt puts it, "Seven out of a hundred workers that would like to have a job don't have one. That's an enormous amount of lost resources in the economy. That means people aren't producing goods and services, aren't consuming goods and services. ..."

And they aren't paying taxes. At least not at the rate that governments require to keep up with benefits for a population trying to claw out of an economic hole. That's why, back in St. Louis, Mayor Francis Slay gets agitated over people growing accustomed to such a high unemployment rate.

"For people to accept that as the norm would be very, very dangerous," he tells me as we sit in the office of St. Louis County Executive Charlie Dooley, who chimes in. "I think it is not the American way of life. We can do better than that. We've got to continue to invest in our infrastructure. You've got to have amenities." And both men know, you can't do any of that with a crippling unemployment rate hanging around year after year. Missouri, by the way, has a current unemployment rate just under 7%, but across the river in Illinois, it's over 9%.

To be sure, some progress is being made. Look at the charts from the Bureau of Labor Statistics and you'll see creeping improvements in the jobs numbers over the past few years. But the National Conference of State Legislatures in its spring report said while most states are no longer teetering on the edge of economic calamity, there is still "a dose of uncertainty, as states continue to plod their way through an extended economic recovery."

What everyone wants, of course, is "full employment." That's a term economists don't like much because while it describes a simple idea (everyone who wants a job has one), the details are squishy. For starters, "full employment" does not and will never mean 0% unemployment. People are always changing jobs, looking for new positions, or taking breaks, so some percentage of the population is expected to be out of work at any given time.

Furthermore, some economists -- not many, but some -- believe that whenever an unemployment rate stabilizes for a period of years at any number, like say 7% or above, that is by definition "full employment" because the economy is essentially "full" of workers or it would hire more.

William Dickens, however, is not one of them. "I have a lot of problems with that."

Dickens is a distinguished professor of economics at Northeastern University in Boston, who has written and researched extensively into the causes and effects of unemployment. "Before the recession, (full employment) was typically estimated to be in the range of 4 to 6%. Since the recession, there are indications that number may have gone up. My own estimates suggest it is somewhere between 5 and perhaps a little bit over 6% now, although nowhere near 7 or 7Â½%."

The ways in which those numbers can change are complicated. Imagine a chalkboard filled with elaborate, baffling equations and you'll get the gist even if you don't get the picture.

But it all comes down to the idea that 7% is not even close to "full employment" in the eyes of most economists, and some parts of the population are disastrously far from even that mark. Last year, for example, African-American males faced an unemployment rate of 15%.

And here is the thing: Young workers -- all those bright-eyed, optimistic kids with their iPhones -- who are being pounded by the employment situation now, will likely never recover from the beating. Read that again: They will never recover. "There is evidence that entering a troubled labor market has a permanent scarring effect," Dickens says. "Somebody who enters a labor market during a downturn, they're going to see lower wages throughout their career."

All that is the damning legacy of that stubborn 7%-plus that keeps coming out each month. Blame whomever you wish politically, but even if the number has started looking benign after all these months, there is no denying the economic tidal wave rumbling beneath it.

Even now, it is washing around Lolanda Ohene, as she stands on the riverbank while her friend Vernon Glenn roams up. He is 27, works in a factory and has a strategy for economic survival: "Just got to try to keep your head up high and save all you can, if you can."

She smiles and turns back to the river. Until that number changes, it is as good a plan as any.

@highlight

The U.S. unemployment rate has stalled at more than 7%

@highlight

Tom Foreman: Economists say sustained unemployment is wreaking havoc

@highlight

Economist: Youths entering the job market will be affected for their entire working lives