"The first time you do it you feel a bit nervous, but after two or three times, it becomes normal, like rugby or boxing or any sport."

Fidael Beaf could easily be describing bungee jumping.

But the 44-year-old Vanuatuan is talking about something far more terrifying than bouncing on the end of a piece of elastic.

Every year from April to June, the Vanuatuan island of Pentecost hosts one of the most spectacular and death-defying cultural ceremonies ever conceived.

Known as the Nagol, it sees men climb flimsy 100-foot wooden towers and dive headfirst into empty space, with nothing to break their fall but vines tied their ankles.

My journey to meet Beaf and his fellow land jumpers begins on a stifling hot Saturday morning as I board a 17-seat Chinese turboprop in the capital Port Vila.

The flight to Pentacost isn't for the easily rattled, though passengers are rewarded with epic views of Benbow and Murim, active volcanoes on the island of Ambryn.

An hour later, the pilot touches down at Lenorore, a small runway squeezed between the jungle-clad mountains and volcanic beaches of Pentecost's west coast.

Ours is the first of the day's five planes, all bringing in tourists to land at what's more of a concrete bunker than an airport.

Organizers say a maximum of 50 tourists are allowed to attend the weekly ceremony to prevent over-commercialization.

A portion of every ticket helps pay for children's school fees and church programs.

Dysfunctional marriage

Ironically, European missionaries banned land diving on Pentecost in the early 20th century, but the priests never reached the rugged southeast corner of the island, where the ritual was passed on to successive generations.

The ritual is said to have its roots in a legend about a dysfunctional marriage.

So the story goes, a woman decided to flee into the jungle to escape daily confrontations with her spouse.

Hotly pursued by her husband, she ran up a tree then tied a vine around her ankle and jumped from the top, landing safely.

The husband followed suit but without the aid of the vine he hit the ground with a fatal splat.

Inspired by the woman's act of defiance, the women of Pentecost began land diving for fun.

But uneasy with seeing the women dangling from trees in compromising positions, the island's men called an end to their fun and stole the activity for themselves.

Over time, land diving moved from trees to purpose-built towers.

It's also been transformed into a ritual rife with religious symbolism -- the success of the all-important yam harvest is said to depend on the courage of the previous year's divers.

After the last plane touches down, we're shepherded to a clearing in the jungle where the impressive tower known as a "Nagol Adi" stands upon a treeless slope.

Held together by vines without a single nail or screw, this outwardly phallic shrine takes 30 men up to a month to build.

Deadly mistakes

At its center is a lopped tree surrounded by a crisscross of pole scaffolding lashed together and anchored into the earth by vines.

Protruding from its face are a dozen diving planks, the lowest of which is for boys who start diving from the age of five.

The highest is reserved for the most accomplished, with a successful jump -- one that doesn't cripple or kill the diver -- delivering wads of social capital.

Despite its primitive appearance, the Nagol Adi is a marvel of intelligent design.

The diving boards are designed to snap and hinge downward to absorb much of the divers' G-force, the wood is freshly cut to ensure strength and vines are carefully tailored to each diver's weight and height.

Diving is only permitted in the two months following the wet season to ensure the vines contain the water that lends them elasticity and strength.

Adherence to religious customs is also considered essential to a diver's safety.

While the tower is being constructed, divers live together in men-only huts and avoid contact with women -- a ritual said to clarify their minds.

As belief in sorcery is widespread in Vanuatu, divers are also prohibited from asking witchdoctors to supply them "love potions" during this period.

On a few occasions when the rules have been bent, it has cost lives.

When Britain's Queen Elizabeth II visited Pentecost in February 1974, a diver died when his vine snapped during an out-of-season Nagol  held in her honor.

In 2008, Vanuatuan cameraman Hardy Ligo was killed when a poorly constructed tower collapsed under his weight during a Nagol that some said had been held too close to the yam harvest.

Breaking wood

The moment the Nagol begins, it becomes apparent why people come from all corners of the world to see it.

On a terrace cut into the hill behind the tower, a troupe of about 100 men and boys wearing only penis sheaths begin chanting in Sa, the language of Southern Pentecost.

Without warning they break into a dance, stomping their feet intently into the ground as women in grass skirts emerge from the trees, adding their voices to the melee.

One of the dancing men emerges from the group, scampers up the tower and finds his way to the lowest diving board.

Minutes pass as the frayed ends of two vines are tied around the volunteer's ankles.

Below, the chanting and dancing intensifies.

Once the vines are secured, the diver spreads his arms wide and calls out for emotional support from the dancers.

The crowd's yelps and whistles reach fever pitch, the diver crosses his arms against his chest and makes an incredible leap of faith, trying to put as much distance between himself and the sharp edges of the tower.

Braver than bungee

When the vines go taut, the sound of breaking wood cracks through the clearing, as the plank gives way.

Instead of bouncing in the air like a bungee jumper, the diver plummets to the ground, skimming his chest on earth that has been heavily tilled to absorb impact.

Assistants rush in, pull the diver to his feet and confirm he's in one piece.

The crowd roars with approval.

Happily, all 12 land divers emerge unscathed on this day -- an unusually good safety record.

But the divers remain well aware of the risks.

Among them, 33-year-old Michael Olul scornfully dismisses comparisons with thrill seekers who use elastic ropes.

"Bungee is not so brave," he says.

Few who have seen the Vanuatu land divers in action would argue.

Getting there:

Air Taxi Vanuatu (+678 5544 206) offers day tours to see the land divers of Pentecost Island every Saturday in April, May and June for 44,000 vatu ($426). Six-seat Cessna aircraft depart from the capital of Port Vila at 8:30 a.m. and return at 5 p.m. Includes scenic flight over volcanoes, spectator fee for land diving, lunch on Epi Island and chance to swim with rare dugongs, a large marine mammal related to manatees.

Air Vanuatu Tours (+678 23 848) also offer day tours inclusive of airport transfers in Port Vila, airfare to Pentacost Island, spectator fee for land diving and lunch at Pentecost Island for 36,000 Vatu ($384).

@highlight

For three months of the year, Vanuatu's Pentecost Island hosts dramatic land-diving ceremonies

@highlight

Divers climb 100-foot towers, tie vines to their ankles and leap headfirst to the ground

@highlight

Concussions, ruptured spleens and broken vertebrae are common