(Oprah.com)  -- I have this friend, Sarah. Since meeting in our thirties, we've shared many of life's essentials: hairdressers, dog-walkers, phobias (airplanes and mice), health scares, worries over our kids, and insomnia caused by husbands who snore.

But lately I'm aware that whenever Sarah calls I feel a tightness in my chest and, more often than not (thanks to caller ID), I don't pick up the phone. I feel guilty, but that's preferable to spending hours listening to Sarah complain. I've been meaning to tell her how I feel, but I haven't quite worked up the nerve. Most of the time I feel like a bad boyfriend.

Then there's Natalie, whom I fell in love with when I was 9. We became inseparable and, at one point, I secretly tried to find out if it was possible to be adopted by your best friend's family if your own parents were still alive. It wasn't until college and postcollegiate life on opposite sides of the country that we drifted apart.

But we never lost touch and, years later, when I moved with my husband to the city where Natalie lives, she seemed thrilled. She threw a dinner party in our honor and did everything possible to make us feel at home. Then, after about six months, Natalie suddenly stopped calling, and whenever I tried to make a date she claimed she was too busy and got off the phone, fast.

To this day -- ten years later -- I have no idea why she gave me the boot. Now when our paths cross, we greet each other like distant acquaintances and I feel bruised all over again.

Oprah.com: What to do when you feel left out

It is strange that friendships, which nourish and sustain us and often provide our deepest source of connection, lack the sort of standards that are routine in romantic relationships. If your significant other stops calling, makes impossible demands, or treats you like roadkill, you deal with it. It may not be easy -- you may put it off -- but eventually you'll find out where you stand. Not so with friends.

"You don't get together and say, 'I'm really mad at you, I'm not going to see you anymore,'" says Ruthellen Josselson, PhD, a Baltimore psychotherapist and coauthor with Terri Apter, PhD, of "Best Friends:The Pleasures and Perils of Girls' and Women's Friendships."

"To the extent that we have a ritual, it's not calling, not getting together. But that makes it difficult to know when someone is distant because she doesn't want to be your friend or because something's going on in her life that's keeping her from being in touch."

Oprah.com: The friendship test

So how do you know you're being fired? And what do you do when you're at your wit's end -- as I am with Sarah -- and ready to issue a pink slip of your own?

"It's a complicated dance. We start learning the steps when we're quite young, and they don't change all that much," Josselson says. If nobody calls or makes a move, if you run into each other and say, "Let's do lunch," but don't, if one person is suddenly booked until 2013, sooner or later the message gets through.

Luckily, most friendships have a natural life cycle. Often we're drawn together by circumstance -- work, the single life, kids -- and as our situations change, we gradually drift apart. On a deeper level, our friendships mirror our internal life.

"As we gain a stronger sense of self, what used to matter no longer does, and we're bound to outgrow certain friendships," says Florence Falk, PhD, a New York City psychotherapist. "Once you're aware of that, without being cruel or feeling guilt-ridden, you can begin to let go of relationships that no longer nourish your most authentic self."

Occasionally, though, a friend all but forces a clean break. My pal Nancy reports, "I'd been close to Anne for years, but at a certain point I felt overwhelmed by her need for me. She acted as if I belonged to her and became resentful when I socialized with other people. I felt drained, suffocated. When I tried to talk to her about it I got nowhere, so I wrote her an e-mail explaining that I just couldn't be friends with her anymore."

Anne was predictably enraged and fired off a response accusing Nancy of being selfish and uncaring. But even though the exchange was painful, Nancy emerged feeling as if a great weight had been lifted.

In my own life, I seem to have a knack for attracting needy friends. Even though I joke about my nonpaying "caseload," I struggle to set limits.

"Women seem to be both hardwired and socialized to be nurturing," says Sandy Sheehy, author of "Connecting: The Enduring Power of Female Friendship." The upshot is that many of us get stuck in draining relationships.

Sheehy tells the story of Martha, a graduate student, wife, and mother who felt sucked dry by an emotionally dependent friend. After unsuccessfully trying the usual stop-calling-and-drift method, Martha found a way to extricate herself while allowing the other woman to preserve her dignity.

She said, "I can't be the friend you want me to be." Sheehy says, "Martha took the burden of inadequacy on herself." It's like a boyfriend telling you, "I can't love you the way you deserve," instead of saying, "I don't love you."

Oprah.com: The cure for a compulsive helper

Sheehy also recommends explicitly calling it quits if you have what she terms an enabling friendship.

"Maybe you started out as drinking pals or shared a shopping jones, but now you want to stop the behavior that brought you together," she says. "It's more responsible to admit that you don't think you can maintain intimacy and not binge than to pretend you can't see her because you've suddenly taken up scuba diving."

Although the troublesome twins -- envy and jealousy -- are at the root of many breakups, they're more difficult to address gracefully. Ruth, a moderately successful painter, remained silent on the occasion of her friend Carolyn's first solo art show. When Carolyn asked her why, Ruth said she thought it best not to respond because she hated the work.

"It was obvious that she hated me for getting a one-woman show before she did, but she couldn't admit it," Carolyn says. The former bosom buddies haven't exchanged a word since.

Sadly, many friendships end needlessly because we're afraid to acknowledge conflict. "If you notice you're withdrawing from someone who really matters to you, you have to ask yourself why," Josselson says, adding that we anticipate tension in our relationships with men, but not with other women.

But at some point, any meaningful friendship is bound to provoke difficult feelings. "Once you accept that, you can talk about things as they come up and there's a good chance you'll become closer," she says.

Oprah.com: Who's never going to let you down?

Sometimes the conditions of a relationship change, especially one forged during a time of mutual crisis, but the unspoken contract on which the friendship is based stays the same -- which is what happened to my cousin Paula and her best friend, Elaine. The two women became joined at the hip when both were having marital problems.

"It was almost like another marriage," Paula says. "We did everything together." Eventually, Paula and her husband resolved their differences, while Elaine and her husband parted.

"I was terrified to tell Elaine that even though I still loved her, our friendship could no longer be as all-consuming," Paula says. "But I knew that if I didn't say something, I'd withdraw completely." Fortunately, Elaine was able to adjust her expectations and the pair found a new way of relating that was comfortable for both.

Despite our best intentions, talking doesn't always repair the rift: Not everyone is able to listen without becoming defensive or blaming the other person.

Feelings stirred up by a close friend often echo unresolved issues from childhood, like sibling rivalry or fear of abandonment, and unless those feelings are acknowledged, no amount of discussion can save the relationship.

"My friend Gail seemed to have me confused with her older sister, whose attention she'd always craved," says Joan. "I spent years trying to convince her that I really cared, but eventually I threw up my hands. I told her I didn't have the time or energy to give her the constant reassurance she needed."

Gail felt hurt and rejected, and a 20-year bond was severed in a single phone call.

Bottom line: There's no single template for friendship. Some people are in our lives because they carry a precious shard of our history, while others reflect our passions and priorities right now.

Still others are in danger of becoming ex-friends because we're either too preoccupied to pick up the phone or too scared to speak our minds. As Virginia Woolf said, "I have lost friends, some by death -- others through sheer inability to cross the street."

Which brings me back to Sarah: I'm not sure where this friendship is headed, but I realize I still care enough to cross the street and let her know why I've been so out of touch. As for Natalie, I hope that one day she'll do the same.

Oprah.com: More than a shoulder to cry on: The surprising benefits of friendship

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

Techniques for ending a friendship you can't stand any longer

@highlight

Women are "bound to outgrow certain friendships," says New York City psychotherapist

@highlight

If a friend is suddenly booked until 2013, it's a sign the friendship is over