(CNN) -- When an epidemic occurs, getting even the most basic necessities to those in need becomes an exercise in logistics.

The countries hit hardest by the Ebola epidemic -- Guinea, Liberia and Sierra Leone -- are dealing with human suffering on an unimaginable level. We have heard the stories of quarantines, medical supply shortages and dealing with the removal of the deceased.

But what about the basics? How are people in affected areas that have been isolated from the world getting necessities such as food?

The United Nations World Food Programme is the largest humanitarian agency fighting hunger in the world today, and it is dealing with that very issue. The objective is to "prevent a health crisis from becoming a food crisis," according to the agency.

Woman saves three relatives from Ebola

According to Bettina Luescher, the organization's chief spokeswoman for North America, the WFP has provided food and assistance to more than 430,000 people affected by the Ebola crisis, feeding people for six months starting eight days after the crisis was declared in Guinea.

Food distribution is ongoing in all three countries, with more food on the way. The WFP buys food from the region, for example, 7,000 metric tons of rice being transported from Benin.

Luescher said rice, lentils, cooking oil and rations are being distributed, food for hospital patients is cooked by partner organizations, and quarantined populations get the food and take it home to prepare.

On the ground, aid workers explain how people should line up for food. They wear protective suits and use megaphones to avoid contact, out of basic safety precautions.

"On the food front, there is tension and nervousness but not panic," said Martin Penner, a WFP public information officer and one of the agency's members in Monrovia, Liberia. "People are happy to see the food. Ebola is affecting the economy. ... People are finding it hard to get the food they need."

Penner says officials will know more in the coming weeks about yield as they enter harvest season for the two main crops, rice and maize.

Currently, he says, food can be found in the local markets, but often, people can't afford to buy it. The price of cassava (a root vegetable that is a major staple food in many countries) increased by 150% in the first weeks of August, according to a report by the Food and Agriculture Organization of the United Nations.

"These are areas where some families spend 75% of their income on food on a regular basis," Penner said.

The organization also says labor shortages will impact the cropping season, despite favorable rain conditions this year.

"With the main harvest now at risk and trade and movements of goods severely restricted, food insecurity is poised to intensify in the weeks and months to come. The situation will have long-lasting impacts on farmers' livelihoods and rural economies," Bukar Tijani, FAO regional representative for Africa, said in a statement.

Battling Ebola: Two doctors for a county of 85,000 people

As the U.N.'s logistics experts, "we do more than food. We have started an air bridge with planes and helicopters to fly aid workers to help the people who are really desperate," Luescher said.

The World Food Programme is 100% voluntarily funded by governments, companies and private donors.

The World Health Organization says more than 3,000 people have died from the virus since March. The Centers for Disease Control and Prevention estimates that by the end of January, there could be 1.4 million Ebola cases.

For ways to help, go to CNN Impact Your World.

CNN's Sarah LeTrent contributed to this report.

@highlight

More than 3,000 people have died from the Ebola virus since March

@highlight

Guinea, Liberia and Sierra Leone have been hit hardest

@highlight

The United Nations World Food Programme is feeding people in affected areas

@highlight

Workers use megaphones and "air bridges" to avoid contamination