(CNN) -- Which way will the housing market go? That's the million-dollar question for so many Americans who are underwater on their mortgages and for the one in three who rents and represents the homeowners of tomorrow. We've all heard about how real estate prices have crashed. But in every time of hazard, there's also great opportunity to build long-term wealth. You just need the guts to zig when others zag.

In this chapter, I'll show you how you can score a deal on a distressed property, reduce your mortgage interest rate, lower your property taxes and save money on some of the major purchases for your home, like appliances. I'll also warn you about common pitfalls, including burglar alarm monitoring and home warranties and other things that are way out there, like electronic mortgage fraud.

Before you buy: Short sales and deeds in lieu are the new foreclosures

Whether you're a buyer or a seller, a short sale or a deed in lieu of foreclosure may present a way to get out from underneath an upside-down house or get a great deal on distressed real estate.

For a seller, a short sale is one in which you work with a lender to market your home and sell it for less than the mortgage balance. While short sales were once considered more favorable than foreclosures, now both harm your credit to the same degree, lowering your score by roughly 140 to 150 points. As a mark on your credit file, they'll each stay with you for seven years. For a buyer, a short sale can mean getting a home at a great price if you're willing to play what can be a long waiting game. About two years ago, lenders agreed to guidelines in which they were supposed to acknowledge an offer on a short sale in four days and answer back in 45. But that never happened in practice, and typical wait times on an offer are substantially longer.

Joel Larsgaard, at 27 the youngest producer on my radio show, recently put bids in on seven short-sale properties, month after month, for the better part of a year. All his offers were turned down. Finally, his eighth attempt worked, and he got his short sale for $89,000 with a 15-year loan at 4.375%. The property had last sold for $155,000!

It took great sacrifices for Joel to come to the closing table with enough money for a 20% down payment. But he did it, and now his monthly mortgage note is $560, not including taxes and insurance. Think about that. Some people have monthly car payments that are higher than his mortgage payment.

One special warning for sellers: Be careful with the paperwork your lender gives you as part of the short-sale agreement. Some lenders are behaving immorally and slipping in legalese that makes their financial loss your legal obligation to pay back. That is not the intent or purpose of a short sale.

In today's market, deeds in lieu offer what I believe is a better alternative to short sales for sellers. With deeds in lieu, the bank agrees to take your home back without foreclosing on it. It also agrees not to seek deficiency, which is loss on the loan that banks are entitled to in most states. As a bonus, deeds in lieu have much less impact on your credit score than does a short sale or a foreclosure. So at this point I'm recommending that if you absolutely need to get out from under your house, a deed in lieu should be your first choice and a short sale your second.

Never buy property without looking at it

Over the years, con artists got notoriously rich by selling people Florida swampland. This rip-off was especially popular in the 1960s and 1970s when future retirees bought property that was basically worthless because it was all wet. It became such a well-known scam that it didn't work anymore -- until the mid-2000s when what was old became new again and the con artists came back to prey on another generation.

Sometimes people are all too quick to buy a dream and will suspend disbelief to buy land without seeing it. One of the new equivalents of swampland in Florida has been desert land in Utah. The New York Times reported that Box Elder County, Utah, intended to file charges against cons who had sold parcels of land over the phone and Internet to 3,000 people in the United States, Europe and Australia.

The land was supposedly adjacent to a city. But when people would go to Utah to see their new homestead, they'd find that no such city even existed. Worse still, the land they'd purchased could not be developed because to do so would violate local and state zoning laws.

This new twist on the old rip-off scheme of land speculation started when cons took advantage of a Utah land rush and bought up property that was parched and desolate. Then they illegally subdivided the land and sold five-acre spreads.

The New York Times article was cute in a way. They sent a reporter to find one of these "conveniently located" parcels in Lucin, Utah. The reporter got to the location -- some 150 miles away from the nearest big city -- and found an area where the only inhabitants were a snake, a beetle and large ants!

I have two simple rules to follow when buying land. First, never buy property without seeing it. Second, make sure the land has water rights or it's going to be useless to you. This second caveat is especially important if you're buying in one of the mountain states, like Utah.

Use a home inspector before buying or selling

If you are considering buying a house, I urge you to have your own inspection. First-time homeowners often skip the inspection because they think government workers have somehow inspected the house. Although they have, these kinds of inspections are not enough.

Think about when a hospital, school, or office building is erected. There is a construction manager who makes sure things are being done as they should be. You want someone who does the same thing for you. It's especially important if you're having the house built. Be sure you don't hire an inspector your real estate agent recommends. Recent reports show that 70% of people do this. Agents suggest only those inspectors who they know will not kill their deal, and that is not in your best interest. You want someone who will kill the deal if the house is not in good shape.

Two sites that offer great referrals are the American Society of Home Inspectors' website at ASHI.com and the National Institute of Building Inspectors at NIBI.com. NIBI requires that its inspectors carry errors and omissions liability insurance, which means they accept responsibility for any oversight. You also want someone who is certified by the Council of American Building Officials (CABO), which means they are current on all building codes. Spend some additional money when buying a house and get an inspection. It's worth it. And before you sign a contract with a home builder, make sure you inspect the contract.

Some builders forbid you from hiring an inspector and that wording is included in the contract. So if you see it in there, give that builder the boot. The same idea applies when you're selling a home. Before you go to market, you should hire an inspector to carefully vet your home. Be sure to fix whatever needs repair, and have the inspector's report and your receipts available for prospective buyers to examine.

As a seller, you have to psychologically try to get inside the head of a buyer. Even though a buyer might consider a used home, they still want it to be as perfect as a doll house. So let's say a corner of your roof needs repair and you don't spend the money to fix it. When their inspector finds it, the buyer is more likely to blow the cost of the potential repair out of proportion and make a lower offer on your house accordingly.

Watch Clark Howard Saturday and Sunday at 6am, 12pm, and 4pm ET on HLN. For the latest from Clark Howard click here.

@highlight

Clark Howard's book features ways to buy smarter, spend smarter and save money

@highlight

This excerpt is on housing; book also covers student loans, starting a business and more

@highlight

Howard says people quick to buy a "dream" make the mistake of buying land site unseen

@highlight

He says people who buy a used home "still want it to be as perfect as a doll house"