(CNN) -- After months of speculation and hype, the first biopic about Apple co-founder Steve Jobs hit theaters Friday.

"Jobs," directed by Joshua Michael Stern and starring Ashton Kutcher as the iconic tech guru, spans much of Jobs' early career, from his hippie days at Reed College in 1974 to the launch of the original iPod in 2001.

And guess what? Although it omits or glosses over many chapters of Jobs' life, it's not bad.

This is the first dramatic feature film to focus solely on the longtime Apple CEO, who died in 2011. A second Steve Jobs movie, written by Aaron Sorkin and adapted from the best-selling Jobs biography by Walter Isaacson, is due as early as next year.

Jobs' tumultuous life could probably fill three movies. But "Jobs" focuses on his early years at Apple and ignores almost everything else. Even though the two-hour movie spans 27 years, it makes little or no mention of Jobs being adopted, his work at NeXT, his search for his biological father, his leadership of Pixar, his marriage to Laurene Powell, his late-career triumphs at Apple or the cancer that eventually killed him.

It's probably just as well. A movie with all that would be fascinating. It would also be four hours long.

Here are five things the movie gets right, and wrong.

Surprise! Kutcher makes a convincing Steve Jobs

If you know as Kutcher only as the handsome dimwit from "That '70s Show" or lightweight movies like "Valentine's Day," you may be pleasantly surprised. Thanks in part to some subtle hair and makeup effects, he looks a lot like the Apple co-founder in many scenes. Kutcher nails Jobs' speech patterns, distinctive gait, hunched posture and manner of pacing, hands clasped, when speaking to a group.

Becoming Steve Jobs: Ashton Kutcher on his movie transformation

He projects the intelligence in Jobs' eyes and his impatience with people he felt were wasting his time. And he effectively captures both sides of the notoriously mercurial Jobs, who could be charismatic one moment and cruel the next.

The movie does not have Kutcher portray the skeletal, cancer-stricken Jobs of the late 2000s, however. That would have been asking a lot.

Apple was founded over ... a plate of fruit?

The movie has some fun with the now-legendary story of how Jobs and Steve Wozniak launched Apple from the garage of Jobs' parents' house in Los Altos, California. Several real-life characters -- electrical engineer Rod Holt and early investor Mike Markkula -- show up at the house for the first time and gaze dubiously at Jobs' workspace and his motley crew of assistants.

The scene where Jobs and Markkula negotiate Apple's first infusion of venture capital takes place in Jobs' parents' dining room, with his mother serving the confused Markkula bread and a plate of fruit. "Steve's a fruitarian," one of his buddies says -- a reference to the unusual diet of her young son, who once went a whole week eating only apples.

It's not clear whether such a scene actually took place. According to Isaacson's book, which was written with Jobs' cooperation, the early business plan for Apple was hammered out over a period of weeks at Markkula's house. There's no mention in the book of what they ate.

Wozniak is almost a minor character

The shy Woz has never gotten enough credit for the early success of Apple, and he fades into the background in the movie as well, lost in the shadow cast by Jobs' larger-than-life persona. The real-life Wozniak didn't cooperate with the makers of "Jobs" -- he's apparently been consulting instead on the upcoming Sorkin biopic -- and maybe that explains why his role feels underwritten.

The filmmakers also took some creative liberties with a few of Wozniak's most prominent scenes. One shows Wozniak startling Jobs in his office late one night in 1985 by telling him that he's leaving Apple. This never happened. In reality, Jobs found out about Wozniak's departure when news leaked out in The Wall Street Journal.

The unassuming Woz, then working quietly as an engineer on the Apple II computer, didn't feel that his leaving the company was important enough to warrant telling Jobs directly.

Jobs' dark side

The movie has several scenes of Jobs delivering dynamic speeches while reverent Apple employees respond with wild applause. But to its credit, the film doesn't sugarcoat the more difficult parts of his personality.

One scene shows Jobs angrily kicking his girlfriend out of their house after she tells him she's pregnant with the child who would become his daughter, Lisa. It's not clear whether this actually happened, although in real life the couple broke up soon after and Jobs disavowed paternity of the child. Another shows him cheating Wozniak out of several thousand dollars' payment for their work on a video game for Atari, a deception documented in Isaacson's book.

Jobs could be especially brutal with co-workers he did not respect. One scene shows him abruptly dismissing an engineer who did not share his enthusiasm for fonts. "Are you firing me?" the employee asks, surrounded by a roomful of stunned co-workers. "No, I already fired you!" Jobs yells back at him. "Why are you still here?"

The movie also shows how Jobs coldly refused to give stock options to several of Apple's earliest employees, including his old college pal and roommate Daniel Kottke. "Jobs" milks this for drama in much the same way that "The Social Network" portrayed Mark Zuckerberg's betrayal of his Harvard classmate and Facebook co-founder Eduardo Saverin.

The 'Think Different' ad

The film ends in 1997 with Jobs in a studio, recording voiceover narration for Apple's famous "Think Different" ad, the one that begins, "Here's to the crazy ones. The misfits. The rebels." But while Jobs in real life did record his voice for the TV spot, he ended up choosing a version by actor Richard Dreyfuss instead.

The movie's final frames play Jobs' (OK, Kutcher's) "Think Different" narration over romanticized images of Apple engineers. Coincidentally, that is almost the same ending that Sorkin favors for his version of the Jobs story. We'll have to wait to find out which works best.

@highlight

Jobs," starring Ashton Kutcher in the iconic role, hits theaters Friday

@highlight

The movie is the first biopic about Apple co-founder Steve Jobs

@highlight

Here are five things the movie gets right, and wrong