(CNN) -- The Army-Navy game this Saturday marks the 120th anniversary of the great football rivalry. Their first game, played on a gridiron laid out on southeast corner of the West Point Parade Ground, was so sparsely attended that spectators could move up and down the field as the line of scrimmage shifted.

We have come a long way from that first encounter, but as Army and Navy get ready to play again, the legacy of that 1890 game is worth recalling.

In 1890 Army had only one player with any real football experience -- Dennis Michie, in whose honor today's West Point's football stadium is named. As a result Army was trounced 24-0 by a Navy team that had been playing football since 1886. The next year Army hired a part-time coach, played a series of early-season games, and with Michie (who would die tragically in the Spanish-American War) once again leading the way, Army avenged its earlier loss by a 32-16 score.

Both teams could now claim bragging rights. Their competition had gotten off to the perfect start. Five years before the advent of the modern Olympics, the two service academies had turned their new athletic rivalry into front-page news.

The Army-Navy game, as those reporting it noted, quickly became as much about character as physical skill. "Pluck was the most conspicuous feature of the game of football at West Point on Saturday between the cadets of the Naval and Military Academies," an 1890 account observed. "Where bravery was so common and so notable it would be unfair and unjust to cite one man as braver than another."

The public's response to that first encounter worked to the advantage of both schools, and they went out of their way to make sure their rivalry remained consistent with the military values they sought to display on the gridiron. When in the wake of the 1893 game, which drew a crowd of 8,000, animosities between the two academies reached such a fever pitch that a retired rear admiral and a brigadier general came close to fighting a duel, the game was canceled for six years by order of the secretary of war and secretary of the Navy.

The lessons the cancellation taught were absorbed by both sides, and when the game resumed in 1899 on a neutral site, Franklin Field in Philadelphia, before 27,000 people, everything went so smoothly that Army and Navy officials decided that the game must be played annually. Making sure their football rivalry did not deteriorate into petty squabbles paid further dividends two years later when President Theodore Roosevelt and 30,000 fans attended the 1901 Army-Navy game.

The president became so excited about the play, which featured a 105-yard kickoff return by Army's star quarterback, that at one point he left his seat and moved to the sidelines to get closer to the action. But Roosevelt was careful, despite having served as assistant secretary of the Navy, to maintain public neutrality. At halftime he inaugurated the presidential tradition of moving from one team's side of the stadium to the other's.

Since TR's time, the Army-Navy football game has always had a life of its own. In his memoir, "You Have to Pay the Price," legendary Army coach Earl "Red' Blaik wrote, "The primary objective of Army football must be victory over Navy. It cannot be achieved by anything less than complete dedication." For Navy's coaches victory over Army has the same priority. Coaches at both schools know that success in the Army-Navy game is crucial to keeping their jobs.

How far this pressure to win goes is epitomized by the story former Army coach Paul Dietzel tells in his autobiography, "Call Me Coach," of a dinner party at the home of Gen. William Westmoreland, later commander of American troops in Vietnam, who while superintendent of West Point hired Dietzel in 1962 to revive Army's football fortunes. "There's one thing you'll need to understand right from the beginning," the general's wife, Kitsy, told Dietzel. Then, turning around, she flipped up her skirt to reveal a pair of blank panties with "BEAT NAVY!" printed on them in bright gold letters.

In 1944, when Army, led by its All-American running backs "Doc" Blanchard and Glenn Davis, was ranked No.1 in the nation and Navy, with a line superior to Army's, was ranked No.2, they played an epic game, won by Army, that helped sell more than $58 million in war bonds. At the game's conclusion, sports' columnist Allison Danzig wrote, "The country can now return to the normalcy of fighting the most terrible war ever inflicted upon mankind. The Army-Navy game has passed into history."

But an even more revealing comment on the place the Army-Navy football game had come to occupy in World War II America was summed up by a telegram that General Douglas MacArthur, then leading American forces in the Pacific, sent to Army's coach in 1944. "THE GREATEST OF ALL ARMY TEAMS," MacArthur wired. "WE HAVE STOPPED THE WAR TO CELEBRATE YOUR MAGNIFICENT SUCCESS."

MacArthur's hyperbole was deliberate, but there was nothing exaggerated about his belief that the Army-Navy game should serve as an antidote to dark times. When the Army-Navy game of 1963 was canceled as a result of the assassination of President John F. Kennedy, it was played a week later at the request of the Kennedy family, and the coin that President Kennedy would have flipped to decide which team received the opening kickoff was sent as a gift by Secretary of the Army Cyrus Vance to Navy's winning football captain Tom Lynch.

The following year, with the Vietnam War in its early stages, retired President Dwight Eisenhower, then living in Gettysburg, Pennsylvania, put his own stamp on the Army-Navy game. Ike, a 1915 West Point graduate, had desperately wanted to be a football star, and in 1912 he was heralded as one of the best running backs in the East. A knee injury ended his football career and kept him out of the 1912 Army-Navy game, but over the years, Ike maintained his interest in Army football. When he was asked by a cadet interviewing him for West Point's student-run Pointer magazine to send the 1964 Army team a telegram on the eve of the game, he happily complied.

The telegram was designed to rally Army's players, who had lost five straight games to Navy, then led by All-American quarterback and future Dallas Cowboys star Roger Staubach. But what emerged from Ike's telegram was much more than a call for victory.

For Ike, the essence of the Army-Navy game was the pressure it put on everyone who participated in it to hold nothing back. "You will always have what you give today. The more you give the more you will keep!" Ike wrote in a message that is as relevant today as it was in 1964.

Army-Navy football remains a stellar attraction but it has suffered from the increased competition for fans' attention at the pro and college ranks. That doesn't, however, take away from what the game stands for.

This year's game, like those of the past, marks the last time most of both teams' seniors will ever step on a football field. As they have known ever since they arrived at West Point and Annapolis, what awaits them is not a tryout in the National Football League or a lucrative job in business, but active service, which these days amounts to a five-year commitment. In no other athletic rivalry is the price of participation higher.

The opinions expressed in this commentary are solely those of Nicolaus Mills.

@highlight

The Army-Navy game on Saturday marks the 120th anniversary of the football rivalry

@highlight

Nicolaus Mills: Both academies made sure the rivalry was consistent with military values

@highlight

The game has become tradition for Americans and an antidote to dark times, Mills writes

@highlight

Mills: Army-Navy players don't go directly to NFL or a lucrative job, but to active service