Ever have one of those days where you just wanna be alone, maybe have the planet to yourself?

Well, based on sheer numbers, there may be a planet just for you.

Astronomers at the University of California-Berkeley and the University of Hawaii, using data from NASA's Kepler space telescope, estimate there are tens of billions of Earth-size, possibly habitable planets in our Milky Way galaxy.

Given that there just more than 7 billion of us on this planet, that means a planet for each of us with some spares for your picky neighbors. Or a vacation planet or two for you, maybe.

And the closest may be circling a star you can see if you look up into the heavens tonight.

"When you look up at the thousands of stars in the night sky, the nearest sun-like star with an Earth-size planet in its habitable zone is probably only 12 light years away and can be seen with the naked eye. That is amazing," UC Berkeley graduate student Erik Petigura, the leader of the team that analyzed data from the Kepler, said in a press release.

Lonely, young planet drifting in space without a star

To be sure, the astronomers haven't seen any of the planets themselves. They came to their conclusions like this:

The Kepler telescope photographed 150,000 of the 300 billion stars in the Milky Way every 30 minutes for four years. It looked for when orbiting planets passed between the camera and the star, causing a slight change in brightness of that star. Analyzing the data, the astronomers say, they found 3,000 planet candidates.

The astronomers narrowed that number by focusing on just 42,000 stars like our sun or a bit cooler. That brought the number of planets down to 603. But only 10 of those were about the size of Earth in the so-called "Goldilocks zone," just the right distance from the star where temperatures are suitable for life as we know it.

Diamonds may be produced on other planets

So how did they get a number of planets in the billions? By using a computer model with fake planets to test the validity of the algorithms used in the calculations.

"What we're doing is taking a census of extrasolar planets, but we can't knock on every door. Only after injecting these fake planets and measuring how many we actually found could we really pin down the number of real planets that we missed," Petigura said in the press release.

Using the data, the astronomers calculated that 22% of stars in the Milky Way similar to our sun have planets like Earth in their "Goldilocks zone." As there are about 20 billion stars similar to the sun in the galaxy, the possibilities add up quickly -- more than one for each of us Earthlings.

Stargazing in the desert: The magic of Namibia's night skies

The researchers do caution, though, that despite being in the habitable zone, a planet could still not be right to host life.

"Some may have thick atmospheres, making it so hot at the surface that DNA-like molecules would not survive. Others may have rocky surfaces that could harbor liquid water suitable for living organisms. We don't know what range of planet types and their environments are suitable for life," Geoffrey Marcy, UC Berkeley professor of astronomy, said in a press release.

But the study gives researchers a number to work with.

"The primary goal of the Kepler mission was to answer the question: When you look up in the night sky, what fraction of the stars that you see have Earth-size planets at lukewarm temperatures so that water would not be frozen into ice or vaporized into steam, but remain a liquid, because liquid water is now understood to be the prerequisite for life," Marcy said. "Until now, no one knew exactly how common potentially habitable planets were around Sun-like stars in the galaxy."

The new study is published in the Proceedings of the National Academy of Sciences and was discussed this week at the second Kepler Science Conference, being held at NASA's Ames Research Center in Moffett Field, California.

Also at the gathering, scientists announced the Kepler telescope has found 833 new candidate planets, including 10 that are of the right size and right distance from their stars to host life, adding to ones previously confirmed. That brings the official list to 3,538 planet candidates found using Kepler, according to a NASA press release. Of those, smaller Earth-sized planets are most common, NASA said.

@highlight

Astronomers used Kepler telescope data to extrapolate number of planets in Milky Way

@highlight

22% of sun-like stars have possibly habitable planets, research shows

@highlight

Kepler has found 3,538 planet candidates to date