The Obama administration has confirmed what we have been hearing for months, that chemical weapons have been used in Syria by the regime of embattled President Bashar al-Assad.

The news, revealed in a White House letter to Congress, presents President Obama with a stark question. Will the United States become directly involved in the two-year-old Syrian civil war?

Last August, Obama issued a stern warning to Assad. If he used chemical weapons, Obama said, even if he moved them in preparation for use, he would cross a "red line" that would have "enormous consequences." Before that, Obama had already declared  that the regime would be "held accountable" if it made the "tragic mistake of using those weapons," a warning he repeated last month during a trip to the Middle East.

Obama has now come up against his own words and the stakes are enormous. The United States has a range of options, including several that do not include sending American forces into Syria.

One path is to provide more muscular support to certain rebel units. The administration has been reluctant to arm the rebels because Islamist radicals, including some closely affiliated with al Qaeda, have become an important part of the anti-Assad forces. This is problematic, since Washington has called for an end to the Assad regime, a regime that, incidentally, is closely allied with Iran and Hezbollah.

But it is possible to discern the members whose ideology is relatively consistent with U.S. values and policies. Those fighters should receive carefully selected weaponry to raise their effectiveness against Assad and increase their appeal within the opposition.

In addition to helping arm them, the United States should look into the possibility of creating safe havens, no-fly zones, where the opposition and civilians might be protected by NATO from Syrian air attacks. There is also the option of destroying Assad's most dangerous weapons stocks through aerial bombardment. Although, depending on the target, bombing could carry the risk of spreading the contents, and in the end, the United States may need to remove the stockpiles by designating allies to enter the facilities that hold them. Any action should be taken, to the extent possible, under the NATO umbrella.

The one course of action Washington cannot afford is to ignore its own warnings and the U.S. intelligence community's conclusions.

Doing so would legitimize the use of chemical weapons, letting regimes that hold power by force know that they can use the world's most reviled weaponry to preserve their rule from internal challenges. Failure to act could hasten a grave escalation in a war that has put the entire Middle East on a knife's edge. It would threaten to spread its destructiveness beyond Syrian borders and raise the incentive for other militias to start using chemical agents, potentially fueling a market among terrorist groups everywhere.

And it would make the dire warnings of an American president ring hollow, with damaging consequences for global stability, not to mention for American security.  Among those watching, Iran would certainly draw its own conclusions if the United States ignores its own red line.

Until now, the Obama administration has resisted pressure to take a tougher stance against Assad if only to stem the killing. More than 70,000 Syrians have already died and millions have fled the fighting. Refugee pressures are building in neighboring states, and the conflict has already drawn fighters from other countries; among others, Hezbollah militias from Lebanon, which have joined the war on Assad's side.

For almost two years the president opted to limit U.S. involvement, reportedly rejecting proposals from former Secretary of State Hillary Clinton and former CIA chief David Petraeus to arm carefully selected segments of the opposition. At the same time, America has provided generous help for refugee care, along with nonlethal aid to the rebels.

The use of chemical weapons, however, is a game changer. The beleaguered Assad has admitted possessing an enormous chemical arsenal. Syria holds stockpiles that experts say include Sarin, VX and mustard gas. Production facilities and warehouses for them are spread throughout the country. Regional analysts believe that Assad has thousands of rockets filled with nerve agents ready for use with the Syrian army's vast missile systems.

U.S. officials say there's much they don't know yet about how the weapons have been used. Secretary of Defense Chuck Hagel said on Thursday that within the last 24 hours U.S. intelligence officials concluded the Syrian government forces used a small amount of an agent, probably Sarin.

The use of those "uncontrollable, deadly weapons," Hagel said, "violates every convention of warfare."

Charges that Assad's forces used chemical weapons surfaced months ago, but it was a March 19 attack in Aleppo that drew global attention. In the face of mounting evidence of people with respiratory distress, burns and other signs of unconventional weapons use in a battle zone, the rebels accused Assad and Assad accused the rebels of using chemical agents. The Syrian government called for a U.N. probe, but then refused to allow the investigation.

More recently, France, the United Kingdom and Israel have said they have found evidence of chemical weapons use. On Wednesday, Israel's head of military intelligence said Israel has gathered evidence, including photographs of areas with people with mouths foaming following an attack. He said he believes Assad has used the weapons several times, including on March 19.

It is likely that Assad is testing international reaction by using limited amounts of banned weapons. If reaction does not follow, he will probably use them more extensively.

The United States has deployed a few hundred troops to Jordan, just south of Syria, with the purpose of aiding refugee care and, according to a Los Angeles Times report, as "the vanguard of a potential military force of 20,000 or more" in case the United States decides to move to secure Syria's chemical weapons.

The United States and the world have many options on the table, none of them risk free. But the riskiest of all would be delaying a meaningful and forceful response.

@highlight

Frida Ghitis: Obama administration confirmed Syria regime used chemical weapons

@highlight

Ghitis: This crosses Obama's "red line;" will he act? Possible to do so without U.S. forces

@highlight

She says arming rebels with values similar to U.S. one option; another is no-fly zones

@highlight

Ghitis: Not acting would legitimize use of chemical weapons, upend U.S. authority