Jakarta, Indonesia (CNN) -- Help trickled in Thursday to remote islands where whole villages were flattened by a earthquake and tsunami in western Indonesia.

At least 343 people died and another 340 were missing after the magnitude 7.7 earthquake Monday, according to Indonesia's National Disaster Agency.

Meanwhile, nature continued to shows its force, with hot clouds and ash spewing from a Java volcano that erupted and killed more than 30 residents. A magnitude 5.3 earthquake rumbled in Maluku province to the east. There were no immediate reports of injuries or damage there.

The delivery of aid to the devastated islands near Sumatra is a logistics challenge.

An assessment team from the nonprofit group SurfAid International began surveying villages on the islands of North Pagai and South Pagai, the group said Thursday.

The nonprofit is one of the few to have reached the remote disaster zone. The trip takes at least 10 hours in good conditions, according to aid agencies.

The hard-hit Mentawai Islands region is among Indonesia's myriad islands.

"The village of Sabeugungung has been completely wiped out, with 50 dead and 150 missing presumed dead. Sikakap hospital is overflowing with over 200 people seeking assistance," SurfAid said in a blog post.

Ten villagers in Bosua had been killed, another was missing, and 78 houses had been destroyed, the nonprofit said.

Late Wednesday, SurfAid sent 1,000 shelter kits, 500 building kits and 500 hygiene kits to victims by charter boat. Another charter boat had delivered an initial batch of supplies, including blankets, tarps and water containers, and more aid shipments were planned, SurfAid said.

The group was trying to work with government officials to establish an information and coordination hub for all non-governmental organizations, spokeswoman Jossi Syahrial said.

The Indonesian Red Cross also had sent at least two aid teams to the disaster zone. One aid shipment included about 400 body bags.

Urgent needs are expected to include clean water, food, blankets, clothing, medical attention, emergency shelter and hygiene kits, said Ita Balanda, a program manager for the World Vision aid organization in Padang, Indonesia.

An estimated 7,900 households were affected, she said.

"The worst hit area is North and South Pagai Island. Reports of villages flattened are coming from there," said Antorizon of the West Sumatra disaster management agency, who like many Indonesians goes by one name.

The first pictures from North Pagai Island showed damaged and flattened structures.

Monday's quake generated a "significant" tsunami, the Pacific Tsunami Warning Center said. Some of the missing might include people who are unaccounted for after fleeing to higher ground, said Henri Dori Satoko, head of the Mentawai Islands parliament.

Though communication poses a challenge in the remote area, some witnesses in West Sumatra reported seeing a wave 6 meters (nearly 20 feet) high. Other reports described the tsunami as being about 3 meters (almost 10 feet) high.

At least one village with a population of about 200 people was swept away, with only 40 people recovered, Satoko said.

Indonesia's government has since warned residents of West Sumatra province to stay alert and stay away from the coastline for up to five days because of the possibility of more earthquakes, Balanda said.

The city of Padang and the Mentawai Islands are at the meeting place of two tectonic plates, making them vulnerable to earthquakes and tsunamis.

On December 26, 2004, a 9.1-magnitude earthquake struck off northern Sumatra. A tsunami generated by that earthquake killed more than 225,000 people in 14 countries -- mainly India, Indonesia, Maldives, Sri Lanka and Thailand. The Indonesian region of Banda Aceh was hard-hit: About 150,000 died there.

To the east, on Java, the death toll from Tuesday's eruption of Mount Merapi has climbed to 32, medical officials said Thursday.

Merapi, which looms on the horizon north of the major city of Yogyakarta, is one of Indonesia's most active volcanoes and lies in one of the world's most densely populated areas. The volcano has a summit elevation of nearly 10,000 feet (3,000 meters).

Hundreds of displaced residents have crammed a small government building in Yogyakarta. Many had fled with only the clothes on their backs.

Some refused to flee, holding out to watch over their crops and livestock. Some residents awaited word from the traditional gatekeeper of Mount Merapi. But Maradjin, the gatekeeper, fell victim to the volcano as well.

He was to be buried Thursday. He died in his 80s, after being appointed about two decades ago by the last Sultan of Java. Maradjin's father was gatekeeper before him.

"Merapi is a house of spirits, which also means a living mountain," Maradjin told CNN in a 2006 interview. "When Merapi emits smoke, we have to be respectful."

CNN's Kathy Quiano, Paula Hancocks and Stan Grant contributed to this report.

@highlight

Death toll from earthquake and tsunami rises to 343

@highlight

Getting aid to villages in western Indonesia a logistics challenge

@highlight

Steam, ash rise from Mount Merapi volcano