A crisis so dire that families are fleeing to Syria. A militant threat so strong that  U.S. forces are striking from the sky. And political strife so tense that it could derail hopes for government stability.

As Iraq's political and humanitarian crises escalate at the same time, foreign countries are getting more deeply involved. Here's where things stand:

Tension in Baghdad

Iraqi forces and tanks surged into some Baghdad neighborhoods Sunday as a wave of troops swarmed Baghdad's Green Zone -- the secure area where many government buildings, the military headquarters and the U.S. Embassy are located, two Iraqi police officials said.

Exactly what led to the surge remains unclear. But some believe the beefed up military presence is part of a power struggle between second-term Prime Minister Nuri al-Maliki and newly elected President Fuad Masum.

"You've got Nuri al-Maliki refusing to step down. Now he's mobilized not just security troops loyal to him, but now he's mobilized army units to put tanks in the streets,"said retired Lt. Col. Rick Francona, a  CNN military analyst.

"Some of the bridges have been closed. It looks like he's trying to lock down the city in some sort of confrontation with the President, so this does not portend well."

Choosing a prime minister is a key next step for Iraq's leaders. Critics of al-Maliki have called for him to pull his name out of the running, but he's repeatedly refused.

Al-Maliki has accused Masum of violating the country's constitution by extending the deadline for Iraq's biggest political coalitions to nominate a candidate for prime minister.

But there could be another reason for more troops in the capital. Retired U.S. Marine Gen. James Williams said the stepped up security could be a response to advances by militants from ISIS, the Sunni Muslim extremist group that has now declared itself the Islamic State.

"It could be a show of force. If you're talking about protecting government buildings, there may be a sense that ISIS forces may be closer than everybody thinks at this point," Williams said.

"That could be a great sign for concern. But it may also be a concern that there's a coup afoot."

Airstrikes against ISIS

The threat of ISIS has been so strong that the U.S. military carried out a new wave of airstrikes Sunday against militant targets in Iraq.

American aircraft struck five targets within five hours Sunday, including armed vehicles and a mortar position, U.S. Central Command said.

Iraqi officials said U.S. airstrikes Saturday killed 16 ISIS fighters, and an Iraqi airstrike in Sinjar killed an additional 45 ISIS fighters, Iraq state media reported.

Last week, U.S. President Barack Obama authorized targeted attacks not only to protect Iraqi minorities from ISIS' killing rampage, but also Americans stationed in the Kurdish regional capital of Irbil.

Humanitarian nightmare

In their effort to create a caliphate across parts of Iraq and Syria, ISIS fighters have slaughtered civilians as they take over cities in both countries.

In Syria, the group put some of its victims' severed heads on poles. In another instance caught on camera, a man appears to be forced to his knees, surrounded by masked militants who identify themselves on video as ISIS members. They force the man at gunpoint to "convert" to Islam, then behead him.

In Iraq, one of the most dire humanitarian nightmares is unfolding on Mount Sinjar, where tens of thousands of Yazidis have been trapped.

Yazidis are part of one the world's oldest monotheistic religious minorities and have been targeted by ISIS. Their religion is considered a pre-Islamic sect that draws from Christianity, Judaism and the ancient monotheistic religion of Zoroastrianism.

Dozens of people including 60 children, have died on the mountain, where the Yazidis are battling extreme temperatures, hunger and thirst. On Sunday, Iraqi Ministry of Human Rights spokesman Kamil Amin said it was possible that as many as 500 Yazidis had been killed. The ministry had also heard reports -- but had not confirmed -- that some had been buried alive.

Who are the Yazidis? Why does ISIS want to kill them?

"It's difficult to be accurate about these numbers, but initially we have reported 500 Iraqi Yazidis have died from either ISIS direct killings or from starvation and dehydration," Amin told CNN. "We have heard some reports from activists and local journalists that some families were buried alive."

CNN is unable to authenticate reports regarding the Yazidi death toll or the allegation that some were buried alive.

Amin said Kurdish forces were able to break the siege by ISIS and help thousands of stranded Yazidis board trucks, which drove them to the Syrian border town of Hasaka near Iraq. They were then driven north along the Syrian-Iraqi border to Dohuk, a region in northern Iraq's Kurdish region.

On Sunday night, the U.S. military made a fourth airdrop of food and water to Iraqis stranded on Mount Sinjar, according to U.S. Central Command. In total, U.S. military aircraft have delivered more than 74,000 meals and more than 15,000 gallons of fresh drinking water, Centcom said.

Britain and France have said they will join the United States in the airdrops. A British C-130 cargo plane delivered aid to Iraq on Sunday, a Ministry of Defense spokesman said.

Iraqi security forces have been able to airlift about 100 to 150 people a day off Sinjar Mountain, said Marzio Babille of UNICEF, the United Nations' children's agency. But time is running out for many who cannot reach airdropped supplies.

@highlight

Iraqi forces and tanks enter Baghdad neighborhoods

@highlight

The U.S. carries out a new round of airstrikes against ISIS targets

@highlight

Thousands of stranded Yazidi Iraqis are rescued and taken to Syria