Washington (CNN) -- In many ways, the debate over taming the nation's spending and deficit beasts can be compared to a family's hand-wringing over what to cut, and what to keep, in tough times. It may be easy to nix "luxuries" like vacations and eating out. But should "essentials" like a car or a home be downsized or gotten rid of to save money?

Tough choices about what to keep, kill or cut back on are the kinds of things the nation's lawmakers are considering as they try to trim a $14 trillion debt.

Should familiar yet costly "essentials" -- entitlements like Medicare, the nation's health insurance program for seniors, and Medicaid, which provides health insurance for the nation's poor -- be phased out or dramatically overhauled?

House Budget Committee Chairman Paul Ryan laid out the Republican plan last week. It would radically overhaul Medicare and Medicaid while lowering top tax rates.

President Obama on Wednesday laid out his plan for long-term deficit reduction, renewing his call for ending the Bush-era tax cuts for families making more than $250,000 while strengthening Medicare and Medicaid.

The Tea Party's mantra to "stop the spending" largely refocused the national conversation on spending. Is it willing to see entitlement programs fundamentally changed?

Levi Russell, a spokesman for the Tea Party Express, says one way to reduce spending is to cut waste, overlap and excess in government programs.

And yet Russell also partially endorsed Ryan's plan, which would dismantle the current Medicare program starting in 2022 in favor or a voucher program, though it would not affect anyone who's 55 or older now.

"[The Ryan plan] addresses the fact that people who have paid their whole lives, that you don't want to put them into a hardship, through no fault of their own," Russell said. "At the same time, we need to make changes to the plan, for people who are younger."

"Medicaid is something we talk about like it's a God-given right, when it's only been around since the 1960s. It's a program that we phased in. We can easily start to phase it out," he said.

FreedomWorks, another prominent Tea Party group, echoed similar sentiments.

Adam Brandon, a spokesman, told CNN, "The first thing you have to do is roll back entitlements you can't afford. Second is moving them towards solvency. One of the best ways to do that -- especially for younger workers -- is through some kind of voluntary personal accounts."

And yet, Brandon acknowledged that his and other Tea Party support organizations would have a tough time selling such ideas to everyday Americans.

"It's part of our job to get out there and to educate and make sure that voters have a choice and understand what we're talking about," Brandon said. "We're not talking about throwing Grandma out on the street. What we are talking about doing is making hard, difficult decisions that are going to get the country, the fiscal house in order."

A fresh CNN/Opinion Research Corp. poll, released Wednesday, shows how steep the hill may be.

The poll finds that while Americans are nearly evenly split on whether Republican proposals to cut spending go too far, only three in 10 think the GOP budget treats all groups in society fairly, while seven in 10 believe that Republican proposals favor some groups over others.

Meanwhile, FreedomWorks advocates going beyond radically reforming familiar entitlement programs and calls for the elimination of some very familiar government functions.

Specifically naming the departments of Housing and Urban Development, Education, Commerce, Agriculture and Energy, Brandon said, "I think you could pretty much do away with the entire departments ... just eliminate them."

Norm Ornstein, a resident scholar at the American Enterprise Institute, doesn't think that will happen.

"I don't think you're going to find much appetite for that," he said.

Ornstein also criticized calls for dramatic overhauls of Medicaid and Medicare, especially as seen in the Ryan plan.

"You're really talking about ... shifting the cost of health care from where seniors pay about 30% to where they pay closer to 70%," he said.

"My guess is, at best, you're going to get a mixed reaction from that group to this set of proposals."

Though Ornstein feels that now is a good time to discuss the nation's debt problem, he equated lawmaker support for Ryan's plan to "falling on a grenade."

It "doesn't take a dime from Defense, or takes very little from Defense. And cuts taxes for the wealthy and for companies, even as it takes a lot out of Medicare and Medicaid. So it becomes a question of whether this is seen as fair," Ornstein said.

As many lawmakers frame the debate around protecting future generations, one noted historian says it's worthwhile to look at the past.

"Cutting and balancing budgets is never really, in the end, that big of history stuff," Rice University professor of history Douglas Brinkley told CNN.

"If I asked you, 'What did [President] Grover Cleveland do with his budget? What did [President] Benjamin Harrison do with his budget? What was [President] Taft's budget?' -- you wouldn't know. Because 100 years from now, people won't think about budget fights so much. But they're going to know, 100 years from now, that America pushed through civil rights acts in '64 and '65, America created Medicaid and Medicare ... NASA sent a man to the moon. Big stuff that happens in history is being done by the federal government, not by people just carping about it all the time."

Brinkley continued: "This sort of gutting mentality that the Tea Party has, a kind of visceral hatred of the federal government, it comes out of a lack of historical understanding and appreciation."

Calling Medicaid and Medicare "wildly successful programs," Brinkley said that the Republican Party has been trying roll them back for decades.

"I think if they're given a magic wand, they would melt them away."

And Brinkley had a warning and prediction.

"Not just Congressman Ryan, but if the main Republican candidate for president said he wants to shut down Medicaid and Medicare, if that happened, welcome to the second Obama term."

@highlight

Lawmakers consider what to keep, kill or cut back on as they try to trim a $14 trillion debt

@highlight

GOP plan would radically overhaul Medicare and Medicaid while lowering top tax rates

@highlight

President Obama wants to end Bush-era tax cuts, strengthen Medicare and Medicaid

@highlight

Tea Party Express spokesman wants to cut waste, overlap and excess in government programs