Prosecutors in Billings, Montana are looking for legal standing to fight a 30-day sentence handed down to a teacher who admitted to raping his 14-year-old student.

The girl later took her own life.

"This case is very important. As I've said before, this resulted in the loss of one of our young people in my community," said Scott Twito, a prosecutor with the Yellowstone County attorney's office. "We take these charges very seriously. And we fight for those victims."

He said he strongly disagrees with the sentence District Judge G. Todd Baugh gave to Stacey Dean Rambold this week.

CNN obtained a copy of a memo from Twito's office to the Montana attorney general's office, which is reviewing the case.

In the letter, attorneys argue the relevant statue was "misapplied and the minimum sentence that could be imposed in Rambold's case was two years."

As prosecutors weigh a possible appeal, hundreds of protesters rallied at a Billings courthouse Thursday, demanding the judge step down.

The protest was organized in part by the National Organization for Women. Demonstrators waved signs and called for a review of Baugh's prior caseload, a reporter from CNN affiliate KTVQ said.

One poster read simply: "Resign." Another said: "Justice 4 Cherice," referring to the teenage victim in the case, Cherice Moralez.

"The demand and goal of this is to ask the judge to resign. The broader message is to really unite as a community against victim-blaming," said protest organizer Sheena Davis, adding that the protest aimed to address "a larger issue on how we protect children from rape in this justice system."

So far, more than 33,000 people have signed a petition at MoveOn.org, demanding that Baugh resign.

"I told them the judge was wrong"

Cherice's mother is outraged that Rambold, who admitted raping the girl while he was a teacher at her high school, received only a month in prison, whereas Cherice took her own life.

"It discourages other kids from coming forward. If they come forward, what's going to happen? Nothing," Auliea Hanlon, told CNN in an interview that aired Thursday night.

She struggled to speak as she talked about trying to explain the sentence to her other children.

"They said, 'Oh, did he hurt her mom?' Well, yes he did. 'Oh, what happened to him?' Nothing," she said, adding: "I told them the judge was wrong."

In earlier interviews, Hanlon said she was particularly upset that the judge said Cherice "seemed older than her chronological age" and was "as much in control of the situation" as the teacher.

"How could she be in control of the situation? He was a teacher. She was a student. She wasn't in control of anything. She was 14," Hanlon told CNN.

Baugh apologized on Wednesday.

"I made some references to the victim's age and control," he told KTVQ. "I'm not sure just what I was attempting to say at that point, but it didn't come out correct. What I said was demeaning to all women, not what I believe in and irrelevant to the sentencing."

About the sentencing itself, Baugh said he would file an addendum to the case file to "better explain" his rationale.

Case details

The case began in 2008 when Cherice, then 14, was a student at Billings Senior High School and Rambold, then 49, was a teacher.

Hanlon claims Rambold's "pre-sexual grooming" of her daughter led to the pair having sex.

School officials learned of the relationship, and Rambold resigned.

Later that year, authorities charged Rambold with three counts of sexual intercourse without consent.

"It's not probably the kind of rape most people think about," Baugh said. "It was not a violent, forcible, beat-the-victim rape, like you see in the movies. But it was nonetheless a rape. It was a troubled young girl, and he was a teacher. And this should not have occurred."

As the case wound its way through the legal system, Cherice committed suicide. She was a few weeks shy of her 17th birthday.

"As a result of the sexual assault and its aftermath, (Cherice) experienced severe emotional distress, humiliation and embarrassment and fell into irreversible depression that tragically led to her taking her own life on February 6, 2010," Hanlon said in a complaint filed against Rambold.

Hanlon told CNN the relationship was to blame for her daughter's death.

"Well, it definitely had something to do with it," she said. "A teenager's whole life is about school and their friends, and he turned everyone against her."

NYC police: Teacher accused of raping 10-year-old student

The agreement

With Cherice's death, the prosecution entered into what is known as a "deferred prosecution agreement" with Rambold.

This meant that all charges against Rambold would be dismissed if he completed a sex-offender treatment program and met other requirements. One of them was to have no contact with children.

Rambold admitted to one of the rape charges.

But the ex-teacher fell short of the agreement.

"He had some contacts with nieces and nephews in a family setting and other adults were present," Baugh said.

He also had relationships with women that he didn't tell his counselors about.

"That is a violation from his deferred prosecution so he was dropped from the plan."

As a result, the case was revived in December 2012.

Canadian teen commits suicide after alleged rape

The hearing

At a hearing Monday, prosecutors asked the judge to send Rambold away for 20 years.

The defense argued that Rambold has suffered enough. His lawyers said he lost his career and his marriage and has the "scarlet letter of the Internet" due to the publicity surrounding the case, the Billings Gazette reported.

Baugh ruled that Rambold's infractions weren't serious enough.

"He made some violations of his treatment program," he said. "They were more technical and not the kind you would send someone to prison for."

He sentenced Rambold to 15 years in prison. Then, he suspended all but 31 days of the sentence, according to the Yellowstone County District Court.

In addition, the judge gave him credit for one day he spent in jail.

Incredulous at what had happened, Hanlon shouted at the court, "You people suck!"

"She wasn't even old enough to get a driver's license," Hanlon said in a statement released by her attorney. "But Judge Baugh, who never met our daughter, justified the paltry sentence saying she was older than her chronological age. I guess somehow it makes a rape more acceptable if you blame the victim, even if she was only 14."

Baugh has defended his ruling. He told CNN he believes Rambold is "treatable" and a "low risk to re-offend."

Two videotaped interviews with Cherice -- one with the police department and one with the defense attorney -- were played in court, he said.

"She seemed older than her chronological age," Baugh said. "Basically what we had was a troubled young girl."

He added, "I simply did not have the evidence to conclude that her taking her life was because of her sexual offense by Mr. Rambold."

Indian girl commits suicide over alleged gang rape

@highlight

"I told them the judge was wrong," the victim's mother tells CNN

@highlight

Protesters rally against Judge G. Todd Baugh at a Billings courthouse

@highlight

Cherice Moralez, 14 when she was raped, committed suicide before her 17th birthday

@highlight

Baugh apologizes for saying teen rape victim shared "control" of situation