(CNN)Last week, in an unusually public display of campaign discord, a clash between Hillary Clinton political operatives erupted in full view when David Brock, a liberal activist and staunch Clinton supporter, announced his resignation from the board of Priorities USA, a pro-Clinton super PAC.

Brock was not going quietly. His resignation letter contained a bold claim -- that leaders at Priorities USA were feeding newsgroups devastating stories about his fundraiser, undermining his ability to raise money. By Brock's account, his colleagues within Team Hillary were orchestrating his demise.

Setting aside a debate on the accuracy of Brock's assertion, there's an interesting psychological perspective to be raised about why campaign squabbles like this are already cropping up for the Clinton campaign and why we can expect more of them.

Unlike her competitors on the Republican side, Clinton is the clear frontrunner for Democrats. And while intuitively we might expect that fewer primary contenders would allow Clinton to snatch up her party's most talented consultants, enabling her to form a stronger, more disciplined campaign team, research suggests that too much talent in a group can actually undermine performance.

We often assume that adding more talented players to a team will lead to better outcomes. But a close look at the data reveals a different story.

Last year, a research team led by Roderick Swaab, professor of organizational behavior at INSEAD, released a paper looking at the relationship between the percentage of stars on an NBA team and the team's win-loss record. The results were striking. A greater concentration of stars did predict more wins, but only up to a point.

As it turned out, the teams with the most stars performed dramatically worse than those with considerably less talent. (Think 2004 Los Angeles Lakers, whose roster included likely hall-of-famers Shaquille O'Neil, Kobe Bryant, Karl Malone and Gary Payton, being nearly swept in the finals by the Detroit Pistons -- a team whose best-known player was Ben Wallace.)

And it's not just basketball. When Swaab and his colleagues turned their attention to World Cup soccer teams, they found results that were eerily comparable. Once again, too much talent predicted fewer wins.

Researchers at Harvard Business School discovered a similar pattern among Wall Street analysts. When star performers are grouped together, they produce reports that clients find less impressive than teams with a more diverse pool of analysts.

All of which raises an obvious question: Why are so many talent-heavy teams falling short?

The reason is simple. Top performers are accustomed to status, and status is a limited resource. When stars are pooled together, they tend to compete with one another for status, and that competition is distracting. It gets in the way of effective teamwork.

Hillary Clinton's unparalleled political clout has cleared the field among Democrats, giving her the opportunity to build a political all-star team. But paradoxically, having unrestricted access to top-notch operatives might be a significant weakness.

There's a tipping point for talent. And Team Hillary may be on the wrong side of it.

So what can you do when you have a talent-heavy team and need to ensure collaboration? Recent studies on the psychology of teamwork offer insights that can help any group collaborate more effectively. Here are a few that may help the Clinton's team establish a more cohesive unit.

The first tip: Establish a very clear hierarchy. Clinton has resisted officially declaring her candidacy, which is sound strategy considering that she's the favorite. However, given the high-powered makeup of her team, a lack of formal hierarchy early on can be problematic in the long term. When structure is wanting and power is up for grabs, competition and status conflicts arise more easily.

A related insight: Provide differentiated roles to team members, right at the start. We work better with others when our job is unique and doesn't overlap with others' responsibilities. Too much similarity between jobs leads to competition, which can hinder collaboration.

The Washington Post recently reported that some senior staff members are signing on without salary, start date or job descriptions. Presidential campaigns are short and intense, and no one expects a formal HR orientation process. Yet bringing people on without specifying their roles neglects getting their buy-in and makes it more likely they'll reach beyond their prescribed function later on.

Finally, when working with a talent-rich team, instead of simply rewarding individual performance, it's wise to establish group goals that can only be achieved when teammates band together. Group goals force people to view their success as a function of their team's performance, which is critical.

As Swaab, lead author of the "too much talent effect" research puts it, when dealing with a team of all-stars, "the bottom line is you have to create a more cooperative mindset."

There's little question that Clinton's campaign team will be among the most experienced and talent-rich in the history of politics. And like any high-achieving group, its members stand to benefit from leveraging the science of top performance.

@highlight

Tensions have already emerged among Hillary Clinton's potential presidential campaign team

@highlight

Ron Friedman: Research shows that teams with too much high profile talent can fail