The number of service members anonymously reporting a sexual assault grew by more than 30% in the past two years, according to a Pentagon report released Tuesday.

The Defense Department estimated that more than 26,000 troops experienced an episode of "unwanted sexual contact," a huge jump from the 19,300 figure in the 2010 report.

"Sexual assault is a despicable crime and one of the most serious challenges facing this department," Defense Secretary Chuck Hagel told reporters at a briefing on the survey.  "It's a threat to the safety and the welfare of our people and to the health, reputation and trust of this institution."

The actual number of sexual crimes reported in the fiscal year 2012 was 3,374, a 6% increase over the previous year, the report said. Military officials worry that many victims don't come forward because they are frightened of retaliation. But the numbers might indicate that more victims are willing to report crimes than in the past.

After officer charged in sex assault, military faces questions

Hagel said victims need to be made confident they can rely on the military's justice system and that commanders will be held responsible.

On Tuesday, lawmakers reiterated that it's crucial that service members feel they can come forward when they've been violated.

The Defense Department has stepped up efforts to hold perpetrators accountable, establishing a special victims unit to handle cases, working to improve tracking of reports and speeding transfers for troops who report a sexual assault by a member of their unit.

But President Obama stressed that there must be a harder push in the military to reduce sexual assaults involving service members.

"I don't want just more speeches or awareness programs or training but ... if we find out somebody is engaging in this stuff, they are going to be held accountable," Obama said. "Prosecuted, stripped of their positions, court-martialed, fired, dishonorably discharged. Period. It is not acceptable."

Maj. Gen. Gary Patton, the head of the Sexual Assault Prevention and Response Office for the military, said that while the prevalence rate was "unacceptably high," the report did indicate one positive trend. The percentage of people who initially filed restricted reports (That remain confidential) but changed to unrestricted had risen.

After sex assault case, Hagel seeks changes to military legal process

"We see that as a sign of victim confidence, willingness to ... take their case into the law enforcement realm," he said.

The Defense Department data from 2010 to 2012 found that the prevalence of unwanted sexual contact increased for active duty women and remained unchanged for active duty men, and men and women in the reserves.

Meanwhile on Tuesday, top Air Force officials faced questions at a Senate Armed Services Committee hearing about an Air Force officer accused of sexual assault.

Lt. Col. Jeffrey Krusinski, 41, served as a branch chief for the service's Sexual Assault Prevention and Response program. He was arrested and charged with sexual battery over the weekend and had been removed from current duty, an Air Force official said Monday. The official declined to be named because it is an ongoing law enforcement matter.

Democratic Sen. Claire McCaskill of Missouri asked Air Force Chief of Staff Gen. Mark Welsh and Air Force Secretary Michael Donley what qualified Krusinski for the job in the sex assault prevention program.

Krusinski is a personnel officer by training and has spent the last two-and-a-half years working on Air Force staff in policy, Welsh replied.

"He was a force support squadron commander before coming to the Pentagon." Force support squadron addresses issues such as sexual assault coordination councils in active Air Force units, Welsh said. "He's been around the business his entire career as a personnel officer."

Democratic Sen. Kirsten Gillibrand of New York had strong words.

"If the man in charge for the Air Force in preventing sexual assault is being alleged to have committed a sexual assault this weekend obviously there's a failing in training and understanding of what sexual assault is and how corrosive and damaging it is to good order and discipline and how it is undermining the credibility of the greatest military force in the world," she said. "This is not good enough."

McCaskill pressed Donley and Welsh.

"Did you look at his file for any kind of problems related -- I mean, clearly, the accusation is that he was drunk and sexually attacked a complete stranger in a parking lot," McCaskill said. "It is hard for me to believe that someone would be accused of that behavior by a complete stranger and not have anything in their file that would indicate a problem in that regard.

"Have you looked at his file and determined that his file was absolutely pristine?" the senator asked.

Military rape victims: Stop blaming us

"Senator, I looked at his officer record of performance which is all I could access last night. I talked to his current supervisor," Welsh said. "I haven't talked to people who knew him or supervised him in the past. There is no indication in his professional record of performance or his current work place that there's any type of a problem like this."

Earlier Tuesday, Welsh said sexual assault response efforts are critically important to the Air Force and the branch "would not quit working this problem."

In March, members of the military who were sexually assaulted gave dramatic and anguished testimony to congressional lawmakers.

A former Army specialist described being raped in two different instances while she was in the service and how she felt that the military's chain of command was failing at consistently prosecuting and convicting offenders.

At that hearing, high-ranking members of each branch assured lawmakers that they were working hard to end sexual assault in the armed forces.

Lt. Gen. Richard C. Harding, an Air Force judge advocate general, told lawmakers that the branch started a program in January that provides airmen who report being victimized with an attorney to represent them.

The attorneys operate independently of the prosecution's chain of command, he said.

Read the entire testimony from March

@highlight

Study sought to survey 108,000 troops, only 24% responded

@highlight

Defense department extrapolated figures from results

@highlight

Hagel: "One of most serious challenges" for the armed services

@highlight

Air Force officials face tough questions from senators