As the shock sinks in of North Korea's extraordinary announcement of the execution of leader Kim Jong Un's uncle and former protector, government officials and analysts are trying to decipher what the brutal move means.

The ruthless disposal of Jang Song Thaek -- Kim's uncle by marriage who had, until recently, been regarded as the second-most powerful figure in the secretive, nuclear-armed nation -- has serious implications for North Korea, its neighbors and the United States, observers said.

But exactly what is going on inside the notoriously opaque North Korea regime remains as murky as ever.

"We don't have a clear sense of this at all," said Victor Cha, a senior adviser at the Center for Strategic and International Studies who represented the United States in nuclear talks with North Korea.

Some saw the execution, which North Korean state media reported early Friday, as a chilling demonstration of total control by Kim, the young leader who came to power two years ago.

"I think what he's telling people -- the United States, South Korea, China, others -- is that he is his own man, that you are going to have to deal with him," said Philip Yun, executive director of the Ploughshares Fund, a nuclear nonproliferation group.

Who is Jang?

Jang, who was married to Kim's aunt, was vice chairman of North Korea's top military body and had often been pictured beside the young leader, who is believed to be around 30. He was considered to be the regent who secured Kim's assumption of power after the 2011 death of his father, Kim Jong Il.

But in a lengthy article foaming with outraged rhetoric, North Korea's official news agency on Friday accused Jang of trying to overthrow the state, describing him as "despicable human scum."

One big question is whether Kim acted out of strength, consolidating the power he has amassed over the past two years, or out of fear his uncle was building a rival force inside the regime.

Kim already removed the country's top general last year, Cha noted. By taking down Jang, he's axed a powerful figure from the country's dominant Workers' Party.

"It makes you wonder: If he's consolidating his power, what is he building it around?" Cha said. "He's basically attacking the two most important institutions in North Korea, which is the party and the military."

A U.S. official said, "Executing someone with Jang's pedigree would be a dramatic statement that Kim Jong Un intends to be ruthless in consolidating his control.

"The public airing of the power play under way -- which is highly unusual -- is probably sending shockwaves through North Korea's leadership cadre."

Provocative moves

Few analysts interpreted the execution, which took place days after the North had said Jang had been dramatically removed from his government posts, as a healthy sign.

"If two weeks ago, we thought that North Korea was somewhat stable, I think today people feel that it's not as stable as we thought it was," said Cha, author of "The Impossible State: North Korea, Past and Future."

Suh Sang-ki, a lawmaker in South Korea's governing Saenuri Party who sits on a parliamentary intelligence committee, said the decision to kill Jang suggests Kim's power is weaker than that of his father.

In a statement issued after a phone briefing from South Korea's National Intelligence Service, Suh said the execution appeared to be a pre-emptive effort to prevent any internal unrest over Jang's ouster.

Analysts said North Korea was likely to continue with the provocative moves under Kim that have strained its relations with South Korea, the United States and others.

"I think there's going to be a clear amount of brinksmanship," said Yun of the Ploughshares Fund. "I think if we continue to wait for him to do things, he's going to continue to shoot missiles, and he'll probably at some point decide to test a nuclear weapon."

Missile and nukes

North Korea carried out a long-range rocket launch a year ago and an underground nuclear test, its third so far, in February. The U.N. sanctions that followed were met by a barrage of threatening rhetoric from Pyongyang, directed at South Korea and the United States, which ratcheted up tensions in the region.

The situation has calmed since, and the North and South have resumed dialogue. The two sides have agreed to meet next week in their joint industrial zone on the North's side of the border.

But with the anniversary of Kim Jong Il's death, last year's rocket launch and now Jang's execution, Seoul is keeping a close eye on Pyongyang's actions, officials said.

The South Korean defense ministry said Friday that no unusual activities by the North Korean military had been detected.

"December has always been a month in which something happens with North Korea," Cha said. "And we're only halfway through it."

In Washington, a State Department official acknowledged having seen the report of Jang's execution. "While we cannot independently verify this development, we have no reason to doubt the official KCNA report," deputy spokeswoman Marie Harf said in a statement, referring to North Korea's state news agency.

"If confirmed, this is another example of the extreme brutality of the North Korean regime. We are following developments in North Korea closely and consulting with our allies and partners in the region," Harf added.

China, whose senior officials were considered to have close ties to Jang, described the recent developments as North Korea's "internal affairs."

Beijing hopes and believes that relations between the two countries "will continue (to) advance healthily and steadily," Hong Lei, a foreign ministry spokesman, said at a regular briefing Friday.

Opinion: How Kim Jong Un got rid of his uncle

'Worse than a dog'

The official North Korean report on the execution said a special military tribunal had been held Thursday against Jang, who was accused of trying to overthrow the state "by all sorts of intrigues and despicable methods."

It added, "All the crimes committed by the accused were proved in the course of hearing and were admitted by him."

Once his guilt was established, Jang was immediately executed, it said.

The KCNA report described Jang as a "traitor for all ages" and "worse than a dog," saying he had betrayed his party and leader.

Jang and his allies were accused of double-dealing behind the scenes, "dreaming different dreams" and selling the country's resources at cheap prices, thereby threatening North Korea's economic development, according to a KCNA statement this week.

"Jang desperately worked to form a faction within the party by creating illusion about him and winning those weak in faith and flatterers to his side," the statement said.

It also accused Jang of womanizing, drug use, gambling, eating at expensive restaurants and undergoing medical treatment in a foreign country.

Friday's KCNA report said Jang distributed pornographic pictures among his confidants and took at least 4.6 million euros ($6.3 million) "from his secret coffers and squandered it in 2009 alone."

Analysis: North Korean execution raises more questions than answers

@highlight

North Korea seems "not as stable as we thought," one analyst says

@highlight

Some observers warn a provocative move like a missile or nuclear test could follow

@highlight

Jang Song Thaek was married to Kim's aunt, was vice chairman of the top military body

@highlight

North Korea state media say Jang was convicted and executed