(CNN) -- Now that the urgent business of the government shutdown and the debt ceiling is over, it is a good time for Republicans to stop and think. Below is an excerpt from the strategy memo I shared with House Republicans Wednesday morning on the situation currently facing the Republican Party. I believe that with the right approach and an emphasis on a better future for all Americans, we can win and govern in 2014, 2016, and beyond, but that it will take some profound rethinking of how to make our case to the American people.

The current situation

The left, broadly speaking -- President Barack Obama, most of the news media, left-wing interest groups, Democrats --believes it sees an opportunity to create a wave election similar to those of 1994, 2006, 2010 and retake majority control of the House of Representatives.

Their goal is to describe the Republican Party as an unacceptably radical party and defeat individual candidates by suppressing Republican turnout, driving independents away from Republicans and maximizing turnout of the Democratic base.

In particular, efforts to control spending in Medicare and Medicaid and to reduce or eliminate funding for left-wing activities will consistently be described as radical and unacceptable. Reading the polls after the recent government shutdown, the left believes (mistakenly, I think) that this model is now even more likely to succeed.

Those same polls also reveal extraordinary opportunity for Republicans. The fact is that Americans are fed up with Washington, not just with Republicans. They believe America is on the wrong track, and Obama's approval rating is now among lowest of his presidency.

While Republicans are currently on defense, the failures and costs of Obamacare, the continuing weak economy in jobs and take-home pay, growing government debt, and inevitable failures of bureaucratic big government will only make it more obvious that Washington and the bureaucracy is hopelessly broken. And the Democrats have very publicly reaffirmed themselves as the party of big government bureaucracy, most recently with the launch of Obamacare.

Republicans could respond to these failures of government by becoming the Party of Austerity. But the Party of Austerity can rapidly reduce its supporters as people are told what the austerity means for them personally. Policies of pain almost never work in the absence of a large crisis. They might also play into the Democrat caricature of Republicans as radical and unacceptable.

There is a different strategy, however, which could dramatically unlock the current policy gridlock in Washington and create a new conversation in which Americans find the Republican Party to once again be the party of hope and opportunity (as it was in the Reagan years and in the 1994 Contract with America campaign).

GOP: Website woes create fresh opening to go after Obamacare

An historic opportunity

The dramatic breakthroughs in science, technology, and entrepreneurship are creating new policy opportunities for a better future with a better economy, more take-home pay, better health, more learning, greater national security, a better, smaller, modernized government, and a balanced federal budget.

In Washington insider terms, this sounds like a fantasy or an impossibility. In the dynamic world outside Washington, all of these capabilities are increasingly obvious but outside the political news media, the political language, and the thinking of politicians and their staffs and their consultants.

This historic opportunity requires a very substantial change in the thinking and behavior of Republicans, and there will be enormous resistance to the change.

A key Republican goal should be to have 80% of all communications for the next four years be positive -- about exciting breakthroughs, exciting opportunities, and a better future for virtually all Americans.

Nothing would do more to defeat the left's current strategy than a positive Republican Party focused on opportunities for the future.

Opinion: Immigration reform would help GOP

Offering Americans a better future

Our premise is that new science, technology, and entrepreneurship can lead to:

● A rapidly growing economy with more jobs, more take-home pay and more economic opportunity;

● A new system of better learning at lower cost for your entire lifetime;

● A dramatic improvement in health outcomes and reduced costs leading to longer lives, greater independence for the elderly, and a dramatic increase in high-value jobs marketing American health innovations throughout the world;

● A modernized government that is much less expensive, more effective, and more reliable and accountable;

● A better environment through sound science, entrepreneurship, and focused problem-solving;

● A stronger, leaner, less wasteful national security system;

● A balanced budget within a decade through a combination of:

-- greater economic growth;

-- more government revenues from a larger economy and from royalties from energy and other natural resources;

-- dramatic modernization of government to reduce waste and eliminate fraud;

-- breakthroughs in health dramatically lowering the cost of health care;

-- returning power to the states and to the people.

Opinion: 3 ways to avert Washington's next disaster

Budget Conference strategy

Republicans in the Budget Conference should focus first on economic growth, second on increased revenue through increased energy royalties, third on modernizing government to reduce fraud and theft, and fourth on dramatic opportunities for better health outcomes at lower costs.

A tax increase for entitlement cuts agreement is a pain-pain agreement and can't possibly achieve our goals or be supported by the American people.

There is no democracy in our lifetime that has sustained an austerity-led reform program.

We need a new model of budget breakthroughs and this formula creates a new focus on a positive, opportunity-oriented future.

What we are proposing is to replace the argument of more versus less with an argument of better future versus failed present.

Today we have Republicans who want more savings and less taxes versus Democrats who want less savings and more taxes. Neither side is arguing for rethinking the fundamentals, learning from non-Washington developments, and modernizing government systems and policies.

Better future vs. failed present would be a profound change in the very nature of the national debate.

The opinions expressed in this commentary are solely those of Newt Gingrich.

@highlight

Newt Gingrich: Democrats see an opportunity to win back control of the House

@highlight

He says Republicans will be painted as opponents of entitlement programs

@highlight

Gingrich: GOP shouldn't look for a deal to rein in entitlement spending and raise taxes

@highlight

Gingrich: Agenda should be a future of innovation in contrast to past government failures