(CNN) -- A few weeks ago, Emmanuela Kolman brought home her middle-school report card. She got an A in band, and her parents couldn't be prouder.

Any parent would be pleased by an A. But for 13-year-old Emmanuela, who goes by Mano, that A in band is a symbol. It represents eight months of hard work, a collection of new skills, and, most importantly, a complete turnaround in Mano's social and academic life.

Mano has high-functioning autism. That means she walks and talks a little differently than other kids, her parents say, and she's "painfully aware" of these differences. Some students at her Staunton, Virginia, middle school treat her "as someone who is not very cool," said her father, Barry.

Mano has few friends and frequently eats lunch by herself. She sometimes comes home crying because of teasing. She also experiences sudden outbursts of anger and frustration.

Luckily, Mano has the dream team of parents on her side. Barry is a clarinetist and music professor at Washington and Lee University. Her mother, Grace, is a counselor working toward her Ph.D. in counseling and supervision at James Madison University. Last summer they were trying to come up with a strategy to help Mano deal with some of the bullying problems at school and decided to attempt an experiment: Barry would start giving her clarinet lessons.

Why did they think music would help? There were a variety of reasons, from emotional to scientific.

Her father thought it would help Mano "channel her frustration through music." Her mother was interested in the neuroscience behind how the brain deals with music.

"We cannot prove anything, but there are many studies that say how the brain can change when you do music-making ... the part of the brain that wasn't working very well has to find another way to work."

This is your brain on music

Plus, they both desperately wanted to give Mano a social outlet and help her become part of a group.

So they began. Barry had taught clarinet to other kids Mano's age but never someone with autism. He immediately learned he would have to adjust his teaching style.

The first lesson, they spent 30 minutes just putting the instrument together.

"With autism, you really need to do one thing at a time," he said. "In music, you usually give about four or five commands per sentence, but for children with autism, you just can't do that. They kind of freeze; they don't know what to do first. So I had to kind of slow down."

He learned to speak Mano's language, too. When she described the different kinds of notes on a page of sheet music as looking like different types of chocolate -- dark or white -- he went with it.

"There are so many things just to get a note, all this coordination, which is very important in Mano's case," he said, explaining that it's sometimes difficult for children with autism to perform several tasks at the same time.

But once she got it, Mano took to the clarinet "like a duck to water." Her parents noticed changes in her almost right away. It's been less than a year since she started playing and already, they say, her speech has improved and she's more focused in school, which has led to better grades.

Although neither of Mano's parents is technically a music therapist, data published in the Journal of Music Therapy backs up their observations. A 2005 study showed that people with autism who participated in music therapy for a year improved by at least 25% in one of five areas of focus, including behavior/psychosocial and language/communication.

According to the American Music Therapy Association, which publishes the journal, "Research supports connections between speech and singing, rhythm and motor behavior, memory for song and memory for academic material, and overall ability of preferred music to enhance mood, attention and behavior to optimize the student's ability to learn and interact."

Everything I need to know, I learned in music class

But by far the biggest change the Kolmans have seen has been the improvement in Mano's social life.

"Playing music can soothe the pain of isolation and provide a safe space where she is accepted," said Barry.

Before, Mano wasn't part of a group. Now she has the band. Her parents can tell from the way she brags about being a member that it's made a world of difference.

Mano's mother cried as she described how being part of the band has affected Mano -- and the whole family.

"I wanted her to have an experience where she would feel good about herself -- that the bullying would be so small in the world that she would not fill herself with anger," she said. "And this was a big change. I think the way she's dealing with bullying now is much different. She's not coming home crying as before. It's such a relief."

Barry keeps a journal about the results of teaching Mano clarinet, and he's posted suggested lesson plans for children with autism on his website. The Kolmans, who have spoken and written about their experience (including on CNN iReport) so that others can benefit, say they've received dozens of e-mails from parents of children with autism.

They're planning to write a book or manual about their method, and they presented a paper, titled "Autism Spectrum: Emotional Regulation through Clarinet Lessons," at last year's Virginia Counselors Association convention.

As for Mano, she just loves to play in the band. When asked about the experience of taking clarinet lessons from her dad, she replied, simply, "He's the best."

@highlight

Barry and Grace Kolman taught their daughter clarinet to help her cope with bullying

@highlight

Mano, who has autism, started playing in her middle school band last fall

@highlight

Her parents say it's given her a social outlet and a way to express her feelings

@highlight

They hope to publish a book so other children with autism can benefit from music