(Health.com) -- Four doses of rabies vaccine are enough to prevent infection in most kids exposed to the deadly virus, according to a new policy statement from the nation's largest organization of pediatricians.

Between 20,000 and 40,000 people in the U.S. receive the rabies vaccine each year, usually after being bitten by an animal. The standard vaccine regimen has been five shots over a 28-day period, but recent research has shown that the vaccine works in just four (or even three) shots.

The American Academy of Pediatrics is now recommending that children who have potentially been exposed to rabies receive four shots in two weeks. (Children with weakened immune systems should continue to receive the five-shot regimen, the group says.) This recommendation affirms a set of 2010 guidelines for all ages from the Centers for Disease Control and Prevention.

Health.com: 12 vaccines your child needs

The policy change is designed in part to avoid shortages of the vaccine, says Rodney E. Willoughby, M.D., a professor and pediatrician at the Medical College of Wisconsin, in Milwaukee, who helped write the policy statement in this week's issue of the journal Pediatrics. The most recent such shortage, in 2009, required public health officials to ration rabies shots.

The change will also minimize the small chance of side effects (such as hives and swelling) associated with the vaccine, says Brett Petersen, M.D., an epidemic intelligence service officer in the CDC's rabies department. "It's a very safe vaccine, but at the same time it does carry some risks," he says. "We want to limit the number of doses we're giving to people."

Lowering the dose will also save nearly $17 million a year in health-care costs, the CDC estimates.

Health.com: 8 ways to make shots easier for kids

The rabies virus causes brain swelling that is almost always fatal, but the vaccine is 100% effective when given in time. In the U.S., just two to three people are infected with rabies each year.

Rates of rabies in the U.S. began falling in the 1950s, when local governments began requiring that dogs be vaccinated against the disease. Most states now require cats to get the shots too.

Wild animals -- especially bats -- are by far the most common cause of rabies exposure in the U.S. Bat bites, which typically occur when a person finds a bat in his home and tries to shoo it out, are responsible for 80% of cases in which the vaccine is given, Willoughby says.

"Bats are about the size of mice and they have very small teeth, and so if you have a bat fly into you or bump you, that bat may have just bitten you and you may not appreciate it," he says. "The bat bite looks like a staple wound, and that's enough to get rabies into you and kill you."

Health.com: Vaccines adults need now

For nearly a century after Louis Pasteur invented it in 1885, the rabies vaccine was made from ground-up animal brains and spinal cords. These vaccines -- "really scary things, which were designed to prevent an even scarier disease," Willoughby says -- were painful and dangerous, causing serious neurological damage in about 1 in every 1,000 people who received them. They weren't very potent, however, so as many as 21 of the shots were required.

In the 1970s, the first vaccines made from weakened rabies virus grown in cell culture became available. These shots, which are still used today, are much safer and more effective than the old-fashioned rabies shots, and are delivered into the upper arm or thigh.

Children are much more likely than adults to be exposed to rabies. Kids are less likely to fear wild animals,  Willoughby says, and because of their small stature, they are more likely to be bitten in the face or neck, which means the virus can travel to the brain much more quickly.

A key strategy for protecting kids against rabies is to teach them a healthy fear of wild animals, he adds. "Wild animals are to be admired from a distance, and not approached or picked up."

Copyright Health Magazine 2010

@highlight

Between 20,000 and 40,000 people in the U.S. receive the rabies vaccine each year

@highlight

The standard vaccine regimen has been five shots over a 28-day period

@highlight

Wild animals are by far the most common cause of rabies exposure in the U.S