Washington (CNN) -- Democratic congressional leaders unveiled a long-awaited $940 billion compromise health care plan Thursday, setting the stage for a final legislative showdown on President Obama's domestic priority.

White House press secretary Robert Gibbs announced that Obama had decided to delay an upcoming trip to Australia and Indonesia to help push the bill over the finish line. The president had been set to depart Washington on Sunday, the same day that the House of Representatives is likely to vote on the measure.

Watch Gibbs defend health plan maneuver

"I'm sure he wants to be here for the history," said House Speaker Nancy Pelosi, D-California.

If enacted, the measure would constitute the biggest expansion of federal health care guarantees since the enactment of Medicare and Medicaid more than four decades ago. It would extend insurance coverage to an additional 32 million Americans, according to a preliminary analysis from the nonpartisan Congressional Budget Office.

Among other things, the plan would expand Medicare prescription drug coverage, increase federal subsidies to help people buy insurance, and ban denials of coverage for pre-existing conditions.

It seeks to bridge the gap between previous House and Senate bills partly by watering down and delaying the implementation of a tax on high-end insurance plans.

As with earlier House and Senate plans, it includes significant reductions in Medicare spending, in part through changes in payments made under the Medicare Advantage program.

It also eliminates a deeply unpopular provision in the Senate bill that exempts Nebraska from paying increased Medicaid expenses.

The compromise plan would cut the nation's deficit by $138 billion over the next 10 years, according to the Congressional Budget Office. It would further reduce the deficit by more than $1 trillion in the following decade.

The full House is now tentatively set to consider two measures Sunday: the $875 billion plan passed by the Senate in December and the compromise, which would bring the total to $940 billion.

The compromise plan cannot become law if the Senate bill is not also enacted.

If the Senate bill passes, it would go to Obama to be signed into law. If the revisions unveiled Thursday are also approved, they would still have to clear the Senate.

House members unhappy with the less expansive Senate bill have received assurances from top Senate Democrats that they will pass the $940 billion compromise. House Democrats pushed hard to ensure the compromise included an expansion of subsidies to low- and middle-income families, as well as a reduction in the tax on high-end "Cadillac" plans.

Rep. Henry Waxman, D-California, told reporters Thursday that the budget office's cost estimate "will go a long way to get [fiscally conservative Democrats] to feel comfortable with the legislation."

The Senate bill, if allowed to stand unchanged, would reduce federal deficits by $20 billion less than the compromise plan over the next 10 years.

GOP leaders said the new budget office estimate of the revised plan had not changed their opinion of the overall measure, which they vehemently oppose.

"It's not too late for the American people to continue to speak up," House Minority Leader John Boehner, R-Ohio, said Thursday. "They need to yell a little louder, and we can stop this."

Republicans insist the Democratic proposal will do little to slow spiraling medical costs. They also say it would lead to higher premiums and taxes for middle-class families while resulting in deep Medicare cuts.

Pelosi has nevertheless expressed confidence in recent weeks that she will have enough support to pass both the Senate plan and the compromise bill when they come to the House floor.

The speaker needs 216 votes from her 253-member caucus to pass the measures. No Republicans are expected to back either one.

Watch Pelosi express her confidence in the plan

Twenty-seven House Democrats indicated to CNN on Wednesday they will join Republicans in opposing the Senate plan. That leaves opponents of reform 11 votes shy of defeating the measure.

Pelosi has tried to sweeten the deal for House liberals by adding a large student loan reform measure to the compromise plan.

The measure, which is a priority for Obama, would end the practice of having private banks offer student loans while expanding direct lending from the government.

The speaker may also try to help House Democrats unhappy with the Senate bill by allowing them to avoid a direct vote on the measure. She is considering pushing for a vote on a rule that would simply "deem" the Senate bill to be passed.

The House then would proceed to a separate vote on the changes incorporated in the $940 billion version of the plan.

Read about the highlights of the compromise plan

Republicans failed Thursday to force a vote on a resolution requiring the Senate health care bill to be brought to an up-or-down vote.

GOP leaders are also fuming over Democrats' decision to use a legislative maneuver called reconciliation, which will allow the $940 billion plan -- if passed by the House -- to clear the Senate with a simple majority of 51 votes.

Senate Democrats lost their filibuster-proof 60-seat supermajority in January with the election of GOP Sen. Scott Brown of Massachusetts.

Republicans say that reconciliation, which is limited to provisions pertaining to the budget, was never meant to facilitate passage of a sweeping reform measure such as the health care bill. Democrats say that reconciliation was used to pass several major bills in recent years, including President George W. Bush's 2001 and 2003 tax cuts.

Public opinion polls indicate that Americans remain sharply divided over the Democrats' health care reform agenda, though individual elements of it remain widely popular.

CNN's Ted Barrett, Dana Bash, Lisa Desjardins, Brianna Keilar and Kristi Keck contributed to this report.

@highlight

NEW: GOP effort to require up-or-down vote on Senate health care bill fails

@highlight

NEW: President delays trip to Australia, Indonesia to help push bill over finish line

@highlight

NEW: Bill cuts Senate bill provision that exempts Nebraska from paying Medicaid expenses

@highlight

Bill cuts deficit by $138 billion over 10 years; additional $1 trillion in cuts expected after that