Ferguson, Missouri (CNN) -- The tide may be turning in Ferguson, Missouri.

For the first time since a white police officer fatally shot unarmed black teenager Michael Brown, the streets emptied early Thursday.

Protest crowds thinned from hundreds to dozens late Wednesday, then disappeared. Thunderstorms may have doused their numbers.

"I hope that people do calm down and just continue it to be peaceful. I hope the outsiders leave and let the real individuals who are really trying to make a difference remain so that it can stay peaceful, so some type of resolution and change can happen," said Charles Davis, owner of a local burger bar.

Late Wednesday, police made targeted arrests. Earlier in the day, they suspended an officer caught on video pointing a semiautomatic rifle at peaceful protesters and shouting profanities at them the night before.

But community leaders were grateful that tensions on the streets had eased.

In a move that reflected what appeared to be increasing calm, Gov. Jay Nixon ordered the Missouri National Guard to begin withdrawing from the city. Troops had been sent there Monday to protect the police command center, which officials said had come under threat of attack.

"We're going to have a systematic drawdown. We're working with the commanders to do that, but we're going to make sure we keep safety there," the governor told CNN's Don Lemon on Thursday.

"As we see folks getting calmer, fewer arrests, fewer problems here, that mission we're going to draw down off that. We don't need the same force of strength," he said.

But even then -- when calm returns to Ferguson -- work in the community is not done, Missouri State Highway Patrol Capt. Ron Johnson told residents. He said police need to be educated, not by professors, but by regular people about how best to build bridges.

"We need not sit there and make excuses; we just need to make it right," he said.

Complete coverage of Ferguson shooting and protests

We stand with Ferguson, Holder says

U.S. Attorney General Eric Holder spoke Thursday about his visit to Ferguson to check in on the federal civil rights investigation into Brown's shooting.

"This attorney general and this Department of Justice stand with the people of Ferguson," he told reporters in Washington.

Holder has assigned scores of FBI agents and Justice Department investigators to look into Brown's August 9 death in the suburban St. Louis city.

Police have said Brown and the officer, Darren Wilson, struggled over the officer's gun; witnesses who have spoken publicly say the 18-year-old had his hands in the air when he was shot.

On Thursday, a source with detailed knowledge of the investigation told CNN that reports in the media that Wilson suffered a fractured eye socket from his reported scuffle with Brown are false.

The officer had a swollen face and went to the hospital, where he underwent medical tests and was treated for his injury, the source said.

A St. Louis County grand jury began hearing testimony in the case Wednesday, but it's not expected to make a decision on charges against Wilson before mid-October.

While Holder said agents have made "significant progress" in their investigation, he said it will still take time to complete and asked for the community's support.

Holder met with Brown's family not long after the teen's mother viewed her son's bullet-riddled body at a morgue for the first time. He heard from a woman who said her brother died in an encounter with Ferguson police in 2011. And he spoke to the community of a festering mutual mistrust between law enforcement and many communities in the United States.

Brown's mother, Lesley McSpadden, told CNN's Anderson Cooper in an interview Thursday that Holder's visit made a difference.

"Because, you can read a person," she said. "And when you're looking at them and they're looking at you in your eyes, it puts some trust back there," she said.

His trip was not universally well-received, however.

Activist Akbar Muhammed gave the attorney general low grades for the trip.

"We thank him for coming, but he gets a D minus," Muhammed said.

"He came to have a community meeting, and in that community meeting he didn't meet with any of us who were out in the street," he said.

5 things to know about Michael Brown's shooting

Magazine: The aftermath in Ferguson

Slow wheels of justice

The grand jury meeting in Clayton, Missouri, will examine whether charges should be filed against Wilson in Brown's death.

St. Louis County Prosecutor Bob McCulloch told local media Wednesday that the grand jurors will see every bit of evidence that investigators gather and will be allowed to meet as long as they want before making a decision.

"The aspirational time is by mid-October to have everything completed," he told CNN affiliate KMOV.

He wants the case to proceed through the grand jury "expeditiously" but also "thoroughly," he said. "We're not going to rush it through, and we're not going to leave anything out."

On Thursday, Holder declined to answer questions about whether his department was looking into past allegations of abuse by Ferguson police, including a 2009 incident in which a man said police bloodied him in a jail cell, as well as the 2011 death that Holder spoke of.

"I'll just say at this point, we are keeping all of our options open," he said.

Controversy over prosecutor

Activists delivered petitions they said were signed by 70,000 people asking McCulloch to step down.

"That is the only way we're going to bring strong confidence within this investigation," Missouri state Sen. Jamilah Nasheed said.

Critics have complained that McCulloch, who is tasked with prosecuting Wilson, could be biased in the officer's favor. McCulloch comes from a family of law enforcement officers.

His father was killed in the line of duty.

McCulloch has rejected that criticism, telling St. Louis radio station KTRS on Wednesday that the experience of losing his father turned him into a passionate advocate for all victims of violence.

He said again Thursday after the petitions were delivered that he would not step aside.

"I appreciate and understand the concerns of those who honestly believe that I cannot or will not be fair to all in the gathering and presentation of the evidence pertaining to the tragic death of Michael Brown," he said in a statement. "Although I understand the concerns, and do not take lightly the demands that I recuse myself from this case, I also recognize that I have a responsibility to the family of Michael Brown, the people of Ferguson and the entire community."

Read more about the flash point in the Heartland at CNN.com/US

Ed Lavandera reported from Ferguson. Michael Pearson and Ben Brumfield reported and wrote from Atlanta. Greg Botelho, Dana Ford, Jim Acosta and Mayra Cuevas also contributed to this report.

@highlight

NEW: "We need not sit there and make excuses," says Highway Patrol captain

@highlight

Holder's visit made a difference, Michael Brown's mother tells CNN

@highlight

Source shoots down reports that say officer suffered a fractured eye socket

@highlight

St. Louis County prosecutor again rejects calls to step aside