Atlanta (CNN) -- Kate Sweeney first met Oana Hogrefe over coffee at an Atlanta strip mall. They talked about horrible things.

About babies who die in utero and the mother who must go through labor anyway. Or those born with genetic disorders whose parents live through a cruel countdown to the day they will have to disconnect the tubes.

They also spoke about how Hogrefe points her camera at these children and clicks.

As a memorial photographer, she volunteers to take photos in hospitals under the most trying circumstances. Sometimes the images she creates are the only tangible thing parents have left of a child who died at birth or soon after.

Hotel Death: Where dying guests are promised salvation

Sweeney learned Hogrefe took a photo one time of twin girls -- one born healthy, the other sick. The healthy twin was crying inconsolably so the nurses laid her next to her sister, who had little time to live. Hogrefe took out her camera. Later in life, she thought, the surviving sibling could look at this picture and see: " 'Here we are, close together.' At least that makes it real."

Sweeney, a journalist, had begun researching a book on memorials when she first spoke with Hogrefe. The Atlanta writer had thought of memorial photography as a macabre practice left over from another era when people were obsessed with death. She didn't understand why anyone would want such photos.

But after meeting Hogrefe, Sweeney saw things another way. These photos were often the only evidence of lives lost so young. They said these tender lives mattered.

The memorial photos led Sweeney to ask a deeper question: What is our relationship to death now? Are we, as a society, alienated from something that is inevitable?

The answers are complicated but death, it seems, is starting to come out of its cold, hard shell.

Sweeney's book, "American Afterlife: Encounters in the Customs of Mourning," looks at how certain people process death and why they choose certain rituals and memorials. There is a chapter about green burials or internments that are completely biodegradable. Others examine roadside memorials, a cemetery that was built to be a hang-out, obituary writing and underwater graves.

Like the television show "Six Feet Under" that piqued her curiosity in the first place, Sweeney's book puts death front and center in a form that is digestible, poignant and, at times, entertaining.

"Death is not something we talk about," she tells me, as we, too, meet in an Atlanta coffee shop to talk about horrible things.

Americans, she says, are so obsessed with youth and triumphing over every challenge they face that they become afraid of aging and death, often seen as life's ultimate defeat.

Taboo talk

The Victorians did not speak openly about sex but they were far ahead of us when it came to the much more difficult matter of death.

Perhaps it was because they were accustomed to seeing death all around them. Disease was rampant and life spans shorter -- the average American died at 47, Sweeney writes. Infant mortality was so high that parents did not name their babies until after a first birthday. Most people died at home; bodies were often laid out for viewing in front parlors.

But modern medicine changed all that. Over the years, public displays of grief became unfashionable. "Mourning," writes Sweeney," retreated from public rite to private practice. It went underground."

Over time, death surged ahead of sex in the forbidden quotient. Americans increasingly felt uneasy dealing with the inevitable end of life. Death equaled discomfort.

"We want never to age. We have become a death-denying culture," says Mark LaRocca-Pitts, a chaplain with Crossroad Hospice.

LaRocca-Pitts started the first Death CafÃ© in the Southeast. The idea, he says, is to bring strangers together, offer tea and cake and discuss the end of life. About 40 people come and split up into smaller groups and carry on confidential conversations on everything from terminal illness to funerals they've attended and what they might want for their own.

"Now there's a movement to talk more about death, to become more friendly with it," he says.

The Conversation Project, co-founded by columnist Ellen Goodman, aims to get people to share the way they want to live at the end of their lives.

"It's time to transform our culture so we shift from not talking about dying to talking about it," says the Conversation Project website. "It's time to communicate about the kind of care we want and don't want for ourselves."

LaRocca-Pitts credits the growth of palliative care and the hospice movement with making people realize there can be death with dignity. He also chalks it up partly to aging take-control baby boomers who are facing their own mortality.

"If we are able to talk about death, we might be able to live fuller lives," he says. "There's a lot less anxiety because you've befriended death."

Undoubtedly, the conversation has been helped by television -- with shows such as the HBO hit series "Six Feet Under" that inspired Sweeney -- and social media. Last summer, NPR host Scott Simon's tweets from his mother's deathbed went viral.

And now, there's Sweeney's book, which is sure to get people talking about death.

'American Afterlife'

Sweeney has never suffered catastrophic loss, a fact that might strike her readers as rather strange. More often than not, stories about death arise from the pen of someone who has been touched by loss.

"I am still freaked out by the prospect of losing people I love," she says.

The book prompted her to think about how she would memorialize her loved ones -- her mother, for instance, loves gardening and wants her ashes to be turned into mulch. Sweeney discussed with her husband her own wishes, though she wouldn't share what they are.

"Most of the time we don't think about these things until we have to," she says. "I think you should do what feels right."

She brings up a family she encountered who has a weenie roast each year at a green burial cemetery. Yes, a weenie roast.

Traditional funerals are profitable in America. The average cost of a burial in 2012 was $7,045, according to the National Funeral Directors Association. But increasingly, Americans are leaning toward cremation. In 2012, 43.2% of America's dead were cremated. By 2017, that number is expected to rise to almost 50%.

The ways Americans are memorializing loved ones has diversified greatly in the past few years. Many, such as Oana Hogrefe's memorial photography of infants, are helping bringing death and dying back into the public realm.

Reefs, ink and roads

Sweeney went out with Eternal Reefs, a company that mixes ashes with a compound to transforms them into an artificial coral reef. She watched as seven families put the ashes of their loved ones in natural cast concrete and lowered them to into the Atlantic off the coast of Charleston, South Carolina.

"Military veterans, environmentalists, fishermen, sailors, divers and people who have been active all their lives or whose lives has been cut short, are comforted by the thought of being surrounded by all that life and action going on around them," the Eternal Reefs website says.

Their families loved the idea of a living legacy on the ocean floor.

"In a way, these survivors are interacting directly with the bodies of the people they loved in life, although most probably prefer not to think of it that way," Sweeney writes.

On the day she went out with Eternal Reefs, the ashes being memorialized at sea included those of a cat named Mistofeles -- his family had traveled all the way from California.

The reefs are part of a trend to scatter ashes in places of natural beauty. The National Park Service, writes Sweeney, even has an application. The one at the Grand Canyon forbids teeth, bone fragments or parts that are recognizable as human remains.

Others choose to remember the dead in a much more personal way.

There's nothing more permanent than to etch a memorial into your own skin, tattoo artist Sarah Peacock tells Sweeney. She inked a man whose wife died of a fluke illness at 38. When the portrait was finished, the man cried. He told her the tattoo was his last stage of letting go.

Mary Wilsey chose to remember her daughter Brittany, who died in a car accident near Wilmington, North Carolina, with a roadside memorial of a cross and a wreath of fake flowers.

"People drive down the roads," Wilsey tells Sweeney, "and death never even crosses anybody's mind if they don't see one. But when you see one, it brings death to your attention."

But a lot of people think Wilsey's grief shouldn't be their commute. Or they say such memorials are dangerous because they are distracting. Sweeney explores the controversy.

"It comes down to where does grief belong?" Sweeney tells me. "I don't think we are super comfortable with another person's grief."

What happens after someone dies is personal, she says. But it's also a reflection on how we, as a society, handle it.

Ultimately, it's about how we bring death to life.

Follow CNN's Moni Basu on Twitter

@highlight

The Victorians were open about death; later, it became a topic of discomfort

@highlight

These days, people are starting to talk more about dying

@highlight

Journalist Kate Sweeney's new book explores customs of mourning in America

@highlight

Sometimes those rituals include reefs, roads and roasts