Los Angeles (CNN) -- The mantra of this week's CES, the annual Las Vegas event celebrating the world's latest and greatest consumer electronic hardware, is "innovation." CES has even officially renamed itself as an "innovation event" with its long time CEO, Gary Shapiro, launching a new book at the show this year suitably entitled "Ninja Innovation: The Ten Killer Strategies of the World's Most Successful Businesses."

But the irony of CES is that there's hardly any real innovation among all the often identical-looking new cellphones, televisions and connected devices on show in Las Vegas this week. Sadly, this 20th century style "innovation event," with top-down structure and centralized marketing message, has little 21st century innovation.

Read more: Hordes, hype and glowing screens: Scenes from CES

The problem is that CES is a hardware show, but we now live in a software-centric world in which often the most interesting thing about electronic products are not their physical appearance but their operating systems. The real innovators today are thus the software engineers, the genuine ninjas, those "hackers" on the edge of the network who can quickly make and break any new electronic gadget.

As Marc Andreessen, the co-founder of Netscape and now one of Silicon Valley's most illustrious venture capitalists, said, software is "eating" the world. It certainly seems to be gobbling down CES.

Read more: New TVs driven by software and streaming, not pixels

And innovation -- for both well-established companies and start-ups -- remains everything. Hans Vestberg, the President and CEO of Ericsson, one of the world's most successful businesses in the global telecommunications industry since the late 19th century, told me this week: "If we don't innovate, we lose leadership."

So how to find real innovation in Las Vegas this week? Like today's digital economy, the most innovative stuff can be found away from the center. CES's real edge is thus at its edge -- away from its 3,250 exhibitors displaying their 20,000 finished new products across 1.9 million net square feet of exhibit space. Away from the row upon row of identical high-definition televisions. Away from all those "breakthrough" cellphones boasting half an inch of extra screen space.

Photos: New gadgets unveiled at CES

Yes, CES's real edge is at its edge. So the most innovative stuff I saw in Las Vegas this week were at a "hackathon" at Las Vegas' Palms hotel, a couple of miles from the main convention hall. Organized by AT&T, the old Ma Bell teleco that is now reinventing itself as open-source technology company, and sponsored by GM, Nokia and Ericsson, this hackathon (where, full disclosure, I was an unpaid official judge) invited software programmers to leverage AT&T's data network to innovate new electronic products.

And innovate they did. More than 70 teams -- a record for an AT&T hackathon - entered the 24-hour competition to come up with new hardware and software products. The results were stunning. From the reinvention of the car control system, to handless driving apps to a Facebook style audio app to text-to-speech and speech-to-text applications, the AT&T hackathon was a true innovation event -- and a splendid contrast to the all-too-often sterile atmosphere on the CES floor.

Read more: The star-studded history of CES celebrity gadgets

This innovative culture was best captured by Ruggero Scorcioni. An Italian immigrant to the U.S. with a PhD in neuroscience from George Mason university, Scorcioni -- who had never built any software before -- drove to Las Vegas from his home in San Diego to network at CES. He happened upon the Palms and, on a whim, entered the hackathon.

A sleepless 24 hours later, Scorcioni hacked into a pair of electronic cat's ears to come up with a cellphone app. These brainwave neurowear "Necomimi" ears pick up our mood and Scorcioni hacked them so they could communicate with our cellphone. If we are too stressed, the electronic ears stop the phone either taking or making calls.

Read more: 5 fun and odd gadgets from CES

The idea was so breathtakingly clever, so outrageously innovative, that Scorcioni's hack was voted the winner of the Hackathon and he won the first prize of $30,000. Not bad for a day's work by a guy who had never programmed any software before in his life and who entered the AT&T hackathon by chance.

Now that's ninja innovation. And it's the killer strategy CES needs to capture if the show is to remain a successful business in a world being eaten by software innovators like Scorcioni.

Watch: CES ingenious innovation

The opinions expressed in this commentary are solely those of Andrew Keen.

@highlight

The Consumer Electronics Show is under way this week in Las Vegas

@highlight

The massive trade show attracts around 150,000 attendees

@highlight

Keen says the event "has little 21st century innovation"