New York (CNN) -- When Dr. Jessie Stone decided to give up her career as a doctor in New York in favor of full-time kayaking, she could never have imagined that a kayaking expedition in Africa would ultimately lead her back to it.

A native of Purchase, New York, Stone worked hard to achieve her goal of becoming a doctor, attending New York Medical College. But at the time of the expedition, in 2003, Stone had decided a full-time medical career just wasn't for her.

"I really did not see myself going back to medicine," she said. "Then the trip to Uganda happened, and everything changed."

According to the UNHCR, the United Nations refugee agency, Uganda has one of the highest malaria death rates in Africa. Despite being warned the country was facing a dire outbreak, Stone embarked on a cross-country kayaking trip to the Nile along with E.J., a boat designer for one of her kayaking sponsors, Wave Sport. They took antimalarial drugs and slept under mosquito nets. They figured they'd be fine.

They were wrong.

It wasn't long before E.J. came down with malaria, and Stone's background as a doctor was called upon. "Luckily for all of us, E.J. ended up being fine," she recalls, "but it was a wake-up call."

It was a wake-up call that piqued Stone's interest as a doctor. If E.J. could catch malaria despite precautions, how about those who lived in these malarial regions year-round?

Stone went to the nearest village and conducted a 50-hut survey. The results astounded her: "Nobody had a mosquito net, not one single person we interviewed. Everyone reported at least one child in their household dying from malaria, and everyone wanted more information."

Residents of a small village named Kyabirwa asked Stone, or "Dr. Jessie" as she's known locally, to stay and build a clinic.

"I knew absolutely nothing about it," she admitted. But the will was there: On her return to New York, Stone raised $25,000 -- enough to build a clinic and found Soft Power Health Uganda.

Stone says that aside from the funds, the support and encouragement of the villagers was vital to bringing the project to fruition.

"To do this work, you need the community's support and blessing," she said. "The entire process is a shared endeavor."

Kyabirwa is 10 kilometers (6.2 miles) downstream from Jinja, Uganda, which sits at the source of the Nile River. The clinic now receives 50 to 100 patients a day -- up from eight to 10 when it first opened. Patients run the gamut from tiny babies with malaria to those with advanced cancers and other disorders.

As well as treating patients, outreach and educational programs form a large part of Soft Power Health's doctrine. Stone says its malaria outreach programs have taught more than 100,000 people about prevention and provided more than 45,000 mosquito nets to the community at a fraction of the cost.

With one of the highest birth rates in Africa, Stone discovered, many Ugandans had little to no education about conception or contraception. Her family planning outreach works in 39 villages every three months and has overtaken even the malaria outreach in popularity.

Stone describes vast differences in the communities she serves since the clinic began. She says knowledge of malaria prevention is much more widespread, and she's seen a huge increase in the numbers of people sleeping under mosquito nets.

Stone says Soft Power Health's reputation has grown to the point where patients now come from all over Uganda. (It has implemented a referral system to assist with some more complicated diseases).

These days, kayaking has taken a back seat to doctoring for 44-year-old Stone, who has relegated it from full-time job to part-time stress reliever, but she still takes part in freestyle kayaking and will be competing in the American circuit in Colorado this summer.

Stone now lives in Uganda five or six months of the year, despite the fact that a recently completed dam has turned the nearby section of whitewater she used to kayak into a lake. She says the locals fear that fewer kayaking opportunities mean she'll leave, but she reassures them that as long is the need is there, so is she.

"I feel very lucky to be able to do this work," she said. "You just never know what life has in store for you!"

@highlight

Dr. Jessie Stone gave up medicine to be a kayaker, but medicine found her again

@highlight

She is helping tackle malaria in Uganda

@highlight

Soft Power Health Uganda also offers outreach and educational programs

@highlight

Family planning outreach has become even more popular than antimalaria efforts