Yusufeli, Turkey (CNN) -- The most impressive thing about Yusufeli is the people who live there.

When we go on shoots with CNN's Earth's Frontiers, it's usually the spectacular scenery, or technical wizardry that we are trying to film.

This time we had to film a way of life -- people and animals and nature. In a word, biodiversity.

Yusufeli in the Kaçkar Mountains is famed for its wealth of species. The rural areas are alive with bees buzzing, frogs croaking and the sound of rushing water. Brown bears roam the upper slopes of the mountains. In the town itself, old men sit outside and play backgammon with a cup of Turkish tea to hand. It's very picturesque. And it's under threat from an unlikely source.

The Yusufeli dam project is part of Turkey's national plan to expand its use of hydropower. This is a huge project, which will eventually see up to 3,000 working dams all over the country. The Çoruh River, which runs through the town, will eventually have 15 dams on it. When the project is complete the town will be flooded, but the dam system will provide one tenth of Turkey's electricity.

And that's the crux of the matter. Turkey is a rapidly developing country with one of the fastest growing economies in the world. As the mayor of Yusufeli told us, "Energy has an important role to play in terms of the development of countries."

Nobody can deny that hydro is one of the cheapest, cleanest, most efficient ways of producing electricity. That means the Yusufeli dam is a very attractive proposition for the state and perhaps a sacrifice for the greater good.

At the moment Turkey's energy sector is dependent on dirty, expensive fossil fuels, which are imported. By capitalizing on the country's rivers, the state moves towards greater energy independence.

I arranged an interview with DSI, the state hydraulic company that is building the Yusufeli dam. But when we turned up, they refused to speak to us on camera, despite having agreed to the interview some weeks before. The company said the situation was "sensitive."

The people of Yusufeli have been waiting for the axe to fall for some time. One resident we interviewed said he had first heard talk of a dam forty years ago. Most people we spoke to said if it was going to come, it should come soon. All residents were unsure of their future.

And yet I was struck by the building sites all over the town. Yusufeli residents have not yet accepted this dam. Mustafa Yikilmaz, a local NGO worker, described his town as "thriving." The Çoruh River is the second fastest river in the world, which draws rafting tourism to this small town from all over the world.

Yusufeli is also one of the UN's designated "biodiversity hotspots". There are over 200 species of butterflies in this region alone.

And it is along these lines that the campaign to stop the Yusufeli dam continues. Locals who have worked the land using traditional methods are joining with NGOs and international campaigners to raise the profile of Yusufeli as an area of exceptional importance. Following several campaigns, some European financial backers have withdrawn their support for the dam.

This is a problem without a satisfactory answer. Biodiversity is important. And yet if countries like Turkey want to develop, hydro-electricity is a clean, efficient way of doing so.

Will Yusufeli dam be built? Will progress win out over preservation? Leave your thoughts in the "Sound off" box below and click here find out how you can be part of CNN's Earth's Frontiers debate next month.

@highlight

Proposed dam in northeast Turkey could provide abundant power supply

@highlight

The project would lead to flooding of whole towns in ecologically rich area

@highlight

Issue is increasingly sensitive as some financial backers pull out of project

@highlight

Area is one of U.N.-designated biodiversity hotspots