We can assume that when Richard III was interred by the monks in the church of the Greyfriars, possibly with a few of Henry Tudor's henchmen present to see that it was done, it would not have been the burial a king of England could have expected. The confirmation that the remains found in Leicester are those of King Richard means that, at last, this can be put right and he can be laid to rest with the solemnity and dignity that is appropriate for an anointed king.

Even more significantly, the finding and reinterment of Richard III's remains will, we hope, open up the debate about the king and his reputation. It would make such a difference if people would start to look into the history of this much maligned monarch without the old prejudices. Perhaps, then, they will see past the myth and innuendo that has blackened his name and find the truth. No one is going to suggest that he was a saint - I have said on many occasions that we are not the Richard III Adoration Society - but even a cursory reading of the known facts will show that the Tudor representation of Richard III, especially that in Shakespeare's well known play, just doesn't stand up.

Read more: Richard III's story "stuff of legend"

Shakespeare wrote a great play but even he must have been aware that he was twisting the facts in order to make it more dramatic. After all, he called it a "tragedy" not a "history." His Richard III is a villain and a superb villain at that, but Shakespeare was not writing history, no matter what the Duke of Marlborough might have thought. There are many instances where the portrayal just does not fit the historical record. For instance, in one of his three plays about Henry VI, Shakespeare has Richard of Gloucester, later Richard III, killing the Duke of Somerset at the first battle of St Albans. At the time of that fight, Richard Plantagenet wasn't Duke of Gloucester and, more cogently, he wasn't yet three years old!

The Richard III Society was founded as the Fellowship of the White Boar almost 90 years ago. It was re-founded in 1956 and changed its name three years later, as a result of which, it took on a more missionary approach to its aims of securing a reassessment of the material relating to the life and times of this king. This was not new, of course, as reassessment had begun in the 17th century after the death of the last Tudor monarch and it has continued ever since. Over the centuries, the approach to Richard III's reputation has swung like a pendulum.

If, as a result of the finding of Richard III and all the publicity it has engendered, people can be encouraged to read the facts for themselves, it will be a truly great event and all who have been involved in the project are to be congratulated. I have followed its progress from an early stage when Philippa Langley, a member of the Richard III Society whose idea it was, first came to me to ask if she thought it was viable and would the society be willing to back it. I have tried to encourage her at times when doors were being shut and when there were setbacks and together we appealed for money when there was a shortfall. It is a great testament to Philippa's tenacity and bloody-mindedness that the project has been so successful.

Read more: Richard III: The king and the car park?

Richard III was no saint but neither was he a criminal. All but one of the so-called crimes laid at his door can be refuted by the facts. The one that cannot is the disappearance of his nephews, the "Princes in the Tower" and the answer to that question is simply that no-one knows what happened to them. All that follows is conjecture - they just disappeared. Richard had no need to kill them; they had been declared bastards. Henry VII needed them out of the way, but he got so scared whenever a pretender appeared that it is likely that he knew they were alive at the time Richard died at Bosworth. Did they die in 1483 or 1485 or were they spirited out of the country to their aunt, the Dowager Duchess of Burgundy? We will probably never know.

To return to the question of what will the finding of Richard III's remains mean? Let us hope it means more clear thinking, a wider debate, greater seeking of the truth and above all, may it set the record straight for Good King Richard!

@highlight

Remains of a man matching Richard III's description were found in England last August

@highlight

Scientists say DNA tests show "beyond reasonable doubt" that the bones are the monarch's

@highlight

Supporters of Richard III hope the finding of his remains will open up debate about the king

@highlight

Dr. Phil Stone writes that the Tudor representation of Richard III "just doesn't stand up"