(CNN) -- Last week, Kaci Hickox, the nurse isolated and tested for Ebola in New Jersey when she returned from working with patients in Sierra Leone, came to a settlement in her legal battle with Maine over a forced quarantine in that state. A District Court judge ordered that she cooperate with "direct active monitoring," coordinate her movements with public health authorities and immediately report any symptoms but didn't otherwise restrict her movement.

But was this the correct decision for the time -- based on medicine, scientific knowledge and best public health practices?

The panic response in much of the United States, as health workers and others have returned from Ebola-stricken West Africa, has pitted public officials against doctors against whole communities over the issue of quarantine.

Who is right? What is best?

Medical quarantines are as old as "the plague." They were used in the 14th century when ships arriving in Venice from plague-infected ports were forced to lay at anchor for quaranta giorni -- Italian for 40 days -- before landing. Quarantines quickly became the default mechanism for controlling outbreaks of untreatable diseases. But are these measures still needed, effective and appropriate in the 21st century?

More to the point, why has the U.S. Defense Department decided it will quarantine military personnel returning from Ebola-stricken areas of West Africa for 21 days, while the federal government has decided not to enforce quarantine, and multiple states have implemented various quarantine procedures?

Legally, the federal government has the authority to quarantine. U.S. Code grants the Public Health Service quarantine and inspection authority, and similar laws exist in most state constitutions. However, these powers have rarely been used, in part because advances in medicine have made such measures superfluous.

In 2014, we must evaluate laws, treatments and public health measures and adapt them to the times. We must ask if this ancient measure is applicable and reasonable during this Ebola public health emergency.

There are multiple considerations; public safety is a big one. But then there are costs: economic costs of instituting quarantine to the individual and his or her family and employer, and to local, state and national government; economic costs of not instituting quarantine -- i.e., the cost of providing health care if additional cases of Ebola arise.

There is a price to pay in individual freedom as well as for the social and emotional effects of quarantine to individuals and families, and of course the social and emotional costs of not instituting quarantine. Certainly, there are political costs for instituting or not instituting quarantine, and there is a chilling effect on volunteerism for hazardous duty in the hot zone if volunteers can expect to be quarantined on their return home.

In addition, there are practical issues such as the nature of the quarantine (voluntary vs. involuntary), the length of quarantine, the locations of quarantine and alternatives to quarantine.

But beyond all of these things, there are science and technology -- and this is critical.

At a time when we have 21st-century tools and knowledge to decrease the world's -- and the U.S. -- risk from Ebola, to preserve public freedom as best as possible, and to act to reduce not only the health risk but also the economic and social toll from this outbreak, can't we come up with a better solution than quarantine?

Yes, we can. Science, coupled with our on-the-ground experience in West Africa, demonstrates that a person who has the Ebola virus inside his or her body but who has not yet developed any symptoms does not have enough virus to share and is not contagious. In fact, on the day someone develops symptoms, the exceptionally sensitive blood polymerase-chain-reaction test for Ebola is often negative, and the test only becomes reliably positive two or even three days after symptoms start.

That means someone without symptoms does not need to be in quarantine. It does mean, however, that someone with high exposure to Ebola virus needs to be monitored. Can we monitor safely without quarantine?

Yes, and this is where technology steps in. We have technology to monitor people with devices that can be placed on their wrists and that can send back (in real time) their pulse, temperatures and even their blood oxygen levels. These devices can relay information to a state public health office and send an alert to an assigned public health officer if there is an abnormal parameter.

They can also be adapted to alert the person wearing the device to stop and call the public health office. This can allow for free range of movement and for a rapid stop to all movement the instant a person becomes symptomatic (if they ever do). If you think that the use of a wrist-sensing device is an expensive option, it is not (about $100 per person). Compare that with the option of a 21-day quarantine, estimated to cost a minimum of $1,000 a day per person.

The Defense Department could use this option, too, but it has so far opted for quarantine. The reasons are simple. The military likely looked at the cost of managing an Ebola patient (which in the United States is about $18,000 to $24,000 a day) and decided that quarantining its personnel (which costs a lot less than the cost for a civilian to be quarantined) is a smaller price to pay than the risk of additional Ebola patients if one of its troops becomes symptomatic.

The military must pay for medical care of all its personnel and has to avoid unnecessary risks. The Defense Department does not have to deal with the issues of who pays for quarantine and who pays for decreased work output while someone is in quarantine; military laws apply, and the other issues of social, individual freedom, volunteerism and political costs do not apply.

Nonetheless, those in the military, just like those of us in the civilian world should also simply apply current science and technology in handling the potential for Ebola infection.

So, yes, the decision by the Maine court, which takes into consideration modern science, public health and public fear is reasonable and appropriate for our time. Let's hope other states will make such clearheaded decisions.

@highlight

Aileen Marty: Judge said Maine nurse Kaci Hickox didn't need Ebola quarantine

@highlight

But U.S. military says it will quarantine personnel coming from Ebola-stricken areas

@highlight

Marty says quarantine a plague-era practice, and modern science has better solution

@highlight

Marty: It's cheaper and safer to monitor those exposed with high-tech, wrist-sensor devices