(CNN) -- Four pings and an oil slick. That's what the search for Malaysia Airlines Flight 370 has yielded so far.

No signs of wreckage, no assurances of exactly where the plane might be.

So officials are launching their next option: an underwater vehicle to scan the ocean floor.

But even that vehicle -- the Bluefin-21 -- faces plenty of challenges in finding the plane carrying 239 people.

How does the underwater vehicle work?

The Bluefin-21 is a probe equipped with side-scan sonar, or acoustic technology that creates pictures from the reflections of sound instead of light.

The device sends a pulse that produces a three-dimensional map of the seafloor, according to the U.S. Navy. An operator on the surface programs the vehicle, which is owned and operated by Phoenix International, a marine services contractor.

"When it reaches the appropriate depth, it will turn on its sensors," said David Kelly, the president and CEO of manufacturer Bluefin Robotics.

"It will then run what's called the lawn mower pattern, which is a series of parallel lines or tracks, where it will go back and forth just like mowing your lawn."

Where will it be launched?

The Bluefin-21 will be launched in the most probable area of the pings that were detected by the Australian ship Ocean Shield.

From there, it will plunge to a depth of 4,000 to 4,500 meters (2.5 miles) -- roughly 35 meters above the ocean floor, the U.S. Navy said.

"It operates at a height above the bottom optimized for its sensors," Kelly said.

How fast and how far will the vehicle go?

The Bluefin-21's first mission will cover about 40 square kilometers (3.1 miles by 4.9 miles). It'll probably take anywhere from six weeks to two months to scan the entire search area, the U.S. Navy said.

That's because the vehicle crawls at the pace of a leisurely stroll, said Sylvia Earle, an oceanographer from National Geographic who was chief scientist for the National Oceanic and Atmospheric Administration.

But the Bluefin-21 does create good images -- so good that they are "almost a picture of what's there ... but it's imaged with sound instead of with a camera."

What kind of terrain will it have to deal with?

The bottom of the search area is not sharply mountainous -- it's more flat and almost rolling, Australian chief search coordinator Angus Houston said.

But he said the bottom of the area probably has a lot of silt, which can "complicate" the search.

Houston cautioned against beliefs that the underwater vehicle will find wreckage.

"It may not," he said. "This will be a slow and painstaking process."

When can we learn what the Bluefin-21 sees?

The vehicle has a 24-hour cycle, so it can be deployed only once a day. And no information will be available until the end of each cycle, Houston said.

It will take two hours for the Bluefin-21 to get down to the search area. Then it will scour the ocean bed for 16 hours and take another two hours to resurface. After that, it will take another four hours to download and analyze the data collected, Houston said.

"The rate of information flow is certainly going to be a little bit more than a day apart," Matthews said.

What happens after the pingers die?

What happens if and when debris is found?

Once the debris field is found, other equipment -- such as remotely operated vehicles -- would be brought in to recover the black boxes, Earle said.

ROVs working at depths of 3 miles would require power conveyed down a cable from a ship above, said. "There are not many pieces of equipment in the world able to do this."

And only a handful of countries have manned submarines capable of descending to such depths -- such as the United States, Russia, Japan, France and China, she said.

Why haven't they found any debris yet?

It's actually not that surprising, said CNN aviation analyst David Soucie, author of "Why Planes Crash."

The model used for tracking the debris could be incorrect, Soucie said. He said that was the case when investigators were searching for evidence of Air France Flight 447, which plunged into the southern Atlantic Ocean in 2009, killing all 228 people aboard.

"They spent weeks looking for debris in the wrong area," he said.

The lack of debris could also mean that the plane did not break apart on impact, but instead sank largely intact, he said.

If that was the case, it could complicate the effort to retrieve the black boxes, since they were stored inside the tail of the plane. Investigators would have to dismantle the tail in order to extract them and whatever secrets they may hold.

We heard pings last week. Will the towed pinger locators be used again?

Probably not. The plane's black boxes were expected to ping for only about 30 days, and Monday marks Day 38 of the search.

The towed pinger locator and the Bluefin-21 are hosted by the same Australian ship, and only one device at a time can search underwater, Houston said.

And because no new pings had been detected in the past six days, officials have pulled up the pinger locator in order to send down the unmanned vehicle. Houston said it's unlikely the pinger locator will rejoin the search.

What do we know about the oil slick?

On Sunday night, the Australian ship Ocean Shield found an oil slick about 5.5 kilometers (3.4 miles) downwind from where the pings were detected.

A 2-liter sample was collected for analysis. But it could take a few days to transfer that sample to a task force ship, bring it closer to shore, send it by helicopter to Perth, Australia, and then take it to a lab, Royal Australia Navy Capt. Brett Sampson said.

Will the mystery of Flight 370 be solved once the data recorders are found?

Not necessarily. The voice recorders retain only the last two hours of recordings. And, since officials believe Flight 370 flew almost seven hours beyond the point where something went terribly wrong, crucial data have almost certainly been erased.

On the positive side, the depletion of the battery will not wipe out data. Data has been known to survive years in harsh sea water conditions on modern recorders.

INTERACTIVE: The search for Malaysia Airlines Flight 370

CNN's Will Ripley, David Molko and Jake Tapper contributed to this report.

@highlight

Searchers are sending a vehicle underwater to scan the seafloor

@highlight

If it finds debris, other equipment would go down to fetch the black boxes

@highlight

The Bluefin-21 crawls at the pace of a walk and has 40 square kilometers to cover

@highlight

The pinger locator has been pulled up after no new pings have been detected