Washington (CNN) -- Tuesday is tax day, and the only thing more frustrating than paying taxes is Washington's refusal to fix the tax code.

Aside from entitlements, no policy debate highlights the dysfunctions of American politics more than taxes. Instead of viewing the tax code as a way to raise revenue and enable government to perform its essential functions, politicians on both sides of the aisle use the tax code -- and the debate about taxes -- as tools to keep themselves in power and to reward their friends and interest groups who put them there.

First, liberals like to argue that taxing the rich will solve our debt and deficit issues. They ignore one major problem. There simply are not enough rich people to tax to make a difference.

For instance, President Obama has seized on the so-called Buffett Rule that calls for higher taxes for "wealthy" Americans. The nonpartisan Tax Foundation looked at this proposal, however, and found it lacking. They wrote, "Taking half of the yearly income from every person making between 1 and 10 million dollars would only decrease the nation's debt by 1%.

Even taking every last penny from every individual making more than $10 million per year would only reduce the nation's deficit by 12% and the debt by 2%. There's simply not enough wealth in the community of the rich to erase this country's problems by waving some magic tax wand.

Fortunately, the Senate voted down the Buffett Rule Monday night. Yet the Senate once again wasted America's time to make a political point.

So why do liberals work so hard to create the perception that "taxing the rich" will solve our problems even though the top 10% of taxpayers already pay 70% of all federal income taxes and many low-income Americans pay no federal taxes at all? Because it's all about the politicians. Liberals believe that inflaming class envy will persuade the American people to elect Democrats over Republicans, who allegedly want to protect tax cuts for the rich. It would be hard to find a more tired and intellectually dishonest argument in American politics today than the idea that we can balance the budget by soaking the rich.

Republicans, on the other hand, have desecrated the limited-government legacies of Reagan, Goldwater, and our founders by embarking on spending orgies with borrowed money -- a form of deferred taxation and financial repression -- while hiding beyond false pledges of tax purity that have made tax reduction and simplification much more difficult to achieve.

For instance, some Republican tax lobbyists, such as Americans for Tax Reform's Grover Norquist, say eliminating any credit or deduction -- what economists call "tax expenditures" or "spending the code" -- is a tax increase. For instance, when I tried to eliminate a tax earmark for Hollywood movie producers in President Obama's stimulus bill, Norquist alleged that I was trying to raise taxes.

In other words, Norquist would demand that Republicans and conservatives walk away from a deal that was $9,000,000,000,000 (that's $9 trillion) in budget cuts and $.01 (one cent) in new revenue. That's pure stupidity and, fortunately, no one serving in Congress agrees with him. I know all the major negotiators on the Republican side and, regardless of what their public statements suggest, not a single one would automatically walk away from a deficit reduction deal that included revenue.

The ideal tax rate is the rate at which government collects enough revenue to perform its essential functions and not a dime more. Another critically important principle when considering the ideal tax rate is something called "Hauser's Law," named after investment economist Kurt Hauser, which shows that over the last six decades tax revenue as a percent of GDP has been about 19%, regardless of fluctuations in tax rates. In other words, government has an extremely difficult time collecting more than 19% or 19.5% of revenue even if it increases tax rates considerably.

Congress has not tackled fundamental tax reform in more than 25 years. In 1986, President Reagan signed a comprehensive tax reform plan that closed loopholes, lowered rates, simplified the code, and sustained what was then the longest economic expansion in peacetime since World War II. Reagan called the tax reform act "the best anti-poverty bill, the best pro-family measure and the best job-creation program ever to come out of the Congress of the United States."

Using Reagan's approach would be a win-win for taxpayers. President Obama's own deficit reduction commission, on which I served -- the Simpson-Bowles commission -- followed this template of lowering tax rates and broadening the base by getting rid of spending in the code. The commission recommended lowering individual rates to 8, 14, 23% and corporate rates to 26%. I would push rates even lower, but the commission report, which was supported by conservatives and liberals, showed that it is possible to lower rates, stimulate growth, generate additional revenue and reduce the deficit.

Congress has done bold tax reform in the past. It can and must do so again if we are going to survive in the 21st century.

The opinions expressed in this commentary are solely those of Tom Coburn.

@highlight

Tom Coburn: The most dysfunctional part of federal policy is the tax code

@highlight

He says GOP defends loopholes, betrays its past with huge deficit spending, borrowing

@highlight

Coburn says Democrats falsely claim that taxing the rich more heavily will solve U.S. debt woes

@highlight

He argues for grand compromise on tax reform along lines of Reagan's 1986 deal