In the aviation mystery which has baffled the world there is one fundamental question which continues to swirl:  Has Inmarsat got its numbers right?

It was these very calculations which led the search for MH370 far from the plane's original route across South East Asia and deep into the southern Indian Ocean, off the west coast of Australia. No piece of work is more important in the search for the plane.

I was given exclusive access to the satellite experts who did the ground-breaking work. Time and again, I would ask them the toughest question: "Are you right?"

But before we get there ... How did the data come to light in the first place?

Once the plane went missing, the ground station in Perth checked the logs and discovered that while the aircraft's communications systems were switched off, the plane and the satellite still kept saying "hello" to each other, every hour.

"Having messages for six hours after the plane is lost is probably the biggest disbelief," admits Inmarsat's vice president of satellite operations Mark Dickinson.

These messages are the raw data upon which everything rests.

Read the data

After the alert had been raised at the company's London headquarters, engineers began urgently interpreting the raw data.

Dickinson explains: "We have some timing information ... that allows you to essentially work out the distance from the satellite ... and in addition to that there were some frequency measurements."

Using the discrepancy of satellite frequency known as the Doppler Effect, the team spent ten days refining their work before they briefed the Malaysian Prime Minister Najib Razak, who stunned the world by revealing the plane's flight had ended in the South Indian Ocean.

Dickinson says that when he realized what had probably happened, his reaction was:  "Let's check this and let's check it again, because you want to make sure when you come to a conclusion like that you have done the right work... As good engineers we are trained to check and check again."

So why is Dickinson so sure he is right? Because the model they created showing arcs and Doppler readings was rigorously tested, initially on other aircraft on the satellite at the same time, and then against previous flights by the same aircraft. With minor disagreements both the position and the Doppler reading of those aircraft was predicted accurately.

Other organizations created their own models, ran the comparisons and came to the same conclusions. It is essential to understand: This is not just Inmarsat's frolic.

"No-one has come up yet with a reason why it shouldn't work with this particular flight when it has worked with others," Dickinson told me. "It's very important that this isn't just an Inmarsat activity."

So why haven't they found the plane where Inmarsat says it should be? Simply put, it's a big ocean, the ocean floor is very deep, with valleys and hills. In the bigger picture, the search has really only just begun.

The families have been seeking the release of this raw data for weeks.

The satellite company has extracted the crucial lines from the logs and has published it with an explanation and analysis. They have not published the raw computer pages which is likely to raise questions about why not.

Inmarsat says nothing important has been left out, but that the raw data would not have been understandable on its own. The goal of publication is transparency, not verification.

"What this provides is some transparency on what actual data came back and forwards between the plane and the ground station... How that data has subsequently been used so it allows people to see what technique. I'm hoping a great deal of transparency in terms of the analysis by Inmarsat," says Dickinson.

So, will the publication quell the critics? Probably not. They want every last digit and bit of data so they can re-create the work, something that is impossible without detailed knowledge of the plane's modem, the satellite's own movement and the performance capabilities of the 777 aircraft.

Having covered this story from the moment the plane was lost, I know only too well that the everything hinges on Inmarsat's data.

Could Dickinson be wrong? As an engineer he is, of course open to the possibility, but he insists his data has been "checked and checked ... to make sure we've got it right. Checked against other flights in the area at the same time; checked against previous flights of this aircraft. At the moment there is no reason to doubt -- I believe what this data says."

And that is the heart of the matter. Inmarsat and others will never say they are convinced, they are not those sorts of people. Certainty is the prerogative of those of us less rigorously trained to consider fallibility. Inmarsat's engineers will just rely on the numbers.

READ MORE: Next phase of MH370 search 'months away'READ MORE: Movie-maker plans MH370 thrillerREAD MORE: Hope transcends frustration in plane search

@highlight

Inmarsat and Malaysian authorities release data from MH370-satellite communications

@highlight

Plane sent "handshake" signals for six hours after it disappeared in March 2014

@highlight

Inmarsat vice president Mark Dickinson says data has been checked and checked again

@highlight

Lengthy searches in the southern Indian Ocean have so far found no trace of the plane