(Health.com) -- When Megan Kenny was five years old, she began to exhibit a strange and troubling symptom: Every time she stood up for more than two minutes, she collapsed.

The episodes were particularly bad after Megan had been sitting or lying down for prolonged stretches, such as when she woke up in the morning or walked between classes at school.

"Church was always a disaster," recalls Mary Kenny, Megan's mother. After sitting or kneeling for a time, Megan would stand up with the congregation and invariably fall down.

As Megan got older, other worrisome signs emerged. Her eyelids began to droop. She continued to wet the bed and suffered from constant bladder infections. And, about once a week, she experienced extreme hypoglycemic episodes -- a sudden drop in blood sugar levels -- that left her shaking and unable to function for the rest of the day.

The Kennys visited a parade of doctors and specialists who considered, and ultimately ruled out, a grab bag of diagnoses: epilepsy, diabetes, cancer, liver failure, kidney failure. One time, after testing Megan for epilepsy, a neurologist observed that she appeared to have a severe form of orthostatic hypotension, a not-unusual condition in which a person's blood pressure drops suddenly upon standing or sitting up, causing the sensation known as a head rush.

Health.com: Surgery saves girl's face from rare disorder

The doctor was only half right. Megan did have orthostatic hypotension, but the underlying cause was a far more exotic condition that wouldn't be diagnosed until she was an adult. In the meantime, she had to cope with having blood pressure that could dive from a relatively normal 110/70 when she was lying down to 50/30 upon standing.

"I've seen dead people with higher blood pressure," one nurse told her.

A family affair

It was clear from the first minute of her life that Megan wasn't in good health. She was a small baby, barely five pounds, in a family that had a history of strapping, nine-pound newborns, and she immediately required oxygen for respiratory distress.

"She was literally blue," Mary remembers.

Later, as an infant, Megan's sucking reflux was so poor that her mother wasn't able to nurse her. Orthopedists said her motor coordination was below average and referred her for physical therapy.

When Megan was eight years old, her brother, Brendan, was born. As he grew up, he too would develop symptoms similar to hers, suggesting the mysterious condition had a genetic component. Megan's parents continued visiting doctors, seeking explanations for what ailed the two siblings.

While some people get the occasional head rush or dizzy spell, Megan and Brendan experienced the sensation almost constantly. "Mostly it was a feeling as if you're going to black out, like walking through life with permanent black spots," Megan says.

Megan learned how to compensate for the strange spells. At school, if she had to climb a flight of stairs to get to a class, she'd sit on the landing to regain her composure or lean over and pretend to tie her shoes. She even played softball throughout high school, although she needed a teammate to run the bases for her.

Health.com: Doctors induce 5-month coma to save woman's life

Megan and her brother lived like this for years. Finally, after Megan had graduated from college and was living on her own in San Francisco, a psychiatrist at the University of Connecticut began to unravel the mystery.

After hearing a description of the Kenny children, the psychiatrist said some of their symptoms resembled those of a rare disorder he was researching: dopamine beta hydroxylase deficiency (DBHD).

As the name suggests, people with DBHD lack dopamine beta hydroxylase, an enzyme needed to convert the neurotransmitter dopamine into norepinephrine and epinephrine (also known as adrenaline), hormones that are critical to maintaining normal blood pressure.

The psychiatrist suggested the Kennys fly Brendan, who was still in high school and living at the family home in Connecticut, to see a specialist at Vanderbilt University, in Nashville, Tenn.

"It was like winning the lottery," Megan says.

An 'extraordinarily rare' condition

David Robertson, M.D., a neurologist at Vanderbilt's Institute for Clinical and Translational Research, is the country's leading DBHD expert. In 1986, he was the first person to identify the disorder, in a 33-year-old woman who hadn't opened her eyes for the first five days of her life -- a common feature of DBHD.

After performing blood work and numerous other tests on the woman, Robertson and his colleagues recognized that her abnormally low norepinephrine levels were caused by a genetic defect in dopamine beta hydroxylase.

It was thought that no one could survive for long without norepinephrine, but that woman lived to be 62. If people with DBHD are in a situation where they're unable to sit or fall down safely, the resulting loss of blood flow to the brain can be fatal, but most people with the condition learn how to compensate and can live a relatively long life, Robertson says.

Health.com: 10 states where rare and exotic diseases lurk

Robertson confirmed the suspicions of the UConn psychiatrist and diagnosed 15-year-old Brendan with DBHD. The diagnosis put Brendan in very exclusive company.

"DBHD is extraordinarily rare," says Robertson, who is also the principal investigator of the Autonomic Rare Disease Consortium at the National Institutes of Health.

It is so rare, in fact, that the 10 patients Robertson personally has seen represent the lion's share of the documented cases worldwide. Another eight patients have been identified in Europe and Australia, though Robertson says there could be thousands more still undiagnosed.

A night and day treatment

In the late 1980s, Robertson began to formulate a drug to treat the norepinephrine deficiency associated with DBHD, but he soon learned that such a drug was already being marketed in Japan. Droxidopa, also known as L-DOPS, was being used in that country for Parkinson's disease, a movement disorder characterized by dopamine deficiency.

Roberston's first patient responded immediately to droxidopa.

"The drug allowed us to replace the norepinephrine not only in the blood, but even in the nerve cells of the body," Robertson says.

Health.com: Prescription drugs that lead double lives

Brendan, too, responded to droxidopa within days. Two years later, he ran a victory lap of sorts across the Golden Gate Bridge in San Francisco, while his sister watched.

Megan had visited Vanderbilt soon after Brendan. Not surprisingly, Robertson diagnosed her with DBHD, but due to a protocol change in the clinical trial he was leading, Megan had to wait three years before she could take droxidopa herself. When she finally did the results were just as dramatic.

"I felt different immediately," Megan says. "This feeling of strength -- being able to walk up a hill in San Francisco at the same pace as my friends, or actually [being] able to do it without sitting down -- was incredible."

Megan herself took a sprint across the Golden Gate Bridge as part of her training for the New Orleans Marathon. She finished that race in a little over six hours in the winter of 2005.

In 2010, she completed an Olympic-length triathlon: a 1,500-meter swim, 40-kilometer bike ride, and 10K run.

"For me it was like checking this off the list," Megan says. "I was so grateful for my new physicality."

Megan takes 300 milligrams of droxidopa three times a day, and even now, a decade after her diagnosis, feels lightheaded if she misses a dose. She no longer runs marathons but climbs San Francisco's steep hills with ease.

"It's such a small thing in the grand scheme of things, being able to walk a block up the hill," she says. "People take it for granted. I was like, 'This is incredible.'"

Copyright Health Magazine 2011

@highlight

Megan Kenny and her brother would collapse after standing for two minutes

@highlight

The siblings were diagnosed with dopamine beta hydroxylase deficiency (DBHD)

@highlight

After receiving proper treatment, Megan ran marathons, completed triathlons