Album sales are at an all-time low in the United States. Vinyl sales are at their highest for 15 years. Everybody says streaming is the future, yet major artists are pulling out of streaming services. And in tech-oriented Japan, CDs still account for 85% of album sales. The current state of the music industry is anyone's guess.

Spotify

Technology is transforming the way music is created, shared and enjoyed, and where we will go from here is hard to predict. The latest shock to the system is Taylor Swift's decision to break up with Spotify, the popular music streaming service that has 40 million active users -- one quarter of which are paying subscribers.

With the release of her latest album, entitled "1989," Swift -- arguably music's most popular artist at the moment -- requested that all her back catalog be removed from the service. The move, which would be risky for most other artists, helped boost sales of the album to 1.3 million units in its debut week, the best performance in the industry since 2002. With no legal option other than buying, fans obliged.

Spotify says that over 70% of its revenues go to artists, but just between $0.006 and $0.0084 is paid for each play, depending on the artist. Others before Swift have pulled out: Thom Yorke famously described the service as "the last desperate fart of a dying corpse," and his solo works are not available for streaming. Other no-shows include The Beatles, who have an exclusive deal with Apple.

And yet, Spotify is now earning some artists more money than iTunes in Europe, as was revealed at the Web Summit technology conference in Dublin by Willard Ahdritz, CEO and founder of Kobalt, a company that represents thousands of musicians. That means that streaming is becoming, in some instances, more profitable than album sales.

Predicting the hits

Elsewhere in the digital world, social media is becoming a dominant contributing factor to the popularity of an artist, and it's also generating a huge amount of data that can be a powerful tool for trend analysis. Public social data is like a crystal ball that can help the music industry predict who's going to become the next big thing.

A company called Next Big Sound specializes in precisely these types of predictions. By tracking streams and collecting data from the Internet -- new Twitter followers, Facebook likes and Wikipedia page views -- the company says it can estimate the likelihood of an artist making it into the Billboard Top 200, which charts album releases, over a year before it happens.

Making the charts is not easy. Speaking at the Web Summit, Alex White of Next Big Sound pointed out that in the last year, only 961 artists made the Billboard Top 200, and just 204 of those were entering it for the first time. The Billboard Top 100, which tracks singles rather than albums, is an even more exclusive club: out of 249 artists appearing, just 43 were debuting.

Despite the charts favoring established artists, it's never been so easy to make, share and discover new music. "At the end of the 90s you needed a full blown musical studio to make real music," said Eric Wahlforss, co-founder of streaming service Soundcloud, "now all you need is a laptop. Even an iPad can be enough. Music making is for everyone. Technology has made it cheaper, accessible and more powerful."

Soundcloud was launched in 2007 and allows users to upload their music and embed it anywhere, offering a powerful tool for discovery. It has evolved significantly over the years, skewing its balance in favor of listeners and introducing algorithms that spot protected material. "We care a lot about copyrights and we have automatic filters that can block content on behalf of copyright holders," said Wahlforss. "We want to go to a billion monthly listeners, and welcoming major labels is a key point of the journey there."

The service, which currently boasts 175 million monthly listeners, has just announced a licensing deal with Warner Music, and is introducing a paid subscription model next year. "If you have those numbers, naturally you want to generate revenue, and that's what we're focusing on at the moment," said Wahlforss.

A matter of taste

Even though music discovery has evolved rapidly in recent years, there is still no consensus on which technology is the best to analyze someone's musical taste. According to Kevin Lee, who was among the founders of the Beats headphones brand, we might need to start from scratch. "Even with all this music, at any given time I still only have about five to 10 songs that I love and listen to, but I have to believe there may be 100 that would really touch me in the same way," he said. "I feel we need a new technology that can figure that out."

Lee now heads Sol Republic, a rising brand of audio products, and thinks that in the future we'll have headphones capable of analyzing a user's emotional response to a song, and then suggesting something similar. "It takes three seconds for you to know whether you like a song or not. There's something about our ears and our body and our mind that figures that out so quickly, and we need to find a technology that can do that for us," he said.

Apple bought Beats earlier this year for $3 billion, in a strong statement about the significance of headphones in this industry: because we listen to so much music through our phones, hidden away in our pockets, it's what's on our heads that counts. But Lee thinks that headphones have become too ubiquitous. "I hope people will discover this thing called the speaker," he said. "Right now you need a large, expensive speaker to get good sound, but we had the same problem with headphones and we solved that. I'm confident that we'll manage to shrink speakers in size without compromising sound quality: when we figure that out, people will change the way they listen to music at home."

One thing, however, does seem likely: "Streaming is the way of the future," said Soundcloud's Eric Wahlforss.

At the end of the Web Summit, sharing the stage with the final panelists, U2's Bono joined the discussion, defending Spotify's royalty model, and arguing that streaming is, indeed, what lies ahead, even amid the many uncertainties. "The remunerative bit still has to be figured out," he said. "This is an experimental and exciting period. So, let's experiment and see what works."

Read more: Never cook again -- now you can print your own pizza

@highlight

The future of the digital music business is still uncertain

@highlight

Taylor Swift recently pulled out of streaming service Spotify

@highlight

Next Big Sound uses social data to predict future hits

@highlight

"Streaming is the way of the future," says Soundcloud co-founder