(CNN) -- Diplomats attending the U.N. General Assembly used the spotlight and worked the sidelines in an attempt to make headway toward resolving the Syrian crisis as a graphic video emerged Friday that underscored the consequences of failure to do so.

"What has the international community done to stop this carnage?" asked Turkey's foreign minister, Ahmet Davutoglu. "Literally nothing. We have yet to see a single effective action to save innocent lives."

The inability of the Security Council to act, he said, "encourages the Syrian nation to kill even more people."

Turkey is providing shelter for 90,000 Syrian refugees, but the rest of the world needs to do its share, Davutoglu said. "Our inability to act becomes a tool in the hands of despots and destructive regimes to demolish the cities, towns and villages, massacre civilians and make a mockery of the civilized world and the United Nations."

German Foreign Minister Guido Westerwelle also slammed the U.N. Security Council for failing to end the violence.

World leaders working for robust action against Syrian President Bashar al-Assad's regime have hit a brick wall at the Security Council after Russia and China blocked tough resolutions.

Russian Foreign Minister Sergey Lavrov said Moscow supports the right of people to determine their own destiny and to decide how they want to be governed.

"We believe it is particularly important to carry out those transformations in a nonviolent way and without outside interference," he said.

He accused those who insist on a cease-fire only by the Syrian government with encouraging the opposition.

"In doing so, they push Syria even deeper into the abyss of bloody internecine strife," he said.

"Russia resolutely condemns any violence, wherever it comes from, and is convinced that there is still an opportunity to undertake collective actions," he added.

But Westerwelle told the assembly that the "deadlock" in the body "must not continue."

"To this very day, the Security Council has failed to live up to its responsibility for people in Syria," he said.

The U.N. peace initiative this year, led by former U.N. Secretary-General Kofi Annan, failed. But Westerwelle supported the efforts of his successor, Lakhdar Brahimi.

"Despite the escalating violence and despite the deadlock in the Security Council, we must not stop working on a political solution," the German diplomat said.

The Security Council's failures to take tough action has led dozens of Western and Arab nations -- including the United States, Australia, Canada and Turkey -- to form an initiative called the Friends of Syria. The group comprises dozens of countries working for regime change.

In addition to hosting a meeting of the group on Friday, U.S. Secretary of State Hillary Clinton announced $30 million for humanitarian aid and $15 million to unarmed opposition groups.

Here are the latest developments in the Syrian crisis.

Chemical weapons moved in Syria

The Syrian government has moved chemical weapons at various sites for security reasons, the U.S. defense secretary said Friday.

There has been "limited movement" at Syria's major chemical storage sites, Leon Panetta said in response to questions from CNN's Barbara Starr.

But U.S. officials have said they believe that the stashes remain secured by the Syrian military.

Panetta added that the United States and other countries are monitoring the sites. "We are working with countries in the region to ensure that we have the best information possible with regards to the sites and how they are being secured," he said.

Violence flares in Aleppo, Damascus

As world leaders huddled at the United Nations, shelling and gunfire rang out Friday in Syria's largest city.

Government forces clashed with opposition fighters in Aleppo hours after the launch of a "decisive battle" to expel regime soldiers, opposition activists said.

At least 166 people were killed Friday, including 57 in Aleppo, according to the opposition Local Coordination Committees of Syria.

A YouTube video said to have been shot in Aleppo and distributed by the LCC showed a boy laying on a table. His left arm had been severed at the elbow; his intestines protruded through a massive wound in his stomach; the flesh on his left leg above the knee had been torn away. He did not speak. Only the movement of his eyes revealed that he was still alive.

CNN cannot verify the authenticity of the video.

The state-run Syrian Arab News Agency said two children were among four civilians killed by an "armed terrorist group" firing mortar shells in Aleppo.

The government also said it "inflicted heavy losses" when its soldiers confronted "terrorists" conducting other attacks. SANA didn't provide a death toll. The regime has consistently described opposition fighters as terrorists.

Elsewhere, 43 people died in Damascus and its suburbs and 19 in Deir Ezzor. Others were killed in Idlib, Daraa, Hama, Homs and Raqqa.

U.N. panel on Syria gets thumbs up

The U.N. Human Rights Council voted Friday to extend the mandate of the Commission of Inquiry on Syria, the entity tasked with investigating human rights abuses during the civil war.

The vote -- which was held in Geneva, Switzerland -- was overwhelming, with 41 in favor. China, Russia and Cuba opposed the move. India, the Philippines and Uganda abstained.

The council asked U.N. Secretary-General Ban Ki-moon "to provide additional resources, including staffing" to the commission. It also renewed its request for Syrian authorities "to cooperate fully with the Commission of Inquiry, including by granting it immediate, full and unfettered access throughout Syria."

The council also condemned a May massacre in Houla, near Homs. It said government forces and its militia allies "were found by the Commission of Inquiry to be the perpetrators of outrageous and heinous crimes."

Laura Dupuy Lasserre, president of the Human Rights Council, announced her two appointments to the commission: Carla del Ponte, the former prosecutor of the International Criminal Tribunals for the former Yugoslavia and Rwanda, and Vitit Muntarbhorn, who served the council previously as a special rapporteur.

Background

The Syrian conflict broke out in March 2011 after unarmed protesters, inspired by the success of popular uprisings in Egypt and Tunisia, took to the streets demanding political reform and an end to four decades of rule by the Assad family.

The movement devolved into an armed conflict after a brutal and continuing crackdown by regime forces.

Since the unrest began, more than 30,000 people have been killed, the opposition Syrian Observatory for Human Rights said.

CNN's Barbara Starr, Hamdi Alkhshali, Faith Karimi and Joe Sterling contributed to this report.

@highlight

World has done "literally nothing" to stop carnage, says Turkish official

@highlight

U.N. extends mandate of Commission of Inquiry

@highlight

Chemical weapons moved for security reasons, U.S. defense secretary says

@highlight

Clinton announces $45 million in aid to the opposition