(CNN) -- If you've ever gazed down from an airplane on a clear day, you've probably admired the quilted fields or jagged ribbons of coastline below.

Now imagine seeing those views from several hundred miles higher, a perspective that morphs recognizable landscapes into something that looks more like abstract art.

That's the aesthetic behind "Earth from Space," a new book of photographs that emphasizes the beauty and delicacy of our planet. The coffee table-sized volume contains more than 150 high-resolution images, shot from satellites, that chronicle everything from the patchwork plains of Kansas to the shrinking snows of Mount Kilimanjaro in Africa to the twinkling sprawl of Shanghai, China, at night.

"Whether seen from the sky or from space, no matter the difference in scale, our planet arouses the same sense of wonder by offering us unexpected geometric forms, magnificent structures and stunning colors -- even if the colors in satellite images are often artificial," writes author-photographer Yann Arthus-Bertrand in the book's preface.

Unlike true-color images that use visible light, some satellite photos incorporate infrared light and show unexpected colors, enhancing selected features on Earth, such as fires.

Published by Abrams Books, "Earth from Space" is a project of Arthus-Bertrand's GoodPlanet Foundation, which works to raise awareness of conservation and environmental issues. Its photos were collected by Astrium, a French company specializing in satellite services and other space technology.

Newly sophisticated lenses and sensors have allowed photographers to capture the Earth from space in remarkable detail -- down to the rows of shanties in Port-au-Prince, Haiti, that were destroyed in the 2010 earthquake.

Images from space also help make scientists aware of gradual environmental shifts wrought by climate change or humans, such as deforestation or disappearing polar ice caps.

Google Earth has given us all access to spacecraft's-eye views of our planet. But the book's large-scale photos, with their colorful swirls and mysterious patterns, function as artworks as well as documents.

Arthus-Bertrand hopes the images in "Earth From Space" serve another purpose as well: to inspire readers to learn more about Earth's delicate ecosystems and how to protect them.

"What satellites cannot give us is the meaning of what they observe," he writes. "Only our species can interpret their images and discern within them the fascinating beauty of our world, as well as its incredible fragility."

@highlight

"Earth from Space" is a book of photos that emphasizes the beauty of our planet

@highlight

The book contains more than 150 high-resolution images, shot from orbiting satellites

@highlight

The satellite photos incorporate infrared light and show unexpected colors