(CNN) -- Editor's note: On April 21, Denis Asselin, 63, stepped out his front door to embark on a 525-mile walk from Philadelphia to Boston in memory of his son Nathaniel, who took his life last year after a 13-year battle with body dysmorphic disorder, a condition related to obsessive compulsive disorder. Nathaniel was 24.

With a photo of Nathaniel attached to his walking stick, Asselin is visiting the schools, clinics and medical facilities where Nathaniel had been treated over the years, as well as the places where he experienced the greatest joys in his short life. There he will share his story as a parent of a child with body dysmorphic disorder. The journey will end in downtown Boston on Thursday, June 7.

To engage in a "pilgrimage" in the 21st century is by its very definition an invitation to step outside of chronos time (ordinary clock time) and to enter into kyros time (timelessness).

A walk to pound grief into the ground

That is exactly what I did on Tuesday, April 21, when I walked out my front door in Cheyney, Pennsylvania, and began my seven-week journey by foot to Boston. I invited in possibilities and gave myself permission to be open, attentive and present.

Expert Q&A: Will my daughter ever recover her mental health?

My huge undertaking has become a journey of faith where I allow true learning to happen.

What have I learned so far? I am learning about myself, about others and about my place and purpose in the world.

My primary goals are to tell Nathaniel's story -- so that awareness about brain disorders, especially OCD and BDD, can spread far and wide -- and to raise much needed funds for the International OCD Foundation so research and programs can help other sufferers, their families and their friends.

OCD in children: 'A darkness has overtaken me'

As nobly stated those basic intentions are, the learning that accompanies them can be quite unexpected and magical.

I am learning that...

1. Not many people know about the cruel brain disorder, BDD. They have heard of OCD, but not much about the former. Therefore, I tell them Nathaniel's story.

2. You can never fully know whose life you will touch by making yourself available to others and by speaking from the heart.

3. The first 10 seconds of my encounters with strangers are the most critical in gaining their attention and their willingness to hear more and to learn more. I usually vary my approach, but I must always choose my initial words carefully. They are the portals through which connections occur.

4. When you mention brain disorders, you intentionally open the doors for your listeners to also share their stories about similar conditions in their own lives, in their own families and among their own friends. I'm learning to be a good listener.

5. If you put one foot in front of the other, you will eventually get somewhere.

6. Everyone seems to be rushing somewhere, mostly in cars, and don't seem to be very happy about it. Apparently, increasing one's speed doesn't necessarily bring happiness.

7. Acts of kindness still happen in the world based on my direct experiences of the generosity of others during these past weeks.

8. Life doesn't get any better than when you live it fully outside. Walking outdoors puts you directly in touch with nature but also with yourself.

9. I marvel at my own resilience, resolve, flexibility and spontaneity. I never knew I already had these skills in such huge quantities.

10. The best rule of thumb when walking is to be open, to be attentive, to be present and to let life unfold in from of you. I am "Walking with Nathaniel."

Asselin chronicled his experience on his blog, walkingwithnathaniel.org. For more information on body dysmorphic disorder, click here

@highlight

Denis Asselin finishes his walk from Philadelphia to Boston on Thursday

@highlight

He is walking in memory of his son Nathaniel, who took his own life at age 24

@highlight

Nathaniel suffered from body dysmorphic disorder, a form of OCD