Jerusalem (CNN) -- For the first time in three years, Israelis and Palestinians will come to the negotiating table in Washington on Monday night.

U.S. Secretary of State John Kerry reiterated praise for Israeli Prime Minister Benjamin Netanyahu and Palestinian Authority President Mahmoud Abbas on Monday morning.

The talks will be "a difficult process," but he added that the consequences of not trying could be worse. Kerry said the goal is to seek "reasonable compromises" on "tough, complicated, emotional" and symbolic issues, then he announced former U.S. ambassador to Israel, Martin Indyk, as U.S. envoy to the talks.

Indyk understands that peace will not come easily, but that "there is now a path forward, and we must follow that path with urgency," Kerry added.

The goal of the talks is to establish a Palestinian state with security arrangements and agreed-upon borders with Israel.

Indyk said that he recalled a screen saver that his son once created for him -- a single question that ran across his monitor: "Dad, is there peace in the Middle East yet?"

"For 15 years, I've only been able to answer him, 'Not yet,'" Indyk told reporters. But he said he is hoping that these talks would mark a change.

President Barack Obama said the talks are "a promising step forward" but "hard work and hard choices remain ahead."

In a precursor to the talks, Netanyahu prodded the Israeli government into approving the release of 104 Palestinian prisoners -- a move that flies in the face of popular sentiment in Israel.

"This moment is not easy for me. It is not easy for the ministers," he said. "It is not easy especially for the families, the bereaved families, whose heart I understand. But there are moments in which tough decisions must be made for the good of the country, and this is one of those moments."

The measure passed 14-6, with two abstentions.

"It's easy to see why Israelis wouldn't be happy about this because some of these prisoners are murderers," said Elliott Abrams, an expert on U.S. policy in the Middle East with the Council on Foreign Relations. "There are some of them who've thrown bombs onto buses. There are a lot of victims in Israel who are outraged and speaking out in media there asking, 'Why do we have to give Palestinians some kind of concession to get them to the negotiating table?' They're asking, 'Why are we having to let people out of prison with blood on their hands?' "

Abrams wrote about the peace talks Monday.

Defense Minister Moshe Ya'alon spoke in an internal Cabinet meeting Sunday, saying: "There is a heavy price to pay about the freeing of prisoners, from the moral point of view, the legal point of view and deterrence.

"I wish we would not have such dilemmas," he continued. "However, in the situation which has come about, there will be a heavy price to pay if we decide not to go into a peace process and are blamed for that in our strategic connection with the U.S.A. and other Western countries."

Also at Sunday's meeting, the Cabinet approved the opening of diplomatic negotiations with the Palestinians and authorized a team headed by Netanyahu and four other top ministers to conduct the prisoner release.

The votes were designed to build confidence and help kick-start the Israeli-Palestinian negotiations. The first of four waves of releases is scheduled to come after the negotiations get under way.

But Palestinian lawmaker Mustafa Barghouti called the gesture too little, too late.

"The number of prisoners who will be released will be 104 out of 4,800 Palestinian prisoners inside Israeli prisons, so it is a very small number in comparison," according to Barghouti, who said this group should have been set free after the Oslo Peace Accords in 1993.

"Second, they will be released as announced by (Israeli Justice Minister Tzipi) Livni in stages, depending on the attitude of the Palestinian negotiators on the table, which means the issue of Palestinian prisoners will be used as an instrument of political blackmail," he said.

"They were all arrested before the Oslo agreement. They lost 20 and 30 years of their life, and there is no justification for that at all."

The players

The Israelis will be represented at the talks by Livni and Yitzhak Molcho, and the Palestinians will be represented by Chief Negotiator Saeb Erakat and Mohammad Shtayyeh, State Department spokeswoman Jen Psaki said in a statement.

Read more: Israelis, Palestinians to resume talks

Some observers see the Palestinian prisoner release vote, for example, is a sign that the talks have a good chance at being successful.

But it's not just in the hands of politicians. The Israeli Cabinet approved a measure stating that any agreement with the Palestinians will be submitted to Israelis for a vote.

And while leaders meet in Washington, violence raged in the region. Palestinian police in Ramallah, West Bank, clashed with marchers protesting the negotiations.

The protesters believe the talks indicate a "willingness to concede, against the position of the Palestinian national consensus and even the decisions of the PLO institutions themselves," and called the planned talks "deeply dangerous to the Palestinian national cause," said the Addameer Prisoner Support and Human Rights Association, a Jerusalem-based Palestinian nongovernmental organization.

And Hamas, which governs the Palestinian territory of Gaza, issued a statement saying that it "rejects the Palestinian Authority return to peace talks with the Israeli occupation authorities."

CNN's Michael Schwartz reported from Jerusalem and Ashley Fantz wrote from Atlanta. CNN's Kareem Khadder contributed to this report.

@highlight

Peace negotiations are to start Monday night in Washington, the U.S. State Department says

@highlight

Israel plans to release 104 Palestinian prisoners, starting next week

@highlight

Any peace plan would have to be approved by a vote of Israelis, Israel's Cabinet says

@highlight

The goal of the talks is to agree to a Palestinian state's borders, make security arrangements