(CNN) -- North Korea, whose leader Kim Jong Il died over the weekend, is the least democratic nation on Earth, according to a newly released report by a British analysis and intelligence firm.

The Democracy Index 2011, compiled by the Economist Intelligence Unit, listed Norway as the most democratic nation in the world.

The top 10 spots in this year's index were occupied mostly by European countries. Following Norway were: Iceland, Denmark, Sweden, New Zealand, Australia, Switzerland, Canada, Finland and the Netherlands.

Read the full report

The United States ranked 19th, down two spots from the 2010 listing. The United States' 2011 ranking is below Canada (8th) and the United Kingdom (18th).

The United States also ranked below the Czech Republic (16th), a former Soviet communist satellite that did not become a democracy until 1989, and the South American nation of Uruguay (17th), a former right-wing dictatorship that did not return to democracy until 1984.

The Economist Intelligence Unit analysis, released this month, concluded that democracy deteriorated in 48 countries, improved in 41 and stayed the same in 78. In most regions, the report said, the level of democracy was lower in 2011 than the previous year.

"2011 was an exceptionally turbulent year, characterized by sovereign debt crises and weak political leadership in the developed world, dramatic political change and conflict in the Middle East and North Africa and rising social unrest," said Laza Kekic, the report's lead author.

The Democracy Index is based on five categories: electoral process and pluralism, civil liberties, how government functions, political participation by the public, and political culture. The analysts measured the level of democracy in 165 nations and two territories, "which account for almost the entire population of the world," the Economist Intelligence Unit said in a release.

Using a scale of 0 to 10, countries were placed in one of four categories: full democracies (8-10), flawed democracies (6 to 7.9), hybrid regimes (4 to 5.9) and authoritarian regimes (0 to 3.9).

Norway, the top-ranked nation, had a score of 9.8. The Scandinavian nation also ranked No. 1 in 2010 with an identical score.

North Korea, ranked No. 167, had a score of 1.08. The Asian nation also ranked last in 2010, with the same score.

The United States had a score of 8.11, slightly lower than last year's 8.18.

"U.S. democracy has been adversely affected by a deepening of the polarization of the political scene and political brinkmanship and paralysis," the Economist Intelligence Unit concluded.

The analysts noted that the United States and the United Kingdom lag behind many other full democracies for some of the same reasons.

"There has been a rise in protest movements," the report states. "Problems in the functioning of government have become more prominent."

Among other findings in the report:

-- Slightly more than half the world's population lives in some type of democracy, although only 11% enjoy a "full democracy."

-- More than one-third of the globe's population lives under authoritarian rule.

-- Nearly half the nations on the planet are considered democracies: 25 "full" and 53 "flawed."

-- There were 37 "hybrid regimes" and 52 "authoritarian regimes."

-- Violence, drug trafficking and other crime in Latin America continue to hinder democracy.

-- Eastern Europe continued to suffer a decline in democracy, with 12 nations worse than the previous year.

-- Western Europe also had a decline in democracy, with seven nations deteriorating and none improving. Some of that deterioration was due to financial problems plaguing the eurozone. Five of the countries that lost points in the rankings belong to the eurozone: Greece, Italy, Portugal, Spain and Ireland.

-- Eight countries had a listing change from one type of government to another in 2011. Four were upgraded and four were downgraded.

-- Countries that deteriorated were: Portugal (fell from full to flawed democracy), Ukraine and Guatemala (flawed democracy to hybrid regime) and Russia (hybrid to authoritarian regime).

-- Zambia improved from a hybrid to a flawed democracy. Tunisia, Mauritania and Niger moved up from authoritarian to hybrid.

In the Western Hemisphere, Costa Rica is ranked 20th, up five spots from last year. That nation's score was 8.10, nearly the same as the United States. Costa Rica is listed as a full democracy.

Western Hemisphere flawed democracies are: Chile (35th, 7.54); Trinidad and Tobago (43rd, 7.16); Brazil (45th; 7.12); Panama (47th, 7.08); Mexico (50th, 6.93); Argentina (51st, 6.84); Colombia (55th, 6.63); Peru (56th, 6.59); El Salvador (61st, 6.47); Paraguay (62nd, 6.40); Dominican Republic (70th, 6.20) and Guyana (77th, 6.05).

Western Hemisphere nations listed as hybrid regimes are: Guatemala (82nd, 5.88); Bolivia (84th, 5.84); Honduras (84th, 5.84); Ecuador (89th, 5.72); Nicaragua (91st, 5.56); Venezuela (97th, 5.08) and Haiti (114th, 4.00).

Cuba (126th, 3.52) is the only Western Hemisphere nation categorized as authoritarian.

Full democracies worldwide include: Luxembourg, Ireland, Austria, Germany, Malta, Japan, South Korea, Belgium, Mauritius and Spain.

Some nations categorized as flawed democracies include: South Africa, France, Italy, India, Indonesia and Philippines.

Hybrid regimes include: Hong Kong, Singapore, Bangladesh, Turkey, Palestine, Cambodia, Pakistan and Iraq.

Authoritarian nations include: Jordan, Kuwait, Libya, China, Vietnam, United Arab Emirates, Afghanistan and Laos.

In addition to North Korea, the other nine least-democratic nations are: Chad, Turkmenistan, Uzbekistan, Myanmar, Equatorial Guinea, Saudi Arabia, Central African Republic, Iran and Syria.

The Economist Intelligence Unit, which performed the analysis, is based in London and reports having offices in more than 40 cities worldwide. The company says it has about 650 country experts and analysts worldwide. The Democracy Index 2011 was released December 15.

The latest Democracy Index closely mirrors a Corruption Perceptions Index released by the German watchdog organization Transparency International in late November.

In that analysis, New Zealand was perceived as the least corrupt nation on earth, and Somalia and North Korea were seen as the most corrupt.

The United States ranked 24th least corrupt on a "corruption perceptions index," the fourth-best in the Western Hemisphere. Canada ranked 10th, the Bahamas was 21st and Chile was 22nd.

Overall, the top spots were occupied mostly by European countries, with the exception of New Zealand, Singapore at No. 5 and Australia, which was tied for eighth with Switzerland. Other nations with top rankings were Denmark, Finland, Sweden, Norway and the Netherlands.

In addition to Somalia and North Korea, which were tied for last at No. 182, the bottom of the list included Myanmar, Afghanistan, Uzbekistan, Turkmenistan, Sudan, Iraq, Haiti and Venezuela.

The report was prepared by the independent, nonpartisan Transparency International organization, which said it drew its conclusions based "on different assessments and business opinion surveys carried out by independent and reputable institutions."

The information used to compile the index included "questions relating to the bribery of public officials, kickbacks in public procurement, embezzlement of public funds and questions that probe the strength and effectiveness of public-sector and anti-corruption efforts," Transparency International said.

Perceptions are used, the organization said, because corruption is a hidden activity that is difficult to measure.

"Over time," the organization said in its report, "perceptions have proved to be a reliable estimate of corruption."

The rankings for other Western Hemisphere countries were: Uruguay (25), Puerto Rico (39), Costa Rica (50), Cuba (61), Brazil (73), Colombia, El Salvador and Peru (tied for 80), Panama (86), Argentina and Mexico (tied for 100), Bolivia (118), Ecuador and Guatemala (tied for 120), the Dominican Republic and Honduras (tied for 129), Nicaragua (134), Paraguay (154), Venezuela (172) and Haiti (175).

The index used a scale of 0-10 to measure perceived corruption, with zero representing highly corrupt and 10 being very clean.

New Zealand, the highest-ranked nation, has a 9.5 score. Somalia and North Korea, the lowest-ranked, had 1.0.

The United States scored 7.1, while Canada was 8.7 and Chile was 7.2. Haiti, the lowest-ranked nation in the Western Hemisphere, scored 1.8. Next-worst was Venezuela with 1.9.

Transparency International, headquartered in Berlin, reports having 90 chapters worldwide. The organization says it works with partners in government, business and civil society to develop and implement effective measures to combat corruption.

@highlight

Norway is listed as the most democratic nation in the British report

@highlight

The United States ranks 19th, down two spots from 2010

@highlight

Canada is eighth and the United Kingdom is 18th