London (CNN) -- The death of a 14-year-old girl who was apparently fatally savaged by a pack of dogs at a friend's home has prompted horror in Britain.

Greater Manchester Police formally identified the girl Wednesday as Jade Anderson.

She was found dead at a house in Atherton, near Wigan in northwest England, on Tuesday afternoon after police were called about reports of an unconscious girl and "out-of-control" dogs.

Armed officers were confronted by a pack of dogs, described as "aggressive." Four were killed, and a fifth, which was shut up elsewhere in the house, was contained.

More clues about what sparked the attack on Jade may be revealed by an autopsy Wednesday, police said.

The schoolgirl was alone at the house, which she was visiting, when she was apparently mauled, police said.

The dogs' remains will be examined as part of the investigation, which will also look at the breeds involved, police said.

UK newspaper reports suggest that an American bulldog, two Staffordshire bull terriers and a bull mastiff attacked the teenager. None of those breeds are banned in Britain.

Police Superintendent Mark Kenny said it was "a deeply distressing incident for everyone involved" and expressed condolences to Jade's family.

"They are understandably devastated by what has happened, as are Jade's circle of friends," he said in a police statement.

He told reporters later Wednesday that reports of the dogs attacking after Jade brought a meat pie into the house were speculation, but acknowledged that the attack came at lunchtime, after she'd left and returned.

"This afternoon we sadly lost one of our students, Jade Anderson. Our thoughts are with her parents and family," the Twitter account for her high school said.

Dealing with dangerous dogs

A report by the UK parliament's Environment, Food and Rural Affairs Committee last month said seven people, five of them children, had been killed by dogs in homes in Britain since 2007.

The cost to the National Health Service of treating severe dog attack injuries is more than 3 million pounds ($4.5 million) a year, it said.

"Current dangerous dogs laws have comprehensively failed to tackle irresponsible dog ownership," the report said, adding that the latest government proposals are "woefully inadequate."

Kenny, the police superintendent, said he was not aware that any formal complaints had been made against the dogs involved in Tuesday's attack.

Humane societies point out that it is often the actions of owners, rather than the particular breed, that make a dog dangerous.

Animal psychologist Roger Mugford, who founded the UK-based Training and Behaviour Centre, which works with problem dogs, echoes that view.

"Everything is down to the owner," he told CNN. "Owners know if their dog is a hazard or is not friendly."

In a home with several dogs, the animals could be expected to behave as a group in a territorial way, he said. "So a stranger going into a home with five dogs would be seen as a threat, someone to be challenged or even attacked."

Once one dog attacks, the others are likely to join in, and self-defense becomes almost impossible, he added.

Assuming the worst

Some breeds are banned in Britain under the Dangerous Dogs Act. They include the pit bull terrier, the Japanese Tosa, the Dogo Argentino and the Fila Braziliero, as well as dogs that may be crossbreeds but share the characteristics of these breeds.

But it's not the breed involved, but how the animal has been trained that counts, Mugford said, although bigger dogs can inflict more harm if they become aggressive.

"It's a fallacy that one breed is more dangerous than another," he said. "Everyone has prejudices ... but the willingness to bite is probably the same, on average, in a bichon frise as in a Great Dane."

Mugford recommends that owners take action as soon as they spot any warning signs -- by going to a dog trainer or qualified behaviorist, asking a veterinarian for advice or investing in a muzzle.

"If you have a big dog, or several big dogs, it's pretty obvious that you must take it very seriously indeed," he said. "Assume that the worst can or might happen."

The laws in Britain are sufficient to protect people if they are enforced, he said. "But more than anything, we need common sense -- punishment after the act is not the solution, we need behavior that anticipates problems."

Pit bull issue

The debate over dangerous dogs is also heated in the United States, where the Humane Society has been campaigning against a Maryland Court of Appeals ruling in August that pit bull terriers are "inherently dangerous."

Under the ruling, dog owners and their landlords are responsible for any injuries caused by pit bulls.

The Humane Society says it's wrong to discriminate by breed.

"Singling out a particular breed or type of dog has repeatedly been proven to be ineffective at curbing dog bites because breed alone is not predictive of whether a dog may pose a danger," its website says.

"A dog's propensity to bite is a product of several factors primarily under the owner's control, including early socialization, whether the dog is spayed or neutered and whether the dog is isolated or chained."

READ RELATED: A pit bull perception problem: What's a dog owner to do?

CNN's Hazel Pfeifer contributed to this report.

@highlight

NEW: Animal psychologist says dog owners must take action if they spot warning signs

@highlight

Jade Anderson, 14, is apparently killed by a pack of dogs in a house in northwest England

@highlight

Four dogs were shot by armed police officers and a fifth was secured

@highlight

Media reports say they were an American bulldog, bull mastiff and Staffordshire bull terriers