New York (CNN) -- For much of this year, we've read about the Arab Spring uprisings, leading to the downfall of leaders in Egypt, Tunisia and Libya. Now, we're facing the prospect of a more fundamental overhaul in western nations: a European Union Winter.

The ongoing fiscal crisis in the eurozone is taking its political toll on the leaders of the troubled economies. One by one, they fall.

In the south, developments are accompanied by drama. Greece's George Papandreou resigned, after two years in office, as a precondition for the creation of a coalition government in Greece. Italy's Silvio Berlusconi, whose fall has been predicted for years because of his business dealings and private life choices, has stepped down.

But the dominoes don't stop with these Mediterranean countries. Nicolas Sarkozy of France faces a close to impossible re-election in the spring. The French are weary of austerity, but their country will continue to have to make cuts in order to withstand market pressures and hope for a return to growth.

Chancellor Angela Merkel of Germany is faring badly in the polls as the economy there slows down and the money for bailouts will most likely need to increase. Spanish Prime Minister Jose Luis Rodriguez Zapatero, is not even seeking a third term in the November 20 elections. Unemployment is at 21% and the economic downturn there continues.

Regardless of the fates of these leaders, several overriding questions remain.

What will citizens need to understand in order to accept a significant change in lifestyle and prospects? After ousting one set of politicians will they then be willing to go through the pain of more austerity and elusive growth, or will each new government face even stronger opposition? Is there a realistic way out of this financial crisis that does not entail hardship for the people?

Citizens do not appreciate experimentation. They value a clear road map they can understand: It has a beginning, a middle and an end. Conflicting opinions, the residue of a democracy, nonetheless breed confusion and a false sense that somewhere, someone is hiding the easy way out. People then search for scapegoats and saviors, identify conspiracies and blame the powers that be.

Coalition governments alone will not be sufficient for people to get on board. A clear pan-European plan that will unite the continent should be immediately under way.

The largest political groups, such as the European People's Party, the European Socialists, European Liberal Democrats and the Greens, to name a few, must come together with the EU Commission and undertake this challenge.

The commission has been working on economic proposals to address the fiscal crisis and the economic governance in the EU. There are talks about treaty revisions. But there are also, concurrently, discussions about moving to a two-speed Eurozone. This only heightens insecurity and resentment.

But there is some good news.

Many of the unifying elements are already in place. Across the European Union there is consensus on the transition to a low-carbon economy, to create green jobs, protect the environment, invest in education and R&D and to manage resources more efficiently. The EU has treaties binding members together, and over the decades a strong European identity has emerged that helps citizens feel at home throughout the EU and adds value to their national identity and heritage.

Sadly, the current fiscal crisis has wreaked havoc and obscured all these positive policies that helped make Europe what it is today: a modern society that provides political, economic and personal security to its many peoples. Europe has strengthened its democratic institutions, provided funding for its weaker members, incorporated new members after the fall of the Iron Curtain, given voice to its citizens and led the way in reversing the effects of climate change, the greatest challenge of our time. What Europe needs now is more, not less, Europe.

In a world where size matters, Europeans need to re-start the engines and not allow the fiscal crisis or the markets to send them back to the days when borders, national enmities, national currencies and nationalism itself ruled the day. Today's world requires cooperation on every front, and the economy is just one more test we need to pass, one challenge we have to face in order to move confidently into the future as Europeans who are writing a new chapter in our common history.

The opinions expressed in this commentary are solely those of Sophia Kalantzakos.

@highlight

One by one, leaders in Europe's troubled economies are falling, says Sophia Kalantzakos

@highlight

Kalantzakos: Will each country's new government face even stronger opposition?

@highlight

Coalition governments alone will not be sufficient for people to get on board, she says

@highlight

A pan-European plan that will unite the continent should be urgently under way, she says