(Travel + Leisure) -- "Voluntourism is not about martyrdom," says Christopher Hill, CEO of Hands Up Holidays, a London-based company that arranges high-end excursions that incorporate volunteering. "It's about making a difference, even if you're staying at a luxury hotel."

A visitor traveling with Micato Safaris meets a group of young Kenyans in Nairobi.

With a growing number of hotels and tour operators offering trips that give back, the experience is more accessible than ever -- from stints building houses with Hands On New Orleans and four-week HIV awareness programs in Thailand with the Global Services Corps to helping orphaned children in Kenya with Micato Safaris.

But the key to a successful volunteer vacation involves a few basic considerations: What kind of an impact are you looking to have? How will the project you choose benefit the local community? (The latter is of particular concern, since less reputable charities and companies that overstate responsible-travel claims are all too common.)

"The most efficient and reputable organizations are those whose ultimate goal is to help communities work independently," says Brian Mullis, president of Sustainable Travel International, in Boulder, Colorado. Travelers who would prefer a relatively simple, low-key project, such as conducting a wildlife survey in Costa Rica, can opt for a hotel program. For a longer trip that involves daily contact with locals, a tour operator or nonprofit may be your best bet.

To help you decide where to start, we've outlined what to watch for, and how to continue to make an impact after you return home. Travel + Leisure: 10 tips for traveling green

Hotels and travel companies with outreach programs

If you'd rather devote only part of your vacation to a cause, there are other, less demanding ways to give. Check out the many philanthropic programs offered by hotels (both high-end and chain brands) and travel companies, including opportunities for guests to volunteer.

According to the International Ecotourism Society, a Washington, D.C.-based nonprofit, more than 66 percent of American travelers believe that hotels have an obligation to protect the environment and support local communities. The concept isn't entirely new -- eco-lodge Lapa Rios in Costa Rica, for example, has offered travelers the chance to volunteer for almost a decade. Travel + Leisure: Best new green hotels

Ritz-Carlton recently launched Give Back Getaways (givebackgetaways.com), a program that invites guests at 62 properties to help with projects ranging from research at Dubai's Hutta Dam to river cleanups. Fairmont (fairmont.com/environment) and RockResorts (giveandgetaway.com) have also instituted outreach programs at properties worldwide.

Booking advice:

• Make sure the fees fall into the right pockets when a trip requires that you pay to volunteer. Before signing up, ask your hotel what percentage of your money goes directly to the local community (rather than to the hotel's balance sheet).

• Many hotels will exchange philanthropic work for reduced room rates; on select dates, for example, the RockResorts in Colorado offer discounts to guests who volunteer at national forests within the state.

Responsible tour operators

Unlike hotels, travel companies have no universal third-party eco-certification. As a result, a tour operator might offset 100 percent of its carbon emissions for clients' airline travel, but place them in a lodge that dumps untreated wastewater into local rivers.

To assess how responsible a company actually is, Martha Honey, cofounder of the Center on Ecotourism and Sustainable Development in Washington, D.C., suggests starting with some simple questions: What are the company's environmental practices? Does it give a portion of its profits to charity? (New York-based Micato Safaris, for instance, pays the administrative costs of its nonprofit AmericaShare, so 100 percent of donations made go directly to the community.) What kinds of projects do they fund? What does the company do to help guests understand local development and conservation issues?

Also, look at online message boards, such as Lonely Planet's Thorn Tree Travel Forum (lonelyplanet.com/thorntree) and tripadvisor.com, for trip reviews. Or vet potential operators at Sustainable Travel International (sustainabletravelinternational.org), Responsible Travel (responsibletravel.com), travelphilanthropy.org and Orbitz's multipurpose green site, eco.orbitz.com.

Finally, consider checking bona fides with a third-party auditor such as Green Globe (greenglobe21.com) or Green Leaf (greenleaf.org).

Booking advice:

• Smaller tour groups and hotels (think 20 versus 100 people, and boutique hotels versus megaresorts) have a lower ecological impact.

Reputable charities

After returning from a vacation, you may be moved to continue to help fund a project in the destination you've visited. If you're not careful, however, your money may not end up in the right place. Vet the charity through watchdog groups such as charitynavigator.org, BBB Wise Giving Alliance (give.org) and the American Institute of Philanthropy (charitywatch.org).

These organizations rate nonprofits based on such factors as availability of financial and operational information to the public, efficiency of fund-raising activities and how donations are spent. Many international aid organizations have regional or national partners that can use your support -- UNICEF, for example, allies itself with a number of local NGO's in destinations in the Pacific Islands, Africa and South America.

Also, consider charities that will allow you to make targeted donations. At globalgiving.org, travelers can search for projects by area, while kiva.org enables individuals to make microfinance loans in communities around the world.

Targeting your donation:

• Rather than giving a small amount to each of several charities, donate to one or two organizations to ensure the highest impact.

• Ask whether your tour company or hotel has a practice of contributing to local causes. Abercrombie & Kent (abercrombiekent.com), Six Senses (sixsenses.com), CC Africa (ccafrica.com), Intrepid Travel (intrepidtravel.com) and Lindblad Expeditions (expeditions.com) all sponsor nonprofits that work in destinations abroad.

Planning a beach getaway? Don't miss Travel + Leisure's guide to Affordable Beach Resorts.

Copyright 2009 American Express Publishing Corporation. All rights reserved.

@highlight

Ritz-Carlton recently launched Give Back Getaways at 62 properties

@highlight

Volunteers can help orphaned children in Kenya with Micato Safaris

@highlight

Ask about environmental practices and contributions to local communities