Madrid (CNN) -- Loud chants rise up from the street below, the noise bouncing off the wall of the building across the way and pouring in to an apartment on the top floor of a block in Vicalvaro, a working class suburb of Madrid.

"The people, united, will never be divided!" yells the crowd, angrily waving banners and placards. "To fight is the only way!"

Rocio pokes her head out of the window, watching the commotion below with interest, as dog-walkers, mothers with strollers, and pensioners carrying shopping bags join the throng.

The scores of people gathering on the sidewalk are no nosey neighbors -- indeed, many of them are complete strangers to the family living on the fifth floor -- but they are all here to protect Rocio from eviction.

The mother-of-one, with brightly-dyed hair, braces on her teeth, and worry etched on her face, hangs her head as she explains how she got here: The move from Ecuador in 2003, when times were good and jobs plentiful in Spain, the decision to invest in a home for Rocio and her son, now 17 and in high school.

But then the global financial crisis hit, bringing Spain's economy to its knees; Rocio lost her jobs -- in a shop, and as a cleaner -- and the mortgage payments spiraled out of reach.

She is an example of the crisis many Spaniards face as the country deals with the highest unemployment since the Civil War in the 1930s, and a recession entering its second year.

For a while, Rocio got by on benefits, but then those stopped too, and now the bailiffs are circling.

"They are about to evict me, and I'm fighting to stay because I don't have anywhere else to go," she says. "I haven't paid my mortgage because I can't -- I don't have any work."

Inside the cosy two-bedroom apartment, there's little sign that the family may be turned out onto the street at any moment: The TV is on in the lounge, shelves and closets are full, and a piece of meat sits on the kitchen counter top, defrosting in time for tonight's dinner.

In the main bedroom, there's just one concession to the very real threat that Rocio might be about to lose her home: a large black suitcase sits, empty, atop a bedspread dotted with pink roses.

"I can't stand the thought of living on the streets with my son, but I have no idea where else to go," she says. "Just thinking about it makes me very sad."

Rocio's story is echoed by others all over Spain: the global financial crisis knocked the bottom out of the country's housing market and sparked a major recession that left thousands jobless.

The country's unemployment rate stands at 26% -- its highest level ever -- and the situation is even worse for young people, with more than 55% of 16 to 24-year-olds out of work.

With no income, many are finding themselves unable to afford the mortgage payments on homes that are no longer worth the prices paid for them.

Tomas Rodriguez is one of those who lost his home. The 33-year-old used to work in a grocery store, but was made redundant when the company got into trouble. Now he sleeps in Madrid's Plaza Mayor, a tourist hotspot by day, and cardboard city peopled by the homeless at night.

"I was able to get unemployment benefits, but time has run out," he says. "I can't afford to pay for things, so now I'm living on the street... It's hard, but that's the way it is."

Rodriguez says the financial crisis has left many ordinary Spaniards homeless: "People are losing their jobs. Now they can't pay their mortgages, they can't provide for their families, they struggle.

"People have an image of the homeless that is not real -- they see somebody with a box of wine and they think we're all like that, [but] that's not the case... Even people with degrees are living on the street. Nobody is safe."

It is this fear that has driven many Spanish people to action -- compelled to act by what they see as the gross unfairness of everyday life in Spain in 2013, where struggling citizens are evicted, even as hundreds of homes lie empty.

Dozens of those gathered outside the door of Rocio's apartment block are supporters of "Stop Desahucios" (Stop Evictions), part of the Platform of People Affected by Mortgages (PAH) a group which campaigns to prevent banks and authorities turfing those hit by the country's economic woes out of their homes.

"For every eviction, an occupation!" they shout, accusing the banks and authorities of "real estate terrorism."

"The next eviction should be at the Palace of Moncloa! [the Spanish prime minister's official residence]" runs another chant; a few short years ago, most Spaniards would have shied away from such overtly political protests.

Activist Dante Scherma, 24, says Spain's troubled history had left many wary of becoming involved in political issues: "Forty years of Franco's dictatorship made people disconnect from politics."

But when simmering anger and resentment about the government and the economy gave way to the mass marches of the 15-M movement -- also known as the "Indignados" -- the floodgates were opened.

In 2011, thousands of Spaniards took to the country's streets, inspiring the global "Occupy" movement with their protest camp in Madrid's Puerta del Sol.

Sofia de Roa, 28, was one of the first to take part in the demonstrations, which she says were a political awakening for the Spanish people.

"Citizens were not used to speaking out on political issues. My parents never discussed politics with me, but now that is changing. The movement awoke a lot of people who were not interested in politics before."

Scherma agrees: "The 15-M movement made people talk about social issues, and about politics in normal conversations -- in cafes, restaurants, bars -- where before they only talked about football or fashion."

Nowadays, Madrid is a city of protests -- it is almost impossible to cross the capital without coming across a sit-in or a march, petitions are everywhere, and the activists have returned to the Puerta del Sol.

The demonstrations are organized through the internet, particicularly Twitter and Facebook.

"We use the social networks to communicate," explains de Roa, brandishing her smartphone. "This is the tool that has permitted us to fight together, and to feel that we are not alone."

Their subjects are anything and everything -- from education reform to job losses, government cuts to corruption -- but all reflecting a widespread dissatisfaction with politicians and their handling of the country's economic crisis.

"They are destroying our future," says college student Alejandra, as she participates in a march in support of public education. "We know there's a crisis, but it could be less if they managed the money better.

"All the political parties do is accuse each other, the government is destroying the country, and the conditions for workers are getting worse and worse."

Each protest is color-coded: White for healthcare workers, green for the education sector, orange for social services, red for general trade union members, and black for public service workers.

On Saturday, February 23, all these individual groups are expected to unite for rainbow-hued mass demonstrations in towns and cities across Spain, known as the "Marea Cuidadana" (Tide of Citizens).

Back in Vicalvaro, the moment of truth has arrived, but the crowd -- now shouting at the police, insisting they should be ashamed of themselves for helping to evict families -- appears to have had an impact. Rocio is summoned downstairs, as lawyers from the PAH explain that she will be able to stay -- for a while at least.

For those working to stop Spain's eviction epidemic, today has seen a small and temporary victory: The bailiffs have been put off for now, but Rocio knows they may yet return.

For those demonstrating about cuts, corruption and a lack of cash, the protests will go on.

CNN's Joe Duran contributed to this report.

@highlight

Spain has seen hundreds of protests since the "Indignados" movement erupted

@highlight

In 2011, activists took over Madrid's Puerta del Sol, inspiring the global "Occupy" campaign

@highlight

Two years on, many are still angry, and marches and sit-ins are common in the capital

@highlight

A mass demonstration is planned in towns and cities across Spain on February 23