(CNN) -- He held power over his country for more than 30 years, and his ouster last year was seen as a sign that the Arab Spring could bring unlikely revolutions to the Middle East. But if Hosni Mubarak were to die soon -- as some close to him suggest could happen -- it would probably have little impact on the country's future, experts said Wednesday.

Speaking the day after a state news agency called Mubarak "clinically dead," and the nation's military rulers said he was instead in critical condition, analysts in Cairo said his death would probably not trigger widespread outpourings of grief, nor ripple effects on how the new government is shaped. There could, however, be a new round of angry protests if he received a military funeral, they said.

Conflicting reports about whether Mubarak has died

Mubarak "has been politically dead for a year and a half," said Josh Stacher, an Egypt expert with Kent State University, who has spent the past month in Cairo.

"I would suspect that if he would die, not a lot of people would care."

Khaled Fahmy, chair of the history department at the American University in Cairo, said reports about Mubarak's health add to "anxiety and confusion" in the country, but "this is not the main thing that is happening in Egypt now."

Across the country, people are concerned about the future of the government, after the highest court dissolved parliament, military rulers claimed full legislative authority, and both candidates in the presidential runoff election claimed victory.

Furthermore, reports of Mubarak's potential demise are nothing new.

Mubarak off life support

"People have grown so accustomed to people saying Mubarak is having near-death experiences that no one really takes them seriously," Stacher said.

At the hospital where he was being treated Tuesday night, there was no additional security, no crowd outside.

Meanwhile, protesters at Tahrir Square questioned the accuracy of the reports and said they were focused entirely on getting a new government in place.

"I've come from far away. I'm not leaving until (Mohamed) Morsi swears the oath in front of the legitimately elected parliament," said Sayed Ahmed, who supports the Muslim Brotherhood candidate for president. "We're having a sit-in. I don't care about Mubarak. These are games played by the intelligence services."

"It's a media stunt, to divert attention from the constitutional decree," said demonstrator Taha Shaker, referring to a move by the military council stripping the presidency of some powers. "We've started a sit-in and won't leave unless the Supreme Council of the Armed Forces leaves unconditionally."

The life of Hosni Mubarak

Throughout Cairo on Wednesday, "the only thing" people were talking about was the presidential battle, Stacher said.

If Mubarak were to die, it would not make a blip in the course of Egyptian history, he said. "I think there will be a lot of mythology about Hosni Mubarak in the years to come. But I would not expect massive turnout to take over Cairo or parts of the country. ... In fact, if there is any public participation, it's going to be a celebration of his death."

A "major part of the population" actually supports the status quo -- the military leadership -- and does not want the Muslim Brotherhood, which opposed Mubarak's regime, to take over, Stacher said. But few among them support Mubarak himself. "Mubarak has largely been portrayed and understood as the reason for so much instability." So both sides view him as "toxic," Stacher said.

But while Mubarak's death wouldn't change the course of Egypt's future, the way the country handles it could stir emotional reactions, Fahmy said.

How Egypt's generals cut the revolution down to size

"I think a military funeral would enrage the people in Tahrir," he said. "It would mean the military still respecting him and willing to turn a blind eye to the fact that he's now a convicted criminal." This month, Mubarak was found guilty of ordering the killing of protesters and was sentenced to life in prison.

Salma Othman, who was protesting Tuesday in Tahrir Square, told CNN she found it "extremely provocative" for the SCAF to suggest it was considering granting a military funeral. "This is outrageous! He is a prisoner," the 32-year-old real estate agent said.

Still, Mubarak does maintain some support among Egyptians, says Shibley Telhami, Anwar Sadat professor at the University of Maryland and a senior fellow with the Brookings Institution.

And as long as he is alive, whoever has control in Egypt will have some key decisions to make about his fate. "It is obvious that the military leaders consider him one of them and they would like to do their utmost to protect him without causing violent anger. If he stays alive, they would have to contend with a possible Islamist president who is unlikely to show leniency."

Even some who oppose him want to see him treated leniently, while others "want to see him humiliated and punished," Telhami said. "Egypt is divided along many lines, as the presidential elections have demonstrated, and Mubarak is a central symbol of these divisions." His "health and stories about his health are bound to highlight the enormous divisions and the deep emotions during a critical time of transition and uncertainty."

One young protester summed up how little impact the reports of Mubarak's health -- and the possibility of his death -- have on many Egyptians.

"Mubarak's not any different than anyone else," said Massa el Gamal, 18. "I feel bad if a dog dies. I feel bad, but I also feel bad about those who died in the revolution. I think of parents who lost a child."

Both presidential candidates claim victory in Egypt

CNN's Ivan Watson and Ben Wedeman contributed to this report.

@highlight

Hosni Mubarak "has been politically dead for a year and a half," an Egypt expert says

@highlight

A military funeral would "enrage" many, a university history department chairman says

@highlight

"I don't care about Mubarak," says protester who supports Muslim Brotherhood candidate

@highlight

Many don't believe reports of his failing health