(CNN) -- For most couples, a few differences -- whether philosophical, religious, or simply about whose turn it is to do the dishes -- are hardly newsworthy.

But for vice presidential candidate Paul Ryan and his wife Janna, political dissimilarities were enough to land them an article in The New York Times.

This may not seem like a big deal to the couple themselves -- she's a "practical conservative" from a prominent Democrat family and he's, well, a staunch Republican. Yet such seemingly major differences can be mind-boggling to many people, particularly in the heat of election season.

Of course, the Ryans aren't the first couple to agree to disagree politically in the name of love. Political strategists James Carville and Mary Matalin famously butted heads on the campaign trail, then stunned America when they fell in love, got married and raised a family.

And there have always been rumors that some first ladies haven't agreed with their presidential spouses on every issue; Laura Bush is one example.

It may surprise those of us who are in agreement with our partners -- or who can't imagine dating a Republican or Democrat -- but political differences can actually be a benefit to some relationships.

"If a couple who doesn't share political views has a healthy relationship, then that speaks to other strengths," says psychotherapist Jonathan Alpert, author of "Be Fearless: Change Your Life in 28 Days."

"For example, they may have good communication and conflict resolution skills, a healthy sex life, shared goals, and similar interests -- all of which are possible even if their politics differ."

But how does that conflict play out in the bedroom? Democrats and Republicans may be able to agree to disagree, but their differences appear to continue between the sheets.

According to a recent survey by Binghamton University and dating website Match.com of more than 5,000 single American men and women, politically liberal respondents were more likely to have sex more often, but conservative respondents reported having "better" sex.

Specifically, 53% of those who described themselves as conservative Republicans said that they reached orgasm every time they had sex, compared with 40% of liberal Democrats.

"Orgasm, particularly among women, takes practice and knowing one's body," suggests Justin Garcia, a postdoctoral fellow at The Kinsey Institute for Research in Sex, Gender, and Reproduction and a co-researcher on the study.

"Conservatives tend to be more traditional and rigid. So, it reasons that this might also manifest in the bedroom -- once they've found something that works, they stick to it!"

That's just a guess, of course. But the survey also uncovered some other interesting sexual-political tidbits.

For example, the liberal Democrats surveyed placed more importance on sense of humor, independence and equality in a partner, while conservative Republicans were more likely to seek out someone of the same background and political party and were more apt to want to get married.

Overall, such fun facts make for excellent cocktail party fodder, but they may not have much of an impact on real relationships.

In fact, the survey found that just 17% of men and 20% of women said they must be with someone who's in their political party.

"The interesting message from this survey is that, regardless of political affiliation, almost everyone in America recognizes the importance of love and sex, either in their lives or the world around them," Garcia says.

"This is an important message during an election year -- human sexuality should not be a politically divisive issue, since it truly concerns us all."

If you do find yourself in a relationship with someone of the opposite political party, take heart -- and follow Alpert's advice.

"Don't define yourself by your political affiliation. You're a husband, a wife, a brother, a sister, a daughter, a son," he says. "Use the different opinions to learn something new. With every political view is a possible discussion where you can learn about your partner. Set ground rules about when to argue -- and know when to walk away."

So this election season, look past the parties and cast your vote for a happy, healthy relationship.

The opinions expressed are solely those of Ian Kerner.

@highlight

Political differences may be a boost to some relationships

@highlight

A recent survey shows sexual differences between Republicans and Democrats

@highlight

"Human sexuality should not be a politically divisive issue," a researcher says