(CNN) -- Marissa Mayer, who was Google's first female engineer and its 20th employee when she joined that company in 1999, has been named CEO of Yahoo.

She's the fifth CEO in as many years at that struggling company. Monday's announcement has caused ripples in the world of technology as people expressed surprise that Mayer would leave Google and that Yahoo has landed such a charismatic leader.

Here's a quick guide to some of the most interesting and water-cooler-worthy facts about the 37-year-old. (We know what you're thinking. And yes -- an 11-point list can successfully illuminate decades of a person's personal and professional life. Of course it can.)

If we missed something fun, let us know in the comments.

1. She's responsible for the clean look of Google.com. The minimalist home page, with plenty of white space and a single search bar in the center, is said to be the brainchild of Mayer, who has overseen the launch and development of many of Google's iconic products.

"Google has the functionality of a really complicated Swiss Army knife, but the home page is our way of approaching it closed. It's simple, it's elegant, you can slip it in your pocket, but it's got the great doodad when you need it," she told Fast Company in 2005. "A lot of our competitors are like a Swiss Army knife open -- and that can be intimidating and occasionally harmful."

2. She specializes in artificial intelligence. Mayer holds bachelor's and master's degrees from Stanford University. For both degrees, Mayer focused on artificial intelligence, which has become a core area of focus for Google, a company that has introduced autonomous cars and whose computers are trying to use equations to understand human speech. She told CNN she holds several patents in AI and interface design.

3. She's on the board at Wal-Mart. "She is also on the board of various nonprofits, including the San Francisco Museum of Modern Art, the San Francisco Ballet and the New York City Ballet," according to a press release from Yahoo.

4. She's obsessed with fashion. According to the Los Angeles Times, Mayer once paid $60,000 at a charity auction to have lunch with fashion designer Oscar de la Renta. "Objects that make Mayer happy include her Oscar de la Renta cashmere cardigan with three-quarter sleeves and pointelle detailing and enamel buttons," Vogue wrote in 2009.

5. She has a fly penthouse. It's atop the Four Seasons Hotel in San Francisco, and it's worth a cool $5 million, according to The New York Times.

6. She's good in an interview. In 1999, during her interview for a job at the company, Google co-founders Larry Page and Sergey Brin reportedly asked her: "How would you write a spell-check program when you have a vocabulary so big it won't fit in a computer?" She became a product manager at the young start-up after turning down a teaching job at Carnegie Mellon University.

7. She dated Larry Page. The Google co-founder and Mayer, who was a product manager at the time, dated in the early 2000s, according to the book "Googled" by Ken Auletta. A Gawker blogger wrote about how Silicon Valley considered this subject taboo.

8. She can make working as a grocery clerk sound glamorous. She told the Los Angeles Times about her high school job working the cash register: "I learned a lot about work ethic from people who had been there for 20 years. They could do 40 items a minute over an eight-hour shift. I was pretty routinely in the 38-to-41 range. I was pretty happy about that. I have a good memory for numbers.

"At the grocery store, you have to remember to charge $4.99 a pound for grapes and 99 cents a pound for cantaloupe by typing in a number code. The more numbers you could memorize, the better off you are. If you had to stop to look up a price in a book, it totally killed your average."

9. She held office hours at Google. "At 4 p.m., her three-times-a-week office hours begin. It's a tradition Mayer brought over from her days at Stanford, where she taught computer science to undergrads," wrote Businessweek in 2005. Some of Google's big ideas came out of those meetings with staff, the magazine says.

10. She likes cupcakes with a side of spreadsheets. "I refuse to be stereotyped," she told The New York Times in 2009. "I think it's very comforting for people to put me in a box. 'Oh, she's a fluffy girlie girl who likes clothes and cupcakes. Oh, but wait, she is spending her weekends doing hardware electronics.' " She once made spreadsheets to determine the perfect cupake recipe, she told San Francisco Magazine.

"Who else in Silicon Valley could report, with absolute seriousness, that she'd recently bought an array of cookbooks to study the cupcake recipes in each, created a spreadsheet for the ingredients, and then tested the recipes before writing her own? (She made another spreadsheet for frosting.)," the magazine wrote.

11. She knows how to rock a wedding. In 2009, she married Zachary Bogue, a venture capitalist and real-estate investor while wearing "a knockout hand-beaded white Naeem Khan gown," as the San Francisco Chronicle described it. A rehearsal dinner featured a surprise performance from the Killers, according to a blog by the event's photographer.

How do you balance career and family? Let us know on CNN iReport.

@highlight

Here are some facts that help define Marissa Mayer, Yahoo's new CEO

@highlight

She comes from Google, where she oversaw many key products

@highlight

Mayer was Google's 20th hire and its first female engineer

@highlight

She reportedly paid $60,000 at a charity auction for lunch with designer Oscar de la Renta