Germany refused to share the debt burden of stressed eurozone peers on Tuesday, ignoring two of the most influential international economic bodies which offered support for proposals championed by Paris, Rome and Brussels ahead of a summit.

Angela Merkel, Germany's chancellor, has argued that any co-mingling of eurozone debt would remove incentives for southern economies to adopt structural reforms. The calls from the International Monetary Fund and the Organisation for Economic Co-operation and Development came on the eve of Wednesday's EU summit.

François Hollande, France's new president, has strongly backed common eurozone bonds -- which would ease funding constraints for the eurozone's stressed periphery but potentially raise German borrowing costs by diluting its creditworthiness across the currency union.

German officials made clear the idea was a non-starter in Berlin.

"There is no way of introducing them under the current [EU] treaties. Indeed, there is an explicit ban on them," one senior German official said, adding Berlin would not drop its opposition in the foreseeable future. "That's a firm conviction which will not change in June."

Increased jitters over how Europe's banking system would be affected by an exit of Greece from the eurozone have lent urgency to the latest discussions over measures to tackle the sovereign debt crisis.

OECD: Euro crisis could derail recovery

Mr Hollande has vowed to raise eurozone bonds at the informal summit. He won backing from the OECD, which in its twice-yearly economic outlook specifically called for such bonds, saying they were needed to break a vicious circle "involving high and rising sovereign indebtedness, weak banking systems, excessive fiscal consolidation and lower growth."

"We need to get on the path towards the issuance of euro bonds sooner rather than later," Pier Carlo Padoan, the OECD chief economist, told the Financial Times.

Christine Lagarde, the IMF chief, also called for more burden-sharing. Though she stopped short of explicitly backing euro bonds, she said "more needs to be done, particularly by way of fiscal liability sharing" -- a thinly veiled reference to such debt instruments.

Diplomats said the summit, which just last week looked like it would be a highly scripted affair on European growth, had become increasingly unpredictable, with leaders struggling with how to respond to the havoc wreaked by political instability in Greece. Officials emphasised that no formal decisions would be taken.

The euro bonds debate could produce fireworks between Mr Hollande and Ms Merkel -- a possibility that has captivated officials involved, given the comparatively harmonious Franco-German relationship in the latter years of Nicolas Sarkozy's tenure. But most diplomats believe Ms Merkel would succeed in blocking any proposal, producing more smoke than fire.

"They say that when Germany and France don't co-operate, we have a problem," one senior diplomat from a smaller EU country said. "And when they do, we have a problem, too."

Of more urgent concern are ongoing discussions over eurozone banks, with officials saying the fear of a Greek eurozone exit has forced leaders to contemplate massive rescues, particularly in Spain. Rising estimates of bad loans have forced Madrid to part-nationalise one bank and face the increasing likelihood it will need to inject more government money into others.

Senior EU officials question whether Madrid, which has faced rising bond market borrowing costs, has the financial wherewithal on its own, spurring a furious series of negotiations over whether the eurozone needs to move quickly towards a common bailout and deposit guarantee scheme.

Although officials said such reforms have pushed themselves onto tonight's agenda, it remains unlikely any can be agreed quickly, making the European Central Bank the last line of defence if Greece forces more immediate action.

@highlight

Germany refused to share the debt burden of stressed eurozone peers

@highlight

Ignores pleas by the OECD and the International Monetary Fund for eurozone bonds