LA CROSSE, Wisconsin (CNN) -- Give Brad Williams a date, and he can usually tell you not only what he was doing but what world events happened that day. He can do this for almost every day of his life.

Brad Williams has hyperthymestic syndrome, experts say, and remembers what he did on allmost every day of his life.

Williams is one of only three people in the world identified with this off-the-charts autobiographical memory, according to researchers at the University of California-Irvine who gave the condition its name: hyperthymestic syndrome, from the Greek words for excessive (hyper) and remembering (thymesis).

Unlike most people whose memories fade with time, much of Williams' life is etched indelibly in his mind.

"It's just there," said Williams, 51, who reports the news for a family of radio stations in La Crosse, Wisconsin.

The California researchers are studying Williams and the two others with hyperthymestic syndrome, a man in Ohio and woman in California, hoping to gain new insights into how a superior memory works.

The goal of the study is to find a way to help people with failing memory.

Williams didn't realize how exceptional his memory was until his brother Eric told him about an article published two years ago in the journal Neurocase, describing a woman referred to by the initials, A.J.

"My brother in California saw this and said, 'She sounds like you. Why don't we talk to the folks at Irvine?'" Williams said.

At Irvine, researchers quizzed Williams, as they have the two other hyperthymestics, about a series of dates, asking for the corresponding event, and vice-versa.

"The speed with which they do this is part of why I find this so amazing because it seems to indicate there's no -- or not much -- intentional calculation going on. It's boom, boom, boom, there's the answer," said Larry Cahill, a fellow at the university's Center for the Neurobiology of Learning and Memory. "Remember, these are questions they had no idea what we're going to ask them."

Now researchers are using an MRI to create three-dimensional pictures of the hyperthymestic brain. They want to see whether any brain structures differ in size, compared with the average brain.

Cahill and his colleagues are still going over the results but it appears some structures in the prefrontal cortex are substantially larger in hyperthymestics. The prefrontal cortex sits at the front of the brain and has been associated with complex thinking, not learning or memory.

Cahill said he hoped others with this extraordinary ability will come forward.

"I hope that we can identify as many of these people as possible because the more we identify and the more we study the greater the likelihood that we are going to really figure out fundamental new things about brains and memory that we would have never figured out without them," Cahill said.

Flipping through a family photo album with him it was astonishing how much Williams recalled, going back decades.

Asked about one black and white picture taken in the Badlands of South Dakota, he remembered exactly when it was taken: Tuesday, July 28, 1964, the same day as a trip to Mount Rushmore. He also remembered that the temperature reached 100 degrees and that they tried to keep Funny Face drinks cool in a Thermos in the back of the car.

Cahill said Williams and the other hyperthymestics don't do any better than average on standard memory tests, nor are they savants, a condition where one extraordinary mental ability is accompanied by deficits in other areas.

In this age of instant information, what can you do with phenomenal recall?

"I don't really know. I've thought about it for years," said Williams, the 1969 Wisconsin Spelling Bee champion. Williams appeared on "Jeopardy!" but finished second.

For now, Williams said he is content knowing research into his memory might help others. "That would be the ultimate goal."

David S. Martin is a senior producer with CNN Medical News.

@highlight

Wisconsin man has extraordinary memory known as hyperthymestic syndrome

@highlight

He remembers specific dates, days of week, events from decades ago

@highlight

Researchers hope to gain new insights into how a superior memory works