(MNN.com) -- On any given Saturday, you'll find a motley crew assembled outside the nondescript gray building on Hollywood Road, west of downtown Atlanta. An elderly couple walks tentatively behind a large black Labrador, a kid with chubby cheeks totes a feisty Chihuahua, and a trio of teens bound out of their parent's minivan with a brindle pit bull named Kola in tow.

They join at least a dozen other pet owners for free obedience classes offered by the Humane Society of the United States (HSUS) through its Pets for Life program. Designed to support people and pets in underserved communities, Pets for Life welcomes all breeds.

But an overwhelming majority of the four-legged students that arrive each week are pit bulls or pit mixes.

On busy days, cars slow their pace and kids peer through the chain link fence to watch these muscular dogs work for treats alongside cocker spaniels, Jack Russell terriers, and even an occasional poodle. The six-week training program ends with dogs taking the Canine Good Citizen test, followed by a graduation party where neighbors gather to watch students demonstrate new tricks. In less than a year, HSUS has begun to chip away at the city's perception of pit bulls as dog-fighting monsters. But the D.C.-based organization faces a bigger battle in its own backyard.

Maryland's Court of Appeals ruled in August that pit bulls are "inherently dangerous."

The decision stems from a case involving a pit bull named Clifford that escaped from its pen twice, severely injuring two children on the same day. Plaintiffs sued the dog's owner and the landlord. Maryland's Court of Appeals ruling means that dog owners — and their landlords — are responsible for any injuries caused by pit bulls. (The ruling was a slight modification of an earlier decision that included pit bull mixes.) Pit bull owners, rescue groups and nonprofit organizations have criticized the ruling, which places breed-specific legislation back in the spotlight.

Last December, retired police officer Jim Sak and his pit bull service dog made headlines by challenging a breed ban in Aurelia, Iowa. According to the Americans with Disabilities Act, any breed can work as a service dog. The U.S. District Court in Sioux City granted a temporary injunction, reuniting Snickers and Sak, who credits his pit bull with detecting early signs of cancer. In July, the Aurelia City Council allowed Sak to keep his dog.

In the meantime, Maryland pit bull owners — and their landlords — face tough choices. The Baltimore Sun reports of early fallout from the ruling, including landlords threatening pit bull owners with eviction. HSUS has responded with advice to renters who own pit bulls, along with links to pet-friendly rental properties on its website.

MNN: Maryland court declares pit bulls 'inherently dangerous'

Wanted, pit-friendly housing
Erin Sullivan regularly leases her Maryland property to pet owners, including pit bulls. She requires pets to be spayed or neutered and tenants must sign a lease addendum promising never to leave the dog outside unattended. Dogs also should be up to date on vaccinations, and a Canine Good Citizenship Certification certainly helps. Although she lives and works as an editor in Orlando, Florida, Sullivan makes frequent visits to Maryland. Even with these precautions, she was alarmed by the court ruling.

"I don't think pit bull owners should be locked out of the rental market," says Sullivan, who has two pit bulls and one pit mix. "I don't believe a pit bull as a breed is any more dangerous. I will judge each dog as an individual. If a person comes with a small white mutt and I think they won't be responsible, they aren't getting in."

The American Society for the Prevention Cruelty to Animals (ASPCA) also opposes Maryland's ruling. Its newly established legal advocacy department will target civil and criminal cases that could substantially impact animal welfare, providing support to attorneys and drafting bills for its government relations department, which will monitor legislation based on the recent court ruling.

"It will have a really devastating impact on folks in Maryland," says Stacy Wolf, vice president and chief counsel of the legal advocacy department. "It's bad in a whole lot of ways, but maybe most importantly, it doesn't do a lot to protect people from dogs of all breeds, it doesn't put the onus on owners and it judges the dog."

She adds that dogs of any breed, even if friendly, can cause trouble if not properly supervised.

MNN: Pit bull takes hit from train to save her owner

How did we get here?
Every decade, a different breed gets labeled as the problem pooch, says dog trainer and police officer Mike Upshur. In the '70s, he remembers Dobermans getting a bad rap, followed by German shepherds in the '80s and powerful Rottweilers in the '90s. The American Kennel Club describes each breed as a protective and loyal family pet that requires lots of exercise. Its description of pit bulls, also known as American Staffordshire terriers, is no different.

"The Am Staff is a people-oriented dog that thrives when he is made part of the family and given a job to do," according to the AKC site. "Although friendly, this breed is loyal to his family and will protect them from any threat. His short coat is low-maintenance, but regular exercise and training is necessary."

Originally bred for bull baiting in England, pit bulls gained favor stateside for their athletic build and extreme tenacity, traits that made pit bulls the breed of choice among dog fighters, says Upshur.

A series of high-profile dog-fighting cases led to stricter penalties for people who attend or participate in dog fighting. Incidents of pit bulls or pit mixes attacking people also led to increased media coverage. The Centers for Disease Control and Prevention estimates that about 4.7 million dog bites occur each year, and 800,000 Americans seek medical attention for their injuries.

In its 20-year study of fatal dog attacks, the CDC noted that at least 25 breeds of dogs have been involved in 238 human dog-bite related fatalities between 1979 and 1998, with pit bull-type dogs and Rottweilers linked to more than half of these deaths. But Upshur says many people gravitated to pit bulls without doing the research — or taking time to exercise and socialize this powerful breed on a regular basis.

In his role as a police officer, Upshur has witnessed the aftermath of dog attacks. Many of the cases involved unsocialized dogs that broke free from chains in the back yard.

Thirty-three people lost their lives in dog bite-related incidents in 2010, according to the National Canine Research Council, which reports that 21 of the cases involved resident dogs that owners kept isolated on chains, in junkyards, or allowed their dogs to roam unattended.

"I see it all the time while I'm on patrol," Upshur says. "It's a shame, it really is. But there are other dogs out there attacking people. They just don't get publicity."

MNN: 7 of the most loyal dogs

Changing perceptions
Upshur recommends that pit bull owners enroll in training courses and walk their dogs regularly, at least three times a week, to help the dog burn energy and avoid destructive behavior. He says the breed can be easy to train because pit bulls love pleasing their owners. "Unfortunately, people are not doing that, and it's given pit bulls a bad name," he says.

"They look at the color and say 'I want that one,'" he says. "People get a willful pit bull or a pit bull puppy and don't have time to work with it, then the dog gets bored. If you don't have time to spend with a dog, you don't want a pit bull. A lot of people just put the dog in a fenced-in yard and say the dog gets plenty of exercise, but the dog needs to stimulate its mind just like people do."

As founder and president of the Atlanta Underdog Initiative, Ami Ciontos carefully vets prospective dog owners before adopting out pit bulls. She offers plenty of information about the breed, along with a laundry list of dos and don'ts.

"I want to make sure that whomever I adopt to is educated about the breed," she says. "We want to make sure they understand the stigma about the breed and that they are held to a higher standard. I tell people right off the bat, if you want a dog park type dog, a dog you can just run off-leash, please do not get a pit bull."

Upshur says pit bull owners can change how the breed is perceived. Consistent obedience training helps ensure that willful puppies don't turn into domineering older dogs. Education about the breed also can make a difference for the dog and the owner.

"When you bring a dog into your life, you're making a connection with that animal and it does become a part of your family," says Sullivan, who will continue leasing her Maryland home to pit bull owners.

"As a landlord, I feel even more responsible than if I lived in the house. I tend to be maybe a little more diligent. As a pit bull owner, I have to go above and beyond to show that I am responsible. I don't ever want my neighbors, my friends, my family to think, 'Here comes Erin again with her dogs.'"

MNN: 7 heroic pets that saved lives

© Copyright 2011 Mother Nature Network

@highlight

Pit bulls are a dog breed known for their loyalty and tenacity

@highlight

The Maryland Court of Appeals ruled in August that pit bulls are "inherently dangerous"

@highlight

Renters in Maryland may not be able to get apartments if they own pit bulls