Austin, Texas (CNN) -- "Men don't play netball."

"Men just jump like goats."

"They can't handle it."

"They are too serious."

"They can't take abuse from the women."

"They comPLAIN!"

That's how a group of Kenyan women describe the game of netball in a new (pre-viral?) video from a nonprofit group called Mama Hope, which seems bent on re-framing the way the Western world thinks of Africa, particularly African women.

The group's campaign, called "Stop the Pity," was launched here at the South by Southwest Interactive conference in Austin, Texas. The goal, as the title makes clear, is to help women around the world by empowering them, celebrating their successes, instead of feeling bad about the vast inequalities that do exist.

As anyone who's spent time in Africa will tell you, it's a diverse continent that's home to both immense joy and incredible sorrow.

There's no shortage of tearjerker statistics.

The World Bank, for example, says nearly half of people in sub-Saharan Africa live on less than $1.25 per day. Thirty-seven percent of people who lack access to clean water live in that region. It's also a hotbed for malaria, etc. Intense inequalities do exist.

But even numbers tell another side to the story, as The Economist points out in a recent article titled "Aspiring Africa."

"Consumer spending will almost double in the next ten years; the number of countries with average incomes above $1,000 per person a year will grow from less than half of Africa's 55 states to three-quarters," the magazine said.

And, most important: "Africans deserve the credit. Western aid agencies, Chinese mining companies and U.N. peacekeepers have done their bit, but the continent's main saviors are its own people."

All the more reason to celebrate Mama Hope's efforts to focus on joy instead of suffering.

The group's videos build on a rising chorus of voices calling for change in the way people from richer countries see those who live in poorer places.

A blog called Aid Thoughts has been posting examples of what it considers "poverty porn," or ads, videos and news stories that generally show Africans as one-dimensional victims.

Others use the term "badvocacy," which the blog Texas in Africa defines as "a good catch-all term to describe advocacy that begins with great intentions to help those who are suffering, but that at best accomplishes nothing or at worst actually makes the problem even more difficult to solve."

Laura Seay, that blog's author and an assistant political science professor at Morehouse College, writes that advocates sometimes oversimplify issues or make them too sexy with the help of celebrities and flashy campaigns.

The recently released video focuses on netball, a game it describes as a cross between basketball and ultimate Frisbee, because that's what the women wanted to discuss.

"We asked the women what they wanted to talk about," Nyla Rodgers, founder and "chief visionary" of Mama Hope told me. "They really wanted America to know how much they love netball."

And it doesn't hurt that it's tracked with Beyonce's "Run the World (Girls)."

Even if the Mama Hope video is highly produced, it's still possible to appreciate the fact that it's trying to promote empowerment and not pity or guilt.

And the netball video is just one of several from the group.

Another features a boy reciting the plot of an Arnold Schwarzenegger movie. (YouTube views: 640,000). One shows men making fun of how Africans tend to show up in Hollywood movies toting guns and wearing scowls. (Views: 1.05 million)

They're humorous and light. Designed to be shared.

Rodgers says that's what's needed in 2013.

"We have to have partnership instead of pity," she said of the way the West interacts with Africa. "Partnership doesn't include pity. It includes seeing people as equals and being able to work with them on an equal partnership."

It's an issue that's personal for Rodgers.

It started with her "brother from another mother."

That's how she explains her relationship with Bernard, a young boy in Kenya whose photo sat on her mother's mantle next to Rodgers'.

"I was always hearing about his grades and who his friends were," she said.

Her mom, a dance teacher and writer, had adopted the boy in a way, sponsoring community development projects in his village, Rodgers said. After her mother died from cancer in 2006, Rodgers decided to visit the village and to meet Bernard.

She told him, "I'm going to take care of you now."

On the surface, if that doesn't sound like a "white savior" moment, I don't know what does. It conjures up images of condescending white missionaries trekking to Africa to dispense water, food and religion -- all to show their superiority.

But Rodgers doesn't see it that way.

"If anything, I was in the deep depths of despair," because of her mother's death, "and I saw how connected life is," she said. "And that really saved me."

Mama Hope works with communities to start orphanages, improve sanitation and reduce poverty. But they only do so, she said, after living in the community for long enough that they can listen to people there about what problems could be solved with the help of outside funds or expertise.

The group currently has 32 projects in four countries, she said, and an annual budget of about $500,000.

And the best way to promote that work may be to stop pitying the people she's trying to help. They're friends, sisters, brothers, neighbors, netballers.

But not victims.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

John Sutter talks with the woman behind a movement called "Stop the Pity"

@highlight

The group unveiled a new video at SXSW that aims to shift attitudes about Africa

@highlight

Sutter: The group focuses on empowerment as a form of aid, not guilt