(CNN) -- Think of eight people you know. One of them may go to bed hungry tonight.

Not surprisingly, about 98% of hungry people live in developing countries and the crisis will likely get worse. Over the next 12 years, the United Nations projects the global population will hit 8 billion people.

If we want to solve the problem, we first have to target the people who produce the food. For nearly 70 years, Heifer International has been working with small farming communities to raise productivity and create a surplus that can be sold or provided to other hungry people.

Next, we focus on the women. There are 600 million small farmers and herders in the world, but one of the key reasons there are so many hungry people is because nearly half of those farmers are women. Even though they are as equally capable as male farmers, these women face challenges that cause them to grow less food.

According to a recent report by the Food and Agriculture Organization of the United Nations (FAO), women farmers typically have less land to farm and probably don't own that land. They own fewer farm animals and have less access to improved seeds. In addition, they have lower education levels than men and are less likely to get credit or insurance.

In fact, if women farmers were on the same playing field as their male counterparts, the FAO says the number of hungry people in the world would be reduced by up to 17%.

So how do we level that playing field? We connect the unconnected. This is simply organizing farmers -- connecting them to each other, to supply chains and then to markets. But it goes deeper than traditional community development. Communities have to become engaged in a journey of personal transformation as individuals, families and villages. For success to be solid, there must be harmony that connects and heals the psychological and social effects of generations of poverty and hunger.

It takes months of training for this transformation to take root. Only then does the physical transfer of livestock and other agricultural inputs like goats, heifers, seeds or trees take place. Then we prepare the families and work together to build pro-poor, wealth-creating systems to get their products into markets.

The transformation we witness in community after community is a path from hopelessness to a sense of personal leadership, ownership and purpose. Self-confidence is built and equality develops between men and women. It is so powerful to watch people being incredibly proud that they have made the step from feeling oppressed, diminished and insignificant to becoming part of the solution.

One of our largest programs is Rural Entrepreneurs for Agricultural Cooperation in Haiti. It's a five-year commitment to rebuild rural communities and improve economic opportunities. By the end of the project, we will have helped more than 20,000 vulnerable rural families with jobs, skills training and disaster preparedness.

Working faster and bigger has to be our ultimate goal so that the small farmers of today can be fed and can prepare for the rapidly growing population. Success will depend on deeply embedded social engagement on the part of those farmers. And, on our part, to connect with them in ways that are supportive, patient and ultimately highly productive.

Ending world hunger can be done.

@highlight

About 98% of hungry people live in developing countries

@highlight

Heifer International's mission to end world hunger begins with small farmers

@highlight

Women make up nearly half of farmers, yet challenges cause them to grow less food

@highlight

Heifer International believes empowering women is key to ending the global hunger crisis