London (CNN) -- Abdelbeset Ali Mohmed al Megrahi, the only person convicted in connection with the Lockerbie airline bombing that killed 259 people on board Pan Am Flight 103 and 11 on the ground, went to his grave protesting his innocence.

And there are others who believe that Megrahi, who died on Sunday from cancer, was not responsible for bringing down the jet over Scotland in 1988, including some of the victims' families.

Why does the tragedy continue to raise questions? CNN examines the issues.

Why was al Megrahi convicted?

After a nine-month trial that concluded in January 2001, a Scottish court based in a former U.S. base at Camp Zeist in the Netherlands, convicted al Megrahi of the murders and he was sentenced to life in prison with the condition that he serve at least 27 years before being eligible for parole. Scotland does not have the death penalty.

The trial followed years of negotiation with Libya, after British and American investigators indicted two men for the crime in 1991.

Lockerbie bomber dies more than two years after release

The U.S. and UK blamed both al Megrahi, who was once security chief for Libyan Arab Airlines, and Al Amin Khalifa Fhimah -- accusing them both of being Libyan intelligence agents.

Libya eventually handed over both men to the United Nations in 1999 and later paid $2.7 billion to victims' families. Sanctions against Moammar Gadhafi's regime were lifted on the same day the men were taken into custody.

At al Megrahi's trial, prosecutors said he placed a bomb in a Toshiba cassette recorder and hid it in suitcase on a flight from Malta to Frankfurt, Germany. The bag was believed to have been transferred to a Pan Am flight that went first to London Heathrow and then to Flight 103 to New York.

Lockerbie victims' families: Relief, anger

The prosecution maintained that al Megrahi, who worked at the Malta airport, had been seen buying clothes, fragments of which were found in the suitcase that contained the bomb.

Al Megrahi was found guilty but Fhimah was acquitted.

Many of the victim's families believe the right man was convicted and expressed a mixture of relief on hearing of al Megrahi's death and anger that he had been released from his sentence.

Susan Cohen, whose daughter was among the 189 Americans killed, said: "He was a mass murderer. I feel no pity."

Why was he released early?

In August 2009, eight years after al Megrahi's conviction, there was uproar when Scottish Justice Secretary Kenny MacAskill announced that he would be released from prison on compassionate grounds because he was suffering from terminal prostate cancer.

His release -- and the celebrations that greeted him on his return to Libya -- sparked condemnation from the United States, and from some victims' families.

Despite being given just a few months to live, he survived for more than two years, sparking anger against the Scottish authorities and accusations in the British press that a deal had been struck with Libya. A group of U.S. senators then attempted to investigate rumors that the Lockerbie bomber was released as part of a deal to allow BP to drill for oil off the coast of Libya.

On Sunday, British Prime Minister David Cameron reiterated his belief that al Megrahi should never have been released from prison.

But Scotland's First Minister Alex Salmond said al Megrahi's death put to rest "some of the conspiracy theories which have attempted to suggest that his illness was somehow manufactured."

Why is al Megrahi's guilt questioned?

In an interview with Reuters in 2011 al Megrahi vowed that "new facts" would come to light. He always maintained his innocence.

After al Megrahi lodged an appeal whilst still in prison, the evidence was reviewed by the Scottish Criminal Cases Review Commission. New evidence uncovered during the investigation and other evidence not submitted at al Megrahi's original trial led the review commission to state that he "may have suffered a miscarriage of justice."

The commission said there was no reasonable basis to suspect that al Megrahi purchased the clothes in Malta on the day alleged. It also said evidence that the clothes shop owner had seen al Megrahi's picture in a magazine article that linked him to the bombing before picking him out in a lineup was not put to the court.

The U.N. observer at the trial, Hans Kochler, has also called into question the verdict, telling the UK's Independent newspaper in 2009 that he believed al Megrahi to be innocent.

"I watched a case unfold that was based on circumstantial evidence. The indictment against him and Fhimah went to great lengths to explain how they supposedly planted a bomb on Flight 103, and yet Fhimah was acquitted of all the charges against him. It made no sense that al Megrahi was guilty when Fhimah was acquitted," he said.

Jim Swire, whose daughter Flora died on the Pan Am flight, has also expressed doubt about al Megrahi's guilt and is a member of the Justice for Megrahi Campaign.

CNN's Nic Robertson, who tracked down al Megrahi in Libya during the uprising against Gadhafi, spoke to his family in August 2011. They told him they believed al-Megrahi was the victim of both international justice and the regime of the ousted Libyan leader, who they say used him as a scapegoat.

Nic Robertson: Finding the Lockerbie bomber

Are there other suspects?

Robertson says about the case: "There are forensic inconsistencies. There are so many holes in the evidence. There are serious questions that have not been answered.

"According to my Jordanian source, the Jordanians had an agent inside the cell that operated inside Germany. The agent was the bomb maker. He made five bombs to go in transistor radios but informed his handlers that one was missing. The CIA said 'nonsense, all bombs are accounted for.' Scottish investigators were never able to interview that cell."

TV producer and author John Ashton has spent many years studying the case, and worked as a researcher with al Megrahi's defense team between 2006 and 2009. He believes al Megrahi was innocent and presents his reasons in his book "Megrahi: You are my jury - the Lockerbie evidence.'"

He believes that Iran is the likely suspect behind the bombing, using the Palestinian group The Popular Front for the Liberation of Palestine-General Command (PFLP-GC) to carry out the attack.

He told CNN he believed the group operated from Damascus but had a cell inside Germany, and alleges the attack was in revenge for the accidental shooting down of an Iranian passenger jet by the Americans in July 1988 with the loss of 290 lives. Missiles from USS Vincennes hit the plane as it flew over the Persian Gulf.

In his book he presents what he says is new evidence about the Lockerbie bomb's timing device but says this has been ignored by investigating authorities.

Where is the investigation going next?

On Monday, Scotland's First Minister told British media that the Lockerbie case was still a live investigation. But new evidence may be hard to find.

Saif Gadhafi, Moammar Gadhafi's son, who is in custody in Libya and wanted by the International Criminal Court to face charges of alleged crimes against humanity, will have the facts, according to Robertson.

Britain confident Libya will allow police probe

"He was heading up the campaign to free al Megrahi," he said. "He will know whether or not this was a Libyan operation, accepting the blame for the bombing as the price of admission for doing business -- a way to sell Libyan oil again."

He also suggests that the former head of Libyan intelligence, Abdullah al-Senussi, currently held in Mauritania, may know more.

"Al-Senussi as the head of Libyan intelligence would perhaps have had broader knowledge behind some of the issues relating to this particular case," he said.

But Ashton remains pessimistic about finding the whole truth.

"I'm not confident that we will get evidence that will stand up in court ... leads have gone cold," he told CNN.

"One hope is Syria. If the Syrian government crumbles then evidence may emerge from there, but I would be surprised."

Before al Megrahi's death, Kochler told the British press: "We will probably never really know who caused the Lockerbie bombing. So much key information was withheld from the trial. The British have yet satisfactorily to explain why.

"I want to know when the bomb was placed on the plane and by whom. I find it very difficult to understand why there seems to be so little pressure from the British and American public on their governments to investigate the bombing properly."

Reporter's Notebook: Remembering the Lockerbie tragedy

@highlight

Convicted Lockerbie Abdelbeset Ali Mohmed al Megrahi dies after cancer battle

@highlight

Some of the victims' families believe the Libyan was not responsible for the bombing

@highlight

He was freed from prison in Scotland in August, 2009 on compassionate grounds

@highlight

British PM David Cameron says al Megrahi should never have been released