(CNN) -- On Monday, King Juan Carlos, 76, of Spain announced that he will soon abdicate the throne, passing the crown to his son Crown Prince Felipe, who is 46. Explaining his decision to his Spanish subjects, Juan Carlos noted that his son will help "open a new era of hope which combines the experience and momentum of a new generation."

Last year, Queen Beatrix, 75, of the Netherlands, abdicated the throne, also passing the crown to her eldest son.

Explaining her decision to her Dutch subjects, she said, "It was not because the office was too heavy for me, but because the responsibility for this country should lie in the hands of a new generation."

For those wondering why Queen Elizabeth II, an octogenarian, hasn't made a similar concession to youth, one has to realize that the modern British monarchy is founded on a different set of principles. As much as Britons might enjoy a change of pace at Windsor Castle, something faster and fresher, the monarchy in Britain is not about novelty. It's about staying the course, resolve, and perseverance.

Indeed in a culture similar to ours that places a premium on youth and beauty, the British monarchy stands out as one of those rare institutions where aging, with all of its complications and humiliations, is allowed to -- and expected to -- take place in full public view.

Consider King George III, who reigned from 1760 until his death in 1820 at the age of 81. Beginning in 1788, the king suffered periodic bouts from what was likely porphyria, a metabolic disorder affecting the nervous system.

By 1810, he was permanently insane. Blind and infirm, George III spent the last 10 years of his reign doddering about in Windsor Castle. Admittedly, George's son, the future George IV, served as regent for most of this difficult period.

Queen Victoria, George III's granddaughter, similarly reigned from 1837 until her death, also at the age of 81, in 1901 -- despite suffering a host of ailments in later years, including failing eyesight, insomnia and rheumatism.

Yet both monarchs were perhaps more popular in their oldest age than ever before.

George III survived the loss of the American colonies and the scandals surrounding his alleged madness to win the intense loyalty of most of his subjects. Following his 1809 Golden Jubilee, a ceremony marking the 50th anniversary of a monarch's rule, the London Times proudly proclaimed that the event had been "celebrated by all ranks of people in this great metropolis, in a manner worthy of an aged and venerable King, and a loyal and enlightened nation."

And Queen Victoria overcame early skepticism about her capabilities -- and a dramatic curtailment in support during the 1860s, when she retreated from public view to mourn the death of her husband, Prince Albert -- to become the "Great White Queen," and the "Grandmother of Europe."

At her 60th anniversary Diamond Jubilee in 1897, Victoria was feted like no sovereign before her. She may have only been able to offer a feeble wave from her carriage as she passed by throngs of well-wishers on her way to St. Paul's Cathedral, but her symbolic weight could not be overestimated.

The current British monarch follows in her predecessors' footsteps. When the young Elizabeth received word in February 1952, while traveling abroad in Kenya, that her father George VI had passed away, she rushed home knowing that the title she had just inherited would be hers until death.

"By the sudden death of my dear father I am called to assume the duties and responsibilities of sovereignty," the 25-year old queen explained to her privy councilors back in London.

"My heart is too full for me to say more to you today than I shall always work, as my father did throughout his reign, to advance the happiness and prosperity of my peoples, spread as they are all the world over."

When Elizabeth said "I shall always work," she meant it. More than 60 years later, at the age of 88, the Queen maintains an active schedule and is the patron of more than 600 charities and organizations.

Add to this the fact that Elizabeth's reign, like those of her predecessors, has only seemed to improve with age, at least if measured by public approval ratings -- shortly before the Queen's Diamond Jubilee in 2012, the market research company Ipsos MORI determined that support for the monarchy among adults in Britain is at an all-time high -- and there's little reason to think that Elizabeth will leave her post anytime soon.

Much as Prince Charles and Prince William may grow tired of waiting in the wings, a Platinum Jubilee could well take place in 2022.

The opinions in this commentary are solely those of Arianne Chernock.

@highlight

King Juan Carlos, 76, of Spain said he will abdicate the throne and pass the crown to his son

@highlight

Queen Elizabeth shows no inclination to step down for Prince Charles or Prince William

@highlight

Arianne Chernock: Historically, British monarchs stay on their thrones until they die

@highlight

Chernock: Monarchy is about perseverance; princes might have a long wait