Washington (CNN) -- Few issues divide the Supreme Court -- and the country at large -- more than church-state matters, and arguments before the Supreme Court on Wednesday involving a workplace discrimination lawsuit against a Lutheran church proved especially touchy.

At issue is whether the Americans with Disabilities Act applies to hiring and firing decisions involving "ministerial employees" like teachers who may have primarily secular job duties.

The justices appeared at odds over whether this is substantive discrimination or simple retaliation against a Michigan teacher, after she complained to government authorities over her treatment on the job.

"You're asking for an exemption (to lawsuits) so these issues can't even be tried" in a government hearing on the merits, said Justice Anthony Kennedy. "She was fired simply for asking for a hearing."

"It's none of the business of the government to decide what the substantial interest of the church is," countered Justice Antonin Scalia. "There, in black and white in the text of the Constitution, are special protections for religion."

Court records show Cheryl Perich went on medical leave for narcolepsy in 2004. When she tried to return several months later to the Hosanna-Tabor Evangelical Lutheran Church and School, officials refused to accept her, saying a substitute had been hired to complete the school year. After weeks of often acrimonious discussions between her and the school, Perich was fired for insubordination and "regrettable" conduct toward church leaders.

She then complained to the federal Equal Employment Opportunity Commission, which sued the church on her behalf.

Federal courts have upheld an exception in the Americans with Disabilities Act blocking government intrusion in the employment decisions between religious institutions and ministerial workers. The church said Perich was just such an employee and therefore the institution could not be sued.

Perich had been hired five years earlier, and eventually became a "called" teacher, meaning she could not be fired without cause.

Assigned to third and fourth grades, she led instruction in math, language arts, social studies, gym and music, with much of the curriculum identical to that of the local public schools. Perich also taught a religion class four days a week, and engaged in daily prayers and devotionals with her students. The religion-based activities typically took up about 45 minutes of the seven-hour school day, according to court documents.

She also led chapel services with her class twice a year, on a rotation basis with other instructors.

The faculty has two types of teachers: "lay" employees, who are on one-year contracts, and called teachers like Perich, who have completed a formal colloquy, receiving a certificate of admission into the teaching ministry. Those parochial instructors are hired on an open-ended basis and cannot be summarily dismissed without proper justification. Perich began as a contract teacher, but fulfilled the requirements to be a called teacher, becoming a "commissioned minister" in the Lutheran Church.

Perich attended the one-hour oral arguments at the high court, saying afterward, "I can't fathom how the Constitution in any way can be interpreted to deny me my fundamental rights. I hope the court sees it that way."

The Redford, Michigan, school is affiliated with the Lutheran Church-Missouri Synod, but does not require its teachers to be called, or even Lutheran.

A federal appeals court in Cincinnati eventually ruled for Perich, saying her primary duties as a teacher were not religious in nature.

In the oral arguments at the high court, Douglas Laycock, representing the church, said, "Government does not set the criteria for selecting and removing officers of the church. That's a bedrock principle."

Justice Sonia Sotomayor jumped in. "Doesn't society have a right at some point to say certain conduct is unacceptable," and deserving of government intervention. "We know from the news recently that there was a church whose religious beliefs centered around sexually exploiting women and, I believe, children."

She added, "Once we say that's unacceptable, can and why shouldn't we protect (from retaliation) the people who are doing what the law requires, i.e. reporting it?"

Arguing for the Equal Employment Opportunity Commission, Justice Department lawyer Leondra Kruger said, "The government's interest in this case is not in dictating to the church-operated school who it may choose to teach religion classes and who it may not. It is one thing and one thing only, which is to tell the school that it may not punish its employees for threatening to report civil wrongs to civil authorities."

Chief Justice John Roberts was incredulous. "You're making a judgment about how important a particular religious belief is to a church," he told Kruger. "You're saying: We don't believe the Lutheran Church when it says that this is an important and central tenet of our faith."

Kruger later suggested the government could not bring action against the Catholic Church for its historic policy of men-only priests, but that retaliation claims against the Lutheran Church in this case are justified.

But Justice Samuel Alito said any such lawsuit would invariably involve questions of religious doctrine, from which religious groups would be constitutionally insulated from any claims.

"I can't reconcile your position on those two issues without coming to the conclusion that you think that the Catholic doctrine is older, stronger and entitled to more respect than the Lutheran doctrine," he said.

The Constitution's First Amendment bars any government from passing laws "respecting an establishment of religion, or prohibiting the free exercise thereof."

The high court in the past has typically dealt with such church-state disputes by allowing Ten Commandment displays in public buildings; the mention of "God" on currency and in the Pledge of Allegiance; manger and menorah displays in public parks; and school and legislature prayer.

Legal experts say federal courts have been split on the current issue, and it gives the justices a rare opportunity to explore a religious freedom dispute from an employment context.

Several dozen supporting briefs supporting both sides have been filed by religious and civil liberty organizations, employment groups, and eight other states.

Six members of the high court are Catholic, the other three are Jewish.

The case is Hosanna-Tabor Evangelical Lutheran Church and School v. EEOC (10-553). A ruling is expected early next year.

@highlight

A former teacher wants to sue the church school that dismissed her

@highlight

The Evangelical Lutheran Church and School says it is immune from such suits

@highlight

Justice Sotomayor: "Doesn't society have a right" to censure "certain conduct?"

@highlight

Chief Roberts: The EEOC is judging "how important a ... religious belief is to a church"