(CNN) -- The air is crisp, the leaves are falling and animals are starting to prepare for the winter ahead.

Pull out your sweaters and hiking boots; it's time for a fall hike.

If you haven't done much hiking in the past, have no fear. Hiking aficionado Tony Caligiuri promises plenty of hikes for the novice wishing to spend a couple hours in nature. If you're already a veteran hiker, Caligiuri has several hiking recommendations for you. And if a hike looks to be too much for the beginner in your crowd, consider doing part of a longer hike, turning around and heading back to the starting point for a picnic or snack.

Raised on a mushroom farm in Pennsylvania, Caligiuri would wander off into the woods for the day or take an overnight trip with his family and pitch a tent along the way.

Now executive director of the National Wildlife Federation's mid-Atlantic region, he hikes like most working people, often squeezing in a half-day or day hike on business trips. That's why he started a blog dedicated to hiking experiences that don't require endurance training.

Caligiuri wants to enjoy the experience and perhaps be in good condition for "a nice steak dinner and a glass of wine" he says. A hike that tortures his body? Not for him. "I'm looking for a pleasant experience, not a 50-mile death march," he says. "I'm not trying to prove a point."

Here are some of his fall favorites. Please suggest your own in the comments section below.

1. Grayson Highlands State Park, Virginia

Great views start at the trailhead at Massie Gap parking lot. Hike about three miles up to Rhododendron Gap. The Rhododendron Trail also connects to several of the most scenic miles of the Appalachian Trail.

If you're bringing small children along, you can promise them ponies on this hike (just not for riding) as a herd of friendly, wild ponies lives on the mountain. They are visible during the first mile of this walk, so you don't have to go far from your car. There is fencing to prevent them from entering the Appalachian Trail section of the park.

2. White Clay Creek Preserve, Delaware and Pennsylvania

Caligiuri hikes the White Clay Creek Preserve at least a couple times a year. The preserve hugs the border of Pennsylvania and Delaware and is part of the Delaware River watershed.

Designated by Congress as a National Wild and Scenic River, White Clay Creek and the surrounding valley offers a nice level hike along the old railbeds (part of a rails-to-trails conversion) and through an old growth forest. Energetic hikers could walk for nearly 10 miles on the gravel walk. While the local trail is actually unnamed at this point, it is a section of the larger Mason Dixon Trail that will eventually roughly follow the Mason Dixon Line. The creek side trail in this park follows the edge of the White Clay Creek for more than six miles from Pennsylvania to Delaware.

3. Old Rag Mountain, Virginia

Old Rag Mountain is in the Shenandoah National Park in the Blue Ridge Mountains of Virginia, a couple hours west of Washington.

The mountain's eight-mile circuit includes scrambling up rocks and is considered a little more difficult, but a fit 10-year-old could do it, Caligiuri says. "The reward is top of the mountain, a craggy peak that overlooks the Shenandoah Valley," he says. The mountain is close to Washington, so it can get crowded on the weekends during peak fall foliage season.

It is a challenging trail, especially for a complete novice. That's why there are warnings about being careful on the trail. But Caligiuri has seen lots of kids hiking the trail and has no hesitation to recommend this to families. "Just use common sense," he says. And read National Park Service advisories.

4. Walker Ranch Loop, Colorado

Part of the Boulder city park system, Walker Ranch is an old ranch five miles from Boulder that's been converted into parkland.

The loop is a 7.8-mile circuit hike starting at a peak, hiking down into the river valley and back up another peak. It's considered difficult.

5. Salt Point State Park, California

A two-hour drive north of San Francisco, Salt Point State Park offers hikers the chance to walk along the cliffs of the Pacific Ocean and enjoy sweeping views of the coast. The hike can be done as a five-mile loop. The 1.2-mile Salt Point Trail runs along the ocean's edge. It can be combined with the park's north and south upland trails to create a flexible-length loop hike, most of which offers spectacular ocean views.

"You can walk almost five miles through the meadows along these trails," says Caligiuri. "It should be gorgeous right now with the dry wildflowers," he says.

6. Point Reyes National Seashore, California

A short drive north of San Francisco, the Point Reyes National Seashore is a very popular park, and Tomales Point is one of its popular hikes, says Caligiuri, who once spotted a golden eagle on this trail.

The 11-mile hike is level and provides hikers with "instant gratification," he says. "You have the bay on the right, the ocean on the left and a view to the rocky point section of the park (at Pierce Point). There's a managed herd of elk within view." There's also the remains of an old dairy ranch still standing, "so you can imagine what it would have been like to live on this remote place on the Pacific Ocean," he says.

7. Hiking in the big city

Think a hike needs to be in nature? Think again, says Caliguri, who loves to "hike" South Street Philadelphia in search of great restaurants and cheese shops.

"I will park at one end, leave a cooler in my car and fill it with cheeses and meat," he says. "With no summer heat, it's a good time to be there."

He also loves to hike in New York City. Think it's not a workout? Walk from Harlem at 125th Street down to Battery Park City in Manhattan and think again. Or walk over the Brooklyn Bridge and enjoy the incredible views of Brooklyn, Manhattan and the East River.

"I will literally go to New York City and walk from one end to the other," he says. "I don't think you have to get into a car to take a hike. A hike is an interesting walk where there are things to see along the way. I grew up in the country, in a rural area. To me, the city is exotic."

Where do you love to hike? It can be anywhere as long as you're moving. Please share your suggestions in comments below.

@highlight

Hiking aficionado Tony Caligiuri suggests routes for novices and veterans

@highlight

In Virginia, Grayson Highlands State Park is on the Appalachian Trail

@highlight

In California, Salt Point State Park yields great views of the Pacific

@highlight

Can't get out of the big city? Then embark on a vigorous urban ramble