(CNN) -- The online coupon market has been exploding in the last year or so. Just look at some of the startups offering this service: Groupon, LivingSocial, Scoutmob, OpenTable, zozi, SCVNGR LevelUp, viagogo, Google Offers and many others.

Now, welcome a new member of the digital-coupon club: Facebook Deals.

The massive social network, which has 600 million members, announced on Tuesday a pilot project that will let local businesses offer discounts through Facebook.

But with so many group-discount sites already out there, is Facebook's version offering anything unique?

Here's a breakdown of how the service works and how it differs, at least a little bit, from some of its competition.

What are group discount sites?

First, the basics. Group discounts are essentially digital coupons, sometimes with strings attached. At Groupon, a certain number of people must purchase a deal before it's "unlocked," for example. Some, such as Scoutmob, are mobile deals based on a person's location, and offer deals on nearby restaurants, spas or other services.

Others, such as LivingSocial, are more generic. They're basically coupons sent by e-mail.

What is Facebook Deals?

Facebook Deals aims to make the idea of digital coupons more social. With so many millions of users, it's hard to argue that Facebook isn't in a good position to do this. Users must purchase a coupon online before using it in real life. When they decide to buy, an item is automatically posted on their Facebook news feed, alerting all of their Facebook friends about the deal.

Where is Facebook Deals available?

For now, Facebook Deals is only being offered in five cities: Atlanta, Georgia; Austin, Texas; Dallas, Texas; San Diego, California, and San Francisco, California.

Facebook is testing the feature in these places first, and says it may expand to others at a later date.

Some of Facebook's competitors in online coupons are available more widely. Groupon works in dozens of U.S. and Canadian cities. Google Offers, however, which is another pilot project, is so far only available in Portland, Oregon.

What's the incentive to use Facebook Deals?

Many of these online coupon sites use video game mechanics to try to entice people into purchasing stuff. LevelUp, a Boston and Philadelphia pilot from the social network SCVNGR, works somewhat like an airline frequent-flier program. The more a user participates, the more he or she "levels up," giving him or her access to premium deals.

Groupon is similar in that it requires a bunch of people to buy a coupon before it's activated. That encourages friends to spread the word about the deal, if they want to be able to use it.

Facebook Deals doesn't do any of that -- at least not yet.

So why would anyone use Facebook Deals?

Because they're offering coupons. And because they're on the world's biggest social network. Facebook says the goal of the deals isn't necessarily even that they're deals -- it's that people will be able to plan events on Facebook.

"While many Deals on Facebook offer discounts, it's more important to us that you find interesting experiences around you to do with friends," Facebook's Emily White writes on Facebook's blog. In other words, expect deals on group-centric activities, such as concerts or horseback riding.

Are Facebook's discounts as good as Groupon's?

Doesn't look like it. Groupon claims to offer discounts of 50% to 90%. Most of Facebook's coupons for Atlanta range from 13% to 75% off, with more of them seeming to fall on the lower end of that scale.

Again, Facebook says the social aspect of these coupons is almost more important than the discount itself. "If your primary reason for doing something is getting together with friends, I don't know if a discount is necessary," White told the Wall Street Journal. "We are not looking for the deep discount customer."

The integration with Facebook is what the site sees as key: "A lot of deal sites get that deals are social," White told The New York Times' Bits Blog. "But I wouldn't say they are really well integrated with Facebook."

Where can you see Facebook Deals?

In your news feed. On the Facebook Deals page. On the Facebook "Pages" sites of various businesses. Or in your e-mail inbox, if you sign up for that.

Other sites, like LivingSocial and Groupon, also send out daily e-mails about the discounts they offer.

How do you pay for Facebook Deals?

With a credit card, with PayPal or with Facebook Credits, Facebook's own currency that, for the first time, will be used to buy real-world goods. Users buy deals in advance and then print out a coupon that's used to redeem the deal.

Some other deal sites and apps let users buy discounts on-the-go. Scoutmob, for example, which is available in 13 U.S. cities, offers mobile coupons once a person is in the store or restaurant where they intend to use a deal. Users just pull up the coupon on their smartphones, show the waiter or store clerk that they've "unlocked" the deal (for free) and then get that discount applied to their bill -- without having to make any payment beforehand.

Paying up front -- the Facebook and Groupon model -- annoys some users.

Why is there so much competition in this space?

Because there's apparently lots of money to be made.

Ever since Google, in December, reportedly offered to buy Groupon for $6 billion, social coupons have been expanding like mad. As is often the case in tech, once start-ups in a new sector get hot, the big companies -- Google and Facebook in this case -- join the party late, hoping either to put out better products or capitalize on their huge user bases.

@highlight

Facebook on Tuesday announces a Groupon competitor called Deals

@highlight

The social network jumps into a space that is already crowded

@highlight

Facebook Deals doesn't appear to offer the deepest discounts

@highlight

The site aims to make online coupons more social than other sites