(CNN) -- The longstanding conflict between Israel and the Palestinian group Hamas reignited last week after Israel launched airstrikes against what it called terrorist targets in Gaza.

Israel explained that the offensive, which it calls "Operation Pillar of Defense," was necessitated by increasing rocket attacks from the Hamas-controlled territory.

Are you there? Share photos, video but stay safe.

Among those killed in the Israeli airstrikes Wednesday was Ahmed al-Ja'abari, the chief of Hamas' military wing. Weapons depots and rocket-launching sites were also targeted.

"Hamas and the other terrorist organizations in Gaza have made normal life impossible for over 1 million Israelis," Israeli Prime Minister Benjamin Netanyahu said in a statement. "No government would tolerate a situation where nearly a fifth of its people live under a constant barrage of rockets and missile fire."

Palestinian leaders condemned the attacks and said it is just another example of Israel's aggression toward Gaza. Since Hamas took control of Gaza in 2007, Israel has imposed a crippling economic embargo on the territory because it views Hamas as a terrorist organization bent on destroying the state of Israel.

FAQ: What is Hamas, and what are its aims?

Meanwhile, Hamas' military wing vowed revenge, warning that Israel had opened "the gates of hell on themselves."

Since then, Israel and Hamas have been trading bombs and rockets, and there is international concern that the situation could escalate into an even bloodier ground war. The Israeli government has called up 75,000 reservists and massed 30,000 troops across the border of the Palestinian territory, according to the Israel Defense Forces.

"If this situation continues and it escalates, it's going to be really serious and tragic -- not just for Israelis and Palestinians, but actually it will cause a huge amount of upheaval right across the region," said former British Prime Minister Tony Blair, who is envoy for the Middle East Quartet working to find a peace agreement. "And this is a region, as you know, that doesn't require more upheaval right now."

U.N. Secretary-General Ban Ki-moon flew to the region Monday to personally appeal for a cease-fire, joining a chorus of Western and Arab leaders who do not want to see a repeat of 2009, when a three-week ground offensive resulted in the deaths of at least 1,400 Palestinians and 13 Israelis.

But not all of those leaders view the conflict similarly.

Many of the Western nations, including the United States and several European countries, see Hamas as the aggressor. U.S. President Barack Obama, speaking in Thailand on Sunday, said Hamas rocket attacks were the "precipitating" event for the fighting and that "we are actively working with all the parties in the region to see if we can end those missiles being fired without further escalation of violence." The United States, like Israel, views Hamas as a terrorist organization.

More: Obama's telephone diplomacy on Gaza

Many Arab and Muslim nations, on the other hand, see Hamas as the victim of Israeli aggression. Egypt, for example, recalled its ambassador to Israel and delivered a formal protest to the Israeli government.

"No one can remain still and watch this tragedy unfold in this fashion," Egyptian Prime Minister Hesham Kandil said Friday. "This is impossible. The whole world must intervene, and Israel must abide by the agreements and stop the aggression."

Kandil visited a Gaza hospital and kissed the lifeless body of a 4-year-old boy said to have been killed by an Israeli airstrike. The Israeli military told CNN, however, that it did not carry out any strikes at the time of the child's death; it said it had stopped temporarily for Kandil's visit.

The death of civilians, especially children, has been a common rallying cry for critics of Israel's offensive. Ten people, including several children, were pulled from the rubble after one airstrike in Gaza, as CNN's Arwa Damon witnessed.

Israeli authorities said they go to great lengths to avoid civilian casualties in densely populated Gaza, even dropping leaflets and nonlethal bombs to warn people about bombings in advance. But "the terrorists," Netanyahu said, "are committing a double war crime: They fire at Israeli civilians, and they hide behind Palestinian civilians." And sometimes, according to a tweet from the Israeli military, "Hamas fires from civilian areas and hits its own people."

Both Israel and Hamas have taken to Twitter to defend their cause and sway outside opinion. One recent graphic, tweeted from the account of Hamas' military wing, said Israel isn't killing terrorists in Gaza; it's killing children, senior citizens and women.

The Israeli military tweeted a graphic that asked, "What would you do if rockets were striking your country? RT if you agree that #Israel has the right to self-defense."

As the fighting and the finger-pointing carry on, there's no denying that suffering continues on both sides.

CNN's Sara Sidner interviewed one woman in Gaza who lost her two children, ages 2 and 4.

"I am in shock, I can't believe it," Riba Abu Saithan said, crying. "My two children, they are priceless to me. My life is now very difficult."

In Ashkelon, a town in southern Israel, everyone is constantly afraid of rocket attacks, its mayor said.

"We can't go on like this," Mayor Benny Vaknin told CNN's Frederik Pleitgen. "We have 131,000 people here and 26,000 children. They are constantly under threat."

Many experts expect that both Israel and Hamas will find it in their best interests to eventually stop fighting. Neither side has much to gain in repeating the events of 2009, writes Aaron David Miller, a vice president and distinguished scholar at the Woodrow Wilson International Center for Scholars.

Miller, who served as a Middle East negotiator in Democratic and Republican organizations, said: "War didn't fix the problem then, and it's unlikely to fix it now. Nor do the Israelis -- when the real threat is Iran -- want to get into a major military and political mess over Gaza that would make their relationship with Egypt even more complicated."

More: Why Israel might hesitate to invade

But if war isn't the answer, why do the bombs and rockets continue to fly?

Nathan J. Brown, a professor of political science and international affairs at George Washington University, said each side suspects the other of playing domestic politics.

"Palestinians fear that the Israeli government is making war with an eye to upcoming elections. Israelis suspect that Hamas -- whose full name is the "Islamic Resistance Movement" -- is lobbing rockets because it is tired of its rivals' taunting that it is not living up to its middle name," said Brown, who has authored six books on Middle East politics.

There is some truth to these charges, Brown said, but both sides have other goals in mind.

"The Israelis know that they cannot dislodge Hamas from Gaza without unacceptable cost and endless occupation. But they want to punish the movement so severely that it will be deterred from future violence," he said. "Hamas knows that the damage it inflicts serves no strategic value, but it hopes that its rockets will cause dislocation and even panic in Israel and send an international message that Gaza cannot be ignored."

How Middle East has changed since last Gaza conflict

CNN's Sara Sidner, Arwa Damon, Greg Botelho, Chelsea J. Carter, Kareem Khadder, Frederick Pleitgen, Mohammed Fadel Fahmy, Josh Levs, Saad Abedine, Talal Abu-Rahma, Hala Gorani, John D. Sutter and Bryony Jones contributed to this report.

@highlight

Israel and Hamas have been trading bombs, rockets from afar

@highlight

Israel said its military operation is in response to constant rocket attacks from Gaza

@highlight

Palestinian leaders have condemned the attacks as a major escalation

@highlight

World leaders want to stop the fighting before it escalates to another ground war