Washington (CNN) -- Charlottesville, Virginia, residents could see one of the region's biggest political footballs flying overhead this week: a drone.

The use of an unmanned aircraft was approved Tuesday by the Federal Aviation Administration to help search for missing University of Virginia student Hannah Graham. The drone deployment, while legal, highlights an ongoing political debate -- at the local and state level -- on whether use of the aviation technology is a violation of civil liberties.

Legal limits on unmanned aircraft use by state and local law enforcements were instituted by the Virginia state legislature in February 2013, earning the support of civil liberties proponents and marking an historic first across the nation. The moratorium lasts until July 2015, when the legislation will be reconsidered and some proponents say it can't come quickly enough.

"There's been an overreaction on the part of state legislatures with respect to this technology," said Brendan Schulman, who represents drone operators as Special Counsel at Kramer Levin Naftalis & Frankel LLP.

Authorities say the drone, an Aeryon SkyRanger, could be used in the Charlottesville area for as long as they are useful -- news that might anger proponents of the ban, where the city itself voted to outlaw the use of drones even beyond the restrictions of the state moratorium.

"Drones will spy on us without our permission in violation of our constitutional rights under the 4th Amendment," said David Swanson, an activist who brought the initial anti-drone resolution to the Charlottesville city council, in February.

Schulman pointed out that state legislators' "knee-jerk reaction" highlighting privacy concerns is often overblown given state laws which prohibit invasions of privacy. Instead, he said, drone opponents should consider their financial and safety benefits.

"There is absolutely no question that using a battery powered small drone is much more cost effective than a manned helicopter," he said, noting that in some circumstances, unmanned aircraft can often replace as many as 100 ground-based volunteers.

"This is like any other technology," he added. "There are great benefits that we can obtain from it when it's used appropriately, and we should not curtail those benefits on the premise that the technology is always going to be abused."

John Coggin, chief engineer of the Mid-Atlantic Aviation Partnership, said the drone being used this week will be used to "look closer" at objects of interest, and will be able to cover areas across the region too difficult to reach with an ATV or even see with a manned helicopter.

More than 50 law enforcement personnel are also participating in the search on the ground.

So far, police have searched more than 175 square miles in the mission to find Graham, which is now in its third week after she disappeared from the Downtown Mall area of Charlottesville on Sept. 13. investigators have identified Jesse Matthew, 32, as the last person seen with Graham. He's been charged with abduction with the intent to defile.

While the search continues both on ground and in air, some groups who supported the moratorium agree that use by local law enforcement should be allowed. The Rutherford Institute, a Charlottesville-based civil liberties organization notable for its hand in advocating for the local moratorium, has rallied behind the use of drones in the Graham case.

"We are all concerned about what has happened to Hannah Graham, and if using aerial drones can find her or at least provide some leads to law enforcement, all the better," John Whitehead, president of the Rutherford Institute, said in a statement. "The key moving forward is to ensure that appropriate civil liberties safeguards are in place, but that is a conversation for another day and time."

@highlight

The FAA approved drone use for helping in the search for Hannah Graham.

@highlight

State lawmakers issued moratorium on drone use in February 2013.

@highlight

Drones are used to record images of places hard to reach on the ground.