(CNN) -- The George Zimmerman trial has made one thing crystal clear. When racial issues arise, we tend to unquestionably cheer for our own race like it's a sporting match. There's little regard for the arguments or feelings of those from another race.

Is the racial empathy gap in America growing? It seems so. At least judging by the chatter of comments surrounding the trial.

I heard repeatedly the statement from some Zimmerman supporters -- including a radio show host on Monday morning who is far from being a racist -- that "94% of black murder victims were killed by other blacks."

So instead of being empathetic to the Martin family -- whose son Trayvon was killed by Zimmerman -- the words discounted the killing by essentially saying that black people kill each other so much so why should we care about this one black kid?

It doesn't end there. There were speculations that there will be riots by the black community should Zimmerman be found not guilty.

As CNN's Don Lemon rightly pointed out Friday, these warnings basically label blacks as "barbarians" who "can't contain themselves."

On the other side, some people of color despicably threatened to harm or even kill Zimmerman after he was acquitted.

No matter what race you belong to, you have to admit this lack of concern for other races need to be addressed.

Sure, there were people protesting the Zimmerman verdict other than blacks, but overall they were few and in between. (Keep in mind that 75% of America's population is white.)

And when I say we lack racial empathy, I'm not talking about feeling sorry for a race because of their "plight." I mean true empathy -- "the ability to understand and share the feelings of another."

Racial empathy means being able to honestly contemplate what it would be like to be a member of a different race.

Psychologists have noted that this type of empathy fosters conflict resolution. Opening yourself to understanding why the other side believes what it does can help you find common ground.

Of course, this is not easy. It requires you to, at least temporarily, stop self-righteously dismissing competing arguments. You don't have to agree with the opposing views, but you should listen and try to understand them.

But when was the last time you heard leaders of community groups -- regardless of race -- say: "Let's look at from the other side?" I haven't.

A recent important study on racial empathy offers insights on the tangible consequences of our failure to identify with other races. Researchers found that participants believed that black people felt less physical pain when subjected to the same injury as white people because blacks "have faced more hardship."

In other words, the study shows that people are quicker to dismiss the suffering of blacks than of whites because black people have historically suffered more challenges like "higher rates of diseases, disability and premature death." The alarming conclusion is that this leads "to racial bias and potentially disastrous outcomes (e.g., condoning policy brutality against blacks, underestimating and undertreating black patients' pain)."

There's no simple fortune cookie piece of advice out there on how we can become more open and honest. But we can start simple.

How can we increase our racial sympathy? Let's look at issues from the vantage point of another race: Why are they angry? Why are they afraid? What would you feel like if you lived in a community where the crime you see is committed almost exclusively by one race? Conversely, how would you feel if you were repeatedly profiled by the police and society simply because of your skin color?

If we don't get past the knee jerking defensiveness when discussing race, we will likely be burying more Trayvon Martins. Let's try to stop the tragedies before they happen.

The opinions expressed in this commentary are solely those of Dean Obeidallah.

@highlight

Dean Obeidallah: Zimmerman trial shows that people see issues along racial lines

@highlight

Obeidallah: We need more racial empathy so that we can reduce tragedies and anger

@highlight

He says psychology studies show that more empathy can foster conflict resolution

@highlight

Obeidallah: We can start by trying to see what it would be like to belong to a different race