According to ancient legend, Iceland was once an immortal battlefield, with gods waging war in lava fields.

Plumes of lava represented souls flung out from the inferno, while volcanoes were portals to hell.

As one of the most volcanic regions in the world today, Iceland is home to more than 130 volcanic mountains -- many of them "active," meaning that they've erupted during the past few centuries.

It's also the only place on Earth you can take an elevator inside a volcano's magma chamber.

In May, for the third year in a row, Thrihnukagigur ("Three Peaks Crater") is open to visitors brave enough to venture inside.

Hotspot

Located south of the capital Reykjavik,Thrihnukagigur sits at the center of the Mid-Atlantic Ridge, a submarine mountain range running along the Atlantic Ocean.

While volcanic chambers are usually sealed shut, Thrihnukagigur's isn't, and scientists aren't sure why.

The magma seems to have drained away, leaving a chasm under Iceland's surface.

Cave explorer Dr. Árni B Stefánsson discovered Thrihnukagigur's magma chamber in 1974.

He fought to open the chamber to visitors and has championed sustainable approaches to the project in numerous academic papers.

The first tourists took the plunge in 2012.

The tour begins

Our tour to the heart of the volcano starts at the foot of the Bláfjöll mountain range, where roads end.

Guides lead us across the lava fields to a welcome cabin, which is constructed each May with parts brought in by helicopter.

Hauling metal sheeting and equipment to this remote area takes more than a week with three helicopters.

In September, the end of tour season, the cabin is dismantled again and nothing is left behind.

It's less than an hour's hike to the cabin, but the terrain of gnarled basalt wreaks havoc on all but the toughest of hiking boots.

Inside, we're sized for harnesses and helmets.

The promise of traditional meat soup distracts those visitors with vertigo.

Habitat for 'hidden people'

A short walk leads from the cabin up to the northeastern peak.

From the top of the cinder cone, which rises 35 meters higher than its surroundings, the land looks vast and empty.

There's no trace of civilization, just rocks sprinkled with moss and splatters of lichen and ashy peaks extending to the horizon.

Traditionally, these rocks and small underground caves are associated with huldufólk, Iceland's "hidden people."

Our journey into hell is by open cable elevator.

The metal cage, installed in 2010 for use by researchers, takes small groups of tourists down the neck of the crater into a chamber taller than the Statue of Liberty.

There are plans to build a tunnel connecting the chamber to the surface, but the project's impact is still being evaluated -- allowing access isn't without risk.

Human influence threatens the cave's unique beauty, and visitors must tread lightly, taking away anything they bring and not removing fragments of rock.

An additional disincentive against theft is the huldufólk -- legend has it they react violently to any pillaging of Iceland's natural wealth.

Making the descent

After the lift operator attaches each visitor's harness to the elevator frame with carabiners, he jolts the elevator into action and it rumbles slowly into a deep crevice in the ground.

The metal cage scrapes loudly against the rock face as droplets of water roll from the rocks and thunk onto our helmets.

After plummeting 120 meters, the elevator drops onto the magma chamber's floor.

There's no sound except dripping water and the sky is only visible as a distant chink of light.

Separation from the world above is total.

Exploring the chamber

Untethered from the elevator cage, we're free to clamber around the cave floor.

The walls glow bronze and indigo, like the sheen on spilled oil.

The parts of the cave baked by sulfur-rich gases are marked by yellow, while patches of cobalt blue show where chunks of rock have crashed from the walls.

We see icicles of rock, where magma hardened as it dripped to the cave floor.

Although relatively little is known about the ecosystem here, the vivid colors on the rocks are attributed to clusters of microorganisms.

A few visitors point nervously at puffs of steam rising from the cavern's far corners.

"The elves are smoking," jokes our guide, Einar Daníelsson.

In reality, the puffs come from moisture evaporating as droplets hit the surface of electric lamps, the only light sources in the cave, but it's easy to see how the myths about elves began.

"You can imagine, when you are walking alone in the fog and there's all these strange formations," says Daníelsson.

When we're brought back up to the daylight, I find that my eyes are easily deceived.

Distant lumps of granite seem to moving, while patterns on the ground take on the appearance of portals to another world.

Guided tours of Thrihnukagigur's interior are available through Inside the Volcano; +354 863 6640; five tours daily from May 15-September 30, 2014; minimum age 12 years old

@highlight

Cave explorer Dr. Árni B Stefánsson discovered Iceland's Thrihnukagigur's magma chamber in 1974

@highlight

He fought to open the chamber to visitors

@highlight

First tourists went into the volcano in 2012

@highlight

Scientists aren't sure why Thrihnukagigur's magma crater isn't sealed shut like other volcanoes