(CNN) -- Those who live in fear today imagine that America is being overrun by foreign, disease-carrying, tax-sucking criminal hordes. They cannot imagine that immigrants, whether documented or not, could ever contribute to our country. They refer to the children and families trying to cross the southern border as "illegals."

But to quote John Lewis, who fought 50 years ago for civil rights and fights now for immigration reform, "There is no such thing as an illegal human being."

Language matters. Words are expressions of power and identity. And even something as trivial as punctuation can say a lot about what it means to become American.

For instance, I never hyphenate.

As I explain in my new book "A Chinaman's Chance," I call myself "Chinese American" -- without a hyphen. American is the noun, Chinese the adjective. Or, rather, Chinese is one adjective. I am many kinds of American, after all: a politically active American, a short American, an earnest American, an educated American.

This is not a quibble about grammar; it's a claim about the very act of claiming this country.

The hyphenated form, "Chinese-American," to me signifies a transaction between two parties, as in Chinese-American diplomatic negotiation or Chinese-American commerce and trade. The hyphen implies a state of interchange across nations. It does not name a person, much less a citizen.

For the same reason, I never really accepted the label that my immigrant parents attached to me and other second-generation kids: "ABC," or American-born Chinese. I understand why they used it. They had been formed in China. They were deeply culturally Chinese and as they tried to make their way in this country and raise kids, they hoped those kids would think of themselves the same way.

We didn't, exactly. The second generation rarely does. While Chineseness was a deep influence on my palate and vocabulary and moral sensibility, I grew up in this land, an American. I went to Chinese school on Sundays, but I counted the minutes until I could get back to playing baseball with my best friend John. I was raised at home with a Chinese belief in family obligation and social propriety, but I was schooled everywhere else in an American spirit of individual invention and reinvention.

Actually, my immigrant dad taught me this. He's the one who introduced me to the noxious phrase, "a Chinaman's chance," which since the 1850s had meant "slim to no chance."

When he came here in the late 1950s, he decided, with his wry sense of humor, to reappropriate this slur. He would apply it playfully to commonplace situations, such as saying that the Yankees had "a Chinaman's chance" of making a ninth-inning comeback.

That's how I grew up. To call me "American-born Chinese" is to make my birthplace and upbringing incidental rather than central. It is to imply that wherever a person of Chinese ethnicity may be born, he is not truly of that place; he is just a sojourner, attached to a vast global web of Chinese.

That's not the way of our nation. In America, immigrants become American -- and by so doing, change America. The change is accelerating.

We've already become heavily Hispanic. Now -- to the surprise of many -- Asians have become America's fastest-growing group. People who look like me can no longer be presumed foreign until proven otherwise. We are becoming the new face of the United States.

In 1914 or 1814, when Italians or Irish were coming in great waves (uninvited by government, by the way, and unsanctioned by law), "becoming American" meant assimilating to a white, WASP way. In 2014, it means entering a vibrant and more complex omniculture that mixes the styles and memes of the entire world.

This shouldn't be scary. It should be exciting. For what makes America enduringly great is precisely this ability to synthesize the best of the rest of the planet.

That's our edge -- as long as we don't blow it. Yes, not blowing it includes taking illegal immigration seriously because borders do matter, and so does enforcing borders. But it primarily means keeping our eye on the bigger picture: that we are stronger when we are more inclusive and better when we activate our full diversity.

Welcoming and integrating legal immigrants is therefore a necessity. So is creating a pathway to citizenship for our undocumented neighbors, friends and colleagues so that we don't leave millions of people stuck in second-class limbo.

There will never be a simple answer to the eternal American question, "Who is 'us'?" But in this moment when jobs feel scarcer and life feels more zero-sum, we have to make a conscious choice to be bigger than our fears. That, without hyphens or hyperventilating, is the true American way.

@highlight

Eric Liu: Words are expressions of power and identity, and even punctuation matters

@highlight

Liu: As I explain in my new book, I call myself "Chinese American" -- without a hyphen

@highlight

He says the hyphenated "Chinese-American" signifies a transaction between two parties

@highlight

Liu: Similarly, "ABC," or American-born Chinese, is also inadequate in its identity label