(CNN) -- I was born 70 years ago this spring in the Bronx in New York City. In the years I've lived, more than 500,000 Americans have died and almost 1 million have been wounded in at least 15 U.S. military conflicts. Some wars were long and cost a great deal in lives and treasure, such as World War II and the Vietnam War; others were short and cheap, such as the invasion of Grenada in 1983.

Americans are being killed and wounded today in Afghanistan in a war that has lasted 12 years, the longest in U.S. history. And now some in Congress and elsewhere are calling for U.S. military action in Syria and Iran. One thing you can count on: Every U.S. military intervention takes surprising turns and is beset by unexpected problems. Victory looks a lot easier in the planning stages than it does once the bullets and bombs are flying.

When I was born in 1943, the United States had 12 million men and women under arms and -- with its allies -- was beginning to swing the fortunes of war in Europe and the Pacific against the Axis powers. World War II was a "good war," a necessary horror that prevented the even worse horror of fascism taking over the world.

The U.S. has more than 60,000 service personnel fighting the last vestiges of the war in Afghanistan. This is a war that began with a necessary mission -- to remove the Taliban regime that gave refuge and support to the terrorist organization responsible for the deaths of thousands of Americans. Over time, however, the mission was transformed into a much broader and far more difficult imperative -- to bring effective governance and security to Afghanistan. That is a mission of choice, not necessity.

The United States has been at war in the greater Middle East more or less continuously since the early 1980s.

In 1982, the U.S. put a small force in Lebanon to facilitate the withdrawal of Palestine Liberation Organization forces from Beirut during the Israeli occupation. Over time the mission grew, and the U.S. became involved in the Lebanese civil war. The U.S. Embassy was bombed, along with the Marine Barracks, with the loss of 241 American lives. The situation continued to escalate until President Ronald Reagan had the wisdom to withdraw American forces from a conflict getting rapidly out of hand.

All too soon, the U.S. was back at war in the Middle East. It skirmished with Iranian forces through much of the 1980s. In the 1990s, the U.S. and its allies liberated Kuwait and established no-fly zones over, and conducted strikes against, Iraq.

In the current century, the United States fought in Afghanistan and invaded Iraq and put down an insurgency there. Reasonable people can disagree about the wisdom of U.S. actions in each of these situations, but they were all wars of choice, not of necessity.

Too often, decisions to intervene militarily were founded on incomplete or erroneous information, the 2003 U.S. invasion of Iraq being a case in point. Each of the U.S. military interventions in the Middle East has evolved in unexpected ways. Only rarely have U.S. political leaders had the discipline to stick to the original mission.

Today Syria looks very similar to Lebanon in the early 1980s in its complexity of ethnic, religious, political and clan conflicts. Yet some in Congress want the U.S. to arm the rebels or enforce no-fly zones. Sen. Lindsey Graham, R-South Carolina, has even argued for American "boots on the ground" to protect Syria's chemical weapons from terrorists. The U.S. may go into Syria with limited aims, but the risk of unforeseen consequences would be grave.

Others argue America should go to war with Iran to prevent it from acquiring nuclear weapons, but no one can predict with certainty how effective that would be or how it might evolve. Most experts believe decisive action would require a concerted air campaign lasting weeks.

Leaders of Iran's Revolutionary Guard Corps have said they would adopt guerrilla tactics if Iran was attacked. If Iran's commandoes attacked U.S. forces or installations in the region, or those of U.S. allies, how many incidents would it take before the United States decided to replace the regime in Tehran -- the only sure way to end the conflict?

As I look back at U.S. military involvements in my lifetime, I see many wars in which America accomplished great things -- defending vital U.S. interests or sacrificing in defense of international law. There may be such necessary cases in the future, such as honoring the U.S. commitment to defend South Korea.

But I also see wars in which the United States blundered into complicated situations with disastrous results for the country and for others. America's leaders should learn from the country's previous military involvements.

They should not casually initiate conflict with only limited understanding of complex situations. It's past time for greater caution in commitments of U.S. military forces, particularly in the Middle East.

The opinions expressed in this commentary are solely those of Barry Blechman.

@highlight

Since Barry Blechman was born 70 years ago, America has engaged in at least 15 wars

@highlight

To name a few: Lebanon, Gulf War, Bosnia, Vietnam, Korea, Afghanistan and Iraq, he says

@highlight

Blechman: Missions take surprising turns; U.S. gets more involved and can't get out

@highlight

He warns we must not call for military action in Syria or Iran without very serious thought