Bali, Indonesia (CNN) -- At dawn, two women rise after sleeping on mats outside an Indonesian hospital.

They've waited all night for a chance to see their newborn babies, whom the hospital is holding until the medical bills are paid in full.

"Holding babies until payment is common in Indonesia," said Robin Lim, a midwife who founded birthing clinics in Aceh and the island of Bali.

At this particular hospital in Bali, mothers who don't pay are allowed in twice a day to feed their baby and change their baby's diaper. Those fortunate enough to find the money may take their babies home. Others might relinquish their parental rights and place their babies up for adoption, Lim explained.

"You worry, 'Will I be able to deliver this baby safely into the world?' But you shouldn't have to worry, 'How will I pay for it?' " said Lim, 54.

"Mother Robin," or "Ibu Robin" as she is called by the locals, is working to change that with her Yayasan Bumi Sehat (Healthy Mother Earth Foundation) health clinics. These birthing sanctuaries offer free prenatal care, birthing services and medical aid to anyone who needs it.

And the needs are vast in Indonesia. The average family earns the equivalent of $8 a day, according to the International Monetary Fund, but a normal hospital delivery without complications costs around $70. A Caesarian section can cost more than $700.

Lim believes Indonesia's high maternal and infant mortality rates are caused in part by these costs, which many women cannot meet. In turn, their lives and the lives of their babies are at risk.

According to the United Nations Population Fund, three out of five women giving birth in South Asia do so without a skilled birth attendant on hand.

"The situation is bad ... babies are unattended, deliveries have become commercialized, and mothers die from hemorrhage after childbirth because they can't afford proper care," Lim said.

Do you know a hero? Nominations are open for 2011 CNN Heroes

Working as a midwife in Indonesia was not something Lim, a U.S. citizen and author of many books related to infant and maternal health, planned for her life. But after several personal tragedies, her life shifted in a new direction.

"In the span of a year, I lost my best friend and one of the midwives who delivered my child," said Lim, who has eight children. "My sister also died as a complication of her third pregnancy, and so did her baby. I was crushed, just crushed.

"But I decided not to get angry. I decided to become part of the solution. If I could help even one family prevent the loss of a mother or a child, I would do that. I would dedicate my life to it."

Lim and her husband, Will, sold their home in Hawaii and moved the family to Bali to "reinvent their lives."

For Lim, there was no second-guessing the destination. Raised in the Philippines while her father was stationed in Indonesia with the U.S. military, she says she "always felt happiest in Asia."

Once in Bali, Lim volunteered to help local midwives deliver babies in various homes. And as the demand for her services grew, she decided to receive formal midwife certification.

In 2003, with help from the Balinese community and donations from friends across the globe, Lim and her husband opened the first Yayasan Bumi Sehat clinic. At the clinic, there are midwives, nurses, housekeepers, a doctor and a chef.

A short time later, after the massive tsunami in 2004, a smaller, sister location was built in Aceh to care for displaced survivors. Combined, the two clinics have facilitated the birth of more than 5,000 babies.

Some Indonesian celebrities and expatriates choose Bumi Sehat to birth their children, and they often give donations. But Lim says 80% of the families served by the clinics can barely pay anything.

"Rock star or prostitute, everyone gets treated (like a) VIP at Bumi Sehat ... with kindness and respect," she said. "It's something to see a family come year after year, every time their mango tree gives fruit, and give a few mangoes to the staff to say thank you.

"No one gets rich being a midwife. The riches that you experience are the deeper values."

Part of these riches, Lim said, is the knowledge that so many people rely on the clinics, two of the few 24-hour businesses in Aceh and Bali.

"Everyone knows us," she said. "For expecting couples who don't have a phone to call us for help or for a ride, it's common for them to hop on their motorcycles in the night to get to the clinic, where they know someone will be there waiting. And if they have a special request for me, I'll get a call, I'll get up and I'll go do the delivery."

The love and attention is appreciated by the new mothers, who don't have alternatives for safe, accessible care.

"I had my first born ... in a different clinic," said Gusti "Ayu" Ketut Gerti, a 31-year-old who came to Lim for the birth of her second child in February. "There's a big difference between that experience and (Bumi Sehat). Here, I feel comfortable. Robin is very kind, very motherly.

"I do not have money, and I tell my friends to also come here. I wish there were more people like her to lift up the suffering of the poor people."

Lim hopes that Gerti's experience can become the standard practice worldwide.

"Does the world have a responsibility to all pregnant women, to each new baby? Yes," Lim said. "Each baby, each adult deserves a clean, healthy, loving environment. ... Those things are basic. Those are a human right."

Want to get involved? Check out the Bumi Sehat Foundation website at www.bumisehatbali.org and see how to help.

CNN's Kathy Quiano contributed to this report.

@highlight

Robin Lim opened free birthing clinics in Indonesia, where many families can't afford care

@highlight

Hospitals there will often hold newborns until the mothers can pay for the delivery

@highlight

Lim: The world has a responsibility to all pregnant women and each new baby

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes