Washington (CNN) -- Two more Secret Service members have resigned over a Colombia prostitution scandal, the agency said Tuesday, while another member is being forced out and two more were cleared of serious misconduct.

The latest resignations brought to nine the total number of members who have resigned or are being forced out because of the controversy, with three others cleared of the most serious allegations but still facing possible administrative discipline.

A total of 24 people -- 12 Secret Service members and 12 U.S. military members -- were under investigation in the alleged prostitution scandal. Military officials are carrying out a separate investigation of their personnel.

Meanwhile, the top Republican on the Senate Judiciary Committee said Tuesday that he wants an outside investigation to determine whether any White House staff members engaged in inappropriate behavior in Colombia.

"I'm not going to be satisfied until we get some independent look at this," Sen. Chuck Grassley of Iowa told CNN.

Grassley said he wants the inspector general at the Department of Homeland Security to investigate the White House staff members' possible involvement in the controversy that has embarrassed the Secret Service and raised questions about a possible security breach before President Barack Obama's trip to Cartagena, Colombia, for the Summit of the Americans this month.

Acknowledging that the inquiry would be outside the inspector general's jurisdiction and require Obama's invitation, Grassley said the president should do it to keep his promise to maintain unprecedented openness and transparency in his administration.

On Monday, White House spokesman Jay Carney said White House Counsel Kathryn Ruemmler conducted an internal review over the weekend and found no wrongdoing by members of the Obama advance team in Colombia ahead of the president's trip.

Senate Judiciary Chairman Patrick Leahy, D-Vermont, scoffed at the idea of an outside inquiry Tuesday, saying Grassley's request was political.

"I'm a little frustrated when anybody tries to make politics out of this," Leahy said, repeating the words "politics" and "political" multiple times.

"The fact of the matter is, they're being totally transparent on this," Leahy said of the White House.

Based on what he has been told in private briefings, Leahy said, he saw no evidence that Obama staffers who traveled to Colombia ahead of the president's arrival behaved inappropriately.

"There are probably some who are disappointed that the White House is not involved, but having more investigations is not going to find somebody who was involved when nobody was involved," Leahy said. "Let's get this out of politics. We're talking about the president of the United States. It is a matter of security; don't play politics."

Homeland Security Secretary Janet Napolitano will appear before the Senate Judiciary Committee on Wednesday at the first congressional hearing since the scandal erupted.

Obama commented on the scandal in an interview Tuesday for broadcast on NBC's "Late Night With Jimmy Fallon," saying "99.9%" of Secret Service agents do great work and put their lives on the line.

"So a couple of knuckleheads shouldn't detract from what they do, but what these guys were thinking, I don't know," Obama said. "That's why they're not there anymore."

Defense Secretary Leon Panetta said Tuesday that he has "no tolerance" for the kind of behavior alleged in Cartagena, noting that Marines involved in an altercation with prostitutes in Brazil last year were demoted and punished.

Panetta was asked about the December incident at a news conference in Brazil, according to a TV pool report.

Three Marines and a State Department employee were involved in an altercation over payment with dancers and prostitutes from a Brazilian club. One woman allegedly started a fight inside a Marine's vehicle and was injured when she was kicked out of the vehicle and tried to get back in.

A spokesman for the Joint Chiefs of Staff said Tuesday that officials including Vice Admiral William Gortney, the director of the Joint Staff, will brief senators on the Armed Services Committee on Thursday about the military investigation of the scandal.

Grassley, meanwhile, is demanding that the White House counsel make public details of her internal inquiry in addition to an independent investigation of White House staffers.

On Monday night, Grassley sent a letter to Ruemmler, asking about how the inquiry was conducted and how the conclusion was reached. Asked about Grassley's letter Tuesday, Carney said he had not seen it.

In his letter, Grassley noted that he had asked Secret Service Director Mark Sullivan whether any White House advance staffers had been involved but hadn't received an answer by Monday.

Grassley asked for answers to 14 questions, including details of how the White House review was conducted, whether any White House staffers had "overnight guests" and whether any additional room charges were incurred.

Until now, the aftershocks and outrage about the Secret Service scandal were largely bipartisan. Grassley's demands and Leahy's reaction were the first major signs of a party-line division on the controversy.

Senate Homeland Security Chairman Joe Lieberman of Connecticut, an independent who caucuses with Democrats but often differs with them, said he was satisfied with the White House Counsel's internal inquiry.

"I think there is so much on the line here that this is one of those cases where, if the White House counsel says nobody from the White House staff was involved in this behavior, then I'm prepared to accept that," Lieberman said. " And if we find out that isn't true, then we're going to find out about it, and it's going to be a big mistake by the White House, but I have no reason to doubt what they say."

Lieberman said he intends to hold a committee hearing focusing on potential misconduct inside the Secret Service beyond what happened in Colombia.

"It's going to be what happened before: whether there was other evidence of misconduct by agents of the Secret Service," Lieberman said. "Whether therefore there should have been preventative action taken by the administration of the Secret Service and, finally, what are they going to do now to make sure it doesn't happen again?"

Since the scandal broke, several whistle-blowers have called his committee with what he called "credible" reports of other incidents similar to Colombia, Lieberman said. He would not provide additional details.

After he spoke, however, Senate Homeland Security Committee spokeswoman Leslie Phillips said Lieberman had misspoke. The committee has received a call from just one person who claimed to have information on possible misconduct, but committee staff have yet to talk to that person to determine whether that information is relevant, she said.

House Oversight Committee Chairman Darrell Issa said Tuesday that his committee has heard allegations of similar misconduct by Secret Service agents dating back years. Like Lieberman, he offered no specifics.

On Monday, officials said a member of the U.S. military assigned to the White House Communications Agency was under investigation in connection with alleged misconduct in Colombia, bringing to 12 the total number of military personnel being reviewed.

One Defense Department official said the military member admitted to his leadership that he was involved in misconduct "of some kind" while in Colombia.

The agency is a non-White House office that provides the president with secure communications while he travels. It is staffed by members of the military who report through the Defense Information Systems Agency.

While the 11 other military members are being investigated by the U.S. Southern Command, it was unclear who would investigate the White House Communications Agency staffer, who has been relieved of his duty with the agency and reassigned to the Military District of Washington, Pentagon spokesman Capt. John Kirby said.

According to sources, the alleged prostitutes -- the youngest of whom were in their early 20s -- signed in at Hotel Caribe in Cartagena, where Secret Service members apparently stayed, flashing their local ID cards. One of these women allegedly was later involved in a dispute about how much she was to be paid for the night, which brought the entire incident to light and sparked controversy in the United States and Colombia.

That woman has been identified as Dania Suarez, whose neighbors described her as a 24-year-old single mother who studies English. Suarez hasn't been seen in the neighborhood since the controversy erupted, though a visitor took suitcases from the house recently, they said.

While soliciting prostitution is in most cases legal for adults in Colombia, military law bars service members from patronizing prostitutes, engaging in conduct unbecoming an officer or, for enlisted personnel, conduct "prejudicial to good order and discipline." It is also considered a breach of the Secret Service's conduct code, government sources said.

CNN's Tom Cohen and Deirdre Walsh contributed to this report.

@highlight

Nine Secret Service agents are out or leaving over the prostitution scandal

@highlight

Military officials will brief senators this week on the controversy

@highlight

Republican Sen. Grassley calls for further investigation of White House staff

@highlight

President Obama refers to Secret Service agents involved as "knuckleheads"