(CNN)For nearly two decades, ubiquitous access to the Internet has been the elusive dream of technologists, policymakers and ordinary users. But today, the prospect of worldwide, always-on and high-speed (or close to it) Internet communications is in sight, and could become a reality within a decade.

The Internet has become the essential communications medium of our time. For students, Internet access is as crucial as textbooks and blackboards. For workers, it's hard to find a job, apply for public benefitsor participate in the global economy without basic connectivity.

Creative solutions to problems such as how to provide efficient health care now assume users will be connected to the Internet, whether they're in an underserved neighborhood in Detroit or a remote village in Brazil. That's why achieving the goal of ubiquitous and affordable Internet access is more important than ever.

In many cases, Internet access will grow naturally as increased demand and the economics of cheaper connectivity drive existing carriers and upstart providers to do more.

But we also have to find new ways to deliver data. Rather than relying on a single technical breakthrough, we'll need a combination of solutions, from mobile broadband and low-cost DIY infrastructure to far-out ideas such as drones and balloons.

So, what's on the menu?

Fiber investment and undersea cables: We can expect to see more projects like Google Fiber, which promises to deliver gigabit speeds at reasonable prices, and the construction of massive new undersea cables that dramatically increase the transmission capability of networks.

Cheap smartphones and mobile data plans: These will soon expand the Internet's footprint by billions of people, especially in parts of the world where wired networks have not been fully built out.

Cognitive radio technologies: These tools can turn unused and "junk" spectrum into wireless superhighways far more powerful than today's Wi-Fi networks.

Converted pay phones, weather balloons and drones: Engineers are looking at all of these as ways to bridge the "last mile" gap in hard-to-reach areas. With new technology and better use of the airwaves, it may soon be possible to blanket a rural area with high-speed wireless connections or enable a school to provide fast Internet access to the surrounding community without digging up the streets.

No matter the technology, a critical piece of this revolution will be the growth of community-driven infrastructure. Communities are increasingly defining and building the next generation of Internet deployment to promote access and affordability.

Long before Google Fiber was deployed, Chattanooga, Tennessee, built a gigabit fiber network for city residents and businesses to spur economic development and civic engagement. New York and San Francisco may not  compare favorably with Internet speeds in Asia and Europe, but cities like Chattanooga and Lafayette, Louisiana, which have invested in public broadband networks, are increasingly competitive.

Communities from Berlin to Tunisia, Brooklyn and Detroit are also building and operating their own open source, wireless communications infrastructure, customized to meet local needs.

Like the collectives that electrified rural areas of the United States in the 1900s, it is a local, bottom-up approach -- supported by policy frameworks promoting flexibility and grassroots innovation -- that will be the key path to 21st century Internet access.

What's more, these locally-controlled networks can improve governance, foster a greater sense of community inclusion and offer more secure communications and greater resilience in the event of disasters like Hurricane Sandy.

Better public policies will expedite progress. So what should governments do?

Podcast: Make Internet everywhere a reality

Incentivize investment, encourage better use of spectrum, and allow local community build-out: Sometimes, governments stand in the way. For example, 20 states in the United States have laws that unbelievably ban cities from investing in their own public networks, prompting the Federal Communications Commission to consider removing these barriers. During the 2015 State of the Union, President Obama also urged the FCC to do so as part of his broader initiative to promote high-speed broadband investment.

Make more spectrum available for unlicensed and innovative uses that support super Wi-Fi and community networks: We need to more spectrum to support Americans' ever-growing data consumption habit, but repurposing it all for exclusive use by cellphone carriers makes it harder for creative, local or unexpected solutions to connectivity challenges, which require access to the airwaves to succeed.

Keep costs down to help promote adoption: Cost is a significant barrier to Internet adoption around the world -- not to mention here in the United States, where four out of five Americans who aren't online live below the poverty line -- which in turn slows down the virtuous cycle of infrastructure investment and innovation. Policies that encourage broadband competition can help bring down the cost of connectivity, which will be a boon to underserved areas.

Anticipate new questions about free expression, governance, and individual choice: The next three billion netizens will come from widely varied political traditions. Their governments may have different ideas about the free flow of information or personal privacy. Clashes over Internet control have garnered attention in Thailand and Iran, but are also emerging around issues like hate speech and public safety from France to India. As the network grows, critical governance questions become ever more important.

The ingredients for universal connectivity exist today. But success requires the right mix of strategic investment, political will and laws that make creative approaches and local solutions possible. The promise of an Internet for everyone won't be achieved by one genius, one company, or one policy initiative -- it will come from people and communities all over the world figuring out what works best for them, and knitting it all together.

@highlight

Prospect of worldwide, always-on and high-speed (or close to it) Internet could become a reality

@highlight

Success requires the right mix of strategic investment, political will, and laws that make creative approaches