(CNN) -- Yousef is two years old and lives in a refugee camp in Iraq. Her mother tells comedian and UNICEF ambassador Eddie Izzard that she wants to return to her country, but will not jeopardize her children's safety. With every day that passes in their life as a refugee, she fears that they are losing another day of their childhood.

Yousef (not his real name) is two years old and lives in a shack that once sheltered animals. He arrived in Northern Iraq from Syria a few months ago. In Syria he lived in a nice home, in a nice area - full of middle-class comforts. But planes began to whirr through the skies and bombs began to fall in his region. The power supply diminished and the police disappeared.

And, one day, a group of men came to the house and threatened his young sister. His mother said enough. So, Yousef was bundled up, packed into a car and set off to the border, where his mother carried him and his sister across to Iraq.

Syria's forgotten refugees

The family lost everything in Syria -- their house, their roots, and most of their loved ones. They followed in the footsteps of the only relatives who had already fled and moved into a large settlement of improvised homes, not far from Domiz refugee camp near Dohuk. An uncle had found the shell of a shelter for sheep and goats. They built up walls and covered holes with tarpaulin. Sixteen people moved in. There are now three rooms, with a family sleeping in each.

I traveled to Northern Iraq with UNICEF to report on the growing catastrophe facing Syrian children. I was surprised to find that three quarters of refugees are in Yousef's situation and do not live in formalized camps. Instead, refugees cram into overcrowded, rented flats; shacks they have built from scratch, or converted dwellings. Others squeeze in with family members.

Refugees find a home where they can. There is not enough space in camps for everyone. Domiz refugee camp alone was designed for 15,000 people and is already home to 45,000. There are 160,000 refugees in Iraq and the number is anticipated to more than double by the end of the year to 350,000. Towns, cities and wasteland soak up the overspill.

The needs in these communities are dire. One young refugee girl I was told about had been out of school for two years and had forgotten how to read. Keeping children safe from harm and abuse is also problematic in fractured and ad hoc settlements.

And -- perhaps most crucially as the temperatures hit 45 degrees - there is not enough clean water or sanitation facilities for everyone. With cholera epidemics most common in September, the threat of disease looms large in people's minds.

UNICEF, along with the Kurdistan Regional Government and other humanitarian organizations, is doing everything it can to get aid to children and their families who need it -- safe drinking water, adequate sanitation, specialist psychological support, education and health services. A dedicated plan to cater to the needs of urban refugees in northern Iraq is currently being drawn up with partners including UNHCR.

But numbers are huge and expanding -- and there are not enough resources to go round and not enough funds to scale up existing programs. UNICEF has only a third of the money it needs for the year in order to deliver vital aid. At the moment, the agency simply cannot help everyone it wants to.

Yousef's mother does not know how long they will have to stay in Iraq. She wants to return to her country, but will not jeopardize her children's safety. She fears her son and daughter will forget Syria and they are growing up without the education, basic services and protection they deserve. With every day that passes in their life as a refugee, she fears that they are losing another day of their childhood.

Syrian refugees plead with U.S. secretary of state in Jordan

The opinions expressed in this commentary are solely those of Eddie Izzard.

@highlight

Two-year-old Yousef fled to Northern Iraq from Syria with his mother and sister for their safety

@highlight

They moved into a large settlement of improvised homes, near Dohuk

@highlight

Eddie Izzard says three quarters of refugees do not live in formalized camps

@highlight

"The needs in these communities are dire," writes Izzard