ORLANDO, Florida (CNN) -- Regrowing a fingertip cut off in an accident sounds like something from a futuristic movie. But with innovative technology developed by the U.S. Army, such regrowth is possible today.

This remotely controlled robot, called BEAR, could help remove injured soldiers from battlefields.

This research project and a hundred others were on display this month at the 26th Army Science Convention. Some the greatest minds in science from around the world gathered at the four-day conference to exchange ideas and showcase collaborative projects between the Army's research laboratories, universities and partner industries.

The main goal is to develop technology to make soldiers safer and more effective, said Thomas H. Killion, the Army's chief scientist.

The Army's regenerative medicine study combined properties from the intestinal lining and the urinary bladder to create a regenerative substance called Extracellular Matrix.

The cream-colored crystallized powder, called "magic dust," boosts the body's natural tendency to repair itself, said U.S. Army Biological Scientist Sgt. Glen Rossman. When the matrix is applied to a missing digit or limb, "the body thinks it's back in the womb," Rossman said.

One civilian participated in the regenerative-medicine study after cutting off the tip of his finger in a model plane's propeller. Researchers continually applied the matrix to the wound, and after four weeks, the body grew skin and tissue to replenish the damaged area.

The U.S. military branches have begun a consortium with private institutions to develop treatments for severely injured troops. With the help of grants, the Armed Forces Institute of Regenerative Medicine is studying nerve and vein transplantation, treating burns without scarring and regeneration of tissue, skin and even bone.

Through both animal studies and civilian clinical trials, the institute is developing therapies for the large number of soldiers injured by improvised explosive devices and other explosives in Afghanistan and Iraq.

"We are working on trying to regenerate limbs, to repair limbs and to keep them from being amputated," institute Project Director Col. Bob Vandre said.

Army scientists also have developed an engineered skin substitute made in a laboratory from patients' own cells. A postage stamp-sized patch of skin could grow several times larger than the original sample. The engineered skin could then be placed over a wound or burn, protecting it from infection, and eventually cover large portions of the body that have been damaged.

"Our goal is to restore the function to our wounded warriors who have given so much in battle," Vandre said.

Armed Forces Institute scientists also say they also have developed a process to rebuild missing or damaged bone. A web-like tube of calcium-phosphate ceramic, called hydroxyapatite, acts as a biodegradable scaffold that is set in place of the missing bone, giving the body a platform on which to rebuild.

Scientists say the scaffold allows the body to regrow its own natural tissue, bone and veins so it can support itself. Because of the complexity of the process, researchers so far have regrown only 3 centimeters of bone in clinical trials on rats, but they hope to reach 5 centimeters in two years. With the regrown bone, scientists could avoid placing titanium or other medical devices in the body.

Of course, to apply this technology, the Army needs a way to safely remove injured soldiers from combat zones. Enter the Battlefield Extraction Assist Robot, or BEAR, a human-shaped machine with eyes, ears and arms for lifting heavy objects.

Built by Vecna Technologies in association with the Army, BEAR is still a prototype. But its potential is promising. BEAR is outfitted with lights, two cameras and infrared abilities, and it can travel up to 10 mph. The device also can lift 250 pounds while balancing on its toes.

Vecna robotic engineer Andrew Allen says BEAR can be remotely operated, reducing the chance of injuries to soldiers' human rescuers.

"BEAR can easily be replaced; it costs money and not lives," Allen said.

Robot technology has exploded in the past six years, said Army scientist John Parmentola. Robot prototypes of all kinds were on display at the conference, and about 10,000 military robots are expected to be deployed in the field in 2009.

Robots can be outfitted to accomplish various tasks. One can detect 38 different chemical or biological explosives from a distance of 3 to 5 meters. The robot could be used to scan car doors or truck lids for explosives or chemical residue.

Another, called Packbot, is deployed in Iraq for surveillance, reconnaissance and explosives removal. Packbot has been outfitted to react to voice commands, given remotely through an earpiece. Loud background noises do not distort the commands, because the system monitors the vibrations of the operator's jawbone.

Finally, some robots come with a retractable apparatus called a Zipper Mast or Situational Awareness Mast, which can be equipped with a camera or antenna and raised to peer over walls or send radio communications.

The smallest Zipper Mast is not much bigger than a coffee pot and can extend to a height of 8 feet. Designed by the U.S. Army's Tank Automotive Research, Development and Engineering Center, the larger mast is affixed to tanks and can reach heights over 30 feet.

@highlight

Cutting-edge technology on display at U.S. Army Science Convention

@highlight

Some of greatest minds in science gathered at four-day conference in Florida

@highlight

Regenerative-medicine research could help injured soldiers regrow tissue and bone

@highlight

Remotely controlled robots could help remove wounded from combat zones