London, England (CNN) -- When London's Olympic organizers needed a knockout venue that would wow the International Olympic Committee and hold the world's attention, they turned to Zaha Hadid, a provocateur who critics have described as "the Lady Gaga of architecture".

Iraqi-born Hadid is one of the greatest architects alive. In 2004, she became the first woman to win the Pritzker Prize, architecture's greatest honor. The year prior, she was awarded the European Union Mies van der Rohe Prize for a tram station in Strasbourg.

Besides art museums and opera houses, she has designed temporary pop-up structures -- such as a handbag-inspired mobile pavilion for Chanel -- a ski jump in Austria, furniture, door handles, a tea and coffee set and vase for Alessi, and plastic high heels for Brazilian shoe brand Melissa. Not all of her work is exclusively for the wealthy. She also won last year's RIBA Stirling Prize for redesigning a state school in Brixton, South London.

Hadid's Aquatic Centre is the first venue you see when you enter the Olympic village. A £269m facility that houses two swimming pools and a diving pool, and seats 22,500, critics have pronounced it the Olympics "most majestic" space.

But for decades, Hadid languished in the shadows, her work dismissed as "unbuildable" and her atelier rarely commissioned in her adopted city.

"I will always have two regrets," she told Leading Women. "I don't have a presence in London, and I would have liked to have done more work in the Middle East."

More from Leading Women: NASA astronaut who inspired women

Architecture was a dream of Hadid's since she was a young girl and, in Baghdad, where she lived until a teenager, it was all around her. "Many of the great architects of the time like Corbusier, Frank Lloyd Wright and Sert and Gropius all designed projects for Baghdad," she says.

Hadid's father headed the National Democratic Party, a progressive force in Iraq in the 1930s and 1940s. "In the Arab world, like Brazil and in Africa, it was about nation building in that period and also about identity," Hadid recalls. "There was a moment of renaissance, of trying to build a new era and adopt some of these modernist ideas like they did in Chandigarh (a renowned example of urban planning in northern India) or Bangladesh. That was an incredible moment of excitement and that's also why I think it intrigued me at the time."

After an education at the American University of Beirut, Hadid studied architecture at London's Architectural Association School of Architecture. It was the 1970's, a time when, she says, the 1968 student uprisings had invigorated experimentation.

"There were so many different ideologies...There was a lot of focus on drawing at the time, and the idea of the school was really to pick your way through some labyrinth ideas. Looking back, it was very exciting."

Among Hadid's teachers was radical Dutch theorist Rem Koolhaas, with whom Hadid worked upon graduating in 1977. Two years later, though, she founded her own practice near Red Lion Square in Holborn. Today, it employs more than 300 people and brings in around $50-75 million annually.

Deploying the ideas that galvanized her in architecture school has not been easy, and acceptance has come slowly for Hadid. After winning a 1994 competition to design an opera house for Cardiff Bay in Wales, her modernist design was derided by critics and locals, and ultimately rejected in favor of a stadium.

It was a slap in the face for Hadid, who still describes the experience as "traumatic".

"It became a cause celebre," she recalls. "Everyone was trying to prove a point, which was not to allow people to win a major project who are not known, who are not part of the establishment. They didn't like the fact I was not British and I think (being a) woman was also a factor."

"After that," she says, "we were stigmatized. People remembered there was a problem but they don't know what happened".

Hadid's major breakthrough came in 2003, when she designed the Lois and Richard Rosenthal Center for Contemporary Art, in Cincinnati Ohio. Describing her as "a cultish figure who has built very little of note", one critic nevertheless pronounced this building "a virtuoso composition".

The Pritzker Prize followed, and attitudes toward her wild, avant-garde aesthetic softened.

Marissa Mayer: Six life lessons from Yahoo CEO

Today, Hadid is internationally feted. Her work is found in Bilbao, Riyadh, Rabat, Seoul, Miami and Manchester. She is a Dame Commander of the British Empire and a Commandeur de l'Ordre des Arts et des Lettres in France. She is an honorary member of the American Academy of Arts and Letters and an honorary fellow of Columbia University. She has honorary degrees from Yale and The Pratt Institute, and has been named one of Time magazine's 100 most influential people.

In part, she is also celebrated for breaking ground, as a woman in a male-dominated field. It's an accolade she is begrudgingly happy to accept.

"I used to not like being called a woman architect: I'm an architect, not just a woman architect," she says. "Guys used to tap me on the head and say "you are okay for a girl". But I see the incredible amount of need from other women for reassurance that it could be done, so I don't mind that at all."

Hadid was awarded this year's Jane Drew prize for her contribution to the status of women in architecture, something confirmed in a poll of her peers conducted by the British Architects' Journal. Some poll respondents argued that she could not be considered a role model for working mothers, but Hadid says although she has no children, this wasn't a conscious decision.

"I just didn't have them. People think I made a sacrifice, but it wasn't the case. I don't think people should do things because you know "I am turning this age, I must go have a husband". If you find somebody and it works out then have kids, it's very nice. But if you don't, you don't."

Stock Exchange CEO: 'Having it all' is pure nonsense

In the world of architecture, a classic juncture on the career path involves building a tower, something Hadid did not achieve until 2004, when she designed the offices for a Marseilles shipping firm.

Her take involved a peculiarly striking base. "We got this idea of the building having a skirt," she told Time, "maybe because I'm a woman, so I know how to wear one — who knows? — but also because it swirls at the bottom to accommodate public areas on the ground, the lobbies."

Despite having achieved so much, Hadid still believes her outsider status as a non-British woman in architecture, particularly in London, as a mixed blessing. "Being a woman, I don't have a stereotype. They let you get away with things they would not let someone else get away with," she says.

"On the other hand, because you are not a woman, not a European guy, there are certain territories that, no matter what you do, you cannot enter. I'm not part of the brotherhood. I will never be golfing with these guys or on a boat trip. I mean, it's not going to happen."

"In America, it's different. Relationships between men and women professionally are more normalized...but not so much (in Britain)."

"Contrary to popular view, I've never been patronized in the Middle East," she adds. "Men maybe treat women differently but they do not treat them with disrespect. They don't hate women. It's a very different kind of mentality."

She attributes much of her current success to two unlikely sources: simmering resentment over her failed Cardiff design, and to sleeplessness.

"After the whole Cardiff mess, everyone thought I would give up. There was no reason for me to carry on, but I had to," she says. "I made a very conscious decision in 1996. I thought, I am not going to let them get away with this, and I have to move on. It wasn't only me -- there were another 10, 15, 20 people in my office who knew there was no work. We were all desperate and they carried on as well."

Shared excitement over the work they were doing kept Hadid's team going, she says, and from the communal suffering of pulling all-nighters, genius emerged.

"When you are overworked and exhausted there was a sense of delirium. I remember doing four nights in a row with no sleep. Unless you are crazy, nobody would do that, but you are totally focused on the project. Nothing else matters, things could be falling around you -- and that's what induces great ideas. You are semi-isolated with a bunch of people and it's very exciting."

These days, she says, "we are slightly more relaxed", and she is now driven more by a simple desire to do good work.

"I really think that things can be done much better generally," she says. "I have lots of ideas and, of course, just like everything else, you have to edit them, but as an architect you just want to make better and better spaces."

@highlight

Iraqi-born Zaha Hadid is the first woman to win architecture's Pritzker Prize.

@highlight

Her Aquatic Centre is considered the Olympic's most important venue.

@highlight

As a woman and non-British, Hadid still feels an outsider, but this sometimes works in her favor, she says.

@highlight

She attributes her drive to past failures and the delirium of sleeplessness.