(CNN) -- Federal officials postponed poisoning a mile-long stretch of the Rio Grande's banks this week after residents complained that doing so posed health and environmental risks on both sides of the U.S.-Mexico border.

A Border Patrol agent moves through dense cane on the banks of the Rio Grande near Laredo, Texas, last year.

U.S. Customs and Border Protection said it wants to eradicate the invasive Carrizo cane infesting many portions of the Rio Grande's banks between Texas and Mexico. The lanky cane provides cover for immigrants crossing the border illegally and poses a danger to Border Patrol agents trying to stop them, said Chuck Prichard, spokesman for CBP's Laredo sector.

"Someone can be in the cane and be 3 feet away from them, and you cannot see them," Prichard said during a Wednesday phone interview. "[A Border Patrol agent] could literally be surrounded and have no idea."

The controversy over the test project comes as Secretary of State Hillary Clinton visits Mexico to discuss border security and other issues concerning U.S.-Mexico relations.

Applying herbicides on a 1.1-mile stretch of the U.S. side of the river was part of a test project, Prichard said, but the CBP decided to postpone the $2.1 million experiment to address community concerns.

Residents of two Hispanic communities near Laredo, Texas -- Barrio de Colores and Barrio El Cuatro -- filed a lawsuit late Tuesday asking a federal court to intervene. Prichard said Wednesday morning he was unaware of the lawsuit.

Among the complaints in the lawsuit, the communities allege the CBP failed to assess the environmental impact adequately, failed to consider reasonable alternatives and failed to notify the public adequately.

Though three herbicides were originally proposed, the U.S. Army Corps of Engineers settled on imazapyr for the test project, Prichard said. The U.S. Environmental Protection Agency said there is "reasonable certainty of no harm from aggregate exposure to imazapyr residues."

"Imazapyr technical is relatively nontoxic via the oral route of exposure, and only slightly toxic via the dermal and inhalation routes of exposure," the agency has said.

Jay Johnson-Castro Sr., a vocal opponent of the project and executive director of the Rio Grande International Study Center, said the studies on the herbicide are insufficient.

"I've lived long enough to know what the government says is safe isn't always safe," he said.

The 1.1-mile test stretch of the Rio Grande forms a sharp bend between Laredo and Nuevo Laredo, Mexico. The river serves as a water source for both.

Laredo Mayor Raul Salinas said he believes the federal officials have good intentions and that some misinformation has been disseminated regarding the proposal. He said he welcomes the delay so that the CBP can address community concerns.

"I'm going to make sure we protect our police officers and Border Patrol," said Salinas, a former FBI agent. "I just want to make sure it will have zero impact on humans, the water, our environment."

The CBP seeks to use three methods of Carrizo eradication along the stretch of the river: manually cutting the cane and topically applying herbicide to the stalks; using shovels, pickaxes, excavators and backhoes to dig the cane up by its roots; and using helicopters to spray the bank aerially.

The latter is the most troubling, said Johnson-Castro, because aerially spraying could affect more than just the Carrizo.

The CBP would evaluate the products of each method before proposing an eradication program for a 16-mile stretch of the river, Prichard said, adding that the CBP is considering other options as well.

One option could involve the import of tiny Arundo wasps, which feed on the cane and lay eggs in it, stunting the cane's growth. Carrizo, which can grow up to 30 feet high, is a Spanish transplant to Texas. The wasp is a Mediterranean native.

The U.S. Department of Agriculture is experimenting with the wasp on a different section of the Rio Grande and is sharing its data with the CBP, Prichard said. The USDA has concerns that Carrizo chokes off native plants and has an insatiable thirst, capable of annually sucking up 500 gallons of water per square yard.

Prichard said the CBP wants to re-evaluate its test proposal because it doesn't want to eradicate the cane at "the expense of the environment or anyone who lives in the area."

"I own a house in Laredo. I drink the water that comes out of the tap," Prichard said. "We're trying to do the right thing for everybody involved."

In addition to concerns from the U.S. side of the border, Prichard said the city of Nuevo Laredo also expressed reservations -- namely that the stretch hosting the experiment is near the intake point for Nuevo Laredo's water supply.

Johnson-Castro of the Rio Grande International Study Center said the concerns of Nuevo Laredo citizens are warranted because the effects of such widespread use of imazapyr are unclear.

Not only are humans at risk, he said, but there are about 1,000 species residing in the area slated for testing, and the nesting season for migrant birds is quickly approaching.

Opponents aren't against eradicating the Carrizo, Johnson-Castro said. They're not even opposed to using herbicides. They just want to make sure that herbicides are used responsibly and in a targeted manner and that the CBP considers all options for mitigating the cane.

For instance, he said, donkeys and goats enjoy eating the cane. And earlier this month, about 70 students from Texas A&M International University manually were able to clear about an acre of cane in fewer than three hours.

"Let's get down to reasonableness, logic and fairness here. It's an issue of morality on one side and of science on the other side," Johnson-Castro said. "We don't think citizens of either country should be Guinea pigs."

@highlight

Herbicide was to be sprayed on cane along 1.1-mile stretch of river

@highlight

Tall, thick Carrizo cane provides cover for illegal immigrants, Border Patrol says

@highlight

Hispanic communities near Laredo, Texas, file suit to stop spraying

@highlight

Residents want consideration of other methods to eliminate cane