(CNN) -- An oil pipeline that on September 9 began leaking crude oil just southwest of Chicago, Illinois, was back up and running Friday morning, owner Enbridge Energy Partners LP announced.

The line, 6A, runs from Superior, Wisconsin, to Griffith, Indiana, and transports 670,000 barrels per day, according to Enbridge.

The company this summer has had to close three pipelines to investigate and/or make repairs.

The first and largest was a rupture in line 6B that dumped more than 800,000 gallons into Michigan's Kalamazoo River. The company also shut down a pipeline this Monday after oil was detected near a construction site, but the company noted this incident did not appear to be a leak as the investigation stemmed from the discovery of less than a gallon of oil.

Spills spark spikes in gasoline prices

Large or small, pipeline incidents have been grabbing headlines, not to mention the eyes of politicians. And since there's about 200,000 miles of liquid pipeline and 300,000 of gas lines, it's an issue than can affect just about every part of the country.

The recent liquid pipeline failures in combination with the deadly gas pipeline explosion and fire that killed four people in San Bruno, California, helped lead to a Wednesday hearing of the U.S. House Committee on Transportation and Infrastructure, where politicians voiced concerns over the industry's regulatory standards.

More questions surround California gas line

"This is a very timely hearing, as we are unfortunately experiencing a high level of pipeline accidents that have caused significant death and destruction," said Rep. Corrine Brown, D-Florida, chair of the Subcommittee on Railroads, Pipelines, and Hazardous Materials.

"Our subcommittee ... has found significant problems with reporting and inspections," she said.

Enbridge has taken significant heat over the notion that it waited too long to report the incident.

"The spill likely occurred sometime the day before Enbridge reported it to the National Response Center," said Rep. Jim Oberstar, D-Minnesota, chair of the committee. He noted that in a hearing prior to the spill in Michigan, Enbridge's vice president of U.S. operations touted his company's ability to detect problems in the pipes.

Oberstar cited Adam's quote from the previous hearing: "Our response time from our control center can be almost instantaneous, and our large leaks are typically detected by our control center personnel."

The pipe ruptured 10 days after he made that statement.

"Enbridge knew about hundreds of defects in the line," Oberstar added, "and we know that PHMSA [the Pipeline and Hazardous Materials Safety Administration] was made aware of them and failed to do anything to address Enbridge's inaction. That is not a culture of safety."

Denise Green, who testified at the hearing, wept as she described how she and her two daughters had been exposed to benzene, a volatile carcinogen, after the spill.

"My 12-year-old asks me frequently, 'Am I going to get cancer?'" said Green during her testimony. "The only way I can answer that is 'I don't know. The only thing we can do is pray that everything will be OK.'"

Residents near spill urged to evacuate

In his prepared testimony, Enbridge President and CEO Patrick Daniel said he was "deeply concerned" by the Michigan incident and that "for Enbridge, no spill is acceptable."

The Detroit Free Press reported this week that the pipe that broke in Michigan had been marked for defects three times in the past five years but that, since those defects were declared to be minor, no repairs were required under current federal regulations.

So, would more stringent rules make things any better?

Perhaps, said leading industry analyst Richard Kuprewicz, but he said care should be taken not to enact rules simply as a means of punishment.

"We just want to be sure that those improvements are effective. We don't just want regulation for the sake of regulation," he said.

Overall Kuprewicz said he feels gas pipelines need the most overhaul, for a combination of reasons. Part of it, he said, is because gas can do so much damage when it ignites.

"The gas guys have got to really come to the table and start saying, 'We've got an issue here. We've got to have more rational regulation.'"

Nonetheless, the majority of the hearing this week centered on liquid pipelines, which, Kuprewicz said, can certainly use "incremental" changes.

He said he would see it as "overkill" to force companies to repair every problem.

"You can't eliminate all anomalies in a pipeline," he added. "All pipelines corrode. The question is, does the operator have that corrosion under control so the pipeline doesn't go to failure?"

Kuprewicz also added that while it may seem like the companies should be able to more quickly identify an issue, it's not always so cut and dry.

"I've been in the control room operating this stuff. It's hard to find major releases, even ruptures, by pressure loss. There's so much information coming into these control rooms, so it isn't as easy as the public thinks it is."

He then added that he is by no means defending Enbridge over its response time in the Michigan spill.

He concluded by saying the industry has taken a "quantum leap" forward over the years but "it needs to continually progress because obviously we're getting these ruptures and it's not good."

"Something is not right here."

The Subcommittee on Railroads, Pipelines, and Hazardous Materials is scheduled to hold a hearing on the Department of Transportation's inspection and enforcement of gas and hazardous liquid pipelines

-- CNN's Thom Patterson and CNNMoney's Aaron Smith contributed to this report

@highlight

Leaking Enbridge oil pipeline near Chicago back up and running, company says

@highlight

Congress holds hearings after recent incidents -- including 800k-gallon  Michigan oil spill

@highlight

Hearing witness: "My 12-year-old asks me frequently, 'am I going to get cancer?'"

@highlight

Enbridge president "deeply concerned" by the Michigan incident