It was 3 a.m. in Thailand. Presumably barely anyone was watching.

But the country's military chief chose that hour to appear on army-run Channel 5 television Tuesday to declare martial law across the country.

"This is not a coup," said Gen. Prayuth Chan-Ocha, hours before the nation's people woke to the new public order; with soldiers stationed at intersections and tanks on the streets.

The army says it has taken control to ensure law and order in a country split by deep political divisions, two weeks after the country's Constitutional Court removed caretaker Prime Minister Yingluck Shinawatra from government.

"The defendant has abused her position as prime minister," said the judge in the ruling. "Her prime ministership has ... ended."

Nine cabinet ministers were also removed from office, while Deputy PM and Commerce Minister Niwatthamrong Boonsongpaisan was appointed caretaker prime minister.

How has the caretaker prime minister reacted?

Niwatthamrong has not been removed from his post, although one of his aides, who declined to be named, told CNN the government had not been consulted before the military made its move.

"We have to watch and see if what declared by the Army Chief is well honored," he said, calling the events of Tuesday morning "a half coup d'etat."

Niwatthamrong later issued a statement on the imposition of martial law:

"With reference to the Royal Thai Army's declaration of the martial law to preserve order and bring back peacefulness to the country, the government wishes the same for national peace, and hopes that the martial law is imposed by way of peaceful means and equality with no violence and discrimination and under the legal state and the rule of law which is in accordance with the government's ongoing policy," he said.

"This action of the Royal Thai Army's must be under the principles of constitution and democracy with the King as head of state."

A long history of coups

The people of Thailand are all too familiar with coup d'etats. There have been at least 18 actual and attempted military takeovers since Thailand became a constitutional monarchy in 1932.

The last one was in 2006 when the military sent tanks onto the streets before ousting then Prime Minister Thaksin Shinawatra, the brother of Yingluck, who is now living in exile to avoid a corruption conviction he claims is politically motivated.

Thaksin's supporters, known as red shirts, have also rallied around Yingluck, slamming her ousting as a "judicial coup."  Thousands of protesters swarmed the streets following the ruling, seeking the removal of the caretaker government.

Their political rivals allege Yingluck is acting as a puppet leader for her brother and campaigned for her removal.

The anti-government movement includes "yellow shirts," predominantly urban, middle class members of the royalist establishment. Members of the "red shirts" are typically rural working class.

What does martial law look like in Thailand?

Within hours of declaring martial law, Gen. Prayuth announced he would be leading a new security task force, the Peace Keeping Command Center (PKCC). The task force's advisory committee also includes chiefs of the navy, air force and national police, he said.

Soldiers were dispatched to stand guard at television stations. Broadcasters, including 10 satellite TV stations, were ordered to shut down "to ensure that information will be distributed rightly and to prevent any distortions which could lead to misunderstandings and it could lead to wide spread conflicts."

Images posted on social media showed soldiers patrolling the streets of Bangkok. Paul Quaglia, director at PQA Associates told CNN they were positioned at intersections but so far there was no sign of unrest.

"Traffic is a real mess here at the moment. But there's no violence. I think what the military is trying to do with this 'martial law light,' if I can say that, is to convince protesters to go home. They're trying to dial down the tensions here as well as preempt several large rallies and strikes that were scheduled for later this week," he said.

Andrew Marshall, a journalist and author who focuses on Thailand, told CNN the military's decision to announce martial law at night indicated it was trying to do so "with minimal possible fuss."

What happens next?

Marshall said it would become clearer in the next couple of days what the army's intentions are; whether it's going to call an election or appoint a new government.

"If they appoint a government it's a coup by another name and you might see the start of violence from the red shirts," he said.

"Martial law means the police are sidelined and they are no longer responsible for security. And the police in Thailand are seen as heavily supportive of Thaksin and his allies, which is the red side of the battle. So when you've got a police force that's suddenly been sidelined that's another combustible element in this mix.

"So Thailand is kind of on a knife-edge," he said.

Did the military have no choice?

Gen. Prayuth's move to impose martial law didn't come as a surprise, wrote Saritdet Marukatat, digital editor for the Bangkok Post. The army chief warned last week the military could be forced to act to end violent protests.

"The country was moving towards a possible bloody clash between the two camps, leaving no choice for the army commander but to try to prevent it. As a general, he had only two choices: a military coup or martial law," Marukatat wrote.

"He picked the softer option and did as he had promised in last week's statement, that the army does not want a coup because it would meaning tearing down the 2007 constitution."

However, Sunai Phasuk from Human Rights Watch Thailand said the situation in the country had not yet justified the army's intervention.

"There is no concrete proof that the situation in Thailand is out of control to the extent that an enforcement of the martial law is essential. With the enforcement of martial law, the army is one step closer to taking over power completely from civilian administration."

"At the moment, military authorities have superior power over civil authority in keeping public order. There is no check and balance; there are no safeguards against rights violations; there are no remedies for any damage cause by the army. The fate of the nation is essentially in Gen. Prayuth's hands," he said.

Could the military broker peace in Thailand?

Thitinan Pongsudhirak, a political science professor, said the declaration of martial law in Thailand had broken the deadlock between warring parties, and the army was now in a position to mediate a possible resolution.

"We've been paralyzed in Thailand because on one side we have protesters bent on replacing the government, and on the other side we have a caretaker government refusing to resign."

"If the army can play a mediating role in search of a compromise that satisfies all sides then we can find a way out of this crisis. But if it does not, if the army plays a partisan role, then we can see a lot more crises in Thailand," he warned.

In a statement, the U.S. State Department encouraged all parties to "respect democratic principles" and also stressed the need for elections "to determine the will of the Thai people."

@highlight

Thai military says it's imposition of martial law is not a coup d'etat

@highlight

Declaration made on army at 3 a.m. local time to cause "minimum fuss"

@highlight

Army chief says the move was necessary to restore law and order

@highlight

Commentators watching and waiting for military's next move