Yaounde, Cameroon (CNN) -- For 21 years, Georges Bwelle watched his ill father slip in and out of consciousness, traveling to hospitals that weren't equipped to help him.

Jamef Bwelle was injured in a 1981 car accident near Yaounde, Cameroon's capital. He suffered only a broken arm at first, but an infection developed and spread to his brain, creating a hematoma that would affect him for the rest of his life.

"There were no neurosurgeons in Cameroon," Georges Bwelle said. "We would have taken him out of Cameroon if we had the money."

Instead, Bwelle spent years escorting his father to overcrowded clinics and hospitals, getting whatever treatment they could get.

"It's not easy," Bwelle said. "You can leave home at 5 a.m., running to the hospital to be the first, and you are not the first. There (are) a lot of patients. ... Some people can die because they are waiting."

The situation hasn't changed much since Bwelle's father passed away in 2002.

In Cameroon, there is only one doctor for every 5,000 people, according to the World Health Organization. For comparison's sake, the ratio in the United States is one doctor for every 413 people.

And even if they could see a physician, many Cameroonians couldn't afford it. Two out of five people in the country live below the poverty line, and nearly three-quarters of the country's health-care spending is private.

"The only problem they have is poverty," Bwelle said. "And with poverty, they ... cannot enjoy their life."

Seeing his father and so many of his countrymen suffer, Bwelle was determined to do something about it.

He became a doctor himself, working as a vascular surgeon in Yaounde's Central Hospital. And he started a nonprofit, ASCOVIME, that travels into rural areas on weekends to provide free medical care. Since 2008, he and his group of volunteers have helped nearly 32,000 people.

Almost every Friday, he and up to 30 people jam into vans, tie medical supplies to the roofs and travel across rough terrain to visit villages in need.

Their luck doesn't always hold out: They've had to push vehicles through rivers and mud more than once. But when they arrive, they receive a true heroes' welcome: a feast, singing and dancing, and the best accommodations the community can offer.

In these villages, free medical care is truly a cause for celebration, and Bwelle -- with his big smile and boundless energy -- is more than happy to join in the fun.

The next morning, the team begins meeting with hundreds of patients.

"We are receiving 500 people in each trip," Bwelle said. "They are coming from 60 kilometers (37 miles) around the village, and they're coming on foot."

Each of these weekend clinics provides a variety of medical care. Many people are treated for malaria, tuberculosis, malnutrition, diabetes, parasites and sexually transmitted diseases. Others might receive crutches, a pair of donated eyeglasses or free birth certificates -- documentation that's required for school but that many impoverished families simply can't afford.

In the evenings, the team will do simple surgeries with local anesthesia. Operations are usually done in a schoolhouse, town hall or home; after the procedure, patients get up and walk to the recovery area to make way for the next person.

With the group's generator lighting the operating room and sanitizing equipment, Bwelle and his volunteers work into the early hours of Sunday morning. It's a backbreaking pace, but village musicians usually help keep the team motivated.

"They are beating drums all the night to (keep us) awake and continue our work," Bwelle said.

On Sunday, the team heads back to the city, tired but proud of their work. The group -- a mix of Cameroonian doctors and foreign medical students -- has performed 700 free surgeries in the past year, and they know that their help can make a world of difference to those they help.

One man explained that the free hernia surgery he'd received will allow him to work again.

"This will change my future with my family," the man said.

In addition to holding these weekend clinics and working as a hospital surgeon, Bwelle also works nights at private medical clinics around Yaounde. It's this second job, he said, that funds about 60% of his nonprofit; the rest is covered by private donations.

"I'm not sure when he sleeps," said Katie O'Malley, a second-year medical student from Drexel University in Philadelphia and volunteer with Bwelle's group. "He is always either at the hospital or trying to make money for the organization so he can go on these campaigns."

For medical and nursing students such as O'Malley, who come from the United States and Europe to join Bwelle on his missions, it's a hands-on opportunity they'd never get at home.

"We've been able to scrub in on surgeries where we help blot blood away or hold tools for Dr. Bwelle," O'Malley said. "That's not something you'd ever get to do in America as a second-year medical student."

The student volunteers usually pay their own way to Cameroon, often arriving with donated medical supplies. But once they arrive in Yaounde, their board, transportation and instruction are covered by Bwelle.

"He's a hero, without a doubt," O'Malley said. "He gives his life to this organization, and his desire to help the Cameroon people is everlasting."

For Bwelle, the near-constant workload isn't a hardship. Helping others live happier lives, fulfilling a promise he made to his father, is something that brings him great joy.

"I am so happy when I am doing this work," Bwelle said. "And I think about my father. I hope he sees what I am doing.

"To make people laugh, to reduce the pain, that's why I'm doing this."

Want to get involved? Check out the ASCOVIME website and see how to help.

@highlight

Dr. Georges Bwelle is bringing free health care to rural villages in Cameroon

@highlight

Bwelle and his team spend almost every weekend seeing hundreds of patients

@highlight

There aren't many doctors in the west African country; just one for every 5,000 people