Roughly half the schedulers at multiple Veterans Affairs hospitals said they received instructions from supervisors to falsify data and hide the true time it took patients to be seen by a doctor after making an appointment, new details from an internal VA audit show.

Schedulers said supervisors directed them to manipulate information so their centers could meet performance goals, which would help top officials get bonuses, according to documents obtained by CNN.

The new information also provided to Congress this week includes updates from specific VA hospitals that were not included in an internal audit released last month by the embattled agency.

The ongoing saga involves multiple investigations into delayed care, potentially with deadly results, alarming management shortcomings and a culture that was said to have compromised the mission of providing prompt and effective medical care to millions of veterans, some of them returning soldiers from Iraq and Afghanistan.

New VA secretary confirmed

VA Secretary Eric Shinseki resigned over the scandal in May. His replacement, Robert McDonald, was confirmed by the Senate on Tuesday unanimously. The former corporate CEO and ex-Army officer has pledged to swiftly introduce reforms.

Under pressure from constituents back home and most members facing voters in November, Congress is poised to approve a $17 billion bipartisan proposal before the week is out.

It would allow the agency to hire more medical staff, lease new facilities, and give veterans the opportunity to seek care outside the VA system. It would also allow the VA secretary to more easily fire top officials.

Details of delayed care were first reported by CNN in an investigation of two VA hospitals in the Southeast. Since, CNN reporting has expanded to include more hospitals and details of delayed care and allegations that up to 40 deaths were tied to the problem.

Congress comes up with a deal on veterans

Greater range of problems

While the Phoenix VA medical center has received the most national scrutiny, the new information shows in greater depth a range of problems affecting numerous facilities nationwide.

VA hospitals in Montgomery, Alabama, Clarksburg, West Virginia, and White City, Oregon, were among the worst cited in the new information. About 50% of schedulers at those facilities reported being told by their superiors to falsify data.

Moreover, schedulers in Washington, Richmond, Gainesville, Florida, and San Juan, Puerto Rico, and elsewhere used "outside tracking logs" to hide long delays in care by not properly recording information in the scheduling system, the documents showed.

Numerous other VA medical centers may have improperly used "paper wait lists" or excel spreadsheets to hide delays, according to the new internal audit details.

Data from the audit released last month found that 13% of schedulers surveyed nationally said they were directed by hospital administrators to enter appointment dates that were different from those requested by a veteran.

But the newly released data showed 55 of the VA medical centers audited had more than 13% of schedulers reporting such direction, the documents showed.

Bad VA care may have killed more than 1,000 veterans, senator's report says

Coaching schedulers

Scheduling staff training has been controversial throughout recent investigations of VA management. The audit also showed that half of schedulers surveyed could not remember the date of their last training.

The findings also showed there were attempts to coach and prepare staff and schedulers in a number of cases before they were questioned by auditors.

House Veterans Affairs Committee Chairman Jeff Miller said any VA administrator who ordered employees to purposely manipulate patient wait times should be immediately fired.

"The environment in today's Veterans Health Administration is one in which some VA executives are so driven in their quest for performance bonuses, promotions and power that they are willing to lie, cheat and put the health of the veterans they were hired to serve at risk," Miller said.

Gingrich Opinion: We owe our veterans real change

VA takes action

The VA said in a statement on its website on Tuesday that it had proposed "a series of disciplinary" actions against six employees in Cheyenne, Wyoming, and Fort Collins, Colorado, as a result of the audit.

"Employees who have been found to have manipulated data, withheld accurate information from their supervisors, and affected the timeliness of care veterans receive do not reflect VA's values, and their actions will not be tolerated," said Acting Secretary Sloan Gibson.

Carolyn Lerner, head of the U.S. Office of Special Counsel, said, "We are encouraged by the VA's action in response to Office of Special Counsel's reports regarding whistleblower disclosures of manipulated wait-time data that masked scheduling problems at the VA's Cheyenne and Fort Collins facilities." The office is charged with representing whistleblowers across the country.

Who is Bob McDonald?

Veterans waiting longer for cancer care

'Corrosive culture,' weak leadership cripple VA, report says

@highlight

Schedulers said they received instructions from supervisors to falsify information

@highlight

They were also told to hide the true time it took patients to be seen by doctors

@highlight

The latest details build on an internal VA audit that was released previously

@highlight

Allegations of delayed care, mismanagement and poor culture have rocked the VA