(CNN) -- With his heroics at the U.S. Open in New York, Kei Nishikori has blazed a trail through history.

Defying injury, an all-night marathon and several of the world's best tennis players, he became the first Asian man to reach a Grand Slam singles final.

The 24-year-old dredged up a seismic shock to dispatch world No. 1 Novak Djokovic on Saturday and even though he lost to Marin Cilic in Monday's final, there's surely more to come from Nishikori.

"We have been waiting such a long time for a star like this so this is a very big moment," says Hitoshi Ko of Japan's Smash Tennis magazine.

If this suggests Japanese tennis history adds up to a barren wasteland, it does not tell the full story. While the post-1968 Open Era has produced consistent under-performance, the Land of the Rising Sun once enjoyed a golden age.

The boom was sparked by an expatriate elite that adopted the game, known as a sport for gentlemen, on their travels in the early 20th century, particularly in England.

The aristocrats went on to establish clubs and tournaments back home. Participation and standards climbed, and Japanese players became a serious force during the interwar years.

Among the finest of these, Zenzo Shimizu reached the Wimbledon "All comers' final" of 1920 -- a match that would decide who took on the defending champion for that year's title. In the prestigious grass-court tournament's original format, the titleholder had to play just once.

Shimizu lost in three close sets to American Bill Tilden, who would go on to beat Australian Gerald Patterson for the first of 10 grand slam titles in an illustrious career, but he had made his mark as a rising star.

The Japanese established a national association the same year, which allowed them to enter the 1921 Davis Cup with a formidable two-man team of Shimizu and Ichiya Kumagae, a banker by trade once described as the "best player in America" by the New York Times. He reached the semifinals of the 1918 U.S. Nationals and won silver medals in singles and doubles at the 1920 Olympics.

The pair reeled off Davis Cup triumphs over Philippines, Belgium, India and Australia before eventually succumbing to the U.S. in the final.

This remains Japan's best performance in the prestigious competition and was a source of great national pride. A Japan Times article praised the "tennis marvels ... doing as much to put Japan right before the world as all the diplomats put together."

The pair continued to enjoy success and were joined by fresh talent. Jiro Sato soared in a run of five grand slam semifinals in a little over two years.

He beat legends of the game Jack Crawford and Fred Perry and seemed set to claim a top title. But Sato's career ended tragically in 1934 when he leaped to his death from a ship after a Davis Cup defeat, leaving a note that expressed his shame.

World War II marked the end of his nation's ascendancy, ushering in a fallow period that would endure to the present day.

After Japan had recovered enough to contemplate sport, tennis remained popular with aristocrats -- including the royal family and Crown Prince Akihito -- but public interest slipped away toward baseball and football, and the talent production line ceased.

Through the professional era, male Japanese players barely troubled the top 100, with Jun Kamiwazumi's third-round performance at the 1973 U.S. Open among the highlights. It was not until the 1990s heyday of Shuzo Matsuoka that any respectability was restored.

That period also witnessed the rise of a women's star in Kimiko Date, who reached three grand slam semifinals and a high of fourth in the rankings before retiring. Since her comeback in 2008 she has added another WTA Tour title to her career haul, is the oldest player in the top 100 singles rankings and reached the women's doubles semis in New York just over three weeks away from her 44th birthday.

Matsuoka never passed a grand slam quarterfinal, but his contribution is being felt now. Nishikori calls him "the first" successful Japanese men's player, the only role model on his route to the top. Passing his hero's ranking of 46 was Nishikori's driving motivation until he attained it.

Now, having entered the top 10 in May and breaking new ground every season, he could be launching a new golden era. Sponsors, publicity and funding have poured into the game off the back of Nishikori's efforts. Public interest and attendances surged last year after he became the first home champion of the Japan Open since 1972 -- he won the title in October 2012 -- and peaked again this week due to his New York success.

Not that Nishikori gets to see much of that, since he lives in Florida.

Seven Japanese players are ranked in the men's top 200 -- a record in the Open era -- though Nishikori is the only one in the top 100.

However, journalist Ko is not yet convinced the structure is in place for Japan to become an elite tennis nation.

"Kei grew up practicing at the (Nick Bollettieri) academy in Florida," he said. "I think we still don't have enough players or quality coaches. Maybe more players should learn abroad."

Ko has no doubt that Nishikori's run in New York represents Japan's greatest moment in tennis and one of its greatest in any sport. The jubilation sweeping the country suggests he is right. At last, Soto and Shimizu have an heir to fulfil the nation's dreams.

@highlight

Kei Nishikori will play in his first grand slam inal at the U.S. Open on Monday

@highlight

He is the first Japanese male to reach Grand Slam final

@highlight

Nishikori is highest ranked Japanese man of Open Era, having broken top 10

@highlight

His exploits have created a surge of interest in tennis back home