Roseville, Michigan (CNN) -- Police found no "discernible remains" in their search Friday for long-missing labor strongman Jimmy Hoffa, police Chief James Berlin said.

Two soil samples taken from beneath a storage shed outside a suburban Detroit home will nevertheless go to a lab at Michigan State University for testing. Officials are expected to announce by Monday night if they've found evidence bearing out a tipster's claim that he saw what appeared to be a body being buried at the site the day after the former Teamsters chief disappeared in 1975.

Even if they do, Berlin said he doubts any remains would be those of Hoffa.

"It would be great if it was, because I would like to bring closure to his family and the tens of thousands of Teamsters that idolize this man, and just the southeast of Michigan," said Berlin, of the Roseville Police Department. "This is kind of like an open wound that won't go away. Every couple of years this happens, and all you guys come out here and we have to relive it."

Police broke through a concrete floor beneath a storage shed on the site, then drew two soil samples from the ground as deep as 6 feet down, Berlin said.

The results didn't turn up bones, body parts or other evidence, he said. He described the samples as merely "murky."

While police searched, reporters and curious onlookers milled about on the street outside the home, which reportedly once housed a gambling operation tied to Detroit's notorious organized crime community.

Police began their inquiry after a tipster came forward in August to say that he believed he'd witnessed a body being buried at the home. The tipster did not come forward sooner out of fear, Berlin said.

A search using ground-penetrating radar last month showed some sort of anomaly in the ground beneath the storage shed's concrete floor, according to police.

2010: Digging into the Hoffa legend?

The lab tests being conducted on the soil samples will be able to determine if human remains were buried at the site, but will not identify them, Berlin said. If human remains are discovered, investigators would have to return for a more complete excavation, he said.

Dan Moldea, author of "The Hoffa Wars," first spoke to the tipster in March, and sent him to police.

The tipster, a former gambler, once did business with a man tied to Anthony Giacalone, an organized crime figure who was supposed to meet Hoffa the day he disappeared, Moldea said.

Despite those links, Moldea said it seems unlikely that anyone would have been buried at the site, in full view of the neighborhood. And if a body had been buried there, little would remain, he said.

"I am very skeptical," Moldea said of the search.

Berlin is too, but he's not ruling anything out.

"The timeline doesn't really add up," he said. "But stranger things have happened, so it's possible."

Hoffa's presumed death has vexed investigators for almost four decades.

One of the most powerful union leaders at a time that unions wielded a great deal of sway over elections -- and were notoriously tied to organized crime -- Hoffa was forced out of the organized labor movement when he went to federal prison in 1967 for jury tampering and fraud.

President Richard Nixon pardoned him in 1971 on the condition that he not try to get back into the union movement before 1980.

Two weeks before Hoffa's disappearance, federal investigators discovered hundreds of millions of dollars had been stolen from the Teamsters' largest pension fund, Time magazine points out in its list of the top 10 most famous disappearances.

Hoffa, then 62, was last seen on July 30, 1975, at suburban Detroit restaurant. He was there ostensibly to meet with reputed Detroit Mafia street enforcer Giacalone and Anthony Provenzano, chief of a Teamsters local in New Jersey, who was later convicted in a murder case. Both men have since died.

Hoffa believed Giacalone had set up the meeting to help settle a feud between Hoffa and Provenzano, but Hoffa was the only one who showed up for the meeting, according to the FBI.

Giacalone and Provenzano later told the FBI that no meeting had been scheduled.

The FBI said at the time that the disappearance could have been linked to Hoffa's efforts to regain power in the Teamsters and to the mob's influence over the union's pension funds.

Police and the FBI have searched for Hoffa intermittently ever since.

In September 2001, the FBI found DNA that linked Hoffa to a car that agents suspected was used in his disappearance.

In 2004, authorities removed floorboards from a Detroit home to look for traces of blood, as former Teamsters official Frank Sheeran claimed in a biography that he had shot Hoffa. Sheeran had died in 2003.

Investigators ruled that blood found in the house was not Hoffa's. The FBI has a sample of his DNA from a hairbrush.

Two years later, the FBI razed a horse barn in Michigan following what it called "a fairly credible lead."

But the disappearance remains unsolved.

Urban lore long suggested that Hoffa was buried around the end zone at the former Giants Stadium in New Jersey.

As TruTV puts it, the mystery surrounding Hoffa is not simply a "whodunnit."

"The likely suspects are all known, and their motives are well documented. The question is: Where? What exactly did they do to Jimmy Hoffa, and where did they dispose of his body?"

But over the years, numerous theories have been floated. In 1987, Joe Franco -- a former Hoffa strong-arm -- and a New York Times reporter published "Hoffa's Man," which Fortune described as "the hair-raising inside story of Jimmy Hoffa."

"Rather than being kidnapped by rival union forces as law enforcement authorities have long speculated, Franco says Hoffa was abducted by two federal agents," Fortune reported. "He thinks they drove Hoffa to a nearby airport, took off in a small plane, and pushed him out over one of the Great Lakes. Franco says he did not tell federal investigators this bizarre, and unverifiable, story because they would not grant him immunity."

Hoffa's son, James P. Hoffa, is the current president of the Teamsters.

CNN's Chuck Johnston and Stephanie Gallman contributed to this report.

@highlight

NEW: Drilling doesn't turn up bones, body parts or other evidence, police chief says

@highlight

A tipster told police that a body was buried at a home about the time of Hoffa's disappearance

@highlight

Crews took soil samples and will test them for human remains; results are expected Monday

@highlight

Former Teamsters leader Hoffa disappeared in 1975