(CNN) -- Each spring, I monitor the list of commencement speakers at our nation's leading colleges and universities. Who is chosen, and who is not, tells us a lot about academia's perception of the most important voices in America.

Two of this year's most popular speakers were CNN's Fareed Zakaria, who spoke at both Harvard University and Duke University, and EPA Administrator Lisa Jackson, who spoke at both Tulane University and the University of Washington. Perhaps one of the most original choices, and the one who certainly stood out from the rest, was U.S. Navy SEAL Eric Greitens, who addressed the 2012 graduating class of Tufts University Sunday.

It's not often that elite universities honor military service members with commencement addresses. Gen. Dwight Eisenhower once spoke to a graduating class at an Ivy League university and remarked, "Your business is to put me out of business." So I applaud Tufts University for inviting Greitens.

He is not a household name, but he should be. The 38-year-old Rhodes scholar and humanitarian worker turned U.S. Navy SEAL served multiple tours overseas fighting terrorist cells and received several military awards. Today, he is the CEO of the Mission Continues, a nonprofit foundation he created to help wounded and disabled veterans find ways to serve their communities at home.

To the graduates of Tufts, Greitens issued a unique challenge, one rarely heard at commencements today: to sacrifice, to serve one's country and to live magnanimously. He called students to think above and beyond their own dreams, their own desires, and to be strong. Aristotle called this megalopsychia, greatness of soul, and considered it one of the greatest moral virtues.

" 'What kind of service can I provide? What kind of positive difference can I make in the lives of others?' If you work every day to live an answer to that question, then you will be stronger," Greitens declared.

After dodging bullets, withstanding IED explosions and going days without sleep, Greitens realized the strength he needed to excel as a SEAL was found outside his own physical abilities. In his weakest moments, Greitens was able to find his greatest strength in service.

"The more I thought about myself, the weaker I became. The more I recognized that I was serving a purpose larger than myself, the stronger I became," he told the students at Tufts. He served his country and defended the weak against the rapacity of the wicked.

Fifty years ago, Greitens' remarks would have been the norm. But through the years, the focus of education, particularly higher education, has shifted from selflessness to self-obsession. Many commencement speakers today tell students to "Dream big" and "Do what you love." It may be feel-good career advice, but it's incomplete life advice. Philosopher Martin Buber wrote, "All education 'worthy' of the name is education of character." Greitens gave the Tufts student an eloquent firsthand example.

Greitens said it this way: "The best definition I have ever heard of a vocation is that it's the place where your great joy meets the world's great need. ... We need all of you to find your vocation. To develop your joys, your passions, and to match them to the world's great needs."

Not all men are meant to be Navy SEALs, or even serve in the military, but all men can serve. Henry Wadsworth Longfellow recognized, "The life of man consists not in seeing visions and in dreaming dreams but in active charity and in willing service."

We ask our students, what do you want to do when you grow up? Instead, we should ask them, whom or Whom, and what ideals do you want to serve when you grow up? That is a worthy thing to consider at graduation. Good for Greitens; good for Tufts.

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

Former Navy SEAL Eric Greitens was commencement speaker at Tufts

@highlight

William Bennett says Greitens' message was unusual and important

@highlight

He says Greitens stressed service to others rather than self-seeking pursuits

@highlight

Bennett: The message was to sacrifice, to serve one's country and to live magnanimously