(WIRED) -- Professional sports teams are attempting at a furious rate to lure fans away from the comfort of their couches to live games. And sweet technological upgrades to their home venues become a bigger selling point every year.

Roughly a dozen Major League Baseball clubs followed that strategy by making tech-centric improvements to their ballparks in advance of the 2011 season, which kicks off Thursday. Notable upgrades include ballpark-wide Wi-Fi access (Chicago White Sox) and LED high-definition ribbon boards (Arizona Diamondbacks). Here's a deeper look at nine other teams that have made similar significant upgrades.

Houston Astros -- Minute Maid Park

The Astros join the Milwaukee Brewers and Minnesota Twins as the only MLB teams to feature a scoreboard with a 1080i display format. "Fans are watching games on high-definition [television], so when they come out to the ballpark we want things to be in high-definition, as well," Kirby Kander, the Astros' senior director of creative services, told Wired.com. Where once stood a 26-by-45-foot scoreboard in right field, there's now a 54-by-124-foot Daktronics behemoth that ranks as the fourth-largest scoreboard in the majors.

The 2.66-million pixel scoreboard was part of a $13 million project which included a 24-by-40-foot video board stationed in left field and 1,185 linear feet of ribbon boards spanning from one foul pole to the other. A state-of-the-art, two-level control room comprising 1,500 square feet was built at the suite level in left field to manage the new 'boards.

Apps, Gear and Beer: The Wired.com Guide to the Baseball Season

Boston Red Sox -- Fenway Park

A 10-year, $285 million plan to modify 99-year-old Fenway Park concluded this off-season with $40 million in construction upgrades, the most prominent of which are three new scoreboards beyond right-center field. ANC Sports Enterprises teamed with Mitsubishi Electric Diamond Vision Systems to install three video screens: a 38-by-100-foot scoreboard in right-center field that replaces a 23-by-30-foot structure installed in 1976 (but the famous John Hancock sign will still tower over the new 'board), a 17-by-100-foot video screen in center field, and a 16-by-30-foot video board in right field.

The primary scoreboard has the ability to display side graphics, as the old scoreboard did, or move to full-screen video to capture live action. The side 'boards will incorporate game info such as player stats, pitch speed and type, box scores, promotions, announcements and other types of messages

Philadelphia Phillies -- Citizens Bank Park

Phillies fans will get to watch live game action on a new 76-by-97-foot LED high-def scoreboard in left field. The old scoreboard, which was installed for Citizen Bank Park's 2004 debut, has been relocated to the Phils' spring training facility in Clearwater, Florida. The team partnered with Daktronics and Sony Electronics' System Solutions Group on the new 84,000-square-foot 'board, whose 2.9 million pixels dwarfs the former scoreboard's 459,000-pixel display.

Fans get to view one of the clearest scoreboards in the world. Its HD-15 display and 1,512 lines of resolution surpass that of the standard for 1080p HD video boards, and its LED technology allows it to show up to 144 quadrillion shades of color.

Citizens Bank Park's in-house video departments were also improved from standard to HD, including the video-coaching facility. Mark DiNardo, the Phillies' director of broadcasting and video services, told Wired.com the upgrade will most benefit the scouting and self-analysis performed by the team's coaches and players. "They voiced a concern to upgrade," DiNardo said, "and our management heard that concern."

Titanium Baseball Neckwear Big on Hype, Short on Science

Cincinnati Reds -- Great American Ball Park

The ability for fans to view information at high speed on their mobile devices headlines the pair of tech changes at the Reds' Great American Ball Park. The incorporation of a multi-tent cell-tower system with approximately 120 antennas will permit fans to access apps like MLB's latest At Bat rev on 3G or 4G networks through their iPhones, BlackBerries, iPads and Android devices. The app allows fans to view pitch-by-pitch tracking, real-time box scores and stats and searchable video highlights through a multitude of mobile service carriers, including ballpark sponsor AT&T. Reds IT director Brian Keys told Wired.com that roughly 1,500 to 3,000 fans demand high-speed mobile access at any given moment in the stadium, which seats more than 42,000 fans. "We're trying to get the fans more stats, videos, replays and information to their smart devices," Keys said.

Sixty luxury suites have also been outfitted with 46-inch Sony TVs and 25-inch Sony Vaio flat-panel PCs with Blu-ray functionality. Suite attendees can use the PCs to choose their preference of five camera angles on MLB.TV and view any league game, including typically blacked-out contests in Cincinnati, and reroute them to the high-def TVs.

Milwaukee Brewers -- Miller Park

The primary aspect of the Brewers' three-pronged tech upgrade for Miller Park is a 5,940-square foot scoreboard in center field. At 54 by 110 feet, the Daktronics 'board boasts true 1080i display containing more than 2.35 million pixels, compared to the 134,000 pixels produced by the dual 10-year-old scoreboards it replaces.

"The technology to support the [old scoreboards] was changing, and we were running out of spare parts for them," Brewers COO Rick Schlesinger told Wired.com. For example, the new scoreboard, unlike the ones it replaced, doesn't require air conditioning to cool it down. According to the Brewers, that will translate into a 50 percent to 65 percent reduction in energy consumption.

The Miller Park upgrades, which cost almost $11 million, also include a refashioned audio system that'll make it easier for the control room to manage the volume, bass and treble in different areas of the stadium.

Kinect Could Hold Key to Next-Gen Baseball Biomechanics

Seattle Mariners -- Safeco Field

A new LED scoreboard in right field and LED ribbon boards stretching from the the press box to the foul poles along the first- and third-base lines will enable the Mariners to present customized game and sponsor information to their patrons. All three Mitsubishi Electric Diamond Vision boards will have their video powered by ANC Sports' VisionSoft display. The system allows for a presentation of statistical and game information tailored strictly to Safeco Field. Sponsors can also customize their messages to appear on the boards on a game, series, homestand or season-long basis.

The 6-by-160-foot scoreboard above right field's Outfield Reserve seats will complement the ANC-installed out-of-town scoreboard in left field, implemented before last season. The 734 linear feet of ribbon boards permit the Mariners to show in-game information such as pitch count, type and speed; play-by-play from the prior three batters; animation and graphics; and messages from sponsors and the team's community relations department.

Minnesota Twins -- Target Field

Though Target Field only debuted last season, the team spent more than $5 million on improvements for the stadium's sophomore campaign. Leading the way is a Daktronics HD-15 LED scoreboard in right field, clocking in at 28 feet by 50 feet and providing 552 x 984 resolution. The new scoreboard mostly accommodates fans sitting in left field, who often complained of having to crank their heads to view live game video and statistical info on the scoreboard towering over them. This off-season, Twins owner Carl Pohlad made the move to address all the grumbling. "The Pohlad family said we'll just put up another [scoreboard], which is pretty cool," Twins VP of technology John Avenson told Wired.com.

A new 100-foot tall, LED-illuminated tower adjacent to the right field scoreboard will display situational graphic material and supplementary head-shot content, such as autographs, head-to-toe player pictures and player names and numbers. Also manufactured by Daktronics, each of the tower's four sides will incorporate more than 4,300 LED strips. An improved ballpark-wide Wi-Fi system with more than 200 access points will be operated by MLB Advanced Media, providing fans with information about the game, and ballpark, and even a concession-stand finder.

Tampa Bay Rays -- Tropicana Field

The Rays will play on a more durable and aesthetically pleasing surface at Tropicana Field, thanks to AstroTurf, the official synthetic turf of MLB. The company's GameDay Grass 3D60H model, installed during a three-week period this spring, contains a Horseshoe fiber which (literally) stands up to repeated use. The fiber's omega, or "C", dual-column design imparts mechanical memory to the fiber, so that it pops up even after repeated trampling by cleats and baseballs. Using 60 ounces of fiber per square yard ensures the surface's long-term durability.

The fiber's design also reflects light, which has a two-fold effect: It reduces surface temperatures by up to 18 percent and cuts down on the sheen produced by ballpark lights. The Rays' Andrew Heydt said the old artificial surface would produce a "glazing effect" when the dome's interior lights were turned on. That's no longer the case, as the improved look and performance of the Trop's turf almost mirrors the promise the future holds for Evan Longoria, David Price and the perennially upstart Rays.

Texas Rangers -- Rangers Ballpark in Arlington

New video boards in right and center field at Rangers Ballpark in Arlington use Daktronics' newest 15-millimeter LED technology. The 42-by-120-foot scoreboard above the Home Run Porch in right field and the 25-by-29-foot scoreboard in center field have the versatility to run as single displays or be separated into multiple windows to display various game info.

A newly installed IPTV system from Daktronics also allows all existing ribbon and field-level video boards and more than 800 Sony LCD monitors throughout the stadium to receive game information on up to 10 high-def channels. Real-time scores, statistics and even in-game menu pricing changes can be sent to any board or monitor on any IPTV channel. An upgraded control room and a revamped audio system round out the improvements made for last season's American League champs.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Fenway Park has rhree new scoreboards beyond right-center field for the 2011 season

@highlight

Great American Ball Park has a new cell-tower system to access apps like MLB's At Bat