(CNN) -- Comatose for seven years, Israel's iconic former Prime Minister Ariel Sharon is showing "significant brain activity."

The 84-year-old suffered a devastating stroke January 4, 2006, and a brain hemorrhage. He was presumed to be in a vegetative state. But on Monday, a team of surprised neuroscientists and doctors said Sharon's brain appeared to respond when they showed him pictures of his family and had him listen to his son's voice. Doctors also used tactile stimuli to measure Sharon's reaction.

Does this mean the man Israelis once dubbed the "Lion of God" could wake? Doctors urge caution.

From the archives: Sculpture of Ariel Sharon in coma to go on show in Israel

Sharon was considered one of Israel's finest military commanders of all time and was involved with nearly every major conflict between Israel and its Arab neighbors. From the '70s to the '90s, he encouraged the building of Israeli settlements in the West Bank and Gaza Strip. He was a top leader in the Likud Party for 15 years and prime minister from 2001 to 2006.

"The two great tragedies in modern Middle Eastern politics, which make you wonder if God wants Middle East peace or not, were (Yitzhak) Rabin's assassination and (Ariel) Sharon's stroke," President Bill Clinton remarked in 2011.

Sharon has missed seven years of rising and falling tensions in the Mideast, including election victories by Hamas in the West Bank. A revolutionary movement known as the Arab Spring took root in Tunisia in 2010 and spread to Egypt in 2011, toppling decades-old regimes and furthering democratic ideals in the Middle East and North Africa.

Sharon brain results not proof he'll wake up

How would Sharon react if he knew that a war in Syria, which is supported in part by Israel's enemy Iran, has been raging for nearly two years?

Doctors tested Sharon like this: They would show him pictures of random houses, which he would not be expected to know, and then a picture of his own house.

When the images of his own home were shown, areas of his brain "lit up" with activity.

Doctors then had Sharon's son speak into a device that turned the words into gibberish. Those sounds didn't register in Sharon's brain the same way as when his son actually spoke to him using real words.

"We know that he can process pictures -- pictures of faces," said Dr. Alon Friedman of Ben Gurion University. "And he can even differentiate between pictures of faces and pictures of houses, pictures of his family to other objects. He can differentiate between words that were spoken to him by his son, compared to a noise."

Sharon's brain activity was "encouraging" but "subtle," according to a release from Israel's Soroka University Medical Center, which conducted the tests last week.

They were administered by a team of U.S. and Israeli scientists.

Doctors are still trying to understand precisely what the results indicate. "But it doesn't mean he's going to sit up tomorrow and start speaking with his family," said CNN Senior Medical Correspondent Elizabeth Cohen. "It just means that things that are familiar to him are just registering in his brain in some way."

Ilan Shelef, head of medical imaging at Soroka University Medical Center said the test "doesn't mean there is a very high process of interpretation" in Sharon's brain. "We are not sure about it," Shelef said. "What we know for sure (is that) there was a significant metabolic response to these stimuli."

When two conscious people are speaking to each other, he explained, their brains are naturally reacting.

It's unclear why someone in Sharon's state would respond like that, he said.

He cautions against being overly optimistic.

"We know that he is in a very bad situation for many years," Shelef said.

It's impossible to know whether the test shows that Sharon's condition is improving because, experts say, the test was not performed earlier in Sharon's coma. So there's nothing with which to compare these most recent results.

It is "a comfort," he said, to Sharon's family that it seems they've reached him, but they should keep in mind that it's unclear what that means right now.

The news about Sharon has reminded the world of his legacy and that it still looms large in Israel.

As minister of defense in 1982, he orchestrated Israel's invasion of Lebanon, a military operation that killed hundreds of Lebanese civilians as Israeli forces sought to wipe out Palestine Liberation Organization fighters in the region.

His visit in September 2000 to a holy site in Jerusalem -- known to Muslims as the Noble Sanctuary and to Jews as the Temple Mount -- set off clashes between Palestinians and Israelis that developed into the Second Intifada, or uprising. Several months later, voters elected him as prime minister by the largest margin of victory in Israeli history.

In 2003, he held talks with Palestinian officials about the U.S.-led "road map to peace" that called for the eventual creation of a Palestinian state.

He broke from the right-wing party Likud in November 2005 to form a centrist political party, Kadima, which means "forward" in Hebrew.

Final Israeli election results show divided voters

@highlight

Doctors showed Ariel Sharon pictures of his family and used other stimuli

@highlight

Sharon's brain showed activity, but doctors warn against too much optimism

@highlight

Doctors still trying to figure out what results mean

@highlight

Sharon was a divisive figure in Israeli politics during his time as prime minister