(CNN) -- Presidents, prime ministers and assorted rulers, consider that you have been warned: A massive protest can start at any time, seemingly over any issue, and can grow to a size and intensity no one expected. Your country's image, your own prestige, could risk unraveling as you face the wrath of the people.

The newest iconic images from Turkey and from Brazil -- two countries that have promoted themselves as models to emulate -- include shocking scenes of police brutality, of government clampdown against peaceful protesters.

We have entered a new age of protests. While politics remain intensely local, individuals are more interconnected.

In Turkey, a small protest over plans to destroy one of Istanbul's last remaining parks exploded in size and intensity after a harsh police crackdown shocked the nation. The sight of police spraying giant clouds of tear gas and beating peaceful protesters touched a nerve, inflaming simmering concerns about an increasingly authoritarian regime.

In a matter of days, waves of demonstrations, the biggest in decades, spread across the country. Prime Minister Recep Tayip Erdogan, who has not lacked for self-confidence over his 10 years in power, came under sharp criticism over his response to the protests.

Has he grown arrogant with power? Having led his party to consecutive victories at the polls, sucking the air out of the powerful military, and overseeing Turkey's rise to new heights of prosperity and international assertiveness, all of a sudden he looked less awe-inspiring.

Erdogan may have faced down world leaders, but when he faced his own people he tarnished his image. He is now accused by many at home and abroad of lacking in democratic instincts.

The country has new national icons. The newest is the "Standing Man," a protester who steadfastly held his ground amid the chaos, standing for hours gazing at a picture of Mustafa Kemal Ataturk. There's the "woman in red," a modernly dressed woman -- symbolizing the secular, world of personal freedom many of the demonstrators seek to defend.

A similar image emerged from Brazil. A young woman who appears utterly harmless was sprayed in the face by a policeman dressed in full riot gear.

Just like Turkey, no one could have predicted the turn of events in Brazil. A country that has symbolized Latin America's dramatic rise from poverty, where left-leaning governments have combined social programs and market-friendly policies, nearly eradicating extreme poverty, suddenly erupted in a wave of popular fury. The government of President Dilma Rousseff faced the largest protests in 20 years. And it all started over an increase in bus fares.

The protests over bus fares touched on worries about a slowdown in the economy, about persistent inequality, corruption and costly projects in preparation for hosting the upcoming World Cup and Olympic Games.

Rousseff, a former revolutionary herself, has been taking a much more conciliatory approach than the pugnacious Erdogan. On Wednesday, government officials in San Paulo and Rio de Janeiro announced that they would revoke the hike in bus fares in their cities.

In this era of connectivity, a small complaint can explode. Politicians may outmaneuver rival parties during election campaigns. They can claim a majority at the polls -- as Erdogan doesn't tire of remarking he has -- and they can ply their trade on the global stage. But they now have to deal with their citizens' demands in a much more public way.

Popular claims have new strength in our age of social media. It's impossible to predict which issue will find flammable material hiding in shared resentments and ignite raging fires of discontent.

The water cannons and the tear gas may disperse the first wave of protesters, but a click of a smartphone can produce a photo or video that instantly catches people's attention, potentially attracting even larger protests. The crowd may grow if its concerns are ignored, especially if police repression is violent.

One of the challenges for democratic governments is to balance what may be legitimate requirements of public order with a reasonable hearing for reasonable demands.

That is the response that separates the tyrants from the democrats.

Public space occupations and demonstrations have occurred in nations without democracy. We saw how regimes responded to protests in places like Egypt and Syria. We have seen crackdowns in Russia last year and in Iran after the 2009 elections.

These new protests start over smaller issues -- not over tyranny or basic democratic rights.

Local issues have a new power to surge with little warning, electrifying the crowds, jolting people out of complacency. Governments can be caught by surprise by what seem like trivial matters -- a small rise in bus fare or saving trees in a park.

It wasn't very long ago when every meeting of the powerful nations, of the International Monetary Fund and the World Bank, brought out angry anti-globalization crowds. Now, the concerns are more immediate, more personal.

When President Obama arrived in Northern Ireland on Monday for the meeting of the G8 nations, there were more police officers than protesters. The nature of protest has changed.

Governments may have the power to spy on citizens, to read their e-mails and listen to their conversations. But they have largely lost their ability to control the information that is out there. Governments have lost the power to change the subject, to divert attention, to blame a multinational institution or another country for the woes at home. Stories now refuse to die. Protesters, if angered by the government's response, are more likely to persevere.

Heads of government cannot control their public image the way they once could. The demigods are dying. New technology may make it easier for governments to learn what the people are thinking, but it makes it harder for them to shape what the people believe.

It's a new age. They should consider themselves warned.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: A massive protest can start any time -- just look at Turkey and Brazil

@highlight

Ghitis: In this era of connectivity, a little complaint can ignite raging fire of discontent

@highlight

She says these recent protests started over smaller issues, not over tyranny

@highlight

Ghitis: Technology has made it harder for governments to shape what people believe in