Families torn apart for more than 60 years -- separated by the Korean War -- began to reunite at a mountain resort in North Korea Thursday.

Without any regular forms of communications between the two Koreas, the family members have gone decades without phone calls, letters or emails -- unable to know whether their loved ones are alive or dead.

The majority of the participants in South Korea are now in their 80s and 90s. The meetings are likely to be the last time the separated families will have contact with one another.

Thursday's reunion is the first since November 2010. The negotiations leading to the expected reunions have also been painstaking, reflecting the tensions between North and South Korean governments.

Past reunions have been emotional affairs with sobbing relatives clinging to each other and showing each other family photos. This time, the reunion wasn't conducted as freely as North Korean workers stood beside the tables and listened to every conversation. One North Korean resident thanked the Marshall, which is the country's leader, Kim Jong Un for his "blessing" and making the visit possible.

On Thursday, the first of a six-day event, an initial 200 North and South Koreans met.

Among them was Jang Chun, whose brother was 8 years old when he last saw him.

Jang, a North Korean conscript during the Korean War, was taken prisoner by UN forces in South Korea. He has since lived in the South and has been unable to see his family.

But four years ago, he received a letter and several photos of his family in North Korea through the Red Cross. The black-and-white photos showed his brother and a picture of his brother's wedding -- major life milestones Jang had been unable to attend.

"It was shocking," he said. "I didn't even know they were alive although I had hoped they were. After reading the letter, I started crying, I was filled with both joy and sorrow."

Jang clutched the only memorabilia he has of his long-lost family.

"Whenever I miss my family, I read this letter," Jang said.

Jang, silver-haired and aging, thought he finally got his chance when he learned he'd be part of a reunion group last September.

The reunion waitlist in Seoul has thousands of names and the lucky ones are selected through a computer-generated lottery.

But Pyongyang canceled the September event with only a few days notice, accusing Seoul of souring ties between the two countries.

"It was like being hit on the back of the head," Jang said about the shock of coming so close, only to have his hopes dashed. "I had to take medication and sedatives."

It may have felt like deja-vu for Jang earlier this month. After the Korean governments reached an agreement to hold reunions, less than a day later, North Korea said it may back out if South Korea holds its annual military drills with the United States.

South Korea has refused to cancel the annual drills. Pyongyang's attempts to link the reunions to politics were rejected by both Seoul and Washington who see it as a purely humanitarian issue.

Jang finally got his wish, trembling, while he held the hands of his younger brother, Jang Hwa Chun and younger sister Jang Keum Soon, who both live in North Korea.

Jang had brought his son, Jang Ki-woong, who met his North Korean uncle and aunt for the first time. They learned coincidentally that both Jang's son and his younger brother had become locomotive engineers.

Jang's younger sister burst into tears during the conversation.

"Every time a train passes by, I thought (about you)," Jang Keum Soon told her South Korean brother, sobbing. "I missed you, older brother."

Jang's son vowed to his North Korean aunt and uncle: "I will drive a train and come here. I am a locomotive engineer so I will drive the train and promise to come back. Until then, please stay healthy and live a long life."

Although delayed by snow, 82 South Korean participants accompanied by 58 other members arrived Thursday afternoon and were scheduled to have lunch before finally meeting their families.

The reunion ended for the day around 5 p.m.

Trust remains tenuous in the peninsula, separated by the world's most fortified border—the Demilitarized Zone and rocked by North Korea's nuclear test last year.

The rarity of inter-Korea reunions meant that many participants in ill health insisted on going to Mount Kumgang for the event, desperate for a chance to see their relatives. Nineteen of the South Korean participants were in wheelchairs.

Two South Korean participants departed for the reunion venue by ambulance, one of them was receiving an IV drip, refusing to miss the date.

South Korean participants of the reunion were seen bringing gifts for their family members. The most popular gifts for families in North Korea were Choco Pies, a chocolate-covered treat, along with medicine and medical supplies like pain killers, according to YTN, a CNN affiliate in South Korea.

They were greeted with a newly-made stone near their North Korean facilities that read: "Long Live General Kim Jong Un, The Sun of Military First Korea."

@highlight

North and South Korean families to reunite in six-day event at North Korean mountain resort

@highlight

Most of the South Korean participants are in their 80s and 90s

@highlight

Families have been separated since the Korean War

@highlight

An armistice between the warring sides was signed in 1953