(CNN) -- Every college applicant knows about the "hardship essay," which asks a teenager to write about overcoming an obstacle. Here's a suggested approach:

"Being a high school senior unnerved by college applications was tough enough until I tried to fill out the Common Application and the site froze, then refused to accept my writing and rejected my teachers' recommendations."

That's right. College application season turned into a nightmare this month as the Common App site crashed just as hundreds of thousands of early applicants got to work. This debacle could have been avoided. More important, it underscores the problems of using a single site to apply to a dozen or more colleges.

The Common App, which started in 1975, has been a great tool for students who want to apply efficiently to several colleges. But like everything on the high end of college admissions, it's gotten way out of hand.

And now the Great Crash of '13.

Guidance counselors talked of students almost in tears. Tech-savvy parents said they jumped in to struggle with clickable images that couldn't be clicked, uploads that wouldn't upload and paragraph breaks that were broken.

The nonprofit Common Application organization, which serves more than 500 colleges, blames the problems on a software upgrade (maybe created by the same folks who gave us the software for America's new health insurance?).

This excuse, in a business that revolves around unforgiving deadlines, is akin to high school kids stating that the dog ate their homework. Surely the Common App executives tested this software? Surely they knew they were dealing with stressed-out students who get nervous when the system simply slows down a bit?

The Common App gurus didn't do themselves any favors with their tweets in the past few days:

-- "Aware some users are experiencing problems with the PDF previews." (Duh, as many students would say.)

-- "We are aware of the login issues users are experiencing. Taking steps to address the problem as quickly as possible." (Thanks for this October 14 message, but some campuses had October 15 deadlines for early apps.)

-- "We've implemented changes to clarify processes surrounding print preview ..." (Please use Google Translator to put this in English.)

As someone who taught high school English, then spent years coaching applicants, I can't believe that sentence comes from one of the most prominent organizations in higher ed. I drill my students to write clearly. Implemented changes to clarify processes? I grade that "F."

Georgia Tech, the University of North Carolina at Chapel Hill and several other colleges with October 15 deadlines gave students an extra week, and those with November 1 deadlines are talking about extending them, too. Others are trying an alternative, the Universal College Application.

Applicants pass around tips: You can upload better from a Mac than a PC. You can insert paragraph breaks into an essay, but it takes several steps.

While researching "Acceptance," a book about a wonderful guidance counselor named Gwyeth Smith Jr. (or Smitty), I saw plenty of unnecessary angst in the college process. In too many communities, someone seems to have decided there are 40 or so acceptable campuses. Going anywhere else is seen as losing the education lottery.

Smitty, who now works as an independent consultant for applicants, says last week he had a student who was determined to apply to 23 schools. Smitty told the student that was too many, but the parents overruled him. Besides ensuring this student will have to write more than 30 or 40 essays, that means nearly $2,000 in application fees.

And for the past few weeks, even those students who did their work ahead of time have been encountering one problem after another.

"Kids are overwhelmingly stressed to begin with, and finding a Common App that won't accept their essays is devastating," Smitty told me in between his appointments with frustrated high school seniors on Long Island, New York.

He was surprised last month when he attended an admissions conference in Toronto and heard that the Common App folks conceded their program couldn't count words in essays that were uploaded. "An essay has to be a cut-and-paste to have a word count?" Smitty said. "I find that hard to believe in 2013."

There might be an upside to this storm. It's forcing parents and students to have a conversation about the pressure to get into the "right" college, and even the more basic pressure to get into college.

For several years, I've given speeches at high schools, churches and synagogues. (Here's a sign of the stress in the Northeast: I was even asked to speak at an elementary school. About college admissions.)

I urge 12th-graders to consider a gap year, combining working, going to community college and doing public service. Grow up, I say, and take a year to find your passions and to give back to the taxpayers who have done a lot for you. Parents in high-pressure communities usually dismiss that idea.

I'm secretly hoping for more delays with the Common App.

If kids can't apply to college now, they can't go next year. And that means they'll be forced to take a gap year, which likely will be the best preparation for college of which anyone can dream.

The opinions expressed in this commentary are solely those of David Marcus.

@highlight

Dave Marcus: The Common App site crashed, leaving students and parents frantic

@highlight

He says the group, which serves about 500 colleges, blames a software upgrade

@highlight

He says application process is out of hand; students too stressed about college

@highlight

Marcus: This is a good time for seniors to consider a "gap year" before college