(CNN) -- Tamesha Means' water broke early on December 1, 2010.

Just 18 weeks pregnant, she called a friend for a ride to Mercy Health Partners, the only hospital in Muskegon County, Michigan.

During that visit, and two others the following day, Means was in excruciating pain.

She was sent home twice -- given pain medication, told to return if her contractions became unbearable -- and was waiting to be discharged for a third time when she started to give birth.

The baby died less than three hours after it was delivered.

That's all according to a lawsuit filed on her behalf by the American Civil Liberties Union last week, which also said that Means' fetus had almost no chance of surviving and continuing the pregnancy posed serious risks to her health.

Health care providers at the hospital knew those facts to be true, the suit alleges, but failed to tell Means about the risks and the option of ending her pregnancy because they follow directives from the United States Conference of Catholic Bishops, which do not permit abortion.

"As a direct result of these religious Directives, Ms. Means suffered severe, unnecessary, and foreseeable physical and emotional pain and suffering," reads the lawsuit, which was filed in the U.S. District Court for the Eastern District of Michigan.

It accuses the USCCB and others of negligence "for promulgating and implementing directives that cause pregnant women who are suffering from a miscarriage to be denied appropriate medical care, including information about their condition and treatment options."

It seeks damages and a declaration that the defendants' actions were negligent.

'Abortion ... is never permitted'

At the center of the case is what is known as the Ethical and Religious Directives for Catholic Health Care Services -- a set of guidelines that advises Catholic health care providers and patients what to do.

Specifically, the lawsuit mentions directives No. 27 and No. 45.

Directive 27 states: "Free and informed consent requires that the person or the person's surrogate receive all reasonable information about the essential nature of the proposed treatment and its benefits; its risks, side-effects, consequences, and cost; and any reasonable and morally legitimate alternatives, including no treatment at all."

The termination of a pregnancy would not be considered "morally legitimate," as outlined in directive 45.

"Abortion (that is, the directly intended termination of pregnancy before viability or the directly intended destruction of a viable fetus) is never permitted," that directive reads.

Still, the USCCB is not standing by doctors, whispering in their ears, telling them what to do, said Robin Wilson, a law professor at the University of Illinois who focuses on bioethics, health law and religious liberty.

"You would have to show some sort of control, or agency, or direct duty in order to reach up to them. ... What I read didn't seem to make the linkages that I would have wanted to see," she said, adding that she thinks the case will be difficult for the ACLU to argue.

"Creative claims win sometimes. It's just conceptually hard to get my mind around it," Wilson said.

Don Clemmer, a spokesman for the United States Conference of Catholic Bishops, declined to comment on the Michigan case.

A call to Mercy Health Partners was not immediately returned Monday.

'It's about medical care'

Means' lawsuit raises issues similar to a recent case in Ireland.

There, a woman died after being denied an abortion last year.

Seventeen weeks pregnant, Savita Halappanavar, 31, went into a hospital complaining of back pain.

The doctors who examined her told her she was having a miscarriage but refused to do an abortion even though she was in extreme pain, her husband said.

Days later, Halappanavar died from a blood infection, leading lawmakers to call for an investigation into what role abortion laws may have played in her death.

"They knew they couldn't help the baby. Why did they not look at the bigger life?" her husband, Praveen Halappanavar, told the Irish Times.

According to the Michigan lawsuit, Means was diagnosed with preterm premature rupture of membranes. At the time she gave birth, she had acute chorioamnionitis and acute funisitis, infections she developed after her membranes ruptured.

When left untreated, both can result in infertility and cause other problems, the lawsuit states.

It says that Means should have been told about her treatment options, including the termination of her pregnancy.

She also should have been told about the risks associated with continuing the pregnancy and that even if she decided to go ahead with it, there was virtually no chance the fetus would survive, the lawsuit says.

Had Means known the full extent of her condition, she would have opted to end the pregnancy, according to the lawsuit.

The ACLU filed the suit to get relief for Means and to make sure that what happened to her won't happen to other women, said Louise Melling, national deputy legal director at the ACLU.

"We care about the right to practice religion," she said. "But this case isn't about religious freedom. It's about medical care."

@highlight

The case centers around directives and a woman named Tamesha Means

@highlight

Means was only 18 weeks pregnant when her water broke

@highlight

The lawsuit alleges she was not told about treatment options, health risks

@highlight

"It's just conceptually hard to get my mind around," the suit, says a law professor