Oklahoma City, Oklahoma (CNN) -- Oklahoma voters are considering an unusual question that will appear on their ballots this Tuesday: whether Islamic law can be used in considering cases in state court.

The question is the doing of State Rep. Rex Duncan. The Republican is the main author of State Question 755, also known as the "Save our State" constitutional amendment, one of 11 questions on the state ballot.

The question might seem a befuddling one for a ballot in the heartland, but it stems from a New Jersey legal case in which a Muslim woman went to a family court asking for a restraining order against her spouse claiming he had raped her repeatedly. The judge ruled against her, saying that her husband was abiding by his Muslim beliefs regarding spousal duties. The decision was later overruled by an appellate court, but the case sparked a firestorm.

Duncan secured support for the proposal on the state's Senate side from fellow Republican Anthony Sykes, who co-authored the measure.

"The fact that Sharia law was even considered anywhere in the United States is enough for me" to sign on, Sykes told CNN. "It should scare anyone that any judge in America would consider using that as precedent."

Sykes said his concern was compounded by Supreme Court Justice Elena Kagan's comments during her confirmation hearings in June that she would be willing to consider international law when considering cases before the court.

Saleem Quraishi, president of the American Muslim Association of Oklahoma City who runs the Islamic Center at the Grand Mosque of Oklahoma City, said there are more than 5,000 Muslims in the city. While there are no exact numbers for the Muslim population in the state, it is not among the larger communities, said Ibrahim Hooper of the Council on American-Islamic Relations

"It's just fear mongering; it's nothing," Quraishi told CNN. "What's Sharia law have to do with Oklahoma?"

Some 1,200 Muslims from India, Bangladesh, the Middle East, Africa and elsewhere participate in services at the Islamic Center of Oklahoma City, according to Quraishi The facility, founded by Oklahoma City cardiologist M.A. Shakir, has been open for about two years.

Another Islamic center is just two miles away.

Quraishi insists that Islam does not allow for men to mistreat women, and that the New Jersey case involved a "crazy, loony man, unfortunately a Muslim."

"That is not Islam," he said.

"Oklahoma, you know, is a very Republican state," Quraishi said. He accused some lawmakers with attempting to instill fear in the heads of constituents in order to drum up votes. "But Oklahomans are not like that. I know most of the Oklahomans. They're very nice people."

As written on the ballot, the measure states it would amend a state constitution section dealing with the state courts, making them "rely on federal and state law when deciding cases, forbidding them "from considering or using international law" and "from considering or using Sharia Law."

The ballot then briefly describes international law, which "deals with the conduct of international organizations and independent nations, such as countries, states and tribes," and Sharia, which is "based on two principal sources, the Koran and the teaching of Mohammed."

"Shall the proposal be approved?" the ballot reads, instructing voters to respond 'yes' if they're for the proposal and 'no' if they're against it.

Former U.S. Speaker of the House Newt Gingrich touched on the issue during a speech to the fifth annual Values Voter Summit in Washington in September.

"I am totally opposed to any effort to impose Sharia on the United States, and we should have a federal law that says under no circumstance, in any jurisdiction in the United States, will Sharia be used in any court to apply to any judgment made about American law," Gingrich said.

Oklahoma's proposed constitutional amendment coincides with heated discussion regarding a 13-story Islamic Center planned for two blocks from the World Trade Center site in New York City.

The state had its own encounter with terrorism in 1995 when the Alfred P. Murrah Federal Building was struck by a bomb. Timothy McVeigh was convicted for the attack, which killed 168 people, including 19 children. McVeigh was not a Muslim.

The activist group Act for America, a self-described issues advocacy organization, recently launched a $45,000 grass-roots campaign in Oklahoma to urge voters to support State Question 755. The group sponsored a one-minute radio ad airing across the state that warns against Sharia.

In the ad, a voice says, "A husband was brutally beating and raping his wife several times a day. Desperate to save her life, this Muslim woman sought a restraining order against him. But the judge ruled against her, saying her husband had not committed a crime."

The commercial then said this case happened not in Saudi Arabia or Iran, but in New Jersey.

"This is just one chilling example of how Islamic Sharia law has begun to penetrate America," the ad continued. "Help us stop Sharia law from coming to Oklahoma."

The group is also sponsoring automated phone calls to Oklahoma voters from former CIA director and Oklahoma native James Woolsey.

"We must realize there is a major campaign in Europe to impose Sharia law and Sharia is beginning to be cited in a few U.S courts. It is completely incompatible with our Constitution," says Woolsey, who also says that he is not advocating interference with Muslims practicing their religion.

Despite the publicity, many Oklahomans are unfamiliar with the proposed amendment, which is largely overshadowed by another ballot question proposing that the state annually fund public education to a minimum of the per-student average of neighboring states. Another proposal, Question 751, would make English the official language of Oklahoma.

Those voters who are familiar with the Sharia initiative are largely inclined to vote for it, but few who spoke with CNN were very excited about it.

Diana Anderson, a legal assistant, said she supports the measure.

"I don't know that it would make much difference, but if there is something that comes up that has to do with Islamic law, or treating women that way, I don't want them to be treated badly and I don't want us to have any problem with the way they treat them in court either," Anderson said.

Lawyer Bill Price said he would probably vote for the proposal, but he doesn't feel strongly about it one way or the other.

"I don't think there's much of a chance of Sharia law becoming any kind of law in Oklahoma," said Price. "There are much more important issues."

Sykes admits the notion of Sharia taking precedence in Oklahoma's courts is not looming on voters' minds.

"It's not a problem and we want to keep it that way," he said. "And we hope this state question will have that effect, to make it crystal clear that that's not to be considered in Oklahoma, nor is international law."

@highlight

Ballot proposal would ban Sharia from being considered in Oklahoma courts

@highlight

A New Jersey judge who took Muslim beliefs into account sparked the proposal

@highlight

"It's just fear mongering," a Muslim leader says