WASHINGTON (CNN) -- Iraq's smaller religious groups have been facing "ongoing severe abuses," and the situation requires a response from the United States, a religious freedom watchdog said Tuesday.

In late November, members of a Christian Iraqi family sit in a home in Lebanon after fleeing violence in Mosul.

The U.S. Commission on International Religious Freedom issued a report citing "threats and intimidation" against Chaldo-Assyrians and other Christians, Sabean-Mandaeans and Yazidis.

The commission wants the U.S. State Department to designate Iraq as a "country of particular concern" -- a status that would allow policy responses, including public condemnations, the denial of state visits, and even sanctions. Spokeswoman Judith Ingram said such a designation would draw attention to the abuses and "encourage a robust policy response."

There has been "reconciliation" between Iraq's dominant Shiite and Sunni religious groups, but tensions continue to reverberate and that's a concern, the commission said. But the smaller groups don't have "militia or tribal structures to protect them" and they "do not receive adequate official protection."

"Iraq's non-Muslim religious minorities -- particularly Christians, Mandaeans and Yazidis -- have suffered religiously-based attacks and other abuses, and have fled the country, at rates far disproportionate to their numbers, seriously threatening these communities' continued existence in Iraq," the report said.

"Lacking militias, and in the case of the Mandaeans unable to defend themselves for religious reasons, they are easy prey for extremists and criminals, and they do not receive adequate protection from the authorities. As in earlier years, they also are caught in the middle of a Kurdish-Arab struggle for control of disputed northern areas where the minorities are concentrated and have been targeted because of this."

Examples include Christian protest over provincial election legislation and anti-Christian violence in Mosul this autumn and election intimidation of non-Muslims in Nineveh province in 2005. The Iraqi Constitution also "gives Islam a preferred status, providing a potential justification for abuses and discrimination against non-Muslims."

The commission is recommending that the incoming Obama administration ensure "safe and fair provincial elections" and "security and safety for all Iraqis." It calls for making prevention of religious abuse a "high priority" and urging the Kurdish region to support "minority rights." It also urges addressing the displaced persons' and refugee problem.

CNN's Joe Sterling contributed to this report.

@highlight

Religious freedom watchdog group urges protection of Iraq's minority religions

@highlight

Situation severe enough to merit response from United States, group says

@highlight

Smaller groups don't have militias or tribal structures to protect them

@highlight

Incoming U.S. administration urged to ensure "safety for all Iraqis"