(CNN) -- What will the internet of the future look like? And what purpose will it be used for?

From augmented reality, which anticipates the information you'll want just by looking at an object, to smart services that use artificial intelligence to help us manage our workloads, the look, feel and utility of the internet of 2040 is a wide open field.

Already advances in virtual reality technology - Facebook notably bought the virtual reality start-up Oculus VR for $2bn this year - are beginning to change the way we deal with everything from medical science, to military training, to learning difficulties.

To what extent, however, we'll have control over our own data is one of the future's great unanswered questions.

For many the future of the internet is already here; and it looks a lot like it did in 1990s.

Called the Darknet, this anonymised section of the net allows everyone from copyright pirates, to drug dealers, to dissidents to communicate and do business without fear of leaving their digital fingerprints.

Special browser

Jamie Bartlett, whose book "The Dark Net" investigates the digital underworld, told CNN that this opaque and subversive world is inaccessible through normal browsers, and requires special software.

"A special browser called Tor allows a user to browse the internet without their IP address being given away," Bartlett said. "It uses a clever encryption system that means no one can see what computer a user is on."

This same encryption system also affords anonymity to the websites that inhabit this corner of the web, meaning that governments and law enforcers have no idea where the site is being hosted.

That doesn't mean that the individuals running these operations can forever remain hidden, as the capture of the creator of "Silk Road", a famous illegal online marketplace, by the FBI in 2013 demonstrates.

Still, the tools to make life difficult for law enforcement seem to be there: "Anyone can set up these websites which are almost impossible to shut down and censor," he said. "As a result it's a bit of a Wild West -- more or less anything goes.

"You've got illegal pornography there, these drugs markets there, assassination markets and hit men for hire. All sorts of terrible stuff but also all sorts of good stuff too.

"Democratic revolutionaries, whistle blowers, human rights activists who are also concerned about giving away their location also want somewhere where they can post stuff illegally and anonymously."

U.S. military

Bartlett said the browser was initially developed by the U.S. military as a way of traversing the internet secretly, but since then had become an open source project. He suggests the military released the encrypted browser as a way of providing cover for their operations.

Because the Tor browser uses a non-standard protocol, people observing network traffic can identify it easily even if they can't see what the user is looking at.

"They realised that this is not a good idea if the only people using it are the US military -- it's going to be obvious who they are. For that reason, they turned it into an open source project."

Today, the Darknet is moving from fringe to mainstream, attracting anyone who wants anonymity -- be they hired killers or humble bloggers.

Back to the future

For Bartlett, the Darknet is a return to the labrynthine recesses of the first days of the worldwide web. He said the future of the net is likely to be an increased proliferation of these non-standard protocols that provide ever deeper levels of anonymity.

"It really feels like the early days of the internet ... (everything) is hosted on these rudimentary networks. It's like the internet of the early 90s when things weren't indexed the way they are now.

"Everything is hyperlinked together and Google can find everything, but back in the day the whole internet was dark -- you didn't know what you were doing or where you were going.

"You even used to write down web addresses on pieces of paper and pass them to each other."

Art project

Just what can be found on the Darknet is often the subject of wild conjecture, but a recent project launched by the !Mediengruppe Bitnik art collective -- called "The Darknet -- From Memes to Onionland" - shows exactly what is on offer on the Internet's underbelly.

Arming an automated internet bot with US$100 in bitcoins (the crypto-currency accepted as legal tender on many illicit marketplaces) the "Random Darknet Shopper" trawls its murky corners and every week buys one item at random.

So far, the bot has purchased a "stash can" of Sprite that doubles as a hiding place for either drugs or money, a platinum Visa card for $35, 10 Ecstasy Pills from Germany for US$48, 10 packets of Chesterfield cigarettes from Moldova, and many other items such as jeans, "designer" bags, and books.

One of the most intriguing pieces for the exhibitors at the Kunst Halle St. Gallen gallery in St. Gallen, Switzerland -- where all the parcels arrive -- has been a fireman's set of skeleton keys from the United Kingdom.

"Our first question was what do you do with this? What does it open?" Carmen Weisskopf, co-founder of the art collective, told CNN. On the Darknet, the keys are advertised as useful for unlocking toolboxes or "gaining access to communal gates and storage areas."

'Thrilling and scary'

She said receiving the parcels at the gallery was at once "thrilling and scary."

"The motivation for the artwork really came in the light of the Snowden revelations - for internet artists it meant we had to re-evaluate the networks we work in. We became really interested in looking at these anonymous and encrypted networks from an artistic point of view."

She said the starting point for them had been how to build trust in an anonymous network.

The project has already dented the levels of trust at the art collective who early on in the project called in the services of a lawyer to shore up their legal position should the bot turn up anything that puts them outside the law. Fortunately, Weisskopf said, firearm sales are limited to clients within the United States.

"That's why we got the idea of going into marketplaces because trust is something you need to build in markets."

The artists have already gained notoriety by sending a parcel to fugitive whistleblower Julian Assange. The parcel was equipped with a cam that recorded its journey through the postal service to the Ecuadorian Embassy in London where Assange is currently holed up.

Read more from Tomorrow Transformed:

The first ever 3D-printer President

The hottest apps in tech right now

China's impact on the future of e-commerce

@highlight

The Darknet is an anonymised section of the net where users can operate without leaving their digital fingerprints

@highlight

The Darknet attracts the internet's fringe dwellers, from criminal syndicates to human rights activists and dissidents

@highlight

An art group has armed an internet bot to spend $100 in bitcoins a week on random articles

@highlight

So far the bot as bought everything from cigarettes to illicit drugs