(CNN) -- Just as the politics of oil shaped the 20th century industrial economy, so the politics of data will shape the 21st century digital economy.

At this week's Digital Life Design (DLD), a prestigious technology conference held annually in Munich, the fault lines of the political debate about data were exposed by the event's two keynote speakers: The European Commission's vice president for justice, Viviane Reding, and Facebook's chief operating officer, Sheryl Sandberg.

Reding and Sandberg were in agreement about one thing: personal data is the new oil, the vital fuel of our digital economy.

But that's about all they agreed on at DLD. In every other respect, their priorities and agendas represent the bookends of an increasingly fractious debate that is pitting European politicians like Reding against American social media networks such as Sandberg's Facebook.

Reding's focus is on the consumer's control of their own data. "Personal data is the currency of today's digital market. And like any currency, it needs stability and trust," Reding argued in the opening keynote of the conference.

That "stability" and "trust", she believes, can only be won by legislating in favor of consumers' ability to protect their personal data. The great threat to individual liberty in the digital age, Reding argued at DLD, comes from companies that use our data to enrich themselves -- buying and selling our most intimate details for their own corporate benefit.

Individual privacy in today's networked age, she argued, can only be protected by tighter legislation on what companies can do with our data and by more aggressive data-protection officers and agencies. To this end, Reding is introducing legislation which will give consumers the right to be forgotten on online social networks like Facebook and Twitter .

"The journey has only just begun", Sandberg told the DLD audience in the final speech of the event. But this is a journey-- of a data revolution driven by powerful social networks like Facebook -- that Sandberg, in contrast with Reding, relishes. What we do online is increasingly who we are, she said. "We are our real identities online."

Rather than wanting to be forgotten, Sandberg believes that we all want to be remembered. All this personal data empowers us, Facebook's second most powerful executive insisted. It represents a shift to what she called "authentic identity," from the wisdom of the crowd to "wisdom of our friends."

Above all, she said, it turns all of us from being passive receivers of other people's information into active broadcasters of our own lives.

The digital data revolution is "a really big deal," Sandberg insisted at DLD. It represents a profound shift in the balance of power between institutions and individuals. The sharing of information reshapes our lives; it brings us together and empowers us.

And it makes us richer too, she argued, suggesting that Facebook alone had created 230,000 jobs and is even committed to giving 50,000 European small businesses â‚¬100 euros ($130) apiece to develop their social identities.

Reding and Sandberg's presentations represented the first and last speeches of the three day event. But their speeches were separated by more than just 72 hours. There's a gulf, perhaps even an inseparable chasm, between the two women's assumptions about both the value and role of personal data in our increasingly digital society.

I'm not sure if Sandberg is correct to argue that the digital journey of the 21st century is only just beginning. But I am pretty certain that this debate about the politics of data will run and run in a world in which personal data is increasingly the oil powering our digitally connected economy.

Internet: An engine of progress or hate?

There was much talk at DLD about the internet representing a historic shift of power -- from the nation-state to the 21st century empowered individual. From Alec Ross, U.S. Secretary of State Hillary Clinton's special Advisor on innovation, to Katie Stanton, Twitter's head of global innovation, and to Wikipedia co-founder Jimmy Wales, the DLD core message was that the internet represented a vehicle of democratic progress and global toleration.

The DLD message of openness and toleration was also reflected in the event itself. Hosted by the Munich-based publishing mogul Hubert Burda and the legendary Israeli networker Yossi Vardi, DLD brought together peoples from all over the world and included speakers from Turkey, Libya, Japan, and Russia as well as from Europe and the United States.

The speakers' dinner was even held in the Hubert Burda Hall of Munich's Jewish Community Center, a building distinguished by both its spacious architecture and its wonderful acoustics.

So it was particularly ironic that the German parliament released a report earlier this week showing that anti-Semitism remained "deeply rooted" in German society and that the Internet is playing a central role in spreading the unspeakable lie of Holocaust denial.

Blaming the internet for anti-Semitism is, of course, like blaming printing press inventor Johannes Gutenberg for Adolf Hitler's Mein Kampf. And yet it's hard to avoid concluding that the Internet isn't quite the engine of progress that Sandberg, Ross or Wales believe it is. Nor is it the den of pure iniquity that critics like myself have sometimes argued.

Turn on, log on, drop out

Neither Mark Zuckerberg nor fellow Facebook founder Sean Parker were at DLD, so it was left to Tumblr's CEO David Karp to wow of this year's conference with his youthful exuberance. His speech, with its acknowledgment that Tumblr was "an accidental social network" whose remarkable success has been built on what he calls the network's "curators," was one of the most admired of the event.

I had dinner with Karp and found him to be a disarmingly impressive young man. A New York City high school dropout who never attended college, lived for a while in Japan, and started his first company in his teens, Karp has that entrepreneurial quality of being both refreshingly humble and yet uncannily poised. With Twitter creator Jack Dorsey, he is a good bet to inherit Zuckerberg's mantle of the world's most charismatic young start-up entrepreneur.

Karp also joins that pantheon of start-up entrepreneurs -- from Steve Jobs and Bill Gates to Zuckerberg -- who have dropped out of school to pursue their entrepreneurial dreams. This is no coincidence. Traditional education is failing to stimulate remarkably innovative young men like Karp. Perhaps PayPal co-founder Peter Thiel is right. We really should be paying unusually talented kids like Karp to drop out of college.

â€¢ Follow @ajkeen on Twitter

The opinions expressed in this commentary are solely those of Andrew Keen

@highlight

Digital conference in Germany pits Facebook against European regulators over data use

@highlight

Commentator Andrew Keen says argument highlights data's role as oil of digital age

@highlight

Keen also questions notion that internet is an engine of progress