(CNN) -- Sen. Kay Hagan should be toast by now.

She's a Democrat in Republican-leaning North Carolina, voted for Obamacare and is under fire for skipping a meeting of the Senate Armed Services Committee to attend a campaign fundraiser -- a no no in a state with a large military presence. Her Republican opponent, Thom Tillis, is also trying to tie her to the Obama administration's uneven Ebola response.

Yet Hagan is surprisingly strong going into next month's election, slightly ahead in most polls at a time when other southern Senate Democrats are in serious danger of losing their seats. Her durability is cheering Democrats in an otherwise miserable year and giving the party a playbook for how to make North Carolina competitive during the 2016 presidential election.

"North Carolina is a political fulcrum on which the nation's politics balances," said Josh Stein, a Democratic state senator.

Potential 2016 contenders are paying close attention to this year's Senate race. Hillary Clinton will join Hagan at a Charlotte rally on Saturday. Sen. Rand Paul, a Kentucky Republican, has campaigned in the state for Tillis

To win, Hagan will have to solidify the coalition from 2008 that helped Barack Obama spring a surprise and become the first Democrat to win North Carolina in a presidential election since Jimmy Carter.

The president won the state by turning out record numbers of African Americans along with young, well educated voters moving to Charlotte and the high-tech "Research Triangle" of Raleigh, Durham and Chapel Hill.

But that base thinned in 2012, returning the state to Republicans.

"It may be that North Carolina becomes a bona fide swing state," said Andrew Taylor, a political scientist at North Carolina State University.

Hagan is hoping to rev up the base by lambasting Tillis, who is currently the state House speaker, over his unpopular legislature's policies on education and women's issues. She can't afford for any Democrats to stay home, as often happens in midterm elections.

OPINION: 4 ways Democrats have already won the midterms

African American turnout -- which could diminish without Obama on the ballot -- will again be crucial and Democrats are furious about new voter registration laws which they say discriminate against their core supporters.

Winning the North Carolina battleground won't be easy â€” or cheap. The Senate race is attracting a record amount of outside money -- $55.7 million, according to the Center for Responsive Politics. A Center for Public Integrity analysis of data collected by Kantar Media/CMAG found North Carolinians have been deluged by nearly 80,000 television ads in a preview of what could be an even costlier presidential campaign in two years time.

The intensity will only increase in 2016 if each party thinks the state is up for grabs.

For Republicans, maintaining their grip on North Carolina is vital. They would have a hard time finding a path to the White House without it.

"This notion that it used to be a deep red state that is now going Democratic ... is just not an accurate picture of reality," said John Hood, president of the open market John Locke Foundation.

"North Carolina is likely to be highly competitive, but I don't see it turning blue," he said, noting that the state has in the past sent both staunch conservatives like Jesse Helms and liberals like John Edwards to the Senate.

Republicans see a 2014 victory in North Carolina as a crucial bulwark against Democratic encroachment on the coastal south in 2016. A loss now would inevitably spark tough questions about the party's viability in national elections.

Tillis campaign sources say they learned the lesson of Obama's mighty turnout machine in 2008 and have spent a year building a field operation.

They believe the infrastructure left behind by Obama has frayed and see the state Democratic Party as disorganized. But the Hagan campaign says it has enrolled 10,000 volunteers to identify supporters and make sure they vote.

But the Ebola outbreak is transforming the contours of the race, underscoring how quickly the state's political ground can shift.

Republicans are slamming Hagan for finally backing an entry ban for citizens of west African nations afflicted by Ebola after she earlier adopted the White House position that travel restrictions would not work. Her delayed flip flop showed a "lack of leadership and an unwillingness to stand up to President Obama when he is wrong," said Tillis spokesman Daniel Keylin.

Hagan is staying focused on the party's core issues, calling Tillis "abysmal" on women's issues and "spineless" on global terror.

"At every step, he's fought for policies that are taking our state backwards," Hagan said in a debate in which she positioned herself a moderate.

Her survival strategy relies on making Tillis a bigger bogeyman than Obama, so she slams him as the enforcer of the Republican power monopoly in Raleigh, and distances herself from the president by backing the Keystone pipeline and opposing trade deals.

While she is a sitting senator running for re-election, Hagan is in effect making Tillis the incumbent and has infuriated Republicans by charging the Tillis-led legislature slashed $500 million in education funding.

Republicans believe they've blunted that line of attack with a series of ads but Hagan is keeping it up -- hoping that criticizing Tillis on education will be potent in a state that prides itself on its university system.

Hagan has also lacerated Tillis on contraception and goaded him into dismissing a federal equal pay bill as a "gimmick." Her efforts opened a gender gap of 12 percent among women voters, according to a Survey USA poll.

"Women voters will be the key to her victory in November," said Marcy Stech, national press secretary for EMILY's List, which has poured $3 million into the race.

@highlight

Kay Hagan is slightly ahead in most polls going into next month's elections

@highlight

Hagan's strength could provide Democrats a playbook for winning North Carolina in 2016

@highlight

Hillary Clinton will campaign with Hagan on Saturday