TITUSVILLE, Florida (CNN) -- It's shortly after 5 a.m. when the phone rings, and on the line is a clearly anxious and worried parent.

Sierra Journey Factor, 8, has a muscular disease that her mom, Shaylene Akery, hopes can be treated in China.

"Sierra is having a lot of problems tonight," Shaylene Akery tells a CNN producer. "We have to take her to the hospital, but we still want to talk to you about her trip to China."

Her daughter, Sierra Journey Factor, is 8 years old and has a terminal disease called Type 2 spinal muscular atrophy, a genetic disorder that affects parts of the nervous system that control voluntary muscle movement. In addition, she has a restrictive lung disease and a kidney disorder. She has used a wheelchair since infancy.

Sierra's mother, her stepfather and her biological father, A.J. Factor, all know that Sierra is seriously ill. On the morning we met them, Sierra was treated at two hospitals before she was stabilized.

But the family is convinced of their next step -- taking Sierra on an arduous trip to southern China, where they believe the little girl will be injected six times with stem cells during a 34-day stay. It's the kind of treatment not yet approved in the United States by the Food and Drug Administration.

Sierra's treatment will cost $26,500, which does not include the cost of travel and living for the extended family. Those costs would mean an additional $25,000, according to Akery.  Watch more on the quest for a stem-cell cure »

"We are really walking into this blindfolded," Akery said. "It's scary, but everybody says it's so nice over there."

The family says it got most of its information from a Web site called China Stem Cell News, at stemcellschina.com, which boasts of dozens of anecdotal testimonials from loved ones who say their children or family members showed improvement after the stem cell treatments. The site offers no scientific evidence and no means of making contact except through a Web form. CNN used the form, but as of yet has received no reply.

Stem cell therapy is routinely performed at clinics in China. When CNN correspondent John Vause reported on one stem cell therapy clinic near Beijing in December, the clinic refused to release its records or put its cases forward for peer review.

The International Society of Stem Cell Researchers and the FDA discourage Americans from traveling overseas for stem cell therapy. But clinics are operating worldwide -- many in China, and several in Russia, Latin America and Mexico.

"We do not encourage patients to seek therapies overseas that are not FDA-approved in the U.S.," an agency spokesman said in an e-mail to CNN, "as the products or therapies have not undergone the agency's rigorous review."

The ALS Association is one group especially concerned. Amyotrophic lateral sclerosis is a terminal illness also known as Lou Gehrig's disease, named after the baseball legend who most famously suffered from it. There are no accurate numbers, but ALS Association officials say dozens, perhaps hundreds, of ALS patients have traveled to China and other locations seeking relief.

CNN asked Dr. Lucie Bruijn, the senior vice president for research and development for the ALS Association, whether stem cells offer meaningful treatment for ALS.

"No, it's definitely not true," she said. "Certainly you hope that the answer from an ALS clinician who is knowledgeable ... [will be], 'There are things that are promising but we don't have anything to offer you now.' "

That statement is at odds with promises posted on a relatively new Web site run by an 80-year-old Florida doctor named Burton Feinerman, who says he's been conducting stem cell therapy for three years. His site, Stem Cell Regen Med, at stemcellregenmed.com, says it can offer treatment for a long list of life-threatening diseases, including ALS, Parkinson's, Alzheimer's, cancer, brain damage and lung illnesses. It is not the program to which Akery intends to take her daughter.

Feinerman says he and a partner work out of a clinic in Lima, Peru, where they offer stem cell therapy injections at a cost of $8,000 to $25,000.

"Isn't what you're doing experimenting on people?" CNN asked Feinerman.

"Yes," he said, "and people are fully aware."

"And charging them large amounts of money to do these experiments?" asked CNN.

"The amount of money is large," Feinerman replied. "But it basically is pretty close to my cost."

Feinerman, who said he was a cosmetic dermatologist in Hawaii before moving to Florida, also said he is no expert on stem cells.

"I have trained at the Mayo Clinic and have been practicing medicine for over 50 years," he said.

"But you never trained in stem cell research?" asked CNN.

"No," Feinerman replied.

"But you've gone to some conferences, self-taught, right?" CNN asked.

"Right. That's true."

"And now you're basically taking people from the United States to other countries because the procedures can't legally be done here?"

"That is right," Feinerman said. "But I am the organizer, so to speak. I am the person who does an enormous amount of reading and visiting. Putting protocols together that appear to work in other countries."

Feinerman said his expertise comes from extensive reading on the subject, and attending international conferences on stem cell research, sometimes as many as six a year. He spoke to CNN just hours before, he said, he was heading to Peru to treat three more Americans with life-threatening illnesses.

In a statement issued after the interview, Feinerman said, "We are not selling snake oil, but our scientific approach to diseases that are not available in the USA."

Meanwhile, at the Arnold Palmer Children's Hospital in Orlando, Florida, the family of 8-year-old Sierra Journey Factor were more convinced than ever to take their child across the world to China for a treatment they conceded is not a guarantee of a cure. The science director of the Fight SMA organization, Chris Lorson, told CNN there is no proven stem-cell treatment for the disease.

"If you go there and nothing happens, will you still think it was worth it?" CNN asked Akery.

"Yes," Akery said. "Because we can still say we tried."

@highlight

Stem cell injections are offered at various clinics worldwide

@highlight

Therapy is not approved for use in the United States

@highlight

One 8-year-old's treatment in China will cost $26,500

@highlight

American doctor who provides treatments in Peru says he is self-taught