LONDON, England (CNN) -- Since it became a viable energy resource around 20 years ago, wind power has emerged as a leading renewable technology.

Wind power is a success story of renewable energy. Finding a way to store the power it generates would increase its contribution to overall energy provision.

At the end of 2006 the worldwide capacity of all wind turbines was close to 75 gigawatts, which represents around one percent of all electricity use in the world.

Three quarters of that wind power usage is currently based in Europe. The Danes lead the way with nearly 20 percent of their electricity created by wind. They are followed by Germany, which generates around half that amount and Spain around seven percent.

But although it's clean, plentiful and relatively cheap, there is an inherent problem with wind power. It's not always there when you need it, leaving more conventional, more polluting energy resources to take up the slack.

The wind's variability has been one of the sticking points for wind power growth in the UK energy market. Given the UK's famously inclement weather and its island status -- which offers unrivalled offshore facility - you might think that wind power capacity was being filled at a rate of knots.

But in reality, wind power currently contributes about one percent of the UK's energy needs, with around 2000 on and offshore turbines up and running.

Whilst wind is no silver bullet to the energy problem, it can make an important contribution to the equation. This is especially true in the UK, which possesses 40 percent of Europe's total wind energy.

The prospects for wind power could be greatly enhanced if cost-effective storage could be implemented. Some, like Minnesota based Xcel Energy, are putting their faith in new battery technology. But a UK professor, Seamus Garvey thinks he might have found another solution -- storing energy in flexible containers on the ocean floor.

Professor Garvey's idea of using Compressed Air Energy Storage (CAES) isn't a new one, but his methods are.

Traditionally, CAES stows energy in a vast underground reservoir. During peak energy hours, air is released powering a turbine, which in turn produces electricity. There are currently only two CAES sites in the world -- in Huntorf, Germany and in McIntosh, Alabama.

Based at Nottingham University, Professor Garvey -- whose interest in wind turbines stretches back to his school days -- began his research into compressed air storage two years ago.

"I was thinking about how textile composites and textile structures might be relevant in the context of renewable energy," he told CNN.

In a moment of inspiration, Garvey realized that air could be compressed using a wind turbine or a wave-powered device.

"Drawing a mass down within the blade of the piston itself compresses the air," he said.

The prospects for his energy storage idea with tidal power are perhaps even better. "With tidal power you can use a hydraulic ram. This can take a large flow of water at a low pressure. Out of that it can then give you a small flow of water at a high pressure."

Naturally, storing vast amounts of air requires vast amounts of storage. Professor Garvey envisages a cone-like structure stretching 50 meters wide at the top to around 80 meters across at the base.

The bags are made of a combination of plastics. "A polyester reinforcement at the core with probably a polythene layer around that," Garvey said.

At a depth of around 600 meters, Professor Garvey calculates that the bags would be able to store 25 megajoules of energy for every meter cubed. The deep water is essential. "Only in deep water, where the pressure is greatest, are the bags a good economic proposition," Garvey explained.

Although there is an additional cost in fixing reinforcement cables and ballast, Garvey believes the future economic prospects for his invention are good.

He plans to put the storage bags through smaller scale land-based tests, with four-meter-diameter bags, to prove that his calculations are right.

The centrifugal force required to compress the air is too great for small wind turbines to cope with, so much larger turbines will have to be installed for the project to realize its goals.

Currently, wind turbines are situated in relatively shallow water -- around 40 meters. So how will the project work if the bags need to be at a depth of 600 meters?

Well, a series of pipes will link turbine and bag and Professor Garvey believes the distances, in Europe at least, wouldn't have to be too long.

Research into floating turbines is underway and, as Professor Garvey points out there are steep ocean shelves off the west coast of France and Portugal and around the entire periphery of the Mediterranean. "You could put wind turbines on these shelves and within a few hundred meters, or kilometers you could be in 600-meter-deep water," he said.

Professor Garvey, who has secured a three year grant from German energy provider E.ON, is confident that with the right funding the UK can achieve its stated aim of providing 20 percent of its energy from renewables by 2020.

"We're probably the richest country per head in the world in terms of renewable energy," he said. "But we're way behind Denmark, Germany and the United States."

He thinks that the realistic prospect for the future is a combination of nuclear and renewable energy as the best way to reduce carbon emissions quickly.

The argument against wind power being intermittent and therefore unreliable may dissolve as Professor Garvey continues his research. Plastic bags in our oceans might prove to be a cause for celebration and make wind power a much more attractive economic proposition than it is today.

@highlight

Wind power has the potential to become a leading source of energy

@highlight

Three quarters of the world's wind power is generated in Europe

@highlight

Wind power is variable -- but one British professor has devised a way to store it

@highlight

System stores compressed air 600 meters underwater