(CNN) -- There's great potential in the field of regenerative medicine, but doctors caution against seeking experimental treatments in an unregulated environment.

Having had three surgeries for a neck injury already, Indianapolis Colts quarterback Peyton Manning reportedly took a private jet to Europe to get a stem cell treatment that is not approved in the United States. The therapy involved injecting fat cells from Manning's body into his neck, according to Fox Sports.

Colts head coach Jim Caldwell declined to discuss Manning's health situation when asked about the stem cell treatment at a press conference Monday. Further details of Manning's treatment are not available.

Discussing the choice to go abroad for stem cell treatments puts researchers in an awkward position, because the therapies offered abroad are unregulated and not confirmed to work, but they are based on concepts that the American medical community believes have potential. Generally, however, the consensus is that patients should not try to seek experimental stem cell treatments elsewhere, as there's no telling if they will work or have serious side effects.

"We believe that there is merit to this approach, we just want to see it (carried out) well, ethically and rigorously," said Dr. Joshua Hare, director of the Interdisciplinary Stem Cell Institute at the University of Miami's Miller School of Medicine. Scientists like Hare are trying to gather medical evidence through clinical trials to ensure that these treatments are safe and effective.

Leaving the country to seek experimental treatments abroad is common, experts say, although no one has exact numbers for how many people seek stem cell treatments in other countries. Medical tourism as an industry is projected to grow 35% annually, and could reach 1.6 million American patients going elsewhere for treatments by 2012, according to the Deloitte Center for Health Solutions. (The agency had previously predicted 6 million by 2010, but those numbers have not panned out.)

Besides orthopedic injuries like Manning's, there are stem cell therapies available elsewhere aimed at heart disease and neurological conditions, even autism. Germany, Panama and Thailand are all popular countries for seeking these kinds of treatments, Hare said.

The basic idea is that stem cells have regenerative potential, and can even form new tissues. Mesenchymal stem cells are a particular kind that can become a variety of cell types, including bone cells and cartilage cells.

While there is a lot of exciting research going on in the field of stem cells, the results aren't all good. A 2009 study in the journal PLoS Medicine documented the case of an Israeli boy who had gone to Russia to get fetal stem cells injected into his brain and spinal cord. He developed a brain tumor, apparently as a result of the treatment, although the tumor was slow-growing and benign.

And earlier this year, authorities closed down a large stem cell clinic in Germany called the XCell-Center, which had operated through a loophole in the country's regulations regarding unapproved experimental treatments. The clinic had been implicated in the death of an 18-month-old boy after a stem cell treatment; a 10-year-old almost died after receiving something similar.

One problem with going abroad for these unapproved treatments is that there's no follow-up; you won't have anyone back home to take care of any complications that might result, Hare said. In cardiac stem cell trials conducted in this country in people with advanced heart disease, medical professionals do follow up with patients and treat any complications that may arise.

Another concern is that, without proper regulation, any given stem cell therapy abroad may actually be different every time you receive a treatment, said Jeffrey Karp, director of the Laboratory for Advanced Biomaterials and Stem-Cell-Based Therapeutics at Brigham & Women's Hospital in Cambridge, Massachusetts.

There also may not be any regulations on the quality of the treatment, so you really don't know what you're getting, he said.

"Regulatory agencies such as the FDA can ensure that cell therapy that reaches patients is safe, effective, and that quality control is established for isolating the cells, manipulating them outside of the body, and delivering them," Karp said.

A lot of parents believe that stem cell therapies could help their children with autism, although there haven't been any clinical trials in the U.S. to substantiate this, Hare said. In orthopedics and cardiology, on the other hand, there are ongoing investigations; someone like Manning could have potentially joined a clinical trial instead of going abroad, although there's no guarantee that he would have received the treatment rather than a placebo.

The idea of placebo also comes into play here, as with any therapy -- sometimes, just believing strongly that a treatment will heal you actually does change your body, even if that "treatment" isn't actually doing anything.

But there are still significant risks from anything that's unregulated, Karp said.

"While stem cell treatments have been shown to have significant placebo effects during controlled clinical trials, I think patients considering unregulated stem cell treatments need to be aware that they are not optimized and may even do harm," he said.

@highlight

Colts quarterback Peyton Manning reportedly sought a stem cell therapy in Europe

@highlight

Medical tourism as an industry is projected to grow 35% annually

@highlight

Experts say it's dangerous to try treatments that haven't been approved and regulated