(CNN)  -- A study published Monday in the journal Pediatrics indicates about 1 percent of children ages 3 to 17 have autism or a related disorder, an increase over previous estimates.

Children at the Marcus Autism Center in Atlanta, Georgia, receive instruction on March 5, 2009.

"This is a significant issue that needs immediate attention," Dr. Ileana Arias, deputy director of the Centers for Disease Control and Prevention said Friday. "A concerted effort and substantial national response is warranted."

The study used data from the federal government's 2007 national survey of children's health. The survey of parents was conducted by the Health Resources and Services Administration, and by the Centers for Disease Control and Prevention.

The results are based on a national telephone survey of more than 78,000 parents of children ages 3 to 17.iReport.com: How has autism affected your family?

In the study, parents were asked whether a health care provider had ever told them their child had an autism spectrum disorder. ASD is a group of brain disorders comprising autism and two less severe disorders: Asperger's disorder and pervasive developmental disorder not otherwise specified.

Children with the disorder show impairment in social interaction and in their ability to communicate. They often display repetitive behavior.  Watch families discuss autism »

The investigators also asked a follow-up question: Were the children considered to have ASD now? Nearly 40 percent of the parents and guardians said no.

That finding led the authors to question whether some of the children originally diagnosed as having ASD may have been improperly diagnosed, since the disorders are not considered curable.

But Kogan said the two surveys cannot be compared because the earlier investigators did not ask the follow-up question about whether the children were still considered to have the disorder.

Still, based on the findings, lead author Dr. Michael D. Kogan of HRSA's maternal and child health bureau estimated the prevalence of ASD among U.S. children ages 3 to 17 at 110 per 10,000 -- slightly more than 1 percent.

Boys were four times as likely as girls to have ASD, and non-Hispanic black and multiracial children were less likely than non-Hispanic white children.

He estimated that 673,000 children have ASD in the United States.

Monday's findings of nearly 1 in 100 appear to indicate an increase from the average of 1 in 150 that was reported in 2003, the researchers said.

The researchers urged caution in interpreting the change, noting that an increase in diagnoses does not necessarily mean that more children have the disorder. It could simply reflect a heightened awareness of the disorder.

"We don't know whether the change in the number over time is a result of the change in the actual condition, in the actual number of conditions or in part due to the fact that the condition is being recognized differently," Arias said.

She said that preliminary results from a separate, CDC-funded study she is working on also indicate that about 1 percent of children in the United States are affected by ASD. That study is to be published later this year, she said.

"This is a behavioral diagnosis, and it's difficult to make, and it's difficult to make at young ages," said Dr. Peter van Dyck, HRSA's associate administrator for maternal and child health.

Half of the cases were considered mild by their parents, the study reported.

The results underscore the importance of creating policies that will result in early identification and intervention, the officials said.

The reports raise "a lot of questions about how we are preparing in terms of housing, employment, social support -- all the issues that many of these people are going to need," said Dr. Tom Insel, director of the National Institute of Mental Health.

"It also raises questions about how well we're prepared in the educational system to provide for the special needs of many of these kids."

Insel said the federal government is beefing up the resources it is mobilizing to address autism and related disorders, with $85 million being appropriated by the National Institutes of Health and $48 million for next year by the HRSA.

@highlight

Study indicates about 1% of children 3 to 17 have autism or related disorder

@highlight

Results based on national telephone survey of more than 78,000 parents

@highlight

CDC official: "This is a significant issue that needs immediate attention"

@highlight

Researchers saying finding could reflect heightened awareness of disorder