Belfast, Northern Ireland (CNN) -- Audio recordings locked inside a college library in the United States might help solve a decades-old murder mystery, but the release of those tapes could damage the fragile peace in Northern Ireland.

In December 1972, the widow Jean McConville was taken from her home in Belfast and her 10 children.

"They came about tea time and they dragged her out of the bathroom and dragged her out," remembers McConville's daughter, Helen McKendry, who was then a teenager.

Ever since, McKendry has been on a 40-year quest for answers.

"All I ever wanted was to know the reason why they killed my mother," McKendry explained.

"I've lived all my life in fear," McKendry added. "They destroyed my mother's life, my family life."

McKendry believes tapes locked away in Boston College's library may hold the truth about her mother's fate. But there are fears that the tapes may also cause embarrassment or worse for Gerry Adams, the prominent Catholic politician who helped broker peace in Northern Ireland.

The recordings were made as part of the Belfast Project, which is a collection of interviews conducted with former Northern Irish paramilitary fighters. They provide an oral history of the decades of sectarian fighting that became known as The Troubles.

Reminders of Irish 'troubles' rise to surface

Northern Ireland is part of Britain and Protestant fighters wanted to keep it that way. Catholics were fighting to force the British out and reunify the north with the rest of Ireland.

The former combatants believed that their recorded interviews would be kept secret until their death. But that may no longer be possible as Northern Irish police are asking the United States government to hand over some of the tapes.

The police say they were alerted to the secret archive by the book, "Voices from the Grave," written by Belfast Project archive manager Ed Moloney, which is based on transcripts from two of the recorded interviews. One of those featured is Brendan Hughes, a now-deceased former commander of the Irish Republican Army or IRA, a Catholic paramilitary.

Hughes told his interviewer: "I have never, ever, ever admitted being a member of the IRA, ever. I've just done it here."

And he talked about Jean McConville's murder, stating: "I knew she was being executed. I knew that. I didn't know she was going to be buried or disappeared as they call them now."

Hughes went on to allege Gerry Adams was involved: "The special squad was brought into the operation then, called The Unknowns. You know when anyone needed to be taken away they normally done it. I had no control over this squad. Gerry had control over this particular squad."

Hughes added he regretted what happened: "Looking back on it now, what happened to the woman was wrong."

Hughes said in his taped interview, McConville was killed because the IRA believed she was working with the British army. The McKendrys do not believe she was a spy, saying she was too busy looking after her 10 children to be an informer.

Gerry Adams, leader of Northern Ireland's Sinn Fein party, refused to be interviewed by CNN for this story. But, he has said many times before that he was never in the IRA and never involved in the death of Jean McConville, and has labeled as libelous any allegation he was involved in the McConville murder. His spokesman goes further, labeling Adams' critics as anti the peace process.

Adams' denial of IRA membership angers his old comrades like Hughes. "It means that people like myself had to carry the responsibility of all those deaths," Hughes said on the interview tape. "Gerry was a major, major player in the war and yet he's standing there denying it."

The Northern Irish police vow to "follow the material in the Boston Archives all way to court if that's where it takes them ... they say detectives have a legal responsibility to investigate murders ... and follow all lines of inquiry."

The British government's most senior politician on Northern Ireland, Owen Paterson told CNN that no one person is above the law.

"There can be no concept on amnesty, so we have to support the police to have complete operational independence in pursuing every line of inquiry in bringing those who committed crimes to justice," Paterson said.

Right now the Boston archive manager, Ed Moloney, is furious with Boston College for initially giving in too quickly to subpoenas demanding they hand over some of the tapes to a U.S. judge. He says it puts lives in danger, damages the future of truth recovery, oral histories and academic research.

Moloney -- who is appealing to try to stop the court from handing the tapes it has to police -- wants the tapes handed back to the people who told their stories.

"Boston College is no longer a fit and proper place to keep these interviews," Moloney insists. "The archives should be closed down, and the interviews should be returned to the people who gave them because they're not safe."

But there seems to be little chance of that, Boston College's spokesman Jack Dunn blames Moloney.

"From the beginning, we said to the project organizer, who approached us with this idea, that there were limitations regarding the assurances of confidentiality under American law," Dunn said.

But what worries Moloney is that if the police get tapes relating to Jean McConville's murder, they could quickly find other crimes to investigate implicating more political leaders and the police could soon demand all the tapes in the archive.

Few believe the police will get Adams to court in part because he is inoculated from prosecution by his central role silencing IRA guns and delivering peace, and in part because the tapes alone cannot secure a conviction.

Former IRA man Richard O'Rawe recorded a statement for the Boston College archives and says lawyers told him under UK law the tapes cannot be used in court.

"I find it just imponderable, why the police are going down this road when they must know that there is no chance of obtaining any convictions at the end of this," O'Rawe says.

Like many other Catholics, O'Rawe thinks the police are biased against them, trying to settle old scores and bring Adams and others down. But for Helen McKendry, herself a Catholic getting access to the tapes is about so much more.

For her, it's not only about justice but a release from the pain of never knowing the truth.

"They tried to destroy what life I have now," she says. "They are the people who committed the crimes in this. They should be worried."

@highlight

Tapes made in secret by former fighters across sectarian divide offer chilling insights

@highlight

Now a fight is brewing over whether police can have access to them

@highlight

Northern Ireland police and one family think the tapes may help victims of the violence

@highlight

Researchers say releasing the tapes puts at risk the lives of those who spoke to them