Tripoli, Libya (CNN) -- A fighter jet was shot down and burst into flames Saturday in the area of Benghazi, Libya. Explosions could also be heard in the city, which has been a stronghold for rebels opposing Libyan leader Moammar Gadhafi. It was not immediately clear who the fighter jet belonged to.

The development is significant, in part, because Benghazi has been considered the center of the opposition forces. The opposition has been pushed back from other cities that it used to have control of, and rebels have vowed to defend Benghazi to the death.

A day earlier, the Libyan government said it was abiding by a cease-fire, but witnesses have said violence from pro-Gadhafi forces have continued. Libya late Friday called for international observers to come and verify the cease-fire.

One day after the approval of a U.N. Security Council resolution authorizing the use of force to protect civilians, U.S. President Barack Obama warned Gadhafi to pull back from several besieged cities -- or face military consequences.

But Obama insisted that American troops will not be deployed in Libya.

U.S. Secretary of State Hillary Clinton was flying to Paris for a Saturday meeting with European allies and Arab partners .

At least 28 people died and hundreds were wounded as fighting raged in the cities of Misrata, Ajdabiya and Zintan on Friday, according to Khaled el-Sayeh, military spokesman for the opposition.

Libya's deputy foreign minister called for observers from China, Malta, Turkey and Germany "to come to Libya as soon as possible ... to make sure that there is a real cease-fire on the ground."

Khaled Kaim also noted that the "door is open for any other countries to send observers."

Kaim said the media is distorting Libyan military actions and said the country has evidence of "crimes against humanity conducted by the rebels."

Government forces "did not cause the deaths of any civilians," instead inflicting casualties on armed rebel militias, and will not assault Benghazi, Kaim said.

Forces loyal to Gadhafi are honoring a cease-fire and are not fighting a militia group that is making advances in the eastern part of the country, according to Kaim.

Rebel forces are advancing on the town of al-Migrun, south of the rebel stronghold of Benghazi, said Kaim.

The French press agency AFP confirmed to CNN the movement by a militia group and said it recorded video.

Witnesses in the western city of Misrata said earlier Friday that a pro-government assault is persisting and casualties are mounting as countries backing the council's move, such as Britain and France, get their military resources into place to enforce the measure.

"What cease-fire?" asked a doctor in Misrata, who described hours of military poundings, casualties and dwindling resources to treat the wounded. "We're under the bombs.

"This morning, they are burning the city," the doctor said. "There are deaths everywhere."

"Misrata is on fire," according to an opposition member, who said tanks and vehicles with heavy artillery shot their way into the city Thursday night and the assault continued Friday. He said Gadhafi's regime announced a cease-fire to buy time for itself. "Please help us."

Outside Ajdabiya in eastern Libya, CNN's Arwa Damon said she heard explosions, listened to fighters' accounts of heavy casualties and saw ambulances. She said fighters, who don't trust Gadhafi, believe that the declaration is a trick.

"Everybody around us is on very high alert, still expecting the worst," Damon said.

El-Sayeh said 26 people died in Misrata, 83 were seriously wounded and hundreds were slightly wounded. In Ajdabiya, two died, three were seriously wounded and hundreds were slightly wounded. There was no immediate casualty count for Zintan, el-Sayeh said.

CNN couldn't independently confirm the witness accounts, and it is impossible to tell whether word of the cease-fire declaration trickled down to pro-government forces.

In remarks televised around the globe, Libyan Foreign Minister Moussa Koussa said in Tripoli that the country decided on "an immediate cease-fire and the stoppage of all military operations." He noted that the country, since it is a member of the United Nations, is "obliged to accept the Security Council resolution that permits the use of force to protect the civilian population."

Obama said Friday that "left unchecked, we have every reason to believe Gadhafi (will) commit atrocities against his own people" and the surrounding region could be destabilized.

Power and water must be restored to several cities, he added.

"These terms are not negotiable," Obama said. If Gadhafi doesn't comply, the U.N. resolution will be imposed through military action, the president said.

The U.N. resolution, while not authorizing such a move, does not preclude the United States from arming rebels, the U.S. ambassador to the United Nations said Friday.

Ambassador Susan Rice told CNN's "Situation Room" that the "U.S. is ready to act" and that Gadhafi "should be under no illusions that if he doesn't act immediately he will face swift and sure consequences, including military action."

When asked whether the United States was planning to provide weapons to the opposition, Rice replied, "We are focused immediately on protection of civilians, on ensuring that the march to Benghazi does not continue and that those who are most vulnerable have the rights and protections that they deserve."

Koussasaid that Libya plans to protect civilians and provide them with humanitarian assistance and that it is obliged to protect all foreigners and their assets.

He said the Libya government was disappointed in the imposition of a no-fly zone, arguing that it will hurt the civilian population. He also said the use of military power would violate the country's sovereignty and go against the U.N. charter, but he acknowledged that some countries may yet intervene.

"There are signs this indeed might take place," Koussa said.

Bernard Valero, a French Foreign Ministry spokesman, said the cease-fire announcement "does not change the threat on the ground."

"Gadhafi is privy to folkloric declarations, and we must remain extremely vigilant with regards to these declarations," he said.

Clinton, who called the situation "fluid and dynamic," said the United States wants actions, not words. "We will continue to work with our partners in the international community to press Gadhafi to leave and to support the legitimate aspirations of the Libyan people," she said.

The Libyan government "must immediately cease all hostilities against the civilian population," U.N. Secretary-General Ban Ki-moon said Friday in Madrid.

Earlier Friday, talk emerged in Europe of speedy military action against Gadhafi's regime.

In an interview with RTL radio, French government spokesman Francois Baroin said France plans to participate in "swift" efforts. President Nicolas Sarkozy will convene a summit Saturday to look at the crisis. Invited are members of the Arab League, the president of the European Council and representatives of states that support the implementation of the U.N. resolution.

British Prime Minister David Cameron said the United Kingdom has started preparations to deploy aircraft, and "in the coming hours" they will move to air bases where they will be positioned for any "necessary action."

Spain will offer NATO the use of two military bases and provide air and naval forces for use in operations involving Libya, Spanish Defense Minister Carme Chacon said Friday in Madrid, a Defense Ministry spokesman said.

Canadian Prime Minister Stephen Harper said Canada is sending CF-18 fighter jets to join a Canadian warship on standby off the coast of Libya.

The Pentagon, meanwhile, announced Friday that Defense Secretary Robert Gates will travel to Russia this weekend as the United States and other nations deliberate action against Libya.

"There is no consideration being given to delaying this trip," spokesman Geoff Morrell said at the Pentagon. He said Gates maintains constant communications links with Washington wherever he goes and can "carry out his responsibilities no matter where he is in the world."

Asked whether the cease-fire declaration complicates a U.N.-sanctioned intervention, Michael Rubin, a Middle East expert at the American Enterprise Institute, said, "It is going to make it tougher without a doubt."

"One should credit Obama for getting the international community behind him, but it came at the price of momentum. The Libyans understand European weakness and know how to play off of it," Rubin said.

Rubin said migration concerns come into play, with Europeans worried that more violence will generate more refugees.

"They look at change in North Africa almost exclusively through the lens of migration," he said.

The council voted 10-0 with five abstentions Thursday night to authorize "states to take all necessary measures to protect civilians." It also imposed a no-fly zone, banning all flights in Libyan airspace, with exceptions that involve humanitarian aid and evacuation of foreign nationals.

The United States and its NATO partners have severalcontingencies in place to act quickly, according to an administration official familiar with planning. They include airstrikes and cruise missile attacks designed to cripple Libyan air defenses and punish the military units that are leading Gadhafi's push on opposition strongholds in the east, the official said.

The opposition, with devoted but largely untrained and under-equipped units, has suffered military setbacks this week. But their hopes were buoyed by the U.N. vote, particularly in rebel-held Benghazi, where an assault by pro-Gadhafi forces has been expected.

The resolution singles out the city. It says U.N. member states can "take all necessary measures ... to protect civilians and civilian populated areas under threat of attack in the Libyan Arab Jamahiriya, including Benghazi, while excluding a foreign occupation force. "The Libyan Arab Jamahiriya" is a formal name for the nation.

CNN's Richard Roth, Arwa Damon, Nic Robertson, Tommy Evans, Elise Labott, Al Goodman, John King, Alan Silverleib, Raja Razek, Jennifer Rizzo, Joe Vaccarello, Yousuf Basil and Reza Sayah, and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

Clinton will meet Saturday with allies

@highlight

Libya says it is not engaging advancing rebel forces

@highlight

Libya invites international observers to visit country

@highlight

Libyan troops must pull back from several cities, Obama says