Jacksonville, Florida (CNN) -- When the topic of HIV/AIDS enters a conversation, Earl Thompson hears that it's "just what gays get."

"It's not a gay disease," said Thompson. "It's a human disease."

When a person gets a disease like cancer, support pours in, said Thompson, a slender 27-year-old with a boyish face. Family and friends fund raise and make sure their loved one gets proper care. But that's not the case with HIV.

"It's like hush-hush," said Thompson, a Jacksonville native, who learned before his birthday in April that he has HIV. "You feel unlovable. You feel tainted. They're going to point a finger at me and be judging me.

"Just from the community, I know they don't talk about it. Jacksonville has many years before we're close to Miami, Orlando or Tampa. If something goes wrong, you don't talk about it."

It's a problem all across the Bible Belt. The Southeast is disproportionately struck with higher HIV/AIDS rates than much of the rest of the country.

Dealing with the epidemic in the South "is extremely challenging, because the stigma and discrimination is worse," said Dr. Kevin Fenton, director of the National Center for HIV/AIDS, Viral Hepatitis, STD, and TB Prevention at the Centers for Disease Control and Prevention. "There is less discourse around prevention, sexual health, comprehensive sex education in schools or having strong, community-based advocacy activities."

Pastor fights HIV stigma in rural town

Jacksonville has the fifth-highest number of AIDS diagnoses among U.S. cities, according to CDC statistics from 2008.

The state says this could have been a statistical aberration because surveillance methods and HIV/AIDS reporting laws changed in Florida in 2007, causing fluctuations in the data.

But local HIV advocates in northeast Florida say the problem is a real one, not just a statistical blip.

"Here in Jacksonville, we're kind of the buckle in the Bible belt," said Donna Fuchs, executive director of Northeast Florida AIDS Network. "HIV carries a huge stigma in our city."

Fuchs said the organization had trouble finding office space in 2000. One property owner refused to rent to the group, saying he didn't want people with AIDS in his buildings.

Today, the office sits on a quiet, tree-lined street with a simple sign that reads: NFAN. A red ribbon, the ubiquitous sign for HIV/AIDS, usually adorns the logo for the organization. But not here.

"Clients didn't want a red ribbon on the door," said Fuchs. "We had to take it down."

Four blocks away, there is another HIV organization -- one named for NBA star Magic Johnson, who revealed in 1991 that he is HIV-positive.

When that clinic opened a decade ago, the ribbon-cutting ceremony was held inside the lobby. Organizers moved the event indoors because people feared being seen and associated with the disease.

Today, that one-story clinic tucked behind a towering magnolia tree no longer bears Johnson's name.

"The only way we can get people to come through the front door is to create a fictitious name." said Todd Reese, associate director of Health Care Center operations at the AIDS Healthcare Foundation. "No one walks into any building or floor that has any association with HIV."

Although visible HIV signs may be scrubbed from public view, the epidemic has worsened.

HIV cases in Duval County, which mostly consists of Jacksonville, increased by 33% in the first half of 2011. This year, the county Health Department reports an increase in new cases.

"It's really not acceptable," said Dr. Bob Harmon, the county's Health Department director. "This disease is ruining lives, and it's still killing people, especially low-income people who don't get tested enough and who don't get treated early."

Several HIV/AIDS advocates in Jacksonville criticized sex education in schools that emphasized abstinence. The mentality is that HIV/AIDS is not an issue here, several advocates said.

"Denial is the biggest problem," said Reese.

And those who reveal their HIV status struggle to find acceptance.

Thompson observed that some people who knew about his HIV status avoided physical contact with him. In social settings, they watched their drinks to make sure their glasses didn't get mixed up.

"Sometimes you feel like a pin cushion, like you're never going to find acceptance," Thompson said. "You feel like you're going to be looked at as a disease, not as a person."

What perpetuates the epidemic is a social issue, Reese said.

In Florida, the HIV/AIDS focus has historically been placed in southern part of the state. Some of the earliest HIV cases were found in Miami and in the Haitian immigrant population in South Florida. Miami still struggles with new HIV/AIDS cases; often, it has the highest AIDS rates in the country.

"You can go to Miami and you can put up a billboard, you can talk about condoms, AIDS and sex," Reese said. "You can't do that in Jacksonville. People will be offended. They don't want to talk about it or see it. They don't want to see billboards about it."

And Jacksonville is no small town: It has about 821,000 residents.

iReporters share their stories on World AIDS Day

It's a different population, said Harmon.

"In north Florida, our population profile is more like Georgia, Alabama, Mississippi than it is central and south Florida. That generally means higher rates of poverty, lower rates of completing high school and college, and higher percentage of African-American population."

Duval County has a high percentage of African-Americans, and in Jacksonville, 71% of the total HIV cases are African-Americans.

Wade Price, 46, is a black gay man, proud father of three and grandfather of three.

He keeps a half-dozen orange prescription bottles of anti-HIV medications on his nightstand next to his red leather-bound Bible. The pages of his well-worn Bible are patchworks of green and orange highlights. He reads scriptures every night and attends a Baptist church twice a week.

Because his faith is crucial, Price decided to tell the head minister of his church how he struggled with being gay. He wanted to have prayer meetings with ministers and start a church support group.

Price told the minister: "I'm not the only one. Lots of people are keeping quiet, living double lives."

The minister rebuffed him, saying, "Wow, it's times like this, I don't like being a minister."

"That's one aspect of black churches," Price said. "They want to turn blind eyes to it. ... I'm fighting this battle on my own."

Price left that church and found another one last month that is more accepting.

"We pretend it's not happening," Price said. "The virus is being spread. You want to pretend like sex isn't happening. They say, 'Condoms, oh, no! That's not for God!' What's not for God is living with ignorance."

The social climate in northern Florida tends to be more conservative, said Harmon.

"There may be a reluctance to talk about this in the family, in the church, in other social settings and to perhaps ignore it," he said.

But there are signs of change. Churches in the community have started to talk about the HIV/AIDS epidemic, said Veronica Hicks, 50.

Hicks has never felt the need to hide her AIDS diagnosis and told her fellow church members and her pastor.

"They embrace me with it," she said. And Hicks's church has already started an HIV/AIDS testing and awareness ministry in Jacksonville.

While stigma persists in the community, it's getting better, she said.

She reported seeing growing HIV support groups, increasing turnout at community HIV/AIDS events and a recent line of people waiting to get tested at a mobile clinic.

"It shows me that people are willing to become more educated because HIV is prevalent and relevant."

@highlight

HIV/AIDS is like "hush-hush" says one man who tested positive this year

@highlight

Advocates say they can't post red ribbons on their offices because of stigma

@highlight

New HIV infection rates are increasing in northern Florida city