Bangkok, Thailand (CNN) -- After disrupting a national election, anti-government demonstrators in Thailand have vowed to keep up their campaign against Prime Minister Yingluck Shinawatra.

The troubled election Sunday, which was boycotted by the main opposition party, appears unlikely to resolve Thailand's protracted political crisis, which has fueled bouts of deadly unrest in the Southeast Asian country.

During the tense election process, anti-government protesters stopped candidates from registering, blocked delivery of ballot boxes and prevented people from casting their votes. As a result, voting was disrupted in 69 out of the country's 375 electoral districts, authorities said.

The demonstrators have been protesting since November, saying they want to rid Thailand of the influence of Yingluck and her older brother, former Prime Minister Thaksin Shinawatra, who now lives in exile.

Protest leaders are demanding that an unelected "people's council" be given the power to carry out political and electoral changes in a country where parties affiliated with Thaksin have dominated elections since 2001.

Disrupted election

Yingluck has insisted that an election is the only legitimate way forward for Thailand, which has been repeatedly wracked by political conflicts over the past eight years. Her party is expected to win this vote comfortable, especially as the opposition Democrat Party refused to participate.

An estimated 45.84% of voters participated in the election, the Election Commission said Monday, a far lower turnout than the 75% in the 2011 vote that brought Yingluck to power.

Election results are yet to be announced, but since voting was disrupted in so many districts, the vote appears unlikely to produce enough valid results to form a parliament, meaning Yingluck will remain as caretaker Prime Minister.

The Electoral Commission says holding by-elections in all the disrupted districts -- a process likely to face further pressure from protesters -- could take as long as six months.

But Deputy Prime Minister Pongthep Thepkarnchana said Monday that the commission is required under the constitution to organize enough by-elections to reopen parliament within 30 days of Sunday's vote.

The opposition, meanwhile, is mounting a legal challenge to the election's legitimacy.

Last week, an attorney for the Democrat Party filed a petition asking the nation's constitutional court to declare Sunday's election invalid because of the disruptions to voting.

Protesters resolute

The outlook for Thailand appears to be more uncertainty and unrest.

Since November, at least 10 people have died and nearly 600 have been wounded in violence linked to tensions around the protests.

The conflict has deepened the country's political divide. The anti-government movement draws it support from southern Thailand, Bangkok's middle class and the established elites. Yingluck's base is in the less affluent but more populous regions north and east of the capital.

In Laksi, a Bangkok district of mixed pro- and anti-government sentiment, gunfire erupted Saturday between masked men amid demonstrations against the elections, witnesses said. Health officials reported at least eight people wounded since Saturday.

Protest leader Suthep Thaugsuban on Sunday sought to distance his movement from the violence.

"We need to keep our principles. We fight in peace, with no weapons and violence. We only fight with our feet and whistles," he said. "We have the right to a peaceful protest."

Suthep said his supporters would continue efforts this week to block government offices in Bangkok. They held a march in the center of Bangkok on Monday.

Lt. Gen. Paradon Patthanathabut, the national security chief, estimated that there were between 2,000 and 3,000 demonstrators on the city's streets Monday. Protesters generally dispute authorities' estimates of their numbers, claiming they are far higher.

Amid the political deadlock, some observers have suggested Thailand's powerful military, which has carried out coups in the past, could step in. The military's stance on the crisis remains unclear.

The U.S. government is opposed to a coup, the State Department said Monday.

"We are speaking directly to all elements of Thai society to make clear the importance of using democratic and constitutional means to resolve political differences," Jen Psaki, a State Department spokeswoman, said at a regular news briefing.

Voters determined

Despite the tensions in Bangkok over the weekend, many voters insisted on casting their ballots.

"I'm very excited to exercise my right to vote today," Nopphorn Tabupha said from Bangkok's Bueng Kum district. "I didn't think I would be able to come out. I thought I was going to be blocked by the protesters."

Others found their efforts to participate frustrated.

In the Bangkok district of Din Daeng, voting was called off because protesters blocked officials from distributing ballot boxes. A group of government supporters responded by gathering at the district office chanting, "Election, election" and "We want to vote today."

Meanwhile, opposition supporters reiterated their rejection of the vote.

"No, I didn't (vote) -- I want reform before elections. Because if I did, we will only get bad people, corrupt politicians," said Suriya Phodhikul, a computer technician participating in an anti-government rally in the Phayathai district of Bangkok.

Thaksin's role

Suthep's anti-government protesters say Yingluck is merely a puppet of Thaksin, a polarizing figure who built his support on populist policies that pleased residents of the north and northeast. Yingluck has repeatedly denied her brother calls the shots in her government.

Thaksin, a business tycoon whose electoral success unsettled the Thai elite, was ousted in a military coup in 2006 and has spent most of the time since then in exile overseas. If he returns, he risks a two-year prison sentence on a corruption conviction, which he says was politically motivated.

Yingluck's government set off the current crisis with a botched attempt to pass an amnesty bill that would have opened the door for Thaksin's return. The move stirred anger around the country.

Thailand's worst civil unrest took place in 2010, when the government -- run at the time by the Democrat Party -- ordered a crackdown on largely pro-Thaksin protesters, leaving about 90 people dead.

Trapped in a gunfight: CNN producer's harrowing account

Protests delay elections in Bangkok district

10 questions: What's behind the protests in Thailand?

CNN's Kocha Olarn and Pamela Boykoff reported from Bangkok; Jethro Mullen reported and wrote from Hong Kong. CNN's Saima Mohsin and journalist Kiki Dhitavat also contributed to this report.

@highlight

NEW: The United States says it doesn't want to see a military coup in Thailand

@highlight

An estimated 45.84% of Thai voters participated in the election, authorities say

@highlight

Anti-government protesters disrupted the vote and are continuing their rallies in Bangkok

@highlight

The Electoral Commission says it could take months to complete voting