(CNN) -- When it comes to negotiating a salary for a new job it can pay to ask for a precise figure.

New research has suggested that asking for an amount that is less "round" -- like $105,000 instead of $100,000 -- increases the final outcome.

The idea is that precise numbers give recruiters the impression a candidate has thoroughly researched the job.

"It matters because round numbers seem less informed. People who use them seem like they haven't really done their homework, or they're just sort of being arbitrary," said Malia Mason, an associate professor at Columbia Business School, who led the study.

She says the perception that a number came out of nowhere leads negotiation counterparts to be more aggressive in their counteroffers, which translates into worse outcomes for people who make round offers, compared with people who make precise offers.

"Precise numbers are just one way to communicate to people 'don't mess with me' or 'I'm informed, I'm not just throwing some number out there,'" Mason said.

Read more: Can Twitter help you land a job?

The real burden for the job seekers is to then prove they are not just throwing numbers out there. Mason says actually doing the calculations of how much to ask for, to back up the offer amount, is "far more important" than simply using the precise numbers recommended by the study. Candidates may figure out the going rates for the jobs from Websites or by asking someone within the company who would be open to telling you.

Ramit Sethi, author of "I Will Teach You to Be Rich," offers courses on negotiation using techniques based on his own experience, real-world data from his students and tests that he runs. He says that doing relevant research, and then giving the perception that you have reasons for the dollar figure sought, is the most important part of negotiation.

"When you walk into a room, you should already know not only the pay range of your job, but you should have it documented and printed out and ready to present," Sethi said.

Good negotiators should be able to justify why they should be paid the higher end of that range, Sethi said. It involves explaining one's experience, knowing the company's challenges and letting the recruiters know how you can solve their problems.

Read more: What does it take to get a job in China?

To show recruiters that you can back up your salary request, Sethi recommends candidates use the "briefcase technique," actually typing up a plan of how they would help the company and pulling it out (possibly from a briefcase) during a negotiation.

"It shows what they would do in 30, 60, 90 days. And when you do this people's jaws drop. And when that happens, five or ten thousand dollars' raise in negotiation is almost trivial. It's almost beside the point, because you're showing how much value you can add to the company," he said.

Mason points out that there are broad benefits to providing reasons in a salary negotiation. Not only does it help convince the recruiter of the candidate's worth, but it gives the recruiter material to back up the decision.

"People don't like being told 'it's my way or the highway.' People like to have reasons," she says. "What you want to do in a negotiation is have your counterpart understand why that number that you're suggesting makes sense, so that he or she can explain to herself why it makes sense, so she can go explain to the rest of her company or the rest of her team why it makes sense."

@highlight

In negotiations, there is an advantage to offering a figure that is not a round number

@highlight

Precise numbers give recruiters the impression that the candidate has thoroughly researched the job

@highlight

But actually researching the job is more important, experts say

@highlight

Good negotiators should be able to justify a high salary