(CNN) -- Thirty years ago, the United States enacted a law that has inadvertently condemned hundreds of thousands of Americans to death. As a result of the National Organ Transplant Act, more Americans have lost their lives waiting for an organ than died in both World Wars, Korea, Vietnam, Afghanistan and Iraq put together.

The law bans almost any payment to living organ donors. Recipients themselves can reimburse donors' travel, lodging, and lost wages, which helps, when they have the money -- but not when they don't.

Most people who are living donors give to a family member or friend, but the financial hardships are considerable and people are regularly denied permission to donate because they don't have enough financial resources.

I was denied for that reason when I wanted to donate an organ to save a friend's life. With four kids in college, there was not enough ready cash to donate. And it was against the law for my friend or anyone else to help me with the $10,000 or more expenses I had above and beyond travel, lodging, and lost wages.

I had passed all medical and psychological tests, yet the living donor coordinator at the transplant center denied our match. My friend died. Researching the issue I realized I wasn't alone -- most Americans can't afford to donate without considerable financial hardship to themselves and their families.

Expenses that can't be reimbursed include things like travel costs for a spouse to come along and take care of the donor, that spouse's lost wages, child-care, household responsibilities and lost income not measurable in wages, such as business income or farm income.

Giving an organ costs on average $5,000, but can be as much as $20,000. According to U.S. Census Bureau data, in 2013, 20% of American households had no discretionary funds at all, and only 8% could afford to donate an organ at a cost of more than $5,000 without dipping into their savings or going into debt.

In 1983, 10,000 Americans were waiting for a transplant. Today, the number is more than 120,000, of whom 100,000 need kidneys. At least 400,000 Americans are on some kind of dialysis, many of whom might once have benefited from a transplant, but are now too sick to qualify, or never tried because the odds of securing an organ are so poor.

We desperately need to find a way to compensate living donors for their costs. By enabling the government and private charities to cover all of a donor's expenses as they come up, we would eliminate the lure of fast money, and ensure that people can actually afford to save others' lives when they are willing.

In 2011, the government implemented a debit card system enabling people to cover the costs of recovering from natural disasters without having to incur debt. We could apply the same system to help organ donors cover their costs.

In 2013, there were 5,990 living American organ donors. If we doubled that rate, we could save over 50,000 lives in the first five years alone. And to top if off, by reducing the need for dialysis -- which is both expensive and a living death for most kidney disease patients -- it would save Medicare money.

Very few people who come forward agreeing to donate realize that there is a financial sacrifice until they get well into the process. A 2006 article in the Canadian Medical Association Journal reported a study in one hospital where almost one in four patients' relatives changed their minds about donating an organ because it was too expensive. (Canada has similar restrictions on compensating donors as the United States.)

The Transplant Act applies to all major organs, tissues, and bone marrow, but the ban on compensating most expenses hurts those Americans who need kidneys, livers, and bone marrow most. These are all patients who can be helped by living donors, and together they constitute more than 90% of Americans waiting for transplants. But according to the Organ Procurement and Transplantation Network, only 15% of Americans waiting for a kidney, for example, will receive one.

Even if all Americans were to check the organ donor box on their driver's licenses, a 2003 study in the New England Journal of Medicine found that only about 1% of people die under conditions that allow them to donate their organs -- the rest are too sick, too injured, or too far from a hospital when they die for their organs to be of use.

Thirty years ago, the Transplant Act resulted from quite understandable revulsion at a proposal by Dr. H. Barry Jacobs that the government pay people to come to the U.S. to donate their kidneys. The government, Jacobs figured, could spend relatively little compensating such donors -- maybe only $1,000 per kidney -- and then send them on their way. The prospect of the United States shipping thousands of impoverished people here from developing nations so that rich Americans could harvest their kidneys reads like the plot of a science fiction novel.

Both Democrats and Republicans rightly fear that reforming the law too dramatically could encourage poor and at-risk populations to sell their organs in exchange for quick cash. Unfortunately, Congress has allowed the pendulum to swing too far in the other direction.

By banning almost all compensation to living donors, the government has ensured that only the wealthiest and their friends can afford the costs of donating, while hundreds of thousands of other Americans suffer and die.

The original intention of the Transplant Act was to help those in the greatest medical need first. Congress could still enact reforms consistent with that intention. It could allow UNOS, with the help of federal funds, to pay donation-related expenses for Americans willing to help those who are at the top of the waiting list. And it could enable recipients and charities to support donors who helped any patient who needed a transplant.

These measures together would assure that government funds went to those closest to dying, and allow non-government funds to cover donor expenses for anyone anywhere on the list.

Thirty years ago, the representatives who passed the Transplant Act were unquestionably right to forbid rich Americans from exploiting people from developing countries by trafficking in organs. But they were wrong to forbid helping American organ donors with legitimate expenses.

Now, as then, living organ donors make heroic sacrifices to give life to others. We need to do anything we can to help them do that. By striking a new compromise we can save thousands of American lives.

@highlight

More died waiting for an organ than in WWI and II, Korea, Vietnam, Afghanistan and Iraq

@highlight

Sigrid Fry-Revere: Organ Transplant Act bans most payment to living organ donors

@highlight

Giving an organ costs $5,000 average, up to $20,000: Most Americans can't afford it

@highlight

Fry-Revere: We need to pay costs of someone donating organs to people most in need