(CNN) -- For two years in a row, I celebrated Independence Day in the oppressive heat of Iraq along with fellow soldiers. A few nonalcoholic beers and some locally grown watermelon were our replacement for hot dogs and potato salad.

This year, as Americans across the nation celebrate July Fourth with barbecues and fireworks, those most responsible for defending our independence, the military, will continue to fight two wars. And it is a shame that we will let yet another July Fourth pass us by without making substantial progress toward ending our unnecessary dependence on oil, a dependence that is funding the bullets that our enemies fire at our troops in Iraq and Afghanistan.

It is for that reason, and many more, that the fight for energy independence is being fought here at home, a struggle I hope more Americans will join in support of those who are fighting abroad.

Oil poses a clear threat to America's economic and national security. This spring we have watched as untold millions of gallons of oil flowed into the Gulf. But for years, we have watched as billions of dollars flowed to hostile nations to pay for oil.

Every day, we send well over a billion dollars out of this country to pay for oil -- money that could and should be used to grow our economy and create jobs. The simple fact is that our dependence on oil from nations in the Middle East and other regions constrains our choices, hamstringing America's flexibility and choices on the world stage.

Too often, we are forced to consider the impact our foreign policy will have on our oil supply instead of whether a choice is in line with our values. Every day, we make a clear choice between living up to those values (and strengthening our security) and prolonging our weakness as a dirty-energy nation.

Today, thousands of Americans are calling for a new freedom from oil -- a dangerous, dirty and vulnerable source of energy. This week, 10,000 American flags were planted on the National Mall, each representing Americans who have pledged to free our nation from a long and damaging cycle of dependence.

As Americans look to rebuild our economy, we must consider the massive, alarming and unprecedented transfer of wealth to those who do not share our values. America's ability to underwrite our national security always had, at its heart, the pumping arteries of a vibrant economy.

Unless we act soon, we will be held hostage to the rest of the world, not just for oil, but for the clean-energy technology that will power the next century of growth and prosperity. Already dependent on oil, our country needs to act now lest we become dependent on China for solar panels.

A more insidious impact of our dependence is clear in America's foreign and military policy. Today we are forced to both pay and protect the nations that supply our oil, the very nations that fuel extremism around the world and turn a blind eye to terrorist funding within their own borders. That money, winding its way through shady front groups and so-called charities, ends up funding not just insurgents in Iraq, but also in Afghanistan and Pakistan.

The tragedy in the Gulf of Mexico demonstrates, in clear and often painful terms, just how unreliable our energy sources have become. We are forced to drill to the deepest depths of the ocean, to despoil the richness of our God-given natural treasures, and to rely on dangerously uncontrollable technologies.

It is time for us to stand on our own -- to take control of our energy -- with sources that will not threaten our security, fund our enemies or force us to ignore our values. The long struggle to live up to the challenge of our values has always been difficult, but today we stand at a clear crossroads between moving beyond oil or prolonging our dependence on it.

Clean, American power is possible, but only if we commit ourselves to achieving that goal. In the spirit of the holiday and in light of the tragedy in the Gulf, let us dedicate the next two decades to winning a new battle for American independence -- from oil.

The opinions expressed in this commentary are solely those of Jonathan Powers.

@highlight

Jonathan Powers says U.S. thirst for oil threatens its economic and national security

@highlight

He says America sends billions to hostile regimes which helps fuel terrorism, insurgency

@highlight

Oil constrains American foreign policy choices, he says

@highlight

Powers: U.S. should dedicate next two decades to developing alternatives to oil