Baghdad (CNN) -- Iraqis headed to the polls Saturday to vote in provincial elections nationwide, the first poll in which the country's forces provided security without the assistance of U.S. troops.

Elections were held in most of Iraq's 18 governorates to replace local councils elected in 2009. Some provinces -- such as Anbar, Kirkuk and Nineveh -- did not hold elections because of insecurity.

Bombs were detonated in the days preceding and up to the election, sometimes killing and injuring candidates. On Saturday, six people were wounded at election centers, four from bombs in Latafiya south of Baghdad and two from mortars in Tikrit north of the capital.

But no major violence occurred, and the United States praised the the exercise as a brave democratic process. Security was so tight in Baghdad that some people couldn't make it to the polls because of curfew.

"In the face of security threats, millions of Iraqi citizens exercised their democratic right to cast their ballots at polls in twelve provinces across the country to choose new provincial councils," the U.S. Embassy said.

"This is a clear step forward for Iraqi democracy and a strong rejection of the violent extremists who have sought to derail democratic progress and sow discord among Iraqis. "

Martin Kobler, the U.N. special representative for Iraq, praised the "peaceful conduct" and commended election officials and security forces.

"Credible elections are critical to the country's stability," he said.

The elections are the first Iraq has held since parliamentary elections in 2010.

Prime Minister Nuri al Maliki was shown casting his ballot on state-run TV channel Iraqiya. He was among at least 15.5 million Iraqis were eligible to vote in Saturday's polls, the United Nations said, citing official estimates. Election officials estimated that around 50% percent of the voters turned out Saturday.

More than 8,000 candidates were reportedly vying for 378 seats on provincial councils.

CNN spoke to many people streaming to the polls.

They said they wanted change, stability and improvement in basic services. People of all ages voted, but in Baghdad at least, there was a clearly strong turnout of the younger generation.

"Inshallah," God willing, people said, as they expressed their hope for a better future.

Sectarianism a dark cloud over elections

The Sunni-Shiite sectarian strife in the region as well as Iraq was seen to be a major factor in the election and intimidation of voters.

Ramzy Mardini, adjunct fellow at the Beirut-based Iraq Institute for Strategic Studies, noted the detrimental attacks in the run-up to the election and said the divide is "widening, not closing."

"Today, al-Qaeda in Iraq appears to seek to influence the vote, rather than preventing the electoral process from occurring. The attacks appear targeted to keep Shiites at home and instill fear in Sunnis who are backing candidates that are cooperating with Maliki," he said, citing the Sunni militant group.

The rise of Sunni Islamists during the Arab Spring and the sectarian civil war in Syria represent "strategic drivers of instability in Iraq leading to Shiite fear and Sunni hubris. That's a dangerous combination, and it will sectarianize those fault lines even further as Iraqis undergo their first election cycle since the departure of U.S. forces," Mardini said.

As a result, there isn't "much political space for Sunnis and Shiites to cooperate. Those that do are likely to get punished at the ballot box."

The elections are a run-up to next year's general elections, shaping how politicians think about "political alignments going into next year's general election."

"It's a practice run. Everybody's got several political cards in their hands; how they perform locally can influence which card they choose to play or not play on the national stage," Mardini said.

But "national reconciliation" has been neglected.

"Iraqis will fall back on sectarian preferences when faced with fear and uncertainty, and there's plenty of fear and uncertainty for politicians to exploit to their sectarian advantage this election cycle," he said.

CNN's Mohammed Tawfeeq reported from Baghdad. CNN's Salma Abdelaziz and Joe Sterling reported from Atlanta.

@highlight

NEW: Analyst: National unity taking a background to sectarianism

@highlight

There were a number of attacks preceding the vote

@highlight

Elections are being held in most of the country's 18 governorates

@highlight

It's the first poll in which Iraqi forces will provide security without help from the U.S.