(CNN) -- From the air, the Namibian desert looks like it has a bad case of chicken pox. Spread across 1,100 miles of a narrow strip sit a smattering of barren polka dots, otherwise known as fairy circles. These sizable craters measure 10- to 65-feet in diameter, and represent one of nature's greatest mysteries.

Over the decades, a number of theories, from alien invasion to poisonous gasses have been put forth to explain the phenomenon. Last year, a study published in the journal Science made headlines by claiming sand termites were the culprit. None of these, however, have been fully proven.

"The point is, fairy circles are still a mystery. There's been lots of work done in the field and in labs, but none could solve the issue," says Stephan Getzin, a scientist from the Helmholtz Centre for Environmental Research in Leipzig, Germany.

Nature on repeat

Getzin, along with a team of Israeli experts, recently put forth a theory of their own. Using aerial photography, they were able to study the spatial patterns of the fairy circles. The consistency and breadth of their distribution put him in mind of other landscapes whose vegetation, from a distance, also resembles a textile designer's sketchpad.

"If you go to Wikipedia and type in 'tiger bush', you'll find aerial images of a county in Niger where the vegetation forms in striped patterns. In Australia, you have [areas with grass circles known as] spinifex grass," he notes.

"A few days ago, a professor in California sent me an example of ring-like patterns formed in the Mojave Desert."

Getzin hypothesizes Namibia's fairy circles are formed through a similar phenomenon: self-organization. Basically, in arid climates, where water is scarce and soil nutrient-poor, plants face stiffer competition for resources. As a result, they "organize" themselves at a distance to maximize what limited resources are available -- ultimately forming strongly ordered patterns on the landscape.

Debunking the termite

The self-organization theory comes about a year after biology professor Norbert Juergens argued in a paper published in Science that fairy circles were the work of a species of sand termite, psammotermes allocerus. Juergens' argument went that they created an underground oasis for themselves by eating the grass roots and killing them, thereby causing a subterranean water trap (without vegetation, water doesn't evaporate and remains underground). Getzin finds the explanation unlikely.

"I don't want to overstate things," he says. "But there is not a single study showing that social insects can cause such large-scale homogenous distribution patterns, as revealed by our study," adds Getzin.

"Whereas all insect studies showed large-scale clumping of nest locations, self-organization in itself can cause homogenous spacing at those scales and even beyond to several kilometers."

Juergens based his findings on the fact that p. allocerus were the only insect species found consistently across the full stretch of desert where the circles are present, and were especially abundant around the circles. Though a tempting explanation, some experts remain unconvinced.

"There is a high correlation between fairy circles and these termites, and therefore Juergens claimed that they're the cause. But it's just a correlation, and one of the most fundamental mistakes a scientist can make is to confuse correlation with causation," says Walter Tschinkel, a biology professor at Florida State University who specializes in both social insect behavior and fairy circles.

"The termite theory is very appealing to people, because it's relatively easy to understand, whereas self-organization requires some knowledge or intuition for how plants work," he adds.

More from Inside Africa

@highlight

Strange barren dots -- rimmed with tall grasses -- sprinkle a 1,100-mile stretch of Namibia's desert

@highlight

These are known as fairy circles, and their cause remains a mystery

@highlight

Last year, a theory that termites caused the circles made international headlines

@highlight

A German scientist thinks competition for resources is the cause