(CNN) -- President Obama named Solicitor General Elena Kagan as his nominee to replace retiring Justice John Paul Stevens on the Supreme Court.

CNN.com asked legal experts and commentators the significance of Obama's selection, what to expect from Kagan as a Supreme Court justice and what lies ahead in the confirmation hearings.

Patricia Millett, a partner at Akin, Gump, Strauss, Hauer & Feld in Washington, D.C, who co-chairs its Supreme Court practice. She has practiced extensively before the Supreme Court, where she has briefed approximately 70 cases and argued 28 cases. She spent 11 years appearing before the court as an assistant solicitor general during the Clinton and George W. Bush administrations:

While many have said that President Obama's replacement of Justice Stevens will not affect the direction of the court, it must be remembered that Supreme Court nominations are long-term investments for a president. In that regard, Elena Kagan is an excellent investment.

If she follows her predecessor's lead, she will spend four decades serving the nation on the court. While I agree that her arrival is unlikely to shift the court's jurisprudence significantly in the short term, she will likely remain on the court long after some of its leading conservative justices have retired.

Her brilliant intellect, affable personality, persuasiveness in oral and written advocacy and proven ability to build bridges and develop common ground among very independent thinkers (such as Harvard Law School faculty) will make her a true judicial leader on the court and will ultimately have a weighty influence on the development of the law throughout her tenure. Even in the short term, her powerful reasoning and consensus-building will likely influence the outcome of some cases.

Remember that 90 percent of the court's decisions are workaday rulings that do not capture headlines, yet that is the field in which the justices' inter-relationships and patterns of dialogue are forged. Finally, like all of the female justices who have preceded her on the court, Elena Kagan has impeccable qualifications and ability.

I sincerely hope that, with her appointment as the court's third sitting female justice and fourth in history, we will find ourselves coming to the point where the female gender of a nominee is no longer a novelty. It is past-due time for the appointment of women on the court to be accepted as a commonplace.

Julian E. Zelizer, professor of history and public affairs at Princeton University's Woodrow Wilson School in New Jersey:

With a year under his belt, we can now say that Elena Kagan is a quintessential Obamanian pick. Foremost, she has impeccable academic credentials; Obama likes to fill positions with the best and the brightest.

When she appears before the Senate, her knowledge of the law will be impressive and can put senators on the defensive. Furthermore, her positions are difficult to characterize politically. Like Obama, she is somewhat elusive.

Kagan has enough on her record, such as supporting certain expansions of executive power, to concern the left and enough on her record, such as her position on military recruitment on campuses, to anger the right. This will make her more difficult for Republicans to target effectively during the confirmation hearings.

Ilya Shapiro, senior fellow in constitutional studies and editor-in-chief of the Cato Supreme Court Review at the Cato Institute, a libertarian-leaning think tank in Washington, D.C.:

Kagan is not the worst choice, but other short-listers would have been better in various ways. While any Obama nominee would have similar views on hot-button issues like abortion and gay rights, Diane Wood would have been great on antitrust and complex commercial litigation, for example, and Merrick Garland would bring a stronger understanding of administrative law.

Generally, there is no indication that the solicitor general is anything but a standard modern liberal, with all the unfortunate views on the scope of federal power that that entails. Another concern is her mediocre performance in her current position. I question the choice of arguments she made in Citizens United and United States v. Stevens, for example -- in the first case abandoning the court's rationale in the precedent she was defending, in the second asserting that protection for speech varies inversely on the speech's social value. But she may be better suited to a judicial rather than advocacy role.

With Democrats holding a large Senate majority, Kagan's confirmation is in little doubt.  More interesting will be the debate over constitutional limits on government.

Guy-Uriel Charles is a law professor at Duke Law School in North Carolina, where he is the founding director of the Center on Law, Race and Politics. He is Haitian-American and blogs at http://www.coloreddemos.blogspot.com///

We know a lot about Elena Kagan's biography and background. She was an academic, the first woman dean of Harvard Law School, worked for President Clinton, and is the current solicitor general.

But we know very little about her views. With the exception of some strong comments about military recruitment at Harvard, she has not expressed or taken any positions on the significant public policy issues of the day.

She has not developed or communicated any ideas about the role of the Supreme Court in a democratic society. She has not been at the forefront of legal thinking on any difficult constitutional matter. Indeed, the fact that we know so little about her views is apparently one her qualifying characteristics.

Her nomination thus sends a very clear message to aspirants to the Supreme Court: If someday you wish to be nominated to the Supreme Court, say nothing of substance. We have created a process by which our most thoughtful leaders, individuals such as Harvard's Lani Guinier, University of California Irvine's founding dean Erwin Chemerinsky, University of Chicago's Geoffrey Stone, Stanford's Pamela Karlan and so many others, would be deemed unqualified for the court simply because they have dared to substantively and courageously engage the issues of their time.

Would Thurgood Marshall or Ruth Bader Ginsburg be nominated under this current framework? One wonders whether a game that promotes politics over principle is worth the candle.

Ed Whelan, a former law clerk to Supreme Court Justice Antonin Scalia, is president of the Ethics and Public Policy Center in Washington, D.C., a nonprofit organization that describes itself as an "institute dedicated to applying the Judeo-Christian moral tradition to critical issues of public policy." He served during President George W. Bush's first term as principal deputy assistant attorney general for the Office of Legal Counsel in the U.S. Department of Justice:

President Obama claimed he was searching for a Supreme Court justice who would protect the concerns of American citizens. By that standard, Elena Kagan is a very strange pick.

While American soldiers were fighting Islamic terrorists abroad and defending our national security, Elena Kagan kicked military recruiters off the Harvard law school campus. In doing so, she elevated her own ideology above what Congress, acting on the advice of military leaders, had determined best served the interests of national security.

Kagan has no judicial experience, hardly any real-world legal experience and a scant record of legal scholarship. She's been adept at cultivating the powerful, as her paid role as a Goldman Sachs adviser shows. Her primary advantages over the other contenders for the nomination were that she's an Obama insider and that she's largely succeeded in hiding her legal views. Her nomination deserves rigorous scrutiny.

Renée M. Landers, faculty director and professor of law at Suffolk University Law School in Boston, Massachusetts:

The nomination of Solicitor General Elena Kagan for the Supreme Court reflects President Obama's characteristic preference for caution and conciliation rather than political confrontation in dealings with Congress.

First, the president is calculating that it will be difficult for the same senators who voted recently to confirm Kagan as solicitor general to decide that she should not be confirmed as an associate justice on the Supreme Court. Second, even though she does not have judicial experience like every other sitting member of the court -- and while if confirmed, she would become only the fourth woman to serve on the court -- in educational background and her work as a law professor and presidential appointee, Kagan's experience will not add diversity to the court.

Third, her views of presidential power (expressed in her writings and particularly in the path that the Obama administration has pursued on the Guantanamo detainees and on trials for those suspected of ties to terrorist organizations) would not seem to cause concerns among senators on national security grounds.

As solicitor general, however, Kagan recently declined to pursue an appeal in Limone v. United States, the case in which the United States Court of Appeals for the First Circuit upheld a damages award of more than $100 million to four men who spent decades in prison because the FBI framed them for a murder they did not commit.

Two of the men died in prison. Kagan's decision indicates not only a careful review of the law, but the implicit judgment that the government cannot use any and all means in pursuit of its law enforcement objectives, especially when those means involve a deliberate disregard for the rights of innocent individuals.

The opinions expressed in this article are solely those of the authors.

@highlight

Obama has nominated Solicitor General Elena Kagan to fill empty Supreme Court seat

@highlight

Experts weigh in on the nomination and the chances for approval

@highlight

Opinions are mixed on whether she was a wise choice