New York (CNN) -- For more than 200 years, it lay hidden beneath the ground upon which New York City's World Trade Center once stood.

Now, four years after its discovery, scientists say they've solved the mystery of the ship hull found in the wreckage of the former World Trade Center site in lower Manhattan.

The hull, originally found by archeologists monitoring the site's excavation, has been traced back to colonial-era Philadelphia, according to researchers at the Tree Ring Research Laboratory at the Lamont-Doherty Earth Observatory of Columbia University.

"An old growth forest in the Philadelphia area supplied the white oak used in the ship's frame and ... the trees were probably cut in 1773 or so -- a few years before the bloody war that established America's independence from Britain," according to a statement from the scientists. Researchers used a process known as "dendroprovenancing" to determine the hull's origins, whereby tree rings from wood samples were analyzed and referenced against several other historical tree chronologies.

"Trees respond to climate each year and that pattern of rings created within the tree produces a signature for that species in a forest or region," said Neil Pederson, a research scientist on the study. "We took oak samples from the World Trade Center vessel and made a record of growth through time. We then compared it to independent records of white oak that we had."

Researchers looked at oak chronologies from Boston through Virginia, but their analysis found that the samples had the greatest compatibility with trees in eastern Pennsylvania, particularly in the Philadelphia area dating in the latter part of the 18th century.

Scientists also found that the same kind of oak trees used to build the ship were also likely used to build Philadelphia's Independence Hall, where the Declaration of Independence was signed in 1776, the study said.

The ship was found approximately 6.7 meters, or nearly 22 feet below ground, just south of where the World Trade Center towers stood before they were toppled in the September 11, 2001, terror attacks. It was not detected during earlier construction.

"It's such an intense site already based on its recent history, so to be in the midst of this urban, modern, very fraught location, and then to be sitting on what was a river bottom, with clams and fish, and the smell of low tide, was really an amazing juxtaposition," said Molly McDonald, an archeologist with the environmental consulting firm AKRF, who was among those who discovered the ship's hull in the wreckage in 2010.

Archeologists typically perform basic research to determine whether a construction site could be sensitive for archeological reasons, said McDonald. She and her colleagues had been at ground zero to monitor construction for any potential finds.

"Early one morning, we were monitoring and suddenly saw this curved timber come up," she recalled. "It was clear to me that it was part of a ship, so we stopped the backhoes and starting hand digging."

The ship has been tentatively identified as a Hudson River sloop, which researchers say was designed by the Dutch to carry passengers and cargo over the river's rocky shallows.

After being in use for 20 to 30 years, the ship is believed to have sailed to lower Manhattan, where it was eventually sunk, either deliberately or by accident, and ultimately buried by trash and other fill materials purposely used to extend Manhattan's shoreline.

"Abundant fill materials such as rocks, earth, and refuse were placed behind wooden barriers or within wood structures to create new land. Earlier wharfs and abandoned merchant ships were often a component of the fill in newly constructed land," according to the study.

The majority of the ship remains are currently being stored at Texas A&M University, said Jason Conwall, spokesman for Empire State Development. The Lower Manhattan Development Corp., created in the aftermath of 9/11 to help plan the rebuilding of Lower Manhattan, is a subsidiary of Empire State Development, owns the ship.

"We're working on potential options for the future which could potentially include preservation of the ship, but right now, set plans are still being determined," Conwall said.

For Pederson and fellow researchers, the ship's discovery and the investigation that followed has provided data that may prove useful for further research.

"The beauty of dendrochronology is that we can actually use those same samples to understand past climate change and the ecology of forests. The response to our work has been really big, bigger than we expected," Pederson said.

"For us, we have this really rich data set from the World Trade Center ship that we can use for future work. In a way, the ship lives on."

A U-boat and its American prey haunt Gulf of Mexico

Explorer: Underwater pirates looted what he says is likely Santa Maria

After 125 years, ship rediscovered at bottom of San Francisco Bay

@highlight

Scientists say hull found at the WTC site likely originated from a forest in the Philadelphia area

@highlight

Vessel likely built around 1773 and believed to have been a "Hudson River Sloop" ship

@highlight

Scientists analyzed and compared tree-rings on wood from the ship with wood samples to determine probable age

@highlight

Ship's hull was found by archeologists at ground zero site in July 2010