(CNN) -- International criticism swiftly and robustly censured the decision by Turkish Prime Minister Recep Tayyip Erdogan to block access to social networking website Twitter. European Commission Vice President Neelie Kroes called the ban "groundless, pointless, cowardly" and the U.S. State Department likened it to "21st century book burning."

But Erdogan is less concerned about what the "international community says" and more determined to stem the seemingly unstoppable leaking of illicit audio recordings posted on Twitter and YouTube, allegedly documenting corruption in the highest echelons of the Turkish government, ahead of next Sunday's municipal elections.

Twitter is gaining popularity in Turkey as a forum for unhindered debate and information at the expense of traditional sources of news. It played a critical role in mobilizing opposition to Erdogan during last summer's Gezi Park protests. And no wonder -- media freedom in Turkey has plummeted from 98th to 154th position worldwide since 2006, according to Reporters Without Borders.

Publicity surrounding the Twitter ban notwithstanding, one should be careful not to exaggerate the near term impacts of this policy move. Research company Emarketer estimates that a mere 15% of Turkish citizens are Twitter users. This statistic suggests that Twitter use is limited to a small segment of tech-savvy and globally-connected Turks -- a fact that partly explains why they had the technical acumen to circumvent the ban and actually boosted Twitter usage by 33%, as revealed by social media rating agency Somera.

More broadly, the vast majority of the Erdogan's core supporters -- religious and conservative Turks -- are probably not avid Twitter fans. Their main concern is not media freedom or the pervasiveness of corruption but bread-and-butter economic issues. Ali Carkoglu, a political scientist at Istanbul-based Koc University, notes that popular perceptions of the state of the economy have not deteriorated significantly  implying that while Erdogan may lose some votes, he is likely to largely retain his base of support in Turkey's upcoming elections.

Opinion: Twitter ban is the least of Turkey's woes

What the Twitter ban indicates is that the Turkish leadership psychology is incapable of tackling effectively the myriad serious political, economic and external challenges facing the country. It does not appear inclined to implement structural and liberalizing reforms to prevent a "middle income trap" -- in other words a slow growth regime -- from taking hold. As I argued in a recent Chatham House report, in the absence of these reforms Turkish growth rates of 3% or lower will become the norm rather than the exception.

Turkey is addicted to continuous flows of fickle global capital and external debt to fund private consumption. Its economy suffers from persistently high current account deficits, meaning that imports vastly outpace exports and cannot be paid for by the low levels of domestic savings.

Unwisely, Turkey's focus on hubristic construction projects such as the third Istanbul airport and its capricious use of the law to suppress Twitter, rather than competitiveness and innovation, will most likely further undermine future business plans and -- critically -- the confidence of foreign investors.

Turkey's brand, which was on the rise during the first decade of this century, has witnessed a formidable hammering in the Middle East and North Africa. Very few in the region now look to Turkey as an inspiration for liberal politics and open markets. Tunisia has primarily supplanted Turkey on the consolidation of democracy, despite the latter's six decades of electoral experience.

Turkey is a vivid illustration that personality-based top-down governance and fragile institutions are not a recipe for political maturity and lasting economic success.

This strategically-located nation of 76 million people demonstrates the time-honored principle that "absolute power corrupts absolutely" and reinforces Winston Churchill's dictum that "democracy is the worst form of government, except for all those other forms that have been tried from time to time."

READ MORE: Turkey's Twitter ban condemned by president
READ MORE: Turkish PM Erdogan vows to 'eradicate' Twitter

The opinions expressed in this commentary are solely those of Fadi Hakura

@highlight

Turkish PM Recep Tayyip Erdogan blocked Turkish internet users' access to Twitter

@highlight

Move was widely condemned around the world, Twitter users in Turkey flouted the ban

@highlight

Fadi Hakura: Erdogan keen to stem damaging leaks ahead of local elections in Turkey

@highlight

Hakura: Ban risks scaring off investors, which could hurt Erdogan politically