(CNN) -- If ever there was a place for ghost stories, it's Cornwall -- the rugged peninsula of southwest England that tumbles into the Atlantic Ocean.

Already remote, this often windswept corner was further isolated earlier this year when horrendous storms severed its only rail link, prompting round-the-clock efforts to reconnect it.

So it seems only fitting that, when I visit the region, I do so in the company of a long-dead novelist, playwright and poet with a penchant for the paranormal.

That's not to say I'm accompanied by a ghost as I make the five-hour rail journey from London's Paddington Station, although a spectral Victorian lady would be quite at home in the retro carriages of the Night Riviera Sleeper -- one of Britain's last intercity cabin trains.

Nevertheless, Catharine Amy Dawson Scott, who died in 1935 at the age of 69, is with me in spirit thanks to a vintage guidebook she penned while living on the north Cornish coast.

Spooky novels

Published in 1911, the stilted prose of "Nooks and Corners of Cornwall" is a far cry from the exuberance of today's travel guides, but the book's claim that the region rewards repeat visits is enough to inspire my own return.

My destination is "Wastehills," the house that Dawson Scott lived in for several years, entertaining guests such as English playwright Noel Coward, and drawing inspiration for spooky novels such as "The Haunting."

A formidable literary presence, Dawson also co-founded PEN International, a pressure group that defends writers' freedom of speech, and that was a staunch campaigner for women's rights.

I don't linger at my first stop, Newquay -- a party-loving gateway to the region's many beaches -- jumping in a cab and heading north.

Fifteen minutes later I'm at The Scarlet (Tredragon Road, Mawgan Porth, +44 1637 861800) a luxury eco-hotel and spa with an enviable clifftop position overlooking the surfing beach of Mawgan Porth and the epic 1,014-kilometer South West Coast path, one of the world's most spectacular oceanside hikes.

The hotel's welcoming, relaxed vibe leads into spa treatments in womb-like tents, green technology and paintings by local artists.

'Lovely and lonely'

Next stop is Constantine Bay, a 10-minute bus or car ride northeast along the coast.

This wild and windswept arc of sand and rock pools is one of Britain's best surfing beaches and was once a favorite destination for Margaret Thatcher.

We're in prime Dawson Scott territory here and, although the beach is thronged in summer with splashing families, the book says it's a "lovely and lonely bay."

There are great walks in either direction -- to Treyarnon Bay, with its natural swimming pool, across an easy stretch of headland, or Trevose Head Lighthouse and Booby's Bay which, despite the comedic name, is described by Dawson Scott as "somewhat eerie."

Back in Constantine Bay, home for the next few nights is Sailaway (from $1,389 per week), a stylish split-level beach retreat that touts itself as eco-friendly.

After I settle in, Ben, a sailor whose parents built Sailaway, takes me over the lane to Wastehills.

Dawson Scott's old home, now owned by Ben's family, is set in lush and tropical gardens that feature a giant tree house.

It feels like the haunt of a literary figurehead -- cozy, lived-in, casually elegant and adorned with family photographs.

Ben tells me that sometimes he feels a presence in the house, often shutting doors at night only to later find them wide open.

Is it, we wonder, the ghost of Dawson Scott?

Later we head to Padstow, a working fishing port on the mouth of the Camel Estuary.

Dawson Scott describes this popular seaside town a "little place with narrow streets all running uphill," which despite its exposure to the sea "still contrives to exist."

Bitter/sweet

No stranger to unhappy endings, Dawson Scott may have seen doom and destruction here -- "The Haunting" ends with a ghost-haunted murderer awaiting a soggy fate as waters rise around him in a coastal Cornish cave.

Given that she wrote a guidebook to the region, it's more likely she hoped for a thriving future.

She wouldn't have been disappointed.

These days Padstow attracts hordes of foodies headed for local venues such as The Cornish Arms (Churchtown, St. Merryn Padstow, +44 1841 520288), a dining pub owned by cookery writer Rick Stein.

The Michelin-starred Paul Ainsworth at No. 6, (6 Middle St., Padstow, +44 01841 532093) is a converted 18th-century townhouse where I choose from a menu that includes Cornish hake with saffron Milanese, salmon with beetroot and sea emulsion.

I finish with a malt espresso crÃ¨me brulee with doughnuts -- a perfect blend of bitter and sweet that matches the tone of Dawson Scott's travel writing.

It's a good moment to savor her verdict of Cornwall.

"There is so much to interest, so much to see -- almost too much it would seem," she writes.

"But Cornwall is a place to go to again and again, to go to till it seems as your own land."

Perhaps, like the ghosts of her novels, she's still around doing precisely that.

Jini Reddy is a freelance journalist based in the UK. Her writing has appeared in numerous web sites, newspapers and magazines.

@highlight

With retro carriages, the Night Riviera Sleeper is one of Britain's last intercity cabin trains

@highlight

South West Coast path is one of the world's most spectacular ocean-side hikes

@highlight

Despite its comedic name, author Catharine Amy Dawson Scott described Booby's Bay as "somewhat eerie"