(CNN) -- In 2001, I became the first tenured female faculty member ever in Yale's physics department. Throughout my 30 years as a physicist, being the only woman in the room has been the norm. Women fill more than half of the jobs in the U.S. economy but constitute fewer than 12% of working physicists and engineers. For me and for others in STEM fields (science, technology, engineering and mathematics), the dearth of women is not news.

What was big news last week was a study, from colleagues in other departments at Yale, explaining why this deficiency of women persists.

Evidence shows that established scientists at top research universities -- those choosing and training the next generation of STEM experts -- unconsciously rate budding female scientists lower than men with identical credentials. They judge women less capable, less worthy of hiring and less deserving of mentoring. And they propose starting salaries that are on average 14% higher for men than for women.

Are we really ready to take a look at 'real women'?

The new study is the first to be done on STEM faculty rather than, as is more typical, college undergraduates. Hundreds of earlier studies on undergraduates established that the name on a résumé affects our perceptions. And that women and men both act with unconscious bias to privilege those who already dominate a specific field of work, whether that means preferring a man's résumé for a job in physics or a woman's for a job in nursing.

When I was a young scientist, the dearth of female colleagues bothered me. So did the general lack of concern this raised in the scientific community. Occasionally, a colleague might ask why there weren't more women in physics, but their favorite hypothesis didn't hold water: that family priorities are to blame, because the years raising children often coincide with the crucial years as an assistant professor right before getting tenure.

But if family considerations slowed the advancement of women, why would women without children have similar career trajectories to those with children who remained full-time in the work force? It didn't add up.

I also struggled to understand why I didn't seem to belong in my field -- why I was overlooked for leadership roles, why I was underpaid, why my suggestions were ignored until a male colleague proposed the same idea and why female scientists in general garnered a disproportionately small share of honors and awards.

Then I stumbled on a description about bias in Virginia Valian's eye-opening book, "Why So Slow? The Advancement of Women."

It was a classic Eureka moment. My observations of the underappreciation of women in science were suddenly explained by a simple idea: that each of us, having grown up in a society where men and women are not equal and do not populate the peaks of accomplishment equally, has an unconscious expectation that men are leaders.

Consider this riddle I heard as a kid: A man and his son are in a serious car accident. The man dies on the spot, and the son is rushed to the hospital. Upon entering the operating room, the surgeon says, "I can't operate on this boy; he's my son."

I was utterly unable to figure out how the boy's father could both be dead and about to perform surgery. Of course, the answer is that the boy's mother was the surgeon. That possibility never crossed my young mind because, until I was in my 20s, I had never had a female doctor. So it's not surprising that I developed an unconscious expectation that doctors would be men.

Opinion: Lift up women to lift the world

The social science research made all kinds of sense to me. Our experiences of life are turned into unconscious expectations that affect how we see others. When scholars reviewed a psychology research paper, for example, they scored it higher if the author's name were male than if female. A male applicant for a job as police chief was rated higher than a woman, even though she had important qualifications for the job that he lacked. Similarly, a male applicant for a job as nursing supervisor was rated lower than the female applicant, even when he had the qualifications she lacked.

These experiments, which vary only the name at the top of the résumé, are repeatable. Time after time, the results are the same.

Perhaps the biggest worry is that people who swear they are objective are the most likely to make biased judgments. In several classic experiments, subjects were asked which criteria are most important for a particular job and then shown two résumés: one of the "wrong" gender who had all those qualifications and one of the "right" gender who lacked them. Yet the subjects rated the person with the "right" gender higher, i.e. they ignored the criteria they had earlier said were most important. And this tendency was greatest among those claiming objectivity.

Those who admitted at the outset that they were not objective were the least likely to shift criteria because of gender. It seems like people who are aware of the unconscious biases we all carry are less likely to make judgments influenced by that bias.

You can even check out your own objectivity on a website: implicit.harvard.edu. It's a sobering experience. Mine is probably typical: I so deeply wanted to be unbiased, but while taking the online tests, I felt the impact of gender and race on my reactions. Mahzarin Banaji, the Harvard professor who started the website, says she too showed signs of bias when she took her own test. If she can admit that, perhaps the rest of us can be open to the possibility.

Opinion: Why do women still lag in journalism?

Objectivity is the core value in science. We are trained to be objective; to be a good scientist is to be objective. Any suggestion that a scientist is biased can be a serious insult.

But as the new study tells us, despite our best hopes, we scientists, like everyone else, expect men to be better scientists than women, and we project those expectations on the real people we encounter, not consciously and not meaning to discriminate yet evaluating women below their demonstrated potential.

This means most of us can't be gender-blind or color-blind or unaware of difference. That's not the goal right now. What we must do is acknowledge our inner biases and make sure we try our best to avoid them.

Maybe then it will become possible for bright young women to move forward in STEM careers as easily as the men do, making discoveries, improving our lives, changing our preconceptions and reducing our unconscious biases.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

A new study shows established scientists are biased against women in science

@highlight

Meg Urry: Most of us have unconscious expectation that men are leaders

@highlight

She says we can't be gender-blind or color-blind, even when we think we are

@highlight

Urry: We must acknowledge our inner biases and try our best to avoid them