When Mr He, a 39-year-old furniture factory owner came down with flu symptoms late last year, he wasn't worried.

According to his family,  the man, who worked in Guangdong province in southern China, had always been healthy.

Weeks later, He was on a ventilator. Hospitalized for about 20 days, he slipped into a vegetative state and later died, his family said.

He was diagnosed as having H7N9 virus, a new strain of avian flu that jumped from birds to humans for the first time last year, said his close cousin, who requested not to be identified.

"I couldn't believe it," she said. "How could this happen to him? It all came so suddenly to a healthy person."

In recent weeks, China has seen a spike in cases and experts are worried that infections will gather pace as the country celebrates the Lunar New Year this week - a peak time for travel and for poultry sales.

Fresh wave?

Since the strain was first reported in Shanghai in February 2013, it has affected 246 in mainland China, according to Hong Kong's Department of Health. The World Health Organization says that 56 have died from the disease.

The number of cases faded after May, but returned in late 2013. Like all flu strains, H7N9 cases increase during colder months.

In January alone, 19 deaths and 96 human cases have been reported, according to figures from the Chinese Center for Disease Control cited by state news agency Xinhua on Monday -- rivaling the initial wave of H7N9 cases seen in March 2013.

Cases have also been reported in Taiwan and in Hong Kong, which on Tuesday began culling 20,000 chickens after a sample of live chicken imported from mainland China tested positive for H7 viruses.

According to the WHO, most of the human cases were exposed to the H7N9 virus through contact with poultry or contaminated environments, such as live bird markets,

"When the chickens are very overcrowded, at the time of festivals like Christmas, Chinese New Year, and there are no bio-security measures taken, then the virus spreads through poultry very quickly," said Dr. Kwok-Yung Yuen, chair of infectious diseases at the University of Hong Kong.

"It's also possible that travelers will bring live poultry back to their own villages," he added.

The WHO does not plan to issue a special advisory ahead of the holiday, said Gregory Hartl, a spokesman with the organization.

"Further sporadic human cases are expected in affected and possibly neighboring areas, especially given expected increases in production, trade and transport of poultry associated with the upcoming Lunar New Year," the WHO warned.

The Lunar New Year is one of the biggest annual human migrations on the planet as most Chinese travel to spend the nearly two-week holiday with their families.

'Stringent measures needed'

The H7N9 virus appears deadlier than the seasonal flu, but less virulent than another bird flu strain, H5N1, with a crude 30% mortality rate, said Yuen, who has worked on major outbreaks including Severe Acute Respiratory Syndrome and H5N1.

He said the key is to implement sanitation measures at the live poultry markets. He drew parallels of the current situation in China with the first case of H5N1, which appeared in Hong Kong in 1997.

The Hong Kong government implemented rules such as requiring regular cleaning of transport cages, mandating a rest day when no live poultry would be allowed at the marketplace and ordering all unsold birds at the market to be killed in the evening.

Yuen said such measures are crucial to avoid the spread of the virus.

"There will be an increasing number of cases in the coming February to May unless the mainland government takes more stringent measures to stop this spread," Yuen said.

Live poultry trading has been halted in three cities in the hardest-hit province of Zhejiang in eastern China, Xinhua reported.

And in Shanghai, the live poultry trade will shut starting January 31 to April 30 to prevent spread of bird flu, according to Xinhua.

However, not all H7N9 patients have had close contact with live birds, including the case of He, whose cousin said his closest poultry contact was eating chicken at a restaurant.

On January 19, a 31-year-old  Shanghai doctor died, marking the first medical worker death from the strain.  The doctor, according to Xinhua, appeared to have limited exposure to poultry or a contaminated environment, .

Infection of health care workers is closely watched because it might indicate human-to-human transmission in a medical setting.

"Sometimes we just don't know the source," said the WHO's Hartl.

Not having exposure to poultry doesn't equate human-to-human transmission, he added. H7N9 does not appear to transmit easily among humans, according to the WHO.

Loved ones suffer

Family members who've seen their loved ones suffer from H7N9 describe a long, harrowing illness, that resembled pneumonia.

Zhang Kewei's 57-year-old father, who lived in eastern province of Zhejiang, was diagnosed as having H7N9 after developing a 104 degree Fahrenheit fever in November. He did not survive.

"He, at first, felt cold and had a fever and later, his oxygen level in his blood dropped to 40 per cent," said his daughter Zhang Kewei.

His family struggled to transfer him to a bigger hospital. When they did, it took several days to confirm that he had H7N9, she said.

"We couldn't stop crying," said Zhang. "But we had to wipe away tears, and told my dad that he was ill, but assured him that he would recover, but needed to suffer a little because the needles could hurt."

"My father then said: 'It's OK. I'm not afraid.'"

@highlight

H7N9 bird flu cases spike in China ahead of Lunar New Year

@highlight

In January alone, 19 deaths and 96 humans have been infected, Xinhua says

@highlight

Expert urges tougher bio-security measures in China's live poultry markets

@highlight

H7N9 has pneumonia-like symptoms, family of patients tell CNN