(CNN) -- Remember when oil giant BP paid billions of dollars to clean up its own mess from the 2010 Gulf oil spill?

Then the company agreed to plead guilty to criminal charges and pay an unprecedented $4 billion fine for the spill.

In the latest development, Wednesday, BP was essentially told to stand in the corner when it comes to winning new federal contracts -- a potentially huge blow to the company's bottom line.

And it's still likely on the hook for civil penalties the federal government hopes to recover for environmental damages.

So, is BP being punished enough for the deadly and destructive Deepwater Horizon spill, or too much? It depends on who you ask.

This matters. BP says it supports nearly a quarter of a million American jobs and has invested $52 billion in the United States since 2007. Experts suggest punishments ranging from massive fines to banning the company from offshore drilling.

However this all shakes out, it likely will send a powerful message to the industry.

Families of killed rig workers react to BP settlement

First, here's what happened Wednesday:

The U.S. Environmental Protection Agency said it will block BP from new government contracts due to its "lack of business integrity" stemming from the 2010 explosion and oil spill.

It was a tragedy that killed 11 oil workers and dumped 205 million gallons of oil into the Gulf in a slow-moving, 85-day national drama that prosecutors called the worst environmental disaster in U.S. history.

This month hasn't been good to BP.

The decision follows the London-based company's agreement November 15 to plead guilty to criminal charges including manslaughter, obstruction of Congress and environmental violations related to the explosion and spill -- an agreement that still requires a judge's approval.

What it means

Wednesday's EPA decision means BP won't be allowed to compete for new contracts, grants or other business until the company shows it meets federal business standards.

As of February, BP had $9 billion in contracts to supply the U.S. government with fuel, most of it destined for military users, said Christine Tiscareno, a London-based analyst with S&P Capital IQ.

Those contracts aren't affected by the EPA decision, the agency said.

BP said it's already filed paperwork to get back in good graces with the EPA, said the agency is already preparing an administrative agreement to lift the suspension and highlighted what the company says it's done to rectify the situation.

"As BP's submissions to the EPA have made clear, the company has made significant enhancements since the accident," the company said in a statement. "The company launched an internal investigation immediately after the accident, publicly released the results, and has been implementing all 26 of the investigation's recommendations."

What's ahead

The next big step in the case comes in February, when a civil trial is expected to begin over the government's demand for civil damages under the Clean Water Act. That case could draw huge new fines for the company.

The disaster, in addition to claiming 11 lives, caused disruption to countless residents and businesses, many of whom counted on the Gulf for their livelihoods, whether in the oil fields, fishing grounds or tourist beaches.

For some, including environmentalists, the company couldn't be fined enough or spend enough money to get back on their good side.

"Well, you know, we're discussing the worst environmental disaster in U.S. history," said Matt Dundas, acting campaign director at the environmental group Oceana. "The punishment needs to fit the crime."

But, he said, the record $4 billion fine BP is expected to pay as a result of the criminal case is a tenth of the maximum it could have faced, making it small consolation to BP's harshest critics.

The fine, while a record for the U.S. justice system, represents less than three months worth of profits for BP. The company reported $5.2 billion in profits in the quarter that ended September 30.

Dundas is now rooting for the maximum possible verdict in the civil case -- $50 billion in fines. But he says there's only one punishment that would really get BP and other oil companies to sit up and take steps to prevent what Dundas says is the overwhelming risk of another large oil spill: being kicked out of the game entirely.

"I think a terrific minimum would be to bar them from offshore drilling," he said. "That's really the only standard that's going to get oil companies to pay attention."

The head of a trade association representing BP and other oil and gas operators in Louisiana and the Gulf of Mexico said Wednesday that BP has already complied with government requirements.

"BP has done everything that the federal government has asked and more. ... This new EPA designation is another layer," said Chris John, president of the Louisiana Mid-Continent Oil and Gas Association. "How much is enough, when the economy in America is trying to dig out of the recession, and energy ... is a very important component to getting Americans back to work?"

The EPA's decision could have a negative impact beyond BP, he said, affecting other companies in the industry who have also complied with regulators.

"The companies that operate out in the Gulf of Mexico, they can go anywhere, they're global. They can drill anywhere in the world," John said. "They have chosen to come back to the Gulf in the past few years. ... This additional statement and designation by the EPA has to play into their decision of where to put their capital."

BP didn't directly address whether it believes it has paid enough for the disaster, but noted Wednesday that it has spent $14 billion in response and cleanup costs, $1 million on restoration projects and $9 billion in compensation and expects to spend $7.8 billion more to resolve the majority of outstanding claims.

Owning up

The company also pointed out it has acknowledged criminal responsibility, carried out recommendations made by investigators who studied the incident and has taken actions to strengthen safety and drilling standards that exceed federal regulations.

Tiscareno, the oil analyst, said that while the costs to BP have been steep, they are bearable for the company.

The big question is what happens in February, when the civil case goes to trial.

Tiscareno said she expects BP, which has taken a long-term approach to recovering from the spill, will recover financially unless the civil trial nets an "irrational" decision.

A huge verdict could pose problems for BP, Tiscareno said, but she said the government can't go too far in gutting the firm because of all the jobs and tax revenues the company provides.

BP has invested $52 billion in the U.S. in the last five years, employs 23,000 U.S. residents and indirectly supports nearly 250,000 jobs, the company said Wednesday.

"The U.S. needs BP as much as BP needs the U.S.," Tiscareno said.

CNN's Kendra Wates and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Trade association: "BP has done everything that the federal government has asked"

@highlight

Two years after the oil spill, experts weigh in on possible punishments for BP

@highlight

BP says it expects the temporary ban will be lifted soon

@highlight

The EPA says the oil giant showed a "lack of business integrity"