New York (CNN) -- "Guy who eats weird food" is probably how most people think of Andrew Zimmern. It's a title he's earned after years of choking down (and frequently appearing to enjoy) such strange edibles as iguana, live octopus, rotten shark and (urgh) cow placenta on his Travel Channel show "Bizarre Foods."

But there's more to Zimmern than a fearless digestive system. He's also a celebrated chef. Not that surprising? OK, how about this: He was a homeless alcoholic and drug addict for almost a year.

Zimmern was lucky. Friends and family arranged an intervention and entered him into an inpatient rehabilitation facility in Minnesota. Once sober, Zimmern worked his way back up the culinary ladder he had descended, culminating in a post as executive chef at Minneapolis' CafÃ© Un Deux Trois. That position ultimately led to his current TV hosting role.

Years after his rehabilitation, Zimmern was approached by his former homeroom teacher, who wondered whether he would consider being involved in a nonprofit benefitting those whose story Zimmern knew all too well: Services for the Underserved.

SUS specializes in helping individuals and families in New York facing homelessness, mental illness, disabilities, HIV and other barriers to employment. It takes a holistic approach, providing training, housing and support tailored to people's unique situations.

Intrigued, Zimmern went to visit SUS's residential facilities and meet with participants. "I immediately wanted to get involved," he said. "The greatest gift I've been able to receive in life is another chance, and I want to make sure other people have that opportunity as well."

He felt that its multipronged approach to people's issues is what sets SUS apart from other organizations. "It's not enough to give a homeless person a home," he explained. "You have to treat them with dignity and respect; you have to train them to get back into the job service system; you have to address their mental health issues and physical health issues."

At the SUS Clubhouse in Brooklyn, a multitude of activities are taking place at any given time. Peer training is one, where many of those who have overcome challenges such as mental health issues and homelessness work with peers to mentor and prepare them to, in turn, help others who are struggling.

Job skills training, veteran outreach and mental health services are available there. A kitchen provides culinary training and food for SUS beneficiaries.

It's only one of many facilities and services offered in the city.

SUS is reactive; if it sees that a person has a special skill, be it artistic, cooking, gardening, or a particular need such as addiction treatment or counseling, the organization will try to provide for that. It often simply fills gaps in basic needs that federal or city services have left in underserved populations, such as housing and food.

"The idea is to help people achieve self-actualization and empowerment," said Donna Colonna, founder and CEO of SUS. "So that's where the money goes -- and some real bricks-and-mortar type things; we do a lot of housing. ... But we definitely need continued support."

Funds are spread around the various initiatives, but despite the fact that it has existed for several decades, SUS sometimes struggles with visibility and budgeting so many initiatives in a city as large as NYC.

Boosting visibility and helping with fundraising is a large part of Zimmern's work with SUS. For one such initiative, he organized a "dinner for a better New York," enlisting the help of 11 celebrity chefs such as Masaharu Morimoto, Nobu Matsuhisa and Marc Forgione to create a menu, and an evening, to raise money and awareness for SUS.

Zimmern believes it's his personal history with addiction and homelessness that makes him a particularly helpful advocate for SUS. "I can relate to the residents and the community that SUS serves in a very unique way," he explained.

For Zimmern, his work with SUS is something of a karmic opportunity. "If I have been given this success that the second chance has (given me)," he says, "to not extend the lifeline of helping, do what I can to help those in need, I think, would be really shameful."

To that end, he wants people to know that every little bit helps. "Not everybody is so disposed to go out and volunteer or raise money or actually sit down and talk to another person by sitting at the end of their bed when they're in a residential situation and try to help them," he acknowledged. "Those that do that, however, need our support."

Donate to SUS

@highlight

Zimmern was homeless for almost a year on the streets of NYC

@highlight

The "Bizarre Foods" chef struggled with alcoholism and drug addiction

@highlight

Now he's working with nonprofit Services for the Underserved

@highlight

SUS provides homes, training and other services for needy New Yorkers