Beijing (CNN) -- After focusing on "green cars" in recent years, carmakers are wowing visitors at the Auto China 2012 car show with vehicles that are big, bad and gas-guzzling.

"I would definitely be interested if the price was right," says Wang Xizhen as he ogled a deep purple Aston Martin DBS.

Aston Martin launched its Dragon 88 China-only limited edition this week. With gold dragon emblems embroidered onto its leather seats, the car also carries a hefty price tag - more than 5 million yuan (nearly $800,000).

Jeep also launched a China-inspired car -- a flashy Wrangler concept car emblazoned with a long silvery dragon across the hood.

"Jeep brand sales in China in 2011 increased 81% over the prior year and China," said Mike Manley, CEO of Jeep Brand, Chrysler group, at the unveiling on Monday. "Last year, more Jeep vehicles were sold in China than in any other country besides the U.S. and Canada."

Manley said because the brand is committed to China, it's important to design and tailor vehicles specifically to Chinese tastes. But some consumers, like Wang, disagreed.

"Just because it has a dragon on it, doesn't mean Chinese people will love it. After all, we're after going after a western brand," said Wang. "I like the subtlety of Aston Martin's dragon design, but to put a huge dragon across the entire car is going overboard."

Jeep and Aston Martin are among many foreign automakers hoping to woo hundreds of thousands of Chinese consumers visiting the show this week, especially as China has become the world's largest auto market amid a sales slump in Europe and tepid growth in the United States.

Despite the push in green cars in previous years following government subsidies for cleaner vehicles, this year's focus turned to gas-guzzling SUVs. Crowds swooned over the new Lamborghini Urus SUV concept car -- a potential competitor to the popular Porsche Cayenne.

Ford also unveiled three SUVs at the show, including the EcoSport, which is expected to be manufactured at the company's China factory in Chongqing.

"SUVs are a strength for Ford globally and here in China, the SUV segment is one of the fastest growing segments in the industry," said Joe Hinrichs, president of Ford's Asia Pacific and Africa region. "So you put the two together...it's a very exciting time."

Automakers have turned their attention to bigger cars and flashier cars to attract consumers since there are fewer government-backed incentives to pursue green technology, analysts say.

"It costs automakers about the same to manufacture a hybrid versus an SUV—so it's not profitable for them to pursue green cars given the market development for SUVs right now," said Zhang Xin, an analyst at Guotai Jun'an Securities, based in Beijing. "If you take into account China's widening wealth-poverty gap—it's a huge factor in luxury automakers in business."

Chinese auto sales -- which surged to 35% in 2010 -- showed signs of cooling in the first quarter of this year with just 2% growth. For high-end automakers like Rolls Royce, their bet on the China—their largest market—remains optimistic.

"It is really hard to predict growth rates, because when you look back nobody could have predicted the growth rates we've seen over the last couple of years," said Torsten Müller-Ötvös, CEO of Rolls-Royce Motor Cars, Ltd. "Since last year, we've seen growth rates of 50 to 60%, something I would definitely would not expect this year, but there's definitely sustainable growth to come."

But analysts like Zhang say with the demand, also comes pollution and infrastructure challenges.

"Experts here still say that China falls behind on the number of drivers it could have—whereas there are on average 140 drivers for 1,000 people in the world, China only has about 50 for every 1,000," said Zhang. "But they don't take into consideration population density and infrastructure challenges."

But for drivers like Zhang, who says he can only afford a local brand now but may upgrade to an Audi SUV in the near future, owning car is about convenience and comfort.

"I don't know many drivers who would be concerned about creating more pollution," said Zhang, a 26-year-old law student. "We just want travel in comfort and get to our destination on time."

@highlight

Big, bad and gas-guzzling vehicles are center stage at Auto China 2012

@highlight

Comes after recent Beijing car shows dominated by "green" cars

@highlight

Luxury car makers have launched a variety of vehicles aimed at Chinese consumers

@highlight

Chinese car sales grew only 2% the first quarter of 2012