California Gov. Jerry Brown has vetoed a bill that would have prohibited police in that state from conducting warrantless searches of the cell phones of people under arrest.

"This measure would overturn a California Supreme Court decision that held that police officers can lawfully search the cell phones of people who they arrest,"  the governor's brief statement said. "The courts are better suited to resolve the complex and case-specific issues relating to constitutional search-and-seizures protections."

The veto dismayed privacy advocates and others who said it could allow overzealous authorities to trample citizens' constitutional rights.

California Sen. Mark Leno, who sponsored the bill (SB 914), responded: "This veto is very unfortunate. The message from the governor was rather incoherent. When you consider all the information that is accessible on one smartphone, if that same information was contained anywhere else police would need a warrant to search for it. So it makes no sense to carve out a legal exception for smartphone searches."

According to California Assembly rules, state legislators must wait a year before attempting to reintroduce this legislation.

Over the summer, SB 914 unanimously passed the California legislature. The bill would have protected against the warrantless search of personal and private information contained in the cell phones of people who have been arrested.

This bill was inspired by a California Supreme Court ruling in January in the case of Gregory Diaz. After his 2007 drug-related arrest, an officer with the Ventura County Sheriff's Department checked the text messages on Diaz's phone and found incriminating messages.

That state court ruling has privacy implications that reach far beyond text messages. It allows police in California to access any data stored on an arrestee's phone: photos, address book, Web-browsing history, data stored in apps (including social media apps), voicemail messages, search history, chat logs, and more. Also, depending on the use of location-enabled services or apps that store data on the phone, the police might also be able to infer the arrestee's past whereabouts.

On October 3, the U.S. Supreme Court denied a petition to hear the Diaz case. So with the governor's veto, the state court ruling stands as law in California.

In a blog post about the California veto, law professor Orin Kerr contended that "Governor Brown has it exactly backwards" because legislatures tend to move far more quickly than the courts -- an important advantage when dealing with issues that involve fast-changing technology.

Kerr also pointed out that there's a conflict of interest when the executive branch, which oversees law enforcement in the state, is in a position to block laws that would limit the powers of law enforcement.

What happens next? Hanni Fakhoury, staff attorney for the Electronic Frontier Foundation (which has been supporting the California bill, and following this issue nationwide) expects an increase in law enforcement "fishing expeditions" involving cell phones.

"I think we'll probably start to see more questionable searches of cell phones in arrests that have nothing to do with cell phones," he said.

He cited a recent case before California's 6th Appellate Court in Silicon Valley, where police pulled over a driver expected of driving under the influence. Once they'd arrested the suspect, they searched his cell phone and found evidence indicating possible drug trafficking activity that was unrelated to the original arrest premise. The court supported this search, so evidence from the phone was legally used in the case.

Aside from Fourth Amendment concerns about self-incrimination, Fakhoury and Leno both observed that this veto poses clear concerns for First Amendment and press freedoms in California -- and perhaps elsewhere, as other state governments and courts decide what to do about warrantless cell phone searches.

Noting how much the Occupy Wall Street protestors are using cell phones to organize and publicize the demonstrations spreading around the United States, Fakhoury said, "California police might decide to arrest you for disturbing the peace, or illegal camping, and then check your phone and see messages coming through from organizers."

Said Leno, "Reporters who are covering protests and other events that attract police attention should be concerned about getting arrested and then having the info they gathered, including info about sources, ending up in police hands."

Since several states are wrestling with this issue, Fakhoury expects it will likely end up before the U.S. Supreme Court.

But in the meantime, if you're in California and are concerned about privacy and your constitutional rights, it's a good idea to protect your cell phone and other electronic devices with a password or encryption.

In our January story on warrantless cell phone searches, Catherine Crump of the American Civil Liberties Union told CNN that if you keep your phone locked, "The police can ask you to unlock your phone -- which many people will do. But they almost certainly cannot compel you to unlock your phone without the involvement of a judge."

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Governor vetoes a bill requiring police to get a warrant to search an arrested person's phone

@highlight

Authorities could search someone's texts, chat logs, photos, search history and more

@highlight

California legislators must wait a year before reintroducing the bill