(CNN) -- A 6-foot-4 football player is more than a million times the size of a typical Staphylococcus bacterium. But under the right conditions, that athlete could find himself defenseless against the microscopic bug.

Kellen Winslow recently had a second staph infection and has accused his team of covering it up.

The problem came to the forefront last week with Cleveland Browns player Kellen Winslow, who recently had his second staph infection. He is reportedly the sixth player to acquire staph among the Browns in five years.

Winslow recently said the Browns treated him like a "piece of meat" when he was hospitalized for the condition, and he claimed they covered up the cause of his illness.

After Winslow spoke out, the organization suspended him for one game, then rescinded the suspension after a settlement with Winslow over the weekend. The Browns said in a statement Saturday that the team and Winslow had worked through their differences, and that the team looked forward to his return. Winslow joined the team again Monday.

Peyton Manning of the Indianapolis Colts was revealed to have a staph infection, the Indianapolis Star reported Friday. University of North Carolina-Asheville fans also recently learned that Kenny George, the 7-foot-7 center on the basketball team, had a staph infection complication that led to part of his foot being amputated.

It's unclear how these high-profile athletes acquired their infections, but locker rooms have been found to habor staph bacteria in previous outbreaks. The topic is generating buzz throughout the sports world as more players' staph cases are revealed. Hospitals have long been known to be hot spots for transmitting staph, but recently cases have cropped up in other community settings. Regardless of where these players got their infections, the close quarters of a locker room raise questions about overall risks.

About 30 percent of people carry staph in their noses without exhibiting symptoms, according to the Centers for Disease Control and Prevention.

Experts say Methicillin-resistant Staphylococcus aureus, or MRSA, a form of staph resistant to common antibiotics, has become a more prevalent problem in settings such as contact sports that involve skin-to-skin touching.

Most MRSA infections acquired in community settings present themselves as sores or boils and often appear red, swollen, painful or with drainage such as pus, the CDC says. Infections often occur in cuts and abrasions but also on body parts covered in hair, such as the back of the neck, armpit or groin.

Schools, prisons and other crowded environments are particularly known for transmitting MRSA, said. Elaine Larson, professor of epidemiology at Columbia University's Mailman School of Public Health.

MRSA may spread particularly easily among athletes because they have repeated skin-to-skin contact, share items and surfaces that touch skin and have a hard time staying clean, the CDC says. Athletes often get cuts and abrasions; MRSA can enter uncovered skin breaks and cause infection.

Dr. James Steinberg, medical director at Emory University's Crawford Long Hospital in Atlanta, Georgia, said that environment plays a role in the spread of MRSA but that it's less a factor than coming into contact with a person's skin.

"If you have somebody who has an infection -- he has a draining infection -- and he gets some of his pus on a bench, that staph's going to be there for hours or days before it dries out," he said. "But the higher concentration is going to be on that person's skin."

A second infection in the same person could result from re-exposure or from treatment that didn't get rid of the bacteria colonization, he said.

MRSA has been around in hospital settings since the 1970s, but community-associated MRSA was born in the late 1990s, and is now widespread in the community, said CDC spokesperson Nicole Coffin. A report from the CDC said that the deaths of four children from MRSA in North Dakota and Minnesota during the late 1990s "demonstrate the potential severity of community-acquired MRSA infections."

A study on the St. Louis Rams published in the New England Journal of Medicine in 2003 found that during the 2003 football season, there were eight MRSA infections among five of the 58 Rams players.

To protect against MRSA, the CDC recommends practicing good personal hygiene and taking care of your skin, which includes wearing protective clothing and covering cuts and abrasions with clean, dry bandages. Also, do not share items that come into contact with your skin, such as towels, razors and ointments. Put something between your skin and shared equipment -- for example, sit on a towel on a bench.

Larson said she is not directly familiar with Winslow's situation but understands the dilemma that a team would face if a player contracted a staph infection. There could be economic and psychosocial repercussions -- for example, another team might not want to play against that one, she said.

But in general, other team members should be made aware of the situation so they do not share towels or engage in other behaviors that might transmit the infection.

Still, there is a danger of overreaction, she said. In some instances when a child in a public school has died, the whole school panicked and fumigated the facility, she said.

"It's a good idea to avoid that level of fear, because it's costly and it scares people unnecessarily," she said.

On Thursday, the Brown's General Manager Phil Savage said the team did not alert players to Winslow's staph infection partly because of the health privacy laws and partly because the team was in "game mode" when Winslow had a confirmed diagnosis.

"To come out and talk about that just was going to be another distraction," Savage said on his regular weekly appearance on WTAM radio in Cleveland, Ohio. "That's our job, is to limit distractions as much as we can."

Winslow said in a statement released through his publicist, Denise White of EAG Sports Management, that he had been discouraged from making the issue public.

"This has nothing to do with football, and this has nothing to with my current contract situation," he said. "This is a health concern."

A spokesperson for the Browns did not return a request for comment. An NFL representative said the league has no statement on the issue.

@highlight

Several professional athletes have recently had staph infections

@highlight

Experts say it is a growing problem in settings that involve skin-to-skin touching

@highlight

CDC: Don't share towels; put something between your skin and the bench

@highlight

Cleveland Browns' Kellen Winslow brought issue to forefront