Tripoli, Libya (CNN) -- Supporters of Libyan leader Moammar Gadhafi continued Thursday to put up stiff resistance in pockets across the country, despite growing international pressure and persistent attacks from domestic forces.

NATO estimates that 200,000 of Libya's 6 million people remain threatened by Gadhafi loyalists. Yet Libya's longtime ruler, his family and his supporters continue to be under stress from an array of sources.

That includes Interpol's issuance Thursday of a Red Notice calling for the arrest of Saadi Gadhafi, one of Moammar's sons, who allegedly used force and intimidation to take property while serving as head of the Libyan Football Federation. The notice allows the international police agency to widely circulate an arrest warrant with the intention of extraditing the suspect.

His father is wanted by the International Criminal Court in the Netherlands on charges of crimes against humanity perpetrated since the Libyan uprising erupted in February. Saif al-Islam, Moammar's son and Saadi's brother, as well as intelligence chief Abdullah al-Senussi are also wanted by the court.

In Tripoli, Prime Minister Mahmoud Jibril said Thursday that $16 billion in Libyan funds have been unfrozen by international banks, though not all of it has been made available to the country's new leaders. Still, the funds have eased the new country's financial situation, he said.

Soldiers and families of soldiers killed in fighting will be paid a monthly allowance, he said.

Noting the continuing fighting in Sirte and Bani Walid, he said a new government would not be formed "until Libya is fully liberated."

And Libya will import 750,000 lambs to be sacrificed in the upcoming Eid festival, he said.

Weeks after he lost his hold on power, Moammar Gadhafi's whereabouts are unknown, though the National Transitional Council reported Wednesday that he was somewhere near the western border town of Ghadamis.

Saadi Gadhafi, meanwhile, fled last month to neighboring Niger, where he was granted safe haven on humanitarian grounds.

Niger officials have refused to heed the demand of Libya's interim government that it hand over Gadhafi family remembers and/or regime officials who have fled there. They have said that Saadi Gadhafi, like other loyalists who have taken refuge, could be sentenced to death if returned to Libya.

U.S. Sen. John McCain said Thursday during a visit to the North African nation that Libyans would like to see Moammar Gadhafi captured and tried.

"There is no doubt this guy was hated by the people of Libya," McCain said.

He and Republican senators Marco Rubio of Florida, Lindsey Graham of South Carolina and Mark Kirk of Illinois traveled to Tripoli to see the nation's post-dictatorship progress. Among other stops, they visited a prison.

While saying that Libya's interim council "still has a lot of work to do," McCain called Libya a showcase of the Arab Spring: the movement in North Africa and the Middle East against a number of long-serving rulers.

"The Libyan people have inspired the world," McCain said. "They have turned cynics into supporters."

But Gadhafi loyalists were still putting up stiff resistance in Bani Walid, Sabha and Sirte, the birthplace of the strongman.

The accuracy of attacks on forces in and around Bani Walid -- home to a powerful tribe loyal to Gadhafi -- has prompted allegations by at least one military field commander that Gadhafi supporters may have infiltrated into the ranks of anti-Gadhafi units.

"There are spies among our revolutionaries who send our coordinates to the snipers and Gadhafi loyalists firing from inside Bani Walid, and the proof is that their attacks have been precisely targeted," said Emad Ziglam, a field commander for anti-Gadhafi troops outside the city, about 170 kilometers (105 miles) southeast of Tripoli.

"The mistake was mixing the rebel units. We should not have allowed fighters from Benghazi among others to join in, since we do not know them all. There are definitely traitors among us."

Division among anti-Gadhafi fighters is not unusual. During the months-long war, there have been reports of infighting, raising concerns about a lack of discipline and leadership among the ragtag group of fighters and the possible threat that could pose to the country's stability

Neither side appeared to be making headway in Bani Walid, Ziglam said.

He described the humanitarian situation in Bani Walid as "really bad" and said 30,000 of the city's residents had fled toward Tripoli and 12,000 toward Sabha, in the south.

Thousands of people have fled the fighting in Sirte, where the ousted leader retains a following. The National Transitional Council said that about 100 families left the city Wednesday, and agencies like the Red Cross have described dire conditions for those caught in the fighting.

The council also said Sirte was surrounded by revolutionary fighters but estimated that about 5,000 pro-Gadhafi fighters remained within the city.

Transitional council military commanders said Wednesday that its forces would wait a few days before launching any major offensive against the city in order to give civilians there more time to leave.

CNN's Mohamed Fahmy contributed to this report.

@highlight

NEW: $16 billion in Libyan funds have been unfrozen

@highlight

Interpol issues Red Notice for Saadi Gadhafi, whose father is wanted by the ICC

@highlight

U.S. senators visit Tripoli and a Libyan prison on Thursday

@highlight

John McCain cheers the uprising, adds Libyans want Moammar Gadhafi captured alive