(CNN)Every morning, my children have to enter their preparatory school in London through a door that is inches thick. They and tens of thousands of other Jewish children across the continent have to pass by police officers with armed assault rifles and high walls laced with barbed wire.

Even if there's the suspicion of an impending attack, classes can be canceled and people are told to stay away from noticeably Jewish institutions. After the recent attacks in Paris, the Grand Synagogue was closed for Sabbath services for the first time since the end of the Holocaust. Indeed, the situation has become so dire that Israeli Prime Minister Benjamin Netanyahu has called on Jews in Europe to emigrate to Israel.

While I understand this sentiment is coming from a place of concern, European Jews should not leave out of fear and should push their leaders to defeat anti-Semitism and radical Islamist terrorism. That said, none of this is surprising. After all, we've recently witnessed murderous terrorist attacks on the Jewish communities of Copenhagen, Denmark, and Paris, attacks that have shaken an already fearful community to its core. Each attack adds to the feelings of insecurity among European Jews and adds more levels of necessary security.

As a result of the intensified wave of anti-Semitism and Islamist terrorism, Jews in Europe are eschewing Jewish identifying symbols and are afraid to attend prayers and to send their children to their Jewish schools. This has led to an unprecedented desire to leave their home countries and flee to greater freedom and security.

But seeing schools doubling as high-security facilities sends a message to our children -- who are the next generation of European Jewry -- that their lives are in constant danger.

Of course, it is understandable and natural that the authorities choose to take heightened security measures to prevent further loss of life. But the fight must be taken to the perpetrators rather than allowing it to infringe further upon the everyday lives of the victims. If, in the words of European leaders, they would like the Jews of Europe to stay and not to emigrate, then they must find a way to return a semblance of normalcy to the everyday lives of Jews across the continent.

How?

To defeat this bloody and belligerent strain of terrorism and the specter of radical Islamism and Jew-hatred, European authorities must be more proactive in hunting down terrorists before they act and not grant them a victory by further imposing restrictions on Europe's Jews.

The threat is not country specific, so the response must be found in Europe as a union. European nations need to immediately and urgently come together to form a pan-European authority to deal with anti-Semitism and this new form of homegrown radical Islamist terrorism, with significant resources tasked with finding concrete practical solutions.

The first step that has to be taken is to bolster and improve intelligence-gathering and sharing across Europe. The current system is neither efficient nor vigilant enough. Many of the perpetrators of the recent massacres of Jews were well-known to the police. Many crossed borders, seemingly with little trouble, before and after they committed their bloody acts.

Police and law enforcement also need to be strengthened. This includes actively enforcing laws against incitement and anti-Semitic speech and taking a firmer approach against those who promote hate and violence. Enforcement authorities must enter and act within largely Muslim areas where police might ordinarily be reluctant to enter.

Additionally, new legislation to combat radical Islamist terrorism and anti-Semitism must be passed. The reality is that Europe is dealing with a new threat using an infrastructure that was not built to deal with homegrown terrorists who run freely in Europe and kill people seemingly at will.

In short, European authorities have to change the current mode of action and move from a paradigm of almost pure defense onto the attack.

Our continent has known in the past how to deal with threats to our way of life, and as in the past, the best chance of victory is to be found in a continentwide unity of purpose. Any weakness in a European-wide response to this new threat -- not just to Jews, but also to the very essence that our union was built upon, like freedom of thought and speech -- will be exploited by the terrorists and their supporters.

There are probably dozens of attacks at various stages of planning taking place in towns and cities across Europe. It is not enough just to increase security at any possible target, because this policy alone is not working and cannot be a long term answer.

It is time Europe went on the offensive.

@highlight

Moshe Kantor: Threat of extremism and anti-Semitism is not country specific

@highlight

Police and law enforcement also need to be strengthened across Europe, he says