Washington (CNN)Sen. Barbara Boxer announced Thursday that she will not run for reelection in 2016, setting up a big money political battle for her seat in the nation's most populous state.

Boxer, the 74-year-old Democratic junior Senator from California, said that she is not retiring from public life and will continue working on "the issues that I love" through her political action committee, PAC for a Change. Boxer was first elected to the Senate in 1992.

"I am never going to retire," Boxer said. "The work is too important."

Boxer's decision sets off one of the most competitive races for a statewide seat in California's recent history, and the field to replace her began to shape up within hours.

The state's deep bench of Democratic rising stars sets up the prospect of a fierce intra-party fight for the seat.

Multiple Democrats on Capitol Hill have already expressed interest, with a source close to Rep. Loretta Sanchez telling CNN she's keeping the door open to a run but has no time frame for a decision. Rep. John Garamendi also said he would consider it in a statement, and called Boxer an "outstanding senator and public servant."

"I have been asked by several people to consider the U.S. Senate because of my years of service in the U.S. Congress and having been elected statewide as Lieutenant Governor and Insurance Commissioner, along with executive experience in the Interior Department. I will consider it, but my first duty is to the people of the 3rd Congressional District," he said.

Others, still, have already taken themselves out of the running. San Diego Mayor Kevin Faulconer isn't interested, a spokesman said, and Los Angeles Mayor Eric Garcetti, who is considered a strong contender for statewide office in the future, ruled himself out of the race in a statement Thursday.

"The first thing we should do today is thank Senator Barbara Boxer for being a powerful champion for our city, state and nation in the United States Senate," Garcetti said in a statement. "I love my job and I love my city and I am committed to the work here. I will not run for Sen. Boxer's seat."

California Senate President Pro Tem Kevin de Leon also isn't interested, his spokesman said.

All eyes have turned to Atty. Gen. Kamala Harris, Lt. Gov. Gavin Newsom and former Los Angeles Mayor Antonio Villaraigosa, who all have deep fundraising bases in California and are seen as top contenders for the seat. None have commented on their interest in the race, though both Harris and Newsom issued releases commending Boxer for her decades of service.

Both Harris and Newsom have expressed strong interest to their confidantes in running for the U.S. Senate seat, but both are also intrigued by the possibility of running for Governor when Jerry Brown leaves office — setting up the possibility that they could work out a deal, particularly since they share the same political consultant, California-based strategist Ace Smith.

In what was viewed as a tea leaf indicating that possibility, Harris took the surprise role of administering the oath to Newsom on Jan. 5 when he was sworn in for his second term as Lieutenant Governor.

California Sen. Dianne Feinstein told reporters in the Capitol on Thursday she thinks there's "a high likelihood" that Newsom and Villaraigosa will run, and that she's heard of a few House members interested in the race as well.

But she said California's jungle primary system — which pits all candidates, regardless of party, against each other in a first round of voting, with the top two vote-getters proceeding to a faceoff in November — makes it difficult to peg a frontrunner at this point.

"It's hard to predict how people do in that kind of race," she said.

Feinstein also noted that because of the size of the state, it's important for candidates to coalesce support quickly.

"Most candidates don't realize until they've run how big the state is and how you have to reach people," she said. "It really comes down to media, unfortunately.  And that's the part of it.  It's costly."

Any of those potential candidates could face a formidable challenge from Billionaire Tom Steyer, who spent $74 million — much of it his own money — trying to sway the midterm elections by engaging voters on climate change without much in the way of results.

Other possible contenders include Treasurer John Chiang, Secretary of State Alex Padilla and Insurance Commissioner Dave Jones.

"Every house member looks in the mirror and sees a United States Senator," said Dan Schnur, executive director of the Jesse M. Unruh Institute of Politics at the University of Southern California. "So there are probably 52 members of Congress in California thinking about running for Boxer's seat this morning." 

While California remains a deep-blue state, and the GOP bench of candidates there is thin, Republicans have floated the prospect of a wide field of Democratic contenders splitting the party's vote and allowing for a Republican to squeak through the primary to the general.

But one of their top prospects, Rep. Darrell Issa, isn't interested in the race, according to a source close to the congressman. He declined to comment on his plans for the race to reporters earlier, but knocked Boxer, commenting that "the fact that she's not running doesn't change the fact it's always been a vacant office."

Neither Rep. Ed Royce nor businesswoman Carly Fiorina will run, according to statements from their staff on Thursday.

A GOP coup there remains a long shot, and on Thursday Democratic Senatorial Campaign Committee Chairman Jon Tester thanked Boxer for giving Democrats enough time to line up a credible candidate.

"I appreciate that Senator Boxer has made an early decision, giving us more than enough time to get behind a strong Democratic candidate who will hold this seat," he said, adding they're "confident" they'll reelect a Democrat to the seat.

Boxer explained her decision to not seek re-election in a mock interview with her oldest grandson in a video posted to YouTube.

The liberal senator added that she plans to help Democrats' 2016 candidate for president "make history." Boxer has said repeatedly that former Secretary of State Hillary Cllinton should run for president and has fundraised for the Ready For Hillary PAC.

She also said she is committed to ensuring her Senate seat stays in the hands of progressive Democrats and is, ultimately, anxious to return to California.

The unapologetic liberal was one of her party's most outspoken advocates on environmental issues and routinely sparred with Republicans as head of the Senate Environment and Public Works committee.

But she was also known for forging bipartisan relationships and compromises, and earned the respect of some of the GOP's most conservative members for her work on transportation and infrastructure issues.

House Minority Leader Nancy Pelosi of California became emotional during a press conference on Thursday when a reporter asked her about Boxer's announcement. Pelosi was caught off guard by the question and hadn't yet found out.

"It's funny -- she called me, she said she wanted to talk to me personally. I thought she wanted to maybe to have dinner tonight," Pelosi said. "Her leaving will be a great loss to the Congress of the United States, people of California, and to our country."

Pelosi called Boxer, who is just under 5 feet tall "small in size, but a giant in terms of her contribution."

Pelosi on Boxer retirement: 'What?'

Boxer emphasized that her age was not a factor in her decision, nor was the hyper-partisan environment that has dominated Washington in recent years.

"When you stand up there and you fight to make sure there's a strong middle class and you protect a woman's right to choose and you fight for jobs and a clean environment...all those things are a fight worth making," Boxer said in the video.

She added that her age was "definitely not" a factor.

"Some people are old at 40, some people are young at 80. I feel as young as I did when I got elected. I was in my 50s," Boxer said.

California's senior Sen. Dianne Feinstein, also a Democrat, is the oldest current serving member of the Senate. She has not announced her decision on running for reelection in 2018.

Boxer, who apparently has a fondness for rhymes, closed the "interview" with a few rhymes.

"The Senate is the place where I've always made my case. For families, for the planet and the human race. More than 20 years in a job I love, thanks to California and the Lord above. So although I wont be working from my senate space and I wont' be running in that next tough race. As long as there are issues and challenges and strife, I will never retire because that's the meaning of my life."

@highlight

Boxer announced her decision not to run for reelection in 2016 in a YouTube video with her grandson

@highlight

"I am never going to retire," Boxer said. "The work is too important."

@highlight

Boxer said she will work to elect the Democratic presidential candidate in 2016 and "make history." She supports Hillary Clinton

@highlight

House Minority Leader Nancy Pelosi was caught off guard by the news at a press conference and became emotional