With arms around each other's shoulders, Wu Yebin and An Wei strolled past rows of food booths and game stalls along the main road cutting through their small village in northern China one recent Friday morning.

Looking like two buddies soaking in the sights and sounds of the village fair, the young men wearing matching rings blended in perfectly with the local crowd. Their story, however, stands out: They are an openly gay couple living in the Chinese countryside, where homosexuality remains largely taboo.

"They sought medical treatment for me and hired a shaman to exorcise me," recalled Wu of his family's reaction when he came out. "I had to comply -- but at the same time I found information on homosexuality online and shared with them.

"The more they learned, the more accepting they became," he added.

It took his parents several years to come around, but Wu and An -- who had met online and quickly fallen in love -- now live together and run a roadside convenience store next to the Wu family home in rural Hebei province.

As news of advancements in gay rights in other countries spreads, the two partners in life and business have been thinking more about cementing their own relationship.

"I hope to see same-sex marriage become legal in China one day," An, 32, said. "We'll go get the license right away to enjoy all the rights like married straight couples."

"It's going to happen," Wu, 29, chimed in. "I bet next year."

Not everyone is so optimistic though. A lesbian couple in Beijing recently saw their marriage application rejected by local officials and video of their futile attempt made the rounds on the Internet.

Activists also complain about periodic government crackdowns, citing a recent case in May. In the central city of Changsha, a 19-year-old activist leading a street rally against homophobia was jailed for 12 days. Local police accused him of "holding an illegal protest" in a statement.

"They aren't just targeting gay groups," said Xiaogang Wei, a prominent gay rights advocate who heads the Beijing Gender Health Education Institute. "The authorities are increasingly worried about the organizational capability of various rights groups, especially when we band together, because it could challenge their political power.

"Sometimes we have to take to the streets to raise the visibility of our cause," he added. "It stirs discussion and debate, which could eventually lead to more understanding and acceptance."

Homosexuality is not illegal in China and the Communist government has long removed it from the official list of mental disorders, but activists and experts agree that prejudices and discrimination persist.

"Gay people still can't make their voices heard and they have no representation in the legislature," said Li Yinhe, a renowned sociologist with the Chinese Academy of Social Science.

In China, LGBT citizens seek acceptance

Li conducted China's first comprehensive surveys on gay men and published her findings in a popular 1992 book. For more than a decade, she has been calling on national legislators to legalize same-sex marriage but sees a prolonged uphill battle ahead.

"This is an issue affecting a minority group and ranks really low on the government's agenda," she said.

Opposition to a different kind of "gay marriage," however, has become a priority for many activists. Unlike in the West, experts say the vast majority of gay people in China -- especially men -- stay in the closet and marry the opposite sex.

Noting the lack of hostility toward homosexuality throughout Chinese history, Li explains that the Confucian concept of carrying on the family line is "the only thing akin to religion in traditional Chinese culture.

"That's why so many gay men are put under tremendous pressure to get married and have children, especially in the countryside."

An had three girlfriends and almost tied the knot with the last one. Wu was married to a woman for 40 days -- and regrets have dogged him since.

"Sometimes when I lie on bed, I think of my ex-wife and still feel guilty," he said, recalling how much she cried during their brief sexless marriage. "My momentary lapse of judgment ruined her life: Even though I never touched her, it'd be hard for her to find an ideal husband as a divorcee."

State media has cited one estimate putting the number of Chinese women married to gay men at more than 10 million. Sociologist Li calls those unions "tragedies" and has counseled many women in such marriages.

While a nationwide support network has emerged to help so-called "gay wives" -- or "tongqi" in Chinese -- break free, observers note a small but growing number of young gay men in big cities marrying lesbians to placate families and maintain their lifestyles at the same time.

Wu and An are no fans of such arrangements, and predict personal and financial complications.

After he met An, Wu started tweeting on Sina Weibo, China's equivalent of Twitter with more than 300 million users. By telling his own story and re-posting news on global gay rights campaigns, Wu hopes to inspire more closeted gay Chinese to come out.

Remembering his own days of feeling lonely, helpless and even suicidal, Wu points to his experience as evidence of progress and hope in gay acceptance in China -- even in the most unlikely families and places.

Back at the village fair, Wu and An -- whose rural hometown has no cinemas let alone gay bars -- paused for a "face-changing" opera performance as an actor quickly switched colorful masks on stage without revealing his identity.

After cheering the entertainer, the two young men who have taken off their "masks" in real life moved on to buy groceries as meat and vegetable sellers greeted them as old friends.

"Many people say they admire us -- they say we did something amazing," Wu said. "We are just two ordinary people who came out to our families so that we can live with our loved ones."

And maybe one day, get married.

@highlight

Wu Yebin and An Wei live in rural China where homosexuality remains largely taboo

@highlight

They dream of seeing same-sex marriage becoming legal in China one day

@highlight

Homosexuality not illegal in China, long-removed from official list of "mental disorders"

@highlight

Activists and experts agree that prejudices and discrimination persist