London (CNN) -- The salerooms of London were last week crammed with art and antiquities from across the Islamic world, as the city's auction houses celebrated "Islamic Week."

A growing interest in work from the region saw records fall for centuries-old pieces and contemporary creations alike.

Auction houses Christie's, Sotheby's, Bonhams and Baldwin's all held sales of Islamic artifacts, from ancient carvings to calligraphy, coins and carpets.

The biggest record was set at Sotheby's Orientalist Sale, where Russian painter Ivan Konstantinovich Aivazovsky's "View of Constantinople and the Bosphorus" sold for $5,215,556 last week -- far in excess of its pre-sale estimate of $1,943, 530.

The work, completed in 1856 by Aivazovsky, who was official painter to the Russian admiralty, sparked a bidding war: a spokesman for the auctioneer said at least five would-be buyers had battled it out to own the piece.

Last year, Sotheby's set a new record for the sale of an Islamic artwork when an illustrated folio from the Shahnameh -- an epic Persian poem composed around 1,000 years ago -- sold for $12.2 million.

Claude Piening, head of Sotheby's Orientalist department, said his field -- works depicting Turkey and the Arab World -- "has enjoyed robust growth over the past 10 years ... because of new interest from North Africa and the Middle East."

That time period has seen a "perfect storm" of art collectors in the Middle East, according to Antonia Carver, director of Dubai-based art fair Art Dubai. Leading the way have been Gulf states like Abu Dhabi and Qatar and cities such as Beirut and Cairo, she says.

Sotheby's also saw a record price for a work by modern Turkish artist Nejad Melih Devrim, whose 1952 "Abstract Composition" went under the hammer for $1,191,017 -- almost three times its pre-sale estimate.

See Also: Modern art boom in Turkey

At Christie's, the proceeds of one of several Islamic and Indian themed sales will go to Oxford University's Bodleian Library, to fund the creation of a research post in Sasanian (early Iranian) studies.

Highlights of the "works on paper" auction, all of which came from a single private collection, included sought-after items of calligraphy, such as a "Mufradat" manuscript -- a work of exquisite calligraphy -- and several rare Qurans, as well as Indian miniatures and portraits. The sale raised more than $2.4 million.

Baldwin's sale included coins minted in Mecca, a rare glass weight for measuring silver, and the "Magnus Princeps" bronze portrait medal of Ottoman sultan Sultan Mehmed II, who conquered Constantinople in 1453.

"Mehmed II overthrew the Byzantine empire," explained coin specialist Graham Byfield. "There are only two or three contemporary portraits of him in the world -- this is the earliest of them, and it is thought to be unique."

@highlight

London's auction houses hosted a week of sales dedicated to art of the Islamic world

@highlight

Paintings, pottery, sculpture, carpets and coins went under the hammer

@highlight

Experts say market for art showing Arab world has grown substantially over past decade