Washington (CNN) -- A state law mandating "humane treatment" of downed livestock headed for the slaughterhouse was viewed with a good measure of concern by the Supreme Court on Wednesday.

At issue is whether federal regulations dealing with inspection of domesticated animals about to be killed, processed and sold for human consumption preempt -- or nullify -- California Penal Code 599f.

Several justices noted the good intentions behind the state action, but a majority of the bench expressed concern that it may have gone too far into the traditional federal arena.

"So when the federal law says you can" sometimes sell the meat of downed animals, Chief Justice John Roberts said, "that preempts the rule from the states that says you can't."

The state law became effective in 2009, following shocking undercover video released by the Humane Society. Slaughterhouse workers in San Bernardino County outside Los Angeles were shown dragging, prodding and bulldozing weak, "non-ambulatory" cows into slaughter pens. Water from hoses was used on some cattle lying on their sides, to force them to their feet.

Penal Code 599f would require meat processors to immediately remove downed animals and "humanely" euthanize them. And the sale, purchase or shipment of such animals would be criminally prohibited.

The long-standing Federal Meat Inspection Act also requires animals lying down to be removed but gives discretion to federal inspectors to determine whether the livestock can recover sufficiently and become fit for slaughter and human consumption. That law expressly prohibits any state regulation "in addition to or different from" the federal requirements. It includes cattle, pigs, sheep and goats.

The Supreme Court has long ruled that interstate commerce is under federal jurisdiction, trumping any state efforts to regulate it.

The current case was brought by a meat trade group on behalf of pig farmers in California. The Obama administration is siding with pork producers, a move criticized by a number of animal rights groups.

A federal appeals court in San Francisco had ruled in favor of the state law, labeling as "hogwash" an earlier judge's decision that favored the industry. That appeals panel concluded that "California's prohibition of the slaughter of nonambulatory animals does not duplicate federal procedures; it withdraws from slaughter animals that are unable to walk to their death. This prohibition does not require any additional or different inspections than does the FMIA," the Federal Meat Inspection Act.

The law's enforcement has been put on hold pending the Supreme Court's resolution of the dispute.

During the high court argument, attorney Steven Wells -- representing the National Meat Association -- said, "A slaughterhouse worker who is on the premises needs to have one set of rules that the worker follows so that the worker knows that if he follows the advice of a federal inspector ... the slaughterhouse worker won't go to jail" by potentially violating the state law. "And that was critical to Congress that we have this uniformity."

Several members of the court wondered whether the state could regulate some key aspects of the pre-slaughter process.

"Isn't it the case that most nonambulatory animals become nonambulatory because of the method of transportation that's used?" said Justice Samuel Alito, citing statistics in one legal brief that hundreds of thousands of swine die annually or become too weak to stand during shipment from the farm to the slaughter pens.

"If the state could inspect the trucks at a weigh station before they get to the slaughterhouse, why can't they do the same thing when they get to the slaughterhouse, where it's more practical to do that?" he asked.

Pork producers in their legal brief estimated that about 3% of swine are nonambulatory when they arrive at the slaughterhouse. Most of the downed beasts, they say, are merely overheated, fatigued or stubborn, and most are soon back on their feet. Animal rights activists challenge that assertion.

But tougher questions were directed at the lawyer for the state's attorney general.

"The federal law does not require me immediately to go over and euthanize the cow," Justice Stephen Breyer said. "Your law does require me to go over and immediately euthanize the cow. And therefore, your law seems an additional requirement in respect to the operations of a federally inspected meatpacking facility."

Justice Sonia Sotomayor said federal regulations are uniquely necessary. "If there is a valid purpose to the pre-mortem [federal] inspection -- and I can't see how you can argue otherwise -- that there may be some diseases that are so contagious that the entire lot, ambulatory or nonambulatory swine, are affected, then I don't see how you can argue that you aren't trenching on the scope of the [federal] statute" with a separate state law.

State lawyer Susan Smith said California could exclude certain animals covered under federal regulations, thereby making state regulation permissible. Such exceptions have been created in the past for horses, which can no longer be sold as meat for human use. Smith also suggested the state could conduct parallel testing of certain animals for disease.

Justice Elena Kagan posed a hypothetical: California wants to test for a certain type of disease in pigs, since state officials believe federal officials are not doing a through screening.

"But that in fact requires a parallel inspection system. It's trying to do the exact same thing that the [federal agriculture] secretary is trying to do, which is trying to remove animals with a certain kind of disease, and it requires an inspection system of its own," Kagan said. "And then I think that the cases seem similar to make" regarding the current fight.

The meat industry says being forced to immediately euthanize all nonambulatory animals would hurt its ability to detect and fight one particularly virulent disease: foot-and-mouth, which is highly contagious. The industry says federal inspection is preferred, since pre-slaughter inspections of sick animals are required. State law would mandate immediate killing and disposal of the lying-down livestock.

The state counters that the two laws are compatible, allowing local conditions to be addressed and ensuring that moral and humane conditions are part of meat processing rules.

The case is National Meat Association v. Harris (10-224). A ruling is due in a few months.

@highlight

California law says downed livestock headed for slaughter must be removed, euthanized

@highlight

But federal law lets inspectors determine if livestock can recover, be fit for consumption

@highlight

Justices express concern that state law may go too far into federal arena

@highlight

Case was brought by a meat trade group on behalf of pig farmers in California