WASHINGTON (CNN)  -- The Supreme Court on Tuesday reinstated a federal ban on gun possession for people previously convicted of certain domestic violence misdemeanors.

Justice Ruth Bader Ginsburg wrote the opinion for the 7-2 majority.

The 7-2 vote was authored by Justice Ruth Bader Ginsburg, who read a portion of the ruling from the bench in a strong, steady voice.

It was her second day on the bench after undergoing pancreatic cancer surgery February 5.

The opinion was a defeat for gun rights supporters, who had challenged groups fighting domestic violence over which ex-felons should be allowed to buy and keep firearms.

At issue was whether a federal law blocking gun possession for those convicted of a "misdemeanor crime of domestic violence" should apply as well to someone convicted of a general misdemeanor, such as simple battery, which may have been committed against a spouse, child, or other relative. The ambiguity in the federal language and whether it could be applied retroactively was at the heart of the legal debate.

"Congress sought to apply the firearm ban to all persons convicted of domestic-violence offenses, whether or not their [state] statutes of conviction happen to contain a domestic-relationship element," wrote Ginsburg, who said the rule could be applied retroactively.

The case involves Randy Edward Hayes, who pleaded guilty in a West Virginia court in 1993 to a misdemeanor battery charge for slapping his then-wife Mary Ann with his hand during an argument. The conviction led to a year of probation.

More than 10 years later, police responded to a 911 call of a domestic assault occurring at the home Hayes shared with his girlfriend. Deputies responded and, in a search of the house, found an unloaded Winchester rifle under Hayes' bed.

Hayes was charged with obstruction for lying about whether a gun was in the home, and with domestic battery, another misdemeanor. The battery charge was eventually dropped, but the federal firearms violation stuck.

His lawyers claim he could not be convicted in federal court of the weapons violations because the original state conviction did not include a domestic relationship element.

Only 17 states had misdemeanor domestic violence provisions when Congress passed the Federal Gun Control Act in 1996. West Virginia, like many states before and since, often prosecuted such cases as simple assault or battery. Crimes classified as felonies automatically trigger the gun possession ban. A federal appeals court ruled for Hayes.

The high court in November's oral arguments had criticized the language of the federal law, which Justice Anthony Kennedy lamented was a "mess."

In dissent, Chief Justice John Roberts and Justice Antonin Scalia, found the federal law ambiguous at best, as it applied to the various state statutes on domestic violence.

"An individual should not go to jail for failing to conduct a 50-state survey or comb through legislative history," wrote Roberts. "Ten years in jail is too much to hinge on the will-o'-the-wisp of statutory meaning pursued by the majority."

The Ginsburg-led majority, however, agreed with the government's position that Congress clearly wanted to include misdemeanor battery in domestic relationships, even if an abuser was not specifically convicted of that offense.

Gun rights groups say the amendment championed by Sen. Frank Lautenberg, a New Jersey Democrat, was the first time gun ownership was prevented because of a misdemeanor conviction.

"Why are men with clean histories except for one domestic dispute punished like hardened criminals who mug strangers on the street?" wrote Phyllis Schlafly for the conservative Eagle Forum, which filed a legal brief with the high court supporting Hayes. "The answer is that the feminist agenda calls for domestic-violence laws to punish husbands and fathers above and beyond what can be proven in court under due-process procedures."

But opponents said the names of thousands of dangerous abusers could be purged from mandatory federal criminal background checks if the law is diluted.

"The Supreme Court should follow the will of Congress and protect domestic violence victims and law enforcement officers who risk their lives stopping abusers," said Paul Helmke, head of the Brady Campaign to Prevent Handgun Violence. "We should not make it easier for dangerous abusers to get firearms."

@highlight

Justice Ruth Bader Ginsburg wrote opinion for 7-2 court majority

@highlight

Case dealt with ambiguous language about misdemeanors

@highlight

Case is considered a victory for advocates of gun control