Kiev, Ukraine (CNN) -- New clashes erupted in eastern Ukraine as the divided country prepared for presidential elections this weekend, raising the question of whether pro-Russian forces sought to disrupt the vote in a move that the United States and its European allies say would trigger tougher sanctions on Moscow.

Russian President Vladimir Putin said Friday that his government would respect the will of the Ukrainian people in Sunday's vote, but added Russia would closely monitor events.

In a speech to an international economic forum in Saint Petersburg, Putin also warned of a "dangerous civil war" underway in Ukraine following what he called a "state coup" carried out "with support of the West, the United States" that ousted the country's pro-Russian leader earlier this year.

Latest fighting

At least 32 people were killed and 44 injured in clashes between the Ukrainian military and pro-Russian separatists in the Luhansk region, according to the country's anti-terror office spokesman, Vladislav Seleznev.

The clashes took place Thursday afternoon and lasted for a few hours, Seleznev told CNN on Friday.

A total of 30 pro-Russian separatists and two Ukrainian soldiers were among the dead, while the injured included 37 separatists and seven Ukrainian soldiers, Seleznev said.

Ukraine's defense ministry reported on its website that 20 separatists died in the Luhansk clash, with more than 30 wounded.

The reports could not be independently confirmed, and some previous casualty claims by Ukrainian sources have proven unreliable.

On Friday, pro-Ukrainian militias heading to shut down a pro-Russian checkpoint in Donetsk region came under attack, according to a regional Ukrainian authority and the chief of staff of one of the groups called the Right Sector.

The Donetsk regional authority said one person died and nine were wounded, while the Right Sector official said four pro-Ukrainian fighters got trapped and may have been killed or captured.

There were no further details on the affiliations of the casualties, and the reports also could not be independently confirmed.

Sunday's election will choose a successor for ousted pro-Moscow President Viktor Yanukovych in the country riven by Russia's takeover of the Crimea Peninsula and aggression blamed on pro-Russian factions in some eastern regions of the country that have ethnic Russian populations.

Valentyn Nalyvaychenko, the head of Ukraine's security service, said Friday that no military operations were planned for the election. But alternative secure voting places would be arranged for some people in the Donetsk and Luhansk regions because of the separatist threat.

Showdown

The Ukraine crisis has created a showdown between Putin and Western allies over what U.S. President Barack Obama calls Russia's illegal expansionist moves.

Obama and German Chancellor Angela Merkel recently said disruption of the Ukraine vote by Russia would bring further sanctions targeting specific sectors of the Russian economy. So far, U.S. and European sanctions have targeted individuals and some banks and other entities.

On Friday, Putin reiterated Russia's assertion that according to Ukraine's Constitution, the ousted Yanukovych remains the nation's legitimate president. He also questioned whether the election should be held now, given the current violence in eastern Ukraine.

According to Russian state media, Deputy Foreign Minister Alexei Meshkov said Friday that Russia would decide whether or not to recognize the Ukraine vote only after it takes place.

"Let's wait for the elections first. Naturally, when Russia considers this issue (on legitimacy) we will take into account all factors," the official ITAR-Tass news agency quoted Meshkov as saying.

The latest violence extended increased unrest in recent weeks in eastern Ukraine, which includes areas with ethnic Russian populations loyal to Moscow instead of the Ukrainian government in Kiev.

After the Russian takeover of Crimea, Putin massed an estimated 40,000 or more Russian troops near the border with eastern Ukraine. This week, he said those forces were starting to withdraw, as called for by Obama and NATO allies.

On Friday, Pentagon spokesman Rear Adm. John Kirby said the United States has seen small numbers of Russian troops withdrawing back to their garrisons or home bases from the border region.

Kirby described those numbers as "not great" and said tens of thousands of Russian troops remained near the border. According to Kirby, it was "too soon for us to say this is the wholesale withdrawal" of troops that Putin indicated he had ordered.

Donetsk violence

The Donetsk violence on Friday involved an effort by pro-Ukrainian militias to take down a pro-Russian checkpoint near Karlivka, according to Right Sector Chief of Staff Andriy Denysenko. The pro-Ukrainian forces came under attack by separatists and were forced back to a Ukrainian military checkpoint, Denysenko told CNN.

Four of the pro-Ukrainian militia fighters got trapped in a cafe and were presumed by pro-Ukrainian militias to be dead or captured, he said.

According to the Donetsk state administration, the battle left one person dead and nine injured.

Disturbances also were reported Friday in Slovyansk, a stronghold for the separatists in the eastern Donetsk region. A CNN team in Slovyansk heard about 10 explosions in what sounded like the outskirts of the town, following shelling overnight around a militant barricade.

The self-declared mayor of Slovyansk, Vyacheslav Ponomaryov, has said that anyone who tries to vote in the presidential election will be arrested.

On Friday, Ponomaryov showed a CNN crew missile launchers known as man-portable air defense systems (MANPADS) that he said were obtained on the black market in the 1990s and now could be used on Ukrainian military aircraft in the event of civil war.

Matt Schroeder from the Small Arms Survey, an independent expert who saw CNN images of the weapons, confirmed they were for use with surface-to-air, shoulder-launched, heat-seeking missiles. However, Schroeder said he was unable to tell from the images what model they were and if they were functional.

In another indication of the heightened tensions, Ukraine's Border Service said Friday that its guards had thwarted another attempt by armed men to illegally bring weapons and ammunition over the border from Russia.

Attacks on media

Meanwhile, the Organization for Cooperation and Security in Europe released a report Friday that detailed a deterioration of media freedom in Ukraine.

Dunja Mijatovic, the group's representative on media freedom, said she was "alarmed by the rapidly deteriorating conditions and climate for the media."

The 14-page report on events from last November 28 until Friday cited more than 300 cases of attacks on journalists including killings, kidnappings, detentions and acts of intimidation, as well as cases of equipment being confiscated and destroyed.

"The on-going attacks on journalists are nothing short of gross and severe violations of fundamental human rights," Mijatovic said. "Journalists are deliberately targeted for doing their job, trying to tell the outside world of the events that is taking place in Ukraine."

In his remarks to business leaders, Putin said he was "optimistic" the crisis in Ukraine could be resolved.

He defended Moscow's recent disputed annexation of Crimea, saying its action had prevented violence there and ensured the "possibility of free will for the people" who chose to join Russia in a democratic referendum.

The United States and its European allies have refused to recognize the Crimea annexation, saying it remains an unresolved issue in their demand for Ukraine's sovereignty and territorial integrity to be respected.

Unpaid gas bill

Putin also said Russia had tried to help Ukraine in its difficult economic situation, but that Kiev must pay off the hefty arrears owed to Russian energy giant Gazprom for natural gas.

"The risks today of delivery of the gas supply are not our fault but quite honestly, everyone understands that this is because of the transit country Ukraine, which has abused its situation," he said.

"We provided Ukraine with 10 billion cubic meters of gas for free," he added. "This is not sensible; this is really stupid, and we must have limits."

Asked if he could work with a Ukrainian government led by Petro Poroshenko, a billionaire businessman and seasoned politician seen as a front-runner in Sunday's election, Putin joked that he could -- if Ukraine pays the $3.5 billion it owes.

Kiev and European Union leaders have urged Russia not to use the energy supply as a weapon.

Putin also called for dialogue between Russia and the United States over the crisis in Ukraine, suggesting Washington had not taken Russia's interests into account until now.

He was critical of the sanctions imposed on Russia by the West, warning that they would have a "boomerang" effect and hurt the United States and the European Union.

The Russian President also suggested the U.S. sanctions could be a ploy to give American companies a competitive advantage in Europe.

Some Russian troops at Ukraine border may be 'packing up'

Prince Charles draws fire for reportedly comparing Putin to Hitler

Journalist Victoria Butenko and CNN's Nick Paton Walsh, Jim Sciutto and Ben Brumfield contributed to this report, which was written by CNN's Laura Smith-Spark in London and Tom Cohen in Washington.

@highlight

NEW: Pentagon official says small number of Russian troops pulling back from border

@highlight

Clashes reported in eastern Ukraine as election approaches

@highlight

Russia's President warns of civil war in Ukraine; says he will respect voters' will

@highlight

Separatists and pro-Ukrainian militants clash near town of Karlivka