(CNN) -- Early data shows the Mars rover Curiosity landed with amazing accuracy this week, coming down about 1.5 miles from its target after a 350-million-mile journey, NASA scientists said Friday, perhaps giving planners more confidence about landing spacecraft in tight spaces in the future.

The $2.6 billion rover is on a two-year mission to determine whether Mars ever had an environment capable of supporting life. It landed Monday and will spend the next four days installing operational software that will give it full movement and analytic capabilities, scientists said at a news conference at NASA's Jet Propulsion Laboratory in Pasadena, California.

Curiosity missed its target entry point into Mars' atmosphere by about only one mile, and most everything in its complicated descent and landing operations -- a spectacle popularly known as the "seven minutes of terror" -- happened on time, including the deployment of the largest-ever supersonic parachute and the heat shield separation.

"From all the data we've received so far, we flew this right down the middle, and it's incredible to work on a plan for (years) and then have things happen ... according to plan," said Steve Sell, who was involved in the powered descent phase.

"It was an impressive ride," said NASA's Allen Chen, the operations lead for descent and landing.

Tail winds might account for some of the off-target distance, NASA's Gavin Mendeck said, but the actual landing spot was well within the expected range of uncertainty, or the area where the rover could well have ended up.

"With what we learn over the next few months, we'll see if we can chop (the area of uncertainty) back a bit" for future missions, Chen said.

Chen said the early information about the landing is based on only 1 megabyte of data received on the day of the landing; much more information will be received in the coming weeks.

Precision in landing was important because NASA chose a relatively tight area for Curiosity's arrival: The Gale Crater, which contains an 18,000-foot high mountain about 7.5 miles south of the landing site.

The rover's prime target is Mount Sharp, the mountain in the crater. Scientists hope the layers of rock that form the mountain will give them a timeline of the history of Mars.

Though Curiosity's primary science mission has yet to begin, the rover, along with probes in orbit, already have transmitted images. On Thursday, NASA released a sweeping color panorama of the planet's surface, showing the rocky, reddish desert surrounding it and the mountain it will explore in the coming months. The 360-degree view captures the landscape of Gale Crater.

NASA has said photographs like the ones beamed back by the rover, as well as others taken by the probes in orbit, will be used to map a path to the mountain's base.

The rover is built to run for two years, but a previous rover, Opportunity, has been working on Mars since 2004, well beyond the three months NASA planned. Opportunity's sister rover, Spirit, ran from 2004 to 2010.

The rover is installing its full surface operations software after the landing because its computers didn't have room for it during flight. The new software essentially replaces the flight operations programs, which Curiosity now doesn't need, NASA said.

Complete coverage of Mars

CNN's Elizabeth Landau contributed to this report.

@highlight

NASA analyzing early entry, landing data to help with future missions

@highlight

Curiosity landed very near target site, important for relatively tight space

@highlight

"It was an impressive ride," said NASA's Allen Chen

@highlight

Rover will take days to install software for full movement, analytic capabilities