LONDON (CNN) -- Did President Obama land a Nobel peace prize at such an early stage of his presidency simply because he's not George W. Bush?

A "surprised and humbled" Obama said he would accept the Nobel peace prize as a "call to action."

Diplomatic circles are certainly not dismissing such a notion and a "surprised and humbled" Obama has himself agreed that the award (for which nominations had to be submitted only two weeks after his inauguration) can hardly have been a recognition of anything he has yet accomplished. It is a prize for aspiration rather than achievement.

One of the best deliberate laughs Bush obtained in his last days in office came when he expressed himself pleased at the street reception during his attendance at a NATO summit in Romania.

"A lot of the crowd were waving... some of them with all five fingers," he said.

Bush was acknowledging that many in Old Europe at least could not wait to say goodbye to a man whom they saw as a Cold Warrior at heart, the president who had led the world into a disastrous intervention in Iraq and a man heading a gas-guzzling nation who was not prepared to help the world cope with climate change.

For many Europeans, the chief concern through the long, drawn-out race for the Democratic nomination and through the presidential election was that the result should give them anybody but Bush. Watch reaction in Europe to Obama's award

They were uneasy about his missile defense shield plans to base U.S. military installations in Poland and the Czech Republic. They felt he had never lived up to his pledge to work as hard on the Middle East peace process as Tony Blair had done on bringing peace to Northern Ireland.

Especially they felt that the internment camp at Guantanamo Bay and the "extraordinary rendition" to countries where terror suspects might have been tortured was an affront to democracy which besmirched the reputation not only of the U.S. but of its allies, too.

Europeans were alarmed that Bush seemed to be encouraging the climate change deniers. And although he became readier to listen to his European allies during his second term, they never really took to the man whose instinctive response was to use America's military might in the world's trouble spots rather than to stay at the negotiating table and who had little time for the United Nations.

Couple that with the words in the Norwegian Nobel Committee's citation that the peace prize is being awarded to Obama "for his extraordinary efforts to strengthen international diplomacy and co-operation between peoples" and that they have "attached special importance to Obama's vision of and work for a world without nuclear weapons," and the message is clear.

Unusually, this is a world statesman being rewarded not for what he has done but for representing a new beginning. As Mikhail Gorbachev was quick to point out, the Obama presidency is a big signal -- "He has given hope."

By commenting approvingly that Obama has created a new climate in international politics, with emphasis on the role of diplomacy and of the United Nations, the Nobel Committee is clearly encouraging the new president, after just eight months in office, to continue with a style that Europeans find much more comfortable than that of Bush and the neo-conservatives. Those who worked with Bush are likely to feel aggrieved and to maintain that they, too, were working for the extension of democracy for which Obama is now being commended.

As Europe digested the news of the prize, nobody wanted to go public with critical comment on a man who is still seen across Europe as a beacon of hope. But there were off-the-record mutters that this was all somewhat premature.

Cool heads were noting that while intentions have been expressed, there has been no significant progress yet on the Middle East peace process. The proposed closedown of Guantanamo Bay has been announced but it has not happened. There are still large numbers of American troops in Iraq and the numbers in Afghanistan are likely to be increased.

While Obama has spoken of his hope of agreeing with Russia on a reduction in the number of nuclear warheads, we are nowhere near to seeing an end to nuclear weapons, which are currently in the possession of the U.S., Russia, China, India, the United Kingdom, France, Pakistan and Israel.

Obama may want the Senate to ratify the test-ban treaty but that has not happened yet and his moves on climate change, too, will require congressional compliance.

The truth, say many continental commentators, is that Obama deserves a badge for effort -- an effort begun by scrapping the missile shield development in Poland and the Czech Republic -- but a peace prize is a step too far at such an early stage.

He is being rewarded not for solid achievement but for creating new hope -- in effect, for not being Bush.

It may well be, as President Sarkozy of France has declared, that the award "confirms finally America's return to the hearts of the people of the world." But some fear that America's conservatives will take it as a sign of weakness and become more obstructive to Obama's aims.

Meanwhile, others are wondering: "What on earth will they give him when he does have a real achievement to point to?"

@highlight

Oakley: Obama's Nobel an award for aspiration rather than achievement

@highlight

Europeans had hopes that Bush's successor would be different

@highlight

Nobel committee said Obama had created favorable international political climate

@highlight

Some commentators say Obama should be saluted for effort but not yet a Nobel