(CNN) -- There's no sign hanging on the front door of the University of Iowa law school that reads "Republicans Need Not Apply." But Teresa Wagner got the message.

Wagner, an Iowa law school alum who had worked for the Family Research Council and the National Right to Life Committee, worked part-time at the law school's writing center. Twice, she applied for full-time positions. Twice, despite positive reviews and being the most qualified applicant, she was rejected. So she sued.

In a federal case heard this week, Wagner claimed that the state school violated her First Amendment rights by rejecting her because she's a Republican. Her claim reads: "The First Amendment of the United States Constitution guarantees individuals the right to associate and express themselves on matters of public concern without fear of reprisal from their government.

"This guarantee prohibits the government, when acting as employer, from firing, refusing to promote and/or refusing to hire citizens because of their political views or affiliations."

The prospect of ideological discrimination in higher education shouldn't come as a surprise. A 2005 study showed that 72% of college professors identified as liberals. Only 15% described themselves as conservative.

Former Harvard President Larry Summers, who served as director of President Obama's National Economic Council, has compared the paucity of conservative professors to the early days of racial integration in baseball. Sure, there are conservative professors, just like there were black baseball players in the 1950s. "But it appeared (then) that there were not any African-American .250 hitters," Summers has said. "The only (black) players who played were stars." There is a similar lack of conservative professors who aren't "stars."

This distortion has left Summers wondering whether there is a bias against conservatives in higher education. Certainly, some of the stats are due to self-selection, with more liberals choosing to go into academia. But that wasn't the case with Wagner. And if she was rejected because of her political views, taxpayers in America are funding not only an ideological lemming herd but a mob that casts out anyone who questions the groupthink. Still, is it unconstitutional?

The Supreme Court has stated clearly that the First Amendment prohibits a state from basing hiring decisions on political beliefs or associations. This rule, though, is not absolute. Imagine if Obama were to be prohibited from rejecting Grover Norquist for a post in his administration for ideological reasons. So the court has recognized limited exceptions for political appointees.

However, the court has not extended a discrimination exception to academia. In fact, the court has said that academic freedom is of special concern to the First Amendment. And the test set by numerous appellate courts for ferreting out political discrimination is whether someone's political affiliation was a substantial or motivating factor behind the adverse employment action.

How would someone like Wagner meet that test and prove that she was discriminated against because of her ideas on abortion or gay marriage? The university claims that she lost the jobs because she performed poorly in her interview.

Wagner's evidence includes e-mails from the law school's associate dean, warning her to hide a job offer from Ave Maria School of Law, which is perceived to be conservative. During the faculty meeting to vote on whether Wagner should be hired, it was mentioned that she holds conservative beliefs. And after her rejection, the same associate dean sent an e-mail to the dean, asking whether Wagner's political beliefs had been considered in the vote.

Wagner points out that of 50 faculty members at Iowa School of Law, only one is a registered Republican, and 46 are Democrats. One of those faculty members, Mark Osiel, testified this week that he had worked with Wagner, that she was a "superlative writer" and that the university's liberal leaning "corrupts everything it touches." Meanwhile, the two people hired at the school's writing center instead of Wagner were less qualified and less experienced and had received lower student evaluation scores. Osiel said the school's policies are "unconstitutional and morally indefensible."

It's no pretty solution to have courts interfering in the hiring decisions of universities. And as Summers has said, it would be "a real horror" if, to avoid discrimination claims, Harvard's astronomy department were forced to hire an astrologer. But that example, like the need for agreement among policymakers, speaks to the merits of the candidate. What do Wagner's views on abortion have to do with her ability to teach legal writing? For that matter, does liberalism have exclusive claim to righteousness so that competing views can be discriminated against and discarded as unmeritorious?

If Wagner was discriminated against because of her political views, the law school's rejection of her was most likely unconstitutional. More important, though, it was ignorant.

The opinions expressed in this commentary are solely those of Will Cain.

@highlight

Court heard case of woman who says she was rejected for job for being conservative

@highlight

Will Cain says evidence showed her qualifications were superior to those of others

@highlight

She says 46 of the 50 faculty members are Democrats; one is Republican

@highlight

Cain says that rejecting her for ideological reasons is unconstitutional and ignorant