(CNN)  -- Each spring brings major medical meetings from the likes of the American Association for Cancer Research, the American Urological Association and the American Society for Clinical Oncology, to name a few.

These meetings began as forums for scientists to meet and discuss findings and generate ideas. They offer opportunities for physicians to learn about new studies and possible new treatments, and for those interested in medicine, the meetings are fascinating and enjoyable.

But over the past several decades, these gatherings have more and more become venues for drug companies and medical device manufacturers to tell physicians about their drugs and medical hardware. Today, much of the presented research is sponsored by industry, and these medical meetings are increasingly an opportunity for companies to make a name for themselves by promoting their products.

Doctors find themselves asking when promotion of a product or a company stops being education and becomes a naked attempt at advertising. Companies have found that the investors watch these meetings like a hawk, looking for the earliest bit of data that may show promising results for a new drug.

Successful promotion of positive findings through meeting abstracts and press releases can double or triple a small company's share price. But observers note a troubling trend. It is a shame that the desire to pump up a stock price often leads to over-promotion and exaggeration of paltry scientific findings.

Recently, the economic crisis in the media has led to the disappearance, through layoffs or by choice, of some wonderful, skilled and seasoned science writers. And with that comes genuine concern. The veterans have been replaced by mostly young, inexperienced writers who suddenly find themselves under pressure to turn out compelling stories about difficult scientific medical studies that are all too easy to oversimplify and misinterpret.

Meanwhile, to bolster readership or numbers of viewers, the media reward reporters whose stories can lead to the most eye-grabbing headline. These reporters are well-meaning, but if they do not understand medicine and the scientific process, these articles can truly harm public health. And, in my experience, that is happening more and more often.

And even more important: Reporters must understand that the motivation of every scientific report must be questioned as part of routine due diligence. The caveats from each report must also be clearly detailed in each story. From where I sit, all too often, that is not happening.

This combination of scientists and businessmen enthusiastically promoting products or themselves with sales pitches, and inexperienced reporters struggling to make sense of their claims, has led to some unfortunate articles.

I was motivated to write this after reading articles in reputable newspapers in the United States and Europe that a cure for breast cancer was on the horizon and a blood test was coming to market that could detect lung cancer early and save lives.

Truth be told, a lab cured breast cancer in six mice. But translating these findings to humans is difficult, and experience has taught us that it likely will never happen. Some of these articles also failed to say that this is a very early piece of scientific progress at best -- and may not even be progress.

As for the blood tests, I have read reports of some that are somewhat effective in finding lung cancer. But the articles failed to point out that any test will require years of more development to determine whether it's useful. They also failed to report that the study showed that the test was no more accurate than X-rays, which are not recommended by any major medical organization.

Unfortunately, by the time measured voices put these stories into perspective, the media have moved on to a new story. The end result of all this is very harmful. The nonscientific public gets misled, and some of those folks who have an interest in a specific disease get their hopes up, only to be disappointed. I was taught by a wise physician that the worst thing we in medicine can do is deceive our patients.

Another event that motivated me to write this opinion piece: One of the good, smart medical writers who toil in this field every day, unheralded and woefully underpaid, asked me a really good question. I realized that these good hard questions are less frequent as the good medical and scientific writers, most of whom I've had the privilege of enjoyed working with over the years, are becoming an endangered species.

This decline of the professional medical and science writer is a threat to the public health as important as the latest scare story in the headlines -- perhaps even more so. Unfortunately, this is one health threat that has received little attention. Maybe it's time to change that.

The opinions expressed in this commentary are solely those of Otis Brawley.

@highlight

Otis Brawley: Each spring, medical associations meet to discuss research, ideas

@highlight

Brawley says drug and medical companies increasingly come to promote products

@highlight

He says seasoned medical writers have been replaced by gullible, inexperienced reporters

@highlight

Their stories often overpromote claims, he writes, exaggerate benefits, harm public health