(CNN) -- The bonds we renew in person between friends and family as we visit during the holiday season get reactivated online after we all go home. This is the time when feast and Facebook go hand-in-hand.

And as it turns out, these two activities are more related than you might imagine.

Two years ago, we published a study in the New England Journal of Medicine that showed weight gain could spread from one person to others in our real-life social networks. When we gain weight, so do people who are one "degree of separation" from us: our friends, siblings, spouses, and co-workers.

The effect doesn't stop there. It also spreads to people who are two degrees removed from us, like our friends' spouses, or our siblings' co-workers, or our friends' friends. In fact, it even spreads to three degrees of separation, to our friends' friends' friends.

Our social networks contain large interconnected clusters of people who gain weight in parallel. Several social processes might explain the appearance of such clusters.

One reason might be a kind of social contagion, whereby behaviors or attitudes related to body size flow through the network.

On the other hand, although a pair of friends might influence each other, they also might choose to be friends with one another because they were similar in the first place.

Or they might both react the same way to something in their environment, like a new doughnut shop down the street. Teasing these effects apart requires the right kind of data. When we followed thousands of people and mapped their social networks over 32 years, we found that obesity can spread from person to person to person.

Today, when people say "social network," they usually think of Facebook, Twitter, or MySpace, and not necessarily the kinds of real-world networks we studied.

Connection and contagion are so fundamentally rooted in our evolutionary psychology that they carry over even to very modern aspects of our lives -- including e-mail, blogs, and social networking sites.

Alas, our study only went up to 2003, before online social networks became so popular. So a natural question to ask was whether the same clusters of overweight individuals exist online and, if so, under what circumstances.

We started following a group of over 1,700 interconnected college students on Facebook about four years ago. In addition to all of their personal information and daily status updates and wall posts, we also had a very important resource: their photos.

Although we could not put each of these students on a scale, we could study their photos and develop a systematic way to estimate each student's weight. It's true that people tend to post only flattering pictures of themselves, but, since everyone does this, we can still get an idea of who is relatively heavier than whom.

And, it turns out that roughly a quarter of the people in our study were overweight or obese, which is close to the figure for college students nationwide.

At first, when we analyzed the whole Facebook network, we were surprised to find no evidence of clustering. There did not seem to be any relationship between your weight and the weight of your Facebook friends. But we soon realized that this makes sense.

Our previous work showed that the social contagion of obesity only works between people who have close social relationships. Even though we may have 1,000 "friends" online, the very tenuousness of these relationships means they may not be as powerful as a single real-world connection. So, you probably won't gain weight if just any old Facebook friend does.

But what about your Facebook friends who are real friends -- the old-fashioned kind you had over to dinner at Thanksgiving? Do they affect us? And how might it be possible to figure out which Facebook connections are also important, real-world connections?

One idea we had was to use the tagged photos that people share with one another online. If you upload a picture of someone, the chances are good that you have a real-world connection with them.

In fact, while the average student in our sample has over 110 Facebook friends, they have only six "picture friends," a number very similar to the number of "close" friends people list when asked in sociology studies.

It turned out that when we restricted our analysis to "picture friends," we found evidence that overweight people cluster on Facebook.

The results suggest that if one of your picture friends is obese, it increases the likelihood that you are obese by 11 percent. And, even more remarkably, if a picture friend of your picture friend is overweight, it increases the likelihood you'll be overweight by 4 percent.

In other words, we find evidence that clusters of overweight friends extend two degrees of separation on Facebook.

Many processes could underlie this clustering online, just as was the case in the offline world. Perhaps people are more likely to befriend others who resemble them in terms of body size. Perhaps groups of online friends share exposures to things that make all of them gain -- or lose -- weight in synchrony.

Or perhaps when one of your close friends online gains weight, you follow suit.

It is not yet clear which of these processes is occurring, but this is the first evidence we've seen that suggests the online world may be like the offline world when it comes to body size.

Of course, picture friends and real-life friends are likely to be one and the same. In fact, the reason we looked just at picture friends is because we think it is these real-world connections that are most likely to be the paths through which emotions and behaviors are transmitted from person to person to person.

Facebook, MySpace, and Twitter give us new ways to keep in touch, but in many ways our online networks are really just an extension of the real-world networks that we have all inhabited for hundreds of thousands of years.

Online as well as offline, human beings connect with each other and influence each other, and this influence can spread in a social chain reaction in ever-more-modern ways.

As you enjoy your festive meals this season, take a moment to consider how truly powerful a real social bond can be. The effect of friends and family on your life remains long after the last of the leftovers are eaten.

The opinions expressed in this commentary are solely those of Nicholas Christakis and James Fowler.

@highlight

Christakis and  Fowler: During holidays, feast and Facebook go hand-in-hand.

@highlight

Authors' study found weight gain can spread via real-life social networks

@highlight

Writers say Facebook and other online networks mimic those in real world

@highlight

Study of "picture friends" on Facebook reflected same clustering of overweight pals