President Barack Obama and congressional leaders described similar proposals Tuesday for ending the National Security Agency's sweeping collection of bulk telephone records.

Obama told reporters in The Netherlands that his intelligence team gave him a "workable" option for NSA reform that he said would "eliminate " concerns about how the government keeps the records known as metadata.

At a news conference in Washington, the leaders of the House Intelligence Committee said they worked out their own bipartisan compromise on a similar proposal intended to alleviate what they characterized as unfounded fears of excessive government surveillance.

The nearly simultaneous remarks demonstrated progress toward Obama's call in January for NSA changes in the aftermath of last year's classified leaks by former agency contractor Edward Snowden that revealed the magnitude of surveillance programs created in response to the September 11, 2001, terrorist attacks.

Congressional battle coming

However, the issue touches on deep political and ideological fissures between Republicans and Democrats, promising an extended battle in Congress over the necessary legislation -- especially in an election year.

A senior administration official told CNN that the White House plan, first reported by The New York Times, would ensure "the government no longer collects or holds" the telephone metadata -- records that include the numbers and time of calls, but no content such as the actual conversation.

According to the official, the proposal "still ensures that the government has access to the information it needs" for national security purposes.

The official declined to specify where the bulk phone metadata would ultimately be stored. Now it is collected by the NSA under broad legal authority to keep it for five years.

It was not immediately clear how the White House proposal differed from the compromise announced by Reps. Mike Rogers of Michigan and Dutch Ruppersberger of Maryland -- the top Republican and Democrat on the House Intelligence Committee.

Their plan would end the automatic NSA collection of phone metadata, with telecommunications companies keeping such records for at least 18 months -- as they do now.

Court approval

Two layers of court approval would be needed to access the records -- one for the overall surveillance program seeking the information, and another for the specific foreign phone number being investigated, the legislators said.

The Snowden leaks unleashed a political firestorm, with privacy advocates and others calling the NSA surveillance programs a violation of constitutional rights.

In particular, many Americans feared inevitable abuse of a system in which the government collected billions of phone records for possible review in terrorism investigations.

Snowden, now living in Russia while seeking asylum from U.S. prosecution, has repeatedly described the surveillance programs illuminated  by his leaks as unconstitutional.

Several legal challenges have been mounted against the NSA programs, and some of those cases could reach the Supreme Court in coming years to set up a judicial review of the constitutional limits of government surveillance in the post 9/11 era.

Obama and the two House legislators all said Tuesday the current system was legal, but needed changing to reassure a skeptical public

Obama: "People were concerned"

In The Hague, Obama argued that "clear safeguards" exist against "some of the dangers that people hypothesize when it came to bulk data."

"But I recognize that people were concerned about what might happen in the future with that bulk data," he said. "This proposal that's been presented to me would eliminate that concern."

Rogers argued no abuses occurred under the present system, but he acknowledged public concern about the possibility of problems down the road if the government kept such vast stores of information.

"That's really what we're trying to do here is alleviate that concern that there could be abuse in the future of these programs," he said.

Authorization for the current NSA programs expires on Friday, and Obama will seek a temporary renewal until Congress passes reform legislation, the senior administration official said.

News of the proposed changes came during Obama's trip to Europe, where he's mobilizing support for isolating Russia over its military occupation and annexation of Crimea from Ukraine.

Snowden's leaks put the NSA's surveillance activities under global scrutiny. The revelations included U.S. spying on European allies and others, sparking diplomatic protests.

Nine months of negotiations

In January, Obama outlined a series of steps -- some immediate and some requiring time to work out, possibly with Congress -- that would change aspects of the NSA collection of phone records and other information but generally leave intact the core and function of existing programs.

Rogers and Ruppersberger said Tuesday that nine months of negotiations involving the intelligence community and other stakeholders led to their proposed legislation.

The White House was involved in the discussions, Ruppersberger said, while Rogers noted the Obama proposal came out after the committee shared its plan with the White House earlier this week.

He noted that more work remains to be done to narrow differences with the White House and the Senate.

"We're feeling pretty good about people starting to coalesce around a solution," Rogers said, adding that "there will be people who are married to their own positions."

Initial reaction to the White House plan included praise with some caution.

Step forward

Democratic Sen. Ron Wyden of Oregon, a leading critic of the NSA surveillance programs, said news of the White House plan amounted to an executive branch retreat.

"For years, the executive branch said it was essential to have this information, that it was indispensable," Wyden said, noting he and colleagues argued against that notion. "Today's exciting news for the constitutional rights of the American people is the administration said they agree with us."

Michelle Richardson, legislative counsel for the American Civil Liberties Union, called the reported White House plan "a crucial first step towards reining in the NSA's overreaching surveillance."

"The change would replace the dragnet surveillance of millions of innocent people with targeted methods that are both effective and respect Americans' constitutional rights," Richardson said, adding: "It is critical that the administration also end other bulk collection programs."

@highlight

Democratic Sen. Wyden hails proposed NSA changes by the White House

@highlight

President Obama says he is considering a "workable" option for NSA reform

@highlight

House intelligence panel heads say they have a compromise plan

@highlight

A political fight in Congress appears likely