Paris, France (CNN) -- When France's Economy Minister Arnaud Montebourg was quoted in French daily newspaper Le Monde over the weekend attacking the economic policies of his very own government, he knew what he was doing: Pulling the pin out of a grenade. And he certainly seemed to have no regrets.

France's Prime Minister Manuel Valls, appointed 147 days ago after President FranÃ§ois Hollande's Socialist Party took a severe beating in local elections, was not going to take such overt rebellion kindly. "It's me or him," he is reported to have told Hollande. On Monday morning, the whole French government presented its resignation and Valls was immediately asked to form a new cabinet.

Apparently savoring the effects of his political sortie, the cocky Montebourg, in a televised address from the ministry of the economy, said that he would follow into the steps of Cincinnatus, a kind of gentleman farmer Roman senator, who in 500 BC came to represent civic virtue for his modesty and restraint. Cincinnatus was also known for his beautiful curly mane, just like Arnaud Montebourg. Many observers were quick to point out that vanity, rather than political restraint, were probably what the French minister shared most with the great Roman senator.

Why is the French government imploding and its members at loggerheads? It's the economy and it is ideological. Montebourg, at the left of the French Socialist Party, advocates the end of austerity measures that supposedly kill economic growth, while Valls, at the right of the French socialist party, as well as President Hollande who long dithered about what economic direction to take, both favor a more German approach, with policies focusing on reducing public deficits and corporate tax breaks.

In fact, many people in France are asking why it took more than two years to get rid of Montebourg, whose histrionic style and interventionist mantra have made him more enemies than friends, especially in the business world. You may remember how he lectured French and foreign investors such as the Peugeot family and Lakshmi Mittal over their plans to scale down their activities in some of their French factories.

Montebourg has been a thorn in the side of President Hollande ever since his appointment as minister, however he is also the symbol of Hollande's confusing and mostly unreadable economic choices.

When the French president finally decided back in March to reclaim some control over his unruly government, and to impose a new series of business-friendly measures, the appointment of Valls was seen as a coherent and strong sign that political and economic uncertainty had finally ended.

However, Hollande insisted that his new prime minister keep Montebourg in government and give him the economy portfolio. As The Economist put it: "Hollande calculated that the risk of a confusing economic policy was less high than that of having his firebrand left-winger sniping from the outside." How wrong Hollande was.

In fact, Hollande seems to have been governing France as if he was still leader of the Socialist Party, trying desperately and at all costs, to hold a divided family together. If such strategy can work for a political party, it may be disastrous when governing a country.

To be president and to govern is to make clear choices. Since his arrival in power in May 2012, Hollande has given the country the impression of playing it by ear, steering the wheel on the right or the left as events came along. This has certainly not proved popular. With an approval rating of barely 20%, Hollande is one of the most unpopular presidents of the Fifth Republic, founded in 1958.

Will the exit of the most rebellious socialists from the government be enough for the president and his prime minister to restore some credibility and be able to implement at last a string of pro-Business measures? If this heralds the end of Hollande's political contradictions, this will be most welcome.

However, the new French government, which will be announced later today, will have to convince French MPs and be backed by a majority in Parliament. Montebourg and the anti-austerity crusaders within the socialist party may want to systematically hinder the government's actions and force Hollande to dissolve parliament and call for new elections. However, this would not necessarily be good news for the opposition, as the French Right, shaken by a series of scandals, has almost disappeared from political debate.

The facts remain that economically, France is not performing as well as expected. With unemployment at more than 10% and two consecutive quarters without growth, France is not going to reach its deficit target of 3.8% of GDP in 2014.

The French government must now decide what direction it wants to take and have the courage to stay the course. France is not performing in a vacuum and Hollande's ability to work in tandem with its European partners, Germany in particular, will prove key to a much-needed coherence.

In fact, as Brussels-based journalist Ian Traynor rightly points out: "The turmoil in Paris presages more battles ahead in Brussels and between EU capitals as the existential crisis that was the euro emergency turns more political."

The opinions expressed in this commentary are solely those of Agnes Poirier.

@highlight

On Monday morning, the French government presented its resignation

@highlight

Economic and ideological reasons are behind the turmoil, Agnes Poirier says

@highlight

Many ask why it took so long to get rid of Economy Minister Arnaud Montebourg, she says

@highlight

Poirier: The French government must now decide what direction it wants to take