For anyone holding out hope of Pluto being reinstated as a major planet, you should probably do as they say in the movie "Frozen" and "let it go."

But here's a new exciting find from the far reaches of our solar system: Astronomers have discovered a dwarf planet that's even farther away than Pluto -- so far, in fact, that its orbit reaches into a new edge of the solar system.

The dwarf planet's current name is 2012 VP113, and it is located in a  "wasteland or badland of the solar system," said astronomer Chad Trujillo, head of adaptive optics at Gemini Observatory in Hawaii and co-discoverer of this object. His study was published Wednesday in the journal Nature.

"The big question is, how is this formed? How can you get an object out there?" he said. "We really don't know an answer to that yet."

This dwarf planet is unusual because of its orbit, Trujillo said. On its elliptical path, the closest it ever comes to the sun is still very far away from the rest of the solar system. Its full orbit is farther than the orbit of any other object we know of in the solar system.

"Nothing that we currently know in the solar system can make objects that are so distant all the time, that never come close to any of the planets," Trujillo said.

The most distant major planet from the sun is Neptune, orbiting our star at a distance of 30 astronomical units. One astronomical unit is the average distance between the Earth and the sun -- about 150 million kilometers, or 93 million miles.

Beyond Neptune is the Kuiper Belt, a doughnut-shaped ring of small objects, which extends from about 30 to 55 AU, according to NASA. This belt may contain hundreds of thousands of large icy objects and trillions of comets, if not more. Pluto is considered a dwarf planet in the Kuiper Belt.

The awkwardly-named 2012 VP113 is much farther from the sun, currently at 83 astronomical units. That puts it at 83 times the distance between our own planet and the sun (The closest point of its orbit is 80 astronomical units).

But in terms of average distance from the sun, there is a dwarf planet even farther out: Eris, which Trujillo helped discover. Eris is bigger than Pluto, and has a satellite called Dysnomia. The presence of Eris helped scientists determine that Pluto should not be counted among the major planets.

Sedna, a dwarf planet that Trujillo co-discovered as well in 2004, is located in the same distant area, and takes about 10,500 years to orbit the sun.

"Finding Sedna so far away seemed odd and potentially a fluke," said Mike Brown, professor of astronomy at California Institute of Technology, in an e-mail. "But this one is beginning to make it look like that might be a typical place for objects to be. Not at all what I would have guessed."

This home of Sedna and 2012 VP113 is called the "inner Oort Cloud." It may be where some comets come from, Trujillo said.

Trujillo's study also suggests that there could be a large planet that no one has seen, way out at 250 astronomical units, affecting the orbits of Sedna and the new dwarf planet. But this is only a theory; the planet has not been detected.

Brown, who was not involved in this study, also co-discovered Sedna.

"These unusual objects --  Sedna and this new one -- can tell us about very early in the solar system, when the sun and planets were just forming," Brown said.

Scientists have not been able to discern what 2012 VP113's composition is, but most would suspect it is icy because of its distance from the sun, Trujillo said. Its color is slightly reddish, and "not especially unusual compared to Kuiper Belt objects," Trujillo said.

Trujllio and colleagues estimate that the new dwarf planet is relatively small -- about 450 kilometers (280 miles) in diameter, which less than the driving distance from Philadelphia to Boston. It's probably ball-shaped, he said.

So why is this not a major planet such as Mercury, Venus, Earth and Mars? Trujillo explains that a bona fide planet is big enough that other objects in its orbit will be sucked into it gravitationally. A dwarf planet is not big enough to become gravitationally dominant; it's too small to pull in objects in the area of its path.

It's possible that this dwarf planet formed very early in our solar system's history, in the region between Jupiter and Saturn, and then got thrown out beyond Pluto. One theory is that, billions of years ago, another star passed by our sun and took material with it out to a distant orbit.

As far as we know, it's too cold out where the dwarf planet is to have liquid water, Trujillo said.

"To me, what this discovery really shows is that we are on verge of finally being able to read the story that Sedna is trying to tell us, and that the next few years should bring a flood of new discoveries in this new region of the outer solar system," Brown said.

2012 VP113 will be eventually renamed, but Trujillo's website says it's informally called "Biden" because of the "VP" designation.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

2012 VP113 is a newly discovered dwarf planet

@highlight

Its full orbit is farther than the orbit of any other solar system object

@highlight

It is located 83 times the distance between Earth and the sun