A record number of people were deported from the United States last year, federal officials announced Tuesday.

But does the Obama administration deserve all the credit -- or blame -- for this record?  And is it actually as impressive as it sounds?

Critics say no to both questions, and charge the administration with creative accounting.

President Barack Obama himself may have inadvertently added fuel to the fire.

"The statistics are actually a little deceptive," Obama said last month during a discussion with Hispanic journalists. There has been "a much greater emphasis on criminals than non-criminals."  And "with stronger border enforcement, we've been apprehending folks at the borders and sending them back. That is counted as a deportation even though they may have only been held for a day or 48 hours."

Sen. Charles Grassley, R-Iowa, noted Obama's remarks Wednesday, saying he's "frustrated about the administration's deceptive marketing tactics in claiming that they have deported more undocumented people than ever before."

The administration is "playing a double game," argued Mark Krikorian, executive director of the Center for Immigration Studies, which favors tighter immigration restrictions. "They're telling (pro-immigration) advocacy groups that they're focusing on the worst of the worst" by committing more resources to the most dangerous undocumented immigrants.

"But they're telling the broader public they've achieved record levels of deportations. It's a clever spin."

So what are the facts? Nearly 400,000 individuals were removed from the country in fiscal year 2011, which ended September 30, according to the U.S. Immigration and Customs Enforcement agency. ICE Director John Morton trumpeted the news, calling it the result of "smart and effective immigration enforcement" that depends on "setting clear priorities for removal and executing on those priorities."

The 396,906 figure is indeed a record -- but not by much.  A total of 392,862 people were deported in 2010 -- a difference of little more than 1%, according to ICE.  Almost 390,000 people were deported the year before that.

Significantly larger increases in the total number of deportations occurred during George W. Bush's administration.  Fewer than 120,000 people were deported in 2001, when Bush took office.

Analysts say much of the change over the last decade has been due to the implementation of controversial federal-led measures such as Secure Communities initiative and the Criminal Alien Program, which are designed to root out undocumented immigrants accused or convicted of various criminal acts.  Both measures predate Obama's presidency.

Recent state-led crackdowns on illegal immigrants in places like Arizona -- despite all the media attention -- have played a less critical role, they insist.

"There certainly has been a tremendous uptick in state activity in the realm of immigration enforcement" in recent years, said Greg Chen, director of advocacy at the American Immigration Lawyers Association.  But "in terms of what's driving enforcement, it's (still) really a federal-led issue."

Producing new deportation records -- however slim the margin -- appears to be a priority for the Obama White House.  Pundits argue the ability to tout such records could be political gold for a Democratic president wooing independent voters in 2012, though it does risk alienating Obama's liberal base.

A Washington Post story from last December said administration "officials quietly directed immigration officers to bypass backlogged immigration courts and time-consuming deportation hearings whenever possible" in order to break the record for fiscal year 2010.

"Officials (also) told immigration officers to encourage eligible foreign nationals to accept a quick pass to their countries without a negative mark on their immigration record,"  the story concluded.

Morton told the Post everything had been done "on the merits" and with "no cooking of the books."

Under Obama, the budget for ICE's Office of Enforcement and Removal Operations -- the money spent to identify, apprehend, detain and remove individuals from the country -- has actually remained relatively static, rising from $2.63 billion in fiscal year 2009 to $2.77 billion in fiscal year 2011.

Immigration officials are currently funded "to remove around 400,000 people based on the resources we're given by Congress," an ICE official told CNN.  What has changed most recently is "the level of sophistication in finding folks who pose a public safety threat and are eligible for removal."

ICE stressed Tuesday that over half of the roughly 397,000 people deported last year had been convicted of felonies or misdemeanors.  That's an 89% increase in deported criminals from three years ago, the agency said.  And in August, the Department of Homeland Security announced its intention to individually review roughly 300,000 pending deportation cases in federal immigration courts.

Lower priority cases -- those not involving individuals considered violent or otherwise dangerous -- will be suspended, the department said.

Administration officials call it a matter of prioritizing cases and allocating scarce resources more efficiently.  Critics call it backdoor amnesty, a way to push through policy changes that conservatives in Congress would never agree to.

If the administration is trying to walk a political tightrope, it may end up pleasing nobody.  Conservatives like Krikorian insist deportations would be increasing at a much faster rate if Obama pushed for more funding for ICE.  Progressive like Chen worry that undocumented immigrants who pose no threat to others are nevertheless at increased risk being rounded up by more aggressive ICE officials.

"This has all been part of the administration's strategy to advance reforms on immigration that include tough enforcement as well as providing a path to citizenship for the 11 million undocumented immigrants in this country," Chen said.  "But unfortunately that latter component has now fallen off."

@highlight

Adminstration officials say they deported a record number of people last year

@highlight

Critics say Obama deserves little credit, and that deportation numbers are basically flat

@highlight

Critics have accused the administration of taking steps in the past to inflate deportation numbers

@highlight

Liberals and conservatives are concerned over current deportation policy