Attorney General Eric Holder is not entirely ruling out a scenario under which a drone strike would be ordered against Americans on U.S. soil, but says it has never been done previously and he could only see it being considered in an extraordinary circumstance.

He began to winnow the list of those possible extraordinary circumstances Wednesday. In testimony Wednesday before the Senate Judiciary Committee, Sen. Ted Cruz, R-Texas, pressed Holder whether he believed it would be constitutional to target an American terror suspect "sitting at a cafe" if the suspect didn't pose an imminent threat.

"No," Holder replied.

But he also said the government has no intention of carrying out drone strikes inside the United States. Echoing what he said in a letter to U.S. Sen. Rand Paul, R-Kentucky, he called the possibility of domestic drone strikes "entirely hypothetical."

That letter, released Tuesday, was prompted by questions raised over the nomination of John Brennan to head the CIA. Specifically, members of the Senate Intelligence Committee sought the Obama administration's legal rationale for its use of drones to kill terror suspects overseas.

But Sen. Rand Paul, a Kentucky Republican who has said he would do what he could to hold up Brennan's nomination until he got a full answer to his query, wanted to know whether the administration considered that policy applicable domestically.

Holder: Drone strike against Americans in the U.S. possible

In a letter to Paul dated on Monday, Holder said it was possible, "I suppose," to imagine an "extraordinary circumstance in which it would be necessary and appropriate" under U.S. law for the president to authorize the military to "use lethal force" within the United States.

However, Holder said the question was "entirely hypothetical" and "unlikely to occur."

The United States, he said, has not carried out such action domestically and had no plans to do so.

Holder said a potential scenario might involve a president ordering such action "to protect the homeland" in a case like the 2001 al Qaeda attacks on New York and Washington or the Japanese bombing of Pearl Harbor in 1941.

But he said the administration rejects the use of military force where law enforcement authorities provide the best means for incapacitating a terrorist threat.

Paul, who released the letter from Holder along with his statement, was not satisfied with the response.

"The U.S. attorney general's refusal to rule out the possibility of drone strikes on American citizens and on American soil is more than frightening. It is an affront to the constitutional due process rights of all Americans," Paul said.

Jeffrey Toobin, CNN senior legal analyst, said on CNN's "The Situation Room" that Holder made it clear in his letter that he would have to examine the facts of each situation separately and advise the president on his legal authority.

"Again, he made a point of saying Sen. Rand Paul's question is hypothetical at this time. But at some point down the road, this may not be hypothetical," Toobin said.

Brennan defended the use of drones overseas at his confirmation hearing weeks ago, but acknowledged there should be more public discussion.

Read letter from Brennan to Paul

In a written response to the intelligence panel, Brennan, too, said the administration has "no intention" of killing Americans with drones in the United States.

The issue of targeting American terror suspects with lethal force was brought into sharp focus in 2011 when New Mexico-born Anwar al-Awlaki was killed in a drone strike in Yemen.

Officials said he played an operational role in al Qaeda in the Arabian Peninsula. Brennan confirmed a connection at his hearing between al-Awlaki and Umar Farouk Abdulmutallab, who tried to blow up a Delta Air Lines jet enroute to Detroit in 2009 with a bomb in his underwear.

The Obama administration has said targeting Americans overseas with drones is only permitted when the U.S. government determines a suspect to be an imminent threat to the United States and when capture would not be feasible. Additionally, all applicable laws must apply.

The Justice Department's Office of Legal Counsel turned over new documents on its legal rationale to the Senate intelligence panel earlier in the day.

Some key members who had been pressing for the information said they were satisfied with the White House cooperation.

"We are pleased that we now have the access that we have long sought and need to conduct the vigilant oversight with which the committee has been charged. We believe that this sets an important precedent for applying our American system of checks and balances to the challenges of 21st century warfare. We look forward to reviewing and discussing these documents in the days ahead," Democrats Ron Wyden of Oregon and Mark Udall of Colorado, and Susan Collins, a Maine Republican, said in a statement.

They credited Paul with raising the use of drones domestically as a question of "fundamental importance."

The Intelligence Committee approved Brennan's nomination later Tuesday and sent it to the full Senate for consideration.

White House to give senators targeted killing documents

@highlight

Terror suspect "sitting at a cafe" couldn't be targeted, attorney general says

@highlight

Attorney General Eric Holder expressed view in testimony to Senate committee

@highlight

Issue of drone strike first raised in Senate consideration of John Brennan to lead CIA

@highlight

Holder says such a strike is "entirely hypothetical"