(CNN) -- The intelligence community and the Obama administration have been under tremendous scrutiny since the attack on the Benghazi consulate in Libya and an investigation is under way. But some aspects of intelligence gathering and analysis are worth keeping in mind before drawing conclusions about whether this attack could have been thwarted or if its specific nature could have been publicized sooner.

I should disclose my bias up front: I'm a former CIA analyst, and believe there is an innate "inevitability of failure" in intelligence collection and analysis. This doesn't mean we shouldn't hold agencies accountable if reasonable signs were missed in Benghazi, but assessments often take time, evolving as new information and evaluations of the credibility of conflicting reports emerge.

Instead of trying to turn the Benghazi attack -- and the deaths of U.S. Ambassador to Libya Christopher Stevens and three other Americans -- into a partisan blame game, policymakers would be better served by thinking about how to enhance U.S. intelligence capabilities.

Richard Betts writes in his seminal 1978 piece on intelligence failures, "Analysis, War, and Decision: Why Intelligence Failures are Inevitable," that "intelligence failures are not only inevitable, they are natural." In his 2002 piece, "Fixing Intelligence," he notes that "even the best intelligence systems will have BIG failures."

Betts says so much information is being collected around the globe regarding so many potential targets, with so many enemy actors adopting deceptive tactics to mislead analysts, that uncovering every threat and thwarting every possible attack is virtually impossible.

This overwhelming abundance of information, Betts says, may result in false alarms -- making it more difficult to discern if the threat of an upcoming attack is real. The global stream of information constantly includes vague information regarding security risks.

The tragic events in Benghazi mark the first killing of a U.S. ambassador since 1979. But the rarity of this kind of terror attack actually demonstrates the overarching success of U.S. intelligence agencies in keeping Americans safe.

People have questioned why the administration didn't immediately report that the Benghazi attack was the work of terrorists. But we don't know whether analysts had enough credible intelligence on hand at the time to be absolutely sure of the nature of the attack. Reports indicate that the intelligence community's evaluations evolved in the following days and weeks as information came in, and policymakers were briefed as assessments changed and solidified. This is common practice.

It's also important to keep in mind that the better a state's intelligence capabilities, the more reports it collects, making assessments take longer as mountains of information are sifted through.

These realities are significant as the intelligence community's role in the Libya attack is examined under a political microscope.

Government e-mails sent about two hours after the attack and obtained by CNN show that an Islamist group, Ansar al-Sharia, had claimed responsibility for Benghazi on Facebook and Twitter, one of many channels of information intel analysts need to examine before reaching conclusions. The group denied responsibility the next day.

Claims such as these need to be corroborated. Sometimes multiple groups claim responsibility after attacks; obviously claims of responsibility are often false. It's also possible that the attackers had ties to multiple groups, or had different motives. Expecting policymakers to publicly examine and go through every conflicting piece of intelligence collected in the hours before and after an attack would be unreasonable and potentially even damaging to national security.

Instead of making political hay out of the circumstances surrounding Benghazi, we should be focusing on how to improve our intelligence collection and analysis capabilities. But we should also avoid overreacting with ill-considered major organizational overhauls in response to one particular attack.

One improvement we could make right away is to invest in recruiting high caliber people to the intelligence community to create an analyst reserve corps. Betts has proposed this idea, and it merits renewed attention.

Such a team could comprise nonpartisan trained intelligence experts from various government agencies, academia and the private sector who would be mobilized when an incident happens. Another idea would be to create the equivalent of an intelligence special forces team made up of individuals from inside the ranks or from outside professions. Additional scholarships could be offered to recruit students from top colleges and graduate schools.

We could also promote academic research into the realm of intelligence. There is a wide array of academic literature on military tactics and strategy, war, sanctions and negotiations, but little in the field of the role of intelligence in conflicts.

In the final days leading up to the election, we must evaluate the performance of intelligence gathering in Benghazi in a fair and objective manner, with every effort to omit our biases and political views.

The intelligence community prides itself on such objectivity in its work and in serving both Democratic and Republican administrations. The public and policymakers should afford analysts the same courtesy by holding their judgments of the intelligence community to the same standard.

The opinions expressed in this commentary are solely those of Tara Maller.

@highlight

Critics ask why Benghazi attack was not called the work of terrorists right away

@highlight

Tara Maller: Assessments evolve over time as intel and evaluations of credibility come in

@highlight

Analysts must consider multiple and conflicting reports, false leads and claims, she says

@highlight

Maller: We need to understand the nature of intelligence and risk of false conclusions