Washington (CNN) -- With his presidency at a crossroads, President Barack Obama delivered his health care "fix it" message with a healthy dose of reflection and contrition: "I think I said early on when I was running, I am not a perfect man and I will not be a perfect president."

CNNMoney: Obama offers fix for canceled plans

At the moment, the challenge is to get back to being a productive president, and those who see a difficult path ahead include veteran Democrats the President counts among his most trusted friends and allies.

"Can Obama come back?" a veteran Democratic strategist asked. "Yes. But like Carter and (George W.) Bush, his downfall is his handling of the job."

This party sage framed the stakes this way:

"The next few months will tell us whether he will be remembered in the pantheon of successful/consequential presidents in the last 60 years or whether he will be a flawed president whose skills did not match the times."

After the President's lengthy appearance in the White House briefing room Thursday, Republicans were scathing in making the case it was too little too late and proof, to them, Obamacare was collapsing.

Predictable, but an argument that has more weight now is that the President, using his terms, "fumbled" the rollout of his signature domestic initiative.

At an Ohio event later Thursday, the President promised to vigorously fight any effort to "gut" the law, and as that debate continues, it is the mood among his fellow Democrats that is most important.

Obama: 'I'm going to see this through'

Initial reaction was hardly reassuring to the White House.

Democrats in both the House and Senate mixed praise of the President's intentions with promises to not trust the administration to fix the problems without guidance from Congress.

Senate Dem leaders holding off on legislative 'fix' for insurance promise

This is the new political reality: the President himself acknowledged the rollout was hurting his party's standing heading into the 2014 midterm election season. While he promised to work hard to turn the political tide, Democrats hoping to be in Washington beyond the end of 2016 -- meaning beyond the Obama years -- will be less and less reluctant with each passing day to trust their fate to his plans and instincts.

Especially because of those polls the President suggested he doesn't read.

For Democrats, especially given the timing, the numbers are numbing: Whether you look at the low Obamacare enrollment figures or President Obama's declining poll standing, what you see is a White House -- and a presidency -- at a crossroads, facing persistent questions about credibility and competence.

Borger: How could Obama not have known?

The question now consuming Washington is whether this is just a temporary bad turn or a tipping point.

In a more sympathetic take, a senior veteran of both Obama presidential campaigns and the first White House term put it this way: "I feel for him and my old colleagues. Tough when you're in the penalty box."

That view assumes the penalty clock expires, and the President rallies. Republican missteps in the past -- like the government shutdown -- give many Democrats hope the President's critics will overreach again and create an opening for a rebound.

Poll: Approval of health care law drops

Less sympathetic, though, was another seasoned Democrat, this one a veteran of the Bill Clinton White House.

"They don't have the time, or the self-awareness," to objectively study and learn from recent mistakes, this longtime Democratic operative said of the President and his second-term team.

"What they do not appreciate is how far away they are from the end of the second term. We had not even had (Monica) Lewinsky yet at this point," the operative said, referring to Clinton's White House affair with an intern.

Noting the sagging poll numbers and increasing public complaints from the President's fellow Democrats, this source, speaking only on condition of anonymity, predicted a rough stretch ahead: "There will be a ton of stories about the need for new and fresh staff and how Obama needs to open his circle up to people who he does not know, or at least not well."

New polls showing the President at new lows in several categories are only increasing a case of Democratic jitters that began once it was clear the Obamacare rollout was going poorly, and that any political advantage Democrats gained from the government shutdown was fading.

Obamacare promises: Where things stand

The latest Quinnipiac University poll found just 39% of Americans approve of how the President is handling his job; 54% disapprove. Those numbers are similar to President George W. Bush's standing at this point in his second term. In an especially troubling turn, that same survey found -- even though congressional approval ratings are at an all time low -- voters trust Republicans in Congress as much or more than the President on big issues like health care and the economy.

In the past, the President's strong personal standing with voters has helped him through stretches when voters question his job performance. But there are signs he cannot, at least at this delicate moment, count on that traditional safety net.

The Quinnipiac poll, for example, found for the first time more voters say the Presidency is not trustworthy.

The timing is what makes this rut even more complicated -- and potentially consequential -- for the President and his second term.

Every day brings the 2014 midterm elections closer, and with the President's standing low, loyalty within his own party becomes harder to maintain.

House Democrats cool down after Obamacare meeting

Evidence of that is abundant, from the Senate Democrats pushing for Obamacare changes, to meetings between congressional Democrats and White House officials this week that turned testy as lawmakers aired their complains about the Obamacare rollout and how it was hurting the party politically.

In Obama's 2008 campaign, he ran as much against the struggling Bush administration as he did against the GOP nominee. Back then, questions about the Iraq war and the federal response to Hurricane Katrina had put front and center the questions President Obama now faces -- about credibility and competence.

Boehner: Obamacare "a rolling calamity"

"There is a very tender and important period for the President," said the veteran Democratic strategist. Instead of a Katrina analogy, this Democrat looked for a parallel within his own party -- the Carter presidency.

"Health care could become his energy shortage," the strategist said.

Health care reform was the signature initiative and achievement of the President's first term, yet the continuing debate over the program, and the administration's rollout, is now holding his second term agenda hostage. A look back at the State of the Union address from the beginning of this year is a reminder that the President has realized nothing from his wish list, which included news jobs programs, an increase in the minimum wage and major immigration reforms.

Getting things done in the second year -- the midterm election year in which Obamacare is certain to be the central issue -- would be difficult even if the President found a path to improve his political standing. Especially if Democrats lose faith in the White House as Republicans did with George W. Bush and his team.

Cruz talks about 'vindication' with rocky Obamacare rollout

Obama: HealthCare.gov needs more than technical fixes

@highlight

Administration facing persistent questions about credibility, competence

@highlight

Democratic veteran questions whether White House learns from mistakes

@highlight

Obama's poll numbers at same place as George W. Bush's at this point in his presidency

@highlight

Timing of crisis is key -- every day brings midterm elections closer, loyalty harder to maintain