BERLIN, Germany (CNN) -- As voting was taking place in the German general election Sunday, attention was already turning to what coalition will rule the country.

Social Democrats handing out flowers hope their party will stay in the ruling coalition.

Few doubt that Angela Merkel's Christian Democratic Union, CDU, will win most votes.

So, will Merkel continue the current center right-center left "grand coalition" with the Social Democrats or will the votes suffice for a coalition with the business liberal but centrist Liberal Democrats or the FDP, a constellation Germans refer to as "Black-Yellow."

At a press conference ostensibly to outline Germany's position at this week's G-20 summit Merkel apparently let the cat out of the bag. "We are in a time of crisis," she said, "and I believe we can pull out of the crisis faster with a Black-Yellow government."

But some political analysts believe she would prefer to keep the Social Democrats as the junior coalition partner.

Polls indicate the CDU and FDP could gain a razor thin majority to form a governing coalition. Recent polls put their combined tally at around 48 percent.

That is not exactly a large majority, but it's two percent more than the left of center parties, the Social Democrats, the Green Party, and the left wing "Die Linke," who would reach about 46 percent if polls are accurate.

The Liberal Democrats have been in opposition since 1998 and at a rally in Berlin, their leader Guido Westerwelle was sure his time has come.

"I think the voters won't allow a coalition of the left to be in power. I think they want a conservative government and they will vote to put us in power," he said.

Westerwelle is eyeing the post of foreign minister under a future Merkel government.  What's at stake in the German election »

A government of CDU and FDP, conservatives and liberal would probably be more business friendly than the current grand coalition.

Both the CDU and FDP want to cut taxes to further jumpstart Europe's largest economy which emerged from its deepest recession only a few months ago.

But even optimistic economists believe cutting taxes will be all but impossible for a government which will inherit the largest public deficit in German history after the current government was forced to ruin in its public finances to bail out banks and industrial companies in the wake of the international financial crisis.

And it appears more trouble lies ahead.

"After the economic crisis we will see a social crisis," says Henrik Enderlein an economics professor at the Hertie School of Governance in Berlin.

Enderlein believes a coalition with the liberals would put Merkel under pressure to implement wider ranging tax breaks than she feels are sustainable.

That is why some believe Merkel would not mind continuing her coalition with the Social Democrats who oppose tax cuts and call them irresponsible in a time of disastrous public deficits.

The Social Democratic contender running against Merkel, Frank Walter Steinmeier, however, has all but given up any hopes of winning. "We want to prevent a "black--yellow" coalition," he keeps repeating at rallies. Confidence sounds different.

Polls currently have the Social Democrats at around 26 percent of the vote, a disastrous figure for a party that in 1998 gained more than 40 percent.

But the Social Democrat ranks were decimated in the seven years they ruled the country under Chancellor Gerhard Schroeder.

Many traditional left wing SPD voters felt Schroeder betrayed the powerful labor wing of the party by cutting social benefits while making it easier for companies to fire employees in times of crisis.

The SPD was further hit when many loyal members splintered off and joined the left wing party die Linke which also incorporates remnants of the former communist party that rules East Germany.

Now Steinmeier is trying to lead the Social Democrats out of the impasse and he realizes his real chance to stay in power would be as the junior partner to Merkel.

Steinmeier would keep his post as foreign minister and many political experts in Berlin think this might be what both Merkel and Steinmeier are really striving for.

"They worked very well together," said Gero Neugebauer of the Freie Universitat Berlin. "The atmosphere was very good and that is very important for such a coalition."

For Germans it seems like the two choices are realistic: A coalition of CDU and FDP, or a grand coalition of CDU and SPD, like the one that is currently governing the country.

Those options haven't exactly fired up the election campaigns.

Both Merkel and Steinmeier were loath to attacking each other and both of them cancelled several scheduled TV appearances which would have seen them go head to head.

"This election seems kind of lame," one young summed it up when I asked him near Berlin's technical university. International experts have a similar opinion.

One issue they feel has gotten short shrift was the war in Afghanistan. Germans have the third largest troop contingent in the country with about 4,200 soldiers stationed in the north.

But Afghanistan played only a minor role in the election campaigns and in their only televised debate, Merkel and Steinmeier devoted less than three minutes to the issue, less than a week after a German ground commander had called an air strike that killed almost 100 Afghans and possibly also civilians.

"It is simply not high on the political agenda," says Jan Techau of the German Council on Foreign Relations., "Most Germans are against the war in Afghanistan and having German troops there, but they don't care about it enough for it to influence the way they vote."

So Merkel and Steinmeier were careful to keep Afghanistan off the campaign agenda as best they could because they agree German troops need to stay in Afghanistan like they agree on so many topics.

That did not make for an exciting campaign, but it could make for a good continuation of the grand coalition.

@highlight

Angela Merkel's CDU are favorites to win the election

@highlight

But they will need a coalition partner to rule

@highlight

Merkel has publicly named the Liberal Democrats as her preferred choice

@highlight

But the current partner, the Social Democrats, may be the end result