(CNN) -- President Obama recently encouraged Americans to "take about 10 minutes to answer 10 questions" and fill out their 2010 census form.

This year's questionnaire is one of the shortest in history, but the results of the survey have long-term effects.

The census, taken every 10 years, is used to determine how to allocate more than $400 billion in federal funds and seats House of Representatives and determine the boundaries of representatives' districts.

"There is no representative democracy without it. It's the scientific, nonpartisan, apolitical starting point of what eventually becomes a quite partisan, political process," said Kenneth Prewitt, a professor at Columbia's School of International and Public Affairs and the former director of the United States Census Bureau.

The House is made up of 435 congressional seats that represent relatively equal slices of the population. When data from the census show a shift in population, seats in the House get reassigned. Some states might pick up a seat or two, while others are forced to combine two districts into one.

The process of apportioning seats is straightforward, but redistricting is much more complicated. Districts are supposed to be redrawn to reflect population changes and to make sure there is equal representation in the House.

State legislators and governors typically draw the districts, but some states rely on restricting committees. Districts can affect the balance of power in the House and representation in the state legislature.

"People try to do things that are to their political advantage if they happen to be in power because maybe the next time the census comes out, the other party will be in power," said William Frey, a demographer and senior fellow with the Brookings Institution.

Lawmakers have been accused of carving district lines around the constituents that will give their party an advantage and secure political gains.

The process is known as gerrymandering, a term coined after Massachusetts Gov. Elbridge Gerry. Elected in 1810, he signed an obscure redistricting bill that enabled greater and perhaps disproportionate Republican representation in the Massachusetts legislature.

Related: Who was Elbridge Gerry?

Critics say gerrymandering gives those in power an unfair advantage and can dilute the power of minority groups.

The Supreme Court in 2006 took up a case looking at a redistricting plan promoted by then-U.S. House Majority Leader Tom DeLay, R-Texas.

After the 2000 census, a state court redrew the Texas map with input from state lawmakers. But after Republicans gained control of the legislature in 2002, DeLay promoted a second redistricting proposal for congressional boundaries.

The Texas legislature adopted the plan in 2003 after three contentious special sessions called by Republican Gov. Rick Perry. The legislative plan led to the 2004 ouster of four Democratic incumbents from Congress and sparked a bitter partisan battle.

The court ruled that the redistricting plan unfairly weakened the voting strength of Latinos in two congressional districts and tossed out a portion of the congressional map, but found the overall redistricting plan engineered by state Republicans acceptable.

Prewitt said the redrawing of lines to the benefit of one party or the neglect of other is just a part of the political process.

"The production of the statistics has got to be nonpolitical ... but the use of the statistics can be as political as the country wants it to be," he said.

"I expect people to try to take advantage of situations to advance their political goals, interests, values -- so it's healthy. Now, do I think overtime creating districts so incumbents are always re-elected is the healthiest way to have a democracy? No," Prewitt said, adding that it's up to the voters to decide whether they want to throw someone out of office.

The more pressing issue for Prewitt is making sure everyone is counted because he said those who aren't counted will be treated unfairly in the political process and in the allocation of economic benefits.

With more than 300 million people in the United States, it can be difficult to make sure than everyone is counted. Frey said calculating the homeless population and the population of those who do not speak English can be particularly challenging.

Illegal immigrants, for example, sometimes opt not to turn in census forms for fear of legal ramifications. Those fears, however, are unwarranted because the information is confidential.

"The challenge that they have is a cost challenge," said Frey. The Census Bureau has to follow up with those who don't send in their forms with additional forms, telephone calls and even in-person visits -- and that adds up, he said.

This year's census is projected to cost more than $14 billion. Prewitt said it's comparatively easy to count the first 75 to 85 percent, but the last 2 to 3 percent is "really, really tough going."

As the census gets underway, Prewitt said trying to count everyone, as mandated by the Constitution, should be the top concern.

"I'm much more concerned about trying to have a fair census than I am about some drawing of odd lines after the census is over," he said.

CNN's David Ariosto and Bill Mears contributed to this report.

@highlight

2010 census determines number of congressional districts per state

@highlight

If the number of districts a state has changes, lines must be redrawn

@highlight

Lawmakers have been accused of drawing districts in order to create political gains

@highlight

Top concern should be counting everyone, former Census Bureau director says