If you ever find yourself in Hunan, China, rent a car and drive the Jishou-Chadong Expressway: 18 tunnels under the Wuling mountains that culminate at the Aizhai Bridge, a gut-churning 1,150-foot-high suspension bridge over the Dehang Canyon. It's a man-made wonder, the world's highest (and maybe even scariest) tunnel-to-tunnel bridge -- and yet it ranks only 15th among the world's longest suspension bridges.

For the thrill of seeing No. 1, you'd need to head to Kobe, Japan, and marvel at the Akashi-Kaikyo Bridge. But in the race to build the biggest and baddest bridges of them all, record-hungry China tends to dominate in hard stats; five out of the top 10 suspension bridges are there, for instance. So instead of a China-heavy list of bridges, we've focused on a variety of categories, from covered bridges to pontoon floaters, to bring you a diverse cross section of the longest.

From the ice roads of Arctic Alaska to a cable-stayed controversy on the other side of the Bering Strait -- stretching over cities, seas and even the jungle canopy -- the world's longest bridges exist on a scale that can only be described as stupefying. Be sure to gas up before you take them on.

Travel + Leisure: See more of the world's longest bridges

Longest suspension bridge span: Akashi-Kaikyo Bridge, Kobe, Japan

Length: 6,532 ft.

Before this steel behemoth bridged the Akashi Strait that separates Kobe from Iwaya, severe storms in the area would routinely sink ferries. Not that the world's longest suspension bridge has it any easier: every day, 23,000 cars pass over a structure that must withstand earthquakes (a 7.2 magnitude earthquake hit in 1995), consistently strong tidal currents (9 knots), and wind gusts up to 179 mph.

Completed in 1998, the record-setting central span 213 feet above the sea makes up over half its total 12,831-foot length; by comparison, the Golden Gate's central span is only 4,200 feet. For an up-close-and-personal (and gut-dropping) view, bridge tours take visitors to the top of one of the towers. jb-honshi.co.jp

World's top 25 destinations

Longest inhabited bridge: Krämerbrücke, Erfurt, Germany

Length: 259 ft.

Like the Old London Bridge before it and Italy's Ponte Vecchio, the fairy tale-like Krämerbrücke, or Merchant's Bridge, is a bit of European history preserved in the modern day. After a series of fires destroyed previous attempts to build a span over the Breitstrom River in the 12th and 13th centuries, a stone arch bridge was built in 1325.

Eventually, 62 half-timbered houses were added on top, 32 of which survived till today and continue to be home to shopkeepers and artisans. This multipurpose bridge has likely inspired more contemporary versions, like Zaha Hadid's 919-foot-long Bridge Pavilion in Zaragoza, Spain. erfurt-tourismus.de

The world's scariest bridges

Longest bridge over water (continuous): Lake Pontchartrain Causeway, Louisiana

Length: 23.87 miles

Due to recent feats of Chinese engineering, the four-lane, 5,189-pile concrete trestle bridge north of New Orleans got demoted by Guinness World Records for world's longest bridge over water. But the change did not come without controversy, with many Pontchartrain loyalists arguing that the new winner, a 25.84-mile elevated highway-bridge-tunnel project near Qingdao, China, actually has only 16.1 miles that span the sea compared to 23.79 miles of Pontchartrain's that are over open water.

Guinness compromised by bestowing a new title upon the 58-year-old causeway: Longest Bridge Over Water (Continuous). However you rank it, it's still a pulse-quickening half-hour drive. thecauseway.us

Travel photos we wish we'd taken

Longest canopy walkway: Taman Negara Canopy Walkway, Kuala Lumpur, Malaysia

Length: 1,509 ft.

Deep in the heart of the Malaysian jungle, the Taman Negara Canopy Walkway provides visitors with unparalleled views and no shortage of thrills. For a mere $1.50, adventurers can channel their inner macaque (and probably see one, too) while traversing more than a quarter mile of narrow bridges strewn between centuries-old trees, offering up-close-and-vertigo-inducing views of local flora and fauna -- 160 feet above the jungle floor. taman-negara.com

Longest floating bridge: Evergreen Point Bridge, Seattle

Length: 7,580 ft.

Officially known as Governor Albert D. Rosellini Bridge (the Washington statesman who oversaw its creation in the early 1960s), this section of State Route 520 connects Seattle to its eastern suburbs via a roadway that floats atop Lake Washington on 33 football field-size pontoons.

The design was chosen due to the lake's unstable bed and the curved nature of the roadway (a common problem for the area, which would explain why the state is home to four of the five largest floating bridges in the world). The aging structure is currently being replaced by a larger, even longer, more modern floating bridge that can even accommodate a light-rail system. wsdot.wa.gov

Longest masonry arch bridge span: Pont de la Libération, Villeneuve-sur-Lot, France

Length: 315 ft.

Though arch bridges are still popular today, they're usually built with modern materials like steel (see: Chongqing, China's Chaotianmen Bridge, at 5,712 feet the longest arch bridge span, period). Which is a shame, considering some masonry arch bridges (brick and/or stone) are so mathematically precise, not to mention beautiful, they could stand without mortar.

More than 100 years old and spanning the Lot River in southwestern France, the Pont de la Libération is made of brick and unreinforced concrete -- technically very small stones and mortar. If it's anything like its distant cousin the Pont du Gard aqueduct, it will stand for hundreds more. Take note, China bridge barons.

The world's strangest bridges

Longest covered bridge: The Hartland Bridge, New Brunswick, Canada

Length: 1,283 ft.

The bridges of Madison County have nothing on this 112-year-old National Historic Site of Canada, which became the world's longest covered bridge only after two spans were destroyed by river ice in 1920, prompting replacement and a roof (covering helps prevent rot on the central wooden trusses).

Built as a private bridge by a coalition of residents desperately in need of a direct way across the Saint John River -- 3 cents for a pedestrian; 6 cents for a horse and wagon -- it's now a regional icon open to all, beloved enough to get its own Google Doodle. town.hartland.nb.ca

Longest rail bridge: Danyang-Kunshan Grand Bridge, China

Length: 102.4 miles

Connecting Shanghai to Nanjing along the Beijing-Shanghai High-Speed Railway, this elevated viaduct was named the world's longest bridge -- period -- by Guinness World Records when it opened in 2011. (Also on the railway, the 70.6-mile Tianjin Grand Bridge, which connects Langfang to Qingxian, is the world's second longest.)

Running parallel to the Yangtze River past lowland rice paddies, most of the span acts as an elevated railway, similar to the El in Chicago, though a 5.6-mile section does act like a traditional bridge, crossing the Yangcheng Lake in Suzhou.

Longest ice bridge: Beaufort Sea Road, Alaska

Length: 68 miles

Time, fortitude and frigid cold are the only tools needed to build an ice bridge. Made popular by the hit reality TV series Ice Road Truckers, many of these cold-temperature roadways traverse a snowy mix of land and frozen lakes. But this span over the Beaufort Sea to Alaska's northernmost oil fields is pure Arctic ice. One of the most dangerous (and unique) bridges on this list, it is also one of the only ways to service the ExxonMobil hub of Point Thomson.

The world's most dangerous bridges

Longest natural bridge span: The Fairy Bridge, Guangxi, China

Length: 400 ft.

Though bridges are one of the greatest examples of human engineering, they are hardly a creation unique to man: rock archways hewn by Mother Nature (usually by erosion) likely provided inspiration for our brick-and-steel masterworks.

And wouldn't you know it, even in this category of bridges, China still dominates. The country is home to three of the longest natural bridge spans in the world, including the 400-foot stunner over the Buliu River near the border of Vietnam. Carved out of a limestone karst, the Fairy Bridge (Xianren Qiao) is an isolated structure accessible only by a three-hour rafting trip. naturalarches.org

Travel + Leisure: See more of the world's longest bridges

@highlight

These 10 longest bridges range from suspension to ice bridges

@highlight

Every day, 23,000 cars pass over Japan's Akashi-Kaikyo Bridge

@highlight

Kuala Lumpur boasts the longest canopy walkway at 1,509 feet

@highlight

China is home to three of the world's longest natural bridge spans