WASHINGTON (CNN) -- Six heat-trapping gases that contribute to air pollution pose potential health hazards, the Environmental Protection Agency said Friday in a landmark announcement that could lead to regulation of the gases.

"This finding confirms that greenhouse gas pollution is a serious problem," EPA Administrator Lisa Jackson said.

The gases -- carbon dioxide, methane, nitrous oxide, hydrofluorocarbons, perfluorocarbons and sulfur hexafluoride -- have been the subject of intensive analysis by scientists around the world, the EPA said. The U.S. Supreme Court ordered the EPA's scientific review in 2007.

"This finding confirms that greenhouse gas pollution is a serious problem now and for future generations," EPA Administrator Lisa P. Jackson said in a release, later adding, "The science clearly shows that concentrations of these gases are at unprecedented levels as a result of human emissions, and these high levels are very likely the cause of the increase in average temperatures and other changes in our climate."

The EPA's finding now goes into a public comment period.

The report, titled "Assessment of the Impacts of Global Change on Regional U.S. Air Quality: A Synthesis of Climate Change Impacts on Ground-Level Ozone," is the culmination of a study started in 2000, the EPA said.

The White House moved quickly to try to squelch any concerns that the EPA would immediately issue any regulations concerning the gases.

"The president has made clear his strong preference that Congress act to pass comprehensive legislation rather than address the climate challenge through administrative action," White House spokesman Ben LaBolt said. "That's why the president has repeatedly called for a bill to provide for market-based solutions to reduce carbon pollution and transition to a clean-energy economy that creates millions of green jobs."

The EPA announcement comes amid efforts by Congress to enact a limit on global warming pollution.

The House Energy and Commerce Committee is scheduled to begin hearings next week on a comprehensive energy and climate bill, called the American Clean Energy and Security Act.

Committee Chairman Henry Waxman is said to want the bill out of committee by Memorial Day, which falls on May 25, and House Speaker Nancy Pelosi said she wants to bring the bill to the House floor for a vote this year.

Environmentalists hailed the EPA's announcement, with the nonprofit Environmental Defense Fund calling it a "historic step ... [that] formally determined that global warming pollution 'endangers' the nation's human health and well-being."

"The U.S. is taking its first steps as a nation to confront climate change," said Vickie Patton, deputy general counsel at the environmental advocacy group. "Global warming threatens our health, our economy, and our children's prosperity. EPA's action is a wake-up call for national policy solutions that secure our economic and environmental future."

But critics say the finding will just produce a "glorious mess."

"Today's action by the EPA is the beginning of a regulatory barrage that will destroy jobs, raise energy prices for consumers and undermine America's global competitiveness," said Sen. James Inhofe, R-Oklahoma, the ranking member on the Senate Environment and Public Works Committee. "It now appears EPA's regulatory reach will find its way into schools, hospitals, assisted living facilities and just about any activity that meets minimum thresholds in the Clean Air Act."

The EPA notes in an accompanying report released Friday that global warming could make ozone pollution worse in some parts of the United States. Future ozone management decisions may have to take into account the possible effects of global warming, the report says.

"Climate change, along with other aspects of global change, including changes in population, land use and the technologies employed for energy production and transportation, may alter the capacity for U.S. states to successfully attain the national air quality standards in the future," the report concludes.

Ground-level ozone is formed when sunlight causes a chemical reaction in the air between nitrogen oxides and volatile organic compounds emitted by motor vehicles and industrial plants. Ozone levels are typically higher on sunny days in areas that have many vehicles or smoke-stack industries.

Global warming also could increase the number of days with weather conditions conducive to forming ozone, potentially causing air quality alerts earlier in the spring and later in the fall, the report says.

In addition to health problems, the report says global warming could lead to increased drought, more heavy downpours and flooding, and more frequent and intense heat waves and wildfires. Global warming could also cause a greater rise in sea level, more intense storms and harm to water resources, agriculture, wildlife and ecosystems, the report said.

CNN political correspondent Jessica Yellin contributed to this report.

@highlight

EPA official says "concentrations of these gases are at unprecedented levels"

@highlight

Environmentalists say announcement is important step in reduction efforts

@highlight

Critic: Finding may help destroy jobs, raise energy prices, cut U.S. competitiveness

@highlight

The House is will begin discussing the American Clean Energy and Security Act