(CNN) -- According to a new survey from the Pew Internet and American Life Project, three-quarters of U.S. adults who own smartphones use those devices to get some kind of real-time location-based information -- from maps and directions all the way to cutting-edge features like Yelp's Monocle augmented-reality view.

That's up considerably from last year's figure of 55%. Still, mobile location-based services are clearly not for everyone.

The flip side of these Pew numbers means that one in four smartphone-owning U.S. adults do not use the maps, navigation or other location-related services these devices provide.

I was surprised by this. Who would invest in buying a smartphone (which usually costs considerably more than the simpler "feature phones" still used by more than half of U.S. adults) and not at least use the built-in maps and navigation? This seems to be one of the most basic and universally useful advantages these devices provide.

It sounds a bit like buying a computer and Internet access, but never searching with Google.

But apparently one in four smartphone owners doesn't see the need, or doesn't know how, to use mobile maps, navigation or location-related services.

Of course, not all smartphones are created equal. For instance, according to comScore, about 12% of U.S. smartphones currently in use are still BlackBerry models, many of which have limited or clunky mapping capabilities. But that would only explain half the mystery.

Older Americans might be another missing piece of this puzzle. According to Pew, 34% of Americans age 50-64 own smartphones, plus 13% of Americans over 65. But a little more than one-third of smartphone-owning Americans older than 50 don't use location-based information or services on their phones -- one of the lowest adoption rates for any of the demographics Pew examined.

Similarly, Pew found that only 66% of smartphone-owning African-American adults use location-based information or services on their phones -- significantly less than whites (76%) and Hispanics (71%). This is a bit puzzling, since more African-Americans (44%) tend to own smartphones, compared to the U.S. population at large (36%), according to a recent Nielsen report.

Educational attainment also appears to be a factor. About one-third of American smartphone owners whose education went no further than high school don't use location info or services on their phones. Also, the less money you earn, the less likely you are to use mobile maps or navigation: only 69% of smartphone-owning adults earning $40,000 per year or less do this, compared to 79% of those earning $75,000 per year or more.

The fact that your phone always knows where you are enables not just mobile maps and navigation, but also "geosocial" place check-in services such as Foursquare, Facebook Places and Google Latitude. Pew found that 18% of all U.S. smartphone owners use geosocial services. That's up from 12% a year ago -- but it's still not a hugely popular activity among U.S smartphone owners.

This statistic makes a little more sense to me. The perceived "value" of Foursquare and other place check-ins varies widely by user. It's really difficult for a lot of people to see the point of place check-ins.

For instance, I've logged more than 1,200 Foursquare check-ins, but I couldn't care less about how many badges I've earned there, whether I'm the "mayor" of anyplace, or who's on my "leaderboard." In fact, I almost never look at my Foursquare account.

Rather, I enjoy taking and posting photos from my phone using services that also let me specify a check-in location, in order to provide context and connection. This lets me easily find other people's photos from those places, and they can easily find mine. So I use Instagram (and before that was available on Android, PicPlz) to check in to Foursquare as well as Twitter and Facebook when I post a photo. This way, I can easily share not just pictures and information but also a sense of place with my friends and others.

In other words, Foursquare has become a popular but indirect engine for location awareness, which is a far bigger deal (and more fun) than its game mechanics.

Pew's numbers on exactly who's using mobile geosocial services are intriguing.

Women -- who often are assumed to have more security or privacy concerns about revealing their location -- are actually slightly more likely (20%) to use geosocial services on their phones than men (17%). Also, Hispanics (23%) and African-Americans (21%) were slightly more likely to use these services than whites (17%).

Wealthier people (from households earning $75,000 per year or more) are far less likely (15%) to use mobile geosocial services than people from households earning less than $40,000 per year (23%). Also, these services are less popular with college graduates (16%) than with people who hold only a high school diploma or less (20%).

For the most part, who's most likely to use mobile geosocial services is almost the inverse of who's most likely to use mobile maps and navigation. This is odd -- one would think geosocial services and mobile maps and navigation would go hand in hand. And in fact, many smartphone owners undoubtedly use both. But so far the appeal of these tools and services is far from universal.

@highlight

Pew: Three-quarters of U.S. smartphone owners use location-based apps

@highlight

That's an increase, but leaves 25% shying away from one of mobile's prime features

@highlight

Older users, those with older phones might not be using maps

@highlight

Higher-income users are less likely to use place-based check-ins like Foursquare