New York (CNN) -- Her social security card is in the name of Joann Prinzivalli, and so is her driver's license. But her birth certificate has the name Paul Prinzivalli.

This is not a case of identity fraud. Prinzivalli said she has been trying to get the gender listed on her birth certificate changed for years.

"I know what was on my birth certificate was a mistake. It was an error," Prinzivalli said. "You didn't necessarily have to have medical testing (to say you were born male or female.) All they did was take a look at you."

States that already allow gender changes on birth certificates without proof of surgery include California, Vermont, Oregon, Washington, the District of Columbia and the state of New York -- but not New York City, says Chase Strangio, staff attorney for the American Civil Liberties Union's LGBT project.

In New York City, for Prinzivalli to get her gender changed on her birth certificate, she would have to show proof of "convertive surgery," or what some call gender reassignment surgery.

But a proposed change in the health code would mean that anyone who wants to change the gender listed on their birth certificate will no longer need proof of surgery to make that change. Instead, someone can simply get an affidavit from a licensed health professional confirming the need for a gender change.

New York City Councilman Corey Johnson, who sponsored the bill, said a proposed list of professionals who could sign off on the change ranges from physicians to mental health counselors. The proposal has the backing of Council Speaker Melissa Mark-Viverito.

"For me, this is catching up with what other states and municipalities have done," Johnson said.

Both Johnson and the ACLU agree that the change would benefit those who struggle financially and need public assistance with food, medical care and housing.

"Birth certificates are often the only form of ID that low income New Yorkers have when applying for jobs or public benefits," Johnson said.

At the federal level, Strangio said people who opt to change their gender classification on social security cards and passports no longer need surgical proof of a surgical gender change.

Prinzivalli has not been able to have the surgery because of health issues, she said. Despite losing 75 pounds, she said her weight is still too high and surgery would not be safe.

It's the same situation for David Gomez, 57, of Queens. His identification cards label him a female and he had hoped to get surgery so that he can legally identify himself as a male. But Gomez said a prior stroke keeps him on the medicine Plavix, which the FDA warns increases the risk of bleeding and can be a risk during some surgeries.

Facebook's 'real name' policy

Both Gomez and Prinzivalli point out: Surgery is also expensive.

Strangio said a full genital reconstructive surgery can cost anywhere from $5,000 to $75,000.

Worse, Strangio said, NYC's language about the kind of surgery it requires to make a legal gender change isn't specific.

"There's no such thing as one surgery related to gender surgery," Strangio said.

Strangio pointed to the fact that some people making transitions choose to do full genital reconstructive surgery, others do what is called "top surgery," where only the chest area is changed, while others simply take hormone therapy.

But Peter Sprigg, of the Washington-based Family Research Council, said he believes that changing your gender on your birth certificate is a completely different issue.

"This is a record of a particular historic event," Sprigg said. "If you change that record, you are essentially falsifying the record of that historic event."

Prinzivalli disagrees.

"The historic event is that a child was born," she said.

Prinzivalli doesn't like labeling her transition as being from "male to female." Instead, she believes she was born transgender and is now a female who is "surgically unchanged."

"I know who I am," she says.

Transgender veteran's documents

Sprigg said his organization is against the idea of sex changes as a whole and doesn't believe the law should recognize them.

"The only time we believe you should be able to is, if you can demonstrate medically that the doctor at the time (of birth) made an incorrect determination of your biological sex," Sprigg said. "That's not really what we're talking about here."

Some members of the transgender community may be like Prinzivalli and have driver's licenses, social security cards and even passports with the gender they display outwardly.

But knowing that one document exists with a gender they don't identify with can be psychologically damaging, Strangio said.

"If you live as one gender and this one document that you can never change, that lists you in a different gender, that can cause significant psychological harm that I think [is] also important to weigh," Strangio said.

New York City's Department of Public Health will allow public comments at a hearing November 17.

@highlight

Proposal would allow transgender people to change birth certificate gender

@highlight

NYC now requires proof of gender reassignment surgery to make change

@highlight

Many U.S. states allow gender changes on birth certificates without surgery

@highlight

Councilman Corey Johnson: "This is catching up with what other states and municipalities have done"