LONDON, England  -- A new drug for melanoma has been shown to rapidly shrink malignant tumors in an early trial at Memorial Sloan-Kettering Hospital in New York.

New drug inhibits BRAF, the main driver of mutation in over 50 percent of melanomas.

Among 27 patients whom the experimental new drug was tested on, "19 showed a 30 percent or greater reduction in tumor size," Dr. Paul Chapman, the lead researcher told CNN from a cancer conference in Berlin.

Melanoma develops in cells that produce melanin, the pigment that gives skin its color, and is the most serious type of skin cancer.

Currently the standard treatment for metastatic malignant melanoma is chemotherapy, which has only a 15 percent success rate, Chapman explained. In his trial using PLX4032 over 70 percent of patients had a response to the drug.

"Without reservation we can say this is a breakthrough in melanoma. We haven't seen a major breakthrough in this disease in the last 40 years," said Professor Alexander Eggermont, President of the European Cancer Organization.

Seventy-five percent of the patients who were treated with PLX4032 had already received multiple treatments of other cancer drugs, all of which had failed. Two-thirds of those patients also already had what Eggermont described as "very widespread metastatic disease."

"There were patients who were on oxygen or on continuous morphine who were off the morphine after one or two weeks of treatment," Eggermont told CNN. Two patients, he said, even showed complete remission, such that all detectable melanoma "melted away."

The other two major benefits of PLX4032 are that it can be taken orally as a pill and seems to have very mild side effects.

The PLX4032 complex works by blocking the activity of cancer-causing mutation of the BRAF gene, which is implicated in more than half of all melanomas. Eggermont praised the drug for being highly-selective unlike traditional "dirty" cancer drugs that have a wide range of side-effects.

"The side effect profile looks very mild and we think it's because it's such a clean, super selective molecule and it's an oral drug, and that's a great asset," he said.

Peter Hirth, CEO of the drug's maker Plexxikon explained that it is because PLX4032 is such a highly selective compound that "doctors can adjust the dosage to really shut down tumors," whereas other cancer treatment drugs are frequently limited from working to their full potential because patients cannot tolerate their toxicity levels.

PLX4032 is not a cure, but offers hope for alleviating symptoms and extending life.

"I've never seen this before in melanoma," Chapman said referring to the successful findings. "One thing we don't know is how long these response are going to last," he added.

The next step will now be to test the drug in a larger trial of almost 700 people, scheduled to begin this month and to be completed by the end of the year.

Then a randomized test comparing chemotherapy treatment with PLX4032 therapy will need to occur before. Currently that is slated to take place across North American, Europe and Australia in the first quarter of 2010.

"We are working to make sure that within the shortest time possible we will satisfy the needs of FDA to get this drug available to melanoma patients as quickly as possible," Eggermont said.

Early responses from peers have been supportive. In a statement Dr. Kat Arney said that "Cancer Research UK and others have been investigating drugs that can block faulty BRAF, so it is interesting to see the results from a small-scale trial of such a drug. Melanoma is a very difficult cancer to treat and the results of this early-stage trial are promising, but larger trials need to be done before we know for sure how effective this treatment is."

@highlight

Experimental new skin cancer treatment shows 70 percent effectiveness

@highlight

PLX4032 inhibits BRAF, the driving mutation in more than half of melanomas

@highlight

Unlike chemotherapy the drug can be taken orally and has mild side effects

@highlight

Larger trials are needed to confirm results and test safety