The French city of Montpellier witnessed history Wednesday when its mayor officiated the nation's first same-sex wedding in front of hundreds of guests.

Vincent Autin and Bruno Boileau exchanged vows at a ceremony in the southern city, watched by some 500 guests seated on brightly colored chairs.

Autin, 40, is the head of the region's Lesbian and Gay Pride association, and he says his wedding to Boileau, 30, marks a big step forward for same-sex equality.

"When French children are born into this world, they are born with the same rights as everyone else -- but from the moment you said you were a homosexual, society deprived you of some of those rights," Autin told CNN in the couple's only interview on their wedding day.

French couple: Why we tied the knot

"Today the French Republic has given these rights back to us, the ones they had taken away, and it has put an end to an institutional discrimination."

While France has allowed civil partnerships for some years, controversial legislation allowing same-sex couples to marry and adopt was signed into law by President Francois Hollande 10 days ago.

Boileau said he and Autin plan to build a family together.

"We want children, we want to pass down values that are important to us, that we hold dear, that are right. And we want grandchildren and great-grandchildren, a real family," he said.

Najat Vallaud-Belkacem, minister of women's rights and a government spokeswoman, was among those attending the landmark ceremony, reflecting the governing Socialist Party's support for same-sex marriage. Montpellier's mayor, Helene Mandroux, also belongs to the party.

Protest marches

However, the move has prompted fierce opposition from many social conservatives and the Catholic Church, with hundreds of thousands of people joining protest marches in Paris and other cities over recent months.

While no official demonstrations were planned, there were concerns protesters would gather in Montpellier on Wednesday.

About 200 police officers were mobilized around the city in case of trouble, Montpellier police said.

On Sunday, a march against same-sex marriage in Paris attracted big crowds. Police put the turnout at 150,000, while the organizers estimated that a million people had turned out to fill the Esplanade des Invalides, a central plaza.

Opposition lawmakers tried unsuccessfully to have the new law blocked by France's highest court after it cleared the National Assembly and Senate.

Some 200 journalists were accredited to cover the wedding, many from overseas, signaling the global interest in the social landmark represented by the marriage.

Same-sex marriage: Who will legalize it next?

Guillaume Bonnet, senior campaign manager in France for the equality group All Out, said he was honored to be a guest at the wedding on what he described as a historic day for his country.

"We have shown that if we all work together anything is possible," he said. "Now couples like Vincent and Bruno can create life full of love and family just like any other loving and committed couple."

Internationally divisive

France is the ninth country in Europe to allow same-sex marriage.

If pending legislation in New Zealand and Uruguay is enacted as expected this year, the worldwide total of countries with legalized same-sex marriage will rise to 14.

Many countries remain split over the issue. A Brazilian court issued a directive this month removing a barrier that had limited same-sex marriage, but no bill has made it through Congress.

Legislators in the United Kingdom are also weighing proposals to legalize same-sex marriage. Lawmakers in Australia voted against a bill to legalize same-sex marriage last September. A poll for the advocacy group Australian Marriage Equality indicated that 64% of those surveyed "support marriage equality."

In the United States, the question went before the Supreme Court and justices are deliberating over the matter.

Twelve U.S. states and the District of Columbia have legalized same-sex marriages. On the other side, many states have specific laws blocking same-sex couples from legally marrying.

@highlight

"We want children, we want to pass down values," says Bruno Boileau

@highlight

France today gives us back the equal rights we were born with, says Vincent Autin

@highlight

Autin and Boileau are the first same-sex couple to marry in France

@highlight

The law allowing same-sex couples to marry and adopt has proved highly divisive in France