Fifty years ago this month, the U.S. Supreme Court heard oral argument in a libel case, New York Times Co. v. Sullivan, that at the time few thought would go on to achieve landmark status. The Sullivan case, despite its roots in the early civil rights movement and the career of Martin Luther King Jr., is still little-known outside legal and media circles. But as it marks its 50th anniversary, Sullivan deserves to be revisited.

No contemporary Supreme Court case has done more to define modern freedom of the press.

These days, as the ongoing case of James Risen of The New York Times shows, reporters do have to worry that if they go too far in revealing embarrassing government secrets, they might find the government taking them to court to force them to reveal confidential sources. That is what has happened to Risen as a result of his investigation of a classified CIA program.

What reporters don't have worry about, though, as they once did, is government officials charging them with libel as a way of silencing their criticism.

Whether they acknowledge it or not,  investigative reporters over the past half century -- from Bob Woodward and Carl Bernstein in "All the President's Men" to Seymour Hersh in "Chain of Command: The Road from 9/11 to Abu Ghraib" -- are indebted to the Supreme Court's Sullivan ruling for the freedom they have had to challenge the government's version of events.

Sullivan had its origins in a fundraising ad, "Heed Their Rising Voices," that the Committee to Defend Martin Luther King and the Struggle for Freedom in the South placed in The New York Times on March 29, 1960.

Opinion: For women, equal pay and economic justice are civil rights issues

The committee -- which included A. Philip Randolph, president of the Brotherhood of Sleeping Car Porters, and entertainers such as Harry Belafonte, Sidney Poitier and Nat King Cole -- had been set up to raise money for King, whom an Alabama grand jury had charged with tax evasion.

"Heed Their Rising Voices" did not criticize any Southerner by name, but it did speak of attacks on the civil rights movement by "Southern violators of the Constitution."  The ad became vulnerable to a libel suit because on a series of very specific points, it contained factual errors.

The ad said that King had been arrested by Alabama authorities seven times when he had been arrested only four times. The ad said that black students were expelled from Alabama State College for a racial protest they held on the State Capitol steps, where they sang "My Country, 'Tis of Thee." In fact, the students sang the national anthem on the State Capitol steps, and they were expelled by the State Board of Education for demanding service at a segregated lunch counter in the Montgomery County Court House.

The misstatements of fact were all comparatively minor, but they made the Times vulnerable to legal action by Southern officials, who resented the prestigious paper for publishing "Heed Their Rising Voices." Under Alabama law, a resident could sue for libel when untruths that he believed defamatory were said about him. On April 19, L. B. Sullivan, a Montgomery city commissioner whose particular duties included supervising the city's police department, filed such a suit.

Sullivan declared that misstatements about the police in Montgomery libeled him, even though they did not name him personally. He asked for damages of $500,000. Soon after Sullivan filed his suit, Alabama Gov. John Patterson filed a $500,000 suit of his own, also claiming libel.  Before long, the Times was facing $3 million in suits, a considerable sum in the 1960s.

The implications of the suits were especially serious at a time when the civil rights movement was in its early stages.  If liberal, Northern papers could be silenced in their criticism of the South as a result of libel suits, the civil rights movement faced tough going.  When on April 12 and 13, Harrison Salisbury wrote Times stories critical of Birmingham, Alabama, his reports brought with it a new set of libel suits.

In Alabama, which ever since Brown v. Board of Education had been doing its best to resist the desegregation of its schools, Sullivan's case was quickly decided.

An all-white jury, acting on instructions from a judge who told the jurors that a statement was libelous unless a defendant could prove it was true in all respects, took just two hours and 20 minutes to award Sullivan the $500,000 for which he asked.

The libel award was the largest in Alabama history, and on August 30, 1962, the Alabama Supreme Court unanimously upheld the lower's court's judgment against the Times.

The Alabama Supreme Court's ruling was in keeping with tradition. U.S. law had long held that libel, as did pornography, did not qualify for First Amendment protection.  If the Times were to win its appeal, the Supreme Court would have to establish a new libel precedent.

For a Supreme Court that 10 years earlier in Brown v. Board of Education had ruled that "separate but equal" had no place in America's public schools, overturning precedent was not out of the question, however.

Earl Warren was still chief justice. And after Arthur Goldberg, John Kennedy's former secretary of labor, replaced Felix Frankfurter, a Franklin Roosevelt appointee, the Warren Court of 1964 was, if anything, more liberal than the Warren Court of 1954.

Opinion: On MLK day, helping the unemployed is a moral issue

Warren assigned writing the opinion of the court in the Sullivan case to Justice William Brennan, like himself an Dwight Eisenhower appointee. By March 9, when the court announced its ruling, the justices were unanimous in their decision to reverse the Alabama State Supreme Court ruling.

As soon as Brennan began reading from his opinion, it was clear that the Supreme Court had taken a fresh look at libel law.

"We are required in this case to determine for the first time the extent to which the constitutional protections of free speech and press limit a state's power to award damages in a libel action brought by a public official against critics of his official conduct," Brennan observed in his very first sentence.

These were words that Sullivan and the South did not want to hear, and as Brennan continued reading from his opinion, it became clear that he and the Supreme Court were distinguishing between a libel action brought by a private person and a libel action brought by a government official.  To guarantee the First Amendment's effectiveness, a government official was not protected by the law in the same way that a private person was, Brennan declared.

For Brennan, the historic basis for such a distinction went back to the notorious Sedition Act of 1798, which during the Federalist administration of John Adams made it a crime to utter or publish "false, scandalous and malicious" attacks against the government.

Fines levied in Sedition Act prosecutions were later repaid by Congress on the grounds that the act was unconstitutional because of its violation of the First Amendment, and President Thomas Jefferson pardoned all who had been convicted and sentenced under the Sedition Act.

The precedents contained in the repudiation of the Sedition Act applied to the present, Brennan insisted. For the First Amendment to remain meaningful, the only way a public official could be allowed to recover damages for a defamatory falsehood against him was if he could prove the falsehood was made with " 'actual malice' -- that is, with knowledge that it was false or with reckless disregard of whether it was false or not."

Requiring a government critic to guarantee the truth of all his factual assertions on pain of a libel judgment risked imposing, as Brennan noted, "self-censorship."

The result was a legal threshold that made it very difficult to charge the critic of a government official with libel. In a front page story, Times Supreme Court reporter Anthony Lewis, who would later write the definitive book on the Sullivan case, pointed out the Supreme Court had established a new "constitutional landmark for freedom of the press and speech."

"The case could have an immediate impact on press coverage of race relations in the South," Lewis went on to say. He was right.

What he could not foresee was how in subsequent decades Sullivan would also lessen the threats writers faced when they investigated the Watergate scandal, reports by America's Vietnam commanders of the number of enemy killed and the claims of the George W. Bush administration that Saddam Hussein's Iraq possessed weapons of mass destruction.

@highlight

Nicolaus Mills: Landmark New York Times v. Sullivan case rooted in civil rights movement

@highlight

He says Supreme Court's decision upholding press freedom echoes for cases today

@highlight

He says challenge was over an ad in raising money for defense of MLK in the South

@highlight

Mills: Ad had errors; court held public officials couldn't collect damages if there was no malice