(CNN) -- Syria has granted citizenship to thousands of stateless people in the country's Kurdish region, a move seen as a gesture to placate the predominantly Arab country's restive minority.

State-run media said President Bashar al-Assad on Thursday issued a legislative decree granting "Syrian Arab nationality" to people registered as "foreigners" in Hasaka, the northeastern region where Kurds reside.

There has long been discontent in the Kurdish region, and protests have been held there in recent days.

Many Kurds have been stateless, and Human Rights Watch said they have faced obstacles, such as getting work and state services. Al-Assad has promised to deal with the issue over the years.

"In 1962, an exceptional census stripped some 120,000 Syrian Kurds -- 20 percent of the Syrian Kurdish population -- of their Syrian citizenship. By many accounts, the special census was carried out in an arbitrary manner," Human Rights Watch said in a July report.

"Brothers from the same family, born in the same Syrian village, were classified differently. Fathers became foreigners while their sons remained citizens. The number of stateless Kurds grew with time as descendants of those who lost citizenship in 1962 multiplied; as a result, their number is now estimated at 300,000."

Human Rights Watch, which notes that the Kurds are the largest non-Arab ethnic minority in Syria, estimated the Kurdish population to be 1.7 million, about 10 percent of Syria's population.

The Syrian government, viewing Kurdish identity as a threat, has suppressed the group's political and cultural rights. Demonstrations in 2004 over longstanding complaints led to harassment and protests were put down with "lethal force," Human Rights Watch said.

At that time, at least 36 people were killed, 160 were injured, and more than 2,000 detained amid "widespread reports of torture and ill-treatment of detainees," Human Rights Watch said.

Massoud Akko, a Kurdish journalist and human rights defender based in Norway, told CNN there are two forms of stateless Kurds -- the majority, around 220,000, are called "foreigners" and they are the ones that the decree addresses. But there's another class of stateless people, numbering about 80,000, who aren't included in the decision.

"This is not enough. We need more," Akko said, referring to the political, social, and economic demands the people have made for decades.

"We as Kurds in Syria do not have the minimal ethnic rights, no schools, no cultural centers. We cannot even use our languages in the universities. We want to be equal to the Kurds living in Turkey, Iran and Iraq."

He said the regime made the move to placate Kurds, who've been angry over their treatment. However, three major Kurdish parties have called for protests Friday in Qamishli, Aleppo and other Syrian cities.

Along with the basic rights they want, Kurds would like to see the Baathist Party rule come to an end and have more political parties formed. They also want freedoms in media and other realms, Akko said.

They don't want to see the controversial 48-year-old emergency rule replaced by an equally oppressive terrorism law, and they demand a civilian rather than a military court system.

CNN's Rima Maktabi contributed to this report.

@highlight

President Bashar al-Assad issues a legislative decree on citizenship

@highlight

The Kurds are about 10 percent of Syria's population, Human Rights Watch estimates

@highlight

Move comes during unrest in the predominantly Arab country