Tripoli, Libya (CNN) -- After Libyans cast ballots in a ground-breaking parliamentary election, officials Sunday turned to the next step in determining the country's political future: counting the votes.

Authorities started transporting ballot boxes from polling stations around the country to the main tally center in Tripoli, said Nuri Khalifa Al-Abbar, chairman of Libya's High National Election Commission. Tallying began at polling centers Saturday night.

Some preliminary results could be announced Sunday or Monday, he said, according to the state-run LANA news agency.

The election came 17 months after political demonstrations against longtime dictator Moammar Gadhafi broke out in two Libyan cities. Those demonstrations spread, leading to a civil war, NATO air strikes, and Gadhafi's death by a gunshot wound to the head in October.

Libyans turn out big in historic election

Saturday, about 1.7 million Libyans -- roughly 60% of the nation's 2.8 million registered voters -- cast ballots, Al-Abbar said. The turnout was expected to increase Sunday, as eight polling centers were opened after violence on election day stopped voters from casting ballots the day before.

Celebrations in Tripoli began Saturday and continued overnight after the parliamentary vote, which many saw as the African nation's first steps to building a free and democratic nation.

The city's main square -- once called Green Square for Gadhafi's political philosophy but now known as Martyr's Square for all those who fell in last year's revolution -- became a focal point for the celebrations, with cars packing the square and surrounding streets.

Families and young men were driving, waving flags and honking horns, many to the tune of the revolutionary chant "raise your head up high, you are a free Libyan."

The last time Libya held an election was almost half a century ago and for many people, the act of casting a ballot was novel after 42 years of Gadhafi's autocratic rule.

United Nations Secretary-General Ban Ki-moon congratulated the Libyan people on the election and also hailed the electoral staff for "well-conducted and transparent" polling.

"Last year, thousands of Libyans sacrificed their lives or suffered lasting injury in order to win the right of the Libyan people to build a new state founded on human dignity and the rule of law," Ban said in a statement. "Yesterday, their determination was again on display as men and women, young and old, cast their ballots, many with deep emotion, even in some areas where they faced threats to their security."

There was significant voter participation, with about 80% of the nation's 3.5 million eligible voters registered by Saturday. But the election indicated a strong interest among people interested in being part of the nation's fledgling government as well.

More than 3,500 candidates stood in the election for a 200-seat national assembly. The winners are expected to be announced by the end of next week.

More than 13,000 soldiers were on the streets Saturday, but not all went smoothly.

Two polling centers were set ablaze in the eastern city of Benghazi, said Alexander Graf Lambsdorff, head of the EU election assessment mission. And in two other cities, polls did not open until 2 p.m., six hours before they were set to close.

Rights group: Rein in Libyan militias

In the eastern city of Ajdabiya, five polling centers opened but four others on the outskirts did not.

Friday, anti-aircraft fire hit a Libyan air force helicopter transporting ballot boxes from the eastern city of Benghazi to nearby areas, the Interior Ministry said. One person was killed. It was unclear who was behind the attack.

And protesters earlier last week attacked a warehouse and torched ballots and other election materials.

This was one of several anti-election incidents staged by Libyans in the east who see an unequal distribution of seats in the national assembly. The 200 seats are allocated by population, reserving 100 for the western Tripolitania, 60 for Cyrenaica in the east, and 40 for the south.

The mistrust stems from the many years of Gadhafi's rule, under which the eastern region felt largely neglected and marginalized. Benghazi emerged as the cradle of the Libyan uprising but many of its residents now feel their revolution has been usurped by the National Transitional Council based in Tripoli.

Council member Mohammed al-Sayeh dismissed the disruptions as "minor" and said there was no lack of trust between east and west.

"Libya will be always united," he said. "It is the first fair and legitimate election."

The parliamentary vote is a litmus test for post-Gadhafi Libya. The new national assembly will be tasked with appointing a transitional government and crafting a constitution.

International court staff freed after detention in Libya

CNN's Moni Basu contributed to this report.

@highlight

NEW: U.N. Secretary-General Ban Ki-moon congratulates the Libyan people on the election

@highlight

Some polling centers remain open after violence stopped voters from casting ballots

@highlight

Preliminary results of the parliamentary vote could be announced Sunday or Monday, an official says

@highlight

The 200-seat national assembly will help rebuild the nation, create institutions