ATLANTA, Georgia (CNN) -- Christine King Farris was sewing an Easter dress for her daughter in their Atlanta home one rainy April evening when the nightly news was interrupted by a special report.

A lone survivor, Farris, 80, is writing a memoir about life with her brother called "Through It All."

The newscaster announced that Farris' younger brother, the Rev. Martin Luther King Jr., had been shot in Memphis, Tennessee. Another update came minutes later: King was in critical condition.

"It was a horrible moment," Farris said of that night in 1968. "I tried to call my sister-in-law; the lines were busy. I tried to call my parents; the lines were busy. I couldn't get anybody."

While boarding a plane for Memphis, Farris learned that her brother was dead. It was the beginning of a string of family tragedies. Her only surviving sibling, younger brother A.D., drowned the next summer. Her mother, Alberta, was shot dead five years later while playing the "Lord's Prayer" on an organ in church on Sunday morning.

Farris raises her hands in bewilderment when she contemplates the losses.

"I think of the things that I've faced in my life, and sometimes I question how I'm still here," Farris, 80, said in her office at Spelman College, surrounded by photographs of her famous brother and other civil rights leaders she once knew.

"I'm the lone survivor in my family," Farris said.

This year, the civil rights community will gather in Memphis on April 4 to mark the 40th anniversary of King's assassination, but Farris will not join them. She is talking publicly about the death of her younger brother for the first time, but a return to Memphis is not part of her agenda.

"I can't go," she said. "I've not been there since the time we went to gather my brother. My memory of Memphis is not a pleasant one. It's one that I cannot erase."   Farris is remembering her brother in another way. She is writing a memoir about her life with him called "Through It All."

A formal and reserved woman, Farris has spent the past year delving into her ugliest memories.

"It's been a real challenge," she said. "I've had to relive those moments. Sometimes it affects me more than others. I try to live with it."

She says it's important for her to push past those painful memories, because she wants to humanize her younger brother. Everyone has heard about King, the civil rights icon. She wants to strip away those platitudes to reveal the playful brother she knew.   "He was normal as a person could be," she said. "I really want people to understand that. I want people not to think of him as some mythic character from out of space."

The mythic nature of King's ministry, though, is palpable in Farris' roomy office at Spelman, the predominantly black women's college where she has taught education for 49 years.

Farris stores photos of her brother on her desktop computer as screensavers. As each image shifts to another, her computer plays highlights of her brother's most famous public speeches.

Isaac N. Farris Jr., her only son, says his mother still plays recordings of her brother's speeches and reads his manuscripts at home.

They weren't just siblings. They were friends.

"She was the first one to meet Mrs. Coretta [King's wife, Coretta Scott King]. She lent him money for his engagement rings," he said. "Over the years, she's especially talked about missing the friendship they had."

The resemblance to her brother is obvious up close. She has the same square face and the same measured, Baptist preacher's drawl. She says she's accustomed to people staring at her when they encounter her in Ebenezer Baptist Church, the Atlanta church her brother once led that she still attends.

"Sometimes people will point me out and say, 'That's Dr. King's sister,' " she said.

"And, of course, I'm immediately surrounded by people. Sometimes, it's a little uncomfortable. I try to be as cordial as I can. ... People come up and ask, 'Are you Dr. King's sister?' I can't say no."

Farris says she had no inkling that her brother would become such an iconic figure. She remembers the little brother who loved playing pool, doing the jitterbug dance and telling jokes. She also recalls his nickname as a young man: Tweed.

"He had this tweed suit, and he loved it," she said, smiling. "He would wear it so much so the boys nicknamed him Tweed."

Farris' son says his mother still retains some of that playful side herself. He occasionally catches her dancing around the house to contemporary R&B music.

"I've seen her do the electric slide," he said. "She gets a kick out of it."

When Farris' brother was thrust to the forefront of the civil rights movement, both were aware of the danger to him. But they never talked about it.

"When you are a part of it, you don't really take the time to sit down and think," she said. "It didn't really bother us too much. We were conscious that it could happen, but it didn't occupy front space, so to speak."

When April 4, 1968, did come, Farris says, others stepped in to help her shoulder her grief. Sen. Robert Kennedy dispatched a plane to Atlanta to take her and King's widow to Memphis.

Her voice remains level as she talks about the plane ride. Then her eyes start to mist.

She says she never left the plane when it arrived. She watched her brother A.D. come on the plane with the Rev. Andrew Young and the Rev. Ralph Abernathy, two of King's closest aides.

"They were crying like babies," she said.

She says she has tried to remember when she last talked to her brother, but it's frustrating.

"I've been trying to think about that. He had a meeting with his staff the Saturday before he went to Memphis, but I didn't get to talk to him. Then ..."

Farris halts herself in mid-sentence. Then her voice trails off.

Her only son says his mom has been a "rock" for the family. He says he's never seen her cry about the loss of his famous uncle. The only time he remembers seeing her cry is when her remaining brother, A.D., drowned in 1969.

"My mother let out a yell that still to this day brings tears to my eyes," he said.

Farris has carved out her own life of distinction. She married and has two children with Isaac N. Farris Sr., an entrepreneur. She's written a children's book on her brother titled "My Brother Martin: A Sister Remembers Growing Up with  the Rev. Martin Luther King Jr." She's also dabbled in public speaking and served as an executive at the King Center, the Atlanta-based center devoted to the teaching of King's nonviolent philosophy.

Only recently, though, Farris experienced another series of losses. Her brother's widow, Coretta Scott King, died two years ago from cancer. And Yolanda King, her brother's oldest child, died from an apparent heart condition last year.

Yet she and her son shrug off any suggestion that her family, like the Kennedy clan, is somehow marked for tragedy. "God never puts on us what we can't bear," she said.

"We never embraced that; others have," added her son, who is CEO of the King Center. "We have felt through it all, we're still blessed. That's the way we were taught."

Forty years after her brother's untimely death, Farris will return to Memphis, but only through her memories.

As she sits in her office surrounded by those memories, she says it's now more urgent than ever that she add her own chapter to his story.

She's the only one left.

"I thought about all that I've been through and all these memories and sometimes it gets tough," she said. "By being the lone survivor, if I don't do this, a part of history will be left out."

@highlight

King's sister was sewing an Easter dress when she saw TV report he was shot

@highlight

Farris: Memory of Memphis "not a pleasant one. ... It's one that I cannot erase"

@highlight

She remembers her brother loved playing pool, doing jitterbug and telling jokes

@highlight

Despite loss of loved ones, Farris says, "God never puts on us what we can't bear"