(CNN) -- Scientifically, can happiness be an advantage?

Some people think if you are happy, you are blind to reality. But when we research it, happiness actually raises every single business and educational outcome for the brain. How did we miss this? Why do we have these societal misconceptions about happiness? Because we assumed you were average.

When we study people, scientists are often interested in what the average is. If we study what is merely average, we will remain merely average.

Many people think happiness is genetic. That's only half the story, because the average person does not fight their genes. When we stop studying the average and begin researching positive outliers -- people who are above average for a positive dimension like optimism or intelligence -- a wildly different picture emerges. Our daily decisions and habits have a huge impact upon both our levels of happiness and success.

Watch Shawn Achor's TED video to hear about this research

Scientifically, happiness is a choice. It is a choice about where your single processor brain will devote its finite resources as you process the world. If you scan for the negative first, your brain literally has no resources left over to see the things you are grateful for or the meaning embedded in your work. But if you scan the world for the positive, you start to reap an amazing advantage.

See also: When losing your job is a positive

Now that there is research validity to these claims, the working world is starting to take notice. In January, I wrote the cover story for the Harvard Business Review magazine on "Happiness Leads to Profits." Based on my article called "Positive Intelligence" and my research in The Happiness Advantage, I outlined our researched conclusion: the single greatest advantage in the modern economy is a happy and engaged workforce.

A decade of research in the business world proves that happiness raises nearly every business and educational outcome: raising sales by 37%, productivity by 31%, and accuracy on tasks by 19%, as well as a myriad of health and quality-of-life improvements.

Given the unprecedented level of unhappiness at companies and the direct link between happiness and business outcomes, the question is NOT whether happiness should matter to companies. Given this research, it clearly should. The first question is: What can I do in my own life to reap the advantage of happiness?

See also: Ambition could make you rich, but not happy

Training your brain to be positive at work is just like training your muscles at the gym. Sounds simple, right? Well, think about how easy it is to make yourself go to the gym. The key with any new resolution is to make it a habit. New research on neuroplasticity -- the ability of the brain to change even as an adult -- reveals that moderate actions can rewire the brain as you create "life habits."

In The Happiness Advantage, I challenge readers to do one brief positive exercise every day for 21 days. Only through behavioral change can information become transformation.

• Write down three new things you are grateful for each day;

• Write for two minutes a day describing one positive experience you had over the past 24 hours;

• Exercise for 10 minutes a day;

• Meditate for two minutes, focusing on your breath going in and out;

• Write one quick email first thing in the morning thanking or praising someone in your social support network (family member, friend, old teacher).

But does it work? In the midst of the worst tax season in history I did a three-hour intervention at auditing and tax accounting firm KPMG, describing how to reap the happiness advantage by creating one of these positive habits. Four months later, there was a 24% improvement in job and life satisfaction. Not only is change possible, this is one of the first long-term ROI (return on investment) studies proving that happiness leads to long-term quantifiable positive change.

In a study I performed on 1,600 Harvard students in 2007, I found that there was a 0.7 correlation between perceived social support and happiness. This is higher than the connection between smoking and cancer. So if in the modern world we give up our social networks to work away from friends and follow celebrities on Twitter, we are trading off with our happiness and health.

Following up, I switched around the questions and asked how much social support employees provided (instead of received). The results were off the charts. Those high on provision of social support are 10 times more engaged at work and have a 40% higher likelihood of promotion over the next four years. In other words, giving at the office gets you more than receiving.

The greatest cultural myth in modern society is that we cannot change. My research proves that you can not only become more positive, but if you prioritize happiness in the present, you can reap an extraordinary advantage.

The opinions expressed in this commentary are solely those of Shawn Achor.

@highlight

The greatest advantage in the economy is a happy workforce, argues Shawn Achor

@highlight

Achor says if you scan the world for the positive, you start to reap an advantage

@highlight

He explains how to train your brain to be positive at work