(CNN) -- A Washington watchdog group is calling for the University of North Carolina to investigate whether administrators broke state law when a whistleblowing employee's credibility was repeatedly and publicly attacked following a CNN investigation into the reading levels of student-athletes.

The Government Accountability Project (GAP), a 37-year-old group that says it leads the nation in whistleblower protection, urged the inquiry in a letter to UNC-Chapel Hill Chancellor Carol Folt on March 6, which the project made public Friday.

The group expresses alarm about university officials' treatment of instructor and tutor Mary Willingham, who alleges the Chapel Hill campus has enrolled student-athletes with reading levels near the lowest elementary grades.

In response to GAP's letter, university spokeswoman Karen Moon and Vice Chancellor for Communications Joel Curran told CNN in an e-mail that the university insists it is committed to accountability and will be as transparent as possible in the controversy.

About the group's demand for an investigation, the two school officials cited how the university has already hired a Washington attorney to conduct an independent inquiry of "academic irregularities" that relate to another controversy involving student-athletes.

That attorney, Kenneth L. Wainstein, who had worked at the U.S. Justice Department for 19 years, may or may not look into alleged violations of the whistleblower law involving Willingham, according to the officials.

"How he proceeds, to whom he talks and what questions he asks will be up to him," they said. "The University will cooperate fully with Mr. Wainstein and ensure that he has the full access he needs to complete his work."

Wainstein couldn't be immediately reached for comment Saturday.

Group has harsh language for comments

In their letter, the government watchdogs allege at least three instances since January in which it says UNC officials responded poorly to Willingham's claims that she tutored and researched athletes in revenue-generating sports who were reading at levels as low as third grade.

The group noted that after Willingham spoke to CNN, UNC immediately challenged her, saying in a press release "we don't believe that claim."

But GAP President Louis Clark said the comments of UNC Provost James Dean in the ensuing days were particularly offensive.

In January, at a public faculty meeting, Dean verbally attacked Willingham's credibility and called her research "unworthy of this university," according to Clark's letter. Dean also mischaracterized her research as being critical of all athletes when she had been very clear that it dealt with a sample of about 180 athletes, Clark said.

Several days later, Dean flew to New York for an in-person interview with the Bloomberg news outlet. Dean denounced Willingham's findings and called them "a lie."

When the Bloomberg reporter asked Dean whether he stood by those comments, Dean said he misspoke.

Dean has not since spoken publicly on the topic and declined through a representative a CNN request for comment. University spokeswoman Moon stated there "has been no need for Provost Dean to offer any additional comments."

Clark, in GAP's press release, said that the reaction from Dean and other UNC officials was "disgraceful, morally wrong and legally questionable." He asked Chancellor Folt to investigate whether UNC's whistleblower policy -- which relies on state law because it's a state institution -- was violated.

A chilling effect?

GAP says the policy states that employees should be "free of intimidation or harassment."

"It is simply unacceptable for a person in a position of such authority to make disparaging comments about an employee who has raised legitimate and important concerns about the education of student-athletes," the letter states.

"The effect of these actions is that UNC-CH is perceived as a bully who is intent on publicly smearing a well-meaning employee rather than fairly addressing the substance of the concerns being raised," the letter says, referring to the main Chapel Hill campus.

Clark also wrote that UNC's response and Dean's comments have a damaging and chilling effect on whistleblowers. That's something Willingham alleges she has already experienced.

Willingham said that in hundreds of e-mails privately supporting her, very few people -- at a diverse set of academic institutions -- say they are willing to imperil their careers by publicly talking about the issue of athlete literacy, let alone voicing support for her work.

Echoing that, many people who have talked to CNN since January have sought anonymity, noting the criticism of Willingham and the death threats that she received in the days after CNN's initial report.

Among those is the psychologist who administered the tests that Willingham used to determine the reading levels of the athletes she studied. The psychologist stands behind Willingham, but asked CNN not to use her name because she feared for her personal safety. CNN hasn't published her name.

School asserts her data is flawed

Meanwhile, the university continues its assertions that Willingham's research was flawed, despite her claims that she personally tutored almost every one of the athletes in her study.

UNC is expected to release a second review of Willingham's data in the coming days.

In a related matter, another university-sanctioned review of academic fraud is under way.

Last month, Folt announced the university hired Wainstein, a business fraud attorney, to take another look at the so-called "paper class scandal," where athletes allegedly were taking classes in which the only requirement was completing a single paper. Wainstein also served as homeland security adviser under President George W. Bush.

Willingham, who has worked with athletes for several years, also helped expose the paper class scandal two years ago in the Raleigh News & Observer.

Despite seven prior reviews, that scandal continues to nag the university as officials insist it was the doing of a single professor. Willingham says the existence of such classes was well-known, and athletes who couldn't read were steered toward them.

The accused professor, Julius Nyang'oro, has been indicted on a fraud charge related to the scandal. He has pleaded not guilty.

Earlier this month, District Attorney Jim Woodall of Orange and Chatham counties announced that the criminal probe is over, and no one else will be charged.

@highlight

Government Accountability Project demands a probe in a letter to UNC-Chapel Hill

@highlight

An attorney hired to look into another case may -- or may not -- do probe, UNC says

@highlight

Mary Willingham exposed how UNC enrolls student-athletes reading at third-grade level

@highlight

UNC's whistleblower policy says employees should be "free of intimidation"