China has once again been rocked by a violent attack targeting civilians after two SUVs plowed into people gathered at an open market in Urumqi, the capital of the western Chinese region of Xinjiang.

Explosives were tossed from the vehicles, before one of the SUVs exploded, leaving many shoppers dead or wounded on the streets as flames and smoke billowed from the scene.

The incident left 31 dead and more than 90 others hurt, according to Xinhua, China's state-run news agency.

The brazen act was described by China's Ministry of Public Security as "a serious violent terrorist incident" and it vowed to crack down on the perpetrators.

It was the latest in a series of deadly attacks in public places in China in the past few months.

It also put the spotlight once again on Xinjiang, a region with a long history of friction between Han Chinese, China's biggest and most dominant ethnic group, and the indigenous Uyghurs, a mainly Turkic-speaking Muslim population.

What happened in the recent attacks?

-- April 30, 2014: After Chinese President Xi Jinping had wrapped up a visit to Xinjiang, an explosion rocked the South Railway Station of Urumqi, followed by a knife attack at the same location. Three people died and 79 others were injured in the attacks, according to Xinhua, as "knife-wielding mobs" attacked people at one of the station's exits following the blast. Two people, described as religious extremists and part of the East Turkistan Islamic Movement, were blamed for the incident. Both died in the blast.

-- March 1, 2014: Twenty-nine people were killed and 130 were injured when 10 men armed with long knives stormed the station in the southwest Chinese city of Kunming. Kunming railway station is one of the largest in southwest China. Witnesses described men clad in black outfits stabbing and attacking people with cleavers and knives. Local government officials told Xinhua that evidence at the crime scene indicated "it was orchestrated by Xinjiang separatist forces."

-- October 28, 2013: Chinese authorities indicated a Xinjiang connection when a jeep plowed into crowds in Tiananmen Square, killing five and injuring at least 40.

Who are the Uyghurs?

The Uyghurs are a predominantly Muslim ethnic group who live in Xinjiang, an area the size of Iran that is rich in natural resources, including oil.

The province shares borders with Mongolia, Russia, Kazakhstan, Kyrgyzstan, Tajikistan, Afghanistan, Pakistan and India. Uyghurs, who speak a language related to Turkish, regard themselves as culturally and ethnically close to central Asia, despite a long history of Chinese rule.

Since the collapse of the Qing dynasty in 1912, Xinjiang, which means "new frontier" in Chinese, has enjoyed varying levels of autonomy.

In 1933, rebels declared independence and created the short-lived Islamic Republic of East Turkistan.

The Chinese Communist Party took over the territory in 1949 and in 1955 it was declared an autonomous region, giving it a status similar to that of Tibet, which lies to the south of Xinjiang.

Why do Uyghurs resent Chinese rule?

Over the decades, waves of Han Chinese migrants arrived in the region, displacing Uyghurs from their traditional lands and fueling tensions.

Xinjiang is now home to more than 8 million Han Chinese, up from 220,000 in 1949, and 10 million Uyghurs. The newcomers take most of the new jobs, and unemployment among Uyghurs is high. They complain of discrimination and harsh treatment by security forces, despite official promises of equal rights and ethnic harmony.

Activists say that a campaign is being waged to weaken the Uyghurs' religious and cultural traditions and that the education system undermines use of the Uyghur language.

Why is China concerned about the Uyghurs?

Simmering tensions have erupted into riots. The worst violence in decades took place in July 2009, when rioting in Urumqi between Uyghurs and Han Chinese killed some 200 people and injured 1,700. That unrest was followed by a crackdown by security forces.

Beijing says Uyghur groups want to establish an independent state and, because of the Uyghurs' cultural ties to their neighbors, leaders fear that elements may back a separatist movement in Xinjiang.

What could be triggering attacks in Xinjiang?

It could be multiple factors, but China is increasing its grip over Xinjiang society, said James Leibold, senior lecturer of politics and Asian studies at La Trobe University in Melbourne. President Xi's administration views Xinjiang "as a crucial backdoor into central Asia" -- one that could provide a new Silk Road and economic opportunities. There are also natural resources in the province.

China has quadrupled internal security budget in Xinjiang, he said. "It has increased armed patrols as well as security cameras in the region."

At the same time, China has also injected money to boost economic development amongst the Ugyhur minority and the Han Chinese who live in Xinjiang, Leibold added.

Is the violence in Xinjiang getting worse?

"I think these things are cyclical in nature," said Leibold, an expert on Chinese ethnic policy relations. "If you look at Xinjiang over the last 60-plus years it's been under Chinese Communist Party rule, the violence ebbs and flows."

The 1950s were particularly bloody, as was the Cultural Revolution, and violence was reported in the late 1990s and early 2000s, he said.

"It's impossible to confirm that ethnic violence has increased," he said. "The government puts out statistics and all the information we get are bits and pieces."

The Chinese government blames what it calls three evil forces: Separatism, extremism and terrorism.

What is significant in recent violence is that the target of the attacks appear to be shifting to civilians from security forces, he said.

"We have seen targeting of innocent civilians and places, an attempt to maim innocent civilians in large numbers," Leibold said. "This violence has seeped outside of Xinjiang autonomous region," he added, referring to the incidents in Tiananmen and the Kunming train station several months ago.

Are there Uyghur terrorist groups?

Some say the threats from Uyghur separatist groups have been exaggerated and that little of the violence inside Xinjiang should be considered terrorism. They also say that the civil unrest is carried out by individuals or small groups, rather than an organized militant group.

However, Uyghur groups have claimed responsibility for bus bombs in Shanghai and Yunnan prior to the Olympics in 2008. The Chinese government blamed an attempted hijacking of a flight in 2012 on Uyghurs.

The U.S. State Department listed the East Turkestan Islamic Movement as a terrorist organization in 2002 in the wake of the September 11 attacks during a period of increased cooperation with China on security matters.

After the September 11, 2001, terrorist attacks in New York and Washington, some 22 Uyghurs were rounded up in Pakistan and Afghanistan and detained at Guantanamo Bay. The final three ethnic Uyghurs were released from Guantanamo to Slovakia where they were "voluntarily" resettled early last year.

@highlight

Violent attack in Urumqi open market brings spotlight on Xinjiang

@highlight

China's Xinjiang autonomous region has a long history of friction

@highlight

Recent spate of attacks and bombings in China has been blamed on separatists