U.S. transportation safety investigators arrived on Thursday in Afghanistan to try and help determine why a civilian operated Boeing 747 cargo jet crashed on takeoff from Bagram Air Base, killing all seven crew aboard.

Senior aviation investigator Tim LeBaron is leading a team from the National Transportation Safety Board (NTSB) that is working with the Federal Aviation Administration (FAA) and Boeing, which made the jumbo jet that crashed on Monday.

The safety board is an independent government agency that investigates transportation accidents in the United States and often assists foreign governments in major cases, especially in air crashes involving a plane made by an American manufacturer.

Afghanistan's transportation ministry is leading the probe, the safety board said in a statement.

A priority for crash investigators is to recover the jet's "black boxes," the flight data and cockpit voice recorders that could provide clues to a potential cause.

The final moments of the doomed plane appear to have been captured by a dashboard camera inside a vehicle that was in the area.

The approximately three-minute video shows what appears to be the jet starting its climb at 11:20 a.m. local time from the base.

About 12 seconds into the video, it appears to stall, rolls from side to side, and drops.

At 23 seconds, the plane crashes nose first into the ground off the side of the road, erupting into a ball of orange flame and black smoke.

There is no immediate reaction from inside the vehicle.

After the driver brings the vehicle equipped with the webcam to a halt, at 1:15  in the video, someone says, "Oh, f***!"

At 1:33, as the camera shows the vehicle moving once again, a noise can be heard -- possibly from a dog. Someone says, "All right, come here. Shh! Shh! Shh!"

The yelping stops; the vehicle stops.

At 2:13 in the video, the vehicle approaches the crash site and stops, the camera once again capturing thick black smoke. The video ends.

"That's one dramatic fall out of the sky," said Arthur Rosenberg, a pilot, engineer and partner with the New York-based law firm Soberman & Rosenberg, which specializes in litigation stemming from plane crashes. "It could have been a rock."

He added, "The plane just flat-out stalled. There's absolutely no question about that."

He said too much cargo in the rear of the plane is one of several possible causes.

"It looks to me like the plane pitched up; the most likely cause would be too much load in the rear," he said in a telephone interview. "The plane dropped below minimum controllable airspeed and started to roll."

But, he added, "It's way too early to tell."

CNN cannot confirm the video's authenticity. It bears the date 2013/02/01, but date stamps can easily be inaccurate.

Ill-fated Flight NCR102 was operated by National Airlines, which specializes in moving freight for the military and businesses. It also operates charter passenger service in the Middle East.

U.S.-based National Air Cargo, the parent of National Airlines, confirmed the crash. It said the flight originated at Camp Bastian, a military base in Afghanistan, and was en route to Dubai, United Arab Emirates. It had stopped to refuel at Bagram, landing uneventfully.

The cargo included five mine-resistant, ambush-protected vehicles being taken out of Afghanistan as part of the drawdown of U.S. forces, said Shirley Kaufman of National Air Cargo.

The vehicles, usually referred to as MRAPs, can weigh from 12 tons to 24 tons, depending on the model, according to a 2011 Congressional Research Service report.

That would mean a minimum of 60 tons, which is within its specifications, according to Boeing.

"Securing them is absolutely critical to safety," said Steven Wallace, former director of the FAA's Accident Investigation Unit. It's critical that the total weight be within the limit and that the plane be balanced, he said.

"When the airplane is rotated with the nose up, the cargo moves aft if it's not properly secured," he said.

National Air Cargo said the cargo was properly loaded and secured and had passed all necessary inspections prior to departing Camp Bastian. No additional cargo was added during the stop in Bagram and the aircraft's cargo was again inspected prior to departure.

The company would not speculate on a possible cause of the crash and said it was cooperating with investigators.

Six of the crash victims were from Michigan, National said. They were identified as Brad Hasler, Jeremy Lipka, Jamie Brokaw, Rinku Summan, Michael Sheets and Gary Stockdale.

The other victim, Timothy Garrett, was from Kentucky.

Taliban spokesman Zabiullah Mujahid said his group shot down the aircraft and that "several foreign soldiers were killed."

That claim could not be verified. A number of Taliban claims of responsibility have proven false.

@highlight

A video appears to show the 747 as it tries to take off from Bagram Airbase

@highlight

"That's one dramatic fall out of the sky," an expert says

@highlight

The plane was carrying seven crew members and cargo, the airline says

@highlight

U.S. transportation safety investigators arrive in Afghanistan