Woods Hole, Massachusetts (CNN) -- Our need for oil almost wiped out the sperm whale once, and now our insatiable hunger for it threatens them again.

Sperm whales were hunted in the Gulf of Mexico in the 18th and 19th centuries for their oil, but were somewhat spared when petroleum replaced whale oil as an energy source. Now, instead of hunters, the same oil that helped to save the sperm whales from extinction threatens their survival in the Gulf.

Sperm whales, listed as endangered in 1970, are social animals. The young live with their mothers for years in stable groups, and the whales dive deep in search of food. Because they spend so much of their lives undersea, our knowledge of their behavior and community structure is limited. We have a lot to learn before we can say we truly know these animals.

We do know that sperm whales depend on the deep ocean habitat. And we know that habitat in the Gulf is severely threatened by the disastrous BP oil spill -- particularly as the oil spreads through plumes that go deep into the water.

[On Tuesday, the decomposed body of a juvenile sperm whale was found 77 miles from the well, according to the National Oceanic and Atmospheric Administration. Investigators are trying to determine whether oil played a role in its death; it was not found in oiled water.]

Routinely holding their breath for about 45 minutes, sperm whales can dive half a mile to hunt fish and squid. When they arrive at the surface, they spend about nine minutes breathing and preparing for their next dive.

About 1,665 sperm whales live in the Gulf of Mexico, according to the National Marine Fisheries Service, and reports say about 300 to 400 of them depend on deep waters near the mouth of the Mississippi River. Whalers, centuries ago, found that the Mississippi Canyon, off the Mississippi River Delta, was a hot spot for sperm whales.

A recent review of whalers' logbooks shows that from 1788 to 1877, about 204 voyages spent at least one season whaling in the Gulf. Recent research indicates about 40 whales at any one time live around the Mississippi Canyon, and females and immature whales prefer this area.

BP's undersea well gushing out oil is in this canyon.

The aftermath of the 1989 Exxon Valdez oil spill offers a glimpse into what might be in store for the sperm whales of the Gulf. Many North Pacific killer whales died throughout the year after that 11 million gallon spill. Forty percent of the whales in the most exposed groups died, including all of the breeding females in one group. As more long-term studies emerge, we see that after 20 years, the killer whales still have not fully recovered.

Risk factors for the sperm whales of the Gulf are similar to those for the killer whales of coastal Alaska: They are swimming in oil; females and juveniles depend on critical habitat near the spill, and the population is already small and isolated.

Oil can damage and kill marine mammals in myriad ways.

The major threat to sperm whales is probably breathing in volatile organic compounds at the surface. The residents of New Orleans, Louisiana, may smell a bad odor from the spill, but imagine, after a 45-minute dive, surfacing into a noxious cloud of contaminated air. Breathing these fumes can lead to pneumonia, damage to the brain, liver and other organs; unconsciousness and death. And the dispersants added to the oil are actually more volatile than crude.

Oil could also contaminate or kill the fish and squid that sperm whales eat. These creatures are highly sensitive to toxic compounds in oil. As the oil spreads, it will create a greater risk.

In the early 1990s, the U.S. Marine Mammal Commission warned about oil and gas exploration in the Gulf. Considering the risk of a large oil spill to marine mammals, the commission said "such effects might result in the complete loss of a regional population and require three or more generations to recover."

BP and its federal regulators ignored these warnings. But they were far from alone.

Every single person in the United States who uses oil has a personal connection to this spill. As I watch footage of the oil flowing into this deepwater habitat, I realize that I am partially responsible. If Americans didn't use as much oil as we do, we wouldn't have to drill as much -- or at all.

It's too soon to say what will become of the sperm whale in the Gulf of Mexico. But it is fair to say a new energy source won't suddenly emerge to replace petroleum.

So, what can we do? We can support clean energy in every way possible, but we also must decrease our oil consumption. Maybe we will all be able to learn something from this disaster and adapt.

The opinions in this commentary are solely those of Heather Heenehan.

@highlight

Heather Heenehan: Sperm whales once hunted for their oil; now oil threatens their lives

@highlight

Their deep water habitat in Gulf severely threatened by the BP oil spill, she writes

@highlight

Whales will breathe noxious fumes, she writes, and their food will be contaminated

@highlight

We all share blame for this disaster because of our huge oil consumption, she says