(CNN) -- Occasionally, at odd hours, you may find that you have a Waffle House all to yourself.

This allows for silent contemplation.

There is one notation on the ubiquitous restaurants' familiar laminated, double-sided menus that has long intrigued me. This summer I finally decided to look into why that notation is there, and the answer led, in a roundabout way, to an unexpected and beguiling tale of American business, and of fathers and sons.

You really do learn something new every day.

The omelets on all those Waffle House menus are not described as mere omelets. They are designated as "Toddle House omelets."

The Toddle Houses -- they have been out of business for decades -- were a cherished institution in the middle of the 20th century. I must have eaten hundreds of Toddle House meals as a boy and young man. They were open 24 hours a day, and were bare-bones. A counter and 10 stools. No booths. No tables. A place you could depend on.

I never quite understood how those original Toddle Houses could make any money with only 10 customers at a time, but they were heartland perfection (if not perfect for one's heart). Cheeseburgers, grilled cheese sandwiches, hash browns made on the grill right in front of you, breakfast round the clock, and the most mouthwatering chocolate icebox pie and banana cream pie imaginable. I can taste those pies right now, and it's been more than 40 years.

The chain was based in Memphis, and, as mid-South historian Vance Lauderdale has written, "Everything was gleaming steel or white tile, and crammed into the tiny space were fryers and ovens and broilers and toasters and -- well, just about everything needed to prepare anything from a cup of coffee to a steak dinner."

I thought the Toddle Houses had vanished from everywhere but my dreams -- yet they live on, on every Waffle House menu. And, because there are more than 1,600 Waffle Houses in the United States, there are a whole lot of Waffle House menus.

To find out the reason for all of this, I got in touch with Waffle House headquarters, in Norcross, Georgia. I was told that there is no financial connection between Waffle House and the old Toddle House. But one of Waffle House's co-founders, Joe Rogers Sr., got his start as a Toddle House employee, and it was he who insisted on the Toddle House label on the omelets, as a fond and wistful homage to those lost little diners.

Now. . . here's where the saga gets cool.

I delved into Toddle House history. It turns out that the guy who built the Toddle Houses from nothing into a mid-century middle-American treasure was a fellow named Fred Smith. He had owned a bus company, had sold it, and had devoted his business acumen to the Toddle Houses. He died in the 1940s, leaving a 4-year-old son fatherless.

The boy, also named Fred, went to college, joined the Marines, served two tours of duty in Vietnam, then came home and, like his dad had done, decided to start a company. It was based on an idea he had dreamed up while in school. It had nothing to do with the restaurant business.

It was a little firm called Federal Express.

How's that for a father-and-son success story? Toddle House and FedEx, sharing a common bloodline. It's one thing for a dad to teach his son the ropes in a family business, and hand it to him. And history is full of dads and their sons who have succeeded in the same field. John and John Quincy Adams, and George H.W. and George W. Bush, became presidents of the United States. Archie Manning and his sons Peyton and Eli all became National Football League quarterbacks. Bobby Hull and his son Brett are both hockey hall-of-famers. Kirk Douglas was a Hollywood leading man, and so is his son, Michael.

But those sons followed their fathers into the same job.

The first Fred Smith, though, was long dead by the time the second Fred Smith determined that he wanted to go into business. There must be something genetic about the creative business urge (or something in the Memphis water); the first Fred wasn't around to teach the second Fred how to do it, yet the Smiths built two completely different kinds of companies that on a national scale successfully fulfilled completely different consumer needs.

And I just realized something:

Nine years ago, when a lifelong friend was dying of cancer and we who grew up with him and loved him were gathering to bid him farewell, we tried to think up a gift that would mean something special to him.

I found, online, an antique shop in the South that had on hand an old dinner plate from a Toddle House (the slogan of the restaurants, modest yet confident, was: "Good as the Best." The slogan was baked into every plate).

We'd had so many Toddle House meals together, sitting shoulder-to-shoulder on those stools at the counter. We knew what the gift would represent to him. We were all going to sign the plate for our friend, so he could keep it on a shelf near his bed.

But time was short. We didn't have the luxury of waiting. So I asked the antique shop owners if there was a way they could get it to us quickly.

There was.

They sent it FedEx.

It arrived the next day, for us to sign and present to him. After he passed away, his wife did me the kindness of giving me the sturdy old Toddle House plate, complete with all of our signatures on it -- and his. I'm looking at it as I type these words.

I realize only now that it was the first Fred Smith's prized product, brought safely to us by his son.

What a country. Sometimes you have to just smile and shake your head.

(Now, if there was only some way for FedEx to deliver a slice of that long-gone Toddle House banana cream pie. . . .)

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene wondered why Waffle House menu sold Toddle House omelets

@highlight

Toddle House eateries were a staple of his youth

@highlight

Toddle House was the root of a remarkable father-son success story

@highlight

The son of Toddle House's founder, grew up to succeed in a different venture