By nearly all accounts, 12-year-old Kali Hardig should not be alive.

During a swim at a water park in July, she contracted parasitic meningitis, a rare infection caused by brain-eating amoebas that has a survival rate less than 1%.

Only two patients had been known to survive in the last half-century.

But Kali is a fighter and, against all odds, she made it. Wednesday, after nearly seven weeks, she finally left the hospital.

"It's awesome to be home," Kali told CNN's Kate Bolduan on "New Day" Thursday morning.

Kali can take a few steps on her own, and she's been undergoing rehab. On Monday morning, she'll reach another milestone: she'll head back to school part-time. She'll be in class in the morning, and in physical and speech therapy in the afternoons.

"I was determined that I wasn't going to lose her," Kali's mom, Traci Hardig, told Bolduan. "I'm so thankful and blessed... it's just a miracle."

Uncharted territory

Soon after entering the  Arkansas Children's Hospital earlier this summer, Kali was in critical condition; she was unresponsive and unable to breathe without the assistance of a breathing tube.

Kali's doctors have been in virtually uncharted territory as they treat her for the rare amoeba, called Naegleria fowleri. Of 128 known cases in the past half-century, just two patients have survived, according to the Centers for Disease Control and Prevention.

"We decided that we were just going to tell (Kali) she was very sick, and she had to fight like Mom does because Mom has been battling cancer," Traci said. "And then we were going to ask everybody to pray for her."

Dr. Sanjiv Pasala, one of Kali's attending physicians, said doctors immediately started treating her with an anti-fungal medicine, antibiotics and a new experimental anti-amoeba drug doctors got directly from the CDC. They also reduced the girl's body temperature to 93 degrees. Doctors have used that technique in some brain injury cases to preserve undamaged brain tissue.

Two weeks ago, doctors checked the girl's cerebral spinal fluid and could not find any presence of the amoeba.

Pasala said that while other cases have not met with such favorable results, what may have made a real difference is that Kali's mother got her to the hospital so quickly.

"It was a long haul. We were in ICU for 22 days," Traci said. "It was like riding a rollercoaster -- I mean, one moment things would be going good, and then the next moment something else could happen."

'Death within one to 12 days'

Kali is one of two 12-year-olds who recently contracted the amoeba. Zachary Reyna of Florida died last month of the parasite, even after receiving the same experimental drug that was given to Kali. He contracted the amoeba after kneeboarding in a water-filled ditch by his house August 3, his family told CNN affiliate WBBH.

Naegleria fowleri is found in hot springs and warm fresh water, most often in the southeastern United States.

Between 2001 and 2010, there were 32 reported cases in the United States, the CDC says. Most of the cases were in the Southeast.

The amoeba enters the body through the nose and travels to the brain. You cannot be infected with the organism by drinking contaminated water, the CDC says.

The first symptoms of primary amoebic meningoencephalitis appear one to seven days after infection, including headache, fever, nausea, vomiting and a stiff neck, according to the CDC.

"Later symptoms include confusion, lack of attention to people and surroundings, loss of balance, seizures and hallucinations," the government agency's website states. "After the start of symptoms, the disease progresses rapidly and usually causes death within one to 12 days."

Why 'nightmare bacteria' on the rise

'One of the most severe infections'

Willow Springs Water Park in Little Rock is the most likely source of Kali's infection, according to a news release from the Arkansas Department of Health. Another case of the same infection, also called primary amoebic meningoencephalitis, was reported in 2010 and was possibly linked to Willow Springs.

"Based on the occurrence of two cases of this rare infection in association with the same body of water and the unique features of the park, the ADH has asked the owner of Willow Springs to voluntarily close the water park to ensure the health and safety of the public," the news release said.

What's in your pool water?

Dr. Dirk Haselow of the Arkansas Department of Health told CNN affiliate WMC that Kali's case was "one of the most severe infections that we know of."

"Ninety-nine percent of people who get it die," Haselow said.

But not Kali. She wasn't about to give up that easily. "Thank you for praying for me, everybody," she said on "New Day."

Traci has a message for parents out there who might be wondering how they can keep their children safe against this microscopic amoeba.

"If you believe that there's something more wrong with your daughter or your son than a simple virus or stomach flu, stay in there, hang in there. Talk to the doctor... and reassure them that this is not a normal illness."

@highlight

Only two patients had been known to survive in the last half-century.

@highlight

"I've been in the hospital a long time," she says

@highlight

Amoeba causes brain infection, nearly always fatal, according to the CDC

@highlight

Parasite generally found in people who swim in warm fresh water