(CNN) -- While the educational prospects for poor children have improved in the 50 years since I was a young boy going to PS 99 in the South Bronx, our country continues to needlessly lose the talents of millions of children because of a failing, entrenched public education system.

There are no shortages of great ideas in education, both small-scale and large-scale. There are some brilliant teachers and educators out there in the field. But we have not done much more than tinker at the edges of the system. For that reason, we have doomed massive numbers of children -- particularly those with the misfortune to be born poor -- to academic underachievement and having no real shot at the American dream of a comfortable middle-class life.

I believe that when large numbers of children fail academically, it is the responsibility of the adults around that child. The schools in my neighborhood in the South Bronx were lousy in the 1960s, and they are by and large still lousy today. Why wouldn't they be? They pretty much have not changed what they do. The kids aren't going to spontaneously get better by themselves.

We, as a country, need to say "enough is enough."

Anyone calling for reform is treated as a radical, but I think we simply need to let the science of education lead the way to real innovation and improvements. If the "summer melt" sets back our students academically -- particularly those in poor neighborhoods with few good summer options -- let's extend the school year.

If we know for a fact that the first three years of a child's life are incredibly important for a child's later learning, let's give up the idea that education starts in kindergarten and train new parents and work with 0-3 children as early as possible.

If you really want to be branded as a radical, suggest that we provide better health care and other services for children.

Watch Geoffrey Canada's TED Talk

Over the years, when I raised funds for health care for my kids, I would explain that kids with a toothache can't concentrate on classroom work or that a near-sighted kid without glasses may be classified as "slow" when he just can't see the board. I point out that kids need a safe, enriching environment after school, too. And that sports and arts programs can help a child find a focus and self-discipline that helps their academics.

As I've gotten older, when people push back on that kind of reasoning for wrap-around services, I just tell them I want to do it for a simple reason: I like kids. Or I tell them I want to do it for the same reasons they do it for their kids.

Taking care of children so they can succeed in school and life should be the floor, not the ceiling, of our expectations.

The science of evaluation and assessment also needs to be better incorporated into schools' standard operating procedure. We give students standardized tests in English and math, but schools get the results in July or August; the students and teachers have moved on, and so nothing is done with all this incredibly valuable data that we have spent a fortune obtaining. Teachers need data about how the children are progressing in real time so they can target their efforts at where the children really are.

We can't stifle innovation. Some promising approaches will fail, but that doesn't mean we should give up trying. We need to keep pushing until we nail what works. Look at the world of technology: When the Palm Pilot crashed and burned, no one took that as a signal to stop creating handheld devices.

As with any industry, research and development -- not to mention implementation -- takes money. But the cost of fixing our education system is a relative pittance.

What have we spent in Afghanistan in the past year in the name of national security? I would say that fixing our broken education system is similarly a matter of security for our country. The problems of the system are most obvious in poor communities, but the problems are everywhere: We are not preparing our children for a highly competitive global marketplace of high-skill jobs.

We are still the world's undisputed superpower. When the country cares about something, we spend the money. Americans need to wake up and see this for the widespread crisis it is. Join me in calling for a dramatic reform of our school system.

The opinions expressed in this commentary are solely those of Geoffrey Canada.

@highlight

Geoffrey Canada: Too little progress is being made in improving schools

@highlight

If summer break sets kids back, let's try a longer school year, he says

@highlight

Give kids health care, early childhood education to make them better prepared, he says

@highlight

Canada: Schools need real-time data about student performance