Washington (CNN) -- The pictures told the story: Vice President Joe Biden looked solemn, patrician and in control as he sat at a long table in the White House, flanked by people on both sides of the gun control issue.

The images conveyed a sense that the White House was in command on this issue.

And that's the point. Historically, presidential administrations have used symbolic imagery—at times coupled with marginal actions—to shift public opinion or affect larger political or social change.

"Politics is a risk taking project," said Julian Zelizer, a Princeton University historian and CNN contributor. "They put together these commissions in response to some crisis. You try a hundred things and hope something works."

As Biden's gun control task force recommendations land on the desk of President Barack Obama, political experts say it is important that his administration sends a clear signal that it has things in hand.

Obama says gun lobby stokes fear of federal action

That is especially critical in what will likely be an uphill battle to push specific changes, like an assault weapons ban, as part of a broader effort on gun control.

The first move in the image battle will be to appear to move quickly and decisively.

"You have to give the Obama administration credit for one thing: They've learned from history to do things quickly," Larry Sabato, director of the University of Virginia's Center for Politics, said of previous task force initiatives that fizzled.

In 2010, Obama appointed a bipartisan commission headed by former Republican Sen. Alan Simpson of Wyoming and Erskine Bowles, a former Democratic White House chief of staff, to come up with a proposal to balance the budget and cut the debt.

Like the gun task force, Simpson-Bowles reviewed current regulations, gathered input from the public and engaged in tense internal conversations. But after months of working on a proposal—a blend of steep revenue increases and spending cuts—the group struggled to agree to a solution. The president did not take up the recommendations.

Obama largely avoided the issue of gun control during his first term.

He wrote an opinion piece two months after the 2011 assassination attempt on Rep. Gabrielle Giffords of Arizona, acknowledging the importance of the Second Amendment right to bear arms. In the piece he also called for a focus on "effective steps that will actually keep those irresponsible, law-breaking few from getting their hands on a gun in the first place."

Newtown searches for answers a month later

But in the aftermath of that shooting and as the election season loomed, the Justice Department backed off from a list of recommendations that included a measure designed to help keep mentally ill people from getting guns.

For now, at least, there is a sense in Washington that the Newtown, Connecticut, school shooting where 26 people -- 20 of them young children -- were slaughtered could lead to meaningful legislative reform.

Public opinion would seem to suggest that the White House efforts are well timed.

In the month since the massacre, a new poll showed the percentage of Americans who said they were dissatisfied with America's gun laws has spiked.

The Gallup survey released on Monday showed 38% of Americans were dissatisfied with current gun regulations, and wanted stricter laws. That represented 13-point jump from one year ago, when 25% expressed that view.
"You want to strike while the iron is hot," Sabato said. "We Americans have short attention spans and, as horrible as the Newtown shooting was, will anyone be surprised if we moved along by spring?"

The White House has since worked overtime to show it considers gun control an urgent matter.

The vice president has spent the last week meeting with what the White House calls "stakeholders" in the gun control debate.

On Monday, Biden was to meet with members of a House Democratic task force on guns, along with Attorney General Eric Holder, Homeland Security Secretary Janet Napolitano, and Kathleen Sebelius, the secretary of Health and Human Services.

Universal background check: What does it mean?

In a series of face to face discussions on Thursday, Biden sat down with the National Rifle Association and other gun owners groups before conferring with representatives from the film and television industry.

In a sign the White House is prepared to move aggressively on its proposals, Biden made public comments just before meeting with the National Rifle Association, the country's most powerful gun lobby.

"Putting the vice president in charge of (the task force) and having him meeting with these groups is intended to show seriousness and an effort to reach out and respond to concerns and wishes of various groups," said Alan Abramowitz, a political science professor at Emory University.

Still, the NRA expressed disappointment in its discussion with Biden and later released a statement that accused the administration of mounting "an agenda to attack the Second Amendment."

Organizations seeking tougher gun control laws insist an assault weapons ban is critical to addressing the nation's recent rash of mass shootings. However, such a ban could be difficult in a Congress mired in gridlock.

"The bully pulpit is limited. It's hard for the president to sustain that momentum," Zelizer said of the White House's gun control efforts after the Newtown shootings. "The thing about symbolism is, like the shock over Newtown, they fade quickly."

Newtown opens eyes to other gun violence against young people

CNN's Jim Acosta and Kevin Liptak contributed to this report

@highlight

Gun violence recommendations are expected from Vice President Biden on Tuesday

@highlight

The proposals are expected to contain substantive and symbolic ideas to curb gun violence

@highlight

Presidents use symbolism to shift public opinion or affect larger political or social change