(CNN) -- When I was a child, a pale specter used to call our house most evenings, eager to chat with my doctor father about her myriad medical concerns.

We called her the "White Bread Lady," a moniker she earned for one particularly inane call in which she panicked to my father after consuming white bread.

She wasn't breaking out in hives or having any adverse effects to the bread. No, she was just concerned that some future illness could befall her given that one particular dietary decision.

Although we all laughed at the time, it was with a bit of shifty-eyed shame. Because most of us (including if not particularly the illustrious Ehrlich family) have lurking within us our very own "White Bread Lady," ready to convince us that each cough, sniffle and less-than-nutritious meal might be a detriment to our health.

And, naturally, that White Bread Lady looms even larger when we can type our worries into a search bar and unlock a bevy of potentially distressing information. Yup, so quoth Google, we all have cancer.

According to a recent report from the Pew Research Center, 80% of Internet users have looked up health information online. While that practice can be beneficial in some respects, the abundance of (variably valid) information online can turn us into e-hypochondriacs. (Or, worse, can lead us to neglect getting the care we need.)

Read on for five mistakes -- courtesy of a selection of health-care professionals -- that people make when diagnosing themselves online.

Searching blind

Your eye is twitching like an overly caffeinated college student sitting behind a pretty girl in lecture hall, twirling his pencil and hoping to catch a whiff of her lovely shining hair.

You type "eye twitch" into Google and come up with a really rad website that explains that this newfound spasm is actually an indication that your third eye is fixing to open, revealing to you wonders untold. You are the chosen one. Too bad that this trove of "medical information" is actually some dude's fan-fiction site.

Long wait at the doctor's office? Blame the patients

Sure, the above is an extreme example, but, as Dr. Kevin Pho of KevinMD.com pointed out, "There's a lot of bad information on the Web and information that can be dangerous." Especially if you're not considering who put up that information in the first place.

Pho urges users to favor Web addresses ending in .org and .edu when looking for reputable health-care info, and to check who is funding the collection of that information. "There's so much information from organizations trying to sell products or push their agenda on the Web," he said.

He suggests turning to sites like Mayo Clinic as well as troves of information curated by doctors (like Pho's own website) when trolling the Web for info. And, of course, if a site mentions trolls and third eyes, one should definitely press on.

Flailing in forums

If there's one thing people like to do online, it's talk about their problems -- especially mundane things like coughs and headaches and their babies' various and sundry discharges. And, it seems, we're pretty interested in reading about the health issues of others, too.

According to that Pew study, 23% of social-network users have followed a friend's health experiences online, and 34% of Internet users have read about someone else's medical issues on newsgroups, websites or blogs.

That's all well and good; sharing experiences with others is enriching! Unless the people you're sharing with are idiots.

Case in point: Here's a Yahoo Answers thread in which folks are discussing whether you can make a pregnancy test out of bleach and Pine-Sol. (Spoiler alert: You can't.)

"You can easily fall into that rabbit hole and find some forum that really isn't relevant but maybe sounds kind of close," warned Craig Monsen, co-founder of symptom-checker app SymCat and fourth-year medical student at Johns Hopkins University.

On the other hand, "sometimes you'll stumble on exactly the right forum where someone has your same exact problem, and their solution does help."

Doctor-turned-kayaker fights malaria in Uganda

"Health-care forums are definitely another tool that individuals can use in order to crowdsource a diagnosis based on their symptoms," added Dr. Natasha Burgert of KC Kids Doc. "I think that these can be a really powerful tool not only for discussing potential diagnosis or symptom relief but also finding a forum of individuals in which you can discuss emotional and psychological parts of an illness and develop a wonderful online support community."

The trick is to be wary about the issues being discussed in forums and how germane they are to you. And, you know, if people start talking about homemade remedies fashioned from bleach, maybe click off and see a doc.

Getting emotional

You know that game "6 Degrees of Kevin Bacon"? There should seriously be a version of that called "6 Degrees of Cancer" -- as in, when looking up your symptoms online, how long does it take to deduce that you have a life-threatening disease instead of, say, a simple cold?

According to Burgert, the root of this whole "worst-case scenario" thing is getting too emotional.

"For most intents and purposes, when you're looking for online health information, it's about yourself or a family member," she said. "When you're looking through that lens, it's very hard to keep emotional distance. So you can read about a diagnosis that either makes you very scared or calms your fears -- and that's the path you'll continue down, whether it's correct or not."

Burgert suggested using online symptom checkers simply to "understand possible diagnoses, find some initial steps for relieving the symptoms and determine if this is something that needs further evaluation or that can be managed at home."

SymCat and Mayo Clinic's symptom checker let you type in what you're experiencing and unearth a spectrum of diagnoses and suggestions for when to seek a doctor's aid. Your doctor's website might also have such a tool.

Voila, you just increased your separation from cancer by at least a couple of degrees.

Keeping mum around MDs

"I think, traditionally, many physicians are a little apprehensive when that stereotypical patient comes to their office with big stacks of printouts from the Internet," Pho said. "But I think more and more doctors are accepting it. Personally, I think that transparency of information is helpful in a way."

Translation: Help your doctor help you. If you're worried about a particular medical situation and did some research to help narrow down what's ailing you, share that info with your physician.

"I really appreciate when patients bring in information that they found online, because it allows me to guide my instruction and plan based on their true concerns," Burgert said. "People get scared when they get sick and hurt, and they want to use multiple sources of information to help themselves. The Internet adds to that physician's expertise in order to do that."

Study: Fainting may have genetic link

Pho suggests using tracking apps (Bloodnote and Tap & Track are a few examples) to keep tabs on blood pressure, weight, heart rate and other areas that are of particular concern to you and your MD.

"These apps and sites give patients so much data about themselves that they never had before," he said.

And a log is useful to your doctor, who can scan for abnormalities and patterns that you may have missed.

Remember, though, knowing how to use the Internet doesn't make you a doctor. Google doesn't count as a second opinion. If you're unhappy with your doc's diagnosis, go get one the traditional way.

Putting off the inevitable

If your ailment isn't going away, all the symptom-checking and Mayo Clinic-ing in the world isn't going to help you.

Make a doctor's appointment. Like, right now.

Sites like ZocDoc make it super easy (and free; doctors pay to be listed) to set up an appointment ASAP, so no whining that you'll have to wait two weeks to see a doc and maybe by then "it" will have gone away.

Unless, of course, "it" is that white bread you just ate. In that case, please stop calling my dad.

@highlight

According to a Pew report, 80% of Internet users have looked up health info online

@highlight

Sites like Mayo Clinic and others curated by doctors are safer

@highlight

It's better to be cautious in online forums of non-experts

@highlight

Internet information does not replace a second opinion