(CNN) -- A deadly explosion on a bus carrying Israeli tourists outside an airport in Bulgaria was "clearly a terrorist attack," Israeli Defense Minister Ehud Barak said Wednesday.

Key Israeli politicians pointed to Iran as the likely instigator, but Israel's U.S. ambassador acknowledged they had no proof.

Vania Valkova, director of the Bulgarian Interior Ministry press office, said that at least seven people were killed and about 30 wounded in the explosion in a parking lot outside Burgas Airport, on the Black Sea. The Foreign Ministry said six died and 32 people were wounded, with three in intensive care.

The attack was probably initiated by a group under the auspices of "either Iran or other radical Muslim groups," according to Barak, who cited Hezbollah and Hamas as likely suspects.

"We are in a continued fight against them. We are determined to identify who sent them, who executed (the attack) and to settle the account," Barak said.

Bulgaria's foreign minister, Nikolay Mladenov, told CNN he presumes the explosion was a terrorist attack. But he said it was not time to "starting assigning blame."

Bulgaria will ask the U.N. Security Council to condemn the attack, perhaps Thursday, said Mladenov, who traveled to the blast scene.

The bus was scheduled to carry about 47 passengers to a resort. Bulgaria is a popular destination for Israelis.

Another spokeswoman for the Interior Ministry said an explosive device may have been on the bus, but authorities cannot be sure. A forensic team has begun an investigation, she said.

Israeli Prime Minister Benjamin Netanyahu pointed to Iran, saying it has been behind a string of recent attempted attacks on Israelis in Thailand, India and Georgia, among others.

"All the signs (are) leading to Iran," he said, according to a statement from his office. "This is a global Iranian terror onslaught and Israel will react firmly to it."

Michael Oren, Israel's ambassador to the United States, said his country was investigating the circumstances.

"We don't have proof of Iranian involvement but it is part of this pattern" of plots around the world, he told CNN's "The Situation Room."

The Iranian government had no immediate comment on the incident.

Read Netanyahu's full statement

Bulgarian authorities also vowed to find out what happened.

Israel's intelligence minister told CNN's Christiane Amanpour that Israel has "very good indications" Iran was involved.

"They are after us, Israelis, wherever they can find them," said Dan Meridor.

Venelin Petkov, a reporter for bTV in Bulgaria, said that three of the wounded were in critical condition. The Bulgarian bus driver was among the dead, according to Valkova of the Bulgarian Interior Ministry.

The Israelis had just arrived from Tel Aviv and were to have traveled to a beach resort about 50 kilometers (30 miles) away, he said.

Security expert Ivan Boyadjiev told Bulgarian National Television that Israel had warned several months ago of the possibility of an attack on Israelis in Bulgaria.

Bulgarian President Rosen Plevneliev said he met the head of Mossad, Israel's intelligence service, about two months ago. "If we'd received any kind of information about this, it would have been taken very seriously," he told reporters.

"The fact that such an attack was carried out here and now should not be interpreted as to say that Bulgaria is not a safe country for tourists."

Bulgarian Interior Minister Tsvetan Tsvetanov said he was not excluding the possibility that the explosion was a terrorist attack.

"I can assure you that we're doing all we can to strengthen security in all the areas where it might be necessary to do so," he said.

U.S. President Barack Obama condemned what he called a "barbaric terrorist attack."

"As Israel has tragically once more been a target of terrorism, the United States reaffirms our unshakeable commitment to Israel's security, and our deep friendship and solidarity with the Israeli people," said Obama, who called Netanyahu to express his condolences.

U.S. Secretary of State Hillary Clinton said the United States was prepared to assist Bulgaria and Israel in bringing those responsible to justice.

Neither she nor Obama mentioned Iran in their statements.

The tourists' plane from Tel Aviv landed in Bulgaria at 5 p.m., the Israeli Foreign Ministry said. The flight carried 154 passengers, eight of them children.

Oren Katz, who was with his wife and three children on a bus near the one that blew up, described a bloody scene.

"The moment we got on (the bus), we heard a very loud explosion. It was the third bus next to us. Everyone started running in all directions. There was a big chaos," he said.

"We took our children with us and ran as far as we could away from the explosion. My oldest daughter is handicapped, so I decided to run back in order to pick up her wheelchair.

"There was a big blaze of fire, and we were not allowed to come near. Suddenly, I noticed an unconscious woman laying next to me, very close to the burning bus. I picked her up together with another man, and we managed to drag her out of the fire that was about to catch her body in seconds.

"I cannot forget the sight of body parts scattered around the bus."

The travelers were on seven buses outside the terminal; they had arrived on the same flight from Israel, Katz said.

The Israeli military said it would send a medical team to Bulgaria, which Oren called a hospitable vacation destination.

Bulgarian President Rossen Plevneliev:

"The fact that such an attack was carried out here and now should not be interpreted as to say that Bulgaria is not a safe country for tourists," said *

The explosion came on the 18th anniversary of an attack on a Jewish community center in the Argentinian capital, Buenos Aires, in which 85 people were killed.

Argentina's top prosecutor last year blamed Iran for the 1994 attack, which also wounded about 300 people. Israel also holds Iran responsible for the attack; Tehran has denied any connection to the bombing, which it has condemned.

Tension between Iran and Israel has increased over the past year.

Iran hanged a man who was convicted of killing one of its nuclear scientists, state-run Press TV reported in May.

Majid Jamali Fashi was convicted of the January 2010 killing of Massoud Ali Mohammadi, an Iranian university professor and a nuclear scientist. He was also convicted of spying. Prosecutors accused him of working for the Mossad, and said he was paid $120,000 by Israel to carry out the hit.

Israel typically does not comment on such claims.

The killing was among a series of attacks against Iranian nuclear scientists in recent years.

In January, Iran sent a letter to the United Nations secretary-general alleging that the killings of the scientists were terrorist attacks that followed a pattern. "There is firm evidence that certain foreign quarters are behind such assassinations," the letter said.

Iran's efforts to build a nuclear program have unnerved many world leaders, resulting in condemnation and sanctions from the United Nations. Tehran insists the program is for peaceful purposes.

Israel, which is believed to have its own nuclear arsenal and has expressed alarm over Tehran's hostility toward the Jewish state, has said it may attack Iran to try to stop the country from developing nuclear weapons.

Did you witness the blast? Share what you've seen.

CNN's Guy Azriel, Raja Razek, Stephanie Halasz, Ralitsa Vassileva, Jill Dougherty, and Jennifer Deaton contributed to this report.

@highlight

Death toll reaches seven, Bulgarian Interior Ministry says

@highlight

Bulgarian foreign minister says now is not the time "to start assigning blame"

@highlight

Israeli intelligence minister says there are "very good indications" Iran was involved

@highlight

U.S. President Barack Obama condemns "barbaric" attack