Washington (CNN) -- It helped get him re-elected, so President Barack Obama is again employing campaign-style tactics to increase pressure on congressional Republicans to compromise to avoid the so-called fiscal cliff.

Failure to reach a deal means tax increases and deep spending cuts take effect in five weeks, a scenario analysts fear could push the country back into recession.

While aides on both sides have been talking, no follow-up meeting between Obama and congressional leaders has been scheduled after their initial post-election discussion on November 16.

Instead, Obama met Tuesday with small business owners, the first in a series of events this week intended to highlight his push for raising taxes on the wealthiest 2% of Americans while maintaining current rates for everyone else.

Norquist: Rep. King 'tried to weasel out'

On Wednesday, Obama meets with the chief executives of major corporations, while congressional Republicans and Democrats will talk separately with deficit-reduction gurus, including former White House Chief of Staff Erskine Bowles and Maya MacGuinneas of the Committee for a Responsible Federal Budget, a bipartisan group advocating fiscal reform.

The president also will meet with those described by the White House as middle-class Americans who face a major impact if higher taxes and automatic reductions in military and discretionary federal spending take hold.

Obama concludes the week with a trip Friday to Hatfield, Pennsylvania, to visit a manufacturing operation and deliver a speech.

Meanwhile, House Speaker John Boehner's office announced Tuesday that congressional Republicans will hold a series of events in Washington and home districts across the country with small business owners to frame Obama's tax policy as a threat to new jobs.

The series of meetings involving all parties showed the high-profile tactics being used to demonstrate to the nation, including financial markets, that a deal can happen.

Stocks closed lower Tuesday as investors grew increasingly concerned about whether Congress can adequately and swiftly address the situation. Prospects for a deal remain front and center for investors, with the U.S. economy showing more signs of improvement in its long recovery from recession. Economists point to fears about higher taxes in 2013 as a potential threat to rising consumer confidence.

Asked why Obama was meeting with business leaders and traveling to Pennsylvania instead of negotiating directly with Republicans in Congress, White House Press Secretary Jay Carney said Tuesday it was important to bring the broader American public into the discussion.

Read more: Fiscal battle over mortgage deduction

The fiscal cliff resulted from a failure to reach a deficit reduction agreement in the past two years due to longstanding differences between Democrats and Republicans on taxes -- particularly whether to extend tax cuts from President George W. Bush's administration.

Obama made the issue a central theme of his election campaign, and now the White House believes the president's re-election validated his call for including more tax revenue in addressing the nation's chronic federal deficits and debt.

"This topic was perhaps the most debated, the most discussed, the most analyzed, for a year," Carney told reporters on Tuesday, adding that the election result showed Americans supported Obama's approach.

"To suggest that we should, now that the election's over, stop talking to the American people about these vital issues is, I think, bad advice," Carney said.

Last week, Obama's former campaign manager, Jim Messina, said the president's re-election campaign and its grass-roots resources will "live on," most likely as a tool to promote the president's second-term policies.

Obama for America, the name of the campaign, already released an e-mail to its distribution list in an attempt to educate readers on the president's fiscal cliff argument and to rally supporters behind him.

Senate Republican leader Mitch McConnell of Kentucky complained that Obama was "back on the campaign trail" instead of "sitting down with lawmakers of both parties and working out an agreement."

"We already know the president is a very good campaigner," McConnell said on the Senate floor. " ... What we don't know is whether he has the leadership qualities necessary to lead his party to a bipartisan agreement on big issues like we currently face."

The president wants to let tax rates for income over $250,000 for families or $200,000 for individuals return to higher 1990s levels, while maintaining current rates for the rest of the country. He contends his plan would prevent a tax hike for 98% of Americans.

Read more: Will potential FAA cuts hurt fliers?

Republicans oppose increasing any tax rates, arguing that Obama's plan would hinder job growth because some small business owners who file personal returns would pay higher taxes under it.

After meeting with Obama on Tuesday, three of the 15 small business owners who took part said they wanted certainty about their own tax situations while preventing middle-class Americans from paying higher taxes.

Andra Rush, who founded Rush Trucking of Wayne, Michigan, said her message to Obama was that failure to extend the tax cuts to the middle class could stall what she called new economic momentum in the country.

"I would have higher tax rates," Rush conceded, adding that it was more important for "ordinary Americans" to have more money to spend instead of paying it in taxes if everyone's rates go up.

Karen Mills, who heads the government's Small Business Administration, said the main message to Obama in the meeting was that the owners needed certainty in their tax situations so they could plan for next year.

Boehner and other influential GOP figures have declared their willingness to consider other ways to boost tax revenue as part of a broader deal that includes entitlement reforms and spending cuts.

That position undermines the no-tax-increase pledge championed by anti-tax crusader Grover Norquist, which Democrats consider to be a major impediment to a deficit reduction deal.

Some Republicans -- including conservative Sens. John McCain of Arizona, Bob Corker of Tennessee, Saxby Chambliss of Georgia, Tom Coburn of Oklahoma and Lindsay Graham of South Carolina as well as Rep. Peter King of New York and Scott Rigell of Virginia -- have dropped their adherence to Norquist's pledge.

Norquist responded harshly Monday night, telling CNN that those denouncing the pledge were breaking their commitment to voters. He targeted King for saying a pledge signed years ago no longer applied.

King "tried to weasel out" of the pledge, adding: "I hope his wife understands commitments last a little longer than two years or something."

According to Norquist, King knew when he signed the pledge that it applied to "as long as you're in Congress."

Opinion: Don't be scared of Grover Norquist

"It's only as long as you're in the House or the Senate. If he stayed too long, that's his problem," Norquist added.

To CNN Chief Political Analyst Gloria Borger, the softening tone by some in the GOP was explained by new poll numbers that showed 45% of Americans would blame Republicans for failing to avoid the fiscal cliff, while 34% would blame Obama.

Republicans insist Democrats must agree to cut discretionary spending and make significant reforms to Medicare and Social Security as part of a deficit reduction deal.

However, organized labor and other elements of the Democratic base oppose any major reforms to the popular entitlement programs. While some Democratic legislators express willingness to reform Medicare and Medicaid, they reject making Social Security reform part of the fiscal cliff negotiations, saying it is self-funded and therefore doesn't add to the deficit.

Obama spoke by phone over the weekend with Boehner and Senate Democratic leader Harry Reid, Carney said Monday, and he rejected a reporter's assertion Tuesday that no progress was taking place in efforts to avoid the fiscal cliff.

On Capitol Hill, a Senate Democratic leadership aide said Monday that behind-the-scenes talks have "haven't been tremendously productive."

Negotiations were not at a point "where people are huddled in a conference room with spread sheets" but are instead at the early "dancing stage," the Democratic aide said.

Congressional Republican leadership aides declined to characterize the state of the talks, though one noted the fact that discussions continued could be interpreted as progress.

The CNN/ORC International poll released Monday also showed that a solid majority of respondents -- two thirds -- supports the Democratic stance that any agreement should include a mix of spending cuts and tax increases. Of that total, Republicans favor such an approach by 52%-44%.

Read more: House Republicans launch PR offensive on fiscal cliff

Without a deal, tax cuts from 2001 and 2003 -- when George W. Bush was president -- will expire, raising rates for everyone starting in January. In addition, spending cuts would reduce spending on the military, national parks, the Federal Aviation Administration and other government services.

However, the government and Congress still would have time to prevent draconian effects from the fiscal cliff when a new Congress convenes in January.

William Galston, a senior fellow in governance studies at the Brookings Institution, called that a form of brinksmanship best avoided.

"To be sure, no one believes that non-agreement by December 31 would be the end of the story. After a period of finger-pointing, discussions would resume," he wrote last week in a New Republic opinion piece. "But equally, no one knows how the failure to reach agreement before the end of 2012 would affect the dynamics of the negotiations."

In addition, "we can be reasonably sure ... that national and global markets would react adversely and that businesses, which are already retreating from planned investments in new plant and equipment, would become even more uncertain and risk-averse."

Read more: Time running out on debt ceiling

CNN's Ashley Killough, Deirdre Walsh, Dan Lothian, Ted Barrett, Lesa Jansen, Martina Stewart, Kevin Liptak and Paul Steinhauser contributed to this report.

@highlight

House Speaker Boehner also launches a series of events

@highlight

President Obama takes his tax message to the public, again

@highlight

Uncertainty over a deal to avoid the fiscal cliff causes market jitters

@highlight

Tax hikes and spending cuts loom without a deal in the next five weeks