Vladimir Putin always understood that the old ways would no longer do.

He had witnessed the errors of 20th century dictatorship firsthand as a KGB agent stationed in Dresden during the last years of the Cold War. The young Soviet officer was shocked at how "totally invasive" the East German police state's surveillance was of its own citizens.

In 2000, reflecting on those years on the eve of his first term as Russia's president, Putin said, "I only regretted that the Soviet Union had lost its position in Europe, although intellectually I understood that a position built on walls and dividers cannot last. But I wanted something different to rise in its place. And nothing different was proposed."

More than a decade later, something different has risen to replace the totalitarian models of old. Modern strongmen are more sophisticated and cunning then their twentieth-century predecessors.

These savvy authoritarians eschew the most heavy-handed methods -- mass executions, disappearances, brutal crackdowns -- as an extreme last resort. Instead, subtle forms of coercion are preferred. Rather than have its activists roughed up, a human rights organization is more likely to be shuttered for fire-code violations.

These regimes are fluent in the language of democracy and human rights, and may even establish human rights commissions -- despite being the chief perpetrators of any abuses. Laws are written in vague terms and then applied capriciously against those who question the regime's ways.

And fear is always a potent weapon. "My father used to say that he would rather live in a dictatorship like Cuba," one Venezuelan activist told me. "At least there you know if you criticized the government, they would put you in prison. Here they rule through uncertainty."

Of course, elections are de rigueur in modern dictatorships -- and not the absurd sham polls of the Soviet Union that always left Brezhnev with 99 percent of the vote. Today the ballot stuffing usually stops at 70 percent. Everyone understands that it is better to appear to win a genuine election -- which means you need the opposition to win some votes -- than to participate in a clear charade.

There is something Darwinian about the way that authoritarianism has evolved. Because, in many ways, it has never been harder to be a dictator.

In the past 20 years, the democracy promotion business boomed. Many dictatorships lost their chief lifeline with the collapse of the Soviet Union. The internet, satellite communication, and smart phones make it incredibly difficult for a regime to keep its worst crimes secret. In 1989, the Chinese Communist Party tried to strong-arm CNN off the air before they mowed down protesters on the roads leading to Tiananmen Square. If people assembled in the square today, the regime's response would be captured on a thousand iPhones.

In response to these pressures, the smartest regimes did not close themselves off from the world or seek to become the next North Korea. Police states hold no appeal. Instead, they evolved.

In Russia, the Kremlin has responded to protests by passing a raft of laws that enable the authorities to squash activists with fines and prison sentences. In Venezuela, Hugo Chavez has engineered the electoral rules with some of the world's most sophisticated gerrymandering.

In Jordan, the government has proposed one reform after another -- without ever curbing the monarchy's true power. In China, the Communist Party altered its social compact with its people, granting them greater personal freedoms in exchange for keeping tight control of their political rights.

In Malaysia, the ruling party promised to relax its rule -- right before it banned street demonstrations. When people responded in protest, Prime Minister Najib Razak referred to them as a "sign of a mature democracy." It was the perfectly tailored reply of the modern authoritarian.

In a world of unfettered information and open borders, we should understand authoritarian regimes for what they are. They are not the outgrowth of a certain culture, history, or level of economic development. Rather, they are conscious, man-made projects that must be carefully built, polished, and reinforced.

But it makes no difference if a regime has developed innovative strategies, political tools, or social controls if it doesn't use them. No matter how sophisticated these regimes may be, some are finding that their methods are wearing thin.

Since the announcement of Putin's return for a third presidential term 12 months ago, Putin and the Kremlin have demonstrated a remarkably tin ear. The trial of Pussy Riot is just the most recent example where the regime has appeared flatfooted -- unnecessarily politicizing issues that make it appear overweening and abusive.

Putin has now lost the support of much of the urban middle class and young people -- a group that always polled highly for Putin -- and his ruling party's brand is in shambles. As one activist told me, "It is no longer cool to be pro-Putin." That is an important loss for a regime that banks on the apathy of its citizens.

In Venezuela, Chavez's prospects are in question. The past month has been his worst politically, with a string of disasters and accidents that underline how much the state has crumbled under his watch. Workers -- if ever he had a core constituency -- recently booed El Comandante at a rally. Although his control of the media, oil wealth, and state machinery keeps him formidable, it is increasingly clear (to Venezuelans of all political stripes) that the country is reaching a breaking point.

Of course, Syria offers a daily reminder that some dictatorships still opt for a bloodbath. In 1982, Hafez Assad brutally ended an uprising in the Syrian city of Hama. It is estimated that between 10,000 and 40,000 Syrians were slaughtered in a month. Bashar Assad chose to follow his father's example in crushing his own rebellion. The difference is that in 1982 the elder Assad could be confident that he could perpetrate his crimes with impunity. His son's regime looks less tenable by the day. No matter what happens, Assad's government will never win back its legitimacy.

Apparently Assad never learned that the old ways would no longer do.

@highlight

Dobson: Sophisticated authoritarians replacing old totalitarian regimes

@highlight

Fear, election-fixing, legislation are tools of the modern strongmen, Dobson says

@highlight

Despite their sophistication, methods of regimes like Putin's are wearing thin

@highlight

Dobson: Syria's Assad is reminder that some dictatorships still prefer a bloodbath.