Swat Valley, Pakistan (CNN) -- The Sabaoon School for boys in northern Pakistan is anything but average.

Nestled amid the bucolic charm of the Swat Valley's fertile terraced fields and steeply rising crags it looks idyllic. But if you get up close, a harsher reality becomes clear.

Two army check-posts scrutinize visitors entering the sprawling site. Once inside, the high razor wire-topped walls around the classroom compounds create a feeling reminiscent of a prison.

The boys here, aged 8 to 18, were all militants at some point. Some are killers, some helped build and plant improvised explosive devices, and others were destined to be suicide bombers until they were captured or turned over to the Pakistani army. All of them are at the school to be de-radicalized.

Ninety-nine percent of the boys, I am told, have never heard of Osama bin Laden, despite the fact he was killed by U.S. Navy SEALs in the next valley over from here. What has radicalized these boys instead, the school's director says, is what turns teenagers the world over to crime: poverty, poor education, limited prospects and often lack of parental control.

It is in this setting that the boys have made ready recruits for Taliban scouts who wean them on tales of the U.S. drone strikes that have killed scores of Pakistani women and children over the past few years.

EXCLUSIVE: Musharraf admits to secret drone deals

The walls of the school, I learn, are not so much to keep the boys in, but to keep the local Taliban out. A few years ago they held sway in the Swat Valley, and while the army has since reclaimed control, the militants remain a threat -- particularly for the teachers.

The boys here are being schooled in basic math and literature. Drama and sports are also encouraged, as is art. Physiologists evaluate the boys and offer council, and a religious scholar is attempting to draw them away from extremist ideology and back towards mainstream Islam.

For Pakistan it is a new approach to radicalism that has been forged out of necessity.

The director tells me the need for more resources in Swat is huge. Just a few days before our visit, a dozen more child militants were arrested by Pakistani officials.

The U.N. Special Rapporteur on drones, British lawyer Ben Emmerson, recently visited Pakistan and told me: "The consequence of drone strikes has been to radicalize an entirely new generation."

READ MORE: U.S. drone program by the numbers

In early March he spent close to a week in Pakistan meeting government officials and tribal leaders, some of who claim to have lost family members in strikes. Since 2003 there have been more than 350 drone strikes in Pakistan, but no one has a reliable figure for precisely how many have been killed.

The New America Foundation estimates that in Pakistan, drones have killed between 1,953 and 3,279 people since 2004 -- and that between 18% and 23% of them were not militants. The nonmilitant casualty rate was down to about 10% in 2012, the group says.

A study by the Bureau of Investigative Journalism estimates that since 2004, Pakistan has had 365 drone strikes that have killed between 2,536 and 3,577 people -- including 411 to 884 civilians.

U.S. President Barack Obama has maintained the strikes are necessary for defeating al Qaeda and the Taliban, but others including Emmerson have their doubts.

READ MORE: U.S. drone kills 4, Pakistani sources say

He said: "Through the use of drones you may win the immediate battle you are waging against this particular faction or that particular faction ... but you are losing the war in the longer term."

Emmerson's legal insights will form the basis of his report to the U.N., expected later this year. For the United States, at least, it could make for a damning read.

Emmerson says the drone strikes are illegal under international law as they violate Pakistan's sovereignty and fly in the face of Pakistani government calls for them to desist -- and that they also legalize al Qaeda's fight against America.

He said: "If it is lawful for the U.S. to drone al Qaeda associates whereever they find them, then it is also lawful for al Qaeda to target U.S. military or infrastructure where ever (militants) find them."

Until now the U.S. has used its own lawyers to give legitimacy to the covert war being waged by drones. Now Emmerson believes it is time to challenge them.

"There is a real risk that by promulgating the analysis that is currently being developed and relied up by the United States they legitimize, in international law, al Qaeda, by turning it in to an armed belligerent involved in a war and that makes the use of force by al Qaeda and its associates lawful," he told me.

The boys of Sabaoon School are at the sharp end of the drone debate and are living with its consequences.

And in the relative safety of these classrooms, there's little doubt change is long overdue.

Drones killing innocent Pakistanis, U.N. official says

@highlight

Sabaoon School in Pakistan's Swat Valley works to de-radicalize local youth

@highlight

U.N. Special Rapporteur: U.S. drone strikes here have radicalized a new generation

@highlight

Up to 3,500 people have been killed in Pakistan by U.S. drone strikes since 2004

@highlight

Between 18% and 23% of those killed were not militants, according to one report