(CNN) -- The International Criminal Court issued arrest warrants Monday for Libyan leader Moammar Gadhafi and two of his relatives.

ICC Judge Sanji Mmasenono Monageng read aloud the decision to issue warrants for Gadhafi, his son Saif al-Islam Gadhafi, and his brother-in-law Abdullah al-Sanussi.

Saif Al-Islam Gadhafi is a close adviser to his father. His arrest warrant came two days after his 39th birthday. Al-Sanussi serves as Gadhafi's head of intelligence.

The warrants are "for crimes against humanity," including murder and persecution, "allegedly committed across Libya" from February 15 through "at least" February 28, "through the state apparatus and security forces," the court said in a news release.

In Misrata, where fighting has raged, a crowd cheered Monday following the news from the court.

The announcement at The Hague came as fighting inside Libya inched closer to the capital. A rebel fighter, Hassan al-Jiwali, told CNN that rebel forces were 80 kilometers (50 miles) from Tripoli on Monday.

Libya is not a signatory to the Rome Statute that established the international court's authority, and the court does not have the power to enter Libya and arrest the leaders. Many of those cheering in Misrata saw the news as a sign that the world recognizes the conduct that rebels say Gadhafi's regime has been engaged in.

The three-judge Pre-Trial Chamber I at The Hague found "reasonable grounds to believe that the three suspects committed the alleged crimes and that their arrests appear necessary in order to ensure their appearances before the court," the announcement said. The court also believes the warrants are needed to ensure that the three men "do not continue to obstruct and endanger the court's investigations; and to prevent them from using their powers to continue the commission of crimes within the jurisdiction of the court."

The U.N. Security Council referred the matter to the ICC through a resolution February 26, following widespread complaints about Gadhafi's efforts to crush a rebellion. The resolution said that, while "states not party to the Rome Statute have no obligations under the statute, the Security Council urged all states and concerned regional and other international organisations to cooperate fully with the court and the prosecutor."

Gadhafi's backers rejected the court's authority.

"This court is nothing but a cover to the military operations of NATO," said Libyan Justice Minister Mohammed Al Qamod. "It is merely a political tool for exerting pressure and political blackmail against sovereign countries."

Libyan Deputy Foreign Minister Khalid Ka'eem offered a similar view: "Both the international criminal court and the chief prosecutor have neither the legal competence nor the moral compass in any way to pass judgment on anyone, let alone the Libyan people," he said.

White House spokesman Jay Carney said the warrant for Gadhafi is another indication that the Libyan leader "has lost his validity."

"it's another step in the process of holding him accountable," Carney told reporters.

The United Nations issued a statement Monday about the arrest warrants, noting that "hundreds of people are confirmed to have been killed since opposition forces rose up against the regime of Mr. Gadhafi in February as part of a wider pro-democracy movement across North Africa and the Middle East."

The European Union said it "fully supports" the court and underscores that the court's Libya investigation "is an independent judicial process which must be fully respected."

Not everyone was cheering the news. Michael Rubin, an analyst with the conservative American Enterprise Institute, said the court's move could damage efforts to get Gadhafi to end his 42-year reign, because he would not seek refuge in a country that is a party or signatory to the Rome Statute.

"The ICC's arrest warrant symbolizes the dirty underside of international law," Rubin said. "While the ICC makes itself feel good and diplomats can chatter about their commitment to international law, the fact of the matter is their action takes off the table any possibility that Gadhafi could flee to a retirement haven outside Libya. In effect, the ICC arrest warrant tells Gadhafi to fight to the death."

Most African countries are parties or signatories to the Rome statute. The ICC website lists a total of 47 non-signatories in the world, 13 of them in Africa and the Middle East.

Ali Ahmida, an analyst at the University of New England who was born in Libya, said the ICC decision "complicates" the matter.

"Since last week, things were heating up toward an exit strategy for Gadhafi and his sons, either inside or outside Libya in another African country," Ahmida said. Some rebel leaders in the Transitional National Council said they would consider allowing Gadhafi to stay inside Libya, and both sides were starting to indicate a compromise was possible, Ahmida said.

But now, the regime "may circle the wagons a little more," and Gadhafi will think, "'I'm a hunted criminal and should pursue civil war to the end,'" Ahmida said.

While the ICC decision is justified, Ahmida said, cynics in the region will ask why Gadhafi was selected and not others. "Why not (former Egyptian President Hosni) Mubarak? Why not (former Tunisian President Zine El-Abidine Ben) Ali?" Mubarak and Ali both gave up power following protests in their countries. "The court is selecting some dictators to indict, and being silent about others. That may be the biggest issue for the court," Ahmida said.

When asked about those suggestions, State Department spokeswoman Victoria Nuland said the United States "believes that the decision to refer the case to the ICC was the right decision; that the ICC has spoken now about the need for justice and accountability. With regard to whether this hurts or helps, it doesn't change the fact that Gadhafi's got to take the message that it's time to go."

The issue of Libyan casualties led the U.N. Security Council to adopt a resolution in March authorizing force by whatever means necessary, with the exception of a ground invasion, to protect civilians. NATO began bombing military targets a short time later.

The International Criminal Court action comes a day after the African Union announced Gadhafi will not be part of its next attempt to map out a peace deal in Libya.

It was unclear who would represent the Libyan government in negotiations, or when negotiations might occur. Journalists were not allowed to ask questions following Sunday's meeting of the African Union's special committee on Libya in Pretoria, South Africa.

CNN's Nkepile Mabuse, Yousuf Basil and Ingrid Formanek contributed to this report.

@highlight

NEW: "This court is nothing but a cover to the military operations of NATO," says Libyan official

@highlight

White House spokesman calls it another sign Gadhafi "has lost his validity"

@highlight

State Department spokeswoman says Gadhafi must realize "it's time to go"

@highlight

Libya-born U.S. analyst says Gadhafi will now think he should fight until the end