Washington (CNN) -- Hovering above Congress with the unpleasant scent of deja vu are concerns that current budget talks seem poised to fail and that the word "shutdown" is back on the rise.

First, there's the apparent budget impasse.

"There does not seem to be a serious effort to reach agreement in the budget conference," House Democratic Whip Steny Hoyer of Maryland told reporters on Tuesday.

The "budget conference" is the 29-person House and Senate conference committee tasked with hashing out basic budget parameters, including total spending for the next two years. They have until December 13 to come up with a deal.

"Many of us are skeptics there ever will be (a deal)," said Sen. John Thune, R-South Dakota, adding he is confident that the leaders of the budget conference, Rep. Paul Ryan, R-Wisconsin, and Sen. Patty Murray, D-Washington, are doing their best.

Battle for the House in 2014: Obamacare vs. shutdown

Personal thoughts about the leaders aside, a lack of confidence in the process has moved into higher gear this week.

On Monday, the 13 top Republicans on the House Appropriations Committee sent Ryan and Murray a letter expressing concern and urging them to at least come up with a topline figure for spending so that appropriators could then start writing the bills that actually spend the money.

The lawmakers behind that letter are worried that they won't have time to write and pass appropriation bills before January 15, when government funding is set to run out.

They didn't mince words in the letter: "The failure to reach a budget deal to allow Appropriations to assemble funding... will reopen the specter of another government shutdown."

"We need that (spending figure)," said Rep. Frank Wolf, R-Virginia, who signed the letter. "It will probably take a good month (to write the spending bills)."

Shutdown cometh? Some aren't worried; others are

Frank, like most Republicans with whom CNN spoke, does not believe a shutdown is likely in January. Even without a budget conference deal, the House and Senate could pass simple continuing resolutions to keep government funded.

Appropriators don't want that because it would trigger blunt, across-the-board budget cuts and block any chance to tailor the cuts agency by agency.

So the lack of a budget deal does not mean a shutdown will happen, but nonetheless, murmurs of shutdown politics are emerging. Wolf and other Republicans are concerned that the mantle of a shutdown, or any threat of one, could again harm their party.

"We probably lost the governor's race and attorney general's race in Virginia because of the shutdown," he said, shaking his head. Polling after the shutdown but before the Virginia elections showed Republicans were more tarnished by the fiscal fight. In a CNN/ORC poll, 52% said Republicans in Congress were more responsible for the shutdown compared with President Barack Obama's 34%.

Democrats are clearly teeing up the connection between Republicans and another shutdown.

"I think Paul Ryan ought to put a serious proposal on the table," said Democratic Whip Hoyer. "Paul Ryan ought to lead, not follow his caucus down a road which would lead to shutdown."

"No one's talking about a shutdown except for Democrats," responded Donald Stewart, spokesman for Senate Republican leader Mitch McConnell. "Everything they're doing now is to get them away from the pain and problems of Obamacare, of course they want to talk about something else."

All of this political debris is again swirling in large part because of the absence of clear progress from Ryan and Murray's budget conference talks.

The two budget committee chairs and their staff have made pragmatic but hopeful statements in public. Aides from both parties tell CNN the two leaders have been in frequent contact and had face-to-face meetings. But their public words on the matter are few. On Wednesday, Ryan repeatedly donned headphones and holding his hand up as if to say "no comment" on Tuesday.

Budget staffers from both chambers point out that the less that negotiators say during talks, traditionally, the closer they are to a deal. But in this case, the wild politics involved lead many to question whether it's in Ryan's interest to cut a deal.

Senate leader pays a House call

Perhaps the most significant sign of concern came from a rare cross-Capitol visit Tuesday when McConnell spoke to a closed-door meeting of the House GOP Conference. According to multiple sources in the room, McConnell talked about the upcoming funding deadlines and made it clear that he wants the overall budget reduction slated for January to go into place.

McConnell's visit was unusual, one of just a handful he's made to House conference in his six years as Republican leader. In general, he has a reputation as a practical fiscal negotiator who aims to avoid crisis. He and Vice President Joe Biden were among the final negotiators during the fiscal cliff fight of 2011 and 2012. And in October, Democrats and others pointed to McConnell's role as critical in ending the shutdown.

His decision to start talking with House Republicans about the January shutdown deadline now is significant.

Meantime, the budget conference committee has a timing problem. The group technically has three weeks on the calendar to hash out a deal. But in reality, Congress leaves at the end of the week for Thanksgiving and after it returns, members will have just eight days in session before that December 13 deadline.

If they miss that deadline, then Congress could go home for Christmas with no plan for how to keep government funded past January 15. Lawmakers would return January 7 and have a week to decide.

CNNMoney: What shutdown? Job growth strong in October

CNN Senior Capitol Hill Producer Deirdre Walsh contributed to this story

@highlight

Rep. Steny Hoyer: "There does not seem to be a serious effort to reach agreement"

@highlight

A 29-person House and Senate conference committee is tasked with hashing out budget

@highlight

A lack of confidence in the process has moved into higher gear

@highlight

Republicans in D.C. are mindful they took the brunt of the blame in last shutdown