(CNN) -- "If you'd like beer with your dinner, we have Asahi or Kirin," says Reverend Seioh Yamashina.

Given that I'm sitting on a floor cushion about to stab my chopsticks into a tray of beautiful shojin ryori (vegan Buddhist cuisine) served at a mountaintop temple at Japan's most sacred site, Koyasan, I reply to the robed monk as any visitor would.

"Asahi, please."

Noting the surprised look on my face as I respond to his offer, Yamashina says that Fudoin Temple has no problem with shukubo (temple stay) guests enjoying a beer with dinner.

After all, he isn't the one drinking it.

Certain sects of Buddhism in Japan aren't as strict as you might find in places like Thailand or Bhutan, where drinking alcohol near temples is forbidden, he goes on to explain.

For another thing, ordained monks can get married here.

According to history books, back in 1872 the incoming Meiji government declared that monks should be free to eat meat -- if given to them as an offering -- take wives and have children.

The tradition continues today.

Seioh's father is Fudoin's temple master, as was his father and grandfather before him.

Where Japanese Buddhism took hold

Of Koyasan's 117 temples, Fudoin is one of 52 that allow overnight guests.

Why so many shukubo?

Located in Japan's Wakayama Prefecture, Koyasan is a must-hit site for spiritual Japanese.

It's starting to grow in popularity globally, thanks to its 2004 addition to the UNESCO World Heritage List as one of three sacred sites in Japan's Kii Mountain Range.

With a population of about 3,000 people, according to town officials, it's the center of Shingon Buddhism, a Chinese-influenced esoteric sect introduced to Japan in the year 805 by a man named Kobo Daishi, or Kukai, one of Japan's most revered religious figures.

Ancient cedar forests share space with historic pagodas, paved roads, restaurants, schools, cafes and souvenir shops.

Anything that's built in the town of Koyasan needs to be approved by officials in historic Kongobuji, which also functions as the Shingon Buddhism headquarters for more than 4,000 temples and missions throughout Japan and overseas.

A walk in honor of the dead

As far as ancient forests and sacred mountains go, Koyasan is easily up there with the world's best.

Every pagoda and gate is stunning, particularly the 20 structures at Danjo Garan, often described as the second most sacred site in Koyasan.

Another beautiful site is Banryutei, Japan's largest rock garden.

Located in the inner courtyard of Kongobuji temple, it was completed in 1984 to commemorate the 1,150th anniversary of Kobo Daishi's ascent into eternal meditation.

But the pinnacle of any journey to Koyasan is incredible Okunoin, the most revered site of them all.

After crossing the Ichinohashi (first bridge), I'm ready to head down the two-kilometer cobblestone walkway to the Okunoin mausoleum and its Torodo Hall, filled with more than 10,000 lanterns.

The walk is filled with more than 200,000 gravestones, monuments and memorials (no bodies are buried here), all sharing space with Shinto torii gates, side paths and thick forests of massive trees that tower over the trail and filter the morning sun.

You could walk back and forth through that forest 100 times and still spot something you didn't notice before.

There are monuments to historic figures, war heroes, royalty, business leaders, children and pets.

Some of the little human statues wear bibs, others tiny hats.

From Nissan to Sharp, many of Japan's largest corporations have paid piles of yen for huge marble monuments to be erected at Okunoin to honor deceased employees.

Some are marble statues in the shape of the products the companies produce.

At the end of the Okunoin walkway is the mausoleum of Kobo Daishi, the man who started it all.

Every morning at 6 a.m. and 10:30 a.m., golden-robed monks prepare a meal for Kobo Daishi as part of a ritual that involves blessing food placed in a covered wooden box.

The monks are oblivious to our little row of photographers.

As we clamor for a good vantage point, they float by in their elevated wooden shoes, carrying the wooden box up the temple stairs to the mausoleum.

It's best to visit Okunoin on weekday mornings to catch this solemn display of devotion, when crowds are light.

My guide tells me things get packed on weekends with busloads of Japanese tourists.

"Pretty much everyone in Japan wants to visit Koyasan at least once in their lives," he says.

Meditation, chants and free Wi-Fi

Back at Fudoin, it's 7 a.m. and master Seiryu Yamashina is hovering over a large book, carrying out his morning ritual in the glittery temple, which guests are invited to watch.

Joined by two other chanting monks, he prays for all the spirits enshrined at Fudoin and societal peace.

It's a mesmerizing scene -- the steady flow of chants are hypnotizing as curly trails of incense smoke waft into the air, punctuated by the occasional bang of a gong.

Visitors are given a printout featuring a portion of the chant, in English and Japanese, should they wish to follow along.

Afterward, we're served breakfast, another fabulous and fresh shojin ryori meal (I'd quit meat forever if I had access to this food every day) in the temple's historic Kuri dining room, one of Wakayama Prefecture's most revered cultural assets.

Though the temple adheres to ancient traditions, guests have free Wi-Fi available throughout the property, rooms included.

This, says the temple master, is part of the secret to Koyasan's survival -- the ability to adapt and change, while still adhering to the core principles of the Buddhist faith.

"It's my duty as the temple master to follow all the old rituals and traditions and pass them along," he says.

"But we need to embrace new technology. In the early days, Koyasan was introduced to the masses by pilgrims who traveled through on foot, then spread the word about this sacred site.

"Today, we have much easier ways to share information.

"Plus, the reality is foreign travelers need access to the Internet, whether it's for keeping in touch with family or booking onward travel."

Where to stay

All of Koyasan's temple lodgings can be booked through the official Shukubo Koyasan website.

Comfort levels, amenities and prices vary.

At Fudoin, there are 22 Japanese-style guest rooms and two halls.

Rooms are comfortable and big -- some offer an outdoor seating area looking into a lovely garden.

Facilities include gardens, a tea ceremony room, library and Western-style toilets, though the bath is shared.

In addition to morning prayers, guest activities include "sutra copying" (transcription of 262 words of Hanya Shinkyo scripture) and Ajikan meditation sessions.

Getting there

The Nankai Electric Railway makes four round-trips a day by Limited Express, and runs Express trains at about 30-minute intervals between Osaka Namba Station and Koyasan Station.

The trip takes 100 minutes by Limited Express, and around two hours by Express.

From Koyasan Station, visitors can hop on a 10-minute bus to Koya town.

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Koyasan in Japan's Kii Mountains is one of country's most sacred sites

@highlight

Okunoin area has more than 200,000 gravestones and memorials

@highlight

Of Koyasan's 117 temples, 52 accommodate overnight guests