(CNN) -- President Barack Obama unveiled initiatives Saturday in education and health for war veterans and highlighted how his administration has reduced by 20% the government's woeful backlog of veterans' disability claims.

"We're turning the tide. We're not going to let up until we eliminate the backlog once and for all," Obama told a gathering of disabled veterans in Florida.

The wars in Iraq and Afghanistan have overwhelmed the Department of Veterans Affairs with disability applications.

"It results in longer waits. That's been unacceptable to me," Obama said.

He acknowledged that the 20% dent isn't enough.

"I'm going to be honest with you. It has not moved as fast as I wanted," Obama said.

Obama also put attention on the growing suicide rate among veterans. His administration increased spending for VA mental heath services by 7.2%, and the veterans agency has increased the capacity of its crisis line by 50%.

"We also need to keep improving mental health services because we have to end this epidemic of suicide among our veterans and troops," Obama said.

The White House announced Saturday a National Research Action Plan to reduce soldier suicides and treat post-traumatic stress disorder and traumatic brain injury.

Under the initiative, the VA, Pentagon and other federal agencies will share data to advance research. The University of Texas and Virginia Commonwealth University will receive $100 million from the VA and Defense Departments to research PTSD and the links between traumatic brain injury and mental health issues.

Obama also rolled out another initiative with 250 higher-education institutions to help war veterans complete their degrees.

Obama made his remarks in Orlando, Florida, before more than 3,000 people attending the annual convention of Disabled American Veterans, an advocacy group deploring the one- or even two-year delays of processing disability claims and urging more mental health care for returning servicemen.

When Obama announced the $100 million in research, many in the crowd of seniors wearing military caps shouted, "Yeah, let's go!"

One attendee, Kathie DiCesare, who maintains a blog about PTSD and military suicides, said Americans aren't fully aware of the suicide rates among veterans, and she criticized Obama for not holding his joint chiefs accountable for the epidemic. Her husband is a Vietnam War veteran with PTSD.

"The only thing that I can complain about is he's not holding any body accountable. I know he cares," she said. "Suicide rates have skyrocketed."

Earlier this year, the Pentagon said as many as 349 U.S. service members committed suicide last year, which would be the highest number since the Department of Defense began keeping detailed statistics in 2001.

Of several high-profile veterans issues facing the nation, the backlog of health and disability benefits has been among the more controversial.

Last March, Allison Hickey, undersecretary for benefits, told U.S. senators that veterans indeed wait too long to receive benefits.

Thousands of war vets still waiting for health benefits

A recent report from the Center for Investigative Reporting found that since Obama took office in 2009, the number of veterans waiting more than a year for their benefits has skyrocketed, from 11,000 in 2009 to 245,000 in December 2012, a jump of more than 2,000%.

The VA states that the average wait time after a veteran files a claim is 273 days. But for veterans filing their first claim, including Iraq and Afghanistan vets, the wait is up to 327 days, nearly two months longer. In big cities such as New York, veterans could wait for almost two years. CIR analyzed the data obtained from a Freedom of Information Act request.

The number of claims has also increased. In 2001, the VA completed approximately 480,000 claims, in 2002 approximately 796,000 claims and in 2003 around 827,000 claims, according to Sen. Bernard Sanders of Vermont, chairman of the Senate Veterans' Affairs Committee. In 2010, 2011 and 2012, the VA completed more than 1 million claims each year, he said.

Veterans service organizations say filing a claim can be as challenging as filing a complex tax return or defending yourself in a lawsuit. In the meantime, veterans experience hardships.

Study: Mental illness, not combat, causes soldier suicides

In the expanded education initiative, Obama called the measure "8 Keys to Success" and said more than 250 community colleges and universities would help veterans afford and complete degrees, certificates, industry-recognized credentials and licenses. The education would help the veterans land jobs in high-growth areas of the economy.

Obama said among his priorities is "making sure that our veterans have the opportunity to pursue the American dream."

Obama also pressed Congress to adopt his $5 billion Veterans Jobs Corps proposal that would put former servicemen and women to work building infrastructure such as roads and bridges, similar to the Civilian Conservation Corps of the 1930s.

At a time when the nation is struggling with the legacy of wars in Iraq and Afghanistan, Obama sought to shore up support for his veterans agenda one day after he signed into law the Helping Heroes Fly Act, which eases travel and seeks to expedite the passenger screening process for severely injured and disabled veterans and active service personnel.

Obama also sought to make permanent two new veterans' tax credits, which will expire at the end of this year. Under the Returning Heroes tax credit, an incentive up to $5,600 is given to employers hiring jobless veterans. Under the Wounded Warrior tax credit, a tax credit up to $9,600 is extended to firms employing long-term unemployed veterans with military-related disabilities.

By the numbers: U.S. war veterans

CNN's John Couwels contributed to this report.

@highlight

"We have to end this epidemic of suicide among our veterans and troops," Obama says

@highlight

Veterans must have "the opportunity to pursue the American dream," he adds

@highlight

Obama announces $100 million to research PTSD and traumatic brain injury

@highlight

One attendee criticizes Obama on accountability for skyrocketing suicides