U.S. President Barack Obama said Thursday that he's authorized "targeted airstrikes" in Iraq to protect American personnel and help Iraqi forces.

"We do whatever is necessary to protect our people," Obama said. "We support our allies when they're in danger."

A key concern for U.S. officials: dozens of American consular staff and military advisers working with the Iraqi military in Irbil, the largest city in Iraq's Kurdish region.

Obama said Thursday he'd directed the military to take targeted strikes against Islamist militants "should they move towards the city."

Rapid developments on the ground, where a humanitarian crisis is emerging with minority groups facing possible slaughter by Sunni Muslim extremists, have set the stage for an increasingly dire situation.

Thousands of families from the Yazidi minority are reportedly trapped in the mountains without food, water or medical care after fleeing the rampaging fighters of the Islamic State, also known as Islamic State of Iraq and Syria or ISIS.

Throngs of refugees, many of them Iraqi Christians, are on the run -- their largest city, Qaraqosh, now occupied by fighters who gave them an ultimatum, "Convert to Islam or die."

Obama also said he'd authorized targeted airstrikes "if necessary" to help Iraqi forces protect civilians trapped on the mountain.

"When we face a situation like we do on that mountain with innocent people facing the prospect of violence on a horrific scale, when we have a mandate to help, in this case a request from the Iraqi government, and when we have the unique capabilities to help avert a massacre, then I believe the United States of America cannot turn a blind eye," Obama said. "We can act, carefully and responsibly to prevent a potential act of genocide."

The potential escalation of U.S. military involvement comes two years after Obama ended the Iraq war and brought home American forces.

White House spokesman Josh Earnest told reporters Thursday that there is no chance of ground troops heading back.

Obama acknowledged that many Americans are concerned about military action in Iraq.

"As Commander in Chief, I will not allow the United States to be dragged into fighting another war in Iraq, so as we support Iraqis as they take the fight to these terrorists, American combat troops will not be returning to fight in Iraq because there is no American military solution to the larger crisis in Iraq," Obama said.

The President's announcement that he'd authorized airstrikes came after the United States airdropped meals and water in Iraq, sending humanitarian aid to trapped minority groups.

"The mission was conducted by a number of U.S. military aircraft under the direction of U.S. Central Command," a senior U.S. defense official said. "The aircraft that dropped the humanitarian supplies have now safely exited the immediate airspace over the drop area."

Iraqi forces fight back as Islamists advance

The Iraqi air force bombed a number of targets Thursday night, Qubad Talabani, deputy prime minister of the Kurdish Regional Government, told CNN. The strikes killed at least two ISIS emirs, he said.

Talabani also reported that U.S. officials said humanitarian airdrops would take place for the tens of thousands of Yazidis he estimates are stranded without food or water.

The United States has been sharing intelligence through reconnaissance but are not involved in any airstrikes, a senior Iraqi military official told CNN on Thursday.

The ISIS fighters, armed with armored vehicles and other military hardware taken from Iraqi forces in a lightning sweep through the north earlier this year, have overrun Iraq's largest Christian town and nearby villages.

When radical Islamist fighters stormed the northern Iraqi town of Sinjar over the weekend, the Yazidi minority who call it home fled into the surrounding mountains in fear of their lives.

Now, trapped without food, water or medical care in the summer heat, thousands are in desperate need of help. It's already too late to save dozens of children who've died of thirst.

Other groups targeted by ISIS, which seeks to establish a Sunni caliphate stretching from Syria to Baghdad, include Shiite Muslim, Turkmen and Shabak -- all religious minorities.

Fleeing people, some in cars and trucks and others on foot, got out with whatever possessions. The United Nations estimates 200,000 people heading toward Kurdistan in the past 48 hours.

In a statement released Thursday night, U.S. Secretary of State John Kerry called the situation a "wake-up call."

ISIS, he said, is "offering nothing to anyone except chaos, nihilism, and ruthless thuggery."

"With a gut-wrenching humanitarian crisis unfolding, and the rolls of the starving and sick growing daily, there's not a minute to waste," Kerry said. "The United States is acting and leading, and the world cannot sit by and watch innocents die."

After an emergency meeting on the situation Thursday, the United Nations Security Council issued a statement condemning the Islamists' attacks.

"The members of the Security Council reiterate that widespread or systematic attacks directed against any civilian populations because of their ethnic background, political grounds, religion or belief may constitute a crime against humanity, for which those responsible must be held accountable," the statement said

The council called on the international community to support Iraq "and to do all it can to help alleviate the suffering of the population affected by the current conflict."

Kurdish region

Outside Irbil, the internal refugees were sleeping in parking lots or shells of buildings under construction with little access to water or any other services, CNN's Ivan Watson reported.

Kurdish officials call for U.S. or NATO airstrikes to help them fight the ISIS forces.

They also issued statements intended to boost morale of the Kurdish people, saying the Kurdish Pershmerga fighters would be able to hold off any serious threat to Irbil and other cities.

A senior State Department official said the United States also was weighing opening a humanitarian corridor to provide support to Kurdish and Iraqi forces.

Earnest, however, said while the United States would support Iraqi and Kurdish efforts, "we can't solve these problems for them. These problems can only be solved with Iraqi political solutions."

The United States has 245 military personnel in Iraq, 90 of whom are advisers. The carrier USS George H.W. Bush and other Navy ships also are in the region.

Sinjar unrest

Yazidis, among Iraq's smallest minorities, are of Kurdish descent, and their religion is considered a pre-Islamic sect that draws from Christianity, Judaism and Zoroastrianism.

Most of the 500,000 or so members live in and around Sinjar in northwestern Nineveh province, bordering Iraq's Kurdish region.

The U.N. children's agency, UNICEF, said Tuesday that official reports indicated 40 children from the Yazidi minority had died "as a direct consequence of violence, displacement and dehydration" since the weekend.

"Families who fled the area are in immediate need of urgent assistance, including up to 25,000 children who are now stranded in mountains surrounding Sinjar and are in dire need of humanitarian aid including drinking water and sanitation services," it said.

Who will stop ISIS?

ISIS takes Iraq's largest Christian city

@highlight

Kerry: "The world cannot sit by and watch innocents die"

@highlight

Obama says he's authorized "targeted airstrikes" in Iraq

@highlight

Obama: "We do whatever is necessary to protect our people"

@highlight

The United States drops humanitarian aid in Iraq, official says