London (CNN) -- The year 2012 is a significant one in the Maya calendar.

The ancient long count calendar of the Maya, a Mesoamerican civilization that flourished across Mexico and Central America from 2000 BC to the time of the Spanish Conquistadores, states that on the 12th December, 2012, the sun will be aligned with the center of the Milky Way for the first time in approximately 26,000 years.

And 21 December, 2012, is said to mark the end of the 13th Maya Calendar, a 144,000-day cycle or "b'ak'tun" since the mythical Maya day of creation 5,200 years ago.

Though popularly interpreted as signifying the "end of the world as we know it," scholars stress that the end of the "b'ak'tun" does not mean apocalypse.

While few Maya people still follow the long count calendar, the Global Heritage Fund is celebrating the event by naming 2012 "The Year of the Maya," with members of the Fund greeting the winter solstice on top of La Danta pyramid at the El Mirador site in Guatemala.

"Experiencing the Winter Solstice on the summit of La Danta is thought to be one of the greatest opportunities to experience the end of the 13th Maya calendar and dawn of a new age," said Jeff Morgan, Executive Director of the Global Heritage Fund.

But their celebrations have a serious side: the Global Heritage Fund is highlighting the dangers to Mayan sites such as El Mirador, which are threatened by looting and deforestation, and hoping to secure the investment to turn these neglected spots into thriving and sustainable tourist destinations.

"Tikal National Park (in Guatemala) has proven that major Maya archaeological sites are economically sustainable through visitation and with appropriate investment, can generate hundreds of millions of dollars for conservation and maintenance of both the cultural and natural heritage," said Morgan.

CNN's World's Treasures asked Morgan to compile a list of key Maya sites across LatinAmerica for Maya-enthusiasts keen to ring in the dawn of a new era sitting on the monumental steps of a temple or at the summit of an ancient pyramid.

Chichen Itza

The site of Chichen Itza is a key sacred spot in Mexico's southern Yucatan peninsula -- the settlement is believed to date back to the 5th century AD.

Its architecture is a blend of Maya and Toltec styles. It was the Toltec -- warrior peoples from the Mexican plateau -- who imposed the practice of ritual sacrifice at the site.

Covering a huge surface area, this UNESCO World Heritage Site is rich in monuments, chief of which is the stepped pyramid temple of Kukulkan, as well as a Great Ball Court, where visitors can picture deadly ball games taking place.

Tulum

Though not extensive, this clifftop site in Mexico's Yucatan peninsula is certainly picturesque, overlooking the turquoise waters of the Caribbean Sea.

A photo-friendly beauty spot, Tulum is a relaxed pit-stop on the itinerary. A dip in the sea should revive any temple-weary travelers.

Palenque

Also a UNESCO World Heritage Site, Palenque, in Chiapas, Mexico, is nestled deep in the jungle, the tops of its many temples often wreathed in mist.

The site boasts stepped pyramids, including the impressive Temple of Inscriptions, carved stone walls and even the burial site of Pakal the Great, Palenque's 7th-century ruler.

Tikal

Tikal is set in an ecological reserve in Guatemala -- its ruins are believed to date from as far back as 600 BC, and at one point the city was thought to be inhabited by 90, 000 people.

Temples, palaces, and public squares abound: If you want to go off the main tourist beat, you can explore the many ruins lying seemingly half-forgotten in the surrounding jungle.

Not just a historical treasure, the land on which Tikal rests is a natural beauty spot, home to numerous protected species of flora and fauna.

Copan

The Maya civilization spanned much of Central America and this site in Honduras is thought to have been inhabited as far back as 2000 BC.

Abandoned for centuries, it was rediscovered in 1570 by a Spanish explorer named Diego Garcia de Palacio.

The site is another maze of temples, plazas, altar complexes and ball courts, and of particular note is the Hieroglyphic Stairway Plaza, a monumental 100-meter-wide stairway bearing a long Mayan inscription composed of numerous glyphs.

@highlight

2012 is key date on Maya calendar, said to be start of new era, not end of world

@highlight

Global Heritage Fund is celebrating by naming 2012 "Year of the Maya"

@highlight

Aim is to highlight problems of looting and deforestation that threaten sites

@highlight

Executive director suggests 5 key Maya sites for enthusiasts and novices to visit