Mogadishu, Somalia (CNN) -- In a classroom tucked away from the world in Somalia's capital, Mogadishu, students practice spelling.

Ranging in age from 6 to 11, these girls all have one thing in common: They have either been raped or suffered through the rape of a loved one.

Even the 6-year-old is a rape survivor. The baby of the class, she can't quite keep up with the spelling lesson but is happy to clap along.

Next door, in the clinic adjoining the class, a 7-year-old boy and his mother are in for a checkup.

The mother was raped and then watched, helpless, as her son was molested.

Too afraid to seek help, she did what she thought would help: washed her son's wounds with hot water and salt for four excruciating days until they were found and brought here.

The classroom and clinic are both part of the Elman Peace and Human Rights Center. Founded in 2011, it is the first rape crisis center in Somalia.

Today, the center has bases both in and outside Mogadishu, providing a haven for the spiraling number of Somali victims of sexual violence.

The figures are horrifying, with at least 1,700 women raped in camps for internally displaced people last year in Mogadishu, according to United Nations figures.

The Elman Peace and Human Rights Center was founded by the parents of Ilwad Elman in the 1990s to help child soldiers, but it closed down after her father was assassinated by warlords, forcing the rest of the family to seek refuge in Canada.

Eventually, she and her mother returned, and in 2011, the center reopened with a new focus: helping the victims of sexual violence.

For the safety of the Elman center's staff and the victims it helps, CNN agreed not to reveal the location of the centers it visited.

Rape isn't just happening in the camps for those forced from their homes by fighting, Ilwad Elman told CNN, but in the wider community, "which is also affected by rampant abuse of sexual and gender-based violence."

Elman says she believes a multitude of factors are to blame, but the chief one is conflict -- something that has affected every Somali during more than two decades of war.

"Rape is a well-known weapon of war, so that is one thing that is undeniable," said Elman. "There's also harmful traditional practices. There's also the destroyed social protection structures that were in place" but were destroyed by conflict, she adds.

Put all these factors together, she said, and "that is why rape is so indiscriminate" in Somalia.

Social stigma

For the first time in decades, there is reason for optimism in Somalia, thanks in part to the country's newly appointed and popular president, Hassan Sheikh Mohamud, and increased security in much of the country.

But the plight of Somalia's women has seen little improvement.

While the center's staff has gained some idea of the number of cases of sexual violence in Mogadishu and its surrounding area, little is known about the scale of the problem further afield.

Rape in Somalia carries huge social stigma, and after the long years of conflict, there is no way of knowing how many women are suffering in silence.

When the new president was appointed last year, his public commitment to punishing those guilty of sexual offenses had an immediate impact, said Elman.

But those advances have been undone, she said, by events since.

In February, Lul Ali Osman Barake made headlines when she reported her rape at the hands of men she says were government soldiers.

They took turns raping her, she told CNN, only stopping when they thought she was dead. But when she reported the crime, it was Barake who was arrested and convicted of defaming a government institution.

Eventually, she was freed after a huge international outcry, but she says her attackers have yet to face justice.

And, like many of the women CNN spoke to, she has no faith they ever will.

The United Nations says 70% of the rapes perpetrated in Somalia are carried out by men in military uniforms.

Somali Prime Minister Abdi Farah Shirdon admits there's a problem but insists that it is being addressed.

"There's been no effective government in Somalia for such a long time, and people are disorganized ... but now we are organizing, and I think we'll disconnect ... from the past," he told CNN. "We are doing everything possible, we are taking every step to ensure that women and girls are safe.

"We have nominated a new commissioner, judiciary reforms, and ... we are constituting a new policy for making our women and children safer than ever."

'Underground network' of women

But women's rights activists say the damage might already have been done.

"I think it's become a lot harder for women to report rape," said Elman. "One clear message was sent to them: that if you do report a rape, there's as much of a chance of you ending up in jail as a perpetrator. It has not only become harder for women who are a survivor of rape to report it, but also people working with these people to work towards ending or responding to sexual violence.

"There was a very dramatic decline in the figures for the last three months. I think it was nearly 60%."

With public information limited and the stigma against speaking out so strong, the center has created "almost an underground network of women" to spread the word about its work, said Elman.

Some women who have been supported by the center go on to help others, letting them know through word of mouth that these services exist. Other women find their own way there or meet center staff out in the community, she said.

What makes the situation worse is that often, the same woman is raped repeatedly, by different perpetrators, said Elman.

The center can help the woman each time, but "without the government's support and putting in place mechanisms to protect these people, there will be no end to this impunity," she said.

Hawa, who agreed to talk to CNN as long as a pseudonym was used to conceal her identity, told how after being raped she fled her home for what she thought was a new beginning in another part of town.

In her new home -- and in spite of being pregnant with the first rapist's baby, she says -- she was attacked again.

She, like Barake, has no hope that justice will ever be done.

Make the perpetrators 'bear that burden'

The United Nations is due to send in a British-funded team of experts on sexual violence to help the Somali government establish protection mechanisms.

Delegates at an international donor conference, held this month in London by the UK and Somali governments, pledged to work together to tackle sexual violence. The issue will also be on the agenda at the G8 leaders' summit to be hosted by the United Kingdom in June.

But it will take time and money to bring about change in a country that has so many pressing needs.

Matt Baugh, UK ambassador to Somalia, told CNN that there were "no guarantees," but the involvement of international partners should improve the chances of Somalia living up to its commitments on sexual violence.

"What needs to happen practically (is) to redress the balance, to turn this from a stigma of shame where the survivors, the victims of these horrible attacks, bear that burden, to one where it's the perpetrators who feel ashamed about it," he said.

There is now a realization, he said, of the "huge, huge problem facing the country as a whole, as well as women and girls," but it will take time to make the necessary changes to tackle sexual violence.

These include better documentation of such crimes; reforming the security sector, so that the army and police come under greater government control and win people's confidence; and reforming the judiciary so that ordinary Somali families believe in the justice system, he said.

"We've got the opportunity for the first time in 20 years, based on Somali leadership and their compelling vision, to chart a way forward," he added.

"I think that this newfound stability and these new steps that have been made by Somalia, that the entire world is celebrating, because it is, indeed, worth celebrating, ... has to be something that everybody has access to," said Elman, in Mogadishu.

"We need to make sure that women are in this human space where we are moving forward."

For the moment, though, Somalia's women are relying on themselves -- and each other -- to rebuild their lives as best they can.

READ MORE: Somali court clears woman alleging rape

CNN's Laura Smith-Spark contributed to this report.

@highlight

The Elman Peace and Human Rights Center became Somalia's first rape crisis center in 2011

@highlight

U.N.: At least 1,700 women raped last year in camps for displaced people in Mogadishu

@highlight

Somalia's new government has said it will take steps to tackle sexual violence

@highlight

Reforms are needed of security services, judiciary and societal attitudes, says UK envoy