(CNN)Twice-convicted murderer Warren Lee Hill was executed Tuesday, according to the Georgia Department of Corrections.

Despite pleas by human rights groups and legal representatives who have argued that Hill's intellectual disability should have made him ineligible for the death penalty, Hill died by injection at the prison in Jackson, Georgia.

His time of death was 7:55 p.m. ET, said spokeswoman Gwendolyn Hogan. Hill declined to make a final statement, but requested a final prayer, Hogan said.

Hill's attorney slammed the U.S. Supreme Court, which declined to step in and grant a stay of execution.

"Today, the court has unconscionably allowed a grotesque miscarriage of justice to occur in Georgia," said Brian Kammer, Hill's lawyer.

"The intellectual disability community, which has strongly supported Mr. Hill's case for many years, joined his legal team in the belief that the Supreme Court would step in and prevent Georgia's flagrant disregard of the Constitution on behalf of the rights of people with disabilities," said Kammer.

He described the execution as "an abomination."

The Georgia State Board of Pardons and Paroles similarly voted to deny clemency.

The board said in a release that its members "thoroughly reviewed the parole case file on the inmate, which includes the circumstances of the death penalty case, the inmate's criminal history, and a comprehensive history of the inmate's life" to reach their decision.

In a joint statement released Tuesday, the NAACP, the Georgia Council on Developmental Disabilities, and Georgians for Alternatives to the Death Penalty called the board's decision to deny clemency, "an embarrassment to our state."

They condemned the legal system for "failing to protect those who are most vulnerable."

The groups invited "those concerned about Georgia's criminal justice practices," to join them at vigils in several cities around the state before Hill's scheduled execution.

Federal law -- stemming from a 2002 Virginia case that went to the U.S. Supreme Court -- says executing intellectually disabled individuals violates the Eighth Amendment's ban on cruel and unusual punishment. But the ruling also allows states to define intellectual disability. In Georgia, that means attorneys for death row inmates have to prove mental impairment "beyond a reasonable doubt."

"This is the strictest standard in any jurisdiction in the nation," Kammer said.

Hill's execution comes two weeks after the state executed Andrew Brannan, a Vietnam War veteran suffering from post-traumatic stress disorder who killed Laurens County Deputy Kyle Dinkheller in 1998. Kammer also was Brannan's counsel.

Kammer, who has represented Hill for 20 years, said in any other state, Hill would have served a life sentence. Hill was sentenced to death in 1990 for killing fellow prison inmate Joseph Handspike, beating him to death with a nail-studded board. At the time, Hill had been serving a life sentence for the 1985 shooting death of his girlfriend Myra Wright.

"We acknowledge that Mr. Hill should be held accountable for his actions and behavior," Torin Togut, president of the Arc of Georgia, said in a letter written on Hill's behalf. "However, it is our contention that Mr. Hill, who has an intellectual disability, should not be subject to capital punishment."

The Arc is a nonprofit organization that advocates for and serves people with intellectual and developmental disabilities.

Hill had the support of the American Association on Intellectual and Developmental Disabilities, the Georgia NAACP, and former President Jimmy Carter and his wife, Rosalynn Carter.

The victim's family and former jurors had also expressed support for mercy in Hill's case, saying they weren't given the option of life without parole when sentencing him to death.

Kammer had said seven doctors agreed that his client was intellectually disabled -- including three doctors for the state who initially evaluated Hill and said he didn't meet Georgia's standard. Kammer said those doctors have since signed an affidavit admitting they felt rushed during Hill's examination and now believe he does meet the standard for "intellectually disabled."

In previous clemency hearings, attorneys for the state have argued that Hill served in the Navy, held a job and managed his money before killing his girlfriend -- signs that he didn't necessarily meet the legal standard to be considered intellectually disabled, even though he has a low IQ.

But Kammer said examples of Hill achieving "self-sufficiency" don't make a strong case for his execution. Hill has an IQ of approximately 70, and "the emotional and cognitive ability of a young boy," according to his attorney.

Several of the letters supporting Hill's clemency cited last year's Supreme Court decision that struck down a Florida law that used "unscientific standards for determining intellectual disability" for death row inmates.

Attorneys tried to use the Hall v. Florida decision as grounds to spare the life of Georgia inmate Robert Wayne Holsey, who was sentenced to death for the murder of a local sheriff's deputy. Holsey, who also had an IQ of 70, was executed in December.

Hill declined to request a special last meal, the Department of Corrections said. He was offered the institutional meal tray, consisting of shepherd's pie, mashed potatoes, red beans, cabbage relish salad, cornbread, sugar cookies and fruit punch.

CNN's Ariane de Vogue contributed to this report.

@highlight

The U.S. Supreme Court declines to step in and grant a stay

@highlight

State board votes to deny clemency hours before scheduled execution

@highlight

Warren Hill was convicted of murdering a girlfriend and a fellow inmate