ATLANTA, Georgia (CNN) -- You wouldn't know it by looking at her, but at any given moment Dana Poole hurts all over.

Dana Poole, left, feels aches all over at any given moment from a condition called fibromyalgia.

"It's kind of like a burning, but an ache. It's almost like you have the flu," said Poole, 31, a receptionist from Canton, Georgia.

Poole is one of almost 6 million Americans who suffer from a chronic condition called fibromyalgia.

In addition to widespread pain, patients may complain about fatigue and sleep disturbances, depression, headaches, irritable bowel syndrome and heightened sensitivity.

"Dana is typical of a lot of fibromyalgia patients," said Dr. Jefrey Lieberman, an Atlanta, Georgia-based rheumatologist. "She came into my office complaining of a lot of diffuse pain all over her body and fatigue. She really didn't know why she was getting it."

That's part of the frustration of having fibromyalgia. Experts aren't sure what causes it, but many believe many factors are involved.

Some think the condition, which is not progressive or life-threatening, may be triggered by an emotional or traumatic event.

Lieberman believed it is related to a disordered sleep pattern and poor exercise. "It appears to be more of a neuro-chemical process," he said. "In other words, there really is no inflammation in patients with fibromyalgia."  Health Minute: More on identifying fibromyalgia »

Getting a proper diagnosis can sometimes be just as frustrating as finding out what's behind the disease.

"Fibromyalgia is to some extent a diagnosis of exclusion," Lieberman said. "There are lot of things it can be confused with such as thyroid disorders, metabolic disorders and certain rheumatologic inflammatory conditions."

For almost five years, Poole jumped from doctor to doctor trying to figure out what was causing her symptoms. "They were constantly saying I'm a tall, thin female. 'You're getting older -- your body is going to change,' and it was frustrating."

Lieberman understood Poole's frustration. "Sometimes fibromyalgia is used as a wastebasket term if a patient has pain and they don't know what it is from," he said. "It is frequently misdiagnosed. In fact, it is overdiagnosed and it is underdiagnosed."

Specialists such as Lieberman can make a proper diagnosis based on criteria set by the American College of Rheumatology.

"Those criteria are diffuse pain in three or more quadrants of the body and the presence of what are called tender points in the body," Lieberman explained. "There are 18 total tender points, and by definition we like to see 11 of those tender points being present."

It's estimated that up to 90 percent of patients are women. Most of them start feeling symptoms in early and middle adulthood.

Poole remembered that the pain first started when she was 20. It wasn't until she met Lieberman about five years ago that she got some relief.

She took part in a drug study for Cymbalta, one of two medications approved for the management of fibromyalgia. The other drug is called Lyrica.

"Both of them are geared toward the patient's well-being as well as improving their pain," Lieberman said.

He also encouraged Poole to control her condition through a healthy diet, stress reduction, getting enough sleep and regular low-impact exercise.

"We think that aerobic exercise helps to stimulate endorphins and enkephlins from the body which are your own natural pain relievers," Lieberman said.

The doctor is quick to point out that even with proper medication and adequate exercise, fibromyalgia has no cure.

Although Lieberman said some of his patients report the symptoms tapering off in their mid-50s and -60s, others are faced with years of managing the condition.

"For most of my patients, I tell them that I can get you 50 to 75 percent better and many of those patients will jump at that," he said.

Poole is one of them, but knowing that she'll need to follow a careful daily regimen can be daunting, she said. "It wears you out, mentally, physically and emotionally."

@highlight

Nearly 6 million Americans suffer from a chronic illness called fibromyalgia

@highlight

Symptoms include fatigue, sleep disturbances, depression and headaches

@highlight

Experts aren't sure what causes it; often misdiagnosed

@highlight

It's estimated that up to 90 percent of patients are women