Juba, South Sudan (CNN) -- South Sudan's president declared a state of emergency Wednesday ahead of peace talks to stop the latest violence in the country.

President Salva Kiir issued the declaration for the states of Unity and Jonglei, which include the rebel-held towns of Bor and Benitu, the scene of recent fighting and scores of civilian deaths.

State radio also reported that Kiir ordered the formation of a negotiating team to take part in the peace talks in Ethiopia. The government delegation includes key opposition figures, as required in the presidential decree, state radio reported.

Representatives from the warring parties in South Sudan will arrive in Ethiopia on Wednesday for talks aimed at ending the violence wracking the nation, the United Nations' special representative to South Sudan said.

Hilde Johnson, who heads the U.N. mission to South Sudan, said she wanted to see both parties "take a decisive step to cease all hostilities" starting Wednesday.

"We want to make this day the day that the violence stops," she told a news conference in the South Sudanese capital, Juba.

Kiir and the rebels' leader, former Vice President Riek Machar, agreed Tuesday to send delegations to the Ethiopian capital, Addis Ababa, home of the African Union, for peace talks after two weeks of violence.

A cessation of hostilities between their forces is expected to top the agenda.

Johnson said it was too early to say if the move was a breakthrough, "but it is a step in the right direction."

The African Union has set up a group to investigate human rights abuses, Johnson said, which met for the first time Tuesday.

She stressed the need for people to be held accountable for their actions, and for a community-based reconciliation process to run alongside the peace talks.

"There has been killing and brutality, we have seen killing on ethnic grounds. We need to do everything to prevent the cycle of violence," Johnson said. "I condemn elements on both sides."

The Intergovernmental Authority on Development, an East African trade bloc that has been helping to mediate between the battling parties, has said an independent body is needed to monitor any cease-fire, Johnson said.

Leaders of the bloc warned Friday that they would "take action" to stop the conflict if South Sudan's warring factions didn't lay down their arms.

The spiraling violence has sparked a humanitarian crisis in the world's newest nation. About 180,000 people have been displaced nationwide by more than two weeks of conflict, Johnson said.

Peacekeepers are working to protect the camps where tens of thousands of civilians have fled, but more resources are needed, she said. She appealed for $166 million in aid to help provide families with food and other emergency relief.

Anti-government forces were not targeting U.N. bases in the country, Johnson added.

Ethnic targeting

The fighting began on December 15 after Kiir, from South Sudan's Dinka ethnic group, accused troops loyal to Machar, from the Nuer community, of trying to launch a coup. The two men have long been political rivals, and Kiir dismissed Machar, along with the Cabinet, in July.

Kiir told CNN on Monday that African nations should have acted quickly to help quell the rebel forces.

As soon as an attempted coup took place and violence broke out, "the original leaders and all African leaders should have come in with military support," so that the rebels would have been "crushed once and for all," he said.

The two sides clashed Tuesday in the key town of Bor, capital of oil-rich Jonglei state, which had already changed hands last week.

However, the situation was quiet there Wednesday, Johnson said. Fighting has also halted in Malakal, the capital of Upper Nile state, which may be a positive sign, she said.

United Nations forces are patrolling the streets of Juba in order to protect civilians, she said. More than 160 police officers arrived in the past three days, with an additional 240 expected Wednesday and more in the next two weeks.

The U.N. Mission to South Sudan on Tuesday voiced "grave concern over mounting evidence of gross human rights abuses in the strife-torn country, including extra-judicial killings of civilians and captured soldiers, massive displacements and arbitrary detentions, often on ethnic grounds."

Its statement cited the discovery of large numbers of bodies in Juba, as well as in Malakal and Bor.

"Available evidence indicates that atrocities are continuing to occur in various parts of South Sudan," it said. "Many of these violations appear to be ethnically targeted. Most of the more brutal atrocities are reported to have been carried out by people wearing uniform."

South Sudan formally split from Sudan in 2011 after a referendum, following decades of conflict. Numerous armed groups remain active in the oil-rich country.

CNN's Antonia Mortensen reported from Juba and Laura Smith-Spark wrote and reported in London. CNN's Arwa Damon contributed to this report.

@highlight

South Sudan president declares a state of emergency in Unity and Jonglei

@highlight

Delegates from warring parties to arrive in Ethiopia on Wednesday, U.N. official says

@highlight

She urges both parties to end the hostilities that have displaced about 180,000 people

@highlight

U.N. mission to South Sudan says it has seen a large number of bodies, evidence of atrocities