Washington (CNN) -- With Herman Cain's departure from the 2012 field of candidates seeking the Republican presidential nomination, several contenders have sought to claim the "tea party candidate" mantle. But for those entrenched in the movement, none of the remaining candidates have a legitimate claim to the title.

Minnesota Rep. Michele Bachmann founded the tea party caucus in the House in 2010 and was designated one of the top 10 most conservative members of the chamber by Heritage Action, sister organization to the Heritage Foundation, an esteemed conservative think tank. She declared the tea party would "come home" to her campaign the day after Cain suspended his bid for the White House earlier this month.

But Bachmann must jockey with other candidates for that title. Texas Rep. Ron Paul claimed the tea party was started with his 2008 presidential campaign. He first ran for Congress in 1976 with the platform of Constitution-based policy. Twelve terms later, Paul has announced he will retire after serving. His philosophy jibes with the tea party value of crafting policy close to constitutional standards.

Ron Paul: I'm the 'flavor of the decade'

Former House Speaker Newt Gingrich has also entered the fray of tea party-professing candidates, with some help from across the aisle. The Democratic National Committee released an ad painting Gingrich as the "original tea partier."

With a balanced budget on his resume, achieved during President Clinton's second term, Gingrich has embraced the tea party movement from its beginning in 2009.

So which of the three actually fit the mold?

"I don't think anybody has a claim to that title," said Mark Meckler, co-founder and national coordinator of the Tea Party Patriots.

"What we're looking for is for all candidates to try their best to articulate and reflect tea party values, and I think that we've been very successful in pushing the debate so that they're all required to do so," Meckler said.

Tea Party Express chairman Amy Kremer agreed. "I don't think that there's any one candidate that can say that they're the real tea party (candidate)," she said.

Neither the Tea Party Patriots nor the Tea Party Express have endorsed a candidate from the field of seven, which includes Bachmann, Paul, Gingrich, former Pennsylvania Sen. Rick Santorum, former Utah Gov. Jon Huntsman, Texas Gov. Rick Perry and former Massachusetts Gov. Mitt Romney. Judson Phillips, founder and CEO of the Tea Party Nation, endorsed Gingrich in September, but no candidate has yet received the bulk of party support.

Christine O'Donnell, a former Senate candidate from Delaware and a tea party darling, endorsed Romney on Tuesday and decried tea partiers who have been "flocking" to Gingrich's campaign.

Romney has been both panned and praised within the tea party movement, but when it comes to conservative chops, Meckler and Kramer say Bachmann, Paul and Gingrich all have something to boast about.

Meckler described Bachmann and Paul as having long-term records that are "consistent" with tea party values, but cautioned that the tea party caucus founded by Bachmann was assembled with the understanding that "they didn't speak for us, they didn't have any influence over us," and "they don't represent us." Instead, Meckler says the caucus was intended as a "listening mechanism, not a representative mechanism."

Bachmann has only picked up three endorsements from the caucus, but Kremer said that shouldn't have bearing on the way tea party supporters vote.

"While I respect the tea party caucus and a lot of those members that are a part of that Congress, the American people don't want a congressman or congresswoman or a senator to tell them that they should vote for a certain person," she said.

Kremer touted Bachmann's "loud voice for the tea party dating back to the early days of the movement," but she balked at Paul's credentials.

"I never knew who Ron Paul was before this tea party movement started," she said.

Kremer stated the longtime congressman hasn't been involved with the Tea Party Express and cited his absence during the bus tour leading up to the CNN/Tea Party Republican Presidential Debate in September.

"I think it's interesting that they claim that he's the godfather of the tea party movement, but yet he doesn't interact with the tea party movement whatsoever," she said.

Conversely, for Kremer, Gingrich can be credited with a long, tea party history.

"The other interesting candidate out there is Newt Gingrich because (he) has been involved in the tea party movement from the very beginning," she said, crediting his organization American Solutions as being one of the original sponsoring organizations of the 2009 Tax Day Tea Party and his staff members with reaching out to work with tea party groups across the country.

"With Newt, one of the things that people like is that he was able to balance the budget when President Clinton was in office... He understands the importance of the conservative moment," Kremer said. "He's been building that relationship."

But CNN contributor and conservative columnist Rich Galen questions whether there is a tea party to be the candidate of.

"Those kinds of groups need enemies to be successful. They need to have someone they can point to, rail against and raise money to defeat. Then, when you win, you're out of enemies so the vigor of the organization tends to dissipate, if not the organization itself," he said. "To that degree, that's what has happened to the tea party."

An NBC News/Wall Street Journal survey released earlier this week indicated that 27% of Republican primary voters nationwide consider themselves tea party supporters -- up two percentage points from November -- but 65% say they do not.

Galen noted 2010 U.S. Senate losses of tea party backed candidates O'Donnell in Delaware and Sharron Angle in Nevada as lessons for the movement that prove endorsements may be too risky to gamble.

"They went out of their way to nominate somebody that they liked and ended up losing the seat," he said.

"Presidential politics in America is different than any other level â€” the president is our version of royalty. It's a far different and more thoughtful, more consuming thought as to who you're going to vote for for president."

But tea party-backed candidates also posted big wins -- including four seats in the Senate, the governor's mansion in South Carolina and seats in the House.

Admitting that she'd thought the Tea Party Express would have made an endorsement by now, Kremer credited the volatility of the GOP race as a reason it has not and suggested efforts may be better directed elsewhere.

"I thought we would've made (an endorsement) by Iowa, but the movement really needs to coalesce behind somebody before we get involved," she said. "And because everybody is all over the place, I think it's smart to focus on the U.S. Senate, because regardless of if [President Barack] Obama is re-elected or not, we need to have control of that Senate."

The movement has not solidified around one candidate, due in part to the diversity of its supporters and an awareness that electability is a critical factor in securing the GOP nomination.

Kremer acknowledged it "could be an issue."

"These people in this movement, it's not like they're a bunch of idiots out there holding up signs and protesting the government. These people are doing their research... and they're making their decisions based upon what they're learning."

The NBC News/WSJ poll found that while 40% of GOP primary voters back Gingrich compared with 23% who back Romney, in a hypothetical general election matchup, Obama would defeat the former House speaker 51%-40%. Romney comes closer, trailing 47%-45%.

Paul placed third, but received 9% support and hasn't cracked the top two in national polls since announcing his candidacy. And although Bachmann won the critical Ames straw poll in Iowa in August, she placed fourth in the survey and has consistently received single digit support.

Gingrich and Romney may top polls measuring national support for the Republican candidates, but Meckler hesitated in speculating on whether the nomination will be duked out between the two.

"Trying to make these kinds of predictions is foolhardy," he said.

Kremer stated Romney still has bigger problems to face.

"The thing that he's going to have to reconcile with this grassroots movement is that at the end of the day, people don't want a mandate for health care. It doesn't matter if it's a state mandate, they don't want a mandate coming from state or federal government," alluding to the health care plan Romney ushered in as Massachusetts' governor.

Both Kremer and Meckler are confident that, despite heavy-handed criticism of both frontrunners, the tea party movement will mobilize behind any candidate that is the nominee and prioritize Obama's defeat over tea party ideals.

When asked whether tea party stalwarts will resist voting for a GOP nominee not in line with their values, Meckler said, "There certainly may be some that will do that (but) I don't think that's the majority of people in the movement."

"There are very few people that have said that there's no one that they can support," Kremer said.

"Gingrich might not be everyone's first choice and Romney might not be everyone's first choice, but Obama is everyone's last choice," Galen said. "A lot of those guys understand that."

@highlight

After Herman Cain's exit, several contenders have sought to claim the "tea party candidate" mantle

@highlight

Neither the Tea Party Patriots nor the Tea Party Express has endorsed a candidate

@highlight

Mitt Romney has been both panned and praised within the tea party movement

@highlight

CNN contributor Rich Galen questions whether there is a tea party to be the candidate of