Beijing (CNN) -- Nine months after his detention by Chinese authorities, a prominent Uyghur scholar charged with "separatism" went on trial Wednesday amid tight security, his lawyer said.

Ilham Tohti, an economics professor at Beijing's Minzu University, was detained by police in January and taken to his native Xinjiang, China's restive northwestern region where a spate of recent violent incidents have been blamed by the government on Muslim Uyghur separatists seeking to establish an independent state.

Liu Xiaoyuan, one of Tohti's lawyers, told CNN earlier this week that he expected the trial to be short at the Intermediate People's Court in Urumqi, the capital of Xinjiang, and a verdict and sentencing would likely be announced at a later date.

Liu later tweeted that the hearing would last two days and the government allowed four family members -- including Tohti's wife -- to be present. The authorities cordoned off the street in front of the court Wednesday morning, and the area was teeming with uniformed and plainclothes police, the lawyer said online before the trial began.

Although the government charged Tohti only in late July, Xinjiang police said in a statement in January that they had gathered firm evidence of him colluding with overseas forces to "spread separatist ideas, incite ethnic hatred and advocate Xinjiang independence." The police statement also said Tohti had taught students about "violent Uyghur resistance" in his class and encouraged them to overthrow the Chinese government.

Advocate for understanding

Tohti's lawyers have said that the scholar emphasized his innocence throughout his detention.

"He reiterated that he has advocated to improve the rule of law, democracy and ethnic harmony in Xinjiang," Li Fangping, Tohti's other lawyer, told CNN earlier.

"Tohti has consistently, courageously and unambiguously advocated peacefully for greater understanding and dialogue between various communities, and with the state," said Sophie Richardson, China director of the international advocacy group Human Rights Watch, in a statement. "If this is Beijing's definition of 'separatist' activities, it's hard to see tensions in Xinjiang... decreasing."

Li, the lawyer, also complained about the treatment of Tohti in jail, saying he was put in shackles again recently after receiving the same treatment for three weeks upon arrival.

"He went on a hunger strike for some 10 days in January after they refused to provide him with Muslim food," Li said. "They also denied him food for about 10 days in March after the Kunming incident," he added, referring to the stabbings at a train station in the southwestern city of Kunming that left 29 people dead.

Uyghur separatists were blamed for the attack.

CNN's phone calls to the Xinjiang government for comment went unanswered.

'Waves of Han'

Tohti is known for his research on Uyghur-Han relations and has been a vocal critic of the government's ethnic policies in Xinjiang, a resource-rich region long inhabited by the Turkic-speaking, largely Muslim Uyghurs. The arrival of waves of Han, China's predominant ethnic group, over the past decades has fueled ethnic tensions.

Some Uyghurs have expressed resentment toward the Han majority in recent years over what they describe as harsh treatment from Chinese security forces and loss of economic opportunities to Han people in Xinjiang.

Amnesty International has said Uyghurs face widespread discrimination in employment, housing and education, as well as curtailed religious freedom. Other critics, including exiled Uyghur activists, have attributed the rise of violence in Xinjiang to Beijing's increasingly repressive rule there -- a claim the government vehemently denies.

In late July, the state-run Xinhua news agency reported that a gang wielding knives and axes attacked civilians, a police station, government offices and smashed vehicles in southern Xinjiang, killing 37 people. The government called the incident an "organized and premeditated" terrorist attack and said police at the scene shot dead 59 people in the mob and arrested more than 200, according to Xinhua.

In the region's deadliest single violent incident in recent history, a suicide bombing in May killed 39 people at a street market in Urumqi. Another apparent suicide bombing left three dead in April at an Urumqi train station.

The Chinese government has responded by launching a massive anti-terrorism campaign as well as pouring more economic resources into Xinjiang.

Last week, four people were convicted of plotting the knife attack at the Kunming Railway Station. Three were sentenced to death and the fourth to life imprisonment.

In June, China executed 13 people convicted of terrorism charges related to attacks on public places in Xinjiang in recent months. Also in June, a court in Urumqi sentenced three people to death for their roles in a deadly attack in Beijing's Tiananmen Square last October. Defendant names revealed by state media all sounded Uyghur.

"The long-term solution to Xinjiang's unrest is not further repression, but greater understanding of the Uyghurs' grievances and perspectives," said Richardson of Human Rights Watch. "If Tohti -- a peaceful, articulate critic -- is given a harsh sentence, what confidence can any Uyghur have that their very real grievances will ever get a hearing with Chinese authorities?"

@highlight

Ilham Tohtia, a prominent Uyghur scholar, was charged with "separatism"

@highlight

Detained by police in January, he was taken to his native province of Xinjiang

@highlight

Police say they gathered firm evidence of him colluding with overseas forces to "spread separatist ideas"

@highlight

Tohti's lawyers have said that the scholar continues to emphasize his innocence