Washington (CNN) -- Upon his surrender, suspected Boston marathon bomber Dzhokhar Tsarnaev was placed in the immediate custody of federal authorities and remains under guard at a Boston hospital.

His wounds and limited communication are among the variables that will affect the speed of course of the criminal case.

Attorney General Eric Holder announced federal charges on Monday against the Cambridge, Massachusetts, resident.

In a criminal complaint unsealed in U.S. District Court for the District of Massachusetts, Tsarnaev, 19, was charged with one count of using and conspiring to use a weapon of mass destruction, namely an improvised explosive device, against persons and property within the United States resulting in death.

He also was charged with one count of malicious destruction of property by means of an explosive device resulting in death.

The case against him is death-penalty eligible.

He could also be charged later in state courts, but for now federal authorities will lead the prosecution.

This case is being prosecuted by Assistant U.S. Attorneys William Weinreb and Aloke Chakravarty from the Anti-Terrorism and National Security Unit of the U.S. Attorney's Office for the District of Massachusetts, with assistance from the Counterterrorism Section of the Justice Department's National Security Division.

According to the court filing system, the charges were actually filed Sunday under seal.

The Justice Department in coming weeks will decide whether to actually seek the death penalty.

Attorney General Eric Holder would make the final call, but federal government sources tell CNN they expect President Barack Obama and other top White House officials to have significant input into those discussions.

Federal legal sources also say they expect an outside counsel will be appointed to work with the public defender on the capital punishment aspect, since Massachusetts has no death penalty and federal officials there rarely deal with the complex legal maneuverings in such cases.

One name mentioned is Judy Clarke, who has worked as a consultant in other high-profile capital cases.

The San Diego-based criminal defense attorney and former federal public defender has worked with legal teams representing "Unabomber" Theodore Kaczynski, Atlanta bomber Eric Rudolph, and most recently, Tucson mass shooter Jared Loughner.

Clarke has earned praise for leading internal negotiations with prosecutors to take the death penalty off the table in favor of the defendant pleading guilty and getting a life sentence.

Some legal experts said the best legal strategy now would be "delay, delay, delay" as long as possible, given the public outrage at the crimes the defendant is alleged to have committed.

Any criminal trial could be many months, if not years away.

The defendant's lawyers are expected to waive the "speedy trial" requirement to give them time to prepare would could be a lengthy criminal trial, two government sources indicated.

The suspect's medical condition may also delay matters if he is not able to fully assist his counsel in the initial stages.

Tsarnaev made an initial appearance in his room on Monday before Magistrate Judge Marianne Bowler at Beth Israel Deaconess Medical Center, according to a court filing of notes taken at the proceeding.

He was advised of his rights as well as the charges.

The government stated the maximum penalties. Tsarnaev agreed to an order of voluntary detention, the court record showed.

Tsarnaev declined to answer bail questions and assented to a probable cause hearing on May 30, 2013, at 10 am. ET.

The court was satisfied Tsarnaev was alert and able to respond to the charges.

He was remanded from the custody of the FBI agents present to the U.S. Marshals, the court record showed.

The Federal Public Defender in Boston confirmed Bill Fick from that office was in the hospital for the first appearance and confirms he will represent the defendant, at least for now.

The initial appearance did not constitute an arraignment.

Tsaranev has the option throughout the process to not speak with law enforcement.

A magistrate will preside over the next two or three appearances, but the case will eventually be referred to a federal district judge.

Federal grand juries are sitting at all times in Boston, so Tsaranev would face formal charges from an indictment. Such a preliminary hearing would be presided over by a federal judge.

A number of pre-trial negotiations would then start, including possible negotiations for a plea deal. If no deal can be reached, a criminal trial would commence.

That raises another potential issue: Whether to hold a trial outside of Boston because of the enormous publicity and possible community anger at the crimes.

Possible trial venues could be in the western part of the state, in Worcester or Springfield, or possibly out-of-state in neighboring Rhode Island or New Hampshire.

@highlight

Attorney general will make final call, but expect White House, other top-level input

@highlight

Dzhokhar Tsarnaev, 19, was advised of his rights as well as the charges at hospital

@highlight

Suspect's lawyers are expected to waive "speedy trial" requirement, sources said

@highlight

Tsarnaev's wounds, limited communication among variables that will affect course of case