Imagine you could let your city urinate in a cup and submit the sample to a laboratory for drug testing. Would it pass?

Researchers in Europe did something similar with 42 major cities, and many of them failed.

Lab tests on sewage water to detect chemicals excreted after drug use turned up high levels of cannabis, cocaine, ecstasy, meth and other amphetamines.

The scientists' results, published this week in the journal Addiction, read like a top 10 list of European party capitals.

Some of them should come as no surprise to experienced travelers.

Amsterdam in the Netherlands, for example, where smoking cannabis is tolerated -- though not legal -- in its trademark coffee shops, hovered near the top of the list in every category but meth.

The port city, also saddled with the reputation of a red-light district hub, took second place in levels of ecstasy excretions found in wastewater, according to the study led by the Swiss Federal Institute of Aquatic Science and Technology.

As for cannabis, a lesser-known town bumped Amsterdam to second place.

The top spot for traces of pot in wastewater went to the Serbian city of Novi Sad, population 265,000.  Paris came in third.

Serious problems

The study may seem like a review of dereliction hot spots, but its aim is serious: to help detect dangerous addictions and spikes in the use of certain illicit drugs.

Multiple governmental authorities, drug prevention councils, universities and laboratories participated in the research.

The scientists are hoping to develop a useful monitoring tool.

It's hard to get solid data on drug usage, because it's traditionally gathered via questionnaires, the study said. Respondents can fudge the answers or forget details.

Drug users also sometimes don't know what they are really taking or whether other drugs are mixed in.

The laboratory analysis of wastewater has the potential to get more accurate results more quickly and detect new drugs spreading into a local market.

London cocaine, Prague meth

The study reveals apparent preferences for certain drugs in certain regions.

Particularly high levels of benzoylecgonine, the main metabolite of cocaine, turned up in the wastewater of Amsterdam, the Belgian city of Antwerp, London and Zurich. Barcelona, Spain, and Basel, Switzerland, were not far behind.

London sewage also turned up high levels of ecstasy, but the British capital did not stick out on the list of the other drugs tested for.

There were no measurements taken there for cannabis.

The Netherlands swept the top three on the list of ecstasy remnants gone down the drain, according to the analysis, but was much further down the list for meth concentration.

That drug appears be prevalent in the Czech Republic, Slovakia and parts of Germany.

The highest concentration of meth excretions showed up in Prague's wastewater, but in all other categories, the Czech city landed in the mid-teens.

The Swiss team turned in results that indicate that ecstasy is a weekend drug in that country. Its excretion levels in wastewater crept along during the week and then rocketed on Fridays, peaked Sundays and nosedived Mondays.

From toilet to tap: Getting a taste for drinking recycled waste water

@highlight

Researchers tested sewer water for drug excretions in 42 European cities

@highlight

Notorious party capitals turned up high levels of drug use, particularly in the Netherlands

@highlight

Certain drugs appear to be popular in some cities and not in others

@highlight

High traces of cocaine turned up in Amsterdam, Antwerp, London and Zurich