Editor's Note: Alberto Gonzales is the former Attorney General of the United States. His commentary is part of CNN's Uncovering America series, focusing on the Hispanic experience today.

Former U.S. Attorney General Alberto Gonzales says his worst day at work was probably better than his dad's best.

WASHINGTON (CNN) -- Over the next few weeks, America recognizes what many in this country know from personal experience. The most admired values of the Hispanic community are the same values that sustain our nation's greatness: sacrifice, hard work, personal initiative, dedication to family, and perseverance in the face of adversity.

I saw these values every day in the life of my father, Pablo.

My father was not an educated man. But he worked every day to help his eight children find the American dream.

As a young man, he picked crops in the fields of South Texas, where he met another migrant worker -- a young woman named Maria, who would become my mother.

He and two of my uncles built the house in Houston that I grew up in -- my mother lives there still today.

I can remember when I was a small boy playing in the field as they laid the cinder blocks for the house's foundation. They nailed together the two-by-fours, hung the drywall, and hammered the composition shingles onto the roof. From their sweat, toil and vision arose the small two-bedroom house that became our home.

That home is my past, but it also represents our heritage, as Americans who always dream and work for a better tomorrow.

As a young boy I would ask my mother to wake me before dawn so I could eat scrambled eggs and tortillas with my father before he left for work. As dad and I ate breakfast together, my mother would prepare a modest lunch of beans and tortillas and carefully place them in a brown paper sack. I can picture my dad walking down the street to catch a ride to the construction site and me running outside and waving goodbye.

The memories of this daily ritual burn strong in my chest as I recall this simple time, that simple food, and those deep, enduring American values of family, hard work, and sacrifice.

Those are the principles that my parents instilled in me.

And those principles are the best heritage of our community. They are the values our nation reaffirms during Hispanic Heritage Month.

I'm telling you this story not because there's something so remarkable about my life, but because of how frankly unremarkable it has been in many ways. And that's what is so wonderful about this great country.

The story of America is a story of constant renewal and reaffirmation of our founding ideals and our enduring values of faith, family, and freedom. I have drawn on the strength of my heritage and the insights of my background to try to make America a better place for everyone.

Over the past 2 ½ years as attorney general, I have seen crimes involving dishonesty, corruption and depravity of types I never thought possible. I've seen things I didn't know man was capable of.

But I will tell you here and now that I am still hopeful. Because every time I see a glimmer of what the evil man can do, I see the defenders of liberty, truth, and justice who stand ready to fight it.

I see the courage of our soldiers, sailors, Marines, and airmen and I am hopeful, and so very proud. My time in public service has had its share of difficulties, but even more moments of inspiration. My trips to Iraq have been among them. Being part of a department that plays a vital role in stopping terrorists has been a humbling experience.

I have often said that my worst day in office was better than my father's best day. My work has not been easy, but it has been unbelievably rewarding. Because I knew that every day when I got up, I was being given a new opportunity to work for the American people.

When I first went into public service, I told my wife, Rebecca, it would only be for a couple of years. It's been longer than that, but I have truly enjoyed myself. And I left public service proud to know that other Hispanics will carry on the mantle of service.

My hopes, and those of many others with stories similar to mine, are reflected in those words of the founders of this nation more than two centuries ago: "We hold these truths to be self-evident, that all men are created equal, that they are endowed by their Creator with certain unalienable rights, that among these are life, liberty, and the pursuit of happiness."

Those words are a simple, clear expression of the American dream. I believe in that dream with all my heart. I have lived it in a way I never would have thought possible.

I am the son of a Mexican cotton picker and a construction worker who never finished grade school, and I served as the Attorney General of the United States. If anyone ever tries to tell you the American dream doesn't exist, or that you can't achieve it, I hope you'll prove them wrong. E-mail to a friend

@highlight

Hispanic community's values same as those that made U.S. great

@highlight

Gonzales rose to power from humble roots; father was Mexican cotton picker

@highlight

He says public service hasn't been easy but has been rewarding