A rigorous green certification system is recognizing the next phase of eco design, which its founders describe as "the world's greenest buildings."

Founded by Jason F. McLennan in 2006 through the Cascadia Green Building Council, the Living Building Challenge (LBC) is a green ratings system for design and construction that judges a building based on its actual performance, not just its projected performance at the design stage.

To date, it has recognized six buildings for their green credentials. Only three have been successful in meeting all its stringent requirements and consequently fully certified as "living."

"These are the world's greenest buildings," says McLennan. "It is a huge leap forward from conventional green construction. These buildings will never get an energy or water bill again."

Projects must be in operation for a minimum of 12 months before they become eligible to participate in the challenge and they can only achieve "living" status after fulfilling requirements in the categories of site, water, energy, health, materials, equity and beauty.

"It takes about 14-16 months to go through the certification process and we are a rigorous process so there are not that many buildings fully certified," says McLennan.

Read more: The greenest buildings of 2011

He adds: "The ones that are (certified) are game changers because they become more than a building. They create a whole community of changed people around them."

The International Living Future Institute, a non-profit that was created to take over running the LBC since its inception, hopes its guidelines will change current green construction philosophy and become as powerful as eco-building ratings system Leadership in Energy and Environmental Design, or LEED as it is better known. But unlike LBC, LEED does not certify new buildings based on measurements of their actual performance.

McLennan says: "You'd be surprised no green standards actually go and check if the project is fulfilling what they had planned to do. We knew in reality buildings typically don't perform the way they are intended so we wanted to rectify this and base our challenge on reality."

The LBC was created to encourage the creation of living buildings, sites and communities globally as well as educate people about the importance of going green. The non-profit has been working closely with projects and regulatory bodies to aid experimental green design construction.

Read more: Solar-powered 'supertrees' breathe life into Singapore's urban oasis

It has already been recognized as a credible contender in green building standards by winning global design competition The Buckminster Fuller Challenge earlier this month.

In the official statement, the jurors said the "Living Building Challenge successfully shows how humans and their built environment can be harmoniously, benignly integrated within ecosystems.

"Above all, its rigorous standards and daringly innovative, revolutionary approach to building are already having a considerable impact on the thinking of designers and architects around the world, influencing all levels of design and technological approaches, radically pushing forward the field."

Read more: 'Vertical farm' blossoms at meatpacking plant

McLennan seems somewhat surprised by the rapid recognition and success the LBC has had internationally. He says: "Without any international marketing budget, we've launched something bigger than ourselves. We have become a meme in a way -- an idea that develops its own legs and begins to travel."

Initially starting with projects in the United States and Canada, the green performance-based ratings system now has registered projects in Australia, France, Lebanon, Mexico, and New Zealand, amongst others, and interest from like-minded groups in Colombia, Ireland and Romania.

"We hope to be training certifiers in those countries," says McLennan. "In Australia, we have three projects that are underway. We are in discussions with many leading thinkers about ideas working to create the Australian institute.

"They would be the governing body for the Living Building project tied into a global network of ambassadors, collaboratives and institutes around the world for the transformation of society ... It's about changing the world and building a network of people."

@highlight

The Living Building Challenge is a performance-based green ratings system

@highlight

The International Living Future Institute also aims to educate people on sustainability

@highlight

Organizers hope to change people's attitudes to the environment