Boston (CNN) -- From her perch atop a church bell tower high above downtown Boston, Nancy Taylor watched as runners from all over the world trudged down Boylston Street for the final stretch of the city's 117th annual marathon.

"People often call it the 'Marathon Church,'" said Taylor, a senior minister and CEO of the Old South Church in Boston, pointing to the brush of blue and yellow paint that spell out the word "FINISH" in bold letters on Boylston Street's pavement outside.

The church's Colonial-era congregation -- which included Ben Franklin and the Americans who first gathered to plan the Boston Tea Party -- is part of the legacy of a city propped up by its past. The church reopened Monday as authorities removed the last remaining barricades to restore a semblance of normal life.

"There is no question that we are shaken," said Taylor. She doesn't think the city will be quite the same.

Many shops, restaurants and bars along Boylston Street have reopened since twin bombings at the marathon's finish line on April 15 killed three people and wounded more than 260 others.

A popular eatery called Forum, which sustained heavy damage, remains boarded up as workers in hazmat suits clean blood-stained floors and remove shattered glass windows.

Boston Magazine cover shows city's heart

Maura Guillet was sipping a mimosa with some friends at the Atlantic Fish Company when a fireball ignited outside her window.

"It was thunderous," she recalled. The restaurant, a Boylston Street fixture, remains closed as a result of the blast.

By most accounts, many in Boston seem to have come to terms what transpired, though a once-distant perception of terror has now become more personally felt in the days since the attack.

"There's a pause and a fear, but we're not going to be defeated by two punks," said Gerardo DeFaeritiis, whose shoe store reopened Monday after being part of a crime scene for the past week.

"Like everything else, time is the best medicine."

Cleaning crews continue to mop up the remnants of glass and scattered debris, while painters splash green paint onto wrought iron gates and wooden moldings atop store fronts, blackened in last week's attack.

Dolly Lakkis, who owns an eyeglass store on Bolyston Street, said that returning to work brought an eeriness accompanied by sadness. A floral memorial sits directly outside her window, where passersby come to pay their respects.

She catches herself staring at it when work is slow.

After Boston: The pros and cons of surveillance cameras

"We're ready to get back to normal," she said. "We're not going to sit back and take it."

Tough talk is commonplace here, as hardy New Englanders appear to be keen to move on.

That sense of resiliency also seems inextricable from the city's history. Even younger residents drop off-the-cuff references to figures like Paul Revere in their casual bar-room banter.

Here, Samuel Adams isn't just the name of a popular beer.

"This is not a young city," Nancy Taylor said. "We've been tried and tested over centuries. We've been through wars. We've been through witch trials. So it's not as if we haven't seen horror before."

Her stone church looms almost directly over the marathon finish line, where its 19th-century spire is a welcome sight to runners, signaling their 26.2-mile trek is nearly over.

Up until last week, the church had been shuttered only once in its history, which dates back to America's first European settlers.

"We were taken over by the British, who were a little upset with us because we dumped their tea," said Taylor, describing the only other time the church formally closed in 1775.

After last week's terror attacks, police barricaded Boylston Street and made Taylor's church grounds part of the crime scene.

In runners' tent and ER, a rush to save lives, and limbs

From her vantage point view atop the church's 246-foot campanile, she witnessed the clouds of smoke and debris that filled Boylston Street after the blasts.

"One of most extraordinary things was watching people down on the ground sorting themselves out," she said. "Some people were running literally towards the danger to help people out.

"The courage I was witnessed from 246 feet up was amazing."

Now, residents who were directly and indirectly affected by the attack are returning to Old South Church looking for ways to cope with their trauma.

"I came today to pay my respects after picking up my medal," said Lauren Tourgee, a runner whose race was cut short by the attacks. "This is a place that's usually filled with happiness, especially on Marathon Monday."

Tom Ralston said he planned to return later in the week; it will be the first time that he will have seen the familiar downtown street since the second explosion ruptured his eardrums and left shrapnel buried deep in his hand.

"I don't know what to expect," said the longtime member of the Old South Church. "I have nightmares. I have flashbacks."

Since the attacks, Ralston has sought counseling like many Bostonians.

"Talking with friends, and others like Nancy, are making me understand that the only way you're going to get through some of the worst parts of this is by talking," he said. "I think I've got a lot more talking to do."

But for the moment, a lingering trauma has left him still wary of public places.

"I actually turned down four wonderful Red Sox tickets for Saturday night because I'm not sure that I'm ready for an open-air crowd just yet," he said. "I'd have no idea who's sitting next to me or behind me."

After visiting Fenway Park "hundreds of times before," he's just going to wait.

"If you think about Boylston Street -- if it can happen there, it can happen absolutely anywhere," he said.

@highlight

Minister Nancy Taylor watched from a bell tower as the Boston terror attack unfolded

@highlight

Her Old South Church is right next to the marathon's finish line

@highlight

The church, like nearby Boylston Street shops, has since reopened

@highlight

It's a sign Boston is returning to normal, but some people still are anxious