The Sydney siege has brought home some troubling truths to Australians. They are not immune to the upheavals in the Middle East, despite being on the other side of the world. They are as vulnerable as Canadians or Europeans to what are often called "lone-wolf" terror attacks. And recently-introduced anti-terror laws, while some of the toughest in the world, can only do so much.

Radicalized Australians have been drawn to ISIS for many months, as well as to al Qaeda's affiliate in Syria, Jabhat al-Nusra. Intelligence estimates put the number of Australians fighting with militant groups in the region at between 60 and 100. And long before Syria and Iraq became the jihadists' destinations of choice, Australians were among foreign militants converging on Yemen, Somalia and Pakistan.

Besides those who leave Australia, there has been growing concern about networks which facilitate travel and raise money, raising the risk of attacks on the homeland.

The Australian Security Intelligence Organization (ASIO) estimates that around 100 people support jihadist groups in Syria and Iraq, providing money or assisting with travel, for example.

In July, when he was Director-General of ASIO, David Irvine told Australia's National Press Club: "We have been long, in my time, monitoring a small number of Muslim Australians who support violent extremism and who frequently express the aspiration of conducting terrorist attacks in Australia."

High alert

The Australian government raised the national terrorism alert to "high" in September, and an estimated 800 police officers were involved in a series of raids on addresses in the Sydney area.  During those raids, a 22 year old named Omarjan Azari was arrested and later charged with plotting to behead members of the public. His lawyer has asserted Azari's innocence.

Azari has since been charged with helping to fund travel for would-be jihadists to Syria and Iraq, along with another man arrested Monday.

GALLERY: How Sydney siege unfolded

Prosecutors allege that Azari had spoken by phone with a prominent figure in ISIS -- Mohammed Ali Baryalei. Baryalei's family emigrated to Australia from Afghanistan in the early 1980s.  As a young man, Baryalei was a nightclub doorman in Sydney's red-light district and no stranger to drugs and alcohol. But then in 2009 came an epiphany: He rediscovered his religion.

Whether he was influenced by others or self-radicalized is unclear, but his path to militancy was rapid and dramatic. Baryalei left Australia, and after spending some time with Jabhat al-Nusra, he joined ISIS and tried to get associates back home to carry out attacks, according to the federal police. Unconfirmed reports suggest he may have been killed in October, though senior Australian officials say they have no confirmation that he is dead.

Another prominent Australian in jihadist groups is Abu Sulayman, who used to be a preacher in Sydney. Now he is a senior figure within al Qaeda affiliate, Jabhat al-Nusra.

ISIS has encouraged followers and sympathizers to carry out attacks in their homelands. In September, the public face of the group -- Abu Mohammed al Adnani -- urged followers to kill "in any manner" citizens of countries who were part of the coalition against ISIS, including a "disbelieving American or European -- especially the spiteful and filthy French -- or an Australian, or a Canadian ..."

Solo attacks

Both ISIS and al Qaeda have urged followers in the West to carry out low-tech, solo attacks involving hostage-taking and the use of guns, as large-scale operations have become increasingly difficult to organize and execute. Al Qaeda in particular has repeatedly called on sympathizers to carry out "do-it-yourself" attacks. (The Boston marathon bombers used a "recipe" from an online al Qaeda publication to build their devices.)

Besides the case against Azari, there have been other indications that the Australian homeland is not immune to acts of terror. In September, 18-year-old Numan Haider was shot dead by police after he repeatedly stabbed two police officers. His passport had recently been confiscated because of his alleged intention to travel to Syria or Iraq.

Some of the Australians who made the journey to Iraq and Syria have been killed. At least one became a suicide bomber. ISIS said in June that "Abu Bakr al-Australi" had carried out a suicide bombing in Baghdad, killing himself and five others. He was later identified as an 18-year-old from Melbourne.

Among those reputedly recruited by Baryalei were a young couple from Brisbane, Amira Karroum and Tyler Casey, who were later killed in Aleppo in the midst of a battle between rival jihadist groups.

Her family described Karroum as a normal teenager who had gone to nightclubs and studied graphic design. She had then fallen under the sway of the Street Dawah movement -- a radical Muslim preaching group in Sydney -- and a cousin involved in Street Dawah had arranged her marriage to Tyler Casey, who by then had already spent time in Yemen. The cousin later financed her travel -- via Denmark -- to the Middle East.

In an interview with the Australian Broadcasting Corporation, Karroum's father Mohammed said his daughter "came and saw me before she left. I didn't know she was leaving, and she hugged me and she started to cry."

The jihadist pipeline from Australia to the region has gradually become more sophisticated, according to Andrew Zammit, who follows jihadist activity among Australians.

"Many of the Australian fighters prior to November 2013 appeared to be entering Syria with few pre-existing connections to armed groups, but since then two alleged recruitment networks have been uncovered," Zammit wrote in September's Sentinel, published by the Combating Terrorism Center at West Point.

In June this year, a 17-year-old Australian of Lebanese origin named Abdullah Elmir vanished from his family's home in a quiet suburb of Sydney. He told his mother he was going on a fishing trip.  Four months later, he fronted an ISIS video, in which he threatened Australian Prime Minister Tony Abbott. Dressed in military-style fatigues and holding a rifle, Elmir said: "We will not put down our weapons until we reach your lands, until we take the head of every tyrant and until the black flag is flying high in every single land."

Anti-ISIS coalition

Australia has contributed military support to the anti-ISIS coalition, and the government has been well aware of the threat of retaliation. It has massively beefed up funding for security and intelligence and enacted tough new anti-terrorism laws that include greater surveillance and search powers, as well as "control orders" that allow detention without charge in some terrorism-related cases.

It is also now a criminal offense for Australians to travel to the province of Raqqa in Syria, the heartland of ISIS. Foreign Minister Julie Bishop says the passports of 75 Australians have been canceled this year.

But for the intelligence services, detecting plans by would-be "lone wolf" attackers remains an immense challenge. The United Kingdom, Belgium and Canada have all seen such attacks.

In the Canadian case, the attacker had also been denied a passport.

As David Irvine, then head of ASIO, put it in July: "A recurring nightmare -- for me, anyway -- has been the so-called lone wolf, often radicalized over the internet and who has managed to avoid coming across our radar."

In the past two years, he said the situation in Syria and Iraq had radically complicated the threat, "adding energy and allure to the extremist Islamic narrative," especially with the declaration of a Caliphate.

Australia now appears to have joined the long list of countries that have seen that threat translated into reality.

@highlight

Australia is not immune to the upheavals in the Middle East, writes CNN's Tim Lister

@highlight

ASIO: Around 100 Australians support jihadist groups

@highlight

The jihadist pipeline from Australia to the region has become more sophisticated

@highlight

Australia has also contributed military support to the anti-ISIS coalition