(CNN) -- He refers to himself as the industry's last remaining dinosaur, but Adrian Newey is the pioneering Formula One engineer who can consistently claim to be ahead of the curve.

The 53-year-old's designs have delivered a total of 10 world titles, spread across three different constructors, putting the Briton in a class of his own.

After successful spells with Williams and McLaren, Newey is now chief technical officer at Red Bull, where he produced the cars that swept Sebastian Vettel to back-to-back championships in 2011 and 2012 alongside double manufacturers' crowns.

He can also count legends of the sport such as Nigel Mansell, Alain Prost, Damon Hill, Jacques Villeneuve and Mika Hakkinen as those who have triumphed under his hand since he started working in motor racing in 1980.

CNN World Sport sat down with Newey at Red Bull's UK base to quiz him on his designs, his method of working and why he still prefers drawing by hand.

How do you stay ahead of the curve every season?

The design job is part iteration and part blue sky/light bulb-type thing. So if regulations are stable, quite often it's evolution in the Darwinian sense of the word, but occasionally we'll come up with a new idea which is not a derivation of what we've been doing, it's coming from left field.

So it's really about trying to get that blend of evolution and revolution.

Where do you get your "light bulb" moments?

They can come from anywhere. I quite often find that if I think about a problem for a while, store it, walk away and do something else ... the brain is an amazing thing. It seems to tick away on a problem.

Sometimes the solution will pop up in the shower the next day, the next week. I'm sure we all have different ways of working and I'm obviously not the only person coming up with ideas. It's a big engineering company now.

The rules change every season. Do you relish it as a challenge or is it a headache?

I enjoy regulation changes if they give new opportunities. The big changes we had at the start of 2009 gave all sorts of new opportunities; different ways to approach things, don't simply do things the way we've always done and really try to think what are we trying to achieve here, what is the best solution or set of solutions to suit new regulations.

What I don't enjoy so much is when the regulations simply become more restrictive, when things that we're doing become banned. I think the danger there is that if the regulations become excessively restrictive, then all the cars will be the same and it will effectively be a runway chassis format.

You are well known for your low-tech approach to what is ultimately a very high-tech product -- you draw a lot of your designs. How do you reconcile that?

In terms of communicating my ideas and developing my ideas, I work on a drawing board -- as opposed to all my colleagues now, who are obviously on computer-aided design (CAD) systems. I guess I'm the last dinosaur in the industry.

I view it simply as a language. It's the way of taking an idea in the head -- typically I'll take an idea, sketch it on a bit of paper and then develop it on the drawing board. Now, of course, as everything has to go onto the CAD system, I'm lucky enough to have a team of two or three people who take my drawings and convert them into electronic images.

But whether you use a drawing board or go straight to the CAD I think it's really a personal preference. That's the way I grew up and I'm afraid I'm getting a bit too much of a creature of habit to change.

Have you ever been forced to try the newer design technology?

When CAD first came in during the early 1990s, then various people -- particularly when I was at Williams -- said I ought to really be changing. Perhaps at that time when I was still in my 30s, I should have done.

But I like the freedom of drawing, the fact that you can sketch very easily, you can rub out, you can change, you can freehand. When I watch people on the CAD system now, that's still a weakness to me of the CAD system -- the freehand ability and the ability to change things very quickly and easily with a rubber is not there.

What are the things that you are most proud of?

Certainly the first Formula One cars -- I was involved in the Leyton House/March team from 1988. We were a very small team. It was only two aerodynamicists I think, including myself, on the car.

The total engineering team was five or six people. We were stuck with an abnormally aspirated engine which had far less power than the turbocharged engines of the era. So we set out to build an as aerodynamically-efficient car as we could.

That car I think genuinely changed the direction of F1 at the time. The cars had become quite big and clumsy and our little March was, despite being well done on power, was able to get ahead of McLaren and Ferrari and Williams, just by being aerodynamically efficient. Of course other people recognized that and over the coming years increasingly cars became a clone of the 1988 car.

Which of your innovations do you think have stood the test of time?

Certainly my route has always been to try to put aerodynamics first and foremost in the design of the car because that's the biggest performance differentiator.

And that really is something now that is generally accepted -- everybody does that. But in the 1980s when I first started that wasn't the norm. People tended to design the car mechanically first and foremost, and then the aerodynamicist was given the job of trying to fit the bodywork to it.

I think that philosophy is still in good stead. It's trying to recognize where do you get the biggest bang for your buck in terms of performance and then design accordingly.

Can you talk through the process from design to the road?

You have a set of regulations, you then do the layout of the car, which obviously satisfies the regulations initially perhaps first and foremost, and then try to look for opportunities and try to develop ideas around that.

Once you have an aerodynamic concept together, that has to be transferred to a mechanical package that will physically transmit the aerodynamics to the road, the suspension, to hold all the vital things to drive with; the fuel, the engine.

So typically we have to work to league time schedules and the longest league time is the chassis itself -- what we call the monocoque, which holds the front suspension, contains the driver and contains the fuel tank.

To the back of that is bolted the engine, which we are supplied by Renault. So we are not involved in the engine, other than how we install it in the car.

Then the other long league up item is the gearbox, which we do ourselves. It's a carbon composite case. So the monocoque and the carbon gear box case are the things we have to first get out as a piece of design.

Their shapes need to at least be designed by late August, early September to meet the league times necessary for the following year. Then once you have those big two items out, you go through and tick off the list of remaining items: suspension upright, suspension so on and so forth.

Do the legacy of your designs and innovation go beyond F1?

When I first started teams typically had five engineers or less, so there was very little research capability. It was purely a design job to design the car almost with the least amount of effort you could, as you just didn't have the resource.

Today the top Formula One teams will have over 100 engineers, maybe as much as 130. So we have a tremendous research capability.

That has meant that instead of it almost being something that general engineering took no notice of, we are now able to contribute to engineering developments in the same way as aerospace and automotives.

We will typically go from a blank sheet of paper to a complete in a space of around six months, and that's something which the aeronautical sector in particular is fascinated by because they have league times which are more like 10 years. So we borrow off them and in some areas they borrow off us now.

When you get up in the morning, what's main thing driving you?

I just enjoy the job. I enjoy the blend of design engineering, working with my fellow engineers, my colleagues here at Red Bull, working with the drivers, working with the mechanics and that blend of design and competition that we're out there every couple of weeks being measured on how we're doing -- which if it's going well it's great, and if it's going poorly it's a lot of pressure.

What is so fascinating about motor racing is that blend of design and competition, and it really doesn't exist anywhere else. Yes of course there is technology in bicycles, tennis rackets and whatever but the budgets and the research are much smaller. We get to play with quite a grownup budget and we can get involved in lots of areas as a result of that.

What's more important -- the driver or the car?

The answer is you have to have the combination. There are three principle things: the driver; the chassis, or the car less the engine; and the engine itself.

The main performance differentiator on the chassis is the aerodynamics. So to win races you've got to have a good driver, good aerodynamics and a good engine. If you don't have that combination you might win the odd race but you certainly won't win championships.

@highlight

Designer Adrian Newey has delivered 10 Formula One world championship titles

@highlight

Briton has worked with Williams, McLaren and now defending champions Red Bull

@highlight

He says solutions to technical problems often "pop up in the shower"

@highlight

Newey says F1's constant rule changes provide him with new opportunities