American journalist Steven Sotloff began his last journey into Syria with a surprise gift for his fixer, Yosef Abobaker. It was a small camera.

"Happy birthday!" Sotloff told his guide, whom Sotloff had befriended a year earlier by interviewing Abobaker's father about the Syrian civil war.

Then came the real surprise for the two men: about 15 masked ISIS gunmen jumped out of three cars and took them captive, beginning a dark tale that eventually led to Abobaker's release, but ended in Sotloff's beheading.

In an interview with CNN this week, Abobaker provided a detailed account of how he, Sotloff and three armed guards were abducted in Syria by ISIS fighters in August 2013, but since then, never once did U.S. officials try to interview Abobaker about his first-hand experience with ISIS and its captivity of Sotloff.

"No, nobody tried to contact me and I tried to help. Nobody come to me and ask me any questions from the (U.S.) government.... Nobody contact me or ask me about their conditions," Abobaker said in occasionally broken English. "And they can find me. It's easy. But, no, nobody tried to contact me."

A Sotloff family representative who kept contact with Abobaker before and after his captivity reiterated the claims, saying U.S. government or security agencies -- who were made aware of the fixer and his connection to Sotloff -- never talked to Abobaker.

"That was one of many mistakes," Sotloff family spokesman Barak Barfi told CNN. He declined to comment further.

Abobaker's assertions that his abductors were ISIS fighters couldn't be independently verified by CNN.

FBI officials declined to comment directly on the accusations by Abobaker and Barfi, but asserted they are investigating the Sotloff case.

"The FBI is actively investigating the savage murder of Steven Sotloff at the hands of terrorists and will not discuss investigative details at this time. We are committed to bringing the murderers of Steven Sotloff to justice," said FBI spokesman Paul Bresson.

ISIS' killing of Sotloff shocked the world because it was the second of three videotaped beheadings of Westerners by ISIS since last month. The first was another U.S. journalist, James Foley, last month. Then Sotloff this month. And then British aid worker David Haines, this week.

A survivor's torment

Since Sotloff's decapitation, Abobaker has agonized over the fate of his journalist-friend and the fortune of his own release, as well as that of his brother and two cousins who went along as armed guards.

"I was very angry, and after that I calmed down and was so, so sorry," Abobaker said in an interview conducted in Turkey. "I put message on Facebook (to) tell his mother I am so sorry.... I did my best to save him.... My feeling is so sorry, like I lost my brother.

"He was nice man and good heart I just wish he can rest in peace now," Abobaker added.

Abobaker blamed a guard on the Turkey-Syria border for possibly betraying Sotloff's whereabouts to an ISIS contact. CNN contacted other journalists who worked with Abobaker, and they said he was an established fixer with a good reputation.

"I think maybe one guard from the border, they call him on the radio, and he said he's moved from here, you can wait for him: He has this kind of car," Abobaker said. Conscious of security, he didn't use his car that day and instead borrowed one, he said

Their harrowing abduction by ISIS occurred just 20 minutes after Sotloff, Abobaker and his relatives as aides entered Syria, on August 4, 2013, Abobaker said.

How it began

The moment the journalistic team entered Syria, Abobaker called Barfi to confirm the group was inside Syria.

Barfi was staying in a hotel in Turkey. When asked why he didn't travel with Sotloff into Syria, Barfi told CNN that "I cannot go into details about that."

This trip wasn't the first time that Abobaker worked as a journalistic "fixer" -- or a jack-of-all-trades guide who does translations and arranges interviews. He had 18 months of experience working with at least 100 other journalists, and he was charging Sotloff about $80 a day, he said.

Abobaker had also been a rebel fighting for four or five months in Syria with the Tawheed brigade, a moderate Islamist faction. He even got married in his combat fatigues in Aleppo, with comrades firing their weapons in celebration, in February 2013. That was six months before his ill-fated encounter with ISIS.

When the masked ISIS gunmen confronted Abobaker and his charges, Abobaker pulled out his gun, but he saw he was vastly outnumbered.

"We were four people, and they are 15," Abobaker said. "We don't have any chance to defend (ourselves)."

How many more Western captives is ISIS holding?

Knowing all the roads

The ISIS gunmen took Sotloff and his retinue to a textile factory on the outskirts of Aleppo, and that was the last time Abobaker saw Sotloff. The captives were told to close their eyes, and one captor hit Sotloff with a gun and told him don't look, Abobaker said.

"I know all the roads. I know if they turn 500 meters, they turn left, they turn right...," Abobaker said.

The captives were held individually in separate rooms, and Abobaker overheard one captor asked Sotloff for his passport, Abobaker said.

At first, Abobaker didn't know who the abductors were because they had accents from Morocco, Libya and Algeria, he said.

As days passed, he wondered whether he would survive the Islamic extremists waging war in Syria and northeastern Iraq in a quest to create a caliphate.

"Sometimes I say they will kill us all because I work with people from outside," Abobaker said.

After 15 days of captivity, Abobaker, his brother and their cousins were freed by their abductors.

"They ask me, do you know who we are, and I said, yes, I think you are ISIS," Abobaker said. "And they said, yes, we should kill you. You are spy and work with America and CIA and FBI, but we leave you now because you work with (Tawheed), because I have papers.... But if we hear you work with journalist again, we will kill you for sure."

Sotloff's family believes ISIS paid as much as $50,000 to rebels who alerted the militant group that the journalist had entered Syria, Barfi said.

Sotloff's family accuses ISIS leader of violating Islam with execution

Apprising Sotloff's family

Once liberated, Abobaker met Barfi several times to give him details about the abduction, Abobaker said.

Later, Abobaker often traveled between Turkey and Syria, and he sometimes asked other former captives of ISIS "if they know information about any journalist," Abobaker said.

"I go back inside (Syria), and I try to make information," he added.

In fact, Abobaker heard one account that Sotloff was moved from the textile factory to an industrial center, also outside Aleppo, he said.

He then heard another unsubstantiated account that Sotloff was moved again, this time to the ISIS stronghold of Raqqa, he said.

A year passed, and then Abobaker finally saw the news on the Internet.

Sotloff -- the journalist and one-time bearer of a birthday gift -- was barbarically killed by an ISIS executioner masked in black.

"I send message to world to say it's not really Islam," Sotloff said of the ISIS killing. "They are liar. I say that to all the people. They are not Muslims."

Abobaker says he has now moved all of his family from Syria to Turkey. Two months ago, he became a father for the first time.

Sotloff has final word at his memorial service

@highlight

Sotloff fixer Yosef Abobaker says U.S. officials never interviewed him about ISIS

@highlight

FBI says it "is actively investigating the savage murder of Steven Sotloff"

@highlight

Abobaker says masked ISIS gunmen outnumbered him, Sotloff, three armed guards

@highlight

Abobaker believes a border guard informed ISIS about Sotloff's location