(CNN) -- As the days drag on, tempers understandably begin to fray. For the relatives of those lost on Malaysia Airlines Flight 370, frustrations mounted as criticism of the airline's handling of the crisis piles up.

Those who have congregated in the Lido Hotel in Beijing, wearily trudging back time and again to official airline briefings where news trickles out, if at all, feel that not enough is being done to support relatives.

On Thursday, news that might be the break that the families are waiting for was broadcast from the Southern search zone.

As Australian Prime Minister Tony Abbott briefed the Australian parliament that "new and credible" information had come to light that objects possibly from MH370 may have been spotted by satellites, relatives waiting in the Lido hotel filed into a conference room where a large TV was showing Chinese news.

The mood was tense as they watched Abbott report the new findings, giving hope that the wait for definitive news might soon be over. An audible, heavy sigh punctuated the attentive atmosphere, giving voice to the frustrations that the families are enduring.

Frustration of relatives boils over

Health concerns

A day earlier, tensions had been rising at the hotel in a room where briefings to update the relatives were held. Stress, a lack of sleep and -- in some cases -- old age are conspiring against those camped out in Beijing hotels, and health levels are wearing as thin as tempers.

Several family members CNN talked to said they cannot sleep due to the anxious wait, and are getting sick.

They bemoan the limited medical support that the airline is offering.

"Do you know how many family members got sick already here while waiting for the updates on the plane?" a relative asked angrily at Wednesday's briefing. "How exactly are you going to take care of these sick people?"

A Malaysia Airlines representative conceded that out of the 465 registered family members in Beijing, there are a number of cases of families reporting ill-health.

Families from across China have come to the capital to be close at hand for any news of their loved ones, but have been placed in hotels far from the city center. An elderly man said at the briefing that he doesn't know where to find hospitals from his hotel and he feels dizzy.

Beleaguered airline reps have pledged to make an effort to improve the situation. "We might have flaws in our action here (accommodating the families), but our intention is definitely to take good care of them," a manager of Malaysia Airline's Asia Pacific Region told the briefing.

Hotel a grim backdrop as relatives cling to hope

Lack of Malaysian government engagement

The victims' families also feel that they are not being given due attention by the Malaysian government.

"Why there are still no Malaysian government representatives willing to meet with us family members? Why?" another man at a briefing Wednesday asked. "Does the Malaysian ambassador really care about the feelings of the family members here? We are very disappointed."

Deeply disappointed by the lack of support and information, and frustrated by a lack of Malaysian government presence in Beijing, some family members are setting up a "Passengers' Relatives Self-help Committee," and are inviting each family to bring one representative forward and will then vote on what to do next.

When Malaysian officials finally arrived Friday morning, they greeted the families with a presentation on the flight route. Around 400 to 500 relatives attended, but this contact comes a full two weeks after plane went missing. Perhaps surprisingly, the assembled relatives listened to the already-known news calmly and quietly.

Legal uncertainty

The limbo the families find themselves in is creating uncertainty about their rights and eligibility for compensation, with relatives taking the desperate step of asking the airline for advice on their legal standing.

"Right now, there are just two options, one is the passengers are alive, the other is that they are dead," one woman said at a briefing Tuesday. "As an airline, you need to explain to all of us here what rules and conditions apply in either of these cases for us family members here, and what rights do we have in either cases. You have the responsibility to inform us that."

A "special consolation payment" of 31,000 yuan -- around $5,000 -- has been paid out to relatives of passengers and crew, China's official state media reported. The airline's CEO said Sunday that only "immediate financial assistance" was so far being given to the families.

Lawyers say that this payment will not affect future claims for compensation.

"The $5,000 comfort money ... was made according to Provisions on the Emergency Response and Family Assistance Relating to Civil Aircraft Flight Accidents, and should not be considered as part of the compensation," Zhang Qihuai, a legal expert specializing in aviation, told CNN.

"We reserve our legal rights to sue," one relative told CNN. "What they've done so far is so unpopular. At least no one in China is saying anything good about them. We have to definitely practice our own rights."

In any case, the unknown status of the aircraft and its passengers mean that it would be difficult, if not impossible, to claim compensation at this moment.

"It is not the right time to sue for compensation, because Malaysia Airlines has not come to conclusion that the airline was crashed or all passengers died. So it is impossible to file the case in court in China," Liu Xiaoyuan, a human rights lawyer, said.

A prominent U.S. aviation lawyer, Floyd Wisner, told Australian media that the airline could face damage claims of "half a billion dollars, or more."

Keeping faith

Despite the increasing likelihood that the wait is in vain, it's hard for these families, brought together through tragedy, to let go.

There's a message board and a heart-shaped candlelight vigil set up inside the hotel's conference hall, where daily family briefings are held. The messages are plaintive, and deeply personal.

"Little Ling, why don't you call home?" one reads. "Mom and dad are waiting for you. The whole family's waiting for you."

LIVE: Latest updates on the missing Malaysia Airlines jetliner

Difficulties may hamper Flight 370 search

Snapshots of Malaysia Airlines Flight 370 passengers

Passenger's partner says she's certain her soul mate is alive

CNN's Serena Dong, Andi Wang and Cherrie Zhang in Beijing contributed to this report.

@highlight

NEW: Relatives in Beijing watch Australian PM's announcement about possible plane debris

@highlight

Health concerns rise as stress and lack of sleep take their toll on family members

@highlight

Some awaiting news of loved ones unsure of their legal rights

@highlight

Compensation issue far from resolved