Editor's note: Ron Paul is a Republican congressman from Texas who ran for his party's nomination for president this year. He is a doctor who specializes in obstetrics/gynecology and says he has delivered more than 4,000 babies. He served in Congress in the late 1970s and early 1980s and was elected again to Congress in 1996. Rep. Paul serves on the House Financial Services Committee.

Rep. Ron Paul says the government's solution to the crisis is the same as the cause of it -- too much government.

(CNN) -- Many Americans today are asking themselves how the economy got to be in such a bad spot.

For years they thought the economy was booming, growth was up, job numbers and productivity were increasing. Yet now we find ourselves in what is shaping up to be one of the most severe economic downturns since the Great Depression.

Unfortunately, the government's preferred solution to the crisis is the very thing that got us into this mess in the first place: government intervention.

Ever since the 1930s, the federal government has involved itself deeply in housing policy and developed numerous programs to encourage homebuilding and homeownership.

Government-sponsored enterprises Fannie Mae and Freddie Mac were able to obtain a monopoly position in the mortgage market, especially the mortgage-backed securities market, because of the advantages bestowed upon them by the federal government.   Laws passed by Congress such as the Community Reinvestment Act required banks to make loans to previously underserved segments of their communities, thus forcing banks to lend to people who normally would be rejected as bad credit risks.

These governmental measures, combined with the Federal Reserve's loose monetary policy, led to an unsustainable housing boom. The key measure by which the Fed caused this boom was through the manipulation of interest rates, and the open market operations that accompany this lowering.

When interest rates are lowered to below what the market rate would normally be, as the Federal Reserve has done numerous times throughout this decade, it becomes much cheaper to borrow money. Longer-term and more capital-intensive projects, projects that would be unprofitable at a high interest rate, suddenly become profitable.

Because the boom comes about from an increase in the supply of money and not from demand from consumers, the result is malinvestment, a misallocation of resources into sectors in which there is insufficient demand.

In this case, this manifested itself in overbuilding in real estate. When builders realize they have overbuilt and have too many houses to sell, too many apartments to rent, or too much commercial real estate to lease, they seek to recoup as much of their money as possible, even if it means lowering prices drastically.

This lowering of prices brings the economy back into balance, equalizing supply and demand. This economic adjustment means, however that there are some winners -- in this case, those who can again find affordable housing without the need for creative mortgage products, and some losers -- builders and other sectors connected to real estate that suffer setbacks.

The government doesn't like this, however, and undertakes measures to keep prices artificially inflated. This was why the Great Depression was as long and drawn out in this country as it was.

I am afraid that policymakers today have not learned the lesson that prices must adjust to economic reality. The bailout of Fannie and Freddie, the purchase of AIG, and the latest multi-hundred billion dollar Treasury scheme all have one thing in common: They seek to prevent the liquidation of bad debt and worthless assets at market prices, and instead try to prop up those markets and keep those assets trading at prices far in excess of what any buyer would be willing to pay.

Additionally, the government's actions encourage moral hazard of the worst sort. Now that the precedent has been set, the likelihood of financial institutions to engage in riskier investment schemes is increased, because they now know that an investment position so overextended as to threaten the stability of the financial system will result in a government bailout and purchase of worthless, illiquid assets.

Using trillions of dollars of taxpayer money to purchase illusory short-term security, the government is actually ensuring even greater instability in the financial system in the long term.

The solution to the problem is to end government meddling in the market. Government intervention leads to distortions in the market, and government reacts to each distortion by enacting new laws and regulations, which create their own distortions, and so on ad infinitum.

It is time this process is put to an end. But the government cannot just sit back idly and let the bust occur. It must actively roll back stifling laws and regulations that allowed the boom to form in the first place.

The government must divorce itself of the albatross of Fannie and Freddie, balance and drastically decrease the size of the federal budget, and reduce onerous regulations on banks and credit unions that lead to structural rigidity in the financial sector.

Until the big-government apologists realize the error of their ways, and until vocal free-market advocates act in a manner which buttresses their rhetoric, I am afraid we are headed for a rough ride.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Ron Paul: Too much government meddling in economy caused crisis

@highlight

Paul says the bailouts are another case of excessive intervention in economy

@highlight

The government isn't letting the market adjust prices to lower levels, Paul says

@highlight

Paul: Bailout will only increase financial instability in the long run