(CNN) -- When Tahani Hamdan booked her trip to the Middle East, the 25-year-old was excited to celebrate the holy month of Ramadan with her family for the first time.

Born and raised in Houston, Hamdan normally feels safe making the trip to the Middle East. But the recent violence has made the Palestinian-American fearful for her safety, even though she's visited several times.

"I feel like I'm putting my life in jeopardy by going," she said.

Hamdan left Houston on July 19, and after two days of flight delays, she arrived in Jordan and drove into the West Bank, where she's staying. She said she wishes she could have postponed her trip, but she doesn't know when she'll see her family again.

"I have multiple sclerosis as well as rheumatoid arthritis, so I don't know if I'll be physically able to visit again if I don't go this summer," Hamdan said.

The violent conflict between Israel and Palestinian militants has intensified this month after the June killings of three Israeli teenagers and a Palestinian teen. The conflict has made for tense and scary times for Israelis and Palestinians, with rocket attacks and airstrikes occurring daily.

On July 16, an Israeli strike killed four children playing on a Gaza beach. After a temporary cease-fire, the situation escalated further the next night when a ground operation started with Israeli tanks entering Gaza. Over the weekend, the fighting continued to intensify, with the increasing death toll of Palestinian militants, Israeli soldiers and civilians from both sides.

Some travelers are questioning their safety and reevaluating their scheduled trips, but others remain committed to going.

Israel warns it may further expand Gaza operation

Jennifer Tapiero has waited her whole life to visit Israel, and the 25-year-old talk radio host finally was about to embark on July 13.

Her plans changed that day, when family members in Tel Aviv and Jerusalem called and told Tapiero and her sister not to come. With increasing rocket strikes, they didn't believe the women would be safe there, even though they were traveling with an experienced tour group.

"We canceled right before the plane was supposed to take off," said Tapiero, a Los Angeles resident. "Our family was so worried for us."

While Tapiero is deeply saddened by the events of the past few days, she's also glad she didn't go, knowing that her safety couldn't be guaranteed.

Delta Air Lines, American Airlines and United Airlines responded to the increased violence last week, waiving fees to reschedule certain flights to Tel Aviv.

More than the 3.5 million people visited Israel in 2013, a record, according to the country's Central Bureau of Statistics (PDF). Before the recent violence, the bureau reported a record 1.4 million visitors for the first half of 2014, but the latest outbreak is expected to affect the numbers.

Anywhere from 15% to 25% of vacationers cut their stays short because of the violence as of Tuesday, when CNN spoke with Yossi Fatael, managing director of the Israel Tourist and Travel Agents Association. Fatael said that about 25% of travelers were canceling upcoming trips.

Even if the conflict eases over the next few days, Fatael expects to see summer bookings down about 30%. He predicts that it will take several months for the country's travel industry to recover.

With a trip scheduled for September, would-be first-time visitor Eli Arias of Los Angeles feels unsure about his travel plans. Although he was aware of the tension in the area when he booked his trip two months ago, he didn't think the violence would escalate to this point.

He was planning to travel alone, and his family in the United States has expressed concern over his going. At this point, he's undecided about the trip but knows he still wants to "experience this beautiful country."

What makes Jerusalem so sacred?

Taglit-Birthright Israel, a group that provides free educational trips to Israel for Jewish teens, said that at the beginning of the crisis, it was seeing 5% to 10% daily cancellations. That percentage had increased this week, but there's been no further increase since Thursday's events. However, the group doesn't think it will affect travelers once the conflict dies down.

"It's only natural to expect a small drop in arrival at such times," said Taglit-Birthright CEO Gidi Mark.

On Monday, the U.S. State Department updated its February travel warning for Israel, the West Bank and Gaza, recommending that travelers postpone all nonessential travel to the Israel and the West Bank. The warning also urges citizens to avoid all travel to Gaza, saying it is "under the control of Hamas, a foreign terrorist organization."

In the United Kingdom, the Foreign and Commonwealth Office is advising against all travel to Gaza and said it was unable to offer consular assistance to citizens heading to the region. The office also recommended avoiding nonessential travel to areas of Israel within 25 miles of the Gaza border. (That would not include Tel Aviv and Jerusalem.)

The Australian and Canadian governments have also issued alerts advising against travel to Gaza.

The violence isn't enough to dissuade some travelers.

Eboni Johnson of New Orleans has planned a pilgrimage to the Holy Land in November, and she still plans to go with a religious tour group.

For Johnson, it's not just a vacation. It's a spiritual awakening in which she'll experience the places she reads about every day in the Bible.

"I truly believe Israel is chosen and special to God," Johnson said. "I'm not concerned about what is going on, because I trust that God would keep me from all harm."

For Larry Ritter, president of New Jersey-based Israel Tour Connection, the impact has been mixed.

"We had tour groups there when the violence broke out last week," said Ritter, whose travel company offers religious and general tours of Israel. "They all stayed until the end of their scheduled trip."

Travelers scheduled for tours with the company aren't feeling so secure. The company had groups scheduled to leave on Sunday, and Ritter expected about half of the 35 tour group participants to cancel. Most were likely to be families traveling with children, he said.

On Monday, Ritter's company announced that it had put together a last-minute solidarity mission to the country. He'll be leaving Saturday, along with 40 rabbis, priests and pastors who simply want to show support for Israeli citizens. Ritter said that Thursday's escalation of the conflict caused an influx of sign-ups.

"There's an emotional connection between Israel and people that transcends personal safety," Ritter said.

Jerusalem's five most contested sites

Other companies are experiencing different results. Offering a range of trips for Muslims, Christians, Jewish and interfaith travelers, Virginia-based MEJDI Tours hasn't had any cancellations as of Friday morning, said office manager Haley Douglass.

"Many of the phone calls and e-mails I have received are from travelers asking about the situation, hoping that their tour is not canceled," she said.

An Islamic-focused tour of Israel scheduled for late July with Ahalan Olympus Ltd. was canceled a few days after the crisis started, according to owner and general manager Kfir Schwarz.

Because of the holy month of Ramadan, very few Muslim tourists are traveling anyway, he said.

It's normal for all travelers to feel some sort of anxiety during times of violence, says Peter Vlitas of Protravel International in New York. The travel agent's job is to keep customers up to date on the situation.

"We don't wait for them to come to us," Vlitas said. "We reach out to our clients and advise them of State Department and UK travel advisories, and present them with their facts and options."

Abram Murray of Lancaster, Pennsylvania, is glad he took his first trip to Israel and the West Bank in May through a tour group.

Although he didn't notice any violence during his visit, and the places he visited on the West Bank were far from the current conflict zone, he's not sure he'd feel safe traveling to Israel now.

"With tensions and fighting escalating these days, I'm glad that I went when I did," Murray said. "I'm not sure if I'd want to go over there right now."

'They went to the beach to play': Deaths of 4 children add to growing toll in Gaza conflict

CNN's Barry Neild contributed to this report.

@highlight

Violence in the Middle East has some travelers concerned

@highlight

Some tourists are canceling trips to Israel and surrounding areas

@highlight

Others are going forward with plans to see family and the Holy Land