(CNN) -- The entire world, it seems, is angry at America. Allegations of electronic spying by the U.S. National Security Agency have reached far and wide. People everywhere -- friends and foes -- feel the American government breathing behind them, its eyes burning just over their shoulder.

As America's European allies gather to discuss how to respond to the latest news of U.S. spying, it is clear the time has come for Washington to take much more meaningful action to address the allegations.

The fallout over electronic spying has becoming serious and costly. Already Brazilian President Dilma Rousseff canceled a trip to Washington -- even after President Barack Obama personally appealed to her -- in protest after reports of eavesdropping. The continuing drip of revelations from Edward Snowden, the former NSA contractor who fled the United States with a trove of secret information about America's intelligence practices, has become more than an irritant and distraction.

When news is made public that the United States has been listening in, recording, saving information without authorization, governments are under pressure to respond. Relations are harmed. The price can easily exceed the benefits.

It is time to rethink the decision-making process in America's gigantic electronic surveillance structure and to become more selective about how the United States will use its surveillance resources and manpower.

First, though, it's worth noting that the United States is not the first or the only country to engage in massive spying. The practice is older than the Bible, which tells many a tale of surreptitious intelligence gathering. The ancient Chinese, Greek and Romans engaged in spying, and today practically every country does it.

But spying technology has changed the landscape. It's now possible to gather almost unlimited amounts of information about practically everyone on Earth. At the same time, technology has also made it possible for just one well-positioned person to unveil all the virtual microphones to the world.

That means intelligence gathering is easier and cheaper than ever. But it also means there's a greater chance of getting caught.

This hasn't stopped intelligence chiefs the world over from forging ahead with data collection. Spy masters in many capitals are shifting uncomfortably in their chairs, hearing their government and their nation's citizens complain about U.S. spying that looks a lot like what they do.

In the Netherlands, a government report last year said one in every 1,000 phones in the country is tapped by the government. The point of the official Dutch report was to complain that phone tapping is an inefficient and antiquated method.

A few days ago, the French daily Le Monde published a detailed account of American eavesdropping in France. The French people were indignant. The response from the government was more muted. The reason is simple: French intelligence does pretty much the same thing the NSA does, engaging in large scale "metadata" collection.

In fact, Le Monde a few months ago revealed the French General Directorate for External Security has been collecting massive amounts of private information. "The entirety of our communications are being spied on," said the newspaper. "All of our e-mail messages, SMS messages, itemized phone bills and connections to Facebook and Twitter are then stored for years."

Sound familiar? That's exactly what Snowden's first accounts revealed the United States as doing. We had suspected it. Many people found it only normal and not particularly disturbing. Others felt deeply violated. Others still were unsure: The government must protect the country, and that means spying. But how far is too far?

The NSA spying is driven by security concerns. It is a matter of national defense. Other countries have spied for security but also to gain an advantage in business or against domestic political challenges.

Britain is defending itself against charges that it spied on Belgian firms. Canada has apologized to Brazil for spying on Brazilian companies.

And Brazilian intelligence has engaged in spying for domestic political reasons.

Spy chiefs are, more than anything, envious at the scale of surveillance the NSA has developed.

This takes us back to a truth learned in childhood: The fact that everyone does it, or that so many do it, does not make it right.

Personal privacy has been steadily disappearing -- a deeply unsettling trend. But just because we seem to be moving inexorably in that direction, it doesn't mean we shouldn't stop, review and decide if we should take action to stop it.

There is no question that the United States faces very real security threats, and some spying is necessary and justified. The question is who should the government be allowed to target in its invasion of privacy, and who should make that decision?

The existing system is far too lax.

The latest reports allege that U.S. spying reached into the activities of America's allies, including German Chancellor Angela. Merkel called Obama, who denied the accusations, saying the United States "is not monitoring and will not monitor" her communications.

But the reason spying charges are the main topic of discussion at the summit of European Union leaders -- America's allies -- is that Washington is not addressing the substance of the complaints. Personal assurances by Obama are not enough. The solution is not an apology but a change in current practices.

As a starting point for rethinking the process, I suggest the establishment of an intelligence and privacy board, a group made up of individuals with strong knowledge of national defense, security, ethics, privacy and diplomacy. Let them, under strict clearance, review the decision-making process. What should America collect? Who should be targeted, what should be saved?

When does the benefit outweigh the risk?

If you leave the question to the spies, they will choose to record it all, to save it all. That's too easy, and it's too dangerous. Not surprisingly, it leaves everyone angry at America. Even if everybody else does it.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Allies and enemies alike upset about extent of U.S. spying program

@highlight

She says cost in hurt relations may exceed benefits, and spying should be more selective

@highlight

She says many other nations also spy and are even envious of U.S. program

@highlight

Ghitis: U.S. needs intelligence and privacy board with experts to review spy process