(CNN) -- The arrest and strip-search of Indian diplomat Devyani Khobragade, accused of visa fraud, has sparked questions about the complex, murky system of diplomatic immunity.

"There's a lot of subjectivity on this stuff," says CNN legal analyst Jeffrey Toobin.

Khobragade's lawyer, Daniel Arshack, says his client is entitled to diplomatic immunity and can't be prosecuted under U.S. law, CNN's Indian sister network IBN reported. But the State Department says Khobragade's consular immunity does not cover this kind of crime.

Now, Khobragade has been moved to India's Permanent Mission to the United Nations -- where, Indian officials say, she may get full diplomatic immunity.

The rules involved are laid out by the State Department in a guidance document for law enforcement and judicial authorities.

"Most of these privileges and immunities are not absolute, and law enforcement officers retain their fundamental responsibility to protect and police the orderly conduct of persons in the United States," the document states.

Members of consular posts, such as Khobragade at the time of her arrest, do not have the same level of immunity as those who work at diplomatic missions.

Consular officers have some immunity involving official acts, but their "personal inviolability" is "quite limited," the document says. They may be arrested and detained for alleged felonies, and may be prosecuted for misdemeanors. Their families have no immunity of any kind.

Determining what distinguishes an official act from a personal one is often not cut-and-dry. "No law enforcement officer, State Department officer, diplomatic mission, or consulate is authorized to determine whether a given set of circumstances constitutes an official act.," the document states. "This is an issue which may only be resolved by the court with subject matter jurisdiction over the alleged crime."

A consular officer who is charged may argue that the allegations involve official acts. If the court agrees, the case must be dismissed.

Khobragade is accused of submitting false documents to obtain a work visa for her female housekeeper, paying her less than the amount stated. It's unclear whether she'll argue that the alleged act would be in the performance of her official duties, rather than personal.

Some personnel within diplomatic missions wouldn't have to face such questions. Diplomatic agents, who have the highest level of immunity, "enjoy complete personal inviolability, which means that they may not be handcuffed (except in extraordinary circumstances), arrested, or detained," the State Department document says.

"Diplomatic agents also enjoy complete immunity from the criminal jurisdiction of the host country's courts and thus cannot be prosecuted no matter how serious the offense unless their immunity is waived by the sending state."

In most cases, these kinds of issues are resolved through negotiations, Toobin says. "The courts rarely get involved. Because the countries have a lot of connections to each other, there's a lot of interest in both sides in resolving it without recourse at the courts."

@highlight

U.S. authorities accuse Indian diplomat Devyani Khobragade of visa fraud

@highlight

Her consular immunity does not cover this kind of crime, the U.S. says

@highlight

Her attorney argues that she has diplomatic immunity

@highlight

There's "a lot of subjectivity" on such matters, CNN legal analyst says