(CNN) -- The news that Scotland has rejected independence from the rest of the United Kingdom -- by a relatively close 55-45 margin -- has reassured financial markets and many governments across the world.

Not only does it secure the future (for now, at least) of one of the longest and most successful political unions in the world -- it also makes the prospect of a future British exit from the European Union less likely in coming years.

Numerous world leaders, from U.S. President Barack Obama to Australian Prime Minister Tony Abbott, had strongly asserted that it is in the best interests of the global community for the UK to stay together. This reflects the fact that, while no longer a great power, Britain continues to play a significant role on the world stage with wide-ranging international interests.

However, given the significant size of the "Yes" vote, uncertainties remain, including the possibility of another Scottish independence referendum in the next decade or two. These unknowns could impact the UK's ability to continue to punch above its weight on the global stage and will leave residual concerns for allies.

Internationally, it is the U.S., Europe and other key British allies which paid keenest attention to the vote outcome. This is because UK foreign policy has centered, in the post-war period, around the strategic importance of its alliance with the U.S. and integration with Europe.

In Washington, where Obama indicated his opposition to Scottish independence repeatedly, there was perhaps the most significant apprehension of the outcome of yesterday's vote. Although America will be reassured by the result, some concerns will remain particularly about Britain's military capabilities, including the future of its nuclear arsenal, which is located in Scotland.

This is particularly so in the context of the current 2015-16 UK Strategic Defence and Security Review, which will feature further cuts. Some in Washington (along with other allies) will remain apprehensive about the future of the UK Trident nuclear deterrent which is due for potential renewal in coming years.

A further potential complication here is that Scottish First Minister Alex Salmond ran the "Yes" campaign on a pledge that Scotland would become a non-nuclear nation within five years under independence. Given the significant support for this proposition, and the fact that most of Britain's Trident submarines are based in Scotland, there may be growing pressure for relocation of these bases in coming years, despite the failure of the pro-independence movement to secure a majority.

Such a move will be a very expensive, protracted process which the Ministry of Defence asserts will cost billions and take at least a decade. It is possible that this, allied with defence budget cutbacks, could significantly influence the British debate over renewal of Trident in coming years. Such uncertainty will prompt added anxiety in Washington and amongst some other UK allies, including NATO.

In Brussels and European capitals, today's decision will be welcomed in many quarters too. Firstly, there is now a stronger likelihood that the United Kingdom will not now leave the EU in any "in-out" referendum.

This is because Scots, in general, are more favorable toward continued membership of the EU than the English who account for a majority of the Britain's population. Thus, if Scotland had voted for independence, and didn't take part in any subsequent EU plebiscite, it would have been more likely that -- in a close vote -- that Britain could have left the EU.

Secondly, the outcome will please leaders in those European countries where other significant separatist movements exist. Spain, for instance, faces pressure for a binding referendum for Catalans in coming months. A Scottish "Yes" vote could also have turbo-charged the separatist ambitions of Flemish campaigners in Belgium, the Northern League in Italy, and, to a lesser extent, French separatists.

While allies across the world will be at least partially reassured, the relatively close vote -- not to mention the significant devolution of powers from London to Edinburgh that now seems likely -- means that the UK is likely to be transformed. Along with the possibility of another Scottish referendum in the next decade or two, this means that the territorial integrity of Britain cannot be taken for granted in the medium to long term.

The continued possibility of the UK's dismemberment may well undermine its generally high international stature in the eyes of many across the world. This is because Britain's international reputation rests, in large part, upon its stability as a unified state, as Barack Obama has pointed out.

These foreign concerns will be exacerbated by the fact that there will now be growing pressure in Wales and Northern Ireland for significant additional devolution. Many foreigners, especially key allies, will therefore wonder if one or both of these areas will also remain in the union too in the long term.

Taken overall, today's vote will provide reassurance for key UK allies, especially the U.S. and Europe, despite lingering concerns about the future of Britain's military capability. While the UK's territorial integrity is assured in the short term, a second referendum in Scotland cannot be ruled out.

READ MORE: Scotland says "No" to independence
READ MORE: What "No" vote means for David Cameron
READ MORE: What 5 secessionist movements can learn

The opinions expressed in this commentary are solely those of the author.

@highlight

Hammond: UK allies will breathe sigh of relief after Scotland rejects independence

@highlight

"No" vote makes Britain's proposed exit from the European Union less likely

@highlight

Questions remain about what to do with the UK's Scotland-based nuclear arsenal

@highlight

Outcome will please other European leaders grappling with secessionist movements