ORLANDO, Florida (CNN) -- Hobbled with age, weathered with time, the World War II veterans stood at attention. One by one, a two-star general delivered flags flown over the Pentagon in their honor. He looked them in their eyes and snapped his right hand in salute.

Maj. Gen. Vincent Boles salutes Berga survivor Edward Slotkin, 84, at an event in Orlando Saturday.

"National treasures," Maj. Gen. Vincent Boles said Saturday evening.

It marked the first time in history the U.S. Army recognized 350 soldiers held as slaves inside Nazi Germany. The men were beaten, starved and forced to work in tunnels at Berga an der Elster where the Nazi government had a hidden V-2 rocket factory. Berga was a subcamp of the notorious concentration camp Buchenwald.

"These men were abused and put under some of the most horrific conditions," the general told a private gathering of Berga survivors. "It wasn't a prison camp. It was a slave labor camp."

No ranking Army official had ever uttered the words "slave labor camp" in reference to the men's captivity at Berga. Boles knew the gravity of his statement -- that he was setting the historical record straight after 64 years.  Watch general set record straight after six decades »

"That's why I'm here. That's why the Army sent me here: To look them in the eye and tell them that."

It's a rare moment to witness history, even more rare when it pertains to America's greatest generation six decades later. But that's what happened at the Rosen Centre Hotel in Orlando, first in a private meeting and then in the larger ceremony to honor them. "It's humbling," Boles said.

It was a bittersweet moment. More than 100 of the Berga soldiers died at the slave camp or on a forced death march of more than 200 miles in April 1945. About 80 of the 350 soldiers had been singled out for being Jewish by the Nazis.

Dozens more survived captivity but died as the years passed. There are 22 known Berga survivors still alive, but only a handful made the trip here. "He used that term slave labor camp. That was never used by anyone before," said survivor Samuel Fahrer. "It was a long time coming."  See photos inside the camp »

The six Berga survivors present -- Fahrer, 86; Morton Brooks, 83; Sidney Lipson, 85; Peter Iosso, 83; Wallace Carden, 84; and Edward Slotkin, 84 -- looked on stoically as Boles spoke privately with them.

The men's faces hid decades of pain from what they endured in the waning months of World War II in 1945. They'd given up decades ago that the Army would recognize them.

"It means a great deal -- that it's being recognized and understood," Brooks told the general.   See excerpts from diary inside Berga »

Boles recited a soldier's war ethos: I will always place the mission first; I will never quit; I will never accept defeat and I will never leave a fallen comrade.

He looked at each of the weathered war heroes and said, "Just as they never left their fallen comrades, we will never leave them."

"You were good soldiers and you were there for your nation."

Boles added, "They're looking around and they're thanking me for coming. And I'm the one thanking them because I get to bask in the character of these great heroes."

If there was a skeptic coming into the evening, it was Fahrer, a U.S. medic held at Berga. He had dedicated much of his life in the years after the war seeking recognition for the men. He had been outraged that the government in 1948 commuted the death sentences of two Berga commanders, Erwin Metz and his superior, Hauptmann Ludwig Merz. Fahrer sought for their death sentences to be reinstated.  See document from War Department letting commanders off »

A native of Long Island, New York, the typically talkative Fahrer was rendered nearly speechless as the general spoke. "After 60 years, I gave up hope a long time ago, and I'm glad you're here with us tonight," Fahrer told Boles.

Boles said he couldn't speak to why the Berga commanders got off so easy, but he said he knew "it caused a great deal of pain for these men." In modern times, he said, if U.S. soldiers were held at a slave camp in Iraq or Afghanistan, he'd expect justice for those responsible.

"I think full justice is the right word."

The general even addressed documents that many of the Berga survivors signed before they were sent back home to the States. "The interests of American prisoners in the event of future wars, moreover, demand that the secrets of this war be vigorously safeguarded," it says.

The survivors believed the document meant they were never to speak about their Berga experience. "That was not our intent at all, but we screwed that up," Boles said. "What the intent of the documents was, for those who had been POWs, not to talk about escapes, people who had assisted them, people who had helped them. Our inability to explain that correctly was, therefore, misunderstood by them."

He added, "What they went through didn't need to be kept a secret."

The night would get more special as this evening progressed. The Berga soldiers were honored in front of a gathering of World War II POWs. About 100 veterans and their families packed a banquet hall. Boles told the group what he said in private -- that the men are "national treasures."

"You may wonder if it mattered, if your service and sacrifice made a difference, if it stood the test of time," he said. "You may rest easy. I have seen your service live."

The room grew quiet. The general, in dress blues, strode to the six Berga survivors and presented each one with the flags flown over the Pentagon. "Your nation remembers and it salutes each of you," Boles said. Each of the elders saluted the general back.

The room was then told to stand on orders of the president of the United States. The entire room came to a hushed silence and rose to its feet.

Fahrer, the medic who had fought so hard for justice for his Berga comrades, was asked to step forward. And there before the crowd on this historic evening, he was presented with one of the nation's highest honors, the Bronze Star.

"To all who shall see these presents, greeting: this is to certify that the President of the United States of America authorized by executive order, 24 August 1962, has awarded the Bronze Star Medal to Private Samuel Fahrer, Army of the United States, for meritorious achievement while serving with Medical Detachment, 110th Infantry Regiment in the European Theater of Operations on 19 December 1944, in military operations against an armed enemy of the United States."

He had earned the medal 65 years ago, but due to clerical errors it had never been given to him. Fahrer beamed with pride. He had shed few tears since his time at Berga. But on this night, even Fahrer had trouble containing his emotions. "I'm not the crying type, but it got me right here," he said, his hand over his heart as he searched for words.

At long last, the Berga men finally had some comfort. "It's satisfying that after all this time amends could be made," Brooks said. "When there's talk of the Holocaust, we understand it."

The general commended CNN for its reporting on the issue in recent months, saying those reports helped change the men's legacy. Boles applauded Reps. Joe Baca, D-California, and Rep. Spencer Bachus, R-Alabama, who urged the Army to act to honor the Berga soldiers.

At one point Saturday evening, Berga survivor Sidney Lipson pulled me to the side. "Why did you care so much that we be recognized?"

"Because you deserved it," I replied.

He clutched his encased flag, pulled it to his heart and smiled. "Thank you."

Note from CNN's Wayne Drash: For Berga survivors who were not able to attend the Orlando event, the Army is working to coordinate events in the men's communities. I also want to thank CNN's audience who lobbied Congress and the Army to give these soldiers recognition.

@highlight

For first time in history, Army recognizes soldiers held as slaves in Nazi Germany

@highlight

Maj. Gen. Vincent Boles presented six Berga survivors with flags flown over Pentagon

@highlight

350 soldiers held at Berg an der Elster; "It was a slave labor camp," general says

@highlight

"These men were abused and put under some of the most horrific conditions"