The audience at Pop! Tech's annual conference rose to its feet as Dr. Jim Olson wrapped up his talk on Tumor Paint.

"In this world where stadiums are named after rich corporations, where buildings are named after wealthy donors, I wanted to name the most exciting science that I've ever participated in after her," he said, referring to Violet, a patient of his who donated her brain to science shortly before dying.

It's unclear if the audience's standing ovation last month was aimed more at Olson's innovations or his passion. Perhaps it was for the children he has treated -- the ones whose faces flashed across the screen as he spoke about losing the fight against cancer. Or maybe their applause was for those kids' parents, who have raised $9 million to fund Olson's research.

They believe in him. It's hard not to after listening to the unassuming way he plans to change medicine.

A pediatric neuro-oncologist, Olson says he has spent too many years explaining why a surgeon may not remove all of a patient's cancer or, instead, accidentally take part of a child's healthy brain.

That's why he and his team created Tumor Paint, a product designed to illuminate cancer cells in the body, helping surgeons distinguish them from healthy tissue.

"The key to brain surgery is to remove the bad stuff and leave the good stuff inside," says Dr. Rich Ellenbogen, a neurosurgeon who worked to develop Tumor Paint with Olson. "However, it's not that easy."

While cancerous cells may glow on an MRI, they look remarkably similar to healthy cells during an operation. Only experience -- and luck -- guide surgeons as they try to remove the deadly areas.

"Take a few grams of tissue that belong safely in the brain, then the patients wake up not as perfect as they went into the surgery," Ellenbogen says.

Ellenbogen and Olson knew they had to find a way to light tumors up during an operation.

Digging through existing research, Olson found a scientist at the University of Alabama at Birmingham who was using venom from an Israeli Deathstalker scorpion to target brain tumors. The venom seemed to bind to the cancerous cells without affecting the healthy tissue.

Olson hypothesized that attaching a molecular flashlight of sorts to the venom would make it easier for surgeons to distinguish good cells from bad.

10 medical advances in the last 10 years

The first six grant applications Olson submitted to the National Institutes of Health to test his theory were denied for being too over-speculative, or overambitious, he says. Then a hospital administrator introduced him to Rhoda Altom.

Altom's daughter Stewart, then 7, had been diagnosed with a ganglioglioma, a rare type of brain tumor, in her left temporal lobe. Doctors told Altom they would have to take out a large portion of Stewart's brain to make sure they got all the cancer cells.

"They kept saying, 'Brain tumors aren't color-coded, so we have to take our best guess,' " she remembers.

Altom asked what was being done to find a better way to treat this cancer, but no one had a satisfactory answer. So she went to Seattle Children's Hospital and offered to raise $5 million to get the research going.

Pharmaceutical development is often a dog-eat-dog world, Olson says. Scientists clamor to be the first to identify new medications that can be sold to lots of patients to gain recognition and recoup the money their company has put into the discovery.

"It has to be a huge seller to make it worth it," he says. "No company would make a drug that only affects rare diseases."

Gangliogliomas represent just 4% of all pediatric brain tumors.

Altom reached out to Olson's patients, past and present, and other parents who had lost children to brain tumors. They held golf tournaments and sold greeting cards, hosting hundreds of fund-raisers to pay for the preclinical work on Tumor Paint in Olson's lab.

Olson and his team were able to identify a small protein, or peptide, in the scorpion's venom and use it to produce Tumor Paint. They grew a brain tumor on a mouse's back and injected the "paint" into a tail vein; within an hour, the cancer was lighting up. Tumor Paint was 500 times more sensitive than an MRI, and it didn't just work for brain cancer but breast, skin, prostate and colon cancers.

Olson founded Blaze Bioscience in 2010 to run human clinical trials and commercialize Tumor Paint. The biotech company is on track to start enrollment for trials in Australia in December, CEO Heather Franklin said.

"In a matter of 10 years, surgeons will look back and say, 'I can't believe we used to remove (tumors) by using our eyes and our fingers and our thumbs,' " Olson says.

Sex is doctor's life's work

Olson is continuing his work with optides, or optimized peptides. Six months ago he launched Project Violet at the Fred Hutchinson Cancer Research Center. Scientists there are using the drugs created by nature -- such as scorpion venom -- to find ways to fight disease.

Olson uses a potato to explain how evolution has helped plants and animals create some of the best drug candidates around. A potato is just a ball of starch underground, right? So is a pile of noodles.

But while the potato can emerge after weeks unscathed, a pile of noodles underground would be eaten by bugs in hours. Potatoes, Olson said, have created a "drug" to protect themselves. If he can harness the potato's DNA to create medicine, it could potentially protect humans from disease.

Project Violet will use crowdsourcing to fund its research. Citizens can "adopt" drug candidates for $100 and name them as they go through the discovery process. Each candidate is a variation of a protein made from a plant or animal.

"First and foremost, I'm a parent," Olson says in a video about Project Violet that was a finalist in the Sundance Film Festival's Focus Forward competition this year. "And when I know a child is going to die, and the prescriptions I'm writing might make them live a couple weeks longer but aren't going to save their lives -- there's nothing harder than that. And that drives my research."

His lab has an open policy -- researchers share everything they learn in hopes of inspiring others. Altom, with other patient families, recently presented Olson with a check for $180,000 to create a library of information from Project Violet that will be available to scientists around the globe.

"We're creating drug candidates ... that could fundamentally change the world," he says. "We're throwing motives of profit or biotech building to the wind. Let's do what's right for the greatest number of people."

Watson: 'DNA was my only gold rush'

When her daughter had her tumor removed some 16 years ago, Altom waited anxiously in the hospital room for her to wake up. When the child opened her eyes and began complaining about the tubes in her arm, Altom burst into tears. "I thought it was the most beautiful thing I had ever heard."

Stewart Carlson, now 24, attends George Washington University. She occasionally has trouble remembering verbal information but is otherwise a healthy, happy young woman. They got lucky, Altom says. That's why she continues to raise money for research.

"I always tell Jim Olson that I want to be able to look him in the eye when someone has a brain tumor and say, 'At least they didn't break their leg,' because we'll be able to diagnose and treat tumors so effectively.' "

@highlight

Tumor Paint illuminates cancer cells, helping distinguish them from healthy tissue

@highlight

Human clinical trials will begin in cancer patients in Australia this year

@highlight

Dr. Jim Olson recently launched Project Violet to identify more drugs from nature