(CNN) -- Her almond-shaped brown eyes shine through her sunken face as a doctor lifts her sweater to reveal a tiny rib cage pushing against her skin.

Little more than a year old, Israa al Masri wastes away at the National Hospital in the besieged Damascus suburbs just a few miles from the medical supplies needed to save her.

Slowly, painfully, organs shut down one by one as her muscles atrophy until, barley breathing. On January 12, the toddler's heart stops.

The cause of death: hunger.

Starvation is the Syrian government's newest and cruelest weapon against opposition neighborhoods leaving infants with swollen heads and distended bodies, their mothers dry of breast milk, and their elders skeletal and dehydrated, according to activists and doctors.

In one of the earliest cases, 1-year-old Farah Atout arrived at the Maliha medical center weak and whimpering as doctors struggled to find veins to feed her intravenously.

"I remember this child very well she was about a year old and she weighed only 4 kilograms," said Dr. Mazin Ramadan, who treated Atout last November. Her destitute family fled their village with just the clothes on their back, leaving them with little access to food, Ramadan said.

"They arrived and put this child between my hands and imagined with a shot or some medicine her strength would come back and the ordeal would be over," said Ramadan, one of the few pediatricians in the area.

After just 48 hours, nothing remained of the baby but a skeletal frame with tubes bandaged to a yellowed face frozen in anguish. But what appeared at the time a unique horror, now repeats itself over and over in the Damascus suburbs, doctors and activists told CNN.

Parents often risk death by sniper fire, simply to forage for nutrition. A nurse, who did not wish to be identified for fear of reprisal, in the besieged Yarmouk Palestinian Refugee Camp on the outskirts of Damascus told Amnesty International that around four people a day arrive with gunshot wounds from snipers targeting civilians as they pick plants and shrubs from nearby fields.

Established in 1957, Yarmouk, an unofficial refugee camp, has been home for decades to thousands of Palestinians displaced by Arab-Israeli wars.

At National Hospital South of Damascus, near Yarmouk, 43 people have died of starvation, 22 of them children, the youngest just 23 days old, with most of the deaths occurring this past month, a dramatic increase, according to hospital staff.

"Sometimes I get a case due to malnutrition or lack of medicine and, I feel utter desperation because I cannot help the child. We have reached a state where this is normal -- that every two to three days a child dies. It just feels like there is no nutrition. What can we do?" said a doctor at the hospital who did not wish to be identified out of fear of Syrian forces.

Parents sometimes crumble in the face of despair and very few options.

"I had a 2-year-old patient just a few days ago, and she was diagnosed with a life threatening condition and when her father found out he said 'OK. I will take her home to die.' Just like that -- without hesitation. He said 'What am I to do? There is no food and no medicine,' " the doctor said.

Infants are particularly vulnerable.

"The first 1000 days of life, from conception to 2 years are absolutely critical as far as nutrition and the developmental foundations of life are concerned. If the child in the womb of a pregnant mother, and the mother isn't getting the food she needs and there is this obstacle in the way of getting access to this kind of vital nutrients they need to grow. They are not going to recover. That is a real tragedy," said Greg Barrow a spokesman for the United Nations World Food Programme.

In a video widely viewed on YouTube of a skeletal 10-year-old named Bashar Kaboush in the eastern Ghouta town of Jisreen, a distraught man who CNN has confirmed is a relative of the child shouts: "Is this acceptable to God? Look at this child. Is this acceptable to world? Does the look like a human body? Is this the arm of a child? He is just 10 years old."

Mohammed Abu al Rgaa an activist in Jisreen told CNN that residents fear Kaboush and dozens of others may soon die of hunger. Rgaa shared with CNN the case of 8-month-old Mohamad Faissal from the same town who recently died from lack of infant milk and proper medical care. Shocking online video of Faissal's lifeless body bore the hallmarks of starvation such as a swollen abdomen and protruding ribs, doctors said.

The cause of crisis is clear. The once thriving agriculture belt to the east of the capital and the collection of towns and neighborhoods to the south wilted under a government siege blocking food staples from those areas. Opposition-controlled farmland lies desolate after nearly two years of warfare that has destroyed crops and livestock, leaving little more than stores of grain for thousands trapped behind government tanks. Many say the blockades are used by the Syrian government as collective punishment against opposition areas.

Hostilities make it difficult to gain a clear view of the scope and scale of malnutrition in the area, but the WFP estimates at least 800,000 civilians remain under siege.

"This underlines exactly why humanitarian agencies like the WFP have been calling for more access. To really see with their eyes: What is the scale of the problem? Who is most vulnerable? What kind of assistance do they need? And how can we get it in fast? That is absolutely critical," Barrow said.

Amnesty International has been more direct: "The Syrian government is cruelly punishing civilians living in opposition-held areas. Starving civilians as a method of warfare is a war crime. The blockades must be lifted immediately and access to humanitarian aid must never be used to score military or political gains," said Philip Luther, Amnesty International's Middle East and North Africa director.

Syrian officials failed to respond to CNN requests for comment on this story, but have said in general terms that "foreign-backed terrorists" catapulted the country into a spiral of violence that has triggered Syrian army efforts to expel opposition fighters from the Damascus suburbs.

Perhaps most disturbingly, packed aid convoys ready and willing to deliver assistance to those in need are barred from doing so -- mainly by Syrian government troops.

"The road to political stability and confidence building in Syria starts with an important step: ensuring no one dies because of a lack of food or medicine or from the cold when humanitarian workers are nearby but are not allowed in" said Ertharin Cousin, WFP's executive director.

Geneva II peace talks secured an agreement for some aid to enter the Yarmouk Palestinian Refugee Camp this week, but several hundred food parcels and limited medical evacuations are simply not enough to stave off malnutrition.

"To make any progress in addressing these needs, UNRWA's presence and humanitarian assistance work must be permitted to continue and expand over a period of months, not days," Chris Gunness, Spokesman for the U.N. Relief and Works Agency for Palestine Refugees said in a statement.

"If the siege does not end, I expect even I will be dead," Assaf said over a crackly Skype connection. "If the siege is not broken these cases will increase and there will be mass death. To be honest this is what I would expect: mass death."

@highlight

Many are starving in suburbs south of Damascus, Syria

@highlight

Infants are particularly vulnerable, doctors say

@highlight

Many say Syrian government is purposely starving opposition areas