(CNN) -- U.S. Secretary of State John Kerry is usually so careful not to expose his French connection -- his mother was born and educated in Paris and he speaks fluent French -- especially since this tie arguably cost him the U.S. presidency in 2004 when the nation was being vilified as "cheese eating surrender monkeys" by a conservative columnist.

But Kerry's gushing praise for France, and in French, on Saturday during his visit to Paris, couldn't have been more dramatic. And revealing. France is indeed one of the very few world powers that seem ready to join the U.S. in a military strike on Syria's Assad regime, with or without U.N. backing.

Since Britain ruled itself out from such intervention through a No vote in parliament on August 29, to the world's surprise and David Cameron's dismay, the U.S. and France have had to appear even more resolute and closer partners on the world stage than before.

News emerged of lengthy phone conversations between Presidents FranÃ§ois Hollande and Barack Obama and one-to-one meetings at the G20 last Friday in St Petersburg, with David Cameron conspicuously sidelined. Sidelined and vexed.

After it was reported that an adviser to Putin had dismissed the UK as this "little island nobody listens to", the British prime minister strangely felt compelled to justify his country's standing in an improvised and passionate tirade. "Yes, we are a small island, in fact a small group of islands. But I would challenge anyone to come up with a country with a prouder history, with a bigger heart, a greater resilience. We are a country that's invented many of the things that are most worthwhile -- everything from the industrial revolution to the television to the worldwide web.

"If I go on too long about our literature, our art, our philosophy, our contribution - including the world's language -- if I start talking about this blessed plot, this sceptered isle, this England, I might have to put it to music."

So while Britain was busy licking its wounds, the U.S. and France were left to show up their unity and determination. Words were uttered such as "France is our oldest ally" (a historical fact but a hurtful truth to hear for the British, the U.S.'s most loyal ally), however, they didn't manage to hide the increasing discomfort felt by public opinions both in the U.S., France and the world at large.

The British MPs had, probably despite themselves, opened a Pandora's Box, also called democracy. By conveying what they probably rightly think is the country's reluctance to engage in what appears as a vaguely-defined military intervention, British MPs did nothing more than to give a voice to their constituents' concerns.

Disturbed by the British "No", President Obama, an isolationist at heart, decided to follow the British route and went on to seek Congress' approval, even though he constitutionally didn't need to. This, of course, has left Hollande in a tricky position.

Here he is, forced to wait for American congressmen to decide on France's course of action -- not a happy position to be in when you are the president of a country which, despite its current Atlanticist foreign policy, has had a long tradition of independence.

A debate over the question of Syria in French Parliament last Wednesday, granted by the president but without a vote, furthermore revealed how divided within itself France is. The French opposition demands that military action be pursued with a U.N. mandate.

"If Russia keeps blocking the Security Council over the issue, let Hollande convoke the General Assembly for an Emergency Special session. Under article 377, the general assembly can overrule the security council" said former Sarkozy minister Jean-Louis Borloo. An argument to which French public opinion is very sensitive.

So far though, despite the fact that 68% of the French oppose the participation of their country's troops in an intervention in Syria, FranÃ§ois Hollande has stood firm with strong words coming both from the ElysÃ©es Palace and France's foreign affairs minister Laurent Fabius.

The French media has been visibly split as whether to support the president or warn him against an ill-advised adventure with probable repercussions against French interests at home and in the region. Many observers in France can't help thinking that Hollande seeks on the world stage the charisma and legitimacy that he lacks at home.

The only time the French supported him massively since his election is when he launched a military intervention in Mali last year which, by all accounts, was a great success. A French diplomat recently confided: "In Mali, Hollande walked on water. He wants to repeat the experience." Except Syria is not Mali, nor is it Libya or Iraq.

In 2003, France tried to convince its allies, the U.S. and Britain, that there was no ground to the Weapons of Mass Destruction's scare which so diligently triggered Iraq's invasion. The French Secret Intelligence services had indeed warned President Jacques Chirac that Saddam Hussein's arsenal could not attack Europe within 45 minutes as Tony Blair claimed before the British parliament.

In a now historical speech at the U.N., on February 14, 2003, the then French Prime Minister Dominique de Villepin outlined France's position. Although applauded by the wider world community, France's statement was attacked by American Republicans with a violence that both astounded and saddened French opinion.

Today, France is not more hawkish than in 2003. However, the shadow of the allies' painful rift may have played a part in President Hollande's current determination.

The opinions expressed in this commentary are solely those of Agnes Poirier.

@highlight

France is ready to join the U.S. in a military strike, writes Agnes Poirier

@highlight

Since Britain voted against the intervention, U.S. and France have grown closer, she says

@highlight

Despite 68% of the French opposing the strike, French President Francoise Hollande stands his ground

@highlight

As U.S. President Barack Obama awaits congress' approval, France is left waiting too