Washington (CNN) -- After progress earlier this week in fiscal cliff negotiations, President Barack Obama and House Speaker John Boehner butted heads Wednesday, setting the stage for a showdown as the deadline looms for an agreement.

The negotiations had focused on a $2 trillion package of new revenue, spending cuts and entitlement changes the two sides have shaped into a broad deficit reduction plan.

Boehner on Tuesday proposed a "plan B," which would extend Bush-era tax cuts on income of up to $1 million. He described it as a fallback option to prevent a sweeping tax hike while negotiations continue on a broader plan.

But the White House on Wednesday threatened to veto "plan B," saying it would bring only "minimal" changes in projected budget deficits.

Obama told reporters earlier in the day that Republicans were focused too much on besting him personally rather than thinking about what's best for the country.

"Take the deal," Obama said to Republicans, referring to the broader proposal, adding that it would "reduce the deficit more than any other deficit reduction package" and would represent an achievement.

"They should be proud of it," Obama said. "But they keep on finding ways to say 'no' as opposed to finding ways to say 'yes.' "

His comments at a White House news conference came less than two weeks before the end of the year, when the nation's taxpayers would face automatic tax increases and deep spending cuts if no agreement is reached.

Economists say that failure to reach agreement could spark another recession.

Boehner issued his own statement Wednesday, saying the president had yet to make a proposal offering a balance between increased revenue and spending cuts.

In a 52-second appearance before reporters, Boehner said the House will pass his fallback plan Thursday limiting tax increases to income above $1 million.

While the plan represents a concession from Boehner's original vow to oppose any tax-rate increase, it sets a higher threshold than the $400,000 sought by Obama.

Once the House passes his plan, the president can either persuade Senate Democrats to accept it or "be responsible for the largest tax increase in American history," Boehner said before walking off without answering shouted questions.

The Obama administration and congressional Democrats said Boehner changed course because he was unable to muster Republican support for the larger deal being negotiated with Obama.

At his news conference, Obama alluded to last Friday's Connecticut school shootings in calling on Republicans to put aside political brinksmanship. "If there's one thing we should have after this week, it should be perspective about what's important," he said.

"Right now, what the country needs is for us to compromise," he continued. He characterized as "puzzling" the GOP refusal to accept his compromise.

Asked why an agreement was proving so elusive after both sides had made concessions, Obama said it might be that "it is very hard for them to say 'yes' to me."

"At some point they've got to take me out of it," Obama said of Republicans, adding they should instead focus on "doing something good for the country."

Boehner responded by arguing that Obama's proposal was not evenly balanced, with more new revenue instead of the spending cuts and entitlement reforms Republicans seek.

The Boehner plan B would leave intact government spending cuts, including those related to defense, which are required under a budget deal reached last year to raise the federal debt ceiling. The threat of cuts was intended to motivate Congress to reach a deal.

Opinion: Art that calls the fiscal cliff's bluff

But Obama said Wednesday that Boehner's proposal "defies logic" because it raises tax rates on some Americans, which Republicans say they do not want, and contains no spending cuts, which Republicans say they do want.

He also criticized the measure as a benefit for wealthy Americans, who would have lower tax rates on income up to $1 million.

The White House and congressional Democrats say plan B has no chance of passing; Obama said that bringing it up only wastes time.

Senior administration officials said Obama and Boehner have not spoken to each other since Monday. GOP leaders planned to vote Thursday on Boehner's proposal, as well as Obama's long-standing proposal to return to higher tax rates of the 1990s on income above $250,000 for families.

Obama on Monday raised the threshold for the higher tax rates to $400,000.

Conservative allies publicly supported Boehner's plan Wednesday.

Anti-tax crusader Grover Norquist provided political cover for Republicans who have signed his pledge against tax increases, saying he could support plan B.

Obama and Democrats argue that increased revenue, including higher tax rates on the wealthy, must be part of broader deficit reduction plan.

Obama made the tax proposal a theme of his re-election campaign, arguing that it would prevent a tax increase for middle-class Americans.

Polls show support for the Obama plan, and some Republicans have called for acceding to the president on the tax issue in order to focus on cuts to spending and entitlement programs.

Budget experts: Fiscal cliff deal could disappoint

Boehner and Republicans initially opposed any rise in tax rates but agreed to raising revenue by eliminating some deductions and loopholes. The offer of a plan with higher rates for millionaires represented a further concession, but Obama and Democrats say it would not suffice.

Senate Majority Leader Harry Reid of Nevada said Boehner's plan appeared to be a result of pressure from tea party conservatives opposing a wider deal.

"It would be a shame if Republicans abandoned productive negotiations due to pressure from the tea party, as they have time and again," Reid said this week.

Boehner's spokesman, Michael Steel, shot back that the plan B proposal gave Democrats what they wanted -- higher tax rates on millionaires.

What happens if the payroll tax cut expires

Obama's latest offer has generated protests from the liberal base of the Democratic Party because it includes cuts in entitlement programs such as Social Security, Medicare and Medicaid.

Justin Ruben, executive director of MoveOn, which backed Obama's presidential campaigns, said its members would consider any benefit cuts "a betrayal that sells out working and middle-class families."

In particular, liberals cited concessions that Obama made Monday in his counteroffer, including a new inflation formula applied to benefits called chained CPI.

Obama offers fiscal cliff tax concession

Chained CPI includes assumptions on consumer habits in response to rising prices, such as seeking cheaper alternatives, and would result in smaller benefit increases in future years.

Statistics supplied by opponents say the change would mean Social Security recipients would get $6,000 less in benefits over the first 15 years of chained CPI.

But White House spokesman Jay Carney said Obama's CPI proposal "would protect vulnerable communities, including the very elderly, when it comes to Social Security recipients." He called the president's acceptance of the chained CPI a signal of his willingness to compromise.

CNN's Dan Lothian, Dana Bash, Deirdre Walsh and Brianna Keilar contributed to this report.

@highlight

White House threatens to veto Boehner's "plan B"

@highlight

President Obama suggests Republicans are fixated on besting him personally

@highlight

Speaker Boehner says the House will pass his fallback tax plan Thursday

@highlight

Without a deal, everyone's taxes go up in the new year