Chicago, Illinois (CNN) -- When I was in law school, my criminal law professor introduced us to the crime of rape by reading us a quote from Lord Chief Justice Sir Matthew Hale, a 17th-century English jurist: "In a rape case it is the victim, not the defendant, who is on trial."

It was not merely a history lesson. I had lived it.

While a student in my final year of college, at age 21, I was raped. I have dissected that moment -- the horrifying moment that I became a "victim" -- from every possible angle. I have poked and prodded, examined and re-examined. Regrettably, I have even suspected myself in a desperate, ultimately futile attempt to understand how I became a victim.

But blaming myself was neither my idea nor my first inclination. I thought such 17th-century notions were long dead. I was wrong. People who did not even know me were quick to comment or speculate on my rape. What were you wearing? Did you scream loudly? Did this occur in public?

'Legitimate rape' reaction, from the Congo to black crickets

As my history lesson said, I found myself on trial, facing the most fierce judge and jury: ignorance.

Eight years after my rape, I find myself on trial against ignorance again. Rep. Todd Akin's recent comments that "legitimate rape" rarely results in pregnancy not only flout scientific fact but, for me, cut deeper. Akin has de-legitimized my rape.

You see, nine months after my rape, I gave birth to a beautiful little girl. You could say she was conceived in rape; she was. But she is also so much more than her beginnings. I blissfully believed that after I finally had decided to give birth to and to raise my daughter, life would be all roses and endless days at the playground. I was wrong again.

It would not be long before I would learn firsthand that in the vast majority of states -- 31 -- men who father through rape are able to assert the same custody and visitation rights to their children that other fathers enjoy. When no law prohibits a rapist from exercising these rights, a woman may feel forced to bargain away her legal rights to a criminal trial in exchange for the rapist dropping the bid to have access to her child.

Opinion: Wake up, it's not just Akin

When faced with the choice between a lifetime tethered to her rapist or meaningful legal redress, the answer may be easy, but it is not painless. For the sake of her child, the woman will sacrifice her need to see her once immensely powerful perpetrator humbled by the court.

I know it because I lived it. I went to law school to learn how to stop it.

Having fought this injustice for the past several years, I have come to believe that ignorance is to blame for this legal absence. Opponents argue no woman would ever choose to raise the child she conceived through rape. The only two studies to analyze the choices made by pregnant raped women indicate otherwise -- at least 30% of women who conceive by rape make this choice.

Others argue that no rapist would ever seek parental rights. Not only does my experience and that of others I know prove otherwise, but it is not surprising that a man who cruelly degrades a woman would also seek to torture her in an even more agonizing way, by seeking access to her child.

Today, it seems we may face a new and unbelievable challenge: convincing legislators that women can conceive when they are raped.

iReport: 'Rape is rape'

Make no mistake, my efforts and the efforts of others to persuade legislators to pass laws restricting the parental rights of men who father through rape will be directly impacted by Akin's recent comments. Whether these efforts will be helped or hurt, however, depends upon us as a society.

Either we will fight ignorance and take steps to legislate for raped women based upon reason and facts, or we will be led by ignorance and continue to make bad laws. Or fail to make good ones.

The opinions expressed in this commentary are solely those of Shauna Prewitt.

@highlight

Shauna Prewitt had a baby conceived in a rape and faced another unexpected ordeal

@highlight

Prewitt found the majority of states give parental rights to men who father through rape

@highlight

She became a lawyer to fight this practice and encourage states to make this illegal

@highlight

She says many women who are raped become pregnant and give birth