Editor's note: The Rev. Donald Cozzens is writer in residence and adjunct professor of theology at John Carroll University in Cleveland, Ohio. A priest of the Diocese of Cleveland with a doctoral degree, he is the author of several books on the Catholic Church, including "Sacred Silence: Denial and the Crisis in the Church" and "Freeing Celibacy," both published by Liturgical Press. For another view on this topic, read here.

The Rev. Donald Cozzens says the debate over celibacy for priests will be around for decades.

(CNN) -- It's an issue that simply won't go away. In spite of signals from the Vatican discouraging even discussions of obligatory celibacy for Catholic priests, the almost 1,000-year-old rule is under the microscope. And it will be for decades to come. Here's why.

In the Catholic tradition, even though sex is cast as sinful unless expressed in the conjugal embrace of husband and wife, it is held as fundamentally good, a part of God's creation.

The church even holds that marriage (including spousal lovemaking) is a sacrament -- something sacred that contributes to the sanctity of husbands and wives. In light of this official teaching, it is dawning on many Catholics that mandatory celibacy for priests, a canonically imposed discipline of the church, is precisely that -- a discipline.

They are asking, "How is it that a discipline of the church has been allowed to trump a sacrament of the church?" In effect, the church is saying that should God call a man to the priesthood, God will not, at the same time, call that individual to the sacrament of marriage. It's right to ask, how does the church know this?

Public opinion surveys indicate that most Catholics, priests included, believe the discipline of celibacy needs a serious review. Recently the retired archbishop of New York, Cardinal Edward Egan, observed that obligatory celibacy is open for discussion. It is not, Egan noted, a matter of dogma.

For decades now, bishops from Asia, Europe and the Americas have asked Vatican officials to consider optional celibacy for priests. The church's official response is consistent and succinct: As a precious gift from God, the discipline of celibacy for priests will remain in place.

This, in spite of the inherent paradox lying just below the claim that the gift of celibacy is a precious gift of God to the priesthood and the church: How can a gift be legislated? The church answers that if a man is called to the priesthood, God will grant him the gift of celibacy. Many priests today wonder how church leaders know this. Reading the mind of God in this matter --  in any matter of church discipline -- is risky business.

More and more Catholics today are coming to understand that celibacy as a universal law for priests had its origins in the 12th century and that during the church's first millennium, priests and bishops --  and at least thirty-nine popes -- were married.

Still, most well-read cradle Catholics are surprised to learn that St. Anastasius, pope from 399 to 401, was succeeded by his son, Pope St. Innocent I, and that a century later Pope St. Hormisdas' son, St. Silverius, also was elected to the papacy.

Even in our secular world, it's common to speak of church-based ministry as a calling, a vocation. Isn't it possible that God would call an individual to the priesthood and to the sacrament of marriage? God apparently did so for more than half the church's history. How do we know that God isn't doing so today?

For some years now I've been teaching in the religious studies department at John Carroll University in Cleveland. I've asked dozens of serious, healthy young students if they have given any thought to being a priest. They seem flattered by the question. With only one exception, each has answered, "Yes, I've thought about being a priest, but I want a family."

There are, of course, other factors, urgent and pressing, that will keep the celibacy issue alive. The Catholic priesthood is aging. The average age of active priests hovers at 60, and if retired priests are factored in, it is considerably higher. Moreover, Catholic seminaries are lucky to be half full.

Parish staffing challenges alone will press for a review of the celibacy rule. Catholic bishops simply do not have enough priests to meet the pastoral and sacramental needs of the Catholic faithful. Closing and merging parishes may offer some temporary relief for overworked priests, but the shortfall of priests will continue to challenge the vitality of Catholic parishes and the health of Catholic clergy for decades to come.

But the most human, existential factor that should keep the celibacy issue on the table is the spiritual and emotional health of priests. Celibacy really isn't the issue -- mandatory or obligatory celibacy is.

There are many priests who do possess the gift of celibacy -- it is their "truth" so to speak -- and their humanity, warmth and pastoral effectiveness give abundant evidence of their authentic celibate lives. But there remain other priests who believe deep down they are called to the priesthood but not to celibacy. And for these men, the burden of mandated celibacy threatens their spiritual and emotional well-being. The priesthood may be their "truth," but mandated celibacy wraps them in a cloak of loneliness and struggle.

I don't know Father Alberto Cutie. He appears to have touched the lives of many and preached the gospel with power and conviction. I suspect he feels called by God to be a priest, but not a celibate priest.

Surely he knows that Easter Rite Catholic priests are allowed to marry and that the church welcomes into the priesthood married convert ministers from other Christian denominations. Surely he knows that in many parts of the Catholic world, clerical celibacy is openly flouted, and church authorities choose not to notice.

I wonder if church officials understand the burden they place on the shoulders of a man who believes he is called to priestly ministry but not to celibacy. Certainly, a married priesthood will have burdens of its own and, sadly, scandals of its own -- infidelity and abuse among others. But it should be left to the individual priest and seminarian to determine whether or not he is blessed with the gift of celibacy.

A mandated "gift," after all, is really no gift at all.

The opinions expressed in this commentary are solely those of the Rev. Donald Cozzens.

@highlight

The Rev. Donald Cozzens: Celibacy is 1,000 years old but not intrinsic to the church

@highlight

Many popes were married in the first millennium of the church, Cozzens says

@highlight

Cozzens says church views marriage as sacred; why should priests be denied it?

@highlight

Cozzens: Celibacy is a gift that should be optional, not mandated by the church