(CNN) -- Latin American nations overwhelmingly rejected nearly 50 years of U.S. policy toward Cuba on Wednesday, voting at a meeting of the Organization of American States in Honduras to revoke the communist nation's 1962 suspension from the multinational group.

Honduran President Jose Manuel Zelaya Rosales says farewell to Hillary Clinton at Wednesday's OAS meeting.

Honduran President Jose Manuel Zelaya Rosales said at the end of the two-day meeting in the city of San Pedro Sula that the OAS had rectified a serious error.

The United States led the push to suspend Cuba from the OAS at the height of the Cold War, also breaking diplomatic relations with the island nation in 1961 and establishing an economic embargo the next year.

"This is an important message to the whole world, not just our continent," Zelaya said, later adding, "The Cold War ended today in San Pedro Sula."

The United States sought to obtain concessions from Cuba this year in exchange for readmission to the 35-nation group. In particular, the United States wants greater political and personal freedoms for the island's 11 million citizens.

Cuba rejected any preconditions, with former President Fidel Castro saying this week Cuba had no interest in rejoining the OAS.

Although the OAS lifted Cuba's suspension, Latin leaders did not automatically welcome the nation back. Instead, the OAS set up a mechanism by which Cuba could rejoin. Much of that dialogue will center on human rights.

U.S. Secretary of State Hillary Clinton said she was "pleased" with the outcome, which came on a voice vote with no opposition.

"The member nations of the OAS showed flexibility and openness today, and as a result we reached a consensus that focuses on the future instead of the past: Cuba can come back into the OAS in the future if the OAS decides that its participation meets the purposes and principles of the organization, including democracy and human rights," Clinton said in a statement.

She attended the two-day meeting but left before the vote to travel to Egypt, where President Obama was to make a major address to the Muslim world Thursday.

Some analysts agreed with Clinton's assessment.

"The OAS emerged from a heated debate with a constructive compromise that revokes an obsolete Cold War resolution suspending Cuba," said Robert Pastor, who was a Latin America national security adviser for President Carter in the late 1970s. "But rather than invite Cuba to join the OAS, which Cuba said it would not do, it invited Cuba to initiate a dialogue on the purposes and principles of the OAS."

Others saw the vote as an outright rebuke for an outdated U.S. policy.

"I wouldn't say it was inevitable, but it was almost so," said Wayne Smith, who worked as a top level official at the U.S. Embassy in Cuba from 1958 to 1961 during the Cuban Revolution that brought Castro to power.

"The U.S. was totally isolated on this," said Smith, who also was the chief of mission at the U.S. interests section in Havana from 1979-82.

"The United States had some legitimate points on readmitting Cuba," Smith said, but went about it wrong.

Larry Birns, director of the Washington-based Council on Hemispheric Affairs policy institute, saw the vote as a personal defeat for Clinton.

"This will be presented in Latin America as a big defeat for Hillary Clinton because people are not ready to take a swat at Obama yet," Birns said. "It was hers to win, but she managed to lose it."

The United States is being "hypercautious," he said, rather than taking imaginative and bold steps toward normalizing relations.

Analysts said many people in Latin America expected more from the newly elected Obama, who ran on a mantra of "change."

Said Smith: "The Obama policy has reflected so little change that the other countries are just fed up."

And many Latins gauge the United States -- long considered with suspicion, if not outright hostility -- by its stance toward Cuba.

"The road to rehabilitating relations with Latin America is through Havana," Birns said. "That's something that the Latin Americans are very responsive to."

Heather Berkman, a Latin America analyst with the Eurasia Group consulting firm, saw the vote as "a largely symbolic gesture that will have little impact in the short term either on improving democracy and human rights on the island, or on increasing the likelihood that the U.S. will lift the embargo of the island."

And the vote could have a backlash, she said.

"There will be a strong reaction among certain members of U.S. Congress who are passionately opposed to improving U.S.-Cuba relations while the Castros remain in power," Berkman said.

That reaction was quick to come Wednesday.

"Today we witnessed an example of the Obama administration's absolute diplomatic incompetence and its unrestricted appeasement of the enemies of the United States," Cuban-American U.S. Reps. Lincoln Diaz-Balart, R-Florida, and Mario Diaz-Balart, R-Florida, said in a joint statement. "The OAS is a putrid embarrassment."

Other Cuban-American members of Congress also released statements criticizing the vote.

The United States provides about 60 percent of OAS funding, Berkman said, and some members of Congress have threatened to withhold the money if Cuba is allowed back into the organization.

Some old Latin America hands agree that the OAS may have hurt itself.

"I never cease to be amazed at how destructive some of these Latin American leaders can be," said Otto Reich, who served in high-level Latin American posts for Presidents Reagan, George H.W. Bush and George W. Bush. "They chose to revive something out of the Cold War."

The Latin leaders, Reich said, misread Washington.

"Some of these countries have further isolated themselves from the Obama administration," Reich said. "It will be a long time before they regain the trust of the American government."

Reich, a strong anti-communist, also opposed the vote on ideological grounds.

"The problem is that the conditions that suspended Cuba still exist," he said. "Cuba hasn't changed."

@highlight

OAS revokes a 1962 decision suspending Cuba's membership

@highlight

The 35-member Organization of American States met this week in Honduras

@highlight

U.S. had led push toward the 1962 suspension during Cold War's height

@highlight

U.S. Secretary of State Hillary Clinton says she's "pleased" with the outcome