Gulfport, Mississippi (CNN) -- Ben Stone knows quite a bit about disasters.

Five years ago, a 28-foot storm surge from Hurricane Katrina flattened his house and almost wiped out his hometown of Gulfport, Mississippi.

Now, if a rapidly growing oil spill in the Gulf of Mexico comes ashore -- as some expect -- Stone will be able to see it from the front porch of his newly-built house.

"You can get mad about this," he said. "I'm very disturbed about it."

Like residents along the coast of Alabama and Florida Panhandle, it is a waiting game for Gulfport.

Already a heavy smell of oil hung over the Mississippi beaches.

"This could not have happened at a worse time in our history," said John Kelly, the town's chief administrative officer.

The city has undertaken half a billion dollars in new construction since Katrina. Of that, $30 million is being spent on developing the harbor -- the third largest container port on the Gulf Coast.

"Well, it if it threatens the commercial sea lanes, that's a concern because if ships don't come in and ships aren't able to go out, that stops commerce," said Donald Allee, the CEO of Mississippi State Port Authority.

Equipment operator Daniel Schepens knows all too well what that will mean.

After Katrina, he was out of work for a month. He is worried the fallout from the spill could be worse.

"No ships, the warehouses are empty, no trucks, no imports, no exports," he said.

Federal officials closed a portion of the northern Gulf of Mexico to fishing Sunday, curtailing a billion-dollar business as high winds and choppy seas hampered efforts to corral a rapidly growing oil spill.

The spill cast a pall over the annual Blessing of the Fleet in Bayou La Batre, Alabama, one of many towns that make their living from the Gulf.

Republican Sen. David Vitter of Louisiana attended a boat blessing in St. Bernard, Louisiana, where fishermen have observed the tradition for decades to usher in the shrimp season.

"Louisianians are resilient and understand that in times like these, it is our traditions that tie us closer together and provide the strength we need to face the challenges ahead," he said.

"This tragic oil spill has reminded everyone about the valuable connection between our residents and our wildlife, fisheries and coastline."

In Venice, Louisiana, a rain-spattered President Obama told reporters his administration has launched a "relentless response" to the spill, but said the problem might not be solved for "many days."

A ruptured undersea well off Louisiana is spewing about 210,000 gallons (5,000 barrels) of crude a day into the Gulf of Mexico, and efforts to shut off the flow have been unsuccessful since the late April explosion that sank the drill rig Deepwater Horizon.

The leading edge of the slick has grown closer to the coast of Alabama and the Florida Panhandle.

Adm. Thad Allen, the commandant of the Coast Guard, told CNN's "State of the Union" that the slick was still nine miles off the Louisiana coast, but seas of 6 to 10 feet have made deploying booms to fend the spill off the coast "somewhat problematic."

Oil giant BP, which owns the well at the heart of the problem, said it had prepared massive boxes to be lowered over the leak points, but deploying them would take about a week.

The minimum 10-day fishing restriction imposed Sunday by the National Oceanographic and Atmospheric Administration covers an area between the mouth of the Mississippi River in Louisiana to the waters off Florida's Pensacola Bay.

"Balancing economic and health concerns, this order closes just those areas that are affected by oil," NOAA Administrator Jane Lubchenco said in a statement announcing the decision. "There should be no health risk in seafood currently in the marketplace."

The Gulf Coast's commercial fishing industry brings in about $2.4 billion to the region.

Thomas Rodi, the Roman Catholic archbishop of Mobile, officiated at Sunday's event in Bayou La Batre and said the spill could have "widespread effects" on the area -- "not only the livelihood of people, but an entire way of life."

Among those taking part in the blessing was Maurice Ryan, who said, "You have to put your trust in someone."

"I really feel like, with the church and the bishop, I've got my life in good hands," Ryan said. "BP certainly isn't helping me."

The oil spill started April 20, after an explosion on BP contractor Transocean Ltd.'s Deepwater Horizon drilling platform that left 11 men presumed dead. About 1.6 million gallons of oil have spilled since the explosion, the Coast Guard said.

"This event is a self-feeding fire," said Richard Charter of the environmental group Defenders of Wildlife. "It is so big and expanding so fast that it's pretty much beyond human response that can be effective."

The spill will have "a multidecade impact" -- a "long-term poisoning" of the area, he said.

Booms were strung across the mouths of delta estuaries in Louisiana and inlets along the Mississippi coast.

In Alabama, National Guard troops helped lay them out off Dauphin Island, at the southern end of Mobile Bay.

In Pascagoula, Mississippi, a steady stream of customers stocked up on bags of freshly boiled crawfish, oysters and shrimp. The weekend trade was good, but owner Keith Delcambre said he was worried about the future if the oil slick hits the coast.

"All I know is seafood," he said while sorting crawfish in a small workroom behind the kitchen. "I don't know what we'll do if this hits. It feels like a hurricane is coming, but what can you do to stop oil?"

The cause of the blast on the Deepwater Horizon remains unknown.

BP says a device known as a "blowout preventer" failed and has not responded to repeated attempts to activate it using remotely operated submarines.

Frustration with BP was growing across the Gulf states, and Louisiana Gov. Bobby Jindal has said the company's response has been inadequate.

But BP America's president, Lamar McKay, told ABC's "This Week" that its focus "is dealing with the source of the oil, dealing with it on the surface, and dealing with it on the beach or the marsh if it occurs."

McKay said the company has built a containment system to prevent the leaking oil from spreading. But it may take another six to eight days to deploy that system, which is made up primarily of massive boxes designed to capture the crude.

BP spokeswoman Marti Powers said the company is trying to use remote-controlled submarines to shut off the well at the ocean floor, about 5,000 feet below the surface, and spreading dispersants on and under the water to break up the slick.

The company has put out about 300,000 feet -- roughly 60 miles -- of floating booms to keep the oil away from ecologically sensitive shorelines, she said. But she said efforts to skim oil off the surface were put off because of bad weather.

"We're hampered because the weather is so bad. Some of the vessels can't get out," she said. "So that slows us down a little bit. But they are still making the effort. We did get some photos back this morning that showed quite a bit of success."

CNN's David Mattingly, Brian Todd, Sarah Hoye, Mark Biello and Richard Lui contributed to this report.

@highlight

Heavy smell of oil already hangs over Mississippi beaches

@highlight

A portion of the northern Gulf of Mexico is closed to fishing

@highlight

BP said it has prepared massive boxes to capture leaking oil