(CNN) -- The Arkansas Geological Survey is trying to unravel a mystery: What is causing earthquakes in the town of Guy, Arkansas?

Since September 20, the community of 549 residents north of Little Rock has experienced an almost constant shaking from 487 measurable earthquakes.

"We've had 15 today including a 3.1 (magnitude) from this morning," Scott Ausbrooks, geohazards supervisor for the Geological Survey, said Monday. "These are shallow quakes between two and eight kilometers (between one-and-a-quarter and five miles) below the surface."

While earthquakes aren't unusual in the Southeast state, the frequency is.

"This time last year we had 39 quakes total for the entire state," said Ausbrooks.

Most of the quakes in the swarm -- a localized surge of earthquakes with all of them about the same magnitude, according to the United States Geological Survey -- are so small they go unnoticed. The largest, a 4.0 on October 11, caused the only documented damage, cracking a window at a visitor's center to a state park.

Guy Mayor Sam Higdon said when the swarm first happened, citizens took notice. "They were calling City Hall asking, "What are you going to do?'" he said.

In response to the constant bombardment of tiny quakes, Higdon's office has organized a three-hour long town meeting, and sought the help of state geologists and members of the oil and gas industry to find answers.

"My wife wants to buy earthquake insurance. I'm trying to talk her out of it," the mayor said Monday.

There are several geologic faults in the area, but none associated with the New Madrid fault, the large seismic fault in the region and one that was the source of an estimated 7.0-magnitude earthquake in 1811. And there was another historic flurry of earthquakes in 1982, 15 miles south of Guy. Geologists know it as the Enola Swarm, responsible for 15,000 quakes within a year's time, followed by more shaking in 2001.

At first, town officials assumed the current wave of shakes came from work at a gravel company on the outskirts of town.

Ausbrooks says the state Geological Survey has no idea whether the current swarm is a natural or man-made event, but his office is seriously exploring the latter. "We see no relation to the drilling in the area, but we haven't ruled out a connection to the salt water disposal wells," he said.

According to the Arkansas Oil and Gas Commission, there are at least a half dozen "disposal wells" within a 500-square-mile zone around Guy. Licensed by the state of Arkansas, disposal wells are a byproduct of the oil and gas industry and are used to inject drilling waste water back into the earth after drilling.

Ausbrooks said drillers inject waste water into the earth at high pressure, and in the area around the town the disposal wells go as deep as 12,000 feet. He points to incidents in Colorado in the 1960s at Rocky Mountain Arsenal, where deep water injection was tied to earthquakes.

Last week the state of Arkansas issued a moratorium on new drilling permits. Lawrence Bengal, director of the Arkansas Oil and Gas Commission, said previously his office required only monthly reports outlining the operations of injection wells.

"We're asking well operators to provide daily reports now," Benegal said.

Ausbrooks said his office is poring over the data trying to determine whether there is a correlation between the disposal wells and the shaking, and he hopes to present preliminary findings to the state next month.

@highlight

The town of Guy, Arkansas, has been shaken by hundreds of small earthquakes

@highlight

Geologists have counted 487 measurable quakes since September 20

@highlight

That's almost equal to one per resident in the town of 549

@highlight

State officials are investigating whether the quakes are natural or from industrial work