Islamabad, Pakistan (CNN) -- The family of a mentally ill British man sentenced to death in Pakistan for blasphemy is calling on authorities to release him.

A court in the city of Rawalpindi last week handed down the punishment to Muhammad Asghar, 69, over charges alleging that he wrote letters claiming to be a prophet.

But his family, his lawyer and a British legal aid group say the court failed to take into account the mental state of Asghar, who has been diagnosed with paranoid schizophrenia.

The sentencing hearing took place last week behind closed doors without his legal team's knowledge, they say, and his lawyer has been blocked from visiting him since.

"We are really upset and concerned that they will never release him and that he will die in jail," his family said in a statement released Monday by the British legal aid and advocacy group Reprieve. "He has already attempted suicide unsuccessfully."

Asghar was convicted under Pakistan's controversial blasphemy law, which human rights groups say is used to settle personal scores and persecute minorities.

Now, his family and lawyer are concerned that his legal team will be prevented from meeting a key deadline this week to file an appeal that they say would keep important evidence about his mental health admissible in the case.

History of mental illness

Asghar was diagnosed with paranoid schizophrenia in 2010 in Edinburgh, Scotland, the city where he was living at the time, and kept under observation in the hospital for over a month.

Later that year, he traveled with his wife to Pakistan, where he owns a number of properties.

He was arrested near Rawalpindi and jailed in September 2010 on allegations that during a dispute with one of his tenants, he had sent letters claiming to be a prophet.

Under Pakistani law, blasphemy against the Prophet Muhammad is punishable by death or life imprisonment.

A Pakistani law firm took up his case and has been working on it for the past three years. The lawyer for the firm who has been representing Asghar spoke to CNN about the case on the condition of anonymity because of security concerns -- the firm has received threats in the past.

The lawyer says Asghar denies sending the letters, describing the case as the result of a property dispute that turned bad.

Tackling religious intolerance and violence in Pakistan

'Horrific jail conditions'

Asghar's family and legal team have criticized his treatment in jail and the way the Pakistani court system handled the case.

"The dates kept being moved forward so that by the time the trial concluded he had already been in horrific jail conditions sharing a cell with several other men for three years," the family said in its statement. "Throughout this time he had minimum access to medication that might have helped his mental illness."

In early 2012, he tried unsuccessfully to commit suicide, his lawyer says, and spent time in the hospital recovering.

A medical report about his mental state, provided to the court around that time, was flawed and lacked proper psychiatric assessment, the lawyer says.

Psychiatrists willing to testify in the case were deterred because of direct threats to their security, the lawyer says.

An independent analysis of Mohammad Asghar's case by the Pakistan Association for Mental Health stressed the need to put him on suicide watch saying "his threats to commit suicide cannot be taken lightly."

Opinion: A war is raging against free speech

Appeal deadline looming

The legal team that had been working on his case was replaced by a state counsel in the final stages of the trial after filing a request to have the judge replaced on the grounds of probably bias, Reprieve said.

Members of the legal team have been visiting Asghar at Rawalpindi's Central Jail, known as Adiala Jail, where he is being held. But they are no longer able to get permission to see him.

That's a big issue because the lawyers have until Thursday to file an appeal before the High Court. If they don't make the deadline, an automatic "jail appeal" will be filed.

In that case, Asghar's lawyers "will be barred from raising crucial evidence of Mr. Asghar's mental health and other fair trial issues on appeal," Reprieve says.

Asghar's lawyer told CNN that without a proper appeal, the case might languish in the court system for years.

The lawyer said that considering Muhammad Asghar's frail mental health and suicidal tendencies, she fears he "might not survive" that time period.

His relatives say they want Pakistan to release him so "he can be treated appropriately for his medical condition."

Baroness Sayeeda Warsi, a senior official at the British Foreign and Commonwealth Office, said in a statement that Britain will be raising concerns over Asghar's sentence "in the strongest possible terms with the Pakistani government."

Pakistani officials weren't immediately available for comment on the matter Tuesday.

Judges under pressure

Accusations of blasphemy often unleash fierce passions in Pakistan, drawing angry crowds who gather outside court hearings demanding punishment before cases have even been heard.

"So much pressure is on the police and judiciary to take action that even in the face of overwhelming evidence of innocence or shoddy evidence against the accused, no judge is willing to be seen to be lenient," Asghar's lawyer told CNN.

"There was a mob outside the police station when Asghar was arrested, there was a mob outside the hospital when he was rushed there after attempting suicide,"she said. "People leak information and put pressure on the justice system."

Although human rights advocates say minorities are often the targets of blasphemy charges, the Human Rights Commission of Pakistan says the majority of people accused of or imprisoned for blasphemy are Muslims.

Pakistan's population is overwhelmingly Muslim.

In January 2011, Punjab Governor Salman Taseer was shot to death by one of his security guards after publicly supporting a Christian woman accused of blasphemy and calling for a change in the law.

In 2012, the case of a Rimsha Masih, a Christian teenager accused of blasphemy, caused an international outcry. Charges against her were eventually dropped, but she and her family were forced to go into hiding.

That's why Asghar's lawyers are so concerned about his safety.

Members of the firm representing him have faced direct threats to their safety because of the case, his lawyer said.

In 2012, six people at the firm quit in one day because they were concerned for their safety.

But despite the risks, the firm has stuck by him.

@highlight

Muhammad Asghar was convicted of charges he claimed to be prophet

@highlight

His family and legal team say he is suffering from paranoid schizophrenia

@highlight

Human rights groups have criticized Pakistan's controversial blasphemy law

@highlight

Asghar's family is calling on Pakistan to release him so he can get treatment