(CNN) -- What on Earth would drive a man to swim in Arctic waters wearing nothing but Speedos, goggles and a cap?

Lewis Pugh braves the icy water off the arctic archipelogo of Svalbard.

For Lewis Pugh, it was a love of the environment and a passionate desire to save the Arctic from global warming.

His 1 km swim (0.62 of a mile) in 2007 made him the first person to complete a long-distance swim at the North Pole -- the purpose, to highlight the fact that it was possible to swim for a kilometer in a place that should be solid ice.

Pugh, now aged 39, is a former maritime lawyer who abandoned his practice six years ago to become a full-time environmentalist and adventurer.

Since then he has become the first person to complete long-distance swims in all five of the world's oceans and has become the world's leading cold water swimmer.

Born in England and brought up in South Africa, Pugh sees himself in the mould of pioneering British adventurers like Sir Edmund Hillary, fearlessly braving waters no one else would dare swim. But rather than just aiming for a place in the history books, his motivation is to publicize the environmental damage he has witnessed on his swims.

In 2006, to raise awareness about global warming and that year's drought in England, Pugh swam the entire length of the River Thames -- all except the first 26 miles, which had already dried up. He took a break from the 200-mile journey to call in at No. 10 Downing Street, where he discussed climate change with Tony Blair.

The next year, Pugh became the first person to swim the 87 mile-width of the Maldives. The 10-day swim was Pugh's way of raising awareness of how climate change is threatening to submerge low-lying islands.

But he is best known for his North Pole adventure. His Arctic swim lasted 19 minutes in temperatures of around minus 2 degrees Celsius. Were any normal person to fall into waters that cold they would be in serious trouble.

Pugh's long-time coach Professor Tim Noakes told CNN, "People usually drown very quickly on exposure to cold water because they start to hyperventilate and when you hyperventilate you can't coordinate. They inhale water and they can't coordinate their swimming. Most people can't even go 20 meters if they are exposed to ice-cold water."

But Pugh has developed a unique mechanism for overcoming freezing conditions. He is apparently able to increase his body temperature by will power alone. In a process that Noakes has dubbed "anticipatory thermogenesis", Pugh can raise his body temperature to a feverish 38.4 C, some 1.5 degrees above normal body temperature.

Noakes first noted this extraordinary ability during a training session. Before entering the water, Pugh cast his mind back to a traumatic parachuting accident he witnessed when he was a soldier in the British army, reliving the event in detail. Noakes recorded an increase in Pugh's body temperature and over the next fortnight, as Pugh was exposed to more cold-water swims, he was able to increase his temperature even further, peaking at 38.4 C.

These days, before Pugh braves sub-zero waters he listens to U.S.rapper Eminem, gets himself into an aggressive state of mind and drives up his internal temperature. Once he hits the water, it's all about mental strength.

Noakes told CNN "The moment you dive into cold water your temperature drops and the brain sends a message to get out of the water. The first thing Pugh has to do is control that response. What happens is that I become his brain, so he says 'fine, as long as Dr Noakes allows me to swim, it's safe and I must just ignore what my brain is telling me.'"

Achieving that level of willpower doesn't come easily. While Pugh does an hour of cold-water swimming a day, he devotes four hours a day to mind training. His technique is to visualize his swim from beginning to end.

"I can taste salt water in my mouth. I can hear the sounds of the engines, of Tim Noakes screaming at me. I can feel ice burning my skin, I can smell the sea air. I absolutely live that moment. I have swum the North Pole hundreds of times in my mind," he told CNN.

If the Arctic swim was intended to highlight shrinking polar ice caps, Pugh acknowledges that there's still plenty of work to do on that front and he now speaks on environmental issues all over the world.

In 2008 Pugh founded the Polar Defense Project with the aim of protecting the Arctic and of encouraging world leaders to take action to stop climate change. As well the risk of polar melting, Pugh sees an Arctic treaty as essential to prevent the exploitation of the North Pole for oil and gas.

As Pugh put it after completing his Arctic swim, "I'm relieved that it's over. Now the real work begins."

@highlight

Lewis Pugh was the first man to complete a long-distance swim in the Arctic

@highlight

"Most people can't go 20 meters in ice-cold water," says his coach

@highlight

Pugh is able to increase his body temperature using will power alone

@highlight

His extreme swims are intended to publicize the effects of global warming