WASHINGTON (CNN)  -- Sen. Barack Obama's decision to reject roughly $85 million in public financing -- as well as the strict spending limits that would accompany those funds -- did not come as a surprise to most political observers.

The decision was criticized by his opponent, some Democrats and public interest groups.

But does the public really care? Probably not.

The presumptive Democratic nominee has smashed fundraising records this cycle by harnessing the power of the Internet to raise the once unimaginable sum of almost $266 million from more than 1.5 million donors through the end of April.

Obama's fundraising machine shows no sign of slowing down anytime soon. If anything, it will only pick up the pace now that a whole new pool of donors has been made available with the elimination of Sen. Hillary Clinton from the campaign.

Sen. John McCain, on the other hand, has raised $93 million through April. A significant number of unenthusiastic conservatives have so far been unwilling to open their wallets for the presumptive GOP nominee. McCain, in what could turn out to be a tragically ironic twist of fate for his campaign, angered many of the same wealthy Republican donors he now desperately needs by trumpeting the cause of campaign finance reform throughout most of his Senate career.

Obama is the first presidential candidate to reject public funding since the creation of the post-Watergate campaign finance system. He all but ensures that he will be able to outspend McCain significantly in every swing state -- in the ground game and on the airwaves -- through November.

For his part, Obama argues that he opted out of public funding because "the public financing of presidential elections as it exists today is broken, and we face opponents who've become masters at gaming this broken system."

Tapping into a fear among many Democrats who still angrily remember the "swift boat" attacks against Sen. John Kerry in 2004, Obama says, "We've already seen that [the McCain campaign is] not going to stop the smears and attacks from his allies running so-called 527 groups, who will spend millions and millions of dollars in unlimited donations."

McCain's advisers, not surprisingly, have a different take on Obama's decision. They argue that Obama failed to abide by his pledge, as stated in a response to a questionnaire from the Midwest Democracy Network in November, to "aggressively pursue an agreement with the Republican nominee to preserve a publicly financed general election."  Watch McCain blast Obama's decision »

"The true test of a candidate for president is whether he will stand on principle and keep his word to the American people," said Jill Hazelbaker, McCain's communications director. "Barack Obama has failed that test, and his reversal of his promise to participate in the public finance system undermines his call for a new type of politics."

Some Democrats and public interest groups were also critical.

"This is not a good decision," said Sen. Russ Feingold, co-author of the McCain-Feingold campaign finance bill. "While the current public financing system for the presidential primaries is broken, the system for the general election is not. The entire system must be updated."

Common Cause issued a statement noting that "Sen. Obama did say at one point that he would opt into the system if his opponent did the same, and for that he gets a demerit."

Most polling on the issue indicates that a majority of voters are not fond of the idea of bankrolling presidential campaigns. In an August 2007 Gallup Poll, 57 percent of respondents said that federal financing of presidential candidates was unacceptable, while 41 percent agreed with the idea.

A larger share of voters (47 percent) said it was more acceptable for candidates to raise money for their campaigns from much-maligned political action committees. Ninety-three percent had no problem with individual contributions made by ordinary citizens.

"For years now, polls have suggested that many Americans don't see the point in giving tax dollars directly to politicians," said Keating Holland, CNN's polling director.

"That's why public financing of campaigns has not been wildly popular, as shown by the relatively low number of taxpayers who use the checkoff box on their tax forms to allocate money to the system that Obama has opted out of."

Indeed, since public financing of general elections first came into effect for the 1976 campaign, the percentage of taxpayers choosing to contribute to the presidential election fund has steadily declined. In 1976, almost 28 percent of taxpayers contributed to the fund. In 2006, slightly less than 11 percent agreed to steer $3 of their taxes to the fund.

If Obama's campaign is hurt at all by this decision, that damage may result more from a public perception of hypocrisy than from any consternation over a rejection of taxpayer dollars. The McCain campaign has seemed to acknowledge so by criticizing Obama for flip-flopping on the issue instead of trying to defend the merits of public funding.

Moving forward, McCain said Thursday that he will take public financing this fall. The senator from Arizona may be trying to make a virtue out of necessity.

Unable to compete with Obama's fundraising prowess, McCain may try to claim the moral high ground by portraying himself as a straight-talking underdog, while simultaneously painting Obama as an untrustworthy adversary.

Obama likely will continue to defend his decision by criticizing McCain for failing to rein in the Republican-leaning organizations such as those that launched such damaging attacks against Kerry.

At the same time, securing an overwhelming financial advantage in the final months of the 2008 campaign in exchange for a small slap on the wrist from groups such as Common Cause isn't such a bad tradeoff.

As the old saying goes, money probably will always be the mother's milk of politics.

@highlight

Sen. Barack Obama first candidate to reject public funding since system's creation

@highlight

Sen. John McCain says Obama has broken his promise to fund race publicly

@highlight

Obama has used Internet to raise nearly $266 million from 1.5 million-plus donors

@highlight

The only negative for Obama may be a public perception of hypocrisy