Less than a week after a tightly controlled trial, a Chinese court Tuesday found a prominent Uyghur scholar guilty of "separatism" and sentenced him to life in prison, his lawyer said.

Ilham Tohti, an economics professor at Beijing's Minzu University, was tried for two days last week at the Intermediate People's Court in Urumqi, capital of Xinjiang.

The trial took place in China's restive western region where a spate of recent violent incidents have been blamed by the government on Muslim Uyghur separatists seeking to establish an independent state.

The court also ordered the confiscation of all of Tohti's assets, said Liu Xiaoyuan, one of Tohti's lawyers,

Police detained the 44-year-old academic -- along with several of his students -- in Beijing in January and took him to his native Xinjiang. Tohti spent months in jail before state prosecutors charged him with the serious crime of "splitting the country."

Liu told CNN before the court announcement that he and his client were prepared for a guilty verdict and would appeal.

The ruling Communist Party controls all aspects of China's judicial process and, according to the country's supreme court, the conviction rate for criminal trials stood at 99.9% at the last count.

"Whatever the result, he said he would face up to it," Liu said, while anticipating a heavy sentence for Tohti. "But he emphasized he's not a separatist, just someone who offered constructive criticism on the government's ethnic policies."

"He maintained that he'd always been trying to preserve ethnic unity, not to destroy it," the lawyer added. "What he wanted was the implementation of human rights, rule of law and genuine autonomy in Xinjiang."

'Respected professor'

In a statement, The White House called on Chinese authorities to release Tohti, describing him as a "respected professor who has long championed efforts to bridge differences between Uyghurs and Han Chinese."

Although Tohti was indicted only in late July, Xinjiang police said in a statement in January that they had gathered firm evidence of him colluding with overseas forces to "spread separatist ideas, incite ethnic hatred and advocate Xinjiang independence."

The police statement also accused Tohti of teaching students about "violent Uyghur resistance" in his class and encouraging them to overthrow the Chinese government.

U.S. Secretary of State John Kerry said that the harsh sentence appeared to be "retribution for Professor Tohti's efforts to promote human rights for China's ethnic Uyhgur citizens."

He added that Tohti and those like him were "indispensible in helping to resolve the underlying causes of unrest and violence" and "silencing them can only make tensions worse."

Tohti's defense team has challenged the Urumqi court's jurisdiction over the case and complained about the poor treatment of their client in jail, which at one point caused him to stage a ten-day hunger strike in protest. The lawyers recently said that Tohti was put in shackles and denied warm clothes in a cold cell.

The Xinjiang government did not immediately respond to CNN's call for comment Tuesday.

Lawyer Liu said Tohti was mostly calm and relaxed during the trial but launched an eloquent and passionate hour-long self-defense toward the end of the hearing, prompting the judge to warn him "this is not your lecture hall."

Human rights campaign group Amnesty International said the verdict and heavy sentence was an affront to justice.

"Ilham Tohti worked to peacefully build bridges between ethnic communities and for that he has been punished through politically motivated charges," said William Nee, China researcher at Amnesty International.

"Tohti is a prisoner of conscience and the Chinese authorities must immediately and unconditionally release him."

International attention

Tohti's fate has attracted great international attention.

Western diplomats -- including representatives from the U.S. embassy in China -- and journalists trying to attend the "open trial" last week were kept at bay, as uniformed and plainclothes police flooded the area around the court.

The authorities allowed in four Tohti family members -- his wife and three brothers -- who had not seen him for nine months.

The U.S. government has expressed deep concern over the scholar's case and called for his release on several occasions.

"His arrest silenced an important voice that peacefully promoted harmony and understanding among China's ethnic groups, particularly the Uyghurs," a spokesman for the U.S. embassy in Beijing told CNN after the trial. "We stress the importance of Chinese authorities differentiating between peaceful dissent and violent extremism."

Tohti is known for his research on Uyghur-Han relations and has been a vocal critic of the government's ethnic policies in Xinjiang, a resource-rich region long inhabited by the Turkic-speaking Uyghurs.

The arrival of waves of Han, China's predominant ethnic group, over the past decades has fueled ethnic tensions.

Some Uyghurs have expressed resentment toward the Han majority in recent years over what they describe as harsh treatment from Chinese security forces and loss of economic opportunities to Han people in Xinjiang.

Amnesty International has said Uyghurs face widespread discrimination in employment, housing and education, as well as curtailed religious freedom. Other critics, including exiled Uyghur activists, have attributed the rise of violence in Xinjiang to Beijing's increasingly repressive rule there -- a claim the government vehemently denies.

@highlight

Chinese court has found a prominent Uyghur scholar guilty of "separatism"

@highlight

He has been sentenced to life in prison

@highlight

Lawyer told CNN he was prepared for guilty verdict and would appeal

@highlight

White House calls on China to release "respected professor"