BAGHDAD, Iraq (CNN)  -- Shiite cleric Muqtada al-Sadr called on followers to stop shooting and cooperate with Iraqi security forces Sunday, a move Iraq's government praised as a step toward ending six days of fighting that has left hundreds dead.

A Shiite fighter runs toward an Iraqi Army armored vehicle Sunday after clashes near a TV station in Basra.

"We announce our disavowal from anyone who carries weapons and targets government institutions, charities and political party offices," al-Sadr said in a nine-point statement issued by his headquarters in Najaf.

The statement was accompanied by demands that the Iraqi government issue a general amnesty to his followers and release any being held. The statement was distributed across Iraq and posted on the Internet.

The move was welcomed by Iraq's government, whose forces have been fighting al-Sadr's militia, the Mehdi Army, in six days of clashes with so-called "outlaws" who had taken control of much of the southern city of Basra. U.S. and coalition troops have been supporting the Iraqi offensive.

Prime Minister Nuri al-Maliki, who had vowed not to leave Basra until his government reclaimed control of the city, called al-Sadr's statement a "step in the right direction" and said he hoped it would help to stabilize the region.

"We renew our assurance that the process of enforcement [of] the law in Basra does not target any political or religious group, including the Sadr movement," al-Maliki said in a prepared statement.

Witnesses reported continued clashes throughout the day in Basra even after Sunday's announcements. But Iraqi authorities said after al-Sadr's announcement they would lift an indefinite curfew that had been imposed on Baghdad since Thursday.  Watch how the cease-fire affects Shiite vs. Shiite fights »

The curfew is scheduled to be lifted 6 a.m. Monday (11 p.m. Sunday ET), said Gen. Qassim Atta, an Iraqi military spokesman. But a vehicle ban will stay in place in three Shiite militia strongholds -- neighborhoods in the capital, including Sadr City, Kadhimiya and Shulaa, Atta said.

A curfew that was imposed on Basra was lifted Saturday.

Al-Sadr's statement came after what an aide described as direct talks between al-Sadr's representatives and the Iraqi government in Najaf that started Saturday night.

Iraqi government spokesman Ali al-Dabbagh denied there were talks with al-Sadr's representatives, directly or indirectly. But speaking on Iraqi state TV, al-Dabbagh said "A large number of people will listen to Muqtada al-Sadr's call."

"Life will return to all of Iraq as before," he said. "The statement is positive and responsive; we as the government of Iraq believe this effort will be in the common interest and help the security efforts that the government is working to achieve."

Death tolls are difficult to obtain, but reports from Iraqi and coalition authorities suggest more than 400 people have died since fighting began Tuesday. The fighting has been heaviest in Basra, Iraq's second-largest city and major oil port, and a U.S. military analysis of the battle indicated the government push was not going as well as American officials had hoped, several U.S. officials said Friday.

In Washington, CIA Director Michael Hayden told NBC's "Meet the Press" Sunday that about 70 percent of Basra was under the control of "criminal elements" when the assault was launched. Though the increase in violence was disappointing, he said, the government assault "was something that we all knew we had to go through."

"This was inevitable. This had to be resolved. You just can't have the second major city in the country -- economically, the most important city in the country -- beyond the control of the government," Hayden said.

Top U.S. officials, including President Bush, have praised al-Maliki's operation as a sign of a strengthening Iraqi government. But Hayden and Sen. Lindsey Graham, R-South Carolina, said the Iraqis did not consult them before launching their offensive.

"We'll see how well the Iraqi army fought. We'll see how well it was planned and executed. And we may find that the Iraqi army did not do a very good job of planning and executing this effort," Graham, a Senate colleague and close ally of Republican presidential candidate Sen. John McCain, told "Fox News Sunday."

Graham said the militia fighters that Iraqi troops are battling are backed by Iran, which he said was "killing Americans" by arming the militias. But Rhode Island Sen. Jack Reed said Iran has close ties to all of Iraq's Shiite factions, including al-Maliki's Dawa party and the country's largest Shiite religious party, the Islamic Supreme Council of Iraq.

"The notion that this is a fight by American allies against Iranian-inspired elements is not accurate," said Reed, a leading Democrat on the Senate Armed Services Committee.

Al-Sadr's political movement holds 30 seats in Iraq's 275-member parliament and was once a partner in al-Maliki's ruling coalition. The party quit the government in 2007 after al-Maliki refused to demand a deadline for the withdrawal of U.S. troops.

The cleric's supporters have linked the government offensive to provincial elections slated to take place October 1. Nassar al-Rubaie, an official in al-Sadr's political movement, said the army and police were being used "for political reasons."

A high-ranking Iraqi security official said at least 200 people have been killed and 500 wounded in Basra battles since Tuesday. More than 100 had been killed in Baghdad as of Sunday, with another 100-plus killed in clashes in other cities in southern Iraq, Iraqi authorities reported.

U.S. and British forces have supported Iraqi troops with airstrikes and shelling in Basra, as well as reconnaissance and intelligence, coalition military officials have said. U.S. troops have also conducted raids and engaged in gun battles with militia fighters alongside Iraqi troops.

U.S. airstrikes killed at least 15 people in Baghdad neighborhoods known to be Mehdi Army strongholds Sunday morning, an Iraqi Interior Ministry official said. And Baghdad's International Zone -- where many Iraqi government buildings and embassies are located -- was targeted again Sunday by rockets or mortars, but no injuries or damage was immediately reported, a U.S. Embassy official said.

Also on Sunday, roadside bombings in northern and western Iraq killed two U.S. troops, while attacks on Iraqi police and others left another 19 dead, Iraqi police and U.S. military officials reported.

One roadside bombing killed a U.S. soldier north of Baghdad, while a Marine died in another bombing in the western province of Anbar, the U.S. military headquarters there reported. No details of the attacks were released. The latest attacks bring the U.S. death toll in the 5-year-old war to 4,009.

Other developments

• In northern Iraq, five Iraqi police officers were killed and two bystanders were wounded when gunmen attacked a police patrol in the town of Dhuluiyah Sunday, Samarra police said.

• The U.S. military said Sunday it found a mass grave with 14 bodies near Muqdadiya. The bodies, which showed signs of torture, appeared to have been in the grave for two to six months. They were found 100 yards from where 37 bodies were found buried Thursday, the military said.

• Ten people were killed Sunday when a suicide car bomb struck a checkpoint manned by members of the Awakening Council, Baiji police said. Four members of the council were among the dead. Awakening Councils are largely Sunni security groups that have been recruited by the U.S. military.

• Also in Baiji, a child was killed and seven civilians were wounded when a mortar landed in a residential area Saturday afternoon, Baiji police said Sunday.

• In Samarra, gunmen stormed the home of an Awakening Council member, killing him and his son. His wife and daughter were wounded in the Saturday morning attack, Samarra police said Sunday.  E-mail to a friend

CNN's Mohammed Tawfeeq and Jonathan Wald contributed to this report.

@highlight

NEW: Baghdad curfew to be lifted 6 a.m. Monday local time (11 p.m. Sunday ET)

@highlight

NEW: Muqtada Al-Sadr orders cooperation with Iraqi security forces

@highlight

Al-Sadr demands amnesty for followers, release for those captured

@highlight

Nine-point statement followed U.S. airstrikes in Baghdad that left 15 people dead