(CNN) -- This month marks the anniversary of many historical milestones in the continuing effort to guarantee equal rights to all Americans.

The 19th Amendment was ratified on August 18, 1920, granting women the right to vote.

On August 28, 1963, the Rev. Martin Luther King Jr. marched for civil rights and delivered his clarion call for a more just America on the steps of the Lincoln Memorial in Washington. And, 45 years ago Friday, President Lyndon Baines Johnson signed into law the historic 1965 Voting Rights Act.

That law has proved to be one of the most successful civil rights laws in our nation's history, extending to millions of Americans the right to vote and the opportunity to participate more fully in our democracy. In celebrating its 45th anniversary, we must also remember that passing the Voting Rights Act and other civil rights laws was no easy feat.

After the Civil War, ratification of the 15th Amendment was supposed to extend voting rights regardless of "race, color or previous condition of servitude," meaning former African slaves would have the right to vote. But that promise was left unrealized because state legislatures (especially the southern states of the former Confederacy) expertly circumvented the Constitution and used "Jim Crow" laws to ensure the continued disenfranchisement of African-Americans.

Poll taxes, "literacy tests" and blatant threats of violence depressed voter registration rates in black communities. Blacks attempting to register to vote were often brutally beaten. Many were killed.

Then came Bloody Sunday. On March 7, 1965, about 600 peaceful civil rights workers were marching from Selma to Montgomery, Alabama. While attempting to cross the Edmund Pettis Bridge in Selma, these nonviolent activists were savagely beaten and bloodied by Alabama state troopers.

The images of that brutality were displayed on TV and in newspapers throughout the country and around the globe. Those visuals are widely credited with shifting public opinion in favor of the nonviolent protesters and leading to the passage of the Voting Rights Act. LBJ (a Texan) and other national leaders showed amazing strength and courage by forging ahead with legislation that many in the South would have called an overreach of federal power.

The civil rights movement awakened the nation's conscience. Passage of the act signaled a new era of voting rights in the United States, finally enfranchising low-income blacks. It introduced federal oversight of elections to eliminate intimidation of minority voters and arbitrary registration requirements. The law directed the Department of Justice to challenge states' use of poll taxes, and one year later, the Supreme Court responded by declaring such taxes unconstitutional violations of the 14th Amendment.

Amendments to the Voting Rights Act in the 1970s introduced protections for language-minority citizens, and later amendments banned supposedly "neutral" voting regulations that had racially disparate effects. The protections contained within the act, a century in the making, finally gave force and effect to many of the hard-fought gains of the Civil War.

The Voting Rights Act is directly responsible for the election of dozens of African-American House members and the formation of the Congressional Black Caucus. Today, African-American voter registration rates are approaching those of whites in many areas, as are the rates of Latino voters.

I wonder how the 1960s civil rights marchers would be treated by today's new media: whether the powerful images they created through nonviolence could be edited to instead show a riotous crowd; whether nightly opinionated "journalists" could successfully portray them as mere lawbreakers. And, I wonder whether today's political leaders would have the same courage as those serving in 1965.

Recall that it wasn't in Johnson's political interest to forge ahead on civil rights policies, but it was the right thing to do for the country. It seems doubtful that today's elected leaders would take such a stand, especially in light of the growing chorus of Republican lawmakers questioning the citizenship provision in the 14th Amendment.

States today are also fashioning new ways to restrain voting rights. Georgia, for example, relies on outdated and inaccurate information to verify the citizenship status of Georgians registering to vote. The Department of Justice concluded that the program improperly harms minority voters. Rather than repair its program, Georgia elected to sue the federal government in hopes of continuing to use its flawed process.

A heavily disputed law now on the books in Indiana forces voters to show government-issued photo ID, which is inconvenient and expensive to obtain, keeping many low-income people from casting a vote.

Other states have enacted similar laws or have simply refused to comply with federal demands, perhaps betting that they are unlikely to face reprimand from an overburdened federal government. This year, an election administrator in Texas -- a state employee -- publicly mocked the Voting Rights Act's language minority protections, telling an audience that poll workers should simply speak in slow, broken English to Spanish-speaking voters. The administrator was fired.

We know that the promise of equality enshrined in our Constitution, and brought to bear by the Voting Rights Act, falls victim even today to ideological skirmishes and petty politics. But honoring the anniversary of the Voting Rights Act means acknowledging these remaining challenges and committing ourselves to addressing them. Just as it was 45 years ago that when Jim Crow was the law of the land.

The right of every citizen to vote is too fundamental to the health of our democracy to be wielded as a political cudgel or traded away in favor of other, fleeting interests.

This month, as we stop to appreciate and celebrate the efforts of generations past, we know that our reach towards meaningful equality -- that goal that Justice Thurgood Marshall once called only a "distant dream" -- grows stronger with each voter registered and every ballot cast.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Amendment passed after Civil War was supposed to guarantee former slaves right to vote

@highlight

In reality, states found ways to deny people voting rights, says Donna Brazile

@highlight

Passage of the Voting Rights Act in 1965 finally ensured the right to vote, she says

@highlight

Brazile: States today are fashioning new ways to deny voting rights