(CNN) -- After being sued for sexual harassment, a Yahoo executive is countersuing a former employee who leveled the original accusations against her. While the stakes of the sexual harassment claim are large, the underlying facts are actually quite common in this variety of litigation.

Former software engineer Nan Shi filed a complaint against the executive, Maria Zhang, accusing her of coercing Shi into sex, and threatening to fire Shi. Zhang and Yahoo's defense is that Shi fabricated the entire story. Yahoo says she is an underperformer who received negative performance evaluations.

There is perhaps no area of the law where we have failed to educate our citizenry more than sexual harassment. Every lawyer has fielded a call from a potential client or family member, who believes fervently that they are victims of "harassment," "discrimination" or a "hostile work environment."

That may be true. But, there is a huge difference between the common usage of these words and the legal definition. The vast majority of what employees personally consider "harassment" bears little resemblance to the kind of harassment that is legally actionable.

Federal and state law, and in the Yahoo case, the California Fair Employment and Housing Act prohibits discrimination and harassment against an employee based on sex (among other things). There are two types of sexual harassment: hostile work environment sexual harassment and quid pro quo sexual harassment.

Hostile work environment is far more popular in that people often believe their workplace is hostile because their boss is a jerk, or he "has it out for them." But, as the Supreme Court has famously said, discrimination laws are not a "general civility code for the American workplace."

In the Yahoo case, the plaintiff is alleging the other kind of harassment. Quid pro quo harassment is rarer, but potentially easier to prove. Quid pro quo means "this for that." Simply put, a plaintiff must prove that a boss first made unwanted sexual advances or engaged in other unwanted sexual conduct.

The plaintiff must also prove either that job benefits were conditioned on acceptance of those sexual advances or that employment decisions were based on his/her acceptance or rejection of the boss' conduct.

As one can imagine, it's far more common for people to allege that they work in a generally sexually charged atmosphere than to allege that a boss made a concrete sexual advance, with a clear "or else" condition attached to it.

From an evidence standpoint, however, quid pro quo harassment has more "smoking gun" potential. This is because a single instance of quid pro quo sexual harassment may be actionable. On the other hand, a single incident of hostile work environment sexual harassment will not justify a lawsuit, unless it's really bad.

It makes sense: If the boss sends you an e-mail saying: "Meet me in the supply room for hanky-panky if you want that promotion," then you've established the overture with one e-mail. On the other hand, e-mailing or telling a lewd joke may be offensive in one person's cubicle, but hilarious in the other's. It makes sense that hostile work environment requires more severe, pervasive behavior, or else the legitimate claims would be overwhelmed by the "can't take a joke" plaintiffs.

In the Yahoo case, the plaintiff has alleged actual sexual contact, which the executive denies.

Even in cases where there is a consensual relationship, there can still be actionable sexual harassment. This commonly happens where the office romance ends, and the demotions begin. So, even if there was a prior relationship, the plaintiff here could potentially prevail on a harassment claim.

If Shi fabricated the allegations, as the defendants assert, then that would be a bold and brassy lie. But it wouldn't be unique. Defendants in these cases frequently claim the plaintiff conjured up harassment just to save their job after substandard performance reviews. It becomes a high-stakes chicken-and-egg game: Were the negative reviews a conspiracy to cover up the harassment? Or was the harassment made up to cast doubt on the reports of underperformance? Only time—and a jury—will tell.

According to California law, all employers must take all reasonable steps to prevent harassment.

At least some of those reasonable steps include that sign we've all seen over the coffee machine in the break room, the one that basically says "Sexual Harassment is Bad." In California, that's a poster distributed by the California Department of Fair Employment and Housing. Increasingly, it seems, we're becoming a nation of anemic warning signs instead of concerted action. Do we actually believe an executive planning to accost and grope his secretary in the file room will rethink his intentions after reading a poster hung over the water cooler?

California employers have a duty and a financial incentive to investigate these claims, because employers are often held strictly—or automatically—liable for a lecherous supervisor.

Yahoo allegedly conducted an investigation and cleared Maria Zhang. In California, an employer's duties in responding to allegations include conducting an immediate inquiry, encouraging a written complaint, and protecting the employee from retaliation. It's true that human resources is oft-criticized for siding with management against employees, but if Yahoo feels confident enough to keep backing Zhang, that suggests its internal investigation revealed no wrongdoing.

Ultimately, actionable sexual harassment claims are a fraction of the total charges filed with the EEOC and state agencies. This is because the public misunderstands the high burden on a plaintiff to prove sexual harassment. It takes a lot to prove an employer's conduct transcended ordinary office nastiness into illegal harassment.

The recent story of the Chicago area employer who limits bathroom breaks to six minutes a day reminds us what we all already knew: There are a lot of lousy workplaces, evil bosses and cruel co-workers. Unfortunately, the vast majority of us have a perfectly legal—if not pleasant—work environment.

@highlight

Danny Cevallos: A Yahoo exec is being sued for sex harassment, but denies charges

@highlight

He says case highlights how poorly understood the sexual harassment law is

@highlight

Cevallos: There are two kinds of sexual harassment cases, both difficult to prove