(CNN) -- After a year of 10-to-14 hour workdays, the use of seven recording studios and just under $1 million in production costs, Fleetwood Mac's "Rumours" was released in 1977 -- and it hasn't fallen out of rotation since. 

The classic disc was the No. 1 album on the charts for 31 weeks, with Rolling Stone naming "Rumours" the 25th greatest album of all time. It is the 10th best-selling album ever with more than 40 million copies sold to date, and it features four top 10 singles.

It won the 1977 best album Grammy and, 35 years later, remains the band's most successful effort.

Ken Caillat, author of the new book, "Making Rumours: The Inside Story of the Classic Fleetwood Mac Album," was the iconic album's engineer/co-producer. (He's also the father of Grammy-winning singer Colbie Caillat and produced her No. 1 album, "Breakthrough.")

"Rumours," Caillat said, is the "perfect album because it had this really great combination of lyrics and ... well-thought-out musical components," he told CNN. "It's the perfect ride for the perfect time."

But Fleetwood Mac's story began in another decade on another continent. And as fate would have it, the only two members who were with the group from the start are its namesakes: Mick Fleetwood and John McVie.

Fleetwood Mac was originally a blues-format group formed in England in 1967 by Fleetwood, McVie, Peter Green and Jeremy Spencer.

In 1970, Green left the group and McVie's wife, keyboardist/vocalist Christine McVie, joined. Spencer left that same year, and the late guitarist Bob Welch joined. The group relocated to California in 1974.

Welch, who took his own life earlier this month, resigned in December 1974 and was replaced by guitarist/vocalist Lindsey Buckingham and vocalist Stevie Nicks. By the time Buckingham and Nicks joined, Fleetwood Mac had put out 10 albums but had yet to have a big hit in the U.S.

In the book, Caillat described "Rumours," Fleetwood Mac's second album with Nicks and Buckingham, as "a journey that a handful of people ... took during the mid-1970s." It was "made out of flaws in the human spirit, sometimes through agonizing determination, love, lust, and a force of will that made failure unthinkable."

Recording began on "Rumours" on January 28, 1976, at the Record Plant in Sausalito, California. Twelve days earlier, Caillat had never even heard of the band, but that would soon change because 1975's eponymous "Fleetwood Mac" album ("Rhiannon," "Say You Love Me") was beginning to climb the charts.

"What's ironic is that throughout the 'Rumours' journey, Fleetwood Mac went from one end of the fame spectrum to the other," Caillat noted. "That day in Sausalito, when we walked into the studio to start recording, they were an established band, but you could hardly say they were rock stars. Before we even released 'Rumours,' that had changed dramatically."

Although Nicks arguably became the best-known member of Fleetwood Mac, when they first started recording "Rumours," many involved with the project thought she was the band's weakest link, Caillat said.

"She was somewhat of a sweet hippie chick, and she didn't have a lot of technical knowledge about music and instrumentation," he said. "Ultimately, her ethereal songwriting and vocals added a dimension ... that was every bit as essential as any other band member's contributions." (Incidentally, Nicks wrote the band's only No. 1 hit, "Dreams.")

Caillat described Buckingham, who often clashed with band mates, as "extraordinarily talented" as well as "unpredictable," "brilliant but difficult."

However, Caillat said, "with Lindsey's contribution ... everyone in the world who'd ever heard a song on the radio would eventually know who Fleetwood Mac was by the time 'Rumours' had run its course."

In the book, Caillat described the unique way in which Buckingham taught himself guitar.

He uses his fingernails instead of a pick, which is quite common, except instead of plucking strings upward individually, he can play more than one string at a time by stroking down --- and up -- with the backs of his nails, which allows him to play several notes at once. Buckingham honed this skill years before joining Fleetwood Mac when he was bedridden with mononucleosis for six months.

At the time they were recording the album, all five band mates were going through painful breakups: The McVies were divorcing, Buckingham and Nicks' long-term relationship was coming to a bitter end and Fleetwood's wife was about to leave him for his best friend. It's all personal drama that Caillat chronicles in his book.

"In retrospect, it's a miracle that we were able to finish 'Rumours,' " he said. "But later, I came to understand that 'Rumours' probably succeeded because it was brilliant group therapy. ... It's horrible that if it hadn't been for all of the relationship turmoil in the band, you wouldn't know this record any better than some of the previous Fleetwood Mac records."

Sadness was contagious in the studio, which Caillat said was besieged with arguments, drugs and alcohol.

During the summer of '76, the band took a break from recording "Rumours" to go on tour to promote their "Fleetwood Mac" album. It was the first time Buckingham and Nicks had played in front of a very large crowd, and the concert tour propelled the band to superstardom.

Even though "Fleetwood Mac" was released in July of 1975, it finally hit No. 1 in September of 1976. As soon as the album began to lose momentum, the record label wanted the band to have the first single off "Rumours" -- "Go Your Own Way" -- ready to go.

Caillat recalled that it was John McVie who came up with the album's title.

"John told us about a brainstorm he had recently had," he said. "With all the rumors flying around about this album, why don't we call the album 'Rumours'? But let's spell it the English way."

Another major step involved in creating what would become an iconic album was selecting song sequence, which was "crucial because it can make or break the album's success." The idea was to make it compelling and tell a story through music.

"Back then," Caillat said, "running orders were important; and because it was vinyl, you'd put the needle down and listen to side one all the way through to side two, and it was just like going to Six Flags -- you'd get lifted up on a high song and it'd slow down a bit; again, perfect! And I can only take a little bit of credit for that, but I was really proud to be a part of that."

Caillat told CNN that he believes "Rumours" still resonates to this day "because it's great music. It happened to be created out of a lot of pain and suffering and sincerity and it just so happens that every song is great, every lyric is great, and every song has something that seems to appeal to someone -- except me."

That's right -- Caillat can no longer bear to listen to "Rumours."

"I see all the little pieces and I can visualize the arguments and I see the assembly of it all," he said. "I can see behind the curtain, so to speak."

However, part of the reason Caillat knew that the story of "Rumours" needed to be told was because "we experienced something extraordinary, something bigger than all of us."

In search of the perfect album: Readers weigh in

@highlight

Fleetwood Mac's "Rumours" is one of the highest-selling albums of all time

@highlight

When recording began, Fleetwood Mac had yet to have a hit in the U.S.

@highlight

Album included songs such as "Don't Stop," "Go Your Own Way" and "Gold Dust Woman"

@highlight

Members of Fleetwood Mac were all undergoing painful breakups during recording