Hong Kong (CNN) -- It may be 23 years since Chinese soldiers gunned down unarmed protesters near Tiananmen Square but memories of that day remain raw for pro-democracy activists within and outside the country.

More than 100,000 people are expected to gather in Hong Kong's Victoria Park Monday night for a candlelight vigil to remember the lives lost when tanks rolled into the Beijing square.

The mainland government still bans public discussion of the events of June 4, 1989, when government forces intent on ending pro-democracy demonstrations opened fire on civilians.

The official Chinese government account said 241, including soldiers, died and 7,000 were wounded.

Rights campaigners say the number of dead was more likely to be in the thousands.

In a written message to be read out at the Hong Kong vigil, Chinese activist Chen Guangcheng implored the Chinese government to "follow the will of Heaven" and advance democratic reforms.

"This Democracy Movement deserves universal approval," Chen said in the statement. "We ask that its requests be treated appropriately. We do not desire revenge but we want to completely reveal the truth. We are in favor of tolerance, but against forgetfulness. People who are forgetful have no future," he said.

Chen fled to the U.S. from China in May after escaping house arrest in his hometown of Dongshigu in Shandong province. He was kept a virtual prisoner in his home for 18 months, he said, following a four-year jail term for "damaging property and organizing a mob to disturb traffic."

Chen discusses his next move

Chen is one of a number of activists who have been imprisoned or are currently detained for campaigning for human rights or religious freedom in Communist-led China.

Bob Fu, founder of Christian human rights group ChinaAid, who helped Chen in his quest to relocate to the U.S., led a student protest on the day of the 1989 crackdown.

"It was a tragic massacre for simply the students exercising peaceful protest for demanding reform and anti-corruption and freedom in China," he told CNN.

In China, there was no mention of the date in Monday's newspapers. And, government censors appeared to have been successful in deleting mention of the anniversary on Weibo, China's Twitter-like micro-blogging service.

Some Weibo users were said to be trying to evade censorship by referring to June 4 as "May 35th." But, even those terms were quickly deleted on what is commonly referred to as the censors' busiest day of the year.

The government is particularly sensitive this year, observers say, in the lead up to the once-in-a-decade leadership transition. In autumn, power will transfer to a new generation of politicians who will decide the future direction for China. Current President Hu Jintao and Prime Minister Wen Jiabao are both due to step down.

In the days leading up to June 4, many known pro-democracy activists were said to have been detained as a pre-emptive measure to prevent dissent, according to Fu.

"Many of my friends and fellow freedom fighters have been under house arrest," Fu said. "Especially in the last week or so, many were confined under soft detention without any freedom of movement."

Others have been held for far longer. Ahead of the anniversary, the U.S. State Department issued a statement urging the Chinese government to publicly acknowledge the day and end the persecution of those involved.

"We encourage the Chinese government to release all those still serving sentences for their participation in the demonstrations; to provide a full public accounting of those killed, detained or missing; and to end the continued harassment of demonstration participants and their families," the statement said.

It added: "We renew our call for China to protect the universal human rights of all its citizens; release those who have been wrongfully detained, prosecuted, incarcerated, forcibly disappeared, or placed under house arrest; and end the ongoing harassment of human rights activists and their families."

Amnesty International also issued a statement again calling for the government to hold an "open and independent inquiry into the events of 1989."

The rights group paid tribute to Ya Weilin, the 73-year-old father of student who was shot and killed in the 1989 crackdown.

Amnesty said Ya and his wife Zhang Zhenxia spent 20 years campaigning for the government to make amends for those killed in the 1989 demonstration.

In a note written just before his death, Ya complained of the government's refusal to hear his grievances about his son's death and so he said he would "fight with his death."

Ya was later found hanged in a garage below his home.

@highlight

June 4 marks 23 years since Chinese soldiers opened fire on students

@highlight

More than 100,000 people are expected to gather in Hong Kong to mark deaths

@highlight

Event passes once again without mention in Chinese mainland press

@highlight

Weibo posts relating to the date are being deleted by government censors