Hong Kong (CNN) -- If you can tolerate the junkies on the stairwells or the rats that sometimes scale the 12 floors of her building on the external electrical wiring, Lui's penthouse shack ticks all the boxes for a multi-million dollar property in Hong Kong.

It's light, it's well ventilated and it has sweeping views of Kowloon's Lion Rock Hill. Constructed from recycled materials, the design is customized to her lifestyle down to the last detail.

"This is my washing machine," says Lui, pointing proudly to a small stainless steel basin on the terrace side of her rooftop house in Sham Shui Po. "I do my tai chi exercises here in the morning, and on moonlit nights I like to sit out here and look out on the mountain."

Anywhere else in Hong Kong, luxury apartments can often fetch HK$100 million (US$12.85 million), and a house with these features could easily cost the average transaction price of HK$13.25 million (US$1.7 million), according to data released by agency Midland Realty earlier this year.

The only difference is that as an unprepossessing corrugated iron shack that forms part of Hong Kong's extensive network of sky slums -- technically illegal rooftop structures barnacled onto the roofs of tenements built in the 1950s and 60s -- the market is sluggish.

Nevertheless, a gray market in these slum dwellings does exist.

"Of course the agent never explicitly says it's a rooftop dwelling. The listing will say something like small apartment with a unique view or interesting features," says Dr. Ernest Chiu of Hong Kong University who has studied informal housing.

"I've heard anecdotal evidence of them changing hands for HK$40,000 (US$5,000) but that was three years ago when I was doing my research."

In the volatile world of Hong Kong property prices, says realtor Janice Chan of Y&L Properties, they could now be worth a lot more.

"Even if a dwelling has an illegal structure status, I would say that it was absolutely impossible to get anything in Hong Kong for under $HK1 million (US$129,000)," Chan says.

World's most expensive luxury city is...

She contends prices could even exceed this, making Lui's hand-built shanty one of the most expensive slum dwellings in the world.

According to the latest Hong Kong census from 2006, there are 3,962 rooftop dwellers in 1,556 households in Hong Kong. Mostly found in old urban areas in Kowloon -- Sham Shui Po, Kwun Tung and Tai Kok Tsui -- the houses are crammed together so tightly that they form their own above-ground streetscapes, complete with gardens, playgrounds and places of worship.

The slums are a hangover from the housing crises of the 1950s and 1960s when successive waves of refugees from mainland China set up squatter cities in Hong Kong. Many of the residents have lived in the slums for more than 30 years, and new arrivals tend to be underprivileged migrants from either mainland China, Pakistan, Nepal or other parts of Asia.

Since 2001, when 16,359 people lived on Hong Kong's rooftops, the number of illegal dwellings has reduced dramatically. While government policy has played a part, more often the tenements -- under constant pressure due to the shortage of land in Hong Kong -- are torn down to make way for new shopping and residential developments.

For the government, which supplies these rooftop communities with a postal service, water and electricity; collects rates; and even levies stamp duty on their sale and purchase, the sky slums operate under an established practice of "tolerance versus demolition," says Chiu. Their existence, while not ideal, keeps almost 4,000 people off a crowded public housing queue, he adds.

Fire restrictions are strict (those with a single rather than double fire exits are earmarked for demolition as a top priority), and building codes rigidly enforced (adding an extra floor to a non-structural building is forbidden), but the Building Department's normal practice is simply to issue a notice that slates the illegal structure for eventual demolition.

Under this system, illegal rooftop dwellings often survive for decades and are bought and sold with the demolition notice as part of the negotiated price of the transaction. Despite their quasi-legal status, Chiu explains, authorities will act promptly, if they receive complaints from third parties, making the residents vulnerable to abuse.

"There have been reports of some owners, living on the floor immediately below the rooftop huts, making complaints to the building authority to get their rooftop neighbors evicted," he says. "In other cases, the landlord renting these huts may make complaints to evade their responsibilities as stipulated in the landlord-tenant contract."

As for Lui, she says she has owned her house for decades. The double fire exit on the roof has made her structure safe from demolition, and she has no plans to move from Sham Shui Po.

"If they moved me to public housing it would shorten my life," she says, pointing to the nearby tower blocks. "Those flats are too small."

While there are disadvantages -- she says the house rocks in typhoons, the dark stairwell attracts drug users, and the rats are too clever to be trapped -- she says there's nowhere else she'd rather live.

"My neighbors are great, the police are quick to come if we have any trouble with drugs, there's no crime, the shops are downstairs and everything is just so convenient," she says.

"People may look down on me, but I certainly don't look down on myself."

Alexis Lai contributed to this report.

@highlight

Hong Kong's network of sky slums are barnacled onto roofs of tenements built in 1950s, '60s

@highlight

Mostly found in old urban areas in Kowloon -- Sham Shui Po, Kwun Tung and Tai Kok Tsui

@highlight

Contrasts with luxury apartments that can often fetch up to US$12.85 million

@highlight

Slums stem from housing crises of 1950s, 60s when waves of Chinese refugees arrived