Washington (CNN) -- Rep. Cathy McMorris Rodgers' life is like a well-conducted orchestra: Everything happens on cue in precisely the right note.

That's on most days. But other days she readily admits things don't always happen so smoothly.

"There aren't enough hours in the day. You always want more time," McMorris Rodgers says. "That's the continual challenge."

McMorris Rodgers is one of 76 women in the House of Representatives. She's the only woman in the House Republican leadership and has been mentioned as a possible running mate for Mitt Romney.

Elected in 2004 to represent the 5th Congressional District in eastern Washington state, McMorris Rodgers has climbed the ranks in Congress, serving on the House Energy and Commerce Committee and as vice chair of the House Republican Conference.

But like many, her work is only part of what defines her. Central in her life are her husband, Brian Rodgers, and their two children, 18-month-old Grace and Cole, 5.

McMorris Rodgers holds the distinction of being the only member of Congress to give birth twice while in office.

One Friday morning, she invited CNN into her home as the family was getting ready for the day. Like many working moms, she juggles the responsibility of a demanding career and duties of home life.

Her husband scrambles eggs on the family's kitchen island countertop, while the congresswoman sits down next to her daughter.

"Do you want some help? You want some help today," she asks Grace, taking the spoon. "There you go. Is that good? How about a little egg?" she asks.

On the other side of the kitchen table sits Cole. In front of him is a piece of paper with alphabet letters. He carefully reproduces the letters as his mom helps him sound them out.

"He's doing well. He's learned his letters. He knows the sounds to the letters and he knows all the uppercase. We're working on the lowercase, and he's starting to read, which is really exciting," she says.

Early years

Voters in Washington state have been able to follow the personal life of Cathy McMorris. She worked on her family's orchard near Kettle Falls, Washington. She's the first in her family to graduate from college, working her way through Pensacola Christian College in Florida.

In 1994, at age 25, she was elected to the Washington Statehouse. A decade later, she arrived in the nation's capital to serve in the U.S. House.

"I was first elected to Congress in 2004 and I was still single. I wondered maybe I would be single for the rest of my life," McMorris Rodgers said. "And then I met Brian. We got married a year later, and soon after that I was pregnant. Cole was born in 2007, and Grace was born in 2010."

Husband Brian is a retired Navy commander, serving 26 years in the service. His father was mayor of Spokane in the early 1970s.

Family challenges

When the couple found out they were expecting, they were both thrilled to be first-time parents.

"It was exciting to know I was going to become a mom. There's so much involved in becoming a mom, and it's such a special time, " McMorris Rodgers said.

Her pregnancy was uneventful until her eighth month when doctors said an ultrasound had revealed a blockage in her baby's small intestine.

"They told us, Brian and me, you should know that one out of three babies with this condition is born with Down syndrome."

They didn't have much time to process the news. The next day McMorris Rodgers went into premature labor.

"It was certainly on the forefront of our minds all during labor. It was OK, does my little baby have Down syndrome? "

Cole was born at five pounds, nine ounces. It wasn't immediately apparent if he was born with Trisomy 21, the extra chromosome associated with Down syndrome. Three days later the family received confirmation.

"Boy, that's tough news to receive. It's not what you dream. It's not what you expect. Yes, you're very excited to be a mom, and yet you're faced with a lot of the unknown. I think it's the fear of the unknown that is overwhelming at that point in your life," McMorris Rodgers said.

Personal cause

Since receiving the news, she has received a lot of support from her constituents and people in the disability community.

"I believe my eyes have been open. I just view life from a totally different perspective. I was welcomed by the disability community, and they see the best in what every person has to offer."

Her initial fear has been replaced with resolve. In 2008, she co-founded the bipartisan Congressional Down Syndrome Caucus. She has taken up a leading cause of the disability community, co-sponsoring a bill called the Achieving a Better Life Experience Act.

It would modify the Internal Revenue Service code to allow parents of children with disabilities to set aside money in tax-free accounts for future education, housing and transportation needs. The accounts would be modeled after current 401(k) retirement and 529 college plans.

"We have hopes and dreams for Cole, and we want him to be all that he can be, and we want to give him the strong foundation so that he can pursue a job and hopefully independent life," McMorris Rodgers said.

Brian Rodgers added, "Like any parent, you want them to reach their highest potential."

Life as mom

"Cole, do you like music? Can you put music on," McMorris Rodgers asks.

Cole reaches for a CD. "Oh, oh," she says, glancing at her husband.

"He has Bruce Srpingsteen. He loves Springsteen. It's just a little loud for the morning."

Cole starts rocking out on the couch, his blond hair shaking to the music, while his sister bounces nearby.

The family made the decision to enroll Cole in a public charter school in Washington.

On normal days the kids wake up early around 6:30 a.m.

"They're a nice alarm clock. They kind of take turns getting up," she says smiling at her two children.

She and Brian both pitch in helping get the children dressed and ready for the day. Brian leaves to take Cole to school, which starts at 8:45 a.m., and the congresswoman has some one-on-one time with her daughter.

When Brian returns, she heads off to her Capitol Hill office. He stays home with the kids.

"I spent 26 years in the Navy. So this is a lot like the Navy," he jokes. "It's dynamic, it's interesting and there's a purpose to it."

The congresswoman shuttles back to her district in Spokane on weekends. Sometimes she takes the kids with her. Her mother lives there and is happy to see the grandchildren.

Finding time to get it all done isn't easy. But the couple try.

"Thursday night is date night. So when I'm in town and don't have votes, we have date night. ... That's our night," McMorris Rodgers said.

Life may get even more topsy-turvy for McMorris Rodgers. Her name comes up repeatedly as a possible vice presidential pick for Romney, the presumptive GOP presidential nominee. The family deals with it by trying to be as flexible as possible.

"The schedule is always changing, fluid. We try to schedule things as much as possible in advance. But there's always things coming up. Fortunately, they've been pretty good travelers. They don't know any differently."

Revving up for another campaign season, McMorris Rodgers says she's ready. "This will be the first campaign season for Grace." And Cole -- expect to see him charming the crowds. "He loves parades. He loves to be in a parade and wave and dance to music. He's a natural."

Lisa Sylvester is a CNN correspondent. She's on Twitter @LSylvesterCNN. Bethany Swain is a CNN Photojournalist and an adjunct University of Maryland professor. She's on Twitter @BethanySwainCNN.

@highlight

Cathy McMorris Rodgers is a four-term congresswoman from eastern Washington state

@highlight

Her name comes up as a possible running mate for Mitt Romney

@highlight

She and her husband have two children, including a son with Down syndrome

@highlight

McMorris Rodgers has taken up leading causes in the disability community