Guilford, Connecticut (CNN) -- Tom Pinchbeck never dreamed he'd turn his family rose farm into an employment center for people with autism.

In 2008, faced with a sagging U.S. economy and fierce international competition from South American rose growers, Pinchbeck found himself priced out of the market. He had no choice but to do the unthinkable -- close the farm started by his great-grandfather.

Shortly afterward, a college friend of Pinchbeck's, Jim Lyman, approached him with an interesting proposition. Lyman was looking for a way to address the very real problem that many young adults with autism, including his own son, Eli, face: How to transition successfully into adulthood as they grow beyond the cutoff age of built-in state benefits and supports.

"Lyman approached me with the idea of using the greenhouses as a background for vocational therapy for people on the autism spectrum," Pinchbeck says. "I was still reeling from having to close the place down, and it seemed like an interesting way of putting together a really unique program from the ashes of Pinchbeck's Farm."

Now Pinchbeck is working with the group Ability Beyond Disability to put a dent in a staggering statistic: the group says 88% of American adults with autism are unemployed.

"Our program is really designed for people to come into the program, to learn the skills they need and to help place them in their community, help them find a job, hopefully find a career, and really be a productive member of society," says Joan Volpe, Ability Beyond Disability's vice president. "That's really the goal of Roses for Autism is for folks to be a part of a work life that we really take for granted."

Helping achieve that goal is Lori Gregan, the farm's retail manager who's part cheerleader, part mom and part boss.

"I don't have the book knowledge on autism," she says, "But I do have the people knowledge, the instinct."

She works with employees such as 29-year-old Ethel Bondi, who came into the Roses for Autism program struggling with anything outside her set routine.

"Ethel came, and anytime there was any change, anytime I asked her to do anything at all, it was like, 'I quit.' She would get her coat and she was gonna leave," says Gregan. "I'm like, 'whoa whoa whoa, why are you quitting?' She's like, 'I can't do that.' It was always 'I can't.' Now it's like, 'I will. I can. And I am going to.' "

Bondi possesses a talent for making dried rose wreaths -- one of the farm's best-sellers.

"They were supposed to be for just Valentine's Day, but then people wanted them afterward, and they are still wanting them," she says.

How does that make her feel? "Proud," Bondi says, smiling tentatively. "They are a big hit."

"If I show Ethel she can make this wreath, she wins," says Bondi. "She owns that, and now the next girl that comes in next to her, she can show her, and my job is done. She's a viable employee. There might be a quirk or two, but that's what makes us who we are, if all the stones in the river were the same, there would be no song."

Will Swartzell, a 19-year-old Roses employee with autism, thrives on the uniqueness that makes him who he his. And he hopes success stories like his can help shatter misconceptions that might make employers hesitant to hire people on the autism spectrum.

"We all stereotype," Swartzell says. "But I think it's so important not to; to keep your mind open. Everybody's different. Nothing defines a person except themselves."

It's a sentiment echoed by his mother, Sandra.

"I think it's really important for these kids to have a place where they fit in and contribute," she says. "They have so many great strengths, and I think people are focused more on their challenges more than their strengths. But a place like Roses can really allow them to celebrate who they are and at the same time learn important job skills that are so necessary for them to be productive members of our society. They are so capable of that. There is no doubt about it."

Working often makes adults with developmental disorders happier and more satisfied with their lives, says Dr. Max Wiznitzer of Case Western Reserve University School of Medicine in Cleveland. It gives them a sense of purpose, and they usually do a good job, he says. They're often very focused.

"They follow the rules," says Wiznitzer. "Autism is that way -- one of the diagnostic criteria is the desire for sameness. They're going to be punctual. They're going to show up every day. They have a lot of positive behaviors that employers like. It can be very beneficial both for the employer and the employee."

But there's somewhat of a downside, says Wiznitzer. They work several hours a day, and "then they go back to where they're living, and they're somewhat isolated from everyone else and -- what do they do with their leisure time? We have to make sure they have time for the other stuff, too."

Looking across the retail center, where her employees are hard at work cutting, pruning, designing and packing, Gregan's voice fills with optimism.

"To see the change in my employees from day one to day 10, there are no words. I can see this going global. There are people who are autistic all over the world. They just need to know how they fit in and we need to give them those tools. "

With the help of a few charitable grants, Roses for Autism is doing just that -- helping young adults with autism fit in, find their strengths and improve their lives.

Pinchbeck's alliance with Ability Beyond Disability has saved the family farm -- turning it into a nonprofit business that produces almost a million flowers per year.

It's a solution as unique as the workers who helped save the Pinchbeck family legacy, all the while finding their own place to shine.

For more on Roses for Autism, go to www.rosesforautism.com.

@highlight

Autism group: 88% of U.S. adults with autism are unemployed

@highlight

Rose farm pairs with Ability Beyond Disability to help autistic adults

@highlight

Doctor: Working satisfies a desire for "sameness"

@highlight

"Everybody's different," says one worker. "Nothing defines a person except themselves"