Maybe she meant to, maybe she didn't, but Mary Landrieu reached straight for the encyclopedia of Things Losing Candidates Say.

The Louisiana Senator — an 18-year Washington veteran and outgoing chairwoman of the Senate Energy Committee, blessed with one of the most recognizable last names in southern politics —  stepped away from a modest crowd of supporters at a campaign event here for an interview about her difficult runoff race against Republican Bill Cassidy.

"It's not over until it's over," Landrieu said of the campaign, which has been left for dead by national Democrats. "The only poll that counts is Election Day."

A few of the reporters and political types standing nearby exchanged knowing glances.

Landrieu's defeat gives Republicans ninth seat this cycle

As defined by political analyst Stuart Rothenberg, who curated the definitive list of "Things Losing Candidates Say" for Roll Call last year, the luckless phrase is a pretty good indicator that "you are losing the race at the time and have no empirical evidence to the contrary."

The evidence was stacked against Landrieu, who advanced to the runoff after losing a strategic bet that she would win Louisiana's non-partisan primary outright four weeks ago. Instead, she got 42 percent, far short of the 50.1% needed to win, and voters are now consolidating around Cassidy.

If Landrieu had pulled it out Saturday, it would be have been an epic fourth quarter miracle that would put Les Miles to shame. She would have had to keep African-American turnout on par with the November primary, and somehow find a way to increase her support among white voters from the dreadful 18 percent she received last month, all in the middle of the holiday season. It was a near-impossible lift.

There hasn't been a gold standard poll of the race, but she was losing by 15 or 20 points depending on the survey.

The actions of national Democrats were an even better tell. The Democratic Senatorial Campaign Committee canceled its ad reservations for the runoff after Landrieu failed to win the Nov. 4 jungle primary outright, effectively ceding the airwaves to Cassidy and Republicans, who are outspending her 7-1 on television.

Supporters put on a brave face.

"Mary has always had close races and she always pulled them out," said Harold Ritchie, a state representative and funeral director from Bogalusa. "A lot of us are counting on that happening one more time."

Politically speaking, Louisiana is a weird place.

They have elections in odd years and run "jungle primaries." Politicians, state and local, genuflect before the gods of the oil and gas industry. It's a state that's twice voted an Indian-American Catholic Rhodes scholar into the governor's office (Bobby Jindal) and seems primed to succeed him with a Republican who reportedly liked to wear diapers while soliciting a prostitute in the French Quarter (David Vitter). There's a proud populist streak, a fraught racial history and a healthy dash of corruption.

"Louisiana politics is of an intensity and complexity that are matched, in my experience, only in the Republic of Lebanon," A.J. Leibling once wrote about the state. He was referring to the strange gumbo coalitions — white, black, cajun, redneck, uptown, downtown — that candidates assembled to win statewide elections.

But Liebling was scribbling those thoughts for The New Yorker in 1960. These days, elections are nationalized, waged on television and online, and not even the most Lousianan of Louisianans can safely count on surviving at the ballot box — no matter how much clout one has built up in Washington or how many LSU tailgates one attends.

Republicans have clobbered Landrieu with television ads tying her to President Barack Obama, whose approval rating in Louisiana, according to midterm exit polls, is 39 percent.

"The Republicans and her opponent Bill Cassidy have done a very effective job at creating an emotional target for voters to direct their frustration towards, and that would be President Obama," said New Orleans-based Democratic pollster Silas Lee.

Landrieu, first elected in 1996, compared herself to New Orleans Saints quarterback Drew Brees and Cassidy to an unknown rookie. Voting her out of office, she argues, would be akin to benching the star quarterback when the team needs it most.

The argument, though, had lost its resonance with Obama's waning popularity and the newly-in-charge Republican Senate majority, depriving Landrieu of her coveted position as chairwoman of the Energy Committee.

"Seniority is based on how many years you have served," she said. "Nothing has changed. I will have served 18 years. I have served with Democrats in charge, I have served with Republicans in charge. Nothing can take my seniority away. I will still be one of the highest ranking members of the Senate. I won't be chair. But I will be ranking member of the Energy Committee, and in that I will convene meetings of Democrats on Energy Committee, so Louisianans will still be at forefront, at the leadership table. I will still be part of the leadership team. That's much better than sitting on the back bench or sitting on the rookie bench."

Landrieu spent the final week flogging Cassidy, a congressman and LSU physician, over a late-breaking news story about questionable paychecks he received for part-time medical teaching work he may or may not have done at the university in Baton Rouge.

"This story has legs," Landrieu said. "This story is breaking. You know, I wish it had broken a couple of weeks ago, but you know what? It broke now. Bill Cassidy cannot say, 'I am a doctor, I am higher than the law.'"

The argument felt like a Hail Mary, the last gasp of a zombie campaign that many Democrats are waiting for to die in a canebrake.

And even the senator admits how difficult it is to run a campaign when no one, in Louisiana or elsewhere, seems to be listening anymore.

"Nothing seems to be breaking through these days," she said with a sigh, deviating slightly from her message. "It's a very strange situation, all over the country. It's like people are just so mad, these commercials have really gotten people's emotions up. So getting people to focus on what really matters, leadership, honesty, integrity, hard work ..."

Landrieu trailed off.

"I am not going to give up," she said. "These last few days are really important."

@highlight

Sen. Mary Landrieu lost her runoff race to GOP challenger Bill Cassidy on Saturday

@highlight

Landrieu's supporters put on a brave face until the end