(CNN) -- When you think of potentially fatal threats at the beach, you probably think of sharks or riptides. You probably don't worry about the sand. But that unexpected killer has now claimed at least three lives in the United States this summer.

Nine-year-old Isabel Grace Franks died at a Lincoln City, Oregon, beach on Friday, when a hole she was digging in the sand caved in and buried her, authorities said.

"We heard screaming," Tracey Dudley, who was staying at a nearby hotel, told CNN affiliate KATU.  "At first we thought, you know, it was just kids. But it was like screaming and screaming and screaming."

"Her and her siblings were digging a big hole in the sand," Lincoln City police Sgt. Brian Eskridge said. "She was sitting inside, and the hole collapsed. We believe she was under the sand around five minutes."

Franks, her family and friends were visiting the beach from Sandy, Oregon.

Police and firefighters dug her out. She was unconscious and not breathing. Emergency crews performed CPR on her and transported her to a hospital, where she was declared dead.

Mourners left flowers, candles and notes near where she died.

Before the emergency workers arrived, beachgoers had frantically tried to dig her out, but the sand kept collapsing back into the hole, Eskridge said.

That's a common problem when someone gets buried at the beach, Tom Gill of the United States Lifesaving Association said Sunday.

"Once the sand starts collapsing, digging out becomes a technical rescue," Gill said. "It's difficult because the sand keeps collapsing back into the hole, and the more people gathering around, the more difficult it is."

"It's not unusual for kids to build holes and sandcastles in the sand, but a lot of people don't understand it can collapse," Eskridge said. "It's difficult for people to understand how hard it is to get people out."

Dry sand weighs 100 pounds per square foot, and wet sand weighs 120 pounds per square foot, according to a 2004 study from the Mayo Clinic, entitled "Accidental Burials in Sand: A Potentially Fatal Summertime Hazard."

"Dry sand burial can totally engulf and compress a person... with no air pocket for breathing," the report said. "Depending on the age and strength of the child, just 1 foot of sand may overwhelm respiratory and diaphragmatic force,"

But according to the Mayo study, airway obstruction is an even bigger concern than sand stifling lung and diaphragm expansion.

"Although accidental sand burial has its own set of clinical problems, clearing the airway is the main focus of treatment. Airway management at the scene of the incident may be crucial and lifesaving," the Mayo report said.

The hole containing Franks was big enough for a crouching adult to fit in, witnesses told KATU.

Gill said no national standards exist to restrict the depth of holes, though local jurisdictions often set their own rules. For example, in Virginia Beach, Virginia, the USLA's home base, beach visitors aren't supposed to dig holes deeper than knee-level, even for small children, Gill said.

There's also no national database of fatal sand collapses, Gill said.

They don't happen often, Gill said, "but often enough that we try to make people aware."

Articles in scholarly journals over the past decade, including the Mayo report, have called for public health and safety officials to be more aware of sand dangers.

In June 2007, the New England Journal of Medicine published a letter to the editor entitled "Sudden Death from Collapsing Sand Holes," from Dr. Bradley Maron of Harvard Medical School. Maron counted "52 documented fatal and nonfatal cases, occurring primarily in the past 10 years, in which persons were submerged after the collapse of a dry-sand hole excavated for recreational purposes." He said 31 of those 52 people died, and "the other 21 survived by virtue of timely rescue involving extrication from the sand; many of them required cardiopulmonary resuscitation, performed by a bystander."

Maron's study concluded that collapses were inadvertently triggered by a variety of circumstances, including digging, tunneling, jumping, or falling into the hole.

Young children like Isabel Franks aren't the only age group at risk. The two sand-related fatalities earlier this summer were both grown men.

A 49-year-old Virginia man died on the beach at North Carolina's Outer Banks on June 23, according to CNN affiliate WTVR. David Frasier of Fredericksburg, Virginia, had to be extracted from a hole approximately 5 to 6 feet deep. A bystander was unable to revive him.

And on July 21, in Half Moon Bay, California, Adam Jay Pye was buried alive while tunneling under the sand, CNN affiliate KRON reported. Fire officials said Pye was standing in a 10-foot-deep pit when the sand rushed in around him.

CNN's Mayra Cuevas contributed to this report

@highlight

Isabel Grace Franks, 9, died Friday, buried in sand at an Oregon beach

@highlight

"We heard screaming," a witness says

@highlight

Franks is at least the third person to die in beach sand in the United States this summer