(CNN) -- Massachusetts Sen. Edward Kennedy, the patriarch of the first family of Democratic politics, died late Tuesday at his home in Hyannis Port, Massachusetts. He was 77.

Kennedy, known as the "Lion of the Senate," died after a lengthy battle with brain cancer.

"We've lost the irreplaceable center of our family and joyous light in our lives, but the inspiration of his faith, optimism and perseverance will live on in our hearts forever," a family statement said. "We thank everyone who gave him care and support over this last year, and everyone who stood with him for so many years in his tireless march for progress toward justice." Timeline: Follow Kennedy's life and career

Kennedy will be buried at Arlington National Cemetery, just a few feet from the graves of his brothers. He is eligible for burial at Arlington due to his congressional service and his tenure in the Army from 1951 to 1953.  Learn more about Kennedy's funeral arrangements »

Kennedy, nicknamed "Ted," was the younger brother of slain President John F. Kennedy and New York Sen. Robert Kennedy, who was gunned down while seeking the White House in 1968. However, his own presidential aspirations were hobbled by the controversy around a 1969 auto accident that left a young woman dead, and a 1980 primary challenge to then-President Jimmy Carter that ended in defeat. View reaction from public figures

But while the White House eluded his grasp, the longtime Massachusetts senator was considered one of the most effective legislators of the past few decades. Kennedy played major roles in passage of the Civil Rights Act of 1964, the Voting Rights Act of 1965, the 1990 Americans with Disabilities Act and the 1993 Family and Medical Leave Act, and was an outspoken liberal standard-bearer during a conservative-dominated era from the 1980s to the early 2000s.  Watch retrospective on Kennedy's storied career »

President Obama will deliver a eulogy at Kennedy's funeral on Saturday.

He was "not only one of the greatest senators of our time, but one of the most accomplished Americans ever to serve our democracy," Obama said, speaking to reporters during his vacation in Martha's Vineyard, Massachusetts.

"His extraordinary life on this earth has come to an end. The extraordinary good that he did lives on. For his family, he was a guardian. For America, he was the defender of a dream."

Obama said that Americans knew Kennedy's death was coming for some time, but have been "awaiting it with no small amount of dread."

Choking back tears, Vice President Joe Biden said his family was "truly distressed" by Kennedy's death.

"We lost a truly remarkable man," Biden said during an event in Washington. "He's left a great void in our public life."  Watch what Kennedy did for Biden »

"He was probably best known for the ability to work with Republicans," said Adam Clymer, Kennedy's biographer. "The Republican Party raised hundreds of millions of dollars with direct appeal to protect the country from Ted Kennedy, but there was never a piece of legislation that he ever got passed without a major Republican ally."

Kennedy recently urged Massachusetts officials to change a law to allow for an immediate temporary replacement should a vacancy occur for one of his state's two Senate seats.  Watch why Kennedy sought change in state law »

Under a 2004 Massachusetts law, a special election must be held 145 to 160 days after a Senate seat becomes vacant. The winner of the election would serve the remainder of a senator's unexpired term.

Kennedy asked Gov. Deval Patrick and state leaders to "amend the law through the normal legislative process to provide for a temporary gubernatorial appointment until the special election occurs," according to the letter, dated July 2. Read Kennedy's letter

Kennedy suffered a seizure in May 2008 at his home on Cape Cod. Shortly after, doctors diagnosed a brain tumor -- a malignant glioma in his left parietal lobe.

Surgeons at Duke University Medical Center in Durham, North Carolina, removed as much of the tumor as possible the following month. Doctors considered the procedure a success, and Kennedy underwent follow-up radiation treatments and chemotherapy.

A few weeks later, he participated in a key vote in the Senate. He also insisted on making a brief but dramatic appearance at the 2008 Democratic convention, a poignant moment that brought the crowd to its feet and tears to many eyes. Kennedy died one year to the day after that appearance.

"I have come here tonight to stand with you to change America, to restore its future, to rise to our best ideals and to elect Barack Obama president of the United States," Kennedy told fellow Democrats in a strong voice.

Kennedy's early support for Obama was considered a boon for the candidate, then a first-term senator from Illinois locked in a tough primary battle against former first lady Hillary Clinton. Kennedy predicted Obama's victory and pledged to be in Washington in January when Obama assumed office -- and he was, though he was hospitalized briefly after suffering a seizure during a post-inaugural luncheon.

Kennedy was one of only six senators in U.S. history to serve more than 40 years. He was elected to eight full terms to become the second-most senior senator after West Virginia Democrat Robert Byrd. iReport.com: Share tributes to Kennedy

He launched his political career in 1962, when he was elected to finish the unexpired Senate term of his brother, who had become president in 1961. He won his first full term in 1964.

He seemed to have a bright political future, and many Democratic eyes turned to him after the killings of his brothers. But a July 18, 1969, car wreck on Chappaquiddick Island virtually ended his ambitions.

After a party for women who had worked on his brother Robert's presidential campaign, Kennedy drove his car off a bridge on Chappaquiddick, off Cape Cod and across a narrow channel from Martha's Vineyard. While Kennedy managed to escape, his passenger, Mary Jo Kopechne, drowned.

In a coroner's inquest, he denied having been drunk, and said he made "seven or eight" attempts to save Kopechne before exhaustion forced him to shore. Although he sought help from friends at the party, Kennedy did not report the accident to police until the following morning.

Kennedy eventually pleaded guilty to leaving the scene of an accident. In a televised address to residents of his home state, Kennedy called his conduct in the hours following the accident "inexplicable" and called his failure to report the wreck immediately "indefensible."

Despite the dent in his reputation and career, Kennedy remained in American politics and went on to win seven more terms in the Senate. Kennedy championed social causes and was the author of "In Critical Condition: The Crisis in America's Health Care." He served as chairman of the Judiciary and Health, Education, Labor, and Pensions committees and was the ranking Democrat on the Judiciary and Armed Services committees during periods when Republicans controlled the chamber.

Obama named Kennedy as one of 16 recipients of the 2009 Presidential Medal of Freedom, America's highest civilian honor. A White House statement explained that the 2009 honorees "were chosen for their work as agents of change."

"Senator Kennedy has dedicated his career to fighting for equal opportunity, fairness and justice for all Americans. He has worked tirelessly to ensure that every American has access to quality and affordable health care, and has succeeded in doing so for countless children, seniors, and Americans with disabilities. He has called health care reform the "cause of his life."  Watch a historian's take on Kennedy's legacy »

Born in Boston on February 22, 1932, Edward Moore Kennedy was the last of nine children of Joseph P. Kennedy, a prominent businessman and Democrat, and Rose Fitzgerald Kennedy. Joseph Kennedy served as ambassador to Britain before World War II and pushed his sons to strive for the presidency, a burden "Teddy" bore for much of his life as the only surviving Kennedy son.

His oldest brother, Joe Jr., died in a plane crash during World War II when Kennedy was 12. John was assassinated in Dallas, Texas, in 1963, and Robert was killed the night of the California primary in 1968.

Ted Kennedy delivered Robert's eulogy, urging mourners to remember him as "a good and decent man who saw wrong and tried to right it; who saw suffering and tried to heal it; who saw war and tried to stop it."

The family was plagued with other tragedies as well. One sister, Kathleen, was killed in a plane crash in 1948. Another sister, Rosemary, was born mildly retarded, but was institutionalized after a botched lobotomy in 1941. She died in 2005 after more than 60 years in mental hospitals.

Joseph Kennedy was incapacitated by a stroke in 1961 and died in November 1969, leaving the youngest son as head of the family. He was 37.

"I can't let go," Kennedy once told an aide. "If I let go, Ethel [Robert's widow] will let go, and my mother will let go, and all my sisters."

His sister Eunice Kennedy Shriver, founder of the Special Olympics, died August 11. The ailing senator was unable to attend her funeral. His mother, Rose Kennedy, died in Hyannis Port at age 104 in 1995.

Kennedy himself survived a 1964 plane crash that killed an aide, suffering a broken back in the accident. But he recovered to lead the seemingly ill-starred clan through a series of other tragedies: Robert Kennedy's son David died of a drug overdose in a Florida hotel in 1984; another of Robert's sons, Michael, was killed in a skiing accident in Colorado in 1997; and John's son John Jr., his wife Carolyn and sister-in-law Lauren Bessette died in a 1999 plane crash off Martha's Vineyard.

In addition, his son Edward Jr. lost a leg to cancer in the 1970s, and daughter Kara survived a bout with the disease in the early 2000s.

Kennedy was forced to testify about a bar-hopping weekend that led to sexual battery charges against his nephew, William Kennedy Smith. Smith was acquitted in 1991 of charges that he raped a woman he met while at a Florida nightclub with the senator and his son Patrick, now a Rhode Island congressman.

Like brothers John and Robert, Edward Kennedy attended Harvard. He studied in the Netherlands before earning a law degree from the University of Virginia Law School, and worked in the district attorney's office in Boston before entering politics.

Kennedy is survived by his second wife, Victoria Ann Reggie Kennedy, whom he married in 1992; his first wife, Joan Bennett; and five children -- Patrick, Kara and Edward Jr. from his first marriage, and Curran and Caroline Raclin from his second.

@highlight

NEW: President Obama will deliver a eulogy at Kennedy's funeral Saturday

@highlight

NEW: "The extraordinary good that he did lives on," President Obama says

@highlight

Kennedy to be buried at Arlington National Cemetery, near his brothers

@highlight

Kennedy played major role in civil and voting rights, health care reform