Iraqis reacted with outrage Wednesday to news of a plea deal for a U.S. Marine squad leader charged in connection with the deaths of 24 people, in which he received a rank reduction and pay cut but avoided jail time.

The November 2005 killings in Haditha, Iraq, constituted one of the worst attacks on civilians by U.S. troops during the Iraq war. The deaths enraged Iraqis, put a spotlight on the conduct of the U.S. military and was compared to Vietnam's My Lai massacre by one congressman.

On Tuesday, Staff Sgt. Frank G. Wuterich was sentenced to a maximum of 90 days in prison, but avoided any time in the brig because of a plea deal. The military judge was obligated to abide by the arrangement between prosecutors and defense attorneys, which amounts to a reduction in rank -- to private -- and a pay cut.

"This court is unjust and its decision was unfair for Iraqi people," Shaeed Fakhri, a lecturer at Babel University in Hilla, said Wednesday as he visited Baghdad. "This soldier should be executed. The verdict is unfair and unjust for the innocent people who were killed in this incident."

"This is very sad and very painful," said Hashim Khader, a store owner in Baghdad. "They were just civilian people who did not raise weapons against the occupiers and they were killed this way. This is a heinous crime and the soldiers should get the most severe punishment."

Wuterich, 31, of Meriden, Connecticut, originally faced 152 years in prison on nine counts of involuntary manslaughter, two counts of assault with a deadly weapon and three counts of dereliction of duty in the Haditha incident.

He wound up pleading guilty to one count of negligent dereliction of duty. Charges against six other Marines charged in the case were dropped, and another was acquitted.

Wuterich's sentence was a "big disappointment," Taleb al-Essawi, political adviser to the governor of Iraq's Anbar province, said Tuesday. "I can't believe that the court decided to drop all the charges except one charge. ... This is a joke, because according to the Iraqi law, all those soldiers should be executed. We demand from the American administration to reconsider the court decision."

Al-Essawi also said the U.S. government should compensate the victims' families.

"Why is American blood so precious while the Iraqi blood is so cheap?" Hanaa Mohammed, an employee with Iraq's Ministry of Planning, said Wednesday. "This is unacceptable. ... The Iraqi government should take a strong position and protest the court's verdict right now."

"We have been following this case since 2006 and we were hoping that those soldiers, who killed 24 innocent people, will receive fair punishment," Khalid Salman, head of the Haditha local council, told CNN Tuesday.

"But now we are convinced that the judicial system in America is unjust," he said. "This is not the end, and we will continue pursuing those soldiers legally through the international courts."

"The Iraqi government should appoint lawyers and send them to the international courts because these courts have a fair and neutral judicial system, unlike the American judicial system," Khader said Wednesday.

An expert on U.S. military law said a public explanation is needed regarding the case's resolution.

"The trial counsel and convening authority has a duty to explain this pretrial agreement in order to safeguard public confidence in the administration of justice," said Eugene R. Fidell, senior research scholar and a visiting lecturer at Yale Law School.

Under the military justice system, he said, the "convening authority," a unit commander, makes the central decision.

"The prosecution and staff judge advocate play an advisory role," he said. "At the end of the day, it's the commander's decision to accept or reject a proposed pretrial agreement."

About the investigation into the so-called Haditha massacre, Fidell said: "It does seem that a set of cases that began with some pretty terrible allegations has basically fizzled. The public ought to have confidence in the administration of justice."

The plea agreement was "unjust," according to Kurdish lawmaker Mahmoud Othman, as the Marines "committed mass killings in Haditha."

"We ask the human rights organizations and (nongovernmental organizations) in America and all over the world to strongly condemn this verdict. Iraqi blood isn't so cheap," Othman said in a Facebook posting Tuesday.

A Marine spokesman said a final adjudication will be made on the case by Lt. Gen. Thomas Waldhauser, commander of Marine Corps Forces Central Command, but while he can reduce the sentence, he cannot increase it.

Facing the judge in a Marine base courtroom Tuesday, Wuterich, a divorced father of three young daughters, expressed no emotion. Earlier in the day, he told the judge: "For six years, I have had to accept that my name will always be associated with a massacre, being a cold-blooded baby killer, an 'out of control' monster, and a conspiring liar. There's nothing I can do about whoever believes these things."

According to previous testimony and court records, Wuterich, who was assigned to 3rd Battalion, 1st Marine Regiment, 1st Marine Division, was the squad leader on November 19, 2005, when members of his patrol unit were moving a supply convoy through Haditha, an insurgent stronghold where armed resistance fighters hid among the civilian population. An improvised explosive device exploded under a vehicle, killing Lance Cpl. Miguel Terrazas, 20, and injuring two other Marines.

During the more than two-week trial that ended with the plea deal, prosecutors argued Wuterich lost control after seeing the body of his friend blown apart by the bomb and led his men on a angry rampage, ordering his squad to "shoot first and ask questions later."

Wuterich's team stormed two nearby homes, blasting their way in with grenades and M-16 rifle fire. Among the dead was an elderly man in a wheelchair. When the 45-minute incident was over, 24 men, women and children were dead. Wuterich was accused of ordering his men to storm the homes, part of what his attorney has said was a search for those believed responsible for planting the bomb and, later, shooting at the men.

The prosecution contended the Marines were out for revenge.

The case didn't come to light until January 2006, when Time magazine broke the story. Two months later, the military launched an investigation.

Wuterich said Tuesday that he never fired his weapon at any women or children.

"When I told my team to shoot first and ask questions later, the intent wasn't that they would shoot civilians, it was that they would not hesitate in the face of the enemy," he said.

To the victims' families, he said, "Words cannot express my sorrow for the loss of your loved ones."

"Many of the Marines who were there that day, along with everyone who has stood by me and supported me, may be disappointed that I pled guilty," Wuterich said. "It might suggest that I believe we behaved badly or dishonorably. The truth is, I don't believe anyone in my squad, nor any member of Kilo Co., 3/1 behaved in any way that was dishonorable or contrary to the highest ideals that we all live by as Marines."

The incident provoked the condemnation of the late Rep. John Murtha, D-Pennsylvania, who compared it to the 1968 My Lai massacre, and then-President George W. Bush, who vowed that if an investigation showed Marines killed unarmed civilians, "there will be a punishment."

@highlight

"This soldier should be executed," one Iraqi man says

@highlight

"Iraqi blood isn't so cheap," a Kurdish lawmaker says

@highlight

The Marine will have a reduced rank and a pay cut under the plea deal

@highlight

A U.S. military law expert says a public explanation is needed