It's as simple as making eye contact and flashing a smile or knowing when to back off and stop talking so much.

Social cues. Body language. Basic conversation. They make up the toolkit for meeting new people. But for those whose romantic realm is constructed entirely through social media and online dating, these intuitions might be eroding away.

"People have an easier time picking out an emoticon to display the emotion they are feeling rather than actually showing it on their face," Blake Eastman, body language expert and founder of The Nonverbal Group, said.

"Unfortunately, for the past 10 years, people have been really confident behind the computer keyboard, but then you see them in person and things are very different."

Dating coach and author Adam LoDolce has a simple solution: meet people organically. But the paralyzing fear of rejection often can make us long for the distance technology offers.

To help people overcome the anxiety of approaching someone new, LoDolce made a 45-minute film including his advice: "Go Talk to Her."

Like Eastman, he believes that people are killing off social skills by hiding behind a glowing screen of information that offers no chemistry.

"People want to go back to the day where you're sitting at a coffee shop, make eye contact and there is this mysterious moment where you don't know each other," LoDolce said. "Online dating is one tool in the tool kit, but I think we as a society are seeing that there is still a real way to meet people."

How technology has changed romance

Anti-social media

Users mistake social media for being social. It isn't, Eastman said. Instead it creates a group of people that are highly connected online but feel socially isolated.

"We feel that we don't need to look people in the eyes to communicate anymore -- a keystroke has replaced that look," Eastman said. "But at the end of the day, we're designed for human contact, not a computer screen."

Online daters and social media users easily fall into a new way of communicating. Instead of the rules and social norms used in face-to-face meeting, they create ones for digital interfacing. But the rules are looser and harder to enforce, Patricia Wallace, psychologist and author of "The Psychology of the Internet," said.

Psychologists highlight pitfalls of online dating

"When you're in front of a computer or an iPad, you're not interacting with a human face," Wallace said. "All of the millennia of evolution that helped us learn how to read all of the nuances to do that choreography of conversation aren't there."

Social media also allows "loose ties" with acquaintances and low-risk ways of communicating. The fear of rejection when someone doesn't answer a Facebook message lacks the impact of an ignored phone call, according to Wallace.

But a general lack of satisfaction is perhaps the most noticeable effect of online dating.

"Online dating is like a buffet," Marni Battista, founder and CEO of Dating with Dignity, said. "People are ruling out more than they're ruling in. After a date, they go home, get online and look for someone else. We're in this digital instant gratification age, and there is no patience for the dating process."

The upside of online dating: Always a funny story to tell

Bucking the standard

Unfortunately, offline dating has lost some of its charm.

Eastman believes that dates are too "standardized," especially in restaurants. A table in between two people -- staring at one another -- becomes an interview with adversarial posturing, he said.

Keep the date moving along, stopping at a few places that will create an experience, which builds memories and intimacy, Eastman recommends.

Shifting gender roles are also contributing to the confusion experienced on first dates.

"Men are almost afraid of being in the role of pursuing because they don't want to be perceived as creepy," Battista said. "And successful, independent women still want men to step up. As a result, it's almost like a standoff."

Rejection, the kind that manifested itself in the awkward insecurities of middle school and survived maturity, remains the biggest enemy of dating success, LoDolce said.

"People think that being rejected is going to be the worst moment of their life," LoDolce said. "This does not have to be the end of the world."

LoDolce, Eastman and Battista all coach clients in maneuvering the dating world. Here are some of their words of advice, especially for people re-entering offline dating:

Reach a social peak

Like preparing for a sprint, warm up to a peak social state when you're going out, day or night. It makes you the person in the room that everyone wants to meet.

"When we're nervous, we give off a bland, shy, introverted vibe with bad body language," LoDolce said. "Learn how to talk to new people -- fake it until you make it, smile as if you won the lottery, bring the energy. People remember the best five percent and the worst five percent of what you say, the rest is up to body language."

Laughing, smiling and talking all contribute to facial animation, something we gravitate toward as human beings. It shows that a person is listening and interested. Movement and clear communication are signs of a good date, Eastman said.

Online dating and a formula for love

Be self-confident and genuine

"What people really need is to be in that place of self-love and confidence, being authentic to who they are," Battista said. "Then you have a different energy out in the world -- you see yourself as a dater and on the market, and that confidence is attractive."

When approaching someone, be open, honest and genuine -- it creates an instant connection. If you think someone is stunning and you'll kick yourself later if you don't let them know, tell them, LoDolce said.

Orient yourself

Ever stand in line at Starbucks and hear someone mention a common interest? Strike up a conversation, instead of sticking your nose in your phone. Take opportunities to practice being social everywhere.

"Understand when someone is orienting towards you -- it's the best time to say something to them," Eastman said. "If we put ourselves out there for a little bit, it can be incredibly powerful in terms of what we get in return."

Young women dating even younger men

Take your time

One of the biggest mistakes people make is rushing into something and falling in love with who they want a person to be, and not the person, Battista said.

"Intimacy comes from slowly but surely discovering things about someone you never knew until you went through this phase of slow discovery," LoDolce said.

Many of these small discoveries can happen only in person, these dating experts say, so perhaps it's time to close the laptop and take a walk.

@highlight

Some dating experts say online dating has sapped our social skills

@highlight

Approaching people and starting conversations can be hard if you're not used to it

@highlight

Users mistake social media for being social, says body language expert Blake Eastman

@highlight

Practice talking to others by striking up a conversation in the coffee line