Beijing (CNN) -- Chinese authorities have ended the waiting game over when political pariah Bo Xilai will face court over corruption charges.

But the question remains as to what message his trial and punishment will send to the Chinese nation at a time when the Communist Party is pushing a mantra of anti-corruption and anti-excess.

The Bo scandal emerged in March last year, just months before a once-in-a-decade leadership changeover that saw Xi Jinping replace Hu Jintao as president.

At the time, the Chongqing chief was considered a high-flyer in the complex hierarchy of Chinese politics.

That ended when his police chief fled, seeking asylum with a wild story which later proved to be credible, that Bo's wife, Gu Kailai, and a family aide had murdered British businessman Neil Heywood.

More than one year later, Bo was charged bribery, corruption and abuse of power.

He'll face trial on Thursday, but Joseph Cheng, political science professor at the City University of Hong Kong, says the proceedings won't necessarily be about delivering justice.

"It's a political exercise," Cheng explained. "It is not a trial per se but a political settlement."

Bo's punishment will in part be retaliation for his audacity in challenging Hu Jintao, Xi Jinping and other top party leaders by pushing his own "Chongqing model" and engaging in public grandstanding, he said.

"It is part of a political game," Cheng said. "There have been rumors that many other top leaders were supporting Bo, that Bo had ambitions to replace Xi Jinping. Even after Xi was formally installed as party chief last November, political bargaining continued and involved the question of how to deal with Bo Xilai."

Cheng says Xi will be glad to see the end of the matter. "Xi wants to clear the land mines ahead of the party meeting, which is expected later this year to launch reform and discuss economic and other important issues."

The leadership might want the issue out of the way, but Bo's punishment will send strong signals as to how serious the government is about cracking down on political corruption, some experts said.

While the indictment didn't mention the specific amounts, sources tell CNN that Bo is accused of accepting about 20 million yuan ($3.3M) in bribes and embezzling six million yuan ($1M).

As Chongqing chief, the charismatic Bo ruled with an iron-fist, cracking down on organized crime while promoting "red culture" that his critics said harked back to the authoritarian era under the late Chairman Mao.

Admirers credited Bo for advocating social equality and justice by providing affordable housing, and jailing abusive officials and gangsters.

Critics dismissed Bo as a "clown in Chinese politics" for acting like an authoritarian strongman who resorted to extra-legal measures to get rid of his enemies, and as a "hypocrite" who took in populist positions while enjoying a luxurious and privileged life.

"Bo Xilai's case is an individual case," said Chinese lawyer Shang Baojun. "This has more to do with his personality. It doesn't mean anything. He might not be very corrupt, but his strong personality and many ridiculous activities like 'singing red and smashing black' have led to his downfall."

"My conclusion is, the case itself doesn't mean much to China's anti-corruption campaign, but it sends a warning for people like him who would to anything to achieve their goals."

INTERACTIVE: China's leaders: Who's who

Mo Shaoping, a Beijing-based lawyer who has defended political dissidents, shares the skepticism.

"I believe that anti-corruption in China is a systemic issue, not just about an individual case," said Mo. "Many ordinary citizens believe that all government officials are corrupt, and no one should be allowed to slip through. This may be an extreme view but it reflects the view that anti-corruption in China is a systemic issue."

Bo, 64, is a "taizidang" (princeling), a term which refers to the children of revolutionary veterans who boast of political connections and influence. His late father, Bo Yibo, was a revolutionary contemporary of Mao and former leader Deng Xiaoping.

Over the past 30 years, Bo rose to power as a city mayor, provincial governor, minister of commerce and member of the Politburo, the powerful policy making body of the Communist Party.

Bo caught public attention in 1993 when he became the deputy party secretary and mayor of Dalian. He was credited with the stellar success and transformation of Dalian from an unremarkable port to a modernized city. He was later appointed governor of Liaoning province in 2001. In 2004, Bo finally got the chance to enter the elite central committee where he moved to Beijing as the minister of trade and commerce.

In 2007, he was given a seat on the Politburo and appointed party chief of Chongqing where he became well-known for running two major campaigns known as "chang hong da hei" -- singing red (revolutionary songs) and fight black (organized crimes).

One was a campaign to promote China's communist past, including public singing of "red songs", harking back to old communist values that generated nostalgia for the days of Chairman Mao. The other was a messy crackdown on crime and mafias.

The Chinese media is portraying the upcoming trial as a show of determination of the Chinese leadership to combat corruption. Some Chinese netizens agree.

"The indictment to Bo is already an improvement for Chinese legal system," wrote Zangrenxiongqi on Weibo, China's Twitter-like microblogging site. "It shows the determination of the central government to fight against corruption."

"This is to prove no matter how powerful the person is, as long as he or she violates the law, there will be punishment," chimed another netizen.

But others remain skeptical.

"This is a fight among interest groups, and it is not the first time that this happens," Riyuezhiguangjushi posted on Weibo. "When Jiang Zemin was in power, he removed (former Beijing mayor) Chen Xitong. It's understandable that Xi wants to eliminate Bo Xilai, even Deng Xiaoping has removed (Communist Party chief and rival) Hua Guofeng. This is politics, no right or wrong. It's just 'those who win become emperors, and those who lose become bandits'."

Bo's trial will be held in Jinan, the capital city of Shandong in eastern China, far away from his power base in Chongqing, where Bo still enjoys residual influence.

The Chinese authorities are expected to tightly stage-manage events -- unless Bo refuses to follow the script.

A source close to Bo's family told CNN that Bo denies the charges and looks forward to having the opportunity to defend himself in court -- if he is allowed to be heard publicly.

That looks unlikely. The Central Propaganda Department has reportedly decreed: "In coverage of the Bo Xilai trial, the media must use (the state-run) Xinhua wire copy without exception. Do not independently investigate and do not use material from other sources."

@highlight

Bo Xilai to face trial Thursday on charges of corruption, bribery and abuse of power

@highlight

Analysts see the trial as a test of China's legal system and Communist Party policies

@highlight

Bo was chief of Chongqing when his police chief fled, wife later found guilty of murder

@highlight

Politician was stripped of his Party positions and hasn't been seen in public for months