JERUSALEM (CNN)  -- Israeli media are buzzing with reports that right-wing nationalist Avigdor Lieberman may become Israel's next foreign minister.

Avigdor Lieberman is loathed by ultra-orthodox parties because of his support for a Palestinian state.

The appointment of Lieberman, a polarizing figure in Israeli politics, could complicate the stalled peace talks with the Palestinians. It could also further strain relations between Israel and moderate Arab countries.

Prime Minister-designate Benjamin Netanyahu is still in the process of forming Israel's next government.

Israeli newspaper Haaretz reported this week that it is likely that he will select Lieberman as foreign minister. The paper quoted a source close to the negotiations between Netanyahu's Likud Party and Lieberman's Yisrael Beiteinu.

Lieberman would replace outgoing Foreign Minister Tzipi Livni, head of the moderate Kadima party, which secured the most number of parliament seats in last month's election -- but not enough to form a coalition government.

Netanyahu has been unable to woo moderate parties, including Kadima, into his government. He may be forced to concede some key ministerial posts to Lieberman's party, which would be the second largest faction in the new coalition government behind Likud.

Netanyahu has vowed to form a broad-based government, but it is unclear how he can keep that promise since Kadima and the moderate Labor Party have indicated that they plan to form an opposition to a Likud-led government.

"Although Netanyahu has reportedly largely agreed to making Lieberman his foreign minister, he is thought to still be weighing the potential political damage the appointment of the hawkish politicians would do to the image of his government," Haaretz reported.

The Jerusalem Post, quoting unnamed diplomatic sources, reported that although Israel's ties with western Europe may suffer if Lieberman becomes foreign minister, he may help improve the Jewish state's ties with Russia and eastern Europe.

Lieberman is in a peculiar spot on the Israeli political spectrum He is routinely categorized as a right-wing hawk. But as a secularist who supports an independent Palestinian state, he is loathed by Israel's ultra-orthodox parties, including Shas, which holds 11 seats in the Knesset and is another potential member of Netanyahu's coalition.

It is unclear how moderate Arab countries, who are still outraged over Israel's recent military operation in Gaza, would react to Foreign Minister Avigdor Lieberman.

Egypt, one of only four Muslim countries that have full diplomatic ties with Israel, has been trying to negotiate a broader cease-fire between Israel and Gaza's Hamas leadership.

It is unclear whether those indirect negotiations would continue under the new Israeli government. Lieberman has said he is unwilling to directly or indirectly negotiate with Hamas, which is considered a terrorist organization by Israel for its refusal to recognize Israel and renounce violence against the Jewish state.

Lieberman does support "the creation of a viable Palestinian state," which is the bedrock of U.S. policy in the region. He restated that support in a Jewish Week article, written shortly after last month's election. That puts him at odds with Netanyahu, who does not support a two-state solution.

However, Lieberman's support of a Palestinian state comes at a high price. He has stated that he would oppose any peace agreement that would divide Jerusalem as a shared capital between Israel and a Palestinian state.

Lieberman, who migrated from the former Soviet Union to Israel in 1978, has also called for Israel's boundaries to be redrawn to exclude much of Israel's Arab minority, a move that would strip them of their citizenship.

Palestinians with Israeli citizenship make up about 20 percent of the Jewish state's population.

Lieberman frequently clashes with Arab members of the Knesset and has called for them to be tried and executed for meeting with leaders of Hezbollah and Hamas.

He wants all Knesset members, both Arabs and Jews, to prove their loyalty by swearing allegiance to the Israeli flag and national anthem.

Arab Knesset member Ahmed Tibi has warned that Lieberman's rising popularity reflects a dangerous trend.

"We are talking about a pure and obvious fascist phenomena invading the Israeli society," Tibi said. "During the last years, racism became mainstream in the Israeli society."

Lieberman's supporters credit him with offering clear solutions to Israel's complicated problems. In his article in Jewish Week, he rejected accusations from his critics that his party is racist.

"I stand at the head of the most diverse political party in the Knesset," he wrote, noting that his party's Knesset members have included four women, three people with disabilities, a Jewish convert and a Zionist. "I find it a bit rich to be called a bigot."

He said that he "look[s] forward to working with President Obama" since "U.S.-Israel relations are as strong as ever, and that our shared values and interests make our friendship unshakable."

Yossi Klein Halevy of the Adelson Institute of Strategic Studies said Lieberman is tapping into the dark side of Israelis' concerns about security, particularly as militants in Gaza continue to routinely fire rockets on southern Israel

"Lieberman is riding an ugly wave of resentment among many Jewish Israelis toward the Arab-Israeli minority," he said.

Ynetnews.com political correspondent Attila Somfalvi recently wrote that Lieberman has become "the leader of those who lost any hope or faith in the possibility of securing peace or engaging in talks with the Arabs."

"The war in Gaza indeed restored the public's sense of security and lowered the anxiety level, yet Lieberman is perceived as the man who will know how to do what needs to be done so that no more missiles land around here," she wrote.

@highlight

Prime Minister Benjamin Netanyahu may pick Avigdor Lieberman

@highlight

Media say he might hurt ties with West but improve ties with Russia

@highlight

It is unclear whether talks over Gaza cease-fire would continue

@highlight

Lieberman frequently clashes with Arab members of Knesset