New York (CNN) -- Steve White knows firsthand just how difficult coming home from war can be.

A 1st Cavalry Platoon leader and acting company commander in Vietnam, White experienced the struggles of war and the challenges of readjusting to civilian life.

Now the executive director of Veterans Across America, White is working to help the new generation of veterans, mostly from the wars in Iraq and Afghanistan, find jobs.

"This group [of veterans] is extremely well-trained. It's just that they're coming home to a terrible economy, there are very few jobs for them, and they're just being dumped out on the street. We're doing our best to change that," says White, 67, who is anticipating increased work as a large-scale drawdown begins.

Almost all of the 40,000 American troops in Iraq are on their way home after President Barack Obama's order in October to withdraw them by the end of the year.

Through the VAA's Champion Mentor Program, veterans individually team up with a mentor who helps them on the road to employment. They do this through résumé evaluation and improvement, face-to-face meetings, and setting up professional networks for veterans to tap into.

The nonprofit organization has already helped more than 7,000 returning troops find jobs.

Frank Vazquez is one of the success stories.

After graduating from Chelsea Vocational High School in New York, he served in the Navy as an ET3 (electronic technician third class) from 2000 to 2004. His aircraft carrier, the USS Nimitz, was sent to the Persian Gulf in 2003 at the beginning of the war. Vazquez, 31, spent his tour ensuring that the ship's radar systems were up to date.

After completing his service and returning home in 2004, Vazquez was searching for work. "I had no guidance from anyone in the military about what I should do next," Vazquez told CNN. "I also never heard from (Veterans Affairs) or other government programs. I actually didn't even know they offered anything."

Through his own efforts, Vazquez found a few short-term jobs as a technician between 2005 and 2008. In 2009, he met Glen Witt, VAA's Champion Mentor Program director. Witt became Vazquez's mentor and provided support and guidance toward finding employment.

"He was a huge help. He made sure I stayed on top of my applications; he was there if I needed to call him. He also met me and walked with me to my interview locations. When I didn't think things were gonna work out, he really stood by me and kept me going."

Vazquez is currently a personal banker at Chase in New York. He remains in touch with Witt and VAA.

His experience is a far cry from Steve White's.

In 1969, White says, he was spat on by Vietnam War protesters at Travis Air Force Base in California. White struggled to find a job and traveled to Florida to pursue a second degree. He enrolled at Florida Atlantic University but only stayed for one semester. He remembers his first day, sitting in class while students openly criticized him and other U.S. troops and the war effort.

When applying for one job at a machinery plant, White -- he was 24 when he returned from Vietnam -- recalls getting rejected after being told that his résumé did not list any appropriate qualifications.

"The guy told me I didn't have any civilian experience. I was able to get 200 people I didn't know to follow my lead and fight in the jungle, but I supposedly didn't have the experience to get a few people to turn on their machines," White told CNN.

He described his experience as a hostile reception at a time when many employers didn't look at military experience as a marketable background.

Don Buzney, a college graduate and Marine Corps captain in Vietnam from June 1968 to March 1969, recalls applying for a position as a manager at a Chicago trucking company.

"After he looked over my résumé, the interviewer said, 'I've got a stack of résumés from people who were smart enough to beat the draft, so I'm not really sure what I can do for you.'"

Both men do, however, see the younger vets receiving more support from the American public.

"The difference today is that many people, whether they support the war or not, they're still showing support for our troops," White said.

Michael O'Hanlon, director of research and senior fellow at the Brookings Institute, said that the new generation of Veterans is better prepared to enter the labor force. He attributes this preparation to a combat experience older veterans didn't have.

"Our soldiers are having to function in many more capacities than they have in the past," said O'Hanlon. "Sure they're expected to fight, but they have to know how to use technology that didn't exist before. They have to be leaders amongst their groups of soldiers and amongst the local populations. We saw some 'hearts and minds' type of efforts in Vietnam, but not nearly to the extent we see in these wars. All of these factors should be giving them skills they can use when they're back here."

Despite the public's higher support, official government agencies are having a hard time producing tangible success for vets. The 2010 unemployment rate among "Gulf War Era II" veterans (those who served after September 2001) was 11.5%, according to the Department of Labor. That number is a huge increase from the 6.1% rate of 2007. This is in contrast to the national unemployment rate, currently at 9%.

"The government and American businesses are throwing the yellow ribbon sticker on their cars, but they haven't gone forward to do anything," said Wes Poriotis, who founded VAA in 1996 at the request of then-President Bill Clinton.

Veterans are simply guided to online portals, where they submit hundreds of copies of their résumés to jobs found on a list. Many applicants never hear back from the companies they apply to and have no other means of looking for work.

"One glaring omission from the government's programs (is) that they provide no real network for our veterans," said Poriotis. "It's one thing if you're an officer and you've got a college degree and a network to lean on, but it's totally different for the majority of vets, who don't have a degree and are left to fend for themselves."

At any given time, VAA, headquartered in New York, has mentors in place for 200 veterans. Roughly 52% are Latino, 35% African-American, 10% Caucasian, and 3% a mixture of Asian and Native American, according to Glen Witt. About 15% of the veterans are women.

@highlight

Steve White, 67, is executive director of the nonprofit group Veterans Across America

@highlight

VAA's Champion Mentor Program helps Iraq, Afghanistan vets through job maze

@highlight

The nonprofit organization has already helped more than 7,000 returning troops find jobs

@highlight

VAA founder: Government programs have "no real network" for troops coming home