(CNN Student News) -- Students will explore contemporary applications of the U.S. Constitution.

As a class, read out loud the Preamble to the Constitution. Have students dissect the Preamble into its words and phrases, and hold a class discussion on the original intent of the U.S. Constitution.

Remind students that in 1787, the framers of the U.S. Constitution established a federal system of government that divided power between the national and state governments. It also established the three branches of government: the legislative, the executive and the judicial. Federal powers listed in the Constitution include the rights to collect taxes, declare war and regulate trade. The national government also has implied powers that allow it to respond to the changing needs of the nation. Reserved powers belong to the people or the states. State powers include the right to legislate on marriage and divorce, public schools and the state's militia. The right to freedom of speech, the right to own property and the right to be tried by a jury are examples of the powers reserved for the people of the United States. The Supreme Court has the final authority to interpret the Constitution. It can overturn any law that conflicts with any part of the Constitution. Ask students: Why do you think that the framers of the Constitution organized the U.S. system of government this way?

Next, organize students into five groups representing the following: the legislative branch, the executive branch, the judicial branch, the states and the people. Have each group investigate and list its powers as outlined in the U.S. Constitution:

1. Legislative Branch -- Article I

2. Executive Branch -- Article II

3. Judicial Branch -- Article III

4. States -- Article IV, Amendment 10

5. People -- Bill of Rights, Amendments

Then, have the students consider their groups' constitutional powers in a modern-day context. Ask: How might the system of government outlined in the U.S. Constitution be used to address current events? Brainstorm with students a list of topics in the news, such as the economy, wars in Iraq and Afghanistan, health care and the environment. For each issue, have students generate critical questions that address what role, if any, government should play. (Note: The questions will vary depending on the grade level and interest of the students.)

Reorganize students into groups of five, with each group having one representative from the executive, legislative and judicial branches, the states and the people. Then, assign one of the critical questions posed above to each group. Have groups prepare diagrams to illustrate what powers, if any, the federal or state governments or the people have in responding to these critical questions. Students should include the relevant text from the U.S. Constitution in their diagrams.

After each group has presented its diagram, hold a class discussion on the following:

1. Has the original intent of the Constitution changed since it was written in 1787?

2. How might the story of the U.S. read in the absence of a Constitution?

3. Why do you think that the framers of the Constitution organized the government into three branches?

4. What powers does the federal government have? What powers are reserved for the states? What powers are reserved for the people?

5. Why do you think that the document allowed for powers to be extended to individual states and citizens?

6. In what ways do you think that the U.S. Constitution is an effective document?

Curriculum Connections

National Standards for Civics and Government

9-12 Content Standards

I. What Are Civic Life, Politics, and Government?

A. What is civic life? What is politics? What is government? Why are government and politics necessary? What purposes should government serve?

B. What are the essential characteristics of limited and unlimited government?

C. What are the nature and purposes of constitutions?

D. What are alternative ways of organizing constitutional governments?

II. What are the foundations of the American political system?

A. What is the American idea of constitutional government?

D. What values and principles are basic to American constitutional democracy?

III. How does the government established by the Constitution embody the purposes, values, and principles of American democracy?

A. How are power and responsibility distributed, shared, and limited in the government established by the United States Constitution?

B. How is the national government organized and what does it do?

C. How are state and local governments organized and what do they do?

D. What is the place of law in the American constitutional system?

V. What are the roles of the citizen in American democracy?

A. What is citizenship?

B. What are the rights of citizens?

C. What are the responsibilities of citizens?

The National Standards for Civics and Government (http://www.civiced.org/912erica.htm) are published by the Center for Civic Education (http://www.civiced.org/index.php).

@highlight

Students will identify contemporary applications of the U.S. Constitution