(CNN) -- We have a Department of Justice, not a Department of Social Justice. That is an essential distinction. It is brought into sharp relief by politicized demands that George Zimmerman, having just been acquitted of murder by the state of Florida, be subjected to a second prosecution -- a federal civil rights indictment -- over the shooting death of Trayvon Martin.

The Justice Department has earned the trust of the United States courts precisely because it resists the politicization of law enforcement. Its tradition is to ensure the equal protection of law for every American, to evaluate cases strictly on the basis of facts and law, and to recognize its obligations not only to the community but also to criminal suspects.

Yet, though Attorney General Eric Holder never tires of reminding us about the due process owed even to foreign terrorists who've confessed to mass murder, the principle does not seem to apply to Zimmerman, an American now acquitted of murder.

Even if the Justice Department never files criminal charges against Zimmerman -- which is likely given the implausibility of obtaining a conviction -- it is extremely inappropriate for law enforcement officials, particularly the U.S. attorney general, to engage in a running extrajudicial commentary that taints the jury pool and ratchets up the investigative anxiety for a citizen who is presumed innocent and has been acquitted. Law enforcement officials speak in court -- with public charges, if prosecutors have the evidence to back them up.

The justice system is not a morality play. It is not designed to right every wrong, nor has it the capacity to remediate tragedy, such as the indescribable pain the Martin family endures after the loss of their 17-year-old son. In the face of such tragedy, the human instinct to demand some kind of "justice" -- social, poetic or cosmic -- is something we all feel. But that is not the justice our legal system exists to dispense.

Federal courts prosaically apply established law to provable facts, and they rely heavily on the Justice Department to perform that duty faithfully. When a popular political narrative -- such as the left's portrayal of racism as the root cause of many American ills -- crashes into uncongenial facts, the justice system is the place where the narrative must yield, and the Justice Department is supposed to ensure that it does.

Sadly, just the opposite has happened in the Zimmerman case. It has been bereft from the start both of proof that Zimmerman had the requisite criminal intent to sustain a murder charge and of evidence to refute his well-corroborated claim of self-defense. That is why veteran police investigators initially declined to file charges.

Yet Holder and his subordinates joined in the effort to induce Florida to file charges, unabashedly making common cause with the likes of the Rev. Al Sharpton, whose metier is racially divisive demagoguery.

Attending an anti-Zimmerman rally with Sharpton, Holder saber-rattled about filing a civil rights case. As the attorney general well knew, his inappropriate chatter would be construed as a suggestion that Florida had abdicated its responsibilities by declining to prosecute a purportedly racist murderer. Simultaneously, Justice's Community Relations Service worked closely with anti-Zimmerman activists to pressure Florida Gov. Rick Scott into reversing the police determination that there was no case. Scott finally caved, appointing the compliant special prosecutor Angela Corey, who dutifully lodged a groundless second-degree murder charge.

Standard, prudent Justice Department practice has always discouraged commentary on criminal investigations outside the public record. That is for the politicians. Law enforcement is not supposed to speak until the government is ready to file public charges and back them up in court.

To the contrary, Holder has engaged in an extrajudicial publicity campaign, and now finds himself in the hot seat: It's been over a year since he promised to file charges if warranted by the facts, and the facts have long been known -- indeed, they've been tried in court.

Obviously, it is easier to promise to keep investigating -- and to keep alive a race narrative dear to President Obama's political base -- than to acknowledge that there is no federal case against Zimmerman. The insurmountable proof problems Florida prosecutors faced do not even begin to describe the challenges that would confront a federal case.

A civil rights case would require proof beyond a reasonable doubt that Zimmerman shot Martin out of racial animus. There is no evidence that Zimmerman has ever been a racist -- jurors in the Florida case say race was not relevant to the case, and the FBI, after investigating extensively for months, has been unable to find proof of a racial motivation.

Furthermore, a federal prosecution would require proof that Zimmerman was trying to prevent Martin's enjoyment of some statutorily specified civil right -- like attending school, applying for a job, staying in a hotel, going to a restaurant, or participating in a federal program. The Zimmerman-Martin altercation was purely local with no federal implications.

Finally, in light of the Justice Department's heavy-handed role in pressuring Florida to bring a case that police originally decided not to charge, there may be a serious question whether the "dual sovereignty" exception to double jeopardy -- allowing a federal prosecution despite a state acquittal -- applies.

This is not a federal case. If real justice had been served, it would never have been a criminal case at all.

The opinions expressed in this commentary are solely those of Andrew C. McCarthy.

@highlight

Andrew McCarthy: Justice Department should handle cases based strictly on facts and law

@highlight

McCarthy: Attorney General Eric Holder should not have politicized the Zimmerman case

@highlight

He says Zimmerman case is not a federal case because civil rights was not an issue

@highlight

McCarthy: If justice had been served, Zimmerman case would never have been a criminal case