Geneva, Switzerland (CNN) -- The dragon is the Chinese counterpart of the phoenix rising from the ashes of destruction. And as we bring in the Year of the Dragon Monday, the most important of the years in the Chinese Zodiac, let's consider a great opportunity -- and an awe-inspiring responsibility -- to create an ethical world together.

The challenge we must face: Every day, throughout the world, mothers, fathers, sons and daughters are arbitrarily detained, tortured and denied access to counsel and basic due process rights -- causing untold human suffering, perpetuating patterns of violence and impunity, and sapping vast economic potential.

We may think of torture as a last-resort instrument of authoritarian regimes or rogue groups to extract information from political prisoners, but torture is a much more common occurrence than that.

More than 100 countries -- including some we describe as democratic -- practice some sort of torture, often on a massive scale, and most of the tortured are not even political prisoners. Torture is actually used most of the time just because it is the cheapest form of investigation, less expensive than building a proper legal system.

TED.com: What's the right thing to do?

In the midst of this crisis exists an urgent opportunity. Of the 113 developing countries that, according to our database, practice torture, 93 have taken a strong first step in favor of human rights by signing international conventions and adopting domestic laws that safeguard the rights of ordinary citizens.

Unfortunately, many of these laws remain unenforced due to a lack of trained lawyers, a lack of awareness of what respect for human rights really means, and a lack of resources to turn the situation around. These critical gaps allow entirely preventable human rights violations to occur over and over again, despite a legal framework being in place and governments being willing to accept international support.

I first came to this realization in 1994 when I walked into a prison in Cambodia and met a 12-year- old boy who was tortured and denied counsel -- for stealing a bicycle. Over time, I came to realize that the vast majority of torture cases actually happen to everyday citizens throughout the world and not to political prisoners.

And yet the global community spends the majority of its efforts on political prisoners and on punitive measures as opposed to preventive measures that create positive change.

Suddenly, when I looked into that Cambodian boy's eyes, it became clear: Precisely because he was not a political prisoner, the Cambodian government had no interest in the boy, for better or worse. This was the way the police did their work. They didn't need to build a case based on evidence; they roughed up the suspects to get a confession.

Thus, we recognized the opportunity to help him, and the many thousands like him throughout the world. This is the mission of International Bridges to Justice (IBJ), which was born 12 years ago, in the last Year of the Dragon.

TED.com: The global power shift

In those years, defenders from throughout the world have joined our cause, seeking justice for the poorest of the poor, training local officials, and literally defending life and human dignity. From China to Zimbabwe, from India to Burundi, we see the seeds of justice starting to grow.

Our starting point is not instances of torture and broken legal systems. We focus instead on the attainment of functioning courthouses, competent police officers, trained legal defenders, resulting in ordinary citizens everywhere encountering justice rather than brutality.

Our challenge is to breathe life into existing legal frameworks, to stop investigative torture before it occurs, and to create a culture where the rule of law and respect for due process and human rights is the norm.

Yes, this sounds incredible. Many would say it is simply not possible. Yet in in the country where I first encountered the 12-year-old tortured boy, IBJ today now represents indigent defendants in 13 out of Cambodia's 24 provinces.

In those provinces where IBJ has its legal aid centers, investigative torture today is virtually eliminated, a dramatic turnaround from a culture of abuse and impunity in a few short years' time. Cambodia's government has asked IBJ to work on helping to build a legal aid system. We trained the police, we empowered the defense lawyers, we raised the population's awareness -- and where we work, torture is now the exception and not the rule.

Imagine a 36-year-old Sri Lankan woman, held in pretrial detention for nine years. Only after an IBJ lawyer intervened did she regain her freedom and see her children again. And this story is one of the least unpleasant ones. At least she had not been severely tortured, raped or abused.

Despite overwhelming challenges, courageous defenders are having the prophetic imagination to see a world without abuse and torture and are fashioning this hope into reality. They are enabling their countries to rise from the ashes of destruction by rebuilding stable societies through the safeguards of their legal system.

For the latter half of the 20th century, as human rights became an important factor in international relations, activists played an excellent role in raising awareness of problems. But we've reached a point where there is only so much that this can accomplish. If we learn about abuses and only prosecute abuse after the fact, what good does that do?

Instead of optimizing the approach by doing the same thing only a bit more effectively, we need to innovate -- that is, we need to do something new entirely. We can't play the game by the rule of the tormentors, whereby they torture and we decry. We won't always lose, but we'll never win.

We need to act before the torture happens in the first place. A shift is taking place toward upholding human rights through legal rights -- using the infrastructure of the public justice system to ensure that basic protections are upheld. The payoff is preventing abuse, rather than exposing mistreatment and prosecuting after the fact. Just having a lawyer supervise the process of a suspect's detainment puts police and prosecutors on notice that they are being watched not just by a defender, but by society at large.

There was a time when it was impossible to imagine a world without polio. There was a time when it was impossible to imagine the abolition of apartheid. But that did not stop those who believed in a better world, and I believe we can stop the use of investigative torture in the 21st century. The time is now.

We are the Dragon.

We are the Game.

Let us rise up from the ashes of destruction and create our ethical future together.

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Karen Tse.

@highlight

Karen Tse: In too many countries, torture is simply a cheap investigative tool

@highlight

She says the way to stop such torture is to develop functioning legal and court systems

@highlight

Tse: Use the most important year in the Chinese zodiac to end the use of torture