(CNN) -- First some full disclosure: Former President Jimmy Carter has been pretty good to me. He gave me in-person interviews for my last book and a forthcoming one on the end of greatness in the presidency. And every time we've met, our conversations have been friendly and productive.

But having worked on the Middle East negotiations for more than a few years and still laboring under the notion that wrongheaded assumptions and conclusions ought to be redressed, I can't help but weigh in on the former President's criticism of both President Barack Obama's and former Secretary of State Hillary Clinton's handling of the Israeli-Palestinian negotiations. Carter's brief comments raise two important issues worth examining.

Carter's idea that the President ought to jump in and get in the middle of the Israeli-Palestinian negotiations and that Clinton should be somehow blamed for not taking on the peace process are dead-on inaccurate.

I've been critical of Obama and Clinton. But blasting them for failure to leap into the throes of a broken peace process isn't a valid criticism.

What Carter has done is to allow his own passion for resolving the Palestinian issue and his own experience in peacemaking during the late 1970s to skew his view of what is required now in the way of presidential involvement. Right now, the Kerry talks are hardly ready for prime time, and until they're much farther along Obama should keep his distance.

Carter's brief paragraph of comments in his longer interview in TIME takes shots at Obama and Clinton from two different directions. Other than his well-deserved expression of admiration for Kerry, just about everything in that paragraph is wrong.

First is the charge that Kerry is "having a difficult time operating pretty much on his own." Here's a news flash for you. This is the Israeli-Palestinian issue -- it's the mother of all migraine headaches and root canals operations.

Every secretary of state and president who has ever dealt with it has had a difficult time. Indeed, none has even come close to resolving it. Kerry is only the latest in a fairly long line of would-be peacemakers. And the fact is even with the current crisis in the talks, (likely to be resolved on the basis of more process but little peace) he's actually kept this thing afloat longer than anyone would have believed.

Implicit in Carter's charge, though, is the idea that Kerry's travails are related almost entirely to the fact that Obama has not played a central role in the enterprise so far.

Much of Carter's mediator addiction flows from his own experience in brokering Egyptian-Israeli peace. Let's be clear Jimmy Carter accomplished in 1978 and 1979 remains a truly important and consequential act of U.S. diplomacy.

Carter took risks in bringing Egyptian President Anwar Sadat and Israeli Prime Minister Menachem Begin to Camp David in 1978, and he was relentless and skillful in his brokering of those accords and the Egyptian-Israeli peace treaty that followed in March of the following year.

But presidential involvement then was both warranted and critical to the task at hand. Carter had two strong leaders who were serious about making a deal. He had a focus on Egyptian-Israeli peace that both Sadat (reluctantly) and Begin (happily) were prepared to separate out from the more complicated Palestinian issue. He had negotiators below the level of the two leaders on each side who were prepared to play key roles in facilitating, not complicating, the negotiations.

In short, then the peace process was ready for prime time. Now it isn't.

After all, Sadat in November 1977 in one of the most extraordinary acts of statesmanship in the 20th century had undertaken a trip to Jerusalem and in the process fundamentally altered the shape of the conflict.

Today, the Israeli-Palestinian issue remains largely frozen.

Should Kerry's effort progress further and the gaps on the core issues of the conflict -- borders, security, Jerusalem, refugees -- narrow significantly, it would be worth a significant push by Obama to close them.

Indeed, an Israeli-Palestinian agreement, let alone a conflict-ending one, isn't going to be possible without presidential involvement of a major caliber. But to spend presidential currency now, to make the President part of the political furniture by throwing him into a semihopeless process not only doesn't make sense, it would undermine presidential credibility.

Woody Allen was only partly right. Ninety percent of success in life is showing up. But it's showing up at the right time.

As for Carter's charge that Clinton "took very little action to bring about peace" and that "it was only Kerry's coming into office that reinitiated all these important and critical issues," that's also wrong and unfair.

During her term as secretary of state, Clinton dealt with perhaps the most controlling foreign policy president since Richard Nixon. Obama dominated -- he didn't delegate.

All of the consequential issues were run out of the White House, including the so-called peace process. And that had nary a chance of getting started because the President chose to focus on Israeli settlement activity instead of what might be required to reach an actual agreement -- not that such an agreement could have been reached then anyway.

It was true that Clinton was likely risk-averse on the Palestinian issue. She was smart enough to know the climate was hardly amenable to an agreement.

It's also true Kerry is risk-ready. Unlike his predecessor, the arc of his prospective elected political career is descending; Clinton's is ascending. If she runs for president, she has to deal with the consequences of actions she took regarding the Middle East.

And so Kerry is prepared to be active. But that's because the President is ready to let Kerry engage. You have a second-term president more focused on the middle class as a legacy, not on the Middle East. And so it's important that he has a secretary of state who is prepared to take on and manage all the headaches the President can't or doesn't want to. It's truly unfair to blame Clinton for a first term peace process that never was and almost certainly never could have been.

Carter's views on the Middle East are likely driven by many things: his own success there and the lack of success of all of his predecessors on issues he cares deeply about and that are important to U.S. national interests. But none of that should fundamentally obscure the main issue.

Carter succeeded in the peace process because the parties themselves were prepared to own it and take the decisions necessary to make it work.

That is not yet the case today. The primary problem is not Barack Obama, John Kerry or Hillary Clinton.

It's primarily Benjamin Netanyahu and Mahmoud Abbas. And while the United States has a critical role to play, unless that changes, you might as well hang a closed-for-the-season sign on prospects for a solution.

@highlight

Former President Carter made comments critical of Obama and Hillary Clinton on Mideast peace

@highlight

Aaron David Miller: Carter is confusing the Middle East of the late 1970s with today

@highlight

He says Obama is right to let John Kerry take the lead to see if peace can be achieved

@highlight

Miller: Clinton couldn't have emphasized peace process given lack of White House support