(CNN) -- A Tennessee juror's laudatory Facebook message to a medical examiner during a murder trial could nullify the jury's conviction of William Darelle Smith, the state's Supreme Court ruled Wednesday.

The high court did not immediately throw out the first-degree murder conviction of Smith, who was sentenced to life in prison in 2010. But in concluding the trial judge erred upon learning of the juror's social networking communication with a key prosecution witness, state justices unanimously decided a new trial may be necessary unless the state proves the juror shouldn't have been disqualified.

"If, for any reason, the trial court is unable to conduct a full and fair hearing with regard to juror (Glenn Scott) Mitchell's improper extrajudicial communication with Dr. Lewis, then the trial court shall grant Mr. Smith a new trial," the Supreme Court ruled, referring to the juror by name, as well as Dr. Adele Lewis, the medical examiner who testified.

The Davidson County, Tennessee, District Attorney's Office did not have an immediate reaction Wednesday to the ruling. Smith's public defender declined to comment.

A county grand jury indicted Smith in the death of Zurisaday Villanueva, whose body was found June 4, 2007, off a Nashville road along with two .9 millimeter shell casings. The two had been living together, according to court documents.

Smith went on trial in March 2010. After the jury was set, jurors were told by the judge they "should not talk with any witnesses, defendants or attorneys involved in this case."

Testimony followed, including from Smith's cousin, who said the defendant told her a pistol "went off" while he and Villanueva were arguing and again when Smith was trying to move Villanueva's body.

The prosecution also presented evidence indicating Villanueva's blood was in an automobile driven by Smith and owned by his father. The second-to-last person to testify for the prosecution was Lewis, a Vanderbilt-trained assistant medical examiner. She conducted an autopsy on Villanueva and classified her death as a homicide, saying Villanueva was shot in the chest and the back of the head.

The next day, about an hour after the jury began deliberating on Smith's fate, Lewis e-mailed presiding Judge Seth Norman that she had been contacted via Facebook by a juror who was an acquaintance.

"A-dele!!" the juror wrote, according to the e-mail included in the state Supreme Court ruling. "I thought you did a great job today on the witness stand. ... I was in the jury ... not sure if you recognized me or not!! You really explained things so great!!"

Lewis responded by saying she thought she recognized the juror, then warned of "a risk of a mistrial if that gets out." The juror wrote back that he was aware of the risk, saying he hadn't mentioned he knew Lewis.

The first time the juror-witness communication came up in official court proceedings was after the verdict was delivered, but before sentencing. That's when public defender Mike Engle asked if the court asked the juror about the exchange, to which the judge replied, "No, I'm satisfied with the communication that I have gotten with Dr. Lewis with regard to this matter."

Smith later asked for a new trial, in part because the defense wasn't allowed to question the juror. The trial court ruled against him, as did a state appeals court that characterized the Facebook communication as "mere interactions" and noted it is up to the court to decide if a juror is impartial.

The state Supreme Court's ruling on Wednesday overruled those decisions. Stressing that "the public's confidence in the fairness of the system" requires that all jurors be held "accountable to the highest standards of conduct," the justices said the trial court should have taken "steps to assure that the juror has not been exposed to extraneous information or has not been improperly influenced."

In Smith's trial, this could have been addressed at a hearing at that time or a "full-scale investigation," the court said. Neither occurred, leading the state Supreme Court to send the case back to the trial court for a hearing on the Facebook communication and the jurors' impartiality.

Conversations between jurors and people involved in a case have long been forbidden in state law. But the court admits that technology -- including the Internet, which allows jurors to conduct research and more readily communicate -- has complicated matters.

"Even though technology has made it easier for jurors to communicate with third parties and has made these communications more difficult to detect, our pre-Internet precedents provide appropriate (guidelines)," the ruling states.

The state court also said trial courts need to "give jurors specific, understandable instructions that prohibit extrajudicial communications with third parties and the use of technology to obtain facts that have not been presented as evidence."

"Trial courts should clearly prohibit jurors' use of devices such as smartphones and tablet computers to access social media websites or applications to discuss, communicate, or research anything about the trial," the court said.

CNN's Joe Sutton contributed to this report.

@highlight

William Darelle Smith went on trial in 2010 for first-degree murder

@highlight

A doctor who did the victim's autopsy testified, then was contacted by a juror

@highlight

The trial judge didn't order a hearing into that interaction; high court says he erred

@highlight

State Supreme Court orders such a hearing, which could lead to a new trial