China's skylines could look a lot more uniform in the years to come, if a statement by a Beijing official is to believed.

The backlash against "weird buildings" escalated earlier this week when the capital's vice mayor, Chen Gang, announced that the city would be taking a greater role in influencing its structures' aesthetics.

The city plans to implement "building ordinances to govern the city's building size, style, color and materials," Chinese state media reported.

China's cities, with their huge growth and increasingly bold architectural choices, have been a boon to the architecture industry over the past decade or so, with eye-catching structures popping up across the country.

However, following Chinese President Xi Jinping's remarks, which call for an end of "weird architecture," to a symposium in October, it seems as though there might be a politically-motivated directive at hand. The comments were widely reported in Chinese media.

Chen's announcement is ostensibly to allow urban planning a greater hand in creating public spaces and "a better cityscape" for residents.

When contacted by CNN, the municipal government declined to comment further.

"Like a pendulum"

Some are not concerned. Pritzker-prize laureate Rem Koolhaas, whose landmark CCTV building in the capital is often used as an illustration in media reports of so-called "weird architecture" told CNN that there have been previous, similar edicts.

"There have been periods (in China) where ordinances existed, there were mayors who insisted (to put) Chinese roofs on modern buildings but it's like a pendulum," he said while attending a design conference in Hong Kong.

He says he's holding off making judgment until the updated ordinances were expanded upon.

"I'd like to see (the rules when they are announced). There was a rule that buildings had to be grey, and the CCTV building is grey, and I don't think it is diminished because of that."

Koolhaas is quick to clarify that the "weird buildings" remarks were not directly aimed at his flagship China project.

"The media has made that connection. No more weird buildings, it's understandable if you look around and I don't feel that CCTV is a weird building so that's my comment."

Stifling creativity

Hong Kong-based architect William To, project director at the Hong Kong Design Centre, however, decried Chinese attempts to rein in creativity.

"Wouldn't (the ordinances) make everything pretty much the same? Then they're not giving the young creative industries a chance to come up with new ideas or innovation."

To said that the proposed rulings would stifle what has been a playground for architects.

"That's setting parameters on creativity and this will limit or kill a lot of great ideas. From creativity there shouldn't be boundaries. For new ideas and new projects to take shape, thinking out of the box is essential. By putting parameters you're limiting (architects) to remain in the box.

Cheng Taining, from the Chinese Academy of Engineering, says that China's unorthodox skylines are the result of a "judgment imbalance," according to the China Daily.

"These weird buildings are too alienated from basic architectural norms and ... have become super-sized art installations that jump on the desire and vanity bandwagon," he told the paper.

@highlight

Beijing authorities announce plans to place restrictions on new building designs, materials

@highlight

Vice-mayoral announcement comes shortly after President Xi Jinping called for no more "weird buildings"

@highlight

Architecture in Chinese cities has become increasingly bold and outlandish

@highlight

Experts are divided on the potential impact of the planned building ordinances