Princeton, New Jersey (CNN) -- America's poverty rate is now the worst since 1993, according to a shocking report last week from the U.S. Census Bureau.

Over 46 million people are living in poverty, 2.6 million more than in 2009 and the poverty rate has reached 15.1 percent.

The outlook is grim. The recession has compounded decades of growing economic inequality, structural poverty, and urban decay. With the projections that unemployment will remain high for several years, these numbers are not likely to improve.

Making matters worse, as Ron Haskings at the Brookings Institution noted, "Safety net programs run by the federal and state governments are helping millions of families avoid poverty, but thee programs could be subject to cuts at the federal and state level because of continuing deficit and debt problems."

Despite the enormity of this social problem, American politicians in either party rarely discuss the subject. Since the poor don't tend to vote in high rates or contribute much in campaign funds, they don't get a place at the table in Washington, D.C. Yet with the U.S. poverty rate being the highest in the developed world according to the Organization for Economic Cooperation and Development, this statistic marks a terrible failure for the nation as a whole.

Most Republicans have tended to avoid the question of poverty because they reject the notion that government can do anything to solve it. For decades, conservatives have railed against welfare programs for creating a cycle of dependency.

Republicans and conservative Democrats ultimately believe that the only way to reduce poverty is to grow the economy. But poverty has been a problem in good times and bad.

Democrats avoid tackling the problem because they fear the political consequences of being tagged as big government liberals. In 1996, when President Clinton signed the welfare reform act that ended Aid to Families with Dependent Children (AFDC), he effectively took poverty off his party's agenda.

Those who support government programs for the poor have been haunted by the political backlash against the War on Poverty.

It was during the 1960s, an era of unprecedented economic growth, that President Lyndon Johnson and allied Democrats decided to tackle the problem of poverty in this wealthy nation.

President Kennedy had started to explore an anti-poverty program in 1963 under the guidance of Walter Heller, the chairman of the Council of Economic Advisors, but Kennedy was assassinated before he could take action.

When Johnson heard about the program shortly after taking office, he said it was the kind of initiative he could support. Johnson, who had been inspired by the New Deal and grew up amid poverty in Texas, sympathized with the plight of the poor and believed that the government could and should so something about it: "That's my kind of program. I'll find money for it one way or another. If I have to, I'll take away money from things to get money for people."

To build a legislative coalition in favor of the War on Poverty in 1964, Johnson enlisted the support of liberals in Congress as well as the conservative Democrat Phil Landrum of Georgia, who won over the votes of many in the party who usually opposed new federal programs. Landrum, and other conservatives in the party, had constituencies who struggled with economic hardship.

In his address to Congress in March 1964, Johnson said: "What you are being asked to consider is not a simple or an easy program. But poverty is not a simple or an easy enemy. It cannot be driven from the land by a single attack on a single front. Were this so, we would have conquered poverty long ago. Nor can it be conquered by government alone. For decades American labor and American business, private institutions and private individuals have been engaged in strengthening our economy and offering new opportunity to those in need. We need their help, their support, and their full participation. Through this program we offer new incentives and new opportunities for cooperation, so that all the energy of our nation, not merely the efforts of government, can be brought to bear on our common enemy."

The War on Poverty claimed some notable accomplishments. According to the historian Michael Katz, "Between 1965 and 1972, the government transfer programs lifted about half the poor over the poverty line." Many programs, such as Head Start, became popular across the nation and perceived as integral to the well being of struggling Americans.

Even as the policies were making great strides, Republicans attacked the War on Poverty as a waste of federal money that only helped elected officials. Many Democratic urban machine politicians lambasted the Community Action Programâ€”a part of the war on poverty that put money into the hands of local organizations to shape anti-poverty initiatives--because they felt the dollars were winding up in the hands of left-wing organizations who then opposed them. Many groups representing the poor felt the War on Poverty did not go far enough.

For decades afterward, attempts to reduce levels of poverty through government action were unpopular. Indeed, AFDC, a product of the New Deal commonly known as welfare, became the focus of conservatives who called for eliminating the program and younger Democrats who felt it needed to be reformed. Reforming welfare gained more attention than the problem the program was originally meant to solve.

Today's silence about poverty is striking. Very few presidential candidates ever bring up the issue. There have been a few in each party, such as John Edwards for the Democrats and Rick Santorum for the Republicans, but in general this is the cause that has no champion.

The new data from the Census Bureau, comes at a crucial time, with government programs on the chopping block as Washington focuses on cutting the budget deficit.

Candidates running for office in 2012 should be forced to confront this issue and explain what they intend to do about it.

Proposals such as public jobs, education reform, and tax incentives to rebuild blighted areas must be discussed. There must also be strong consideration given to protecting -- and even expanding --state and local services for the poor despite the current obsession with budget cuts.

Unless voters and the media help to make this an issue in the campaign, the problem will likely only become worse.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Census bureau reported sharp rise in Americans in poverty

@highlight

Julian Zelizer: Neither party seems willing to address the issue

@highlight

He says the War on Poverty succeeded in helping many

@highlight

Zelizer: Voters, media should push candidates to talk about poverty