MBOLA, Tanzania (CNN)  -- Moved by a 2007 trip to Ghana, singer/songwriter John Legend joined the fight to end extreme poverty in his lifetime. And based on his experiences in poor, rural areas of Africa, he says, real change is possible.

John Legend says "Mama" Mwadawa Ruziga's role in uplifting her community inspired him.

"I don't want people to only see Africa as a bunch of victims," Legend says. "The people that I've come across in these extremely impoverished villages, they want to work. They want to participate in their own development."

To help people lift themselves out of poverty, Legend founded the Show Me Campaign, named after one of his songs. Partnering with economist Jeffrey Sachs' Millennium Promise organization, Legend's group adopted Mbola, a remote village in Tanzania that has little access to drinking water and improved farming techniques, according to Millennium Promise.

"The folks in Mbola are starting at a supreme disadvantage. Most of them are living on less than a dollar a day," Legend says. "It's difficult for them to even survive."

On his 2007 visit to Mbola, Legend met "Mama" Mwadawa Ruziga, a single mother of two who was freeing herself from poverty. Her entrepreneurial spirit impressed Legend and solidified his belief that sustainable development at the community level can work in the fight against poverty.

Ruziga leads a local business collective that sells products -- like wine, jam and juice -- that it makes out of indigenous fruits.

"I was really inspired by her willingness to not just wait for a handout, but really take an active role in helping to uplift her community," he says.

Through the Show Me Campaign, Legend has pledged to raise $1.5 million over five years to support programs similar to Ruziga's that are aimed at alleviating poverty in Mbola. But this is not just about cutting a check, he says.

"You can always go in and bring an influx of money and address things temporarily. But if development's not sustainable, then something's wrong," Legend says. "This is about teaching them how to farm better, improving the education system, getting water pumps. The idea is that [the community] will continue to sustain themselves over time."

Before joining her collective, Ruziga, 47, says her life was at an all-time low. For years, she suffered through malaria and droughts.

"The only thing I did was farming, then I would just sit idle with nothing to do. But after joining the group, my life changed for the better, slowly by slowly," Ruziga says.

In addition to agricultural processing, Ruziga's group focuses on horticulture and tree planting. Ruziga herself has been instrumental to the success of the group, traveling to trade shows in the Tanzanian cities of Tabora and Dar es Salaam to sell their products.

"Our group has spread to other areas of Tanzania, and we've experienced great success because many people have come to know about us," Ruziga says.  Watch Legend talk about meeting Ruziga, and see her group making products »

Six different villages have adopted the group's successful model.

"I think she's a great example of someone who's given the tools to succeed, having the energy, having the follow-through, having the leadership skills to go ahead and do it," Legend says.

Not only has Ruziga's group changed her own life, but other members' lives have also improved. This is the first time that some of them have ever earned an income.

"Now they are more educated than before," Ruziga says. "The group provides them with a platform to exchange and explore ideas, and the revenue collected enables the members to cater for their basic needs."

Ruziga believes that the future depends on women taking an active role in their future and says her community is happy with the help and encouragement Legend offers them. For Legend, Ruziga's passion is inspiring and motivating.  Watch Legend visit with Ruziga and her group during his trip to Mbola »

"Mama Ruziga is an example of someone who is personally taking her destiny in her hands, and the destiny of her community into her hands. She is a leader, she's inspirational, and she's one of my heroes."

@highlight

Legend's hero, "Mama" Mwadawa Ruziga, is lifting herself and others from poverty

@highlight

They met when the singer/songwriter visited Tanzania on an anti-poverty campaign

@highlight

Ruziga leads a business collective that makes products from local fruits, sells them

@highlight

This is the first time some members of her group have ever earned an income