Moore, Oklahoma (CNN) -- Sun was hard to come by in Moore, Oklahoma, Tuesday. The sky still looked menacing, dark and foggy. Mist turned to rain. Lightning struck.

From the air, this suburb outside Oklahoma City looked like flattened cardboard. On the ground, homes were messes of splinters. Cars, thrown like toys, sat in ridiculous places. Hunks of steel hung in trees -- the trees that were left. Most were shaved down to gnarly apocalyptic wishbones.

When people were allowed back on their street -- if emergency crews gave them the green light -- that's when the real trauma set in for many.

It's bizarre and disorienting when every landmark and sign your eye knows is suddenly gone and there's miles of nothing in its place.

"It's funny when you can't tell your own stuff when you get back and look at it like this," Mack James said, standing in the rubble that used to be his house.

Moore has no power. Water is out and volunteers are handing out bottles. The twister is gone but the danger is still real.

Gas lines are being checked. Crews are out searching for live wires.

"It was horrible," recalled one elderly woman, sitting in a chair near piles of debris. "The thunder and the sound was like a turning of the world. It was so bad but we were in the cellar right out there. You could hear the thing just blowin', hear the pounding.

"I can't even believe I'm still alive."

The realization of the loss of material things is just beginning. Photos are gone. Family heirlooms might not ever be found.

How to help

But there is worse. Rescue workers are still trying to find survivors, as reports keep coming in about those missing.

Wearing a thick red hoodie, Zack Woodcock looked intensely worried and lost in thought as he told a CNN reporter that a wrestler on his son's wrestling team was missing.

"It's hard," he muttered, looking like he hasn't been to sleep.

The death toll was 24, according to Oklahoma City Medical Examiner spokeswoman Amy Elliott. Nine of the dead are children, she said.

Frantic kids and parents

On Monday evening, kids screamed for their parents and parents hollered their children's names, walking and searching in panic in a parking lot near Briarwood Elementary.

"Caleb! Caleb!" one woman could be heard screaming, as another woman, her face bloody, walked zombie-like through the crowd, holding a young boy's hand.

"Step over the wire!" someone shouted. Adults and children zigzagged past each other. One man went to a little boy standing alone, whose face was just then cracking into a full-out cry. The man put his arm around the child and they both looked out into the chaotic parking lot, apparently searching for the boy's parents.

One mother who spotted her son sitting with his teacher on a curb gently grabbed the boy's hands and stood him up and then learned her whole body over him, hugging him. She cried and then laughed and cupped his face.

"He was so brave!" the teacher said.

The mother then embraced the teacher. "Thank you," she wept, "thank you."

Jim Routon, who showed up to help at the school, held his arm up and shouted, "5th graders!" But, of course, parents and kids continued to wander, desperate, scared. It was a valiant effort though -- trying to offer order where none could be found.

Three hours of emotional torture

Janna Ketchie was trapped at work, unable to get on the road because of downed power lines. She texted, desperate for news about her two boys at a day-care center.

It was next to Briarwood Elementary, which Ketchie knew was badly damaged.

"Those three hours where I didn't hear anything, they were the longest three hours of my life," she said. "Knowing I'd never see them again. No mother should ever have to go through that."

But she did see them again, thanks to a teacher who covered her 3-year-old and 6-week-old with a mattress and her body.

Grayson Ketchie suffered a head wound and an ear injury. His baby brother? Unscathed.

"It's a miracle, an absolute miracle," said Rick Roberts, one of the boys' grandfathers.

A day after the 200-mph twister knocked down his building, Grayson was in a playful mood, happily reunited with his family.

When asked what happened to the day-care facility, he said, "Broke!"

No one at the center was killed, officials said.

An elementary school mourns

While Briarwood families found their children, it was far worse for parents with kids at Plaza Towers Elementary School. The building was reduced to just a few walls.

Monday night a father sat on a stool, tears in his eyes, as a firefighter tried to comfort him.

He awaited news of his son, a third-grader. At least seven children were killed at the school, police said.

Students who managed to escape said they hugged and clung to walls as the tornado passed through, according to CNN affiliate KFOR.

One teacher told KFOR that she lay on top of six students in the bathroom. They survived.

Norma Bautista told CNN that when she arrived, she found her child and nieces and nephews and took them away.

"I am speechless as [to] how this happened, why it happened," she said. "How do we explain it to the kids?"

Her son, Julio, said teachers told students to crouch and cover their heads.

1999: They've been through this before

What's left behind

A tornado leaves intact the most absurd things sometimes. A cardboard box of tax returns sat on a pile of wood that was once someone's home.

One woman's bathroom was the only room untouched in her house, she said.

Though their home was obliterated, Kristina Daniel and her husband Donovan told a London Telegraph reporter that the only thing untouched in their home appeared to be an empty water bottle.

"You just wanna break down and cry," Steve Wilkerson told CNN, holding a laundry basket that contained the belongings he could find.

"But you know, that's how it goes," Wilkerson said, his voice shaking. "You gotta be strong and keep going."

He's lived in Oklahoma his whole life. He's seen tornadoes before, but nothing like this one.

"I still can't believe this is happening," he said. "You work 20 years, and then it's gone in 15 minutes."

Not far away, another woman was joyous when she got a text from her son, Cody, who started walking down a major street in Moore and saw his grandmother walking dazed along the road with her Yorkie.

"Grandma is fine," her son texted. "She is at my house. Mom, everything is gone. There is nothing left, anywhere. All of the pictures, all grandma's stuff, all my pictures, my letter jacket, my college degree from OU. There's nothing left."

In another part of Moore, Lando Hite was shirtless, his hair and body caked with mud, as he described what happened at a horse and entertainment farm.

"It was just like the movie 'Twister,'" he told CNN affiliate KFOR. "There were horses and stuff flying around everywhere."

The tornado slammed into the Orr Family Farm, which had about 80 horses. It damaged several barns; Hite was worried that most of the animals had been killed.

"I tried to let some of the horses out of their stalls so that they would have a chance," said Hite.

The building he took shelter in moved about 100 feet, he said, when the twister hit.

A woman told CNN that she saw a horse after the twister. The animal was bleeding, but alive.

It's personal for National Guard

Tuesday morning, Lt. Gov. Todd Lamb spoke to CNN affiliate KOKI from a Dick's Sporting Goods parking lot.

"I'm not a pessimist and I have a lot of faith and a lot of hope, but just with the enormity and severity of this storm..." he trailed off.

At least 85 patients were at a local trauma center. Of those, roughly 60 are children, Lamb said.

But he insisted that Oklahomans stay positive.

"Let's focus on the good news for a moment, the good news is that in the overnight hours, 101 survivors were found," he said. "I talked to a (National) Guardsman early this morning. He told me he found three bodies overnight, but his eyes got brighter as he said he found an elderly couple holding onto one another in their shelter scared to death. But they're alive and well today.

"So thank you to the men and women who are providing the search and rescue right now."

CNN spoke with several guard members overnight. They live in and around Moore when they aren't deployed. Like so many others, some of them were searching for their own family members, too.

"You don't ever think about it as much when you're at home," said Spc. Josh Gragert. "When you see the devastation and people who are affected by it ... it really hits hard."

Follow the severe weather tracker

CNN's Nick Valencia, Gary Tuchman and George Howell reported from Oklahoma. Ashley Fantz reported and wrote from Atlanta.

@highlight

Mom waited for three hours for news that her boys were alive

@highlight

Kids and parents in parking lot search for each other

@highlight

National Guard rescuers look for their own loved ones, too