(CNN) -- North Korea's dictator is still missing. Kim Jong Un has not been seen in public since early September, and on Friday he missed the symbolically important anniversary of the Korean Workers' Party.

This absence has fueled speculation that there is political intrigue afoot in Pyongyang -- possibly even a coup.

No one outside of North Korea really knows what's happening -- including, almost certainly, America's troubled $50+ billion-per-year intelligence bureaucracy. But it seems likely that the corpulent potentate, who exhibited a limp before disappearing, is recovering from some kind of physical problem.

Making a rare allusion to the young tyrant's health, a government mouthpiece reportedly venerated Kim in September as a man "who keeps lighting the path for the people, like the flicker of a flame, despite suffering discomfort." Alas, the third supreme leader of the Kim dynasty, who has ruthlessly eliminated potential rivals including his own uncle, may now see eliminating calories as the more pressing necessity for regime survival.

But the speculation and concern in Washington and allied capitals over the cloistering of Kim is noteworthy in itself. It reveals a lack of political intelligence of any real value on the regime. In turn, this lapse should remind us that inherently unstable, nuclear-armed North Korea could someday put Northeast Asia into crisis without any warning.

Is Kim Jong Un's sister in charge?

Professing renewed concern, North Korea's foreign enablers seem eager to reprise a remedy that has failed repeatedly before: six-party talks. That dialogue, pursued intermittently in the previous decade, was intended to eliminate Pyongyang's nuclear program -- a goal to which the reclusive state agreed. Twice. But three separate nuclear tests showed that the talks clearly failed. North Korea pocketed copious foreign aid and relief from sanctions, China got to play the diplomatic grande dame of the region, Russia showed up and Japan got ignored.

Beijing and Moscow would now like a repeat performance. At the U.N. last month, Chinese Foreign Minister Wang Yi said that "the six-party talks remain the only viable and effective way to resolve the nuclear issue." A week later in Moscow, Russian Foreign Minister Sergei Lavrov met with his North Korean counterpart and declared, "the talks today confirmed that resuming the six-party talks is possible."

Why has North Korea decided to talk now?

Washington and Seoul have yet to take the bait, but you can rest assured that the foreign policy establishments in both towns will urge them along. Perhaps seeking to jumpstart this encouragement, North Korea unexpectedly sent a very senior delegation to South Korea last week, and agreed to resume formal reconciliation talks between the two nations. Those talks are perennially ineffective, but they are like catnip to experts convinced that North Korea can be tamed with the right combination of words and goodies.

There is another way to handle North Korea, which involves putting sustained pressure on the regime. China always says it is willing to take this step, but in fact never does -- and never will as long as China itself is run by a cabal that is terrified of the will of its own people. The government that will not now tolerate the modicum of Chinese democracy it previously agreed to in Hong Kong certainly does not want freedom advancing up the Korean Peninsula to its doorstep -- the precise outcome of a regimen of pressuring of Pyongyang that Washington, Tokyo, and Seoul ought to pursue.

The blossoming freedom movement in Hong Kong actually offers a guide. In a moving letter to his fellow Hong Kong students, a young Chinese man wrote: "Looking back at us mainlanders, not only do we seldom care about Hong Kong issues, we barely understand our own. ...

"We don't know that it's possible to ask, 'What do we want?' "

"I understand the fear behind your courage. If you don't do anything now, the day will come that you are going to be just another me. Honestly, this is my fear too."

The young man's eyes were opened forever -- made possible in part by a temporary escape from the repression and media censorship of his home. People like him become the fundaments of a world that is freer and safer.

This type of liberation should come as no surprise: It is the reason that free nations broadcast uncensored news and other media into the Soviet Bloc during the Cold War. These broadcasts and other cultural tools, combined with real economic, military, and political pressure, ended that conflict favorably for the side of freedom.

So it can be with North Korea. U.S. governmental broadcasting today is in irreversible collapse, but the free world can give greater support to North Korean defectors and others who comprise a nascent uncensored media for those left behind.

The Koreans who have undertaken this effort on a shoestring budget over the past decade have proven its effectiveness. These free journalists have been effective getting information into and out of North Korea, which is why the Pyongyang regime despises and targets them.

In turn, this creates more North Koreans whose eyes are open -- who, like the Chinese student, now realize they should be able to ask, "What do we want?"

Fundamentally, we need a policy of truth for North Korea:

Help North Koreans get the truth. Grasp the truth that China will never seriously help the free world with North Korea. Accept the truth that six-party talks would fail again. Embrace the idea that the truth will set people free.

@highlight

North Korean leader Kim Jong Un hasn't been seen in public for more than a month

@highlight

U.S. intelligence on North Korea has been poor, suggests Christian Whiton

@highlight

West must put sustained pressure on North Korean regime, Whiton says