(CNN) -- When it comes to plastic pollution, our society has asked everyone -- scientists, environmentalists, and the government -- to clean up the mess we've made.   Through recycling initiatives, plastic-bag bans and fees, and alternatives to plastics altogether, we still haven't come close to solving the problem ... perhaps until now.

The solution might have been discovered with a fungus in a laboratory Petri dish.

Pria Anand was a student in Yale University's class of 2010 whose passion for the environment made her want to make a difference.  Anand wanted to find out if there was something in nature that could decompose plastic.  She began experimenting with dozens of species of fungi from the Amazon, but she graduated before she could finish her work.

Jonathan Russell took over for Anand but soon he was beginning to think maybe it just wasn't possible.  One day, as he casually walked into the lab he says his eyes locked on the Petri dish containing his experiment:  the plastic was gone.  He'd found what they'd been looking for.

The Yale students had discovered that Pestalotiopsis microspora fungus can break down plastic.  It's a species of fungi that can be found in many regions of the world and can decompose polyurethane, a common plastic that is used to make things like insulation, synthetic fibers, plastic for electronics and sealants.

The fungus was 10 days old when the experiment started and in only a matter of days, he says, it had significantly decomposed about a quart size amount of the plastic.

The study found that several species of fungi were able to at least partially decompose polyurethane, but this type was the only fungus able to do it in water without oxygen, one of the most challenging environmental conditions.

Scott Strobel, the Yale biochemistry professor who instructed Anand and Russell during these experiments, says because of this discovery, the future looks promising for all types of plastic pollution.  He says fungi's potential to break down man-made materials could be endless, along with its possibilities in medicine and other fields of science.

However, Russell warns that this is not the ultimate solution to solving plastic pollution.   "I don't want it to be broadcast as the cure-all to pollution, but it's a modest step towards a very important goal," he says.

The full study will be published in the journal of Applied and Environmental Microbiology's September issue.

Dr. Ming Tien, a biochemist at Penn State University, says he experimented in the past with using fungi for decomposition.   He points out "the question of whether these microbes can be used in the future is an engineering challenge.  It's a big leap to go from the test tube to the field."

Back in Strobel's classroom, one of his students is working to find an organism that biodegrades styrofoam. Strobel says the current crop of students is interested in seeking out more solutions like these and that they'll continue to make discoveries like Russell.

Today, Russell is working on his Ph.D. in molecular biology at Harvard.  He's encouraged that other students are taking an interest in environmental solutions.

"Growing up in a world where pollution is going to be a big issue in the future, coming up with creative ways to tackle it, gets me excited," Russell says. "I only hope that more people will take this on and get interested in it in the future."

@highlight

Two Yale students find that a species of fungi can decompose polyurethane

@highlight

A professor says the potential to break down man-made materials could be endless

@highlight

One of the researchers cautions it's not "the cure-all to pollution"

@highlight

And a biochemist says, "It's a big leap to go from the test tube to the field"