Washington (CNN) -- An independent review of the September 11 attacks on the U.S. Consulate in Benghazi released Tuesday cited "systemic failures and leadership and management deficiencies" at the State Department.

The attacks killed four Americans, including U.S. Ambassador J. Christopher Stevens.

The failures resulted in a security plan "that was inadequate for Benghazi and grossly inadequate to deal with the attack that took place," the 39-page, unclassified version of the report concluded.

Read the independent panel's full report

Veteran diplomat Thomas Pickering and former Joint Chiefs of Staff Chairman Adm. Mike Mullen, both members of the review board, are scheduled to brief members of the House Foreign Affairs and Senate Foreign Relations committees in private on Wednesday.

The board cited a lack of resources as at least partly to blame.

"The solution requires a more serious and sustained commitment from Congress to support State Department needs," it said.

The board found that Washington tended "to overemphasize the positive impact of physical security upgrades ... while generally failing to meet Benghazi's repeated requests" to beef up personnel.

The board completed its investigation this week and sent a copy Monday to Secretary of State Hillary Clinton, who said in letters to the heads of those committees that she accepted every one of its 24 recommendations. They include strengthening security, adding fire-safety precautions and improving intelligence collection in high-threat areas.

Benghazi siege: The ambassador's last minutes

The report said "there was no protest prior to the attacks," which it described as "unanticipated in their scale and intensity."

It also cited the Bureau of Diplomatic Security staff as "inadequate" in Benghazi on the day of the attack and in the months and weeks leading up to it, "despite repeated requests from Special Mission Benghazi and Embassy Tripoli for additional staffing."

The report said there had been a "lack of transparency, responsiveness, and leadership at the senior levels" in Washington, Tripoli and Benghazi.

"Security in Benghazi was not recognized and implemented as a 'shared responsibility' by the bureaus in Washington charged with supporting the post, resulting in stove-piped discussions and decisions on policy and security," it said. "That said, Embassy Tripoli did not demonstrate strong and sustained advocacy with Washington for increased security for Special Mission Benghazi."

The report said the short-term nature of the mission's staff, many of whom were inexperienced U.S. personnel, "resulted in diminished institutional knowledge, continuity and mission capacity."

The mission was also "severely under-resourced with regard to certain needed security equipment," it said.

It singled out for criticism the dependence on "poorly skilled" members of the Libyan February 17 Martyrs' Brigade and unarmed local guards who were supposed to provide security. It noted that, at the time of Stevens' visit, militia members "had stopped accompanying Special Mission vehicle movements in protest over salary and working hours."

Benghazi problems suggest long list of changes for security of diplomats

Though it said there had been no specific, credible threats on the day of the attack, the significance of the anniversary of the 9/11 terror attacks in 2001 had led Stevens to decide to hold meetings on the compound on September 11 of this year.

But security systems and the Libyan response "fell short" when the compound came was penetrated "by dozens of armed attackers."

The report offers a detailed description of what happened that night. It said Libyan mission guards were not present, local militia fled their posts and "there simply was not enough time for armed U.S. military assets to have made a difference."

The board said it could not determine how a gate at the compound was breached, "but the speed with which attackers entered raised the possibility" that the guards had left it open.

Eric Boswell, assistant secretary of state for diplomatic security, and Charlene Lamb, deputy assistant secretary of state for international programs, oversaw decisions on security at the diplomatic outpost. Lamb testified before Congress about the security precautions. Documents show Lamb denied repeated requests for additional security in Libya.

Despite all the criticism, the board found no U.S. government employee had engaged in misconduct or ignored responsibilities and did not recommend any individual be disciplined.

Clinton, who is recovering from a stomach virus and concussion, ordered the review in the aftermath of the attack. Such reports are mandated by Congress when Americans working on behalf of the U.S. government are killed overseas.

State Department: Clinton not dodging Benghazi hearings

A notice sent to State Department employees said the implementation team had met Tuesday and would continue to do so regularly to carry out the board's recommendations.

The politics surrounding the events that led to the report have claimed one political casualty, with Susan Rice, U.S. ambassador to the United Nations, last week pulling her name from consideration to succeed Clinton. Some Republican senators had said they would put a hold on her nomination if President Barack Obama had submitted it, based on comments Rice made in the days after the attack.

In place of Clinton, Deputy Secretaries of State William Burns and Thomas Nides will testify before the House and Senate committees Thursday.

Read more: Benghazi attack back in the spotlight

Read Clinton's letter to the Committee on Foreign Affairs chairman

Read Clinton's letter to Sen. John Kerry

@highlight

The report cites "management deficiencies" at high levels of the State Department

@highlight

It concludes "there was no protest prior to the attacks" on September 11

@highlight

Staffing for the Bureau of Diplomatic Security was "inadequate," report says