LONDON, England (CNN)  -- Ramadan, that holy month of fasting and dawn-to-dusk abstinence, is a key period in the Muslim calendar apart from its standing as one of the five Pillars of Islam.

Men gather to watch TV after breaking their fast in Manama, Bahrain.

More typically associated with praying, fasting and religious contemplation, it's also the month that Muslims are more glued to the tube than at any other time during the year, much like Thanksgiving or Christmas in the United States.

The dozens of TV drama series known as "musalsals," prepared precisely for Ramadan -- and the loyal following they attract -- is testament to its significance in the Muslim world's TV calendar.

Quiz shows, talk shows and biographical series also form part of the annual Ramadan line-up.  On the set of Ramadan's TV dramas »

"Part of the Ramadan tradition is to gather with friends and family and watch TV," Ismail Kutkut told CNN. Kutkut is the producer of a biopic about 1940s Egyptian singer Laila Mourad, one of Ramadan 2009's most anticipated shows.

"There's a lot more advertising than usual because of the high viewership," Kutkut said. "Subsequently, TV channels are able to pay series producers higher than average prices for their productions.

"[That] encourages producers to make high quality shows since they're guaranteed a good return on their investment."

Viewership shoots up during Ramadan, according to IPSOS, a Paris-based ratings agency, as does advertising -- and advertising costs. A 30-second ad on Dubai TV normally costs $1,748, according to the agency. During Ramadan, that jumps to $6,588, a 277 percent increase.

Everywhere around the region, it's the same story. On Saudi-owned MBC1, an ad spot goes from $4,450 during the off-season to $12,104 during Ramadan -- almost three times as much, according to IPSOS.  Watch Ramadan TV battles »

The streets and rooftops of Cairo, the Arab world's largest city, are plastered with huge ads for big-budget Ramadan shows, and the producers of programming across the Middle East compete fiercely for viewers.

Egypt, with its decades-long cinematic history, has long dominated Ramadan TV. But new program producers in other Arab countries, Syria particularly, have lately been giving the Egyptians a run for their television money.

"Egypt has a long history in movie-making that goes back a hundred years, whereas the Syrians are new to this," said Kutkut. "It's still too early to tell whether they will last in the industry."

The shows air after the "iftar" meal -- the often elaborate family supper, eaten after dusk, when the daily fast is broken.

"TV has become something of a main course during Ramadan and it shares the importance of food, and sometimes it overtakes it," Syrian director Bassam Al Mallah told CNN.

Al Mallah's hit show, "Bab Al Hara," was the most watched musalsal of last year's Ramadan TV viewing extravaganza.

"The Arabic viewer during Ramadan tends to be more of a homebody. Staying home with the family is part of the Ramadan tradition, so most Ramadan TV shows are primarily geared toward a family audience."

"Bab Al Hara" is a perfect example.

A period Syrian soap now in its fourth Ramadan season, the series is the story of a man and his pregnant wife who are separated during the French occupation of Damascus during the two world wars. It portrays the life of extended Syrian families, all in period costume, living in old Damascus neighborhoods during that time.

"Bab al Hara," like most Ramadan series, is on every night for the entire month.

Asked what made the show so popular, actor Milad Youssef said it was because it delved into family relationships like "the relationship between a father and his children, a mother and her children ... between siblings."

"People were thirsty for such representations, especially since they were presented in a historical context," he told CNN.

"When people saw that these values existed at a certain point in history and that it was on TV, they felt a kind of melancholy for that, and no doubt this reflects certain values that exist in today's society."

Sometimes the shows can go too far, though, sparking condemnation from conservative clerics in the region.

Last Ramadan, the hugely successful Turkish-made soap "Noor," whose end was timed to coincide with the holiday, was slammed by Saudi Arabia's Grand Mufti Sheikh Abdul Aziz Al-Asheikh as an immoral show produced by "people who are specialists in crime and error, people who invite men and women to the devil."

The show, which in one episode alone last year reached a whopping 85 million people scattered from Morocco to the Gulf, features the marriage of "poor but proud" Noor to "rich but macho" Muhannad.

Biographical series, like the one featuring singer Mourad, are also extremely popular with Ramadan audiences, according to Kutkut.

"There's a huge demand for this genre," he said, adding that if he had shopped his Mourad show around, he probably could have sold it to at least "18 different channels."

Kutkut said shows that touch on pan-Arab issues, using actors from different countries speaking different Arabic dialects, also have tremendous appeal around the region. "Shows that bring down barriers really appeal to people's sensibilities," he said.

Egyptian actor, musician, TV talk show host and president of the Cairo Film Festival, Ezzat Abou Ouf, who plays Mourad's father in this year's biopic of the singer, said out of the some 60-80 TV series he's involved with each year, 50 of them are destined for Ramadan.

"People are just so attached to the television during Ramadan," he said. "We don't work a lot then, maybe that's the reason, I don't know."

@highlight

Muslims in the Mideast watch more TV during Ramadan than at any other time

@highlight

Ad rates shoot through the roof; period soaps and biopics especially popular

@highlight

The shows can spark condemnation from conservative clerics

@highlight

Shows featuring pan-Arab issues and various Arabic dialects have appeal