Hong Kong (CNN) -- It was meant to be a show-stopping display of military might, a rocket poised to enter orbit to celebrate 100 years since the birth of the man who founded North Korea.

But while the rapid disintegration of Unha-3 may have drawn sighs of relief from countries along its planned trajectory, one analyst says in this case failure may be more dangerous than success.

"Given the technology failure on such an important occasion on the 100th anniversary of Kim Il-sung, and given the failure of the symbolism of that, there's perhaps a need to compensate in some way," said Rory Medcalf, program director of international security at the Lowy Institute.

That compensation could come in the form of short-range missile tests, Medcalf said. However, he added that "they've done it so many times before that it's not all that impressive."

The alternative might be a nuclear test, Pyongyang's third since 2006, and another way for new leader Kim Jong Un to convey his power to the North Korean people.

"I wouldn't exaggerate it, but the chance of a nuclear test this year is now higher than it was yesterday," he said.

In the days before Friday's launch, South Korean intelligence officers predicted that North Korea would use the international chorus of condemnation over the rocket launch as an excuse to test its nuclear technology.

In a report obtained by CNN, they said recent satellite images showed the final stages of a tunnel being dug at Punggye-ri, the site of two previous tests in 2006 and 2009.

"Their nuclear test in 2006 is believed to have been a fizzer, the one in 2009 was still very small by standards of nuclear weapons, so there's an argument that their military would want to test again anyway," Medcalf said. "Also their previous tests used a plutonium design, and they may want to prove a uranium bomb."

A nuclear test would also fit North Korea's pattern of serial provocations, analysts said.

"Certainly in 2006, you see a launch, you see a condemnation and some Security Council sanctions," said Jeffrey Lewis, director of the East Asia Nonproliferation Program at the James Martin Center for Nonproliferation Studies at the Monterey Institute of International Studies.

"You see some very tough words form the North Koreans and then you see a North Korean nuclear test. So it wouldn't surprise me to see that pattern play out again," he said.

While the cycle of North Korean provocation and diplomacy might follow a predictable path, questions remain as to why the country pressed ahead with a rocket launch that, based on previous attempts, seemed destined to fail.

Unlike previous launches, international media was invited to view launch preparations. They were given an unprecedented tour of the launch site and then front-row seats in a press center that showed blank screens as word spread outside the country that the launch had failed.

Lewis said, by inviting journalists, Pyongyang may have been seeking to remove a layer of secrecy surrounding the event, thus reducing the likelihood of harsh international sanctions to a launch planned well before recent negotiations with the U.S. over the resumption of food aid.

"I really think that fundamentally they wanted to go ahead with this launch and they were trying to remove some of the pressure that was on them, reduce the chance of sanctions," he said. "Bringing in the reporters was all part of their efforts at trying to be transparent. In a way they were sort of deluding themselves."

In late February, North Korea announced an agreement to freeze its nuclear and missile tests, along with uranium enrichment programs, and allow the return of U.N. nuclear inspectors.

At the same time, the U.S said it would provide 240,000 metric tons of food aid to the impoverished country. The deal is now off after the launch which the White House says "threatens regional security, violates international law and contravenes its own recent commitments."

Lewis said he believes Friday's rocket launch was the main motivation behind Pyongyang's recent willingness to engage with U.S. negotiators.

"People have tended to assume it must have been about the nutritional assistance. But I think it makes much more sense to imagine that they knew that they were going to do this rocket launch. And they knew that that would trigger a round of sanctions and hostility so they may have been bargaining to try to have the rocket launch, without all the sanctions," Lewis said.

Any North Korean strategy to avoid tough international sanctions seems to have backfired amid a storm of criticism ahead of a U.N. Security Council meeting on the launch on Friday.

The regime's attempts to broadcast a powerful image to its people also seemed to have crashed along with the rocket debris.

Pyongyang's unprecedented admission of the launch's failure is a sign, analysts said, that the regime is aware that it's getting harder to shield the truth from its people.

"It is just getting a little bit incrementally harder each year in North Korea to completely deceive its population about what's known in the outside world. And in this case, you had that extra pressure of expectation from the 100th birthday celebrations and the presence of the foreign media," Medcalf said.

"Perhaps North Korea's leaders recognize better than we imagined how much information technology has changed the world," Lewis added.

@highlight

North Korea's rocket launch failure increases chance of nuclear test, analyst said

@highlight

Unha-3 broke up soon after launch, debris crashed into ocean, officials said

@highlight

Launch was meant to mark 100 years since the birth of Kim Il-sung

@highlight

A nuclear test would also fit North Korea's pattern of serial provocations, analysts said