(CNN) -- About a year after losing his dad in a plane crash, Matt Snoddy climbed into the cockpit for an emotional flight.

His kids Charlie, age 5 and Alice, 3, were tucked in the back of the tiny Cessna and his flight instructor was seated alongside. Snoddy pulled back on the stick and they were airborne.

The Lexington, Kentucky, landscape spread out below them as the plane gained altitude. Snoddy couldn't help but gaze down at Blue Grass Airport, where Comair Flight 191 crashed during takeoff, killing his father, Tim Snoddy, and 48 others.

A government investigation blamed the crash on Flight 191's pilots, who attempted takeoff from a wrong runway. The FAA administrator at the time said disasters like Flight 191 might be avoided under NextGen, the nation's sweeping air traffic overhaul set to roll out by 2025.

Memories of the crash had kept Snoddy -- a longtime private pilot -- out of the cockpit until his wife offered the flight as a gift for Father's Day. "She wanted me to take the kids up and to see if I wanted to keep flying."

Snoddy and his father shared a love for flying -- Matt Snoddy as a pilot and his dad as a passenger. Tim Snoddy enjoyed flying so much he'd been talking about getting his pilots' license, too.

Tim Snoddy, a 51-year-old accountant and consultant for legal cases, was a frequent business traveler who left his Lexington home many times a year to spend a total of six months away at his offices in Asheville, North Carolina, and near Fort Lauderdale, Florida.

Matt Snoddy, an IT consultant, had set up shop with his dad in the same Lexington building, where their father-son relationship strengthened.

Everything changed on the dreary Sunday morning of August 27, 2006. Matt Snoddy was home with his wife and kids when a friend called. "She said, 'Matt your dad was on that airplane.' I said, 'What airplane?' and she goes, 'Turn on the news,' and sure enough there was the crash."

Matt's first thought was: "There's no way he was on that plane. Why would he be flying out on a Sunday?" But the friend who called knew his father had changed his departure date. "So I immediately called my dad's cell and it went straight to voice mail and I left a message saying, 'Dad, just give me a call. I'm just checking on you.' "

Snoddy wasn't sure if he really wanted to get back in the cockpit so soon after the crash, but he found himself doing so -- creating a kind of emotional test to gauge his loss and how it had transformed him.

It was likely he might choose never to fly again. And that feeling became stronger during the flight. He realized his love of flying, which he'd cherished since his teens, had suddenly disappeared.

"Something was different and I just didn't feel comfortable doing it anymore," Snoddy said. "The flight was my way of saying, 'OK that's it, farewell. We've had some good times but now it's time to move on.' "

If planes are outfitted with cockpit displays pinpointing their locations on airport surface maps, crashes like Comair 191 might be prevented, then-FAA Administrator Marion Blakey told Louisville's Business First newspaper.

A map display could have alerted crew members they were on the wrong runway, say experts.

With NextGen technology, the lone controller on duty that morning also might have had access to a similar map display, which experts say also may have helped avert the crash.

Experts throughout the industry agree the United States enjoys the world's safest air traffic system, with no deaths from commercial airline crashes last year. But NextGen aims to head off future safety concerns from gridlock expected as the skies and airports become more crowded.

As many as 6,000 aircraft are in the skies during peak traffic times, according to the FAA. But get ready for that number to increase. The number of annual U.S. air passengers is projected to pass 1 billion by 2021.

Radar -- the technology that currently tracks all flights -- dates back to the early 20th century. It's less accurate than GPS, its data is delayed by about 10 seconds and pilots can't use it to see their positions on a cockpit display.

NextGen's GPS-based technology promises to increase safety by allowing pilots to see their locations and locations of surrounding aircraft via a cockpit display in real time.

How NextGen affects travelers

This visual aide vastly improves what pilots call situation awareness, a mental picture of where their aircraft is in relation to its surroundings.

Any kind of technology that provides pilots with more information is a good thing, said Snoddy, who believes better situation awareness in the cockpit might have saved his father's life.

A GPS-based tracking technology called ADS-B (automatic dependent surveillance-broadcast) is already used to some extent by UPS, Southwest Airlines, and soon, JetBlue. By 2020, the FAA will require all U.S. aircraft to broadcast their positions using ADS-B.

More about ADS-B

In smaller general aviation aircraft, ADS-B has proved its value for Marisha Falk. The pilot instructor at Embry-Riddle Aeronautical University in Daytona Beach, Florida, credits ADS-B with saving her life and the life of her co-pilot in 2007.

During a cross-country air race over Kentucky, another plane was bearing down from behind and above Falk's aircraft -- a blind spot where eyesight alone would have left her unaware. The approaching plane triggered a warning from the ADS-B -- and Falk took action.

"If we wouldn't have sidestepped to the right, they would have just landed right on top of our airplane," she said.

National security

Big questions remain unanswered surrounding NextGen and the security of the nation's airspace.

On 9/11, terrorist hijackers shut off radar transponders aboard their hijacked airliners, making it hard to identify and track them en route to their targets. Without transponders, planes are visible on radar screens, but impossible to ID. Would hijackers be able to do the same thing with ADS-B?

It's unclear how vulnerable the ADS-B system would be to hackers, terrorists and other attackers compared with the nation's current radar-based tracking.

In a 9/11 scenario, if both a plane's ADS-B and its radar transponder are shut off, experts say the plane would be harder to track but still visible on radar, which would be available as an ADS-B backup. The FAA refused to discuss details about ADS-B and security issues, but a spokesman said protections are part of the program and are being developed.

"That's the reality of today's environment, that we have to take all these things into account, which we are," said FAA spokesman Paul Takemoto.

For example, testing is under way in the Southwest on ways to prevent hackers from "spoofing," which involves intentionally interfering with ADS-B signals to create false targets on ADS-B displays.

The FAA plans to decommission some radar stations as it relies more on ADS-B. By 2020, will there still be enough radar stations to protect U.S. airspace?

In February, the Department of Transportation inspector general warned about potential gaps in the system.

Top U.S. security authorities, Homeland Security and the Department of Defense, haven't yet agreed with the FAA on how to jointly monitor so-called "noncooperative" aircraft, in other words aircraft possibly piloted by terrorists that aren't transmitting flight information.

"Without closer coordination and agreement about surveillance requirements, there is potential for duplicative efforts and gaps in airspace coverage," DOT Inspector General Calvin Scovel told a House panel.

The situation is enough to prompt concern among members of the powerful Senate Commerce Science and Transportation Committee, which has a big say in NextGen funding.

As the fifth anniversary of the Lexington crash approaches, Matt Snoddy doesn't miss being in the cockpit as much as he thought he would. He's still healing from the disaster's emotional scars, and he still prefers to drive -- if possible -- rather than fly commercial.

"It's difficult for some people to give up that control," Snoddy said, "especially when they've been through something like I've been through -- and the rest of my family and the families of the 48 other people on the plane."

He'll mark the fifth anniversary of the crash in a ceremony at the University of Kentucky arboretum,  where he will help unveil a 25-foot memorial statue depicting 49 silver birds forever suspended in flight.

Years ago Snoddy said farewell to piloting an aircraft ever again, but lately he doesn't rule it out -- someday. "Maybe," he said. "Not right now. It's just going to take time."

This is the final report of a three-part series surrounding the FAA's "NextGen" overhaul of the U.S. air traffic system. Previous parts discussed NextGen technology and how the program will affect consumers.

CNN's Steve Kastenbaum, Sean O'Key and Patrick Oppmann contributed to this report.

@highlight

NextGen U.S. air traffic overhaul aims to improve safety with new technology

@highlight

FAA is switching from radar tracking to more accurate GPS tracking

@highlight

Steps being taken to protect GPS-based tracking from "spoofing" hackers

@highlight

DOT warns about security gaps unless authorities coordinate on tracking coverage