(CNN) -- They finally called a spade a spade.

Japanese Parliament's new report on the Fukushima nuclear crisis stated that the "fundamental causes are to be found in the ingrained conventions of Japanese culture: our reflexive obedience; our reluctance to question authority; our devotion to sticking with the program." This admission exposes perhaps the weakest aspect of the Japanese governance style.

Japanese companies are known to be indecisive, always taking a long time to reach any conclusion. On the other hand, they make the world's best consumer products. How can one explain this paradox?

In the aftermath of the big earthquake last year, there was a group of 40 Japanese stranded in a building. There was no food in a freezing cold night, except for one cup of instant noodle. The 40 people calmly shared that one little cup, without any fight or quarrel. Stories like this coming out of the affected region illustrate the amazing level of collective discipline that Japanese have. It's hard to imagine the same behavior anywhere else.

For the Japanese, this wasn't unusual. The reactions to such stories in Japan were along the line of: "We knew you'd hang in there, well done, we're right behind you." The Japanese are educated from a very early age to constantly "think about others" and to assess "the positing of one's self in an organizational context." Hence, solidarity within a group setting is very important. The unwritten communal rituals, value sharing and group-binding rules are so strong that they can overrule laws.

In such a culture, the leaders in Japan are often selected on a consensus basis. In other words, the leader is often the person who can best represent and voice the group's collective interests. Individualism and top-down decision-making process are often rejected, especially among traditional organizations like the government or corporations. As a result, someone who has original or different ideas is more likely to be cast out of a group. This is opposite of the top-down decision-making process that is required for the leaders in Western countries.

This consensus-based management style leads to an internal "village-like" way of doing things, usually under a closed-door policy. It breeds vested interests, which binds the leaders tighter. It is not hard to imagine that such organizational traits can easily reject third party's comments or suggestions, even if they are objective.

For example, when there was a whistleblower from TEPCO, the first call that the government made to TEPCO was: "Hey, you have a whistle blower" instead of "Hey, you might have a problem at the nuclear reactor -- look into it." This is when rationality is washed away by excessive formalities and bureaucratic rituals. Many Japanese scandals in the past have been the result of this type of behavior.

When there is no crisis, or when there is little or no paradigm change, the Japanese decision-making process is not a problem. In fact, it can even be advantageous, especially in a corporate environment. Japanese workers are extremely obedient, hard-working and loyal to their group. The corporate chief simply pushes his "automatic flight mode" and the plane will glide nicely as the mass will work hard to set the course.

However, when there is an unanticipated event like an earthquake or tsunami, Japanese leaders cannot cope well. This is equivalent to when they are asked to make a decision about crash landing. Since these leaders have been constantly opting for consensus decision-making process that is based on precedents, when there is no precedent they malfunction. Strong top-down leadership when needed is simply not there.

The statement in the Fukushima report says it all -- there is both strength and weakness to the Japanese style of management. The challenge for the Japanese is to open up to individualism and more top-down leadership while retaining collectivism to some degree.

The opinions expressed in this commentary are solely those of Seijiro Takeshita.

@highlight

Fukushima report says nuclear crisis was a "man-made disaster"

@highlight

Seijiro Takeshita: In Japan, group-binding rules are very strong

@highlight

He says individualism and top down decision-making process are often rejected

@highlight

Takeshita: Can the Japanese move away from consensus type of management?