(CNN) -- If you're reading this somewhere in Africa, then perhaps you should thank Nii Quaynor.

The Ghanaian professor is known as "Africa's father of the internet," a web pioneer who helped establish some of the continent's first online connections.

For some 20 years now, soft-spoken Quaynor has been at the forefront of web development across Africa. He is the first African to be elected to the board of ICANN, the internet corporation for assigned names and numbers. He's also played an important part in launching the African Network Operators Group and AfriNIC, the African internet numbers registry.

As a result, Quaynor was recently inducted into the Internet Hall of Fame, lauded as an instrumental figure "in the early design and development of the internet." He is today chairman of Ghana's information technology agency and a professor at the country's Cape Coast University.

CNN's African Voices spoke to Quaynor about the role of the internet in Africa's development and his dreams for the continent's digital future. An edited version of the interview follows.

CNN: How did you get the title of father of the internet in Africa?

Nii Quaynor: Actually I don't know, but perhaps I made a lot of effort to get my colleagues to understand and to participate and to begin to contribute to the internet. And I have been fortunate with a very good educational background and so I also wanted to impart the knowledge and I was a major contributor in building some of the important technical institutions that make up the internet ecosystem in Africa. In the process of doing that a lot of people perhaps felt that my leadership was good for them, and you might say, gave me that kind of description.

CNN: What is the state of the internet in the continent?

NQ: The health of the internet in Africa is good; we have good connectivity, at least to major capital cities; we also have good wireless through the mobile companies and other forms of connectivity, so connectivity is becoming less of a barrier, except that we are still working on the affordability side of that connectivity.

Read this: 10 African tech startups you need to know

The part that we are yet to, in some sense, make headway is both in the use as well as in we being part of the production side of services for the internet.

We don't have many businesses developing content or hosting content or doing e-commerce -- we have some banks trying to do internet banking, meaning we having companies beginning to adopt it, but we really haven't taken hold of it. Some of it may be because of inadequate policies, because our policies historically have been about the transmission side of things and so we need to take another look at how a country thinks about developing its internet.

So we have a big challenge -- actually, we see it as an opportunity. Connectivity is not the problem, now it's shifting to the industry and we need to really build strong industries that will serve the needs of the one billion people in Africa.

Read this: Tech hub working on 'Nigeria's next big idea'

CNN: Do African governments understand the need for connectivity?

NQ: I think governments now do understand; for most governments it's important. They may not know what they want to do with it, but they understand it's very important. That sometimes explains why government actions are seen as not coordinated or erratic, because they think it's very important but they yet don't have a full, sufficient understanding to know exactly how they want to interact with it or manage it or grow it. But certainly they recognize it is very important and many in governments are engaging with the internet technical community and other multi-stakeholder organizations to support them to evolve.

Read this: Dropifi takes on Silicon Valley'

We do understand that usually policy lags behind technology, so some of these sorts of conflicts would occur, but I think we have weathered the storm -- Africa is going beyond those days and now recognizes the importance of it. They are battling with controlling it, and soon we'll convince everyone that there is no need and that the right thing to do is to discipline it and begin to adopt it and make it do the right things for us and help define what Africa wants from the internet, which is not very obvious yet.

CNN: What is your hope for Africa in the future?

NQ: My hope for Africa in the future is that Africa will own its portion of the internet. Africa should strive to participate on its own terms on the internet, not leave it to chance to be determined.

Africa can indeed determine how it wants to play in the internet and Africa should ensure that it is able to create the right policy environment for the internet to grow.

@highlight

Ghanaian professor Nii Quaynor is an African internet pioneer

@highlight

He was recently inducted into the Internet Hall of Fame

@highlight

He says more African businesses must develop and host content