Washington (CNN) -- James Freudenberg had a reputation as a safety-conscious helicopter pilot.

But when he prepared for a medical flight in August of 2011 -- while simultaneously engaging in a private text conversation -- he set into motion events that led to the deaths of four people, including himself.

His actions could re-write the rules on when pilots can send private messages or make personal phone calls.

Federal safety officials on Tuesday blamed Freudenberg's crash in Mosby, Missouri, on fatigue, training, and, distracted texting.

To the amazement of safety officials, Freudenberg evidently sent several text messages with one hand while flying the helicopter with the other.

But those text messages in the air -- which ended 19 minutes before the crash -- turned out to be less consequential than text messages he sent and received while on the ground.

Investigators believe Freudenberg engaged in an extensive text conversation with a colleague about dinner plans while he was conducting mandatory pre-flight checks of his helicopter.

Because of those distractions, Freudenberg missed two opportunities to detect that his helicopter did not have sufficient fuel for his mission, investigators said.

When Freudenberg finally noticed his fuel was low, he was half-way through the first leg of his flight.

He arrived at the hospital, picked up the patient, and looked for an alternate, closer destination to refuel. But his 13-minute stop was again disrupted by a private text conversation, and he took off after miscalculating that he could reach his destination.

The LifeNet helicopter ran out of fuel a mile short of the destination -- within sight of the Midwest National Air Center.

The copter crashed into a pasture in mere seconds, killing Freudenberg, the patient he was transporting, and two medical personnel.

The National Transportation Safety Board said on Tuesday the crash illustrates that the dangers of distractions are found on the ground, as well as in the air.

The board voted to send a Safety Alert to pilots warning them about the hazards of texting during the planning and pre-flight stages.

And the NTSB is recommending the FAA prohibit the non-flight-related use of portable electronic devices while in flight and during safety-critical planning operations on the ground.

The standard would significantly expand the FAA's so-called "sterile cockpit rule," which prohibits pilots from engaging in non-flight-related conversations during take-offs and landings.

In the Freudenberg crash, Freudenberg and a colleague exchanged 85 text messages during a 12-hour shift. A lot took place as Freudenberg prepared the helicopter for the flight, the NTSB said.

"It is easy to imagine that some of these interruptions could have led to forgetting of steps, including checking the fuel level, performing the preflight," said Bill Bramble, an NTSB aviation expert.

Investigators determined the engine had run out of fuel, but that the fuel gauges were working properly.

Freudenberg apparently misled his company's communications center that he had adequate fuel for the mission, radioing from the hospital that he had 45 minutes of fuel when he had only 30 minutes.

Asked by NTSB Chairman Deborah Hersman if Freudenberg could have been mistaken, investigators responded, "We do not believe so."

Freudenberg, a former Army helicopter pilot who served in Iraq, had worked for the company just under a year, and probably wanted to avoid revealing that he had taken off with inadequate fuel, which is a violation of FAA regulations, investigators said.

The NTSB said other factors leading to the crash included the pilot's inability to perform a crucial flight maneuver known as autorotation after he ran out of fuel.

In the helicopter he was flying, the pilot must transition to autorotation in two seconds to avoid a crash. The investigation found that the autorotation training the pilot received was not representative of an actual engine failure at cruise speed, which likely contributed to his failure to successfully execute the maneuver.

And the pilot likely was fatigued, having failed to take advantage of his adequate off-duty hours to get sleep, the NTSB said.

One NTSB member voted against the proposed safety alert, saying it diminished other alerts.

"This will be looked at by the (aviation) community as an overreach," said member Earl Weener. "It doesn't make sense."

To read a synopsis of the NTSB report

@highlight

Medical helicopter crashed in Missouri in 2011, killing pilot and three others

@highlight

Pilot engaged in private text conversation while preparing for doomed flight

@highlight

Actions could influence federal rules on texting, phone calls by pilots