(CNN) -- One of the more striking things about holding a new iPhone model is how your old iPhone, which seemed perfectly sleek and adequate just an hour earlier, can suddenly feel slow, clunky and heavy. It's a neat trick, one that Apple is betting on to help it ship new units to existing iPhone owners in the coming year.

After Wednesday's Apple media event, we were given some hands-on time with the upgraded iPhone 5, as well as the iPod touch and iPod nano. Here are our first impressions of the taller, lighter iPhone 5, which we tested next to a crusty, practically fossilized iPhone 4.

Opinion: The iPhone is not our savior

The iPhones and iPods were laid out on tables in the dim, windowless hall at the Yerba Buena Center for the Arts. Protective Apple employees made sure the devices weren't pilfered, wiped off journalists' fingerprints and visibly flinched every time someone dropped a phone (which happened quite a few times while we were there).

From the front, the iPhone 5 looks just like the iPhone 4 and 4S. It actually takes a moment to register that it's taller (holding it next to a previous iPhone model helps bring it home). The display is the same retina display found in the iPhone 4, the iPhone 4S and now, the new iPod Touch but is now 4 inches instead of 3.5 inches.

Then you pick it up. The phone is incredibly light, and that weight is its most striking and memorable feature. It feels almost delicate in the hand, naked without some sort of protective case to prevent it from snapping in half. Of course, the iPhone is not nearly that fragile. The body is made out of the same aluminum found in MacBooks, as well as glass. It feels expensive, not like a plastic device that could break easily. (We look forward to the inevitable drop tests.)

2007: Jobs unveils the first iPhone

On their own, thinner and lighter are interesting selling points. Yes, it feels incredible in the hand, but the iPhone 4 wasn't exactly weighing anyone down, and consumers weren't clamoring for a thinner smartphone. On the other hand, Apple prides itself on delivering features people will want before they know they want them. There has been demand for more screen real estate, and on that front the iPhone 5 delivers, but it might still not be enough for those hoping for a 4.5-inch screen, which is found on many Android devices.

The new iPhone has a faster A6 processor. It did feel zippy as we flipped through the new Passbook feature, watched movies and scrolled through websites; however, these tasks weren't exactly lagging on the iPhone 4. Games were a great place to see the processor in action, where detailed graphics are rendered incredibly fast.

Also noticeably speedy was the new panorama feature in the camera app, which processed a 360-degree image of the room almost instantly. For many similar third-party apps, there's a short wait time while the images are stitched together.

The demo devices were all running the new version of Apple's mobile operating system, iOS 6, which has Apple's first Google-free maps app. The Flyover feature turns cities into interactive, 3-D images. You can drag a finger to spin around a skyscraper and zoom in and out of the city from any angle, not just the straight-down satellite view. There is a bit of lag on the loading time when you move to a new area, but somehow the features still feel shockingly fast. Flyover is more fun than functional, but perhaps the stunning graphics and turn-by-turn directions will distract consumers from what's newly missing from the Maps app, like the very useful public transit directions feature.

The room was too loud to test out the Siri voice assistant, which has turned to third-party services to improve results. Restaurant results are now powered by Open Table, movie times and reviews by Rotten Tomatoes. It has also added Facebook integration. And the devices were all connected to WiFi, so tests of the new LTE cellular connections will have to wait until we have devices in hand.

Apple refreshes the iPod

We also spent a bit of time with the iPod touch. The iPod touch is like the iPhone's kid brother, always inheriting old clothes and toys. It has Siri and the 5-megapixel camera from the last version of the iPhone, as well as the A5 processor. The last generation iPod touch got the retina display and front-facing camera already available on the iPhone. But this time, the iPod touch got two of the iPhone's most stunning new features at the same time: the taller screen and crazy thin and light body (the iPod touch is actually .06 inches thinner and weighs 0.85 ounces less than the iPhone 5).

The choreography of an Apple event

During the hands-on time, Apple executives milled about the room, including smiling CEO Tim Cook, who was shaking hands and giving a lot of hugs. He had good reason to be happy; the phone appears to be top-notch, its new body an impressive feat of engineering. It may not be the most mind-blowing upgrade, but that doesn't diminish its level of quality.

@highlight

Most striking feature of the new iPhone 5 is how light and thin it is

@highlight

The iPhone 5 has a 4-inch screen, making room for extra row of apps

@highlight

Upgrades aren't mind-blowing, but final product is still incredible