(CNN)Just about now, North Korea's enigmatic ruler was expected to be preparing to emerge from his fortified country for a visit to Moscow to join celebrations next week marking the 70th anniversary of the end of World War II in Europe.

The trip was highly anticipated. After all, this was to have been Kim's first official international trip since he came to power in 2011 following his father's death, and it would have provided a fascinating opportunity for the world to get a closer look at a young leader and a regime still largely shrouded in mystery.

But this week, Russia announced that the trip had been canceled, with Kremlin spokesman Dmitry Peskov saying Thursday that Moscow was informed via diplomatic channels that the trip would not happen. He said that "the decision is connected with North Korean domestic affairs."

What could have changed Kim's mind? It is practically impossible to answer the question with absolute certainty, but a possible explanation is that Kim may not be feeling completely secure in his position. And nervous dictators prefer to stay home.

True, Kim runs one of the most brutally repressive regimes on Earth. And there is unceasing public praise for the younger 'Dear Leader," including frenzied eruptions of support. But these eruptions are carefully scripted, and those who have managed to flee the North confirm that in private, many are unhappy with the regime.

Perhaps with the potential threats in mind, Kim feels the need to reassert his authority and keep his eye on the centers of power.

In 2013, Kim shocked the country and stunned outside observers when he ordered the killing of his uncle, Jang Song Thaek, who had stood by his side from the day his father died. Jang had mentored and guided the young Kim as he took the reins, but the once-powerful Jang was arrested by soldiers during a Politburo meeting who dragged him away in a chilling scene broadcast on national television.

The central news agency called Jang a "traitor for all the ages," with vague accusations that he had behaved "insolently." More seriously, he was accused of "counter-revolutionary factional acts in a bid to overthrow the leadership."

And just this week, and only a day before the Russians announced Kim's canceled travel plans, a South Korea lawmaker revealed that South Korea's National Intelligence Service had pieced together information suggesting that so far this year, Kim has ordered the execution of 15 senior government officials.

According to South Korean legislator Shing Kyung-min, North Korea's vice chairman of the State Planning Commission, for example, was executed because he objected to plans to change the design of a new government hall from a rounded shape to one resembling a flower.

Such an explanation is bizarre. And in keeping with the odd behavior we have grown accustomed to hearing about from North Korea. But there may be more to this.

Kim -- who was still in his 20s when he took power and holds a host of titles, including Supreme Commander of the Korean People's Army -- still finds it necessary to remind everyone at home that he is the one in charge.

But although there is something almost comical about the explanations offered up by North Korea for the actions of its regime, a nervous, unpredictable, inexperienced leader with access to nuclear weapons is far from a laughing matter.

As recently as 2013, North Korea conducted a nuclear test -- the country's third, and it has threatened to use them against South Korea, Japan and the United States. Meanwhile, it has threatened South Korea with "final destruction," said it will turn the country's presidential office into a sea of fire, told Japan it would trigger a nuclear attack if Tokyo followed through on a warning to destroy any North Korean missiles fired in its direction, and declared the United States is seeking a war and that Pyongyang "will be exercising our right to preemptive nuclear attacks."

Such rhetoric is itself troubling. But experts have also warned this week that North Korea may have restarted its Yongbyon nuclear reactor, with the Institute for Science and International Security arguing that snow melting patterns in images of the plant suggest new activity at the plant.

North Korea has been mostly out of the news in recent months, partly because so many other international crises have pushed it out of the headlines. But that doesn't mean tensions have eased. Just three weeks ago, Pyongyang fired missiles into the sea as U.S. Defense Secretary Ash Carter arrived on the Korean peninsula.

All this suggests that gauging the state of mind of the North Korean leader is no easy task. But if Kim raises the alarm about threats from the outside, we will know he is likely feeling insecure at home and may be trying to boost internal support. That would be a danger sign for the people of North Korea -- and a flashing red light for the rest of the world.

Read CNN Opinion's Flipboard magazine.

@highlight

Russia says Kim Jong Un has canceled trip to Moscow

@highlight

Frida Ghitis: Gauging Kim's state of mind no easy task