(CNN) -- U.S. Vice President Joe Biden arrives in Tokyo on Monday on the first leg of a major week long trip to Asia. Biden lands at a time of significant regional tension following Beijing's announcement last week of a new "air defense identification zone" situated between China and Japan.

Since the declaration of the air zone, China has insisted that all aircraft must submit flight plans before entering. The United States has urged calm, and this will be a theme which Biden will emphasize during his visit.

The zone includes airspace over islands, known as Senkaku in Japan and Diaoyu in China, which both countries claim as their own. The dispute over these territories is not new, but has become more salient since the Japanese government decided to nationalize them last year.

Since last week, Washington has recommended that U.S. commercial aircraft report their flight plans to Beijing, although U.S. military aircraft continue to operate without notification. Meanwhile, Japan (which also continues to operate flights in the zone) announced on Saturday that it has asked the UN organization that oversees civil aviation to examine whether the zone could undermine aviation safety.

Tokyo's ambition here is to bring enhanced international scrutiny to this issue in a bid to undercut Beijing. While air zones of this nature are commonplace across the world -- Japan declared its own exclusion zone, which partially overlaps China's, in the late 1960s -- there is concern that China has both imposed this measure unilaterally and warned that it will take unspecified "emergency defensive measures" if aircraft do not comply with submitting flight plans (already, it has frayed some nerves by sending fighter jets to investigate U.S. and Japanese aircraft in the zone).

Whatever Beijing's motives in declaring the zone, it will add to the growing international tide of suspicion and sometimes even outright hostility as China increasingly asserts its growing power. The central challenge the country faces here is that its soft power -- its ability to win the hearts and minds of other nations and influence their governments through attraction rather than coercion or payment -- has lagged far behind its hard power built on its growing economic and military might.

In Japan, for instance, public favorability toward China fell from 34% to 5% between 2011 and 2013, according to Pew Global, largely in response to China's new international assertiveness.

Meanwhile, in the United States public favorability toward China fell to 37% in 2013 from 51% in 2011. Issues such as Beijing's alleged currency manipulation, the large size of the U.S. trade deficit with China and the large U.S. financial debt held by Beijing, not to mention alleged Chinese cybersecurity attacks on U.S. interests, has taken its toll on U.S. public opinion.

With distrust of China growing, many countries in Asia-Pacific are actively strengthening their diplomatic alliances, particularly with Washington, in a bid to balance Beijing's growing economic and military strength. This is a political headache the new Chinese leadership could do without and it must now think hard about how to enhance the country's image in the world.

Most immediately, Beijing must restart a process of addressing concerns of foreign governments about its intentions. Here, it needs to intensify efforts to be seen as a responsible, peaceful power. And match this rhetoric with actions.

President Xi Jinping made a good start toward this goal in his landmark summit with U.S. President Barack Obama last summer. He pledged to form a "new model of co-operation" and that "China and the United States must find a new path ... one that is different from the inevitable confrontation and conflict between the major countries of the past."

As the Pew Global data indicates, China's international image would also benefit from enhanced public diplomacy to win more foreign "hearts and minds." At a symbolic level, example measures might include utilizing the country's growing capabilities in space travel for high-profile international cooperation projects. Surveys underline that many around the world admire China's strength in science and technology.

A related problem to be tackled is that international communications of Chinese state institutions often lack legitimacy and credibility with foreigners. One solution might be expanding the numbers of non-state groups -- including from civil society networks, diaspora communities, student and academic groups and business networks -- involved in the country's diplomatic outreach.

For many foreign publics, there also needs to be stronger Chinese commitment to domestic political change, transparency and concrete steps towards democratization. Many in the international community are likely to remain wary of the country while it clamps down on its own citizens seeking domestic reform, including human rights activists.

Taken overall, the challenges ahead for China are deep-seated and will require sustained investment and significant reform. However, unless they are tackled, the country's reputational problems will increasingly disable, rather than enable, its ambitions as a rising super power.

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

China raised tensions in region by imposing a new air defense zone

@highlight

Andrew Hammond says it will add to a tide of suspicion as China asserts its growing power

@highlight

He says China's soft power is lagging behind it hard power, built on military might

@highlight

Hammond suggests ways China could improve its engagement and image with the international community