(CNN) -- Nigerian author Chinua Achebe, a literary icon whose 1958 novel "Things Fall Apart" captured the world's attention, has died, his publisher said.

He was 82.

An author of more than 20 books, he was celebrated worldwide for telling African stories to a captivated world audience.

He was also accorded his country's highest award for intellectual achievement, the Nigerian National Merit Award.

Achebe is a major part of African literature, and is popular all over the continent for his novels, especially "Anthills of the Savannah," which was shortlisted for the Booker Prize in 1987, and "Things Fall Apart."

The latter was required reading in countless high schools and colleges in the continent, and has been translated into dozens of languages.

Set in precolonial Nigeria, "Things Fall Apart" portrays the story of a farmer, Okonkwo, who struggles to preserve his customs despite pressure from British colonizers. The story resonated in post-independent Africa, and the character became a household name in the continent.

Achebe's stories included proverbs and tackled complex issues of African identity, nationalism and decolonization, adding to his books' popularity.

A critic of Conrad, poor governance

Achebe once wrote an essay criticizing Joseph Conrad, author of "Heart of Darkness," as a racist for his depiction of Africans as savages. Conrad's popularity took a hit after the accusation -- a testament to Achebe's credibility.

He also criticized corruption and poor governance in Africa, and had been known to reject awards by the Nigerian government to protest political problems.

In a tweet, his publisher Penguin Books described him as a " brilliant writer and a giant of African literature. Nelson Mandela said he 'brought Africa to the rest of the world'."

Nigerian President Goodluck Jonathan paid tribute to Achebe, hailing him as a cultural icon, a nationalist and an artist.

Achebe's "frank, truthful and fearless interventions in national affairs will be greatly missed at home," Jonathan said. "While others may have disagreed with his views, most Nigerians never doubted his immense patriotism and sincere commitment to the building of a greater, more united and prosperous nation."

South African President Jacob Zuma said he was saddened by the loss of a "colossus of African writing" who had helped many define themselves.

"It was in his famous novel "Things Fall Apart" that many Africans saw themselves in literature and arts at the time when most of the writing was about Africans but not by Africans," Zuma said.

Biafran War

Born in Nigeria in 1930, Achebe was raised in the large village of Ogidi, one of the first centers of Anglican missionary work in eastern Nigeria.

He was an early graduate of University of Ibadan, established in Nigeria before the end of British colonial rule in 1960.

He worked in radio, but in 1966, left his post during the national upheaval that led to the bloody Biafran War, in which Nigeria's southeastern provinces attempted to secede.

Achebe joined the Biafran ministry of information and represented Biafra on diplomatic and fundraising missions before the civil war came to an end after two and a half years.

His 2012 memoir, "There Was a Country: A Personal History of Biafra," draws on his recollections of that painful period in Nigeria's past.

A review by Adam Nossiter for the New York Times talks of how the book gives "glimpses of this immense human tragedy in Achebe's characteristically plain-spoken narrative" but is also "tinged with odd nostalgia for the ephemeral moment when Biafra seemed to birth a national culture."

Fellow Nigerian writer Ben Okri, whose novel "The Famished Road" won the 1991 Booker Prize, first met Achebe in the 1980s, when they did a radio interview together.

It was "startling" how kind he was, he said, and how "generous toward a younger, somewhat angrier writer."

"He was one of the most important writers to deal with the issue of the historical clash of civilizations, and the sometimes disastrous and sometimes benevolent consequences," Okri said.

"He was without any doubt a very important figure, not only as a writer but as a guiding presence. He combined humility with forcefulness. He wrote clearly and truthfully, and was a touchstone for many African writers and many writers around the world."

'Generosity of spirit'

In the course of a long academic career, Achebe took up university posts in Nigeria and overseas, including teaching at Brown University in Rhode Island, where he was professor of Africana Studies, and Bard College in New York.

Leon Botstein, president of Bard College, described him as "a brilliant novelist, storyteller, and eloquent voice from the opposite side of Joseph Conrad, with respect to the relationship of the West to Africa."

He also highlighted Achebe's "extraordinary generosity of time and spirit" during more than 20 years as a member of the Bard College community, adding that he will be deeply missed.

"For many, he was considered the father of African literature, and for many of his students, he introduced them to an extraordinary literary tradition," Botstein said. "His importance to literature, and to those he taught and knew personally, will never be forgotten."

Corey D. B. Walker, an associate professor and chair of the department of Africana Studies at Brown University, said Achebe's loss was a great one.

"He was more than just a colleague, faculty member, and teacher at Brown. He was a gift to the world," he said.

"At a time like this we could draw many words of wisdom and comfort from the deep wells of various African cultures and traditions to honor him. The most fitting is the simple and elegant phrase, 'A great tree has fallen.' "

In an interview for the Paris Review of Books in 1994, Achebe spoke of how his early love of stories made him realize that they only reflected the point of view of the white man. That spurred him to write himself.

"There is that great proverb -- that until the lions have their own historians, the history of the hunt will always glorify the hunter. ... Once I realized that, I had to be a writer. I had to be that historian," he said.

"It's not one man's job. It's not one person's job. But it is something we have to do, so that the story of the hunt will also reflect the agony, the travail -- the bravery, even, of the lions."

People we lost in 2013: The lives they lived

CNN's Vlad Duthiers, Jo Shelley, Richard Allen Greene, Kim Norgaard and Joseph Netto contributed to this report.

@highlight

NEW: Writer remembers Achebe for his generosity, humility and guiding presence

@highlight

Chinua Achebe wrote more than 20 books

@highlight

Nigeria's president hails him as a "globally acclaimed writer, scholar, cultural icon, nationalist"

@highlight

South Africa's Jacob Zuma mourns the loss of a "colossus of African writing"