"If you can't eliminate injustice, at least tell everyone about it."

The Persian proverb opens a book about the Iranian revolution by Shirin Ebadi, a human rights lawyer who became the first Muslim woman to win the Nobel Peace Prize in 2003.

But there could not be a more appropriate line to sum up Ebadi's own life.

"I am always being faithful to this motto," she said Friday from Minneapolis, in the midst of an eight-city speaking tour in the United States.

"And that's why I travel all the time and talk about it."

Forced from her homeland in 2009, after Tehran's crackdown on post-election protesters, Ebadi has lived in Britain and America. She said she has spent too many nights alone in hotel rooms, fearing for the lives of her husband and sister who were jailed and beaten. And, for her own safety.

"The government continuously threatens to kill me," she said. "All of this is in order for me to stop what I am doing, and I am not going to stop."

She has taken up seemingly intractable cases in the Islamic republic's judiciary, defending intellectuals and dissidents and fighting for the rights of abused women and children.

''In my view, there is no difference between Islam and human rights," Ebadi said when she accepted her Nobel. "Therefore, the religious ones should also welcome this award. The prize means you can be a Muslim and at the same time have human rights.''

The accolade did not sit well with Tehran's clerics.

The Islamic republic banned her autobiography, confiscated her Nobel medal and diploma, froze her bank accounts and, closed down the Human Rights Defenders Center she founded.

"If they didn't fear me, they wouldn't do what they did," she said, "because they don't want human rights violations to be brought to the attention of the world."

Ebadi remains hopeful that change can come to her homeland -- change that will restore equality for women that vanished after the 1979 revolution.

Ebadi was in her early 30s then and Iran's first female judge. But overnight a new penal code reduced the worth of a woman's life to half that of a man's.

In her 2006 memoir, "Iran Awakenening," Ebadi wrote how the new laws affected everything in her life, from her job to her marriage.

She was demoted to a secretary in the same court over which she once presided and in her relationship with her husband, Javed, she wrote: "He stayed a person and I became chattel."

Now she looks at the anti-government uprisings in other Middle Eastern nations -- Egypt, Tunisia, Libya, Syria, Yemen and Bahrain -- and can't help but think it is too soon to judge the change.

"It's too early to speak about democracy," she said. "They are still in turmoil in these countries. At this time, I don't see a progress in the status of women."

Ebadi fears that talk of Sharia, or Islamic law in Egypt, for instance, could hurtle women backwards in time, in the vein of Iran.

"The possibility is there," she said. "We are concerned about the situation going backward for women."

She remains optimistic as ever that change can come to Iran. In her lifetime? It depends on how long she will live, joked the 64-year-old lawyer. "Could be one week from now or 10 years."

She feels certain it will be accelerated if President Bashar al-Assad is ousted after months of bloody uprising in next-door Syria. He has been such a puppet of Iran, Ebadi said, that his demise will surely have repercussions.

"If Bashar al-Assad falls that will be the beginning of the fall the Iranian regime," she said.

The situation within Iran has deteriorated in recent months, she said.

A crackdown on the opposition in the months following the 2009 presidential election was followed by a recent series of harsh international measures designed to punish Tehran for its suspected nuclear program.

The United States and its allies allege Iran is enriching uranium in order to build a bomb, a claim that Iran vehemently denies.

The government also claims that most Iranians are supportive of their nation's nuclear drive and that, said Ebadi, is simply not true.

For one, Iranians realize they are sitting on an earthquake fault and maintaining nuclear reactors could trigger a disaster like Fukushima in Japan. They also want to see an end to the sanctions that have made it increasingly hard for ordinary people to make ends meet.

"The situation of people is worsening," Ebadi said. "The sanctions have impacted their lives. Inflation has gone up, the prices have gone up.

"I don't agree with sanctions that hurt people. I agree with sanctions that hurt the government."

Her message to Americans is clear: Never equate the people of Iran with the policies of its government.

Ebadi has been separated from family in Iran since June 2009. But there's no trace of self-pity in her words.

In the little down time she has, she likes to watch movies and read literature, though there is nothing light on her current list.

She watched "A Separation," the Iranian movie that took Western audiences into the home of a Tehran family and won the Oscar for best foreign film this year. Ebadi said she liked that the movie portrayed a woman's desire to leave bad conditions in Iran.

And she is reading "My Share," the first novel by Parinush Saniei that tells the story of an Iranian woman forced to marry a man who puts revolutionary ideals over his family responsibilities.

The book is, perhaps, symbolic of many Iranian women and raison d'etre for Ebadi.

In the years since her Nobel, many words have appeared in the same sentence as her name: pioneering, courageous, troublemaker, stubborn, activist and dissenter.

If you ask Ebadi to describe herself, she offers only this before bidding farewell. "I am a woman."

@highlight

Shirin Ebadi was Iran's first female judge but was stripped of her job after the revolution

@highlight

She warns that women may not gain from changes sweeping the Arab world

@highlight

She won the Nobel Peace Prize for her human rights work in the Islamic republic

@highlight

She says Bashar al-Assad's ouster in Syria could accelerate change in Iran