(CNN) -- Pope Benedict XVI's decision to resign caught a lot of Vatican watchers, apparently even some in his inner circle, off-guard. They should not have been so surprised.

Canon law includes a provision for a papal resignation. But traditionally, popes continue their reigns until their natural deaths, much as a father can never "resign" from his place in a family.

Before he was pope, as Cardinal Joseph Ratzinger, Benedict watched an increasingly frail Pope John Paul II struggle to shoulder his many responsibilities and respond, in his final years, to the scandal of the clerical sexual abuse crisis in the United States and Europe.

Another reason it is not a shock: In Peter Seewald's "Light of the World," a book-length interview with Benedict, the pope was unambiguous about his openness to the idea of papal resignation.

Too tired to go on, Pope Benedict resigns

Yes, a pope could resign, Benedict said. "If a pope clearly realizes that he is no longer physically, psychologically and spiritually capable of handling the duties of his office, then he has a right and, under some circumstances, also an obligation to resign."

And by some accounts, Benedict made three pilgrimages to the tomb of Pope Celestine V, who resigned from the papacy in 1294.

So what comes next? Presuming that this pope's resignation follows the same protocol as the death of a pope, all major decisions and pronouncements will be on hold after Benedict's reign ends February 28. The See of Peter will be vacant -- officially "Sede Vacante."

During the vacancy, Cardinal Tarcisio Bertone, the Holy See's camerlengo, Italian for chamberlain, takes charge with the help of three cardinal assistants.

To prevent forgery, Bertone will break the pope's fisherman's ring by hitting it with a small hammer, a tradition that was started when the ring was used to seal documents. Benedict's apartment will be sealed to prevent any hijinks with official documents.

Opinion: Why pope will be remembered for generations

Bertone will organize a conclave of 118 cardinals, who must meet in Rome within 20 days of the end of Benedict's reign to deliberate on a successor. White smoke rising from the Sistine Chapel's chimney will indicate a selection.

Guessing who that selection might be, one of the church's favorite spectator sports, has already begun among papal watchers worldwide.

Among the "papabile," or possible contenders, are Cardinal Angelo Scola, archbishop of Milan, which would return the job to an Italian; Cardinal Marc Ouellet, former archbishop of Quebec; Cardinal Peter Turkson of Ghana, president of the Pontifical Council for Justice and Peace, which would be a nod to the African church's growing numbers and influence; and Joao Braz de Aviz of Brazil, indicating a liberating take on the church in the future.

The Pope's resignation, explained

How about Cardinals Donald Wuerl or Timothy Dolan from the United States? They are outside contenders. The rest of the world thinks Americans are super-powered enough already.

Whoever is chosen will face the many challenges that Pope Benedict has no doubt wisely decided he no longer has the stamina to address, including:

• The growing secularization and antipathy of the West.

• Violence and intolerance visited on Christians in Islamic nations like Pakistan, Egypt and Syria.

• The evaporating Christian presence in the Holy Land, Iraq and elsewhere in the Middle East.

• More brutal revelations of clerical sexual abuse in Africa and Latin America, which have yet to adequately confront the problem.

• The ongoing priest shortage.

• Plummeting church attendance.

• Growing calls for optional celibacy.

• Persisting demands for women's ordination and more.

Is there somebody out there who really wants this job?

Surprising standards for next Catholic leader

Perhaps now, with confidence that a new precedent has been set and an actual well-deserved retirement would not be completely out of the question, someone will be courageous or foolhardy enough to step forward. And in an oddity of church tradition, that person need not be a cleric, only a baptized male. So if you are, feel free to submit your application to the College of Cardinals.

Meanwhile, let us pray whoever is the next pope is also equipped with compassion, mercy and vision.

The opinions expressed in this commentary are solely those of Kevin Clarke.

@highlight

Kevin Clarke: Pope Benedict XVI's decision to resign caught papal watchers off-guard

@highlight

Clarke: But canon law allows papal resignation; it's tradition that popes reign till death

@highlight

Benedict said a pope is obligated to resign if he can't handle duties

@highlight

Clarke: Whoever is chosen will deal with huge challenges facing Catholic Church