(CNN) -- For 35 years, the Cato Institute has been a nonpartisan and independent source of libertarian views on key policy issues in America. We stand for limited government, individual liberty and peace.

No matter who is in the White House or has control of Congress, scholars at Cato have consistently argued that the federal government should treat every person as an individual, regardless of background and lifestyle choices. We have advocated for limiting military engagement in foreign conflicts that have no bearing on the safety of our country. And we have opposed legislation that would involve more government control, even when that legislation is supported by some free-market organizations.

Over the years, these beliefs have put us at odds with elected officials on all sides of the political spectrum. We have been critical of Presidents Bill Clinton, George W. Bush and Barack Obama for what we believe to be overreaching of executive authority. We were among the first to question the Bush administration's war in Iraq, and we aggressively opposed President Obama's economic stimulus plan.

However, we eagerly work with officials when we find areas of agreement, as we did with the Clinton administration on trade policies and the Bush administration on Social Security reform.

But, if Charles Koch, the CEO of Koch Industries, gets his way, the independence that has allowed Cato scholars to focus on smart policies rather than electoral politics will come to an end.

Koch, along with current CEO Ed Crane, was a co-founder of Cato and provided nearly all of the seed capital and early funding that established the institute in 1977. Koch's interests have taken him on different paths since; he left Cato's board in 1991 and has provided no funding to the institute for many years.

Opinion: Koch believes in an independent Cato

Koch has recently increased his funding for more partisan advocacy groups, such as the Americans for Prosperity. His brother, David, told me in a meeting in November of 2011 that he and Charles wanted Cato to coordinate more closely with their political organizations in their efforts to defeat President Obama in the fall election. Tim Phillips, president of Americans for Prosperity, left little doubt as to what their plans are when he spoke with the New York Times that same month: "From an operational standpoint, we're going to have a field effort in targeted states that is doing phones, door to door, and integrated with direct mail and social media. It is going to look very similar to what party committees would be doing."

That's fine for them, but not for Cato.

The court will ultimately decide who is in control at Cato: A board of independent directors who have, over 30 years, provided financial and management support to the institute while upholding its libertarian principles, or two individuals who seek to restructure the board with people beholden to their political agendas.

The Koch brothers are shareholders of Cato through an unusual but legal arrangement. Because one of the shareholders passed away, the Kochs believe they can take control of Cato.

Indeed, Charles Koch's first step when he thought he had gained control of Cato's stock was to nominate 12 people to fill board seats of Cato directors whose terms of service had expired. None of the nominees had supported Cato financially or indicated any interest in the institute's governance. Three nominees are Koch employees, two are lawyers for Koch Industries, two had long careers at Koch-controlled organizations, one is a third-generation major shareholder in Koch Industries and one is a Republican political operative. However accomplished the nominees may be, they are not appropriate for Cato's board if the institute is to preserve its international reputation as a leading vanguard for libertarian principles.

The stakes are high. Would transforming Cato from a libertarian research center into a policy shop for the Kochs' political operations make any sense? The answer from Cato's fiercely independent donors, scholars and stakeholders worldwide has been unequivocal: No.

As partisan wrangling threatens to polarize Washington to the point of paralysis, there should be at least one organization to which elected leaders and the public can turn for credible, consistent, free-market policy prescriptions. Any imagined benefits from a takeover of Cato will be more than offset by the flight of its greatest assets -- its scholars. Similarly, any attempt to direct or influence Cato initiatives will result in quick devaluation of the Cato brand. This would be devastating -- not just for Cato, but for the libertarian movement that Koch conspicuously supports.

The Kochs can easily work through their activist grassroots organizations to advance their political goals. But the Cato Institute cannot be just another tool to promote their interests.

The opinions expressed in this commentary are solely those of Robert A. Levy.

@highlight

Cato Institute has been an independent source of libertarian views for 35 years

@highlight

Robert Levy: If Charles Koch takes control of Cato, he'll turn it into a partisan policy shop

@highlight

He says any attempt to direct Cato initiatives will result in quick devaluation of the Cato brand

@highlight

Levy: Cato cannot be just another tool to promote the politcal agendas of Koch