New York (CNN) -- Traveling down New York's Fifth Avenue, 4-year-old Joseph Mezzapesa sees his favorite store, Build-A-Bear Workshop, from the back seat of the family's SUV.

His face lights up. But before he can even ask, his mother answers quickly.

"We can't go in," she says. "Too many people in there."

Stores aren't the only places off limits for Joseph. So are movie theaters, malls, schools and playgrounds.

"We live in isolation pretty much from November until May because of the sickness that Joseph has," says his mom, Donna Mezzapesa, as the family drives to a Manhattan hospital for Joseph's monthly treatment.

That sickness is opsoclonus myoclonus syndrome (OMS), an extremely rare neurological disorder that can affect his motor skills and cause rapid, involuntary eye movements.

Joseph developed the illness when he was about 1, as a result of having low-stage neuroblastoma cancer. His cancer is now in remission, but the OMS treatment leaves his immune system so fragile that even the slightest exposure to germs can be detrimental.

"If Joseph gets sick, even a simple cold could cause his OMS symptoms to come out," his mother said. "His immune system attacks his brain, thinking that he still has neuroblastoma cancer. That's why we have to try to keep him away from anyone with illnesses."

For much of his childhood, Joseph has rarely ventured beyond his home or played with other kids. His only friend and playmate was his healthy twin sister, Alexa.

All that changed last year, however, when his parents enrolled him and his sister at the Morgan Center, a preschool program in Hicksville, New York. The Morgan Center was created especially for children who are undergoing treatment for cancer and have a suppressed immune system. Alexa was enrolled so she wouldn't bring home germs from a different preschool.

"They love it because they get to be around other kids, which they're not used to," Donna Mezzapesa said.

Battling a life-threatening disease is tough at any age, but it can be especially difficult for young children who have to be kept in isolation. Nancy Zuch learned this firsthand after her daughter, Morgan, was diagnosed with cancer at age 2.

"It was horrible that she had leukemia," said Zuch, 46. "It made it worse for us that she couldn't socialize. So not only was she at the hospital and dealing with the side effects, but also she couldn't have that normal part of her childhood."

Morgan, now 13 and cancer-free, remembers the pain and the needles, but also that she couldn't go to preschool.

"The only friend I had was my brother," she said.

Zuch was so concerned with Morgan's isolation and lack of social development that she hired a play therapist to teach Morgan some of the things that most kids take for granted, like playing, sharing and taking turns.

One day at the hospital, Zuch noticed there was a play area for young cancer patients where Morgan was able to play with another child.

"I thought, 'Well, this is OK because this child also has a minimal world of exposures, also cannot be around other children due to a suppressed immune system,' " Zuch said. "It was safe for them to play together."

By the time Zuch got home that day, she had a clear idea for what would eventually become the Morgan Center.

"We need to start a program for children with cancer," she told her husband, "so there can be a place where they can go and socialize and have friends and learn and play."

Do you know a hero? Nominations are open for 2012 CNN Heroes

The Zuchs opened the Morgan Center in September 2003, just a few months after their daughter was deemed cancer-free. It has since provided a free preschool experience for more than 150 children.

On the surface, the Morgan Center might look like any other preschool: colorful toys, shelves lined with books, walls adorned with educational posters, children gleefully engrossed in activities. But it's different in many ways.

Because of the children's delicate immune systems, they are required to sanitize their hands throughout the day. They also have individualized supply boxes with their own crayons, glues and Play-Doh. They never share supplies, and all items are meticulously cleaned by teachers after each use.

"Exposure to a simple childhood cold or illness can become life-threatening to these children," said Zuch, who also teaches at the school.

Three times a week, students learn to read, sing and create arts and crafts. On Fridays, they have show-and-tell. There are parties during the holidays. And a few times a year, there are organized field trips.

"It's wonderful to see my daughter be like a normal kid," said Jennifer Tibaldi, one of the students' mothers.

Zuch says the Morgan Center is the only program of its kind in America. It is funded entirely by private donations and fundraisers, and the students are referred by local cancer hospitals.

Because there is no medical staff on site, the students' parents remain on the premises during the day. But this has also created a wonderful opportunity for parents that Zuch did not envision when she started the program.

"The parents have formed friendships," she said. "They have also formed support groups. They understand what each other is going through, and over the course of the years, the Morgan Center has become so much more than what we even intended it to be."

For many parents, that support and socialization has made a remarkable difference and provided a much-needed break from hospitals and isolation.

"This is the only place where you can gather parents that have this common bond of cancer," Tibaldi said. "You know what it's like that your kids are on steroids. You know what chemo does to your kids. It's just a wonderful place to gather and have a cup of coffee and talk about things that are difficult to talk about with people who just don't know what you're going through."

The program has been so successful that a second center on Long Island is in the works, and Zuch has been approached to replicate the model in other states.

"Part of me relives Morgan going through treatment (with) every new child that I meet and every parent that's telling me their story," Zuch said. "But to see the smiles on their faces and (to see the children) reclaiming their childhood, that feeling is such a joy that it's indescribable."

Want to get involved? Check out the Morgan Center website at www.themorgancenter.org and see how to help.

@highlight

CNN Hero Nancy Zuch started a free preschool program especially for children with cancer

@highlight

Young cancer patients are often lonely, isolated because of their suppressed immune systems

@highlight

The Morgan Center gives them a safe place to make new friends, play and learn

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes