BEIJING, China (CNN) -- Soon after I first came to visit China in the autumn of 1971, I saw a contingent of militia soldiers doing marching drills in Tiananmen Square. I was told they were rehearsing for the annual National Day parade on October 1, which people eagerly awaited.

Mao Zedong proclaims the founding of the People's Republic of China in Beijing on October 1, 1949.

Weeks later, however, I was informed that the civilian and military parade had been cancelled in the spirit of "simple-living and hard struggle," as Chairman Mao decreed. The real reason: Lin Biao, then defense minister and Mao's anointed successor, had reportedly died in a plane crash while attempting to flee the country after a failed coup attempt.

China's achievements in the last 60 years have come in zigs and zags. The best place to look back at what China went through in the past six decades is Tiananmen, or the Gate of Heavenly Peace. Behind it lies the Imperial Palace, or Forbidden City, where China's Emperors used to live. The emperor is now history, but Tiananmen remains Beijing's political center.

It was on the Tiananmen rostrum where Chairman Mao formally proclaimed the founding of the People's Republic. "The Chinese people have stood up!" he declared in a shrill Hunanese accent. For decades, the whole nation followed Mao loyally. He emphasized political mobilization of the common man, especially the peasantry. In Mao's ideology, the Chinese people found hope in a New China, wherein citizens would always have a bowl of rice to eat and clothes to wear.

Mao proved to be good at fighting but poor at governing. He pushed sweeping socio-economic initiatives and strident ideological campaigns, often with disastrous results. During two political campaigns in the late 1950s, over 550,000 "rightist" intellectuals were persecuted and imprisoned. The Great Leap Forward led to widespread famine and the deaths of an estimated 30 million Chinese.

In the late 1960s, Mao would again stand in the Tiananmen rostrum to launch the Cultural Revolution. There, he rallied hundreds of thousands of young Chinese -- the radical Red Guards -- who lionized him like a demi-god. "To rebel is justified!" they proclaimed. They rebelled against everything and wreaked havoc everywhere. For ten years, China was condemned to political turmoil and economic malaise. Perhaps the only factor that kept the country from total collapse was the people's incomparable resilience and their ability to "chi ku" (eat bitterness, or bear hardship).

Mao's reign is also credited for positive changes. He banned child brides and polygamy, built Beijing's first subway line and started a space program with China's first satellite launch. In 1972, the People's Republic of China replaced the Republic of China (Taiwan) in the United Nations.

Still, for three decades under Mao, China tried to break out of its backwardness and isolation but only met modest success.

Mao died in 1976 and his remains are kept in a mausoleum in Tiananmen Square.  Take an audiovisual tour of Mao's hometown »

Soon enough, Deng Xiaoping emerged as the new paramount leader. Deng overturned most of Mao's policies and embarked upon reforming the economy and opening up the country to the outside world.

His quest for stability and prosperity took off in the early 1990s, propelled by his pragmatic policies to entice foreign investments and build China's private sector.

Just south of Tiananmen, one landmark stands as a symbol of Deng's bold open-door policy. In the early 1980s, the first Kentucky Fried Chicken outlet opened in Beijing, just a stone's throw away from Mao's mausoleum. Today, the fast food chain still does brisk business, with a large portrait of founder Colonel Sanders hanging on the three-story building.

Not every Chinese embraced Deng's reform and open-door policy. Old Guards and conservatives in and outside the communist party accepted Deng's reform policies, but with a great deal of misgiving.

The backlash came to a boil in 1989, when Tiananmen witnessed an outpouring of support for the students who called for freedom and democracy, and more reform. After six weeks of heady demonstrations, the Tiananmen movement was brutally suppressed.  See landmark moments in China's 60 years »

China has returned to world prominence through a 20-year economic boom, the speed and breadth of which is unparalleled in the history of mankind. China went from global economic irrelevance to the third largest economy in the world. The People's Liberation Army, no longer a "junkyard army," has emerged as a formidable military power capable of launching a human being into space and shooting down satellites.  Take a look inside China's space program »

The People's Republic of China marks its 60th anniversary on Thursday with 300,000 participants and 60 floats to highlight the country's achievements in various sectors of the society and economy.  See anniversary preparations in photos »

A military parade will feature goose-stepping troops marching down the Avenue of Eternal Peace. Modern military hardware -- tanks, armed personnel carriers, missiles, helicopters and fighter jets, all made in China -- will be on display. Fireworks will cap the festivities.  See how China has changed over 60 years »

But pomp and pageantry aside, China's phenomenal economic growth over the decades has triggered unintended consequences: rising unemployment, growing income gaps, endemic corruption, rising criminality, environmental degradation and social malaise. Millions of Chinese live on less than $1 a day, and social tension sometimes boil over into violent clashes.

Chinese president Hu Jintao is pushing to promote democracy in the party, curb corruption and seek a harmonious society. "To build a well-off society for 1.3 billion people and a democratic, civilized, harmonious and modernized country," he recently told a communist party meeting, "China must firmly push reform and opening up and stick to its own path."  Meet some of China's young communists »

Like the cutting-edge CCTV tower intended to formally open this year but didn't after a celebratory fireworks display went awry and caused a fire, China's great achievements stand side by side with daunting challenges.

@highlight

Mao proved to be good at fighting but poor at governing

@highlight

Mao pushed sweeping socio-economic initiatives, strident ideological campaigns

@highlight

His successor Deng Xiaoping embarks upon reforming the economy, opening China

@highlight

China gains world prominence via 20-year economic boom, but has consequences