Washington (CNN) -- Get real, Defense Secretary Chuck Hagel told America on Monday in proposing a scaled back, modern military that would cut the Army to its lowest troop level since before World War II, retire the A-10 "Warthog" attack jet and reduce some benefits for fighting forces.

"This is a budget that recognizes the reality of the magnitude of our fiscal challenges, the dangerous world we live in, and the American military's unique and indispensable role in the security of this country and in today's volatile world," Hagel said in unveiling the Defense Department spending plan for 2015 and beyond.

"There are difficult decisions ahead," he added. "That is the reality we're living with."

Downsizing due to modernization and budget constraints began under Hagel's predecessor, Robert Gates, and the proposal outlined on Monday described a new phase in the transition.

"Not a war-footing budget"

"For the first time in 13 years we will be presenting a budget to the Congress of the United States that's not a war-footing budget," Hagel said in response to reporters' questions. "That's a defining budget because it starts to reset and reshape."

Under it, the former senator from Nebraska said the military would become a smaller, more tactical force capable of fighting on one war front and maintaining effective defenses for a second while shifting to more specialized capabilities.

"Our analysis showed that this force would be capable of decisively defeating aggression in one major combat theater -- as it must be -- while also defending the homeland and supporting air and naval forces engaged in another theater against an adversary," he said.

The proposal endorsed Monday by Joint Chiefs of Staff Chairman Gen. Martin Dempsey, who appeared with Hagel at the Pentagon news conference, is certain to face strong opposition in Congress -- especially with midterm elections coming up in November.

Hagel's budget will be formally proposed next week and legislators from states or districts with major military bases or a heavy presence of contractors are expected to rail against it.

In recent years, Republican hawks have battled military force reductions under President Barack Obama's attempts to reduce defense spending as part of overall deficit reduction.

Conservative Sen. Marco Rubio of Florida, a possible GOP presidential contender in 2016, questioned the planned cuts in forces at a time of varying threats and a U.S. shift in emphasis to the Asia-Pacific region, saying it "does not make strategic sense."

"It's going to be a far slimmer military," noted CNN Military Analyst and retired Maj. Gen. James "Spider" Marks, predicting a rough reception in Washington. "This is the toughest part -- the political part."

Retired NATO commander: It's necessary

Retired Army Gen. George Joulwan, a former NATO supreme allied commander in Europe, said he thought the changes were necessary.

"Whether it's smart or not is yet to be seen. But I think it's necessary to do, given the constraints that we face fiscally within the United States," he told CNN.

For now, the Pentagon budget for the rest of this fiscal year and for 2015 is about $500 billion for each, as set by a congressional compromise in December.

Hagel acknowledged the changes he proposed mean assuming more risk, but said the military would be better situated to respond to the evolving security challenges facing the country.

The recommendations in the budget plan for 2015 and ensuing years "favor a smaller and more capable force -- putting a premium on rapidly deployable, self-sustaining platforms that can defeat more technologically advanced adversaries," Hagel said.

He added that the proposal includes "important investments to preserve a safe, secure, reliable, and effective nuclear force."

All military forces, both active and reserve, would be cut under the budget plan.

It calls for reducing the Army to a level of 440,000 to 450,000 troops, which would be the lowest total in more than 70 years. At its height, the Army had 570,000 troops after the September 11, 2001, terrorist attacks, and currently has about 520,000.

According to Hagel, the budget proposal protects funding for cyberwarfare and special operations, and preserves money for the controversial and costly F-35 fighter jet.

Warthogs retired?

His plan would retire the A-10, which Hagel called a 40-year-old, single-purpose aircraft designed for Cold War operations, at a cost savings of $3.5 billion over five years.

Separately, Hagel said 900 additional Marines would be assigned to bolster security at embassies around the world under his proposal.

Diplomatic security has received close scrutiny since a terror attack on the U.S. consulate in Benghazi, Libya, in 2012 killed Ambassador Christopher Stevens and three other Americans.

Also, Hagel said the plan envisions increasing special operations forces from 66,000 today to 69,700 in the future to better meet tactical needs of a modern military requiring counterterrorism and crisis response.

Other provisions would reduce some benefits for military personnel, resulting in them having to shoulder more of their housing and medical costs. Reducing the federal subsidy to commissaries would mean smaller discounts for groceries on U.S. bases.

Through his remarks, Hagel warned that if Congress fails to eliminate planned across-the-board spending cuts beyond 2016, the military reductions would be on a greater scale and significant enough to compromise U.S. national security.

Some of those forced cuts, known as sequestration, were eased for this year and next under the budget deal worked out by Congress in December.

CNN's Halimah Abdullah and CNNMoney's Jennifer Liberto contributed to this report.

@highlight

NEW: GOP Sen. Rubio questions defense budget strategy

@highlight

Defense Secretary Hagel calls for shrinking the Army to pre-World War II levels

@highlight

The A-10 Warthog fighter plane would be retired

@highlight

Hagel says it's time to shift to a smaller modern military