Johannesburg, South Africa (CNN) -- It used to be an old factory churning out parts for the mining industry before slowly falling into neglect and turned into a garage for vehicle repairs.

But now, after a renovation process, the high-ceilinged warehouse has been reinvented as a modern art deco space intended to house Africa's most cutting-edge design ideas and exhibit them to the world.

Welcome to the Museum of African Design, or MOAD, a 2,500 square meter space which claims to be the first of its kind on the continent.

Situated inside Johannesburg's vibrant Maboneng precinct, a former crime hotspot that's undergoing an urban rejuvenation, MOAD opened its doors late last month with the vision to become a pan-African platform for contemporary creativity and innovation.

Read this: Joburg gets downtown revamp

"The goal for it is really to become a cultural hub," explains Aaron Kohn, the young and enthusiastic director of MOAD. "A place to showcase what's going on the continent that's innovative but also to encourage that kind of thinking, design and creativity to young South Africans and to people visiting Johannesburg at the same time."

True to its character

The spacious downtown building, which dates back to the 1920s, had been earmarked as a museum since its acquisition by the Maboneng developers in 2011. But it only hosted a number of temporary exhibitions and events during the past year before work started in July to transform it into a permanent home for African design.

Read this: Africa's most exciting new photographers

The developers went on to add an extra floor, bathrooms and a cocktail bar but kept the building's integrity largely intact -- raw floors, metal bars and scaffolding ramps still dominate the three-level space, creating a rough-edged atmosphere that echoes the identity of the building and its urban surroundings.

"We will continue 'refining' the space, but the goal is to leave it as original and industrial as possible," explains Kohn.

'New ways to see the world'

The museum's launch event took place on October 24 with the annual showcase of the Southern Guild collection, a 10-day exhibition presenting the creations of some of South Africa's top designers and artists.

Renowned architect David Adjaye, who was born in Tanzania to Ghanaian parents, was the guest of honor at the event.

"I believe in design as a very important edifying element for community, for culture, for civilization," he told CNN hours before the official opening. "I think it's one of the hallmarks of how we talk about creating awareness about who we are and what values we have in the world," added Adjaye.

Read this: David Adjaye's favorite buildings

"Design is very good, it's almost like a diver; it seeks out new ways which you can see the world; it goes down and discovers new things that bring it back up and it shows it to us. I think that's really important."

'Native Nostalgia'

After the launch event, which had a South African focus, MOAD is now making its first foray into the continent's creativity with "Native Nostalgia," the museum's inaugural full-length exhibition.

Starting today, the group show explores the idea of nostalgia and what it means for African artists to look at dark chapters in history, including apartheid and colonialism, in a fond manner.

It features a series of mixed media creations from a number of African artists, including Leonce Raphael Agbodjelou from Benin, Amina Menia from Algeria, The Nigeria Nostalgia Project and South African collective I See a Different You.

Read this: Tribal beauty of vanishing life

"Native Nostalgia" is curated by Kohn, but the MOAD director says that in the future the museum will be working with different people for every exhibition. He also outlines that MOAD is not interested in becoming a collective institution that stores art or wastes any budget on insurance and acquiring fees.

"We want to focus on the most exciting and relevant exhibitions that we can put on with works from across the continent," says Kohn.

"I think that's a new model that a lot more institutions around the world are looking at in terms of not having necessarily conventional museum staff, not having a permanent collection -- it allows an institution that's interested in the contemporary to stay contemporary," adds Kohn.

"Native Nostalgia" runs until February 9. Upcoming exhibitions at MOAD include "Fashioning Africa," running from March to May, and "Design of an African City," from June to August.

@highlight

Africa's first museum dedicated to design opened its doors late last month

@highlight

Based in n Johannesburg, the Museum of African Design aims to be a "cultural hub"

@highlight

Its first full-length exhibition starts today and runs until February 9

@highlight

Called "Native Nostalgia," it features mixed media creations from several African artists