New York (CNN) -- A New York judge released Dominique Strauss-Kahn from house arrest Friday, after prosecutors presented evidence questioning the credibility of the hotel maid who accused the former International Monetary Fund chief of sexual assault.

The alleged victim, a 32-year-old immigrant from Guinea, admitted to prosecutors that she lied about the specifics of her whereabouts following the incident, the details of an asylum application and information she put on tax forms, according to documents filed in court Friday by prosecutors.

But while the case has taken a dramatic turn, it has not been dismissed, said Manhattan District Attorney Cy Vance. The indictment and charges -- including criminal sexual acts and sexual abuse -- against Strauss-Kahn, 62, still stand, Vance said.

His lawyers said the alleged victim told "substantial lies about her own background and the facts of this case."

Defense attorney Benjamin Brafman commended Vance for doing what he said was appropriate.

"We believed from the beginning that this case was not what it appeared to be," he said. "We are absolutely convinced that while today is a first giant step in the right direction, the next step will lead to a complete dismissal of the charges."

Strauss-Kahn's release significantly eases the extraordinary bail conditions that had been previously ordered.

The French financier had been released from jail on $6 million bail but was under house arrest in a luxury townhouse in Manhattan's Tribeca neighborhood. He was paying roughly $250,000 a month for court-ordered 24-hour armed guards posted at the townhouse.

The presiding judge said authorities will continue to withhold Strauss-Kahn's passport but that he is free to travel in the United States.

The stunning twist in the case came after prosecutors, in the course of their investigation, discovered that the alleged victim had not been truthful in a variety of topics regarding her history and circumstances, prosecutors said in a letter submitted to the court.

Prosecutors said the woman admitted lying in her application for asylum in the United States and that she had been a victim of a gang rape, providing details of that attack. She cried when she first told prosecutors about the rape but in a subsequent interview, she admitted the gang rape never occurred.

She said the fabricated account on the asylum application was made with the assistance of a man who "provided her with a cassette recording of the facts" so that she could memorize them.

The woman told prosecutors that she has declared the child of a friend as her own dependent on her tax return in order to receive a larger refund. She "also admitted to misrepresenting her income in order to maintain her present housing," the prosecutors said.

After the alleged hotel assault, the woman told prosecutors that she "fled to an area of the main hallway of the hotel's 28th floor and waited there until she observed the defendant leave," the prosecutors said. She said she then reported the incident to her supervisor.

But in subsequent interviews, the woman admitted her testimony before the Grand Jury was false; that she "proceeded to clean a nearby room, and then returned to Suite 2806 (the room occupied by Strauss-Kahn) and began to clean the suite before she reported the incident to her supervisor."

In angry remarks delivered outside the courthouse, the woman's attorney, Kenneth Thompson, admitted problems with his client's credibility, but the bottom line, he said was that she was attacked.

"That was true the day it happened and it is true today," he said, describing in chilling detail the account the woman gave of her attack and the bruising on her body.

"She has described that sexual assault many times to the prosecutors and to me. And she has never once changed a single thing about that account."

The development is particularly stunning given prior statements by New York authorities, who spoke forcefully about the accuser's credibility, and it leaves the felony case against Strauss-Kahn teetering on collapse, despite incontrovertible DNA evidence of sexual contact recovered from the hotel suite.

"It's just an extraordinary, extraordinary development considering this case was brought with such great fanfare by the Manhattan district attorney and they very loudly trumpeted the credibility of the accuser," said Jeffrey Toobin, CNN's senior legal analyst.

"What makes it even more extraordinary is that the (DNA) evidence apparently shows a sexual encounter between Dominique Strauss-Kahn and the woman who is the maid. Yet even with DNA evidence, the prosecution is considering dropping the case. That shows how bad her credibility may be."

Kenneth Thompson, her attorney, said allegations about the woman's involvement in drugs, published in The New York Times, are a lie, adding that Manhattan District Attorney Vance was afraid of losing the high-profile case.

Thompson also said one of Vance's top aides is married to an individual connected Strauss-Kahn's defense team, creating an untenable conflict of interest in the case.

Vance told reporters Friday that Strauss-Kahn's release did not dismiss the indictment or any of the charges against the former IMF chief, though he did not address Thompson's accusations of impropriety.

The implications of the case are far reaching, especially in France, where before his arrest, Strauss-Kahn was considered a viable candidate in France's presidential election.

The turnaround in the case comes just ahead of the July 13 filing deadline for the French presidential primaries. If the case collapses, Strauss-Kahn theoretically has enough time to file.

His supporters would still like to see him run, though some Parisians interviewed on the streets Friday said even if Strauss-Kahn was cleared of wrongdoing, it was too late for him to seek office this go-around.

Still, many in France felt vindicated over concerns that New York prosecutors were perhaps over zealous and that there had been a rush to judgment.

They were shocked by widely broadcast footage of Strauss-Kahn in handcuffs in May, since a French law passed in 2000 prohibits the publication of images of suspects in handcuffs or in court in order to protect defendants' presumption of innocence.

Jack Lang, France's former minister of culture and education, said he was very happy about the latest developments -- and hoped to see his fellow Socialist party politician make a comeback.

"If the prosecutor and the court decide to declare the innocence of DSK, it will be a good day -- a good day for Dominique himself, a good day for American justice, a good day for France and a good day for the Left," he said.

CNN's Susan Candiotti in New York and Jim Bittermann and Saskya Vandoorne in Paris contributed to this report.

@highlight

The case has changed dramatically but has not been dismissed

@highlight

Dominique Strauss-Kahn's release came after his accuser's credibility was doubted

@highlight

Prosecutors disclosed that the alleged victim told them she lied about several matters

@highlight

Despite DNA evidence, prosecutors now have doubts about the case