(CNN) -- Police drones circling overhead, ready to help search for lost children, rescue stranded boaters and capture criminals.

Or drones equipped with lethal weapons, high-tech cameras able to see through clothing, and technology that monitors a person's visit to religious or political events.

Those were divergent and tricky scenarios discussed at a congressional hearing on Thursday (October 25), as lawmakers contemplated a market that experts believe could grow to 10,000 unmanned aircraft in five years.

Congress has ordered the Federal Aviation Administration to develop plans to integrate them into the national airspace system used by jetliners, private and military planes, helicopters and blimps by 2015.

But there are challenges with safety and operations with anticipated police, homeland security, private and commercial use. Privacy, another concern, was looked at closely at the congressional field hearing in Texas.

"We need to establish clear guidelines about when and for what purpose law enforcement agencies, private citizens, and businesses can use drones," said Rep. Ted Poe, a Texas Republican and chairman of the House Judiciary subcommittee on crime, terrorism, and homeland security.

In many respects, privacy issues involving drones are no different than those presented by other aircraft and satellites, experts said. But traditional aircraft are costly and expensive to maintain, placing natural limits on their use.

The low cost of drones will "erode that natural limit," allowing governments to conduct regular surveillance on people, said Chris Calabrese, legislative counsel for the American Civil Liberties Union.

"As the number of drones rises, so, too, will the number of suspects," said Rep. Hank Johnson, a Georgia Democrat. "During the civil rights movement, would activists have left their homes if they knew" they were being monitored from cameras 30,000 feet above?" he asked.

"If we take a Laissez-faire attitude towards this, we will see an erosion of our liberties," Johnson said.

Experts testified that Supreme Court case law regarding police aerial surveillance relies heavily on the concept of the public's "reasonable expectation" of privacy.

But those expectations will change as drones become more commonplace, said David Leebron, president of Rice University and former Dean of Columbia Law School.

"As technology changes, if we take no action, so do our expectations," Leebron said.

So several witnesses at the hearing said a legislative fix is needed to uphold current standards of privacy.

A bill introduced by Poe would prohibit the FAA from issuing a drone permit for use by law enforcement unless it is related to a warrant for the investigation of a felony, with some exceptions. It also would prohibit individuals from conducting surveillance on private individuals or private property without the owner's consent.

"We must decide now when drones can and cannot be used in order to ensure constitutional safeguards," Poe said. "Technology may change with time, but the Constitution does not."

But others cautioned against action that could stifle industry.

"I think we're at the birth of this technology," said David Crump, a professor at the Houston University Law Center. "It's true that it's exploding; it's a very fast growing baby," he said, "But we wouldn't want to tell Alexander Graham Bell at the birth of the telephone" to stop development because of privacy concerns.

@highlight

Police, homeland security, businesses see growing market for drones domestically

@highlight

Concerns about safety, operations and privacy if drones proliferate in United States

@highlight

Congress recognizes anticipated drone market; bill would spell out certain uses