(CNN) -- I once took care of an 84-year-old woman with end-stage heart failure who told me she couldn't bear feeling short of breath any longer and pleaded with me to help her die. "Is November 15 a good day for you?" she asked.

Her daughter shot out of a chair at her bedside. "Ma, do you understand what you are saying?"

The old lady stared at her and nodded slowly. "I can't take it anymore," she said. "Back and forth, back and forth to the hospital. I'd rather be dead."

I explained that in New York state I could not assist in her suicide, though I could give her morphine to relieve her suffering.

"If you were like me, you'd say the same thing, doctor," she said ruefully. "I'm half gone. Nobody wants to bother with you when you're like this."

A couple of days later, I went to the ethics committee at my hospital.

I explained that surgeons had deemed my patient's condition inoperable. Over the past couple of months she had been hospitalized several times with extreme shortness of breath due to congestive heart failure and treated with intravenous drugs. When the drugs were stopped, her heart failure symptoms quickly returned. This cycle was repeated several times before the day she asked me to help her die.

"She just doesn't want to suffer anymore," I said. "She doesn't want to go through another episode of heart failure. She is absolutely terrified of it."

"I don't see the big ethical dilemma," a senior internist said. "Put her on a morphine drip to relieve her suffering."

"But she isn't currently suffering," I replied.

"So put her on a low dose and titrate it up when she develops symptoms."

The problem was that she could go into a heart failure exacerbation very quickly. She could suffer for hours before her shortness of breath was brought under control, and that was in the hospital where nurses were with her around the clock.

In the end, I put my patient on a morphine drip. With her and her family's permission, we arranged for home hospice care. But she never made it out of the hospital.

I thought of this patient when reading a terribly sad column on CNN.com by Brittany Maynard, a 29-year-old with brain cancer who moved to Oregon so she can legally get a prescription for a drug that will end her life.

Unfortunately, there are examples (though rare) where palliative or hospice care cannot adequately address the anxiety and suffering of dying patients. For example, in the case of my elderly patient, how can one start morphine in a patient who isn't suffering at that precise moment? For such patients in those rare cases, I support assisted suicide as practiced in Oregon.

Through Oregon's Death with Dignity Act, passed in 1997, more than 1,100 people have obtained life-ending prescriptions. About 750 have used them. The law does provide safeguards against clinically depressed or mentally incompetent patients getting lethal drugs to end their lives. Four other states have enacted similar laws.

However, I still believe that for most terminally ill patients, hospice care is a better option than assisted suicide. Hospice offers team-based care with family involvement, often in a patient's home, that focuses on pain management and dying with some comfort and dignity. Hospice staff is available 24 hours a day, seven days a week.

The modern hospice movement started in 1967, when Dame Cicely Saunders, a nurse, opened St. Christopher's Hospice in London. Saunders formulated three principles for easing the process of dying: relief of physical pain, preservation of dignity, and respect for the psychological and spiritual aspects of death.

The number of American hospitals offering palliative care has nearly doubled since 2000, growing to nearly 1,500 programs -- the majority of hospitals. Perhaps the most surprising finding from these programs is that hospice patients live a month longer on average than similar patients who do not receive such care.

Unlike hospice care, assisted suicide is obviously a final and irreversible act. Ruling out the presence of clinical depression that may cloud a patient's judgment is not always straightforward. When depression lifts, the desire to die often lifts too. Only between 10% and 15% of people who attempt suicide eventually die by their own hands, suggesting that the desire to die is often changeable.

As a doctor, I would like assisted suicide to be safe and available, but rare.

Managing end-of-life care for patients like Brittany Maynard is never simple. I often think of what the elderly woman with terminal heart disease who asked me to help her die told me: "My husband said the hardest thing to do is to die; I always thought it would be easy."

@highlight

Dr. Sandeep Jauhar says patient asked him for help dying; daughter was horrified

@highlight

He says he gets terminal patient Brittany Maynard's desire to die, supports choice in rare cases

@highlight

But he says hospice care better option for terminally ill; allows dignity, comfort of home, family

@highlight

Jauhar: Depression may cloud patient's judgment. When it lifts, so may desire for suicide