(CNN) -- Lytro cameras, which let you take a photo and refocus anywhere after it's taken, are getting two much-requested new features: Instagram-like filters and the ability to bring the entire image, not just one section, into focus.

The camera was released early this year by a new Silicon Valley-based startup. Long and rectangular with a small touchscreen on one end and minimal buttons, the camera uses Light Field technology to capture its interactive images.

Since the camera's release, Lytro employees have been busy testing and releasing new features. The most recent additions will be available December 4.

First is the new Perspective Shift feature. Until now, you could focus only on one small section of a Lytro image at a time, which seemed to negate the benefit of having a camera that could focus on everything in the frame. Perspective Shift finally allows you to bring the entire image into focus, but that's not the most interesting part. When you click and drag on a Lytro picture, there is also a 3-D effect, allowing you move the image around for altered angles. Existing Lytro camera owners will be happy to learn that the effect can be applied to older images as well.

For one test photo, Eric Cheng, Lytro's director of photography and a former underwater photographer, filled a glass Christmas ornament with paint and shot a pellet through it, capturing the explosion as it happened (click and drag the image to the left to see the effect).

The desktop application will also gain new filter options. If there's anything the photography industry has learned over the past two years, it's that people love adding quick filters to their photos to make them look better. Lytro's first nine filters are a mix of typical retro -- Film Noir, 8-Track and Crayon -- and some genuinely unique effects that take advantage of the interactive features of Lytro pictures.

For example, the Glass filter (below) throws up a pane of frosted glass between the foreground and the background. Click around to refocus, and it will move accordingly. Carnival distorts the photo like a funhouse mirror, undulating in different directions depending on where you focus.

A year after the product was announced, the question of who exactly it is for still lingers. The $400 and up price tag is steep for a camera that takes only one kind of photo, and while it's fun to play with, it's not immediately clear what practical purpose refocusable photos serve. A flattened JPEG of a Lytro image is only 1.2 megapixels, which rules out many pro photography uses like product photography.

Lytro is not sharing any sales numbers or statistics but says the camera has mostly been a hit with amateur photography enthusiasts. Enterprising customers have found some creative uses. Food bloggers are snapping interactive shots of their meals (the ability to make a bowl of ramen jiggle in 3-D could be an amazing or gross addition). An artist who makes miniature figures uses it to document her work. Bug lovers everywhere like its impressive macro photography abilities.

Some in the medical field have tested the technology out, too; Lytro says there is a dermatologist who uses the camera to take up-close photos of skin issues, and a dentist takes shots of teeth.

"What we're looking for are people who are interested in storytelling in some new way," Cheng said. "That's the common thread between all of our earlier camera owners."

Lytro has released other updates to the camera's firmware and desktop software over the year, including rolling out a Windows version of the desktop application and adding manual camera controls. With the manual controls, you can speed up or slow down the shutter speed to play with interesting effects like light paining.

The company has also released a handful of accessories, cases and a tripod mount. There are new Lytro body colors (hot pink and forest green), but other than that, the hardware is the exact same camera that started shipping at the start of the year. The prices have also stayed the same: $399 for the 8GB camera and $499 for the 16GB version.

@highlight

Lytro cameras capture photos that can be refocused after they're taken

@highlight

New photo filters include a funhouse mirror effect and retro coloring

@highlight

Lytro images can finally be focused entirely; perspective-shifting effect has been added