Washington (CNN) -- Promises are an inherent part of campaigning. But in a time where distrust of government is at an all-time high, 2012 Republican candidates are using promises of action on Day 1 of their administrations to convince voters of the seriousness of the problems facing the nation and their seriousness about taking immediate action to fix them.

For the most part, the campaigns have focused on using executive orders as a means to do something on the first day.

Former House Speaker Newt Gingrich outlines on his website the content of the executive order he would sign in his first day in office. He promises to eliminate all White House "czar" positions, reauthorize a policy to stop "taxpayer dollars from being used to fund or promote abortions in foreign countries" and to move the U.S. embassy in Israel from Tel Aviv to Jerusalem, among other things.

Gingrich says all of these would be done using executive orders -- and promises they will all be online by October.

Former Massachusetts Gov. Mitt Romney has also been specific with what he would do through executive orders, laying out a plan for five of them to be signed on his first day in the White House.

Romney pledges to "return maximum possibly authority to states," in regard to health care and "immediately initiate the elimination of Obama-era regulations that unduly burden the economy." Additionally, Romney has said he would use an executive order to direct the Department of the Interior to increase the number of drilling permits issued in the United States.

There is a certain level of vagueness, however, from both Gingrich and Romney about their plans. In January, Gingrich promised a crowd in Tampa to "repeal every Obama attack on religion." Additionally, Romney does not say how he will return power to the states or what level of scrutiny these new drilling permits will receive.

"These types of promises can be very specific," said Jeffrey Toobin, CNN senior legal analyst. "This is a good thing if you believe the politicians should make accountable promises."

First-day use of executive orders has become the norm in modern politics.

"Most presidents have a list of executive orders that they want to have ready for signature on the first day of office," Toobin said.

On January 21, 2009, President Barack Obama issued two executive orders and three presidential memorandums aimed at government transparency and ethics. In his first full day in office the new president froze the salaries of his senior aides, demanded the government disclose more information and authorized new limits on lobbyists' access to lawmakers.

Texas Congressman Ron Paul has said in interviews that the country's problems are currently too large to be fixed in one day, but he has said he would start with foreign policy and "bring the troops home," so they can spend their money here.

Former Sen. Rick Santorum of Pennsylvania said in July that his first action as president would be to "sign an executive order to repeal Obamacare." Additionally, Santorum has outlined executive orders to reverse regulations on business and reinstitute the Mexico City Policy to stop taxpayer funding or promotion of abortions overseas.

For all candidates, it is important to note that an executive order cannot overrule a law passed by the Senate and House and signed by a former president. Therefore, though a candidate may want to abolish the Affordable Care Act with the stroke of a pen, it would take a full-fledged bill to do that.

And that stipulation has not been overlooked by some campaigns.

"I will ask members of Congress to stay in session. On January 3rd, I will ask them first repeal Obamacare," Gingrich said at a Florida event in January. "I will also ask them to stay in session and repeal the Dodd-Frank bill, which is killing banks. Third â€” I will ask them to repeal the Sarbanes-Oxley bill," which was enacted in the wake of the Enron, WorldCom and other corporate scandals.

In conjunction with his first day executive orders, Gingrich says that by the time Obama "arrives back in Chicago," the Gingrich administration would have dismantled 40% of Obama's government.

Not to be outdone, Romney has pledged, via congressional bill, to reduce the corporate income tax by 25% and would cut non-security discretionary spending by 5%. Additionally he would "consolidate the sprawl of federal retraining programs and return funding and responsibility for these programs to the states."

All of these promises begs the question -- is there even enough time on Day 1 to get this much done?

In short, yes, says Anita McBride, former adviser to President George W. Bush and chief of staff to first lady Laura Bush. But McBride cautioned about how busy Inauguration Day can be. It takes an effective transition team to make consequential first day orders a reality, said McBride.

McBride, who helped with multiple transitions while working for three presidents, says the day starts with an early morning briefing on national security that lays out the responsibilities that fall on the then president-elect once he is sworn in.

Following that, the president-elect has coffee with the sitting president. Then there are the more notable events -- the inauguration speech, lunch in the Capitol and the parade down Pennsylvania Avenue.

It isn't all pomp and circumstance, however. After being sworn in, the president will have an opportunity to tend to critical business.

"There is a room at the Capitol that is behind the cloak room on the House floor that is used only on the day that presidents are inaugurated," McBride said. "What happens immediately after being sworn in is the president signs Cabinet appointments that have to happen right away."

McBride went on to say that if a transition team had prepared the executive orders, this would be the perfect time for the new president to make his first decisions in office.

So could a president sign five bills and pass five executive orders in a day?

"It is perfectly within reason," concluded Toobin. "It just depends on how motivated they are to do these things."

"This is the next four to eight years of their life -- they have to do it all," said McBride. "Absolutely it is possible."

@highlight

Campaigns focus on using executive orders as a means to do something on the first day

@highlight

Gingrich promises to eliminate all White House "czar" positions on his first day

@highlight

Romney wants to start the elimination of Obama-era rules that hurt the economy

@highlight

Former presidential adviser says it is possible to get many orders, bills signed on Day 1