(CNN) -- College football is in a real institutional identity crisis. The range of reactions to the Penn State scandal, from Penn State University itself to the NCAA to the American people, tells us that we don't know what college football is or what it should be.

Penn State University is confused. Mostly, it has reacted strongly and rightly, but it has not cleaned house. Joe Paterno, Graham Spanier and others are gone, but should Mike McQueary stay, and were there others on the Penn State coaching staff who were aware of Jerry Sandusky's alleged actions? And many other questions remain: Why weren't police immediately involved? How did this stay covered up for so long?

The NCAA's response has been little better. NCAA President Mark Emmert released a statement last week, saying, "The NCAA will defer in the immediate term to law enforcement officials since this situation involved alleged crimes. ... To be clear, civil and criminal law will always take precedence over Association rules." While perhaps technically correct, the victims, as well as the college football community, deserve more of a response than this.

The American people are outraged, and rightfully so. It looks like the work of a monster (who still says he is not guilty) destroyed the lives of innocent children. He has forever tarnished the reputation of former and future Penn State students, athletes and coaches. This is the worst scandal in the history of college football. For it not to receive the worst punishment would be unjust.

The college football "death penalty" (the NCAA's punishment that bans a school from participating in a sport for at least a year) has been given to only one football program, ever: Southern Methodist University in the 1987-88 season for numerous NCAA violations involving paying athletes under the table.

SMU's actions pale in comparison with what occurred at Penn State. But under NCAA rules, the criminal actions of a few men are not necessarily NCAA rules violations. The NCAA decides where criminal laws overlap with its rules. And so, from a legal standpoint, it's possible that the Penn State football program will escape with less of a punishment than SMU.

How the NCAA answers these questions may affect the future of college football. As is the case with so many recent college sports scandals, the events at Penn State call into question the effects of big money on the inside workings of college sports. Penn State football is a business -- an enormously profitable one, raking in more than $70 million a year. Joe Paterno's salary alone was about $1 million annually. Penn State profits immensely from the success of its football program on the backs of unpaid amateur athletes. In many of these scandals, the players, often innocent and unprotected, are hurt the most, while the insulated, tight-lipped higher-ups of college boards and athletic programs fall back on their salaries and pensions.

I say this as a longtime fan and admirer of college football, not an opportunistic critic. There are many big-money programs that are scandal free, like the University of Texas, the largest college football revenue generator in the country. Many big programs can navigate ethically because of their moral compasses. Similarly, many coaches and players never have ethical issues, and they should be applauded. But I'm concerned about where the sport is headed.

If college football is truly the amateur athletics wing of educational institutions, then these multimillion-dollar programs should be transparent and accountable. A student's athletic performance should be tied to his academic achievement; tighter age and eligibility restrictions should be implemented.

In another fitting example, Yale quarterback Patrick Witt recently chose to play this Saturday in the Harvard-Yale game rather than attend his Rhodes scholarship interview, which happens to fall on the same day. Witt is free to choose of his liking, but he will forfeit the chance to win a Rhodes scholarship this year. The NCAA has remained silent about this, a clear opportunity to support or help a real student-athlete.

Or college football can go the other way. If the NCAA manages college football like a professional, for-profit enterprise, the players should be treated likewise. While revenues to college football have skyrocketed, benefits to players have not. Players can't work jobs outside of football, but their school can sell their jersey for profits that they never see.

Should these players accept gifts or contributions, the penalties can be more severe than what the NCAA could level on Penn State. Perhaps it's time for an open and honest debate about giving stipends, living expenses and even salaries to college football players. Incentives could be in place that encourage players to follow NCAA guidelines while rewarding them for their performance.

The NCAA's shortcomings are not to blame for the alleged actions of Jerry Sandusky. However, the NCAA system sometimes fosters closed-door, insulated, big-money administrations whose best interest is at times to sweep scandals under the rug and protect its own. It's time for change.

College football should decide what it really is. Is it an amateur undertaking, subordinate to and supportive of education? Or is it a farm system for the professional leagues? Maybe it's time it made up its mind.

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

William Bennett: The NCAA is adopting a low profile in Penn State scandal

@highlight

He says Penn State is the most serious scandal confronted by college football

@highlight

The NCAA must take the lead in putting safeguards in place and in punishment, he says

@highlight

Bennett: It's time for the NCAA to make up its mind about priorities in college football