The United States has a history of often picking sides in Middle East conflicts to its own detriment.

In the 1980s, former Secretary of Defense Donald Rumsfeld met with Saddam Hussein to establish a relationship that helped the dictator gain access to American arms during Iraq's war with Iran. In the 1990s, the U.S. would drive former ally Hussein from Kuwait and impose a decade of sanctions that were devastating for Iraqis, but had little effect on the dictator. In 2003, we went to Iraq, overthrew Hussein, and became part of nation-building effort from which we only recently saw most of our soldiers return home.

Arguably one of the greatest beneficiaries of the Iraq war was Iran, which now enjoys more power and influence with the elimination of its historic enemy. President George H.W. Bush did not pursue Hussein directly during Operation Desert Storm precisely because he feared the destabilizing effects it might have on the region, or as his Secretary of Defense Dick Cheney explained in 1994, "Once you got to Iraq and took it over, took down Saddam Hussein's government, then what are you going to put in its place?" Today, Iraq is unstable and its future uncertain.

Moammar Gadhafi eventually accepted responsibility in the 1988 bombing of an airplane over Lockerbie, Scotland, that killed hundreds of people, including American schoolchildren.

President Reagan called Gadhafi the "mad dog of the Middle East."

Fast forward to 2008, when Secretary of State Condoleezza Rice traveled to Libya to meet with Gadhafi to offer American support.

In 2009, members of the U.S. Senate -- Republicans Lindsey Graham  and John McCain and an independent, Joe Lieberman --  would travel to Libya to meet with Gadhafi to offer further aid.  Sen. McCain said: "We discussed the possibility of moving ahead with the provision of nonlethal defense equipment to the government of Libya." President Obama would eventually meet with Gadhafi to reconfirm the same relationship established during the Bush administration.

By 2011, President Obama was arming Libyan rebels and ordering airstrikes to overthrow Gadhafi. Some of the president's most vocal supporters were the same Republicans who traveled to Libya two years before to help Libya's strongman acquire military equipment. Sen. McCain said of the Libyan rebels: "I have met with these brave fighters, and they are not al Qaeda. ... To the contrary: They are Libyan patriots who want to liberate their nation. We should help them do it."

We did help them, something I opposed on the Senate floor as an unconstitutional overreach by the executive branch. We now have reason to believe that the Libyan rebels did contain elements of al Qaeda and other Islamic extremists.

Visit strengthens McCain's resolve for U.S. intervention in Syria

Now we see the same enthusiasm for another U.S. intervention, this time in Syria. The Syria Transition Support Act approved last week by the Senate Foreign Relations Committee, of which I am a member, has the potential to create more problems for the United States than it would solve. It is unclear what national security interests we have in the  civil war in Syria. It is very clear that any attempt to aid the Syrian rebels would be complicated and dangerous, precisely because we don't know who these people are.

The situation in Syria is certainly dire. At least 70,000 people have died, and al Qaeda is making confirmed inroads into the country. No one wants to see Syria become a bastion of extremism. But like other American interventions in the past, U.S. involvement could actually help the extremists.

There is also the quandary of nearly 2 million Christians who are uncertain of what to do.  The Christian community in Syria has traditionally sided with, and been protected by, Bashar al-Assad's regime. It is troubling to think that American arms may be given to Islamic fighters who may in turn be firing them at Christians.

This month, it was reported that the al Qaeda-linked Nusra Front in Syria executed 11 men who were part of al-Assad's forces. Syrian dictator Bashar al-Assad is no friend to the U.S. --  but neither is al Qaeda. To aid members of al Qaeda in any way, directly or indirectly, is an insult to our brave men and women who've been fighting these terrorists since 9/11.

Perhaps the most dangerous aspect of this "transition support act" is that it would commit the United States to a leadership position in the restoration of Syria, and is very vague about what that looks like.

The language of "capacity building" contained in this act is an open-ended term that if logically followed, could eventually mean U.S. troops on the ground in Syria.

We "capacity built" in both Iraq and Afghanistan. Those who insist this language could never mean U.S. boots on the ground in Syria belong to the same Washington clique eager to support Hussein, Ghadafi and later, the Libyan rebels. Washington is not exempt from the law of unintended consequences.

Empowering Islamic extremists to achieve questionable short-term goals does not serve America's long-term security or interests. Nor does it serve the interests of nearly 2 million Christians in Syria who  fear they could suffer the same fate as Iraqi Christians who were abused and expelled from that country as radical Islamic forces gained influence and power.

These Christians are natural allies of the United States, and if we're going to seriously discuss any American interests in Syria, the welfare of these Christians is more important than arming Islamic extremists.

History's primary lesson is that we must learn from the past. Although there are some well-intentioned reasons for wanting to intervene in Syria, there are far more well-documented reasons not to.

@highlight

Rand Paul: U.S. has a habit of picking the wrong sides in Mideast conflicts

@highlight

Paul: First, U.S. supported Gadhafi in Libya; switched sides to support rebels

@highlight

We don't know who the rebels in Syria are, he says

@highlight

Paul: We must also consider how rebels might treat Syrian Christians