SOWETO, South Africa (CNN) -- It's late Sunday morning inside a cavernous Salvation Army Church in Soweto, South Africa. Services, complete with African and traditional music, have just finished and a catchy drum beat with a distinctly American hip-hop sound is coming from the stage.

Laura DiFilippi, 12, gets ready to board the bus in Bushwick, Brooklyn, to go to the airport.

The group of teenagers dancing around the drums is 8,000 miles and an 18-hour plane ride from their New York home. They are mostly from Bushwick, Brooklyn -- a community of about 109,000 people only five miles from Manhattan.

For some of these kids, it's their first time away from home.

Unfamiliar with Bushwick? It's mostly a working class neighborhood where families have often struggled.

For years it was a community with a thriving drug trade, severely under-achieving schools, extreme poverty and a staggering rate of teenage pregnancy. It was ravaged by fires and looting during the summer of 1977 and hit hard by the crack epidemic in the 1980s.

Bushwick is recovering now, but half of the children under age 18 still live below the poverty line. A quarter of the adults never make it past the ninth grade and more than half never graduate from high school.

The children on this trip to South Africa are what educators and social workers call "at-risk" -- at risk of having babies as teenagers; at risk of never finishing high school or achieving their dreams; at risk of never knowing the world beyond their neighborhood.

Thirty of these children, between the ages of 12 to 16, have been paired up with college-aged mentors and brought to South Africa by Malaak Compton-Rock, the wife of comedian Chris Rock. She brought them to volunteer -- to serve the impoverished and the AIDS orphans in this country with the highest HIV-infected population in the world. Watch the kids' video diaries from South Africa »

Compton-Rock has carved her own niche in espousing service -- giving back. She often quotes her mentor Marian Wright Edelman, founder of the Children's Defense Fund: "Service is the rent we pay for living."

The South Africa trip is Compton-Rock's brainchild -- to broaden the horizons of young teens and give them perspective on their own lives.  Watch: The kids witness devastating effect of AIDS in South Africa »

"I believe by traveling you open up your life," Compton-Rock tells a crowd gathered for a press conference the morning after the group has arrived. "You don't think locally, you start to think globally and internationally and I think it gives you a sense of confidence."

She also wants the children to know, "that in the United States of America, even in Bushwick, we have certain services that I want the children to understand that they need to take advantage of."

Compton-Rock is talking about access to free public education, food, knowledge and social mobility -- elusive things for South Africa's impoverished and particularly so for 1.4 million AIDS orphans there.

One of the mentors on this trip is 20-year-old Alicia Gerald.

"I know that in my own experience," Alicia says. "Just having someone put their hand out and say 'I believe that you can be great,' has really helped me rise to those expectations."  Photos: Meet some of the kids »

Alicia is from Bedford-Stuyvesant, a troubled community just blocks away from Bushwick. It's also where Compton-Rock's husband grew up.

Compton-Rock has required all of the children selected for the trip to sign one-year contracts to become "global ambassadors."

As ambassadors they are required to tell their friends and neighbors about their experiences -- through writing, blogging, photographs and speeches. The idea, Compton-Rock explains, is that if a child is given a unique opportunity, she or he, is "obligated to bore a hole and take someone through with you."

Among the children on Compton-Rock's "Journey for Change" mission is Laura DiFilippi, a quiet girl who's overcome a lot of challenges in her 12 years. Constant moving and instability in her family life meant it was tough to find the documents needed for travel. For a while, it seemed as thought she wouldn't be able to get her U.S. passport. With the help of Compton-Rock's assistant, Cece Falls, Laura got the paperwork done and her passport was issued just 24 hours before the kids piled onto the bus for the airport.

There is also 15-year-old Jeremy Baker, with a broad smile and slight frame. He is growing up in the projects with four siblings and hits the basketball courts every morning before breakfast during the summer. His dream?

"Senior year I'd get a scholarship to Connecticut, UConn, play there," says Jeremy. "Then, like after my sophomore year in college, go to the NBA, get drafted by Detroit."

It's a dream of many young black men, but a recent study suggests only .03 percent of the youngsters playing ball as seniors in high school actually make it to the NBA.

Another young man, who makes magic with the drums and also smiles broadly, is 14-year-old Jonathan Severe. Compton-Rock snaps pictures while dancing to the beat and tapping on a nearby African drum. She is shaking her head in both joy and disbelief, clearly thrilled by what she sees. It's been less than 48 hours since the group has arrived; they haven't even begun their service yet, and already the young man is opening up in a way she had never expected.

Jonathan said maybe six words during his interview for entry to the program, and despite Compton-Rock's best mothering skills he never lifted his eyes from the floor.

His grandmother came with him to the interview and kicked his leg under the table to get him to speak. It didn't work. He barely spoke and when he did, you could hardly hear him. It wasn't easy for Compton-Rock to decide to take him to Africa. Her selection committee feared he didn't have the communication skills needed to be an ambassador.

Two days into the trip and Jonathan is effusive. I literally have to cut him off in interviews to get a word in. To see that, so early on, has been one of the thrills of this trip for me. Two days in and I can already tell this experience will be life-changing for all of us.

What will they learn and discover about themselves, and the world? I'll let them tell you. All the kids have been asked to blog about the joys and the challenges, the things they're learning and the disappointments.

We're taking photos and documenting every step they take in South Africa. The Bushwick kids came to make a difference in the lives of these vulnerable kids in South Africa. It will be equally interesting to see how South Africa's children make a difference in the lives of these children from Bushwick.

@highlight

Thirty kids from Bushwick, Brooklyn, took part in "Journey for Change"

@highlight

Malaak Compton-Rock spearheaded the mission to empower "at-risk" youth

@highlight

Kids, ages 12 to 15, volunteered to serve the impoverished, AIDS orphans

@highlight

Kids were required to sign one-year contracts to become "global ambassadors"