(CNN) -- Neanderthals likely died off about 30,000 years ago, but they may have come up with a tool-making technique that influenced later humans in Europe, a new study suggests.

Scientists have uncovered evidence that Neanderthals were making specialized bone tools before modern humans arrived in Europe.

"It opens the possibility that in this case, maybe they" -- modern humans in Europe -- "learned this tool type from Neanderthals," said Shannon McPherron, co-author of the study and an archaeologist at the Max Planck Institute for Evolutionary Anthropology in Leipzig, Germany.

This is only one possible scenario, however. Another is that modern humans arrived earlier than scientists thought, and influenced Neanderthals' tool-making. Or maybe the groups just came up with the same ideas independently. Archaeologists will need to keep digging for more evidence.

The new research is published in the journal Proceedings of the National Academy of Sciences.

The artifacts, approximately 50,000 years old, come from two locations in France. Modern humans are thought to have arrived in Europe some 40,000 years ago.

One of the sites is a classic Neanderthal cave site called Pech-de-l'Aze. There, researchers found part of the tip of a bone tool, just a few centimeters long. Scientists believe it is part of a bone tool because of how rounded and polished the tip is.

The other site is Abri Peyrony, located about 35 kilometers away in a shallow valley up against a low cliff base, McPherron said. At Abri Peyrony, excavators found two more fragments like the one at Pech-de-l'Aze, and a complete tool specimen.

McPherron said both of these sites are known to be the stomping grounds of Neanderthals because other fossils and tools characteristic of their species have been found there, and artifacts and bones from modern humans have not been uncovered there. At Pech-de-l'Aze, the skull of a Neanderthal child was found.

"Here we have just Neanderthal deposits, and so we can rule out any contamination from later time period deposits," McPherron said.

Scientists already knew that Neanderthals could make bone tools, but previous specimens looked just like their stone tools. Archaeologists had established that Neanderthals would take bones and remove flakes to make scrapers, notch tools and hand axes, McPherron said. These tools didn't make use of the inherently distinct properties of bone.

"This paper adds further evidence that during their final 20,000 years, the Neanderthals displayed aspects of behavioral complexity that we normally associate with modern humans," said Chris Stringer at the Natural History Museum in London, who was not involved in the study, in an e-mail.

The four newly discovered tool fragments appear very similar to a leather smoother called a lissoir, meaning "to make smooth." Neanderthals appear to have made them from the ribs of an animal the size of a red deer.

Feeling like a Neanderthal? Here's why

A lissoir compacts a hide, makes the leather more water resistant and easier to work with, and gives it a shine, McPherron said. This type of tool is commonly found at some of the oldest modern human sites in Western Europe.

High-end leather workers today still use such tools. To emphasize this point, McPherron and colleagues bought one on the Internet.

Researchers compared the wear and tear on one of their specimens to damage to a tool that the researchers produced themselves, used against a hide. They found similarities -- but they haven't proven that the Neanderthal tools were for leather crafting.

"A whole study has to be done to actually demonstrate that that's what they were used for," he said.

The lissoir is a tool made of bone that cannot be made of stone, McPherron said. It "takes advantage of the flexibility and pliability and supple aspects of bone."

These are the oldest specialized bone tools -- meaning they were made in a way that focuses on the properties of bone -- in Europe, McPherron said. They are not the oldest in the world.

In Africa, modern humans were making similarly complicated bone tools around the same time. In Turkey, sophisticated bone tools have been found as well, from about the same time.

So, did Neanderthals learn these tool-making technologies from humans who came from elsewhere? If that's the case, that means modern humans were in Europe earlier than previously believed, McPherron said.

He and his colleagues suspect that these tools predate the arrival of humans, which would suggest that Neanderthals invented them independently. But he suspects there will be debate about whether the 50,000-year-old tools are old enough to be certain that there weren't already modern humans in Europe.

There are still a lot of open questions: How widespread are these tools? How did Neanderthals make them, and how did modern humans make them? What kind of animals were used?

Ron Pinhasi, researcher at the University College Dublin, called this research "an important and interesting study" in an e-mail.

But he noted that this does not suggest that Neanderthals had the same cognitive capacities as modern humans.

Cave art and art objects are one of the hallmarks of modern humans during this time period, called the Upper Palaeolithic. There have not been any clear-cut discoveries of Neanderthals making bone ornaments or other such objects, Pinhasi said.

"In my opinion, it is the capacity to produce objects whose function is non-utilitarian (and most likely symbolic) which marks a major leap in human evolution and this leap is not yet evidenced in the case of Neanderthals and other premodern humans," Pinhasi said.

So, Neanderthals may not have been carving bone for art's sake, but they may have independently invented something useful enough to be sold online today.

@highlight

Archaeologists uncover 50,000-year-old specialized bone tools

@highlight

The tools are discovered at Neanderthal sites

@highlight

Modern humans are thought to have arrived in Europe at least 40,000 years ago