(CNN) -- After a severe earthquake centered in Pakistan's Kashmir province killed more than 70,000 people in 2005, teams from a nonprofit architecture group based in London, England, helped the region start to rebuild.

The group, Article 25, worked with local craftspeople to develop a design that could withstand earthquakes and trained them to build the structures. That experience may provide some lessons for the rebuilding of Haiti, where Article 25 is also planning to help with reconstruction, according to Robin Cross, an architect who is the organization's director of projects.

As in Haiti, at least some of the death and injury in Pakistan stemmed from local building methods. "The important point is that it isn't generally earthquakes that kill people," Cross said. "It's generally buildings that kill people. Building design is a way to solve that problem."

In Pakistan, Article 25 worked with local craftspeople to determine the best way to build structures that could withstand quakes and then helped train people to build them.

"By the time we built 80 to 100 buildings and we pulled out, we were leaving not just buildings, but also a capacity to build," Cross said.

"Each building we built there was the site of a training exercise for a team of workers -- concrete workers, carpenters, roofers, plasterers," said Cross. "They have obviously been able to take these skills away. In the long run the idea was that we would do ourselves out of a job."

Cross spoke to CNN on January 29.

CNN: What is the role of architects in planning the rebuilding of Haiti, based on your experience in Pakistan?

Robin Cross: At this point, the focus is rightly on relief, and the provision of water, food and medical care, the basic life support system. ... What we won't be doing is clogging up that quite strained delivery system with the bricks and mortar of longer-term reconstruction. But there is going to come a point very shortly when minds need to turn to longer-term construction planning, and that's where architects and engineers have a role to play.

Our work in Pakistan began quite soon after the earthquake. But the important factor is that it's still ongoing, that we need to be there for the long run. ...

What we were doing there was working with local NGOs [non-governmental organizations], particularly with Muslim Aid, to identify the most vulnerable members of the community who could most benefit from our architectural and design skills, and couldn't afford to buy in their own construction expertise, and would be most marginalized and vulnerable in the future.

So we worked with Muslim Aid to develop a series of earthquake-resistant buildings which could then be delivered on a range of different sites. We put people in the field to provide quality assurance, to make sure that the buildings that were built would be earthquake-resistant.

After a disaster there's an enormous demand for reconstruction, a demand for materials, designers, particularly builders -- so they will tend to be drawn very rapidly into high-value commercial work, which could leave less financially strong people without access to building skills. That could lead to them building in a poor and unsafe way, so you get into a very dangerous cycle of vulnerability. By building the capacity of local work teams to build, you enable people to build for themselves and break that cycle of vulnerability.

CNN: What kind of buildings did you build?

Cross: We were intent on providing an earthquake-resistant home design. ... The buildings are a lightweight frame construction, which means they are able to flex in the event of an earthquake. We adopted the dhaji dewari technique, an indigenous technique developed out of the materials in that landscape. We adapted it and improved its details to make it more earthquake-resistant. ...

CNN: How much do these houses cost?

Cross: Approximately £4,000 [about $6,300 at current rates] per house. That compares very well with the equivalent house in concrete block, which would normally be used. It isn't just safer than a concrete-block equivalent but it's also more economical and it's quicker to deliver.

CNN: What's it made of?

Cross: It's made of lightweight timber frame with many cross-facing elements, and the gaps between cross-facing elements are infilled with stones and mud and then rendered over with mud. What that generates is a design which flexes when the earthquake strikes, the energy of the earthquake is dissipated through the many framing elements of the building, and the energy is lost in the friction between the timber and the stone infill. ... A concrete-block building which isn't able to flex is more apt to collapse. ...

The other thing that's worth mentioning is that the buildings have a lightweight roof. In the worst eventuality, if the roof collapses, if it's lightweight, it's much less likely to kill people. ...

CNN: What similarities are there between the building styles in Pakistan and Haiti?

Cross: I haven't yet been to Haiti, and we'll be undertaking our first visit as soon as conditions really allow that to happen, which I think will be in February or early March. But what I think we will find is that there will be an equivalent vernacular tradition in Haiti from which we can learn a lot. I'm sure the problem that we saw in Pakistan is shared in Haiti -- in that concrete buildings have been built poorly, without adequate technical supervision, and have proved very vulnerable to the earthquake.

A good architect will never decide at a distance what the right technical approach would be, because it's always important to understand the location. ... So when we go to Haiti, the first thing we will do will be to carry out participation workshops with the local communities, to carry out a needs assessment but also a skills assessment ... so we design the right buildings, appropriate to the materials available and the skills that are present.

CNN: It's still early, but how do you assess the need in Haiti compared to the need in Pakistan?

Cross: All of the information we have at the moment suggests that the need is even greater in Haiti. In Pakistan, the earthquake did enormous damage, but there was still a strong national government, relatively strong local government and a strong military presence in the Pakistan army with which we could collaborate. In Haiti those institutions were already weak and in many cases have been destroyed by the earthquake.

The partnerships which we would look to build with local governments may be much harder. ... There's likely to be an even greater role for strong strategic planning and long-term thinking from architects. ...

I should say that you should never see Haiti as a blank slate. You look at the images, you think the damage is so great, it's a clean sweep -- but you should never see it as a blank canvas on which to impose a master plan from London or North America.

There remains in Haiti a social infrastructure, an economic infrastructure, even in the slum areas there's an economically vibrant infrastructure. It's those threads of the community infrastructure that we need to find and build a new Haiti around. So all of our work starts with community participation and is part of empowering the local community and making sure that what we design is compatible with their objectives. ...

One of the big problems immediately after this kind of disaster is the lack of long-term investment. The funding for short-term relief is good and is needed, but very often at the point of about a year, that funding just falls off a cliff. That's what I'm hoping will be improved on in the Haiti response.

@highlight

Earthquake centered in Kashmir region of Pakistan killed more than 70,000 in 2005

@highlight

London-based nonprofit provided architectural help to start rebuilding

@highlight

Robin Cross says lightweight framing was used to build earthquake-resistant houses

@highlight

He says good building design can lessen the toll of an earthquake