Havana, Cuba (CNN) -- Pope Benedict XVI arrived in Havana on Tuesday amid speculation over whether he will meet with the island's former president, Fidel Castro, and how far he'll press the country for greater political and religious freedoms.

Benedict visited both privately and publicly with President Raul Castro on Tuesday evening. Those meetings, at least one of which was expected to include Castro's family, prompted talk as to whether that also would include the president's older brother, who stepped down from power in 2006 after battling illness.

The closely-watched trip is the second part of a two-country tour Benedict has used to spread the Catholic faith and address political issues -- at times subtly and on occasions more overtly.

He had traveled to Mexico prior to heading to Cuba, and drew added attention when he said he prayed "for those deprived of freedom."

Last week, the pontiff said that Cuba's Marxist political system "no longer corresponds to reality."

A top Cuban government official responded to the pope's comments, saying his country's system is sustainable and that it will not change.

"In Cuba, there will not be political reform," said Marino Murillo, vice president of the island's council of ministers.

Also arriving on the island over the weekend was Venezuelan President Hugo Chavez, reported by Cuban state television to be in Cuba for radiation treatment for cancer.

It's also not clear whether Benedict will visit with Chavez, who has frequently traveled to Cuba for medical care and to meet with the country's leaders, but the island was abuzz Tuesday with talk over what kind of behind-the-scenes discussions among the leaders, if any, were being had.

On Wednesday, Benedict is scheduled to preside over huge crowds during Mass in the capital's Revolution Plaza, where 14 years ago Pope John Paul II addressed throngs of Cubans in the historic first papal visit to the island.

Havana officials have been busy planning for his arrival, painting buildings and tacking posters across the city.

The trip is timed to the 400th anniversary of Our Lady of Charity, Cuba's patron saint, but uncertainty looms over what more will be said, with whom the pope will meet and what the visit will actually mean for Cubans.

"For me, I'm very happy he's coming," said Juana DeArmas, a shopkeeper in the capital's Old Havana district. "I was here when John Paul came, and there were always plenty of tourists that followed."

The visit is also seen as a possible tourism boost to the island's cash-strapped economy, as many residents seek to make use of a series of free market reforms that have slowly swelled the number of private businesses in the country.

Small privately owned shops have since cropped up along side streets in the Cuban capital, and property, including real estate, can be bought and sold for the first time in decades.

Benedict, 84, arrived in Cuba's southeastern city of Santiago de Cuba on Monday, later heading to the city's Basilica del Cobre where he prayed in front of the Virgin of Charity of Cobre, a wooden statue considered to be the shrine of the island's patron saint.

Upon his arrival, the pontiff was greeted by Raul Castro and the country's clergy, including Cuban Cardinal Jaime Ortega.

With a red carpet rolled out to meet Benedict's airplane, Castro walked beside the pontiff on Monday to a pair of large wooden chairs where the two stood for a brief photo op. A brass band played Cuba's national anthem and other tunes as they stood together, while artillery rounds were fired nearby in celebration.

Benedict told the audience he seeks to emphasize "the importance of faith," highlighting the need for good relations between the church and the Marxist state.

"I carry in my heart the just aspirations and legitimate desires of all Cubans, wherever they may be," he said.

Castro welcomed Benedict, saying his country has worked for peace and justice, but also took the opportunity to deliver a swipe at the United States.

Even "14 years after John Paul's visit," the U.S. economic embargo against Cuba persists, Castro said.

Clad all in white, Benedict walked with the Cuban president, who was dressed in a dark suit, and greeted other state officials and clergy.

Crowds of flag-waving Cubans lined the street on which Benedict's motorcade traveled, as Cuban state television captured both ground and aerial footage of the trip.

Benedict then celebrated Mass in the city's square, drawing huge crowds, as legions of musicians playing wind and string instruments performed during pauses in his sermon, supported by what appeared to be concert-grade sound systems.

Cuba says it won't change its political system

In 1998, Fidel Castro greeted a much different pontiff when thousands were introduced to John Paul II, who famously urged the nation "to open to the world, and the world to open to Cuba."

"There was a kind of love affair between John Paul and Latin America," said CNN senior Vatican analyst John Allen. "It just isn't the same with Pope Benedict."

In Mexico, an archbishop urged worshipers to stop making comparisons between Benedict and his predecessor, who drew massive crowds across Latin America and visited every country in the region before he died in 2005.

In Cuba, though John Paul helped to warm church-government relations, the country's ties with religion have remained complicated.

Decades earlier, Castro's communist revolution sought to stamp out religious influence in Cuba, confiscating church property and expelling religious workers, some of whom had supported anti-Castro forces.

The country was officially atheist until the 1990s when the constitution was amended, and references to atheism were replaced with secularism. Christmas was recognized as a holiday at that time, and Communist Party members were permitted to openly practice their faith, if they had one.

Church officials now say the island is about 60% Catholic, though few openly practice.

Still, religious access to state television and the administration of religious schools remain largely restricted, which could be a point of emphasis during the pontiff's trip, observers said.

"These papal visits can have an impact," Allen said. "They can kind of jar things loose. And it seems that under Raul, Cuba is taking baby steps toward normalization."

But many on the island seem skeptical that the trip will yield lasting results.

While the country's Roman Catholic Church has often been lauded for its role in recent reforms, it has also received heavy criticism for appearing too cozy with the government.

Rights groups say the nation has largely emptied its jails of political prisoners, and yet it continues to harass the country's activists.

@highlight

NEW: Pope Benedict XVI arrives in Havana, meets with President Raul Castro

@highlight

Cuba was once an atheist state; this is only the second papal visit there

@highlight

Church officials say the island is about 60% Catholic, though few openly practice