(CNN) -- The UK government is appealing for a buyer to ensure a rare piece of jewelry that once belonged to the author Jane Austen remains in Britain.

The gold and turquoise ring is one of just three pieces of jewelry in existence known to have belonged to Austen, the 19th century author of novels including "Pride and Prejudice" and "Emma."

American singer Kelly Clarkson bought the ring when it was auctioned last year, Jane Austen's House Museum, in Chawton, southern England, said. Auction house Sotheby's listed the sale price as £152,450 ($231,227).

UK Culture Minister Ed Vaizey has placed a temporary export bar on the ring "on the grounds that it is so closely connected with [Britain's] history and national life that its departure would be a misfortune," the Department for Culture said.

The temporary bar means Clarkson is unable to take the ring outside the UK. While she is not required to sell the ring, Vaizey could refuse her an export license --making the restriction permanent.

Read more: Walking in the footsteps of Jane Austen

A spokesman for the Arts Council -- responsible for developing arts and culture in England -- said: "The original buyer does not have to sell the ring to an interested UK buyer if one were to make a serious intention to buy, but should they make this choice the Minister will take into consideration any refusal to accept a matching offer when a decision is made as to whether an export license should be granted. The export license would normally be refused."

If an individual were to buy the ring, they would have to put it on public display in a gallery, museum, or archive for a minimum of 100 days each year, he said.

"Jane Austen's modest lifestyle and her early death mean that objects associated with her of any kind are extremely rare, so I hope that a UK buyer comes forward so this simple but elegant ring can be saved for the nation," Vaizey said in a statement. Austen died in 1817 at the age of 41.

In its July 2012 catalog, Sotheby's said the ring was being sold with notes detailing its provenance, including one written by Jane Austen's sister-in-law, Eleanor Austen, to her niece, Caroline.

The note -- dated 1863 -- reads: "My dear Caroline. The enclosed Ring once belonged to your Aunt Jane. It was given to me by your Aunt Cassandra as soon as she knew that I was engaged to your Uncle. I bequeath it to you. God bless you!"

'An intimate possession'

The Department for Culture said Jane Austen had "placed great significance on jewellery's link to personal relationships both in her life and in her novels."

Its statement continued: "It is precisely because Jane Austen understood the social and emotional nuances which could be associated with a piece of jewelry, and because jewelry has such potency as an intimate possession, that the ring aroused huge interest when it was auctioned last year."

The ring's £152,450 sale price was more than five times the estimate placed on it by Sotheby's.

The other two items of jewelry known to have belonged to Austen -- a topaz cross and a turquoise and ivory bracelet -- are on display at the Austen museum, in Chawton, southern England, where the author spent the last eight years of her life.

Read more: 200 years of 'Pride and Prejudice'

Museum spokeswoman Isabel Snowden said Austen's brother Charles had bought her and her sister Cassandra each a topaz cross from Navy prize money he received for work recovering a pirated ship.

In Austen's novel "Mansfield Park," heroine Fanny Price is also given a cross by her brother. "That's the most direct link she's put in her novel," Snowden said.

"We'd love the ring to be on display on the museum and it would be fantastic if the funds were able to be raised.

"It's one of the few surviving pieces of jewelry Jane Austen owned. So it's really important."

The decision on the export license will be deferred until September 30 this year and can be extended until December 30 "if a serious intention to raise funds to purchase the ring" is made.

'Waverley criteria'

Britain's secretary of state for culture -- currently Vaizey -- is advised by a committee of experts on which objects should be refused export licenses, based on the "Waverley criteria."

The criteria are whether an object is so closely connected with Britain's history that its departure would be a misfortune, whether it is of outstanding aesthetic importance or of outstanding significance for the study or art, learning or history.

Fans around the world celebrated the 200th anniversary of one of Austen's most well-known novels -- "Pride and Prejudice" -- in January this year, and on July 24 the Bank of England marked Austen's significance in English literary history by revealing that her image would appear on the £10 banknote.

Read more: Americans lack a paper money woman

Announcing the decision, Reserve Bank Governor Mark Carney Governor said: "Jane Austen certainly merits a place in the select group of historical figures to appear on our banknotes. Her novels have an enduring and universal appeal and she is recognized as one of the greatest writers in English literature."

The Department for Culture also announced export bans on three other items in its most recent statement.

They are a racing car known as a "Bentley Blower" -- worth £5,149,800 -- an archive of letters from British Army officer James Wolfe -- remembered for his victory over the French at the Battle of Quebec -- and a collection of paintings, drawings and other material by Thomas Baines documenting the British exploration of northern Australia.

@highlight

Jane Austen was an English novelist who wrote in the early 1800s. She died in 1817.

@highlight

Her novels include "Pride and Prejudice," "Emma" and "Sense and Sensibility"

@highlight

Last year, U.S. singer Kelly Clarkson bought a ring that had belonged to Austen

@highlight

Britain says the ring is of historic significance and should not be taken out of the country