(CNN)The Islamic State in Iraq and Syria has crude, stomach-turning tactics when it comes to dealing with its enemy, but experts say that its moneymaking methods are highly sophisticated, especially for such a new terror group.

Here's a look at how ISIS has made (and taken) millions:

ISIS makes between $1 million and $2 million each day from oil sales, numerous sources tell CNN. The oil comes mostly from refineries and wells that ISIS controls in northern Iraq and northern Syria.

The militants smuggle oil into southern Turkey, for example, and sell it to people who desperately need it just to carry on some semblance of everyday life.

The United States-led coalition fighting ISIS has repeatedly targeted ISIS oil assets in an effort to, in part, damage this arm of the group's financial system.

ISIS is estimated to produce about 44,000 barrels a day in Syria and 4,000 barrels a day in Iraq, according to Foreign Policy. A Kurdish newspaper has published the names of people involved with ISIS and its oil enterprise, the magazine reported.

Some on the list were associated with oil smuggling under former Iraqi dictator Saddam Hussein, Foreign Policy said,  as were those associated with a Toyota branch in Irbil that sells ISIS trucks.

Through its oil operations, ISIS appears to be trying to establish a self-sufficient state in the "Sunni triangle" in west and north Iraq, said Luay al-Khatteeb, founder and director of the Iraq Energy Institute.

Today, ISIS controls approximately 6 million people in Iraq and Syria, he said, and "that is a lot of people who need fuel."

In 2012, the U.S. Treasury Department estimated that al Qaeda and its affiliates had accumulated  $120 million from ransoms over the previous eight years.

ISIS was once aligned with al Qaeda. The two groups are thought to operate separately but share similarities.

A 2014 New York Times investigation found that since 2008, al Qaeda and its affiliates had received $125 million from ransoms, including $66 million in 2013.

A Swedish company reportedly paid $70,000 to save an employee whom ISIS abducted.

Though officials publicly deny paying ransoms, the French purportedly have a policy of negotiating with militant groups to free its citizens. ISIS kidnapped Nicolas Henin, Pierre Torres, Edouard Elias and Didier François, in 2013 in Syria. They were released in April 2014, CNN national security analyst Peter Bergen said in a report that asked whether paying ransoms is a wise strategy.

The United States has a policy of not doing that, and the recent executions of U.S. and other Western ISIS hostages have sparked debate over whether that should change. ISIS demanded hundreds of millions of dollars for American journalist James Foley, said Philip Balboni, the CEO of GlobalPost, the outlet for which Foley freelanced.

ISIS beheaded Foley and released a video of the slaying.

The terrorists also told the Japanese government to pay a $200 million ransom to free two Japanese citizens. Japan did not negotiate, Chief Cabinet Secretary Yoshihide Suga said. ISIS slaughtered the men.

ISIS allows locals to dig at ancient sites as long as those people give ISIS a percentage of the monetary value of anything found, according to a September 2014 New York Times opinion piece written by three people who had recently returned from southern Turkey and interviewed people who live and work in ISIS-controlled territory.

ISIS' system of profiteering from antiquities thieving is very complicated, the three said, adding that for some areas along the Euphrates River, ISIS leaders encourage semiprofessional field crews to dig.

"ISIS has caused irreparable damage to Syria's cultural heritage," the writers said, and it's crucial that the digging and smuggling of antiquities be stopped because Syria's history is essentially part of its identity. Leaving some of the targeted heritage intact, they said, "will be critical in helping the people of Syria reconnect with the symbols that unite them across religious and political lines."

CNN has extensively reported on ISIS' destruction of some ancient and deeply meaningful sites in Iraq. Officials in Iraq have said ISIS has blown up shrines such as the tomb of Jonah.

Qais Hussain Rashid, director general of Iraqi museums, told CNN that ISIS militants "cut these reliefs and sell them to criminals and antique dealers." He gestured to an  ornate carving that's thousands of years old. "Usually they cut off the head, leaving the legs, because the head is the valuable part."

As if pillaging weren't enough, ISIS simply damages fragile historical sites as if they were empty storefronts for the taking. Rashid said that ISIS has used the ancient ruined city of Hatra, or al-Hadr in Arabic, which dates back to the third century B.C., as a training ground, weapons depot and a place to murder prisoners.

In 2014, ISIS gained control of large swaths of Iraq and Syria and set out to create civil and administrative entities as if it were a legitimate state. That is, after all, what the militants have claimed to be after -- a caliphate, or an Islamic state led by one person, a successor to the Prophet Mohammed.

States demand taxes. In ISIS-controlled areas, to get anything done -- or to survive -- the people pay a fee to the terror group. Businesses are taxed if they want to have essential things like electricity and security, experts say.

Drivers who want to move through a checkpoint must hand over cash. When it's used more and more, extortion can seem to a terrified and traumatized populace as a normal tax system, Joseph Thorndike, the director of Tax Analysts' Tax History Project, wrote in Forbes.

Sometimes there's no pretense such as "taxing." ISIS has stolen money, too. In June 2014, the group raided several banks in Mosul and stole an estimated $500 million, though the full amount is unconfirmed, according to global intelligence firm Stratfor. In Syria, ISIS has seized control of oil facilities, taking over from rebel group al-Nusra, which didn't fight back.

The Iraqi ambassador to the United Nations caused a sensation this week when he said that bodies have been found mutilated, and openings have been carved out of the backs of the corpses. To Mohamed Alhakim, that indicated "some parts are missing."

He said it's possible that ISIS is harvesting and trafficking the organs of dead civilians.

There is tremendous skepticism about that, particularly considering how hard it would be to preserve organs in crude and unsanitary war environments.

Mark Lyall Grant, Britain's ambassador to the U.N., said there was no proof or evidence to support Alhakim's assertion.

Mouaz Moustafa, the executive director of the Syrian Emergency Task Force in Washington, told CNN that Raqqa, ISIS' de facto Syrian capital, is a kind of breadbasket. "They've got the cotton and the wheat." he said. The United States has targeted grain silos that ISIS controls.

Last year, ISIS announced that its "Treasury Department" would start minting its own gold, silver and copper coins for its "Official Islamic State Financial System." It's not clear if this has any value. The move is "purely dedicated to God," ISIS declared, and will remove Muslims from the "global economic system that is based on satanic usury."

Everything to know about ISIS

Scott Bronstein and Drew Griffin contributed to this report.

@highlight

ISIS makes money by looting and selling antiquities, stealing from banks, extorting locals

@highlight

It is believed to make between $1 million and $2 million a day in oil revenue, experts say