(CNN) -- And then there were two.

One is identified with the ethnic Tajik group from northern Afghanistan and is a former foreign minister who later became a critic of Afghan President Hamid Karzai.

The other is close to the president and belongs to his Pashtun ethnic group.

Both are technocrats who campaigned on a message of change.

And each hopes to lead their turbulent nation into a brighter future.

Preliminary results from Afghanistan's landmark presidential elections show former Foreign Minister Abdullah Abdullah getting the most votes -- but not the majority needed to avoid a runoff with Ashraf Ghani Ahmadzai.

The two men will face each other in a runoff slated for June 7, according to Afghanistan's Independent Election Commission. The preliminary results will be finalized May 14 after investigations into fraud complaints, according to commission.

It's the third election since the fall of the Taliban in 2001, and marks the first democratic handover of power in the fragile country.

Incumbent Hamid Karzai is constitutionally bound to step down. Karzai was once the darling of the West but has long since fallen out of favor amid cries of corruption and cronyism.

With NATO troops scheduled to pull out of Afghanistan by the end of the year, and following the refusal of Karzai to sign a bilateral agreement -- the so-called Status of Forces Agreement -- with the United States to keep some troops in-country, Afghan security is in the hands of the next man to be sworn in.

CNN takes a look at the two contenders to be Afghanistan's next leader.

Abdullah Abdullah

An ophthalmologist and former Northern Alliance medic in a previous life, Abdullah was a vocal critic of the Taliban during their years in power, and although he was a previous Karzai ally, serving in his government as foreign minister, he has in later years been a thorn in the side of the man who has ruled Afghanistan since the fall of the Taliban in 2001.

The urbane politician, known for his eloquence -- and his elegance -- took on Karzai in 2009's election but dropped out after the first round in protest to what he saw as large-scale voter fraud. His campaign this time around has been wracked with violence, with three separate attacks by militants on Abdullah campaigners in the weeks before the election, according to the Afghan news agency, Khaama.

"The environment is not risk-free, but when I look at the enthusiasm of the Afghan people to participate in the elections -- that is part of it is encouraging. It is highly encouraging," he told CNN's Christiane Amanpour earlier this year.

As with many countries, both democratic and otherwise, loyalty along ethnic lines matters a great deal in Afghanistan. Pashtuns make up more than half of the population in this multi-ethnic country, with Tajiks the second-largest group, and a number of minor Turkic and other ethnic groups.

Part Tajik and part Pashtun, Abdullah is considered a relative outsider given his background. He is generally associated with his Tajik side, giving him a possible advantage in reaching out to non-Pashtun voters, but which may work against him in a runoff if the other candidates back his Pashtun challenger.

He is seen as a relatively liberal candidate and advocate of women's engagement in public life, telling Britain's Independent newspaper, "If you want to see this country or any other country even being able to deal with the challenges and develop, it cannot happen without the role of half the population."

He has signaled his intention to sign the Status of Forces Agreement with President Barack Obama in an effort to offer his constituents some security following NATO''s planned withdrawal at the end of 2014.

Ashraf Ghani Ahmadzai

A former academic who previously taught at Berkeley and Johns Hopkins University in the United States, Arshaf Ghani emerged as the dark horse candidate.

A former U.S. citizen who gave up his passport to run for the Afghan presidency in 2009, he's known as having an impatient, fiery temper but also of being incredibly detail-oriented.

Another ex-Karzai man, Ghani served as both an adviser to the current president and also as finance minister in his cabinet.

He was working at the World Bank in Washington, D.C. during the September 11 attacks, and used the tragedy as a springboard for his re-engagement in Afghan politics, returning to his home country just months after the event.

Considered a moderate, he says he has seen positive signs while campaigning around the country.

"(At) rally after rally people are responding to a message of moderation, to message of reform, to message of transformation, to peace, stability and cooperation," he told CNN's Anna Coren.

WATCH: CNN's Christiane Amanpour interviews Ashraf Ghani

His experience in the development agency was invaluable during his time in Karzai's government, reconstructing the country, and he hopes voters will be convinced that it will stand him in equally good stead for the top job.

A shrewd operator, Ghani, who is Pashtun, has enlisted the support of ex-warlord General Abdul Rashid Dostum, a native Uzbek, as his running mate.

However, his many years in the United States -- especially while his countrymen were suffering, first under the yoke of Soviet imperialism and later the strictures of the Taliban -- may impede him as he is seen as an outsider with strong ties to the United States, which is seen by many as merely the latest foreign invaders of Afghan soil.

@highlight

Abdullah Abdullah, Ashraf Ghani will be in a runoff slated for June 7

@highlight

The two candidates won the most votes in field of 11

@highlight

Historic presidential election for war-torn country

@highlight

Incumbent Hamid Karzai constitutionally must step down