(CNN) -- November is National Adoption Awareness Month in the U.S. and in many countries around the world. We celebrate every child's right to grow up in a loving, permanent family where they can live their lives with dignity.

Adoption is a deep, meaningful way to create families and provide orphaned and vulnerable children a protected, safe and secure environment in which to grow and thrive. By 2005, there were 23,000 international adoptions to the U.S., from many countries around the world. But unfortunately, over the last six years, the numbers have plummeted to 11,000 in 2010 ... and probably much less by the end of 2011.

The Hague regulations for inter-country adoption were implemented in 2008 in the U.S. and have protected children from trafficking. At the same time, this bureaucracy has paralyzed the process of adoption, making it inefficient and cumbersome.

Millions of children around the globe lose their parents to extreme poverty, HIV/AIDS, tuberculosis, malaria, conflict, war and natural disasters, often forcing family members to relinquish and abandon their children to orphanages. People without education and jobs, and communities without economic strength and social welfare infrastructure, cannot support orphans.

Globally, UNICEF estimates that 153 million of those under the age of 18 have lost one or both parents and are considered orphans; 18 million children have lost both parents. Adoption can ensure permanency, but it cannot solve the tragic destiny of millions of children living without parental care in dire circumstances fast enough. The process of change to provide permanency to all these children in need will take decades. We are at a crossroads of urgency.

What happens to the children left behind? Some are institutionalized, and others are forced to live on the street or in refugee camps or as slaves to other families: for example, restaveks in Haiti. Children are bought and sold as prostitutes or forced into a life of crime, drug dealing and alcoholism, and many are child laborers making up a large part of the major work force of countries abroad. Still others become child soldiers fighting ethnic wars in tyrant-run countries.

When families survive, the head of the household may be a child 8 years old or even younger. Girls are forced into very early marriages even before they menstruate, robbing them of educational opportunities and choices about their future. The damage done to children in these circumstances is horrific and has lifelong consequences.

The U.N. Convention on the Rights of the Child states that every child has a right to safety, health and an education, as well as the right to participate fully in family, cultural and social life. The U.S. and the international community must find permanent solutions to address the international orphan crisis. Effective and innovative strategies need to be implemented and more resources must be devoted to preventing child abandonment and helping families to remain intact or to be reunified and reintegrated.

Investment in child welfare systems with trained social workers capable of case management in impoverished countries must be the highest priority to strengthen and support families and communities. Families need economic opportunities to make a viable living and social services to help guide them out of poverty. Access to medical care and psychosocial services and universal, free education must be available for all children and their families.

Without such support services, families are more likely to be torn apart by poverty and become victims of depression and hopelessness, which continues the cycle of relinquishment and abandonment. We must figure out how families and communities survive poverty and adversity. What are the intrinsic cultural mechanisms that work in one country and not in another?

Children living in orphanages need professionally trained staff members/caretakers who are committed and invested in the psychological welfare of each child. Orphans must be reintegrated into their communities by attending local schools so that they are not isolated and stigmatized.

Orphanages should be downsized and be more like group homes, run family-style, and foster care (using the South Korean model) could be introduced as a better alternative to residential care facilities. Governments need to invest in strategic plans to de-institutionalize the care of orphans, making these programs a shared responsibility of society. Attitudes need to be changed about disabled children from ethnic minorities so that there is inclusion of all children into the fabric of life in all developing countries.

I've witnessed orphans living in squalid and tragic conditions. Once they age out of the orphanage, they often leave uneducated and unprepared for life outside the institution; they are destined for poor physical and mental health and dependency on welfare systems rather than becoming independent and capable of creating their own families and developing and contributing their own talents to their societies.

Realizing that millions of orphaned children would never be adopted fast enough, I founded Worldwide Orphans Foundation. It is committed to transforming the lives of orphaned children by providing them with medical, developmental and psychosocial care and educational opportunities in their own communities. Our long-term holistic programing includes education, health care, sports and recreation, camps, early intervention, special education, youth programs and computer technology to help kids become independent adults who are successful and resilient.

This month, we celebrate the loving, permanent families that are created through adoption. As a pediatrician caring for newly adopted children, I've seen the magic of adoption more than 10,000 times.

I, too, am an adoptive parent of two sweet sons from Ethiopia and Vietnam, but adoption is not the solution to the global orphan crisis now. We must be passionate about our efforts to care for the "children left behind." Those of us who advocate for the most vulnerable children in the world cannot wait anymore. The children cannot wait anymore. All children deserve an opportunity to realize their full potential in their country and, indeed, the world.

Orphans graduate high school and college. Orphans are teachers, electricians and plumbers. Orphans are strong and powerful, and they are capable and proud. They are hardy and deserve our respect, our love and our support now. We must act now!

The opinions expressed in this commentary are solely those of Jane Aronson.

@highlight

International adoptions have declined in the U.S. due to new regulations, says Jane Aronson

@highlight

She says the number of orphans vastly outnumbers adoptions

@highlight

Aronson: U.S., international groups must find other answers to orphan crisis

@highlight

She says strategies to keep families together and to help orphaned children are crucial