(Mental Floss) -- 1. Dumb as a limestone brick: Indiana's misguided bid for tourists

The great idea: Turn a small Midwestern town into a tourist mecca for lovers of limestone block.

The great big problem: Limestone block is not as big a draw as you might think.

Cost to taxpayers: $700,000

Despite being the undisputed "Limestone Capital of the World," Bedford, Indiana, always had a hard time figuring out how to parlay its claim to fame into a thriving tourism industry. That is, until Bedford Chamber of Commerce member Merle Edington came up with a brilliant plan.

In the late 1970s, Edington proposed that Bedford build a Disney-style theme park. But, instead of cartoon characters, the park's main attraction would be limestone, featuring a 95-foot-high replica of the Great Pyramid of Cheops built out of (you guessed it) local limestone blocks.

And, on the off chance that a scale model of one world wonder wouldn't be exciting enough, Edington added plans for an 800-foot-long replica of the Great Wall of China.

While the power of limestone over the vacationing public is debatable, Edington convinced the Commerce Department's Economic Development Administration to believe in his dream -- to the tune of $700,000.

Unfortunately, those funds dried up quickly, thanks to Wisconsin senator William Proxmire (famous for his "Golden Fleece Awards" ridiculing government waste), who called attention to the project. The town was left deep in debt, unable to even pay Edington's salary. Today, the abandoned project is little more than a giant rock pile.

2. How to build a canal in four easy centuries: Dividing and conquering in Florida

The great idea: Build a shipping shortcut through the middle of Florida.

The great big problem: The plan would effectively turn half the state into an island. Florida is a peninsula. Get used to it.

Cost to taxpayers: $120 million, in this century anyway.

The Cross-Florida Barge Canal was one of those ideas that refused to go away. First proposed by Spanish settlers in the 1570s, the canal was supposed to cut through the middle of the peninsula to connect the Atlantic Ocean with the Gulf of Mexico, significantly shortening shipping times.

However, after Florida came under U.S. control in the early 19th century, Congress surveyed the land and decided that any canal that would turn a huge chunk of the state into an island just wasn't feasible, and the plan was scrapped.

Fast forward to the Great Depression. Suddenly, any project that would create 6,000 jobs seemed like a pretty good idea. President Franklin D. Roosevelt allocated emergency funds to the canal, and digging commenced in 1935.

A year later, progress stalled due to environmental concerns, then picked back up, then stalled again, and the cycle continued until 1963, when President Kennedy allocated $1 million to the project. Work began after Kennedy's death and continued for seven years, but --yet again --concerns about the canal's environmental impact ground progress to a halt.

Finally, in 1991, the canal (by this time a $120 million partial scar across the middle of the state) was officially pronounced dead. The land was converted into a greenway named after Marjorie Harris Carr, the environmentalist who'd led the charge against the canal in the 1960s.

3. The mess with Texas: Superconducting that's less than super

The great idea: Build a miracle machine that can replicate the Big Bang, help treat life-threatening illnesses, and maybe even unfold the mysteries of the universe.

The great big problem: You get what you pay for -- and miracle machines cost way, way too much.

Cost to taxpayers: Roughly $12 billion -- and the lives of billions of innocent atoms.

Few government projects have ever been announced with the level of fanfare reserved for the 1980s Superconducting Super Collider.

Housed in a 54-mile underground tunnel beneath Waxahachie, Texas, the Super Collider was designed to accelerate beams of subatomic particles to fantastic speeds and then crash the particles into one another, purportedly generating huge amounts of energy. Advocates believed the machine would be able to simulate the conditions present during the Big Bang, thus allowing scientists to gain new insights into the very nature of matter.

But many Super Collider fans made even bolder statements about the machine's capabilities, pointing out that other devices using similar technology had been used to treat cancer and learn more about HIV.

As potential uses for the machine grew, however, so did the cost ballooning from an original estimate of less than $5 billion to just under $12 billion. Finally, in the midst of the 1993 budget-cutting boom, Congress pulled the plug on the project, with less than one-third of the tunnel finished.

For a while, it was used to store Styrofoam cups, but then it was sold off to private businesses for pennies on the dollar. Although scientists (and the citizens of Waxahachie) still mourn the loss of this major research center, there are several other machines in the world that do basically the same thing on a smaller scale. They're called particle accelerators, and the largest one is a mere 5 miles in diameter.

4. Building a better future, one spokesmodel at a time: Vanna White school hits Italy

The great idea: When creating jobs for the unemployed, cater to the pretty people first.

The great big problem: Regional dignity seems to have gone overlooked.

Cost to taxpayers: 1 million euros (about $1.2 million U.S.)

In 2003, the European Union came up with a novel solution for lowering soaring unemployment levels among young people in Italy's Campania region history's first job-creation program catering solely to the physically attractive.

With a grant of 1 million euros, the EU opened First Tel School, a quasi-educational program designed to train students to become TV game show hostesses. The eight-month program, labeled "bimbo school" by critics, offered courses on diction, make-up, and other skills necessary to get a job on one of the country's many popular game and variety shows.

The school's de facto policy of discriminating against all of Campania's less toothsome residents aside, First Tel also failed to admit enough students to offer any kind of relief to the region's unemployed population (which was estimated to be 50 percent of young people). Fewer than 100 spots were made available to the 1,200 Vanna White wannabes who applied.

Worse still, even those who did make the cut received a whopping 2 euros for every class attended, as well as auditions for parts in the shows First Tel produced for Italian television stations. Meanwhile, rejected applicants remained unemployed and got daily, televised reminders of how unappealing they were.

5. Leave it to beavers: Troubles with the Teton Dam

The great idea: Dam the Snake River in Idaho. Sounds easy enough.

The great big problem: Holding back the river's 80 billion gallons of water proved more difficult than engineers thought.

Cost to taxpayers: $100 million in construction fees and another $2 billion in damage.

The planning and design phase of the Teton Dam in southeastern Idaho took nearly three decades; the construction took a little more than four years. The dam's total collapse, however, took exactly one afternoon. Realizing you just wasted some serious tax dollars? Priceless.

Built for just under $100 million between 1972 and 1976, the Teton Dam was supposed to provide irrigation, electricity, and (ironically) flood prevention for the thousands of people living in its 305-foot-tall shadow.

But as the reservoir reached its full capacity on June 3, 1976, several small leaks began to appear in the dam. Crews were sent to patch the holes, but larger cracks followed, letting through water that eventually engulfed bulldozers and sent workmen fleeing in terror.

Then, on June 5, the dam suddenly collapsed, sending more than 80 billion gallons of water rushing out of the reservoir and into the valley below. By the time the water stabilized more than five hours later, 11 people had died and hundreds of thousands of acres of land had been flooded.

Despite the estimated $2 billion in damages, officials seriously considered constructing a new dam for several years afterward. Eventually the idea was abandoned, but more recently, the flood site has gotten some good use as the route of the Teton Dam Marathon. E-mail to a friend

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Millions of dollars spent on useless, failed or cancelled projects

@highlight

Building Teton dam took four years; collapse took one afternoon

@highlight

$12 billion superconductor in Texas was never finished