Tripoli, Libya (CNN) -- International efforts to persuade Libyan leader Moammar Gadhafi to step down ratcheted up Tuesday, as world leaders moved against him on financial and political fronts, strengthened their rhetoric and moved military might into the region.

"We have joined the Libyan people in demanding that Gadhafi must go -- now, without further violence or delay -- and we are working to translate the world's outrage into action and results," Secretary of State Hillary Clinton told the House Foreign Affairs Committee.

The Obama administration is considering whether it should cut diplomatic ties with Libya, a senior U.S. official told CNN. "Whether to maintain relations or sever them is under review," the official said.

U.S. officials have said all options are being considered with respect to Libya. Underscoring that point, the amphibious assault ship USS Kearsarge and the amphibious transport dock USS Ponce were to be repositioned in the Mediterranean to "provide us a capability for both emergency evacuations and also for humanitarian relief," Defense Secretary Robert Gates told reporters. But, he noted, the U.N. Security Council has not authorized the use of armed force.

The U.N. General Assembly adopted by consensus a resolution to suspend Libya from its seat on the 47-member chamber Human Rights Council. It was the first time the assembly had suspended a member of the council.

"This is a harsh rebuke -- but one that Libya's leaders have brought down upon themselves," said Ambassador Susan E. Rice, U.S. permanent representative to the United Nations, in a statement.

U.N. Secretary-General Ban Ki-moon told the General Assembly that he welcomed the decision and urged the international community to investigate allegations of human rights violations in Libya. "The world has spoken with one voice," he said. "We demand an immediate end to the violence toward civilians and full respect for their fundamental human rights, including those of peaceful assembly and free speech."

He added that reports from the ground "are sobering," with continuing loss of life and ongoing repression.

"Arms depots and arsenals have reportedly been opened to gangs who terrorize communities," he said. "There are reports that government forces have fired indiscriminately on peaceful protesters and bombed the military bases in the east of the country."

"The death toll from nearly two weeks of violence is unknown, but likely to exceed 1,000," with thousands more wounded, Ban said, using the same fatality figure he had used Friday.

Libya's ambassador to the United States estimated Monday that the death toll was about 2,000.

But Gates stressed the number of casualties is uncertain. "I think the honest answer is that we don't know," he told reporters.

The government of Canada has frozen $2.3 billion in assets tied to the Libyan government; the assets were frozen after Canada enacted sanctions over the weekend, Canadian Foreign Affairs spokeswoman Lynn Meahan said Tuesday. A number of other countries, including the United States, have ordered an asset freeze.

Though some witnesses have accused pro-Gadhafi forces of firing on civilians from the air, Gates and Michael Mullen, chairman of the Joint Chiefs of Staff, said they could not confirm the reports.

Clinton said imposition of a no-fly zone is under consideration, but Mullen said doing so would be "an extraordinarily complex operation."

A top U.S. general said Tuesday that any effort to establish a no-fly zone over the country would include eliminating Libya's air defenses. It would be "challenging," U.S. Central Command leader Gen. James Mattis told the Senate Armed Services committee.

In western Libya, Ban said, there were reports of ongoing clashes between government forces and armed opponents.

He noted "allegations of extrajudicial killings, arbitrary arrests, detentions and torture."

Though more members of the military have reportedly sided with the opposition, Gadhafi's supporters "appear to be holding a tight grip on western parts of the country, chiefly Tripoli," he said.

He warned of "serious indications" that the numbers of refugees and displaced persons were reaching crisis proportions and worried that the violence could disrupt distribution networks and lead to food shortages.

The U.N. refugee agency reported that nearly 150,000 people had crossed Libya's borders into Egypt and Tunisia and thousands more were arriving hourly at the borders.

Ban called for immediate action by the international community. "Time is of the essence," he said. "Thousands of lives are at stake."

Indeed, at the border with Tunisia, many recent arrivals said they had been robbed or forced to pay bribes en route. Some said they had been threatened with death.

One man said Libyan soldiers used electric cables to beat him as he waited at the airport and demanded $500 from him. When he told them he didn't have it, they said, "Die then" and threw him into the street.

Tunisian authorities appeared to be struggling to cope with the arriving wave of refugees. Volunteers hurled fresh bread and water into the crowds.

"There is nothing for them on that side," a policeman turned volunteer said from the Tunisian side of the border.

He was one of many Tunisians donating their time to take food, water and supplies to the border. Many said they were livid that international organizations were slow in arriving.

Meanwhile, more parts of the regime have broken off, joining calls for Gadhafi to halt the violence. In London, the Libyan Embassy said it was siding with the opposition, condemning what it called "all acts of murder and terror" taking place in Libya.

The military situation on the ground was complex: Forces loyal to Gadhafi tried to retake a town near the capital that is under opposition control but were repelled, an opposition leader in the town told CNN Tuesday.

The source said pro-Gadhafi troops with tanks and anti-aircraft guns attacked Zawiya from east and west at nightfall Monday, but did not capture the town.

A senior official in Gadhafi's regime denied that government forces attacked rebels in Zawiya.

Senior members of the government told CNN that Zawiya and Misrata are key to their effort to regain control of the country. The officials insisted they want a peaceful resolution, but witnesses have described repeated violent efforts by the regime to regain control of areas Gadhafi has lost.

Zawiya was calm Tuesday, but Gadhafi's troops remained nearby, the opposition leader and another source in the town said. CNN is not naming them to protect their safety.

Misrata was protected by its residents and military defectors and the situation there on Tuesday was stable, said Abd al Baset Imzeereq, who identified himself as the spokesman for the newly formed city council.

Pro-Gadhafi forces are stationed in the Navy college about 15 kilometers (nine miles) outside the city and have not attempted to move into the city center since its fall, he said.

The forces appear to be stationed there not to try to retake the city, but to protect the ammunition depot in the college and "to terrorize the people" by opening fire on them.

At least two farmers were killed Monday when these forces shot at their vehicle, Imzeereq said.

Still, some semblance of normalcy was visible Tuesday, when some banks had reopened in Misrata and people were able to withdraw money or get loans, he said.

Food supplies were ample, he said, but medical goods were scarce.

Imzeereq said at least 33 have been killed and another 487 wounded in Misrata since the unrest began.

The capital city of Tripoli was quiet Tuesday as more people here also tried to resume normal life. Prices of basic goods have increased; a Tripoli resident said she could not get paid due to unspecified problems in her bank. Some residents told CNN they want to protest but fear being killed.

Saif al-Islam Gadhafi, the leader's 38-year-old son who has spoken on behalf of the regime during the protests, told CNN his talks with the opposition are in "chaos" because the opposition is divided, with no clear leaders.

Many Libyans have rejected the younger Gadhafi's remarks during the uprising.

But U.S. officials made similar comments about the rebel forces. A U.S. official who wished to remain nameless because the official was not authorized to speak on the record said it's "unclear who the leaders in the opposition are and that makes it difficult" for the U.S. to provide assistance.

"The intelligence community is aggressively pursing information on the ground," said the official, who added that the CIA has had a presence in the country for some time.

"I think it remains to be seen how effectively military leaders who have defected from Gadhafi's forces can organize the opposition in the country," said Gates. "We are watching that unfold."

Over the past two weeks, government forces have repeatedly clashed with demonstrators and rebel forces, fired on crowds and at times shot indiscriminately at people in the streets, numerous witnesses have told CNN.

The elder Gadhafi made no public appearances Tuesday, but he appeared out of touch on Monday, denying having used force against his people and even denying the existence of the protests.

"No demonstration at all in the streets," the 68-year-old ruler told ABC and the BBC in a joint interview in Tripoli.

"They love me, all my people with me, they love me all. They will die to protect me, my people," said Gadhafi, who has controlled Libya for nearly 42 years.

But Libya's Deputy U.N. Ambassador Ibrahim Dabbashi disagreed. "I don't believe that even his family loves him at this moment," said Dabbashi, who has joined the rebel movement in calling for Gadhafi to step down. "I think no one loves him at all. I think the whole Libyan people hate him now. With all the bloodshed, all the killing ... he's certainly out of his mind."

CNN's Arwa Damon, Nic Robertson, Ivan Watson, Anderson Cooper, Ben Wedeman, Eve Bower, Salma Abdelaziz, Jim Boulden, Frederik Pleitgen, Richard Roth, Jack Maddox, Whitney Hurst and Antonia Mortensen contributed to this report

@highlight

Libya's Deputy U.N. Ambassador Dabbashi on Gadhafi: "No one loves him"

@highlight

It's not clear who the opposition leaders are

@highlight

Situation in Misrata stable

@highlight

U.S. weighing whether to cut diplomatic ties with Libya