Donetsk, Ukraine (CNN) -- A battle between pro-Russia separatists and government forces at Donetsk airport in eastern Ukraine has claimed 40 lives, authorities said Tuesday, in what is the deadliest outbreak of violence yet in the flashpoint city.

An additional 31 people have been injured, including four civilians, according to the website of the Donetsk mayor, Alexander Lukyanchenko. Two of the fatalities are civilians.

The conflict at Donetsk International Airport broke out only hours after newly elected Ukrainian President Petro Poroshenko said he'd potentially like to negotiate a way out of the crisis.

After Ukrainian forces moved in against the militants Monday, the deadly assault continued overnight.

The airport remained closed Tuesday despite an easing in the gunfire, as conflicting accounts emerged of how many had lost their lives.

The Donetsk mayor's website didn't specify how many of the 40 killed in the airport standoff were separatists.

But a spokeswoman for the separatist self-declared "Donetsk People's Republic" (DNR) told CNN that 35 separatists had been killed and about 60 injured in Monday's fighting.

Although the separatists earlier claimed they controlled the airport, it became clear as Tuesday wore on that the Ukrainian military had taken charge.

The official website of Ukrainian Interior Minister Arsen Avakov said late Tuesday the "Airport in Donetsk is fully under our control."

The occasional exchange of gunfire and blasts could be heard from the airport but it was not clear if the shots were fired by military as they maintained a perimeter or whether separatist forces were still present within its territory.

Two blown-out trucks nearby appeared to have been hit by heavy weapons. Human remains were still visible, suggesting this may have been the cause of some of the casualties Monday.

The separatist movement in Donetsk believed it was offered a three-hour 'truce' Tuesday to leave the city of Donetsk, according to a spokeswoman for the DNR who asked not to be identified to avoid possible arrest. The truce was offered between 1 and 4 p.m. local time (6 a.m. and 9 a.m. ET), she said.

The DPR learned of this truce online, the spokeswoman told CNN, adding that Ukrainian armed forces were threatening to bomb separatist strongholds in the city if they failed to leave.

The Ukrainian government denied offering rebels any such truce. The Ukraine Government's Anti-Terror Operation (ATO) told CNN there is a longstanding offer of amnesty to any separatist who turns himself in and gives up his weapons, unless he (or she) is guilty of murder.

Morgue piled with bodies

A CNN team at a morgue in Donetsk saw a large pile of separatist militant bodies, many of which had been torn apart by shrapnel and explosions.

Doctors there said 31 bodies had been brought in with different types of injuries, from bullet wounds to those caused by heavy weapons and explosions. The remains included the body of a woman civilian.

Doctors also said some locals had arrived during the morning to identify and collect their relatives from among the dead.

The airport clashes marked the worst violence that this key population center in eastern Ukraine has seen since the start of the crisis. A statement posted on the mayor's website Monday advised residents to stay in their homes as sounds of gunfire and explosions cracked through the air.

Elsewhere in the Donetsk region, the Organization for Security and Cooperation in Europe said it has had no contact with one of its Donetsk-based teams since around 6 p.m. (11 a.m. ET) Monday .

The team of four -- of Swiss, Turkish, Estonian and Danish nationality -- was on a routine patrol east of Donetsk when it was last heard from. The OSCE says it is using contacts on the ground to try to determine where the monitors are.

The last time an OSCE team went missing in Donetsk, its members turned up in the hands of militant separatists in the flashpoint town of Slovyansk. They were freed just over a week later.

In another development, NATO has observed Russian troop movement near the Russia-Ukraine border recently, a NATO officer told CNN. Speaking on condition of anonymity, the officer said this included signs of Russian equipment and supplies being packed or prepared for movement, and that the activity could signal a slow or staged withdrawal of forces.

Turning point?

The Ukrainian security forces' muscular airport assault may signal a shift in approach as the new president takes charge in Kiev.

A senior Ukrainian official told CNN's Jim Sciutto in Kiev that it is "now or never" in the fight against militants in the East.

"We have been patient for far too long," he said, indicating that with the election over, the new government believes it has a mandate to put the insurgency to rest.

U.S. Ambassador to Ukraine Geoff Pyatt told CNN that the crisis is now entering its "most kinetic phase."

At the same time, Russian President Vladimir Putin on Tuesday urged an immediate halt to the operation against separatist militants in Ukraine's south and east, the Kremlin said.

Putin also spoke by phone with Italy's Prime Minister Matteo Renzi of the need for the leadership in Kiev to start a peaceful dialogue with representatives of Ukraine's regions, it said.

Kiev and the West have accused Moscow of backing Ukraine's separatists. But Russia has denied having direct influence over the pro-Russia militants and says the unrest is due to the actions of far-right ultranationalists.

At a news conference Monday in Kiev, Poroshenko, the newly elected president, said that Russia needed to participate in bringing peace to eastern Ukraine.

He also reiterated that European integration would be his priority.

In addition to the unrest roiling the east, Poroshenko, a candy tycoon known as the "Chocolate King," faces the challenge posed by Ukraine's ailing economy and a looming crisis over Russia's supply of natural gas to Ukraine.

Russia's energy giant Gazprom says Ukraine owes it $3.5 billion for gas already supplied and has threatened to turn off the taps if no payment is made. But Ukraine's interim government has said that the price must be renegotiated after Russia hiked it up this spring.

Prime Minister Arensiy Yatsenyuk said on his website Tuesday that Ukraine would take the issue to an international court if Russia's Gazprom and his own country's Naftogaz do not sign an agreement by May 29.

Anti-aircraft weapons

Government air and ground forces attacked the pro-Russia militants after they seized a terminal at the airport early Monday.

The troops moved in after the separatists ignored a government ultimatum to vacate the premises, said the country's anti-terror office spokesman, Vladislav Seleznev.

After a Ukrainian military plane "made a preliminary shot," paratroopers landed and began clearing the airport, Ukrinform reported. In the fighting, a separatist anti-aircraft gun was destroyed, the news agency said.

Although the gunfire had largely halted by Tuesday morning, the airport is not expected to reopen for the moment.

The preliminary evaluation is that the airport suffered minor damage in the fighting, Seleznev said.

Experts are working to establish whether all the navigation and other systems are working, he said. In any case, it is not judged safe for airplanes to fly because the separatists have weapons capable of shooting at aircraft and seem willing to use them.

Seleznev also warned in a Facebook post Tuesday that if the rebels do not surrender, "terrorist" targets in Donetsk will be hit by "special high-precision weapons."

Government officials had been optimistic that flights would resume by 9 a.m. (2 a.m. ET) Tuesday, but given the situation, it remains unclear when the airport will reopen.

Ukraine's acting Interior Minister Arsen Avakov posted on his Facebook page Tuesday that an airstrike had destroyed a training camp in Yasenakh, in the Luhansk region.

Separatist unrest over recent weeks has centered in the country's Donetsk and Luhansk regions.

Internal reconciliation

U.S. President Barack Obama congratulated Ukrainians for casting their ballots Sunday and criticized Russia-backed separatists, whom he accused of trying to block voting.

German Chancellor Angela Merkel, in a phone call with Poroshenko, hailed the vote as "a clear commitment of the Ukrainian people to unity and democracy as well as a peaceful solution to the current conflict," Merkel's spokesman said in a statement.

She said Germany would continue to support Ukraine on its democratic path, the spokesman said, adding that the two leaders agreed on the need to pursue internal reconciliation through national dialogue and constitutional reform.

At a news conference Monday, OSCE Parliamentary President Joao Soares said the presidential election was fair and represented the will of the Ukrainian people, despite major problems in Donetsk and Luhansk.

Leading in Ukraine election, billionaire Petro Poroshenko declares victory

Opinion: Will Ukraine's 'Candy Man' deliver the goods?

Swedish FM: Russia must respect Ukrainian choice

CNN's Nick Paton Walsh reported from Donetsk and Laura Smith-Spark wrote from London. Journalist Victoria Butenko contributed from Kiev and CNN's Andrew Carey from Donetsk. CNN's Stephanie Halasz and Phil Black also contributed.

@highlight

OSCE loses touch with team of four international monitors in Donetsk

@highlight

Donetsk morgue contains bodies torn apart by bullets, shrapnel, explosions

@highlight

40 people killed, two of them civilians, in airport gun battle, Donetsk mayor's website says

@highlight

35 militants killed and about 60 injured in Monday's fighting, separatists say