(CNN) -- A powerful snowstorm barreled east through the Midwest on Sunday, bringing with it more precipitation and gusty winds and leaving behind a trail of significant damage, large snow drifts and subarctic temperatures, according to the National Weather Service.

Winter storm warnings and advisories Sunday extended as far west as Illinois, as far east as Pennsylvania, and as far south as northern Alabama and Georgia.

Meanwhile, residents of the upper Midwest who braved at-times blizzard conditions on Saturday faced the prospect Sunday night of wind chills dipping, in spots, as low as 30 degrees below zero. This comes after up to 23 inches of snow fell in parts of Minnesota and as many as 18.5 inches in Wisconsin since Friday.

"We could see wind chills (that are) obviously extremely dangerous for people, to have that kind of exposure for any length of time," said Tod Pritchard, a spokesman for the Wisconsin Emergency Management agency.

See road conditions in severely affected states: Illinois, Nebraska, Wisconsin, Iowa, Minnesota, South Dakota

After prompting the closure of highways in Iowa, South Dakota, Minnesota and elsewhere a day earlier, the storm wreaked havoc with air travel Sunday.

About 1,375 flights in and out of Chicago's O'Hare airport had been canceled as of 4:45 p.m. (5:45 p.m. ET), the city's aviation department reported, with delays for travelers heading to and from the Windy City averaging around just over 6 hours. Another 300 flights had been canceled at nearby Midway airport.

"The main problem ... right now is the winds," said Chicago Department of Aviation spokeswoman Karen Pride. "The winds are very high and gusting very strongly, and we do have lake-effect snow as well."

The headaches, though, went far beyond Chicago. On Sunday evening, Atlanta's Hartsfield-Jackson and Newark, New Jersey's Liberty airports reported delays of roughly two-and-a-half hours, slightly longer than that experienced at Boston's Logan airport, according to the Federal Aviation Administration. Those were just a few of the many airports, and many more flights, affected as high winds, low visibility and heavy snow crippled traffic for a second straight day.

Delta Air Lines spokeswoman Leslie Parker said as of 5 p.m., the airline had canceled 748 flights nationwide. American Airlines had called off 272 departures from O'Hare, out of more than 400 nationwide, said spokeswoman Mary Frances Fagas.

iReport: Treacherous conditions in Minnesota

United had canceled about 350 departures, mostly from Chicago, an airline spokeswoman said, while partner Continental nixed 125 such flights from Chicago, Cleveland, Ohio, and Newark, New Jersey. JetBlue canceled 128 flights due to the storm, said spokesman Mateo Lleras.

The pounding snow caused the roof of the 64,000-seat Metrodome in Minneapolis to "deflate" Sunday morning, Minnesota State Patrol spokesman Lt. Eric Roeske said. Workers wielding shovels could be seen clearing the roof of the heavy white stuff, while photos from inside the darkened stadium showed much of the field covered with snow that fell from a gaping hole in the dome.

"Obviously the weight of the snow would affect how much air pressure is necessary to keep that roof up," Roeske said. "Something caused that air pressure not to be strong enough or high enough to keep that roof at its normal position."

Roy Terwilliger, chairman of the Minneapolis Metro Sports Commission -- the group that oversees the Metrodome -- said the heavy snow and cold, high winds "was too much pressure on the dome and several panels on the Teflon roof were caused to rip."

Sunday's game between the hometown Minneapolis Vikings and New York Giants has been pushed to Monday at 7:20 p.m. ET and moved 540 miles southeast to Ford Field in Detroit, Michigan, the NFL said in a statement Sunday. All those with tickets to the originally scheduled game would get preferred seating near the 50-yard line and free tickets would be distributed, the league said.

Even with the snow and winds subsiding, road travel remained perilous in much of Minnesota. St. Paul, for one, declared a second snow emergency through early Monday to expedite plowing of city streets.

"The big problem is ice under the snow, making it really slick and really hazardous," said St. Clair resident Alan Scott.

In Wisconsin, Gov. Jim Doyle declared a state of emergency for 72 counties to facilitate the movement of emergency resources and personnel who were activated Saturday, he said in a statement. We Energies reported 10,000 power outages across the state Sunday, said Barry McNulty, a spokesman for the company.

In Iowa, snow had subsided in some areas but emergency workers were coping with more than 1,000 power outages, a state emergency spokesman said.

Greyhound bus service along the Omaha-Des Moines route was expected to resume later Sunday. Some bus travelers at the Des Moines bus station had been stuck there since Saturday night. Greyhound spokeswoman Maureen Richmond said pizza was brought in for those passengers due to the inconvenience.

Patti Thompson, a spokeswoman for the emergency services in Illinois, said Sunday that northern counties were getting the worst of the weather Sunday afternoon and that Department of Transportation teams were working to clear roads. No power outages have been reported, she said.

While many states saw snow Sunday, the expected accumulation of a few inches in most locales paled compared to what hit Wisconsin and Minnesota and Wisconsin, according to National Weather Service forecasters.

The reach of the storm system continues to expand. Hard freeze warnings, for instance, extended as far south as Florida, with the weather service forecasting 13-degree wind chills on Monday night in Tallahassee.

Still, not everyone in the United States was shivering. Parts of southern California were experiencing record-warm temperatures with high temperatures Sunday above 80 degrees.

CNN's T.J. Holmes, Helena DeMoura and Adam Shivers contributed to this report.

@highlight

NEW: Airlines cancel hundreds of flights due to high winds, snow and low visibility

@highlight

The NFL has moved the Giants-Vikings game to Detroit after the Metrodome's collapse

@highlight

Wind chills in some places on Sunday night could be 30 degrees below zero

@highlight

Unseasonably cold conditions have prompted warnings as far south as Florida