Four months after his birth in Hamilton, Ontario, Devin Scullion was diagnosed with one of the rarest diseases known to humans.

He was born two months premature, and his mother, Jamie Madley, said she knew right away something was wrong.

"He was big for a preemie," Madley said.  "His joints were tight, his movements were robotic, his skin was thin -- you could see his veins everywhere.  I just didn't know what it was."

Devin's doctors were also baffled, she said, surmising he might have a dermatological problem or a lack of calcium.

But Devin had a genetic condition called Hutchinson-Gilford progeria syndrome, also known as progeria, which causes premature, accelerated aging.  Children with the disease have a genetic mutation that causes them to produce the protein progerin, which blocks normal cell function.

Progeria affects approximately one in every 4 million to 8 million infants. There are only about 200 children living with the disease worldwide. There is only one other child in Canada with the disease, according to Madley.

As they age rapidly, these children suffer from a loss of body fat and hair and an inability to gain weight.

They are prone to developing osteoporosis, a disease where bones become weak and are more likely to break.

According to the National Osteoporosis Foundation, most girls develop about 90% of their bone mass by age 18 and boys by age 20.

Building strong bones during childhood helps prevent osteoporosis in adulthood.  This is why children with progeria have such issues with bone density and rigidity.

Heart disease due to atherosclerosis, also known as hardening of the arteries, is a critical problem for children with progeria. These children can have heart attacks or strokes as early as age 5. Most die of heart disease by  age  13.

However, encouraging results from the first clinical drug trial for children with progeria has researchers hopeful that the first treatment for the disease could be on the horizon.

When Devin was diagnosed, the cause of progeria was unknown and the prognosis was bleak.

"There wasn't much information. It was pretty much, 'There's nothing we can do for your son, take him home and enjoy him while he's there,'" Madley said.

"There was pretty much no hope. There really wasn't any kind of medication. I did what I could -- I put him on a diabetic diet, had him on vitamins."

Doctors told her the life span for a child with progeria was about 13 years, but Devin would likely live about 7 years.

That was 16 years ago. There have been ups and downs. When Devin was 6, he suffered two strokes just three weeks apart. He fought through paralysis and hip dysplasia, and had to learn how to walk again.

But much has happened in the past 16 years. In 2003, Dr. Francis Collins and his team of researchers at the National Human Genome Research Institute at the National Institutes of Health discovered the gene that causes this fatal disease.

Now, results from the first clinical drug trial are offering hope for researchers, children with progeria and their parents.

The drug, called Lonafarnib, was originally developed by Merck & Co. to treat numerous adult cancers and pediatric brain cancer.  For the past 2½ years, 26 children with progeria from 16 countries took Lonafarnib orally twice a day. Devin Scullion is one of those children.

Researchers say every child in the study either gained weight or showed improvements in bone structure or arterial stiffness. Side effects from the drug were manageable: upset stomach, weight loss and diarrhea. No one dropped out of the study as a result.

The results, published Monday in the Proceedings of the National Academy of Sciences, are called exciting by researchers.

"It's huge," said Dr. Leslie Gordon, lead author of the study and medical director of the Progeria Research Foundation. "Progeria has always been a 100% fatal pediatric disease for which there was not treatment.

"Now, we not only have our first treatment, but we know for the first time that some aspects of the disease can be improved, and this inspires us to work harder and faster toward additional treatments for progeria that could hopefully work in conjunction with Lonafarnib to make a difference in the health of children with progeria."

Gordon is also a scientist on staff at Boston Children's Hospital where the trial was conducted.  Her 15-year-old son, Sam Berns, has Progeria. Gordon said the results give her hope that a cure is possible.

"I think that we have just sort of just broken open the first of many possibilities here for the children," Gordon said. "It is possible that some systems affected in Progeria may be resistant to treatment. But if a cure means getting rid of progerin and really affecting the cardiovascular system in a big way so that these children live longer lives, then trials gives us a lot of hope. I think we can do this for the children and I think it's what the children deserve."

Dr. Mark Kieran, director of pediatric medical neuro-oncology at Boston Children's Hospital and Dana Farber Cancer Insititute, is the principal investigator of the study.

iReport: The girl who looks old

In general, the weight gain seen among patients was small, but still measurable, he said. The real surprise was the reduction in stiffness and thickness of major arteries, which decreased 35%, according to the study.

"The fundamental question is whether this treatment is actually going to extend the life span of these kids," Kieran said.  "This is a hard question to answer, because you will have to treat them for years and years before you would know that.

"The fact that you can see a number of things getting better, particularly some of the cardiovascular parameters, is pretty exciting and gives both us and the families hope that we're on the right track."

So far, that track has led to another trial.  Researchers are two years into a second study involving 45 children from around the globe, including 20 of the original participants, Kieran said.

Scientists have added two more drugs that attack the abnormal protein in a different way.   Researchers have also identified another 35 children with progeria, making a total of 80, and there are plans for a third trial that will include these children and a fourth drug.

"It's incredibly fast when you think that the mutation causing this disease was discovered less than 10 years ago," Kieran said.

iReport: Girl with progeria graduates from elementary school

But even that optimism is tempered. More research is needed, Gordon said.

"We will not know whether heart attacks, strokes or longevity are influenced by this very short study," she said. "We may need another 10 years to determine if heart attacks, strokes and length of life are influenced by Lonafarnib.

"The key thing is that, for the first time, we've shown that some aspect of the cardiovascular disease can be improved in Progeria, and we never knew that before.  Whether this will translate into fewer heart attacks, strokes or greater longevity we won't know for a very long time."

Dr. Francis Collins, whose discovery of the gene led to the current advances, agreed.

"It's an encouraging development," he said. "Ten years ago, we had no idea what caused this disease ... in a rather dramatically accelerated period of time, we have evidence of a treatment that seems to provide benefit.

"But let me be clear, this is not a cure," he said. "These children are not suddenly going to have a life like any other kids. We still have a lot to do before we will know if we are really prolonging life and reducing serious medical problems."

Still, Collins said, what has happened so far is pretty remarkable.

"Oftentimes this kind of progress takes two decades or more. It's almost unprecedented that researchers went from discovery of the cause to starting a clinical trial just four years later. One of the lessons is the value of looking for new uses of drugs that have already been developed for some other disease and are already known to be safe in humans.

To inspire similar success stories, he said, the National Institutes of Health and the drug industry have recently partnered to "crowd source" the potential to repurpose drugs, "effectively teaching old drugs new tricks."

According to Collins, the need is great. There are 4,700 diseases where molecular causes have been discovered, mostly within the past 10 years, he said. But only about 250 of them are treatable.

Clue to kids' early aging disease found

"This encouraging example from progeria, one of the rarest of all human diseases, should give a shot in the arm to make this therapeutic story happen again and again," he said.

Madley feels the clinical trial gave Devin a "shot in the arm."  He's participating in the second study and while she doesn't have his individual trial results yet, she knows the drug has helped him.

"He's doing great, much better than before the trial," she said. "His energy level is higher, it's easier to get him up, his eating habits changed, he eats a lot more. They don't need to tell me that his cardiovascular has improved, I know it.  He's more active, moving better -- he still uses his walker, but not as often."

He also has gained weight.  The 4-foot-tall high school junior weighed 23 pounds when he started the trial. Now, he's up to 31 pounds.

"It's huge. It's a miracle," Madley said. "I feel I'm going to have him longer, I really, really do.  I feel I may see him become a man.  That would be more than words could describe.  I never thought I would live to see this. ... He's already talking about going to college, getting out in the world and getting a job."

Devin has new hope, she said. "He's got dreams.  He wants to be a pilot.  He wants to fly planes.  His saying is, 'Dream big or go home.'"

@highlight

Devin Scullion has outlived doctors' expectations

@highlight

He has a rare disease called progeria that causes him to age prematurely

@highlight

A clinical trial of a new drug has researchers optimistic

@highlight

Devin's mother hopes she is able to see her son reach adulthood