(CNN) -- As what might be the final battle rages in Libya, another is looming: the political battle to create a functioning democracy.

As Libyan rebels try to consolidate their military gains in Tripoli, the National Transitional Council in Benghazi is trying to activate plans for a political transition.

What role the United States will play in Libya's future isn't yet clear, but most believe it will be a major partner in an international effort.

Getting an interim government in place in Libya as soon as possible is critical, the U.S. State Department says. That government would lead the process of writing a constitution and getting to elections, the building blocks of democracy.

But international assistance will be necessary to put the other blocks in place.

The priority is security, "because we don't need any more civilian lives lost in Libya," said State Department spokeswoman Victoria Nuland.

U.S. officials said they're encouraged by reports the rebels have set up checkpoints around public buildings to promote public safety.

"Tripoli does not look like Baghdad looked after the fall of Saddam Hussein," with widespread looting, said Jeffrey Feltman, assistant secretary of state for Near Eastern affairs.

Confusion over the reported capture of one of Moammar Gadahfi's sons by the opposition raised questions about whether the Libyan people and the international community can trust the council with Libya's future should Gadhafi fall.

Observers say the reported arrest -- and prompt reappearance -- of Saif al-Islam are at the least an embarrassing distraction for the rebels as they seek to take control of the Libyan capital, Tripoli.

Mahmoud Shammam, minister of information for the NTC, acknowledged the situation over the reported capture was confusing. "We admit our communication was not clear," he said, saying it had been representatives in Benghazi who stated Saif al-Islam was under arrest, rather than the prime minister.

Susan Rice, the U.S. ambassador to the United Nations, said Tuesday that the rebels had the confidence of the American government despite the conflicting information over Monday's arrests.

"We have definitely found them to be credible and reliable interlocutors," she said.

Professor Daniel Serwer of Johns Hopkins University has met with the NTC and said the opposition seems acutely aware of the need to establish the rule of law.

"From what we know, they want a democratic Libya, an Islamic state but a state that is clearly a multiparty state, that is clearly a liberal state. It would not be unique perhaps in the world, but it is certainly an experiment for Libya, which has not had a state at all."

The rebels who NATO assisted in routing Gadhafi forces are not professional soldiers and would need help in securing the huge stockpiles of Gadhafi's weapons and ammunition, including weapons of mass destruction like mustard gas.

There also are reports of Gadhafi loyalists shedding their uniforms and melting into the crowds to fight another day. They will have to be tracked down.

"All along we've been talking about the inevitability of some foreign boots on the ground. That will take place, whether the fighting assumes what we would call street-to-street, block-to-block type of engagements that are characterizations of urban warfare or, more importantly, during these periods of transition," said retired U.S. Army Brig. Gen. James "Spider" Marks.

"There will be a transition and it's coming up shortly. You've got to be able to lock down Gadhafi's military forces so they don't grow legs and go elsewhere and that takes some degree of a force on the ground."

While the United States has contributed substantial assets and intelligence to NATO-led efforts to oust Gadhafi, President Obama declared that no U.S. ground troops would be used in that effort nor in the aftermath.

Referring to the rebels, a White House official said on Tuesday, "They haven't asked" for U.S. boots on the ground and "they don't want" U.S. boots on the ground.

The official suggested any support of that nature would have to come from international partners.

The NTC's stabilization team said it is considering asking several Arab states -- including Qatar, the United Arab Emirates and Jordan -- for a force of several hundred troops to help protect important installations in Tripoli. Gadhafi's stockpiles of mustard gas and possibly other chemical weapons and surface to air missiles constitute a threat that would go beyond Libya's borders.

"Well, I'm worried about it as are many others," said Nicholas Burns, a former U.S. undersecretary of state and ambassador to NATO, "...because if they were to get out and proliferate, it could do untold damage on the United States."

Robert Kagan, a senior fellow at the Brookings Institution, said while he had faith in the good intentions of the rebels, "I don't know what their capacities are to find this stuff and to secure it. And we are going to start having to talk about some of the issues that are a little bit more difficult like what kind of international role is going to have to be played in Libya once Gadhafi has fallen ... we're going to be facing questions pretty early on about whether there has to be something more, including perhaps some international forces that can go in and secure weaponry if the rebels are unable to do so."

Marks said he still has concerns about Libya's one-time nuclear weapons program; even though Gadhafi gave up the program, the intelligence behind it is still dangerous.

"The smart technical brains I would imagine are still in place, and what side are they on? Where do their loyalties lie?"

The NTC has already agreed to a timetable for a new government. The next step would be an "interim authority," broadening the TNC from 33 members to 60 to include newly liberated parts of the country.

A 15-person panel will draft a constitution over 45 days. The constitution would then be voted on in a national referendum and legislative elections would be held four months later. A presidential election would be held two months after that.

NTC officials estimate the process will take 10 to 15 months.

"(It would) become an interim government that would represent a broad cross-section of Libyans from different walks of life, different parts of the country, different political backgrounds," Nuland said.

But tribal loyalties, control over oil revenues and disputes over Libyan government assets -- including $30 billion frozen by the United States -- could cause rifts in the opposition.

Then things could turn ugly.

I think we're going to have to expect to see a slow transition, perhaps a chaotic transition, perhaps, even, unfortunately a violent transition that wouldn't be surprising at all given the degree of disinfection and disunity that this country has suffered for so long." Burns said.

The U.S. is working with the United Nations to release $1 billion to $1.5 billion in frozen assets, Nuland said Tuesday, and give the money to the NTC for humanitarian purposes and to "help it establish a secure, stable government."

Burns said the same international effort that carried out the military effort should now carry out the economic one.

"The Obama administration made a big point of saying the Europeans and the Arabs should be leading. And I think now that needs to extend to the aftermath of the fighting," he said.

"If there is going be a major international economic effort to help stabilize Libya, to rebuild the shattered cities, of course the United States should participate, but the Europeans should lead and do more because France and Italy and Spain have greater historical social economic interests than we do, and certainly the Arab countries should do more to help the Libyans.

"President Obama was criticized, as you remember, by some of his critics for having been too solicitous of the allies, for not having had the United States in front. It turns out to have been a very wise policy. It does spread the burden and the burden should still rest on the issue of weapons and other -- and on economic aid, I think, with the European allies and with the Arab neighbors."

William Cohen, a former secretary of defense and U.S. senator, called the international effort against Libya "an important geopolitical statement."

"Other countries have to step up and carry some of the burden. It can't be the United States leading every effort and you have other countries, whether it's the British or the French or the Italians or others who have strong ties, historically, to Libya, they have to play a bigger role," Cohen said. "The United States can bring its power to bear in the form of intelligence, surveillance, direct munitions or precision guiding munitions. We can do all of that, but it's time for others to step up and bear some of the load that we've been carrying for many, many years now."

CNN's Jill Dougherty, John Helton, Chris Lawrence, Tim Lister, Dan Lothian and Laura Smith-Spark contributed to this report.

@highlight

Next battle ahead for Libyans is forming government and securing the country

@highlight

Confusion over reported capture of Gadhafi son calls opposition's credibility into question

@highlight

First mission for National Transitional Council will be to provide security

@highlight

International community wants Gadhafi's stockpile of weapons secured