(CNN)Marvin Gaye's children have penned an open letter in the hope of "set[ting] the record straight on a few misconceptions" in the media's coverage of their successful lawsuit against the writers of Robin Thicke's 2013 hit "Blurred Lines."

Nona Gaye, Frankie Gaye and Marvin Gaye III's joint letter mainly dives into the background and legacy of Marvin Gaye's "Got to Give It Up," the 1977 single the court found to have been copied by Thicke and co-writer Pharrell Williams.

Read more: Kendrick Lamar's 'To Pimp a Butterfly': A track-by-track guide

In the letter, the siblings imagine how their father would have handled the situation. "If he were alive today, we feel he would embrace the technology available to artists and the diverse music choices and spaces accessible to fans who can stream a song at a moment's notice," the siblings wrote. "But we also know he would be vigilant about safeguarding the artist's rights. He also gave credit where credit is due."

Read more: Paul McCartney, Stevie Wonder, Fall Out Boy to induct Hall of Famers

Even though the outcome of the lawsuit favored the Gaye family, the children claim that all of this could have been avoided if Thicke and Williams had approached the family before releasing the single, especially since the similarities were deemed to be not coincidental. "Like most artists, they could have licensed and secured the song for appropriate usage," the family stated. "This did not happen. We would have welcomed a conversation with them before the release of their work. This also did not happen."

Read more: Kelly Clarkson talks 'Since U Been Gone,' going country and upbeat new LP

Thicke and Pharrell Williams lost the copyright suit on March 10th. Following the court's decision, the lawyer representing Marvin Gaye's family has sought to halt all sales of "Blurred Lines." Since the proceedings, the family had noted some similarities between Gaye's "Ain't That Peculiar" and Williams' "Happy," though the family has confirmed in the open letter that they "have absolutely no claim whatsoever concerning 'Happy.'"

Read the full open letter from Marvin Gaye's children below:

An Open Letter from the Children of Marvin Gaye 3/18/15

We want to extend our deepest appreciation and gratitude for the outpouring of love and support we have received from all of our father's fans and friends, as well as artists and industry folks who contacted us surrounding the recent events concerning his song, "Got to Give It Up."  Your kindness and encouragement gave us incredible strength and perseverance. We are so incredibly grateful for your support as well as the hard work and dedication of our amazing legal team and experts.  We thank you all.

We especially want to thank our mom Jan for her belief in what we were doing all along, and for her never ending support.

We will celebrate what would have been our dad's 76th birthday next month, and though we miss him every day -- just like the many thousands of well-wishers who have expressed their heartfelt goodwill - it is through his music that we find our compass and our paths moving forward.  We are his children, but we too are his fans and we hold his music dear.

It is in that spirit and on behalf of all those who Dad always considered an extended family, his fans, we take this opportunity to set the record straight on a few misconceptions echoing through some news and social media platforms about our intentions, our plans, and the so-called 'larger' ramifications of this case within the music industry.

Originally released in 1977, "Got to Give It Up" became one of our dad's most cherished hits, still a favorite at backyard barbecues, weddings, parties, on the radio, or on your iPod.  As Oprah said, it is one of her "favorite party songs of all time." The comments on social media, emails and calls we received after the verdict affirmed for us that the song continues to touch in even deeper ways, becoming part of the soundtrack to so many lives.  "Got to Give It Up" is also recognized by Billboard Magazine as the fourth biggest single of the 30 charting hits our dad created during his extraordinary career.

It has been nearly 38 years since its initial release: tastes change, trends evolve, but we should all be able to agree that it's a testament to the enduring power of "Got to Give It Up" that we have arrived at this juncture with Mr. Thicke and Mr. Williams, at all.  The fact that they have openly acknowledged their respect and admiration for the song is public knowledge, and further proof of its resonance with an entirely new generation of music fans.

However, most songwriting begins with an organic approach; a songwriter brings his or her influences to the table and then works creatively from a blank slate in the crafting of their song to ensure originality and the integrity of their creation.  If Mr. Thicke and Mr. Williams had tried to create a new song and coincidentally infused "Got to Give It Up" into their work, instead of deliberately undertaking to "write a song with the same groove," we would probably be having a different conversation.

Like most artists, they could have licensed and secured the song for appropriate usage; a simple procedure usually arranged in advance of the song's release.  This did not happen. We would have welcomed a conversation with them before the release of their work. This also did not happen.

Instead of licensing our father's song and giving him the appropriate songwriter credit, Robin Thicke and Pharrell Williams released "Blurred Lines" and then filed a pre-emptive lawsuit against us, forcing us into court.  They sought to quickly affirm that their song was "starkly different," than "Got to Give It Up."  The Judge denied their motion for Summary Judgement, and a jury was charged with determining the "extrinsic and intrinsic similarities" of the songs.  The jury has spoken.

We wanted to also make clear that the jury was not permitted to listen to the actual sound recording of "Got to Give It Up."  Our dad's powerful vocal performance of his own song along with unique background sounds were eliminated from the trial, and the copyright infringement was based entirely on the similarity of the basic musical compositions, not on "style," or "feel," or "era," or "genre."  His song is so iconic that its basic composition stood strong. We feel this further amplifies the soundness of the verdict.

Like all music fans, we have an added appreciation for songs that touch us in mysterious ways.  Mr. Thicke and Mr. Williams certainly have a right to be inspired by "Got to Give It Up" but as the jury ruled, they did not have the right to use it without permission as a blueprint for a track they were constructing.

Great artists like our dad intentionally build their music to last, but we as the caretakers of such treasures, have an obligation to be vigilant about preserving the integrity of the music so that future generations understand its origins and feel its effect as the artist intended, and to assure that it retains its value.

We feel as many do that, our father, Marvin Gaye, is an artist for the ages.  But whether we're talking about a work created 50 years ago or a work created 50 years from now -- protecting the legacy of original artistry is not a personal obligation, but a universal commitment in support of enduring creative achievement, encouraging future artists to also aim for new ground and their own legacies. That is what copyright laws help us do; they give people the incentive to write original songs and then help protect those songs.

Our dad spent his life writing music- that is his legacy to us all- he wrote from his heart and was a brilliant songwriter, arranger, producer and one-of-a-kind vocalist.  If he were alive today, we feel he would embrace the technology available to artists and the diverse music choices and spaces accessible to fans who can stream a song at a moment's notice. But we also know he would be vigilant about safeguarding the artist's rights; a sacred devotion to not only the artist, but key in encouraging and supporting innovation. He also gave credit where credit is due.

Howard King, the attorney for Mr. Thicke and Mr. Williams stated after the verdict:  "We owe it to songwriters around the world to make sure this verdict doesn't stand.  My clients know they wrote the song 'Blurred Lines' from their heart and souls and no other source."

We never for a minute suggested that Mr. Thicke and Mr. Williams' hearts weren't in it.  But a jury of eight men and women have ruled that the source for "Blurred Lines" was the song "Got to Give It Up," a song our dad wrote from his heart, and delivered to the world with pure joy.

With the digital age upon us, the threat of greater infringement looms for every artist.  It is our wish that our dad's legacy, and all great music, past, present, and future, be enjoyed and protected, with the knowledge that adhering to copyright standards assures our musical treasures will always be valued.

And finally, we want to put to rest any rumors that we are contemplating claims against Pharrell Williams for his song, "Happy."  This is 100% false.  We have absolutely no claim whatsoever concerning "Happy."

Love and Respect,

Nona, Frankie, and Marvin III

Copyright © 2015 Rolling Stone.

@highlight

Marvin Gaye's children wrote an open letter about the "Blurred Lines" lawsuit

@highlight

The family recently won its copyright infringement claim against Robin Thicke and Pharrell Williams

@highlight

Nona, Frankie and Marvin III say their father would have embraced new technology but safeguarded his creations