Somewhere in Texas, former President George W. Bush is smiling.

Although some Democrats are pleased that taxes will now go up on the wealthiest Americans, the recent deal to avert the fiscal cliff entrenches, rather than dismantles, one of Bush's signature legacies -- income tax cuts. Ninety-nine percent of American households were protected from tax increases, aside from the expiration of the reduced rate for the payroll tax.

In the final deal, Congress and President Barack Obama agreed to preserve most of the Bush tax cuts, including exemptions on the estate tax.

When Bush started his term in 2001, many of his critics dismissed him as a lightweight, the son of a former president who won office as result of his family's political fortune and a controversial decision by the Supreme Court on the 2000 election.

But what has become clear in hindsight, regardless of what one thinks of Bush and his politics, is that his administration left behind a record that has had a huge impact on American politics, a record that will not easily be dismantled by future presidents.

The twin pillars of Bush's record were counterterrorism policies and tax cuts. During his first term, it became clear that Obama would not dismantle most of the homeland security apparatus put into place by his predecessor. Despite a campaign in 2008 that focused on flaws with the nation's response to 9/11, Obama has kept most of the counterterrorism program intact.

Opinion: The real issue is runaway spending

In some cases, the administration continues to aggressively use tactics his supporters once decried, such as relying on renditions to detain terrorist suspects who are overseas, as The Washington Post reported this week. In other areas, the administration has expanded the war on terrorism, including the broader use of drone strikes to kill terrorists.

Now come taxes and spending.

With regard to the Bush tax cuts, Obama had promised to overturn a policy that he saw as regressive. Although he always said that he would protect the middle class from tax increases, Obama criticized Bush for pushing through Congress policies that bled the federal government of needed revenue and benefited the wealthy.

In 2010, Obama agreed to temporarily extend all the tax cuts. Though many Democrats were furious, Obama concluded that he had little political chance to overturn them and he seemed to agree with Republicans that reversing them would hurt an economy limping along after a terrible recession.

Opinion: Time to toot horn for George H.W. Bush

With the fiscal cliff deal, Obama could certainly claim more victories than in 2010. Taxes for the wealthiest Americans will go up. Congress also agreed to extend unemployment compensation and continue higher payments to Medicare providers.

But beneath all the sound and fury is the fact that the 2001 and 2003 tax cuts, for most Americans, are now a permanent part of the legislative landscape. (In addition, middle class Americans will breathe a sigh of relief that Congress has permanently fixed the Alternative Minimum Tax, which would have hit many of them with a provision once designed to make sure that the wealthy paid their fair share.)

As Michigan Republican Rep. Dave Camp remarked, "After more than a decade of criticizing these tax cuts, Democrats are finally joining Republicans in making them permanent." Indeed, the Congressional Budget Office estimates that the new legislation will increase the deficit by $4 trillion over the next 10 years.

The tax cuts have significant consequences on all of American policy.

Opinion: Christie drops bomb on GOP leaders

Most important, the fact that a Democratic president has now legitimated the moves of a Republican administration gives a bipartisan imprimatur to the legitimacy of the current tax rates.

Although some Republicans signed on to raising taxes for the first time in two decades, the fact is that Democrats have agreed to tax rates which, compared to much of the 20th century, are extraordinarily low.  Public perception of a new status quo makes it harder for presidents to ever raise taxes on most Americans to satisfy the revenue needs for the federal government.

At the same time, the continuation of reduced taxes keeps the federal government in a fiscal straitjacket. As a result, politicians are left to focus on finding the money to pay for existing programs or making cuts wherever possible.

New innovations in federal policy that require substantial revenue are just about impossible. To be sure, there have been significant exceptions, such as the Affordable Care Act. But overall, bold policy departures that require significant amounts of general revenue are harder to come by than in the 1930s or 1960s.

Republicans thus succeed with what some have called the "starve the beast" strategy of cutting government by taking away its resources. Since the long-term deficit only becomes worse, Republicans will continue to have ample opportunity to pressure Democrats into accepting spending cuts and keep them on the defense with regards to new government programs.

Politics: Are the days of Congress 'going big' over?

With his income tax cuts enshrined, Bush can rest comfortably that much of the policy world he designed will remain intact and continue to define American politics. Obama has struggled to work within the world that Bush created, and with this legislation, even with his victories, he has demonstrated that the possibilities for change have been much more limited than he imagined when he ran in 2008 or even in 2012.

@highlight

Julian Zelizer: For all the criticism Bush got, two key policies have survived

@highlight

He says fiscal cliff pact perpetuates nearly all of Bush's tax cuts

@highlight

Obama administration has largely followed Bush's homeland security policy, he says

@highlight

Zelizer: By squeezing revenues, Bush tax cuts will put pressure on spending