(CNN) -- Wiry, wizened and dressed in a tattered old jelaba robe, Abdul-Hakim lives in a world in which fact and fantasy are blurred together through an ancient alchemy.

Almost every day over four decades and more, he's stood out in Jemaa el Fna, the great sprawling square that forms the heart of medieval Marrakech in Morocco.

In cold winter rain and mist, and in the searing heat of the endless desert summer, he's one enduring fixture, a constant force in a realm constantly touched by change.

He stands there, knitted cap pulled down tight over a balding scalp, fingers gnarled and black with dirt, a face conjured from a weather-worn sheet of chapped leather.

As the muezzin's voice radiates down over the long morning shadows, Abdul-Hakim finishes his prayer and steps out into the sunlight.

Having given a blessing that begins "All things to the pious," he claps his hands to gain an audience.

All of a sudden, the story begins:

"There was once a woodcutter named Mushkil Gusha," he says, his voice rasping a tale from the "Arabian Nights."

"A man who was as honest and kind as any other alive ..."

Within an instant, a halqa has formed, a sacred circle of souls.

Pressed shoulder to shoulder, the listeners crane forward, as they do, day in day out, every day.

For them, Abdul-Hakim's stories are a kind of magical lifeblood, a wisdom and an entertainment all rolled into one.

"He transports us to distant kingdoms," says Malik, a shopkeeper from a nearby perfume stall.

"Only he can weave magic like this. I was brought up with his tales, just as my own sons have been."

The hakawati, the storyteller, lowers his voice, a technique to draw the listeners in towards him.

He takes his time, feeding them the tale as though it were some delicious sweet.

Powders and homemade lotions

A stone's throw away, a healer is setting up his stall.

He's dressed in the light blue robe of the Tuareg, his skin as dark as his teeth are white.

From an old Berber chest he pulls out his wares -- a clutch of ostrich eggs, a pair of dried chameleons, a jaguar's skull and an assortment of vials and jars, powders and homemade lotions.

Beside him is another medicine man.

His stock in trade is sulfur and antimony, dried damask roses, and a half-gallon pot of lizard oil.

Across from him is a dentist.

In his right hand is a pair of electrical pincers. In his left, a shoebox half-filled with human teeth.

"I never cause any pain," he explains meekly. "You see, it's because I whisper a spell as I make the extraction. Take a seat here, sir, and I will prove it to you now."

By late morning, the tale of the woodcutter Mushkil Gusha is nearing its end, and the dentist, from the inner reaches of the desert, is posing for a picture.

A tourist from Brooklyn slips out his camera and points to a bottle marked with a skull and crossed bones.

He wonders aloud what's inside.

The Tuareg healer grins a fearsome, almost maniacal grin.

"It's for revenge," he lisps.

The last shadows melt away as noon approaches, and as the summer heat begins its raw and unrelenting suffocation.

A scattering of tourists amble about, soaking up an atmosphere that has allured visitors for centuries.

They're from every corner of the world.

Distant desert outpost

These days most people fly in directly to Marrakech.

It sometimes feels as though they hardly have a clue where are.

After all, the airport could be anywhere.

The ancient mud walls that encircle the city's medina are a clue though -- a clue that this was once a distant desert outpost, fortified for life and death.

Marrakech may be easy to get to now, but it's smack in the middle of Morocco's red desert.

With that heritage comes a kind of Twilight Zone sense of the miraculous.

Like the tales woven by Abdul-Hakim, Marrakech blurs the lines between fact and fantasy, and touches all who venture here with its sorcery.

As the afternoon heat reaches its height, the snake charmers slink out from the cool of the cafes, the shrill sound of their flutes, known as rhaita, forming a hypnotic stage on which their overheated cobras perform.

Gradually, the afternoon heat begins to wane.

And, as it does so, a slew of acrobats tumble and fall across the square's great open space.

Members of the Gnaoua, an ancient brotherhood, they clatter huge iron castanets, warding away supernatural jinn.

Abdul-Hakim pauses for the late afternoon prayer.

When he's done, he sips a little water and chews on m'simmen, a kind of Moroccan pancake.

And then, wiping his eyes with the corner of his handkerchief, he begins another favored tale from "The Thousand and One Nights," a story half as old as time, called "The City of Brass."

Sheep brains and spicy sausages

As his words waft out over the square, there's the thunderous sound of steel wheels rapping hard over stone.

Dozens of iron carts are hurtling forward.

Like gun carriages hastening to war, they're pushed into position at lightning speed, and quickly unloaded.

Within a few minutes, clouds of dense oily smoke are billowing up into the dusk, as the stalls start touting all manner of foods.

In Jemaa el Fna's nocturnal incarnation, tourists and locals dine on sheep's brains and spiced Berber sausages, mutton tagines, roasted chicken and trout.

A lithe good-mannered figure is hustling for custom outside Stall 117.

Going by the nickname "Denzil Washington," he appears ready to sell anything. Working as a volunteer in an orphanage by day, he supports himself by touting in the square at night.

"One-one-seven!" he cries is a faux cockney voice. "It'll take you to heaven!"

Away from the smoke, the incandescent light bulbs, and the uproar of the feast, a blind musician draws a bow over the strings of a battered old violin.

A microphone strapped around his neck leads to a little amplifier, cupped in the hands of his young grandson.

The sound stretches out like a magic carpet laid over the desert floor.

Listen hard, and you find yourself transported back in time to an encampment in the wilderness, a watering hole for camels and men.

As the night approaches, the medicine men and the healers pack up their bones, their potions, and their boxes of human teeth. The Gnaoua disappear into the shadows, and the snake charmers slink away home for another night.

Abdul-Hakim is one of the last to go.

Pausing at a cliffhanger in his epic tale, he tugs off his knitted cap and holds it upside down.

A few Dirham coins are dropped in by locals.

The storyteller does a mental calculation. Just enough for dinner.

"They'll be back here in the morning as sure as day follows night," he says. "You see, they're caught in my spell. I can see it in their eyes. They simply can't resist."

Tahir Shah moved from London to Casablanca 10 years ago. He's the author of more than 15 books and is best known for "The Caliph's House," which details the tribulations of living in a haunted Moroccan home.

@highlight

Jemaa el Fna, Marrakech's ancient central square, hosts snake charmers, medicine men, food vendors

@highlight

Storyteller Abdul-Hakim is a daily presence in the square, keeping his audiences spellbound with traditional Arabic tales

@highlight

In the evening the square comes alive with musicians and acrobats