(CNN) -- In January, Bashar al-Assad sat down for a long interview with the Wall Street Journal. That was noteworthy in itself; the Syrian leader doesn't spend much time with the Western media. He was in confident mood -- saying that Syria would not succumb to the unrest then spreading in Tunisia and Egypt.

That same month Vogue ran an effusive feature on Syria's first lady, Asma al-Assad, describing her as a "rose in the desert."

But in his interview, al-Assad also recognized "anger and desperation" in the region and the need for reform in Syria, to "open up the society," as he put it. Change was needed, he said, but "if you do it just because of what happened in Tunisia and Egypt, then it is going to be a reaction, not an action; and as long as what you are doing is a reaction you are going to fail."

Now, after 10 days of deadly protests in Syria, that "reaction" is well and truly under way. The government has responded with a mixture of aggression and appeasement. It has announced a substantial rise in wages for public employees, and has proposed ending the decades-long state of emergency and opening up Syria's cramped political space to other parties. The current Syrian constitution enshrines the leadership of the Baath Party, which both al-Assad and his father, Hafez al-Assad, who died in 2000, have led.

At the same time, security forces have swamped Daraa and other towns in the south; witnesses speak of a mysterious group of men dressed in black patrolling the streets of Latakia. Amnesty International reports widespread arrests of political activists. But the protests have continued, and one Facebook page following the unrest -- SyrianRevolution -- now has nearly 100,000 followers.

The regime's carrot-and-stick approach may work in the short term but the widely respected International Crisis Group says President Assad has two starkly different options. "One involves an immediate and inevitably risky political initiative that might convince the Syrian people that the regime is willing to undertake dramatic change. The other entails escalating repression, which has every chance of leading to a bloody and ignominious end. "

While it has tinkered with reform over the past 10 years, al-Assad's government is hamstrung by internal disagreement, endemic corruption and competing goals at home and in the region. That at least is the picture that emerges from analyzing the U.S. diplomatic cables obtained by WikiLeaks.

The cables acknowledge that al-Assad has allowed greater media freedom since he became president 11 years ago "with Al Jazeera, the local favorite, and al-Arabiya readily available via satellite." Local journalists spoke of shifting red lines, adding wryly that "it was much simpler under Hafez al-Assad; we always knew where the red lines were."

Caution has been the watchword in other spheres, including a tentative "reset" of Syria's frosty relationship with the United States since President Barack Obama took office and a gradual reassertion of Syria's role in Lebanon.

The younger al-Assad has blamed a rough neighborhood for slow progress at home. "We are not the only captain," he told the Wall Street Journal. "We were affected by the situation in Iraq or in Lebanon. There are many things that we wanted to do in 2005 we are planning to do in 2012."

The cables shed light on how Syria has been run -- with powerful and often competing cliques dominating economic and political life, and intrigue trumping open debate. Part of the diplomatic traffic is devoted to the power of "regime financiers" like telecom magnate Rami Makhluf, al-Assad's cousin. A U.S. contact is quoted in a cable as saying "most Syrians viewed Rami in a negative light and his strong-arm business tactics had earned him many enemies." The same cable says corruption "was rife in Syrian government and society and had undermined the president's credibility with the Syrian people."

There is also evidence of serious rifts within the security apparatus, with one cable from 2008 reporting that "Syrian Military Intelligence and General Intelligence Directorate officials are currently engaged in an internecine struggle to blame each other for the breach of security" that occurred in Damascus when Hezbollah's military commander, Imad Mughniyah, was killed by a car bomb. Several months later, a top adviser to al-Assad -- Gen. Mohammed Suleiman -- was shot dead at his vacation home on the Syrian coast. His killers have never been identified, although the Syrians blame Israel.

Syria's long-term alliance with Iran and its sponsorship of the Hezbollah militia in neighboring Lebanon are also sensitive issues at home. Some reports from Daraa say protesters have raised their voices against both. Syrian officials quoted in U.S. cables say Hezbollah is a legitimate resistance movement and part of the overall Middle East peace process. In other words -- Syria's (and Iran's) insurance card against Israel.

In 2009, the top U.S. diplomat in Damascus sharply criticized Syria's alleged delivery of ballistic missiles to Hezbollah.

"Syria's actions have created a situation in which miscalculation or provocative behavior by Hezbollah could prove disastrous for Syria and the broader region," he wrote. Other cables suggest constant juggling by al-Assad as he tries to keep the alliance with Iran intact while not closing the door to negotiations with Israel.

Fawaz Gerges at the London School of Economics says Syria is a critical regional player. "Instability in Syria means there will be instability in Lebanon, which is a divided country along sectarian lines."

Iran, too, would be affected were Assad to go, he said: "Syria is a critical player that supports a non-Arab state. The West has tried to wean Syria off Iran but has failed."

Barak Seener, a research fellow with the Royal United Services Institute in London, agrees that events in Syria could alter the Middle East landscape.

"A liberal democratic Syria would be more susceptible to peace with Israel, irrespective of the status of the Golan Heights," he said. "In light of the opposition that removed Mubarak, it is questionable whether peace can be made with autocratic leaders that can be removed and not with liberal societies."

Seener says the violence so far does not threaten the regime's existence but "will embolden the majority-Sunni population and Kurdish minority, who deeply resent the political dominance of the Alawi minority, to protest." Al-Assad is an Alawite.

But so far, none of Syria's major cities has seen the sort of unrest witnessed in Daraa. Some Syria-watchers say al-Assad may even turn the crisis to his advantage by pushing through reform despite the hardliners and bureaucratic inertia.

He may also benefit from a fractured opposition. Syrian analyst Murhaf Jouejati at George Washington University says that civil society has been stifled by decades of emergency rule. "The protesters are not organized. The opposition is fragmented," he said. "Civil society is not developed enough to be a counterweight to the state" even if intellectuals leading the opposition enjoy a certain amount of moral authority.

Other analysts say the sudden announcement of extensive concessions smacks of panic, and that endemic corruption and high unemployment are beyond the government's capacity to fix. In addition, as the International Crisis Group notes, "as a result of events elsewhere in the region, a new awareness and audacity have materialized over the past several weeks in myriad forms of rebelliousness." Fear, if not gone, is no longer so pervasive.

The International Crisis Group says much hinges on al-Assad, who is due to address the nation in the next couple of days. "He alone can prove that change is possible and already in the making, restore some sense of clarity and direction to a bewildered power apparatus and put forward a detailed framework for structural change," it says.

As al-Assad also told the Wall Street Journal in January: "This is the Middle East, where every week you have something new."

@highlight

Despite concern, al-Assad forced to react to opposition

@highlight

The regime's carrot-and-stick approach may work in the short term

@highlight

In the long term, there is risk in any strategy, the International Crisis Group says

@highlight

WikiLeaks cables show a government hamstrung by internal disagreement