(CNN) -- All this excitement over recent Russian public diplomacy on Syria is a bit odd to those of us who have been following that diplomacy strategy for over a decade. That Vladimir Putin chose to write an op-ed in The New York Times this week is not at all shocking. It is part of a broader pattern of Russian outreach that began in 2001.

What confuses people about Russian public diplomacy is that it often veers from a closed fist approach to an open handshake depending on its narrow objective -- all the while testing America as it seeks to build its own popularity around the world.

Since the end of the 1990s the Russians have been aware that America and other nations see a weakened former Soviet empire behaving badly in the world, and they have sought to correct that perception beginning with the hiring of an American public relations firm back in 2006, which generated interest at the time.

For years the Russians have worried about how they are portrayed in American media, about Hollywood's depiction of Russians as mobsters and thugs, for example. Scholars of Russia have written often about Russia's near-obsession with its place in the world, including a fixation on polls -- like Gallup's -- about Russia's popularity with the outside world.

Over the years, Russian officials have looked for opportunities in the media to portray Russia as helpful and constructive -- even when it was not. They attempted to use Russian television, and later the Internet, to brandish a better image in the West -- creating a news agency, RIA (The Russian Agency for International Information) which operates 80 news bureaus around the world and Russia Today which boasts a following of 630 million people in over 100 countries. The Russians are also fans of inserting newspaper supplements of Russia Today in American newspapers just to remind readers of their relevance.

Let's face it. Russia remains relevant but its image in the world has suffered throughout the last decade, for good reason. Think of some of the recent events: the conflict Russia had in 2008 with its southern neighbor, Georgia, over the disputed territory of South Ossetia. Then there was the feud with Ukraine in 2009 which resulted in Russia cutting off gas to Ukraine. There was a series of international corruption scandals around a Russian oil firm, Gazprom, including accounting charges involving U.S. financial firms.

One cannot, of course, forget the Magnitsky case which emanated from the arrest, and subsequent death in custody of a Russian lawyer who became a whistle-blower about human rights. That case led to a feud with the United States, congressional sanctions, and the release of a list in April of Russian individuals not allowed into America. Add to that the Russian imprisonment of a feminist punk rock group -- Pussy Riot -- for daring to protest against the Russian government. Oh, and let's not forget Russia's hosting of NSA leaker Edward Snowden.

Russia often finds itself in the odd situation of doing negative things and trying to get positive press. It cracks down on dissidents one day but then bids for the Olympics the next. It woos the United States and then bashes it. And then its leader writes an op-ed.

Writing op-eds in American newspapers is not new for the Russians. A good example comes from three years ago. In March 2009, on the eve of a G-20 meeting with President Obama, Russian President Dmitry Medvedev wrote an op-ed in the Washington Post, telegraphing a new U.S.-Russian relationship based on the concept of mutual interests.

He cleverly invoked the writing of the French philosopher, Alexis de Tocqueville, author of "Democracy in America." In the op-ed the Russian president predicted "a great future for our two nations," adding that "So far, each country has tried to prove the truth of those words to itself and the world by acting on its own. I firmly believe that at this turn of history, we should work together."

What is worth remembering is that the Russians don't mind twists and "turns of history" -- and they don't mind a bit of confusion about whether or not they are good guys or bad. This op-ed in The New York Times has generated both outrage and curiosity -- with some predictable criticism by the anti-Russia crowd on Capitol Hill, who believe America will be duped.

For Americans, there is something emotional about Russia. It inevitably evokes fear and fascination in the United States and the West perhaps because of its long and complex history, its culture, and memories of Cold War days when so much time, effort and money was spent defending ourselves against the Soviet Union.

Russia's latest attempt to win hearts and minds is intriguing and is likely to be effective if the result is some kind of interim deal over chemical weapons. A positive step by Syria, at the urging of Moscow, to acknowledge its chemical stockpiles and surrender even a portion of them would be a good development -- and Russia will claim credit for saving the day. If the diplomacy fails, and the U.S. decides to strike Syria, Russia will lay the blame for any damage on America. So either way, the gamble makes sense from Putin's view.

As for the United States, we have no choice but to take Russia up on the offer to press the Syrians to relinquish control over the weapons. Americans like peaceful solutions and we certainly should test the proposition with Russia. But while we are diplomatically dueling with Russia, we must remain mindful of their public diplomacy strategies, watch closely as they maneuver and, in the end, do what is in our own national security interest.

The opinions expressed in this commentary are solely those of Tara Sonenshine.

@highlight

Tara Sonenshine: Putin op-ed not surprising: Russia has long tried to build its popularity

@highlight

Putin attentive to polls on views of Russia, tries to stem persistent negative portrayals, she says

@highlight

She says oddly, Russia keeps doing negative things and trying to get positive press

@highlight

Sonenshine: Op-ed has provoked many; Russia doesn't mind; Putin enjoys tweaking U.S.