After years of controversy, the latest version of the "psychiatric bible" -- the Diagnostic and Statistical Manual of Mental Disorders -- has been released.

The DSM-5 (fifth edition)'s introduction, over the weekend at the American Psychiatric Association's annual meeting, marks "the end of more than a decade's journey in revising the criteria for the diagnosis and classification of mental disorders," the association says on the DSM-5 website.

The manual includes the criteria used by mental health professionals to diagnose patients. It's also used by insurance companies, schools and other agencies responsible for covering and creating special provisions for individuals with developmental or mental disorders.

The overhaul -- the first for the DSM since 1994 -- has not come without opposition from activists, some grass-roots organizations and even the National Institute of Mental Health, which last month said it was launching a project aimed at laying the foundation for a new classification system and would be "re-orienting its research away from DSM categories."

Are we over-diagnosing mental illness?

Here are five ways the DSM changes may affect you:

Bereavement or depression?

Previously, clinicians were advised against diagnosing major depression in people within two months after the death of a loved one: the "bereavement exclusion."

The DSM-5 removes the exclusion, a move the psychiatric association says "helps prevent major depression from being overlooked and facilitates the possibility of appropriate treatment including therapy or other interventions."

Research has shown that for some people, the death of a loved one can precipitate major depression -- much like other stressors such as losing a job, the association says on the DSM-5 website. But "bereavement is the only life event and stressor specifically excluded from a diagnoses of major depression" in previous manuals.

Binge eating is officially an eating disorder

Binge eating was approved as its own category of eating disorder in the DSM-5. It's defined as "recurring episodes of eating significantly more food in a short period of time than most people would eat under similar circumstances, with episodes marked by feelings of lack of control."

According to the association, the move is aimed at "increasing awareness of the substantial differences between binge eating disorder and the common phenomenon of overeating. While overeating is a challenge for many Americans, recurrent binge eating is much less common, far more severe, and is associated with significant physical and psychological problems."

Binge drinkers may be diagnosed as mild alcoholics

The revised DSM collapses the medical distinction between problem drinking and alcoholism. Some experts say this could lead college binge drinkers, for example, to be mislabeled as alcoholics, a diagnosis that may follow them into adulthood.

Prior DSM editions included "alcohol abuse," along with the more serious "dependence." However, the DSM-5 will make "alcohol use disorder" a single condition.

"The field of substance abuse and addiction has witnessed an explosion in important research in the past two decades," said Dr. David Kupfer, chairman of the DSM-5 Task Force, in a February statement. The changes "reflect the best science in the field and provide new clarity in how to diagnose these disorders."

Asperger's syndrome becomes autism spectrum disorder

The proposal to group Asperger's and other developmental conditions together generated a flurry of comments and concerns. In 2010, when the change was proposed, the Asperger's Association of New England, a nonprofit organization with more than 3,000 members, wrote a letter to the American Psychiatric Association emphasizing that Asperger's should remain separate.

But "the revised diagnosis represents a new, more accurate, and medically and scientifically useful way of diagnosing individuals with autism-related disorders," the national group says on the DSM-5 website.

The work group that recommended the change "believes a single umbrella disorder will improve the diagnoses of ASD without limiting the sensitivity of the criteria, or substantially changing the number of children being diagnosed."

In a statement on its website Tuesday, the New England association assures its members, "regardless of your diagnosis or label, we will continue to provide a gathering place where members of the Asperger's community can connect to one another."

Doctor: Why we're making changes to autism diagnosis

Being transgender no longer a mental disorder

The DSM-5 eliminates the term "gender identity disorder," which mental health specialists, along with lesbian, gay, bisexual and transgender activists, had considered stigmatizing. It refers to "gender dysphoria," which focuses attention only on those who feel distressed by their gender identity.

"I think it's a significant change," Jack Drescher, a member of the psychiatric association group that recommended the change, said late last year. "It's clinically defensible, but it reduces the amount of stigma and harm that existed before."

Homosexuality was removed from the DSM in 1973, a move he believes changed global views.

Some LGBT activists applauded the change, while others have questioned whether it goes far enough.

@highlight

The new Diagnostic and Statistical Manual was released over the weekend

@highlight

The "psychiatric bible" overhaul has not been without controversy

@highlight

Autism, binge eating and drinking and grief will all see changes in the new manual