Nairobi, Kenya (CNN) -- Surfers beware. There is an incredibly influential and vocal group on Twitter, using a common hashtag and blazing keyboards to ensure their African country is discussed fairly and with respect online. Kenyans on Twitter, better known as #KOT, are a 21st century phenomenon born out of the social media boom and growing economy in East Africa's most populous city, Nairobi.

Why are they so vocal and what is it doing for the country at large? My mission for "Inside Africa" recently was to find out - and I did so with an experiment.

The concept was simple; if Kenyans are so connected I should be able to assemble a quick meet-up; I should be able to navigate Nairobi via Twitter. The entire process should teach me how tech-savvy this country really is and show me where its heading. It worked far better than expected.

Technically speaking, Kenyans are special, as they are members of an exclusive and enviable club. The country is among the top four users of the web in all of Africa, behind only Egypt, Morocco and Nigeria. What's more impressive is the connection speed at which they surf. The Kenyan government recently installed broadband infrastructure, which behind Ghana, is the second fastest on the continent.

Read more: African tech voices to follow on Twitter

Also, the Kenyan Government, in coordination with the World Bank, has embarked on a multi-million dollar initiative to use information and communications technology -- or ICT -- to accelerate economic growth and promote transparency.

For these reasons and more, the response to my call for a random meeting was met with enthusiasm. One by one, half a dozen #KOTs approached me in the predetermined cafe (offering free wi-fi) shouting the password, "connected!" Each told me how the internet is making their lives easier from paying bills through a mobile money service called Mpesa or sending out links to their resumes via social media.

What's more fascinating is the place they all suggested I visit, iHub. Essentially it's a nexus of innovation with free-flowing ideas meant to serve as an incubator for future Kenyan-grown advancements. Via Twitter, users gave me advice on how to get there and who to meet.

I met the manager Tosh Juma standing amid what appeared to be a college study hall. He introduced me to software developers, web designers and tech enthusiasts all at different stages of their ICT projects. Of course there was the obligatory coffee bar, foosball table and comfy gaming seats on the floor -- but there was also a real sense of responsibility for the future and well-being of the country.

Read more: How mobile broadband can transform Africa

One young entrepreneur is Susan Eve Oguya, eagerly telling me about her SMS or text service for Kenyan farmers, MFarm. It allows them to check up-to-the-minute market rates for their goods so devious middlemen can't deceive them. She tells me its especially important for her since she comes from a family of people who make their living on farms.

Another developer, Nevi Mukherjee showed me a tablet-based application designed for Kenya's school children called eLimu. It brings the country's academic curriculum to life with pictures, video and interactive quizzes. It's no wonder Google plucked many of iHub's members, like Ory Okolloh of the crisis-mapping site Ushahidi, to join their African ranks.

My final stop on this online experiment was Google's offices in Kenya.

Read more: GPS technology maps land rights for Africa's 'forest people'

Joe Mucheru, Google's Ambassador for everything related to Sub-Saharan Africa gave me a tour and sneak peak into new services. They include a mapping service keeping the government accountable on schools that it has agreed to build or expand -- the map reveals any progress -- or lack thereof.

From Joe's corner office overlooking Nairobi he tells me of his wish for his young children, "I think they are going to have a much easier life and hopefully... compete globally even more. They don't have the same hang ups we had, that 'we're behind'. They think they deserve everything and should be doing everything -- that's the right attitude for young people now."

Kenya online usage has grown exponentially. Back in the year 2000 only 200,000 were logged onto the web, at the end of 2011, that number was around 10.5 million. No one knows how many internet users - or #KOTs for that matter - there will be in 2021 but one thing is for sure; there will be many and they will be helping Kenya stand out proudly in an increasingly crowded online universe.

@highlight

Twitter users in Kenya are using common hashtag #KOT to talk about their country online

@highlight

Errol Barnett experimented with the hashtag to see how well connected Kenyan's are

@highlight

He also met Joe Mucheru, Google's ambassador Sub-Saharan Africa who gave a sneak peak into new services