(CNN) -- Anyone who has complained that today's movie industry lacks imagination, ambition and originality (and who hasn't?) had better take a look at "Cloud Atlas."

The new film from "The Matrix" siblings Andy and Lana Wachowski, and their co-conspirator Tom Tykwer ("Run Lola Run"), spans centuries and continents, tells six separate stories and casts a dozen actors in three or more roles apiece. There is enough ambition and audacity here to fill an entire multiplex, astonishing spectacle and philosophical heft to match. It's a bravura, rogue movie, the kind that has no business getting made.

Does it work? No, not really -- not for me -- but there is something truly wondrous about a folly on this scale. I'll take it over another efficient cookie-cutter flick any day of the week.

David Mitchell's 2004 Booker-nominated novel begins midstream, well into what purports to be the diary of an innocent 19th century lawyer traveling the South Pacific in the company of unscrupulous mariners and brigands. In a kind of literary relay, this manuscript is devoured by a young apprentice composer in the 1930s, who comments on it in his letters to his male lover. Letters that turn up 40 years later when the lover -- a nuclear scientist -- is embroiled in a deadly corruption cover-up, which is the basis in turn for a pulp suspense novel read by a cranky British publisher, and so on and so forth -- all the way into the 23rd century and beyond.

'Cloud Atlas' draws mixed reviews from TIFF

By most lights this would qualify as "unfilmable" (it's also brilliant - do read it), but apparently not. The movie adaptation is actually quite faithful, an honest and somewhat successful attempt to visualize Mitchell's shifting epochs and recurring themes.

It is more fragmented, though. Where Mitchell explores his stories in large, discreet chunks, the filmmakers have sliced and diced them into far shorter sequences, so that it's not always clear which century we're in or what's going on, or why. The tactic is disorienting, but also distracts from how thin some of these stories actually are, once they have been boiled down to narrative essentials.

Six tales in just under three hours -- that's less than 30 minutes each, not long enough to delve beneath the surface. The novel plays with literary form and adopts a different authorial voice for each tale. The movie switches between costume drama to comedy to paranoia thriller to sci-fi fantasy, but seems flat in comparison. There's not much momentum or suspense to keep the ship afloat, just a prevailing curiosity about how on earth everything connects.

We're invited to pick out correspondences and motifs across the years, from the comet-shaped birthmark that crops up several times to a haunting melody that outlives its composer, as well as wider patterns of prejudice, repression, resistance and rebellion.

The movie's politics are strikingly progressive and sophisticated. But the filmmakers' reach often exceeds their grasp.

Tom Hanks talks 'Cloud Atlas' and more

What is exhilarating and impressive in the design is often undone in the detail. It makes some conceptual sense to cast the same actors in numerous roles -- it implies something about the human struggle and what one character calls "perpetual recurrence" -- but disguised and coated in layers of makeup, the stars (they include Tom Hanks, Jim Broadbent, Halle Berry, Hugh Grant and Ben Whishaw) repeatedly default to crass caricature. The dramaturgy is frequently jarringly crude and ham-fisted; frenzied comic relief fails to hit the mark (Mitchell's very dry, English sense of humor eludes them). There are fleeting moments of inspiration -- the Wachowskis are clearly in their element in the corporatized neo-Seoul of the not-so distant future -- but a post-apocalyptic episode where everyone speaks an incomprehensible invented pidgin cries out for cutting, and the earliest seafaring tale is also a very long haul.

In short, "Cloud Atlas" is all over the map: an event movie with vision and brains, it's also bombastic and ultimately enervating, getting lost in the fog of its own over-arching ambition.

@highlight

"Cloud Atlas" is from "The Matrix" siblings Andy and Lana Wachowski and Tom Tykwer

@highlight

The film stars Tom Hanks, Jim Broadbent, Halle Berry and Hugh Grant

@highlight

It tells six tales in just under three hours