NEW YORK (CNN) -- A long line of hospital staff wraps around the corridor outside a small conference room in New York to catch a glimpse of the precious cargo.

A worker looks at the mummified skull of King Tut in November 2007.

Inside are the three frail bodies in open wooden crates causing all the commotion. Another body -- a prince no less -- is a few rooms down in a computer tomography scanner.

The bodies are part of the Brooklyn Museum's collection of 11 Egyptian mummies, transported to the North Shore University Hospital to be scanned. The goal: Find out who they are, how they might have died and establish a chronology of advances in ancient Egypt's mummification techniques.

The process is not necessarily new. Egyptian mummies have been exposed to radiographic study since 1896 and CT scans, which conducts imaging by sections, for more than two decades.

Perhaps the most famous of them, King Tutankhamun (c. 1355-346 B.C.), was scanned in 2005 right outside the vault that holds his sarcophagus. The scan resulted in more than 17,000 images that were analyzed by an international team of radiologists, pathologists and anatomists, led by the world-renowned Zahi Hawass, the secretary general of Egypt's Supreme Council of Antiquities.

The scope and ability of CT scan technology are proving invaluable in learning more about the funeral rituals of ancient Egyptians and the mummies themselves. Whereas conventional X-rays cannot clearly distinguish soft tissue from bone and can see only two planes, CT scanning can differentiate among the various types of bone and soft tissue, and reconstruct three-dimensional images that "show fine detail inside coronary arteries down to 0.6 millimeters" said Amgad Makaryus, director of cardiac CT and magnetic resonance imaging at North Shore, providing a better chance at diagnosis and differentiation among diseases.

"CT has proved to be exceptionally well-suited for studying the fragile, wrapped figures of Egyptian mummies, especially those still contained within their decorated plasterlike shells, or cartonnages," according to an article by a team of eight researchers, led by Derek N.H. Notman, published in the American Journal of Roentgenology.

CT scanning is fast and non-invasive, Makaryus agrees. A scan of one of the four bodies brought to North Shore quickly revealed that the mummy named Lady Hor was actually a man. The body never had to leave its cartonnage for the procedure.

In the case of King Tut, initial X-rays of his mummy decades ago showed fragments of bone inside his skull, causing speculation that he might have been killed by a blow to the back of the head. The scan immediately revealed that his skull was intact; and the team found no other indication of foul play, according to its report.

"King Tut is the icon of Egyptian history, but he is only one of thousands of mummies we can study. Through CT scans, we can, in a way, bring the dead back to life," Hawass told National Geographic magazine.

In another famous case, a CT scan helped identify the mummy of the Pharaoh Ramses I (1293-1291 B.C.) in 2000. It had been bought from a Canadian museum by the Michael C. Carlos Museum in Atlanta, Georgia.

Dr. Heidi Hoffman, a former radiology resident at Emory now practicing in Chicago, Illinois, and part of the team of scientists who analyzed the pharaoh's body, was able to observe a type of bone erosion, and "coalescence of air cells can be seen in cases of chronic mastoiditis," an inflammatory condition usually due to chronic ear infections. Though easily treatable with antibiotics today, the pharaoh's untreated ear infection could have spread and caused his death.

At North Shore, Jesse Chusid, director of Imaging Informatics at the Department of Radiology, said the 64-slice CT scanner takes 0.6 mm-thick sectional scans and combines and magnifies them to provide extraordinary detail.

Curators of the Brooklyn Museum reached out to North Shore for the first time in 2007, to scan Demetrios, a 2,000-year-old mummy, before he was to join a traveling exhibit called "To Live Forever: Egyptian Treasures From the Brooklyn Museum," opening at the Chrysler Museum in Norfolk, Virginia, in October.

Demetrios is called a "red shroud mummy" because of unusual red pigment in his linen shroud. Another red shroud mummy is in the J. Paul Getty Museum in Los Angeles, California. There, CT scans revealed the remains of a mummified ibis, a bird sacred to Egyptians, wrapped inside.

Curators of the Brooklyn Museum wanted to find out whether Demetrios had his own ibis, thought to be a sacrifice to the god Toth, whose head was an ibis. Demetrios did not have one. Still, Dr. Lawrence Boxt of North Shore University Hospital told The New York Times in 2007 that Demetrios either "had an easy life or was carried around a lot. He certainly didn't do much heavy lifting during his lifetime."

The same was true for the mummy of the royal prince Count of Thebes, Pa-seba-khai-en-ipet. Edward Bleiberg, curator of Egyptian, classical and ancient Middle Eastern art at the Brooklyn Museum, said initial findings of his scan reaffirmed his high status: A small incision to the side of the abdomen to remove the organs, while carefully leaving the heart in place, then filling the body with embalming liquids -- all indicated a high-quality mummification process.

Why the heart? In ancient Egypt, the heart was considered the thinking organ -- the center of the soul and the source of knowledge, Bleiberg said.

"The heart knows what a person thinks and feels," he said. "It is supposed to be left in place during mummification so that it could be weighed against the feather of truth in the final judgment."

The images produced on the latest mummies at North Shore will have to be studied for months before researchers gain new insight into ancient Egyptian funeral practices.

In the meantime, some revelations brought to light by the scans beg more questions yet: Pa-seba-khai-en-ipet seems to have a tube lodged inside him, running from his mouth through his esophagus and into the top of his chest. Bleiberg said he and Makaryus are pretty certain that was not the cause of death, and that it was inserted post-mortem. Purpose? That might be lost to the ages.

@highlight

Radiologists at NY hospital analyze Egyptian mummies

@highlight

CT testing allow radiologists to study mummies without doing damaging procedures

@highlight

Recent CT scan reveals Egyptian mummy named Lady Hor was actually a man