(CNN) -- The crib in Ellen Darcy's Boston home has sat empty for more than a year. And in suburban Washington, Laura Teresinski has prepared a nursery for a baby that may never arrive.

Guatemala has announced it will conduct a case-by-case review of every pending foreign adoption case.

They and thousands of prospective parents, eager to adopt children from abroad, have found themselves in an emotional legal limbo since two of the most popular countries for international adoptions -- Guatemala and Vietnam -- recently halted their programs.

Now would-be mothers and fathers around the United States wonder what will become of their quest to adopt a child -- a pursuit that can fray nerves, cost up to $30,000 and span several years.

Guatemala announced this month that it would conduct a case-by-case review of every pending foreign adoption case. That put on hold the adoption plans of about 2,000 American families.

The crackdown comes amid reports that some in Guatemala coerce mothers to relinquish their children for adoption -- or steal the children outright and present them as orphans.

Similar accusations have arisen in Vietnam.

After the United States accused adoption agencies there of corruption and baby-selling, Vietnam said in April that it would no longer allow adoptions to the United States.

"My husband and I were absolutely devastated," Teresinski said. "Adoptive parents have put a lot of emotional energy and a lot of financial resources in the process."

Vietnam's decision affects several hundred families.

Families in the United States adopted 4,728 children from Guatemala and 828 from Vietnam last year.

The halt in adoptions from those two nations unfolds against the backdrop of a dramatic rise in international adoptions in the United States.

The number of foreign-born children adopted by U.S. families more than tripled from 1990 to 2004, when it reached a high of 22,884, though the figure has declined slightly each year since.

In 2007, the U.S. granted visas to 19,613 children so they could join an adoptive family in the United States, according to U.S. State Department figures. About 70 percent of those children came from four countries: China, Guatemala, Russia and Ethiopia.

A few other countries have also halted foreign adoptions at various times, including Kazakhstan and Togo.

Yet the suspensions in Vietnam and Guatemala have had the biggest impact -- they're two of the 10 countries that send the most children to adoptive homes in the Unites States.

Fear of fraud stirs heartache

For Darcy, the review seems more detrimental than helpful.

Her adopted daughter, Carolina, remains in a Guatemalan foster home with three dozen other babies. Darcy worries that keeping Carolina, now 15 months old, in a foster home will harm her early development.

"She's not getting one-on-one care by a consistent caretaker," Darcy said, adding later, "Nobody is looking at this as a violation of the kids' human rights except for these (American) parents."

Guatemala, which until now has had little to no oversight of its foreign adoptions, has the highest per capita rate of adoption in the world.

Nearly one in 100 babies born in Guatemala wind up living with adoptive parents in the United States, according to the U.S. consulate in Guatemala.

While adoptive parents in the United States undergo rigorous screening, adoptions in Guatemala had been processed by notaries responsible for determining whether the babies were relinquished voluntarily. They also arrange foster care and handle paperwork -- notaries in Latin America tend to have more legal training than notaries in the United States.

Both Guatemalan and U.S. officials fear the system leads to practices such as paying birth mothers for children or, in some instances, coercion.

Officials in both countries say gaps in regulations and the high sums of money at play -- adoptions can cost up to $30,000 -- may have created unintended incentives in a country where the State Department estimates that 80 percent of the population lives in poverty.

The Guatemalan government has said its review could take a month or longer. As for the American families, they can only wait.

"I think it's overkill," said Darcy, who was matched with Carolina last March and was approved to adopt the girl last winter -- typically one of the last steps before the actual adoption is complete.

"No adoptive parent wants to adopt an abducted child -- a child that wasn't voluntarily relinquished -- but to keep them as hostages is unacceptable," Darcy said.

Guatemala plans reforms

U.S. officials say they sympathize with the parents, but that reviews like the one in Guatemala are in the best interest of the children.

"We feel for them, it's a tough situation," said a State Department official who is not authorized to speak on the record.

"(But) they'll have the comfort of knowing American parents in the future who adopt from Guatemala will get children from a system that has all the safeguards in place so that children are not exploited," the official said.

In the past, Guatemala required birth mothers to sign a document in court saying they were relinquishing their child. They were not required to reveal their reasons.

Now the government may require the presence of the birth mother and child. The goal is to verify identification and make sure the mother is giving up her child voluntarily.

Cleaning up Guatemala's adoption system is a step toward complying with the standards of the Hague Convention on Intercountry Adoption, an international agreement that governs adoptions from one country to another. About 70 nations have signed the convention, which seeks to ensure legitimate foreign adoptions.

The United States joined the international convention last year, and rules governing adoptions from one signatory nation to another took effect April 1.

The United States has stopped issuing visas to Guatemalan children after that date, blocking their travel to America -- at least until concerns are addressed.

"We're not pointing fingers at American parents," the State Department official said.

However, the review and changes in Guatemala will ensure that it "does not become a fertile ground for (wrongful) practices on any person, particularly children, who have not been orphaned."

To offset corruption, the U.S. Embassy has added its own requirement: That birth mothers appear with the baby to request a visa for the baby. In August, officials also began requiring two DNA tests to confirm the identities of mother and child.

Still, the Guatemalan solicitor general's office has identified at least 80 cases of adoption irregularities, including baby stealing and false DNA tests.

And the Guatemalan chief prosecutor's office recently launched a criminal investigation into the two laboratories contracted to take DNA samples from birth mothers and children.

'Serious irregularities' in Vietnam

Similar concerns of corruption recently emerged in Vietnam, where investigators had found "serious adoption irregularities," according to a report by the U.S. Embassy in Hanoi.

Documents had been forged or altered, the embassy said, and some parents were paid, tricked or forced into giving up their children for adoption. In some cases, the embassy said, children were offered for adoption without the knowledge or permission of their parents.

The Vietnamese government has denied the accusations.

Even so, it said in April that it would terminate its adoption agreement with the United States, saying it won't accept applications after July 1. The program is scheduled to end September 1.

Parents in the United States who were matched with an adoptive child in Vietnam before July 1 will be allowed to adopt that child. Prospective parents who had invested time and money, but had not been matched with an adoptive child, appear to be out of luck.

Private adoption agencies insist that nearly all adoptions from Vietnam are problem-free, and they want the adoptions to continue.

"It's hard to let go, because we know we can advocate for these children and make a real difference," said Linda Brownlee, executive director of the nonprofit Adoption Center of Washington, which places children for adoption from Russia, China, Cambodia and Vietnam.

She hopes the United States and Vietnam reach an agreement so that adoptions can continue.

"Without it, I think children are going to be harmed. They are going to die needlessly, and there is going to be trafficking," Brownlee said.

@highlight

Guatemala and Vietnam say corruption, baby-stealing at heart of crackdown

@highlight

Nearly one in 100 babies born in Guatemala are adopted by U.S. parents

@highlight

Crackdown puts children's well-being at risk, adoption advocates say