(CNN) -- It has become a permanent fixture on the football calendar, and as the NFL prepares to descend on London once again, it seems a permanent touchdown is fast approaching.

As the New England Patriots and St. Louis Rams jet in for Sunday's sixth annual regular season clash at Wembley Stadium, there is a growing sense that an NFL franchise could be based fulltime in the British capital before this decade is out.

With the league having voted to persist with the experiment until at least 2016, and the Jacksonville Jaguars committing to four years of visits to London, the NFL is hoping to build on the spike in interest since landing firm feet on foreign shores in 2005.

NFL commissioner Roger Goodell confirmed at the announcement of this new affirmation to overseas football that the latest deal would increase the swell of support for the game -- likely to be necessary if a franchise is to flourish across the Atlantic.

NFL's St. Louis Rams play 3 home games in London

But if a team is to base itself in Europe, be it in London or anywhere else, it must commit to ingraining the culture of the game in the city it adopts as a new home and guard against antagonizing U.S.-based fans, according to sports business expert Simon Chadwick.

"Successful overseas expansion will require the NFL to create and embed a culture of American football in overseas territories which will need them to successfully engage with local stakeholders," he told CNN.

"As for us fans, it is important they see that the sport's core values and traditional markets are not being compromised or undermined by overseas expansion.

"Moreover, I think the NFL has to 'sell' expansion to existing fans as being important for the future sustainability and success of the sport."

Building a fan base

If a franchise was to touch down in London, its success would hinge on the following it attracts -- something the league has been trying to build since the first regular-season match between the New York Giants and the Miami Dolphins drew a crowd of 81,000 to Wembley in 2007.

But the figures are promising. According to the NFL, there is a fan base of 11 million in the UK, which represents a 32% increase in the last two years. More people are playing the game at amateur level too.

Television numbers are also on the rise, with Sunday games showing a 154% increase in viewers, while the amount of people watching the showpiece Super Bowl has gone up by 74% since 2006.

Goodell has admitted that part of the NFL's reasoning for extending its period of moonlighting in London is to pave the way for a future franchise.

"If we can play multiple regular-season games there, that gives you a better opportunity to be successful if you choose to put a franchise in London," Goodell said, in comments sent to CNN by the NFL.

"But again, that is the other reason for putting two games in London -- we are trying to build that fan base in London. We welcome the fans coming from other parts of Europe.

"But this is a way to really build that fan base right now in London, which will be critical if you did have a franchise there."

Capital attraction

According to Goodell, NFL teams are clamoring to visit London as they bid to spread the word about their teams and their cities, attract new fans and to tap into potentially lucrative new revenue streams.

Minnesota Vikings owner Mark Wilf said his team's clash with the Pittsburgh Steelers in 2013 would offer acute exposure of "Minnesota's impressive business community and tourism industry," as well as offering the franchise's Europe-based fans a chance to see the team in action.

But Chadwick says it will be difficult for the NFL to fully infiltrate a country that has a fervent following of its major three sports -- soccer, cricket and rugby -- because of its intrinsically American nature.

"The NFL is one of those sports that is deeply socio-culturally embedded -- it is quintessentially American, which means it only has limited appeal outside its core markets, in much the same way as a sport like cricket," he said.

"Attendances for NFL games in cities like London have been healthy and are likely to generate a financial return for the NFL. Yet how sustainable such revenue streams might be across a season are open to question.

"Hence, games in overseas territories are about building a fan base with a view to generating long-term financial return. The sustainability of sports such as the NFL requires both a culture shift and the implementation of an appropriate strategy.

"The culture shift needs to place in the hearts and minds of potential customers; the strategy needs to acknowledge that a different approach to the marketing the NFL in the UK is needed compared to the United States."

A need for new markets

New England Patriots owner Robert Kraft is certainly a fan of the idea, as his outfit prepare for their second visit to Wembley.

In quotes on the NFL's international website, Kraft says the game is in danger of "tapping out" in the States due to increased popularity.

"If you look at the last Super Bowl in this past season, we had over 180 million people watching -- that's almost two-thirds of America," he said.

"So for us to grow the game, we have to expand globally. I think I said that the last time we were over here in 2009 and before this next decade is out, I hope we have a team here.

"I think that would be right for the NFL and this fan base has proven they deserve it."

The NFL isn't the only U.S. sport to travel to Europe in search of greater riches.

The NBA staged its first regular season game in London in March 2011 -- the 16th it has played on foreign soil in countries such as Japan and Mexico. The NHL has also dipped its toe in the Thames, holding the first regular season match in 2007.

International competition

It's not just American sports seeking worldwide expansion, but some of these plans haven't gone down as well as the NFL's proposal.

Soccer club Barcelona, for example, refused to play the preseason Super Cup in Beijing, despite the Spanish league having signed a deal with a Chinese promoter.

Barca said China was too far away for club members who might want to attend the game, though it did acknowledge China represents an "attractive market."

There was a strong backlash against the idea of a 39th English Premier League match to be held overseas when the possibility was mooted several years ago, as domestic fans bridled at the prospect that administrators might tamper with their beautiful game.

But Italian sides Juventus and Napoli had no such qualms, as they contested the Italian Super Cup in Beijing's Bird's Nest Stadium back in August.

Chadwick added: "Increasingly, it is a trend for sports to take their domestic games abroad, from Italian football's Super Cup, to Formula One with races in places like India. The long-term sustainability of some sports increasingly appears to be dictated by an ability to successfully internationalize and globalize.

"The Premier League clubs already do this themselves; the Premier League trophy has been held in Asia, and UEFA market the Champions League heavily in other countries.

"Nevertheless there is a sense of inevitability about the previously mentioned 39th game that it will return to the agenda sometime soon.

"For the Premier League to compete with other sporting properties, it will be looking at overseas markets and how best to take advantage of the opportunities they potentially present."

@highlight

NFL returns to Wembley on Sunday as New England Patriots play St. Louis Rams

@highlight

It is the sixth regular season game to be played in London since 2007

@highlight

NFL commissioner raises prospect of a London-based NFL franchise in future

@highlight

Other sports also following U.S. lead by taking matches around the globe