The news that Charlize Theron adopted an African American baby has fired up a debate regularly stoked by the likes of A-listers Madonna, Angelina Jolie and Sandra Bullock.   All have adopted transracially.  And everyone has an opinion.

In the United States  in 2010, black children left the care system at a rate of 24 percent,  while white children left at a rate of 43 percent, according to the U.S. Department of Health and Human Services.  In the UK, where I live, a black child is three times less likely to be adopted from care than a white child.  And until recently, UK guidelines on adoption have made it difficult to adopt between races.

But the policy is changing after Michael Gove, the UK's Education Secretary said it was "outrageous" to deny a child the chance of adoption because "of a misguided belief that race is more important than any other factor." In the UK, a black child is three times less likely to be adopted from care than a white child.

Indeed, the American 1994 Multi-Ethnic Placement Act "affirms the prohibition against delaying or denying the placement of a child for adoption or foster care on the basis of race, color or national origin of the foster or adoptive parents or of the child involved."

Read more: Adopted kids' drug abuse risk affected by biological family

So, with it becoming 'easier' to adopt a child from a different race -- does this make it right? It is a controversial question that I'm not going to seek to answer within the short confines of this article. However, my own experiences of living with a white British family have been positive and one can argue that this was because I still maintained contact with my birth family via visits to Nigeria.

But not every transracially fostered or adopted child's experience is as positive. Having spoken to adults who were fostered or adopted by different races in the past, I hear them speak with a deeply-embedded emotional scar connected with feelings of detachment from their roots and holding onto inaccurate preconceived ideas about their culture.

Indeed, the culturally confused character of my latest novel 'Being Lara' also embodies this detachment. Lara's adoptive white family had done everything a good family should do -- they'd loved, protected and nurtured her- but never had that talk on race. And such a talk is crucial within a transracial adoption setting. In fact, such talks may be necessary frequently throughout the years.

I am by no means an authority on cross-cultural or transracial adoption. It is an emotive and important subject. But whilst a positive outlook is important for anyone embarking on such a journey, the prospective adoptive parent will also need to acknowledge the negativity that could arise and make sure they don't shy away from confronting it. Really confront it.

You can't behave like the mother in my book, who brushes off her daughter Lara's questions after the child is racially abused in the street by saying, "I have ginger hair -- I'm also different."

So, as a multitude of Hollywood stars and average folk seek to adopt children cross racially, the question moves away from the "right and wrongs," and then becomes: "How best to do it?"

In 2008, the Evan B. Donaldson Adoption Institute in New York released a study that suggested foster parents of minority children should receive special training and preparation for the challenges inherent in interracial foster care. Prospective parents may want to consider the following:

•Openly confronting racism

•Carefully examining their own beliefs and attitudes surrounding race and ethnicity

•Educating themselves on skin and hair maintenance for the child

•Include in the family, cultural traditions, customs and foods of the child's origin.

•Living within a multicultural community and allowing the child to attend a racially mixed school.

This all might seem a lot. And it is! Plus there are no guarantees at the end of it. But it is important and it should be-- some say parenting is the most important job in the world!

See also: Top 10 parenting fails of 2011

There is no denying adoption is an emotional subject.  But the readiness of any adult to make such a selfless commitment to a child, is an act that should be commended and viewed fairly -- whatever their culture or race.

@highlight

Writer Lola Jaye says statistics show that black babies are less likely to be adopted than white ones in U.S. and UK.

@highlight

As both countries are now making it easier to adopt transracially, Jaye delves into some of the issues

@highlight

Jaye's latest book portrays a Nigerian girl adopted by a white family and her experiences seeking her identity

@highlight

She suggests some ways to help the families to better prepare for the challenges of transracial adoption.