(CNN) -- In Japanese legend they are known as The Kamikaze -- the divine winds -- a reference to two mighty typhoons placed providentially seven years apart which, in the 13th century, destroyed two separate Mongol invasion fleets so large they were not eclipsed until the D-Day landings of World War II.

Marine archaeologists now say they have uncovered the remains of a ship from the second fleet in 1281 -- believed to have comprised 4,400 vessels -- a meter below the seabed, in 25 meters of water off the coast of Nagasaki, Japan.

Scientists are hoping they will be able to recreate the complete Yuan Dynasty vessel from Kublai Khan's lost fleet using a 12-meter-long section of keel. The Mongols ruled China from 1271 to 1368.

According to Yoshifumi Ikeda, a professor of archaeology at Okinawa's University of the Ryukyus, and head of the research team, the section could go a long way to helping researchers identify all the characteristics of the 20-meter warship.

"This discovery was of major importance for our research," Ikeda told a news conference. "We are planning to expand search efforts and find further information that can help us restore the whole ship."

Discovered using ultrasound equipment, the research team says it is the first wreck from the period to have an intact hull, the planks of which are still attached to the keel with nails.

Scientists say its good state of preservation -- they were even able to establish that the planks were originally painted a whitish-gray -- is due to the fact it has been covered by sand.

"I believe we will be able to understand more about shipbuilding skills at the time as well as the actual situation of exchanges in East Asia," Ikeda told reporters in Nagasaki.

How to survive a shipwreck

More than 4,000 artifacts, including ceramic shards, bricks used for ballast, cannonballs and stone anchors have been found in the vicinity of the wreck, linking it to the Yuan Dynasty invasion fleet.

Ikeda said there were no immediate plans to salvage the hull and the first step was to conserve the find by covering the sites with nets.

The Kamikaze -- perhaps better known as the nickname given to the Japanese suicide pilots of the Pacific War -- were a nation-defining event for Japan and set the limits of Mongol expansion in the east.

Historians say the first Chinese attempt to invade Japan in 1274 ended in disaster.

Having initially engaged a numerically superior Japanese samurai force at the Battle of Bun'ei in First Battle of Hakata Bay, the Chinese retreated to their fleet of 300 ships and some 500 smaller craft after just one day of battle on land. A typhoon destroyed a third of the fleet that night and the remnants limped back to port in Korea which was then a vassal state of China.

Seven years later, Kublai Khan amassed an impressive armada of 4,400 ships carrying 40,000 Korean, Mongol and Chinese troops in a bid to finally subjugate Japan. The Japanese, convinced of a second invasion, had spent the intervening years building strategic seawalls which made it difficult for the Chinese to land.

Unable to gain a beachhead after initially taking the island of Iki and Tsushima, the fleet was decimated by a two-day typhoon that hit the Tsushima Straits.

It is believed about 80% of the fleet was destroyed and the Khan's troops either drowned at sea or slaughtered on the beaches by samurai.

According to a contemporary account cited in the book "Khubilai Khan's lost fleet: In Search of a Legendary Armada," by maritime archaeologist James P. Delgado, the losses were so great that "a person could walk across from one point of land to another on a mass of wreckage".

@highlight

Marine archaeologists have found a shipwreck dating from the 13th century off the coast of Japan

@highlight

The vessel is thought to have been part of Kublai Khan's massive invasion fleet

@highlight

More than 4,000 artifacts, including pottery shards, cannonballs and anchors were found near the wreck