(CNN) -- From the Epic of Gilgamesh, composed in Mesopotamia 4,000 years ago, to Evan Almighty -- Hollywood's 2007 take on the Noah's Ark story -- floods and their catastrophic effects have long provided inspiration for storytellers.

As global warming provokes increasingly severe weather events, however, the gap between art and life is fast narrowing, with apocalyptic flooding scenarios now as common in reality as in the imaginations of Hollywood scriptwriters.

Recent flooding in the UK, for example -- the worst for 60 years -- left some 30,000 people homeless and the insurance industry facing over £3 billion ($6 billion) in payouts.

Torrential rains in India, Nepal and Bangladesh have caused even greater misery, claiming hundreds of lives and displacing an estimated 20 million civilians.

In the U.S., meanwhile, New Orleans continues to suffer from the ravages of 2005's Hurricaine Katrina, with much of the city still empty and uninhabitable two years after the deluge.

With low-lying areas around the world increasingly susceptible to flooding -- this at a time when population growth has necessitated the construction of more and more homes in such areas -- the question of how to balance the need for housing with the dangers of rising water levels has never been more pressing.

In the Netherlands, where half the country lies below mean sea level and flooding has long been a fact of life, construction and engineering company Dura Vermeer has come up with a novel and, when you think about it, obvious solution to the problem: houses that float.

"These type of homes offer a good way of dealing with the effects of climate change," Dura Vermeer spokesman Johan van der Pol told CNN.

"Unlike normal houses, they are extremely flexible when it comes to flooding, able to deal with a sea level rise of up to five metres.

"In a country such as Holland, where flooding is a serious problem, this sort of technology could have an extremely important role to play."

The company has developed two variations on the same theme: a floating house which, as the name suggests, sits permanently on the water like a boat; and an amphibious house that stands on dry land but, in the event of floods, is able to rise with the water.

Both employ a large hollow concrete cube at their base to provide buoyancy, and are "moored" in pairs to huge steel piles to keep them anchored in one place, the piles enabling them to withstand currents as strong as you would find on the open seas.

Water and electricity are brought in through flexible pipes that have been adapted to bend and move with the swell of the water.

In every other respect they look and feel like normal homes -- albeit up-market designer homes -- with split-level accommodation, wooden balconies and clapboard exteriors painted cheery shades of yellow, green and blue.

"The steel piles mean that residents experience no horizontal, side-to-side movement," explains van der Pol.

"Although there is a small amount of vertical, up and down movement, most residents say they find the feeling quite enjoyable.

"These houses not only offer protection against floods, but also great quality of living and low environmental impact."

So far Dura Vermeer has built 46 such water-friendly units - 14 floating and 32 amphibious - at Maasbommel, on the banks of the River Maas in Gelderland province in the centre of the country.

The technology and design -- the latter provided by Dutch architectural firm Factor Architecten -- took three years to develop, although obtaining a government green light for the project took considerably longer.

"After the disastrous floods of 1995 the Dutch government laid down strict rules forbidding the building of houses beside rivers.

"We had a lot of discussion with them and eventually those rules were adapted to allow for the construction of suitable housing at fifteen separate river locations, of which Maasbommel is one.

"Our philosophy is that you can look at water as a threat, but also as a challenge and a commercial opportunity. Combining water and housing is the obvious way forward in countries such as the Netherlands."

Floating buildings are certainly not the only way of achieving such a combination.

Dura Vermeer is also developing what they term "dry-proof" and "wet-proof" houses, the former designed to prevent water intrusion, the latter to actually allow it.

"The idea with wet-proof houses is that all the essential rooms -- living room, kitchen, bedroom - are on the upper floors," explains van der Pol.

"In the event of a flood you open the doors and allow the water to enter the non-essential lower rooms, which have been specially designed to resist water damage, with waterproof plaster and specially adapted electrics and plumbing.

"It is how houses in Holland always used to be built."

If there are a number of technological options, however, it is the idea of a floating house, one that can withstand rising water levels by literally rising with them, that has attracted the most interest, both within the Netherlands and from countries with similar flooding issues.

"There have been enquiries from around the world," says van der Pol.

"We are now working with companies in the Far East, Asia, America and elsewhere in Europe, although we ourselves will only be building houses in Holland."

The houses are certainly not being touted as an alternative to conventional flood defenses such as dykes, levees and river barriers.

Nor are they cheap, their starting price of 260,000 euros ($310,000) meaning that, in terms of mass construction, it is only the world's more affluent nations that will be able to afford them (although as van der Pol points out, developing countries such as Bangladesh tend to use materials other than concrete to build houses, so probably would have much use for these type of structures anyway.)

In Europe, the U.S, and Canada, on the other hand, such buildings could well become the norm, with Dura Vermeer and a number of other Dutch companies already exploring the possibility of entire cities built in this manner.

With scientists predicting sea-level rises of up to 110 cms (43 inches) by 2100, and catastrophic weather events becoming ever more common, the floating house could be the only realistic way for people to continue living in low-lying areas without fear of losing their homes, possessions and even lives to flooding.

As Dutch Housing Minister Sybilla Dekker recently put it: "You cannot fight water. You have to learn how to live with it."

Or in this case, float on it.

.............................................

Are floating houses the answer to rising sea levels? Would you live in a floating home? Share your views and read others' thoughts in the Just Imagine forum.

@highlight

Dutch company develops range of floating and amphibious houses

@highlight

Homes built on air-filled concrete cubes that rise with floods

@highlight

Entire floating cities now being planned