United Nations (CNN) -- Syria will soon complete its official investigation into last week's massacre in Houla, the country's U.N. ambassador said Wednesday.

"The national commission of investigation in Syria will terminate its investigation tomorrow or after tomorrow," Bashar Jaafari told reporters at the United Nations. "And then you will hear, all of you ... the results of this investigation. And all of us will know for sure the identity of the perpetrators."

Syrian officials have repeatedly denied government involvement in the massacre that left more than 100 people dead, about half of them children.

But Rupert Colville, spokesman for the U.N. human rights office, said Tuesday that it's "clear" government forces were involved.

Most died as a result of "summary executions" by "armed men going into houses and killing men, women and children inside," Colville said, saying the Shabiha militia, a government militia group, appeared to be behind the executions.

Susan Rice, the U.S. ambassador to the United Nations, said the massacre was carried out "by every indication, by the Shabiha militias acting on behalf of the government. We think it's quite clear-cut."

Since the conflict began more than a year ago, President Bashar al-Assad's regime has blamed violence against civilians on "armed terrorist groups," a line Jaafari continued Wednesday.

Those behind the "heinous crime," which was "unjustified and unjustifiable," will be brought to justice, Jaafari said. He also argued that other countries are supporting groups that are smuggling weapons into Syria.

The remarks came after a meeting of the U.N. Security Council, in which countries sought new ways to increase the pressure on the regime.

Rice said after the meeting, "We certainly agree with Kofi Annan that this is a moment where we have reached, in effect, a tipping point."

Air strikes would wreck al-Assad, says former Syrian general

Annan, special envoy to Syria for the United Nations and the Arab League, who has pushed a six-point peace plan, used the phrase "tipping point" Tuesday.

"I think we may be beginning to see the wheels coming off of this bus," Rice said. "And that means that what happens next and the steps that are taken by the Syrian authorities and by this council could well be dispositive."

"The political process, which is so crucial to the success of any transition, which is the purpose of the Annan plan, is thwarted by the ongoing, escalating, expanding violence perpetrated by the government, and the reality that the opposition cannot possibly be expected to come to the table while the violence is intensifying, escalating and the government is lying about it," she said.

But Jaafari insisted that his government was doing all it could to protect Syria's citizenry. "We are facing terrorist armed groups -- trained, financed, harbored and protected by some countries in the area -- Arab countries, regional countries and internationally speaking also."

Eleven nations -- the United States, the Netherlands, Australia, Britain, France, Germany, Italy, Japan, Spain, Bulgaria and Canada -- announced Tuesday that they were expelling Syrian diplomats. Turkey joined that list Wednesday, expelling the charge d'affaires and other diplomatic personnel from Syria's embassy in Ankara.

In turn, Syria said Wednesday it was expelling the Dutch charge d'affaires from Damascus, giving her 72 hours to leave the country.

Jaafari said the diplomatic moves against Syria were not helping the situation. "Sanctions, expulsions of diplomats -- this is not diplomacy," he said. "Diplomacy is totally different."

Russia called the expulsions of Syrian diplomats "counterproductive" and insisted that a U.N. Security Council statement Sunday condemning the incident was "a strong enough signal to the Syria parties."

A central question hanging over the Security Council meeting is what steps Russia and China will countenance. As permanent members, they have veto power, which they have used previously to block two resolutions. Many world leaders assailed the two nations, saying they were preventing steps that could stop the violence. But the two countries said they were seeking more balanced resolutions.

Both have major trade deals with Syria.

While no nation is openly pushing for military action, French President Francois Hollande has said it cannot be ruled out.

U.S. sticking with 'Plan A' for Syria

China and Russia spoke out Wednesday against such an idea.

"China opposes military intervention and does not support forced regime change," said Liu Weimin, a Chinese Foreign Ministry spokesman. "The fundamental route to resolving the Syrian issue is still for all sides to fully support Annan's mediation efforts and push all the relevant parties to carry out diplomatic dialogue."

"One cannot take decisions on military operations in Syria by being guided by only emotions," said Russian First Deputy Foreign Minister Andrei Denisov, according to Russian news agency Itar-Tass.

Denisov also said "the Russian position is not formed on the basis of emotions, which our respected French partners have unfortunately not escaped in the formulation of their position," according to Russian news outlet RIA Novosti.

In Washington, State Department Deputy Spokesman Mark Toner said U.S. officials were not putting all their hopes into the Annan plan.

"We're also continuing with these other options that we're pursuing, which is support for the opposition, humanitarian assistance, working through the (opposition group) Friends of Syria to increase financial and political pressure on Assad," he said.

In a statement from a spokesman, the Free Syrian Army said it was giving the Syrian regime until noon on Friday to implement the Security Council resolutions or it would stop complying with them.

"Immediately halting gunfire and all violence, pulling out all the troops, tanks and machinery from the cities, towns and residential areas, allowing humanitarian aid to reach all stricken areas, releasing all prisoners and allowing media access, guaranteeing the freedom to demonstrate, not attacking the U.N. monitors like what happened in several areas, and entering true and serious dialogue through the United Nations in order to hand over the power to the people," said the spokesman, Col. Qasim Saad Eddine.

"Our national, moral and humanitarian duty make it necessary for us to defend and protect our civilians and their cities, towns, blood, and dignity," the statement said. "And this right to protect ourselves does not go against international laws and norms."

The United States announced Wednesday it was sanctioning a Syrian bank that al-Assad's regime was using to circumvent other sanctions. The U.S. Treasury said its action will help isolate the regime.

U.S. intervention: Damned if they do, damned if they don't?

Peter Wittig, Germany's U.N. ambassador, said he hoped the Houla massacre was "an eye-opener for some members of the council."

He said he hoped the council would consider expanding the U.N. monitoring mission in Syria. Also, he asked, "How does the council deal with violations of its own resolutions? Because the massacre in Houla was a clear violation of the Security Council resolution."

He added, "We have to exhaust all means to find a political solution," and "militarization, for us, is not an option."

In Washington, White House press secretary Jay Carney took a similar tack: "Right now we believe that, for example, on the issue of providing lethal aid, that that's not the course of action that's the right one to take for this country," he told reporters. "We're providing nonlethal assistance and humanitarian assistance in coordinating with other nations and providing support for the opposition as it forms itself."

Since the uprising in Syria began nearly 15 months ago, Syrian government forces have engaged in a crackdown on the opposition.

At least 46 people were killed Wednesday, including 14 in Homs, 12 in the Damascus suburbs and 10 in Daraa, the opposition Local Coordination Committees of Syria said. The LCC also said regime forces launched tear-gas grenades at Aleppo University students and made arrests.

Meanwhile, the head of the U.N. observer mission said 13 bodies were discovered Tuesday night in the area of Assukar, 30 miles east of Deir Ezzor in the eastern part of the country.

"All the bodies had their hands tied behind their backs and some appear to have been shot in the head from a short distance," according to a statement from the office of Maj. Gen. Robert Mood.

Mood called the act "appalling and inexcusable" and urged "all parties to exercise restraint and end the cycle of violence."

Syria, on the state-run news agency SANA, said 25 "army, law enforcement and civilian martyrs" were buried Wednesday. Also, an "armed terrorist group" attacked an oil pipeline in Deir Ezzor, SANA reported.

CNN cannot confirm death tolls or reports of violence from Syria because the government limits access to the country by foreign journalists.

Jaafari insisted Syria supports Annan's six-point plan to halt the violence in Syria, and reiterated that his government is acting only against terrorist groups, but finds itself in a difficult position.

"On one hand, if we deploy our army and the law enforcement forces to protect the civilians, somebody would come and criticize us -- Why are we doing that? But if we let the people get killed by the terrorist groups, then we will be also blamed again -- Why you didn't protect your civilians?"

Jaafari described the talks between al-Assad and Annan during the former U.N. secretary general's visit to Damascus as "good," adding that Syria supports his peace plan. But, Jaafari said, other nations must cooperate if peace is to be achieved.

"President Assad reviewed with Kofi Annan the progress that has been achieved by the Syrian government in implementing his plan," Jaafari said. "However, President Assad reminded Mr. Kofi Annan of the necessity to have everybody else committed to respecting his plan and to stop financing and arming and smuggling weapons into Syria."

CNN's Amir Ahmed, Faith Karimi and Joe Sterling contributed to this report.

@highlight

"Sanctions, expulsions of diplomats -- this is not diplomacy," Jaafari says

@highlight

U.S. says "not ambiguous" that militias carried out massacre on behalf of Syrian government

@highlight

Germany's U.N. ambassador: "Militarization, for us, is not an option"

@highlight

U.N. observer mission reports 13 bound bodies found in Deir Ezzor