(CNN) -- The Etch a Sketch was in full effect at the first presidential debate in Denver on Wednesday night.

Mitt Romney put forward a strong performance, transforming back into his 2002 Massachusetts moderate mold, a belated advocate of bipartisan leadership. It would have had a lot more impact if it hadn't contradicted almost every policy statement Romney has made on the campaign trail since he started running for president. This flip-flopping is a force of habit, but it was used to great effect, reflecting a campaign and a candidate finally focused on the general electorate.

President Obama, in turn, had an objectively weak debate. The president was more professor than preacher, a budget wonk getting lost in paragraphs of detail rather than concisely punching back. He fulfilled the political truism that incumbent presidents have bad first debates because they are comparatively unprepared and overburdened by budgets and other details of governing -- as President Reagan did in his disastrous first 1984 debate.

The trick of communicating policy is to distill it to memorable concise concepts. That happened far too rarely, and when it did, it seemed to be off the cuff, winning Obama points for authenticity but few for debate prep.

Opinion: Romney shakes up the race

The audacity of the Etch a Sketch was evident in the first 15 minutes of the debate, when Mitt Romney said, "I will not reduce the taxes paid by high-income Americans." It was an eye-popping assertion, almost as if the candidate hadn't been listening to his own campaign rhetoric -- especially if you'd been following Romney's campaign rhetoric for the past 18 months or more. (Remember that "Etch A Sketch" entered the campaign lexicon in March, when Romney adviser Eric Fehrnstrom signaled on CNN that Romney could transform his primary campaign message for the general election.)

The pattern continued with Romney asserting that after repealing Obamacare, he would advocate the implementation of his own individual mandate plan -- "And the best course for health care is to do what we did in my state" -- but it would be state by state, along a federalist model.

Romney did not hesitate to play the MediScare card -- the most discredited Democrat tactic against entitlement reform, but apparently acceptable if it is done by a Republican trying to win Florida. Happily, for hypocrisy watchers, this move also scored worst with the focus group of undecided voters conducted by CNN's Erin Burnett in Denver during the debate.

The litany of flip-flops increased when the candidates' policy positions were pushed for specifics. It was a necessary goal that wasn't aided by the too often unfocused moderation of veteran newsman Jim Lehrer, who did not need a 12th presidential debate under his belt.

Among the gaps was the question of whether Romney supports ending "too big to fail" -- which might mean breaking up the big banks, and/or restoring safeguards from the 1933 Glass-Steagall banking reform act, repealed in 1999 -- or simply repealing the 2010 Dodd-Frank law, which regulates Wall Street.

On that issue, as well as on Obamacare, it was not clear what Romney would put in place of the laws he plans to repeal.

Romney seemed to indicate he would end oil company subsidies if corporate rates were lowered enough -- that's news to Exxon, I'm guessing. Romney said Obama should have backed the Bowles-Simpson Commission's deficit reduction proposals (I agree), but did not back the recommendations of that panel himself.

Opinion: Romney wasn't stellar, but Obama fell short

He advocated a balanced deficit reduction plan but refused to raise any revenue -- and perhaps unwisely said he'd kill "Sesame Street" icon Big Bird in the process. His enthusiasm for budget cutting does not square with his commitment to increasing military spending to 4% of GDP.

Likewise, he wasn't pressed -- by Obama or Lehrer -- to specify the loophole closures which Romney said would make his 20% tax cuts revenue-neutral for top income earners.

Whenever Lehrer did try to assert himself as a moderator, Romney reflexively bristled -- he is not a man who likes being told he has to conform to other people's rules.

The president's strategic decision to try to find rhetorical common ground on policy at the outset came across as passive rather than conciliatory. His correct pressing on the fact that many of Romney's stated economic plans "do not add up" got lost in paragraphs rather than topic sentences.

To be fair, Obama had a few good lines -- dismissing Romney's economic plan by saying "math, common sense, and our history shows us that's not a recipe for job growth." His pushback on Wall Street reform was also memorable: "Does anybody out there think that the big problem we had is that there was too much oversight and regulation of Wall Street? Because if you do, then Gov. Romney is your candidate. But that's not what I believe."

But Romney exceeded expectations and put forward a confident debate performance that was especially impressive given its disregard for his own past policy positions. Romney shone in the moments he discussed the generational theft of deficits and debt. In contrast, Obama did not come ready for combat, even in a Jed Bartlett egghead way.

Assessments of presidential debate performances tend to evolve over the next day, reflecting a combination of spin, fact-checking and conventional wisdom. This first debate will be subject to the same evolution, as partisans on both sides try furiously to spin the debate in their direction.

A flip-flop ad, contrasting past statements with debate statements, could be effective for either campaign. It's worth remembering that many swing voters who have lives were watching the high-stakes season-ending baseball games, instead of obsessively trolling Twitter for debate commentary.

Opinion: It wasn't just Romney who won

In the search for honest brokers -- patriots, not partisans -- we can only hope that the truth, ever elusive, will win out in the end, because we ultimately get the government we deserve.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Romney's effectiveness overshadowed his many flip-flops

@highlight

He says GOP candidate broke with his more conservative positions, aimed for the center

@highlight

President Obama failed to make an effective case for his policies, Avlon says

@highlight

Avlon: Romney shone when he discussed the generational theft of deficits and debt