St. Paul, Minnesota (CNN) -- The long, complicated legal road for NFL players and owners kicked off in a federal courtroom Wednesday, as both sides made their case for and against lifting a lockout that could delay the start of the football season.

At the conclusion of the hearing, Judge Susan Richard Nelson said she expected to make a decision in a couple of weeks.

The lockout is the result of an ongoing dispute between the NFL owners and the players who failed to reach a collective-bargaining agreement last month.

Tom Brady, Drew Brees, Peyton Manning and seven other players have filed a lawsuit on behalf of other current and eligible NFL players against the league to halt the lockout, which could affect the start of the 2011-12 season scheduled for September 8.

What to expect from Brady v. NFL

They want a preliminary injunction to block the lockout.  The players also want a future trial to determine if the NFL lockout is in violation of federal antitrust laws.

In his opening statement to the judge, the players' attorney James Quinn stressed the players face "irreparable harm" to their careers, income and health, if a preliminary injunction is not granted.

NFL attorney David Boies disagreed with that position.

"They say there is irreparable harm, we say there is not," Boies told the judge. "There are numerous factual disagreements between the parties."

Nelson asked several times whether an evidentiary hearing is necessary to resolve the factual disputes.  But Quinn said, among other things, that would only "delay" this process.

The players present in the courtroom were Vincent Jackson of the San Diego Chargers, Ben Leber and Brian Robison of the Minnesota Vikings, Mike Vrabel of the Kansas City Chiefs, draft-eligible Texas A&M linebacker Von Miller and retired NFL player Carl Eller.

On Monday, Nelson agreed to combine Brady v. National Football League with another class-action lawsuit, Eller v. NFL, filed in March by a group primarily made up of retired NFL players.

That second lawsuit is "potentially more threatening" because the plaintiffs in Eller v. NFL are not bargaining members of the NFL's players union, the National Football League Players Association, or NFLPA, and the NFL cannot argue that they engaged in bad faith during collective-bargaining discussions, according to SI.com's legal analyst Michael McCann.

"The NFLPA may be removed from the picture in Eller v. NFL, a point which would take away a key defense the NFL enjoys in Brady v. NFL," McCann said.

Last month, negotiations between the NFL and players union aimed at preventing a work stoppage broke down. The union decertified itself. By giving up their collective-bargaining rights, the players could file individual antitrust suits against the league and the owners. That move set the stage for a lengthy legal battle with owners.

At the time, the NFL accused the union of walking away from "a very good deal on the table."

If the players are locked out from playing in September, it would be the first NFL work stoppage since 1987, with months of labor and legal maneuvering for football fans already confused about how a $9 billion industry lacks enough money to satisfy everyone.

NFL prepares players for lockout

The heart of the issue between the players and the owners is how to divide the league's $9 billion in revenue.

Right now, NFL owners take $1 billion off the top of that revenue stream. After that, the players get about 60%.

The owners say that the current labor deal doesn't take into account the rising costs related to building stadiums and promoting the game. The players argue that the league has not sufficiently opened up its books to prove this point.

In addition, the owners also want to increase the season by two games, which some players are against because of the risk of injuries.

While star players earn millions of dollars each year, the median NFL salary is $790,000 and the average career lasts about four years.

A lockout also affects the league's employees: the receptionists, ticket salespeople and stadium workers. The New York Jets have announced that they will require all business-side employees to take a one-week unpaid leave each month during any lockout.

Poll: Who do you think is to blame?

The lockout will not stop the NFL Draft, which will proceed as scheduled on April 28-30, the league said.

All other regular off-season activity would cease, threatening to delay or cancel the start of the new season.

The teams might approach the draft a bit differently in the midst of a lockout, according to Steve Politi, a sports columnist for The Star-Ledger in Newark, New Jersey.

"Teams might (pick) based on needs rather than the best players available, because who knows when they'll be able to address those needs on the free-agent market," Politi said.

It is possible for the NFL season to go forward with replacement players, but analyst McCann said that is not likely:

"Practical and legal hurdles would make doing so extremely unlikely," he said.

But it's still a possibility.

"The NFL might argue that if NFL players won't accept the league's best CBA (collective-bargaining agreement) offer, the league has no choice but to resume games with other players who are willing to play," he added.

CNN's Tricia Escobedo reported from Atlanta, and Chris Welch reported from St. Paul.

@highlight

NEW: Federal hearing on lifting the NFL lockout wraps up

@highlight

NEW: Judge says she will make a decision in a couple of weeks

@highlight

The lockout would affect the start of the next season