(CNN) -- In recent days, President Barack Obama has applauded efforts to bring former Serb Gen. Ratko Mladic and Libyan leader Moammar Gadhafi before international courts.

It's another indication his administration is more willing than its predecessors to promote the role of international justice in prosecuting those accused of gross human rights abuses. But don't expect the U.S. to sign up to the International Criminal Court anytime soon.

The ICC prosecutes individuals accused of crimes against humanity, war crimes, crimes of aggression and genocide. It was set up at an international conference in 1998 and came into being in 2002. Since then, 115 states have ratified the treaty -- though the United States, Russia, China and Israel are not among them.

Its very existence has long been a combustible issue in the United States. President Clinton signed the treaty establishing the ICC on January 3, 2000 -- the last day it was open for signature. But at the same time he said he would "not recommend that my successor submit the treaty to the Senate" -- saying "the United States should have the chance to observe and assess the functioning of the court before choosing to become subject to its jurisdiction."

Conservatives have long loathed the ICC. Sen. Jesse Helms fulminated against it as "an unprecedented assault on American sovereignty." President George W. Bush "unsigned" the treaty, concerned that U.S. troops and policy-makers alike could face action from a politically-motivated prosecutor.

As then-White House spokesman Ari Fleischer put it, "The president (George W. Bush) thinks the ICC is fundamentally flawed because it puts American servicemen and women at fundamental risk of being tried by an entity that is beyond America's reach, beyond America's laws and can subject American civilians and military to arbitrary standards of justice."

However, the Bush administration did accept the role of the ICC to bring to justice the perpetrators of what it described as genocide in Darfur, Sudan. In 2005, the U.S. abstained rather than veto a Security Council resolution referring allegations of war crimes in Darfur to the ICC.

Within the current administration, Secretary of State Hillary Clinton appears the most enthusiastic about joining the ICC. Two years ago, at an event in Nairobi, CNN's Fareed Zakharia asked Clinton whether it was more difficult to pursue human rights issues so long as the US was not a signatory.

"That is a great regret, but it is a fact that we are not yet a signatory," she said. "But we have supported the work of the court and will continue to do so under the Obama administration."

On Thursday Clinton was effusive about the capture of Mladic. "Mladic's arrest serves as a statement to those around the world who would break the law and target innocent civilians: International justice works," she said pointedly.

Mladic will actually be prosecuted by the International Criminal Tribunal for the Former Yugoslavia, but the sentiment is clear and Obama echoed her view. "From Nuremberg to the present, the United States has long viewed justice for war crimes, crimes against humanity, and genocide as both a moral imperative and an essential element of stability and peace," he said in a statement issued at the G8 summit.

While not expending political capital at home on a battle to ratify the Rome Treaty that established the court, Obama backed the ICC's decision in 2009 to issue an arrest warrant for Sudanese President Omar al-Bashir in connection with the killings in Darfur.

The Obama administration also supports the involvement of the International Criminal Court in Libya. In February, the United States voted for U.N. Security Council Resolution 1970 that referred the situation in Libya to the ICC, stating that "widespread and systematic attacks currently taking place against the civilian population may amount to crimes against humanity." The ICC's chief prosecutor has since issued arrest warrants for Moammar Gadhafi, his son Saif al-Arab Gadhafi and Libyan intelligence chief Abdullah Sanussi.

Those who want the United States to lend its full weight to the court say fears that U.S. officials and soldiers would find themselves in the dock are overdone. The ICC is designed as a court of last resort, to take action when the host country is unable or unwilling to prosecute individuals accused of grave crimes. They also argue that the Bush administration's refusal to sign up reinforced perceptions overseas that it was "unilateralist."

In a column for the Los Angeles Times this week, Lt. Col. Butch Bracknell, a serving Marine and senior fellow at the Atlantic Council, recalled a conversation he had on a recent training trip to Iraq: "One Iraqi officer asked me, 'If the United States believes in accountability over impunity, why are you not a party to the International Criminal Court?' I did not have a satisfactory answer."

But Iraq and most other Arab states have also turned their back on the court -- for one reason: Israel.

Qatar's attorney general, Al Bin Fetais al Marri, said this week: "Between the Arab world and the court there is a big problem of misunderstanding," saying the court was selective in its investigations. Some African commentators point to the fact that the great majority of arrest warrants issued so far have been for Africans. After the arrest warrant was issued for Sudanese leader Omar al-Bashir, a Sudanese official dismissed the court as "one of the tools of the new colonization."

So despite modest progress (though as yet no convictions) the ICC is far from establishing itself as a universally respected institution. Justice -- like beauty -- is in the eye of the beholder.

@highlight

ICC prosecutes individuals accused of crimes against humanity, war crimes, genocide

@highlight

Set up at conference in 1998 and established in 2002

@highlight

115 states have ratified the treaty, but not United States, Russia, China, Israel