(CNN) -- Clint Eastwood's rambling speech to an empty chair in Tampa, Florida, was more than just awkward performance art on a political stage. 

It actually provided a useful metaphor for one of the most nauseating aspects of this presidential election -- the growing gap between narrative and facts.

One of my favorite quotes is by the late, great Sen. Daniel Patrick Moynihan: "Everyone is entitled to their own opinion, but not their own facts." But because of the rise of partisan media, amplified by the echo chamber of the Internet and talk radio, today everyone comes to civic debates armed with their own facts.

And so civic debates get debased, becoming more intense but more incoherent.  The Politics of the Empty Chair allows narratives to take the place of facts and usher in an essentially fictitious debate, inspiring monologues that feel like dialogues.

It's the political equivalent of shadowboxing, intellectual combat with a fear-fueled misrepresentation of your opponent. The funniest comment about Eastwood's performance came via Twitter from Nation writer Jamelle Bouie: "This is a perfect representation of the campaign: An old white man arguing with an imaginary Barack Obama."

So Obama becomes a noncitizen and closet communist hell-bent on subverting the American experiment because he has a racial chip on his shoulder. On the flip side, Mitt Romney somehow wants to bring this country back to the 1950s, reimposing not just the Bush years but the white-bread world of prefeminist, segregation-era America. 

Both visions are nonsense, but both narratives have their adherents on the fringe, which is increasingly blurring with the base of each party.

This unfortunately extends to the policy arena as well.  So the heated debate over Obamacare is intentionally mischaracterized as a "government takeover of health care" despite that there's no public option for health insurance, let alone a single payer. 

Whatever its many flaws, the individual mandate was a plan initially put forward by the conservative Heritage Foundation, proposed by Republicans as an alternative to "Hillary Care" in the 1990s. It was implemented in his state by Massachusetts Gov. Mitt Romney, who argued it advanced the virtue of personal responsibility. But "government takeover of health care" polls better, and so it is repeated in the echo chamber until facts start to fade.  This is the Politics of the Empty Chair.

In the Politics of the Empty Chair, when a bipartisan group such as the Tax Policy Center criticizes primary opponent Rick Perry's tax plan, Romney holds up their analysis as impartial. But when they scrutinize his tax plan and find that it would actually raise taxes on middle class households by removing tax credits and deductions to pay for additional tax cuts for upper-income voters, it is attacked as blatantly partisan, not fit for decent conversation. 

In the Politics of the Empty Chair, the only facts acknowledged are ones that conform to political self-interest.

There are epic ironies when the Politics of the Empty Chair takes center stage. The only mention of the ongoing war in Afghanistan on the Republican convention's final night came not from Romney, but Clint Eastwood, who offered a line that implied we never should have gone there in the first place and that Obama should have removed troops immediately rather than offering a timeline. 
This got huge applause in the hall because it was a criticism of Obama. The fact that it would have been seen as a seditious attack on Bush-era policy just four years before was ignored.  Even wars fade from view in the Politics of the Empty Chair.

The most credible criticism of Obama is that the deficit and debt have exploded under his watch. But even on this solid ground, the Politics of the Empty Chair creeps in, ignoring the fact that surpluses were turned into deficits under President George W. Bush and that the Romney-Ryan deficit reduction plan, such as it exists, could actually increase the deficit by prioritizing additional tax cuts and making military spending 4% of GDP. 

The Politics of the Empty Chair allows Paul Ryan to criticize Obama for ignoring the recommendations of the Bowles-Simpson Commission, while conveniently ignoring the fact that he himself voted against the Bowles-Simpson commission. No one talks back when you're debating an empty chair.

The Democrats have their own examples of Empty Chair politics, most notably when entitlement reform is proposed as part of plans to reduce the deficit and the debt. Whenever Republicans propose Medicare reform, liberals reflexively reply with Medi-Scare tactics, trying to scare seniors about reforms that would not effect them. This was captured by a particularly ugly 2011 campaign ad showing "Paul Ryan" literally pushing grandma off a cliff. 

Now Ryan, Romney and company are trying to deflect attention from the details of that Medicare plan with Medi-Scare tactics of their own, talking incessantly about how Obama's health care law will cut $716 billion from current seniors. This is an equally cynical attempt to attack and distract -- especially because Ryan's plan keeps such long-term efficiency savings in place -- all part of an effort to confuse seniors and blur contrasts before Election Day.

The latest parlor game in the Politics of the Empty Chair is paranoid musing about just what Obama will try to accomplish in an "unaccountable" second term.  This argument implicitly acknowledges that maybe Obama hasn't been as radical as advertised in his first term -- the Republic still stands and the Constitution is not yet confetti -- but just wait until he gets his hands on that second term: then the hammer and sickle will start flying over the White House in earnest.

But Obama has enabled the Politics of the Empty Chair to flourish by too often putting oratory above operational action and by his campaign's failure to lay out a clear second-term agenda. To try to stop the Politics of the Empty Chair in Charlotte, criticisms of the Romney-Ryan ticket should be backed up with stats and facts. (This is, I know, too much to hope, but it would be good politics as well as good policy).

Perhaps even more importantly, Obama needs to lay out a clear agenda for the second term in his convention speech -- not just poll-tested bromides about defending the middle class, but actual plans, including an alternative path to deficit reduction that takes on some sacred cows on the left, including entitlement reform.

Members of the echo chamber love the Politics of the Empty Chair because it allows them to speak for the opposition, creating their own cartoon images, demonizing and distorting them beyond all recognition. 

The conspiracy entrepreneurs and professional partisans who profit in this environment need to keep their audiences agitated, convinced that they have access to special knowledge. 

They become addicted to division, divorced from the actual responsibilities of governing and ironically alienated from the Founding Fathers they claim to admire.  George Washington, Alexander Hamilton, Thomas Jefferson and John Adams had their differences, of course, but they all warned against the dangers of falling into factions.

"One of the expedients of party to acquire influence within particular districts is to misrepresent the opinions and aims of other districts," wrote Washington in his farewell address.  "You cannot shield yourselves too much against the jealousies and heartburnings which spring from these misrepresentations; they tend to render alien to each other those who ought to be bound together by fraternal affection."

It is worth taking the advice of the original founding father to heart.  There is an alternative to the Politics of the Empty Chair -- and that is a serious, civic debate, backed by facts and contemptuous of fear-fueled misrepresentations, especially from our own side of the aisle. 

After all, America is too great a nation -- and presidential elections too important an occasion -- to have our country looking confused and past its prime, engaged in overheated debates with fictitious figures, while the whole world watches.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Eastwood's empty chair points to the gap between campaign talk, reality

@highlight

He says partisans on both sides distort their opponents' views, play loose with facts

@highlight

Avlon: The distortions are particularly apparent on issues such as health care, Medicare

@highlight

He says the convention gives President Obama a chance to sketch a second-term agenda