Durban, South Africa (CNN) -- Making cities greener "actually makes a lot of sense" in spite of the economic crisis, says former Irish President, Mary Robinson.

"You save money," she said, adding that the real challenge is greening cities in poorer nations, like Bangladesh, where people live in "almost impossible conditions."

Robinson was one of four leading climate change thinkers discussing how viable it is to invest in sustainable cities in a debate hosted by CNN's Robyn Curnow during the 2011 U.N. Conference on Climate Change last week in Durban.

Joining Robinson on the panel were Pan Jiahua, advisor to the Chinese delegation at the conference, Elliot Diringer, former adviser to the Bill Clinton's U.S. presidential administration and Kumi Naidoo, executive director of Greenpeace International.

Below is an edited version of the debate.

CNN: Why would people now, especially in the current economic climate, think they need to go green?

Mary Robinson: Well, actually, it makes an awful lot of sense. If you make your home more efficient, you save money. Here in Durban, there is an exhibition of how to make buildings greener, how to make transport greener, and that is the way we have to go.

But we have to recognize that our biggest growth in cities will be in poor developing countries -- I was in Dakar recently, in Bangladesh, and saw people living in almost impossible conditions and that is the real challenge.

Could big cities lead the fight against climate change?

CNN: China has seen a twenty-fold increase in the number of cars over the past decade and expects energy consumption to double by 2030. What is the country doing to ensure that growth is green?

Pan Jiahua: That is one part of the story -- the other part of the story is that we have consensus. We are very much aware of the challenges and that is why we have been so aggressive and that is why we have to (explore) nuclear and that is why we have to set a very challenging target by 2015 and 2020 for renewable energy development.

CNN: Do you think China is doing enough?

Kumi Naidoo: China had made an assessment that not only is it right to invest in green technologies because of climate change, but in fact that it was actually good for the economy. Because countries that are going to dominate the future economy -- you can forget about the arms race and the space race -- the only countries that are going to do well in the future are those that win the green race.

CNN: You were part of the team that helped negotiate the Kyoto protocol -- are you disappointed about the state of where things are now?

Elliot Diringer: I am disappointed about the lack of action in the United States, the lack of action in other countries, the lack of progress at the international level.

But we have to learn the lessons of the last 15 years since Kyoto was negotiated -- we have been going in circles for 15 years now insisting on binding commitments. Unfortunately, the United States and others aren't ready for that. We can't abandon that goal but we can't keep beating ourselves up year after year expecting it now.

Kumi Naidoo: I agree with that but let's just be honest -- what's on the table at the moment is lacking in ambition, lacking in urgency. We have to be honest with the people in all the world and say that in fact we are failing you, we are sleepwalking the planet into a crisis of epic proportions.

CNN: What are for you the greenest cities? What's the model to aspire to?

Mary Robinson: There are very good Scandinavian models. I would like to see the implementation of what I heard yesterday -- that solar can be cheaper than kerosene for poor communities.

I want green slum areas -- around most cities in the developing world you have these informal settlements and slum areas and that is where the real challenge is and that is where affordable and clean energy can transform those areas.

Cities blazing a green trail

Kumi Naidoo: Cities have to look, from top down, how they are using energy, where they actually locate offices, what transportation distances people have to travel to work, what kind of transportation they have to travel (in). In fact our quality of life in cities in the main is going down and down.

All countries have to begin to ask ourselves, what kind of society and consumption patterns gives us happiness, contentment and prosperity and I have to say that there is a lot of meaningless consumption that is contributing to this problem and we have to challenge what we consume.

Pan Jiahua: In this regard, China is more advanced. Over two-thirds of ... (our) cities ... have low-carbon city planning, and we have very clear targets within these cities to reduce energy consumption, to reduce their carbon emissions and not only from the production side but from the consumer side. And we are going to change our behaviors. You are talking about the increase in car ownership, well now the Chinese are coming back to bicycles. I think we are moving in the right direction and we need to accelerate the process.

Elliot Diringer: I think we need cities that offer people green choices. It is difficult to mandate changes in people's behavior and lifestyle but you need to offer people the right choices and they will take them. So, mass transit that is convenient; charging stations so you can have plug in electric vehicles and know that you can recharge them; car sharing arrangements; bicycle sharing arrangements.

@highlight

CNN hosted a panel discussion with four leading environmental figures on the sidelines of COP17

@highlight

The panelists discussed how financially viable will it be to create the sustainable cities of the future

@highlight

'We are sleepwalking the planet into a crisis of epic proportions,' says Greenpeace's Kumi Naidoo