New Orleans, Louisiana (CNN) -- Copenhagen, Denmark, is 5,000 miles away from New Orleans, Louisiana. But representatives of the 192 nations gathering this week at the climate change conference need to keep the memory of a flooded New Orleans in mind.

Two years ago this month, the Make It Right Foundation was launched to help the families of New Orleans' Lower 9th Ward rebuild their lives and community. That was already two years after Katrina, and the once-vibrant neighborhood was still in ruins, failed by government and frustrated by a lack of progress.

Working with the Lower 9th Ward community, with families who lost everything in Katrina, with cutting-edge architects and inventive builders, we learned some truths and made some discoveries we would like to share with the climate change negotiators in Copenhagen:

We need urgent action. Climate change is real and happening now. The world already is reeling from the consequences -- rising sea levels, more violent storms, more frequent flooding and prolonged droughts. Hurricane Katrina, the killer heat wave in Europe, China's floods and the enduring drought in Australia are not anomalies, they are harbingers.

It is not enough to attack what causes global warming; we also must prepare to live with it. We must reduce carbon emissions and adapt to the changing climate.

Even if greenhouse gas emissions stopped increasing today, the climate would continue to change for generations because of the gases that are already in the atmosphere.

People will go home, even if home is in harm's way. The pull of family, friends and happy memories proved irresistible for many in the Lower 9th Ward. The common history and culture of any community will keep people living in flood plains, along earthquake faults, and on shorelines, if those places are home.

More people are moving into harm's way. The number of people who live at the water's edge will continue to grow. The Lower 9th Ward is not unique -- more than 50 percent of America's population lives within 50 miles of a coast, according to the National Oceanic and Atmospheric Administration. The same percentage applies to the world's population.

In the United States, NOAA  predicts the number will rise as high as 75 percent by 2050 or sooner. Governments were formed to protect their citizens -- and not just from armed marauders.

Solutions exist to protect people and allow them to live safely in their homes. The consequences of climate change require every community to make changes that will increase safety and survivability. In post-Hurricane Katrina New Orleans, we are building affordable homes designed to use less energy, reduce carbon emissions and run on solar power, as well as weather the next storm.

Our storm-resistant features include high foundations to keep homes well above base flood levels; hurricane-resistant fabric to protect windows; increased structural durability to withstand 130-mph or higher winds; and access to the rooftop -- because so many of Katrina's victims died trapped in their attics.

This approach should be adopted by coastal-area builders around the globe.

Government has a unique and powerful role to play. Individual actions add up, but they pale compared to the reach and resources of government. We saw firsthand after Katrina how deadly and devastating it can be for a government to fail its citizens.

Today, we still see boarded-up houses, razed landscapes and blighted neighborhoods across New Orleans -- over four years after the Army Corps of Engineers-built levees failed. There are large-scale solutions that only governments can provide -- such as setting emissions standards and initiating adaptation measures. These options are available to the participants in Copenhagen.

It is time for the world's governments to step up. We are facing the most serious challenge to the health and well-being of the world since World War II. But instead of putting shoulders to the wheel, the leaders of the world are busy lowering expectations and tempering outcomes.

Instead, we ask them to act with urgency to reduce greenhouse gas emissions and embrace solutions that will help our children survive and thrive in a changing climate. They have the power to put the planet on a smarter, safer path to a low-carbon future and to protect us and generations to come.

We ask them to use it. To quote Richard B. Alley, a climate-change expert from Penn State University, "This is real, this is real, this is real. So act now, the ball's in your court."

The opinions expressed in this commentary are solely those of Tom Darden.

@highlight

Tom Darden directs foundation that helps New Orleans residents rebuild their community

@highlight

He says Hurricane Katrina, flooded New Orleans offer lessons for Copenhagen meeting

@highlight

Darden: World is reeling from global warming; effects will continue and we must adapt

@highlight

Solutions exist, but it's time for the international community to step up, he says