(CNN) -- Although the bombs went off miles from her house, the young woman in Damascus still felt them in her gut. Boom! Her windows rattled as she ran to her computer.

"What happened?!?!?!?" she typed furiously into Skype, sending the message to her friends.

What Alexia Jade heard was the thunderous clap of two car bombs exploding outside a Syrian air force intelligence compound outside Damascus Monday night.

The web of tweeters, Facebookers and Skypers that have helped keep younger Syrians informed about the war that's been raging in their country the past year and a half answered her soon enough.

"It was a moment of slight shock when I knew that the blast was in the air force intelligence branch," she told CNN. "I have always heard stories about that place. Former detainees call it a hellhole.

"It is certainly one of the worst detaining centers ever."

Alexia Jade is not her real name. The young woman is an activist who has protested against the Syrian government, and she insisted on using an alias to protect her against reprisals for talking to reporters.

Air force intelligence, known as the AFI, is considered the elite, primary agency of Syria's intelligence matrix. There are 17 branches of Syrian intelligence, according to Syrian experts. President Bashar al-Assad relies on AFI to gather information on rebels fighting to oust him.

The opposition Syrian Observatory for Human Rights raised the possibility that "hundreds of regime forces" were killed in the attack, but concrete casualty figures were impossible to obtain. Government opponents also said they feared for the lives of "hundreds if not thousands of anti-government detainees that are being held in the basements of the air force security compound."

The strike could hurt al-Assad because the intelligence agency is such an important branch of the president's security and spying apparatus.

"Depending on the number of people killed, this could be a severe blow to the regime," said David Lesch, a Trinity University Middle East history professor who spent a good deal of time with al-Assad in Syria before the uprising, interviewing him and those close to him. Lesch has written two books about Syria and the Assads.

"A strike at a compound like that could be a major blow symbolically but also practically with all the listening devices and tools perhaps destroyed," he said.

The air force intelligence agency runs detention facilities in major cities. In one Human Rights Watch report this year, former detainees described being beaten, whipped and electrocuted and burned with hot water and acid in a center run by air force personnel. In one account, a detainee said he was forced into a "flying carpet" position -- where someone is forced onto their belly as their arms and hands tied are tied behind them. Some detainees said they were strung up by their hands for hours at a time.

The use of torture by those who ostensibly answer to the regime has been well-documented throughout the Syrian war.

Susan Ahmad, a 31-year-old teacher who lives in a Damascus suburb, recalled feeling creeped out every time she walked past the compound.

"It was a dirty place, horrifying," she said. "I know deep in my heart there are innocent people down there being tortured. I could smell blood and hear the sounds of screams. I feel death is there."

She also felt the bombs go off.

"It was a very noisy night and hectic," she said. "There were many explosions around Damascus."

Al-Assad's army shelled Ahmad's neighborhood. She figured it was in retaliation for the bombs.

"It was clear they were freaking out and just shooting and shelling randomly," she said. "They are really intimidated and when they get afraid, they just start shooting everywhere at anything that moves in every part of Damascus."

"It is the worst feeling in the world," she continued. "The sound of the mortar when it flies directly above your building -- sssssssssss -- through the air. You lose your breath for a moment and deep in your heart you know someone was killed.

"It's really hard and really painful. I would rather be shelled than hear the sound of shelling in other areas."

Rebels fighting to oust al-Assad told CNN that they fear many detainees were killed in the blasts. Opposition forces are not the ones claiming to have targeted the Air Force Intelligence compound.

"We... fear for the lives of hundreds if not thousands of anti-government detainees that are being held in the basements of the air force security compound," said Rami Abdulrahman of the opposition Syrian Observatory for Human Rights.

A shadowy jihadist group called al Nusra Front claimed to have set off the bombs, according to an online statement that appeared on jihadist websites Tuesday.

The organization came to prominence during the Syrian uprising, and has claimed several high-profile strikes at the heart of the Syrian capital in the past several months.

The group explained that Tuesday's attack had three stages: first, a suicide car bomb carrying 9 tons of explosives detonated at the gates of the building; second, 25 minutes later, a suicide bomber drove an ambulance carrying 1 ton of explosives, detonating where air force troops were awaiting treatment; third, a mortar barrage aimed at the site of the blast.

Lesch pointed out that even if an entire building were decimated, many other parts of the intelligence apparatus remain in Syria. The al-Assad family established the complex web to ensure that no single group had power, and other groups could step in if one group was undermined.

The singular importance of the AFI goes back to Hafez Assad, Bashar's father, Lesch explained. Hafez Assad was a commander in the air force in the 1960s before a coup enabled him to take control of Syria in 1970.

"The air force intelligence has always been close to the Assad family," he said.

As the war has dragged on, Bashar al-Assad has repeatedly blamed "terrorists" for the violence in his country. Opposition fighters blame his regime for causing most of the bloodshed. Between these two versions stands what has become increasingly apparent -- there are likely jihadists and foreign fighters active in Syria. Some of these fighters are with groups linked to al Qaeda.

Their presence, many experts say, makes it far less likely that the West would involve itself in the Syrian conflict.

Last September, Alexia Jade said, a Syrian air force intelligence officer pointed his gun at her head. The air force was trying to break up an anti-al-Assad protest.

"There was one thing in his eyes," she said. "'Shoot the target.' It did not matter that I was a woman."

Some of the protestors created a diversion near the air force officer, shouting and yelling at him. He turned and they all scattered. Jade and her friends escaped, she said, but four people were killed in the protest that day.

Everyone fears the air force intelligence branch of the Syrian military, she said.

Susan Ahmad believes the regime has laid down increasing firepower to get back at those it perceives have attacked it. She also used an alias, fearing reprisals if she spoke to a reporter using her real name.

"They arrest more people, humiliate more people, harass more people," she said. "Maybe it's a way of boosting the soldiers' confidence. They let them do what they want and kill who they want."

On Tuesday morning, Ahmad still headed to her teaching job in central Damascus. She couldn't take public transportation. All roads leading to the capital were closed, and men at a checkpoint would not grant entry to most civilians, she said.

"The city is closed," Ahmad said. "All cars were forced to turn around, so the roads are empty."

Businesses are closed.

Read more: Who is arming the Syrian conflict?

The blasts were among a barrage of explosions, gunfire and shelling reported from the Damascus area early Tuesday, suggesting the civil war may be zeroing in further on the Syrian capital.

"This is the largest blast I have ever felt since the uprising began," said Omar al-Khani, an opposition activist. "One of my windows is blown out, and neighbors' plates were knocked down from the table to the ground."

Less than half an hour later, al-Khani said, there was another explosion, followed by intermittent gunfire as a thick plume of smoke unfurled across the capital.

Read more: Damascus residents attempt 'normal life'

In the Damascas suburb of Harasta, violence continued in the form of shelling, opposition activists said. At least one person was killed and several homes destroyed "due to the heavy and indiscriminate shelling" of the suburb, the Local Coordination Committees of Syria said.

There were also reports of shelling in Aleppo and Idlib provinces.

Rebel forces took complete control of the town of Maaret al-Numan in Idlib province after 48 hours of clashes and shelling from regime forces. A highway connecting Damascus to Aleppo runs through the town.

Omar Abo alHoda, a citizen journalist in Idlib province, told CNN that over a year ago, Syrian troops set up eight military posts in the town, which has a population of about 140,000 people. The bases were to protect the highway from opposition attacks, with each post having between 70 and 100 Syrian troops, along with tanks, heavy and light weapons among other resources, he said.

Local residents claim troops used the posts as bases to launch attacks on civilian areas.

On Monday afternoon, thousands of rebel troops overran the military posts, using tanks, rocket fire, rocket-propelled grenades and gunfire, alHoda said. The regime responded with heavy firepower. Some troops were killed, the journalist said, and others were captured by the opposition.

Twenty-nine people were killed in Idlib, the LCC said.

In another Damascus suburb, Daraya, at least 25 bodies clustered together were found burned, the opposition group said.

The LCC said 197 people were reported dead across Syria on Tuesday.

CNN is unable to independently confirm reports of casualties or violence because the Syrian government has restricted access by international journalists.

@highlight

NEW: At least 197 people reported dead in war-torn country on Tuesday

@highlight

Syrians: Struck compound held detention place where people were tortured

@highlight

A jihadist group claims responsibility for the attack, which it says had three stages

@highlight

Air Force Intelligence is an elite branch, close to the al-Assad regime, an expert says