(CNN) -- Every politician in America declares concern for the economic crisis of the middle class. But to truly help the middle class, we must take on our nation's exploding economic inequality.

Consider two basic facts: Between 1979 and 2007, the top 1% of households captured almost 60% of all income growth in the U.S., yet median wage growth in the 2000s has been flat.

In his Kansas speech on the economy this month, President Obama described the growing inequality as the "defining issue of our time." He urged America to avoid a race to the bottom and instead to create good, well-paying jobs. The president laid out a series of important steps to restore fairness by repairing the tax and regulatory system, but these strategies are not enough. Nor is improving education; that's obviously important, but it will take many years to have an impact.

To make a significant difference for working men and women today and the generations who follow, we must directly take on the unfairness of the job market. The distribution of economic rewards is driven by the jobs people hold, and we have allowed job quality to deteriorate for far too many for far too long.

How do we know that a lack of job quality contributes to growing inequality? At the bottom of the labor market, 20% of adults in the U.S. today work in jobs that pay poverty wages, wages that would not raise a family of four above the poverty line, even with full-time, year-round work.

Farther up the ladder, jobs have been disassembled. It used to be that a skilled job, either white- or blue-collar, paid decently, provided reasonable benefits and offered security. We left that reality behind long ago. Only about half of jobs in the U.S. today provide pensions.

Job security has eroded; many who are laid off face a substantial risk of falling into poverty. Even if laid-off workers are lucky enough to find new jobs, they are forced to take a 20% pay cut, according to my calculations using Census surveys. Being skilled no longer earns decent pay, benefits or security.

Any serious effort to address the travails of the middle class must include taking on the challenges of making the job market more fair. But even as politicians lambast Wall Street and propose making taxes more fair, they avoid the challenge of improving job quality.

What would that take? For those earning poverty wages, the answer is to raise standards and to enforce them. Today's minimum wage is more than $3 below its value in 1968, after accounting for inflation. Today, too many employers avoid paying overtime to employees who have earned it, and effective enforcement of the law to avoid this wage theft is important. A stronger voice for workers, such as unions, can improve economic outcomes, but the law today is stacked against union organizing.

For people still clinging to decent jobs, the challenge is more complicated. We need a new social contract -- between employers and employees.

In the past, when many American firms did well, they shared profits and productivity gains with their employees. That is no longer the standard. In the past, CEOs were praised if they showed a commitment to their work forces, if they saw human capital as their key competitive asset. That, too, has changed. We cannot return to the placid labor market of the 1950s and '60s, but we can certainly rekindle a sense of mutual commitment and fairness.

What will it take to begin to do all this? Leadership is critical to the solution. Our political and business leaders need to step up. There are plenty of examples of firms that respect their work forces, from Southwest Airlines to SAS software, and their model should be emulated.

But it would be naÃ¯ve to think that purely voluntary action and exhortation will turn the tide. For a real shift, we need real policy initiatives. These include increased public support for deepening training, investments in the human capital of the work force, which can come via the tax code and well-designed public-private training programs.

Also important are modernized regulations that would make it difficult for employers to use subcontractors in occupations such as building cleaners or security guards and by doing so avoid responsibility for employees who work at their site. Giving employees an even playing field in deciding whether they want to be represented by a union can also make a big difference.

In addition, governments can set an example by paying attention to the employment terms of firms that receive government contracts and to which local, state and federal governments contract out services.

Even in the current economy, we can afford to make these choices. And if we want to rebuild a strong middle class, we cannot afford to postpone them.

The inequality that has steadily grown over the past three decades can't be solved with a quick fix. But until we focus on job quality, we cannot expect any significant progress. Improving the quality of jobs for most Americans over time is the best way to meet the growing popular demand for economic fairness.

The opinions expressed in this article are solely those of Paul Osterman.

@highlight

America's exploding economic inequality threatens middle class, says Paul Osterman

@highlight

A lack of job quality contributes to growing inequality, he says

@highlight

Osterman says that 20% of U.S. adults work in jobs that pay poverty wages

@highlight

Until we focus on job quality, we cannot expect any significant progress, he says