Women who give up careers to stay at home and raise their children should be paid a salary, according to one of South Africa's most influential businesswomen.

Wendy Luhabe, who in 1999 was recognized as one of the 50 leading women entrepreneurs of the world by the U.S.-based Star Group, says that stay-at-home moms should be given 10% of their husbands' earnings.

"A mommy salary, as a way of giving value to the work of bringing up children, so that it's not a resentful choice that women have to make," explains Luhabe.

As well as a successful career in South Africa's corporate boardrooms, Luhabe also has a long history of promoting gender equality --  in 1993, she founded the Women Investment Portfolio Holdings, an initiative that enabled poor women to participate and invest in some of the country's biggest companies.

Luhabe, who in 2006 was also inaugurated as Chancellor of the University of Johannesburg, spoke to CNN's Robyn Curnow, sharing some of her thoughts on women in the workplace.

Below is an edited version of the interview.

CNN: What's a thought leader?

Wendy Luhabe: Someone who changes the rules of the game, who challenges the status quo. An example of that would be a wild thought that I've been entertaining for a while, that mothers who choose to be at home should be paid a salary: 10% of their husbands' earnings should be attributed or contributed towards the mothers.

CNN: A mommy salary?

WL: A mommy salary, as a way of giving value to the work of bringing up children, so that it's not a resentful choice that women have to make.

CNN: Do you think the work of women at home is undervalued?

WL: That is the underlying principle, that it is undervalued and because it's undervalued it becomes, for some women, I think, a resentful choice. And money is the currency that we use to define value of a contribution to the world, so why shouldn't we do the same for the work of bringing up children, which I think is probably the most important contribution that the world should be valuing.

CNN: So on the flip side, what's your assessment of a growing number of women who choose to work as well as having kids? Do you feel that women are stretching themselves too thin, particularly working mothers?

WL: I don't think they are, I just think that we need to create an environment that allows women to make the choices that they want to make. If women choose to have children, they must be able to have the support structure that they require to do that joyfully, so that we can bring up children who are healthy, because the opposite side of that is we have children who are growing up without parents.

CNN: Raised by nannies.

WL: Who are raised by nannies and that creates its own problems in society, so if I had to choose I would choose a society where women make the choice to be at home to bring up their children, because they know that contribution will be valued and secondly when they go back to work they won't be penalized for having taken some time off to go and bring up children.

So it's really an idea that needs to be embraced by society, not so much for the benefit of women, but because we recognize that creating a society where children are properly brought up, preferably by their mothers, would create a much healthier society, a more stable society.

CNN: A lot of people would maybe agree with you depending where they are and who they are and a lot of people will just write off this idea as utterly absurd.

WL: But the world was never changed by people who have normal ideas, the world is always changed by people who have absurd ideas.

CNN: All these years after the end of apartheid, have conditions improved for the South African women as much as you would like?

WL: Let me respond to that from a different perspective, we are living through what I call a revolution -- and some catastrophes -- as we sit here. The revolution is driven by technology which is changing the way that we communicate, which is exposing the hardships of the people at the bottom of the pyramid and which is giving the marginalized a voice.

As we've seen with the unexpected regime changes in Tunisia, in Egypt, the elections in Sudan, more recently the riots in London, when you look at that, it tells me that the marginalized are no longer prepared to give permission to those in power to determine their future or to dictate the circumstances of their existence.

And that, for me, is an invitation for women to offer our experience, to offer our wisdom, to offer our leadership in a world that is riddled with moral bankruptcy.

It is becoming quite pervasive in all aspects of our lives, with a leadership vacuum that is growing larger by the day and all of these things, both the revolution of technology and these catastrophes are an opportunity for women to step forward and provide leadership in a world that is desperate for some direction.

@highlight

Wendy Luhabe is a prominent social entrepreneur and thought leader

@highlight

She says women giving up careers to look after their children should be paid

@highlight

Luhabe says the work of women at home is undervalued