(CNN) -- The chief prosecutor at the International Criminal Court says he has evidence to prove Sudanese President Omar al-Bashir is guilty of genocide, even though he is not charged with the crime.

Omar al-Bashir remains president and has traveled to several countries since warrant was issued.

Luis Moreno-Ocampo spoke to CNN on Wednesday, two days after he appealed to the court to add genocide to the existing arrest warrant for al-Bashir.

The court issued the warrant in March on charges of war crimes and crimes against humanity relating to his five-year campaign of violence in western Sudan's Darfur region.

"The evidence shows it is genocide," Moreno-Ocampo said.

The warrant was the first one ever issued for a sitting head of state by the world's only permanent war crimes tribunal, based at The Hague in the Netherlands.

It includes five counts of crimes against humanity, including murder, extermination, forcible transfer, torture and rape. It also includes two charges of war crimes for intentionally directing attacks against civilians and for pillaging.

Al-Bashir remains president and has traveled to several countries since the warrant was issued, even though any country that is party to the ICC has an obligation to hand him over to The Hague, the court says.

The United Nations estimates that 300,000 people have been killed in the conflict in Darfur, and 2.5 million have been forced to flee their homes. Sudan denies the death toll is that high.

The violence in Darfur erupted in 2003 after rebels began an uprising against the Sudanese government. To counter the rebels, Sudanese authorities armed and cooperated with Arab militias that went from village to village in Darfur, killing, torturing and raping residents there, according to the United Nations, Western governments and human rights organizations.

The militias targeted civilian members of tribes from which the rebels drew strength.

In his appeal to the court Monday, Moreno-Ocampo complained that the judges' standard for adding the genocide charge to the warrant is too high.

The judges want him to prove beyond a reasonable doubt that al-Bashir committed genocide, but that level of proof is not required for a warrant, which only requires a reasonable inference of guilt, he said.

"They are requesting a level of evidence that is the level of evidence required at the trial stage, not at the beginning of the process," Moreno-Ocampo said.

Part of the reason that prosecutors cannot provide more evidence at this stage is because al-Bashir is attacking witnesses who are willing to provide information to prosecutors, Moreno-Ocampo said. Presenting more evidence could endanger the victims, he said.

"It's a legal issue," he said. "The judgment by itself is very important, but in addition I cannot accept this wrong legal standard."

The judges believe the crimes that Moreno-Ocampo classifies as genocide instead fall under the category of crimes against humanity, he said.

Even if Moreno-Ocampo were successful in adding genocide to the warrant, he would still face a difficult task in proving the charges at trial, said Mark Ellis, the executive director of the International Bar Association.

"Genocide is a much more complicated legal position to meet (than war crimes and crimes against humanity) because you have to show in proving genocide that there was an intent to destroy, in whole or in part, a group based on -- in this case -- ethnicity or race," Ellis told CNN. "Obviously the prosecutor believes he would be able to prove this intent and so he wants the opportunity to prove that in trial."

But if Moreno-Ocampo loses the appeal, Ellis said, it would not minimize the seriousness of the case.

"The charges that have been (alleged) on war crimes and crimes against humanity are still very serious charges and they are egregious acts," he said.

A ruling on the appeal is likely within six months, Moreno-Ocampo told CNN.

@highlight

Luis Moreno-Ocampo calls for genocide to be added to al-Bashir's charges

@highlight

Sudan leader already charged with war crimes, crimes against humanity

@highlight

Relates to five-year campaign of violence in western Sudan's Darfur region

@highlight

U.N. estimates 300,000 people have been killed in the conflict