We take a lot for granted about the way the world looks today -- the widespread freedom, the unprecedented global prosperity (even despite the current economic crisis), and the absence of war among great powers.

In 1941 there were only a dozen democracies in the world. Today there are more than 100. For four centuries prior to 1950, global GDP rose by less than 1 percent a year. Since 1950 it has risen by an average of 4 percent a year, and billions of people have been lifted out of poverty.

The first half of the 20th century saw the two most destructive wars in the history of mankind, and in prior centuries war among great powers was almost constant. But for the past 60 years no great powers have gone to war.

This is the world America made when it assumed global leadership after World War II. Would this world order survive if America declined as a great power? Some American intellectuals insist that a "Post-American" world need not look very different from the American world and that all we need to do is "manage" American decline. But that is wishful thinking. If the balance of power shifts in the direction of other powers, the world order will inevitably change to suit their interests and preferences.

Take the issue of democracy. For several decades, the balance of power in the world has favored democratic governments. In a genuinely post-American world, the balance would shift toward the great power autocracies. Both China and Russia already protect dictators like Syria's Bashar al-Assad. If they gain greater relative influence in the future, we will see fewer democratic transitions and more autocrats hanging on to power.

What about the free market, free trade economic order? People assume China and other rising powers that have benefited so much from the present system would have a stake in preserving it. They wouldn't kill the goose that lays the golden eggs. But China's form of capitalism is heavily dominated by the state, with the ultimate goal being preservation of the ruling party.

Although the Chinese have been beneficiaries of an open international economic order, they could end up undermining it simply because, as an autocratic society, their priority is to preserve the state's control of wealth and the power it brings. They might kill the goose because they can't figure out how to keep both it and themselves alive.

Finally, what about the long peace that has held among the great powers for the better part of six decades? Many people imagine that American predominance will be replaced by some kind of multipolar harmony. But multipolar systems have historically been neither stable nor peaceful.

War among the great powers was a common, if not constant, occurrence in the long periods of multipolarity in the 16th, 17th, and 18th centuries. The 19th century was notable for two stretches of great-power peace of roughly four decades each, punctuated, however, by major wars among great powers and culminating in World War I, the most destructive and deadly war mankind had known up to that point. The era of American predominance has shown that there is no better recipe for great-power peace than certainty about who holds the upper hand.

Many people view the present international order as the inevitable result of human progress, a combination of advancing science and technology, an increasingly global economy, strengthening international institutions, evolving "norms" of international behavior, and the gradual but inevitable triumph of liberal democracy over other forms of government -- forces of change that transcend the actions of men and nations. But there was nothing inevitable about the world that was created after World War II.

International order is not an evolution; it is an imposition. It is the domination of one vision over others -- in America's case, the domination of liberal free market principles of economics, democratic principles of politics, and a peaceful international system that supports these, over other visions that other nations and peoples may have. The present order will last only as long as those who favor it and benefit from it retain the will and capacity to defend it.

If and when American power declines, the institutions and norms American power has supported will decline, too. Or they may collapse altogether as we transition into another kind of world order, or into disorder. We may discover then that the United States was essential to keeping the present world order together and that the alternative to American power was not peace and harmony but chaos and catastrophe -- which was what the world looked like right before the American order came into being.

@highlight

Robert Kagan: We take for granted the relative peace, freedom and prosperity of the world

@highlight

America's dominance as a superpower has encouraged democracy, prevented war, he says

@highlight

Kagan: An American decline could lead to a more turbulent and troubled world