Atlanta, Georgia (CNN) -- The little girl paused, then answered my questions: "I'm 7." "Second grade." Her hair was in braided pigtails. She wore a fancy dress.

The girl had taken a seat in the folding chair next to mine after guards led another small group into the brightly lit room.

We were in the post-security visitation area of the Stewart Detention Center, a privately run federal immigration facility in south Georgia. Behind us was a plain wall.

In front were five sparse booths, open to the room, offering little privacy. Each booth had a chair and a large black telephone. Thick glass separated the booths from men who milled about on the other side. The men wore different colored jumpsuits: some blue, some orange, some red.

Like the older woman, an aunt perhaps, who accompanied her into the room, the little girl to my right was visibly nervous. This was her first trip to the detention center. I told the girl about my own second-grader in an effort to get her mind off our surroundings. I'm quite certain I failed.

After several minutes, a man in his late 20s sat down on the other side of the glass. He picked up a phone. The little girl walked up, studied another phone for a moment, and carefully raised it to the side of her head. Her greeting was straightforward: "Hi, Daddy." I couldn't hear what her father said in reply. I could see his wistful smile, though, and tears rolling down his cheeks.

* * *

Every day, our immigration laws are breaking apart families of many citizens living in the United States.

It's good news that, as a bipartisan group of U.S. senators seeks consensus on a plan for comprehensive immigration reform, one focus is on so-called "family reunification" preferences in our law. The senators are debating whether, and to what extent, our immigration policies should give priority to admitting family members of immigrant citizens -- their spouses, children and siblings -- still living abroad.

But while family reunification is an important consideration, that issue avoids the larger point dramatized at the Stewart Detention Center about the harmful impact of U.S. immigration policy on families already here.

More than 1.5 million unauthorized immigrants have been removed from the United States since President Obama took office in 2009, according to the federal government's statistics. Approximately 410,000 were removed last year alone.

These numbers present an important question: Who are the immigrants we are deporting? Yes, some are dangerous criminals who need to be arrested, prosecuted and removed through deportation. Living in the United States without legal status does not, however, amount to criminality.

The Supreme Court noted this last year when it wrote, "As a general rule, it is not a crime for a removable alien to remain present in the United States." Overstaying a visa, for example, is a civil violation and not a criminal one.

The offenses that can trigger incarceration at detention centers like the one I visited recently include traffic violations such as driving without a valid license. This may seem like a matter of semantics to some, but incarcerating nonviolent immigrants carries real costs to the country and to the immigrants' family members who are, in many cases, U.S. citizens.

Many present-day immigrants live among us in what researchers call "mixed status" households. Approximately 9 million people live in these modern American families that include both citizens and unauthorized immigrants. The result is that U.S.-citizen family members are frequently left behind when immigrants are deported.

Contrary to popular belief, marriage to a U.S. citizen does not automatically confer legal status on unauthorized immigrants. While marriage can provide a pathway to legal residency, that path is often long and can be overrun with bureaucratic pit stops.

In many instances, our laws require immigrant spouses to return to their home countries and remain there for as long as 10 years before reunification is permitted. These extended bars to re-entry apply, for example, to Mexican nationals who arrived in this country after 2001 without authorization even if they are married to a U.S. citizen. In that way, our current immigration laws give some U.S. citizens a distressing choice: Either extended separation from their immediate families or extended separation from this country.

An emerging bipartisan consensus acknowledges that our immigration laws are broken and need to be reformed, in a comprehensive way, at the federal level.

As Washington tackles this issue, we should acknowledge that reform can benefit more than the immigrants living among us. It can benefit American children who attend school with our kids, American men who share pews at our churches, and American women sitting beside us in office cubicles, by keeping their families together. Done right, immigration reform can strengthen our economy, uphold our values and preserve the family units of many U.S. citizens.

* * *

Before entering the Stewart Detention Center, all visitors must fill out paperwork disclosing their immigration status. I didn't see the form of the little girl I met in the visitation room, of course, or ask the question as we chatted briefly.

Given her family's willingness to bring her inside the barbed wire gates of the facility, however, it's safe to assume that she is a native-born citizen. She's as American as my grandfather, who grew up on Missouri farmland in the early 1900s, and who spoke nothing but German at home until the start of World War I. As American as my four children.

The little girl was among many U.S. citizens who visit family member inmates at the detention center. On the day of my visit, at the other end of the room, a woman in her 40s sat in the corner booth. She saved up gas money and drove more than 300 miles for this chance to have a one-hour visit with her husband. Born and raised in western North Carolina, she lives on land that was owned by her father, and her father's father before him. She met her husband in a thrift store in her hometown. They fell in love.

In the visitation room, the woman held a phone and spoke to her husband in Spanglish with a country twang. What she wanted most that day was the chance to touch his hand, just for a moment, through the glass. That was a chance she didn't get.

Without changes to our federal immigration laws, more husbands and fathers, and wives and mothers, of American citizens will be deported. More American children will be raised outside the presence of a parent's love and financial support. And more Americans -- like the woman I saw pressing the palm of her hand against cold glass in a detention center booth -- may not have the chance to touch their spouses again. At least not in our country. At least not anytime soon.

The current immigration system does not make our nation, or our families, stronger. We can do better. We can reform our immigration laws in a way that brings hardworking people out of the shadows and keeps families together. That is, or at least should be, the American way.

The opinions expressed in this commentary are solely those of Chris Marquardt.

@highlight

Chris Marquardt visited a privately run immigration detention center in Georgia

@highlight

He says it was clear that families with U.S. citizens were broken due to detention process

@highlight

People who commit civil violations are treated as criminals, he says

@highlight

Marquardt: Immigration reform needs to include provisions to protect families