(CNN) -- Richard Garriott had more reason than most to dream the Apollo moon landings would rapidly expand space travel. His father was a NASA astronaut, as were many of his neighbors near Texas' Johnson Space Center.

This is a rendering of XCOR Aerospace's Lynx, which would be used to send people on suborbital spaceflights.

With nearly all of humanity still on Earth nearly four decades later, the computer game developer paid $35 million for a ride aboard a Russian Soyuz spacecraft to the international space station.

"Flight to space is an entire series of pinnacle life experiences," said Garriott, a 48-year-old board member of Space Adventures, the company that arranged his 12-day trip last year. "The view of the Earth is life changing."

Garriott believes the United States hasn't fulfilled the promise of the Apollo program yet.

"It was an assumed future that we'd all go to space [by now],"  he said. "That hasn't come to pass, and it's created this interesting evolution of spaceflight right now."

That evolution involves the privatization of space, and although the prospect of a spacecraft in every garage isn't near, a few private firms are getting close to manned, commercial spaceflight.

Some companies, such as Virgin Galactic, aim to sell suborbital flights -- high enough to reach the edges of space and weightlessness -- within the next few years. The flights have varied purposes, including tourism and science experiments. A Nevada company hopes to sell habitable space stations where paying clients would conduct scientific research.

Two relatively new U.S. aerospace companies were hired last year by NASA to send unmanned cargo to the international space station. NASA plans to retire the space shuttle at the end of 2010 and wouldn't be able to send crews to the space station for at least several years after that.

"I really view us and the private sector as the spiritual inheritors of Apollo," said Mike Gold, director of the Washington office of Bigelow Aerospace, the company developing the commercial space stations.

Suborbital flights: Thrills and experiments now, orbit later

One group preparing to sell suborbital flights is Virgin Galactic, whose parent company is partnering with California-based Scaled Composites to develop SpaceShipTwo, the successor to 2004's Ansari X Prize-winning SpaceShipOne.

Space tourists will pay Virgin $200,000 each for training and a 2.5-hour flight to the edge of space and back. About 300 people have paid at least the majority of the fee to reserve the first flights, and about 80,000 others have registered interest, said Stephen Attenborough, Virgin Galactic's commercial director.

The spaceship, which will carry six passengers and be based in New Mexico, will be hoisted by a carrier craft to 50,000 feet before blasting on its own to suborbit, where passengers will float weightless about the cabin and see space and the Earth through large windows. The craft will land on a runway and be reused.

The carrier craft is being flight tested, and SpaceShipTwo's flight tests are expected to begin at the end of this year, Attenborough said. With 20 to 30 test spaceflights expected, it could be 18 months to two years before it's ready commercially, he said.

Tourism isn't the only planned use. The craft could be modified to launch microsatellites, and Virgin hopes to sell flights to agencies for microgravity or atmospheric experiments.

"To be able to have something like SpaceCraftTwo to put scientists in space ... at a relatively low cost, it's transforming for science," Attenborough said.

California's XCOR Aerospace also is developing a reusable vehicle that will take a pilot and a front-seat customer to the edge of space -- for pleasure or to transport scientific payloads that would benefit from microgravity.

XCOR's Lynx, roughly the size of a small airplane, will take off and land on a runway and propel itself with liquid-fuel engines. Sales agent RocketShip Tours is selling one-hour Lynx rides plus training for $95,000 a person. Initially launching from Mojave, California, participants will get a view from the edge of space for several minutes and briefly experience weightlessness.

Test flights may begin by the end of 2010, and testing would take at least a year, CEO Jeff Greason said. A second, expendable stage may be added to launch nanosatellites, he said.

Like other suborbital providers, XCOR eventually wants to develop an orbital vehicle. The Lynx is a technical pathfinder to that -- something that could make money and prove the reliability and safety of the technology.

"There's a market for people in orbit if the price is low enough," Greason said. "There's more work to do [in orbit], including people flying to be a laborer to work on somebody's widget or experiment." iReport.com: Where were you during the moon landing?

Commercial, habitable space stations

Getting people to orbit is exactly what Bigelow Aerospace needs to sell its space stations.

Bigelow is developing expandable space habitats with a flexible-fabric shell. They would be compressed in a capsule for launch and expand upon deployment.

Bigelow primarily sees the habitats as destinations for research scientists and astronauts -- particularly those from countries that haven't used the international space station as much as they'd like or nations making their first steps into space, Gold said. The space station's own future is in doubt, with a NASA space station program manager recently telling a public hearing that NASA currently plans to de-orbit the station in 2016, according to The Washington Post.

Affordable microgravity research can help manufacturers make new material for things such as supercomputers and buildings, Gold said.

Bigelow -- founded and financed by hotel chain owner Robert Bigelow -- put two subscale, uninhabited models in orbit in 2006 and 2007 through a Russian/Ukrainian launch provider. It eventually aims to develop a full habitat that can support up to eight people.

But it won't launch the habitat without a way to transport people there.

Gold, Garriott and others in the private sector say they hope NASA can be persuaded to invest in, and eventually hire, aerospace companies to deliver NASA astronauts to low-Earth orbit instead of using its own spacecraft.

In such a scenario, the companies would also get to sell their shuttle services to other private-sector customers. That would increase launch rates and lower costs for NASA and the private sector, they said.

NASA did not respond to a request for comment.

Putting people into orbit

One company that may wish to help is Space Exploration Technologies (SpaceX), one of two firms NASA hired to send unmanned cargo to the international space station after the shuttle's planned retirement.

SpaceX, founded and financed by PayPal founder Elon Musk, received money from NASA to develop its spacecraft. Last year, the California company was awarded a NASA contract for 12 supply flights from roughly 2011 to 2015.

SpaceX will use its Falcon 9 rocket topped by its Dragon capsule, which would carry the cargo. The rocket's first test flight should be later this year, said Larry Williams, SpaceX's vice president for strategic relations. Three demonstration flights with the Dragon would follow, starting perhaps in early 2010, with the Dragon docking with the space station on the third trip.

NASA does have an option to fund a version of the Dragon that can transport astronauts, and SpaceX is eager to do that. However, NASA hasn't executed the option, Williams said.

With the global economic downturn, one might think developing space products and finding customers would be difficult. But people in the industry -- especially those working for companies founded by businessmen with large fortunes -- say they'll be fine in the long term.

"Our industry is still hiring engineers, whereas most industries are laying people off," said John Gedmark, executive director of the industry group Commercial Spaceflight Federation. "The investors putting money behind these ventures are personally committed."

@highlight

Private firms are getting close to manned, commercial spaceflight

@highlight

Companies are preparing to sell suborbital flights for pleasure, science

@highlight

Firms see suborbital flights as a stepping stone to orbital ventures

@highlight

Bigelow Aerospace is developing habitable space stations