(Financial Times) -- Egypt's efforts to secure a critical $4.8bn loan from the International Monetary Fund have run into fresh difficulty, possibly leading the government to seek emergency financing to avoid economic collapse.

The IMF has expressed reservations over a government economic plan needed to seal an agreement that has been in the works, for almost two years, according to people familiar with the negotiations.

At a time when Egypt's foreign reserves have reached $13.5bn -- below the critical level of three months of imports -- Cairo favours a gradual approach to reform even as it is forced to cut its imports of fuel and wheat. Another complicating factor in IMF negotiations is the fact that Mohamed Morsi, the Islamist president, is reluctant to introduce measures such as a sales tax ahead of parliamentary elections.

The poll that had been scheduled to start in April but finish in June has now been further delayed. A court ordered the suspension of the election schedule until the electoral law is reviewed by the Supreme Constitutional Court, which could take several weeks.

Fearful of provoking social unrest at a time of political instability, the Egyptian programme favours small and hesitant steps towards the implementation of austerity measures aimed at raising additional revenue for the state and reducing energy subsidies that eat up a quarter of the budget.

The IMF, however, has informed Cairo that its proposed economic reform programme is not sufficiently robust.

Masood Ahmed, director of the Middle East and Central Asia at the IMF, would not comment on the negotiations with Cairo, saying only that "the IMF view is that the programme has to have the desired impact on confidence ... [and] needs to have strong measures to address Egypt's broader economic problems".

With the prospect of an IMF agreement receding, analysts say a bridge finance package might be put together by the IMF with other donors to tide Cairo over until after the elections.Ashraf al-Araby, the planning minister, played down the idea on Sunday, adding that broad structural measures were needed.

Without a reform programme, bridging financing would in any case do little to restore investor confidence. "Any extra funds will help Egypt buy time," said Mohamed Abu Basha, Egypt economist at EFG-Hermes, the regional investment bank. "But the failure to agree an IMF programme will send a negative signal to all those investors waiting for hints of real action on the ground to reform the economy."

The much deferred agreement with the IMF was expected to unlock up to $9.5bn of additional finance from other external sources. The reform programme Egypt proposed to the IMF targets a reduction of the deficit from 10.9 per cent of gross domestic product in the current June fiscal year, to 9.5 per cent in the next year.

According to Egyptian officials, the economic programme envisions immediate increases to the sales tax, but only on six items. These are cigarettes, alcoholic and non-alcoholic beverages, telecoms, cement and steel. It aims to introduce a fully fledged value added tax by the spring of 2013.

It stipulates raising the price of fuel to industry to international levels over three years. The government has already twice increased the price of diesel and natural gas to some energy-intensive industries, though prices to motorists and domestic consumers remain the same.

Hany Kadry Dimian, a senior ministry of finance official, told the Financial Times that with the latest increases, the fuel subsidy bill for the June 2013 fiscal year would be about $15bn, but that if no further cuts were introduced, the cost of the subsidy next year would rise to $22bn. "The programme deals with the short-term and immediate challenges and builds the foundations for more medium-term reforms," said Mr Dimian.

© The Financial Times Limited 2013

@highlight

Egypt's efforts for a $4.8bn loan from the IMF have run into fresh difficulty

@highlight

The IMF has expressed reservations over Cairo's economic plan

@highlight

Mohamed Morsi is reluctant for measures ahead of parliamentary elections