Chicago (CNN) -- Just two weeks after his wedding, Christophe Quancard was diagnosed with glioblastoma, one of the deadliest types of brain tumors.

He was only 35 years old. The news was devastating.

"In our age group, no one is ready for the diagnosis, (or) the possibility," Quancard said. "I mean, we know it's out there, but you didn't think it would happen when you were still young and had so many other things that you were thinking about."

Quancard's team of doctors encouraged him to get in touch with a group called Imerman Angels. The nonprofit matches cancer patients with cancer survivors so they can receive support from someone who has been down a similar path.

Within a few days, Quancard was talking to Greg Cantwell, a 38-year-old survivor of late-stage brain cancer.

Cantwell was diagnosed eight years ago, when his son was 1, and had hoped to live until his son was at least 5.

The boy is now 9. Cantwell is living proof that cancer is not a death sentence. And his experience has given Quancard much-needed help -- and hope -- during a difficult time.

"You don't know what's really going to hit you emotionally or what kind of therapies you may not have thought of, how to get help, how to make the best use of the resources you have," said Quancard, 36. "You really need someone who's been through this to help you. ... Somehow it makes it so much easier, even in the very hard parts that are coming."

Quancard is just one of thousands of cancer patients who've found one-on-one support through Imerman Angels.

"We (want) to make sure that people that are diagnosed with cancer are able to reach a survivor who can look them in the eye and say: 'I've been there. I beat it. And so will you,' " said Jonny Imerman, a cancer survivor who started the group in 2002.

Imerman was diagnosed with testicular cancer in 2001, when he was just 26 years old. He went through a rigorous chemotherapy treatment that sometimes would last eight hours a day.

One year later, doctors found more cancer, and Imerman underwent a procedure to remove four tumors from his spine.

Now 37, he says he was fortunate to have the constant support of family and friends as he battled the disease.

"They kept me going," he said. "With so much support, I did not have a chance to lose hope."

But other cancer patients between the ages of 15 and 39 are not always as fortunate. The National Cancer Institute recently reported that progress in treating adolescents and young adults has stagnated. Seven out of 10 patients in the age group go on to live at least five more years, but that statistic hasn't improved in 30 years.

"Young adults are kind of a lost group of oncology patients," said Dr. Peter Shaw, director of the Adolescent and Young Adult Oncology Program at Children's Hospital of Pittsburgh. "They are in a gray area between pediatric and adult care. Unfortunately, they don't always find their way to timely, optimal medical care."

There are several reasons why, Shaw said.

"They historically have been the least-insured age group in the U.S., most physicians are less suspicious of cancer in healthy young adults, and many of these patients -- once diagnosed -- may still feel invincible and be in denial, leading to less compliance with their treatments," he said.

During Imerman's five-month treatment in 2001, he would walk the hospital halls in Detroit and see young cancer patients who were alone and struggling.

"Everyone is like a caged animal in these rooms. They were lying in bed, motionless, watching television or staring in space. ... You could see the fear in their faces," Imerman said. "And I felt guilty as I walked down the hallways and looked in these rooms. And finally ... I just walked in with my I.V. pole one day. ...

"(I said:) 'What kind of cancer do you have? And what kind of chemo do you have?' ... These people were like open arms. They were so excited to have a visitor to talk to them."

Imerman began engaging other patients and offering support and camaraderie.

"It was instant friendship," he said. "You're not talking surface level. You're talking about life and death. My goal was to get in there and motivate patients so that they wanted to jump out of their chemo bed and literally start swinging at this thing."

Do you know a hero? Nominations for 2012 Heroes close August 31

When Imerman was deemed cancer-free, his health improved and his spirits soared along with his dreams to offer hope to more cancer patients.

Imerman started reaching out to doctors and hospitals and was referred to other cancer survivors. He collected data, spread the word and became a matchmaker of sorts.

Today, nearly a decade later, Imerman Angels has a database of more than 4,000 survivor mentors. The group carefully pairs a cancer fighter with a mentor who had the same type of cancer. And caregivers, such as a spouse, parent, child or friend, can also be paired with other caregivers and survivors.

The group tries to connect people who live in the same city and can meet in person. But its database also extends overseas, and some pairs communicate via phone and Skype. On average, the group creates five to seven pairs a day.

Imerman Angels has made more than 8,000 matches in more than 65 countries.

"(Our) cancer survivors have amazing stories and volunteer to give their story back, to help somebody else out with the same cancer," Imerman said. "We share stories. We listen. We learn. We become close and connected, because we expose probably the most vulnerable time of our lives. ...

"I think the bigger picture -- and what we need to do in a cancer world -- is create more friendships."

Survivors who have navigated the often-complex cancer system can share what they know with patients who are starting at square one and are often unsure where to turn.

"There's a great benefit for an individual to be able to contact somebody else who's struggled with the same problem," said Dr. Steven T. Rosen, director of the Robert H. Lurie Comprehensive Cancer Center of Northwestern University. "To be able to get the perspective of another patient who can tell them about what to anticipate and also to see someone who's been through the process, who's had a good outcome and that there's a light at the end of the tunnel. In many instances ... it improves their quality of life dramatically."

Imerman Angels runs on donations, and the majority of its small staff are cancer survivors. Although the group accepts men and women of any age, more than half of its roster is between 18 and 40.

"Imerman Angels is incredible in the sense that they're able to pair you up with someone that looks just like you and that gets it and that can tell you it's going to be OK," said Jenna Benn, who was diagnosed with a rare form of lymphoma when she was 29. "All of a sudden, your reality doesn't seem so strange. It seems sort of normal. As much as I didn't want to be a part of this club and I didn't ask to be here, I'm really happy that I have this community that Jonny has built."

Imerman continues to make his rounds at the oncology wings of Northwestern Memorial Hospital in Chicago, just like he did in Detroit more than a decade ago.

"I'm a survivor. You're going to be, too," he regularly tells patients.

For Imerman, mentoring patients has helped him to live in the moment and embrace life without fearing a recurrence of cancer.

"I don't really count the days since cancer, because it's like every day's a birthday," he said. "Every day is a good day. You're happy you woke up. ... Life is amazing."

Want to get involved? Check out the Imerman Angels website at www.imermanangels.org and see how to help.

@highlight

Jonny Imerman wants to make sure no one has to battle cancer alone

@highlight

He started Imerman Angels to pair patients with cancer survivors

@highlight

Imerman is a survivor himself; he tells people: "I beat it. And so will you"

@highlight

Do you know a hero? Nominations for 2012 CNN Heroes close August 31