(CNN)Even at the age of 7, Lotte Hershfield knew her world was crumbling.

She avoided the benches with the sign: No dogs or Jews allowed. She couldn't attend public schools. And the Nazis and their growling German shepherds raided her family's house, throwing their books into a fire.

As a child, "we were very aware," said Hershfield, now 84. Jews weren't welcome in their own home.

Growing increasingly fearful, her parents and her older brother left their hometown of Breslau, Germany, in 1938 and journeyed to an unlikely new home -- the Philippines.

About 1,200 European Jews fled to the Philippines from 1937 to 1941, escaping the throes of the Nazis only to face another bloody war under Japanese occupation.

Many of the Jews came from Austria and Germany, as the anti-Semitic policies including the Nuremberg race laws intensified. Unable to immigrate to countries such as the United Kingdom and the United States, thousands of Jews escaped to places such as Shanghai in China, Sousa in the Dominican Republic and Manila.

Those who arrived in Manila didn't realize that they had escaped the Holocaust only to be caught in the war in the Eastern Front, where the Philippines came under attack.

"We were going from the frying pan to the fire," Hershfield said. "We went from Nazi persecutors to the Japanese."

The Philippines capital was liberated after a grueling, monthlong campaign in the Battle of Manila, one of the bloodiest battles of World War II, which now marks its 70th anniversary.

This little known chapter of history about Jewish refugees in the Philippines has inspired two documentaries and talk of a possible movie.

"We know about stories like Anne Frank, 'Schindler's List' -- the things that grab popular imagination," said Michelle Ephraim, whose father, Frank Ephraim escaped to the Philippines after Kristallnacht in 1938. "Once you bring an Asia element, it becomes so complicated, interesting and surprising."

About 40 of the Philippines refugees are alive today, according to documentary filmmakers. They were children when they arrived in the Philippines over 70 years ago.

"That was like a rebirth," said Noel Izon, the filmmaker of the documentary, "An Open Door: Jewish Rescue in the Philippines," in which he interviewed several Jewish refugees. "They went from certain death to this life."

Among them was Frank Ephraim, who arrived in Manila at the age of eight. He recounted his experience in his biography, "Escape to Manila: From Nazi Tyranny to Japanese Terror."

"My father got a lot of positive attention, coming from a place where Jews were exiled and treated so poorly," said his daughter, of his escape from Europe. Frank Ephraim died in 2006.

"The Filipinos were incredibly kind and treated him extremely well. There was an element of something so redemptive."

Manuel Quezon, the first president of the Philippine Commonwealth, and a group of Americans that included future U.S. President Dwight D. Eisenhower and the Freiders, the Jewish-American brothers, became increasingly concerned about the treatment of Jews in Europe during the late 1930s.

"They had a shared view of the world, they were men who understood what was happening in Europe," said Russ Hodge, co-producer of the documentary "Rescue in the Philippines." That documentary was screened in the Philippines with the country's president, Benigno Aquino in attendance last year.

Over poker, the men devised a strategy to bring Jewish refugees to the Philippines.

The Philippines Commonwealth remained under U.S. supervision so it could not accept people who would need public assistance. The refuge committee sought highly skilled professionals such as doctors, mechanics and accountants.

By 1938, a stream of refugees arrived including a rabbi, doctors, chemists and even a conductor, Herbert Zipper, who survived Dachau concentration camp and later became the founder of the Manila Symphony.

Quezon's ambitions to settle 10,000 Jews in the southern island of Mindanao were dashed as the the war arrived to the shores of the Philippines.

For the European Jews who arrived in the Philippines, "it was a cultural shock," said Hershfield. "We didn't know the language. We had never seen any other than white people before."

The humidity was thick, the heat overpowering and the mosquitoes gigantic.

But the young Jewish refugees saw the Philippines as a new adventure. Children climbed mango trees, swam in the bay and learned Filipino songs.

Hershfield became friends with local neighbors, played sipa (a local kicking game) and relished tropical fruit such as papaya and guava. Life in Manila was running around in sandals and summer clothes. The experience differed for her parents.

"It was very difficult for my parents," she said. "They never really learned Tagalog. They had been westernized and they stayed mostly within their circle of other immigrants."

Many of them lived in crowded community housing where fights would break out. They had gone from being wealthy in Germany to having nothing.

"It wasn't what they'd known before in Germany," Izon said. "At the same time, "they were able to practice their religion, able to intermingle and have businesses."

Hershfield's idyllic days of playing under the Manila sun came to an abrupt end as the war came ashore to the Philippines.

Starting in 1941, the Japanese occupied the Philippines. In some respects, the Jewish refugees were treated considerably better than Filipinos. What ironically protected the Jews was their German passports with the swastikas -- they were viewed as allies.

"It occurred to me later, that's what kept us from being interned," said Ursula Miodowski, who was 7 years old at the time.

The Japanese interned British and American residents in camps. Filipinos and American soldiers were forced to march 65 miles in the infamous Bataan Death March in which an estimated 10,000 prisoners died.

Japanese officers confiscated residents' homes and also hoarded crops for its military. The local economy shriveled and food became scarce.

Life under the Japanese was hard and brutal, surviving refugees said.

When Allied forces began taking back the Philippines, bombs fell daily. Families hid in bomb shelters, not knowing where the next one would fall. Frank Ephraim spent days hiding in a ditch, shaking with a mattress covering his head. One of Hershfield's friends died after stepping on a mine.

"Fires were going on all the time," said Hershfield. "You could see the black clouds, smell of bodies, lying there and decaying."

As the Japanese were losing Manila, the imperial troops launched a brutal urban campaign. Rapes, torture, beheadings and bayoneting of civilians were widely reported, so much so that a Japanese general Tomoyuki Yamashita was later executed for having failed to control his troops.

"The Japanese decided to destroy Manila. They were going to give them a dead city, they set about doing that," said Miodowski. "They burned, they killed."

But war time in the Philippines was "preferable to being in a concentration camp," she said.

The monthlong urban street fighting for Manila left the capital in ashes, decimating its economy and infrastructure. The Philippines suffered nearly a million civilian deaths during the war.

Despite the trauma of facing both fronts of the war, Hershfield remains grateful.

"We would not be alive today if not for the Philippines. We would've been destroyed in the crematorium."

In 2009, a monument honoring the Philippines was erected at the Holocaust Memorial Park in the Israeli city of Rishon Lezion. The monument, shaped like three open doors, thanks the Filipino people and its president for taking in Jewish refugees during the Holocaust.

Many of the descendants of the Jewish refugees who fled to the Philippines have not forgotten their family's place of refuge.

When Typhoon Haiyan struck the Philippines in November 2013, the disaster brought in relief workers from the American Jewish Distribution Committee.

Danny Pins, who is related to Hershfield and is the son of a Jewish refugee to the Philippines, headed its assessment team.

"For me it was like coming full circle and I couldn't help but think of what it must have been like when my grandparents and mother arrived 76 years ago," he said. "My going to the Philippines after Typhoon Haiyan was very special. I was repaying a debt to the country that saved my family."

@highlight

Philippines welcomed Jewish refugees during Holocaust while other countries closed doors

@highlight

About 1,200 European Jews moved there before 1941

@highlight

While they escaped the Holocaust, they were confronted with the Asian front of the war as Japan invaded