(CNN) -- Getting arrested for stealing cars after his 16th birthday may be the best thing that ever happened to Terrence Barkley.

Serving time in Missouri's juvenile justice system set Terrence Barkley on the path to college.

It got him out of gangs and headed to college.

While in one of Missouri's juvenile facilities, Barkley became editor of its student newspaper, captain of the football team and made the honor roll.

"I wanted something different for myself or I'd end up in Kansas City doing nothing. I knew I could do something," said Barkley, who is the first in his family to go to college.

Now he's a sophomore studying criminal justice at the University of Central Missouri.

Barkley wasn't scared straight. He wasn't packed away in a crowded facility with steel bars and razor wire. He wasn't under the constant guard of uniformed officers with billy clubs or locked down with hundreds of other juveniles.

Instead, he was sent to Waverly Regional Youth Center, one of Missouri's 32 residential facilities where he wore his jeans and T-shirts. He slept in his own bunk bed in a room that looks more like a dorm than a jail cell. He received counseling and schooling.

While America's juvenile system is often criticized for corruption and abuse, Missouri state officials say its juvenile justice solution has saved billions of dollars and reduced the number of repeat offenders. In the last four decades, the state has transformed its juvenile system into one that defies the traditional prison model.

Known as the Missouri model, the program focuses on therapy, comfortable living conditions and an emphasis on job training and education. Missouri's facilities are serving thousands of young offenders, and they are receiving national acclaim.

Each offender is placed in a small group of 10 to 15, assigned a case worker and sent to school during the day. Offenders also put on Shakespeare stage productions and play sports. They learn about teamwork through camping and rock climbing.

"Young people are really turning their lives around and becoming productive citizens," said Tim Decker, director of Missouri Division of Youth Services. "We've redefined what's possible in the juvenile justice system."

Several states including New Mexico, Louisiana, California and Virginia are trying to emulate the Missouri model. Washington's troubled juvenile detention center, Oak Hill Youth Center, which once housed some of the most serious teen offenders, was shut down in 2009 and rebuilt to copy the Missouri model.

Missouri has changed, too. The state once relied on a punitive system that warehoused offenders in harsh conditions. For nearly a century, the Missouri Training School for Boys in Boonville was a dark place known for beatings, rapes and even deaths. At one point, it was crammed with 650 offenders.

Even judges hesitated sending children to Boonville. It was closed in 1983 and transformed into an adult prison.

"We had a dysfunctional system and we had to change our mindset on how to best work with these kids," said Mark Steward, who helped pilot the Missouri model in the 1970s. Steward heads the Missouri Youth Services Institute, a consulting agency that helps other states implement the Missouri model.

Under the Missouri model, juveniles who commit minor crimes such as skipping school or trespassing are placed in low-security, renovated houses or cottages with 10 other kids. The small group size allows staffers to work more effectively with individual offenders.

Delinquents who commit violent crimes are placed in gated facilities that hold a maximum of 50 offenders but offer the same small group atmosphere and focus on rehabilitation. These offenders are broken into smaller groups and also receive counseling and go to school on site. Most juveniles work on community service projects during their stay.

Instead of serving sentences of weeks, months or years, a juvenile in Missouri can win release through good behavior and demonstrated progress.

Missouri officials say the small group size may be the reason why there hasn't been a suicide in their residences in 25 years. The federal government has reported hundreds of suicide incidents involving juveniles in confinement.

Critics argue the Missouri model's residential centers are too soft on juvenile delinquents and that some youths may never become law abiding citizens.

"There are victims who certainly feel more is needed to help the child fully understand the consequences of their actions," said Julie Lawson, executive director of Crime Victim Advocacy Center in St. Louis, Missouri.

Lawson said some adult criminals may take advantage of a juvenile system that doesn't appear to be as punitive as the traditional juvenile model. Adult gang members may ask juveniles to take the blame if they know that the punishment won't be that harsh, she said.

Missouri's Youth Services Division staff admits that a small percentage of juveniles will continue breaking the law despite going through the program.

But some research on the Missouri Model has shown promising results. A recent analysis by the Annie E. Casey Foundation found that about 9 percent of juveniles in Missouri get in trouble with the law again within three years of their release. By contrast, about 28 percent of Arizona's juvenile offenders were back in trouble within three years.

The program has survived scrutiny from tough-on-crime conservative leaders such as former Missouri Gov. John Ashcroft, who later served as attorney general in the Bush administration.

The Missouri model has saved the state billions of dollars, said George Lombardi, who heads the adult Department of Corrections. He credits the Missouri model's low recidivism rate with slowing prison population growth. As a result, the state didn't have to build three prisons.

More than 370 of the juveniles who went through the Division of Youth Services graduated from high school this year compared to just 40 children when the program began in earnest in 1983, according to state officials.

"I had wanted to go to college" said Kaitlyn Bullard, a 21-year-old senior at the University of Missouri. Bullard, a teen who abused alcohol was sent to a facility for girls in 2005 for behavioral problems."But I just never thought it would actually happen."

Today, she is planning to apply to law school.

@highlight

The Missouri model uses small, therapeutic groups to treat juvenile offenders

@highlight

Juvenile residences don't have barbed wire or require uniforms

@highlight

A handful of other states are trying to replicate the Missouri model

@highlight

Studies show only ten percent of Missouri's youth re-offend