(CNN)Late last month, the U.S. Senate voted to approve the siting of the Keystone pipeline by a vote of 62-36. This vote will ultimately have little impact on the project's future as President Barack Obama has promised to veto the legislation. Nevertheless, the process by which the Senate considered this highly partisan issue was truly remarkable.

Over three weeks, the Senate debated and voted on 41 amendments -- nearly three times as many amendments as were considered during all of 2014. Moreover, the process was cordial, occasionally intense and at times even suspenseful. While covering a wide variety of topics, the amendments were all substantive and reasonably related to the topic of the proposed legislation.

Votes were taken on delaying the effective date of the pipeline; requiring campaign finance disclosures for those benefiting from tar sands development; and removing the lesser prairie chicken from the threatened species list. Several amendments were adopted including bipartisan legislation to accelerate energy efficiency and a widely supported resolution acknowledging that climate change is real and not a hoax.

Given the authentic opportunity to debate, Democrats responded in kind, agreeing to a fixed number of amendments and a endorsing a process for final consideration of the legislation.

This blast of engagement is not a testament to the exceptional or unique significance of the Keystone debate. It is also not a coincidence. Majority Leader Mitch McConnell has committed to restoring the Senate's deliberative process even if it means spending more time in Washington and subjecting his caucus to the occasional "tough vote."

The Senate's ability to conduct this productive process while considering a hotly contested and highly partisan issue is an early sign that both Republicans and Democrats are up to the challenge.

The more open debate created an obligation and opportunity for Energy Committee Chair Lisa Murkowski, R-Alaska, to work closely with the committee's ranking member, Sen. Maria Cantwell, D-Washington.

Energy policy is often a topic that can generate bipartisan support, and this early legislative activity is promising, even if the debate was partisan and at times even harsh. More fundamentally, that the full Senate spent long hours together in the chamber is a breakthrough. The process may be laborious, but it's the essence of our democracy.

To appreciate the ramifications of a return to active deliberation, it is necessary to understand the dynamics at the heart of congressional gridlock. The usual diagnosis of our government's recent dysfunction is that toxic polarization and anger are preventing deliberation. But the reverse is equally true: the absence of deliberation has also caused exasperation, enmity and toxic polarization.

In the six years that former Democratic Sen. Mark Begich of Alaska served in the Senate, he did not have a single amendment considered on the Senate floor -- not one. Imagine a pilot who is never allowed to fly a plane or a surgeon barred from the operating room and you'll get a sense of the exasperation felt by those serving in a dysfunctional democracy.

Centrist Democrat Joe Manchin lamented last year that his worst day as governor of West Virginia was better than his best day as a U.S. senator. And yet another senator grudgingly described his job to me as that of a "glorified telemarketer who occasionally gets to vote to confirm an assistant secretary of education."

This boiling resentment must be channeled somewhere, and much of it follows the path of least resistance -- feeding the foul mood and partisan rancor that undermines collaboration. Even when the vast majority of amendments are defeated, the very act of being heard serves as a safety valve, releasing some of the steam and reducing the likelihood that issues blow up.

Moreover, the ability to debate amendments provides an incentive for building coalitions. Why take on the political risk of pushing an idea that is at odds with leadership or orthodoxy if you'll never even be heard?

An additional reason McConnell may be opening up the process is that the political strategy of avoiding tough votes was, thankfully, a big flop in the 2014 elections. All of the seven purple state Democrats that Sen. Harry Reid sought to protect lost their seats. In each contest, these Democrats were aggressively challenged for voting in lockstep with the President's agenda. Given the opportunity to take some "tough votes," they might have been able to demonstrate independence and courage.

Looking to the future, the real question is whether McConnell can sustain his promise in light of the time commitment and occasional "gotcha" amendments that go along with open debate. There have been few opportunities of late to extol American democracy. Let's hope our leaders seize and build upon this opportunity to restore the wisdom and character of the U.S. Senate.

@highlight

Jason Grumet: Keystone legislation is likely to be vetoed, but process was encouraging

@highlight

He says the Senate is returning to its tradition of more open deliberation