(CNN) -- London's 'ghost stations' are a paradise for urban explorers, daredevils who compete for the most spectacular photos of their visits to the abandoned labyrinths that stretch under the capital.

But the party may be over, as London seeks to transform its abandoned tube stations into a powerhouse of urban development, and address the problem of expansion in one of the most expensive cities in the world.

Ex-banker Ajit Chambers, 41, is leading a campaign to push the ghost stations into service. The founder of the Old London Underground Company has plans to develop 26 sites with an estimated value of £3.6 billion. He envisages leasing and converting them into retail parks, entertainment centers, offices and cultural experiences.

"You can operate 24 hours a day underground," says Chambers. "Workers could come and go at any time without worrying about the noise."

"Then there is the unique selling point that almost no one has seen these places before, which will guarantee a lot of interest."

Five years after beginning the planning process, the entrepreneur believes his vision is on the verge of reality. A single site -- Down Street station - has undergone extensive assessments for logistics and safety, and Chambers claims that Transport for London (TfL) have assured him it will be converted and opened to the public in 2015.

Development would make use of the city's cultural capital. Previously a World War Two bomb shelter, Down Street also accommodated wartime Prime Minister Winston Churchill's private apartments, Chambers intends to make the site a tourist attraction based on its history and according to his figures, it would return a profit within three years.

The entrepreneur believes this would be a breakthrough to herald mass-scale development.

"The value is the model," he says. "There are billions in these properties that need to go to market. We are launching a new sector."

Chambers has corralled an international team of investors, and construction company Mace -- which built London's Shard -- is ready to convert the space. He claims there is enough interest to launch all 26 sites whenever permission was granted.

TfL would not confirm any deal, but said that assessments are ongoing and did not rule out a single site opening commercially next year. A spokesperson stressed that mass development would be limited as many stations are still in "operational use" -- including as emergency exits.

The network has already made some tentative steps, using part of Clapham Station to host an underground farm. The Ministry of Defence has sold one its underground site - Brompton road - to Ukrainian investors.

Mayor of London Boris Johnson has called the development of ghost stations a "brilliant plan" and pledged to support it if it does not require the investment of public money.

Should the plans go ahead, it would see London take a lead in a global race to develop cities underground. In recent years, Mexico City has sought to address its overcrowding with a 300-meter deep 'Earthscraper' to accommodate retail, housing and cultural attractions.

New York's 'Lowline Project' is an audacious attempt to create the world's first underground park, slated for a 2018 opening powered by innovative solar technology that would support the growth of plants deep below the surface.

Finnish capital Helsinki has taken the concept furthest, getting around its space limitations with strategic 'Underground City Plan'. Features include leisure centers and shopping malls, along with much of the infrastructure, such as roads and data centers.

With over 80% of the world's population projected to live in cities by the end of the century, subterranean development has become a critical facet of efforts to sustain growth.

In a 2013 report, the US National Research Council suggested that "facilities underground may be the most successful way to encourage or support the redirection of urban development into sustainable patterns."

"It's absolutely a growth area," says Mark Hansford, editor of the New Civil Engineer. "All the businesses we talk to anticipate growth in construction of ever deeper underground spaces. In London a growing number of properties are three or four stories deep. With so little space there has to be new ways to make use of it."

Hanford says that technology has played a role, with the development of self-supporting concrete, and 3D computational modeling that allows architects to plan at ever-greater depths with minimized risk.

"There has been development of skill in underground tunneling that gives confidence to clients now, that projects will be built on time and budget," says Hansford.

Hansford adds that energy costs could be significantly lowered through the warmer atmosphere underground, another inducement for potential occupants.

For the future of business, the only way is down.

@highlight

Underground sites worth £3.6 billion to be converted in London

@highlight

Would facilitate 24-hour operation and solve space issues in urban hubs

@highlight

Finland, US, Mexico join global movement to underground development