(CNN) -- When Sada Mire fled war-torn Somalia as a frightened teenager, the nation was descending into darkness, mired in the grip of a long civil conflict.

But several years later, when she returned to the Horn of Africa as an ambitious archaeologist, her fierce determination and meticulous fieldwork brought to light the region's rich cultural heritage.

In 2007, her archaeological pursuits resulted in the discovery of 5,000-year-old rock art in Somaliland, a breakaway state in the northwest corner of Somalia.

The prehistoric findings, which include renderings of animals as well as human figures, are significant in enhancing understanding about the prehistoric way of life across the region, says Mire.

Somaliland's first archaeologist, Mire is now on a mission to preserve and protect what she says is a heritage at risk of disappearing.

Ancient findings like the rock paintings, which were discovered at Dhambalin, in a sandstone shelter near the Red Sea, not only have historic importance, but also help restore a sense of self-esteem and cultural pride in the people of Somaliland, she says.

Many were completely unaware of the existence and significance of archaeology before the discovery of the cave paintings.

"I would bring them to the site and explain how important the site is potentially for helping them," Mire says.

"Initially it was very difficult to communicate that but after a while I managed to get their attention -- they even ended up sort of feeling a sense of dignity that actually 'this is our site' -- a feeling that 'we have nothing but we have this.'

Somaliland declared independence in 1991, but isn't internationally recognized as a separate state.

Mire spent her early years in Somalia's capital Mogadishu, along with her identical twin sister Sohur. There, the two sisters enjoyed a normal childhood until a bloody conflict erupted in 1982.

Their mother decided that their future would not be in Somalia and started to plan an escape to Sweden.

When the two sisters arrived in the Scandinavian country, they encountered a completely different reality to the one they were used to before.

"I remember the first feeling was like a glass of milk in a fridge -- sort of thinking why is it so cold? But I think we got used to it," Mire recalls.

"The fact that it was totally, completely different to what we had experienced was in a way healing itself, because now you had nothing to associate with what we had been through -- you could sort of reinvent yourself in a new world," she says.

Determined to make the most of their new opportunities, Mire and her sister settled for a few years in Sweden before relocating to the United Kingdom to pursue their studies.

Mire's professional journey brought her back to Somaliland a few years ago, where she embarked on a mission to unearth its cultural heritage.

But while discovering significant archaeological findings, she also saw first-hand the tough conditions people lived in.

"There was no access to clean water, there was no access to basic education especially in the rural areas where the archaeology was," she says.

"So for me, finding an extraordinary archaeological site I had to think how is this going to help these people and not just me as a researcher."

Stemming from that sense of social responsibility, Mire helped set up and now heads Somaliland's Department of Antiquities, a branch of the Ministry of Culture and Tourism.

Dividing her time between Somaliland and the UK, she is determined to educate her fellow Somalis about their history as well as raise awareness across the world about Somali cultural heritage.

"I feel very committed," she says. "My hope for this is to be able to set up an institution which can help produce students -- Somali archaeologists, Somali cultural heritage managers."

@highlight

Sada Mire is on a mission to raise awareness about Somali cultural heritage

@highlight

The archaeologist discovered prehistoric cave art in Somaliland in 2007

@highlight

Mire is the head of Somaliland's Department of Antiquities