(CNN) -- You may inadvertently be getting more than you bargained for when you put paprika in your chicken paprikash.

A new Food and Drug Administration report, "Pathogens and Filth in Spices," says that 12% of U.S. spice imports are contaminated with bug parts, rodent hairs and other ingredients more appropriate to a witches' brew than your mother's favorite recipe.

The FDA study also found that 7% of spice imports the inspectors examined were contaminated with salmonella. Salmonella are toxic bacteria that can trigger diarrhea, fever, and abdominal cramps.

The amount of "filth" the FDA found in imported spice was twice that found in other kinds of imported food. The report characterized this as a "systemic challenge."

The agency conducted the research to figure out what kind of risks the contamination poses to the American public and what the FDA can do to lower any kind of health risks.

There is good news, however, regardless of the ick factor. The study did find that only a tiny fraction of the American public has gotten sick from spices. In the 37 years of records examined, it found only 14 outbreaks worldwide associated with spices and seasonings, resulting in fewer than 2,000 human illnesses and 128 hospitalizations. The FDA characterized that as a "relatively small number of outbreaks" compared to other foodborne illness.

The FDA says the issue may be underreported. Patients often forget to list spices when they describe what they ate before they became sick. People also eat spices in such tiny quantities that there is less exposure to pathogens than with food which is eaten in larger servings.

"We would agree ready-to-eat spices should be clean and meet FDA standards and be pathogen-free," said Cheryl Deem, executive director of the American Spice Trade Association. "We did find it really interesting that the FDA said they were going to use this report to develop a plan to reduce illness, but if you look at the data we don't think that's a significant problem. That's a small number of illnesses."

22,000 pounds of meat recalled; possible Listeria

The report points out most of the contamination likely comes from what it describes as "poor storage practices."

Deem said it is not a big surprise the FDA would find some issues with spices that arrive in the United States in raw form. Tests did not distinguish between the ready-to-eat product that has been cleaned overseas or the raw product. Spice can come to the U.S. cleaned and bottled in another country, or in big sacks and containers that then go to a commercial facility, Deem said. At the facility the spice is cleaned in what's called a "microbial reduction process," in which the spice is cleaned several times to get rid of the sticks and stones and those scary-sounding bug parts.

Since most spices cannot be grown in the United States, much of the supply comes from countries like India and Mexico -- the two countries that have the highest rate of contamination.

Deem said much of the spice that comes into the U.S. comes through a complex supply chain. That's where contamination can enter, she said, starting with the small farmers who gather the crop, dry it and then often store it until they need the cash. It then goes to a collector where it is again stored until there is enough of a supply from local farmers. Only then is it shipped to a bigger facility for treatment.

"It goes through some very small hands before it gets to the first processing stage," Deem said.

The Spice Board of India is currently working directly with farmers to put additional safety practices in place and to lower the risk of contamination, the FDA said. The agency has provided some food safety training in India, as has the American Spice Trade Association.

The FDA says it has increased its inspections of spice facilities and will take further action to strengthen the spice safety net.

Fast facts on Salmonella

@highlight

Twice as much contamination found in imported spices as other imports

@highlight

"Pathogens and Filth in Spices" also found salmonella in 7% of spices tested

@highlight

Contaminated spices have caused "relatively small" outbreaks of illness, FDA says