London (CNN) -- So, after a mere half-century, German pharmaceutical firm Gruenenthal has decided to apologize for the devastating effects its drug, thalidomide, had on thousands of babies and their families around the world, myself included. Is this a reason to celebrate? Is it even a reason for cautious optimism, or is it simply a piece of news management designed to salvage what is left of its corporate reputation?

Gruenenthal's chief executive, Harald Stock, made the apology Friday as he inaugurated a memorial to those affected in Stolberg, Germany, where the company is based.

I was aware of Herr Stock long before his name was flashed around newsrooms all over the world when he made his momentous announcement.

Together with others, I've been campaigning for justice for the global thalidomide community for the past decade.

At one point Herr Stock, who replaced Sebastian Wirtz as head of Gruenenthal, agreed to a meeting.

We held preliminary discussions, however the process broke down acrimoniously before we ever got to meet Herr Stock after it became clear to all of us that the company had no intention of negotiating a lasting settlement -- one that would have kept them out of the headlines forever and which would have left the Wirtz family with its considerable fortune intact.

Personal account: A life shaped by bad medicine

So why the apology now? I think it is not unconnected with successful litigation in Australia that has resulted in a multi-million dollar settlement for a hitherto unrecognized thalidomide survivor, Lynette Rowe. Although the settlement was achieved at the expense of the British and Australian successor company to the distributor of thalidomide, Diageo, Gruenenthal was also named in proceedings. The writing was spray-painted on the wall for Mr Stock and the board of Gruenenthal.

We believe the drug had its origins in the Nazi death camps in Poland -- as uncovered by two solicitors working on behalf of survivors of thalidomide. It is also a matter of record that Gruenenthal's board in the 1950s included a prominent and convicted Nazi war criminal, Otto Ambros.

Respected historian and director of The Thalidomide Trust, Dr Martin Johnson, who has himself uncovered much damning evidence against Gruenenthal has said: "This is a company that has evil written into its DNA."

Earlier this year, Lynette Rowe's lawyers lodged previously secret Gruenenthal records with an Australian court, revealing that for at least two years before the drug was removed from the market in late 1961, German medical professionals had told the company's staff they believed women who had taken thalidomide during pregnancy, had given birth to children with deformities. In the U.S., concerns were such that it was never approved for use by pregnant women.

In March 1961 the board could have sensibly decided to withdraw thalidomide from the market in light of claims of birth defects and nerve damage to people taking it. Instead it decided to carry on regardless -- there was far too much money to be made from peddling its toxic 'wonder drug'.

The battle for financial redress will not end with this apology. In fact, if anything, it will make those still fighting for compensation even more resolute. In Australia there is a class action under way and in Ireland, survivors there are launching their own legal action. We, in the UK, are also continuing to work for a permanent settlement.

So my advice to Stock and the Wirtz family is as follows: Admit that the drug was not adequately tested prior to release; admit that evidence of harmful side-effects was ignored and concealed; and admit that crucial documents 'went missing' and were unavailable to prosecutors in Germany in 1970 which would have proved corporate and individual guilt once and for all.

Those thalidomiders who are still alive are ageing -- and faster than we should because of our disabilities. To help us live as comfortably and independently as possible costs money. Adaptations, medical costs and personal assistants are not cheap. Thalidomide has deprived us of the lives we should have had and many more of any life at all. I believe that both morally and legally, Gruenenthal has a responsibility to help us and will continue to fight until that happens.

The Wirtz family has grown fat on the backs of thousands of families whose lives have been torn apart by a medicine originally marketed as "totally without harm." If they really want to make amends, they should put their entire wealth at the disposal of the world's thalidomide survivors before it's too late.

Britain apologizes to thalidomide victims

The opinions expressed in this commentary are solely those of Geoff Adams-Spink.

@highlight

Geoff Adams-Spink has been campaigning for justice for the global thalidomide community

@highlight

"The battle for financial redress will not end with this apology," he says.

@highlight

"Thalidomide has deprived us of the lives we should have had and many more of any life at all."

@highlight

He says the company should put their wealth at the disposal of the world's thalidomide survivors