Bloomington, Indiana (CNN) -- As Zoroastrian funerary processions enter the graveyard overlooking the Tehran suburb of Ray, their sobriety is often shattered by the sound of explosions and gunfire. Frequently, the way forward is blocked by Islamic Revolutionary Guards conducting a combat exercise among the tombs. According to Zoroastrian custom, burial needs to take place within 24 hours, and the Revolutionary Guards will not halt their training activities there for the funerals.

This is just another sign of religious freedom fading in the Islamic Republic.

Much that is written about the Zoroastrians of Iran portrays them as a venerable and quaint religious community. But these followers of an ancient faith are not insulated from the tribulations of their country.

Zoroastrianism is named after its founder, the prophet Zarathustra -- or Zoroaster, as he came to be known in the West -- who preached sometime between 1800 and 1000 B.C. Zoroaster spoke of humans siding with God (called Ahura Mazda, or the Wise Lord) against the devil (called Angra Mainyu, or the Angry Spirit) and fighting for all that is right. In time, those concepts became central to Judaism, Christianity and Islam. So did Zoroastrian beliefs that each soul faces judgment after death before entering heaven, limbo or hell, and that all of humanity will experience resurrection, final judgment and heaven on Earth.

Ancient Persian kings like Cyrus and Darius followed their faith's basic tenet of doing good by freeing Israelites from the Babylonian Exile and supporting construction of the Second Temple at Jerusalem. Zoroastrianism's clergymen, or magi, are known around the world as the wise men in attendance at the nativity of Jesus. Until Arabs conquered Iran during the seventh century, Zoroastrians, Jews and Christians there could practice their own devotions unhindered. Thereafter, they became minorities who were persecuted and largely converted to Islam.

When the Islamic revolution occurred in 1979, fundamentalist Shiites stormed the fire temple at Tehran. There, Zoroastrians worship in front of a blazing fire, as a symbol of God's grace, just like Christians face a cross and Muslims turn to a qibla pointing toward Mecca. The portrait of Zoroaster was tossed down, a photograph of Ayatollah Ruhollah Khomeini was put up in its place, and the congregation was warned not to remove the image of Iran's new leader. Only months later could the prophet's picture be mounted upon an adjacent wall.

Their schools and classrooms began to be covered with images of Supreme Leaders Ayatollah Khomeini and Ayatollah Ali Khamenei and with verses of the Quran that denounce non-Muslims. Those who do well academically nonetheless find no openings within state-controlled universities.

When the bloody war with Iraq raged from 1980 to 1988, young Zoroastrians were involuntarily drafted for suicide missions in the Iranian army. Rejecting the Shiite mullahs' claim that military martyrdom would lead them to a heaven full of virgins was futile. Failing to offer their lives on the battlefield could result in execution for treason.

Then in November 2005, Ayatollah Ahmed Jannati, chairman of the Council of Guardians of the Constitution, disparaged Zoroastrians and other religious minorities as "sinful animals who roam the earth and engage in corruption." When the Zoroastrians' solitary parliamentary representative protested, he was hauled before a revolutionary tribunal. There, mullahs threatened execution before sparing his life with a warning never to challenge their declarations again. A frightened community subsequently declined to re-elect him.

Over the past two years, many Muslim Iranians have begun publicly rejecting the Shiite theocracy's intolerant ways by adopting symbols and festivals from Zoroastrianism. Those actions are denounced as causing "harm and corruption" by ayatollahs like Khamenei and Jannati.

Sensing that popular sentiment among Iran's Muslim majority is shifting away from the mullahs, even President Mahmoud Ahmadinejad has begun utilizing Zoroastrianism's past for his own political ends. In September 2010, he arranged for the Cyrus Cylinder, a sixth-century B.C. document that speaks of religious tolerance and Iranian greatness, to be loaned from the British Museum. During a public ceremony in Tehran, Ahmadinejad lauded indigenous traditions as superior to Arab-imposed Islam. Privately, his chief of staff, Esfandiar Rahim Mashaei, even referred to King Cyrus as "a messenger of God."

Their tottering political base has sharpened the Shiite clerics' ire. Like members of the Christian, Jewish and Baha'i minorities, Zoroastrian activists who protest the theocracy's excesses are sent to Tehran's notorious Evin prison on charges of sedition. At the ayatollahs' instigation, Iranian media characterizes the followers of Iran's ancient faith as polytheists and devil worshipers. Lesser mullahs rant against Zoroastrians not only in Iran, but even at mosques in Toronto.

The Zoroastrian cemetery outside Tehran now faces another challenge: The municipality seeks to lay a highway through it. Some schools and devotional centers in other Zoroastrian strongholds like Yazd and Kerman have also been notified of pending annexation. Communal gatherings are routinely monitored by fundamentalist Muslim authorities who allege that Zoroastrianism "threatens national security and subverts the Islamic revolution."

Protections offered by the Islamic Republic's constitution have been rendered meaningless in practice. Not surprisingly, the daily regimen of discrimination makes Zoroastrians feel wholly unwelcome in their Iranian homeland. Only between 35,000 and 90,000 now remain in a country of approximately 74 million citizens -- and, fearing persecution, many do not readily identify themselves as Zoroastrians.

Yet, Zoroastrians are no mere footnote in human history and religiosity. Their ideas still determine how many of the globe's residents behave. The end of Zoroastrianism in Iran should be prevented. Making religious freedom a priority in U.S. and EU foreign policies will help achieve that goal.

The opinions expressed in this commentary are solely those of Jamsheed K. Choksy.

@highlight

Zoroastrians are not insulated from Iran's tribulations, Jamsheed K. Choksy says

@highlight

Followers of this ancient faith are disparaged as "sinful animals," he says

@highlight

Choksy: Many Muslim Iranians are rejecting the Shiite theocracy's intolerant ways

@highlight

President Ahmadinejad now uses Zoroastrianism's past for political ends, Choksy says