(CNN) -- When Apple introduces new iPhones on Tuesday, as everyone expects them to do, the company that practically created the smartphone will face an unusual task: keeping up with the competition.

There's still plenty to be said for the iPhone's sleek, simple design, easy-to-navigate operating system and tidy "closed garden" app environment.

But as phones running Google's Android operating system, particularly Samsung's, have gained in popularity, iPhone owners have increasingly found themselves looking around and wondering, "Why can't my phone do that?"

Many Android phones have bigger screens than the iPhone. Some are water-resistant and can even snap photos underwater. Android apps can update automatically. Users can control Motorola's new Moto X phone with their voice, without touching it. And that's just the beginning.

Add to that the fact that many in the tech world saw the iPhone 4S and iPhone 5 as incremental advances, not the seismic leaps forward we'd come to expect from Apple, and you've got the more pressure on the company to ramp up the "wow!" factor.

"The smartphone market is more competitive overall, and in the high-end it has become a duopoly between Samsung and Apple," said Carolina Milanesi, a consumer-technology researcher with Gartner Research. "Many feel that Apple needs to regain the distance they once had over their competitors."

The iPhone has remained the world's top selling smartphone, save for a few quarters when it was dethroned by phones in Samsung's Galaxy S line. But after making up nearly 24% of all smartphones sold in late 2011, Apple's device is now down to about 14%, while Android phones account for a whopping 79%.

The iPhone and iPad "were revolutionary when they first came out, but (rival)products that are out there now are about as close to Apple's devices as they've ever been," Scott Kessler, an analyst at S&P Capital IQ, told CNNMoney. "The question is whether Apple is going to introduce products that are different enough from their competitors."

So, what could we see come Tuesday?

The most high-profile feature that's been rumored for the new iPhone is a fingerprint scanner. Such a security feature would let users register a finger or thumb print and use it to unlock their phone.

There are reports the phone could be able to access LTE Advanced, a network that would make it faster than phones with 4G connections. That network is not yet available in many areas of the U.S., however.

Apple reportedly also is looking at adding bigger display screens for the iPhone, but they would likely be for future models, not the phones coming this week.

As usual, Apple is expected to upgrade the phone with a faster processor, better battery life and an improved camera. But those are the sort of pragmatic upgrades that, while arguably most important to user experience, don't turn heads the way a novelty like Siri, the iPhone 4S's voice-activated digital assistant, did in 2011.

Milanesi says Apple needs something more than standard upgrades to get its mojo back. But that shot of adrenalin might arrive in an unconventional way.

"Apple needs a new 'hero product,' but I do not think it necessarily has to be a phone," she said. "With technology innovation slowing down, maybe they are better off turning iPhone into a market-share grabber and showing innovation in another product."

The most likely candidate there could be the company's anticipated "iWatch." Apple is all but certain to be joining the emerging smartwatch market that Samsung entered last week with its Galaxy Gear device.

If Apple blows away the competition with a watch that transcends the existing options (as well as those expected from Google and Microsoft), it could bring back some of the excitement that once met the unveiling of groundbreaking products like the iPod, iPhone and iPad.

Opinions are split as to whether Apple will introduce a watch Tuesday. Apple typically doesn't launch other major products at iPhone events. But an iWatch rollout later this year or in early 2014 would miss at least some of the coveted holiday-shopping season while giving Samsung and other smartwatch makers a big head start in the marketplace.

Then there's the long anticipated, but yet unseen, Apple TV set (as opposed to the Apple TV streaming device that already exists). Moving onto customer wrists, and into living rooms, might deflate pressure to sex up the iPhone.

Still, it's hard to imagine a tech world in which the iPhone isn't seen as an elite device. That's why, when CEO Tim Cook takes the stage Tuesday in Cupertino, all eyes will be on him.

@highlight

Apple is expected to introduce new iPhones on Tuesday

@highlight

Many say company needs to make a splash to match its competitors

@highlight

Past two iPhone upgrades were viewed as incremental by some

@highlight

Analyst: Other products, not the iPhone, may re-establish Apple's rep for innovation