(CNN) -- A China-EU summit ended Tuesday with promises for more support from Beijing for debt-straddled Europe, yet no concrete cash pledges to buy euro debt.

It's becoming a familiar scenario in the wake of the eurozone crisis. Indebted nations have made repeated entreaties to Chinese leaders for bail out help in the form of buying government debt bonds or direct investment. And, indeed, Beijing has pledged to help, and Chinese investment in European companies has skyrocketed.

Still, Beijing bristles at accepting the "white knight" role European leaders clearly hope China will play.

In a joint press conference with European Commission President Jose Manuel Barroso and European Council President Herman Van Rompuy, Chinese Premier Wen Jiabao said, "China is firm in supporting the EU side in dealing with the debt problems. We match our words with actions."

However, Wen added that it was up to debt-stricken nations -- such as Greece, which approved tough budget cuts ordered by the EU amid escalating violence in Athens -- and the EU to reduce its debt risks, echoing previous statements from China during the crisis. "The debt crisis relies fundamentally on the efforts made by the EU itself," Wen said.

Why is EU seeking Chinese help?

Simply put, China has the money. For three decades Beijing has averaged double-digit annual growth. Even in the wake of the financial crisis, China's economic output dipped to a low of 8.7% in 2009 -- albeit buttressed by a $600 billion government stimulus package.

China, thanks to its extraordinary trade build-up in the past three decades, has amassed the world's largest bank of foreign currency reserves at nearly $3.2 trillion.

Encouraging China to buy bonds for Greece or EU debt would not only help the nations, but would bolster market sentiment for purchasing the bonds, and could help bring down borrowing costs for Europe.

Why is China reluctant to help?

On Monday, China central bank advisor Xia Bin was at a Beijing economics forum. When asked by reporters about investment in European debt he said: "We may be poor, but we aren't stupid," according to Reuters. "We must follow commercial principles in making such investments. That means we want returns."

German Chancellor Angela Merkel, in a visit to China earlier this month, had lobbied China Investment Corp., the state-owned $410 billion sovereign wealth fund, to invest in euro debt bonds. But CIC Chairman Lou Jiwei said Monday that the fund wouldn't invest in European government bonds. Yet in a speech Wednesday, Chinese central bank governor Zhou Xiaochuan said Beijing would continue to invest in European government debt.

The Chinese public, however, isn't interested in playing the EU's white knight. And China is facing a credit crisis of its own -- albeit writ small -- in a number of mid-tier cities such as Wenzhou as once red-hot property markets cool.

In Chinese city, lenders outraged as bosses flee

"I think domestically it's very difficult for them to make that type of commitment from a political point of view," John Quelch, dean of the China Europe International Business School in Shanghai, told CNN. "And to publicly do that when there is considerable need domestically would be very tough."

Why does the EU matter to Beijing?

The mixed messages from Beijing on helping the EU come after an International Monetary Fund report last week said fallout from the eurozone crisis could cut China's growth rate in half in 2012, underlying the importance of the EU market to China. According to figures released by Eurostat this week, China was the EU's second biggest trading partner after the U.S. in the first 10 months of 2011.

Clearly, China's financial fate is closely linked to the future of its trading partners. "China has quietly behind the scenes been supporting the euro significantly in terms of shifting and rebalancing its foreign reserves," Quelch said.

Chinese companies are increasingly investing in Europe. According to A Capital's Dragon Index, Europe was the top destination in 2011 for investment -- a total of $10.4 billion in 2011, up from $4.1 billion the year before.

Research from the China Europe International Business School suggests that within 10 years, China will invest $1 trillion in Europe -- but it will likely be more in the form of direct investment in companies rather than buying government debt, Quench said.

@highlight

An EU-China summit ended with promises to help, but no cash pledge

@highlight

China has the world's largest foreign cash reserves of about $3.2 trillion

@highlight

Domestically, there is little political support in China to rescue the eurozone

@highlight

China investment in European companies, however, has skyrocketed