After nearly a year of unprecedented attention given to allegations of widespread abuse and torture within North Korea, one question is being repeatedly asked: When will the international community do anything about it?

On Tuesday, a United Nations General Assembly committee is expected to consider a draft resolution on North Korea's human rights abuses.

The vote is merely a recommendation, as the General Assembly does not have the power to refer the regime or its young leader Kim Jong Un to the International Criminal Court for crimes against humanity (ICC).

That authority lies only with the U.N. Security Council, a 15-member body charged with maintaining global security. But the five permanent members at the core of the Security Council, including China and Russia, wield veto powers.

China is likely to use its veto as its officials have repeatedly called efforts to send North Korea's leadership to the ICC as "not helpful." Here's a reminder of where we are so far.

1. What the draft resolution states

The draft resolution, which was presented by the European Union and Japan, contains strong language against North Korea and encourages others to push the country toward the ICC and issue "targeted sanctions."

This follows the recommendations from a scathing U.N. Commission of Inquiry report on North Korea published earlier this year.

"We know the U.N. and nations of the world are much more galvanized than they were last year, or any other point in history, to address North Korea's systematic human rights abuses," said Sung-Yoon Lee, a professor of Korean studies at Tufts University.

Murder, torture, slavery, sexual violence, mass starvation -- North Korea's leaders have been accused of employing all sorts of abuses to prop up the isolated regime and exercise total control over its citizens.

2. North Korea denies, denounces

North Korea has repeatedly denied the existence of human rights atrocities, denouncing the credibility of those who testified in the Commission of Inquiry. It has repeatedly claimed that the United States and its allies are seeking to discredit and overthrow the leadership in North Korea.

3. Does the GA vote even matter?

Since the power lies with the Security Council -- and China is likely to veto any attempts to refer North Korea to the international court -- what's the significance of the vote?

"Even from a strictly utilitarian viewpoint, a U.N. vote would likely make a positive difference," Lee said. "The international community would be better positioned to further build its case against the DPRK."

While Lee said that North Korea's leadership is probably not rattled, it is "sensitive to the growing criticism." And such "sustained pressure" is much more effective than "indifference or moral persuasion alone," he said.

4. The China veto

Throughout the year, Chinese officials have reiterated that submitting human rights cases to the ICC "won't help improve a country's human rights condition."

North Korea's longtime ally has never wavered in its support for Pyongyang -- even during bumps in their relationship.

In May, Russia and China vetoed a U.N. Security Council resolution that would have asked the International Criminal Court to investigate war crimes in Syria. They were the only two of 15 countries to vote against the resolution.

If China has to use its veto powers to defend North Korea against the collective international will, there are effects, said Lee.

"High-profile actions at the U.N. that pit China and the DPRK on one side against the 'civilized' nations of the world on the other have implications on how states and multinational corporations conduct trade and business with the DPRK," he said.

"Divestiture was a powerful tool the world used against South Africa's apartheid regime. Likewise, deterring European states and companies from selling North Korea luxury goods in violation of several UNSC resolutions can only put pressure on the Kim regime."

5. What the U.S. wants

The U.S. backs the resolution to sanction and refer North Korea to the ICC.

Despite the gesture made by North Korea last week to release the last remaining two Americans -- Kenneth Bae and Matthew Todd Miller -- detained in the country, it has not altered the United State's stance on the country's human rights.

"Nothing has changed about our concerns about North Korea's human record -- abysmal human rights record," said Jen Psaki, U.S. State Department spokeswoman.

"Those issues remain ones that we will continue to work with the international community on."

@highlight

U.N. General Assembly committee considers resolution on North Korean human rights

@highlight

Security Council has the power to refer to the International Criminal Court

@highlight

China does not support referring North Korea to the ICC for human rights abuses

@highlight

Follows allegations of widespread abuses inside the isolated country