JERUSALEM (CNN) -- Citing security concerns, the U.S. State Department has revoked the visas it recently issued to three Gaza students who were awarded Fulbright scholarships to study in the United States.

Sari Bashi, who advocates freedom of movement for Palestinians, says their access to education is restricted.

It marks the second time in two months that the United States has gone back on its offer to the Palestinian students to take part in the American government-sponsored scholarship program.

The three students who had their visas revoked were sent a letter from the American Consulate in Jerusalem, dated August 4.

"The Department of State has revoked your nonimmigrant visa" because "information has come to light that you may be inadmissible to the United States and ineligible to receive a visa under Section 212 (A) (3) of the Immigration and Nationality Act, which prohibits issuance of a visa to aliens for security and related grounds," the letter said.

The letter did not elaborate on what the security concerns were. A State Department official told CNN that the agency could not disclose any information about the reason for the visa revocation, but that the students would be allowed to reapply for a visa at some point in the future.

The three students are among seven Gaza-based Fulbright scholars who made headlines when in May the State Department sent them e-mail notifications saying their scholarships could not be completed because the Israeli government would not issue them exit visas from Gaza.

State Department spokesman Sean McCormack admitted that the U.S. authorities had not taken up the matter with Israel until after the matter became public. The scholarships were only reinstated after Secretary of State Condoleezza Rice expressed her unhappiness with the situation and the State Department spokesman admitted that a "faulty decision-making process" led to the communication.

According to Sari Bashi, the executive-director of Gisha, an Israeli non-governmental organization that advocates freedom of movement for Palestinians and has been working closely with the students, four of the seven Fulbright students were cleared for travel out of Gaza by Israel, but the remaining three were prevented from leaving Gaza by the Israeli government, citing security concerns.

In an unusual move, the American Consulate in Jerusalem processed the remaining three students' visa applications with mobile fingerprinting equipment at the Israel- Gaza border and granted the visas three weeks later at the end of July.

Bashi said on Tuesday that one of the three students, Fidaa Abed, had already left Gaza for the United States and upon arrival at the airport in Washington was informed that his visa had been revoked and was sent back to Amman, Jordan, with instructions to return to Gaza. The other two Fulbright students remain in Gaza.

Bashi said that while the situation of the three students is one of "tremendous concern," it only underscores what she says is the larger problem of lack of access to higher education for hundreds of Gaza students who have been accepted into universities outside of Gaza but are prevented from leaving due to Israeli restrictions.

Bashi said that "alongside the few students denied visas for procedural, technical, or undisclosed security reasons, there are hundreds of students with valid visas in danger of losing their places at foreign universities because Israel refuses to even consider their requests to leave Gaza.

"Denying talented young people their right to access education does not contribute to building a better future in the region," Bashi said.

Israeli government officials have long maintained that its restrictions on allowing students to travel outside of Gaza are based only on security considerations.

"We do act to facilitate students wishing to study at Western universities where they are exposed to liberal and democratic values," an Israeli government official said on Tuesday.

But, the official said, Israel distinguishes between students wanting to study in the West and those wanting to study in places like Pakistan, Saudi Arabia or Syria or the West Bank.

In the case of the West Bank, the official said Hamas could use this as a way of strengthening its activist base in the West Bank, which would be detrimental to Israel's security.

"There is no reason why we should do that," the Israeli official said.

On the matter of the three students, the official said: "The process of Israeli-American contacts on the matter did not cease, and more specific information was provided."

@highlight

U.S. State Department cites security concerns as reason visas were withdrawn

@highlight

Three Palestinian students were among seven who had earlier had visas pulled

@highlight

Israel reportedly acts to prevent the students from leaving Gaza

@highlight

Advocacy group says Palestinians need more access to higher education