(CNN) -- Rem Koolhaas, the world famous architect, was walking down the street one day when the realization hit him like lightning: "I thought, 'I should become an architect,'" he recalls.

He was 25 at the time and "wasting time" writing film scripts.

"I am so unbelievably happy that I wasted time," he says, "because wasting time enabled me to have a more open relationship with the world.

Scriptwriting also taught him something about architecture. "If you write a script, you try to stitch episodes together so that, at the end, you have a sort of suspense to a conclusion or a climax," he says.

"Architecture is very similar: You create a series of spatial moments and find a way to relate them to each other with the same purpose. An architect writes scripts also, but for people, not for actors."

Conjuring film scenarios "felt very exciting, but not deeply serious," he says. His epiphany came when he realized that architecture was a way to do for serious reasons what he had been doing for frivolous reasons.

View a hi-res gallery of Rem Koolhaas' buildings

It would be 18 years before he would build his first commission, the Netherlands Dance Theater, in 1987.

"I started very late [but] it meant that, at my age now, I am not an exhausted wreck ... I still feel relatively fresh," he said.

Koolhaas currently has a new, experimental performing arts center in Taipei under construction. He has designed shops and catwalks for Prada and a Bahamas summer house for sculptor Anish Kapoor. His 2004 library in Seattle is acclaimed as a Bilbao for libraries and his Casa da Musica in Portugal won him the 2000 Pritzker Prize.

But Koolhaas' favorite project is a 54-floor anti-skyscraper that critics consider "the most breathtaking building of his career" and perhaps even "the greatest work of architecture built in this century."

His tower for China Central Television, known in Beijing as "The Big Pants," is intended as a demonstration of how, in reaching for tallness, skyscrapers "reach a kind of redundancy."

Read more: Ma Yansong's 'Marilyn Monroe' towers

Depending on your vantage point, it can resemble a Z-shape or a loop and is "a building that is constantly mutable and that emanates creativity," Koolhaas says.

"I think I can genuinely claim there has never been a building with that many identities."

Koolhaas says it's also significant that the building was rubber stamped in "a part of the world where stability is prized above everything else and where identities are supposed to be immutable."

The decision to compete for the CCTV commission over the World Trade Center redevelopment was controversial.

Koolhaas says, while it was "wrenching" to be criticized for his choice of client, "the moment we started the competition, I was convinced that China, no matter how it's evolving, is on the way to become a modern country." Besides which, he argues, "we all have a stake in the outcome of China."

Photo gallery: Mexico's shimmering shrine to art

Of course, coming up with a hot idea is only one part of an architect's job. The other, less celebrated but no less important part, is getting the thing built.

Beyond its unusual shape, Koolhaas says CCTV is his favorite building because he is proud of its arduous route to fruition.

"It took 10 years to realize, and I have been in Beijing once every month. You can imagine the degree of engagement that implies," he says.

"The total amount of diplomacy that was necessary, the constant negotiation with a different political environment, a different language, a different symbolism ... it required an unbelievable effort."

He is "unambiguously" pleased with the outcome, which houses administration, production and broadcasting facilities for 10,000 workers.

While designing new headquarters for Universal Studios in Hollywood in the 1990s, he had noticed how alienation and paranoia percolated when everyone was working in small, separate bungalows.

"Since this was China, we felt we could introduce a different mode there -- namely, a building that asserted that the company was a connector, where everyone was connected to everyone else, and each component part of a single hierarchy and a single integrated system. In a sense, it was a deliberate assessment of what would be possible in a Socialist country," he says.

Koolhaas notes that exploring other cultures is a relatively new requirement for architects.

"One generation ago, an architect would expect the largest part of his oeuvre is built in an environment he knows very well," he says.

"We are part of a unique generation where, for the first time, it's likely that most of the buildings you do are in countries that you don't initially know. Therefore, there is an enormous amount of anthropological interest that you have to develop, in order to be precise enough to do justice to those opportunities."

One of the first foreign cultures that fascinated Koolhaas was ancient Rome.

"They had a relatively limited repertoire of things -- temples, housing, ports, shops -- and they replicated that repertoire in many parts of the world in completely unique conditions."

"I also have an affinity with Roman architecture because it's not religious, it's not mystical. It's efficient and interested in how things perform, more than how things appear," he said.

His favorite example is the Pantheon in Rome, which he first visited on a solo trip to Italy as an 18-year-old.

"It's really part of the city, but once you are inside, you're immediately transported to another world -- which is, as I said, not mystical, not religious, but somehow you feel elated."

Koolhaas still visits the Pantheon every time he is in Rome, and still finds variations.

"There are days that I don't even look at the Oculus. I simply discover the detail of the perimeter. There are days when I only look at the outside, or I only look at a portico and try to understand how big it actually is.

"So I think, in spite of its apparently simple manifestation, it's an incredible box full of tricks, and interesting differences somehow working together."

Watch "Great Buildings" on CNN International at 16.30 on Tuesday October 2 and 04.30 on Wednesday October 3. All times GMT.

@highlight

Dutch architect Rem Koolhaas says his greatest achievement is the CCTV building in Beijing

@highlight

The 54-floor tower houses 10,000 workers in two adjoining towers, took 10 years to complete

@highlight

Koolhaas: Rome Pantheon is "box of tricks" that "transports you to another world"