Forget everything we know and love about physical magazines. Forget their length. Forget their size. Forget their weekly or monthly publishing schedule. Forget all these qualities except for one: What it's like to come to an end, and to take a deep breath.

Like Newsweek, almost all magazines will eventually go purely electronic. This shouldn't surprise anyone. Already, nearly 40% of tablet owners read digital newspapers or magazines, with nearly 10% doing so daily. Still, as I watch this shift, I can't help but feel a twinge of nostalgia. Not for the paper, but for the boundaries.

I miss the edges -- physical and psychological. I miss the start of reading a print magazine, but mostly, I miss the finish. I miss the satisfaction of putting the bundle down, knowing I have gotten through it all. Nothing left. On to the next thing.

Newsweek ending print edition, job cuts expected

It may seem strange to think about printed publications as having a "user experience." But they do, of course. Print is a technology as much as desktop computers and tablets are technology. One of the qualities most natural to the user experience of print is the sense of potential completion, defined by the physical edges. It is a quality that is wholly unnatural to digital formats.

The digital reading experience makes one want to connect and expand outward. Print calls for limit and containment.

Ted Nelson, who invented the term "hypertext" in 1963, also coined another word: Intertwingularity. Describing it, he said, "In an important sense there are no 'subjects' at all; there is only all knowledge, since the cross-connections among the myriad topics of this world simply cannot be divided up neatly." Later, he added, "Hierarchical and sequential structures, especially popular since Gutenberg, are usually forced and artificial."

The digital landscape is the perfect playground for actualizing the intertwingular, since the same information can be referenced in an endless number of locations, can be remixed freely, and need not abide by any single hierarchy.

It is this intertwingularity that can make navigating digital content so stressful.

While a stack of printed back issues of National Geographic may seem intimidating, it is not unapproachable. The magazines may be dense, but you know where you stand as you read them. But what about staring at an empty search box leading into the deep archive of nationalgeographic.com?

Petrifying. Boundless. Like standing on the edge of a giant reservoir in the dead of the night, looking down into its infinite blackness. Link after related link keeps pushing you along until, suddenly, you may end up reading about polar bears on an entirely different website, and maybe you haven't been up for air in hours.

Magazine websites, like the World Wide Web itself, open one up to continuous exploration through links and related content. There's beauty in that, if one is up for total immersion. But it's easier to become overwhelmed, or lost.

Linda Stone created the term "e-mail apnea" to describe holding your breath as you traverse the horrors of your inbox. I find myself experiencing digital apnea of all sorts. Google News apnea. Twitter apnea. Facebook newsfeed apnea. RSS reader apnea. In the face of endless content streams, it's hard to stop and take a breath.

There is no print apnea. Perhaps, at worst, one may experience library apnea -- standing before the vast greatness of the reading room in the British Museum, for example. But even then, it's different. There's the cozy smell of old books and the softness of the aged pages. It's more akin to basking in grandeur than to suffocating under information overload. It's hard to feel the same reverence for our 24/7 Twitter feeds.

The question "How deep does it go?" is one that that nobody had to ask the printed edition of Newsweek. Newsweek.com? It's not so clear. It's why we love "Most Popular" and "Most E-mailed" lists -- they bring some relief of edges to the digital page.

As more of our content consumption shifts digital, the onus lies on tablet and smartphone applications to find a way to create cleaner and more bite-sized forms of boundaries in a medium that doesn't want to be contained.

At the start of 2013, Newsweek joins the legions of other digital-only publishers. We're losing the paper, the touch and the romanticism of the printed object. But hopefully, we'll find a way to create new edges.

@highlight

Craig Mod: Like Newsweek, almost all magazines will eventually go purely electronic

@highlight

Mod: Physical magazines have start and finish; they give a sense of completion

@highlight

He says digital formats lack edges and boundaries; it's harder for readers to focus

@highlight

Mod: Until digital magazines make it easier to stop, there will be nostalgia for print