Tokyo (CNN)With the world watching, in his historic address to a joint session of the U.S. Congress, the first ever by a Japanese Prime Minister, Shinzo Abe surprised nobody by missing a great opportunity to dispel worries and tensions he raises with his revisionist views on history.

During this 70th year anniversary of the end of World War II, Abe has been disappointing on Japan's wartime history because he has been evasive and ambiguous about embracing responsibility for Japan's wartime actions in Asia where the bitter legacies remain divisive.

And this "Abenesia" is harmful to Japan's international image, riles China and South Korea and thereby undermines the bilateral security agenda.

Washington deliberately set the bar on history very low for Abe because the Obama administration is more focused on the shared perception with Tokyo that contemporary China is a threat requiring a collective response.

Strengthening the alliance with Japan and sealing the deal on the Trans-Pacific Partnership trumps past misdeeds. Forty years after the fall of Saigon, and in the wake of Iraq and Afghanistan, America is in no position to lecture other nations about the horrors they inflicted and an inadequate reckoning for such misdeeds.

President Barack Obama pulled out all the stops to give Abe a red carpet welcome because he has delivered more on fulfilling Washington's longstanding security demands than all of his predecessors combined. But the newly expanded security role embraced by Japan enjoys little support among Japanese. As a recent Pew Poll indicates, only 23% are in favor while 68% are opposed. It is also problematic that Abe's stance on history is a factor in hindering trilateral security cooperation with South Korea, something the U.S. sees as essential.

Carefully tailoring his remarks to his audience, Abe hit the right notes in many respects, and even inched forward on history.  He did express "eternal condolences" about the loss of American lives in World War II, and noted, "Enemies that had fought each other so fiercely have become friends bonded in spirit." That is welcome news, but Japan has been less successful in achieving rapprochement with other enemies, precisely because it has not taken the measure of the shared past.

Many nations play fast and loose with their unpleasant histories, but Abe is mounting a significant retreat from Japan's repentant views expressed and embraced since the mid-1990s, and actively promotes a valorizing and exonerating history under the banner of patriotic education.

He is putting his personal agenda on history ahead of the national interest and therefore not meeting the test of statesmanship. Of course there is nothing that Abe could say that would satisfy China or South Korea, two nations that suffered longest and most from Japanese depredations from the late 19th century. But that doesn't mean he shouldn't try a bit harder.

What Abe said is, "Post war, we started out on our path bearing in mind feelings of deep remorse over the war. Our actions brought suffering to the peoples in Asian countries. We must not avert our eyes from that. I will uphold the views expressed by the previous prime ministers in this regard."

Essentially outsourcing "apology and war responsibility" to his predecessors gets low marks on the empathy and sincerity scale. It is also troubling that throughout his political career, Abe has worked to undermine and repudiate previous Mea Culpa. Rather than merely "upholding" what others have said it might have been better for Abe to prove his critics wrong by clearly expressing an apology.

In Japan, there has been a lot of pressure on Abe to explicitly invoke the language of the 1995 Murayama Statement that stands as the most forthright apology and acknowledgment of war responsibility. Even the conservative Yomiuri newspaper urged him to do so. Murayama clearly condemned "mistaken national policy," "self-righteous nationalism," "colonial rule" and "aggression," but Abe has spent his entire political career renouncing this so-called "masochistic" view of Japan's wartime history.

Fatalistically, Abe said, "History is harsh. What is done cannot be undone." Well, yes that is self-evident but this should not mean the door is closed on apologies, acts of contrition and atonement and a clear reckoning of the harsh history that still isolates Japan in East Asia. Abe is certainly right that the neighbors are playing the history card and relentlessly hammering Japan on the anvil of history, but they were handed the hammer by Japan.

Given Abe's evasive track record about the comfort women system of sexual slavery, a forthright apology or acknowledgment of state involvement was never in the cards. What Abe managed, however, was even weaker than expected: "Armed conflicts have always made women suffer the most. In our age, we must realize the kind of world where finally women are free from human rights abuses."

This cavalier "sh*t happens" attitude towards the comfort women system undermines Japan's dignity and represents a step backward.

In recent remarks Abe says he upholds the 1993 Kono statement, but he has flouted it and over the past year members of his party have been busy controverting this forthright admission of responsibility and coercive recruitment. Moreover, Abe's support for patriotic education and pressures on textbook publishers has effectively erased comfort women from what is taught in junior high schools, contravening what the Kono statement promised. In the only textbook that does mention them, the government insisted on the removal of a former comfort woman's testimony and insertion of a disclaimer regarding what it regards as a lack of evidence.

To counter criticism, Abe now refers to Japan's comfort women system in terms of human trafficking, a linguistic ploy to obscure state responsibility for operating this system and make it appear he gets 21st century concerns. Human trafficking, however, highlights the role of private brokers in coercively recruiting these women in line with revisionist attempts to shift responsibility from the Japanese military and government authorities of the day. Revisionists prefer to blame the Korean brokers, but they were acting at the behest of Japanese officials who surely knew of the abuses and ensured that the comfort women could not escape their hell.

In his speech Abe also referred to shared values of democracy and freedom. This too is welcome news because over the past year Abe has presided over an orchestrated attack on the Asahi newspaper for its coverage of the comfort women system, packed NHK's management with like-minded reactionaries and pressured critics out of their jobs. Indeed the New York Times ran an article on April 26 implicating Team Abe in the axing of a prominent TV pundit who made the mistake of criticizing Abe.

The foreign press has also exposed Japanese government harassment targeting their reporting, especially regarding the whitewashing of history, and attempts to smear the integrity of those who wouldn't go along. In addition, journalists were told not to interview certain Abe critics. Journalists acknowledge this is what government spin doctors normally do and have done in Japan for some time, but under Abe the rules of engagement appear to be nastier.

Abe got lots of applause from U.S. politicians who seemed to enjoy his reference to an "alliance of hope." That's not exactly how Okinawans feel about the disproportionate base-hosting burden they bear. Some 75% of U.S. bases are concentrated in Okinawa and U.S. bases cover nearly 20% of the land.

In a series of elections and in opinion polls, Okinawans have voiced their opposition to this situation. In November 2014 they elected a governor who opposes the building of a new airbase for the U.S. in the pristine waters of Oura Bay in northern Okinawa, kicking the once popular incumbent out of office because he gave the green light for this project. Officials on both sides of the Pacific have reiterated support for proceeding with the new base as part of a plan to reduce the U.S. military footprint in Okinawa, but Okinawans remain unconvinced and find that the democratic expression of their opposition is resolutely ignored.

Shared values?

@highlight

Abe did express "eternal condolences" about the loss of American lives in World War II

@highlight

But he has been evasive and ambiguous about embracing responsibility for Japan's wartime actions

@highlight

Kingston: He is putting his personal agenda on history ahead of the national interest