Is the glass ceiling in Britain finally beginning to crack?

A new report on the gender makeup of FTSE 100 (the top 100 firms listed on the London Stock Exchange) company boardrooms suggests that just might be the case -- but not all the experts are convinced.

Women now account for 20.7% of FTSE 100 executive board members, an increase of 12.5% since 2011, according to The Cranfield School of Management's Female FTSE Board report released Wednesday.

Lord Davies, a former UK trade minister who has been tasked with improving gender equality in Britain's boardrooms, described the findings as "impressive" but only part of the journey toward gender fairness at the top of the country's leading firms.

"We are finally seeing a culture change taking place at the heart of British business," Davies said.

Real progress?

There are now only two members of the FTSE 100 -- copper mining company Antofagasta and natural resources group Glencore Xstrata -- with no female board representation, compared to one company in five in 2011.

At the other end of the spectrum, drinks firm Diageo and business process outsourcing company Capita, are setting the pace with 44.4% female representation on their boards.

Britain has set itself a target of having women make up 25% of FTSE 100 board members by 2015. This objective will be met with a further 48 appointments of women to boardroom positions within FTSE 100 companies in the next year.

But while these headline figures may cast Britain's progress on this issue in an impressive light, a closer inspection reveals a far more complex picture.

According to the Cranfield study, there are 48 companies in the FTSE 250 (which lists the 101st to 350th largest firms on the London Stock Exchange) with no female board representation.

Many of the new boardroom positions taken up by female FTSE 100 directors in recent years, meanwhile, are non-executive positions which do not form part of the executive management team and where power and influence is limited.

"Over the past year there were 52 new female appointments to FTSE 100 boards -- representing 27% of all appointments," said professor Susan Vinnicombe, one of the report's authors. "Of these, only five were executive director positions and the remaining 47 were non-executive Directorships."

Europe's leaders

The British government has looked to pressure publicly limited companies into addressing the issue of female board representation in recent years without legislating on the matter.

Other European nations, however, have introduced legally binding quota systems to help ensure female representation is guaranteed on the boards of leading publicly listed companies.

The likes of the Netherlands, France and Spain have all regulated to varying extents in recent years, witnessing an improvement in female representation at non-executive boardroom level as a result.

Overall there are eight nations within the EU -- including France (26.8%) and the Netherlands (23.6%) -- that have a greater number of women at boardroom level than the UK, according to figures on board representation gathered by the European Commission last year.

Outside the EU, Norway was the first country to introduce boardroom gender quotas in 2006 and can now count as many as 40.5% of executives in public limited companies as female, according to Statistics Norway.

But in all of these countries, as in Britain, women are still more likely to occupy non-executive roles as opposed to executive director roles.

'It takes time'

Elena Doldor, co-author of the Cranfield study, says pressure must be brought to bear on firms to encourage them to genuinely foster female talent rather than just perform a gender box ticking exercise.

"In order to close this gap and generate a sustainable talent pool, companies must invest more effort in developing the pipeline of female talent," Doldor said.

Others, such as Sibylle Rupprecht, executive director for Catalyst Europe, an organization that promotes women in business, suggest that all change is good change even if it doesn't have the desired impact straight away.

"Our research has actually shown that if you have three women on the board (in non-executive positions) this translates over a period of four to five years into 21% more women in executive positions.

"The executive positions are appointed by the board or at least approved by the board. If you have more women on the board then you will have a more diverse executive thought," she added. "There is a correlation but it takes a bit of time."

See also: What can the Romans teach business leaders

See also: Bill Gates in his own words

Interactive: Top tips from the world's leading bosses

@highlight

A new report shows women account for a fifth of FTSE 100 board members

@highlight

Lord Davies: "Culture change taking place at the heart of British business"

@highlight

Critics say the figures mask reality as many of the roles are non-executive positions