Turkey, a key U.S. ally and a NATO member that borders the territory captured by ISIS, which now calls itself the Islamic State, in Syria and Iraq, could play a critical role in the U.S.-led military assault against the jihadist group.

Ankara has the second-largest army in NATO and hosts an American airbase. Turkish forces could participate in the U.S.-led bombing, or Ankara could allow the United States to use the Incirlik airbase in southern Turkey to stage the attacks.

But Turkey prefers to play a secondary role. Citing its concern over the fate of 49 hostages who were captured by ISIS when the group seized Mosul in June, it limited its role to stemming the flow of foreign fighters, tightening border security, and cracking down on ISIS's oil-smuggling networks.

The hostages were released over the weekend following what Turkish President Recep Tayyip Erdogan described as a "covert rescue operation."

Now that the Turkish government's thorny dilemma has been resolved, will Ankara change its stance?

To the delight of its Western allies, Turkey signaled a possible change in policy on Tuesday when Erdogan said "Ankara could give military or logistical support to U.S.-led air strikes against Islamic State insurgents in Syria."

But the Turkish president's change in tone is more likely to be, not a change of heart, but rather an attempt to allay international criticism that has been mounting since U.S. President Barack Obama laid out his strategy to fight ISIS. The release of the hostages might have removed a major obstacle to Turkey's playing a frontline role in the U.S.-led anti-ISIS coalition, but there are many more.

Ankara and Washington have different priorities in the conflict. Washington is primarily concerned about the rise of ISIS and views the conflict through the lens of counter-terrorism. Hit hard by the ongoing civil war in Syria, Turkey sees ISIS as a symptom of the brutality of an illegitimate regime in its neighboring country that has posed Ankara far greater challenges.

The Syrian civil war has dealt a blow to Turkey's image as a regional superpower that mediates regional conflicts and pursues a non-sectarian foreign policy.

Turkey hosts more than 1.2 million Syrian refugees [UNHCR now believes there are more than 1.5 million refugees], which incurs not only financial costs but also presents political dilemmas for the Turkish government in addressing the ethnic and sectarian balance within its own society.

For Turkey the most dangerous fallout of the Syrian civil war has been the resurgence of the Kurdistan Workers' Party (PKK). In retaliation for Turkey's support for the Syrian opposition, al-Assad gave a free hand to the Democratic Union Party (PYD), the Syrian offshoot of the PKK based in northern Syria, by allowing it to operate unencumbered, recruit new fighters for its campaign against Turkey, and undertake a pseudo-governmental role in Kurdish regions of Syria.

The backbone of Turkey's Syria policy has been to ignore ISIS because it has been waging war against the Kurdish group in northern Syria.

Turkey believes that fighting the Assad regime is more important than the narrow counter-terrorism mission that President Obama has in mind. A military attack against ISIS is likely to strengthen not only Assad's but also the PYD's hand. To Erdogan, a strong advocate of regime change, anything short of al-Assad's ouster carries the risk of further weakening Turkey domestically and regionally and fueling extremism.

There is also a deep-seated lack of trust in a long-term U.S. commitment to the resolution of the conflicts in Iraq and Syria that has kept Turkey from playing a frontline role in the coalition against ISIS.

Enmeshed in a three-decade-long fight against the PKK, Turkey knows all too well that countering ISIS calls for long-term international commitment and cooperation. Ankara does not want to render itself even more vulnerable to ISIS attacks without an assurance from the United States that it will not leave Turkey in the lurch.

Domestic and regional public opinion is another point of concern. Turkish public opinion has always been skeptical of U.S. involvement in Turkey and the Middle East. Therefore, Turkey has historically been wary of allowing the United States to carry out military operations from the U.S. airbase in Incirlik.

Taking an active military role in a U.S.-led military strike against a Sunni entity is likely to draw criticism from the people of the region as well. Turkey's image as an independent actor that is looking after its own interests and willing to defy Western powers if necessary has won Ankara favorable notice in the Arab world.

The Turkish parliament's refusal to allow the United States to station troops on Turkish soil to open a second front against Iraq in 2003 challenged Turkey's old image as an American stooge and increased Turkey's credibility on the Arab street. The Turkish government does not want to deal a blow to its regional image by taking part in another Western-led military operation in a Muslim country.

Hemmed in by these constraints, Turkey seems unlikely to take an active military role in the strikes against ISIS unless the United States shifts its policy to effect regime change in Syria. Until then, Turkey will focus its diplomatic energy on convincing its allies at the U.N. to set up a buffer zone along its border with Syria.

@highlight

Turkey could play a key role in the U.S.-led military assault against ISIS, writes Gönül Tol

@highlight

Ankara has the second-largest army in NATO and hosts an American airbase, he says

@highlight

But Turkey prefers to play a secondary role, he writes

@highlight

Tol: Turkish President Recep Tayyip Erdogan signaled a possible change in policy