(CNN) -- Fifty days of fighting. Thousands of rocket attacks and airstrikes. And a number of failed cease-fire agreements.

That all appeared to come to an end on Tuesday, when Israel and Hamas militants agreed to an open-ended truce -- and talks.

Here's what you need to know about the Egyptian-negotiated agreement that appears to have halted the fighting between Israelis and Hamas militants.

Who gets what?

During the fighting, both sides have repeatedly made the same demands: Israel called for the demilitarization of Gaza, and Hamas called for an end to the Israeli and Egyptian blockade of Gaza -- by land, sea and air -- that began in 2007.

As part of the negotiated truce, Israel has agreed to "ease" the blockade, opening border crossings to allow humanitarian aid and construction materials into Gaza, a senior Egyptian government official with knowledge of the agreement told CNN.

As part of easing the blockade, Israel will also extend the fishing limit off the coast of Gaza to six miles, the official said.

Both sides agree to return to Cairo for further, indirect talks -- as Israel and Hamas refuse to meet face to face.

If the ceasefire holds, the two sides have agreed to begin talks four weeks from now on a broader range of issues, including the Israeli release of Palestinians -- primarily Hamas members -- arrested during the conflict and the construction of a seaport in Gaza, according to published reports in state-run media.

The talks will also address Israel's demand for the demilitarization of Gaza.

Winner?

While Hamas spokesman Fawhi Barhoum declared before a cheering crowd in Gaza that the truce was "a day of victories for our people," there is little sign that either side got what it wanted.

The agreement between Israel and the Palestinians broke no new ground.

In fact, the truce -- by all accounts -- looks a lot like one agreed to in 2012 to end fighting between Israel and Hamas militants. In that agreement, Israel agreed to ease restrictions to allow for humanitarian aid and construction materials with an agreement to engage in talks aimed at easing economic hardships in Gaza.

"It's very similar. There is some moderate easing of the blockade of Gaza as Hamas and most Palestinians really wanted. But the big easing has been pushed off to the future," said Peter Beinart, a contributing editor for the National Journal and The Atlantic.

"And demilitarization of Gaza, which is what Israel said it really wanted, has also been kicked down the road into the future."

According to Beinart, who has long covered the Israeli-Palestinian conflict: "After all this terrible, terrible bloodshed and trauma on both sides, it looks like we are back to where we were at the beginning."

What was the cost?

The cost can be measured in lives lost, but also in the economic and political fallout.

More than 2,100 Palestinians were killed in the conflict. The United Nations estimates that more than 70% were civilians.

Sixty-seven Israelis -- 64 of them soldiers -- have been killed, the United Nations reports. A foreign worker in Israel was killed as well.

The fighting displaced more than 500,000 Palestinians, according to the United Nations, and left thousands of homes damaged. It's not exactly clear how much money the fighting cost both sides, but observers have put the number in the billions of dollars.

Given the toll the conflict has taken, there is also likely to be some kind of political fallout.

The popularity of Hamas has been on the decline since it took control of the Palestinian Parliament in 2006. Given the length and toll of this conflict, there is a question of whether Palestinians will hold Hamas accountable for it.

At the same time, Israeli Prime Minister Benjamin Netanyahu's popularity took a severe hit -- going from a high of 82% to 38%, according to The Times of Israel, which cited a poll this week by Israel's Channel 2.

What's next?

That depends on who's doing the talking.

If the ceasefire holds, and the negotiators go back to Cairo, the fact that Israel and Hamas do not talk to one another may prove problematic in trying to bring Israelis together with Palestinian factions.

In any talks, Palestinians are likely to include a demand that Egypt lift its blockade of Gaza dating back to 2007.

Egypt, just like Israel, tightened restrictions on Gaza's borders after Hamas won political control of Gaza from the Palestinian Authority.

Who's who in Hamas

Egypt reclaims role as Arabs' indispensable nation with Gaza talks

CNN's Reza Sayah in Cairo, Ben Wedeman in Jerusalem and Ian Lee in Gaza City contributed to this report.

@highlight

There is little sign that either side in the conflict got what it wanted

@highlight

Israel agrees to ease the blockade, but not lift it, an official says

@highlight

Both sides agree to return to Cairo for further, indirect talks

@highlight

The truce looks a lot like the one both sides agreed to in 2012