Cairo (CNN) -- Egypt, including its capital Cairo, teetered on the edge early Thursday as clashes persisted following the bloodiest day since the revolution two years ago that was envisioned to bring peace and democracy to Egypt -- but has not.

The violence Wednesday pitted Egypt's military and current government against backers of deposed President Mohamed Morsy, though others also were caught in the fray.

At least 278 people were killed, including 235 civilians, state TV reported, citing an Egyptian emergency official. Interim Interior Minister Gen. Mohammed Ibrahim said that an additional 43 police officers died.

"It's an open war," said a protester who escaped one of two Cairo camps that were raided.

The intensity and violence lingered into Thursday morning, when state TV reported Morsy backers were attacking police stations, hospitals and government buildings despite a government-mandated curfew. More Egyptian troops were being deployed at entrances to Cairo and Giza, with the unrest prompting the closure Thursday of banks and the nation's stock market.

The 2011 revolution that led to the ouster of Hosni Mubarak, who'd kept a firm grip on power for 30 years, was followed by Egypt's first democratic elections. Morsy -- a leader of the Islamist group the Muslim Brotherhood -- won the presidency in that 2012 vote, but was forced out by the military last month.

Morsy hasn't been seen since he was taken into custody. Yet his supporters have very public in voicing their opinions, massing on the streets of Cairo and elsewhere to slam military leaders and demand Morsy's return to the presidency.

Egypt's new government refused to back down, criticizing elements of the protest movement and specifically ordering them to leave two spots where they'd been gathering in Cairo for six weeks, or else they'd force them out.

On Wednesday, they did.

Bloody 'war zone' as security forces clear Cairo square

The story of what exactly transpired -- who attacked whom, who opened fire, who was to blame -- varied 180 degrees depending on where one stood in the debate over Egypt's past, present and future.

On the one side, there were Morsy supporters, one of whom accused government forces of waging a "full-on assault" on what they said had been, to-date, peaceful demonstrations. On the other, there were those like Ibrahim, who professed to being "surprised" by the "Muslim Brotherhood's (decision) to attack the security forces."

What couldn't be mistaken was the chaos, the bloodshed and the sense -- even with Prime Minister Hazem Elbeblawi's pledge "we hopefully will rebuild our nation" -- that the already volatile situation in Egypt could be getting worse.

"I think what we're seeing right now is just the beginning of what is promising to be a very, very long and bloody battle as the interim government and the security forces try to regain control of the streets," CNN's Arwa Damon reported from Cairo.

Diplomats condemn violence, calling it 'deplorable'

The government on Wednesday, according to state TV, issued a month-long state of emergency. This a loaded term in Egypt, given that Mubarak long ruled under such a decree that barred unauthorized assembly, restricted freedom of speech and let police jail people indefinitely.

The prime minister said the government felt compelled to act to ensure stability, praising security forces for their "calm" and claiming some activists had intent to undermine the government.

"We are here to build a democracy based on justice," Elbeblawi said. "... We have to reason and use common sense. We are all part of this nation."

Yet not everyone expressed faith in his government.

Mohammed ElBaradei -- a secular leader who was one of Morsy's biggest critics before joining the government that replaced him -- submitted his resignation Wednesday as vice president of foreign affairs, saying he didn't agree with decisions being carried out by the ruling government and "cannot be responsible for a single (drop of) blood." His decision spurred scorn from some former allies, with youth groups and June 30th coalition members questioning his stepping down "at this critical and historic phase," according to state-run EGYNews.

Kenneth Roth, the executive director of Human Rights Watch, sharply criticized "ongoing violence" by Brotherhood supporters against Coptic Christian churches in the country. He also chastised the government's crackdown on the Islamist group.

"Didn't have to happen," Roth tweeted. "MB had right to protest. No need for massive lethal force."

World urges Egypt to show restraint, protect civilians

The European Union's top diplomat, Catherine Ashton, urged "security forces to exercise utmost restraint and ... the interim government to end the state of emergency as soon as possible, to allow the resumption of normal life."

In light of the ongoing violence, the United States is considering canceling next month's planned biennial military training exercise with Egyptian forces, an official in President Barack Obama's administration said.

Pressing Egypt's government "to respect basic human rights," U.S. Secretary of State John Kerry said that Wednesday's "deplorable" events "run counter to Egyptian aspirations for peace, inclusion and genuine democracy."

"The path toward violence leads only to greater instability, economic disaster and suffering," he said.

'They're prepared to die'

For weeks, the two makeshift Cairo protest camps had become cities unto themselves -- with people sleeping in tents, vendors hawking everything from haircuts to masks, and children playing in inflatable castles and splashing in kiddie pools.

At dawn on Wednesday, they came under siege.

Security forces rushed in, bulldozing tents and escorting away hundreds. Some mothers and fathers managed to whisk away their children, gas masks on their faces.

Within three hours, the smaller camp -- Nahda, near Cairo University -- was clear, except for shreds of torn-down tents that remained.

But the larger protest, near the Rabaa al-Adawiya mosque in eastern Cairo, proved trickier. Facing heavy resistance, the military called in special forces.

Chaos ensued. Along with smoke, bursts of rapid gunfire filled the air, as did people's wails. Many protesters refused to leave, even in the face of bulldozers and surrounded by the injured and dead.

"They said they're prepared to die," CNN's Reza Sayah reported.

State TV reported that snipers from the Muslim Brotherhood -- Morsy's party -- exchanged gunfire with Egyptian security forces near a university building.

The dead included cameraman Mick Deane, who'd worked for UK-based news channel Sky News for 15 years and for CNN before that. Habiba Abdel Aziz of Gulf News, who was in Egypt on her own time having celebrated the Eid holiday, also died, editor-at-large Francis Matthew told CNN.

And Reuters photojournalist Asmaa Waguih was shot and wounded, the news agency told CNN. She was being treated in a hospital.

'Walking on the blood of the victims'

Ibrahim, the interim interior minister, claimed armed protesters were the aggressors -- including trying to storm police stations, the Ministry of Finance building and other targets in Cairo.

The fighting wasn't limited to the capital. Morsy backers reportedly besieged churches in Sohag, setting fire to Saint George's Church, a tour bus and a police car, EGYNews said.

Naguib Sawiris, an Egyptian billionaire who helped found the anti-Morsy Free Egyptian Party, said his party had video of Muslim Brotherhood members "shooting machine guns on civilians, on police. So anyone who wants to call this a peaceful demonstration would be wrong."

But Ahmed Mustafa, a Muslim Brotherhood spokesman, told CNN that Sawiris was trying to misrepresent video of masked people with weapons.

Besides claiming they'd been shot at, the Muslim Brotherhood also accused police of throwing Molotov cocktails at makeshift clinics.

Security forces pushed doctors out of one hospital at gunpoint, a witness said, and a CNN crew at one point was "literally walking on the blood of the victims."

Yet Ibrahim said government forces had done what they could to limit casualties, with his ministry insisting, "Egyptian security forces are committed to the utmost self-restraint in dealing with the protesters."

Divisions rife, future uncertain in Egypt

Rather than uniting Egypt after Mubarak's fall, divisions remained rife -- and, in some ways, intensified -- during Morsy's time as president.

Critics accused him of being authoritarian, trying to force the Brotherhood's Islamic agenda, not being inclusive and failing to deliver freedom and justice.

'Nail in coffin' for Arab Spring?

The military coup to dismiss him, they said, was necessary since Morsy didn't fairly represent all Egyptians. So, too, were the efforts to force his supporters off the streets.

"We believe in human rights," said Shehab Wagih, a spokesman for the Free Egyptian Party speaking in favor of the military. "But at the same time, we cannot accept the idea of having a state inside a state."

Morsy's backers, meanwhile, accuse the military -- and the government it appointed -- of undermining the people's will, as expressed at the polls. The deposed president wasn't given a fair chance, they say, and his supporters have been unfairly targeted for expressing their opinion.

Talking Wednesday on CNN, Abdul Mawgoud Dardery of the pro-Morsy Anti-Coup National Alliance blamed "corrupt elements" in the Egyptian army for the bloodshed, calling their actions a "crime against humanity" and "state terrorism."

"All presidents make mistakes, but you don't have the army to remove them," Dardery said of Morsy. "... What are we telling to the rest of the Arab world, the Muslim world -- that bullets are better than ballots?"

Opinion: Morsy holds key to Egypt's future

CNN's Ian Lee reported from Cairo; CNN's Greg Botelho and Josh Levs reported from Atlanta; CNN's Saad Abedine, Holly Yan, Barbara Starr, Ali Younes, Slma Shelbayah and Salma Abdelaziz contributed to this report.

@highlight

Morsy backers attack police stations, hospitals early Thursday, state TV reports

@highlight

At least 235 civilians and 43 police officers die in violence Wednesday, officials say

@highlight

Morsy backers say they came under "assault;" government calls protesters the aggressors

@highlight

Diplomats worldwide condemn the bloodshed, urge restraint