(CNN) -- As the war in Iraq reaches its five-year anniversary this week, two of the world's leading humanitarian groups issued extensive reports Monday describing a crisis of huge proportions with little reason for hope.

Iraqi women mourn the death of their relative outside the morgue in the restive city of Baquba, Iraq, on March 12.

"Despite claims that the security situation has improved in recent months, the human rights situation is disastrous," Amnesty International says in its report, titled "Carnage and Despair: Iraq Five Years On."

In a summary of the report, Amnesty writes that "a climate of impunity has prevailed, the economy is in tatters and the refugee crisis" keeps escalating.

The International Committee of the Red Cross, in a report titled "Iraq: No Let-up in the Humanitarian Crisis," writes, "Despite limited improvements in security in some areas, armed violence is still having a disastrous impact. Civilians continue to be killed in the hostilities.

"The injured often do not receive adequate medical care. Millions of people have been forced to rely on insufficient supplies of poor-quality water as water and sewage systems suffer from a lack of maintenance and a shortage of engineers."

The Bush administration and many Republican lawmakers, including presidential candidate Sen. John McCain, have frequently praised successes in Iraq in recent months, noting improvements in security in key areas. They attribute that in part to the buildup of U.S. troops in Iraq ordered by President Bush last year.

Vice President Dick Cheney described the five year U.S.-led invasion of Iraq in a news conference Monday during a visit to Baghdad.

"This week marks the fifth anniversary," said Cheney. "It has been a difficult, challenging, but none the less successful endeavor."

Democrats, including presidential hopefuls Hillary Clinton and Barack Obama, have said the government failed to use the downturn in violence to achieve the steps it was supposed to make possible.

Sen. John McCain met with Iraqi Prime Minister Nuri al-Maliki on Monday where he stressed the United States' commitment to Iraq.  "We recognize that al Qaeda is on the run, but they are not defeated. Al Qaeda continues to pose a great threat to the security and very existence of Iraq as a democracy. So we know there's still a lot more work that needs to be done," he said.

Amnesty writes, "Key political benchmarks have yet to be realized."

Both Amnesty and the Red Cross slam the Iraqi government for failing to grapple with the critical needs of their populations.

Amnesty also says the Iraqi government and the U.S.-led Multi-National Forces  are responsible for some nightmarish circumstances.

"Civilians are also at risk from Multi-National Forces and Iraqi security forces, with many killed by excessive force and tens of thousands detained without charge or trial," Amnesty writes in its summary. "The death penalty was reintroduced in 2004 and hundreds of people have been sentenced to death. At least 33 people were executed in 2007, many after unfair trials."

In its report, Amnesty says the Iraqi government "has failed to introduce practical measures to deal with the gross and serious human rights violations perpetrated by its security forces. There appears to be no serious willingness to investigate properly the many incidents of abuses, including killings of civilians, torture and rape, and to bring those responsible to justice.

"The government has also been unable to reign in Shiite militia groups, such as the Mehdi Army, or to rid the Interior Ministry of death squads. The fact that the government is divided along sectarian lines has serious repercussions on its effectiveness and bodes ill for the future."

The two reports cite a litany of concerns, including severe widespread poverty, a lack of food and water, and broken families left to scrounge for whatever they can find to get by. Both reports describe a situation that shows no sign of clear improvement.

Amnesty also says conditions for women have worsened with the rise of fundamentalist religious groups. Many women "have been forced to wear Islamic dress or targeted for abduction, rape or killing." The group notes a study by the World Health Organization in 2006/2007 that found 21 percent of Iraqi women had experienced physical violence.

Amnesty adds that the "predominantly Kurdish region of northern Iraq has been more stable with fewer acts of violence, and has seen growing economic prosperity and foreign investment. However, here too there continue to be serious human rights violations, including arrests for peaceful political dissent, torture, ill-treatment, the death penalty and the killing of women in so-called honor crimes."

The Red Cross says that despite the struggles in Iraq, the organization "has been able to help hundreds of thousands of the neediest Iraqis." The group called for a "renewed effort" to "address the needs of everyday Iraqis." E-mail to a friend

@highlight

Amnesty International and The Red Cross released reports Monday

@highlight

Amnesty report: "A climate of impunity has prevailed; the economy is in tatters"

@highlight

Amnesty says conditions for women have worsened with rise of religious groups

@highlight

Vice President Dick Cheney describes war as success with challenges