(CNN) -- You might think the Senate was debating a bill about the politically influential Koch brothers over the last two days -- various Democratic senators criticized them more than 20 times on the floor as they decried the influence of money in politics.

"We've witnessed the Koch brothers trying to buy America -- untold millions hoping to get a government that will serve them and make them more money," Senate Majority Leader Harry Reid, D-Nevada, said Tuesday.

"How many individual donations does it take to get the same time to present your case as the Koch brothers' spending, say, $3 million?" asked Sen. Jeff Merkley, D-Oregon.

What's at stake in the 2014 midterms?

But the debate, which resumed Wednesday, is on a proposed constitutional amendment allowing broader regulation of campaign finance and reversing the Supreme Court's ruling permitting unlimited election spending by businesses.

After several years of attacks by various Democrats, allies of the billionaires Charles and David Koch, who had in past years rarely publicly contest critics, are now fighting back against criticism aimed at them. And they're trying to going on offense.

Who are the Koch brothers?

"It is imperative we speak out, that I speak out ... to set the record straight," Mark Holden, senior vice president and general counsel for Koch Industries, told CNN.

The brothers' business is centered on Koch Industries, a major privately held conglomerate of companies producing fuel, paper, chemicals, electronics and fertilizer products. It employs 60,000 people in the U.S.

Opinion: The truth about the Koch agenda

Several of the politically active organizations affiliated with the Kochs, such as Freedom Partners, Americans for Prosperity and Generation Opportunity, are major players on the Republican side. These nonprofit groups are controversial because they don't have to disclose the names of their donors or the amounts of their gifts because they are classified as tax-exempt. How much the Kochs themselves have given to them is unknown.

It has been estimated these groups, which are some of Republicans' biggest boosters, could spend $290 million on television ads this year. According to a recent study from the nonprofit Center for Public Integrity, a group of six entities linked to the Kochs aired 43,900 TV ads this election cycle -- nearly one out of every 10 spots -- signifying their prominence.

Holden said how these groups operate is similar to how more liberal-oriented ones do, highlighting an organization called the Democracy Alliance, which supports major groups in the progressive movement.

"We are not going to back down," Holden said. "I want to make sure people understand the hypocrisy by the Democrats."

"I respect their rights not to disclose," Holden added. "They are hypocritical. They attack us."

The Democracy Alliance and many of the groups supported by it also don't have to disclose their donors because of how they are organized through the tax code. One difference, however, is the alliance does not directly give money to Democratic-aligned groups it supports, including the Center for American Progress, America Votes and the Center for Community Change. A requirement of alliance membership, however, includes giving at least $200,000 to entities it supports.

A chart being circulated on Capitol Hill among conservatives detailing the reach of the Democracy Alliance was provided to CNN by a conservative activist involved in campaign strategy.

According to the alliance's spring investment booklet, first reported by Politico, the 21 groups at the core of its portfolio intend to spend $200 million this year to help support candidates and agenda priorities. The alliance estimated that $39 million of that would come from alliance donors, with the rest coming from other supporters.

"They are spending more. They are doing more," Holden told CNN speaking of some of the groups on the left supported by the Alliance, such as The American Constitution Society, which advocates on the makeup of appellate courts, and pushed for changes in Senate filibuster rules regarding judicial nominations. He said he doesn't "think it is going to stop any time soon."

Gara LaMarche, president of the Democracy Alliance, disputed that assertion.

"While we appreciate the Koch brothers' backhanded compliments that our network is better coordinated and more effective, the real difference is this: Democracy Alliance donors will probably always be outspent by our counterparts on the right, but we are having a greater impact because our vision aligns with American values," LaMarche said in a statement to CNN. "DA (Democracy Alliance) members are wealthy individuals and families who are trying to end the corrupting influence of money in the world and advance a world in which one person's vote counts for more than their bank account."

Organized labor launches "Koch Sisters" campaign

As Election Day nears -- and the Democratic attacks on the Kochs surely intensify -- Holden, who has granted interviews to several major media outlets this week, including The Washington Post and CNN, promised to talk to as many people as possible to spread his message about the hypocrisy he sees coming from the left.

CNN political producer Alan Silverleib contributed to this report.

@highlight

A debate over restrictions on campaign spending turns into a debate about the Koch brothers

@highlight

Billionaires Charles and David Koch have contributed millions to conservative causes

@highlight

A Koch spokesman says they're doing the same things that the opposition is