I'll let you know what's going on, but I don't need new congressional authority to act, President Barack Obama told congressional leaders Wednesday about his upcoming decision on possible military intervention in Iraq.

The White House meeting sounded more like a listening session for the top Republicans and Democrats in the House and Senate about options for helping Iraq's embattled Shiite government halt the lightning advance of Sunni Islamist fighters toward Baghdad that Obama is considering.

According to a White House statement, Obama went over U.S. efforts to "strengthen the capacity of Iraq's security forces to confront the threat" from the  Islamic State in Iraq and Syria (ISIS) fighters, "including options for increased security assistance."

Earlier, spokesman Jay Carney spelled out one limit to any U.S. help, saying:  "The President hasn't ruled out anything except sending U.S. combat troops into Iraq."

While the White House statement emphasized Obama would continue to consult with Congress, Senate Republican leader Mitch McConnell of Kentucky said the President "basically just briefed us on the situation in Iraq and indicated he didn't feel he had any need for authority from us for the steps that he might take."

House Democratic leader Nancy Pelosi of California agreed with McConnell's assessment, adding she believed congressional authorization for military force in Iraq back in 2001 and 2003 still applied.

Obama "did not give us an array of actions he was planning to take," Pelosi said. "He just talked about his perspective on what was happening there."

A few hours earlier, Defense Secretary Chuck Hagel and Joint Chiefs of Staff Chairman Gen. Martin Dempsey said they were working out details on possible U.S. steps that could include airstrikes on Sunni militants advancing through northern Iraq.

'Full range of options'

"I share alarm about the future of Iraq, and we are developing a full range of options to help stabilize the region," Dempsey said at a Senate subcommittee hearing Wednesday.

He and Hagel noted that final details, especially for airstrikes requested by the Iraqi government, required more intelligence on the ISIS fighters whose lightning sweep of Sunni territory has raised the specter of a partitioned Iraq and a broader Sunni-Shiite regional war.

They agreed with subcommittee members that the Iraq crisis amounted to a threat to U.S. interests in the region and, down the road, a possible threat to the U.S. homeland if northern Iraq and neighboring Syria become a safe haven for al Qaeda-affiliated Islamists.

Republican Sen. Lindsey Graham of South Carolina, a conservative hawk critical of what he considers to be a weak U.S. foreign policy under Obama, noted that ISIS fighters have threatened to attack the United States.

'High-risk scenario'

"Although currently a regional threat, they do have aspirations to attack Western interests," Dempsey said, calling the safe haven outcome outlined by Graham a "high-risk scenario."

"Yeah, to our homeland being attacked by this group," Graham countered, to which Dempsey responded, "not at this time but over time."

When Graham asked about possible U.S. airstrikes on the militant forces, Dempsey confirmed reports that the Iraqi government had requested them and added that it was "in our national security interest to counter" the ISIS fighters "wherever we find them."

At the White House, Carney made clear that Obama's "ultimate objective" was to protect U.S. national security interests and prevent the region from becoming a safe haven for ISIS extremists.

"Any action that he might contemplate when it comes to ... the use of military force will be to deal with the immediate and medium-term threat posed by ISIL," Carney said, noting that 170 U.S. military personnel have been sent to Baghdad to assist in securing embassy personnel inside Iraq, while another 100  moved into the region to "provide airfield management security and logistic support, if required."

Like other administration officials, he referred to the militants by the abbreviation for the Islamic State in Iraq and the Levant, rather than the common translation of the name that includes Syria.

A draft list of possible ISIS targets in Iraq is being constantly reviewed and revised with the latest intelligence, typical of any preliminary targeting operation, according to U.S. military officials who spoke on the condition of not being identified.

Compiling the draft list does not signal that Obama will authorize such strikes, and several administration officials said the President has yet to make a final decision.

Manned reconnaissance

Several military sources also confirmed to CNN the start of manned reconnaissance flights over Iraq to collect up-to-the-minute intelligence on ISIS movements and positions. Unmanned reconnaissance flights have been going on for several days.

In order to use precision-guided weapons, satellite coordinates generally would have to be loaded into them well in advance. That means the Defense Department needs to be ready to move quickly if Obama announces a decision to strike.

The "kinetic" option against ISIS targets could include dropping precision-guided bombs from manned aircraft flying overhead, using Tomahawk cruise missiles fired from Navy ships in the Arabian Gulf or using drones to fire missiles.

Military officials told CNN that the drone option was considered the least desirable because they fire against relatively small specific targets such as vehicles or individual suspected terrorists.

For days, military sources have said ISIS fighters are dispersed and mixed in with local populations, making them difficult to target precisely with airstrikes.

Washington political fight

On Capitol Hill, political leaders who later met with Obama sparred over the Iraq crisis in a debate intensified by the hyperpartisan atmosphere of an election year.

House Speaker John Boehner demanded that Obama lay out a "broader strategy" for how the United States should deal with the growing sectarian violence in Iraq when he and other top congressional leaders meet with the President at the White House.

Boehner sidestepped a question about whether he supported airstrikes and said it's up to the President to lay out what to do next.

"I'm looking for the overall strategy that will help secure the gains that we have made," Boehner said.

Meanwhile, Senate Majority Leader Harry Reid spoke out forcefully against sending U.S. service members into the middle of sectarian strife.

"This is an Iraqi civil war, and it is time for Iraqis to resolve it themselves," the Nevada Democrat said on the Senate floor. "It is not worth the blood of American service members.  It is not worth the monetary cost to the American taxpayer."

Militants' advance threatens Christians in Iraq

Opinion: Dick Cheney's amazing chutzpah on Iraq

U.S. and Iran: From sworn enemies to partners on Iraq?

@highlight

President Obama says he'll consult with Congress on Iraq

@highlight

White House spokesman reiterates that combat troops are ruled out

@highlight

Joint Chiefs chairman says Iraq has requested U.S. airstrikes

@highlight

Military planners warn of difficulty in targeting ISIS fighters in northern Iraq