Off a main street in Kabul, standing outside a high walled compound is an old Afghan security guard, manning the front gate.

Walking towards him is a group of well-dressed students in gray and maroon uniforms -- almost looking out of place in this dusty, garbage-littered, rundown city.

Inside are large trees surrounding a deep rose-colored two-storey building, and all you can hear is music.

This is the Afghanistan National Institute of Music (ANIM), which has been up and running for the past two and a half years. It has 141 students, of whom 41 are girls, and half the placements go to children who are street kids or orphans. Officials believe there are 70,000 street kids in Kabul and as many as 600,000 across the country.

Three generations addicted to opium

In one of the dozen practice rooms on the ground floor is 15-year-old Negin Khpalwak. She lost both her parents several years ago and has been living in an orphanage ever since. She is now one of a handful of students learning to play the sarod -- a traditional Indian instrument that is making a revival in Afghanistan thanks to this school.

"Music is very important to me because it's my future. It saved me," she said.

"I want to teach other students, especially young girls. I know my country has a lot of problems but I hope for peace so girls in Afghanistan can do what they dream of doing."

Across the hall in another practice room is 16-year-old Wahidullah Amiri. He's playing the piano.

With a look of determination and purpose he reads the music, his fingers moving across the keys. Listening to him, you would think this teenager had been playing for most of his life. In fact he'd never touched a piano until two years ago. "I was working on the street selling plastic bags and chewing gum," he said.

"My family is very poor. Now I go to school and study music. Something I never thought I would do."

Skateboard school ramps up Afghan dreams

The man responsible for turning his life around is the founder of ANIM, Ahmad Samarst. The son of a famous Afghan composer, conductor and musician, Samarst wanted to change lives through the power of music. Though he was born and raised in Kabul, he has very close ties to Australia after seeking asylum there when he fled the Taliban. The Islamic militant movement seized power in 1996 following Afghanistan's long civil war.

While in Australia, Samarst studied music -- receiving his PhD in music from Monash University in Melbourne. His wife and two children still live there. He returns every three months and will be heading back again at the end of the year for his daughter's wedding. But he says despite his family, his heart is in Afghanistan.

When the Taliban fell in 2001 he felt a strong desire to return to his country and rebuild the nation's rich and vibrant musical culture. Under the Taliban it had virtually been wiped out with a nationwide ban. Music was considered blasphemous, musicians were persecuted and if you were caught playing an instrument, the punishment for this "crime" was having one of your hands cut off.

The Taliban destroyed most instruments during their brutal five-year rule, often using the wood for heating. If the instruments were too big, like a piano, they would blow them up with a grenade so they could carry them out in pieces.

A true believer in the healing power of music, Samarst explained his vision for ANIM. "It was based on the strong belief of the power of music, as a powerful force, which can play a significant role in establishing a civil and just society in post-Taliban Afghanistan."

It took years of planning, lobbying and gathering financial support but finally Samarst had the beginnings of a national music school. After a $2 million donation from the World Bank, Samart was suddenly overwhelmed by international interest and funding from foreign ministries, embassies and music schools from Germany, Finland, Denmark, the United States, Britain and India.

Samarst said many of the instruments were donated and described the storage rooms upstairs for these valuable pieces as  "treasure troves." He said they would be the "envy of many music schools around the world."

As part of the program, he has hired nine international music teachers from the U.S., Europe, Mexico and India to not only teach the students but also train local Afghan teachers.

William Harvey arrived in Kabul two and a half years ago from New York, feeling compelled to act after the September 11 attacks shook the core of his country. He said he had no idea what sort of adventure he was about to embark upon but felt strongly about helping to mend and rebuild a war-ravaged Afghanistan.

He is now the conductor of ANIM's youth orchestra that has just been invited to perform in the U.S. at Washington's Kennedy Center and New York's Carnegie Hall in February next year.

"When the people of the world see there are Afghan girls and boys performing side by side that means to a certain extent that we've won, and that Afghanistan has won, because music is a historical and inalienable part of Afghan culture, and its return is tremendously exciting," he said.

ANIM works very closely with Afghanistan's Ministry of Education, which is very proud of what the school is achieving. Sarmast believes his greatest achievement is co-education within the school. Boys and girls, side by side, in a country where in some towns, girls still don't have access to an education.

The Taliban made it very clear during its rule that no girls were allowed to go to school -- a rule that is still applied in their heartland in southern Afghanistan. But at ANIM young girls smile and laugh with their male classmates, oblivious to the divisions deep with their society.

"This is a revolution for this country," he explained. "These girls are serving as a mother for the entire nation. I'm very pleased our institute is a mother for the country."

One girl who is passionate about education and her country is 10-year-old Sapna Rehamati. Girls don't have to wear headscarves inside the school grounds though Sapna puts one on. But instead of wearing it traditionally over her head and wrapped around her shoulders, she ties it together behind her head, at the nape of her neck. With a mischievous grin she explained, "This is my style."

Asked about the future of the country, this orphaned girl who wasn't even born when the Taliban fell from power, said emphatically, "The Taliban is very bad. Every person has the right to learn. Every child, every human being should have the right to study music. Nobody should interfere in their lives."

Sitting next to her friend Azia on the piano stool, Sapna smiled warmly at her as the two girls hit the keys in time, their little fingers creating the nostalgic sounds of a traditional Afghan tune.

When asked what she wants to do when she grows up and graduates from the school, she replied: "I want to build my country and make Afghanistan a great place. If other people want to build our country I want to work beside them."

@highlight

Afghanistan National Institute of Music has been running for the past two and a half years

@highlight

Half the places at the school in Kabul go to children who are street kids or orphans

@highlight

Afghan officials believe there are over 600,000 street children across the country

@highlight

Ahmad Samarst returned to set up the school after fleeing the Taliban