(CNN)  -- A Saudi judge has refused for a second time to annul a marriage between an 8-year-old girl and a 47-year-old man, a relative of the girl told CNN.

The most recent ruling, in which the judge upheld his original verdict, was handed down Saturday in the Saudi city of Onaiza, where late last year the same judge rejected a petition from the girl's mother, who was seeking a divorce for her daughter.

The relative said the judge, Sheikh Habib Al-Habib, "stuck by his earlier verdict and insisted that the girl could petition the court for a divorce once she reached puberty." The family member, who requested anonymity, added that the mother will continue to pursue a divorce for her daughter.

The case, which has drawn criticism from local and international rights groups, came to light in December when al-Habib declined to annul the marriage on a legal technicality. The judge ruled the girl's mother -- who is separated from the girl's father -- was not the girl's legal guardian and therefore could not represent her in court, according to Abdullah al-Jutaili, the mother's lawyer.

The girl's father, according to the attorney, arranged the marriage in order to settle his debts with the man, who is "a close friend" of his. At the time of the initial verdict, the judge required the girl's husband to sign a pledge that he would not have sex with her until she reaches puberty, al-Jutaili told CNN. The judge ruled that when the girl reaches puberty, she will have the right to request a divorce by filing a petition with the court, the lawyer said.

Last month, an appeals court in the Saudi capital of Riyadh declined to certify the original ruling, in essence rejecting al-Habib's verdict, and sent the case back to al-Habib for reconsideration.

Under the complicated Saudi legal process, the appeals court ruling meant that the marriage was still in effect, but that a challenge to the marriage was still ongoing. The appeals court in Riyadh will now take up the case again and a hearing is scheduled for next month, according to the relative.

The issue of child marriage has been a hot-button topic in the deeply conservative kingdom recently. While rights groups have been petitioning the government to enact laws that would protect children from this type of marriage, the kingdom's top cleric has said that it's OK for girls as young as 10 to wed.

"It is incorrect to say that it's not permitted to marry off girls who are 15 and younger," Sheikh Abdul Aziz Al-Sheikh, the kingdom's grand mufti, said in remarks last January quoted in the regional Al-Hayat newspaper. "A girl aged 10 or 12 can be married. Those who think she's too young are wrong and they are being unfair to her."

Al-Sheikh reportedly made the remarks when he was asked during a lecture about parents forcing their underage daughters to marry.

"We hear a lot in the media about the marriage of underage girls," he said, according to the newspaper. "We should know that Sharia law has not brought injustice to women."

Sharia law is Islamic law. Saudi Arabia follows a strict interpretation of Islam called Wahhabism.

CNN was unable to reach government officials for comment.

Christoph Wilcke, a Saudi Arabia researcher for Human Rights Watch, told CNN in December that his organization has heard of many other cases of child marriages.

"We've been hearing about these types of cases once every four or five months because the Saudi public is now able to express this kind of anger -- especially so when girls are traded off to older men," Wilcke said.

Wilcke explained that while Saudi ministries may make decisions designed to protect children, "It is still the religious establishment that holds sway in the courts, and in many realms beyond the court."

Last December, Zuhair al-Harithi, a spokesman for the Saudi government-run Human Rights Commission, said his organization is fighting against child marriages.

"The Human Rights Commission opposes child marriages in Saudi Arabia," al-Harithi said. "Child marriages violate international agreements that have been signed by Saudi Arabia and should not be allowed." He added that his organization has been able to intervene and stop at least one child marriage from taking place.

Wajeha al-Huwaider, co-founder of the Society of Defending Women's Rights in Saudi Arabia, told CNN that achieving human rights in the kingdom means standing against those who want to "keep us backward and in the dark ages."

She said the marriages cause girls to "lose their sense of security and safety. Also, it destroys their feeling of being loved and nurtured. It causes them a lifetime of psychological problems and severe depression."

@highlight

NEW: Judge said girl could petition "once she reaches puberty," relative tells CNN

@highlight

Girl's father arranged her marriage to a 47-year-old to settle debts, lawyer says

@highlight

Appeals court declined to certify original ruling, sent case back to judge

@highlight

Girl's mother says she will continue to seek daughter's divorce