WASHINGTON (CNN) -- As the Democratic primary race heats up between Sens. Hillary Clinton and Barack Obama, the delegate estimate between the two remains extremely close. For the first time, Democratic superdelegates may decide their party's nominee.

But what exactly is a delegate and why are they so important to Obama and Clinton, and Sen. John McCain and former Arkansas Gov. Mike Huckabee on the Republican side?

The magic number of delegates needed to win the Democratic nomination is 2,025 out of 4,049 total number of delegates.

For Republicans, the number needed is much less -- 1,191 delegates to secure the party's nomination out of 2,380 total delegates.

CNN has compiled a list of questions and answers regarding the complicated world of delegates.

Q: What's the difference between delegates and superdelegates?

A: There are different set of rules for the Democratic  and Republican parties.

For Democrats, there are two types of delegates within the Democratic Party: pledged and unpledged.

Both of them cast votes for presidential candidates at the national convention, but the methods by which they are selected differ.

A pledged delegate is elected to his or her position with the understanding that he or she will support a particular candidate. Over 80 percent of the total delegate votes at the convention are from these pledged delegates.

In caucus states, pledged delegates are elected through a series of local-level meetings and conventions and then are allocated to the candidates based on the candidate's showing in the caucuses.

In primary states, voters are actually voting for a candidate's slate of pledged delegates. The number of delegates who get to attend the national conventions is proportional to the candidate's share of the primary vote.

Although pledged delegates make a "pledge" to support a certain candidate, they are not required or bound by the national party to actually support that candidate and may vote any way they choose on the convention floor.

So-called "superdelegates," unique to the Democratic party, are drawn from the Democratic National Committee, members of Congress, governors and distinguished party leaders -- like former presidents, vice presidents, and congressional leaders. Some are selected at state conventions.

Though sometimes referred to as "unpledged" delegates, many superdelegates pledge allegiance to a candidate well before the party convention -- but they are free to change their minds. Superdelegates make up around 20 percent of the total delegates and have only been around since the 1980s.

Although the national Republican Party does not have these superdelegates, 123 members of the Republican National Committee are free to vote for any candidate at the GOP convention this summer in Minneapolis, Minnesota. Of those, 26 have already expressed support for McCain and three for Huckabee.

Republicans, like Democrats, utilize pledged delegates in the nominating process.  A candidate needs 1,911 out of 2,380 total national delegates to secure the nomination.

Q: At what point do superdelegates become a factor in deciding who wins the nomination?

A: Because Obama and Clinton are neck-and-neck in pledged delegates, the superdelegate number could set a candidate over the top, getting the magic number of delegates needed to win the party's nomination.  Watch superdelegates weigh in on their role in the race »

CNN estimates, however, that Clinton has the support of at least 234 superdelegates compared with at least 156 superdelegates for Obama, according to an ongoing survey. The remaining 400 or so superdelegates either remain neutral, undecided or have not publicly revealed their preferences.

Though Clinton appears to hold a sizable lead among these Democratic officials, Obama has scored a series of high-profile superdelegate endorsements in recent weeks, including nods from Sens. Ted Kennedy and John Kerry of Massachusetts.

Although there are currently 796 Democratic superdelegates, those numbers may change over the next several months as people die, leave office or leave the Democratic Party.  Watch more about Democratic superdelegates »

The number of superdelegates may also change if states such as Florida and Michigan are ultimately allowed to send delegates. As you may recall, the DNC stripped both states due to the refusal to hold delegate selection contests during the so-called "window" of time sanctioned by the DNC.

This means that, unless the DNC's current ruling changes, prominent Democrats -- including Florida Sen. Bill Nelson and Michigan Gov. Jennifer Granholm -- will not be superdelegates.

Q: Can superdelegates who've expressed a preference change their mind before that time?

A: Yes, superdelegates are not required to indicate a preference for a candidate.

Candidates, however, can use their persuasive power to win over superdelegates' support.

Q: Have superdelegates ever decided the Democratic nominee?

A: No. Since superdelegates were first created in the 1980s, a Democratic nomination race has never come down to the votes of superdelegates at the convention.

Usually, the eventual nominee emerges before the convention and the delegates generally have rallied around that nominee at the convention regardless of whom they supported during the primaries.

Q: How does CNN determine its delegate count?

A: The overall delegate estimate is a combination of our superdelegate estimate and our calculations of how many delegates the candidates won through primaries and caucuses. We add those numbers together and come up with the overall delegate estimate.

For the superdelegate count in particular, CNN's ongoing survey involves phone calls and e-mails to delegates as well as public statements of endorsement for a particular candidate. E-mail to a friend

CNN's Robert Yoon, Alan Silverleib and Keating Holland contributed to this report.

@highlight

CNN answers your questions about the role delegates play in the presidential race

@highlight

Find out the difference between delegates and "superdelegates" for Democrats

@highlight

There are no Republican superdelegates