(CNN) -- After a decade in prison you look at time differently, says Mikhail Khodorkovsky. The former Russian oligarch, whom President Vladimir Putin unexpectedly pardoned in December, is visiting Washington this week, sharing his thoughts with people who knew him back in Moscow -- before prison, before his Yukos Oil Co. was dismantled, before he lost his estimated fortune of $15 billion.

Since Putin pardoned him after 10 years in a Siberian labor camp over tax evasion, embezzlement and money laundering -- charges he has continued to deny -- Khodorkovsky has, for the most part, steered clear of direct involvement in Russia's internal political situation. But this hasn't stopped him from criticizing Putin's actions in Ukraine, and arguing that the Russian President is ignoring "global and strategic challenges" to his country, "using his office to avenge a personal grudge."

And Khodorkovsky appears to be taking his concerns over Russia's direction a step further, relaunching Open Russia, a group he founded in 2001 to foster civic organizations. The group was shut down in 2006, its accounts frozen by the Russian government. But Khodorkovsky says he is looking to unite Russians with a "European mindset," a group, he estimates, at around 12% of the Russian public.

Yet the prospects for Russian civic life appear dim, at least for now. The reality is that the demonstrations against Putin in 2011-2012 -- protests that drew tens of thousands of Russians to the streets of Moscow and other big cities over what international observers claimed was vote fraud in parliamentary elections -- petered out, with most of the protest leaders ending up under house arrest or in jail.

True, protesters took to the streets again in September to demonstrate against Russia's military action in Ukraine, but their numbers were smaller. Stringent laws against multiple demonstrations, as well as new election laws, have made it harder to register political parties or publicly express opposition to Kremlin policies. Meanwhile, the Kremlin has also cracked down on nongovernmental organizations that receive funding from abroad, accusing them of being "foreign agents."

All this suggests that Khodorkovsky is likely correct when he says the opposition cannot win in 2016.

If he's right, it raises the question of how long Putin will rule Russia. Khodorkovsky reels off his odds: a small probability, about 10%, that Putin will lose his position in two years -- "but he has to make a mistake."

So far, as Khodorkovsky sees it, Putin hasn't made any big mistakes. Even faced with Western sanctions over Russia's incursion into Ukraine, Putin has convinced many Russians "it's those nasty Americans" who are trying to punish Russia for its "independent" foreign policy. That strategy resonates with many Russians who've confronted economic hardship from time immemorial with a stoic: "We must endure."

Certainly, Putin appears to have stoked the flames of nationalism and resentment that many Russians still feel after the fall of the Soviet Union. In the long term, this manipulation of emotion, fanned by Kremlin-controlled propaganda campaigns, is dangerous. And, as Putin's more rabid nationalist supporters egg him on to take even more draconian action, it is not clear that even the Russian President can control this explosion of anger.

When I ask Khodorkovsky about his likely future role in Russian politics, he denies he's proposing the creation of a political party. It never worked out before and the authorities destroy any competing political structures. His model, he says, is something more amorphous, like what happens during American elections: People come together to solve problems by allying with a certain political party during a campaign with only the "skeleton" of a party remaining after the election.

Khodorkovsky stops short of saying he would run for Russia's president. But in the same breath, he says he's willing to offer himself as a "political representative" to European-minded Russians. "I will give it a try," he says. "I don't know if it will work out."

Such doubt is understandable. Many average Russians despise him as a rapacious rich man, ripping off the system to amass billions. Some Western-oriented Russians, meanwhile, still harbor doubts about Khodorkovsky's murky roots in Russia's "Wild West" capitalism after the fall of the Soviet Union. Kremlin allies still accuse him of having "blood on his hands" from vendettas against his early business competitors.

So why is Khodorkovsky here in Washington? He says he is trying "to help people understand" what he is doing. "We really don't like it when they say, 'We'd rather see a known Putin than an unknown alternative.' "

Khodorkovsky places the odds that Putin will be out of power in the next 20 years at 90% but adds ominously: "When he goes, he will not go in a democratic way."

Regardless, it is easy to see why Putin is popular now: Thanks to burgeoning oil prices, he has helped raise average Russians' salaries and fatten the bank accounts of those who run large government-friendly corporations, many of them in the oil and gas sector. In addition, during the Ukraine crisis, Putin has stirred up fear of NATO and the West attacking Russia.

But the prospects of someone like Khodorkovsky being there to pick up the pieces if and when Putin's popularity eventually wanes are unclear -- as is whether he would even want to be the one to lead change.

"I hope they will find someone else," he adds. "After all, people who lead transitions like these usually end up in jail," he says smilingly, "and I've had enough of that."

@highlight

Former Russian oligarch Mikhail Khodorkovsky spent 10 years in Siberian labor camp

@highlight

Khodorkovsky is looking to unite Russians with "European mindset," writes Jill Dougherty

@highlight

But prospects for Russian civic life appear dim, at least for now, she says