New York (CNN) -- Vaclav Havel died Sunday in the Czech Republic he helped build. A few months ago, I wrote an appreciation as a way of marking his 75th birthday. The sentiments, of course, still stand and I'm glad I didn't wait until his death to write it. We have lost a hero of our times, a friend of freedom, who lived his life with integrity and sent forward ripples of hope into the world. He will be missed and remembered.

...

Draw up a compelling character representing the arc of the 20th century and it might look like this -- a child whose homeland is conquered by the Nazis and then occupied by communists; a playwright, essayist and dissident turned state prisoner of conscience turned leader of a victorious nonviolent revolution over a totalitarian dictatorship. He culminates his career as president of his newly liberated nation.

This is the life of Vaclav Havel as he celebrates his 75th birthday.

In a time of Arab Springs still unfolding and uncertainty about what will emerge in the place of those Mideast dictatorships, Vaclav Havel's life story takes on renewed relevance.

The revelation of Havel's leadership wasn't just the triumphant nonviolence of the Velvet Revolution -- it was his bracing honesty, which was itself a revelation. Read the opening lines of his first inaugural address to the Czech people: "My dear fellow citizens ... I assume you did not propose me for this office so that I, too, would lie to you."

This is the hallmark of Havel's writing -- challenges to power rooted not in imperious ideological rhetoric but harder-to-dismiss, human-size truths.

Take a look at his most enduring essay, "The Power of the Powerless," written behind the Iron Curtain in the darkest days of the 1970s.

In this classic call for everyday citizens to recognize their power to change their world, Havel uses the example of a Soviet-era grocer placing a state-sponsored sign in his store window with the slogan: "Workers of the world, unite!"

"If the greengrocer had been instructed to display the slogan 'I am afraid and therefore unquestioningly obedient;' he would not be nearly as indifferent to its semantics, even though the statement would reflect the truth," Havel wrote.

So why does he do it? "The sign helps the greengrocer to conceal from himself the low foundations of his obedience, at the same time concealing the low foundations of power. It hides them behind the facade of something high. And that something is ideology," Havel wrote. "Ideology offers human beings the illusion of an identity, of dignity, and of morality while making it easier for them to part with them."

The power of those words ultimately helped inspire a revolution of citizen resistance to the totalitarian state. It may yet inspire more uprisings -- because beneath his appeal is not a vision of a utopian alternative, but the more basic human-scale virtue of civic responsibility, both for yourself and future generations. Havel's experience with the Nazis and Communists taught him the lesson that utopian dreams often end in nightmares.

Consequently, Havel has cautionary words for the overheated acolytes of perpetual revolution and retribution. "Violence is well-known to breed violence, which is why most revolutions have degenerated into dictatorships, devouring their own offspring," he wrote, "not knowing that they were digging their own graves and confining society in a vicious circle of revolutions and counter-revolutions."

There is this enduring wisdom as well: Havel's vision of an anti-totalitarian state ended up looking a lot like liberal capitalist democracy, with an emphasis on preserving pluralism and the uniqueness of a community.

Havel was not allergic to the responsibilities of self-government, but instead embraced the mantle of authority in his own quixotic manner, never pretending to be perfect, leading by the power of his example rather than the example of his power.

In office, he was a clear voice arguing for the West's efforts to intervene militarily to stop the ethnic cleansing in Kosovo. At a time when many nations seemed confused, unable to see the conflict with moral clarity, Havel helped keep the Western world focused on our commitment to "never forget."

Retired from office and often wrestling ill-health, Havel continues to write. Because he is one of the few recent world leaders who is primarily an author and artist, it is probably best to let his words speak for themselves on a few more varied subjects.

-- On purposeful politics: "True politics, worthy of the name â€” and the only kind I will practice â€” is the politics of service to one's neighbor. Service to the community; service to those who will succeed us ... If you are modest and do not lust after power, not only are you suited to politics, you absolutely belong there."

-- On globalization: "An amalgamation of cultures is taking place. ... We are in a phase when one age is succeeding another, when everything is possible and almost nothing is certain."

-- On hope and persistence: "The only lost cause is one we give up on before we enter the struggle."

-- On a keeping a sense of humor: "Anyone who takes himself too seriously always runs the risk of looking ridiculous; anyone who can consistently laugh at himself does not."

We sometimes wait until people have passed to honor them appropriately. This seems like an avoidable oversight. If you're inspired to learn more about Vaclav Havel, pick up one of his many books, from collections like "Open Letters" to interview collections like "Disturbing the Peace" to ruminations and recollections in books like "Summer Meditations" and the most recent, "To the Castle and Back."

In an uncertain, always evolving world, I am certain of this: Vaclav Havel's words and example will endure and continue to provide inspiration, lighting a path forward, reminding us that history takes place in the here and now and that we all contribute to making it.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon celebrates the life of Vaclav Havel, who died Sunday

@highlight

Avlon: Havel's life story takes on renewed relevance in year of Arab Spring

@highlight

He says the former Czech president spoke for democracy and against utopian revolution

@highlight

Avlon: The writer-statesman's life provides enduring inspiration