Pago Pago,  American Samoa (CNN) -- When an earthquake-triggered tsunami cascaded into this tiny island in late September, the result was 34 lives lost and untold millions in property damage. But a CNN investigation to air on tonight's "AC 360" has uncovered an array of unsettling facts that point to a single conclusion: this natural disaster was in many ways a man-made tragedy.

Public records show that the Department of Homeland Security had awarded millions of federal dollars in grants for disaster preparedness here, including the construction of an island-wide siren warning system. But all the federal funding was frozen in early 2007 after DHS inspectors found that the local American Samoan government had been diverting millions of those dollars for its own uses.

Birdsall Alailima, director of American Samoa's territorial office of Homeland Security from 2003 through 2007, now lives in southern Illinois, not far from St. Louis, Missouri. He showed CNN on a map exactly where on the island the sirens were to have been placed. Thirty towers in all, he said, with 30 sirens that could have been activated by the push of a single button.

"You're saying that the systems should have been in place?" CNN correspondent Drew Griffin asked him.

"Absolutely," Alailima said.

"And people died as a result?"

"Yes."

He's not the only one who thinks so. Federal sources told CNN they believe that had the warning system been built, the death toll would likely have been lower.

In American Samoa, however, territorial Gov. Togiola Tulafono, told CNN that he knew of no viable plan for the siren system.

"There was a study, I believe, but never a plan for a system," the governor said. "I was trying to get verification of what happened to that system, but I could not get the definite information."

Alailima said he was fired by the governor when the federal funding was frozen, and that the governor was aware of the preparations.

"I'm not going to fault them for freezing the funds," Tulafono said. "These are federal funds that they have oversight responsibility for and they saw fit to freeze the funds."

The governor told CNN he had tried to correct the problem by firing his entire homeland security staff. But, he said, that failed to solve the problem.

"All I'm saying is we have tried to work with them and have tried to get partial releases (of the money), and so far that hasn't happened."

A federal official calls the governor's statement "nonsense." American Samoa would have access to the frozen funds if it had agreed to pay back even some of the money it misused, said the official. The government and the governor refused, and the tsunami siren system was stopped, according to the official.

A spokesman for the governor's office later declined comment on the nature of the negotiations.

American Samoan government officials said they purchased another warning system -- radios that would have triggered alarms across the island. But during the CNN interview, Tulafono conceded that the system "was not in place" when the tsunami struck.

CNN has learned that the FBI is now conducting an investigation into exactly what did happen to the federal preparedness dollars sent to American Samoa. It was launched, sources tell CNN, by the Interior Department as its Insular Affairs office has federal administrative responsibility for the island.

The FBI investigation is only the latest and most recent attempt by the federal government to try to track what one federal official told CNN was "endemic" corruption on the island.

Here are only a few instances of the alleged corruption:

• Both the current Samoan lieutenant governor and a former state senator are under federal indictment on allegations of fraud, bribery and conspiracy. A trial is pending in Washington because there are no federal courts on the island. Attorneys for both men have refuted the indictment in court filings and say their clients are innocent of all the charges.

• An inspector general's report by the Department of Homeland Security issued in May 2007 cites numerous examples of American Samoan officials misusing federal grant money. The report's findings include the purchase of six flat-screen televisions for more than $25,000; purchase of executive leather chairs for $4,000; spending $77,000 on equipment no auditor could find; and extensive travel and entertainment charges, including money spent in Las Vegas, Nevada, by a Samoan official for a conference he was scheduled to have attended in Colorado.

• The DHS letter freezing its funding was sent on January 12, 2007. The action was taken because "we have found that Homeland Security Grant funds have been diverted to uses by State government offices for other than the intended use of Homeland Security funds. This is not only in violation of public trust but In Lieu of agreement as well."

In the Samoan villages destroyed by the tsunami, stories of corruption are not new.

"The government here gets a lot of money from the U.S. federal government," Heinrich Tavai told CNN as he watched members of his Lofatonoa Pentacostal Church help in the clean up. "Every year, they get millions and millions of dollars. As you see, we look like a Third World country when we should be looking more like a U.S. territory."

In half a dozen villages either wiped out or badly damaged by the tsunami, CNN could find no visible evidence of local government assistance. Workers from a tuna fish processing plant were helping in one village; in another, students from an island community college were dredging rubbish out of a stream. Red Cross officials distributed tents in other villages. Children in another village were hauling furniture on their backs to help clear the debris.

When asked about the seeming lack of local government assistance, the governor told CNN, "Our departments are out there working and working very hard, and to say they haven't seen any assistance is totally false."

Since 1995, American Samoa has received nearly $2 billion in federal grants from nearly every federal agency. On average the 65,000-population -- the size of a typical American suburb -- receives about $250 million in federal money each year. Congressional sources tell CNN that oversight has always been a problem because of Samoa's isolation and the expense involved in even mounting an investigation.

"They can do half a dozen investigations in Wyoming or California for the amount just one investigation would cost in Samoa," a source told CNN.

Federal sources said they don't believe any official is getting rich off the U.S. Treasury. Instead, they said, federal funds -- including disaster-preparedness money that was to have gone to the warning system -- were instead used to create local government jobs in an economy almost totally dependent on U.S. federal grants.

Moreover, the source added, each federal agency may have many employees whose jobs are to allocate federal funds, but only a relative handful whose jobs are to "manage" or account for that money.

In an e-mail to CNN, an Interior Department spokeswoman said that in previous administrations "there were real issues of neglect and failed oversight that must be addressed quickly, thoroughly and responsibly."

"We will help the islands rebuild and recover," said Kendra Barkoff, "but taxpayer dollars will be invested with strong oversight and full accountability."

@highlight

34 people died in last month's tsunami that smashed into American Samoa

@highlight

DHS inspectors say funds for a warning system were improperly diverted

@highlight

Investigators: Some funds used to pay for flat screen TVs and trips to Las Vegas

@highlight

The results of this special investigation on AC 360°, 10 ET tonight