London (CNN)The condition of a health worker battling Ebola in London has stabilized, but she remains in critical condition, Britain's health secretary told lawmakers Monday.

On December 29, Pauline Cafferkey, 39, of Glasgow, Scotland, became the first person to be diagnosed with the virus on UK soil, after returning from Sierra Leone the day before. On Saturday, the London hospital where she is being treated said that her condition had deteriorated over two days to critical.

In a statement to the British House of Commons Monday, Health Secretary Jeremy Hunt commended Cafferkey and 69 other National Health Service volunteers who had spent Christmas in Sierra Leone for "the exceptional bravery and compassion they showed in joining the battle against Ebola."

He said the doctor leading the team caring for Cafferkey at the Royal Free had updated him on her condition Monday morning.

"As has been reported, Pauline's condition has deteriorated to a critical state, although she stabilized yesterday and continues to receive the best possible care," Hunt said.

Screening

The Health Secretary described Cafferkey's journey from Sierra Leone -- where she had worked for six weeks --  to Glasgow and London via Casablanca and Heathrow airports.

Having been screened and cleared in Sierra Leone and Casablanca, Morocco, Cafferkey arrived at Heathrow where she was again screened.

"As her temperature was in the acceptable range she was cleared to fly home to Scotland," Hunt said.  "While still at Heathrow, a reassessment was triggered because of concerns she may have had an elevated temperature. She was reassessed and her temperature taken a further six times over 30 minutes. As her temperature was within the acceptable range, she was again cleared to travel."

However, once in Glasgow, Cafferkey became feverish overnight and was admitted to an isolation unit on December 29. After testing positive for Ebola she was transferred to London Royal Free Hospital, Hunt said.

"Some have asked whether it was appropriate for her to be allowed to travel onto Glasgow after she raised concerns about her health at Heathrow. The clinical advice on this is clear: You can only contract Ebola by coming into contact with the bodily fluids of an infected person  -- that means blood, vomit or diarrhea -- which becomes a risk when a patient is exhibiting feverish symptoms.

"Because she didn't have a high temperature, the clinical judgment was made to allow her to continue her journey home," he said.

The Health Secretary said clinical protocols appeared to have been followed when Cafferkey returned to the UK but in terms of screening, "I don't think organizationally, it was as smooth as it could be."

Review of procedures

Cafferkey had been working at Save the Children's Kerry Town Ebola treatment center in Sierra Leone.

On Monday, the charity said it was "doing everything possible" to establish how Cafferkey contracted Ebola and has been conducting a review since she was confirmed as having the virus on December 29.

"The Serious Event Review (SER) is looking at how the patient might have contracted Ebola by reviewing training, safety protocols, how protective equipment is used, and working practices," it said in a statement.

A panel that would include independent health experts would consider the review's findings, which would be made available as soon as possible, it said.

"As with other Ebola infections in health facilities, it may never be possible to be 100% sure how the patient was infected. The work of these brave health workers is never risk-free, but we are committed to doing everything possible to learn what happened and, if necessary, to make changes to our protocols and practice," Save the Children said.

"Staff safety is our No. 1 priority and our thoughts are with Pauline and her family at this very difficult time."

Britain's health secretary told lawmakers that Save the Children's review was being conducted in conjunction with Public Health England staff and it was hoped that it would report back "in the next few days."

"Obviously we're keen for them to report as quickly as possible but on the other hand we don't want to put them under pressure not to do a thorough report," he said.

Hunt said it was not believed that the protective suits worn by the workers had been breached, but that officials were continuing to "keep an open mind."

Hospital treatment

The Royal Free Hospital said Wednesday that Cafferkey had decided to have blood plasma treatment -- using plasma from Ebola survivors -- and to take an experimental antiviral drug.

The hospital is equipped with a high-level isolation unit where access is restricted to specially trained medical staff. A specially designed tent with controlled ventilation is over the patient's bed.

Another British volunteer nurse, William Pooley, was treated in the unit after his return home from Sierra Leone in August after being diagnosed with Ebola. He was later cleared of the virus.

What to know about Ebola

@highlight

British health worker Pauline Cafferkey was confirmed as having Ebola on December 29

@highlight

Cafferkey had been working in Sierra Leone and was diagnosed after returning to the UK

@highlight

UK Health Secretary Jeremy Hunt says she is in a critical but stable condition

@highlight

Save the Children says it is "doing everything possible" to establish how she fell ill