(CNN) -- Juan Salgado was 16 when he started cutting sugarcane, in a town near the Pacific coast of Nicaragua in 1966.

His symptoms began about 35 years later: Fever. Headaches. Poor appetite. Feelings of faintness. For no obvious reason, his kidneys were severely damaged, to the point that doctors said he couldn't do agricultural work anymore. Many of his friends had it worse.

"I know, many, many workers who were colleagues of mine, who have already died, and I know also many who are not capable of working anymore because of the disease," said Salgado, now 65, who worked near the town of Chichigalpa, Nicaragua.

The disease is known by scientists as "chronic kidney disease of unknown origin," or CKDu. In rural communities in Nicaragua, it's "creatinina," the Spanish word for creatinine, a biomarker of kidney strength.

At least 20,000 people have died prematurely from this mysterious disease in Central America in the last two decades, according to one estimate, but the real scope of the problem is unknown. The illness is not related to diabetes or hypertension -- drivers of kidney disease in the United States -- and affects primarily young men.

The disease is concentrated on the Pacific Coast in male agricultural workers, especially those cutting sugarcane. El Salvador, Nicaragua and Costa Rica seem to be hotbeds of the illness.

Scientists believe that a multitude of factors could be contributing to the disease, but that there's likely at least one factor that is job-related. Making matters tricky, the sugarcane industry has been a provider of funding for major studies on the illness, raising concerns that companies could be influencing the results.

In Salgado's opinion, the Nicaraguan sugarcane industry players "know well the cause of this disease."

Jason Glaser, a documentary filmmaker and community advocate, is not as sure. It is not yet clear to scientists and industry leaders what is causing this increased incidence of kidney disease.

La Isla Foundation, which Salgado co-founded with Glaser in 2008, is dedicated to improving the well-being of sugarcane workers with the disease and promoting prevention, and is collaborating with researchers to better understand what's causing this enigmatic illness. The organization is convening a meeting in July with CDC representatives, and researchers from various institutions to explore possibilities for more research.

"This is a complex problem," said Dr. Reina Turcios-Ruiz, resident adviser at the Centers for Disease Control and Prevention's Central America Regional Office in Guatemala. "It's going to take some time to find an answer, but I think it's important that we stick to it."

"None of the scientific investigations that have been made have established a link of causality between the sugar activity in Central America, and therefore our company, and CKD," Ariel Granera Sacasa, spokesperson for Nicaragua Sugar Estates Limited, said in an e-mail. Nicaragua Sugar Estates Limited is the company that owns Ingenio San Antonio, where Salgado worked for decades.

What is CKDu?

In the United States, a typical patient dies of chronic kidney disease their 70s or 80s, said Daniel Brooks of Boston University School of Public Health. But in Central America, men often get it in their 20s or 30s, and die by their 40s or 50s.

There are no early-stage signs. When patients experience symptoms such as fatigue, pain and high blood pressure, "a lot of the kidney function is already gone," said Brooks, who has been studying the illness.

"In order to be able to help people, they (screenings) need to be done on people who are asymptomatic," he said.

Stage 3 is considered chronic kidney disease, Brooks said. Stage 5 is "end-stage" -- where the only way to stay alive is to be on dialysis or get a transplant. Different people progress at different speeds.

Kidney dialysis and transplant -- both expensive undertakings -- are not accessible to many people in Salgado's region of Nicaragua.

"The people who are mainly affected are poor workers, typically in agricultural situations," Brooks said. "There's really not much availability of the treatment options.

"Most people just live 'til they die."

Out in the fields

Why Pacific regions of Central America are especially affected is a mystery. So is the specific connection to sugarcane cutting.

"Some studies have indicated that greater than 20% of men may have it in the areas where people are employed in sugarcane," Brooks said, although there are also high rates of the disease reported in miners and stevedores.

To some familiar with the disease, it seems clear that something about sugarcane working conditions is relevant.

"This epidemic is an occupational disease with possibly one or more yet unknown environmental components interacting with occupational dehydration," said Catharina Wesseling, researcher at the Universidad Nacional in Heredia, Costa Rica, and the Karolinska Institute in Stockholm, who has studied the disease. "The unknown factor(s) may be a pesticide, arsenic, an infectious agent, use of nephrotoxic drugs, or other environmental pollutants. But there is no room for much doubt that chronic dehydration is one major factor."

Wesseling was co-author on a 2012 study measuring markers of kidney function, including creatinine, in 256 men and 408 women in five communities in El Salvador. They found a correlation between markers of decreased kidney function and people who performed labor on lowland sugarcane and cotton plantations. Men had a higher prevalence, but women may still be at risk, the study authors said.

In a hot climate, performing physically intense labor, agricultural workers are probably facing dehydration, Turcios-Ruiz said. What's more, it's common for the workers to drink sugary soft drinks as they toil, which some mice studies suggest could be an exacerbating factor in kidney failure.

"Acute dehydration has been linked to acute kidney injury. But there has not been evidence that repeated dehydration is related to chronic kidney injury," Turcios-Ruiz said.

There could be a genetic explanation, researchers said. It's possible that genetics could interact with environmental risk factors, such as those encountered in agricultural work, Wesseling said.

One of Brooks' next studies will look at genetic susceptibility or predispositions that could affect the likelihood of developing CKDu. Another study will test children and adolescents for kidney damage before adulthood.

Funding controversies

It is troubling that the sugarcane industry is financing research into the causes of CKDu, Wesseling said, because companies have been very resistant to the idea that working conditions could be related.

So far, Wesseling's research has not incorporated industry funding. She has partnered with La Isla Foundation to study the disease further.

She and colleagues are looking to do a study that will test different hydration and rest-time protocols. You can't do an intervention without the cooperation of the sugarcane companies, she said. "But you need independent sources to be able to keep your independence."

Upcoming research by Brooks and colleagues will be partially funded by the sugarcane industry, with the money channeled through the CDC Foundation, a nonprofit established by Congress to connect the Centers for Disease Control and Prevention to other groups and individuals, Brooks said.

"The donors have no involvement in the research beyond providing funding. The CDC Foundation is administering the grants," according to the CDC Foundation.

There are conflict of interest policies to maintain independence from the funding source, Brooks said. Also, an external advisory board will be established to review the studies.

"CDC is providing technical assistance to Boston University on investigations into chronic kidney disease. Some of these investigations are funded through the CDC Foundation, others are not," Turcios-Ruiz said.

Brooks' previous studies also received industry funding -- specifically, from Nicaragua Sugar Estates Limited and a professional group to which it belongs, the Comite Nacional de Productores de Azucar.

La Isla Foundation would like to work with sugarcane companies on improving working conditions, provided they acknowledge that working conditions could be contributing to the illness, "and need improvement independent of that," Glaser said.

What can be done?

The rise of CKDu in Central America, on top of conventional cases of kidney disease, is "overwhelming local health care systems to the point of collapse," Wesseling and colleagues wrote in 2013 in the American Journal of Public Health. The disease is incredibly expensive, and will break the bank of any ministry of health, said Turcios-Ruiz.

Nicaragua Sugar Estates Ltd. has followed recommendations from Boston University to update its protocols on hydration, rest and shade, Granera Sacasa said, and health and security personnel on the fields has doubled to implement these policies. The company is developing a program that "includes adequate hydration, balanced diet and pauses in the work process to avoid overexertion and fatigue."

Some sugarcane companies have even started screening employees for the kidney disease biomarker before they start work, Brooks said.

La Isla Foundation is working on evaluating treatment programs and helping improve the quality of health care for people with the disease.

Nicaragua's health system is "overwhelmed and underfunded," said Dorien Faber, public health project coordinator for La Isla Foundation. In El Salvador, Faber and Glaser are looking at how adequate care can be delivered to patients with low resources.

"There are two to three funerals a day when people drop off during the dry season," said Glaser. "It's just a burden for the people. We want to do something that has nothing to do with politics."

Nowhere else to work

Salgado is lucky compared to many with CKDu. He has never been on dialysis or needed a kidney transplant. He still has occasional fluctuations in blood pressure, but a low-fat diet and less physical exertion away from the sugarcane fields, have prevented severe kidney failure, according to his colleagues.

Salgado said he receives social security of about $150 a month because he had been working for so long, but did not receive any compensation from his company, he said.

Three of his sons -- ages 26, 29, 33 -- work in sugarcane. Two operate machines, one is a cutter. His daughter's husband, who is like a son to him, works in irrigation.

"There is nowhere else to work," he said. "The whole agricultural area is sugarcane."

With few jobs in the area, Salgado's sons have little choice, but he fears for their health.

"I'm afraid because I've seen so many young people who are already in advanced stages," he said.

"I know many young people of almost the age of my children, who have already left Ingenio San Antonio and can no longer work, and who have an advanced illness, and who are truly already candidates for dying."

@highlight

CKDu is a complex health problem with unknown origins

@highlight

The disease is especially prevalent among sugarcane workers

@highlight

Kidney dialysis and transplants are often too expensive for employees

@highlight

Some research on the disease is funded by the sugarcane industry, causing controversy