Washington (CNN) -- Top administration and congressional officials are expected to continue working this week on a measure to raise the federal debt ceiling by up to $2.5 trillion, embracing a version of a fallback plan designed by Senate Minority Leader Mitch McConnell to avoid a potentially catastrophic default.

At the same time, GOP leaders are planning a series of votes on a proposed balanced budget amendment to the Constitution and sharp caps on future spending.  The bills have no chance of clearing Congress or winning the approval of President Barack Obama, but would allow Republicans to demonstrate their preference for steps favored by their party's conservative base.

The maneuvering will take place against a backdrop of heightened anxiety as fears rise that Washington will not be able to pay its bills starting next month.  If Congress fails to raise the current $14.3 trillion debt ceiling by August 2, Americans could be hit with rising interest rates, a plummeting dollar, and increasingly jittery financial markets, among other things.

The seriousness of the overall situation was reinforced Thursday when a major credit rating agency, Standard and Poor's, said it was placing the United States' sovereign rating on "CreditWatch with negative implications."

Moody's Investors Services -- another major rating agency -- said Wednesday that it would put the sterling bond rating of the United States on review for possible downgrade.

Obama warned last week that he could not guarantee older Americans will receive their Social Security checks next month if a deal is not reached in time.  Republicans accused the president of resorting to scare tactics.

Nevertheless, the two sides continued their talks over the weekend.  Obama met at the White House Sunday with House Speaker John Boehner, R-Ohio, and House Majority Leader Eric Cantor, R-Virginia, according to a spokesman for Boehner.

"We're making progress," the president said Monday.  "We can't let politics stand in the way of doing the right thing."

It "was never going to be easy (and) it certainly doesn't look easy today," added White House spokesman Jay Carney. However, Carney added that all the congressional leaders in the talks were committed to reaching a deal, whether a comprehensive deficit reduction agreement sought by Obama, a smaller version or the fallback option that focuses on raising the debt ceiling.

"We have to ensure that there is a fallback provision; that there is a measure through which Congress will act and we can ensure that the United States will not default," Carney said. "And the leaders in that room are unanimously in support of doing that."

McConnell's plan appears to have gained momentum over the past few days as hopes have faded for a grand bargain including tax hikes on the wealthy and reforms to popular entitlement programs such as Medicare and Social Security.  The Republican leader's proposal would give Obama the power to raise the borrowing limit by a total of $2.5 trillion, but also require three congressional votes on the issue before the 2012 general election.

Specifically, Obama would be required to submit three requests for debt ceiling hikes -- a $700 billion increase and two $900 billion increases.  Along with each request, the president would have to submit a list of recommended spending cuts exceeding the debt ceiling increase.  The cuts would not need to be enacted in order for the ceiling to rise.

Congress would vote on -- and presumably pass -- "resolutions of disapproval" for each request.  Obama would likely veto each resolution.  Unless Congress manages to override the president's vetoes -- considered highly unlikely -- the debt ceiling would increase.

The unusual scheme would allow most Republicans and some more conservative Democrats to vote against any debt ceiling hike while still allowing it to clear.

McConnell, R-Kentucky, and Senate Majority Leader Harry Reid, D-Nevada, are also working on two critical additions to the plan, according to congressional aides in both parties.  One would add up to roughly $1.5 trillion in spending cuts agreed to in earlier talks led by Vice President Joe Biden; the other would create a commission meant to find more major spending cuts, tax increases and entitlement reforms.

Changes agreed to by the commission -- composed of an equal number of House and Senate Democrats and Republicans -- would be subject to a strict up-or-down vote by Congress.  No amendments would be allowed.

Sources say the panel would be modeled after the Base Closing and Realignment Commission, which managed to close hundreds of military bases that Congress could not otherwise bring itself to shut down.

As congressional leaders continue laying the groundwork for the plan, Republicans are moving ahead with a more partisan measure to "cut, cap and balance" future budgets.   The plan includes major spending cuts, caps on future spending as a percentage of economic production, and a balanced budget amendment to the Constitution.

The White House released a statement Monday promising a veto if the GOP plan reaches Obama's desk.

"Instead of pursuing an empty political statement and unrealistic policy goals, it is necessary to move beyond politics as usual and find bipartisan common ground," the statement read.

Boehner called it "disappointing" that "the White House would reject this common-sense plan."

"If we are going to raise the debt limit and avoid default, the White House must be willing to demonstrate more courage than we have seen to date," the speaker said in a written statement.

The GOP initiative stands in sharp contrast to Obama's stated preference for a package of roughly $4 trillion in savings over the next decade composed of spending reforms and tax increases on the rich.

"I'm a little frustrated that (administration officials are) never willing to be specific about the reductions in spending that they would be willing to do," conservative Sen. Jon Kyl, R-Arizona, said Sunday.

"The president always just holds out this idea that, well, if you'll raise taxes, and he is very specific about the taxes he wants to raise, then (he) might be willing to look at cuts elsewhere," Kyl said.

"Well, of course, that's just not good enough.  So, the point I'm trying to make is when the president says he's willing to compromise, understand why Republican leaders have been pretty reluctant to go along with this deal because we frankly don't know where the spending reductions come, but we do know where the taxes are."

Republicans have repeatedly insisted that they are the only side offering concrete proposals to address mounting deficits and the federal debt.

Democrats in turn have belittled the GOP's push for a balanced budget amendment, a perennial favorite of conservatives.

"This notion that we somehow have to change the Constitution to do what we were elected to do is just plain wrong," Sen. Dick Durbin, D-Illinois, said Sunday on NBC's "Meet the Press."

"Bottom line is, those who want to push a balanced budget amendment are saying, 'I can't promise you that I won't steal again, but I will vote for the Ten Commandments.' "

At the heart of the current debate is Obama's call for more tax revenue by allowing tax cuts from the Bush presidency to expire at the end of 2012 for families making more than $250,000.  His plan would keep the lower tax rates for Americans who earn less.

Republicans insist they will not agree to any tax increases, arguing that such a move would derail an already weak economic recovery.

Obama noted last week he is not looking to raise any taxes until 2013 or later.  In exchange, the president said, he wants to ensure that the current progressive nature of the tax code is maintained, with higher-income Americans assessed higher tax rates.

But resistance to higher taxes is now a bedrock principle for most Republicans, enforced by conservative crusaders such as political activist Grover Norquist. Norquist's group, Americans for Tax Reform, has sponsored a high-profile pledge to oppose any tax increase.

The pledge has been signed by more than 230 House members and 40 senators, almost all of them Republicans.

CNN's Ted Barrett, Kate Bolduan, Candy Crowley, Ana Sebescen, Deirdre Walsh and Jessica Yellin contributed to this report.

@highlight

NEW: White House spokesman says all the leaders in the talks agree on the need for a deal

@highlight

Congress will vote this week on the GOP "cut, cap and balance" plan, aides say

@highlight

Obama will veto the GOP "cut, cap, and balance" plan if it reaches his desk

@highlight

The United States must raise its $14.3 trillion debt ceiling by August 2 or risk a default