(CNN) -- From a distance, Russia is looking awfully good the last few days. First, we learned that members of the art group Pussy Riot would be released from prison under a new amnesty, then that the Arctic 30, a group of Greenpeace activists who spent two months in Russian jails, would be free to go. And finally, President Vladimir Putin announced he would pardon Mikhail Khodorkovsky, the country's best-known and longest-serving political prisoner.

Inside the country, things look a little different. A majority of the people facing the largest political trial in more than half a century, stemming from a May 6, 2012, anti-Putin protest, will remain behind bars, as will Khodorkovsky's business partner, friend and co-defendant, Platon Lebedev.

Sending different messages to the international and domestic audiences is precisely the point of Putin's latest maneuverings and of many of his policies generally. In an effort to make sure that the Olympic Games in Sochi in February go off smoothly, Putin is showing a friendly face to the West, demonstrating that he has heard the criticism directed at him. To the audience at home, the message is, protest and disobedience will be punished harshly.

The stability of a democratic society depends in large part on its courts being perceived as just. Dictatorships, on the other hand, need their judicial systems to inspire fear.

Nothing inspires fear like the arbitrary, selective application of laws. Consider the Bolotnaya case, in which 27 people have been charged in connection with a protest that ended in violence -- mostly police violence -- last year. Because they face a variety of charges, only eight will be amnestied, and the rest will remain under arrest. But there is no discernible difference among the defendants in this case -- all the charges against them appear unproven and unprovable. This is the very definition of the arbitrary application of laws.

To be frightening, punishment must also be harsh. Four of the Bolotnaya case defendants were released December 19. One of them has lost his eyesight in the time he spent in jail; the others merely -- merely -- lost a year and a half of their lives, when they could not see their families or work to support them. At best, as punishment for taking part in a peaceful protest, they have had their careers interrupted and have run up back-breaking debt; at worst, they have sustained irreparable damage to their health. And they are the lucky ones.

The two members of Pussy Riot are lucky to get out of jail about two months before their time would have been up. They have spent more than 650 days in jail -- more than a third of each of their children's lives -- as punishment for 40 seconds of lip-syncing in a church. At least one of them, Nadezhda Tolokonnikova, has been subjected to physical violence, sleep deprivation and chronic undernourishment. Both have sustained long and debilitating hunger strikes. Tolokonnikova said that when she tried to speak out about conditions of her custody, prison officials threatened to beat her. Prison officials denied the allegations.

But they've had it easy compared to former oil tycoon Mikhail Khodorkovsky, who once dared challenge Putin on the subject of corruption. For this, and for his general refusal to be subjugated, he spent more than 10 years behind bars. During this time, Khodorkovsky refused, on principle, to discuss the conditions in which he was held, because they were no worse than that which hundreds of thousands of Russia's other convicts faced, but the details that have emerged are harrowing.

More or less every time Khodorkovsky gave an interview or published a piece of his own writing -- and he refused to be silenced in jail -- he was confined to punitive solitary. Other than that, he has faced the standard fate of a Russian convicted felon: His life's work has been ruined by the state, his children have grown up without him, and his parents have faced old age and life-threatening illness without him.

For Putin, punishment -- no matter how harsh -- is not complete if it does not include humiliation. Over the years, he consistently said that he would not pardon Khodorkovsky unless Khodorkovsky admitted his guilt. On December 19 he stated that Khodorkovsky had appealed for clemency, and Putin's press secretary, Dmitry Peskov, added that the appeal included an admission of guilt. Khodorkovsky himself, speaking from Germany, has said that "the issue of admission of guilt was not raised" in the discussion.

But that did not stop Putin from using the occasion of his release to communicate yet again to the Russian people that not only will he punish his enemies -- he will not stop until they are finally subjugated. There is reason to believe that Khodorkovsky was forced to accept emigration as a condition of being released from prison.

It would behoove the international community â€” including the 18 countries whose now-amnestied citizens were kidnapped in international waters in September and thrown into Russian jails for two months -- the Greenpeace activists â€” to pay attention to the message Putin is sending. His mercy is heavily conditional, while his fury is severe -- and his disregard for legality, close to complete.

The opinions expressed in this commentary are solely those of Masha Gessen.

@highlight

Vladimir Putin pardoned Mikhail Khodorkovsky ahead of the 2014 Olympics

@highlight

Masha Gessen: President is just putting on a friendly face for the West

@highlight

She says the message to Russians is protest and disobedience will be punished

@highlight

Gessen: Khodorkovsky, Pussy Riot members are freed, but many innocents still in prison