Sochi, Russia (CNN) -- In the months leading up to the start of the 2014 Winter Olympics the story of Sochi, the stage for one of the world's biggest sporting extravaganzas, has evolved into a distinctly negative narrative: security threats, gay-rights protests and corruption allegations.

Security because areas such as Chechnya, Dagestan and Georgia -- all nations close to Sochi's location on the north coast of the Black Sea -- have ongoing issues with Russia that have a history of violence.

Two recent bombings in Volgograd, and reports of suicide bombers dubbed "black widows" in operation, prompted the U.S. government to say it viewed the Games as an "attractive target for terrorists."

Gay rights because Russia's government banned what it defined as "gay propaganda" in 2013, a move that has seen widespread criticism from competing athletes and areas of the international media, and has led to some high-profile politicians refusing to attend.

Detractors argue such laws fly in the face of the Olympics charter, which states the Games, like sport itself, should be available to all, regardless of race, sex or sexual orientation and free of discrimination.

And corruption because the Games have cost more than $50 billion according to some sources, more than any other in history, and have been funded against a backdrop of criticism from opposition groups.

Former deputy prime minister Boris Nemtsov has complained of "embezzlement and kick backs" and questioned where $20-30 billion has been spent.

But there is another narrative that is worthy of reflection: Russia's attempts to forge a new identity on the international landscape through sport, and from this point of view first impressions count.

Security

Without wanting to pretend to be authoritative on an area with next-to-zero expertise, anecdotally the security seems impressive. As with London 2012, all entry to Olympic venues require an airport-style security check and X-ray as well as a barcode scan of your ticket before gaining access.

Police are at all major sites in good numbers, along all major roads traveled thus far, and are supported by military personnel as well. Vehicle searches are thorough and mandatory for entry into International Olympic Commission (IOC) managed territories, even freeways have security atop embankments and escarpments monitoring the traffic drive past.

The much touted "Ring of Steel," on the face of it at least, is in place and high profile.

Venues

My visit to Sochi's coastal cluster awaits, but the mountain facilities witnessed so far proved awesome in the true sense of the word.

A ski jump whose start point seems to scratch the sky such is the way that it's perched on, and protrudes from, the mountainside; cable cars that criss-cross spectators across the epic crevasses below; huge seating galleries and bleachers, erected on the angled ground with a complex mesh of scaffolding and ingenuity; slopes and slideways of the Alpine Center and Sanki Center (race locations for the downhill skiing-type events and bobsleigh-type events respectively) that carve smooth pathways down the otherwise unpredictable surfaces; they are fantastic stages for sporting competition.

Accommodation

First impressions of the accommodation has broadly not been good, an assessment which, in large part, has been formed by the unpreparedness of hotels set aside for media.

Journalists are known to be a vainglorious lot but there is a serious point here that rooms booked for large expense, months in advance, are not ready and their state was not communicated well to those affected.

At worst this could test the claim of IOC president Thomas Bach that all but 3% of rooms are ready. It raises fears of spectators who are traveling from far and wide that they could be left out in the cold.

At best it's something of a PR disaster. Frustrating those with the loudest mouths is an early own-goal to concede and one that London, which contended with its own doom-mongers ahead of the 2012 opening ceremony, avoided with aplomb.

Transport

The "World's Most Expensive Road" has had its detractors -- the joke doing the rounds is that it would have been cheaper to lay caviar as a surface than the Tarmac used. But the estimated $8.6 billion cost for less than 30 miles aside, the road -- as well as the railway that runs parallel to it -- is nothing short of an engineering marvel.

The dual carriageway cuts a path from the pleasant climes of the coastal Olympic Park through the vertiginous slopes of the Caucasus mountains, boring through the hard rock of any peak that had the temerity to stand in its path and traversing rock-strewn, river-chiseled chasms with a nonchalance only construction ambition on a grand scale can pull off.

The tunnels are many, the steel bridges are myriad and concrete supports and structures, which hold the transport arteries in the air, creep up the snow-capped slopes like a giant, monolithic ivy. The buses, across the IOC zone, are plentiful and regular too.

Cost

The investment from the Russian government to make the Games a reality is reputed to have risen above $50 billion and by anyone's standards, bar maybe a politician called Putin, that's a number beyond imagination or moral reckoning.

Could such an expenditure ever be justified? Well, before any judgment, it should at least be considered that Sochi is very different to the Vancouver, Turin or even London scenario.

The coastal cluster -- actually situated in the town of Adler, a few miles south of Sochi -- now boasts world-class, design-led arenas, a spectacular media center, new hotels as well as new train links and stations.

But it's in the mountains where the true scope of the project is revealed. It's fair to say that many Olympic locations in the Krasnaya Polyana region, such as the athletes' village, the Gorki media center and the resort of Rosa Khutor, more closely resemble new towns than alpine sporting facilities.

Russian officials claim the sporting cost of the Games is $6.4 billion, and the vast outlay on transport links, power supplies and sewerage should be seen as regional development and not included in the headline budget. The viability of its legacy will be a story for another day.

The intangible vibe

One of the most striking memories of the London 2012 experience was the feelgood factor created by an army of volunteers who turned out in their droves to help the Olympic effort prove a success.

Sochi looks well-placed to continue this momentum. Many of the temporary workforce, clad in rainbow-colored 2014 Games-themed mountain apparel, stand outside for much of the day -- braving freezing temperatures -- so they can show the way to those who are lost, give advice to those confused and to make the travel-weary feel welcome.

Their English skills and enthusiasm has already left an impression, from the night-shift volunteer who helped with bag check-in at Moscow airport to the man who helped explain the bus timetable and pickup points to this befuddled writer.

From the students keen to take part in an event that could shape their future to those who have taken the opportunity to work in the new jobs created, there is a sense of excitement and pride. Russia, a country notorious for its autocratic government and stone-faced expressions, has historically driven fear and paranoia in many Western nations.

Hosting the Winter Games is a grand welcome to the world to learn more about its culture and people, or to witness its grandstanding depending on your stance, a move that in itself is fascinating.

@highlight

Sochi buildup has been negative: security threats, gay-rights protests, corruption claims

@highlight

But another narrative appears: Russia's bid to forge a new identity through sport

@highlight

The much touted "Ring of Steel" around Sochi looks to be in place

@highlight

"World's most expensive road" is nothing short of an engineering marvel