(CNN) -- Cattle carcasses dot the desert. More beggars show up at street corners in the capital, Niamey. These are indications that Niger is on the brink of catastrophe, say aid workers.

But few outside the country have noticed these signs in one of the world's least developed nations. And now an encroaching emergency caused by months of severe drought is threatening to leave 8 million people, or half the nation's population, hungry.

The United Nations' World Food Programme announced Tuesday that it is "massively scaling up" food distribution to people who have lost crops and livestock. In this nomadic, pastoral nation, they are people who have lost everything.

"The drought in Niger is an unfolding catastrophe for millions of people and we are struggling against time to scale up quickly enough to reach the escalating number of hungry," said Josette Sheeran, executive director for the U.N. agency.

Sheeran traveled to Niger to see the crisis for herself and saw a landlocked, drought-prone nation where hunger has been growing steadily since the last harvest in September 2009.

"We are massively scaling up special nutritional help for children under two years of age, whose brains and bodies face permanent damage from acute malnutrition," said Sheeran in a statement released Tuesday after her visit.

The agency said it aims to feed about 8 million people through the end of the year by distributing food rations that include a corn and soy supplement, a peanut paste and vitamin-fortified sugar and milk for children.

Earlier this month, 10 leading international aid agencies had called for a surge in the humanitarian response to the hunger crisis across the Sahel region of west and central Africa -- 2 million more people are threatened in Chad and thousands others in Mali, Mauritania, parts of Burkina Faso and northern Nigeria.

But Niger is at the heart. And despite months of warnings, the money for emergency aid has been what aid agencies described as paltry. The United Nations needs another $229 million to reach its recently revised target aid amount of $371 million.

The World Food Programme's appeal follows a similar call by the U.N. Office for the Coordination of Humanitarian Affairs, which earlier this month increased the aid requirement for Niger to $253 million from $191 million. The food agency said it only has half the $213 million it needs to expand its feeding operation.

"I think it has been a really slow onset emergency," said Johannes Schoors, chief of missions in Niger for the aid agency CARE International. "We got very little response from donors."

That's partly because Niger's has been an invisible problem so far.

There are not yet thousands of people starving. Nor are there images of distended bellies and bones piercing out of flesh, as there were in the Sudan famine in the 1990s. The markets still carry fresh fruit for those who can travel far and have deep pockets.

But, Schoors said, if things are allowed to go on this way, human suffering will become unbearable.

Schoors' colleague Stephane Petitprez, CARE's emergency director who just returned from 10 days in eastern Niger, said the people of Niger have no way to survive without their livestock. Their future is dying with the animals.

"They have to start a new life," she said.

But without rain, it will be difficult.

@highlight

Half of Niger's population is threatened by a food shortage caused by prolonged drought

@highlight

The last harvest was in September 2009

@highlight

Niger is one of the world's least developed countries

@highlight

Many people are dependent on livestock