Chapel Hill, N.C. (CNN) -- Margo Balboni is cramming college into three years to cut down on the cost of her student loans. As it is, the University of North Carolina sophomore expects to graduate in a few years with $20,000 in debt.

"I try not to think about it too much," said Balboni, "The last thing I want is to be financially dependent on my parents."

Balboni is scared of the student loan bills she may face when she graduates in a few years. But come July, millions of college graduates may see their payments jump. That's when the interest rate on federally subsidized college loans is set to double. Unless Congress decides to freeze current interest rates, the more than 7 million Americans will see their annual rates jump from 3.4% to 6.8%.

Just the thought of that, said Balboni, "definitely makes my anxiety go up several notches."

The issue is fast becoming a political football, and one President Barack Obama hopes to score with young voters. But his likely Republican opponent is trying to take the ball off the field by also supporting the freeze.

Romney camp: Why we will get the young people

This week, Obama begins an all-out push for Congress to extend the low rates on these loans. "We can't make higher education a luxury," he said during a rally in North Carolina Tuesday. "It's an economic imperative. Every American family should be able to afford it."

That message is red meat to the college crowd, a group the president has to energize in big numbers before November.

In 2008, the president won two-thirds of 18-29 year olds. Sen. John McCain won 32%. That year young voters made up one-fifth of the electorate. That may not sound like a large enough voting block to decide an election but, on the state level, young voters can make a big difference.

In North Carolina during the last election, Obama won by just 1%, or 14,177 votes. But he carried the state's young voters by an overwhelming 74%. The youth vote clearly helped provide a cushion for his upset victory and the state's 15 electoral votes.

Since then, the dynamic has changed. Youth turnout dropped 6% between the 2008 presidential election and the 2010 midterms. Though a drop off in turnout among young voters is predictable when there's no presidential candidate on the ticket, there are other reasons the Obama team has to worry about a lower turnout.

Young people have been hit especially hard during the recession, with more than half of recent college graduates unemployed or underemployed. And a recent Harvard University Institute of Politics survey showed that while young people still overwhelmingly support Obama, they are now less likely to vote this fall, more disillusioned about the economy and politics in general.

"It's not too late for Obama to relight some fires," said Hodding Carter, Public Policy Professor at UNC. "I do not think it's possible for him to ignite the kind of conflagration in the entire youth that he did last time."

Carter believes young voters are easily disillusioned by the gridlock in Washington. They "essentially looked up and said 'but it didn't work right away so the hell with it.' And that's always a problem with the youth vote."

Student loan rate hike: What you need to know

So the president is now stepping up his effort to appeal to young voters. This week he's visiting college campuses in states he carried in 2008 and those that will be in play in 2012 -- North Carolina, Colorado and Iowa.

He is pushing the "keep-college-loans-affordable" message and pointing the finger at Republicans. His speech in North Carolina included an attack on a Republican congresswoman for her position on student loans. He didn't mention her name but the president recounted the comments of Rep. Virginia Foxx (R-NC) who had told a talk radio host that she had "very little tolerance" for students who graduate with large amounts of debt.

"Can you imagine that?" the president asked the crowd, which responded with loud boos.

What he doesn't mention is that Romney came out this week in favor of extending a freeze on the current interest rates.

"With the number of college graduates who can't find work or who can only find work well beneath their skill level, I fully support the effort to extend the low interest rate on student loans," Romney said before a campaign event in Astor, Pennsylvania on Monday.

Romney is making a play to dampen enthusiasm for the president among young voters. At the Pennsylvania event he told reporters, "I think this is a time when young people are questioning the support they gave to President Obama three and a half years ago."

One issue the Romney campaign is certain to hit on: the unemployment rate among 20-24 year olds is five points higher than the national average. In his comments on the youth vote, Romney added, "He (the president) promised a future with good jobs and good opportunity; that hasn't happened."

But it may be in the administration's interests to keep the subject in the headlines, continuing to suggest that the Republicans will stand in the way of a deal.

It will cost the United States $6 billion to extend the student loans for just one year, according to the Congressional Budget Office. John Kline, the Republican chairman of the Education and Workforce Committee, has called it an "untenable situation" in which "we must now choose between allowing interest rates to rise or piling billions of dollars on the backs of taxpayers." Kline said he is working to find "a responsible solution" -- a way to pay for an extension of the freeze.

On Tuesday, Obama attacked Congress for continuing subsidies for oil companies and for its failure to increase taxes on the wealthy, leading the crowd to chants of "no!" to questions such as "Do we want tax cuts for the rich?"

The current interest rate reduction passed with bipartisan support in 2007, but Republicans have pointed out that then-Sen. Obama missed two votes on the issue. The White House has pointed out the president was campaigning at the time and was prepared to return to cast his ballot if needed for the vote; then-Sen. Joe Biden and Sens. Chris Dodd and John McCain also missed the vote.

The back and forth in Washington is seen as just more noise to the students who face a rate increase on July 1.

Balboni, the UNC sophomore, said her biggest fear is the possibility she'll be so deeply in debt, she'll have to move into her parent's home after graduation.

"Yeah it's the 800-pound guerilla in the room. It's everyone's plan Z. Nobody wants to go all the way to that."

@highlight

College grads face student loan rates that could double if Congress doesn't act

@highlight

Obama pushing hard for freezing rates while shoring up youth vote

@highlight

Romney also supports plan, but blames Obama for economic problems of youth