(CNN) -- As someone who studies the morality of babies, I am sometimes asked "Are we naturally good or naturally evil?" My answer is yes.

Most adults have a sense of right and wrong. With the intriguing exception of some psychopaths, people are appalled by acts of cruelty, such as the rape of a child, and uplifted by acts of kindness, such as those heroes who jump onto subways tracks to rescue fallen strangers from oncoming trains.

There is a universal urge to help those in need and to punish wrongdoers and there are universal emotional responses that revolve around morality—anger when we are wronged, pride when we do the right thing and guilt when we transgress.

In "Just Babies," I argue that much of this is the product of biological evolution. Humans are born with a hard-wired morality, a sense of good and evil is bred in the bone. I know this claim might sound outlandish, but it's supported now by research in several laboratories. Babies and toddlers can judge the goodness and badness of others' actions; they want to reward the good and punish the bad; they act to help those in distress; they feel compassion, guilt and righteous anger.

In my own research at Yale, done in collaboration with my colleague (and wife), Karen Wynn, we show babies one-act plays—puppets shows in which one puppet acts kindly toward a character (helping it up a hill, or opening a box for it, or passing it a ball) and the other puppet acts in a cruel way (pushing it down a hill, or slamming the box shut, or stealing the ball).

Babies can't speak, but we can learn about their judgments and preferences from their behavior—where they look, what they reach for, and, for older babies, who they will give a treat to and who they will take a treat from.

We find that even 3-month-olds prefer the good guy to the bad guy, and that older babies and toddlers will reward the good guy and punish the bad guy. Babies also prefer other characters that do the same; they prefer a just puppet who rewards the good and punishes the bad over an unjust puppet who does the opposite.

The existence of a universal moral sense is the good news. But we are, as the anthropologist Robert Ardrey put it, risen apes, not fallen angels. Our brains are the products of natural selection and so one would expect our innate morality to have certain limits. Indeed, studies find that babies start off as little bigots, eagerly dividing the world into us versus them and strongly favoring their own group over everyone else.

Although the baby's capacity for moral judgment applies broadly, when it comes to kindness and compassion, we start off indifferent—or worse—toward strangers. The biologist Richard Dawkins was right, then, when he said at the start of "The Selfish Gene," "Be warned that if you wish, as I do, to build a society in which individuals cooperate generously and unselfishly toward a common good, you can expect little help from biological nature." Or, as a character in a Kingsley Amis novel put it: "It was no wonder that people were so horrible when they started life as children."

Fortunately, we can transcend our limited biological natures. Modern humans possess abstract moral notions of equality and freedom for all; we see racism and sexism as evil; we reject slavery and genocide; we try to love our enemies.

Of course, our actions typically fall short, often way short, of our moral principles, but these principles do shape, in a substantial way, the world that we live in. And being exposed as a child to these moral ideals—and interacting with people who exemplify these ideals—is an essential part of growing up to be a good person.

Why does this research matter? For one thing, these findings can change the way parents think of their own babies and children. Many people believe we are born selfish and amoral—that we start off as pint-sized psychopaths. Others think that genes are destiny, and that some babies are bad seeds, unredeemable souls from the very start. Both these cynical views are mistaken.

We are naturally moral beings, but our environments can enhance—or, sadly, degrade—this innate moral sense.

Finally, an understanding of moral psychology can help us make the world a better place. If you're interested in reducing racism and bigotry, for instance, it is critical to understand the inborn proclivity to favor one's own group over others; if you want to create a just society, you'll want to learn about how we naturally think about fairness and equity.

Good social policy is informed by an understanding of human nature at its best and its worst, and this is what the science of baby morality is all about.

The opinions expressed in this commentary are solely those of Paul Bloom.

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

Paul Bloom: Are people naturally good or evil? Studies with babies yield clues

@highlight

He says babies as young as 3 months exhibit a sense of right and wrong

@highlight

But babies also divide world into us and them, showing strong preference for their own group

@highlight

Bloom: Humans are naturally moral beings but environment can influence how we develop