(CNN) -- For workers of Bangladesh, the worst kind of tragedy imaginable struck last week when the Rana Plaza garment factory building -- just outside my home city of Dhaka -- collapsed, killing more than 500 workers. Despite the many warnings of dangerous cracks in the walls reported to supervisors, police and the media earlier in the week, thousands were still sent to work on Wednesday to proceed with business as usual.

There's no question that this building collapse is tragic, but for garment workers, it's not surprising.

I began working in Bangladesh's garment industry at the age of 12, making just $3 a month. I went to work because my father had a stroke and the family needed money to cover basic living expenses. I worked 23 days in a row, sleeping on the shop floor, taking showers in the factory restroom, drinking unsafe water and being slapped by the supervisor.

Bangladesh vs. the U.S.: How much does it cost to make a denim shirt?

By the time I was a young woman working at a factory that made clothing for a big U.S. retailer, I knew the time had come for change.

The factory owed my coworkers and me overtime wages, but it wanted to pay us only half of what we had earned, making it even harder for us to support our families. So I helped lead a strike to hold our manager accountable.

I was fired and blacklisted, but my work was far from over. I later learned labor law, English and computer skills so that I could help win justice for garment workers. Today I lead a worker education and advocacy nonprofit that counts tens of thousands of garment workers as members.

Opinion: Who really pays for our cheap clothes?

The sad reality is that tragedies like this have become business as usual, advanced by some of the most highly profitable American and international corporations in the world.

Last November, 112 workers lost their lives when the Tazreen Fashions factory, which produced garments sold by Wal-mart, Sears and other retailers, caught fire. Much like New York's infamous Triangle Shirtwaist factory fire more than 100 years ago, the workers at Tazreen were trapped inside, with many jumping from upper story windows to try to save themselves. The death toll at Bangladeshi factories stands at nearly 1,000 since 2006, based on estimates by the Bangladeshi government and an advocacy organization.

In the case of these two recent tragedies, there is plenty of blame to go around -- from the Bangladeshi government for looking the other way at safety violations, to the incredibly dangerous circumstances workers face when they try to unionize, to the pressure factory owners and managers are under to turn out high product volume at low prices no matter what.

It is the responsibility of the government of Bangladesh to make a sustained, concerted effort to rectify the dire situation. Strict, well-enforced factory codes and clear support for workers' rights are paramount to protecting Bangladesh's garment workforce.

But more tragedies can be prevented only if the multinational corporations and retailers whose goods are produced at these factories are willing to stand up and do what is right.

A coalition of labor and non-governmental organizations in Bangladesh, Europe and the United States has developed a protocol for an innovative two-year inspection and renovation program to finally make these factories safe -- the Bangladesh Fire and Building Safety Agreement.

In addition to facilitating government-supported employer-labor relations and stringent oversight of factory safety management, this protocol focuses on the responsibility of brand owners and retailers to support safety standards.

If Wal-mart and its fellow retailers that count on Bangladeshi labor demand change, we can be sure it will happen. As the protocol states, these corporations must verify that the factories they use comply with applicable safety standards. They must ensure that their pricing of garments makes it feasible for the factories to stick to standards. No longer should a Bangladeshi factory manager feel forced to pressure his employees to work in a deadly environment to meet a corporation's bottom line.

As for the tragedies that have already taken place, these brands should contribute to worker compensation funds for victims and victims' families, including those in the fire at Tazreen. To date, Wal-mart and Sears have refused to contribute. Both companies maintain that subcontractors had used the factory without their authorization, so they are not responsible. I single out Walmart because its past actions have been painfully inadequate. Walmart has refused to sign onto the protocol designed to enhance fire safety and improve factory structures, saying it is putting its own standards in place, which are perfectly adequate. Yet those are Band-Aid measures that are woefully insufficient.

Last fall, Wal-mart refused to admit its connection to the Tazreen factory until my colleagues and I went there the day after the fire and photographed products with Wal-mart's labels in the wreckage. We must no longer tolerate this willful ignorance on the part of multinational corporations about where their goods are produced.

It's high time that companies like Wal-mart, The Gap, and others step up and demand the safety of Bangladesh's garment workers. Too many Bangladeshi workers live and work in fear for their lives each day. The fire safety protocol is a critical first step to making real change, and I urge Wal-mart to become a leader in the fight to save Bangladeshi lives.

The opinions expressed in this commentary are solely those of Kalpona Akter.

@highlight

Kalpona Akter: Deadly factory collapse in Bangladesh was inevitable, considering conditions

@highlight

Akter started work in Bangladesh's garment industry at 12, working 23 days in a row

@highlight

Akter: 1,000 Bangladeshi workers have died since 2006 in factory fires or accidents

@highlight

Akter: Multinationals that buy cheap clothing need to demand safety and pay living wages