As the National Transportation Safety Board begins public hearings on Wednesday into the crash of an Asiana Airlines Boeing 777 in San Francisco in July, one question is certain to keep popping up: Have pilots become too dependent on computer systems to fly their airplanes?

The simple answer is yes.

When pilots become confused or overwhelmed by technology that was supposed to make their jobs easier or when they find themselves unable to regain control of their aircraft when a component in the computer system fails, the aviation industry needs to seriously assess the problem.

Modern airliners use computers to handle just about every function imaginable -- from starting the engines and monitoring the cabin environment for the right temperature and pressure balance to handling the complex navigation necessary to fly an airplane safely between South Korea and San Francisco.

Shaking free of any of the technology anywhere along the way is very difficult because so many of the aircraft's systems depend upon each other to work together.

An airliner's automation today can handle almost all of a pilot's duties more smoothly and with better precision than any human. Computers have become so tightly integrated into the operation of an airliner, however, that the real problem is trying to carve out a few tasks the pilots can still call their own. One of the last completely human tasks is landing the airplane.

With computers being tasked to perform so much of the work on each and every flight, pilots find their jobs have changed dramatically. Whereas once they were captains of the sky able to manipulate the flight controls to maneuver a 500,000-pound airplane through stormy skies and still plunk 300 people down at the destination safely, they now find themselves to be mere system monitors.

Today, pilots program the computers before takeoff, making sure all the panel lights are green and then watch as the computers fly the aircraft most of the way.

Is it any wonder that with so little practice actually manually handling the aircraft's flight controls and making many of the critical decisions that are now handed off to the computers that the pilots often find their minds wandering?

We shouldn't be surprised that this happens. We all grow easily bored when we're forced to watch someone, or something, perform a task for hours on end, especially when we've been told that the computer pilot in this case probably flies better than we do anyway, at least most of the time.

Consider Asiana 214's arrival at San Francisco.

Facts uncovered during the initial investigation pointed to the pilot's failure to notice that a critical system called the auto-throttles was accidentally turned off. Auto-throttles let the computers control how much power the aircraft's engines produce to maintain a given airspeed. With the auto-throttle switched off, the pilots thought the computers were controlling power and airspeed, when in actuality, the computers were on standby. Basically, it means that no one was actually controlling the aircraft's altitude at that time.

Without enough engine power, the aircraft's speed dropped too low to allow it to continue flying and it struck a dike just short of the runway, ripping away the landing gear. Three people died while over 180 people were injured.

During the final few seconds of the approach to San Francisco, the pilots simply sat in the cockpit, apparently mesmerized by the view of the bay, assuming the computer was flying.

The big question of course is why didn't they notice the computers were on standby?

With the recent release of a study, "Operational Use of Flight Path Management Systems," the aviation industry has begun to identify weaknesses in our aviation safety system, including potential problems in human-computer interactions.

The report recommends improving pilot training to include more hands-on flying practice and more intensive classroom study about technology's shortcomings. It also calls for better cockpit designs that reduce potentially confusing messages, and up-to-date training to keep federal regulators ahead of the technology curve.

The study has been turned over to the FAA, but no timeline or next steps in the process have been outlined. Without a defined plan of action soon, we may see another crash on the horizon before too long.

@highlight

This week, public hearings take place on the crash of an Asiana Airlines Boeing 777

@highlight

Robert Mark: Have pilots become too dependent on computer systems to fly planes?

@highlight

He says it's a serious problem when pilots get overwhelmed by technology

@highlight

Mark: We need better cockpit designs and train pilots more on hands-on flying