To some, Memorial Day marks the start of summer.

But to veterans and their families, Memorial Day is one of the most difficult and hallowed days of the year. A time to reflect on our fallen heroes and to think of survivors of wars gone by.

Lost, injured or home safe and sound, our military and veterans communities are facing grave challenges that deserve national attention. Yet, as this Memorial Day approaches, stories about Benghazi, the IRS, and the Department of Justice's seizing the phone records of AP and Fox reporters are taking up almost all of the focus in Washington.

After the Memorial Day observances conclude and before Washington returns to business as usual, we need to ensure we are doing right by those who have served to protect our nation.

On Memorial Day, nearly 900,000 veterans have disability claims pending with the Department of Veteran Affairs, including almost 600,000 veterans who have been waiting for more than 125 days for a response. Those figures represent a more than 613% increase since President Obama's first inauguration in 2009, when 85,000 veterans were in the backlog for more than 125 days.

VA benefits were put in place to support service-disabled veterans who, as a result of their injuries, need health care and financial support. But our men and women returning home now aren't getting that support. They're asking for help, but so many are not getting it.

There's been some recent movement in the right direction. Since March, the VA  has decreased the backlog by 3.2 percent, according to the IAVA's analysis of Veterans Benefits Affairs reporting. That the backlog has been reduced for six consecutive weeks is a positive development and reflects the VA's new urgency to fix the backlog problem with new initiatives. Yet, to eliminate the backlog by its public goal of 2015, the VA must do far better.

Veterans need the aggressive leadership and decisive action of Obama, who has been silent on the backlog,  to bring the backlog down to zero. This is something that 67 senators and a bipartisan group in the House are calling for, along with more than a dozen veterans service organizations.

The president rightfully displayed prompt leadership in responding to another critical issue for service members: military sexual trauma. A Pentagon report released in early May revealed that an estimated 26,000 cases of sexual assault occurred last year, a one third increase over the previous year.

Additionally, during this past month, three officers responsible for leading sexual assault prevention efforts have been embroiled in sexual misconduct cases themselves.

News interactive: 100 faces, 100 hours -- Remembering the fallen

These incidents have served as a wake-up call for all Americans. We can't ask our fellow citizens to put their lives at risk for us if they're not safe themselves. A group of lawmakers, led by Sen. Kirsten Gillibrand of New York, is proposing new legislation to combat this problem. The Military Justice Improvement Act would remove oversight of sexual assault cases from the chain of command and allow victims to report their assaults to an independent prosecutor.

This is an important piece of legislation that is quickly gaining bipartisan support and should be implemented immediately. It's sensible and can help change the military's culture for the better.

This Memorial Day, we also must continue our work to prevent suicides among those who served. The numbers are sobering: according to Army reporting, 109 active-duty and reserve servicemen and women have taken their own lives this year. Among all veterans, 22 veterans commit suicide every day. That's 22 veterans. Every day.

Despite what we know about veterans' suicides, a recent report from the VA inspector general's office found that about a third of veterans considered to be at high risk for suicide don't receive the recommended follow-up care after they've been discharged from VA inpatient mental health care. That is unacceptable.

We must continue to push for an expansion of programs that connect veterans to mental health resources while also fighting to erase the stigma that prevents many veterans from seeking mental health care in the first place.  Ensuring that our service members are thoroughly evaluated and properly diagnosed is crucial to ensuring that they'll be able to cope with, and overcome, the physical and mental injuries they may have sustained while serving our country.

We need the country to get behind us if we're going to take care of these men and women who have taken such good care of our country. The president's leadership is essential, but he needs a battalion to lead.

#GoSilent with veterans this Memorial Day and ask a friend to do the same. Hold hands with your family at 12:01 p.m. ET and teach your kids why you're doing it. Thank the next person you see in uniform. And when Memorial Day is over, join our effort to ensure that our elected officials stand with us and take meaningful steps to support veterans and their families.

Honor our men and women who have paid the ultimate sacrifice by doing right by their brothers and sisters among us.

@highlight

Paul Rieckhoff: Memorial Day most difficult, hallowed day for veterans and their loved ones

@highlight

They serve their country, yet 900,000 veterans have disability claims pending with the VA

@highlight

He says lawmakers, president taking needed action on big jump in sexual assault in ranks

@highlight

Rieckhoff: High rate of suicide among veterans requires urgent increase in prevention efforts