London, England (CNN)Along the dangerous northeastern border between Kenya and Somalia, a wave of terror has people in fear for their lives. The ongoing threat from the Islamist militant group Al-Shabaab means that remote villages and citizens suffer indiscriminate attacks. In the ongoing conflict, women and children remain faceless victims of beatings, rape and unwarranted assaults.

But one courageous woman has dedicated herself to protecting these countless victims. Amran Abdundi runs the Frontier Indigenous Network, a group that provides sanctuary, first aid services and valuable health information to numerous displaced women in the region.

Last night, Abdundi's inspiring work was recognized at the esteemed Index Freedom of Expression awards in London -- the Kenyan women's rights activist was the winner in the campaign category.

CNN's African Voices sat down with the soft spoken and unassuming awards winner, who celebrated her 34th birthday the same day as her win, to discuss her ongoing mission, fighting on in the face of death threats and empowering young girls through education.

CNN: What does this honor mean to you?

Amran Abdundi: I feel good about winning the award --  I will celebrate with the team when I go back home. But I will continue to do more and more. I hope to show my people how ... to fight for their rights. I want to give [them] the message to look [out]  for their futures.

CNN: How did you get involved in women's rights along the Kenyan-Somali border?

AA: I started working with Frontier Indigenous Network in 2006 -- [back then] we were just two staff and 10 volunteers and [now] there are four staff with 20 volunteers. When I first began, I was just doing it in our village and now I move around all over the place up to the Somali border.

On the border, there are many issues women are facing; small girls are raped or beaten, rival clans fight, maybe because of land or because of outsiders. But everyday people are dying. Also there is Al-Shabaab. They come to the border and physically stop people from crossing over into Kenya. You never know who is Al-Shabaab, they look like me and you. But they stop people from crossing the border by beating them. When [refugees] are coming, if they want to cross into Kenya, they have big, big problems.

Journalism

Safa al Ahmad, Rafael Marques de Morais (Saudi Arabia, Angola)

Arts

Mouad Belghouat aka El Haqed (Morocco)

Digital activism

Freedom of information website Atlatszo.hu, managed by Tamas Bodoky (Hungary)

Campaigning

Amran Abdundi (Kenya)

CNN: Through your organization, you've set up shelters along the border and provide relief and medical assistance to refugees.

AA: Yes, when we see them or hear they are suffering there, I go in and find them. We take them to Dadaab [the largest refugee camp in the region]. If I take them to the refugee camp, they will get the assistance there. For the ones who have been beaten or raped, I organize for medical assistance.

CNN: And how many women are crossing the border?

AA: There are just so many. In Somalia, they don't have things there, they don't have good security, they are just running because of bad security in their country -- mothers with their children, others are young.

CNN: You've also helped establish a local radio-listening project where women share their experiences and treatment options. Why did you decide to start this?

AA: It's about how women are suffering in this place. I used to go to villages looking for them -- seeing what problems they are facing and maybe they don't have the power to talk. I go there and talk to them, then I take them to the radio station. I share how they have suffered.

CNN: The region is quite unstable. Is it not dangerous doing this kind of work?

AA: It's very, very dangerous. There is this place called Mandera, it's just near the border inside Kenya. That place, every time, people are fighting. People are just coming from Somalia to Mandera. There is fighting and you might just be walking and they will shoot you. But I never faced any problems.

CNN: Are you not fearful for your life?

AA: I worry but what can I do? I have to save my people. I have to look for those who are suffering.

CNN: What is the reaction from men about your work?

AA: When I started it was so difficult for me because in our place men are not the same as women. Men are the ones that talk. So when I started this, for example forced marriages, the small girls when they are 13 or 15 they just get married. They do not go to school. They face circumcision. But they have no voice. You'll see a 15-year-old getting married and in 20 years she'll come back with children and without anything. We go there and we advise them to go to school, advise their parents against forced marriage, tell them to take the children to school, stop circumcision.

CNN: Last year your organization identified small arms and light weapons were fueling local violence and spent much of its resources mapping conflict zones. You succeeded in creating a regional agreement to stem the illegal arms trade and halt smugglers. How did that work?

AA: Yes, I would hear there are some gunmen or they want to do something around the villages, or maybe they want to attack the villages and destroy it or take livestock . We report it to the police and then sometimes I go with policemen, never alone. For now, we don't have that problem with guns anymore -- they've stopped.

Read this: Veiled musician raps for respect in Egypt

More from African Voices

@highlight

Amran Abdundi wins the campaigning category at 2015 Index Freedom of Expression awards

@highlight

Honored for her work helping victims of rape and conflict along Kenya-Somalia border