(CNN) -- Syria becomes a greater emergency with each passing day. This week Defense Minister Daoud Rajiha and other members of President Bashar al-Assad's inner circle were murdered; opposition groups claimed responsibility.

Last week Nawaf al-Fares, Syria's ambassador to Iraq, resigned from the government and joined the opposition, and the government's militiamen apparently shot villagers in Tremseh at close range.

There is growing consensus across the American political spectrum that al-Assad must go, that opposition forces must be armed in order to contend for political power, and that the situation in Syria is a strategic issue for the United States and its allies.

On the Senate floor earlier this year, Sen. John McCain spoke for many analysts when he discussed the strategic significance of Syria: "The end of the Assad regime would sever Hezbollah's lifeline to Iran, eliminate a long-standing threat to Israel, bolster Lebanon's sovereignty and independence, and inflict a strategic defeat on the Iranian regime. It would be a geopolitical success of the first order." The humanitarian dimension of Syria's crisis is underscored by reports claiming that anywhere from 10,000 to 20,000 people have been killed there in the past 17 months of violence.

Falling prey to election-year politicking, President Barack Obama, Gov. Mitt Romney, and their campaign surrogates eschew frank discussion of Syria and its implications -- to answer hard questions about sacrificing life and spending treasure abroad in yet another Middle East battlefield is to open up political risks that cannot be calculated. That's why it is worth recalling events of the early 1980s and former Secretary of Defense Caspar Weinberger's national security doctrine.

On June 6, 1982, Israel, seeking to relieve pressure on its northern borders by dismantling the Palestine Liberation Organization's base of operation, invaded Lebanon, a country beset by civil war and Syrian occupation.

Soon thereafter, France, Italy and the United States formed a multinational force to help stabilize the country -- as differing factions of Arabs and Christians as well as the Israelis and Syrians were in a tangled web of conflict -- and allow PLO fighters to leave the country. The PLO withdrawal was completed by August 30, and the MNF departed on September 10, but the story did not end there.

The MNF failed to stabilize Lebanon. President-elect Bashir Gemayel was killed in his Phalange party headquarters on September 14. In the days that followed, Israeli forces stood by as Lebanese Phalangists massacred Palestinians in the Sabra and Shatila refugee camps, an act of retribution for the assassination of Gemayel, which may, in fact, have been undertaken by pro-Syrian forces.

A few days later, Bashir's brother Amin was elected president, and the MFN re-entered Beirut. On October 23, 1983, a suicide bomber drove a truck into the U.S. Marine barracks at the Beirut airport, and France's barracks also were struck by a suicide bomb -- 241 U.S. servicemen and nearly 60 French soldiers were killed. It was the single bloodiest day for the Marines since the battle of Iwo Jima in 1945.

Between December 1983 and February 1984, U.S. battleships retaliated against combatants who had targeted the MNF. The USS New Jersey undertook a relentless counterattack against Syrian and Druze forces, shooting its 16-inch guns for the first time since the Vietnam War. By April, the entire MNF, which the United Kingdom had joined, had left Lebanon. The civil war continued until 1990.

President Reagan supported Secretary of State George Shultz's arguments in favor of U.S. diplomacy and peacekeeping in Lebanon. But in Weinberger's view, Lebanon was the wrong fight for the United States. In a speech on November 28, 1984, he articulated his six principles for future U.S. military engagements:

(1) There should be no commitment of U.S. forces abroad unless there is a clear and vital interest for the United States or its allies; (2) Combat, if agreed upon, should be undertaken with the intention of military victory, using whatever forces and resources are needed to achieve that goal; (3) Political and military objectives must be clearly defined before entering a conflict; (4) The relationship between military means and diplomatic, military, and political objectives "must be continually reassessed and adjusted if necessary," not just established at the beginning of the military engagement; (5) No battle is worth fighting or will be successful without "reasonable assurance we will have the support of the American people" and Congress; and (6) The commitment of U.S. troops to a conflict should be an act of last resort.

The Reagan administration had approved Israel's invasion of Lebanon, and although initially welcomed by many Muslims in Lebanon the United States came to be seen as too pro-Israel, pro-Christian, and anti-Muslim. U.S. forces' unintentional shelling of civilians did not help matters.

Furthermore, the re-entry of the MFN was not accompanied by a serious understanding of strategy, objectives and the relationship between them. So President Reagan decided to withdraw U.S. forces from what would likely become a major military quagmire for the United States, instead of a multinational peacekeeping operation.

That caution brings us back to Syria, where the crisis is beginning to meet Weinberger's criteria on objectives: get al-Assad to leave. But means and strategies are very much in flux. The call for a U.S.-led international coalition of the willing to help the Syrian opposition is one suggested military and diplomatic strategy, but how realistic is it in the near term, or pre-Election Day?

Weinberger's principles remind us that the situation in Syria is difficult for the United States because calibrating means and ends in the maelstrom is easier said than done. Perhaps the humanitarian crisis that Syria has become will help settle the matter. But, as Weinberger declared, the United States should "not assign a combat mission to a force configured for peacekeeping."

Translation: Lebanon must not happen again.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Kiron Skinner.

@highlight

Syria becomes a greater emergency with each passing day, says Kiron K. Skinner

@highlight

But U.S. must think twice before entering yet another Middle East battlefield, she says

@highlight

Skinner: America's involvement in Lebanon three decades ago tells us what could transpire

@highlight

We should keep in mind Caspar Weinberger's national security doctrine of 1984, she says