(CNN) -- Tonight, as my husband stands in our bedroom, fingers whirling across his smartphone and eyes glued to its tiny screen, I have no idea "where" he is. Is he checking the score of his beloved home team, or dealing with a rant from an indefatigable boss overseas? Is he working or home-ing, or both?

This melding of work and home, of course, is an old story. In 1999, I wrote an article about three generations of a Baltimore family and their work-life balance. Shattering my romantic views on what it was like to live a few easy steps from work -- literally over the store -- the family's elderly patriarch told me that his parents couldn't wait to move to the suburbs and put some distance between family and work. Their hardware business had shadowed their evenings and weekends, stealing peace. Decades later, the patriarch's restless, cell phone-toting, entrepreneurial son blamed the portability of work for his recent divorce.

How smartphones make us superhuman

In the digital age, we blend home and work, not because we are tied to a store or farm or job, but because the fetters of time and space seem shattered. We can physically circuit the globe in hours, and our thoughts can move across the planet in seconds. Time seems putty in our hands. Our lives are increasingly shorn of context.

My early days in the mobile revolution

Does it matter much whether it's night or day, spring or fall, home or the office? We are empowered, yet disturbed by this free-for-all. Two recent reports underscore the tensions within these shifts.

While more companies are allowing employees to work when and where they want to, they increasingly are limiting people's ability to take a leave or work part-time, the Families and Work Institute found in its 2012 National Study of Employers. Flex-time is up, but career breaks have fallen steeply.

More than half of executives get business information at all hours, according to a survey released earlier this year by Forbes Insights and an advertising firm. As many executives reported feeling enabled as irritated by an "@Work State of Mind." Nearly a third of those executives who feel "in control" of their always-on lives also describe themselves as resigned to the situation.

Is overwork the trouble? Yes and no. In a blended world, work does tend to win out over other parts of life.

Studies over the past decade show that people who work at home or outside the office tend to work longer hours, contrary to employers' initial fears. According to a recent survey, 54% of American smartphone owners check their phones in bed -- sometimes in the middle of the night. And at a Chicago marketers' networking luncheon where I recently spoke on a panel, a majority of the crowd of 150 reported, in a show of hands, that they sleep with a smartphone within reach.

Even if work is our passion, as it is mine, we're pitching ourselves headlong and unthinkingly into a world without boundaries -- a world without rest.

But overwork is perhaps the least of the challenges when we blend work and home. The blending itself changes how we work, as well as how long we work. In frantically integrating work and home, we stray perilously close to diluting both. This is a matter of attention, intention, and depth.

In courting the always-on livelihood, we're turning our backs on rich moments of full focus and absorption, in favor of darting restlessly back and forth between two or more complex streams of life. The integrity of a moment is lost when we unthinkingly blend different parts of our life.

I'm writing this on a Sunday. My teen is sleeping in and my husband is away. The silence of the morning provides a perfect context for writing. But when my groggy teen wakes up, I'll put aside my work, and we'll share toast and tea and a plan of the day. Because if I tried to skate through breakfast with one eye on my daughter and one eye on the clock or smartphone, a fleeting moment of togetherness would be diluted. The silken threads of mutual presence would be thinned to the point of fraying.

As much as we try to believe otherwise, it matters where we are.

The opinions expressed in this commentary are solely those of Maggie Jackson.

@highlight

Maggie Jackson: We blend home and work because we all use smartphones

@highlight

Jackson: We are empowered, yet disturbed by this free-for-all

@highlight

She says that in a mobile world, work tends to win out over other parts of life

@highlight

Jackson: As much as we try to believe otherwise, it matters what we do, where we are