(CNN) -- One day before the election, tensions are running high and poll numbers are being crunched every few hours. Nowhere is this truer than in Ohio -- the pathway to victory. So there was a collective gasp Friday when a last-minute directive from Ohio's secretary of state, a Republican, threatened to invalidate a number of provisional ballots.

When the fate of the nation could hinge on a handful of votes, arcane state rules and local politicians' motives take on a new urgency.

Earlier last week the Obama campaign complained to Wisconsin's attorney general about what it said was "willful misrepresentation" by the Romney campaign in the materials used to train Election Day poll watchers. At issue was whether people in Wisconsin with felony convictions could vote. (They can, once they complete their sentences, but the Romney documents had said they can't.) Given that this fact can be Googled in less than 10 seconds, one must conclude the Romney campaign was either grossly ignorant of election law or intentionally deceiving volunteers in an effort to swing the vote.

Opinion: Vote, damn it!

This election year is the culmination of years of Republican efforts to foment confusion and fear to keep certain Americans from voting. That is a subplot of this election, but one that will have massive consequences. In close and bitterly fought elections, there's far more at stake than who occupies the White House: Americans' belief in the integrity of our democracy hangs in the balance.

These efforts are pernicious, pervasive and professionalized. In a recent New Yorker article, Jane Mayer profiled Hans von Spakowsky, a legal fellow at the conservative Heritage Foundation who has been hyping the myth of voter impersonation fraud since 1998, despite mountains of evidence refuting his claim. (The Brennan Center for Justice has concluded that many more people are struck by lightning than commit in-person voter fraud.) Rep. John Lewis -- a civil rights hero who bled to get all Americans the right to vote -- describes von Spakowsky as waking up every morning thinking "What can I do today to make it more difficult for people to vote?"

Spakowsky is a close adviser to True the Vote, a Houston-based organization funded by wealthy conservative donors that has led challenges against the registration of minority voters across the country.

Because of these challenges, thousands of Americans who have voted reliably in the same place every year have had to attend formal hearings to defend their registrations or be disqualified from voting. The group has been so aggressive and so inaccurate in its work that Rep. Elijah Cummings has said it could "amount to a criminal conspiracy to deny legitimate voters their constitutional rights."

The backbone of the voter suppression movement has been the national push to institute a labyrinth of voter identification laws. Thirty-three states have passed such laws since 2009.

Opinion: What's really at stake in election 2012

The result has been confusion and sloppy implementation as overburdened poll volunteers have had to memorize constantly changing regulations. Meanwhile, millions of Americans, including tens of thousands of seniors, will be disenfranchised because they don't have the required ID or they are simply confused by the laws.

While advocates claim they are just trying ensure a fair vote, Pennsylvania's Republican House Majority Leader Mike Turzai infamously spilled the beans in June when he claimed the state's new voter ID law would deliver the state to Mitt Romney.

Recent news reports suggest that if there is an actual attempt at systemic voter fraud, it's coming from GOP-affiliated groups. Meet Nathan Sproul: a longtime Republican operative paid $3 million by the Republican Party to register voters in five states this cycle. Evidence suggests Sproul's company, Strategic Allied Consulting, has been systematically encouraging falsifying signatures and having workers lie to voters. The GOP severed ties with Sproul's group when these allegations became public, but his relationships with the party and affiliated groups date back to 2004, and the allegations against him date back almost as long.

A Google search turns this information up in a couple of seconds.

Some American values do trump election victories if the choice between the two is laid bare. The American Legislative Exchange Council, the driver for much of the voter ID legislation, has faced a revolt of its corporate members as citizen consumers have expressed their outrage: Thirty-seven companies have left ALEC, including such high-profile names as Sprint, Nextel, and Entergy.

Clear Channel has been forced to take down billboards making vague threats of legal action against voters in low-income and minority neighborhoods after a campaign by civil rights group Color of Change.

And courts in Pennsylvania ruled that a new voter ID law cannot be enforced in this election after hearing from plaintiffs like 92-year old Vivian Applewhite, who showed she would be disenfranchised since she has no birth certificate.

Regardless of who wins, if the election proves as close as it appears, it's likely that the demand for recounts and accusations on both sides will fly fast and furious. But this erosion of Americans' rights requires a clear and comprehensive solution -- universal legislation that makes it easier to vote for all Americans regardless of their circumstances. Our democracy depends on it.

The opinions expressed in this commentary are solely those of Ilyse Hogue.

@highlight

Ilyse Hogue: Ohio secretary of state's 11th-hour directive could invalidate provisional ballots

@highlight

She says it's part of GOP push to confuse election process to suppress certain voters

@highlight

She says GOP pushed through voter ID laws in 33 states on made-up claim of voter fraud

@highlight

Hogue: Systematic efforts to keep people from voting threaten entire democratic process