Los Angeles (CNN) -- Firefighters and homeowners were anxiously awaiting to learn Saturday whether the emergence of cool ocean breezes and possible rain will weaken a Los Angeles-area wildlfire that has burned 28,000 acres in two days and now threatens 4,000 homes.

The weather change could be a mixed blessing, however, because a chance of isolated thunderstorms this weekend brings a risk of lightning sparking new fires, the California Department of Forestry and Fire Protection said.

The Los Angeles area fire, based in Ventura County, has damaged 15 residences and five commercial properties and has destroyed 25 outbuildings, fire authorities said.

The inferno, called the Springs Fire, raced about 10 miles beside upscale communities and through the Santa Monica Mountains since it began Thursday morning in Camarillo, California. It reached the Pacific Ocean shore, damaging a Navy shooting range next to coastal wetlands Friday.

iReporter captures bird's-eye view of the wildfire

A total of 1,895 fire personnel, six fixed-wing air tankers and 11 helicopters have battled the blaze, but as of Saturday morning, the fire was only 30% contained, an improvement over Thursday's 10% and Friday's 20%.

That means 300 commercial properties and 250 outbuildings also are threatened, authorities said Saturday.

"A low pressure weather system has developed over the fire bringing higher humidity, lower temperatures, creating an opportunity to increase containment," the state fire agency said.

The region's so-called Santa Ana winds -- dubbed "devil winds" because they are warm and gusty out of the high desert -- have been fueling the Ventura County wildfire. The virtual absence of recent rain also created dry conditions ripe for the wildfires, whose season typically begins much later in the year.

"Onshore winds have begun to diminish this evening allowing for the expiration of all red flag warnings," the National Weather Service said late Friday.

The Santa Ana winds gusted to 45 mph the past two days, energizing the roaring flames.

Authorities ordered a mandatory evacuation Friday for the affluent Ventura County community of Hidden Valley, northwest of Los Angeles. Evacuations remained in effect Friday evening for several other areas.

Share your images

Federal funding was made available to cover 75% of firefighting costs, the Federal Emergency Management Agency announced Friday.

Also on Friday, the Ventura County blaze crossed the scenic Pacific Coast Highway that separates the Santa Monica Mountains from the sea. There, small fires blackened the landscape surrounding a military firing range, a Navy spokeswoman said.

Several timber backdrops at the range were partially or completely burned, but because the facility sits in wetlands next to a lagoon, the fires weren't a threat to Naval Base Ventura County at Point Mugu, said spokeswoman Kimberly Gearhart. Ammunition isn't stored at the facility, she said.

"If something catches fire, it's in the best possible place because it's isolated and it's near water," Gearhart said. "Our biggest concern right now is smoke because it's a very smoldering fire, and as the wind shifts, it either blows smoke toward or away from us."

Evacuation orders were in effect in several areas on Saturday, but officials lifted orders for the campus of California State University, Channel Islands in Camarillo and for the Dos Vientos community in Newbury Park, authorities said.

Many Ventura County residents, especially those who live in or near the mountains, were on edge about the fires and possible evacuation.

"The sheriff said they would come pounding on the door if they came close," said Ventura County resident Elizabeth Dickenson.

Because of the smoke, ash and winds, people in affected areas were urged to be cautious and to avoid unnecessary outdoor activities, the Ventura County Air Pollution Control District said.

CNN meteorologist Chad Myers described the fire as an omen for California because the wildfire season isn't supposed to start until August or September.

Mountain chaparral and shrubs are dry because Los Angeles has received only half of its normal rainfall the past two years, Myers said. The vegetation is brown, instead of green from winter rain, he said.

The Los Angeles area has received less than 2 inches of rain since January, making the bone-dry region "definitely ripe for these fires," said William Patzert, a NASA climatologist.

But that could change soon. Rain showers could hit the area Sunday evening, forecasters say.

CNN's Paul Vercammen, Stephanie Elam, Diahann Reyes, Phil Gast and Lateef Mungin also contributed to this report.

@highlight

Cool onshore breezes and possible rain could weaken wildfire in Los Angeles

@highlight

But rain prediction could bring lightning that may spark new fires

@highlight

Fire is only 30% contained and threatens 4,000 homes

@highlight

Sheriff deputies will pound on door if fires come close, resident says