(CNN) -- When a slow-motion massacre has unfolded over the course of 15 months, it's easy to lose the world's attention. But even the most jaded gasped in horror as news emerged of the latest carnage inflicted on the Syrian people. The images from the town of Houla defied belief.

Forces loyal to Syrian President Bashar al-Assad went on a systematic killing spree, murdering at least 108 people. Most shockingly, the killers targeted women and children. A U.N. representative said the victims included 49 children who were younger than 10. The al-Assad regime denied it carried out the atrocities, but U.N. officials said they saw clear evidence that the Syrian government was involved in the attacks.

Why would a regime, even a brutal dictatorship, send its thugs to kill women and children, even babies? Does it make any sense, even by the twisted logic of armed conflict and tyranny?

Syria says regime not to blame for massacre; Rice says 'another blatant lie'

In a most perverse, sickening way, it makes perfect sense. And for the logic underlying this most inhuman tactic, one need only look at what has transpired in recent months and years as uprisings have sprung throughout the region, from Iran to Tunisia.

Now that Tehran has -- perhaps accidentally -- revealed that it has sent some of its forces to help al-Assad, the strategy has become even easier to understand.

The Syrian dictator is trying to restore a balance of fear, perhaps the most powerful weapon in the hands of tyrants throughout history. Killing children is supposed to intimidate the opposition.

A couple of days after the Houla massacre, a top commander of Iran's elite Revolutionary Guards, Ismail Ghani, told a reporter from Iran's Isna news that "before our presence in Syria, too many people were killed by the opposition but with the physical and nonphysical presence of the Islamic republic, big massacres in Syria were prevented." Isna quickly deleted the interview, but the news was out.

Ghani is the deputy commander of the Quds Force, whose mission is "extraterritorial operations," or revolution beyond Iran's borders.

Western diplomats are pushing for a negotiated settlement, but Syria, Iran's only ally in the Arab world, is following what looks very much like an Iranian script, using blunt force to put down anti-government protests.

That's what Iran did in 2009 when the so-called Green Revolution arose after the disputed presidential elections. Tehran used its paramilitary Basij militias to brutally suppress the protests. But that was before the Arab uprisings showed people throughout the Middle East that sometimes revolutions do succeed.

When al-Assad scans the horizon, he sees what happened to other Arab dictators. The presidents of Egypt, Tunisia and Yemen have lost power. The example of Moammar Gadhafi does not seem to apply to him so far, since opinion in the West until now has leaned against direct military intervention

A reign of terror helped al-Assad's father, the feared Hafez Assad, keep power for three decades, and then hand the country to his son as if it amounted to private property to be inherited by the next generation. When the elder Assad faced an uprising in 1982, he ordered his loyal army to pulverize the opposition. The entire town of Hama was razed to the ground. Estimates of the dead range from 10,000 to 30,000 killed by Assad's troops. That put a quick end to the revolt.

The younger al-Assad is trying to do his father proud. But, despite the mounting death toll, he has lost the weapon of fear. Already 13,000 people are said to have died in the Syrian uprising. Despite that, the protesters are not staying home.

Al-Assad, incidentally, denies any responsibility for the Houla massacre. He blames "terrorists," but nobody's buying his denials. Witnesses say, and the evidence confirms, that government troops started firing tank shells and mortars at protesters during the Friday demonstration that has become a ritual of the anti-dictatorship movement. But the worst was yet to come.

Houla is a Sunni Muslim town, a stronghold of the anti-Assad movement. It is also home to a military college, from where the tank and mortar fire came. U.N. observers found evidence of tank shells, which are not part of the opposition's arsenal.

Before long, paramilitary forces known as the Shabiha -- the Syrian version of Iran's Basij -- joined the fight, assaulting demonstrators with gunfire and knives. By nightfall, the attacks became the worst of nightmares. The Shabiha, gangs of thugs and criminals, mostly belong to the president's Alawite sect. According to the U.N., about 20 people were killed by artillery fire. Most of the others were murdered execution-style in their homes. In some cases, entire families were killed.

In the face of the heart wrenching death toll, the U.S., the West and the rest of the world are feeling renewed pressure to take action. The Syrian opposition and some in the region have called for intervention, but few are inclined to step in.

Some observers, including Zbigniew Brzezinski, a former national security adviser, say the U.S. should step back, arguing that as tragic as the situation is, there are many other problems of greater importance.

But the probable presence of Iran in Syria highlights just how important this battle is, and not just for the Syrian people. The U.S. and the rest of the world should care about Syria not only for humanitarian reasons, but because the entire Middle East is now in play.

If al-Assad survives, it will mark a victory for anti-American, anti-democratic forces in the Middle East. It will tilt the balance of power in the region in favor of dictatorship, in favor of the use of force and fear as the instrument of power and in favor of a regime in Tehran whose aim is to export its brand of retrograde, anti-American, anti-women, anti-gay, freedom-suppressing revolution.

If al-Assad falls, it will mark a major defeat for Iran, one that will alter the region in ways that, while not certain to follow American wishes in every respect, has the potential to eventually improve stability.

This is the Syrian people's fight, and there's no need now to put American "boots on the ground." But the U.S. government has a long menu of options to help bring about the end of the despicable al-Assad regime.

No choice is without risk, and no route is assured of success, but it is clear that those seeking to overthrow the al-Assad regime should receive more active help from the West. The riskiest course of action is to stay on the sidelines and let Bashar al-Assad murder his people while we look the other way.

The killing of children by a regime determined to intimidate the opposition made that point abundantly clear.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: The Houla massacre caused much of the world to gasp

@highlight

She says the regime is killing civilians, even children, to maintain a balance of terror

@highlight

Syria's regime is choosing to follow path Iran used in crushing Green revolution, she says

@highlight

Ghitis: It's not a surprise that Iranian forces are in Syria, helping the regime