New York (CNN)The men would sometimes say they needed to meet to exchange tickets, but they never seemed to end up actually attending or discussing a sporting event or a concert.

They once talked about going to a movie. But that was it.

The reason for the puzzling behavior, according to a federal complaint unsealed Monday, is that the men were Russian spies exchanging intelligence information in New York City.

They used tickets and other everyday objects -- like books, umbrellas and hats -- as part of their code. When they did meet, on dozens of occasions between early 2012 and late 2014, it was usually outdoors in order to lower the risk of surveillance.

At the short meetings, one man would hand a bag, a magazine or a slip of paper to another.

But the FBI was watching and listening to them. On Monday in New York, authorities arrested one of the men, who they say had been working as a covert agent for the Russian government.

He was identified as Evgeny Buryakov, 39, who posed as an employee in the New York City office of a Russian bank, according to the federal complaint.

The man he met regularly for the handoffs was Igor Sporyshev, 40, who worked as a trade representative for the Russian government in New York, the complaint says.

A 27-year-old man serving as an attache to Russia's mission at the United Nations, Victor Podobnyy, is also alleged to have been part of the conspiracy.

All three men are accused of working for Russia's foreign intelligence agency, the SVR.

Sporyshev and Podobnyy, who no longer live in the United States and haven't been arrested, both had diplomatic immunity because of their jobs for the Russian government.

But Buryakov, who entered the United States as a private citizen, was operating under what officials called "non-official cover."

Agents like that, known as "NOCs," generally receive "less scrutiny by the host government, and, in many cases, are never identified as intelligence agents by the host government," a statement from U.S. law enforcement authorities said.

"As a result, a NOC is an extremely valuable intelligence asset for the SVR," the statement said.

Buryakov needed the other two men to get mesages to and from the communications systems kept in the SVR's office in New York, according to authorities. As he was undercover, he couldn't go near the office.

The subjects about which the men were tasked with gathering intelligence are believed to have included possible U.S. sanctions on Russia and U.S. efforts to develop alternative energy resources.

Sporyshev and Podobnyy also tried to recruit U.S. citizens as intelligence sources in New York, the complaint said.

Their targets included people working for "major companies" and "young women with ties to a major university located in New York," according to authorities.

The FBI says in its complaint that its surveillance of the men heard them discussing various aspects of their work.

In one conversation, Podobnyy is alleged to have talked about his technique for recruiting sources, which included "cheating, promising favors, and then discarding the intelligence source once the relevant information was obtained by the SVR," according to authorities.

But in another discussion, he apparently complained to Sporyshev about how unexciting his everyday job was, saying it was "not even close" to James Bond movies.

"Of course, I wouldn't fly helicopters, but pretend to be somebody else at a minimum," he said.

Sporyshev seemed to concur, lamenting, "I also thought that at least I would go abroad with a different passport."

The two men also chatted about the 2010 unmasking of a Russian spy ring in the United States.

In that case, 11 intelligence personnel, living and working in the U.S. as "sleeper" agents, were arrested and later allowed to return to Moscow as part of a spy swap.

According to the complaint, Podobnyy suggested those agents "couldn't do anything."

"They studied some people, worked out some exits, but they didn't get any materials," he said.

The FBI investigation into Buryakov, Sporyshev and Podobnyy began "within a few months" of the guilty pleas in the 2010 case, according to the FBI.

A source working for the FBI met with Buryakov in the summer of 2014, posing as a representative of a wealthy person wanting to invest in the casino business in Russia.

Over the course of the meetings, Buryakov "demonstrated his strong desire to obtain information about subjects far outside the scope of his work as a bank employee," authorities said.

He also accepted documents that the source claimed had come from a U.S. government agency and "purportedly contained information potentially useful to Russia, including information about United States sanctions against Russia," according to the U.S. law enforcement statement.

Prosecutors announced charges Monday against Buryakov, Sporyshev and Podobnyy on two counts. The first is participating in a conspiracy for Buryakov to act in the United States as an agency of a foreign government without first notifying the Attorney General, which carries a maximum sentence of five years in prison.

In the second count, Buryakov is charged with acting in the United States as an agent of a foreign government without first notifying the Attorney General, while Sporyshev and Podobnyy are charged with aiding and abetting that offense. The maximum sentence for that count is 10 years imprisonment.

The charges and Buryakov's arrest "make clear that—more than two decades after the presumptive end of the Cold War—Russian spies continue to seek to operate in our midst under cover of secrecy," said U.S. Attorney Preet Bharara.

A federal judge in Manhattan on Monday ordered that Buryakov be detained because he was considered to pose a flight risk, the U.S. Attorney's Office said.

His federal public defender, Sabrina Shroff, spoke to The New York Times. She declined to comment on the charges other than to say that she had argued for bail because Buryakov was neither a flight risk nor a danger to the community, the newspaper reported.

CNN's Shimon Prokupecz contributed to this report.

@highlight

The men discussed meeting to swap things like tickets, books and hats

@highlight

But they were actually exchanging intelligence information, the FBI says

@highlight

One man has been arrested, two others are no longer in the U.S., authorities say