(CNN) -- The question of whether the Tea Party will have a real impact on American politics (yes!) has evolved into a new debate: Is the Tea Party really about more than taxes?

Glenn Beck, who invokes the semi-mythical "Black Robe Brigade" -- fighting preachers he claims led the American Revolution -- as a model for a new generation of activists seems to think so.

On public radio, Bryan Fischer, a leader of the fundamentalist American Family Association, sternly instructed a libertarian Tea Party activist that her movement was religiously rooted whether she wanted it to be or not. A recent poll by the Public Religion Research Institute backs him up, revealing that 57 percent of self-identified Tea Partiers agree that "America is and always has been a Christian nation."

So is the Tea Party a religious movement, too?

The answer is a little tricky. It didn't begin as one, despite the political God-talk of its heroine, Sarah Palin, but it is becoming one, thanks in large part to one man, Sen. Jim DeMint of Greenville, South Carolina, the GOP's newest and fastest rising star.

DeMint, who has been out front of his party with vigorous support for Tea Party candidates from Alaska to Delaware, has been looked at as a bridge builder between the insurgent right and the establishment right, because he sympathizes with the former even as he's a Washington insider.

But a better metaphor is gatekeeper: DeMint holds the key to the capital for outsider candidates like Alaska's Joe Miller and Delaware's Christine O'Donnell. And the price of admission he's charging is fealty to his religious vision of the Tea Party as a new "Great Awakening."

That is, a Christian crusade akin to the 18th century evangelical movement that set the tone for so many religious surges in American life that many contemporary evangelicals call the United States a "revival nation."

The Republican Party -- at least, the establishment Republican Party -- doesn't have a lock on that energy. In Alaska, Sen. Lisa Murkowski was a reliable conservative, but primary challenger Joe Miller swept past her in September buoyed by anti-abortion voters who thrilled to his pledge to oppose "the culture of death."

In Delaware, Republican Rep. Mike Castle was a sure thing for Joe Biden's old Senate seat -- until he got beat by "fringe" candidate Christine O'Donnell, previously best known for her public campaign against masturbation.

Liberals and centrists wring their hands over Miller and giggle about O'Donnell, hoping that her political hopelessness somehow proves that the movement isn't going. They compile lists of what they take to be her craziest statements, such as her confession that as a young woman she dabbled in witchcraft.

That's a strategic mistake, because they're mocking what is, in fact, a mainstream evangelical view -- that witchcraft and "spiritual war" are real -- and a narrative with powerful resonance in American life. Consider not O'Donnell's words, but her theme: Once I was lost (making bad choices), but now I'm found. Who didn't do something stupid in their youth?

But it's the "found" part that reveals the religiosity of the Tea Party movement, spirituality not at odds with the Tea Party's economics but intertwined with it.

DeMint stumbled through an explanation for the Christian Broadcasting Network: "People are seeing this massive government growing and they're realizing that it's the government that's hurting us. And I think they're turning back to God in effect is our salvation and government is not our salvation and in fact more and more people see government as the problem, and so I think some have been drawn in over the years to a dependency relationship with government, and as the Bible says, you can't have two masters."

DeMint's solution is to put government -- and the economy -- in the service of Jesus, to cultivate a "leadership led by God," as the religious organization that gives DeMint not only a theology but also a roof puts it. DeMint is a longtime resident of the C Street House, the "Prayboy Mansion," as some bloggers have called it, made infamous in 2009 for its role in the sex scandals of Sen. John Ensign, R-Nevada, and Gov. Mark Sanford, R-South Carolina, and maintained by a fundamentalist movement known as the Fellowship, or the Family.

C Street has a singular goal, in the words of one Family leader: to "assist [congressmen] in better understandings of the teachings of Christ, and applying it to their jobs."

It's C Street's understanding of those teachings, though, that mark it as a nexus for the convergence of the Tea Party's populist conservatism and insider influence of fundamentalism's elite (besides DeMint, GOP hard right leaders Sen. Tom Coburn, Ensign, Sen. John Thune, and Sen. Sam Brownback have lived there).

The best way to help the weak, C Street teaches, is to help the strong, who will in turn dispense God's blessings to the rest of us. Call it trickle down religion.

The rhetoric of the Tea Party is populist in style, but its economic vision so neatly aligns with the interests of the wealthy that big business is abandoning the old Republican establishment for the "insurgents" who promise to free the market's "invisible hand" from the safety net of the minimum wage and health care.

And for DeMint and the new disciples he hopes to bring to Washington, that invisible hand ultimately belongs not to the market but to God.

The opinions expressed in this commentary are solely those of Jeff Sharlet.

@highlight

Jeff Sharlet says anti-tax Tea Party shows signs of evolving into religious movement

@highlight

He says GOP star Sen. DeMint is gatekeeper for Tea Party candidates to establishment

@highlight

Price of admission, he says, is fealty to DeMint's religious vision of Tea Party

@highlight

Sharlet: Putting government in service of religion tends to align it with interests of wealthy