(CNN) -- The men first ordered Ken Cordier to strip naked.

A poll has sparked debate among Christians about torture.

They then forced him face-down to the ground and pinned his arms and legs. One of them grabbed a fan belt from a truck and began flogging Cordier. When it was over, they returned another day with a new approach. They slung a rope around Cordier's neck, pulled him back like a bow and beat him with their fists.

"You could tell they enjoyed it," Cordier says. "They had that look in their eyes and they grinned."

This is how Cordier described being tortured. He is a former U.S. Air Force pilot who was captured by the North Vietnamese in 1966. Though he was tortured for six years in captivity, Cordier says he survived because "I never gave up faith in God and country"

But what happens when faith in God and country seem to collide? What happens when people like Cordier, who rely on their faith in God and their flag, are asked if they would support torture against suspected terrorists?

Cordier says he would never support torture, but his views would make him a minority among a certain segment of Christians, according to a provocative survey.

A survey conducted by the Pew Forum on Religion and Public Life found that white evangelical Christians are more likely to support torture than people who rarely or never attend religious services.

The survey said that 62 percent of white evangelical Protestants say that the use of  torture against suspected terrorists can be often or sometimes justified in order to gain important information.

When asked the same question, 40 percent of the "religiously unaffiliated" say torture can be often or sometimes justified. The survey, however, did not define torture or say whether "enhanced interrogation techniques" like waterboarding are torture.

The survey comes at a time when the debate over torture is intensifying after the Obama administration released Bush-era memos that gave legal justification to "enhanced interrogation techniques" such as waterboarding.

The survey's results have also sparked a debate within the Christian community that revolves around one question: How can a Christian support torture?

When evangelicals say torture is permitted

They can't -- except in extreme circumstances, some evangelicals say.

Rev. Ronald Kuykendall, an evangelical pastor in Gainesville, Florida, says that the question is difficult to answer because everyone has a different definition of torture. He says he would support the torture of a terrorist if "the techniques used are lawful, necessary" and the ultimate purpose is to save lives.

Kuykendall says the New Testament (Romans 13:1-7) teaches Christians that "everyone must submit himself to the governing authorities, for there is no authority except that which God has established."

"The NT [New Testament] is clear that God grants the right of the 'sword' to the state to be used against wrongdoers," Kuykendall says. "Just as I believe I don't have a right to vengeance personally, I do believe that I can seek justice through the state and call the police on a robber, or a gunman threatening my life."

Chuck Colson, the evangelical pastor who once served as an aide to President Nixon, answered the same question in an online discussion conducted by the Washington Post "On Faith" Web site.

Colson said that Christians are supposed to obey the law, but there may be times when there is a higher obligation, such as ignoring a "no trespassing" sign to rescue a drowning man.

"So it is with torture," Colson wrote. "If a competent authority honestly believes that this was the only way to get information that might save the lives of thousands, I believe he would be justified."

Charles Kammer, a religious studies professor, says he was not surprised to learn that a majority of evangelical Christians support the use of torture in certain circumstances.

Kammer says that despite Jesus' own commitment to nonviolence, Christianity as a whole has never embraced nonviolence. He says some evangelicals also confuse patriotism with piety.

"What's good for America has often been seen as God's will," says Kammer, who teaches at The College of Wooster in Wooster, Ohio.

"They think the torture of evil people is not bad, but may be morally required as a way of protecting the good people."

Kammer said he is a Christian and does not support torture in any circumstances. He considers waterboarding torture.

"If we're ever going to provide any moral leadership in the world," he says, "we have to live in the world in a particular way. We can't criticize our enemies for doing what we're doing."

What Vietnam POWs who are Christians think of torture

The debate over the uses of torture among people of faith doesn't end with its practice. It also extends to its definition.

The Geneva Conventions say that "no physical or mental torture, nor any other form of coercion, may be inflicted on prisoners of war." The U.N. Convention Against Torture defines torture as any act by which severe pain or suffering, "whether physical or mental," is inflicted on a person.

Cordier, the Vietnam POW, opposes torture in all circumstances -- even the "ticking bomb" scenario.

"Once you're in a pain situation, you'll say anything to get it to stop," Cordier says. "It's not as reliable as more sophisticated methods."

But he doesn't consider waterboarding and other "enhanced techniques" torture.

"Loud music, sleep deprivation, waterboarding -- does it leave permanent damage and cause extreme pain? No," Cordier says.

The Rev. Robert G. Certain, another Vietnam vet who is now an Episcopal priest, says waterboarding isn't torture because "it doesn't cause grave, bodily harm." See CIA interrogation methods authorized during the Bush-era »

Certain was captured by the Vietnamese in 1972 after his B-52 bomber was shot down. He wrote about his experiences in the book, "Unchained Eagle."

Certain says his faith teaches him to oppose torture under all circumstances. His military background, however, tells him that it can be easy for interrogators to cross the line.

"To use torture is morally impermissible," Certain says. "But when we place somebody in uniform into a place of moral ambiguity, there are likely to be times when their judgment is going to step across into the morally impermissible. They're living in a fog. It's not black and white."

Certain remembers how easily his Vietnamese captors justified crossing the line with him. They said American prisoners weren't covered by the Geneva Conventions.

"They said we were not prisoners of war because there was no legal declaration of war," Certain says. "Therefore we were air pirates and they could treat us any way they felt."

Cordier, the Air Force pilot who was tortured, says he still relies on his faith in God and country. He's active in POW affairs and reunions. And he recently took a trip to the Holy Land to see where Jesus lived and died.

When he read about the torture and execution of Jesus in the Bible, he read it in a different way because of his POW experiences.

"I appreciated his stripes when I got my own," Cordier says.

Cordier gained some notoriety during the 2004 presidential campaign when he participated in the swift boat ads against then-Democratic presidential candidate John Kerry.

Cordier says some of his fellow prisoners lost their faith in God because of torture, but he didn't.

"I thanked God every day for life and what little food we had to eat," he says. "I thought to myself, this is just an eye blink in eternity, so buck up. And I just hung on."

@highlight

What happens when faith in God and country seem to collide?

@highlight

Poll: Some Christians more likely than nonreligious people to support torture

@highlight

Survey's results have sparked a series of debates among Christian community