(CNN) -- When Pedro Matos arrived in conflict-ridden Darfur in 2009 to work as a humanitarian worker, the last thing he expected to encounter was dapper dressing and sartorial splendor.

"I was blown away by what I saw," says Matos, a former urban planning engineer who went to Western Sudan to work for a United Nations agency supporting internally displaced people (IDP) in a region rocked by violence for a decade now.

"As I got more and more exposed to the camps and to the IDPs, I was taken aback and surprised with what people wore and how different they were from what I was expecting," says the Portuguese aid worker.

Struck by the eye-catching color combinations and the rich variety of patterns adorning women's clothing, Matos reached for his camera and started taking pictures of Darfur's local fashion.

This gave birth to The Darfur Sartorialist, a project aiming to show to the world a different reality of this remote part in Sudan, beyond the usual narrative of suffering and violence.

"The news we usually get about Darfur -- the war, the oppression, the camps -- exists but that is not the only story," says Matos. "I hope the project can make people question the reality we see."

CNN's Inside Africa spoke to Matos, who is now based in Kenya, about fashion in Darfur and his project's goals.

CNN: How you'd describe the way these women are dressed in a few words?

PM: Colorful -- amidst these deserted landscapes, people dress in incredible colors; unique -- it's extremely difficult to find two women with the same clothes; proud -- there is a pride in the dressing which goes a bit against to what I was expecting to be a conservative way of dressing; fashionable -- a lot of the clothing is traditionally Sudanese but some is also influenced by the Middle East.

The traditional Sudanese clothing is the toub -- many meters of cloth that's wrapped around the body and head. Because it often falls off, they have to wear something underneath so that the skin doesn't get exposed. Those combinations are often unique; their undergarment would often be a patterned shirt and trousers, and with the toub, combinations are extremely varied.

But on top of that, you have all the influence that comes from the Sudanese diaspora, the soap operas and all the films from the Middle East where women often dress a bit more Westernized; they have dresses, trousers, denim jackets and skirts, so you have a combination of all these things and it's extremely difficult to find two women dressed the same.

The variety is something that surprised me; in the West we often have these fashionable dark colors and because there are all these franchise stores, you get to see people dressed pretty much in the same way. But in Sudan, they're so varied.

Read this: Congo's designer dandies

CNN: How easy was it taking pictures? Were there any security concerns?

PM: Sudan has been in the spotlight for human rights issues for a long time, so they're extremely suspicious of foreigners going around taking photos. But after working side by side for so long with the security services, they eventually ended up trusting me and I was allowed to take pictures.

CNN: Did women want to be photographed?

PM: That is quite interesting, because Sudan is a society where women are expected to behave conservatively and refuse photographs. So, when I'd take their pictures, they would often refuse if they don't know me. But if I'm taking [pictures] of children, then the women would say, "OK, you can take photographs of us too." My colleagues and the IDPs didn't have a problem because they knew me; actually, they were quite happy and honored and flattered that a foreigner would be so interested in their clothing.

Read this: Africa's fashion bible

CNN: What has been the feedback you've received?

PM: Most people in the West are extremely surprised and most people in Sudan are quite happy that someone is covering Sudan in such way, with many smiles, and proud, fashionable people.

But what I'm mostly interested about is to have people in the West -- those who know very little about Darfur, other than the stories of war and kidnapping -- understand that beyond the society we see in the news, it feels perfectly normal and conceivable that alongside war and oppression there are people who live their own lives and have aspirations which are not that different from ours.

@highlight

Pedro Matos is the creator of the Darfur Sartorialist project

@highlight

The project showcases the colorful and fashionable way of dressing of people in Darfur

@highlight

Matos says his goal is to show this side of Darfur story to the world