Hong Kong (CNN)"Go back home!"

"Locusts! You're not welcome here!"

These were just some of the insults hurled at Chinese shoppers Sunday as hundreds of Hong Kongers surged through through the old neighborhood of Yuen Long, an area close to the city's border with China.

It was the latest in a series of angry protests that have seen brawls erupt in humdrum shopping malls, with demonstrators singling out the "parallel traders" who crowd into Hong Kong to purchase tax-free products and then resell them for a profit back in China.

"I've grown up here, and ever since a lot of the Chinese started coming into Hong Kong, things have changed," said Suen, a law student who only gave her surname.

Clad in a mask to protect against police wielding pepper spray, she took part in the protest with her mother.

Local residents say the traders are not only disturbing the peace, but are driving up the price of food, rent, and gutting local neighborhoods of their character - the city has become a blur of jewelers, pharmacies and other businesses that cater primarily to Chinese shoppers.

"Previously there were a lot of indigenous places like restaurants, but all of them have closed," said Suen, standing across from a store selling baby milk powder - the top item on many Chinese tourists' shopping lists.

"It's very difficult to be very welcoming."

Tensions have long been simmering between Hong Kong and the motherland, and parallel trading is just one of the thorny issues brought about by the influx of mainland Chinese to the city.

A series of food scandals -- most notably in 2008 when melamine-tainted milk powder caused infant deaths across China -- led to shortages of baby milk formula in Hong Kong as Chinese flocked to buy up the city's supplies.

The ensuing uproar led the government to introduce a law limiting the purchase to two tins per traveler leaving the city.

Last year, 31 million Chinese visitors traveled to Hong Kong, accounting for 78% of all tourists, according to the government. But the numbers hide that the visitors aren't all sightseeing tourists in the traditional sense.

There are the day-trippers, wheeling suitcases and carting boxes of goods and supplies across the border, but there is also an increasing number of wealthy mainland Chinese who are buying up luxury properties, and visit the city on a regular basis.

According to the Global Property Guide, developers say as much as 40% of new home buyers are from China.

Residents blame them for causing a hike in real estate prices in what reports say is already the most expensive property market in the world.

Both the Chinese and Hong Kong government have encouraged mainland tourists to visit the city and boost the local economy.

Relaxed restrictions have made it easy for Chinese residents to get a hold of individual multiple-entry permits -- some mainlanders enter hundreds of times a year on a single pass.

This has infuriated protestors, particularly the younger generation, who want the government to scrap the permits.

In a speech last Tuesday,  the city's pro-Beijing leader C.Y. Leung announced that his government would examine restricting mainland visitors, acknowledging the pressure the crowds have had on the everyday lives of Hong Kong residents.

But the permit controversy is just one symptom of a deeper conflict.

When it comes down to it, it's simple: Many Hong Kongers just don't feel very Chinese.

According to a recent survey by the Chinese University of Hong Kong, the number of Hong Kong residents identifying primarily as "Chinese" has dipped to an all-time low since the former British colony was returned to Chinese control in 1997.

The majority of respondents said they were "Hong Kongers first, and also Chinese."

Earlier in 2012, plans to add Chinese civic education into the Hong Kong public school curriculum caused an uproar, resulting in a city-wide protest with locals claiming it would "brainwash" school children with pro-mainland propaganda.

Hong Kong, ruled under China's principle of "One country, two systems," means the city is a officially part of China, but is allowed rights and freedoms unseen in other Chinese cities.

But there's one key privilege Beijing has refused to grant to Hong Kong: Free and open elections for their own leader.

Frustrated Hong Kongers have tried everything to demand greater voting rights, from hunger strikes to massive street occupations, with no luck.

That's why people in Hong Kong feel an increasing sense of resentment and helplessness when it comes to solving the complex, growing rift between their city and mainland China.

A small but growing minority of disgruntled activists go as far as to say Hong Kong should not belong to China at all.

"We Hong Kong people have our own culture, we have our own currency, we have all the requirements to build a country." said Julian Li, a member of a radical pro-Hong Kong group.

"For decades we have been fighting against civic rights, democracy. However, no matter how much we have been working, it's like we're begging for something that will never happen."

Many mainland Chinese are bewildered by the anger directed at them.

"It's normal for people to spend money and shop here, why are they protesting?" said a Chinese tourist waiting at a bus stop to get away from the angry crowds.

She said her suitcase was loaded with make-up and clothing that is much cheaper to buy in Hong Kong than across the border in her hometown of Zhuhai.

"There's definitely an element of discrimination against mainlanders here. I'm not saying everyone is like that in Hong Kong, but there are certain people who are very prejudiced," she added.

Another Chinese resident who makes weekly visits to relatives in the city was sitting on a curb away from the ruckus. She said her friends have considered boycotting Hong Kong altogether.

"My friends on WeChat say, don't come to Hong Kong, let's burn our travel permits," she said as she thumbed through the receipts of her latest purchases.

"We should all just be more considerate and tolerant of each other, we're just here to shop. Let's just be happy," she said.

@highlight

Hong Kong protests highlight rift between the city and mainland China

@highlight

Residents say massive influx of Chinese has disturbed peace, and driven up prices

@highlight

But the protests points at a deeper  issue about Hong Kong identity