(CNN) -- Myanmar's Aung San Suu Kyi gave her Nobel speech in Norway on Saturday, more than two decades after she won the peace prize.

Her presence in Oslo, Norway, on a historic first trip to Europe after years of house arrest, signals the progress toward reform in Myanmar, also known as Burma, over the past year.

Suu Kyi was unable to accept the Nobel when it was awarded in 1991 because she was under house arrest in Myanmar. Her husband and two sons accepted it then on her behalf, paying tribute to her sacrifice.

Greeted by heartfelt applause from those gathered in Oslo City Hall, Suu Kyi spoke of what peace meant to her and also of her country's fragile progress toward democratic reform.

"Over the past year there have been signs that the endeavors of those who believe in democracy and human rights are beginning to bear fruit in Burma. There have been changes in a positive direction; steps towards democratization have been taken," she said.

"If I advocate cautious optimism it is not because I do not have faith in the future but because I do not want to encourage blind faith."

Speaking as a former prisoner of conscience, she appealed for the "earliest, unconditional release" of all prisoners of conscience still held in Myanmar.

Of her own work for democracy, she said it had never occurred to her that it might one day lead to any award or honor.

"The prize we were working for was a free, secure and just society where our people might be able to realize their full potential. The honor lay in our endeavor. History had given us the opportunity to give of our best for a cause in which we believed," she said.

"When the Nobel Committee chose to honor me, the road I had chosen of my own free will became a less lonely path to follow. For this I thank the Committee, the people of Norway and peoples all over the world whose support has strengthened my faith in the common quest for peace."

Earlier in her speech, she explained how the prize at first "did not seem quite real" but that her understanding of it changed through her long isolation under house arrest, as she became aware of how it was being discussed in the wider world.

The peace prize "had made me real once again; it had drawn me back into the wider human community. And what was more important, the Nobel Prize had drawn the attention of the world to the struggle for democracy and human rights in Burma. We were not going to be forgotten."

She said the prize, for her, meant extending her concern for democracy and human rights beyond national borders.

What Suu Kyi's moment shows us

And years later, much of the world is still seeking peace as "negative forces" eat away at its foundations, she said.

"Fires of suffering and strife are raging around the world. In my own country, hostilities have not ceased in the far north; to the west, communal violence resulting in arson and murder were taking place just several days before I started out on the journey that has brought me here today."

Introducing Suu Kyi, Norwegian Nobel Committee chairman ThorbjÃ¸rn Jagland paid tribute to her "awe-inspiring tenacity, sacrifice, and firmness of principle."

He recalled how her son accepted the award on her behalf in 1991, and the challenges Suu Kyi faced during her long years of house arrest in Myanmar, during which her husband died in Britain.

"You carry a heavy burden on your shoulders. No one can be certain of what the future will bring. But today you are here. And we know for sure that you can return home," he said.

"Few have done more than you have to make the world a better place for all of us. We thank you for your fearlessness, your tenacity and your strength.

"You bring hope to the oppressed people across the world. Your life is a message to all of us... You have paid a high price but you have been spreading hope, and the world needs hope."

Speaking to CNN's Christiane Amanpour from Oslo ahead of the ceremony, Suu Kyi explained that she was still exploring the question of what peace means.

"My attitude to peace is rather based on the Burmese definition of peace -- it really means removing all the negative factors that destroy peace in this world. So peace does not mean just putting an end to violence or to war, but to all other factors that threaten peace, such as discrimination, such as inequality, poverty," she said.

Jagland: What Suu Kyi's moment shows us

While in Europe, Suu Kyi is also scheduled to address both houses of the British Parliament, be the guest of honor at a concert in Dublin, Ireland, and celebrate her 67th birthday with family.

The trip is Suu Kyi's second abroad since she returned to Myanmar, also known as Burma, in 1988 to care for her dying mother, and comes on the heels of her first trip outside the country earlier this year.

Suu Kyi was recently elected to parliament as her National League for Democracy won dozens of seats in by-elections. It remains a minority in parliament, but the elections marked a turning point for the country after decades of oppression by its military rulers.

A military coup in September 1988 put Gen. Saw Maung in power, setting off anti-government demonstrations and a crackdown that left hundreds dead.

Suu Kyi -- whose husband, Michael Aris, remained in England -- became a leading activist and co-founder of an opposition group, the National League for Democracy. She was placed under house arrest for the first time the following July on charges of trying to divide the military. She spent much of the next two decades confined to her home by the ruling junta.

When her party won the 1990 general election in a landslide vote, the military rulers -- in power since 1962 -- refused to let the National League for Democracy serve, nullifying the results.

A year later, Suu Kyi won the European Parliament's Sakharov Prize for Freedom of Thought as well as the Nobel Peace Prize, which cited her "nonviolent struggle for democracy and human rights." But she remained in detention.

Accepting the prize at the time on his mother's behalf, Alexander Aris said, "I personally believe that, by her own dedication and personal sacrifice, she has come to be a worthy symbol through whom the plight of all the people of Burma may be recognized."

The military rulers have since loosened their grip on power, allowing a series of democratic reforms. Her house arrest ended in 2010, and she was able to travel around the country during her party's election campaign this year.

Smiling Suu Kyi lays out 'ambitious' plan for Myanmar

@highlight

NEW: Aung San Suu Kyi says she advocates "cautious optimism" because she fears blind faith

@highlight

NEW: She appeals for all prisoners of conscience still held in Myanmar to be freed

@highlight

She says being awarded the prize meant the plight of her country was not forgotten

@highlight

She was given the Nobel Peace Prize in 1991, but was under house arrest in Myanmar