(CNN) -- Bill Gates is putting out a call to inventors, but he's not looking for software, or the latest high-tech gadget. This time he's in search of a better condom.

On its Grand Challenges website, the Bill and Melinda Gates Foundation is offering a $100,000 startup grant to the person who designs "the next generation condom that significantly preserves or enhances pleasure" and promotes "regular use."

It may sound like the setup for a joke, but the goal is deadly serious. While researchers call condoms one of the best ways to stop the spread of HIV, the virus that causes AIDS, getting people to use them is another story.

The foundation wants to see something that will lead men and women outside of a committed relationship to stop and think twice before having unprotected sex. The startup grant could lead to $1 million in further funding.

"Male condoms are cheap, easy to manufacture, easy to distribute, and available globally, including in resource-poor settings, through numerous well-developed distribution channels," the foundation says. Nevertheless, many people are reluctant to use them because they complain that prophylactics interfere with pleasure and intimacy. This creates "a trade-off that many men find unacceptable," the foundation notes.

Contraception, by the numbers

In some places and cultures, condom use is often seen as a sign that a man has AIDS, and many women won't sleep with such men. Female condoms are even more difficult to use and women are often afraid to suggest using them.

"Any advance or new design that gets people to use condoms would be a big plus," Dr. Anthony Fauci, head of the National Institute of Allergy and Infectious Diseases and one of the world's leading AIDS researchers, said in an interview with CNN. He says great strides have been made in treating HIV infection in Africa, but for every person who is treated two more become newly infected.

The numbers are indeed startling: 34 million people in the world are living with HIV, according the 2012 UNAIDS World AIDS Day Report. About half of them don't know they're infected, according to Fauci.

That problem exists in the U.S. as well, particularly in minority communities.

"Although African-Americans comprise 12% of the population, they account for 45% of all new HIV infections nationwide and 65% of all new infections among women," Fauci said previously. "A substantial portion of newly infected African-Americans are bisexual and homosexual men."

The Gates Foundation hopes that "new concept designs with new materials can be prototyped and tested quickly."

"Large-scale human clinical trials are not required," it adds. "Manufacturing capacity, marketing, and distribution channels are already in place."

But building a better condom may not be as easy as it seems. Some sources say the first recorded use of a condom-like sheath was in Egypt in 1350 B.C., and people have been complaining about it -- and trying to improve on it -- ever since.

Condom sense: Designing the New York City condom

@highlight

Bill and Melinda Gates Foundation issues $100,000 challenge

@highlight

Condoms widely available; goal is to create one that people will actually want to use

@highlight

AIDS continues to grow in Africa and in U.S. minority communities

@highlight

New design would not need extensive clinical testing, foundation says