(CNN) -- This Sunday, my family will be among the 110 million people gathered in front of their TVs to watch the Super Bowl, and with ad revenue projected at $300 million, we can expect advertisers to be as outrageous as ever, with spots promoting junk food, alcohol and erectile dysfunction drugs and depicting violence, sex and gender stereotypes.

This said, TV ads -- even during the Super Bowl -- might be the least of parents' concerns. Digital media has dramatically changed the advertising landscape, and includes immersive websites, "advergaming," viral marketing, mobile ads, social media marketing and precise behavioral and location targeting. More than ever before, advertising and entertainment are inextricably linked. In many cases, the content is the ad, and this can be particularly confusing for children, who are less able to understand persuasive intent.

Common Sense Media just released a research brief -- "Advertising to Children and Teens: Current Practices" -- to provide an inventory of advertising practices aimed at kids and teens and calling for research to quantify exposure and examine the effects.

The report finds that the integration of advertising and content across so many platforms -- from product placement to online games and Facebook apps -- has made it much more difficult for researchers to measure the exposure and impact of advertising on kids. While traditional advertising and its effects on kids have been well researched, no one knows the impact of these new media platforms.

The concern isn't just what products are sold to kids or what messages are sent to them, it's that new modes of advertising are insidious and particularly troubling for kids and teens, who are less able to differentiate advertising from entertainment and whose sense of self is still developing. What does it mean for a tween or teen girl to receive weight-loss ads, targeted to her based on her age, gender, location, the foods she likes and the topics she searches? We need to understand the impact of this type of advertising on young people, what it means for their consumption habits, self-esteem, and right to privacy.

Kids are also becoming a critical part of the product-selling cycle, without being paid (or even knowing, in many cases). Even Super Bowl advertisers are relying on our kids in large part to spread the word for them.

For example, Doritos' "Crash the Super Bowl" ad contest has been seeking votes all over the Web -- including the kids' game site Addicting Games -- where information can be collected, and where likes, shares and views are the new measure of success. And a young person's "liking" or "sharing" of a product may appear in their friends' newsfeeds as endorsements or testimonials.

No longer can you simply hit the mute button or fast-forward through the Viagra ads. Millions of kids will be on phones and tablets while watching the big game and the ads they interact with on these little screens -- that might not even register as ads -- have far greater implications for kids' healthy development.

Media and ad savvy is now an essential skill and it's imperative we teach our kids to view media critically -- to understand what's being sold and what methods are used to sell products. And we must call upon the research community to develop new methods to quantify and analyze the effects of advertising on young people, not just to limit what's negative but to have a better understanding of how to reach kids with positive messages.

The opinions expressed in this commentary are solely those of James Steyer.

@highlight

Kids will see Super Bowl ads for junk food and booze, with violence, sex and sexism

@highlight

Steyer: Digital media ads are insidious: "advergaming," viral and social media marketing

@highlight

He says kids are a part of the product-selling cycle, without being paid or even knowing

@highlight

Media and ad savvy is essential, he says. We must teach kids to view media critically