Atlanta (CNN) -- Monday through Saturday John Harris holds court at the Silver Moon Barber Shop on Auburn Avenue. There, amid the whirring fans and TV soaps, he greets clients, many he's known for decades.

Cutting hair is a family trade, one he took up after serving in the Army. It puts food on the table, he says, but more important, it affords Harris the opportunity to visit with people. In between clients, he sits reading the paper, looking up to share words with passers-by.

Silver Moon opened in 1904. It was one among many businesses run by African-Americans, for African-Americans, along Auburn Avenue. During the period of segregation this street was called the "richest Negro street in the world." The street existed because of the bleak realities of segregation, but in those days the corridor had a vibrant feel.

"This was a street full of people on Friday and Saturday nights. If you were in a car it would take you perhaps 15 or 20 minutes to go a block," recalls Wellington Cox Howard, a small-business owner on Auburn Avenue.

When Howard first arrived in Atlanta in the 1960s he made a beeline for the street. He had his first meal on Auburn, resided on the street, and when he graduated from college in 1970s, he decided to open his insurance business there.

But by that time, change had already arrived on Auburn. Howard recalls telling a friend about his decision to open up shop there.

"He said why do you want to go to Auburn Avenue? He said the city has integrated. He said we've all left."

Before integration, Howard says, Auburn was a city unto itself. African-Americans would come here for doctor's appointments, they'd come for entertainment, they'd come for banking and to start large construction projects. When integration came, African-American businesses spread throughout the city and the corridor lost much of its vibrancy.

This year, for the second time, the Sweet Auburn District was listed as endangered by the National Trust for Historic Preservation, a private nonprofit organization. This designation does not mean automatic funding for improvements, but the group says the attention often galvanizes efforts at preservation.

Sweet Auburn's designation is somewhat unusual, because sites normally aren't listed more than once. Since the initial designation, residential options have improved on the corridor, the group said, but "the commercial area concentrated on Auburn Avenue has not fared as well." The concern is that without greater resources devoted to planning and preservation, many buildings could be lost along with the history they hold.

Along the corridor, news of the designation passed with mostly tepid curiosity. About a half-dozen local business owners CNN spoke to expressed surprise about the news but remained hopeful. Many spoke about recent positive changes they've seen, like a streetcar project that's breaking ground with federal funds, and wondered whether the designation might spur more positive changes.

Councilman Kwanza Hall, who represents this district, has taken the news quite seriously. Hall, whose parents were civil rights leaders, spent many days on Auburn as a child.

"There's a very rich treasure in terms of African-American history," Hall said, rattling off a long list of buildings and their historical significance. For Hall the endangered designation necessitates a big response. He calls it a "Marshall Plan": a concept to revitalize the community by bringing all the disparate interests on board.

But Hall is not naÃ¯ve. "It's not easy to move multiple entities, all who have their own boards and organizational goals that are sometimes in conflict," he said. Hall is well aware that for historic preservation to get buy-in from existing landowners, there must be a clear incentive for everyone.

Up and down the street that message is well-received. Owners of new and old businesses alike stressed the need to respect history but not to let it get in the way of progress.

Windsor Jones, who owns Sweet Auburn Bread Co. with his mother, said they'd moved to the street five years ago because of the history. The bakery routinely gets tourists wandering down from the Martin Luther King Jr. Center, a major point of pride for the business that turns out muffins and sweet potato cheesecake.

Also nearby are the home were King was born and Ebenezer Baptist Church, where he was pastor. Still, doing business on this street has drawbacks. Jones shoos away a woman asking for change as he squints out the window looking at the ruins of a building across the street.

"They've already torn down some buildings," he says, "and I understand why they want to save some, but some of them are eyesores."

Around the corner from Jones's bakery, a lush green garden provides a vivid picture of how the legacy of this corridor can live on even with radical change. Rashid Nuri and Eugene Cooke run the space here known as Wheat Street Gardens, and turn out beautiful organic produce. The small but productive farm bustles with activity. There's a summer camp here and the garden just got funding from the U.S. Department of Agriculture to train urban farmers.

Cooke pauses from a lesson in harvesting to explain how their work fits in with the area's history.

"Every human definitely deserves to eat good food, so it is absolutely in that lineage of human rights issues," he says.

This view is reinforced by the landscape. Beyond the rows of peppers and sunflowers, historic buildings peek out, buildings that keep Cooke focused on his mission of spreading social justice through good food.

Despite the visible challenges on this street -- the empty storefronts and a handful of rundown buildings -- Hall says he thinks this is actually a good time for Auburn. It's a view shared by many who work on the street every day.

Right now, federal dollars are flowing in for the streetcar project, and many see the future for this street with the neighboring Georgia State University continuing to expand its downtown footprint. Hall says now is the time to move forward with new projects while keeping alive the memories of this street's role during segregation, and its famous residents' roles in ending it.

Mary Alex Romero and Caleigh Derreberry and CNN's Gavin Godfrey and Jon Binder contributed to this report.

@highlight

Auburn Avenue in Atlanta is a historic African-American business and cultural hub

@highlight

The area bustled with activity during segregation but has fallen on hard times since

@highlight

The National Trust for Historic Preservation has designated the area 'endangered' twice

@highlight

Stakeholders want business and residential growth to preserve Auburn's history