Israeli Prime Minister Benjamin Netanyahu says Western nations should "ratchet up the sanctions" on Iran rather than go through with a proposal for a nuclear agreement that he calls an "extremely bad deal."

Netanyahu, in an interview with CNN chief political correspondent Candy Crowley that aired Sunday on "State of the Union," said easing sanctions would take off the financial pressure that could one day cause Iran to "cease and desist" from its controversial nuclear program.

"Iran is really on the ropes, their economy is ... close to paralysis, and all of a sudden, you take off the pressure, everybody will understand that you're heading south," he said.

Netanyahu said Iran only gives minor concessions in the proposed deal and will keep the capacity for making nuclear weapons. He said he is hopeful for a far better deal.

The way to get that is not to reduce sanctions, he said.

"I think they should not only keep up the pressure, I think you should increase the pressure, because it's finally working," he said. "And if you give it up now, when you have that pressure, and Iran doesn't even take apart, dismantle one centrifuge, what leverage will you have when you ease the pressure?"

The United States and other nations are "getting close" to an interim deal with Iran that would prevent its nuclear program "from advancing, and roll it back" in key areas, a senior U.S. administration official told CNN on Friday.

Netanyahu will meet this week with leaders from France, Russia and the United States to urge them to hold out for a better deal. Netanyahu said U.S. Secretary of State John Kerry will visit Israel on Friday, but the State Department said the trip has yet to be confirmed.

Netanyahu met Sunday with French President Francois Hollande and is scheduled to visit Russian President Vladimir Putin in Moscow on Wednesday.

"I would like to make it clear that there can be disagreements even among the best of friends, certainly on issues related to our future and our fate," Netanyahu said Sunday at the start of Israel's weekly Cabinet meeting. "I hope that we will succeed in convincing our friends this week and in the days afterwards to achieve a much better agreement."

Russia says now is time to make deal with Iran on nuclear program

"If you do a bad deal, you may get to the point where your only option is a military option," he told Crowley. "So, a bad deal actually can lead you to exactly the place you don't want to be.  I think if you want a peaceful solution as I do, then the right thing to do is ratchet up the sanctions."

U.S. Secretary of Defense Chuck Hagel, in an exclusive interview with CNN Pentagon correspondent Barbara Starr, said Saturday night the United States is "listening carefully" to Israel. He reiterated that Washington is continuing its longtime strategy to ensure that Iran cannot gain the capability of building nuclear weapons.

He said the U.S. is considering different options to accomplish that goal.

But he said it would be irresponsible if the two sides in the negotiations didn't pursue diplomatic engagement while considering Israel's concerns.

"What we have been trying to do, and are doing, is working through these difficult issues," he said Saturday at the Reagan National Defense Forum in Simi Valley, California.  "We think that there is some possibility (of an agreement) -- although we're very clear-eyed on this. We understand every danger and dimension of what Iran represents to Israel and us, and our other partners in the Middle East."

Hagel said the United States -- and Iran -- understand that there is the possibility of a military strike from a potentially isolated Israel.

"We would never tell Israel, or any country, a sovereign nation, an ally, a very close partner and friend as Israel is, that they can't do something," he said. "They will do whatever they think is necessary to defend their own interest."

During the forum, which brought together defense experts and lawmakers, Hagel said the U.S. won't sign a bad deal.

"This administration is not going to try to force something that doesn't fit to get a deal. We won't do that," he said. "The stakes are too high for our country and for the world."

There was plenty of skepticism at the forum about the proposed agreement with Iran. Much of that skepticism was led by key Democrats, including Hagel's predecessor, Leon Panetta.

He was concerned about what will happen with the already enriched nuclear fuel, with thousands of centrifuges, with a heavy water reactor under construction in Arak, Iran.

"And how of all of this going to be inspected and verified?" Panetta said to CNN.

Britain's David Cameron makes 11th hour push for Middle East contracts

Is trust enough when it comes to Iran? The powerful chairman of the Senate Armed Services Committee said no.

"I love the slogan 'Trust but verify,' but I've never understood it. Because I think the right slogan is 'Don't trust,'" Sen. Carl Levin said during the panel discussion. "I don't trust the Iranians -- and by the way, they don't trust us."

The proposal covers every aspect of Iran's nuclear program, including uranium enrichment, uranium stockpiles and all nuclear facilities including military ones, the senior U.S. administration official told CNN on Friday.

The deal will be on the table during the next round of talks in Geneva, Switzerland, that begin Wednesday evening.

Iran has always maintained that its nuclear program is purely for peaceful purposes. Even though Iran has denied working toward nuclear weapons, it has said it will not submit to any plan that would totally eliminate its nuclear program.

The U.N.'s nuclear watchdog, the International Atomic Energy Agency, has found some modest progress. Iran has halted the installation of new advanced centrifuges, which are quicker at generating highly enriched uranium, according to an IAEA report.

Iran has support from Russia, whose foreign minister said Saturday on Russian TV that the opportunity to bring about an end to a decade-long standoff must not be passed up.

"Our common impression is that there is a very good chance now which should not be missed," Sergey Lavrov said in remarks broadcast on state-run TVC.

The United States, along with the four other permanent members of the U.N. Security Council and Germany -- known as the P5+1 -- came close to a deal during recent talks with Iran in Geneva, but the discussions ended with each side blaming the other for the lack of an agreement.

Iranian diplomacy underscores Obama's search for legacy

@highlight

Israeli PM says sanctions are working, shouldn't be reduced for a 'bad deal'

@highlight

Benjamin Netanyahu says Iran makes only minor concessions in new proposal

@highlight

U.S., Israel to meet this week after nuclear negotiations restart with Iran

@highlight

U.S. defense secretary tells CNN that Washington is aware of Israel's concerns