(CNN) -- An 85-year-old American man on an organized tour of North Korea was pulled off a plane in Pyongyang just minutes before it was to depart, the man's son told CNN on Wednesday.

The family has had no contact with Merrill Newman of Palo Alto, California, since he was detained on October 26, his son Jeff Newman said.

"This is a misunderstanding. My father is a (Korean War) veteran and wanted to see the country and culture he has been interested in for years," Jeff Newman said. "He arranged this with a travel agent that was recommended and said was approved by the North Korean government for travel of foreigners. He had all the proper visas."

The U.S. State Department is working to resolve the matter with North Korea's top ally, China.

Ambassador Glyn Davies, the U.S. special representative for North Korean policy, met with his Chinese counterpart in Beijing for several hours Thursday.

"We are working very hard ... to try to move this issue along," Davies said after the session. "We certainly think that North Korea should think long and hard about (this) and understand that for the United States, this is a matter of core concern for us."

The relationship between North Korea and Washington has been especially testy in recent years as the United States and other world powers have tried to limit the nation's nuclear ambitions.

On Tuesday, the State Department warned Americans not to travel to North Korea.

Previously, the agency had warned U.S. citizens of the "serious risks" of travel to the reclusive country -- including arbitrary arrest for what would be innocuous acts elsewhere. But its last travel warning, issued on October 1, didn't include the stronger language advising against all travel.

Newman's arrest appears to be "an indication that North Korea seems not to be seeking a better relationship with United States," Davies said. "They are not taking action to address our concerns."

Jeff Newman said his family has been working through the State Department since they found out that his father was being held.

"We've worked through the State Department from the day he was supposed to depart," Newman said later on CNN's AC360. "... We've heard nothing."

Newman said what he has heard has primarily come from his father's traveling companion, who was on the plane when he was taken off. He identified the traveling companion as Bob Hamrdla, a friend who lives in the same retirement community.

North Korea has not publicly acknowledged it detained Newman. But the family believes the elder Newman's military service during the Korean War may be related to his detention, his son said.

Park Syung-je, chairman of the Seoul-based Asia Strategy Institute, says Newman may have been arrested on espionage charges.

As a Korean War veteran, Newman might have told his minders he fought against North Korea. They may have reported it, and it resulted in his detention.

Pyongyang previously announced that the safety of Americans cannot be guaranteed on North Korean soil.

Meeting with authorities

The day before Newman was to leave North Korea, he and his tour guide met with "one or two Korean authorities," his son said.

During that meeting, Newman's service record was discussed, he said.

"I understand my dad was a bit bothered," Newman said. But neither he nor his traveling companion believed there was an issue.

The next day, Newman and Hamrdla boarded a plane for Beijing.

Five minutes before the plane was to depart, authorities boarded and asked to see Newman's passport, his son said.

According to the traveling companion's account, the authorities then asked the elder Newman to leave the plane with them, Jeff Newman said.

When the plane landed, Hamrdla immediately contacted the U.S. Embassy in Beijing to report Newman had been taken off the plane, the younger Newman said.

Why do people want to visit North Korea?

'Trip of a lifetime'

The elder Newman was enjoying the trip and called home from North Korea to tell his wife about it, his son said. The family also received postcards sent by Newman during the tour of North Korea, he said.

The younger Newman called his father "old school," saying he never talked about his service and the Korean War.

The trip to North Korean was "months in the planning," the younger Newman said. His father and Hamrdla booked the trip through a Chinese tour company that set up the tour, which included the services of two tour guides.

"It was the trip of a lifetime," he said.

Other detained Americans

The elder Newman suffers from a heart condition, his son said. Medication was delivered to the North Koreans via Swedish diplomats, but he said he is unsure if the medication made it into his father's hands.

"We would like to know his status. We would like the Swedish Embassy to meet with him to ensure he's getting his medication," Jeff Newman said. "At the end of the day, we'd like him to get on a plane and fly back to San Francisco. He's an 85-year-old man who followed all the protocols. He did everything that he was supposed to do."

Other detentions

Newman is the second American being held in North Korean.

Kenneth Bae, an American citizen, was arrested in November 2012 and sentenced in May to 15 years of hard labor. The North Korean government has said he was found guilty of "hostile acts" and attempts to topple the government.

North Korean authorities have arrested four U.S. citizens for entering the country illegally since January 2009, the State Department said in its travel advisory Tuesday.

Two other U.S. citizens who entered the country on valid visas were arrested for other reasons, and U.S. officials have received reports of other Americans being arbitrarily detained, according to the State Department.

South Koreans have also been detained.

In 1999, a South Korean woman named Min Young-mee was detained for six days after apparently saying the wrong thing on a tour to North Korea's Kumkang Mountains.

"I hope the two Koreas reunite soon so we can visit each other," Min said. "North Korean defectors are living well in the South."

A North Korean minder for the tour group reported her remarks to North Korean authorities. She wasn't allowed to return home with her tour group. After a written apology for violating North Korean laws, she safely returned to the South.

The photos North Korea didn't want you to see

CNN's Anderson Cooper, David McKenzie, Christopher Laible, Sarah Baker and journalist Yoonjung Seo contributed to this report.

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

NEW: U.S. officials advise Americans not to travel to North Korea

@highlight

Merrill Newman, 85, was detained on October 26 in Pyongyang, his son says

@highlight

Newman was taken off a departing plane by North Korean authorities, his son says

@highlight

Newman has a heart condition, and the family is uncertain if he has received medication