Plans to adopt Chinese civic education into the Hong Kong public school curriculum have sparked protests among residents, who claim it amounts to "brainwashing" impressionable young minds with pro-mainland propaganda.

More than 90,000 people took to the streets on Sunday against introducing a "Moral and National Education" subject, according to protest organizers, while police estimated the turnout at 32,000. While the actual content of the curriculum has yet to be determined, guidelines in a booklet distributed by the government's National Education Services Centre to schools have inflamed the controversy.

The booklet, entitled "The China Model," includes provocative statements, including that China's ruling party is "progressive, selfless and united." It also criticized multi-party systems as bringing disaster to countries such as the United States. The booklet also makes no mention of major events that many view as integral to China's history, such as the 1989 Tiananmen Square massacre.

Many teachers, parents, and students have interpreted the booklet as a basis for the national education curriculum, which will be introduced in primary schools in September and in secondary schools the following school year.

"We don't want the next generation of Hong Kong people to be brainwashed," said Joshua Wong, 15, the convener of Scholarism, a group of secondary students that helped organize Sunday's protest along with the National Education Parents Concern Group and the Professional Teachers' Union.

"It's impossible to be brainwashed," said Wong Chi Man, who directs the National Education Services Centre. "Hong Kong people still have access to a lot of information.  All education is, to some extent, designed to brainwash. I think the word 'brainwash' is too negative. It evokes something out of 'Clockwork Orange.'"

"Hong Kong's future and China's future are inseparable," he added. "We will never be independent so we should learn to think the same way as China. Teachers should lead our children to think about Hong Kong's future."

Wong went on to explain that there will be some flexibility as to how national education will be implemented.  For example, schools can choose to have specific lessons in the classroom or incorporate "national education" as a broader theme.

"It's important to point out the government's approach actually allows for a lot of autonomy on the part of the schools to teach the curriculum," said Peter Cheung, associate professor at the University of Hong Kong's Department of Politics and Public Administration.  "So it's up to the schools to teach what they want to teach with reference to these very general guidelines."

"Some of the critics want specific topics to be discussed, but the government approach doesn't preclude specific topics to be discussed at all," Cheung said.

"I don't think the government is really going to supervise the specific teaching of this subject," he added, predicting, "There will be a pluralistic way of teaching the same subject."

The controversy followed major protests in the last two months that underscored tensions over the influence of the Chinese central government in Hong Kong's affairs and freedoms. The annual vigil held on June 4 to commemorate the 1989 Tiananmen Square massacre drew a record turnout of 180,000, according to organizers. Police reported the figure was closer to 85,000.  By even the most conservative estimates, there were 15,000 more attendees than last year.

On the July 1 annual protest marking Hong Kong's return to Chinese sovereignty, 400,000 people took to the streets to oppose Chief Executive Leung Chun-ying, who was recently appointed by an electoral college of 1,200 influential figures in Hong Kong with Beijing's approval.  Public anger was also inflamed by the suspicious death of Tiananmen dissident Li Wangyang

It was the largest turnout since the estimated 500,000 protesters who marked the same date in 2003. Police put the figure at a much lower 63,000 people.

"The demonstrations and the concerns about the national education reflect the continuing anxiety of the Hong Kong people toward the mainland's politics and growing influence on Hong Kong affairs," said Professor Cheung.

The uproar over the national education subject is reflective of anxieties being aggravated by the new government under Leung, which he said "lacks legitimacy in the eyes of many people."

"C.Y. Leung without a doubt reflects a much more pro-Beijing background.  If the curriculum was introduced by a more neutral administration, the issue may play out differently."

Cheung said that the introduction of a national education subject should come as no surprise, as the government has publicized its plans for many years. The Education Bureau launched a four-month public consultation in May 2011, and government plans to develop a moral and national education subject were included in former Chief Executive Donald Tsang's 2010-11 annual policy address in October 2010.

"It's not a secret -- it begs the questions why some of the protesters and organizers haven't paid attention before," said Cheung.

Activists have been campaigning on the issue for the past year, and Sunday's protest was a culmination of frustrations over government inaction, said Wong from Scholarism. He said the student group has recruited more than 5,000 volunteers and will continue to press the government to scrap the national education subject. If the government does not take action by September 3, Wong said students would boycott classes and teachers would boycott the subject in their classrooms.

@highlight

Introduction of Chinese civic education into Hong Kong public school curriculum sparked protests

@highlight

Hong Kongers claim "Moral and National Education" subject amounts to "brainwashing" youth

@highlight

Government curriculum guidelines said China's ruling party is "progressive, selfless and united"

@highlight

Controversy reflects ongoing anxieties toward Beijing's influence in Hong Kong's affairs