UK police and emergency services were heavily criticized Wednesday for their handling of a tragedy at a soccer ground in 1989 in which 96 people died, after an independent panel for the first time reviewed thousands of documents previously kept out of public sight.

The crush at Sheffield's Hillsborough Stadium on April 15, 1989, has cast a lasting shadow over Liverpool and the surrounding Merseyside area.

The families of those killed and injured have for two decades battled to get to the truth about what happened on that awful day -- and to overturn what the independent panel found were "strenuous attempts" by police to deflect responsibility for the disaster to Liverpool fans by falsely claiming they were drunk and aggressive.

The report released Wednesday reveals serious failings by police and emergency services and casts doubt on the original inquest's finding of accidental death.

The panel also says the evidence indicated as many as 41 of those crushed could potentially have survived. "A swifter, more appropriate, better focused and properly equipped response had the potential to save more lives," the report said.

Prime Minister David Cameron said he is "profoundly sorry" about what happened and apologized for the long delay in giving answers to all those affected by "one of the greatest peacetime tragedies of the last century."

"The new evidence that we are presented with today makes clear that these families have suffered a double injustice," he told lawmakers in the House of Commons.

"The injustice of the appalling events -- the failure of the state to protect their loved ones and the indefensible wait to get to the truth.

"And the injustice of the denigration of the deceased -- that they were somehow at fault for their own deaths."

Cameron's apology on behalf of the government was the first offered to those whose lives were devastated by the Hillsborough disaster.

The tragedy occurred when thousands of fans were let in through a gate into an already crowded standing area, leading many to be crushed against metal fences and concrete walls.

Horrifying images from the scene showed panicked men, women and children pushed and trampled with nowhere to go as police lost control of the crowd. Of some 25,000 Liverpool fans who had traveled to Sheffield to watch their team play, 96 never came home.

The victims' families, whose long campaign for justice led to the establishment last year of the Hillsborough Independent Panel, were the first to see its report Wednesday morning.

Speaking at a vigil held in Liverpool Wednesday evening, Margaret Aspinall of the Hillsborough Family Support Group said the families' journey was nearly over but one more step remained: for a new inquest to be held.

Anne Williams of the group Hope for Hillsborough said her teenage son Kevin was one of those who might have lived with appropriate medical help.

She also insisted on the need for a new inquest. "My son and 95 Liverpool fans did not die in an accident. They were unlawfully killed at the least," she said.

In its study of about 450,000 pages of documents, the panel found evidence that South Yorkshire Police sought to deflect responsibility for the disaster to Liverpool fans, presenting a case that emphasized exceptional levels of drunkenness and aggression among them.

There is no evidence to support this view, the report said.

"A narrative about hooliganism on that day was created which led many in the country to accept that it was somehow a gray area," Cameron said.

"Today's report is black and white. The Liverpool fans 'were not the cause of the disaster.'"

The panel's analysis of the evidence found that substantive amendments were made by South Yorkshire Police to remove and alter comments unfavorable to their organization.

Of 164 police statements that were "significantly amended," 116 were doctored to remove negative comments about the force's response and leadership, the report said.

The insult was compounded by a story published at the time in The Sun newspaper, headlined "The Truth," in which it was falsely reported that Liverpool fans had been drunk, violent and had stolen from the dead.

Those false claims have for the first time been traced back to South Yorkshire Police sources, Cameron said.

The current editor of The Sun, Dominic Mohan, said in a statement released Thursday that the newspaper is "deeply ashamed and profoundly sorry" for having reported that untrue version of events.

"Twenty-three years ago The Sun newspaper made a terrible mistake. We published an inaccurate and offensive story about the events at Hillsborough. We said it was the truth -- it wasn't," he wrote.

The report also shows for the first time that South Yorkshire Metropolitan Ambulance Service documents were subject to the same kind of alterations as those of police, and that the ambulance service failed to implement its major incident plan properly.

Relatives have long believed that some of those caught up in the crush could have lived if they had received timely medical treatment.

An investigation by safety officers found that the grounds were structurally unsafe and that the stadium, which is home to the Sheffield Wednesday football club, should not have been used for the match, in which Liverpool played Nottingham Forest in an FA Cup semifinal.

Severely restricted turnstiles, poor conditions on the terraces and inadequate safety barriers with virtually no means of escape all contributed to the deadly crush, the panel found.

The panel's report also raised profound concerns about the conduct of the original inquest into the deaths, held in 1991, which operated on the assumption that all the deaths occurred within 15 minutes of the crush.

Cameron said the attorney general would study the newly revealed evidence immediately, and could choose to request a new inquest.

He said that while the panel found the language used in government papers at the time was "insensitive," it found no evidence that the government, then headed by Prime Minister Margaret Thatcher, tried to conceal the truth of what had happened.

Cameron said the report would make "harrowing" and uncomfortable reading for many people, but it was right that the truth had finally been revealed.

The Right Rev. James Jones, bishop of Liverpool, who chaired the panel, said it had produced the report "in the profound hope that greater transparency will bring to the families and the wider public a greater understanding of the tragedy and its aftermath."

"For it is only with this transparency," he added, "that the families and survivors, who have behaved with such dignity, can with some sense of truth and justice cherish the memory of their 96 loved ones."

A two-minute silence will be held in Liverpool on Wednesday afternoon in memory of those killed.

The current chief constable of South Yorkshire Police, David Crompton, said he is "profoundly sorry" for what had happened on April 15, 1989, and for what had followed.

"On that day South Yorkshire Police failed the victims and families. The police lost control," he said.

"In the immediate aftermath senior officers sought to change the record of events.  Disgraceful lies were told which blamed the Liverpool fans for the disaster.

"Statements were altered which sought to minimize police blame. These actions have caused untold pain and distress for over 23 years."

However, the force is "a very different place in 2012 from what it was 23 years ago," he added, and it is committed to being open and transparent as the panel seeks answers.

An online archive of the documents is to be made available to the public beginning Wednesday.

Sheffield Wednesday, which still plays at Hillsborough, also offered its "sincere condolences and an apology to all the families who have suffered" as a result of the tragedy, in an online statement.

The impact of English football's darkest day lives on in the tributes still paid by Liverpool to its lost sons and daughters, husbands and fathers.

But the tragedy also forced the sport to change on a national basis, and in a way still felt today, with stadiums modernized and made more family friendly, leading in turn to greater investment from sponsors and TV broadcasters.

@highlight

The mother of a victim vows to continue the fight for a new inquest verdict

@highlight

"These families have suffered a double injustice," PM David Cameron says

@highlight

A panel finds that police and ambulance services sought to deflect blame to the fans

@highlight

96 people died and hundreds were injured in the crush at Hillsborough Stadium