Washington (CNN) -- At one time, Susan Rice seemed to be on a trajectory that would take her to the secretary of state's office in President Barack Obama's second term.

But that trajectory changed Thursday when the U.S. ambassador to the United Nations withdrew her name from consideration to succeed current Secretary of State Hillary Clinton.

In a letter to the president, Rice explained her decision to pull herself out of the running.

"I am highly honored to be considered by you for appointment as Secretary of State," the letter read. "However, if nominated, I am now convinced that the confirmation process would be lengthy, disruptive and costly -- to you and to our most pressing national and international priorities. That trade-off is simply not worth it to our country. ... Therefore, I respectfully request that you no longer consider my candidacy at this time."

A former administration official with knowledge of Rice's decision said this was Rice's decision; the White House did not ask her to stand down.

Obama said that while he regretted Rice's decision to withdraw he would continue to rely on her advice.

Rice's path began decades ago with the help of family friend Madeleine Albright, the woman who became the first female secretary of state.

Benghazi talking points omitted link to al Qaeda

Albright, while serving under President Bill Clinton, recommended that he tap Rice for a high-level State Department post on African affairs in the late 1990s.

Albright had previously served with Rice's mother, Lois Rice, on a school board in Washington and watched Rice grow up with her own daughters.

"If I were to characterize her, whether it's playing basketball or anything else, she's fearless," Albright said about Rice in a Washington Post interview during her time as the top U.S. diplomat.

Rice, 48, was born in Washington to parents with distinguished careers. Her mother, who currently serves as a guest lecturer at the Brookings Institution and is an expert on financing of higher education, served on the board of directors of 11 major U.S. corporations.

Her father, Emmett Rice, died in 2011. He was a professor of economics at Cornell University, was a member of the Federal Reserve Board of Governors and flew with the Tuskegee Airmen in World War II.

Susan Rice told the Washington Post after her father's death that he instilled in her "a strong sense of personal and social responsibility" that guided her career decisions.

"He believed mightily in the power of the individual to determine his or her own destiny," she said.

And by all accounts, Rice determined her own destiny and amassed a slew of notable accomplishments.

Stanford, Oxford, White House job

One of Rice's former teachers at the National Cathedral School noted her accomplishments in a letter to the editor after the Washington Post's Dana Milbank published a November 18 column questioning her readiness to become secretary of state.

Rice, who was valedictorian of her class and a star point guard on the basketball team, exhibited "superior leadership skills" and "left behind a remarkable legacy" that included a revised honor code still used at the school, John Wood wrote.

Intelligence on Benghazi shifted after Obama administration described attack as 'spontaneous'

Rice earned Phi Beta Kappa honors at Stanford University, where she earned her bachelors degree in history and won a Rhodes Scholarship to study international relations at Oxford University in 1986.

Rice's work at Oxford, where she earned her masters and later a doctorate in international relations, earned the Chatham House-British International Studies Association Prize for the top doctoral dissertation in the United Kingdom in international relations.

After graduation, Rice headed to McKinsey & Company in Toronto, where she worked as an international management consultant. In 1992, she married Ian Cameron, a producer for the Canadian Broadcasting Corporation, whom she had met at Stanford.

In 1993, Rice returned to Washington to take a position with the National Security Council as director of international organizations and peacekeeping. A year later, she toured war-torn Rwanda after the genocide campaign there killed more than 800,000 people in 100 days.

She told journalist Samantha Power that if she ever faced such a crisis again she would come down on the side of taking action, unlike the course the Clinton administration and the rest of the world took at the time.

Rice was promoted in 1995 to become special assistant to the president and senior director of African affairs at the White House National Security Council.

Clinton stands by Rice after calls to step down

She became a senior fellow in 2002 at Brookings, where she specialized in the study of U.S. foreign relations, and was national security and foreign relations adviser for Obama's 2008 campaign.

In nominating her to the ambassador's post, Obama called Rice "a close and trusted adviser" and said she "shares my belief that the U.N. is an indispensable -- and imperfect -- forum."

At the same time, she has drawn some attention for the way she operates.

Insiders say Rice is ambitious and aggressive. Colum Lynch of the Washington Post and Foreign Policy told CNN that one of her nicknames at the U.N. Security Council is "The Bulldozer."

"I think that everyone has complicated feelings about her," Lynch said.

He characterized her as "very personable, likeable, charming, smart, funny, down to earth" but also someone with sharp elbows.

"You don't want to get in the way of her, and whether that's a point to her advantage or a point against her, well, I guess it depends on who you are asking," Lynch said.

Benghazi controversy

In the days following the September 11 attacks on the Benghazi consulate that killed Ambassador Christopher Stevens and three other Americans, Rice became the administration's point person on the matter. In multiple TV appearances after that attack, Rice cited a hateful video that fueled a spontaneous mob attack as the reason for the deaths.

Senior U.S. officials have said that Rice's comments were based on an intelligence assessment that was later updated to reflect a preliminary view that demonstrators were not the culprits.

Lawmakers say meeting with Rice left them with more questions

The most strident Republicans suggested the characterization of the attack as a mob gone awry might have been the basis for a cover-up during a ferocious political campaign.

Criticism intensified as the explanation of events slowly shifted, with the administration eventually raising the possibility that the attack was planned by al Qaeda.

Some leading Senate Republicans said they could not support Rice if Obama nominated her to replace Hillary Clinton as secretary of state. While Obama has not indicated whom he might appoint, White House sources have said that Rice was a top candidate.

Rice did little to quell criticism of her when she visited the Hill to meet with her toughest critics over Benghanzi -- Republican Sens. John McCain of Arizona, Lindsey Graham of South Carolina and Kelly Ayotte of New Hampshire.

The session, called by Rice to answer questions about her comments, ended up with the lawmakers saying they were "significantly troubled" by many of her answers.

Graham said Rice's comments amounted to a "statement disconnected from reality" and that his concerns about Rice were "greater today than they were before."

McCain said the "information that she gave the American people was incorrect."

In a statement following the meeting, which also included Acting CIA Director Michael Morrell, Rice said the two stressed that "neither I nor anyone else in the administration intended to mislead the American people at any stage in this process, and the administration updated Congress and the American people as our assessments evolved."

After Rice had withdrawn, an administration official voiced frustration that Rice had been unfairly targeted over Benghazi.

"It's absolutely a fact that she had nothing to do with the security presence in Benghazi and the intelligence collection or assessment. All she did was some interviews using cleared talking points that reflected our best understanding of the situation as we knew it at that time, the official said. "The fact that four people died in Libya is a tragedy, but Susan Rice had nothing to do with that tragedy. The fact that they focused on her talking points is a disservice to everyone who cares about this issue."

Following Rice's decision, Graham released a statement saying, "I respect Ambassador Rice's decision.," Graham said." President Obama has many talented people to choose from to serve as our next Secretary of State."

Graham added that he would continue to try to get the bottom of Benghazi.

Obama, had fiercely defended Rice since Republicans first began to question her nomination -- first in the second presidential debate and later in his first news conference after his re-election.

He continued his support in a statement responding to Rice's decision.

"I have every confidence that Susan has limitless capability to serve our country now and in the years to come, and know that I will continue to rely on her as an advisor and friend," the president said. "While I deeply regret the unfair and misleading attacks on Susan Rice in recent weeks, her decision demonstrates the strength of her character, and an admirable commitment to rise above the politics of the moment to put our national interests first."

CNN's Jim Acosta, Elise Labott, Richard Roth Jessica Yellin contributed to this report

@highlight

NEW: Susan Rice's seeming destiny is derailed by GOP opposition over the Benghazi attack

@highlight

Rice was a high school valedictorian and a Rhodes scholar

@highlight

Her mentor Madeleine Albright recommended her for a top political job in the 1990s

@highlight

Insiders say Rice is aggressive, has sharp elbows and rubbed some the wrong way