(CNN) -- I am a mother of three, and my views on guns have evolved significantly over the course of my lifetime. My husband hunts and believes strongly in his right to bear arms. But when my 25-year-old son, Peter, shot himself in a moment of despair in April 2012, I came full circle to a harsh reality: There are almost twice as many suicides as murders by firearm across America, roughly 19,000 of the 30,000 gun deaths each year. Yet we disproportionately fear and almost exclusively talk of criminals in the national gun debate.

My introduction to guns came on a hot summer day in 1963. My father, 53, sent us all out of the house to have an afternoon of fun at a swimming pool. He called police, wrote "I'm sorry" on a scrap of paper, and shot himself in our basement.

My dad had recently lost his job. Not knowing how he would support his family, he had calculated how much his life insurance policies would pay upon his death. It was enough for my mother to raise the five of us, between the ages of 5 and 15 at the time.

Related: A mother's journey to bearing arms

I vividly recall the carefree joy of that day in the sun, which was shattered by numbness, confusion, shock, grief and shame. The world felt much less safe from that day on.

Fifteen years later, I became a naval officer to support myself and so I would never be a financial burden on anyone. I qualified as a marksman on an M-16 rifle, felt the kick of firing a .45-caliber handgun and visited the pistol range many times to shoot a friend's .38-caliber revolver. I was not afraid of guns.

When my sons were still small, I got rid of my handgun because I was more afraid for them than for myself. I recalled my co-worker's experience: Her son's friend was accidentally shot in her garage when another youngster brought a gun over, unbeknownst to any adults.

Marine to senator: I won't 'register my weapons'

All three of my smart, athletic sons grew up to graduate from college and find good-paying jobs.

In the summer of 2011, my middle son bought a house just outside of Baltimore with his then-girlfriend of five years. As he often did, Peter followed his older brother's lead, buying a handgun for protection and target shooting. He developed a fascination with weapons and bought a rifle and a sword, too, all "tools" designed to kill.

When Peter proudly showed me his new handgun, I spoke to him about my father's suicide by gun almost 50 years earlier -- the pain and sorrow it caused and the fear for him it now raised in me. I advised him that numerous, reliable studies showed that his gun was more likely to be used against a member of his own household than on anyone else. He expressed surprise at this information. Having said my piece, I dismissed my fears, satisfied that "forewarned is forearmed."

Ten months later, I knew Peter was unhappy with his job, but none of us close to him ever imagined he was so despondent. He called in sick to work one Friday, wrote me and his fiancee notes of love and apology, walked to the woods, called police and shot himself in the head.

He left his driver's license with its red heart for organ donation next to him. A dozen people received his last gifts, half of which saved lives.

Our love affair with guns in this country needs to be tempered with a healthy dose of respect for all the dangers of ownership. I support the right of individuals to make informed decisions about whether and how to keep a gun in their house.

Parents defend right to keep guns in the home

Given the number of guns already out there, alerting owners to the heightened risks and steps to reduce those risks seems wiser than speaking of getting rid of them. That just throws up a furious wall of opposition from gun owners.

Determined to spare other parents this horrific experience, I have studied much of the research related to suicide and firearms. It's a myth that without a gun handy, people bent on killing themselves will just find another way. For many, the suicidal crisis is temporary, and 90% of those who survive an attempt do not go on to die by suicide. Any obstacle or delay can break the self-destructive trance.

Guns are extremely lethal as a means of suicide. Very few survive a self-inflicted gunshot wound to get a second chance at life.

Protecting your family from this risk means getting rid of or locking up your guns. Having a gun in your home at least doubles the risk of suicide for all who live there. Gun safes, trigger locks and separate ammo storage can reduce, but not eliminate, that increased risk. Think twice about giving adolescents or any troubled family member unsupervised access to deadly weapons, no matter how much safety training they've had.

Mental health treatment has not made a dent in suicide statistics, but reducing access to the most lethal methods can drastically lower overall suicide and murder rates.

Many of us face moments of overwhelming despair, whether mentally ill or not. The vast majority of us get past these dark thoughts and learn to cope with the trials of life. Though guns lack intent, they are suggestive of death. The mere presence of this most lethal tool actually influences the suicidal person's decision by making death too easy, quick and certain.

My hope is that people will recognize the very real threat of suicide, know that it is preventable, and act to keep guns out of reach. If you suspect that anyone in your family might be suffering from depression or suicidal thoughts, please get the gun out of the house or change the combination or the key before it's too late.

While we at CNN are not trained to offer you the best guidance on what to do right now if you are considering suicide, we are concerned for your safety and would like to direct you to someone who may be able to help. The trained counselors at the National Suicide Prevention Lifeline are available 24/7 by calling 1-800-273-TALK (8255). The call is free and confidential. We hope that you can remain safe, not do anything to hurt yourself and continue to reach out. The National Suicide Prevention Lifeline has partnered with us to be a source of help to those who feel they can't go on. They are ready to hear from you and want to listen and help. You can learn more about them at http://www.suicidepreventionlifeline.org.

The opinions expressed in this commentary are solely those of Dorothy Paugh.

@highlight

Dorothy Paugh lost her father and later her son to suicide by gun

@highlight

Paugh wrote this as a counterpoint to this argument for gun ownership

@highlight

As a naval officer, she qualified as a marksman

@highlight

Have a personal essay to share with the world? Submit at CNN iReport