(CNN) -- In the movie "Back to the Future," the year is 1955 when Marty McFly introduces the song "Johnny B. Goode" to a high school dance. That was three years before this tune was actually written, but McFly knows it well because he's from the future.

It would stand to reason that in real life, time travelers from a future era -- or who had at least visited the future -- might give themselves away by mentioning events that haven't yet occurred. They might even do so online.

I mean, you'd obviously take to social media to broadcast your foreknowledge of world events, right?

Scientists at Michigan Technological University wanted to see if they could catch any such slips by residents of the future. So Robert Nemiroff, professor of physics, and graduate student Teresa Wilson conducted a whimsical study in hopes of identifying accurate predictions of future events. They are presenting their study at the American Astronomical Society Meeting on Monday.

The online platform that allowed them to look most comprehensively for prescient posts was Twitter, because the social network doesn't allow back-dating. Facebook users can alter timestamps on posts, and the popular search engines Google and Bing were not as helpful as Twitter in looking for "prescient information," the authors found.

Study authors focused on two major search terms they believe will have lasting significance for years to come: Comet ISON and Pope Francis. They looked for mentions of these from January 2006 to September 2013.

Before the identification of comet ISON in 2012, there were no mentions that the researchers could find of this icy space rock. Similarly, before Jorge Bergoglio took on his papal name in 2013, the phrase "Pope Francis" did not appear in the researchers' search results, except for one person's blog, which appears to have been speculating -- not remembering something from the future.

It appears that no one posted about his or her neighbor or acquaintance declaring the name Pope Francis early, either.

"It's not proof, but it's an indication to me that it's not possible," Nemiroff said, referring to time travel.

There are, of course, several reasons why this technique might not detect any time travelers. Nemiroff and Wilson may have missed them by using the wrong search terms. Temporal adventurers might avoid posting to social media altogether, or even using the Internet, for fear of being found out.

Or, you know, it might be physically impossible to travel to the past.

"It's the largest database ever searched for that kind of information. It (evidence of time travel) might have been there," Nemiroff said.

The idea for the study came about in discussions during poker games with his students, he said. Don't worry, that's not all they're doing; Nemiroff studies other more substantial topics such as gamma-ray bursts, and helped create NASA's Astronomy Picture of the Day website.

Others have tried in the past to lure time travelers into exposing themselves, Nemiroff and Wilson note in their paper.

A convention for time travelers was held in May 2005 by then-graduate student Amal Dorai at MIT, but no one living among us from the future showed up, although the event attracted 450 guests, according to Nature.

Renowned physicist Stephen Hawking, similarly, said in a July 2012 interview that he had thrown a party for time travelers, sending out invitations after the party occurred. Sadly, no one came.

Similarly, no one answered the study authors' calls to tweet on or before August 2013 using the hashtags #ICanChangeThePast2 or #ICannotChangeThePast2, indicating whether the time travelers believed they could alter history.

Sean Carroll, a physicist at California Institute of Technology who was not involved in the study, said physicists who have studied the question of time travel into the past -- taking into account Einstein's theory of general relativity -- have concluded that we can imagine time travel, but it's probably not possible in real life.

"We don't have an airtight proof, but at the very least it would involve manipulating astrophysically significant amounts of matter and energy in unheard-of ways," he said in an e-mail. "And even if you built a 'time machine,' it would let travelers from the future go back to the moment you built it, but you wouldn't ever be able to visit any moments before you built it. Since we don't think anyone has built one already, I think we're safe from time travelers for the time being."

Still, Carroll said, Nemiroff's paper represents a fun, clever idea.

"To be clear, there was essentially zero reason to believe that they were going to find any evidence for time travelers, but since it didn't exactly cost a lot of money to perform the study I'm all in favor of it," Carroll said.

So, if you are from the future and reading this, you secret is probably still safe -- for now.

@highlight

New study uses Twitter to look for predictions of the future

@highlight

Research found no prescient mentions of Comet ISON or Pope Francis

@highlight

Physicists say time travel is probably not possible