(CNN) -- When you look to buy airline tickets later this week, it might seem like prices have shot up. For once, that's not actually the case.

Higher advertised fares are the result of new Department of Transportation rules that are going into effect under the banner "Enhancing Airline Passenger Protections #2."

Higher prices shown up front is one of the four main changes that you'll see when the the new rules go into effect starting Tuesday, so let's talk about what will happen.

Full fare advertising

On some airline websites and in ads, you've probably seen fares displayed as a certain amount plus taxes and fees. That's a pretty common thing throughout society, but the DOT has decided that it's unacceptable for airline travelers. Beginning Thursday, the advertised price has to be the total price including any mandatory per passenger taxes and fees.

Let's say that there's a sale for $59 each way between Los Angeles and San Francisco. Now, the airline can advertise it as $59 each way plus taxes and fees.  On Thursday, it will have to be shown as $69.80 each way. This applies to advertisements, but more importantly, it applies to reservation websites. They can no longer show just the base fare in the search results.

This may seem a little strange since it's not the case in other industries. Hotels still show base rate before taxes and fees, for example. But this is how the DOT wants the airline industry to work.

Wondering what exactly is included in this new fare? Fuel surcharges must be included in the rate (as has been the case for years anyway) and any mandatory fees. Of course, most of the fees people see adding up today are optional fees, like baggage charges, and those can still be broken out. There are, however, a slew of regulations impacting them as well.

Fees become more prominent and standardized

The DOT has decided to regulate optional fee disclosure to make pricing clearer, but unfortunately, the new rules might end up doing the exact opposite.

A couple of things make good sense. If there is a change in bag fees or baggage allowances, the airlines must prominently display a link to the change on their homepages for at least three months. Airlines will also have to make available a complete list of rates for all optional services, from pillows to food and drinks.  

While airlines have to get into specifics for bag fees, the rest can be listed in ranges of fees, making the information somewhat less useful. These changes sound good, but then the DOT steps up disclosure where it might hit the point of overload.

Under the new rules, anytime a fare quote is given, airlines have to let passengers know that "bag fees may apply." In addition, when a ticket is purchased, the airline must include in the e-ticket receipt, a complete list of all possible bag fees and allowances.

That means detailing different rules for elite frequent fliers, different rules by class of service, etc. If you're wondering where they'll put it, it will undoubtedly go into the fine print at the bottom that nobody reads anyway because there are already too many disclosures down there.

One actual victory for travelers here centers around which bag fees get charged when a traveler is booked on codesharing airlines for trips beginning or ending in the U.S. Today, if you buy a ticket on, say, American, but your first flight is on its codeshare partner Etihad, then the baggage rules on Etihad usually apply.  

The new rule means that the policies of the marketing airline, in this case American, apply regardless of who is operating the flight. That sounds good, but in practice it's going to be very difficult to implement and enforce.

No more opt-out

If you've ever bought a ticket from an ultra low-cost airline like Allegiant or Spirit, you might have found yourself frustrated by the dreaded "opt-out" procedure. You know how it works. The travel insurance or some other optional service might be automatically checked. If you don't want it, you have to uncheck it before you continue or it will be charged. This rule makes that illegal going forward.  All optional services will be "opt-in" only.

No price increases after you buy

This might sound silly, but fares can no longer be increased after tickets have been purchased. Has this been a problem? No. But it does prevent Allegiant from doing something that travelers might have liked.

Allegiant had discussed the idea of giving travelers the choice of two fares. One would be higher, but would not change. The other would be lower, but would go up if the price of fuel went up. So it would simply tie a piece of the fare to the cost of fuel. If people wanted to take a gamble on fuel prices, they could buy the lower fares. That, however, is no longer an option. But it really is minor since the option wasn't yet offered anyway.

The opinions expressed in this commentary are solely those of Brett Snyder.

@highlight

New rules require airlines to roll mandatory taxes and fees into advertised fares

@highlight

Optional fees must be more clearly listed, which Snyder says may create confusion

@highlight

Baggage fees will be subject to more stringent disclosure rules