Washington (CNN)New Jersey Gov. Chris Christie's political brand is built almost entirely around a single personality trait: authenticity.

He's a self-styled what-you-see-is-what-you-get kind of politician, unapologetic that his blunt style can come across as brash. The approach has earned Christie plenty of love for being himself and sets him apart from other potential 2016 presidential contenders such as Hillary Clinton and Jeb Bush, who often come across as stiffer and more disciplined.

Christie's authenticity was on full display this week when he stood by his beloved Dallas Cowboys. In the face of Internet bullies who shunned his love for America's Team or mocked his bear hug with Jerry Jones, Christie brazenly defended his lifelong loyalty for an out-of-state team that's either the most loved or most hated franchise in the NFL.

"You are who you are as a fan," the Republican said in a radio interview on Monday.

While he faced scrutiny for his long-distance affair with the Cowboys, he won some admiration for not pandering all these years by switching to a local team. Former Obama campaign manager David Plouffe tweeted that it "takes guts" for Christie to back the rival Cowboys when he's "surrounded by Giants, Jets & Eagles fans."

But Christie's insistence on remaining true to himself is the same quality that has gotten him in trouble over the years and, if left unchecked, could run the risk of being seen as more schtick than authentic.

It was just a few months ago when Christie shouted at a heckler who was interrupting an event to "sit down and shut up!"  The moment became instant fuel for critics to push a narrative of Christie as a bully and paint the governor as a loose cannon who's not ready for the presidential stage.

In an interview with NBC's Matt Lauer, Christie argued that he never lost control and knew exactly what he was doing when he gave the heckler a verbal beat down.

"I'm not going to change, Matt. This is who I am," he said.

Asked whether Christie can learn to hide that part of his personality, the governor said "there's no hope in that."

Trying to get it just right

Voters often say they're looking for real, genuine candidates. But striking that perfect balance of authenticity without being too hot or too cold is "one of the most difficult lines to navigate" for a politician, said GOP strategist Ford O'Connell.

It's a tough cycle to break out of, experts say. No one is perfect and if a candidate tries to be himself or herself entirely, flaws will eventually be exposed. But those flaws could result in criticism or negative media coverage, which then prompts politicians to be more guarded.

There's no steadfast rule to finding just the right middle ground.

"And that balance is different for every candidate because you don't know what the candidate is going to do until you shine the spotlight on them," O'Connell said.

Craig Shirley, a presidential historian who's written two books on Ronald Reagan, says the authenticity factor for voters dates back to President Andrew Jackson and has seen periods of popularity off and on ever since. Its most recent resurgence started with Jimmy Carter in 1976, not long after Richard Nixon resigned amid the Watergate scandal.

"The American people had had it with all the corruption in Washington," he said. Carter frequently used the word "trust" in his campaign and invoked his Christian and farmer roots as a way to build a populist reputation. "People were just hungry for something different."

Previous elections

During the 2012 Republican primaries, Mitt Romney was often accused of being too robotic and not showing his true cards. Newt Gingrich called him out on a primary debate stage once, telling him to cut the "pious baloney."

The rebuke came after Romney answered a question about why he didn't run for re-election as governor of Massachusetts. Romney said he simply wanted to help the state get into good shape, then return to the private sector.

"For me, politics is not a career," Romney said.

Yet in reality, Romney ran for president shortly thereafter in 2007, and in addition to his successful 2002 bid for governor, he ran for Senate in a failed 1994 attempt.

Similarly, Al Gore was noted for having difficulty appearing comfortable in his own skin and was criticized for trying to adopt a regular guy persona. In The Politics of Authenticity in Presidential Campaigns, author Erica J. Seifert notes that voters in 2000 sided with Gore on nearly every issue in the polls, but fell well behind George W. Bush on questions about character, honesty and personality.

Whether voters consider a candidate authentic is also heavily dependent on how successful opponents are at defining them. President Barack Obama's campaign and allies, for example, spent millions trying to craft Romney as greedy and out-of-touch because of his background in private equity.

Clinton also been accused of struggling with authenticity, particularly during her 2000 Senate campaign in New York when she said she was a lifelong Yankees fan despite having grown up as a fan of her hometown team, the Chicago Cubs. Clinton struggled to connect with voters during much of her 2008 campaign.

Clinton's supporters argue she was in fact a Yankees fan as a child and photos from 1992 published in her 2003 memoir "Living History" show her in a New York hat.

Still, Christie mentioned the Clinton example in a 2013 radio interview defending his adoration of the Cowboys.

"I'm not going to be Hillary Clinton, OK? I'm not going to, you know, be a Cubs fan my whole life, and then when I go to run for office in another state, pretend I'm a Yankee fan," he said "I don't think there's anything--in sports--more reprehensible than that."

A challenging cycle

On the flip side, when politicians try to be themselves in the public eye, they may wind up saying or doing something that people find politically incorrect, offensive or careless.

Vice President Joe Biden has gotten in trouble for being too candid at times, or as some like to say, Biden just being Biden. He took his freewheeling approach to the Senate this week, where he joked around -- sometimes awkwardly -- with senators and their families as he swore in lawmakers for a new term.

One of Biden's most memorable moments was when he endorsed same-sex marriage in May 2012, before President Obama had officially evolved on the issue. Biden has frequently tried to clarify his off-the-cuff remarks with a go-to line: "No one ever doubts I mean what I say, but sometimes I say all that I mean."

Renowned surgeon and conservative activist Ben Carson, who's known for making controversial comments, is also sometimes too honest for his own good, his spokesman acknowledged last month.

"If I could create the Webster's dictionary of words Dr. Carson could use in the campaign, there would be some words I'd leave out," Terry Giles told the Washington Post. "Like 'Nazi' or 'Hitler.'"

Whit Ayres, a Republican strategist and pollster, said a good politician is almost by definition careful with what they say and how they say it.

"That doesn't mean they can't be candid or they can't be clear or they can't say what they mean, but it does mean that they can't say the first words that come into their brains without thinking about the consequences," he said.

Christie is certainly aware that he has to tone himself down at times. When he was in Mexico last September, reporters noticed the governor was acting more guarded and restrained than his normal Jersey Guy self.

In an interview with the New York Times, he acknowledged that he can be "flamboyant" at times. "But it doesn't mean that's the way I am all of the time," he added. Being able to adjust to different contexts is an important perquisite for leadership, he continued.

"You know, I have more than one club in the bag, and I've demonstrated that over time," he said.

It's unclear whether voters in Iowa or South Carolina will buy Christie's explanation, or whether it will break past opposition ads and attacks against his personality.

Christie has dismissed such skepticism as "garbage" and forcefully defended his style in a radio interview this summer.

"Yeah there are some ... regional differences in our country. But in the end, people like people who are genuine, who are real," he continued. "People who are real do well. And they're happy, too."

"I would rather lose than try to pretend to be somebody else," he added.

O'Connell, the GOP strategist, acknowledges there's always a risk in being too much of yourself on the campaign trail. But at the end of the day, he argued, "it's better to be too authentic than to be too plastic."

CNN's David Chalian and Dan Merica contributed to this report.

@highlight

Chris Christie's fierce loyalty to the Cowboys demonstrates the governor's authenticity

@highlight

But that quality of staying true to himself has gotten him in trouble in other aspects

@highlight

Experts say it's hard for politicians to find that fine line of being themselves without exposing flaws