(CNN) -- Most Egyptians favor an advisory role for religious leaders in their country's new government, believe economic conditions are worsening and generally mistrust the United States, according to a Gallup survey released Monday.

The survey, the first since the Egyptian revolution toppled Hosni Mubarak, found most Egyptians were positive about their future and their country's political and economic prospects.

"Egypt is at a vital crossroads," said Mohamed Younis, a senior analyst at the Abu Dhabi Gallup Center. "This important data has now been shared with Egypt's citizens, and Egyptian and American leaders to assist in understanding the next steps in this country's history.

The results, first presented Sunday during a public forum in Cairo, are based on a nationally representative, face-to-face survey of about 1,000 Egyptians who are 15 years of age or older, according to Gallup.

This year's survey, titled "Egypt from Tahrir to Transition: Egyptians on their assets and challenges and what leaders should do about it," examines current and future Egyptian perceptions of life in the country following 18 sometimes bloody days and nights of protests that led to Mubarak's resignation.

After, Egypt's military -- which had largely stayed on the sidelines of the revolution -- officially took control of the nation's political apparatus, until an agreed-upon constitution and elections.

The findings, according to Gallup, show "Egyptian leaders must deliver on their people's expectations for free and honest elections, building on the success of the constitutional referendum."

"Civil society activists and policymakers alike would do well to approach security and community cohesion as a local issue requiring reform of local institutions," the survey said.

It's the fifth consecutive year Gallup has surveyed Egyptians, though the result this year clearly reflected a change in Egyptian opinions on social, religious and political reforms in Egypt.

Among other findings, according to Gallup:

-- 92% of Egyptians say they would include freedom of speech as a provision if they were drafting a new constitution for the country

-- 67% say they would draft a provision for freedom of religion were they drafting a new constitution

-- 55% say they would include freedom of assembly in a new constitution

-- 92% say they have confidence in their religious institutions, while 96% say religion remains important in Egypt

-- 69% favor an advisory role for religious leaders, while 14% want religious leaders to have full authority

-- 9% wanted religious leaders to have no role in the new government.

The survey also found that the role of social media in igniting the revolution has been largely overstated.

It found only 8% of those surveyed relied on Twitter or Facebook for news on the nationwide protests that began January 25 in Tahrir Square. The survey says the majority got their news from Al Jazeera and Egyptian state-run media.

When it comes to Egyptian-U.S. relations, the survey found that 68% of those polled believe the United States will try to exert influence over Egypt's future.

But it also found that 88% of Egyptians face a U.S. model for their country, though 75% oppose the U.S. providing aid to political groups in the country.

Many of those polled pointed to the U.S. support for Israel as a major stumbling block in trusting the United States.

More than 60 %, two-thirds of those polled, said their opinion of the United States would significantly improve, if the U.S. pressured Israel to halt settlement expansion, withdrew its troops from Iraq and pulled its forces from Afghanistan.

CNN's Jenifer Fenton contributed to this report.

@highlight

The survey finds two-thirds of Egyptians are suspicious of the United States

@highlight

The role of social media in the revolution is largely overstated, the survey says

@highlight

Only 8% say they got their news about the revolution from Twitter or Facebook, it says

@highlight

More than 60% say their opinion of U.S. will change if it changes its policy on Israel