Lola Wang, a 28-year-old marketing officer in Shanghai, makes a six-hour trip to Shandong province in eastern China to see her parents twice a year -- once during the Lunar New Year and again during the National Day holiday in October.

"I feel like I should visit my parents more but having a job in the financial industry means I have to work long hours and sacrifice some of my personal time for work," Wang, an only child, tells CNN.

Wang's dilemma is faced by many young people in China, where a one-child policy and three decades of economic reforms have accelerated the decline of the traditional extended family.

It's also a matter of concern for China's new leaders as they grapple with the burden of supporting the growing number of elderly people.

New law

A new national law introduced this week requires the offspring of parents older than 60 to visit their parents "frequently" and make sure their financial and spiritual needs are met.

"People are accusing young people of not visiting their parents enough," says Wang, adding she agrees with the aims of the law.

"Admittedly, some of them use their career and long working hours as an excuse. My problems are that I do care about my parents, but I have little vacation and my parents live far away."

According to the state-run Xinhua news agency, China had about 185 million people above the age of 60 at the end of 2011. The figure is expected to surge to 221 million in 2015 and by 2050 a third of China's population will be classed as elderly.

Neglect

The "Law of Protection of Rights and Interests of the Aged" was amended by China's legislature in December after a spate of reports about elderly parents neglected by their children.

In one particularly horrific case in China's eastern Jiangsu province, a local television station reported that a farmer had kept his 100-year-old mother in a pigsty with a 440lb sow.

Chen Shoutian told the station his mother had been happy to live there: "She wants to stay here because she feels it is convenient," he said.

A modest pension and social welfare system, particularly in rural areas, means elderly people are usually dependent on their children for support.

More than a fifth live below the poverty line, according to figures from the National School of Development at Peking University.

Changing values

Although respect for the elderly is still deeply engrained in Chinese society, traditional values like filial piety have been weakened by the country's rush to modernity.

"The traditional family support system is eroding for many reasons and I think the government would like to slow this process down," said Albert Park, the director of the Emerging Markets Institute at the Hong Kong University of Science and Technology.

The law stipulates that children cannot give up their inheritance rights in attempt to evade their duty to take care of their parents. It adds that children should pay a monthly allowance to their parents if they refuse to take care of them.

The legislation also allows for the elderly to sue their children but does not specify the process or what penalties they might face.

It may also prove difficult to enforce, says Ding Yiyuan from Beijing Yingke Law Firm. He told the Guangzhou Daily newspaper the law fails to qualify the word "frequently." He added that few elderly people were likely to sue their own children.

First case

On Tuesday, XInhua reported that a 77-year-old woman from Jiangsu city of Wuxi sued her daughter for neglecting her. In the first case after the new law came into effect, the local court ruled that her daughter must visit her at least twice a month and provide financial support.

But the law's introduction has proved controversial. Some say it puts too much pressure on those who move away from home for work, study or other opportunities.

Cheng Zhegang, 50, whose only child is studying for a master's degree in the United States, said the law "distorts the parent-child relationship."

He hopes his daughter will head to a big city like Shanghai or Beijing to find a job on graduation and not return to the small town where she grew up.

"I don't want my daughter to have a burden both physically and spiritually," he told CNN.

"For me, my daughter's career is the most important thing. As the parent of an only child, I have spent so much time and money on my daughter's education and now I want her to be successful."

@highlight

New Chinese law requires children to visit elderly parents

@highlight

Care of growing elderly population a big challenge for China's leaders

@highlight

One-child policy and economic reform have broken up extended family

@highlight

Some say law controversial and hard to enforce