(CNN) -- BP resumed pumping heavyweight drilling mud Friday in its attempt to cap a breached oil well in what the company's top executive described as an "environmental catastrophe."

The oil giant has measured "some success" with a procedure known as "top kill," which had never been tried a mile under the ocean's surface, said Tony Hayward, BP's chief executive officer.

The oil leak stopped when heavy drilling mud was pumped into the well at high pressure but it was not clear whether the operation would permanently halt the flow, Hayward said.

"Clearly while we're pumping mud, there is no oil and gas coming into the sea," he said. A thick brown stream of liquid seen gushing from the broken pipe into the water was almost entirely composed of water-based mud -- not oil, he said.

"It's like an arm-wrestling match of two equally strong forces," said BP's managing director, Robert Dudley. He predicted the company would know by Sunday morning if it is working.

Supply ships on the surface are loaded with about 50,000 barrels of mud, and backups with more of the substance could be moved in quickly, he said.

U.S. Coast Guard Adm. Thad Allen, who is leading the federal government's oil spill response efforts, said the goal is to send enough mud down into the breached well bore to eliminate the upward pressure from the oil and clear the way for a cement cap to be put into place.

"So while I said the hydrocarbons had been stopped, that does not mean the exercise is over," Allen said.

BP suspended the effort Thursday after determining that too much of the viscous substance was escaping via the breach instead of going down the well.

During that suspension, BP tried another technique -- known as the "junk shot" -- pumping solid materials such as rubber balls and other debris, Hayward said. The junk shot began Thursday afternoon and concluded early Friday.

Asked whether the junk shot helped, BP Chief Operating Officer Doug Suttles said, "We believe that it is helping to some degree, but it is very, very difficult to interpret each of those cases."

"Top kill" efforts will continue until at least Sunday morning, Suttles said.

"We will continue with this operation until such time as it's either successful or we believe it won't be successful," said Suttles. "I think the key thing here is to exercise patience."

If the "top kill" fails, the next step would be to place a "lower marine riser package" -- basically a custom-built cap -- over the leak, Suttles said. He added that several versions of the device are "waiting to go."

If they fail, he said, BP engineers would try placing a second blowout preventer on top of the first, which failed catastrophically. The failed blowout preventer is a 48-foot-tall, 450-ton apparatus that sits atop the well 5,000 feet underwater, which failed to cut off the oil flow after the April 20 explosion aboard the Deepwater Horizon drilling platform left 11 men missing and presumed dead.

The Gulf oil spill is the largest in U.S. history. Government scientists said Thursday that as many as 19,000 barrels (798,000 gallons) of oil were spewing into the ocean every day, making this disaster perhaps twice the size of the Exxon Valdez incident.

Previously, government scientists had said 5,000 barrels (210,000 gallons) of oil were gushing out every day. On May 17, Hayward had said the spill would have a modest impact on the environment. He upgraded his assessment on Friday.

"This is clearly an environmental catastrophe," Hayward said. "There's no two ways about it."

He sympathized with Gulf residents who have expressed anger over the disaster.

"I understand perfectly why everyone is angry and frustrated that this leak has not been stopped," he said. "We want it stopped and we are doing everything we can to stop the damn leak. And we are going to continue to do everything we can to stop the damn leak."

Hayward cited "at least seven failures" that conspired to bring about the disaster.

Under intense political pressure to take control of the situation, President Obama toured the region Friday -- his second visit since the April 20 explosion aboard the Deepwater Horizon drilling platform triggered the spill and left 11 men missing and presumed dead.

"We want to stop the leak, we want to contain and clean up the oil and we want to help the people in this region return to their lives and livelihoods as soon as possible," the president told reporters.

Surrounded by more than a dozen Gulf-area politicians and officials, the president called the oil spill "an assault on our shores, on our people, on the regional economy and on communities like this one."

Obama said it would be welcome news if BP's top kill effort succeeds in stopping the runaway flow from the well, but noted that other efforts are also under way.

Oil spill demystified: A glossary

"A team of some of the world's top scientists, engineers and experts -- led by our energy secretary and Nobel Prize-winning physicist Steven Chu -- has for some time been exploring any and all reasonable contingency plans," he said.

Obama said he has directed Homeland Security Secretary Janet Napolitano and Allen to triple the manpower in places where oil has hit shore or appears within a day of doing so.

Information about resources available to area residents and businesses will be posted on whitehouse.gov, he said.

"BP is the responsible party for this disaster," he said. "But as I said yesterday and as I repeated in the meeting we just left, I ultimately take responsibility for solving this crisis. I'm the president and the buck stops with me."

More from Obama's press briefing

He also called on Americans to help by visiting the region. Except for three beaches in Louisiana, all the Gulf beaches are open, safe and clean, he said.

After Obama left, several hundred workers who had been shipped in early Friday by BP also left, according to a Gulf Coast official.

Jefferson Parish Councilman Chris Roberts told CNN's "Situation Room" that the workers were offered $12 an hour to go to the scene at Grand Isle and work while Obama was there and that they left shortly after Obama did.

Suttles downplayed the claim Friday evening, saying it is not unusual to see people wrapping up work in the afternoon.

iReport: Share your views on the oil spill response

"These individuals are working out in the heat of the sun. These are long days. They start early in the morning and they stop early in the evening," he said. "So the fact that they were leaving the location late in the afternoon was not unusual. It's not associated with the president arriving."

Suttles added that the workers would be back Saturday morning to continue working.

Though about 25 percent of the Gulf of Mexico exclusive economic zone has been put off limits, most federal waters in the Gulf are open to commercial and recreational fishing, according to the National Oceanic and Atmospheric Administration.

In a response to some local officials, who have been calling for the Army Corps of Engineers to build a "sand boom" offshore to keep the water from getting into the fragile marshlands, Obama said Allen is prepared to authorize moving forward with "a portion of the idea."

That did not entirely satisfy Louisiana Gov. Bobby Jindal, who has advocated immediate construction of the berms. Noting in a written statement that 107 miles of the state's coast have been oiled, he said, "We continue to ask federal officials to approve our entire sand-boom plan from the northern Chandeleurs to the Isle Dernieres chain."

CNN's Suzanne Malveaux, Ed Henry, Richard Allen Greene, David Mattingly, Lisa Desjardins and Marylynn Ryan contributed to this report.

@highlight

NEW: "Top kill" efforts will continue until at least Sunday morning, BP says

@highlight

Officials will triple the manpower where oil has hit shore, Obama says

@highlight

"This has already been the largest cleanup effort in U.S. history," Obama says

@highlight

BP uses "junk shot" in effort to clog oil well