Jackson, Mississippi (CNN) -- The family of an African-American man who died after allegedly being beaten by a group of white teens and run over by a truck is asking state and federal officials not to seek the death penalty in the case.

Relatives of James Craig Anderson, who died shortly after receiving his injuries on June 26, sent a letter with their request to the prosecutor in the case, Hinds County District Attorney Robert Shuler Smith.

"We ask that you not seek the death penalty for anyone involved in James' murder," the letter states; the letter is signed by Barbara Anderson Young, James Craig Anderson's sister who is in charge of, and speaks for, his estate.

The letter states that the family is opposed to the death penalty partly for religious convictions.

"Our opposition to the death penalty is deeply rooted in our religious faith, a faith that was central in James' life as well," the letter states. But the family goes on to explain that there is another reason for their opposition, one that is tied to Mississippi's racial past.

"We also oppose the death penalty because it historically has been used in Mississippi and the South primarily against people of color for killing whites," the letter states. "Executing James' killers will not help to balance the scales. But sparing them may help to spark a dialogue that one day will lead to the elimination of capital punishment."

The family has been mostly private in its grief, but the letter sent to the DA's office alludes to what the family is going through.

"Those responsible for James' death not only ended the life of a talented and wonderful man. They also caused our family unspeakable pain and grief. But our loss will not be lessened by the state taking the life of another," it says.

The death of James Craig Anderson, 48, occurred early June 26 in Jackson, allegedly at the hands of white teens who, after a night of partying and drinking, decided to go looking for black people to assault, law enforcement officials have said, quoting one of the suspects in the case.

Anderson's death drew national attention after CNN first reported it and aired exclusive surveillance video of the actual killing, captured by a parking lot security camera in a Jackson suburb. Smith, the district attorney, has called it "vicious" and a "premeditated hate crime."

"We have a racially motivated killing," said Smith, asserting that the group of white teens sought out a black person to kill. "The teens came to Jackson and they picked out a black man, an innocent victim. They assaulted that victim, and then they just killed him."

U.S. Department of Justice investigators are now in Jackson, investigating the death as a possible federal hate crime and assisting local prosecutors. The killing has also prompted several large marches and prayer vigils in Jackson, a city of nearly 540,000 people.

Deryl Dedmon Jr., 19, of Brandon, Mississippi, is facing murder charges in Anderson's death and is eligible for the death penalty. A second teen, John Aaron Rice, 18, was initially charged with murder, but a judge reduced the charge to simple assault because Rice was not believed to be driving the vehicle used to kill Anderson.

However, Hinds County prosecutors said they plan to seek indictments against both Dedmon and Rice for murder and a hate crime, and will seek indictments against other teens who were at the scene. Neither teen has entered a plea.

The district attorney's office has not officially commented on the family's request for no death penalty in the case.

Last week the Anderson family filed a wrongful death suit against all seven of the white teens alleged to have been present at the beating of Anderson that immediately preceded him being run over by the truck. The Southern Poverty Law Center, a nationally recognized organization based in Montgomery, Alabama, that opposes racism and intolerance, joined in the lawsuit.

"James Anderson lost his life for no other reason than the color of his skin," said Morris Dees, chief trial counsel for the law center. "Those responsible must be held accountable for their callous and deadly actions. We are filing this lawsuit today to ensure his family gets a measure of justice."

In addition to Dedmon and Rice, the lawsuit names five other teens as taking part in the incident that evening: Sarah Graves of Crystal Springs; Shelbie Richards of Pearl; and William Kirk Montgomery, John Blaylock and Dylan Butler, all of Brandon. None of the five has been arrested or charged, and it was unclear whether they had retained attorneys.

Anderson, a line worker at a Nissan plant, sang in his church choir, the family's attorney, Winston J. Thompson III, told reporters. He leaves behind his partner of 17 years.

"He was just a pillar of the community," Thompson said. "He paid his taxes on time, he went to work, came home -- he was just an average, ordinary citizen, good guy, wonderful gardener."

"Anyone who knew James could see that he was a caring man with a beautiful smile," said Anderson's sister, Barbara Anderson Young, in a previous statement. "He was such a compassionate person. We must take an honest look at the racial climate that motivated some young people to hurt such a wonderful person."

Attorneys for Dedmon and Rice have not responded to requests for comment from CNN. During a bond hearing, Dedmon's attorney told the court he saw nothing to back up the "racial allegations."

A civil trial can proceed at the same time as a criminal case, but often the civil case is delayed pending the resolution of a criminal trial. While a criminal case is pending, a defendant in a civil case may need to invoke the Fifth Amendment.

The lawsuit alleges all seven of the teens "took part in what we call a joint venture, to seek out and do harm to a person of color," Thompson said.

Authorities believe Dedmon led and instigated the attack, which took place after a night of drinking in largely white Rankin County outside Jackson. Dedmon told friends they should leave, saying, "Let's go fuck with some niggers," officials said.

The gang of teens climbed into Dedmon's green truck and a white SUV and drove 16 miles to the western edge of Jackson. They would have seen Anderson immediately as they exited the highway, officials said. He was standing in a hotel parking lot just beyond the exit ramp.

On the videotape obtained exclusively by CNN, the group of teens is seen pulling into the parking lot and stopping where Anderson is standing, although he is just off camera and not visible.

The teens can then be seen going back and forth between their cars and Anderson. Witnesses told authorities this is when Anderson's beating took place, as the teens yelled racial epithets, including "white power."

Authorities allege Dedmon and many of the other teens pummeled Anderson repeatedly as he crumpled to the ground, although this is not visible on the tape. After the beating, some of the teens left and others got into the green Ford truck.

At this moment, Anderson becomes visible on the tape as he staggers into view and walks toward the truck.

"Defendant Dedmon drove the F-250 out of the parking lot and turned right onto Ellis Avenue," the lawsuit says. "Just as Dedmon turned right, his headlights shone directly on Anderson, who, having been severely beaten, was stumbling in a grassy area near the motel's entrance. Dedmon accelerated, drove onto and over the street curb, and struck Anderson with the front of the F-250."

Shortly afterward, Dedmon allegedly boasted and laughed about the killing, according to statements some of the teens made to detectives. "I ran that n----- over," he allegedly said in a phone conversation to the teens in the other car.

"He was not remorseful," District Attorney Smith said. "He was laughing, laughing about the killing."

The proceedings of the case are taking place in the Hinds County courthouse, where in 1994 Byron de la Beckwith was convicted in the notorious killing of civil rights leader Medgar Evers in 1963. That case and others have given Mississippi a racially charged history.

@highlight

James Anderson's family opposes the death penalty for religious and historical reasons

@highlight

"Our loss will not be lessened by the state taking the life of another," they say

@highlight

Deryl Dedmon Jr., 19, is charged with murder in the case