Tokyo (CNN) -- The president of Tokyo Electric Power Company, the business at the heart of Japan's nuclear crisis, apologized again Wednesday, a day after the situation there was designated a Chernobyl-level nuclear accident.

Masataka Shimizu, the president of the power company, also said he is working with the government to create a plan to privide short-term compensation to the many affected by the nuclear crisis.

"I regret the fact we are inconveniencing all these people, I want to take this opportunity to apologize," Shimizu said.

His speech comes after Japan's prime minister vowed to wind down the month-long crisis at the Fukushima Daiichi power plant "at all costs."

Prime Minister Naoto Kan said he wants Tokyo Electric Power Company, to produce a timetable for bringing the disaster to an end, "and they will be doing that soon."

Shimizu did not provide a detailed timetable during his speech Wednesday but said his company is working to stop harmful materials from going into the atmosphere "as soon as possible."

Japan declared the Fukushima Daiichi crisis a Level 7 event on the international system for rating nuclear accidents Tuesday, putting it on par with the 1986 Chernobyl disaster in the former Soviet Union. The top-scale designation was based on the massive release of radioactivity since the accident began, particularly in its early days, and classifies Fukushima Daiichi a "major accident" requiring long-term countermeasures.

"At all costs, all the reactors and the spent nuclear fuel pools must be brought under control so that we can prevent a further expansion of the damage," Kan said.

Tetsunari Iida, a former nuclear engineer-turned-industry critic, told CNN the declaration has no immediate practical impact on the crisis. But it's a sign that Japanese regulators have rethought their earlier assessments of the disaster, said Iida, who now runs an alternative energy think-tank in Tokyo.

Shimizu already issued an apology Tuesday for the disaster and the "enormous anxiety" it has caused after the Level 7 designation.

"We would like to stabilize the situation as soon as possible, and we are working on the measures and steps to cool the reactors and prevent the spread of nuclear substances," he said. "While continuing to ask for the support and cooperation of the government, the ministries, and the municipalities, we would like to maintain close communication with them, and we will make the utmost effort to bring the situation to an end."

Scientists believe the amount of radiation released is only a tenth of what was released at Chernobyl, said Hidehiko Nishiyama, the chief spokesman for Japan's Nuclear and Industrial Safety Agency. But the levels for radioactive iodine and cesium that have been spewed into the air, water and soil around the plant are in the thousands of trillions of bequerels -- 15 times higher than the threshold for a top-scale event, according to figures released by the safety agency Tuesday morning.

The crisis began with the March 11 earthquake and tsunami that devastated northern Japan. The tsunami knocked out the plant's cooling systems, leaving operators with no way to keep the three operational reactors from overheating after they shut down.

Engineers are now pumping hundreds of tons of water a day into the damaged reactors to keep them cool, but Tokyo Electric said long-term solutions must wait until it can get the highly contaminated water out of the basements of the units' turbine plants. In addition, more water is being poured into pools housing spent but still-potent fuel rods in units 1-3 as well as unit 4, which had no fuel in the reactor at the time of the quake.

The work has been complicated over the past five days by a series of powerful aftershocks that have forced workers to clear out of the units and seek shelter.

Evacuation orders have so far covered about 85,000 people inside the 20-kilometer (12.4-mile) zone, while another 62,000 within 30 kilometers have been told to stay inside, Fukushima prefecture officials told CNN. Japan's government said it had no estimate of the number of people who would be covered by the new directives.

Yukio Edano, the country's chief cabinet secretary, added outdoor-grown shiitake mushrooms from 16 towns and villages neighboring the Daiichi plant to the country's banned food list Wednesday.

CNN's Kyung Lah, Whitney Hurst, Junko Ogura, Matt Smith contributed to this report.

@highlight

NEW: Tokyo Electric's president says he is creating a plan for short-term payments for victims

@highlight

Japan's prime minister vows to end the crisis "at all costs"

@highlight

The Level 7 designation puts Fukushima Daiichi on par with Chernobyl

@highlight

The effort has been complicated by recent aftershocks