The struggle for democracy is not dead, say Hong Kong's pro-democracy activists, who have pledged to continue opposing Beijing despite setbacks.

The activist group Occupy Central had hoped that their threats of a mass sit-in in Hong Kong's downtown Central district would convince China to approve open democratic elections for Hong Kong's next leader.

But on Sunday, the Chinese government said the elections should only consist of candidates approved by a Beijing-backed committee, dealing a blow to democracy supporters.

Even the leader of the movement seemed deflated.

"Up to this point, we failed," Benny Tai, the co-founder of Occupy Central, told Bloomberg Tuesday. "Beijing refused to back down."

But Chan Kin-man, a fellow co-founder, told CNN on Wednesday that Tai's remarks did not mean surrender.

"We may not have attained that specific goal," he said, referring to the hoped-for reforms. "But we want to create a resistant movement in Hong Kong. As long as the democratic spirit continues in Hong Kong, we will not give up."

'We will occupy Central'

Chan said Occupy will proceed with its mass sit-in "soon," bringing downtown Hong Kong to a halt.

It's the culmination of years of pent-up unhappiness.

When Hong Kong, a former colony of the United Kingdom, was returned to Chinese rule in 1997, the two countries struck an agreement promising Hong Kong the democratic election of its own leader, known as the chief executive.

But the democratic reforms have not materialized. Seventeen years after the handover, the city's chief executive is chosen by a committee filled with Beijing loyalists, leading to frustration among pro-democracy Hong Kongers who want the city's leader to be chosen by local people, not China.

That's why many of them see China's recent proposal as a bitter sham. The National People's Congress (NPC) proposed Sunday the Hong Kong public be given the right to vote for its next leader — but only on up to three candidates approved by a Beijing-backed committee.

Democracy's activists' chosen response, civil disobedience, is similarly controversial.

Chinese officials have repeatedly said occupying Central would be an illegal act that would jeopardize Hong Kong's economic security. Hong Kong's own security chief has warned the protest could turn violent, and "things could get out of control."

In August, an "anti-Occupy" march organized by pro-government activists drew tens of thousands. "We want universal suffrage, but not at any cost," said its organizer Robert Chow.

'Ungovernable'

Hong Kong streets aren't the only thing that'll be paralyzed.

A group of 26 pro-democracy legislators has said they will vote down any undemocratic proposal. Without their votes, Beijing's reform proposal will not have the necessary votes to become Hong Kong law, resulting in gridlock.

"We are going to veto it to show our determination that we are not going to accept this fake democracy," said Albert Ho, a pro-democracy legislator who is involved with Occupy Central.

Li Fei, China's deputy secretary-general of the National People's Congress Standing Committee, has said Hong Kongers only have themselves to blame for lack of reform if they veto Beijing's proposal.

This has effectively set up a standoff between Hong Kong and Beijing.

Alan Leong, another pro-democracy legislator, said Hong Kong is becoming "ungovernable." Without a popular mandate, the next chief executive will face serious challenges as he or she tries to control an increasingly upset civil society.

"There will be a new age of civil disobedience and non-cooperation across the board," Leong told CNN.

But, he added, Hong Kong spiraling into chaos may also persuade Chinese leaders that robust democratic reforms are what's needed to regain stability.

"It's like a phoenix rebirth sort of thing. We're getting worse in order to get better."

International support

In recent days, Western governments have spoken up in defense of Hong Kong's democracy activists.

British lawmakers have announced plans to visit Hong Kong to conduct an inquiry into whether its handover treaty is being violated by China's actions.

But China's National People's Congress has responded angrily, calling the inquiry a "highly inappropriate act which constitutes interference in China's internal affairs."

In the United States, State Department spokeswoman Jen Psaki said the U.S. government "supports universal suffrage in Hong Kong in accordance with the Basic Law and the aspirations of the Hong Kong people."

"We believe that an open society with the highest possible degree of autonomy and governed by rule of law is essential for Hong Kong's stability and prosperity."

But Hong Kong's democracy activists doubt the United States or United Kingdom can make a big difference.

"I do not have much hope on these two governments in particular," said Ho. "Of course they should say something, if they still have the moral fiber to stand up to the strong economic pressure of China. They should know what is right and what is wrong... if they have the guts to do it."

Ho said he and other legislators are currently requesting an "urgent appeal" with the Human Rights Commission of the United Nations and the Human Rights Committee on the International Covenant on Civil and Political Rights (ICCPR), to examine whether the rights of Hong Kongers are being violated.

Opinion: Why Beijing is courting trouble in Hong Kong

@highlight

China announced Hong Kong will not have open elections on Sunday

@highlight

Hong Kong democracy activists say they will stage mass sit-in protest

@highlight

Hong Kong legislators will veto China's reform proposal, resulting in gridlock