Gaza City (CNN) -- The soldier that Israel claimed Hamas militants captured Friday, as a temporary cease-fire to the conflict in Gaza rapidly unraveled, is dead, Israel's military said.

"Lieutenant Hadar Goldin ... was killed in battle in the Gaza Strip on Friday, August 1," the Israel Defense Forces announced early Sunday.

It's not clear whether Goldin, 23, was captured as the IDF had previously said, or whether he died alongside two other soldiers in an armed clash in Gaza. Military spokesman Peter Lerner said Goldin was promoted to lieutenant posthumously.

Speculation about his fate was already up in the air after the armed wing of Hamas, the al Qassam Brigades, announced it had lost contact with a group of its fighters in the Rafah area -- the same area where Goldin was reportedly taken.

In a statement posted on its website, the militant group says it assumes all the fighters died in an Israeli airstrike, including possibly an Israeli soldier. The group -- which denied having info on Goldin -- stopped short of saying the soldier was captured, using the phrasing "assuming he was captured by the fighters."

Whatever happened, the entire ordeal has only served to heighten the hostilities -- with Israel claiming it must attack Gaza in order to prevent the onslaught of rocket attacks on its territory, while Hamas and other Palestinians assert Israel is the aggressor and directly responsible for hundreds of civilian deaths.

And the bloodshed shows no signs of letting up.

Israeli Prime Minister Benjamin Netanyahu vowed Saturday to "continue to act in full scale" against Hamas until all militant tunnels are destroyed.

He told reporters in Tel Aviv that Israeli troops have "managed to hurt severely" the capability of Hamas during the Gaza operation. But they're not done.

"In the beginning of the operation we promised to bring back calm and order (to Israel), and we will continue to operate until this goal is reached no matter how much time or force it takes," Netanyahu said.

The prime minister said that after the tunnels are destroyed, Israeli forces will "regroup," depending on their security needs.

Izzat Risheq a senior Hamas leader and a member of its political bureau, told CNN that Netanyahu's statement was "an admission of failure, defeat and confusion."

"The Palestinian resistance will continue to stand up to this Zionist aggression and defend our people until this aggression stops and the siege ends and the just goals of our people are achieved," he said.

Barbs and accusations fly

Each side continued to blame the other for the collapse of an attempted cease-fire Friday, which disintegrated before it ever really took hold.

Israel has blamed Hamas for going after its soldiers, including Goldin, soon after the cease-fire was to begin. Since then, the IDF has resumed shelling -- including hitting 200 "terror targets" in Gaza in the past 24 hours, including "tunnels, weapon manufacturing and storage facilities, and command and control centers."

A huge predawn blast rocked Gaza as the Islamic University was apparently hit by Israeli shelling. According to the IDF, it was targeting "a Hamas military wing facility" involved in weapons development within the building.

In addition, Israeli aircraft targeted a missile launcher used to fire at Tel Aviv early Saturday, the IDF said.

Hamas leader Khaled Meshaal told CNN's Nic Robertson that Israel thwarted the temporary peace by staying in Gaza and destroying tunnels there.

"A truce is a truce, but the presence of the Israeli forces inside Gaza and destroying the tunnels means it's an aggression," he said in an exclusive interview from Doha, Qatar.

"The Palestinian resistance has the right to self-defense and the right to deal with the invading Israeli forces who are inside our Gaza territories."

Talking about the Israelis, Meshaal said, "What were they doing during the truce? They were destroying tens of houses, justifying their actions that they were looking for tunnels. What kind of cease-fire is this, it has no meaning this way."

The Palestinian death toll Saturday stood at at least 1,712, with more than 9,000 wounded, said Dr. Ashraf al-Qedra, spokesman for the Palestinian Health Ministry in Gaza, via Twitter. The dead included 398 children, 207 women and 74 elderly people.

In a statement, Palestinian officials warned of a public health disaster because of the lack of water, sanitation and primary health care.

The health ministry said 10,000 homes have been destroyed in the Israeli operation, displacing 450,000 people. Shelters were overcrowded and unsanitary. Cases of viral meningitis have jumped from five to 53 per day, the ministry says. And shelling and aerial attacks prevented authorities from retrieving decomposing bodies, which pose a significant health threat.

Ata Abu Rezq, a father of eight in the southern Gaza city of Khan Yunis, described the bombing there as relentless. He reported fire and smoke about 10 miles away in Rafah.

His family has had no electricity for at least 36 hours and is relying on a generator for power, he said. "When it runs out ... we will have to see what happens," he said.

"We use gas to cook. When we run out of gas, we will really be in trouble."

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

Peace efforts out of Cairo

As the conflict continued, Egyptian President Abdel Fattah el-Sisi touted an Egyptian cease-fire initiative as a "real chance" to stop the bloodshed and the best way to get help into Gaza and launch talks.

An Egyptian proposal put forward last month was accepted by Israel but rejected by Hamas.

An official Palestinian delegation arrived in Cairo on Saturday to attend the negotiations, the official news agency MENA reported.

The delegation included a representative of Fatah and Palestinian intelligence, with Hamas and Islamic Jihad representatives set to arrive later, the report said.

"We're hoping that they will be able to negotiate not just an end to this latest tragic bloodshed and to save lives and end this carnage, but also to try to dismantle all the causes that have brought about such a horrific situation," Hanan Ashrawi, executive committee member of the Palestine Liberation Organization in the West Bank, told CNN's "New Day.

But, according to Israeli media reports, Israel will not send a delegation to Cairo.

The divisions between the two were on display as far away as Washington, D.C., where thousands of pro-Palestinian demonstrators rallied outside of the White House, calling for an end to U.S. aid to Israel.

"Palestinians are humans, too. We bleed all the same," said Nader Kalifa, an American of Palestinian descent. "The innocent civilians, all they want is peace. They just want some hope. We need to give them something."

Tensions flared when a small group of pro-Israel protesters gathered on the margins of the pro-Palestinian rally. Both groups shouted slogans and, in a handful of cases, some strong words, at each other.

Inside a Hamas tunnel

Opinion: Gaza peace struggle drains me of hope

What you need to know about the Israel-Hamas blame game

CNN's Mary Grace Lucas, Greg Botelho, Ray Sanchez, Karl Penhaul, John Vause, Tal Heinrich, Phil O'Sullivan, Samira Said and Ali Younes contributed to this report. Salma Abdelaziz is in Gaza with Vause.

@highlight

NEW: Thousands of pro-Palestinian protesters rally in Washington

@highlight

Slain Israeli soldier, Lt. Hadar Goldin, is promoted posthumously

@highlight

Troops "managed to hurt severely" the capability of Hamas, Israeli PM says

@highlight

Hamas leader: Cease-fire was rejected on basis of Israel's ongoing operations