(CNN) -- A year ago, football's finances seemed to be healthier than ever, bucking the trend of global economic hardship.

The total European market had ballooned to a staggering $20.76 billion by the end of the 2007-8 season, and clubs -- especially in England -- splashed out big in the January 2009 transfer market, with the Premier League responsible for a record-breaking $252 million in player purchases.

Things looked good. Spanish big-spenders Real Madrid, incredibly, then beat that English figure on their own in the off-season. Recession? Who's buying that.

But this month's transfer merry-go-round looks like being a much more somber affair. Some big, big clubs are trying to stave off some big, big problems.

Even given those rosy-looking figures of 2007-08, the most recent available, Europe's top clubs then still owed more than $6 billion according to a study by football finance expert Jose Maria Gay de Liébena, an accounting professor at the University of Barcelona.

"Clubs are getting deeper and deeper into the mire of enormous debt, and along with overvalued assets and costs that far outstrip income levels, this is the biggest of football's ills," Gay de Liébena said in his report.

When reports start circulating that an outfit as big as Manchester United, regularly near the top of Deloitte's list of football's wealthiest clubs, are considering refinancing some $960 million of debt with a bond issue, then you know that something is up.

The Glazer family saddled United with huge debts with their 2005 takeover, and the Americans also have outstanding personal sums owed on the deal which have since increased by $64 million, according to Britain's The Times newspaper.

With European ruling body UEFA planning to bring in new rules governing debt and ownership from 2012 which mean clubs cannot spend more than they earn, the pressure is on to find a safe financial footing.

Chelsea's billionaire owner Roman Abramovich responded last week by converting the $540 million he has given the English club in interest-free loans into equity.

And it's not just in England where clubs, also including the American-owned Liverpool, are battling to stay afloat in a sea of debt -- said to be around $4.3 billion for the whole of the Premier League, according to the Wall Street Journal.

German giants Bayern Munich plan big wage cuts, according to Britain's Guardian newspaper, and may be forced to sell star asset Franck Ribery, long a target of Real, United and Chelsea.

"We are going to try to reduce the wages," the Bundesliga club's director of sport Christian Nerlinger said. "The wages have gone through the roof and, therefore, we have got to get our message through to the players that a new contract does not necessarily mean a pay rise."

Belgian club Mouscron has been put into liquidation after being expelled from the Jupiler League on December 28 for failing to meet financial obligations, with debts of $1.15 million, ending 87 years of existence.

While clubs such as United and Liverpool incurred vast debts when they were taken over by new owners, player wages have long been a major item on the expenses side of the balance sheet.

Portsmouth have become the poster club of failed payments in recent times, on Tuesday failing to pay their players' wages for the fourth time this season.

The English outfit is riddled with debt following two takeovers in the past six months, with former owner Alexandre Gaydamak claiming that he is still owed some $45 million in loans and the British tax department issuing a winding-up notice over unpaid debts.

"These chaps knew what they were getting. They must have realized there is a wage bill and the tax bill to meet every month. There are no surprises," Gaydamak told the www.fansonline.net Web site.

The Premier League has also been forced to take action, diverting Portsmouth's latest $11 million in television money to Chelsea, Tottenham and Watford -- who are all owed sums by the struggling club for player transfers.

And the problem is not restricted to the upper echelons of the English game, whose only big-spenders this month may be Chelsea and Manchester City, owned by Abu Dhabi oil billionaire Sheikh Mansour bin Zayed Al Nahyan.

Second division Crystal Palace, bankrolled by millionaire Simon Jordan, have failed to make wage payments to players on time for the past two months, and four times in the last year.

Lower league club Notts County were saved from oblivion in July by the Munto Finance group, who promised to take the world's oldest side into the Premier League with a massive cash injection and the expensive acquisition of former England manager Sven-Goran Eriksson as director of football.

But that has fallen by the wayside with Munto selling to chairman Peter Trembling for a nominal fee, and the club again faces an uncertain future with a second winding-up order from the tax man, though Eriksson apparently remains committed to his post.

Scottish clubs were last year forced to accept a far less lucrative replacement deal from Sky and ESPN following the collapse of Irish broadcaster Setanta, highlighting how precarious the existence of some leagues is.

"The economy of football is not an exception to the rule of economics," Gay de Liébena said. "If one major sponsorship or television deal collapses, the clubs will sink."

@highlight

Football's finances may not be as healthy as previous figures have suggested

@highlight

Manchester United reportedly seeking to refinance $960 million of debt with a bond issue

@highlight

German giants Bayern Munich pledge to cut massive wage bill amid fears of overspending

@highlight

Belgian club Mouscron goes into liquidation after failing to meet obligations