Chicago (CNN) -- Blair Brettschneider didn't experience war or genocide as a young girl in suburban Michigan. She has never received a death threat, and she has never seen a family member murdered.

But the 49 teenagers she helps every week have.

Brettschneider, 24, runs GirlForward, a nonprofit that provides support to young female refugees who have been resettled in the Chicago area.

"Mostly, they are just normal teenage girls. We talk about celebrities and movies and books," Brettschneider said. "But then at the same time, a lot of them have lost parents who've been killed. They've seen bombs in their city. They've lost people to disease and grown up in really dire conditions."

And when they arrive in America, often from war-torn places such as Iraq, Ivory Coast and Myanmar, they face major challenges in building their new lives.

"It's hard enough to be a teenage girl in the United States. ... It's even harder to be a refugee teenage girl," Brettschneider said.

"Girls are, along with the rest of their family, learning the language, adjusting to a new culture, trying to get used to school. At the same time, they are usually in charge of taking care of their siblings or grandparents. They have to translate all the mail that comes, any bills, help go to doctors' appointments."

GirlForward mentors these young refugees to help them adapt to their new surroundings, and it teaches them the skills they need to become successful, independent young women and productive members of society.

All of the girls in the program are in the country legally, Brettschneider said. Most arrived with their families through the Office of Refugee Resettlement, a government agency that offers assistance to refugees of special humanitarian concern. Many of the families have fled religious or ethnic persecution, sometimes even torture.

Brettschneider first saw how hard it is for young teenage refugees when she worked with Domi, a girl who came to the United States at 16.

Because of war, Domi and her family fled the Democratic Republic of Congo when she was 3. She lived in a Tanzanian refugee camp along with her six siblings and her mother until they moved to America.

But when Domi arrived, she didn't know the language, and she struggled to adjust to her new surroundings.

"It was so cold. I didn't have a jacket," said Domi, now 20 and attending college. "I didn't speak English. I couldn't talk to other friends. ... I was sad, angry, freaked out."

Domi desperately needed extra help in school, as well, and that's when she met Brettschneider, who was volunteering as a tutor with an organization called RefugeeOne.

Brettschneider had been interested in helping refugees since she'd been involved with the Save Darfur movement in high school, and she started working with the group after college.

But because of Domi's domestic responsibilities, it was hard to meet consistently.

"She always got there really late and had to leave early to go home and cook dinner and take care of her younger siblings," Brettschneider said. "So I asked if I could start tutoring her at home."

Brettschneider began making house calls to help Domi, even using her own money to take her out for fun.

"We went to the Museum of Science and Industry, the Shedd Aquarium; she asked me if people eat the fish, which I will always remember," Brettschneider said. "Early on, she really hadn't been to many restaurants, and she was really nervous about it. ... We also went to the movies and to see (the musical) 'Hair' when it came to Chicago."

As they spent more time together, Brettschneider realized that Domi had dreams and passions but no idea how to make them a reality.

"Domi wanted to be a nurse, but (she) didn't know what that meant or how to get there," Brettschneider said.

"There's just so much that you grow up with in the United States that you don't even think about having to learn, like, 'What is college? What is a community college? What is financial aid?' "

Brettschneider realized there were so many other girls like Domi. So in 2011, she used a $2,000 gift from her grandparents to launch a support group for refugee teens. She started with about 10 people, and the group quickly grew into what GirlForward is today.

The nonprofit offers educational programs and job training to the girls, as well as a summer camp with field trips and fun activities. Brettschneider often brings in guest speakers, such as nurses and financial advisers, who can bring practical knowledge to the girls.

"We had people from a bank come and talk to girls about financial literacy," Brettschneider said. "This was informal, like what savings is and why it's important."

It's programs like these, as well as Brettschneider's hands-on touch, that make her group appealing for families, many of whom are unaccustomed to promoting girls' education and independence.

She even visits families at home to discuss the details of the group in person.

"In the beginning, sometimes families are skeptical of what we're doing," Brettschneider said. "But we've seen parents really come on board and like that the girls are coming here, because they learn important things about safety and they make friends."

Do you know a hero? Nominations are open for 2013 CNN Heroes

One of Brettschneider's early initiatives was to provide each girl with her own mentor to work with their individual needs. By October, she will have 20 pairs.

These one-on-one relationships can be a valuable source of information and emotional support.

"My mentor and I go to new places to learn about new cultures," said 15-year-old Sara, whose family fled Iraq. "She also helps me learn about transportation. We go do fun activities, but she also helps me when I have school projects."

Sara said meeting the other girls has been incredibly helpful, too, because of the common bond they share.

"We talk about new movies, shopping, stuff like that," she said. "But we also talk about some of the stuff we go through here every day, how we miss our home and what we would like to be in the future."

The group's headquarters -- a cozy and colorful office space -- has become a place the girls can call home.

"They often are sharing bedrooms with grandparents, younger siblings," Brettschneider said. "And this is a place where you can come and relax and read a book or use the computer and, you know, be around girls your own age."

Brettschneider said it's inspiring to watch the girls learn and grow. Ultimately, she wants to help them enjoy their new lives and fulfill all of their dreams.

"It is really important that the girls be able to go to college, but that's not just the one goal," she said. "It's also about making friends and learning how to adjust to a new city and doing all these other things.

"What I see is what all of the girls can accomplish and everything that they can do -- and that's really why all of this exists."

Want to get involved? Check out the GirlForward website and see how to help.

@highlight

Young refugees can find it difficult to adapt to their new life in the United States

@highlight

Girls must often take care of their families while learning English, going to school

@highlight

Blair Brettschneider, 24, has made it her mission to help them succeed

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes