Tunis (CNN) -- When artist Nadia Jelassi exhibited work in Tunis last year, she hoped the piece would prove a talking point.

But when ultra-conservative Salafist Muslims took an interest in her installation at a spring arts festival in Tunisia's capital, the reaction was much stronger than she bargained for.

Deeming a number of artworks in the exhibition heretical, Islamist extremists vandalized the gallery, issued death threats to Jelassi and fellow exhibitors, and rioted in the streets in some of the most serious unrest since the 2011 revolution.

Along with fellow artist Mohamed Ben Slama, she now faces charges of harming public order and morals through her work -- charges that could see them sentenced to up to five years in prison if convicted.

"I never imagined this could happen, not even in my worst nightmares," said Jelassi.

The clash highlights growing tensions between liberal and religious forces over the limits on free speech, as they jostle to define the identity of the new Tunisia following the ouster of dictator Zine el Abidine Ben Ali in January 2011.

One of the pieces that triggered the protests was Jelassi's installation "Celui qui n'a pas ... (Anyone who has not ... )," which featured mannequins of traditionally veiled women, positioned amongst a pile of stones, with text written on both the female figures and the stones.

The work, Jelassi told CNN, was about "trying to show two different ways to practice Islam -- one spiritual, and one closed."

But some of the protestors, alerted to the exhibition by postings on social media, interpreted the artwork as implying traditionally dressed women should be stoned.

Ben Slama's artwork, which was also singled out by the protesters as indecent, depicted a line of ants emerging from a child's schoolbag to spell the word "Allah."

Read more: Inside Tunisia's former dictator's palace -- fake diplomas, sports cars, and a stuffed leopard

After festival organizers refused a request from the aggrieved Salafists to remove the offending works from view, thousands of hardliners took to the streets, leaving the walls of the gallery scrawled with graffiti reading: "Non-believers have no place in Tunisia" and "You are enemies of God."

This is not the only flashpoint Tunisia has seen. In late 2011, religious conservatives also protested against a Tunis television station and attacked a theater for playing films deemed un-Islamic, while there have also been reports of conservatives attempting to enforce Islamic dress codes.

The group behind the protests are the Salafists -- ultra-conservative Sunni Muslims who are becoming an increasingly strident political force across the Arab world in the wake of the Arab Spring.

Having suffered repression under the rule of Ben Ali, they now seek a greater voice in the new Tunisia, pushing to impose a stricter vision of Islam than that championed by the moderate Islamist Ennahda party which runs the interim government.

One Salafi cleric, Sheikh Adel Elmi, told CNN he believed art should promote religious virtue, and he had opposed the exhibition because it contained nudity.

"We are against violence, and for dialogue," he said. "But we act in response to provocation, and I consider nudity to be violent."

Read more: Arab women take a stand on sexual violence

But other Tunisians, particularly those of a secular, liberal persuasion, hold a different view of their country's future. While Islam has always been the main religion in Tunisia, politics have long been secular.

Mounir Letaief, a 52-year-old painter from Tunis, says the views of those who value freedom of expression, artistic or otherwise, must also be taken into account as the country attempts to rebuild itself.

"I respect them," Letaief said of the Salafists. "But they have to respect me and the other people who think different."

Tunisia's interim government says it is against censoring art -- but that a red line exists when it comes to blasphemy. A proposal has been tabled to criminalize blasphemy in Tunisia's new constitution, due later this year.

"Even in the most modern societies, there are limits -- whether it's security or religious," Culture Minister Mehdi Mabrouk told CNN. "In order to protect freedoms, we need to set these limits."

Meanwhile, Jelassi is waiting to see what will become of the charges against her, with international groups such as Human Rights Watch calling on Tunisian authorities to drop them.

The charges were being used to stifle the freedom of expression of "artists, journalists, and other citizens who voice criticism of religion," Amna Guellali, a Tunis-based researcher at Human Rights Watch, told CNN.

But Jelassi said she would continue to resist any attempt to impose a new culture of censorship in Tunisia.

"Freedom of expression is not something we invented, its limits are well known," she said. "But the sacred is something personal, and no one should intervene in that."

@highlight

Art has become a target for hardline Islamists in Tunisia after the revolution

@highlight

Salafists rioted last year over an exhibition containing artworks they considered heretical

@highlight

Tunisian artists and liberals say they will not be cowed by an intolerant minority

@highlight

Tunisia's moderate Islamist government is attempting to walk a line between the two