(CNN) -- The same dementia-like disease found in the brain tissue of several National Football League players has shown up in the brains of four U.S. veterans exposed to improvised explosive devices and other head trauma, according to new research.

The suggestion made by the research is that a common thread binds those exposed to traumatic brain injury, whether it occurs on the football field or in the war theater.

"We found the same changes (the same damage to the brain) in veterans just as we did in athletes," said Dr. Ann McKee, a study co-author and director of the Neuropathology Service for VA New England Healthcare System. "This is interesting and intriguing."

Two of the military cases, and a group of mice studied concurrently by researchers, suggest that a single IED exposure could instigate the cluster of abnormal protein in the brain that characterizes the disease, called chronic traumatic encephalopathy.

CTE derives some of its notoriety from cases like that of Dave Duerson, a former Chicago Bear who shot himself in the chest in 2011 and was found to have dense clusters of tau protein permeating his brain and spinal cord.

Tau is released by neurons when the brain is rocked inside the skull and, when unleashed, tends to lodge in parts of the brain responsible for memory, judgment and mood.

The same group of researchers at the Boston University School of Medicine who examined Duerson's brain excised thin slivers of brain tissue from four U.S. veterans who died suddenly. Those were compared to tissue taken from two other groups: three amateur football players and a professional wrestler with a history of concussion; and a control group of four young people who died suddenly with no history of concussion.

What tends to confuse these cases is the inability to isolate the effects of an IED blast. Veterans included in the study had been exposed to IED blasts between one and six years before their deaths, but some had also sustained accident or sports-related concussions.

Questions are then raised about whether the blast itself or the history of concussion -- or both -- contributes to CTE.

"It's a little like trying to figure out the plot of a film by looking at the last frame," said Dr. Lee Goldstein, associate professor at Boston University School of Medicine and Boston University College of Engineering.Â "You have an idea about how the ending occurred, but you don't know the plot line that got you there."

That's where the mouse study comes in.

"What the mouse study does is ask a very specific question lingering in the field, which is, can exposure to even a single blast result in brain damage that persists and possibly progresses?" Goldstein said.

To answer that question, researchers exposed a group of mice to blast winds -- some up to 330 miles per hour -- that mimic what might occur in the wake of an IED blast and compared them to a group of mice the same age, living in the same conditions, that were not exposed to blasts.

The effect of the blast is described by researchers as a "bobblehead effect," the brain rocking back and forth inside the skull, similar to what happens during a concussion, and in some people it leads to brain damage.

Two weeks after exposure to the blast, brain tissue in mice showed evidence of tau protein.

"We were expecting the effect after multiple exposures," Goldstein said. "We were not anticipating this."

"They have definitively shown that blasts and shaking of the head gives you the same pathology seen in sports concussions," said Dr. Jack Tsao, a Navy commander, neurologist and director of traumatic brain injury programs for the U.S. Navy Bureau of Medicine and Surgery.Â  "The mouse model then gives you a potential for investigating the cause of what's happening.

"It's an important first step in raising further awareness of this issue," Tsao added.

Some military cases were notable for overlapping of symptoms reported by football players later diagnosed with CTE -- including headaches, irritability, difficulty sleeping and depression -- and for a diagnosis of post-traumatic stress disorder before death.

The research also raises questions about a potential subgroup of veterans returning from the war with a diagnosis of traumatic brain injury.

"It's safe to say right now that we're not sure what the overlaps are," said McKee, a professor at Boston University School of Medicine.Â  "Most people feel there is an overlap, and some cases of PTSD will be accounted for by CTE, but not all."

"The authors speculate that there may be a link," Tsao said. "It is very interesting to think this is going on and certainly well worth looking into, but ... there is no direct evidence yet based on what we've seen."

Study authors acknowledge limitations of their cases series -- published online Wednesday in the journal Science Translational Medicine -- including a small study size and obvious anatomical differences between mice and humans, but they believe they have enough information based on the study to move toward developing therapies to address CTE.

"That is the burning question that needs to be addressed now," Goldstein said.

@highlight

Dementia-like disease in brain tissue of NFL players shows up in four veterans

@highlight

Study suggests thread links athletes and IED survivors exposed to traumatic brain injury

@highlight

Can exposure to even one blast result in brain damage that persists and progresses?