(CNN) -- There was a time when the Republican Party was strictly for White Anglo Saxon Protestants. It was an alliance between Country Club Episcopalians and twice born followers of the Old Time Gospel, all firmly opposed to mass Catholic immigration from Europe. The nativism of the GOP drove Catholics into the welcoming arms of Al Smith, Jack Kennedy, Tip O'Neill and the Democratic Party.

But this year's GOP front-runners are a Mormon and two Catholics -- Rick Santorum (a cradle of Italian descent) and Newt Gingrich (a convert). Roughly one-quarter of Republican primary voters are Catholic.  Notable Catholic GOP leaders include John Boehner, Paul Ryan, Christine O'Donnell, Marco Rubio and Jeb Bush. Six out of nine justices of the Supreme Court are Catholics, and five of them are Republicans.

The GOP is undergoing a quiet process of Catholicization. It's one of the reasons why this year's race has focused so much on social issues -- and sex.

Republican outreach to Catholics began in the early 1970s, when Richard Nixon tried to entice blue-collar "white ethnics" to the GOP by taking a tough stand on abortion. Nixon told members of his staff he was tempted to convert to Catholicism himself, but was worried it would be seen as cheap politics: "They would say there goes Tricky Dick Nixon trying to win the Catholic vote. ..."

Nixon genuinely admired the Catholic intellectual tradition and its ability to provide reasonable arguments to defend conservative values at a time when they were undergoing widespread reappraisal. That certainly made the Church an invaluable partner during the culture wars of the 1980s and 1990s.

When the Moral Majority was established in 1979 to oppose things like abortion and homosexual rights, its evangelical founders did their best to include Catholics. Despite the organization's reputation for being the political voice box of televangelists and peddlers of the apocalypse, by the mid '80s it drew a third of its funding from Catholic donors. Leaders like Jerry Falwell and Pat Robertson consciously used the Moral Majority (and, later, the Christian Coalition) as an exercise in ecumenical coalition building.

Falwell and Robertson were fans of Pope John Paul II and his resilient anti-communism. But they also recognized, like Nixon, that the Catholic Church had a vast intellectual heritage that could be drawn upon when fighting the liberals. For example, when debating abortion, evangelicals had hitherto tended to rely on Scripture to make their case. Catholics, on the other hand, had been integrating the concept of "human rights" into their theology since the 1890s.

Under Catholic influence, the pro-life movement evolved from a zealous, theology-heavy rationale to one more couched in the language of human dignity and personhood.

By 2000, Catholic social teaching was a core component of the Republican Party's "compassionate conservatism" agenda. Karl Rove targeted religious Catholics on behalf of George W. Bush, while the president made a big play of his social traditionalism. In the 2004 election, Bush beat John Kerry among Catholics, despite the fact that Kerry described himself as a faithful Catholic who never went anywhere without his rosary beads.

Crucially, Bush's victory among Catholics was made possible by his margin of support among those who attend Mass regularly. Catholics who said they rarely went to church plumped for Kerry. The election heralded a new split within the politics of the communion, between religious and ethnic Catholics. Indeed, it could be argued that just as Republican Protestants have become a little more Catholic in their outlook, so conservative Catholics have become a little more Protestant in theirs.

Take Rick Santorum. Santorum is part of the John Paul II generation of Catholics who reject most of the liberalism that swept the church in the 1960s. He is a member of a suburban church in Great Falls, Virginia, that (unusually, nowadays) offers a Latin Mass each Sunday with a Georgian chant sung by a professional choir.

The church has a "garden for the unborn" and has boasted as worshipers the director of the FBI, the head of the National Rifle Association and Justice Antonin Scalia. Santorum is also an outspoken admirer of Saint Josemaria Escriva, the founder of the conservative lay organization Opus Dei. Opus Dei encourages among its members a work ethic and an effort to "live like a saint" that is strikingly similar to the values and mores of New England's Puritan settlers.

Santorum's political theology has thus moved him so sharply to the right that it's sometimes difficult to culturally identify him as a Catholic. In a March 18 survey, less than half of GOP Catholics actually knew the candidate was himself a Catholic. That might be one of the reasons why Santorum consistently loses to Romney among Catholics in primaries, even during his landmark victories in the Deep South. In contrast, he does very well among evangelicals.

We might speculate that what is emerging is an alliance between ultra-conservative Catholics and tea party evangelicals. Its politics might be antediluvian, but it's an ecumenical breakthrough and a cultural revolution at the grass-roots level.

The coalition's mix of Catholic moral teaching and evangelical fervor has oriented the 2012 GOP race toward fierce social conservatism. During the debate over Obama's contraception mandate, it was the Catholic conservative leadership who provided the moral objection, but the evangelicals who produced most of the popular opposition to it. And it is evangelical support that has elevated Santorum to his current status in the race. With its ability to shift the agenda and win primaries, the emerging Catholic/evangelical political theology is the most striking conservative innovation of this turbulent campaign season.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Timothy Stanley: The Republican party was once dominated by Protestants

@highlight

He says Catholics and Catholic theology now play a key role in the GOP

@highlight

Stanley: Conservative Catholics have led the party's social issues conversation

@highlight

He says social issues play a key role in primaries, due to Catholic-evangelical alliance