New York (CNN) -- A controversial NYPD surveillance unit that cataloged information on Muslim communities never produced a lead that linked to a potential terrorist plot during years of investigating, according to the head of the city's police intelligence division.

The NYPD's Demographics Unit -- or Zone Assessment Unit -- was put together with the CIA's help following the September 11, 2001, attacks. The unit has acknowledged that it engaged in monitoring that included Muslim-owned business and mosques across the New York region.

The unit's reports, however, never led to a terrorism investigation in at least six years of surveillance, according to court testimony from Thomas P. Galati, the commanding officer of the police intelligence division.

"I could tell you that I have never made a lead from rhetoric that came from a Demographics report and I'm here since 2006," he said in a June 28 deposition unsealed Monday. "I don't recall other ones prior to my arrival. Again, that's always a possibility. I am not aware of any."

A 60-page report obtained by The Associated Press earlier this year showed NYPD maps of Newark, New Jersey, and photographs of Muslim residences and mosques, while other reports revealed that authorities had tracked websites and on at least one occasion placed an undercover officer with university students.

There was no statement in the documents regarding terrorism or criminal activity.

Galati's June testimony was part of a lawsuit that actually began with a class-action case in 1971 and resulted in a historic settlement over a decade later known as the Handschu agreement, or Handschu guidelines.

The settlement restricted police -- who were then accused of compiling dossiers on political activists and those perceived as radicals -- from investigating individuals whose activities were constitutionally protected.

But civil rights attorneys last year filed papers in federal court challenging whether the use of undercover agents and informants within Muslim communities constituted a breach of those guidelines.

NYPD Deputy Commissioner Paul Browne said Tuesday that the "premise that the demographic unit was used for wholesale spying on Muslims, using undercover officers and informants to do so, was false," and that neither "confidential informants nor undercover officers were assigned to the demographics unit."

Browne added that "the small unit, about 8 people, surveyed places a terrorist might go to use a foreign language internet cafe, get a job off the books, find a place to stay, etc."

However, police did uncover information that "led them to recommend that investigators take a closer look."

He pointed to an "Islamic book store in Brooklyn frequented by the Herald Square plotter" as well as a Staten Island location that was being separately investigated by the NYPD.

Police actions adhered to the Handschu guidelines, Browne added, which were modified following the 2001 attacks to provide authorities greater leeway in investigating potential threats.

In the first expansive official description of the city's Demographics Unit, Galati testified in June that the NYPD had collected information often based on ethnicity and language.

"Most Urdu speakers from that region (Pakistan) would be of concern, so that's why it's important to me," he said.

Listening in on a conversation at a Lebanese cafe could also be useful, he added, allowing analysts to determine what part of Lebanon the cafe-goers were from.

"That may be an indicator of possibility that that is a sympathizer to Hezbollah because Southern Lebanon is dominated by Hezbollah."

But "related to demographics... "I can tell you that information that (has) come in has not commenced an investigation."

The purpose of the unit is to help "identify locations if we're faced with a threat," he noted, offering investigators a better starting point when confronted with a possible attack.

"The police department needs to know where we should go and look for that particular terrorist," he said. "A lot of information that the Zone Assessment Unit captures helps us identify locations that we should look or not look for."

He noted that "the information in the Demographics reports does have value" because it "contains a lot of bits and pieces of value, of intelligence value."

In May, New Jersey Attorney General Jeffrey Chiesa announced that the NYPD did not violate New Jersey laws when it carried out surveillance of Muslim-run businesses across state lines.

The findings were the product of a three-month review meant to address concerns expressed by Muslim organizations, who later filed a lawsuit in New Jersey federal court against the NYPD for unfairly targeting the Muslim community.

Meanwhile, news of Galati's testimony drew statements from activists on Tuesday, who called the police program "unconstitutional and inconsistent with our nation's values."

"The NYPD's spying on Muslims based solely upon their faith violates the most basic American values of religious freedom and equal protection of the law," said Glenn Katon, legal director of an activist group called Muslim Advocates.

U.S. Attorney General Eric Holder in March called reports of NYPD surveillance "disturbing," though White House chief counterterrorism advisor John Brennan praised the city's efforts to strike a balance between security and the protection of civil rights.

@highlight

The NYPD's Demographics Unit was put together with the CIA's help

@highlight

The unit's reports never led to a terrorism investigation in at least 6 years of monitoring

@highlight

Thomas P. Galati's testimony was part of a suit that began with class-action case in 1971

@highlight

NYPD says "premise that the demographic unit was used for wholesale spying.. was false"