Monson, California (CNN) -- In California, water flows uphill toward money and power. That's a well-known maxim out here, especially in the Dust-Bowl-ready Central Valley -- that forgotten stretch of California that grows 40% of U.S. fruits, nuts and other table foods.

Meet a few people and it's easy to see why.

There's Joel Sampedro, 56, whose garden hose started spitting out sand, not water, about this time last year; or Simona MagaÃ±a, a 70-year-old former farm worker who stores water in buckets in the back of a rusty yellow pickup truck because her well is busted and there's no reliable public system for her to hook up to; she uses that nonpotable water to wash dishes, take showers and "flush" the toilet; or Eunice Martinez, 48, who, like many here, makes a distinction between "water," which is the stuff that comes from her tap, and which is usually too polluted to drink, and "drinking water," which is the stuff she buys in plastic bottles.

"We're in the United States of America. We should be able to turn on that water and drink out of it," Martinez told me, standing by her kitchen sink, which has a five-gallon water jug next to it for cooking. "We can't ... It's discriminatory, racist."

This is the invisible California -- the "other California." A place of pickup trucks and pesticides. More West Texas than West Hollywood.

It's the same California John Steinbeck chronicled in "The Grapes of Wrath," the epic book about "Okies" who left the Great Plains during the Dust Bowl and fled to farms here. Some of them are still around. On Tuesday, I went to the town of Tooleville (nickname: "Little Okie"); and the unincorporated town of Monson. There, I met Clarence Harms, whose family came to this supposed promised land from Kansas and Oklahoma when the dust storms made life back there unbearable.

And it's the California that's going to be the subject of my next project in the Change the List series. I'm fascinated by this forgotten valley and a major river, the San Joaquin, that cuts through it. The advocacy group American Rivers recently named the San Joaquin the "most endangered" river in the country. To figure out why, I'm setting off on a three-week journey to try to kayak and walk along its path.

I'm doing so because I want to understand the river and the people who depend on it -- beyond the screaming headlines about drought-year California politics.

I want to get to know this river, at a river's pace, on a river's terms.

I started the journey on Tuesday by going on a tour of the Central Valley with the Community Water Center in Visalia, California. I did that because I wanted to understand how and why water matters to people here. I found out it's everything. Yet there's not nearly enough to go around. Wells are going dry. Those who do have water have to deal with pollution from nitrate, which is linked to blue baby syndrome, kidney disease and other maladies. Some blame farmers for slurping up groundwater with virtually no regulatory oversight from the state. Farm advocates say there's not enough river water for them, in part because of regulations to protect rare fish. They say they're pulling groundwater to survive, too.

I'm going to withhold judgment for now, but I plan to wade deeper into these and many other environmental and social issues on my trip down the San Joaquin. The adventure down the river starts for real on Wednesday. I'm going to hike up to the untouched headwaters, high in the Sierra Nevada.

I'm hoping to end beneath the Golden Gate Bridge in early July.

That's assuming I don't get lost or die of heat exhaustion.

You can follow the journey on Twitter, Instagram and Facebook. Or, to make it easier, there's a page on CNN.com that will collect all that stuff for you.

I'll be using the hashtag #endangeredriver.

I could ramble on about my plans, but you'll get to hear all about them in the coming weeks. For now, let me leave you with this: Water is such a deeply personal topic out here in California that Marcelina Sampedro, the wife of the man whose hose started sputtering sand, told me she has two recurring dreams about it.

Both are about a river, but they're slightly different.

Version1: The water is clean and pure. Someone is struggling to swim, but Sampedro is able to grab this anonymous person and pull him or her out to safety.

Version2: The river is polluted, which makes it not unlike the water that comes out of her tap. She and her husband use a $900 water filter/robot (it looks like a miniature version of Eve from WALL-E) to remove the nitrates from the water that comes out of their sink. They both work on fruit orchards, picking crops in the 100-degree heat, paid by the weight, and making about $26,000, together, per year.

In that second dream, again, the person in the river is drowning.

She tries to help but can't.

The unnamed figure drowns.

She wakes up to a life where she and her husband would have no water at home if it weren't for the generosity of Clarence, their neighbor, who gives them water from his well. They're all worried his well could go dry, too.

There are potential fixes for all this, and state programs that are trying to bring safe water to more people in the Central Valley and elsewhere.

But there's just not enough water to go around.

So water continues to flow uphill.

Toward money and power.

That's the history. And, if more's not done, it's looking like the future.

@highlight

John Sutter is starting a project on California's San Joaquin River and watershed

@highlight

He is going to try to walk and kayak down the river

@highlight

American Rivers named the San Joaquin the "most endangered" U.S. river

@highlight

It starts in the Sierra Nevada and flows into the San Francisco Bay