Washington (CNN) -- The Supreme Court has decided that the family of a slain professional wrestling personality can continue its lawsuit against Hustler magazine, a case that tested privacy concerns and the competing right to publish "newsworthy" material.

The justices without comment Monday turned aside an appeal from the publishers of the men's magazine, which featured old nude photos of Nancy Benoit, who was killed nearly three years ago by her husband and fellow wrestling superstar Chris Benoit. The couple's young son also was slain in the family's Georgia home.

The order is a victory for the estate of Nancy Benoit, which is seeking damages from Hustler.

At issue was whether the constitutional right of privacy indirectly referenced in the 14th Amendment trumps the First Amendment protections of the media and publishers in this "right-of-publicity" dispute.

The original lawsuit was brought by Maureen Toffoloni, whose daughter, Nancy Benoit, had posed nude for a photographer more than two decades ago. Toffoloni claims that her daughter, who was also known by the wrestling moniker Woman, had asked immediately after the shoot to have the photos and video destroyed and believed that photographer Mark Samansky had done so.

He later sold stills from the video to Hustler, a men's magazine founded by Larry Flynt that publishes racy material. The photos were published in the March 2008 issue.

The murders had occurred the previous summer. At the center of the crimes was Chris Benoit, a Canadian-born athlete who worked for several professional wrestling circuits, including the popular World Wrestling Entertainment. In 2000, he married Nancy Sullivan, a Florida native who had become a well-known wrestling manager after her time in the ring. Their son, Daniel, was born earlier that year.

Police say the crimes occurred over a three-day period in June 2007 at the Atlanta-area home of the Benoits. Investigators concluded that Chris Benoit first bound his 43-year-old wife and strangled her. The 7-year-old boy was then drugged and strangled. The man then committed suicide by hanging himself with a weight machine. No formal motive was ever established.

CNN reported at the time that doctors found testosterone, painkillers and anti-anxiety drugs in the body of 40-year-old Chris Benoit, according to Georgia's chief medical examiner. Performance-enhancing anabolic steroids were later found in the home.

Weeks after the killings, a study of Chris Benoit's brain showed damage from "prior repetitive injury." His father, Michael Benoit, said on CNN's "Larry King Live" that a series of concussions from his high-flying moves in the ring were in part to blame.

Georgia has a law similar to many states' recognizing the right to privacy against "the appropriation of another's name and likeness ... without consent and for the financial gain of the appropriator." That would include "a private citizen, entertainer, or a public figure who is not a public official" like a legislator.

The state's high court ruled against Hustler magazine in June, finding that a "brief biography" of Nancy Benoit and her murder accompanying the nude photos did not represent a "newsworthy article."

"The photographs published by [Flynt] neither relate to the incident of public concern conceptually [the murders] nor correspond with the time period during which Benoit was rendered, against her will, the subject of public scrutiny," the state court wrote. "Were we to hold otherwise, [Flynt] would be free to publish any nude photograph of almost anyone without their permission, simply because the fact they were caught nude on camera strikes someone as 'newsworthy.' Surely that debases the very concept of a right to privacy."

The state justices said "crude though the concept may seem," Nancy Benoit's mother is now entitled to control such images "in order to maximize the economic benefit to be derived from her daughter's posthumous fame." Such power is known legally as the "right of publicity."

Flynt and the photographer, Samansky, later filed the appeal with the U.S. Supreme Court and had the support of several media organizations.

In a brief filed in support of Hustler, the Reporters Committee for Freedom of the Press said the Georgia ruling "makes no sense, as it goes well beyond the photographs that appear in magazines such as petitioner's to affect all news-gathering."

The group noted that other courts have long recognized a broadly read "newsworthiness" standard for commercial media like CNN and that such specific "dissection" of content-based stories and pictorials by judges would cripple editorial decision-making by all news outlets.

The case is LFP Publishing Group (dba Hustler Magazine) v. Maureen Toffoloni, as administrator and personal representative of the estate of Nancy E. Benoit (09-625).

@highlight

Supreme Court turns aside appeal over Nancy Benoit nude photos

@highlight

Hustler published pictures months after Benoit's husband killed her, son, himself

@highlight

Nancy Benoit's mother sued, saying daughter thought materials destroyed

@highlight

Case centers on rights of media, privacy