(CNN) -- This election is about the economy -- not social issues or other distractions.

At least, that's the mantra we've consistently heard from conservative candidates this election cycle. We heard the same thing during the "tea party election" of 2010.

But it's an odd insistence from an overwhelmingly social conservative Republican party. Because keep in mind, they're not disavowing anti-choice beliefs on abortion or opposition to gay rights or any other deeply held hot-button issues. They just don't want to discuss them loudly in an election year.

It's almost as if bringing up social issues is impolite. But of course, there's an electoral calculation beneath the impulse to keep them in the closet.

It is an interesting implicit admission -- that the far-right litmus tests on social issues that seem necessary to win closed partisan primaries also alienate the centrist and independent voters that Republicans need to win general elections.

There is no question that fiscal conservatism is what holds the Republican coalition together and helps it connect with independent voters concerned about deficits and the debt. Smaller government and lower taxes are popular promises, particularly if specific cuts aren't spelled out in detail. And certainly, the still struggling economy is a cause of frustration and anxiety.

Tell us: Where do you stand on abortion?

But all that was true in 2010, when the tea party revived the Republican Party with promises to refocus it along libertarian lines, ignoring divisive social issues because there were more urgent economic matters at stake.

Two years later, this pitch has lost some of its punch. That's because we can compare the rhetoric to the record. And contrary to the libertarian promises, social issues have been front and center, especially in the state legislatures that Republicans took control over in 2010.

In 2011, 24 states passed a record 92 restrictions on abortion, including mandatory ultrasound legislation, waiting periods, insurance restrictions, and abortion bans after 20 weeks of pregnancy. The pace continued in 2012.

Opinion: Can Romney get back on track?

Likewise, when Republicans took control of the North Carolina state legislature, one of the first referendums they put on the ballot was a bid to ban same-sex marriages. It passed handily. In Iowa, three judges who ruled same-sex marriage was constitutional found themselves kicked out of office in 2010, and another of those judges is being targeted this election cycle, with former presidential candidate Rick Santorum and Louisiana Gov. Bobby Jindal adding their voices to the effort.

It's not just a case of unruly conservative state legislatures. The Republican-controlled U.S. House of Representatives was elected on a similar promise to focus on the economy. But less than one month after taking office, conservatives pushed through the first of several efforts to defund Planned Parenthood, even though the long-standing Hyde Amendment already prohibits spending federal money on abortions. (The taxpayer money that Planned Parenthood does receive is limited to women's health services, like breast health exams.) With all the promises to cut excess spending, this was an odd place to begin looking for meaningful cuts, unless you recognize that social issues were driving the agenda from the outset.

By contrast, look at the contortions many conservatives are going through to avoid making the sequester cuts to the Defense Department -- required after congressional negotiators failed to agree on a deficit-reduction plan last fall -- proposing instead that the cuts guaranteed by the bipartisan failure of the super committee come entirely out of entitlement spending.

Navarrette: Dreamers deal a risky roll of dice

It's important to appreciate that social conservatives hold their views dear. And good people can disagree on these most difficult and personal issues, particularly abortion. Vice-presidential nominee Paul Ryan is a serious deficit hawk who had the courage to put his budget plans in writing, but he is similarly opposed to abortion even in cases of rape and incest and has written extensively about his beliefs in this area.

That this is deeply held should not distract us from the fact that fewer than 20% of Americans support a constitutional ban on all abortions, as called for in the Republican platform. The Clintonian formulation of "safe, legal and rare" comes closer to expressing the consensus; but pro-choice Republicans are close to being RINO -- "Republicans in name only" -- hunted out of existence.

Mitt Romney has characteristically shown less consistent commitment to social issues. He was pro-choice until he started running for president, but now expresses a desire to see Roe v. Wade overturned. He once was a financial supporter of Planned Parenthood, but now wants to defund it entirely. In addition, the man who once pledged to be better on gay rights than Ted Kennedy now backs the Bush-era constitutional ban on same-sex marriage.

Rothkopf: Obama on world stage: More hope than change

There's plenty of reason to believe Romney reversed his positions for political expedience while trying to win the Republican primary -- but there's no reason to believe he would abandon those new positions if he became president. Given the conservative congressional record, he'd likely be faced with social legislation if he took the oath of office. Is it reasonable to believe he would veto it in a return to moderation?

Many of my libertarian friends are content to ignore these inconsistencies while distancing themselves personally from the social-conservative populists in their chosen party. There are more urgent issues, they say, especially reducing deficits and debt, which have exploded under President Obama.

But I can't help but wonder why a serious focus on this front would not have created a tea party rally around the bipartisan Bowles-Simpson Commission recommendations, which would have cut taxes, closed loopholes, reduced spending and enacted entitlement reform. Ryan and his Republican congressional colleagues on the commission voted against it. Likewise, it was the tea party congressmen who undercut House Speaker John Boehner's attempt to forge a grand bargain with Obama during the self-inflicted debt-ceiling crisis.

Social issues received earlier and more consistent support on the state legislative and congressional level than serious attempts to reduce the deficit and the debt. Formerly bipartisan jobs bill proposals put forward by Obama -- like a public-private infrastructure bank -- likewise did not move forward, contrary to promises to focus on jobs and improving the economy.

The bottom line is it makes no sense to pretend that social issues are not on the ballot this fall, along with more pressing issues. The record of the past two years suggests that social conservatism is a driving force beneath the tea party rhetoric. To ignore that fact is to ignore reality, no matter how uncomfortable it is.

Tell us: Where do you stand on social issues? Cast your vote with the CNN-Facebook "I'm Voting" app, and be part of the way CNN covers the election. Abortion | Same-sex marriage

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Conservatives say election about economy, not social issues. Really?

@highlight

Avlon: GOP at state and federal levels has put social issues ahead of economy repeatedly

@highlight

He says GOP focuses on abortion, same-sex marriage, but runs from action on debt

@highlight

Avlon: It's clear in past 2 years social conservatism a driving force behind tea party rhetoric