(CNN)"Breast is best" -- you could call it a mantra of sorts that sums up much of today's research on breastfeeding.

Not only does breastfeeding have clear short-term benefits, such as protection from infectious diseases and a reduction in mortality, it's also been shown to be associated with an increase in intelligence.

Prior studies have shown an increase of up to 7.5 IQ points in elementary age children who were breastfed, as well as an increase in verbal, performance and comprehensive IQ in adults.

The latest addition to this perspective is a long-term study of infants born in Pelotas, Brazil, in 1982. Published in Lancet, the study interviewed 5,914 new mothers about their plans for breastfeeding and then followed up to see how they did.

"Information on breastfeeding duration was collected very close to the time when weaning happened, so we had a very precise information on the duration of breastfeeding," said study author, Dr. Bernardo Lessa Horta, in a podcast on Lancet.

What makes this study unique is that it followed the subjects all the way to age 30.

"We were able to follow about 68% of the participants, which is a very good follow-up rate," said Lessa Horta. "We observed that breastfeeding was positively associated with performance and intelligence at 30 years old, as well as with education, school achievement and higher monthly incomes."

In fact, Lessa Horta said the subjects who had been breastfed for 12 months or longer had a higher IQ (about 3.7 points), more years of education and earned roughly 20% more than the average income level.

"It's suggesting that the positive effect of breastfeeding on IQ leads to a higher income," he said. "This is our main finding at this moment."

One possible reason for the advantage of breast milk, Lessa Horta added, is that it is "rich in long-chain polyunsaturated fatty acids which are important to brain growth and development." Called LCPUFA for short, these essential fatty acids are found in salmon and shellfish and have been added to infant formulas since the 1990s. However, the benefit to mental or psychomotor development from adding LCPUFA to infant formula is unclear.

Because the study did not measure home life, intellectual stimulation or bonding between mother and child, it was not able to tease out whether these factors may have also contributed to the increase in IQ.  That leaves it open to critics, such as Texas A&M Professor Joan Wolf, author of  "Is Breast Best?

"This study does not address the very real possibility that mothers who choose to breastfeed, regardless of income or education, distinguish themselves from those who bottle-feed in all kinds of ways that are likely to promote intelligence," Wolf wrote CNN.

For Lessa Horta, the implications of his study are clear: "The finding supports the promotion of breastfeeding. It's more evidence that besides the clear short term benefits, breastfeeding also has long term consequences in terms of human potential."

@highlight

Long-term study finds that IQ at age 30 was nearly 4 points higher for babies breastfed for a year or more

@highlight

Study conducted in Brazil also associates longer breastfeeding with higher income and education levels

@highlight

Critic points out that the study doesn't account for other possible contributing factors