Jeevan Maharjan has a different approach to human waste -- he considers it as wealth.

Rather than flush it down the toilet, the 47-year-old Nepalese farmer collects it to spray on his crops.

"It's three times better than chemical fertilizers," he said, referring to yield of his fruit and vegetable crops after using human fertilizer compared to more conventional methods.

As he walked across his 27,000 square feet of land in Siddhipur Village Development Committee on the outskirts of the capital Kathmandu, Maharjan said his method of fertilizing is nothing new.

He described it as an "age-old tradition," passed down from his parents, though he says the approach is now more efficient and clean.

Taking a few quick steps towards his ecological sanitation -- or ecosan -- toilet, Maharjan explained how it works.

The urine and feces are stored in separate airtight compartments of the toilet, he said, for later use on the land. The urine is kept for about two weeks before it is used, while the feces, which is turned into manure, is used every six months.

According to Janardan Khadka, a soil scientist at Nepal's Central Horticulture Center, "It is important to secure the urine container for two weeks to a month to reduce the risk from bacteria and other germs."

He said that urine can be used safely and the health risk associated with it is generally low.

Khadka, however, pointed that users should be careful during source separation at the toilet as fecal cross contamination of urine could increase the health risks.

"It is best to mix urine with compost for best results," he added.

The World Health Organization's guidelines for safe use of wastewater, excreta and greywater also underscore a mix of multiple health and safety measures.

It states: "Wastewater treatment plus a withholding period to allow pathogen die-off prior to harvest plus good food hygiene plus cooking of food may be sufficient to reduce health risks adequately."

Maharjan, who collects about 100 liters of urine from his family's toilet each month, said for every liter of urine, he mixes three  liters of water and sprays it over his land where he cultivates seasonal vegetables and fruits.

Hari Krishna Upreti, senior scientist at the Nepal Agricultural Research Council's (NRC) Botany Division, said urine was surprisingly rich in nutrients.

According to Upreti, a liter of urine contains up to 0.9% nitrogen, 0.12% phosphorus and 0.26% potassium  These elements -- collectively known as NPK -- helps regulate the plants' metabolism and contains enough protein for them to grow.

"A person urinates an average of 550 liters per year," he said. "So this produces some four kilograms of nitrogen, which is equivalent to eight kilograms of nitrogen-rich urea."

NARC conducted research between 2004 and 2006 in order to ascertain the risks and benefits associated with using urine as fertilizer.

In separate plots of land, they evaluated the effectiveness of chemical fertilizer and urine. While the first year didn't demonstrate a good result, during the second year, the production was equal, Upreti said.

But during the third year research, Upreti said they experimented with urine and compost, which according to him is the best nourishment for plants.

Maharjan follows the same rule, and the results he said are "clearly visible."

"It also enhances the taste and quality of the vegetables," he said. "That's why when I go to the market to sell, people come to me, and they don't mind paying a few rupees extra." He said at the market his vegetables are considered organic which helps them fetch a higher price.

After finding out about the agricultural application of urine in Maharjan's farm, his neighbors followed his lead.

Sanjeev Maharjan, who lives a few houses away from Jeevan Maharjan, said he discovered this aspect of urine six years ago and has been using it since. His family has also invested in an ecosan toilet to make the process easier.

"We don't use any chemical fertilizers now," said the 24-year-old business student, who also dedicates his time on his family farm. "The result, as you see, is distinct," he said pointing toward the garlic shoots in his garden.

In their village of Siddhipur, 100 of the 1,300 households use ecosan toilets, the by-product of which are directly used for agricultural purposes.

The Environment and Public Health Organization was one of the first to initiate this project, along with other partners, in 2003, has now expanded to more than 3,000 households across Nepal.

Suman Kumar Shakya, executive director of ENPHO, said the growing links between sanitation and agriculture are encouraging.

Speaking at a workshop organized to promote ecological sanitation, he said that the steps farmers are taking is "a [positive] shift toward an organic culture."

Banking on the importance of urine, about 93 miles (150 kilometers) away from Kathmandu, in Chitwan district, users like Shreerendra Pokhrel are taking on the role of promoters.

In his village of Darechowk, the school headmaster started the concept from his house in 2006. Soon he was able to convince his neighbors as well as five schools to install ecosan toilets and couple cleanliness with cultivation.

"The children are learning about sanitation and the purpose of urine in farming and their families are implementing it and getting good results," he said.

For people like Maharjan and Pokhrel, along with other farmers who have traded urine for urea, it has opened up new possibilities -- the production is high and there's no cost associated.

"People have started realizing the value of urine," Jeevan said. "It can do wonders in the farm, and it's absolutely free."

@highlight

Growing numbers of farmers in Nepal are using human waste on crops

@highlight

It's a free and efficient way to boost production and yield sells for higher price

@highlight

Special toilets separate the urine and feces and with compost they're used on crops