Aleppo, Syria (CNN) -- It is impossible to get used to. The roar of a jet overhead, the hum of helicopter blades hovering around your block, the sudden thud of a blast. When you hear it, at least you know you are safe.

Yet this has become daily life for residents of Aleppo. People living in rebel held territory, among whom the Free Syrian Army (FSA) mingle, and upon whom the Syrian regime's wrath is visited.

The blasts continue throughout the day and also haunt the night. There is no perceivable pattern as to where they strike, for they don't appear to aim themselves at the few targets the FSA present.

Their timing is also hard to follow: they hit most at dawn and dusk, yes, but the shells are sometimes few, sometimes sustained. And above all, they don't follow a pattern that suggests the artillery weapons are trying to hit-and-miss their way towards an objective. They simply fire, strike, and then move to a completely different place altogether.

The only pattern to divine is that there is really no pattern, unless your aim is to terrify.

That objective is simple when your target is an unarmed civilian population, defended at times by an often motley and ramshackle rebel army. The easiest way to discern there is trouble overhead is to see residents straining their necks upwards.

A sniper's bullet, a dying child and a family's desperation

One morning at 6 a.m., shells and rockets slammed into the al-Shaar neighborhood of Aleppo. In one home, 12 people from the same extended family were huddled, mostly asleep.

The rockets slammed into the roof, bringing the second floor down onto the first. We arrived four hours after the strike, once the neighborhood had had time to react and begun to dig its way into the rubble. It was a crowd of locals -- fathers and neighbors -- horrified at what was happening to their homes and community. The FSA stood around to rally vehicles to take away the wounded.

The digging was furious: hands and shovels trying to prize away huge slabs of dusty concrete. Faces covered in dust, frantic groups of men trying to be large enough in number to get the job done but small enough to leave space to work in the cramped confines of a half-collapsed building.

There is panic and frenzy, but finally a flurry of cries. "Alla u akhbar," as they see a limb. Then a leg, eventually the limp body of a little girl pulled from the rubble. A blanket is rushed forwards to cover her face: they are too late, and preserving her dignity in death is all they can do.

The search continues amid the endless threat that the helicopters which fired the original rockets may strike again and the risk that the building's half-filled second floor might cave in entirely.

When buildings collapse, the dead are often found in groups, huddled in the same room where they sleep. In this case, the father is found shortly after the daughter. A woman outside the rubble screams: "I swear to God we have been destroyed. I swear to God, Bashar al Assad is killing us".

But the bodies kept coming, 11 dead in total, nine of them children. They are rushed by the furious FSA to the hospital, the children placed under blankets and laid in the back of a pickup truck. Aged from four to 11. Omar, Mohamed, Fatma. One of their fathers is too distraught to name all the dead -- two related families, one of which had gone to visit the other.

But amid the incomprehensible brutality, the people in this corner of Aleppo find a gift. He is barely a year old and called Hussein. He was pulled from the rubble, a simple act of care having saved his life.

Hussein's mother, Najah, was breastfeeding him when the rockets struck. Najah was killed by the rubble, but her body sheltered Hussein. He is brought to the hospital, the men cursing Syrian President Bashar al Assad as a "dog" and hoping Hussein will live to see him hanged.

They tear off his dusty clothes and clean his body, a symbol of their perseverance. Born into this bloody and continuing revolution, they pray he will grow up in a very different Syria.

Inside Syria: Bombs, road blocks and ice cream

Video by photojournalist Ricardo Garcia.

@highlight

Pattern of Aleppo attacks appears designed to terrify civilians rather than target rebels

@highlight

In one strike rockets collapsed a two-story building with an extended family inside

@highlight

Locals pulled 11 bodies from the rubble and one baby survivor

@highlight

The baby boy was apparently protected from the blast by his mom as she breastfed him