(CNN) -- Joe Palese took his first yoga class in the 1990s, right as the practice began gaining in popularity in the United States.

"They didn't even have any yoga mats," he said, recalling the New York sports club that offered the class.

It wasn't until Palese started taking classes at yoga studios that he realized a lot of the previous sessions were "watered down" versions of yoga.

The loose interpretation wasn't bothersome; yoga by definition is a diverse practice with more than a dozen different styles. But as Palese remembers, some of the poses the inexperienced teachers were demonstrating were simply not right.

"The instructors were cool people, and they'd play good music, but students didn't know they were being taught poorly," said Palese, who became a yoga instructor himself 14 years ago.

And, according to author and New York Times science writer William J. Broad, some of the common yoga poses can cause serious injuries like nerve damage, torn cartilage, and strokes, among others.

An article adapted from Broad's upcoming book on yoga featured in the New York Times Sunday Magazine earlier this month with the title "How Yoga Can Wreck Your Body," sparked a lively debate within the yoga community about how to keep practitioners safe.

In the article, Broad noted that yoga is a "free-for-all" with "no hierarchy of officials or organization to ensure purity and adhere to agreed-upon sets of facts and poses, rules and procedures, outcomes and benefits."

Broad is correct -- there isn't a government oversight committee dedicated to yoga practice. And that's because many practitioners prefer it that way.

"Yoga comes from India. Things are not uniform by tradition," said Gyandev McCord, who has taught yoga for 25 years.

In an effort to provide a common ground for the diverse practice of yoga, a group of seasoned yoga practitioners -- "yogis" -- came together in 1999 to form the Yoga Alliance, a nonprofit organization whose sole purpose is to create minimum standards for yoga teacher training.

Fearing government or insurance companies might step in and start calling the shots, the alliance set forth to self-regulate, said McCord, who is the co-founder and vice chairman of the organization.

It is for yogis, by yogis. After all, McCord said, those "who don't understand the landscape of yoga aren't qualified" to regulate the standards for teaching.

Anyone trained by schools registered with the Yoga Alliance completes 200 or 500 hours of training, based on the following five principles: yoga techniques, including poses, breathing and meditation; general teaching methodology; anatomy and physiology; yoga philosophy and ethics; and training, practicum, and supervised teaching, in which senior instructors observe trainees to identify and correct any issues.

McCord said the five principles allow for "a lot of wiggle room," and aim to protect and promote the teacher's individuality.

Once trained, the instructors are certified by their school and their names are listed on a registry that informs the public of teachers in their area who have completed the minimum standards for yoga instruction. Yoga Alliance-trained teachers may also use the trademarked "RYT" -- registered yoga teacher -- behind their name, indicating they've completed the required hours.

Not all members of the yoga community are on board with this approach, however.

Leslie Kaminoff, co-founder of the Breathing Project, a nonprofit that provides continuing education to yoga practitioners, disagrees with yoga regulation of any kind. He believes in a free market approach to regulations for yoga teacher training.

"Yoga is about freedom," he said, "The market place is the ultimate quality control."

Yoga instruction, he said, is about a relationship between a teacher and a student. If a teacher is trained to teach yoga on the Internet or by a DVD at home and the student is fine with it, it's really nobody's business.

McCord said he has no problem with that approach. "It's not illegal to teach without training as a teacher," he said.

But Palese is more wary. He believes that learning how to align properly is something that needs an "expert eye," one that can't be achieved by watching a DVD.

"Anyone can tell you what to do, it's explaining how to do it," he said. And that is what separates effective teachers from the rest, according to Palese.

"It's alignment with awareness," he said.

Palese trains teachers at a studio where he teaches in suburban Atlanta. His 200-hour training class meets one weekend a month for 10 months, a long stretch of time imperative to the teaching process.

"You need time for information to settle," Palese said.

Since yoga instruction is far more complex than just leading students to do poses, Palese said he reserves the right to extend the training past 10 months if needed. He wants to give his new teachers whatever time they need to assimilate the information so that they can feel confident teaching others.

"It's the integrity and the awareness that the teacher brings to class that is most important," Palese said.

Palese said successful teachers are committed to the safety for their students and will provide suggestions for modification, as well as props like belts, blankets and blocks to make those modifications. A willingness to adapt the practice for different audiences and environments helps too.

"I've taught yoga in the oddest of places," he said. Good teachers "can teach yoga in an auditorium, a prison, a hospital."

They "can transform the whole thing just by who they are."

@highlight

A recent New York Times Magazine article created shock waves in the yoga community

@highlight

Titled "How Yoga Can Wreck Your Body," the author claimed yoga can cause serious injuries

@highlight

There's no formal oversight of yoga, and most instructors prefer it that way

@highlight

Many yoga practitioners disagree on whether teachers should be formally trained