As Thomas Eric Duncan remains in isolation at a hospital in Dallas, and American journalist Ashoka Mukpo prepares to be transported home, many are wondering: Will they receive an experimental drug like other Ebola patients treated in the United States?

Dr. Kent Brantly and Nancy Writebol received an experimental serum called ZMapp, engineered from antibodies harvested in mice. Questions remain about the extent to which ZMapp was responsible for the patients' recovery, but demand for the drug has skyrocketed.

Unfortunately, the process used to make the doses given to Brantly, Writebol and a few other patients is costly and time-consuming. Public health officials are now looking for ways to develop more of this experimental drug quickly.

Tobacco plants may hold the key.

In the world of health and medicine, the word tobacco usually brings to mind cancer, emphysema and heart disease. But in recent years the plant's tarnished reputation is getting a makeover from the development of pharmaceuticals through an effective, swift and cost-cutting technique that has been dubbed "biopharming."

Tobacco plant-based drugs are not a new concept. But there are no treatments currently developed through tobacco plants that have been approved by the Food and Drug Administration. That may change as the deadly Ebola virus continues to spread through West Africa, where it has killed more than 3,300.

Kentucky BioProcessing in Owensboro was one of the first biopharmaceutical companies tasked with developing the ZMapp serum through tobacco plants. The company has been working in collaboration with San Diego-based Mapp Biophamaceutical, which developed the ZMapp vaccine, since August.

Eyes have also turned to Texas-based biotechnology company Caliber Biotherapeutics, which that same month claimed it was ready to fast-track the drug if need be. The company, which says it operates the largest tobacco-based pharmaceutical facility in the world, has been working on cutting costs and increasing quantities of certain cancer drugs through genetically modified tobacco.

Drugs and vaccines are manufactured in a variety of ways. Flu vaccines, for example, are most commonly produced by injecting fertilized hen eggs with the virus. The virus is incubated for days so it can replicate, be harvested, inactivated or weakened, and then made into either a flu shot or nasal spray.

The process can cost around $150 million each year, using $600,000 eggs each day. Tobacco plants can produce antibodies in much less time for a fraction of the cost, advocates say.

The process begins by cloning a gene and inserting it into a virus. That infected gene is then injected into the tobacco plant, where it multiplies within the leaves before it is extracted and purified.

Unlike with egg-based and mammalian cell-based products, each tobacco plant can produce enough antibodies for dozens of doses of a pharmaceutical, experts say. The plants are also easy to contain and manufacture in controlled environments such as greenhouses.

Medicago Inc., a biopharmaceutical company in North Carolina, produced 10 million flu vaccines in 30 days using tobacco plants in a federally funded effort called "Blue Angel." The program tested the prospect of rapid vaccine production in the hypothetical case of a global health pandemic. It is estimated the company could make as many as 100 million doses for as little as $36 million.

The Canadian biopharmaceutical company PlantForm is using tobacco to produce a drug that reduces the growth rate of breast cancer tumors. The drug is a "biosimilar" form of a current drug on the market called Herceptin, usually produced by creating antibodies in mammalian cells from hamsters' ovaries.

The current treatment costs up to $100,000 per patient, according to PlantForm. The company estimates up to $120 million could be saved by 2017 by manufacturing the drug with tobacco plants instead.

One of the pioneering programs to use tobacco for vaccine manufacturing is the University of Louisville's Owensboro Cancer Research Program in Kentucky.

Since 2007, it has used a relative of tobacco, called nicotiana benthamiana, to develop vaccines for everything from cholera to cervical cancer. In August, the center announced it had received a $14.7 million grant to produce a gel made from crushed tobacco leaves that prevents HIV transmission.

The process involves isolating a protein called griffithsin, which can be found in red algae. The protein fends off HIV by sticking onto the outer surface of an HIV-infected cell, shielding noninfected cells from the virus. Once isolated, the protein is injected into the tobacco plant and then extracted 12 days later. It is then crushed, purified and mixed into a gel that can be used as a lubricant.

"Our hope is for the gel to be as effective as the condom," senior scientist Dr. Kenneth Palmer said.

Palmer, a native of Zimbabwe, has been studying plant-based pharmaceuticals since 1997 when he received his doctorate at the University of Cape Town in South Africa.

Before working with tobacco, Palmer studied the prospects of using corn to develop pharmaceuticals. But while edible plants are just as well-suited as tobacco for biopharming, Palmer said they are not the way to go:

"You don't want to risk contaminating the food supply with pharmaceuticals."

Your Ebola questions answered

One company learned that the hard way.

In 2002, ProdiGene, a biopharmaceutical company based out of College Station, Texas, was fined $3 million after a corn-produced vaccine for diabetes and diarrhea nearly contaminated a crop of soybeans in Nebraska and Iowa.

The incident ignited a massive backlash against the development of plant-based pharmaceuticals, and the FDA and U.S. Department of Agriculture implemented new and stricter regulations for field-testing of pharmaceuticals engineered through food crops.

To date, there is only one plant-based pharmaceutical approved by the FDA: Elelyso, which contains an enzyme engineered through carrot cells. The medication treats Gaucher's disease, a rare genetic disorder that stops cells and organs from functioning properly.

Palmer doesn't blame the FDA for the bottleneck in biopharmaceutical approval. Rather, he concedes that compared with competing technology used to make pharmaceuticals, biopharming is still relatively new. He sees the success of ZMapp as a big catalyst for movement in the industry:

"Unfortunate as it is, the Ebola epidemic in West Africa is a huge leg up for the field," Palmer said. "I think it will only help validate the technology as a viable option."

Complete coverage on Ebola

@highlight

Experimental serum used to treat Ebola being developed using tobacco plants

@highlight

"Biopharming," using plants to develop drugs and vaccines, is a fairly new field

@highlight

Advocates say using tobacco plants is cheaper and faster than traditional methods