An online threat made by one of the killers of British soldier Lee Rigby could have tipped off security agencies and perhaps prevented his murder, lawmakers said Tuesday, but UK authorities were never alerted to it.

The brutal May 2013 assault, in which Michael Adebolajo and Michael Adebowale hit soldier Lee Rigby with a car, then hacked him to death with a meat cleaver and knives, shocked the nation. The men, both Islamic converts, were handed down lengthy prison sentences this year.

A parliamentary committee investigating the killing concluded in its report that despite carrying out seven probes into the pair, the UK security and intelligence agencies could not have stopped the attack based on what they knew.

Sir Malcolm Rifkind, chairman of the Intelligence and Security Committee, said only one thing could have changed that: an online exchange that came to light after Rigby's death.

But, he said, it was "highly unlikely" that the agencies could have discovered it, and the company involved did not alert them to it.

While there were errors and delays in the seven investigations into the two men, Rifkind said, none of them was significant enough to have made a difference to the outcome.

Prime Minister David Cameron, addressing Parliament on Tuesday, said that he shared the committee's concerns about terrorists' use of the Internet and that the government was doing all it could to combat this.

"We expect the Internet companies to do all they can, too," he said.

"Their networks are being used to plot murder and mayhem. It is their social responsibility to act on this. And we expect them to live up to it."

'Safe haven for terrorists'

In the December 2012 exchange, between Adebowale and an extremist overseas, Adebowale "expressed his intent to murder a soldier in the most graphic and emotive manner," Rifkind said.

"This was highly significant. Had MI5 had access to this exchange at the time, Adebowale would have become a top priority. There is then a significant possibility that MI5 would have been able to prevent the attack."

But the only party that had access was the company hosting the exchange, he said, and it does not regard itself as under any obligation to ensure that it identifies such threats or reports them to authorities.

"We find this unacceptable: however unintentionally, they are providing a safe haven for terrorists," he said.

Rifkind had stern words for online companies in relation to their cooperation with law enforcement agencies.

"None of the major US companies we approached proactively monitor and review suspicious content on their systems, largely relying on users to notify them of offensive or suspicious content," he said.

Nor do they consider themselves obliged to comply with UK warrants, he said -- meaning that even if MI5 had sought information before the attack, the Internet company might not have responded.

"They appear to accept no responsibility for the services they provide," he concluded.

How Islamist hate narrative inspired killers

Higher threat level

The government has started to take action, through a law passed this year and the appointment of a special envoy on intelligence and data sharing, Rifkind said.

"However, the problem is acute: until it is resolved the British public are exposed to a higher level of threat," he said.

However, Jeremiah Adebolajo, brother of Michael Adebolajo, in a statement released by CAGE, a Muslim-led human rights advocacy group in London, accused the committee of trying to justify the expansion of the government's spying powers.

Far from posting extremist material, his brother had almost no online presence at all, he said.

"It seems opportunistic that such a report will allow the expansion of a policy that is proving unpopular in all spheres of British society," Jeremiah Adebolajo said.

"It is sinister, to say the least, that emergency government policy will be drafted to allow the security services easier access to our social media and internet activities."

All this, he said, will only further alienate young Muslims, make it harder to track "lone wolf" attackers as they abandon social media, and restrict people's freedom of expression.

UK Home Secretary Theresa May said Monday that a new counter-terrorism and security bill to be introduced in Parliament on Wednesday would include measures to help prevent radicalization, improve access to communications data and boost authorities' ability to act against those who go abroad to fight with terror groups.

Intrusive techniques

Rifkind said the report, following an 18-month investigation, was the most detailed the nine-member, cross-party committee had ever published.

The lawmakers inspected hundreds of highly classified documents and questioned ministers, the heads of the three agencies concerned and senior officers from the Metropolitan Police, he said.

Of the two suspects, Adebolajo -- the older of the two -- was a high priority for two operations by officers from MI5, the domestic UK security and intelligence agency, but none of their efforts revealed any evidence of attack planning, Rifkind said.

However, Adebowale was never more than a low-level subject of interest and the agencies had no intelligence to warrant more intrusive investigations.

Rifkind defended the agencies' actions, saying, "To put these investigations into perspective, it should be borne in mind that at any one time MI5 is investigating several thousand individuals who are linked to Islamic extremist activities in the UK."

But the UK security and intelligence agencies also have lessons to learn, he said. Urgent steps are needed to ensure that anti-radicalization programs work better, particularly given the number of young British men and women who have traveled to Iraq and Syria in recent months to join extremist groups.

Also, he said, the response by Britain's overseas intelligence agency when Adebolajo was arrested in Kenya for suspicion of trying to join a terrorist organization was "inadequate."

'Eye for an eye'

Adebolajo and Adebowale, both in their 20s, were convicted of murder in December of last year.

Cell phone footage replayed at the trial showed Adebolajo, still clutching a cleaver in his bloody hands, ranting that the killing was "an eye for an eye, a tooth for a tooth" for British soldiers killing Muslims overseas.

Adebolajo will spend life in prison, while Adebowale received a sentence of at least 45 years.

Rigby, who had served in Afghanistan and was off duty when he was killed at the age of 25, left behind a wife and a young son.

@highlight

Michael Adebolajo's brother says committee is trying to justify new spying legislation

@highlight

Internet firms must live up to duty to prevent terrorism, UK PM David Cameron says

@highlight

Report: UK intelligence, security agencies could not have stopped Lee Rigby's slaying

@highlight

But committee chairman slams online company for not flagging one exchange