New York (CNN) -- Prosecutors in New York on Thursday accused three Lebanese financial institutions of money laundering that benefited the militant group Hezbollah, and they demanded forfeitures and penalties totaling hundreds of millions of dollars.

A civil action alleges that hundreds of millions of dollars in drug profits and other money were laundered through the Lebanese Canadian Bank as well as two exchange houses. The primary method, it alleges, was by mingling that cash with the finances of legitimate businesses -- primarily a network of about 30 U.S.-based car exporters, who shipped more than $1 billion worth of cars from the United States to West Africa for sale.

It said dealers in about 10 states were involved, but there was no evidence the U.S.-based businesses were aware of the Hezbollah connection.

Prosecutors said in their announcement, "Cash from the sale of the cars in West Africa was mixed with proceeds from narcotics trafficking, and then transferred to Lebanon through (Hezbollah)-controlled money-laundering channels," and "part of the proceeds was used to support (Hezbollah)."

The filing says the bank permitted Hezbollah-related entities to move as much as $260,000 a day through their accounts, without disclosing the source or purpose of the money.

In February, the U.S. Treasury Department designated the Lebanese Canadian Bank as a "financial institution of primary money laundering concern." Since then, the bank has been acquired by the subsidiary in Lebanon of Société Générale. Before the acquisition, the accused bank had 35 branches in Lebanon and had grown in recent years from assets of $2.83 billion in 2005 to $5.18 billion in 2009.

Prosecutors on Thursday demanded the bank's assets be forfeited due to the alleged wrongdoing.

The chairman of Lebanese Canadian Bank, Georges Zard Abou Jaoude, told CNN on Thursday, "We deny any relation whatsoever with Hezbollah."

He said that the before the bank's sale, "All the accounts were scrutinized, through three international auditors. We didn't have any evidence backing all these allegations."

He added that the bank had used safeguards to prevent transactions by known money launders.

"We never had any transaction or any connection with any name which was blacklisted. The moment a name appeared on the screen, we froze the account," he said.

CNN was not able to reach Hezbollah officials immediately for comment. But the group's chief political strategist, speaking to The New York Times this week, said the group had no relationship to the Lebanese Canadian Bank and dismissed the American allegations of a drug connection as politically motivated propaganda.

On Tuesday, prosecutors in Virginia also indicted a Lebanese man they allege was at the center of the laundering network and who they say has ties to Hezbollah -- although he is not a member of the group. They assert that Ayman Joumaa coordinated the smuggling and sale of at least 90 tons of cocaine destined for the United States and laundered hundreds of millions of dollars for drug gangs in Mexico and Colombia such as the notorious Zetas. According to the indictment, Joumaa laundered as much as $200 million a month and made bulk cash deliveries to South America in amounts as high as $4 million.

"He moved the money," said Brian Dodd, the Drug Enforcement Administration agent who coordinated the Joumaa investigation. "He couldn't have survived without Hezbollah. And he was a source of revenue for Hezbollah."

Joumaa is not in custody, and officials would only say they believe him to be in the Middle East.

Hezbollah, which the United States has designated a terrorist organization, is an influential member of the government in Lebanon. But it also has a history of terror attacks against American interests, dating back to the bombing of the U.S. Embassy in 1983.

Now Hezbollah may be using criminal proceeds to help pay for its militant operations, according to DEA agent Derek Maltz.

"The worldwide demand for drugs is actually helping terror groups fund their activities," Maltz said. "And these groups want to destroy America."

Jonathan Schanzer, an ex-Treasury Department terror finance analyst who is with the Foundation for Defense of Democracies, said, "Hezbollah can do a lot of damage, and the more money that rolls in, the more problematic that will be.

"You have an organization right now that has been operating a massive criminal enterprise," he said, "and using that money to further its aims in the region -- which is about creating a little mini-state inside of Lebanon, amassing weapons, threatening Israel, providing assistance to the insurgency in Iraq, providing assistance to other terrorist organizations around the world."

Schanzer said this week's allegations raised concerns about how many other unseen activities -- financial or military -- Hezbollah may be conducting. But the recent moves by prosecutors against Hezbollah's money supply could take a toll on the militant group's potency, he said -- along with a reduction in funds from its main backers, Syria and Iran, in the wake of tightened international sanctions.

"Their arm gets a little bit shorter," he said, "and their influence begins to wane just a little bit."

CNN's Nada Husseini and Tim Lister contributed to this report.

@highlight

Prosecutors demand bank's assets be forfeited due to alleged wrongdoing

@highlight

Lebanese Canadian Bank and two exchange houses cited in civil action filed in New York

@highlight

Three financial institutions accused of money laundering to help militant group Hezbollah

@highlight

Bank's chairman denies any connection to Hezbollah