Cairo, Egypt (CNN) -- One week ago, angry, disenfranchised and energized Egyptians emerged from Friday prayers, took to the streets and chanted, "Freedom!"

"We want (Mubarak) to leave," said one 19-year-old man hours after the intense day of protests.

Egyptian President Hosni Mubarak is not gone, but his days are numbered. The leader agreed Tuesday to not seek re-election in September. He told ABC News Thursday he would like to step down right away, but cannot because he does not want to risk plunging his nation into chaos.

In the bloody blur of days since his announcement that he would not stand for re-election, regime foes and opponents have clashed repeatedly in Cairo's Tahrir Square, the center of anti-government demonstrations. Eight people have been killed and nearly 850 injured, according to the health ministry.

Although his government has made concessions, Mubarak faces another challenge Friday, which opponents have dubbed "Day of Farewell" and "Day of Departure" -- references to further large protests they hope will prompt the president to step down now.

Thursday saw an escalation of attacks on journalists, many of whom asked whether the government was clearing them out of the way so as to cloak its actions. Journalists said it was too dangerous to be at Tahrir Square or to provide live camera feeds.

Vice President Omar Suleiman laid some of the unrest's blame on the media.

"I actually blame certain friendly nations who have television channels, they are not friendly at all, who have intensified the youth against the nation and the state," Suleiman told Nile TV. "They have filled in the minds of the youth with wrongdoings, with allegations, and this is unacceptable."

State-run Nile TV said a segment of anti-government protesters, called the 25th of January Youth, will leave the square and form a political party to compete in upcoming elections.

Meanwhile, CNN's Anderson Cooper said on "Parker Spitzer" Thursday night that, if anything, the Mubarak foes increased the portion of Tahrir Square they occupy in the standoff.

It's not clear if organizers of the protests planned after Friday prayers would be able to rally the numbers they had last week or reach the presidential palace, Cooper said. Tension was building before dawn Friday, he said.

Mubarak told ABC News correspondent Christiane Amanpour that he was troubled by the bloody clashes that broke out Wednesday in Tahrir Square.

As the United States and other countries condemned increasing attacks on journalists and diplomats, Mubarak rejected the notion that government instigated the violence in the country, instead blaming the Muslim Brotherhood, an Islamist umbrella group that is banned in Egypt.

"I don't care what people say about me," Mubarak told ABC. "Right now I care about my country, I care about Egypt.

"I was very unhappy about yesterday. I do not want to see Egyptians fighting each other," he said in the interview, which was conducted at the heavily guarded presidential palace where the embattled leader has been staying with his family.

Mubarak told ABC that U.S. President Barack Obama is a very good man but bristled at the notion of an ally's interference in internal problems. He said he told Obama: "You don't understand the Egyptian culture and what would happen if I step down now."

Obama has said he told Mubarak a transition must take place, and it "must be meaningful, it must be peaceful and it must begin now."

Mubarak said he never intended to seek re-election. Nor did he intend his son, Gamal, who was believed to be groomed as Mubarak's successor, to seek the post. He made the comment to Amanpour in his son's presence.

The Obama administration had no comment on the interview. A White House aide told CNN the only thing that caught the administration's attention from the interview was Mubarak's comments on his son.

Suleiman, tapped as Mubarak's vice president last Saturday, publicly announced Thursday that Gamal Mubarak will not stand in September elections.

Hosni Mubarak, who has ruled Egypt for three decades, announced this week that he would not run for re-election. But that concession has not been enough for tens of thousands of protesters demanding immediate change.

Sen. John McCain, R-Arizona, told CNN's John King that negotiations on new leadership and elections are crucial. "The longer that this transition is delayed the likelihood of further escalation and violence is increased," he said.

Although Alexandria, Egypt's second-largest city, was largely calm Thursday, there are concerns about possible clashes when anti-Mubarak demonstrators mark a "Day of Farewell," a reference to the president, according to CNN's Nic Robertson.

Mubarak's regime moved Thursday to quell the deadly revolt, telling protesters their demands had been met and cracking down on journalists and human rights activists bearing witness to the crisis.

All day long, Mubarak's supporters and foes clashed to retain control of Tahrir Square, the central city plaza that has become the symbol of the 10-day Egyptian uprising. Many looked like medieval warriors, toting handcrafted shields while throwing stones and other objects.

Top government leaders vowed to hold accountable perpetrators of the bloodshed and told protesters to return home.

"I want to thank the youth for all you have done," Suleiman said on state-run Nile TV. "You are the lights that have ignited reform in this period. Please give the (government a) chance to play its role. All of your demands have been met."

Suleiman told ABC that Egyptian troops will not force anti-Mubarak protesters to leave Tahrir Square.

Mubarak supporters, some believed to be paid government thugs, converged with anti-government crowds Wednesday in a confrontation that quickly evolved into continuing mayhem in Tahrir Square. At least eight people were killed and 836 injured, including 200 wounded within one hour Thursday morning, according to the health ministry.

Journalists covering the crisis also became targets -- beaten, bloodied, harassed and detained by men, most all in some way aligned with Mubarak.

Numerous news outlets -- including the BBC, ABC News, Fox News, the Washington Post and CNN -- reported members of their staffs had either been attacked or arrested. Amnesty International and Human Rights Watch also reported that staffers were detained.

In several cases, news personnel were accused of being "foreign spies," seized, whisked away, and often assaulted.

Graeme Wood, a correspondent for The Atlantic, told CNN he was dragged from a car at a checkpoint Thursday and accused of spying for Iran.

"This is a dark day for Egypt and a dark day for journalism," said Joel Simon of the Committee to Protect Journalists. "The systematic and sustained attacks ... leave no doubt that a government-orchestrated effort to target the media and suppress the news is well under way."

New York Times columnist Nicholas D. Kristof said he fears an even broader crackdown.

"Why doesn't the government want us around? What is it that it plans to do in the next few days that it really doesn't want cameras to be able to report on?" Kristof asked on CNN's "Situation Room."

The U.S. State Department publicly condemned the crackdown on journalists, and officials told CNN they have received reports that Egypt's Interior Ministry was involved.

Secretary of State Hillary Clinton called such attacks "a violation of international norms that guarantee freedom of the press, and it is unacceptable in any circumstances." Vice President Joe Biden told Suleiman that Egypt's government is responsible for ensuring that peaceful demonstrators aren't attacked.

Increasingly concerned about the potential for further violence, Clinton called on the government, political parties and others to immediately begin talks "on a peaceful and orderly transition."

The leaders of France, Germany, Italy, Spain and Britain also urged a "rapid and peaceful transition," and the European Union foreign affairs chief, Catherine Ashton, called on Mubarak to act "as quickly as possible."

Egyptian Prime Minister Ahmed Shafiq apologized repeatedly for the violence. He blamed infiltrators and a "complete disappearance" of police for the human toll in the "catastrophe."

"This group got in and some clashes happened," Shafiq said, adding that he would look into whether the violence was part of an organized attempt to disband the opposition.

Shafiq said he and Suleiman were meeting with the opposition -- including protesters in Tahrir Square. He said no one would be excluded from the national dialogue, including the Muslim Brotherhood.

The United States is stepping up pressure on the opposition to begin immediate negotiations with the Egyptian government, recognizing the orderly transition to democracy Obama called for could prove difficult if Mubarak stepped down immediately.

"We can't dictate what an orderly transition means, but it's time for both of them to roll up their sleeves," a senior State Department official told CNN. "The government has to take some steps, but the opposition has to be willing to participate in negotiations as well."

CNN's Frederik Pleitgen, Nic Robertson, Saad Abedine, Arwa Damon and Jenifer Fenton, Elise Labott and journalist Ian Lee contributed to this report.

@highlight

U.S. steps up pressure on Mubarak government

@highlight

Egyptian vice president criticizes media

@highlight

Sen. John McCain said power transition cannot be delayed

@highlight

In an ABC interview, Egypt's president blames the Muslim Brotherhood for violence