The winter sun was low in the sky on Nice's Promenade des Anglais when the $650,000 Ferrari Enzo driven by Suleiman Kerimov skidded into a tree and burst into flames.

The Kremlin-connected tycoon and his passenger -- glamorous Russian TV anchor Tina Kandelaki -- were pulled out of the wreckage by passersby.

Kerimov was badly burned and in critical condition. Barely alive, he was flown by helicopter to a hospital in nearby Marseilles and placed in intensive care.

The year was 2006 and that November had brought stormy skies to the French Riviera, a known playground for Europe's jet-setting elite.

Kerimov survived but the incident left senior staffers at Barclays -- a bank which does business with some of Russia's richest individuals and their companies -- deeply unsettled.

Now, as Barclays' investment banking practices come under the spotlight with inquiries into its rigging of Libor, the Kerimov episode provides echoes from the past.

Warnings to staff

Soon after the oligarch's accident Hans-Joerg Rudloff, chairman of the firm's Barclays Capital -- or BarCap -- unit and its main powerbroker for Russia, put in a call to Kerimov's right-hand man Allen Vine. He wanted an update on the magnate's health.

The next day, around 25 staff working on Russian deals at BarCap's Canary Wharf office in London were summoned to a meeting.

One banker present recalls Rudloff using the Kerimov case as an example of why employees should ensure they conduct appropriate due diligence on clients. The banker did not want to be identified due to the sensitivity of the talks.

"Ask yourselves," that banker says Rudloff told them. "Who are these people? Where does their money come from? And where is it held in the event they pass away?"

Barclays declined to provide details of its dealings with Kerimov or its lending to Russians as a whole, for reasons of confidentiality. Emails and calls to the magnate's Millennium Group went unanswered.

Soon after the Kerimov affair Rudloff spoke with Jerry del Missier, then BarCap president and future chief operating officer for the Barclays group.

Del Missier's team was ordered to minimize risks by cutting the value of the bank's equity swaps with Russian counterparties.

Barclay's Russian links

Kerimov -- branded the "secret oligarch" by the Financial Times -- was born in Dagestan, a republic in Russia's North Caucasus.

Two decades of heavy borrowing and investing in Russian blue chips have helped the 46-year-old to chart a course from the factory floor to the Forbes rich list. Latest estimates put his fortune at $6.5 billion.

Oligarchs like Kerimov often obtain access to such leverage by pledging shares as collateral. The returns on such business -- called margin lending -- can be tantalizingly lucrative, but dangerous in default.

Barclays would not say whether it had entered into such transactions with Kerimov or other oligarchs but a person familiar with the matter said the activity was commonplace for a top-tier investment bank.

Barclays Capital: Loss and scandal

Martin Taylor was Barclays' chief executive back in 1998, the year Russia couldn't pay back its debts.

Taylor, writing in the Financial Times this month, revealed BarCap traders had built up a large, unauthorized exposure to the country's bond markets, incurring the bank substantial losses and making the firm look "reckless" in the eyes of regulators.

Barclays declined to comment on Taylor's statement when contacted by CNN but the company's annual report for the year shows BarCap swung to a £265 million loss ($414 million) from a profit of £252 million ($394 million) the year before. The publication cited the Russian economic crisis for the shortfall.

Taylor said he spoke up now because of "striking parallels" between that event and the bank's recent "lowballing'" of Libor -- a key benchmark interest rate upon which trillions of dollars of financial contracts are priced.

Barclays, whose admission to the Libor manipulation earned it a record $453 million penalty, took out advertisements in the British press this week to reassure people it was "truly sorry for what has happened."

In the message, outgoing chairman Marcus Agius promised the organization would not allow itself to be "distracted from what really matters -- delivering for [customers and clients]."

From Russia with risk

When Barclays got burned on Russia fourteen years ago Bob Diamond was running the BarCap unit -- a job he held until being promoted to group chief executive in 2011.

Taylor, who has long since left the company, says he wished he had fired Diamond when he had the opportunity,  but was swayed by the latter's insistence he was unaware of the wrongdoing. Besides, the American swore he "loved Barclays," a defense repeated twice by the 60-year-old this month during his testimony to a parliamentary committee.

Diamond resigned this July on the same day as del Missier saying the external pressure placed on the bank had "reached a level that risks damaging the franchise."

A spokesman for Diamond declined to comment on Taylor's remarks.

Fast cars and football clubs

Kerimov is unlikely to be the only client to have given Barclays cause for reflection. But he symbolizes its close ties with Russia and the relationship sheds light on the intensely private world of Barclays' investment arm at a time when such banks -- which also manage consumer savings -- are under pressure to be more transparent.

Those ties reach to the top of the organization; Rudloff, for example, acts as vice-chair of Russia's state controlled oil giant Rosneft alongside his chairmanship of BarCap.

At the height of the 2008 financial crisis, when other British banks like Royal Bank of Scotland had to accept government bailouts, Barclays turned to the emerging markets for funds. Among the institutions it approached was Kremlin-controlled Sberbank, according to the banker. Instead it sold a stake to sovereign wealth funds in the Gulf states of Abu Dhabi and Qatar.

Kerimov, a non-English speaker who avoids the limelight, surfaced on the international stage last year when his Dagestani soccer team bought former Barcelona striker Samuel Eto'o for a reported $30 million, cementing his oligarch status alongside the likes of Chelsea owner Roman Abramovich and Arsenal's Alisher Usmanov.

Off the pitch, Kerimov also plays a high-stakes game.

His holdings -- past and present -- in some of the world's largest companies, like Gazprom and Goldman Sachs, have seen him make and lose billions at a time, only to resurface rich once more thanks to his propensity to convince banks to extend him credit.

In 2008 alone, the father of three's net worth plummeted from $14.4 billion to just $3.1 billion, according to Forbes. Four years later his fortune had doubled again.

At one point Barclays even tried to tap Kerimov for money by encouraging the oligarch to buy into a placement of its shares offered to fifty select parties, according to another banker with knowledge of the issue.

That individual says Kerimov did not make the purchase, though Barclays' pitch exemplifies the close links its top personnel enjoy with some of the world's wealthiest and least-known people.

Tendency to push the limits

This week  Adair Turner, head of the UK's Financial Services authority, told British parliamentarians that Barclays had a "cultural tendency to be always pushing the limits."

That tendency, it seems, has been there for some time.

Taylor stood down from the top job at Barclays in 1998, after clashing with the board over the "risk shadow," he says BarCap was exerting on the rest of the enterprise.

A decade later a UK government-commissioned report -- partially written by Taylor - formally recommended banks separate their retail and investment divisions.

But for all the theory, Barclays' detractors have yet to acknowledge that the bank's riskier division provides the bulk of the firm's profit. Without the cash it generates the company's balance sheet would look very different.

Diamond, was once described by Britain's former trade secretary, Peter Mandelson, as the "unacceptable face of banking" for his generous pay packets and unapologetic stance after the credit crunch.

He turned Barclays into the one of the most successful financial institutions in the UK and part of that plan involved bringing in Rudloff to build up its capital markets - or client funding - operations and target prospects such as Kerimov.

Bereft of its investment banking veterans like Diamond and del Missier and with its top management in turmoil, the challenge for Barclays' new guard will be to balance its legacy as a trusted, household name with the febrile hunt for returns -- be they in Russia or elsewhere.

@highlight

The 2006 crash of a Ferrari prompted Barclays to reassess its Russian exposure

@highlight

Barclays' links to Russia caused it pain when the country defaulted in 1998

@highlight

Despite this, Barclays complex lending and high stakes deal-making continued

@highlight

The bank is now facing further scrutiny after its Libor fixing cost it $453 million in fines