(CNN) -- Turkey's tragic loss of at least 47 people in the car bombings in the border town of Reyhanli illustrates vividly that Turkey is not immune to the raging violence next door.

Turkey has suffered similar, though far less deadly events in the past year, including Syria downing a Turkish jet, the killing of five Turks in cross-border artillery fire and a car bomb blast at a Turkey-Syria border crossing in February killing more than a dozen people.

Read more: Turkey blames Marxists with Syrian links for bombings

It is also hosting more than 400,000 largely Sunni Syrian refugees at a cost of $ 1.5 billion and counting. The United Nations estimates that number of refugees will triple by the end of this year. Moreover, it is a critical staging post and a logistical lifeline for opposition fighters against the leadership of Bashar al-Assad in Damascus.

Unsurprisingly, the Turkish government quickly claimed that al-Assad instigated a left-wing Marxist revolutionary group in Turkey to carry out the spectacular attacks. Syria vehemently rejected the charge.

Read more: 5 reasons Syria's war suddenly looks more dangerous

Yet, so far, the U.S. and its European allies have publicly avoided implicating al-Assad in the attacks. U.S. reticence towards military involvement in Syria in the wake of the wars in Afghanistan and Iraq and the fears of extremist groups dominating the Syrian insurgency is causing enormous consternation in Ankara.

Turkey's Prime Minister Recep Tayyip Erdogan will attempt to persuade U.S. President Barack Obama at their meeting on Thursday to impose a no-fly zone in Syria and to provide "lethal" assistance to Syrian opposition fighters. Obama will be sympathetic but unlikely to be immediately forthcoming.

Read more: Analyst -- Syrian hostilities bring Mideast catastrophe closer

Erdogan seemed to imply that Ankara's response will be limited. He insisted that Turkey will maintain its "extreme cool-headedness in the face of efforts and provocations to drag" his country into the Syrian civil war.

This is in stark contrast to Israeli robust airstrikes against what is understood to be military supplies via Syria to the pro-Iran Lebanese Hezbollah group. Obama has, noticeably and repeatedly, supported the right of Israel to "guard against the transfer of advanced weaponry."

Syria: Attack on military facility was a 'declaration of war' by Israel

Consequently, the Reyhanli incident will probably not be a game-changing development. Rather it may intensify four visible trends of the conflict in Syria.

Firstly, the Turkey-Syria 910km porous frontier is increasingly becoming a volatile and chaotic region beyond the full control of Ankara. It no longer affords protection against the instability ripping Syria apart and could in the future be a destabilizing influence to the immediate neighborhood, including Europe. Ankara lacked the intelligence capabilities to track the movement of the two bomb-laden vehicles near this frontier.

Secondly, the domestic unpopularity of the Turkish government's stance on Syria may deepen even further. According to a recent poll by U.S.-based Pew Research, merely one-quarter of Turkish respondents favour either Turkey or Arab countries "sending arms to anti-government groups in Syria." This partially explains why Turkey is refraining from direct retaliatory measures against al-Assad.

Read more: Why Turkey is increasing pressure on Assad

Thirdly, Washington's leadership is indispensable to bringing order and coherence to the anti-Assad front. Neither Turkey nor its Arab partners are able or willing to act decisively without the U.S. leading from the front. By comparison the pro-Assad alliance of Russia, Iran, Iraq and Hezbollah act in unison to stymie the downfall of al-Assad.

Fourth, the bloodshed could feed the perceptions of an escalating sectarian fault line along the Turkish-Syrian border. Reyhanli is located in the Turkish province of Hatay sharing the sectarian and ethnic diversity of Syria itself. There are concerns that the exacerbating tensions in Syria might undermine the delicate sectarian balance in southern Turkey.

Turkey had boundless ambition and energy to project regional power and influence in the post-Arab Spring Middle East. Reyhanli, and the Syrian civil war more generally, is a stark reminder of the messy transition in an unpredictable part of the world.

The opinions expressed in this commentary are soley those of Fadi Hakura.

@highlight

Hakura says blasts in Reyhanli illustrate that Turkey is not immune to violence next door

@highlight

Turkey is hosting more than 400,000 largely Sunni Syrian refugees at a cost of $ 1.5 billion

@highlight

The Reyhanli incident will probably not be a game-changing development, Hakura writes