Hong Kong (CNN) -- The list of house rules make it clear what one Singaporean working mother expects of her new maids.

"You cannot choose your food... I will decide the type of food to buy for you. You cannot use the washing machine or dryer... you must hand wash your own clothes and bed sheets. And if (the children) fall down, it's your fault."

"Tamarind," as she's known, lists the rules on her blog, which is advertised as "primarily for employers who have suffered at the hands of bad maids." She says her maids aren't punished, if they break the rules, but firm guidance is needed early on.

Just over 200,000 maids, or foreign domestic workers (FDW), live and work in one in six households in Singapore, according to migrant advocacy group Transient Workers Count Too (TWC2).

They came in large numbers in the 1980s when the government encouraged more women and highly skilled workers into the economy, creating the need for more help at home and the money to pay for it.

Since then, the city-state has come to rely so much upon its imported help that the government is struggling to balance the demands of its local population with criticism that it's doing too little to protect workers' rights.

"What's really striking is that Singapore has done a good job of addressing cases of physical and sexual abuse against domestic workers... but they have really fallen behind the norm in terms of not including these workers under the labor law and considering them as workers," says Nisha Varia from Human Rights Watch. "It's something Singapore should feel really embarrassed about."

While maids are recognized under Singapore's Employment of Foreign Manpower Act, the legislation doesn't regulate pay or working hours. That is agreed in a contract between the employer and employee, along with their recruitment company.

While the standard contract asks parties to nominate one day off a month (to be paid in lieu, if the maid chooses to forgo it), the Act only requires employers to provide "adequate rest."

Employers who fail to comply can be fined up to $5,000 (US$3,900) and jailed for up to six months.

In 2010, the Ministry of Manpower (MOM) says it took action against 26 employers for failure to provide adequate food, rest or medical care. In the first half of 2011, nine were held to account. "Most FDW employers are responsible and treat their FDWs well," a government spokesperson said.

Yet, according to a survey released this year by Transient Workers Count Too, only 12% of Singapore's foreign domestic workers, mostly women from Indonesia and the Philippines, were granted a day off each week. Just over half had a day off each month.

"One of the things we noticed from the responses of employers is a kind of panicked reaction when we start talking about a day off," says TWC2's executive director Vincent Wijeysingha.

"I think that's based on the fact that we've come to depend so much on our domestic workers for everything. You see them running the household, shopping, paying bills and looking after vulnerable people in the family.

"The key reason why we need them is because there are no affordable childcare services and no affordable elderly daycare services. So this represents the cheapest social policy option," he says.

Tamarind gives her current maid two days off a month and doesn't believe the law should be changed. "In Singapore, most Chinese husbands do not help with house work and children. If all maids have a day off every week that would mean that full-time working mothers have no rest at all," she told CNN.

She adds: "Maids are not as vulnerable as you think. Many maids will agree to a contract with no day off at first. Then a few months later they ask for a day off; otherwise, they will ask to transfer to a new employer."

"Many people think that maids are forced to work with one employer due to the contract. The truth is that the contract is useless," she says.

Tamarind says her maid would prefer to earn extra money than take a day off -- something Human Rights Watch says only underscores how little domestic workers are paid.

"They're being paid so little that they can't even afford to take off that one day a week," Varia says, adding, "A lot of them are doing this to survive and to support their families back home."

Nining Djohar worked for three years as a maid in Singapore before she was allowed a day off. And even then it was only after she changed employers.

"Of course I am very tired and I can not tell about anything. Three months after going with my employer I wanted to go out. Because the house is so big, there are two children also, two babies. Then after that... yell yell yell, everything is wrong. I try to call my agency, but the agency is no more," she says.

Conditions have improved since Djohar left Singapore in 2003, with the introduction of the standard contract in 2006.

Djohar now works for Migrant Care in Jakarta, helping other Indonesian women to navigate the system. "All of the people ask me one thing; one day off every Sunday," she says.

Singapore's Ministry of Manpower says it's conducting an "ongoing" review of domestic workers rights and the responsibilities of employers, including the "suggestion" of legislated rest days.

Human Rights Watch says no matter what the review reveals, the government has a moral duty to legislate days off.

@highlight

HRW: Singapore "should be embarrassed" about record on domestic worker rights

@highlight

Just over 200,000 foreign domestic workers live and work in one in six Singaporean homes

@highlight

Survey shows only 12% of city-state's foreign domestic workers have a day off a week

@highlight

Fierce resistance from employers to calls for legislated days off