(CNN)There were three Selma to Montgomery marches in March 1965, and Rosa Parks had missed the first one. Parks, whose act of civil disobedience sparked the Montgomery bus boycott in 1955, moved to Detroit two years later for safety reasons. Death threats, in Alabama, were too much for her to endure.

For eight years, Parks, a working-class woman, toiled at the Stockton Sewing Co. in Michigan, making dishrags, for low wages. But on March 1, 1965, she abruptly quit to join U.S. Rep. John Conyers' staff in Detroit. The voting rights movement in the South, led by the Rev. Martin Luther King Jr., coupled with the assassination of Malcolm X that February, had re-energized her appetite for direct political action.

On Sunday, March 7, Parks was at home in Detroit watching the ABC television premiere of "Judgment at Nuremberg" when the broadcast was suddenly interrupted by a news flash from Selma, Alabama.

A peaceful throng of voting rights activists had marched onto the steel-arched Edmund Pettus Bridge that spanned the Alabama River, only to be brutally assaulted by police and Alabama state troopers, most of them wearing gas masks. Before being arrested and beaten these protesters had been headed to the state capital in Montgomery, a distance of 54 miles, to demand federal protection of blacks' right to vote.

That Sunday afternoon, 25-year-old John Lewis, then chairman of Student Nonviolent Coordinating Committee and today a U.S. congressman from Georgia's 5th District, had been tear-gassed and billy clubbed as he tried to cross the bridge. The sight of him being beaten sickened Parks.

Lewis had emerged as the bravest and youngest of the major civil rights leaders of the Kennedy-Johnson era, even speaking at the March on Washington in 1963. As a Freedom Rider in the South, he was arrested 24 times, and proud of it. Therefore on March 9, to protest "Bloody Sunday," as the incident became known, Parks walked down Detroit's wide Woodward Avenue in full solidarity with Brother Lewis and the others arrested in Selma. "The Edmund Pettus Bridge for me was wrought in symbolism," Parks recalled years later. "The photos taken that day made me think of the bridge as a battlefield, like at Lexington and Concord. It was the start of a turning point."

So when King -- who had been in Atlanta for "Bloody Sunday" -- telegrammed Parks about returning to Alabama to take part in a third mass march from Selma to Montgomery, her immediate answer was "Why, of course." Once back in Montgomery in late March at King's request, Parks looked around to see what had changed since the '50s. "One of the first things I did was look at the buses," she told me in 1997. "And yes -- they were integrated. ... That felt good."

On March 25, Parks, the "Mother of the Movement," spoke eloquently in Montgomery though her soft voice was barely audible over the crackling speakers. Per usual, King stole the show that day with a rousing piece of oratory. "We are on the move," the Nobel Peace Prize-winning preacher shouted, "and no wave of racism will stop us!"

That evening King flew back to Atlanta in high spirits, deeming the third Selma-to-Montgomery march an unqualified success. Yet Parks, near broke, took a bus back to Atlanta the next day, deeply depressed.  There was too much white hatred still in Montgomery to feel victorious. Her great fear was that Selma was only a stride forward, in basketball parlance, not a slam-dunk. America was still poisoned by the curse of institutional racism.

The fight for voting rights was just beginning. True ballot-box equality was still a long way off. Even after President Lyndon B. Johnson signed the Voting Rights Act of 1965 that summer, Parks remained somewhat skeptical. She knew Southern white bigots would concoct evil new ways to disenfranchise black people.

As America reflects on the significance of the 50th anniversary of Selma this weekend, it's important to honor the martyrs of "Bloody Sunday" in a lasting way. Certainly, the fact that Barack Obama, an African-American, is U.S. President proves that Lewis didn't get his head dented in vain. But the recent egregious findings of the Department of Justice following the Michael Brown case as well as other incidents resulting in the deaths of unarmed men of color still give us reason to pause.

"I remember feeling something was not right," Parks recalled shortly after the third Selma march. "Even though the march was over, I felt that everything was not right."

One thing "not right" on the 50th anniversary of the Selma marches is the sad fact that the Edmund Pettus Bridge hasn't been renamed the John Lewis Bridge. Continuing to honor Pettus -- a Confederate general, U.S. senator and white supremacist -- is insulting to America's civil rights heroes. When the bridge was built in 1940, Jim Crow ruled Alabama. Dallas County blacks had no say in the bridge being named to honor a Reconstruction-era white supremacist.

Thankfully a group of conscientious students has recently started a petition drive to rid the iconic bridge of Pettus' name. But let's go further than just removing Pettus' name; let's rename the bridge for someone who deserves our admiration.

I'm not a historian who thinks Confederate memorials should be boarded up. Places such as Jefferson Davis' Beauvoir estate along the Mississippi Gulf Coast and the pedestaled statue of Robert E. Lee in New Orleans (turning his back to the North) need historic preservation. But the Edmund Pettus Bridge -- which in 2013 was declared a National Historic Landmark -- isn't symbolic of the Civil War in a meaningful way.  It is, however, the modern-day battlefield where the voting rights movement was born. There is no more fitting tribute to the death of Jim Crow than to rename the "Bloody Sunday" bridge after Lewis.

I urge President Barack Obama, the National Park Service, the state of Alabama and the city of Selma to "do the right thing." Like the Statue of Liberty, the John Lewis Bridge would become a sacred place for visitors to reflect on noble American traditions -- in this case, peaceful protest and voting rights.

The "We Shall Overcome" year of 1965 would, at last, be given its historical due in Selma. "I'm with the kids,"  the Rev. Joseph Lowery, a close associate of King's, recently said in supporting the Edmund Pettus Bridge being redesignated. "Let's change it."

@highlight

Ceremonies attended by President Obama to mark march's 50th anniversary over bridge

@highlight

Douglas Brinkley: Site where voting rights battle was fought should be named for John Lewis