(CNN) -- U.S. intelligence officials would not rule out the possibility on Tuesday that admitted National Security Agency leaker Edward Snowden has been meeting secretly with Russian authorities, who have given him asylum from U.S. prosecution.

The subject of Russia dominated a House Intelligence Committee hearing, featuring testimony from the director of national intelligence, as well as the heads of the CIA, FBI, and Defense Intelligence Agency.

DNI James Clapper told lawmakers it was "certainly a possibility" Russian intelligence services have spoken with Snowden, the former National Security Agency contractor whose disclosure of sensitive surveillance methods has caused a political uproar.

"I would find it incredulous if they didn't," said Clapper, about any efforts to influence Snowden by the FSB, Russia's state security organization.

At least a half-dozen lawmakers raised broader concerns about Russia's global influence in areas like:

-- The civil war in Syria, where Russia has long supported the regime of President Bashar al-Assad.

-- Support of Ukraine's current leadership, whose policies have prompted massive citizen demonstrations in the capital Kiev in recent weeks.

-- The Winter Olympics, which begin later this week in the Black Sea resort of Sochi. U.S. officials have raised concerns about what they call a lack of security cooperation to ensure the safety of American athletes and interests.

"I do think that this is somewhat reflective of current leadership in Russia," said Clapper. "I think there is clearly a desire to return to great global power status. And I think that colors the behavior of the Russian government in the pursuit of their interests in which they are competitive with us."

Committee chairman Mike Rogers pressed FBI Director James Comey about whether journalists or news organizations could be held accountable for publishing sensitive material Snowden might still have in his possession.

Documents he has admitted taking from secure NSA databases were exposed last summer, revealing the existence of vast American surveillance of electronic metadata relating to phone records and e-mail.

"So if I'm a newspaper reporter for, fill-in-the-blank, and I sell stolen material, is that legal because I'm a newspaper reporter?" Rogers, a Michigan Republican, asked.

"Right, if you're a newspaper reporter and you're hocking stolen jewelry, it's still a crime," Comey replied.

Rogers then asked: "And if I'm hocking stolen classified material that I'm not legally in possession of, for personal gain and profit, is that not a crime?"

Comey responded: "I think that's a harder question, because it involves a newsgathering function. It could have First Amendment implications." He would not talk specifics, calling the Snowden leaks an "active investigation."

Clapper later said less than 10 percent of the documents Snowden allegedly took with him overseas has to do with "domestic surveillance."

He also had a personal message for Snowden, who has been charged in federal court with espionage.

"Snowden, for his part, claims that he's won and that his mission is accomplished," said Clapper. "If that's so, I call on him and his accomplices to facilitate the return of the remaining stolen documents that have not yet been exposed to prevent even more damage to U.S. security."

Matthew Olsen, director of the National Counterterrorism Center, highlighted concern over the Olympics, and whether Muslim fundamentalists in disputed regions of Russia -- or other groups -- could launch deadly attacks on selected targets.

Russian security forces have cracked down on suspected militants in the restive North Caucasus republic of Dagestan and elsewhere in recent weeks, after twin suicide bombings in the city of Volgograd in December.

"The primary threat, from a terrorism perspective, comes from Imarat Kavkaz, probably the most prominent terrorist group in Russia. It's made its intent clear to seek to carry out attacks in the run-up to the games," said Olsen. "We think the greater danger from a terrorist perspective is in potential for attacks to occur outside of the actual venues for the games themselves in the area surrounding Sochi or outside of Sochi in the region."

Against that backdrop, was the announcement on Tuesday that U.S. Ambassador to Russia Michael McFaul would leave his post later this month. He cited a desire to return to his family in California.

McFaul has been a controversial figure in Russia, with some state-run media viewing him with suspicion for his outspoken support of pro-democracy groups.

One U.S. senator had tough words for Russia, while praising McFaul for his efforts to implement President Barack Obama's "reset" policy to improve relations with Moscow.

"I have been deeply disturbed by the campaign of harassment the Russian government initiated and supported against Ambassador McFaul throughout his admirable service in Moscow," said Sen. John McCain, an Arizona Republican. "In my view, such conduct by the Russian government warrants concern for other U.S. officials working in the country."

@highlight

Top U.S. intelligence official said it was possible Russian intelligence has spoken to Snowden

@highlight

Snowden, a former government contractor, leaked sensitive U.S surveillance information to media

@highlight

Facing federal charges in the United States, Snowden is now living under asylum in Russia