Washington (CNN) -- Which one of these doesn't fit? More jobs, a record stock market, wars ending and dismal poll numbers.

All apply to Barack Obama's presidency as it passes the 2,000-day mark, raising questions about the viability of what used to be known as conventional political wisdom.

A strengthening economy and robust stock market traditionally mean general public satisfaction with government. Bringing soldiers home from war zones has always boosted presidential popularity.

Not this time with this President.

A CNN compilation of recent national polls indicates only 41% of Americans approve of Obama's handling of the job, down 6 percentage points from a year ago and matching the low of the past 12 months.

Why the disconnect? A convergence of factors -- uneven economic growth, government crises both real and exaggerated, foreign policy problems, hyper-partisan Washington politics now on election-year steroids -- helps explain it.

Obama to Republicans: 'So sue me'

Here's a closer look at some of the issues involved:

1) Jobs, but not for everyone

Another strong jobs report Thursday added to growing evidence that U.S. economy has hit its full stride after the recession Obama inherited when he took office in January 2009.

A White House statement noted the 288,000 jobs created in June contributed to the strongest start to a year since 1999 and the best six-month period overall since 2006.

The unemployment rate dropped to 6.1%, well below the almost 10% level in the immediate aftermath of the recession as well as the more than 7% level when Obama's presidency began.

In addition, the job growth last month spread across the economy instead of coming mostly from low-paying sectors such as food and drink, as occurred previously, said CNN Chief Business Correspondent Christine Romans.

However, Romans noted that a low labor force participation rate showed many people "have simply just left the labor market." Those out of the labor market for more than a year still have trouble finding jobs, so little has changed for them, she said, adding: "It's not all unicorns and rainbows."

Obama himself alluded to the sweet-and-sour economic situation on Thursday, touting the positive report but adding that "there are still folks out there who are struggling."

"My hope is that the American people look at today's news and understand that, in fact, we are making strides," he said.

2) Who benefits from a strong stock market?

The jobs report that exceeded expectations of analysts sent the stock market to record heights, with the Dow crossing 17,000 for the first time.

However, happiness on Wall Street doesn't translate directly to satisfaction on Main Street, noted CNN Business Correspondent Alison Kosik.

"Only about half of Americans invest in stocks," so the gains don't matter to a lot of people, Kosik said, adding that the stock market "isn't the economy."

In fact, the soaring exchanges sow resentment among non-investors who blame Wall Street greed for the near collapse of 2008 that contributed to the recession.

As a Democrat, Obama stands to benefit less from a healthy stock market than a Republican president from the party more traditionally tied to the banking-investment sector.

3) Wars ending, sort of

Obama campaigned twice on ending the wars in Iraq and Afghanistan wars started by his predecessor, and he is on track to fulfill that promise.

He withdrew U.S. forces from Iraq in 2011, and almost all American forces will be out of Afghanistan by the end of 2016 -- and his presidency -- under his plan.

However, myriad issues cloud the return home of the troops.

The lightning advance by Sunni militants through northern Iraq threatens renewed civil war and partition, raising fears of a jihadist-controlled safe haven for terrorists threatening U.S. interests.

That is the exact scenario the wars were supposed to end, and critics have accused Obama of allowing gains made in Iraq to get erased after pulling out U.S. forces.

The Obama administration blames Iraqi Prime Minister Nuri al-Maliki for his country's collapse, saying the Shiite leader rejected an agreement to keep U.S. forces in the country and marginalized Sunni and Kurd populations in Iraq.

Now Obama is sending U.S. forces back to Iraq, by the hundreds so far, to bolster security and advise Iraqi forces. The label of military advisers evokes memories of how the Vietnam War started.

Another problem involves chronic and sometimes deadly delays faced by returning war veterans seeking health care from the Veterans Affairs Department.

The crisis reported by CNN since November already has brought the resignation of VA Secretary Eric Shinseki, various investigations and a White House report that essentially said the entire department needed an overhaul.

4) Governing woes

The VA crisis follows other problems in the Obama administration, such as the dysfunctional website for his signature health care reforms, IRS political targeting of groups seeking tax-exempt status and the 2012 terrorist attack that killed four Americans in Benghazi, Libya.

As expected, congressional Republicans have mounted a series of investigations, some necessary and others intended to wring as much political capital out of the controversies as possible heading up to the November elections and beyond.

They also adopted obstructionist tactics after getting overrun by Democratic majorities in Obama's first term on transformative legislation such as the Affordable Care Act and Wall Street reforms.

The result: a gridlocked Congress of political one-upmanship, and a President who appears to have thrown up his hands in disgust by promising to act on his own as much as he can.

"We can make even more progress if Congress is willing to work with my administration and to set politics aside, at least occasionally," Obama said of Thursday's job report.

No polling fireworks for Obama or Congress this July 4th

Republicans responded in kind, with House Speaker John Boehner saying that "in order for us to make real progress, the President must do more than criticize."

"There's no shortage of common ground where he can push his party's leaders in the Senate to work with us," Boehner said in a swipe at legislative intransigence by Senate Democrats. "Until he provides that leadership, he is simply part of the problem."

If any solace for Obama, polls show the public dislikes Congress more than him, with the CNN compilation of recent surveys showing 14% approval for the legislators.

By seeking to blame Republicans and declaring his intent to govern by regulation instead of legislation, Obama turns off voters who want to see the President engaged and trying, said Wendy Schiller, a political scientist at Brown University.

"He sort of looks like a kid on the playground who's hiding, saying, 'Forget it, I'm not playing with you guys anymore,'" Schiller told CNN, adding that "even though it can be explained, the concept of a president giving up doesn't sit well with people."

Obama is the same guy who won re-election in 2012, she said, but now he comes off as powerless "when the truth is the executive branch structure is enormously powerful."

"The less Congress does, the more power the executive gets," Schiller observed.

5) "Nattering nabobs of negativism"

Speechwriter William Safire came up with that phrase for former Vice President Spiro Agnew to complain about a liberal-leaning mainstream media during the Nixon administration.

Now Obama faces the resulting backlash -- a vitriolic right-wing media machine that feeds and enhances Republican attack politics.

From talk radio icon Rush Limbaugh to Fox News to the rest of an industry spawned in the past two-plus decades, the conservative messaging reflects the deep ideological divide in the country.

Obama has provided fodder to his detractors, getting cited for "Lie of the Year" in 2013 by PolitiFact.com for his oft-repeated, erroneous declaration that his health care reforms meant "if you like your health care plan, you can keep it."

Schiller credited the political right with "persuading people who do benefit from the federal government that they don't" as part of the conservative effort to shrink the government's size and cost.

"Democrats have failed miserably to counter that," she said.

Now, 45% of the public automatically opposes Obama, America's first African-American president, "no matter what," she said, "whether racism or ideology or both."

Who is the worst president since WWII?

Opinion: GOP left Obama no choice but to act on immigration

Opinion: Lies, damned lies, statistics and polls

CNN's Paul Steinhauser contributed to this report.

@highlight

Issues that usually benefit a president not helping Obama

@highlight

Much of the negativity reflects the nation's partisan divide

@highlight

Right-wing media feeds and enhances GOP attacks

@highlight

Analyst: True or not, the President is perceived to be giving up