Washington (CNN) -- The convenience store near my house is where I first became aware of the problem.

There, an overweight girl, maybe 10 years old, had just persuaded her mother to buy her potato chips and a Slurpee.

It was 11:15 at night.

From that moment forward, I saw overweight and obese kids everywhere: At church, in Wal-Mart, at the movies. Everywhere.

It wasn't always this way. In fact, obesity rates for kids have tripled over the last three decades, according to a widely circulated report that appeared in the Academic Pediatrics journal late last summer. Moreover, the Robert Wood Johnson Foundation and nonpartisan government surveys say that one out of every three children in America is overweight or obese. Think about that: One in three.

(The Centers for Disease Control and Prevention uses body mass index -- a formula that considers height, weight, age and gender -- to determine if a child is overweight or obese. Click here for an interactive calculator to see if your child falls into either category.)

Studies find that overweight and obese kids are more likely to grow up to be overweight and obese adults. Saddled with heart disease, diabetes, high blood pressure and myriad other preventable health problems, they will be sicker and may die earlier than the generation before them.

Consider this: Last November, a report based on the research of Dr. Ken Thorpe, a noted Emory University health care economist, found that 43 percent of all adults in America would be obese -- not overweight, but obese -- by 2018 if current trends continue. It was 15 percent in 1980.

This epidemic not only threatens the well-being of our children but strains an overburdened health care system, hampers the productivity of our workforce and indirectly undermines our competitiveness as the world's leading economic power.

Fortunately, there is reason to hope.

First lady Michelle Obama is stepping in to lead a new initiative. Having gotten her daughters settled into school and life in Washington, the Harvard-educated lawyer is kicking off a program to bring attention to the childhood obesity epidemic. In terms of need and potential impact, I would argue that this is the most meaningful public service effort taken on by a first lady since Nancy Reagan's "Just Say No" campaign of the 1980s.

Perhaps learning from early missteps of her husband's administration, Mrs. Obama is consulting members of Congress from both political parties before announcing the national effort. She has solicited their thoughts and ideas to incorporate into the plan.

The first lady is using unifying and uplifting language to talk about the epidemic. She has refused to speak about it in abstract terms and does not disparage those who make unhealthy decisions for their kids, like the mom at that convenience store. She uses her own experiences to relate to other parents:

"It wasn't that long ago that I was juggling a full-time job with the round-the-clock role of being a mom. And there were plenty of times when after a long day at work, when the fridge was empty and everyone was hungry, that I just ordered that pizza, because it was easier. Or we went to the drive-through for burgers, because it was quick and cheap. And I wasn't always aware of how all the calories and fat in some of the processed foods I was buying were adding up," she said, previewing her initiative in a speech to the nation's mayors last month.

On Tuesday, the first lady will unveil the details of her comprehensive plan, the broad outline of which, she told a meeting of key members of Congress and the Cabinet, include four main elements: increasing the number of healthy schools; increasing the amount of physical activity children receive; improving accessibility and affordability of healthy foods; and empowering consumers and families to make healthier food choices. She'll spell out the details in the coming days.

The childhood obesity epidemic is the newest front in the battle of the bulge, and Mrs. Obama should be praised for using her mass appeal to shed light on it. She is right to argue, as she has, that there is no one solution, federal or otherwise.

Stopping this epidemic will require complementary efforts that bring together government, families, schools, foundations, businesses and others. Here's hoping that people across America hear Mrs. Obama's call to action and join the national campaign to end childhood obesity. Our collective future, in no small part, depends on its success.

The opinions expressed in this commentary are solely those of Anthony Coley.

@highlight

Anthony Coley says obesity rates for kids tripled in past 30 years; one in three affected

@highlight

Michelle Obama launching anti-obesity campaign for kids this week, he says

@highlight

He says she's sought bipartisan advice in developing her plan

@highlight

Coley: Her four-part campaign will push healthier food, exercise at school and home