(CNN) -- As a young woman growing up just miles from O'Hare Airport outside of Chicago, Lorraine Rodgers was fascinated with aviation.

It was the early 1940s, and Amelia Earhart had become the first woman to fly solo, nonstop across the Atlantic Ocean a decade earlier. Charles Lindbergh had done it a few years before that.

"I read every word I could about them and what they did," said Rodgers, now 93. "I wanted to fly."

Rodgers got a job so she could pay for flying lessons every Saturday. In the fall of 1942, she read in the paper about an experimental program to train female pilots for domestic duty and free up men to fight overseas.

The 21-year-old Rodgers was quick to sign up and stood on her tiptoes in order to meet the height requirements.

She trained from sunup to sundown, seven days a week at Avenger Field in Sweetwater, Texas, to become part of the Women Airforce Service Pilots program -- "WASP" for short. She later moved to what would become her permanent base, Love Field outside Dallas, ferrying military planes all across the country for two years.

"We would go to the plants or factories or the bases and pick up certain planes and deliver them where they were supposed to go," she said.

It was often dirty work. "We were oily and covered with sand from flying over the desert. Far from glamorous."

On New Year's Day, these pioneering pilots will be celebrated with a float in the 125th Tournament of Roses parade in Pasadena, California, part of an effort to bring attention to an often overlooked part of American history.

Women pilots honored 65 years after World War II service

First lady Eleanor Roosevelt was an early supporter of the program, writing in a September 1942 newspaper column: "This is not a time when women should be patient. We are in a war and we need to fight it with all our ability and every weapon possible. Women pilots, in this particular case, are a weapon waiting to be used."

By 1943, 25,000 women had applied to join the WASP program.

"These ranged from farm wives in Iowa to dancers in New York to schoolgirls in California," said Kate Landdeck, a history professor at Texas Woman's University who has been studying the program for 20 years. "All across the country, women applied to this program. All ages."

'Everything the men did, we gradually took over'

Fewer than 2,000 were chosen for training and just over 1,100 served. Between 1942 and 1944, they flew more than 60 million miles in every military aircraft in the arsenal -- bombers, transports and trainer aircraft. In addition to ferrying planes, they flew weather flights, chauffeured top military brass around the country, test-flew planes and even towed targets so male pilots could practice shooting them.

"Everything the men did, we gradually took over," Rodgers said.

And the men took notice. "When we were out ferrying planes, the men would come and see it was a girl and smile and wave, but then they would start doing circles around us."

It was a dangerous job. Rodgers once had to bail out of her plane when it went into a tailspin over Texas. Afterward, she wouldn't let go of her parachute's ripcord for hours.

Thirty-eight female pilots were killed while serving their country.

The program was disbanded with little fanfare in December 1944, months after a bill to give the women military status failed in Congress.

"As the bill was working its way through Congress and being much debated through Congress, at the same time, you have the armed forces marching through Europe towards Germany," Landdeck explained. "And at the same time, you have a group of male pilots who are very actively opposing the women becoming part of the military because they want to do the WASP jobs rather than being shipped overseas -- particularly to Japan, which is where they were going to be most needed."

The very vocal opposition to the plan to officially militarize the WASP program, combined with the success of the war in Europe, meant the legislation had no chance.

"The combination of the two was just enough to kill this fairly radical idea of bringing women into the military as pilots," Landdeck said.

'We couldn't believe it. This was our life'

Rodgers and many others were devastated.

"When we got the word 'You are out of here December 20th,' we couldn't believe it. This was our life," she said. "They supplied planes with male pilots to fly us all home, and that was it."

Not a day goes by that Rodgers doesn't think about her time in the air, singing to herself in the cockpit high above the clouds.

"I enjoyed every minute," she said. "There was nothing like it."

It wasn't until 1977 that President Jimmy Carter signed legislation -- passed with the help of Arizona Sen. Barry Goldwater -- awarding the WASP military status and making participants eligible for veterans' benefits. In 2010, the surviving WASP members were awarded the Congressional Gold Medal in a ceremony at the Capitol.

Inspired in part by a 2010 float honoring the Tuskegee Airmen, a group of WASP participants and supporters raised nearly $200,000 to build the Rose Parade float to highlight the wartime contributions of these trailblazing women. The Wingtip-to-Wingtip Association, an organization formed to honor the WASP, helped spearhead the effort. Landdeck is part of the group.

"These women are being saluted, and I just think it's a great tribute," said Tim Estes, president of Fiesta Parade Floats, the award-winning company that built the float. "I think it's an important story to tell."

The 20-ton float took more than 2,000 hours to construct and more than twice that time to decorate. Work was set to continue up until Tuesday, attaching pounds of onion, poppy and lettuce seeds, crushed sweet rice and about 35,000 roses.

There are fewer than 200 WASP participants still living, and the youngest is 89, Landdeck said. On parade day, eight of them from across the country will ride the float, and 20 other female pilots from airlines and the military will walk alongside it.

"We want the WASP to know that the work that they did during the war -- and the work they've done since in representing women who served as pilots -- that legacy lives on," she said. "Their journey may be ending, but their story isn't finished."

@highlight

About 1,100 women served in the Women Airforce Service Pilots program in World War II

@highlight

Female pilots ferried military planes around the country to allow men to fight overseas

@highlight

A bill that would have made the program part of the military failed in Congress in 1944

@highlight

Members of the program were awarded Congressional Gold Medal in 2010