(CNN) -- The high-profile case of a girl adopted by a South Carolina couple is moving toward another legal showdown after Oklahoma's governor ordered the extradition of the girl's biological Native American father, who is accused of custodial interference.

Gov. Mary Fallin on Wednesday ordered that Dusten Brown be extradited to South Carolina after she became convinced that the father disobeyed an Oklahoma court order to allow the adoptive couple, Matt and Melanie Capobianco, to visit Veronica, 4.

But Brown's attorneys told CNN that they will challenge the extradition order at a hearing scheduled for October 3. Brown turned himself in to authorities Thursday morning in Sequoyah County, Oklahoma, and was then released on $10,000 bail, said Robert Nigh, his attorney in South Carolina.

Fallin said Wednesday that her goal "in the Baby Veronica case has been to encourage both Mr. Brown and the Capobianco family to reach a quick settlement and come to an agreement that protects Veronica's best interests."

"I said previously that I was willing to delay Mr. Brown's extradition to South Carolina as long as all parties were working together in good faith to pursue such a settlement," Fallin said in a written statement. "Unfortunately, it has become clear that Dusten Brown is not acting in good faith."

Brown's attorneys claim their client did not break a law in the ongoing custody dispute.

In June, a divided U.S. Supreme Court sided with the Capobiancos, who are white, when Brown sought to assert his parental rights. They had legally adopted Veronica when she was a baby.

The justices said the adoption was proper and did not intrude on the federal rights of the father, a registered member of the Cherokee tribe, over where his daughter would live.

The court said Brown could not rely on the Indian Child Welfare Act for relief because he never had legal or physical custody at the time of adoption proceedings, which were initiated by the non-Native American birth mother without his knowledge.

The father then took his case to Oklahoma courts.

Timeline of 'Baby Veronica' adoption case

Brown refused to hand over the child

After the Supreme Court order, a family court in South Carolina developed a "transition plan" to ease any transfer, taking into account the girl's age, sensitivities of the parties involved and the Native American heritage dynamic underlying the larger legal dispute.

Brown did not attend a transition meeting, saying he had National Guard training out of state and was unable to get out of that duty.

The South Carolina family court then ordered that Veronica be turned over immediately. Brown refused to hand the child over and was cited for contempt. A warrant was issued on August 10 for "custodial interference."

As he did Thursday, Brown turned himself in to authorities in Oklahoma and posted bail after that warrant was issued.

Fallin acted after South Carolina Gov. Nikki Haley filed a request with the Oklahoma Supreme Court seeking "the prompt return of a South Carolina child to her adoptive parents and ensuring that Mr. Brown is held accountable for criminally withholding Veronica Rose Capobianco from her parents for nearly one month," according to a court document.

Fallin's "unfortunate" order does not mean Brown will be extradited, according to another attorney, Clark Brewster.

An Oklahoma judge will determine whether the father broke any laws, he said, adding his client did not do so.

Brown and his attorneys "will appear before a judicial officer, point out the defects in the order and defend themselves," Brewster told CNN.

Brewster also claimed his client has tried to accommodate the Capobiancos during the appeal process.

But Haley, in her court filing in Oklahoma, said Brown has been in "willful defiance" of South Carolina courts that ordered him to return Veronica to the Capobiancos. South Carolina wants to prosecute Brown for custodial interference.

The Oklahoma Supreme Court issued an emergency stay on Friday to temporarily delay the transfer of Veronica to the Capobiancos. The order was made public on Tuesday.

Case has tested federal law

The extradition order does not affect the current placement of Veronica, according to Fallin. She would be able to stay with Brown's relatives.

The four-year case has spanned state lines and tested an unusual federal law.

The Capobiancos legally adopted Veronica at birth in September 2009. When Brown learned of her adoption a few months later, he asserted his custody rights under the Indian Child Welfare Act, setting off a lengthy legal fight.

A family court judge ruled in Brown's favor in late 2011, and he took his daughter back. The Capobiancos have fought ever since to have Veronica returned, arguing federal law does not define an unwed biological father as a parent.

Fallin claimed that Brown denies visitation between the adoptive couple and the girl. "He is acting in open violation of both Oklahoma and South Carolina courts, which have granted custody of Veronica to the Capobiancos. Finally, he has cut off negotiations with the Capobiancos and shown no interest in pursuing any other course than yet another lengthy legal battle," the governor said.

"As governor, I am committed to upholding the rule of law. As a mother, I believe it is in the best interests of Veronica to help end this controversy and find her a permanent home," Fallin said.

Melanie Capobianco has told reporters that Veronica is being "illegally held against the wishes of her parents and the courts," and she pleaded for her daughter's return.

CNN's Joe Sutton, Michael Martinez, Bill Mears and Phil Gast contributed to this report.

@highlight

NEW: Dusten Brown posts bail after surrendering to Oklahoma authorities

@highlight

Oklahoma governor signs extradition order for Brown, the biological father

@highlight

South Carolina's governor asked Oklahoma's Supreme Court to return child

@highlight

Brown, a Native American, is accused in South Carolina of custodial interference