Washington (CNN) -- Almost two-thirds of Iowa's Republican political pros predict that former Massachusetts Gov. Mitt Romney will win the state's caucuses on Tuesday, but his campaign's margin for error over Texas Rep. Ron Paul is slim.

As the candidates dashed around the state making their closing arguments to a volatile caucus electorate, CNN surveyed 64 Iowa GOP insiders -- including state legislators, local elected and party officials, senior advisers to Republican Gov. Terry Branstad, business and conservative interest group leaders, veterans of previous caucus campaigns, and a variety of other party activists -- to assess the shape of the GOP race.

In the CNN Iowa GOP insiders survey, a solid majority of the 64 Republican political pros thought Romney would finish first over Paul.

Who will finish first?
• Mitt Romney: .....40 (63%)
• Ron Paul: .....17 (27%)
• Michele Bachmann: .....1 (1%)
• Newt Gingrich: .....1 (1%)
• Rick Perry: .....1 (1%)
• Rick Santorum: .....0 (0%)
• Too close to call/dead heat: .....4 (6%)

Three other Iowa GOP insiders thought the race was just too close to call between Romney and Paul, and they picked those two to finish in a dead heat. And another predicted a four-way traffic jam for first between Romney, Paul, former House Speaker Newt Gingrich and former Pennsylvania Sen. Rick Santorum. While Santorum has been surging in the polls in the final week of campaigning, not a single Iowa GOP insider picked him to be the outright winner on caucus night.

As one Iowa Republican explained, Romney has run a shrewder campaign than he did in his 2008 caucus effort, when he bet huge amounts of time and resources in the state expecting a victory, only to see former Arkansas Gov. Mike Huckabee rally born-again and evangelical voters for the win.

"He has run a smart campaign; not the campaign that Iowa politicos would necessarily like to see, but the operation has done the right thing in Iowa from (managing) expectations to ads to finally deciding to play here," one GOP insider, who asked that his name not be used, said of Romney. "What isn't written about enough is the value of the time he put in Iowa four years ago and how he still has staff and an extensive array of 'super volunteers' around the state. He has had the money and now you are starting to see some enthusiasm at his events. He wins a close caucus."

Indeed, when those same 64 Iowa GOP insiders were asked to predict the percentage of the caucus vote that each of the Republican White House hopefuls would capture, the race between Romney and Paul looked much tighter.

Percentage of caucus vote expected
• Mitt Romney: .....24%
• Ron Paul: .....22%
• Rick Santorum: .....17%
• Newt Gingrich: .....15%
• Rick Perry: .....11%
• Michele Bachmann: .....7%
• Other: .....2%
• Jon Huntsman: .....1%

Romney is not without his challenges in the state. Some wonder whether his Mormon faith remains a barrier for him in a contest where 60% of participants in the 2008 GOP caucuses were born-again or evangelical Christians. But Romney's biggest challenge may be the feeling that he is too politically expedient.

RELATED: Some Iowa Republicans want more options
RELATED: Will Iowa's evangelicals pick the GOP nominee?

Asked what Romney's biggest hurdle in the state was, nearly two-thirds of the Iowa GOP insiders said that it was the perception that he tailored his positions depending on the politics of the moment -- far surpassing concerns over the health care reform measure he signed into law in Massachusetts or skepticism from born-again and evangelical voters.

What do you think has been the biggest obstacle for Romney in Iowa?
• Perception that he has changed views for political gain:.....64% 
• Massachusetts health care law: .....22% 
• Doubts about him among born-again/evangelical voters: .....14%

"As a supporter (of another campaign) in 2008, I remember the attacks we tossed his way four years ago," said one GOP Iowa insider. "The flip-flopper image remains."

But that liability may pale compared to handicaps Newt Gingrich has faced in the state. Once the front-runner in Iowa, Gingrich has had to endure a barrage of negative attacks, particularly from super-PACs supporting Romney and Texas Gov. Rick Perry. And while Gingrich burst to the top of the pack in Iowa after the collapse of Herman Cain's campaign last fall, Iowa GOP insiders don't think he built the kind of political apparatus in the state that could buttress him as he's come under unrelenting fire.

What do you think has been the biggest obstacle for Gingrich in Iowa?
• The negative ads run against him: .....61% 
• His lack of organization in the state: .....33% 
• Doubts about him among born-again/evangelical voters: .....5% 
• Personal baggage (volunteered): .....2%

"While his lack of organization is a major issue, he could have conceivably overcome it if his face hadn't been ripped off by negative ads, which are running almost every other commercial," observed one GOP Iowa insider. But another averred, "They have shown his record, which has been all over the map."

Romney's main rival in the caucuses, Paul, also has problems making more headway in the state. While the 76-year-old congressman has been able to cultivate a devoted following with a blend of libertarian and isolationist appeals, there's a sense among many Iowa GOP insiders that that kind of exotic brew ultimately makes him unacceptable to most Republicans in a primary and most general election voters in the fall.

What do you think has been the biggest obstacle for Paul in Iowa?
• His stance on foreign policy: .....56%
• Perception that he can't win in the general election: .....46% 
• Doubts about him among born-again/evangelical voters: .....0%

"His ideas are too extreme and he doesn't try to mainstream them," said another Iowa GOP insider. "Paul's supporters don't care that he can't win," cracked another. "His foreign policy stances ensure that he won't."

Whoever wins on Tuesday, Iowa Republicans believe the party rank and file, along with larger-than-normal numbers of independents attracted by Paul's candidacy, will flock to the caucuses. Half of the Iowa GOP insiders expect their turnout will be above the 119,000 mark set in the 2008 caucuses. While some of that may be wishful partisan thinking, only 11% think that turnout will drop, while 39% predict it will be about the same as four years ago.

The CNN Iowa GOP insiders were surveyed from the evening of December 27 through the morning of December 30. Most of the survey was conducted over the Internet; some interviews were conducted by phone. The Iowa insiders were given anonymity for their individual answers in order to encourage candid responses. And while some insiders were aligned with one or another of the presidential campaigns, more than two-thirds said they had not endorsed and were not working for any candidate in the race. Here are the names of the participants in the survey: Chad Airhart, Tim Albrecht, Bill Anderson, Lon Anderson, Becky Beach, Carmine Boal, Jeff Boeyink, Michael Bousselot, Danny Carroll, James Centers, Tim Coonan, Peter Cownie, Mikel Derby, Paula Dierenfeld, Brian Dumas, Ed Failor Jr., Susan Fenton, Brenna Findley, Christian Fong, Dave Funk, Tracie Gilbert, John Gilliland, Gary Grant, Pat Grassley, Adam Gregg, Sandy Greiner, Steve Grubbs, Chris Hagenow, Robert Haus, Erik Helland, Matt Hinch, Mark Hudson, Caleb Hunter, Stew Iverson, David Jamison, Eric Johansen, Jake Ketzner, Gary Kirke, Jeff Lamberti, Jill Latham, Don McDowell, Christopher McGowan, Bill Northey, Chad Olsen, Noreen Otto, Christopher Rants, Steve Roberts, Craig Robinson, Dave Roederer, Brett Rogers, Richard Rogers, Stacey Rogers, Nick Ryan, Renne Schulte, Rich Schwarm, Mike St. Clair, Suzan Stewart, Ted Stopulos, Cameron Sutton, Ed Wallace, Andy Warren, Nicole Woodroffe, Eric Woolson, Grant Young.

@highlight

CNN surveyed 64 Iowa GOP political insiders days before the historic caucuses

@highlight

Two-thirds say that Mitt Romney will win on Tuesday

@highlight

Insiders also feel Ron Paul will finish in second place