SEASIDE, Oregon (CNN) -- One day in 1957, when Jeff Daly was 6 years old, his little sister, Molly, disappeared.

Jeff Daly's efforts to find his sister, Molly, led to a new Oregon law about records for institutions for the disabled.

Every night at dinner, he would ask his parents the same question, "Where's Molly?"

Every night, he says, he received the same answer: "Stop asking about Molly."

Decades later, Daly learned that his parents had sent Molly to a state institution nine days before her third birthday. Nearly 50 years later, Daly found his sister and made a documentary about his search.

"Since the movie, literally hundreds of people have come up to us and said, 'I had a [relative] that I remember my family talking about that was sent away. Do you know how we can find out about that person?'" says Daly.  Interactive: Watch Jeff Daly tell more about his and Molly's story »

An increasing number of people are trying to reconnect with family members sent to live in institutions decades ago, advocates for the disabled say. The Arc, a national advocacy organization for people with intellectual and developmental disabilities, has created a new online family registry and search service, the FindFamily Registry, to help with such reunions.

Through the registry, The ArcLink, a family services venture associated with The Arc, is compiling a database of information from family members seeking loved ones, as well as from caregivers hoping to find relatives of the people they're caring for. From that database, ArcLink staff will work to make connections.

To prevent abuse, The ArcLink will carefully screen people seeking information. When a match is found, both parties will be notified.

It's unknown exactly how many children were institutionalized in the last century. In 1967, at the height of institutionalization, as many as 100,000 children were housed in 162 state facilities across the U.S., according to Charlie Lakin, a professor at the University of Minnesota who studies the history of institutionalization. Other experts put the number of institutions as high as 200. Guest blog: Reflections on what is 'different.'

Most of the people sent to institutions had some sort of developmental disability -- Down syndrome, retardation, cerebral palsy or autism, for example. Some also were sent to institutions because they were viewed as "slow." Many had other kinds of secondary disabilities, such as being in a wheelchair. In a few cases, able-bodied people also ended up in state facilities because their families could not support them financially.  Watch how Daly answered the question: "Where's Molly?" »

Conditions could be horrific, Lakin said. Residents were sometimes restrained in leather cuffs or straitjackets, overly sedated, isolated for long periods of time, and in many cases, sterilized. Many had little or no contact with their families. Read the first-person story of a mom's love for her disabled son.

Such treatment was considered appropriate. Over the 19th centuries and 20th centuries, society's treatment of people with intellectual disabilities changed. From an early mission of training "productive workers" who would return to their communities, state schools for the disabled evolved into often overcrowded permanent homes, as fear and stigma colored public attitudes about people who were different. Many parents also didn't have the means or support system to keep a child with a disability at home. There was no "mainstreaming" of children with disabilities in schools.   Interactive: How attitudes toward people with intellectual disabilities have changed »

In the 1960s, under President John F. Kennedy, who himself had an intellectually handicapped sister, new federal laws boosted funding for resources and research on intellectual disabilities.

In the 1970s, after a series of lawsuits in federal courts led to a push toward independent living for people with intellectual disabilities, the institutions began closing. Most residents were sent to smaller group homes.

As difficult as it is for modern-day parents to fathom, parents sent children away under the advice of their doctors, historians say. "Back then, the standard physician message to parents with a disabled infant was, 'You can't handle this. Give the baby to the state, and don't worry about it,' " says Elbert Johns, president of The ArcLink, which provides information about services and service providers and technology resources to families of the developmentally disabled.

Bill Lynch, executive director of the Oregon Council on Developmental Disabilities, says it's hard to appreciate the culture of decades ago. "There was a lot of shame on the part of these families," he said. "There was such a huge stigma to disability. We're still getting over that."

Many who try to reconnect do so against the wishes of the parents of the disabled child, who still feel that shame, Johns says. "There was once a motivation on the part of families to dump and forget," Johns says. "The parents made a major life decision decades ago, and now somebody's questioning that." But he said when people do reach out, "that reconnection is pretty precious."

Molly's medical records indicate that she was born with a club foot and a lazy eye, which was left blind after surgery. When she was around 2, records show, doctors amended her diagnosis to "profoundly retarded," a characterization that Daly doubts but has no proof to contradict.

Daly says his father tried to stay connected to Molly and visited her at Fairview, the Oregon state institution where she had gone to live. But because Molly became so upset each time he left, the staff asked him to stop coming, Daly says.

Daly says his own search for Molly, which he recounts in the documentary "Where's Molly?" was relatively easy. Even though his parents wouldn't talk about Molly after she left, his father kept meticulous records. In 2004, after his parents had died, Daly found the phone number for the group home where Molly was sent after Fairview closed in 2000.

"He left clues for us. He left us little bits of information that gave us the ability to find Molly," he says. "I know he wanted me to find Molly." E-mail to a friend

Elizabeth Cohen is a correspondent with CNN Medical News. Senior producer Jennifer Pifer contributed to this report.

@highlight

People increasingly seek reunions with once-institutionalized relatives

@highlight

Most sent to institutions had some form of developmental disability

@highlight

In 1967, as many as 100,000 children were housed in 162 state facilities in U.S.

@highlight

Advocacy group The Arc creates online registry, search service,  to help reunions