(CNN) -- In a presidential primary season distinguished so far by the absence of substantive debates, the controversy over whether Mitt Romney and his partners at Bain Capital should be considered job creators or job destroyers raises a profoundly important issue.

Beyond the concerns about the loss of American jobs to off-shoring or automation and the food-fight tactics of Romney's rivals is a legitimate question about what kind of capitalism 21st century Americans should want.

The choice is between "stakeholder capitalism" and "shareholder capitalism." According to the theory of stakeholder capitalism, corporations are and should be quasi-public entities with responsibilities to the nation-state and to the communities in which they are embedded. The corporation should make a profit and provide a fair return to investors. At the same time, workers who contribute their labor to the company have a legitimate interest in it as well as investors who provide capital. Managers serve the company and the country, not merely the investors.

In the theory of "shareholder capitalism," the corporation exists solely for the purpose of the investors, whom the managers serve as agents. In shareholder capitalism, short-term profits are the only goal, and if that means laying off workers instead of retraining them or reassigning them, breaking up the company and selling the assets to enrich private equity partners and shareholders, so be it.

The stakeholder conception of the firm is still the norm in Europe and East Asia, as it was in mid-20th century America. But beginning in the 1970s, the shareholder conception of capitalism prevailed in the United States.

From the perspective of shareholder theory, private equity firms like Romney's are promoting efficiency, even as they make short-term profits by dismantling or destroying companies and laying off their workers.

From the different perspective of stakeholder capitalism, the emphasis on short-term profits for investors at the expense of all other considerations, including the well-being of employees and local communities, has been a tragic mistake.

What are the implications? If America continues to favor shareholder capitalism, there is no guarantee that policies to favor American business will preserve or create jobs or help anyone other than investors. On the other hand, if the United States were to move away from shareholder capitalism toward stakeholder capitalism, the law might limit hostile takeovers of companies or require workers and even local governments to have a say in corporate decisions. In some cases this might preserve jobs and factories at the expense of innovation and efficiency.

As a practitioner of the shareholder capitalism of the last generation, Mitt Romney as president would probably support policies that assume that the short-term interests of investors like Bain are identical to the long-term interests of the economy. By the same token, he would probably resist policies that increased the influence of managers, workers and local communities over companies at the expense of shareholders and financiers.

Nominated as secretary of Defense by President Eisenhower in 1953, former General Motors CEO Charles "Engine Charlie" Wilson, a symbol of old-fashioned stakeholder capitalism, told the Senate that "I thought what was good for the country was good for General Motors and vice versa."

Does Mitt Romney, today's symbol of shareholder capitalism, believe that what is good for Bain is good for America? If he wins his party's nomination and this year's presidential election, Americans will find out.

Join CNN Opinion on Facebook and follow updates on Twitter, and share your opinions on the 2012 election with CNN iReport.

The opinions in this commentary are solely those of Michael Lind

@highlight

Michael Lind asks: What kind of capitalism should 21st century Americans want?

@highlight

The choice is between "stakeholder capitalism" and "shareholder capitalism"

@highlight

He says Mitt Romney is today's symbol of shareholder capitalism

@highlight

Lind asks: Does Romney believe what is good for Bain is good for America?