(CNN) -- As political pros, journalists and pundits pick over exit polls to study how and why President Obama beat Mitt Romney for the presidency, a lot of the attention has been showered on the Latino turnout, gender gap and voters under 30.

The African-American turnout has largely been overlooked, seen by prognosticators as a no-brainer for President Obama.

There was never any doubt he was going to receive the overwhelming majority of black support. In 2008, Obama won 95% of the black vote, with black women voting at a higher rate than any other group in the country.

But six to nine months ago, numerous Obama campaign workers were privately expressing concern about the enthusiasm level of black voters, and about whether the massive 2008 turnout could be equaled.

Politics: What the election teaches us about ourselves

They hoped registration efforts and get-out-the-vote drives would kick in at the right time.

Re-electing the first black president was clearly a motivating factor for African-Americans, but what also should be noted is the Republican Party's efforts to enact voter suppression laws.

Not only were black folks angered and shocked at Republicans' blatant attempts at voter suppression in Ohio, Pennsylvania, Florida, Virginia, Texas and other states, they exacted revenge at the ballot box.

Conservatives have valiantly tried to assert that voter ID laws, trimming the early voting days and even eliminating early voting on Sundays was a prudent and practical decision that had nothing to do with black, Hispanic and young voters, or anyone else.

Opinion: The GOP's real problem is ideology

But anyone with half a brain could see that the GOP was desperate to upend the coalition that proved so pivotal to Obama in 2008. All over the country GOP-led legislatures and governors rushed to pass voter ID laws, only to see federal courts reject a number of them that clearly weren't thought through properly.

In Ohio, the voter suppression tactics were outrageous. After public pressure mounted to stop the practice of extending early voting in GOP-leaning counties and cutting them in Democratic-leaning counties, Ohio Secretary of State Jon Husted had no choice but to equalize early voting periods.

Such decisions, frankly, ticked off black activists, politicians, and civil rights groups to the point their voter registration campaigns went into overdrive. I talked to officials in multiple states, and the anger could be heard in their voices. Social media played a role as every new voter suppression effort was exposed, setting off a litany of complaints.

Opinion: GOP routed by reality

In Florida, Republicans stopped allowing early voting on the Sunday before Election Day, with no explanation as to why. In 2008, black churches marched a massive number of congregants to the polls, led by their slogan, "Souls to the Polls." The GOP clearly didn't want to see that happen again.

Obstacles like these rekindled the feeling among many African-Americans of the tactics enacted during the civil rights movement to keep blacks from voting. So pastors, deacons and laymen pushed and prodded their members to cast absentee ballots, and pushed hard for their members to stand in lines that during the early voting period can last as long as eight hours.

In Ohio, activists hit the salons, barbershops, recreation centers and churches to rally voters to do their civic duty. Black radio stations were enlisted in the battle to protect the sanctity of the ballot.

Opinion: Obama's critics, repudiated at last

Even when the networks were calling the election for President Obama on Tuesday, Florida residents were still standing in line to vote, some places in the rain, doing their part to push back.

According to NAACP president and CEO Ben Jealous, the organization registered 432,000 voters, a 350% increase over 2008.

The president's reelection wasn't about one group over another being the deciding factor. It was a collection of voters from varied backgrounds that made the difference. But the GOP should recognize and accept that its voter suppression tactics were not only roundly defeated, but were decimated.

It was the late civil rights activist Fannie Lou Hamer who famously said, "I'm sick and tired of being sick and tired."

Black voters, and others, were sick and tired of the GOP trying to keep their votes from being cast by passing onerous laws, and they responded in an amazing way, matching the historic turnout of 2008, and bringing to life the civil rights anthem, "Ain't Gonna Let Nobody Turn Me Around."

Opinion: How GOP can attract Latino voters

The opinions expressed in this commentary are solely those of Roland Martin.

@highlight

Roland Martin: African-Americans outraged by GOP attempts at voter suppression

@highlight

Anyone could see that GOP wanted to block Obama supporters, he says

@highlight

Registration campaigns went into overdrive, and voters exacted revenge, Martin says

@highlight

The NAACP registered 432,000 voters, a 350% increase over 2008, he says