(CNN)Lee Kuan Yew will forever be remembered as the man who transformed a mosquito-ridden colonial trading post into a prosperous financial center with clean streets, shimmering skyscrapers and a stable government.

Born in 1923, Lee became Prime Minister in 1959 when Singapore, a tiny spit of land with no natural resources and a polyglot population of Chinese, Malays and Indians, was still British territory and beset by riots and unrest.

He presided over Singapore's bitter split from Malaysia in 1965 and molded the independent country into the global economic powerhouse it is today. "I was trying to create, in a third-world situation, a first-world oasis," Lee told CNN in 2008.

READ MORE: Obama: 'Lee a visionary'

Lee's thinking also had an international impact. His brand of capitalism -- which stresses the role of government rather than the free hand of the market -- has provided a blueprint for China's landmark economic reforms.

But Lee was also a divisive figure, attracting criticism for stifling media freedom and for the harsh treatment of political opponents.

In 2013, protests over plans to allow more immigrants into the city-state indicated growing unease among Singaporeans about the vision of the country set forth by the People's Action Party -- the party co-founded by Lee that has ruled Singapore for five decades.

Lee voluntarily stepped down as Prime Minister in 1990, the first Asian strongman to do so.

However, he played a role in the country's Cabinet until 2011 when his eldest son, Lee Hsien Loong, was elected for a second term as prime minister.

The elder Lee retained his influence around the world. "This is one of the legendary figures of Asia in the 20th and 21st centuries," U.S. President Barack Obama said during a meeting with Lee at the White House in October 2009.

"He is somebody who helped to trigger the Asian economic miracle," Obama added.

But there were indications Lee's health had been slipping in recent years.

In 2010 he was admitted to the hospital with a chest infection and in early 2013, Lee -- then 89 -- was hospitalized and treated treated for "stroke-like symptoms."

He was again admitted to the hospital on February 5 for severe pneumonia and more than six weeks later remained on a ventilator.

A fourth-generation Singaporean, Lee's family originally emigrated from southern China.

A bright student, he gained a place in the city's elite Raffles Institution and went on to study law at Fitzwilliam College at Cambridge.

He attributed his decision to go into politics to his experiences during the Japanese occupation of Singapore.

"I learned how people survived and how people had to submit because you need to eat and your family needs to live, so I learned the meaning of power," he told CNN in 2002.

The city Lee took control of in 1959 was still recovering from the ravages of war and could not have been more different from today's Singapore. However, Lee told CNN he had no "great vision of transformation."

He concentrated on attracting investment and creating jobs; first finding a successful niche in electronics manufacturing by touting Singapore as an alternative to Hong Kong, which he said was in turmoil due to the Cultural Revolution in China.

While Lee has been lauded for his economic accomplishments, he also created a Singapore bound by stringent laws and regulations that dictated most, if not all, aspects of society -- including media and political freedoms, censorship and even the selling of chewing gum.

The country ranks 150th in Reporters Without Borders' 2014 Media Freedom Index, putting it just above the Democratic Republic of Congo, Mexico and Iraq.

The New York Times, The Economist, the International Herald Tribune and the Asian Wall Street Journal have all been targeted with the "judicial harassment" employed by the Lee family, according to the media watchdog.

In a 2014 article for CNN, opposition politician Dr. Chee Soon Juan criticized Singapore's authoritarian system, blaming a lack of dissenting views for economic inequality and worsening working conditions.

"The ranks of the opposition, civil society and labor movement have been decimated in the last 50 years through imprisonment without trial and criminal prosecution, and nearly every newspaper, TV channel and radio station is owned and run by the state," Chee said.

But in a 2008 interview with CNN's Fareed Zakaria, Lee rebuffed charges that Singapore was too domineering or coercive a state.

"I want social peace and stability within the country. I am not following any prescription given to me by any theoretician on democracy," he said.

While Lee is likely to be remembered with affection and pride by many Singaporeans, a younger generation, with no memory of the poverty and violence that marked the country's birth, is questioning the Lee dynasty's control of Singaporean politics and pushing for greater democracy.

In 2011, the People's Action Party lost six seats to the opposition, prompting Lee, then the party's "minister mentor" and another former prime minister, Goh Chok Tong, to resign.

In a joint letter to parliament, the two explained they "decided to leave the Cabinet and have a completely younger team of ministers to connect to and engage with this young generation in shaping the future of our Singapore."

How Singapore copes with these democratic demands will be key to its success in its second half-century, but those demands are unlikely to detract from Lee's achievements in its first 50 years.  In 2010, Time magazine listed Lee as one of world's 100 most influential people.

"The mark of a great leader is to take his society from where it is to where it has never been," wrote former U.S. Secretary of State Henry Kissinger in the article on Lee. "There is no better strategic thinker in the world today."

@highlight

Lee Kuan Yew became Prime Minister in 1959

@highlight

He presided over Singapore's bitter split from Malaysia in 1965

@highlight

Lee faced criticism for stifling media freedom and the harsh treatment of political opponents