(CNN)I can't believe I'm writing this, but: California, you've got a heck of a lot to learn from Mississippi.

Not in terms of per capita income, obesity rates or LGBT rights. It's well-known that Mississippi falls at or near the bottom of 50-state rankings for a range of social and health indicators.

But there's at least one stat where the Magnolia State shines: Its vaccination rate.

A staggering 99.7% of kindergartners in Mississippi are vaccinated for measles, according to the Centers for Disease Control and Prevention.

That's the highest rate in the nation.

In California, the rate is only 92.3%.

(Colorado, meanwhile, has the lowest rate, at 81.7%.)

Those numbers are significant. Even a very small percentage of unvaccinated kids can contribute to an outbreak, especially if they're concentrated in a single community, as is often the case in high-end, hippy-dippy California. According to the San Jose Mercury News, 87% of kindergartners at the Berkeley Rose School, for example, had exemptions from vaccination. Parents at the school "seek more alternative health care," a spokeswoman told that newspaper.

Well, they're choosing an unsafe alternative -- one that puts their kids, and, importantly, all kids in the community, at greater risk.

They shouldn't be allowed to do so.

Those risks should be abundantly clear given the outbreak of measles that started at Disneyland. From January 1 to January 30, there were 102 cases of measles reported across 14 states.

It's time for California's Gov. Jerry Brown to stand up to the so-called anti-vaxxer crowd. He has a moral responsibility to push for vaccine policies that are more like Mississippi's.

It's clear, after all, that policies are what make the difference.

Parents in California can exempt their children from life-saving vaccines because of philosophical or religious reasons. More-religious Mississippi, meanwhile, offers neither. It's one of only two states -- the other is West Virginia, with a 96.1% measles vaccination rate -- that requires parents to vaccinate their children unless they have a medical reason not to.

The result: It's easy for misinformed parents to skip vaccinations in California.

In Mississippi, it's hard.

I'm not a scientist, but I do trust scientists. And if you listen to them, you know that higher vaccination rates make kids safer.

As CNN's Dr. Sanjay Gupta has reported, vaccines do not pose a danger to children. They do not cause autism. Sure, there is always a slight risk of an allergic reaction or other complication. But the risk of serious allergic reaction to the measles vaccine, according to the CDC, is less in 1 in a million.

Gupta smartly puts that in context: "It is worth pointing out that 12 out of 10,000 people who take an aspirin are at risk of intracerebral hemorrhage, or bleeding in the brain. People who regularly take too much acetaminophen (Tylenol) are the largest group of people hospitalized for acute liver failure. And, on average, one person in the United States dies every year from H20 intoxication, or drinking too much water. And yet, no armies have formed against aspirin, Tylenol or water."

All 50 states offer the medical exemption, according to the National Conference of State Legislatures. That makes sense. Some children, such as those with cancer, cannot be safely vaccinated.

But 48 of them offer religious exemptions.

And 20 states -- California among them -- grant "philosophical exemptions for those who object to immunizations because of personal, moral or other beliefs," NCSL says.

These laws cave to the anti-science, anti-vaccine movement. And they create unnecessary public health risks. In California, it's relatively easy for parents to obtain exemptions based on their personal beliefs.

"Legislators tried in 2012 to make it tougher for parents to bypass vaccines, requiring counseling and signatures from health care professionals to gain an exemption," the San Jose Mercury News reports. "But two loopholes left it easy for parents to opt out: Counseling can be given by naturopaths, who practice alternative medicine and typically oppose vaccination. (And) people who oppose vaccination because of religious beliefs can skip counseling, a policy change that (California) Governor Jerry Brown instituted when he signed the updated law."

In an e-mail, Brown's press secretary, Evan Westrup, told me that "the Governor believes that vaccinations are profoundly important and a major public health benefit." He cited data showing the kindergarten immunization rate for measles is up very slightly (from 92.3% to 92.6%) in the wake of the 2012 law. And "personal belief exemptions" are down from 3.15% to 2.54%. "It clearly has had an impact on exemptions in terms of providing parents with more information," Westrup said of the 2012 law.

It's also clearly not enough.

Two lawmakers in California are proposing legislation that would limit parents' ability to claim "personal belief" exemptions from shots, according to CNN affiliate KTLA.

It's unclear if the bill would eliminate religious exemptions, as well, according to that network. It should. And I hope the bill will be the subject of much debate.

For now, however, personal choice and fear are trumping reason in California.

"It's good to explore alternatives rather than go with the panic of everyone around you," a California parent told The New York Times. "Vaccines don't feel right for me and my family."

It doesn't matter what "feels right."

It matters what's real.

Vaccines don't cause autism.

They save lives.

And allowing parents to act on such misguided "beliefs" is negligent.

California needs to take a cue from Mississippi and remove its vaccine exemptions.

@highlight

John Sutter: California should boost its vaccine laws

@highlight

The state offers exemptions for religious and personal beliefs

@highlight

Sutter points to Mississippi as a better example; that state offers neither exemption