(CNN) -- Ferran Adria delights in doing things differently.

He's credited with inventing over 1,800 recipes for his restaurant El Bulli -- consistently rated the world's best -- and elevating cooking to a new level, fusing gastronomy with art and science.

"One of the big reasons why El Bulli is where it is, is because we talk to other disciplines. We are seeing the revolution of communications in cooking," he says.

Adria has become something of a culinary superstar who has given lectures across the world on his innovative approach to food and his face has been splashed on the cover of international publications.

"Everything that has happened is a gift," he says. "When I was on the cover of The New York Times I couldn't believe it. What is a cook doing there? I have been invited to Harvard as a visiting professor! How could I have dreamed of this? I never expected this."

It's a long way from where he imagined he would be when he took his first job in a restaurant kitchen aged 17. That was more to do with a teenage need to fund a summer vacation rather than the makings of a life's vocation.

Adria's interest in cooking began at home in Barcelona with his parents and younger brother Albert, but then becoming a footballer was of greater interest to the young Ferran.

"Neither Albert nor I studied cooking. Neither of us wanted to be cooks. So we have the same way of thinking. We ask why about things," Adria says.

Yet by the time Adria was 24 he was the head chef at El Bulli on the Catalan coast in northeastern Spain, at that time a struggling restaurant in danger of losing its Michelin-star rating.

Today El Bulli is the benchmark for the world's greatest culinary experience. Only 8,000 people are served there each year despite millions of requests for a table. Dining is less about enjoying a meal as indulging in an experience that can take a whole day. The average cost is $400, involving dishes prepared with almost molecular precision.

"You don't make money with avant garde cuisine. This is not a business. We could auction reservations on eBay. But that would be prostitution," says Adria.

It seems fitting that the creations emanating from his kitchen should be less than 10 miles from the former home of artist, Salvador Dali. From "pina colada pillow" cocktails to extracting the unique flavor of prawn heads, his kitchen team provide the unexpected in a way the surrealist would likely have approved of.

"Every time I meet something I did not know existed I say, 'Nice to meet you,' because it extended my idea of what life is about and that is what Ferran is doing," says Vincente Todoli, former curator of London's Tate Modern.

"Art or not art? I don't care but certainly this is an experience that takes me into other realms."

Adria also has his attention fixed on venturing into new territory. Last year he announced that El Bulli would close its doors for good in the summer of 2011. In its place will come the El Bulli Foundation, a "think tank of gastronomic creativity" that Adria will continue to hone until it opens in 2014.

"This could become a vast creative network, thousands of people bringing in ideas. It is going to change the relationship between creativity and society," Adria says.

"This is a lot more than a cooking project. It's a social project. The objective of the foundation is to continue creating and to share everything via Internet."

Adria's interest in connecting with a larger world has already seen him partner with technology and communications company Telefonica in Spain to help develop El Bulli Foundation's IT.

But he's also gone back to his roots, embarking on smaller projects including a tapas and cocktail bar in Barcelona with his brother.

The tapas bar Tickets will open later this Spring, while 41 Degrees is bringing a range of cocktails to Barcelona's bar scene.

"We needed a place in Barcelona for friends. A place like this is much more relaxed than El Bulli," Adria says of 41 Degrees.

"There will be tapas for 5 or 6 euros ($6.7 to $8). It is not the same. The pressure is very different."

"The easy option for me was to just stop. But when you see how people react (to El Bulli) you realize it's worth (pursuing a new venture).

@highlight

Ferran Adria is the head chef of El Bulli, thought of as the world's best restaurant

@highlight

Adria pioneered avant garde cuisine; credited with inventing 1,800 dishes

@highlight

El Bulli will stop serving in the summer of 2011 to be reopened as El Bulli Foundation