(CNN) -- As Spain continues its drive to slash budgets and cut spending, one of the nation's favorite pastimes -- the siesta -- is under threat as ministers look for ways to boost productivity.

Three-hour lunches and catnaps, long the envy of Spain's European neighbors, could soon be a thing of the past.

Last month a parliamentary commission called for the government to turn back the country's clocks by an hour and introduce regular working hours from 9am to 5pm.

Read more: IMF's Lagarde warns against 'complacent' Europe

With the economy contracting and unemployment among the highest in Europe, the proposal is the latest move by the embattled Mediterranean nation to spur growth and create jobs in the wake of a four-year long eurozone debt crisis.

A spokesperson for the Spanish economy ministry said the government is looking at the proposal for a time zone change and "more rational working hours" following the Commission's study.

The move would potentially see Spain revert to Greenwich Mean Time, after Spain's long-time dictator Franco moved the country's clocks on to Central European Time to align with Nazi Germany in the 1940s.

Read more: A history of defaulting on debt

Speaking with CNN, Ignacio Buqueras, president of the Association for the Rationalization of Spanish Working Hours, said: "For 71 years we have been on the wrong clock. We need a clock that is more convenient."

He added: "We are also recommending a more flexible work schedule so that the days don't finish any later than 5pm and that at midday, lunch won't last any longer than roughly forty minutes."

One business that is trialling a new working day is Studio Banana, a Madrid-based design firm, where workers have found a novel way to incorporate breaks, siestas and lunch into a normal working day.

Using an 'Ostrichpillow' -- a full-head pillow that allows users to sleep anywhere -- employees at Studio Banana take short power naps and return to work fresh.

Ali Ganjavian, co-creator of Ostrich Pillow, said: "It came about because we were spending a lot of time working in the studios so we thought to ourselves 'why don't we create a product that allows us to sleep anywhere.'"

Read more: Europe feeling the economic winds of change

Spain's unemployment crisis

The Commission's proposal to shift time zones is part of an effort to improve the country's productivity and align Spain's working hours with other European partners.

But while the economic picture in Spain may look bleak, unemployment figures for the third-quarter improved slightly to 25.98% compared with 26.26% in the second three months of 2013, according to the country's National Institute of Statistics.

Read more: Spanish exports are bright spark for economy

However, youth unemployment, which remains over 50%, still poses a major problem for Prime Minister Mariano Rajoy's government as many young people flee abroad in search of work.

Carlos Espinosa de los Monteros, the Spanish government's high commissioner for Brand Spain, told CNN that it will take "many years" for the jobless rate to drop to single digits.

"My estimate is something like five years before figures go below 10%," Monteros said, "[No one has a] magic solution."

Since the eurozone crisis began in 2009, policymakers have called on troubled nations to reform labor markets and increase flexibility, making it easier for employers to hire and fire employees.

Monteros believes Spain has to become a "business friendly" country and argues that if the government wants the country to return to growth taxes must be reduced.

"The labor reform has been an asset," he said, "because most multinational companies that compare the situation in Europe are ranking Spain as the first one in terms of flexibility and cost of labor."

CNN's Oliver Joy contributed to this report.

@highlight

TIme zone proposal is the latest move by Spain to improve productivity and align working hours with rest of Europe

@highlight

Spanish unemployment in the third-quarter improved slightly to 25.98% compared with 26.26% in Q2 of 2013

@highlight

Youth unemployment, which remains over 50%, poses a major problem for Prime Minister Mariano Rajoy's government