(CNN) -- Despite food safety measures, the threat of foodborne illness remains in meat and produce -- and some types of illness are on the rise, recent reports say.

About 48 million people contract some form of food poisoning each year, according to the Centers for Disease Control and Prevention.

Salmonella remained the top cause of foodborne illness last year, according to the CDC's 2012 report card on food poisoning, issued Thursday. However, the overall instance of Salmonella was unchanged from the 2006-08 data, the agency said. The report card is based on reports from 10 U.S. regions, representing about 15% of the country.

The second most common cause of illness was Campylobacter, which increased 14% over the 2006-08 data, the CDC said. Campylobacter lives on live chickens and can taint meat during slaughter; it can also be found in raw, unpasteurized milk.

Chicken and ground beef top a list of "risky meat" published Tuesday by the Center for Science in the Public Interest.

Researchers from this advocacy group examined data from foodborne illness outbreaks over a 12-year period and found between 1998 and 2010, meat and poultry products were linked to "at least 1,714 outbreaks involving 33,372 illnesses."

That estimate may only be the tip of the iceberg, the group said, as people may not seek medical attention for food poisoning and cases go unrecorded. The U.S. Department of Agriculture (USDA) has an online reporting tool for those who think they might have a foodborne illness.

"We applaud CSPI's ongoing efforts to educate consumers about food safety," Dr. Elisabeth Hagen, the USDA's undersecretary for food safety, said in a statement responding to the report.

"While we have made progress in making food safer -- including cutting E. coli O157-related illnesses in half -- we still have work to do. As Salmonella rates continue to stagnate, we look forward to CSPI's support, and the support of other groups committed to food safety, of our efforts to reduce this dangerous foodborne pathogen, including modernization of the poultry inspection system."

In addition, the Environmental Working Group last week published an analysis of existing data on antibiotic-resistant bacteria contained in meat sold in supermarkets.

Eighty-one percent of ground chicken, 69% of pork chops, 55% of ground beef and 39% of chicken were found to contain the bacteria, the organization reported, citing data from a February Food and Drug Administration report. Antibiotic resistance reduces doctors' options to treat you if you become ill.

What government tests found in your meat

On Monday, the Environmental Working Group published the latest version of its "dirty dozen" fruits and vegetables. The advocacy group describes it as a consumer shoppers' guide to determine which types of produce pose the highest threat of pesticides.

Although pesticides are not a cause of foodborne illness, produce can be a source of food poisoning. In 2012, cantaloupes, spinach and spring mix salad and mangoes were linked to outbreaks.

Improving food safety begins before the products ever reach the consumer, at the slaughterhouse and in the fields, but "being careful in the kitchen is also very important," said Dr. Robert Tauxe, deputy director of the CDC's Division of Foodborne, Waterborne and Environmental Diseases.

So what's a consumer to do?

At the store

A CDC study published in 2010 once again highlighted the fact that young children can be exposed to raw meat and poultry products while riding in shopping carts, particularly if they ride in the basket of the cart.

Researchers suggest that parents keep their child away from these products, which could be leaking juices carrying bacteria, by placing their child in the cart's seat, and not place meat or poultry products in the seat while shopping to avoid contamination.

All consumers can benefit from separating their raw meat, poultry and seafood purchases from other food products to prevent cross-contamination.

The USDA recommends placing these types of foods in plastic bags and also placing these purchases in separate shopping bags at checkout.

Storage

Packaging meat products in leak-proof containers would also help cut cross-contamination. New Zealand, for instance, saw a significant reduction in foodborne illness after mandating leak-proof packaging, Tauxe said.

When you get home, storing raw meats in a plastic bag or container to prevent any juices from dripping on other foods is also important.

Listeria monocytogenes, another type of illness-causing bacteria, can grow in foods in the refrigerator, according to the CDC. Use an appliance thermometer to check the temperature inside the fridge; it should be 40 degrees or lower, and the freezer should be 0 degrees or lower.

Food preparation

Start with clean hands. Wash with soap and water for 20 seconds (sing "Happy Birthday" twice) before and after handling food -- and after other activities, such as changing diapers or using the bathroom.

Ideally, use separate cutting boards for fruits and vegetables and raw meat to avoid cross-contamination.

Wash fruits and vegetables under running water. Scrubbing melons and cucumbers with a clean brush is recommended; using soap to clean them is not.

Some home cooks wash their meat under running water before cooking, but, experts say, that can spread contaminated juices in places that may not be visible.

Use hot, soapy water to clean utensils and cutting boards after preparing foods; use hot, soapy water and paper towels or clean towels to clean work surfaces.

Proper cooking is essential for meat, poultry and seafood. Cooking temperatures have to reach a certain temperature to destroy bacteria such as E. Coli and Salmonella; a meat thermometer is the only way to be sure those temperatures have been reached.

A thermometer should be placed in the thickest part of the meat without touching the bone. Ground beef, lamb and poultry should be cooked to 160 degrees Fahrenheit; whole chickens, turkeys and poultry parts to 165 degrees; and whole cuts of meat-like steaks, chops and roasts to 145 degrees, followed by three minutes of rest time before carving or eating.

Storing leftovers

Harmful bacteria can start growing at room temperature, so any leftovers should go into the fridge or freezer within two hours of cooking.

Storage times for the fridge and freezer can vary depending on the food.

@highlight

Meat, fruit and vegetables can all pose a risk of foodborne illness

@highlight

Cases of Campylobacter illness are on the rise, according to the CDC

@highlight

Chicken and ground beef top an organization's "risky meat" list

@highlight

Care during food preparation is essential