Washington (CNN) -- When a 7-foot bronze statue of 19th century abolitionist Frederick Douglass is unveiled at the U.S. Capitol on Wednesday, the event will honor a figure whose political legacy looms large but whose personal life is lesser known.

Many Americans know that Douglass was born a slave in Maryland in the early 1800s and later wrote an autobiography "Narrative of the Life of Frederick Douglass, An American." His tale of escape from bondage to statesman, abolitionist and activist in the women's suffrage movement is also fairly well known.

But sculptor Steven Weitzman says he found that while working on the piece, Douglass was a man whose life goes far beyond the legend.

Here are five things you might not know about him:

1. He worked across the aisle

Republican House Speaker John Boehner recently called the statue of Douglass "a fitting tribute to one of the greatest Americans and voices for freedom who ever lived."

The GOP connection to Douglass goes back centuries.

Douglass had the ear of President Abraham Lincoln on matters concerning slavery and the treatment of black soldiers who fought in the Civil War.

However, the two had a complicated relationship. Douglass was frustrated by what he saw as Lincoln's delayed support of emancipation. Douglass would later go on to call Lincoln the nation's "greatest president."

During the 1888 Republican National Convention, Douglass was both a speaker and became the first African-American in a major party roll call vote to have his name put forth for president.

Douglass also conferred with Lincoln's successor, Andrew Johnson, on supporting the right of blacks to vote.

What 'Lincoln' misses and another Civil War film gets right

2. He held several government positions

At a time when many African-Americans were trying to establish lives after slavery, Douglass was appointed to several high-level U.S. government positions.

He served as minister and general counsel to the Republic of Haiti. He spoke at the 1892 Chicago World's fair where he detailed Haiti's journey as a colony founded on slave labor to one governed by former slaves, and drew a connection to the African-American struggle for freedom. Douglass was also the first black U.S. marshal and served in Washington.

Abolition through education

3. He was a twice-married supporter of women's rights

Douglass was first married to Anna Murray, a free black woman who shared his passion and commitment to the abolitionist cause. She helped him escape slavery and the couple eventually adopted the last name Douglass.

The couple and their five children were heavily involved in printing an abolitionist newspaper and helping support Murray's underground railroad efforts as she aided runaway slaves on their journey north.

Douglass' second wife was Helen Pitts, the white daughter of an abolitionist who was very active in the women's rights movement.

Douglass spoke passionately at the Seneca Falls Convention on women's rights and urged the gathering to support the right to vote for both genders regardless of race.

4. He often found himself in difficult political positions

As an outspoken advocate for the right to vote for African-Americans and women, Douglass often found his relationship with those who supported similar causes strained.

Abolitionist John Brown tried to convince Douglass to join the raid on Harper's Ferry, a violent and ultimately failed attempt to start an armed slave revolt.

"I...told him that Virginia would blow him and his hostages sky-high, rather than that he should hold Harper's Ferry an hour. Our talk was long and earnest; We spent the most of Saturday and a part of Sunday in this debate: Brown for Harper's Ferry, and I against it; He for striking a blow which should instantly rouse the country, and I for the policy of gradually and unaccountably drawing off the slaves to the mountains, as at first suggested and proposed by him," Douglass wrote in "The Life and Times of Frederick Douglass."

Douglass also found himself at odds with longtime friend and women's suffrage advocate Elizabeth Cady Stanton, over the 15th Amendment, which prevents the government from denying citizens the right to vote based on race. Stanton had hopes to link women's voting rights to the bill; Douglass worried this would sink the measure.

Douglass publicly expressed frustration with Lincoln's latent support of emancipation and once wrote of Johnson, who had blanched at meeting the black abolitionist: "'Whatever Andrew Johnson may be, he certainly is no friend of our race.'"

Commentary: Lincoln's remarkable tie to former slave

5. The abolitionist's statue will stand in a place built by slave labor

It is no small symbol that Douglass' statue will stand in the U.S. Capitol, a landmark built partly slave labor. They quarried the stones used in the columns, walls and floors.

Douglass' statue will be featured prominently in Emancipation Hall and will be one of the first big visuals millions of Americans see when they arrive.

Douglass' statue is the first to represent the District of Columbia and the third of an African-American at the Capitol. Martin Luther King Jr., and Rosa Parks from the civil rights era also have statues as does abolitionist Sojourner Truth.

The unveiling comes on a day when many states celebrate "Juneteenth," a day in 1865 when African-American slaves in Texas were finally told they were free.

Historic milestone for African-American voters in 2012

@highlight

Douglass worked with both Republicans and Democrats on behalf of black voting rights

@highlight

He saw a kinship in Haiti's history as a former slave colony and that of blacks in America

@highlight

He was an outspoken supporter of the women's suffrage movement

@highlight

His statue is the first to represent Washingon D.C.