(CNN) -- In the aftermath of the decision in Schuette v. Coalition to Defend Affirmative Action, there is one thing (and perhaps only one thing) that most everyone agrees upon: It is a game changer.

The Background: A game changer
By Jonathan Turley

After decades of conflicting and increasingly convoluted decisions on the use of race as a criterion for university admissions, the Supreme Court ruled Tuesday that the citizens of Michigan could constitutionally ban the use of race and other criteria in the selection of students.

For some, the court affirmed the right to establish a colorblind selection process. For others, the court engaged in an act of willful blindness to the racial realities of society.

The court has been struggling in this area for decades. In 1977, in Regents of the University of California v. Bakke, the court allowed only a limited use of race for the purpose of achieving "diversity" in classes.

The Medical School at the University of California at Davis set aside 16 of the 100 seats for minorities. The court ruled it unconstitutional but was deeply divided on why -- a harbinger for the line of cases that would follow Bakke.

The court spent nearly the next 40 years spinning on the ice of affirmative action, unable to get traction or a clear direction.

The court's split decision in 2003 is illustrative. It was presented with two cases involving the use of race as a criterion in the undergraduate and the law school admissions processes at University of Michigan.

In one case, Gratz v. Bollinger, the court voted 6-3 that the university violated equal protection in the selection of students based on race and other criteria. It then ruled 5-4, in Grutter v. Bollinger, to uphold race criteria in the admissions process for Michigan Law School.

However, Associate Justice Sandra Day O'Connor stressed that the court "expects that 25 years from now, the use of racial preferences will no longer be necessary to further the interest approved today."

O'Connor's statement was ridiculed by many (including some on the court), but seemed to capture the fluidity of the court's position on the use of race.

In 2013, the court again seemed to produce a nuanced and uncertain decision in Fisher v. University of Texas at Austin, where the court rejected a lower court decision upholding the use of race in admissions at the University of Texas. However, it did not prohibit the use of race but rather sent back the case for the imposition of a more demanding test of "strict scrutiny."

These cases offered little hope that a "bright line" could be reached to bring resolution of the issue and meant that the court would continue to referee such matters. That line, however, may now have been reached in Schuette.

Michigan voters responded to the divided results in the Grutter and Gratz cases to bring their own clarity to the area. They passed a constitutional amendment that required an entirely colorblind process for selection at state schools (as well as barring schools from giving an advantage to some students based on other immutable characteristics like gender). By a vote of 6-2, the court ruled this week that citizens could do precisely that.

In so ruling, the court for the first time created an avenue that could end this longstanding controversy by vote of citizens. Seven states have already passed such rules, and this decision is likely to encourage others to follow.

In my seminar on the Constitution and the Supreme Court, my students and I debate leading cases each term and voted both on the merits and on our prediction as to the outcome in that "other" court.

So, in our recent vote, the GW Supreme Court voted overwhelmingly, 11-4, to reverse the Sixth Circuit and allow Michigan voters to make such a decision. The class also predicted the result in the case -- again by an 11-4 vote.

Here are two of our "GW justices" who viewed the case in manifestly different ways:

AGAINST: Ruling reflects 'sad history' of racial hurdles
By Yvette Butler

The importance of the court's decision is amplified by our sad history of placing hurdles to bar minorities from meaningful participation in the political process. Race-conscious policies, by the court's own admission, are highly controversial and should be confronted in the political process through healthy debate. However, the debate means little if no real action can be taken to implement what was decided through that debate.

The Michigan Constitution already contained a process for deciding university admissions policies. Michigan residents had ample voice through elections to choose members of a board that were an integral part of this process.

If the board members were not advancing the will of the people, residents could have made their voices heard through elections. This switch from a highly accessible and accountable board to a state constitutional amendment is an impermissible restructuring of the political process which will only serve to cripple the effectiveness of public debate and severely disadvantage the minority. By adopting a change on a state constitutional level, the issue is further removed from the hands of the people.

Even assuming that a healthy debate will take place, the decision places a significant hurdle in the way of any concrete action. This decision goes against clearly established Supreme Court precedent that it is unconstitutional to inhibit meaningful access to the political process for minorities. The Supreme Court plays a special role in our system. It must uphold constitutional rights, especially in the face of majority rule where that majority seeks to take a voice away from the minority.

FOR: Court should not undo the will of the people
By Vincent C. Cirilli

The political process yields favorable and unfavorable results. As long as the government does not interfere with the right to participate in the process, and as long as the results of that process are constitutional, the courts cannot take power from voters and undo the will of the people. The Supreme Court made clear that Schuette was not about the constitutional validity of affirmative action programs.

Instead, the case was about whether Michigan's constitutional amendment barring affirmative action interfered with the right to participate in the political process. The court correctly ruled that the process functioned properly.

What did that process entail? Michigan's Proposal 2, a statewide referendum, was approved by 58% of Michigan voters. The amendment the voters passed does not restrict speech, deny voting rights, or impose majoritarian barriers designed to prevent the minority from achieving its goals.

In other words, the amendment does not interfere with the political process. Voters are not silenced, the issues are not censored, and the debate surrounding affirmative action is not over.

If the role of the court is to perfect democracy, then the court fulfilled its role in not overturning Michigan's amendment. A ruling to the contrary would undermine democracy by removing this debate from the public sphere and leaving its resolution in the hands of nine unelected judges.

Some may disagree with Michigan's amendment. That is to be expected and encouraged. The political process is always ongoing and perhaps the issue will be revisited. In the meantime, the debate will continue, ideas will be shared, and the political process will march forward.

Join us on Facebook.com/CNNOpinion.

@highlight

Jonathan Turley and his law students debate the ruling in the Michigan affirmative action case

@highlight

Yvette Butler argues the amendment takes the issue out of the hands of the people

@highlight

Vincent C. Cirilli counters that the will of the voters should not be ignored

@highlight

But all agree: The ruling is a game changer