(CNN) -- When Tessa Thompson was a little girl, she carefully cut out clothes to dress her paper dolls, but her real dream was to own an American Girl doll. Those characters with custom wardrobes and historical pedigrees are still coveted by kids all over.

Thompson never got her longed-for toy, but she got a better gift: These days the 29-year-old actress gets to go to work each day and dress like a living doll on the set of the TV period drama "Copper." Corsets, shawls, veils, a sweeping evening gown, vintage 1865, are her reality.

She plays Sara Freeman, wife of Dr. Matthew Freeman (Ato Essandoh), who partners up with Detective Kevin Corcoran (Tom Weston-Jones) in using early forensic techniques to solve crimes in New York City.

On the set, where the slums of Five Points and the developing African-American community of Carmansville meet the brownstones of tony Fifth Avenue, Civil War-era New York comes alive. The BBC America show returns for its second season on Sunday.

Bringing 19th century New York to life on "Copper"

The historical costumes allow the actors to embody their characters, from how they work, move and breathe in the garments to the choices in design and color their fictional counterparts might make.

"It really isn't until you put on the corset and lace up your boots that you can look in the mirror and see staring back at you what you hope to project," Thompson said.

Head costumer Delphine White, who has been designing for 41 years, and her talented team collaborate with the actors to create hundreds of outfits and accessories suitable for the diverse cast.

Her team is full of cutters, sewers, dyers and even an on-call cobbler and milliner. The "stitchers" apprenticed in Europe for seven years before they called themselves seamstresses, White said, and she counts herself lucky. Together, they made 600 dresses, frock coats and union suits for the first season alone.

From studying photographs and ladies' magazines, White was able to paint a clear picture for her team of what different social classes wore at the time. Then she collaborated with the production team to decide on a color range and distinct look for each neighborhood.

Uptown, the tones were cool, while Five Points was earthy and sepia-toned. But the second season of "Copper" has brightened colors and loosened the corset stays all around town.

Actress Anastasia Griffith was relieved to give her uptown character, Elizabeth Haverford, some literal breathing room. Her tightly laced silk gowns stunned in every episode last year, but she could barely move her arms in some of the voluminous dresses and tiny corsets.

"In the first season, we see this tightly wound human being who is so trapped in this gilded cage of the costume and you don't see her internal life," Griffith said. "In the second, we dive into her unraveling. The costumes have been really influential in helping me inhabit that energy."

Larysa Kondracki, co-producer and director for many of the episodes, let Griffith lose the corset for some of the episodes so she could be free and natural.

The duality of Elizabeth's character also allows for Griffith to play to and against the grandiosity of her station. She sits primly in the drawing room, but has also been capable of some duplicitous actions. Veils allow Griffith to obscure her face and heighten Elizabeth's sense of mystery.

"At the time, women could not exist outside of a man's domain. I hope I crack open her true vulnerability, and the Machiavellian necessity Elizabeth finds. She has to be smart enough to play along even though in her heart she is a very independent spirit."

Both Thompson and Griffith were able to collaborate with White and her team about the cut, materials and colors of their costumes. As happens with their conversations with the show producers, actors can casually mention an idea that soon becomes a stunning reality.

Last season, Thompson's character, Sara, was trapped on "a plateau of sameness, and her costume reflected that." She was trapped by fear, rarely left the house, and was suspicious of every person her husband encountered. She was also incredibly buttoned up and wore a variation on one costume.

Now, it has been revealed that Sara is a seamstress, so sitting in with the design team influenced Thompson's shaping of Sara. She helped design one of her gowns and watched as it transformed from sketch to costume over two weeks.

When Thompson wore the dress, a group of the clothiers who worked on the creation came to watch her film the party scene, grinning like stage moms.

"As an actor, it feels like an honor to wear these costumes because of the tremendous amount of work, care and love that goes into making them," Thompson said.

Thompson also has more costuming options this year. Sara is less buttoned up and the color palette has become bolder and richer.

Time is the biggest enemy when constructing the garments, because "Copper" starts filming a new episode every eight days. That means new costumes have to be ready each week, so the team works around the clock. White has a unique approach to this complex process: Do the research, learn the conventions, push the boundaries and break the rules.

She shops for fabric and lace in vintage shops, even stripping old tablecloths and curtains at times, but modern fabrics have worked their way in as well. The color combinations from the 19th century wouldn't hold any appeal for us now, White said.

Some of the men in "Copper" sport a Mick Jagger- and Robert Mapplethrope-inspired look, borrowing from the 1970s version of frock coats rather than straining for historical accuracy. It's oddly fitting.

Although not the timely music for 1865, the rock 'n' roll spirit flows through "Copper." The characters in their weathered costumes project a rebellious, jaunty feel for a multifaceted city divided by change.

"A period piece is something I always wanted to do, to inhabit a world you are recreating or reimagining," Thompson said. "This storytelling in costume essentially becomes a 13-hour film of epic stories and you follow these people in a slow burning way."

Follow Ashley Strickland on Twitter @CNNAshley

@highlight

'Copper' is a period detective drama set in 1865 and based on early forensic methods

@highlight

Costuming for the show is done by team of cutters, sewers, dyers, cobblers and milliners

@highlight

Head costumer Delphine White consulted historical records to get the look right

@highlight

White also incorporated more modern colors and cuts to give costumes a unique flair