LONDON, England (CNN) -- A group of experts from around the world will Thursday hold a first of its kind conference on global catastrophic risks.

Some experts say humans will merge with machines before the end of this century.

They will discuss what should be done to prevent these risks from becoming realities that could lead to the end of human life on earth as we know it.

Speakers at the four-day event at Oxford University in Britain will talk about topics including nuclear terrorism and what to do if a large asteroid were to be on a collision course with our planet.

On the final day of the Global Catastrophic Risk Conference experts will focus on what could be the unintended consequences of new technologies, such as superintelligent machines that, if ill-conceived, might cause the demise of Homo sapiens.

"Any entity which is radically smarter than human beings would also be very powerful," said Dr. Nick Bostrom, director of Oxford's Future of Humanity Institute, host of the symposium. "If we get something wrong, you could imagine the consequences would involve the extinction of the human species."

Bostrom is a philosopher and a leading thinker of transhumanism -- a movement that advocates not only the study of the potential threats and promises that future technologies could pose to human life but also the ways in which emergent technologies could be used to make the very act of living better.

"We want to preserve the best of what it is to be human and maybe even amplify that," Bostrom told CNN.

Transhumanists, according to Bostrom, anticipate a coming era where biotechnology, molecular nanotechnologies, artificial intelligence and other new types of cognitive tools will be used to amplify our intellectual capacity, improve our physical capabilities and even enhance our emotional well-being.

The end result would be a new form of "posthuman" life with beings that possess qualities and skills so exceedingly advanced they no longer can be classified simply as humans.

"We will begin to use science and technology not just to manage the world around us but to manage our own human biology as well," Bostrom told CNN. "The changes will be faster and more profound than the very, very slow changes that would occur over tens of thousands of years as a result of natural selection and biological evolution."

Bostrom declined to try to predict an exact time frame when this revolutionary biotechnological metamorphosis might occur. "Maybe it will take eight years or 200 years," he said. "It is very hard to predict."

Other experts are already getting ready for what they say could be a radical transformation of the human race in as little as two decades.

"This will happen faster than people realize," said Dr. Ray Kurzweil, an inventor and futurist who calculates technology trends using what he calls the law of accelerating returns, a mathematical concept that measures the exponential growth of technological evolution.

In the 1980s Kurzweil predicted that a tiny handheld device would be invented sometime early in the 21st century allowing blind people to read documents from anywhere at anytime -- earlier this year such a device was publicly unveiled. He also anticipated the explosive growth of the Internet in the 1990s.

Now Kurzweil is predicting the impending arrival of something called the Singularity, which he defines in his book on the subject as "the culmination of the merger of our biological thinking and existence with our technology, resulting in a world that is still human but that transcends our biological roots."

"There will be no distinction, post-Singularity, between human and machine or between physical and virtual reality," he writes.

Singularity will approach at an accelerating rate as human-created technologies become exponentially smaller and increasingly powerful and as fields such as biology and medicine are understood more and more in terms of information processes that can be simulated with computers.

By the 2030s, Kurzweil tells CNN, humans will become more non-biological than biological, capable of uploading our minds onto the Internet, living in various virtual worlds and even avoiding aging and evading death.

In the 2040s, Kurzweil predicts non-biological intelligence will be billions of times better than the biological intelligence humans have today, possibly rendering our present brains as obsolete.

"Our brains are a million times slower than electronics," said Kurzweil. "We will increasingly become software entities if you go out enough decades."

This movement towards the merger of man and machine, according to Kurzweil, is already starting to happen and is most visible in the field of biotechnology.

As scientists gain deeper insights into the genetic processes that underlie life, they are able to effectively reprogram human biology through the development of new forms of gene therapies and medications capable of turning on or off enzymes and RNA interference, or gene silencing.

"Biology and health and medicine used to be hit or miss," said Kurzweil. "It wasn't based on any coherent theory about how it works."

The emerging biotechnology revolution will lead to at least a thousand new drugs that could do anything from slow down the process of aging to reverse the onset of diseases, like heart disease and cancer, Kurzweil said.

By 2020, Kurzweil predicts a second revolution in the area of nanotechnology. According to his calculations, it is already showing signs of exponential growth as scientists begin test first generation nanobots that can cure Type 1 diabetes in rats or heal spinal cord injuries in mice.

One scientist is developing something called a respirocyte -- a robotic red blood cell that, if injected into the bloodstream, would allow humans to do an Olympic sprint for 15 minutes without taking a breath or sit at the bottom of a swimming pool for hours at a time.

Other researchers are developing nanoparticles that can locate tumors and one day possibly even eradicate them.

And some Parkinson's patients now have pea-sized computers implanted in their brains that replace neurons destroyed by the disease -- new software can be downloaded to the mini computers from outside the human body.

"Nanotechnology will not just be used to reprogram but to transcend biology and go beyond its limitations by merging with non-biological systems," Kurzweil told CNN. "If we rebuild biological systems with nanotechnology, we can go beyond its limits."

The final revolution leading to the advent of Singularity will be the creation of artificial intelligence, or superintelligence, which, according to Kurzweil, could be capable of solving many of our biggest threats, like environmental destruction, poverty and disease.

"A more intelligent process will inherently outcompete one that is less intelligent, making intelligence the most powerful force in the universe," writes Kurzweil.

Yet the invention of so many high-powered technologies and the possibility of merging these new technologies with humans may pose both peril and promise for the future of mankind.

"I think there are grave dangers," said Kurzweil. "Technology has always been a double-edged sword."

....................................................................................

Do you think technology will allow humans to transcend biology in the future? Would you be comfortable with altering your biology? Should humans try to reprogram their genetics? What do you think the future looks like for mankind and machines? Share your thoughts in the Sound Off box below.

@highlight

Nick Bostrom says technology will let humans manipulate their own biology

@highlight

Ray Kurzweil predicts humans will be mostly non-biological by around 2030

@highlight

Biotechnology, nanotechnology, robotics could merge mankind with machines