(CNN) -- You're in town for business and have a few hours between meetings.

Not long enough to head out sightseeing, but too long to swipe aimlessly at your iPad in the lobby.

Luckily, some of the world's best city hotels offer the kind of leisure facilities that let you fool yourself into thinking you're kicking back at a resort -- at least until your reminder app tells you otherwise.

1. Palacio Duhau -- Park Hyatt (Buenos Aires)

Just 15 minutes from the central business district, this gorgeous hotel was once the palace of the aristocratic Duhau family.

Built in 1934, more than half the Palacio Duhau's land is dedicated to a cascading garden, where you can slow down and smell the roses (literally).

To aid procrastination on that report, there's an indoor pool -- heated to a constant 28 degrees Celsius (82.4 F) -- while the hotel's Duhau Restaurante & Vinoteca features 7,000 bottles of Argentinean wine.

For the more culturally inclined, there's the hotel's underground art gallery.

Palacio Duhau - Park Hyatt Buenos Aires, Avenida Alvear 1661, Buenos Aires, Argentina; +54 11 5171 1234

2. The Siam (Bangkok)

In a city notorious for its traffic, this riverside urban resort offers guests a scenic way to commute -- via converted rice barge from the hotel's private pier on the Chao Phraya River.

You can watch the world float by from a poolside sun lounger next to the river, or better yet, from the private rooftop terrace of the river view pool villa, which also comes with an internal courtyard garden and plunge pool.

With the hotel's art deco design accents, antique collections, a Musee d'Orsay-inspired main building and a restaurant housed in a series of ancient teakwood houses, you'll soon forget you're in the heart of a big, chaotic city.

The Siam, 3/2 Thanon Khao, Vachirapayabal, Dusit, Bangkok; +66 2206 6999

3. Hotel Molitor (Paris)

Ever since it first opened in 1929 as a public swim and socializing hotspot, this art deco-meets-industrial chic hotel has been synonymous with fab pools.

On a fine summer's day, one can relax by the 46-meter outdoor pool, enclosed by the building's high floors of rooms -- each with porthole windows -- and imagine you're sailing the seas in a luxury cruise liner.

There's also a glass-roofed 33-meter-long indoor pool.

Its pools are so legendary that the main character of "The Life of Pi" (full name Piscine Molitor "Pi" Patel) was named after the place.

A rooftop garden terrace overlooks another Parisian icon, the Eiffel Tower.

Hotel Molitor, 13 Rue Nungesser et Coli, Paris; +33 1 5607 0850

4. The Castle Hotel (Dalian, China)

Who would've guessed there's a mountaintop Bavarian getaway just 15 minutes from the CBD of this major Chinese metropolis?

Inspired by Neuschwanstein Castle, once home to Germany's King Ludwig II, the Luxury Collection hotel was originally built in 2002 to house a museum.

Everything about the place is over-the-top.

Statues of Greek gods pepper the magnificent gardens, an extravagant marble lobby features a grand double staircase and opulent chandeliers.

The Yellow Sea views are best enjoyed from the Royal Cellar pub with a frothy pint, or from the 4,850 square foot (450 square meter) indoor heated pool.

The Castle Hotel, 600 Binhai W. Road, Shahekou District, Dalian, Liaoning, China; +86 411 8656 0000

5. The Houstonian Hotel (Houston, Texas)

Proving that everything is big in Texas, guests of The Houstonian Hotel enjoy unlimited access to a sprawling 175,000 square foot fitness club, touted as one of the nation's best, and a 17,000 square foot spa.

The hotel is set amongst 18 acres of wooded landscape and has three outdoor pools.

To make your boss question if you even bothered to get any work done, Instagram a photo of the Resort Pool, complete with waterfalls and a slide, or the tranquil Garden Pool, set amongst beautiful landscaping.

The hotel is so relaxing that U.S. former President George Bush Sr. and his wife Barbara made it their official voting residence for more than 10 years.

The Houstonian Hotel, 111 N. Post Oak Lane, Houston, Texas; +1 713 680 2626

6. Hotel Santa Teresa (Rio de Janeiro)

Business travelers looking for an alternative base might be tempted to make a beeline to the sexy shores of Copacabana or Ipanema, but for another side of Rio, there's the winding pebbled streets and bohemian neighborhood of Santa Teresa.

The boutique Hotel Santa Teresa was once a colonial coffee ranch. It's since been transformed into a tropical chic property with 40 rooms and suites.

This one's a bit far from Rio's Centro business district -- 40 minutes by car -- but worth the extra commute time.

For the most stunning views in Rio, we recommend heading for the outdoor pool during sunset, which overlooks Santa Teresa Hill, Centro and down to Guanabara Bay.

Caiprinihas optional but highly recommended.

Hotel Santa Teresa, Rua Almirante Alexandrino, 660, Santa Teresa, Rio de Janeiro; +55 21 3380 0200

7. The Berkeley (London)

Granted, London's weather might not be ideal for al fresco poolside lounging -- hence the prevalence of subterranean pools -- but on beautiful summer days, nothing beats lounging by the only rooftop hotel pool in the city at The Berkeley.

At 10 by 5 meters, it's not the largest, but the views over Knightsbridge and Hyde Park make up for it.

A selection of poolside light bites and drinks will be enough to tide you over while you top up your tan before your business lunch at the two-Michelin starred Marcus downstairs.

The Berkeley, Wilton Place, Knightsbridge, London; +44 20 7235 6000

8. The Ritz-Carlton (Singapore)

Situated steps from Marina Bay, this hotel features a 25-meter outdoor pool surrounded by enough tropical foliage that you'd never know you were in the heart of the lion city.

If you'd rather indulge in watery pleasures in the privacy of your own room, there's the butler-drawn bath -- treatments complete with accompaniments (Champagne, strawberries and roses for one, Cohiba cigars and Cognac for another).

Marble bathrooms in the bay view rooms overlook the iconic Marina Bay Sands, the Singapore Flyer ferris wheel and city skyline through exhibitionist-friendly windows.

The Ritz-Carlton, Millenia Singapore, 7 Raffles Ave., Singapore; +65 6337 8888

9. W Santiago (Santiago)

Following the fashionable formula of designer hotels with heavy tints of cool, W Santiago pops with colors and design quirks that will snap you out of suited-and-booted work mode in no time.

You can't escape the Andes, wherever you are in the city, but the contrast of majestic snow-capped peaks and the trendy rooftop pool area on the 21st floor -- bathed in electronic lounge music and shrink-wrapped within the city/mountain panorama -- is as sweet as a year-end bonus.

To include the LED-lit infinity pool in your sights, the so-cool rooftop bar is a great place for a deserving nightcap.

W Santiago, Isidora Goyenechea 3000, Las Condes, Santiago, Chile; +56 2 2770 0000

10. Hotel Arts Barcelona (Barcelona)

Aside from being the tallest building in the country, Hotel Arts Barcelona is easily identifiable thanks to a Frank Gehry-designed golden steel installation.

The outdoor pool, set amongst a palm tree-landscaped garden, sits under the shimmering shadow of said fish statue, overlooking the Med.

The recently-launched 43 the Spa offers even better vistas from the sauna room, plus therapies such as a technology-detox treatment to counter the effects of smartphone appendage-itis.

Stay in one of the club rooms and you'll have use of a Smart electric car to make that five-minute drive into the city center for meetings.

Hotel Arts Barcelona, Carrer de la Marina, 19-21, Barcelona, Spain; +34 93 221 10 00

11. Villa Kennedy (Frankfurt, Germany)

Unusual for a city residence, this restored former banking family's home features a verdant central courtyard (the "Villa Garden") with a giant oak tree as its centerpiece.

Terraced suites and deluxe rooms overlook over this urban oasis, while over at the serene 1,000 square meter Villa Spa, you can turn off your phone and pretend you're on a luxury wellness retreat as you lounge on the mezzanine relaxation area overlooking the 15-meter Portuguese marble pool.

The hotel is located just 5 minutes from the city center and 10 minutes to the airport, which makes getting back to reality a bittersweet convenience.

Villa Kennedy, Kennedyalle 70, Frankfurt, Germany; +49 69 7171 20

Born and bred in Taiwan, Tina is a proud Bangkokian who left the glitzy world of PR to explore her passions closer to the ground.

@highlight

London only has one rooftop hotel pool, at The Berkeley

@highlight

Since opening in 1929, Hotel Molitor has been a top Parisian pool destination

@highlight

The Ritz-Carlton, Millenia Singapore offers butler-drawn baths in your room

@highlight

Hotel Arts Barcelona's spa features a technology-detox treatment to counter the effects of smartphone appendage-itis