Washington (CNN) -- Three years after that awful day -- the day a teenager accidentally backed his car over their little girl -- Michael and Brandy Dahlen have forgiven their young neighbor.

But they're having a tougher time coming to grips with the actions of the federal government.

The source of Dahlen's frustration: the government's failure to implement a law requiring back-up cameras on new motor vehicles. Enacted in 2008, the law had a 2011 deadline. It is now two years overdue.

Had the Department of Transportation acted quicker, Dahlen believes, there is a small chance his daughter would be still alive, and a near certainty many other children would have been saved from so-called "backover" accidents.

According to the U.S. Department of Transportation, more than 200 people are killed and 17,000 injured every year in backover crashes, when drivers back over objects in the blind spot behind them. Bigger cars and SUVs, the government says, mean bigger blind spots.

Children under the age of 5 account for 44% of the fatalities.

And in a high percentage of those cases, the driver is a parent or family member, compounding the emotional trauma.

In a nation almost numb to tragedies on its highways, tragedies in its driveways still rattle families and communities.

For the Dahlens, the unthinkable happened on April 11, 2010. Abigail, a cheerful girl with whispy blonde hair and deep dimples, was playing in the front yard when she chased a ball into the neighbor's driveway.

It happened quickly.

"She was 2, had just turned 2, so she was acting like a 2-year-old and pitched a fit because she fell down and got hurt," Michael Dahlen said. A teenager, unaware that Abigail was still behind his car, backed up, striking her.

At the hospital, Brandy Dahlen learned that her daughter was dead.

"I felt like someone opened a tap on my toes, and all of my life just drained out of me into my feet and a puddle on the floor," Brandy says. "Just this complete numbness and darkness, and it was the most awful thing I could imagine."

After the accident, the Dahlens learned that a law had been passed in 2008 -- before Abigail was even born -- to require the National Highway Traffic Safety Administration to develop rules to prevent back-up accidents. NHTSA determined that the only technology available to comply with the mandate would be rear-mounted video cameras, with in-vehicle displays.

In December of 2010, NHTSA published a proposed rule and set out to meet a February 2011 deadline for enacting it. On-board cameras, NHTSA said at the time, could cut in half deaths and injuries due to backing crashes, at a cost of about $159 to $203 per vehicle, or about $1.9 billion to $2.7 billion a year for the nation's 16.6 million fleet of new vehicles. (The price has since fallen, advocates say.)

But the Department of Transportation twice extended the deadline, first to December of 2011, and again to February of 2012, a deadline it has missed. The DOT said the extensions were necessary because of the "large volume of public comments and the complexity of some of the issues."

Asked this week about the status of the rule, the DOT declined to give specifics, saying only that the "Department remains committed to improving rearview visibility for the nation's automobiles. The rule remains under review."

Rep. Jan Schakowsky, D- Illinois, one of the sponsors of the bill, said she was "mystified" by the DOT's delays.

"They might be doing a cost-benefit analysis worrying about the cost, but I think that is not a sound excuse," she said. "How much is it really going to cost to have a camera, some kind of a camera in a car... We have bells and whistles of all sorts in our automobiles, certainly this safety should be in all automobiles."

Consumer advocates blame the auto industry for the delays.

"After all, you must remember, they (carmakers) were against seat belts, they were against airbags, they were against rollover protection technology and other safety measures," said Joan Claybrook, former NHTSA administrator and chair emeritus of the consumer advocacy group Public Citizen.

"It's time for the auto manufacturers ... and the White House (which) is bowing to their wishes, to say, 'We're going to do the right thing. We're going to protect the children of this nation," she said.

In a statement, the auto manufacturers lobby said only that manufacturers increasingly are adding cameras, even in the absence of the rule.

"Rearview camera systems are available on 7 in 10 new vehicles, as either standard equipment or an option," said Wade Newton of the Auto Alliance. "This provides consumers with many choices when it comes to what type of safety technology is appropriate for their families."

The Dahlens, who now drive a car equipped with a rearview camera, say a rule is still needed. And they warn others of dangers right outside their homes.

"I always told my children not to play in the road. Everyone is aware that is dangerous; don't play in the road," said Brandy Dahlen. "But it just never occurred to me how dangerous driveways were. And kids play in driveways all the time."

"Five years is a long time for any law," Michael Dahlen said of the government's unfinished business, "and for me it's really unacceptable."

Said Brandy Dahlen, "It is just so painful for us to think that everyone was aware of this problem, everyone was aware that something needed to be done before she (Abigail) was even born. And even still, this much later, (the rule) isn't out. That just isn't acceptable. It needs to be out."

"We still have a small hole in the center of our family where we are missing a person," says Michael Dahlen. "And I really don't want anybody else to have to go through that."

@highlight

More than 200 people are killed, 17,000 injured every year when drivers back over objects

@highlight

One victim: a 2-year-old named Abigail

@highlight

Her parents are frustrated at failure to implement a law requiring back-up cameras

@highlight

Enacted in 2008, the law had a 2011 deadline; it is now two years overdue