(CNN) -- In a long-awaited speech Thursday in Florida, President Obama will boldly go where no president has gone before, laying out an entirely new vision for the U.S. space program. The firestorm of controversy has already begun

For more than 50 years, presidents have pushed for government rockets to send astronauts to space, the moon and possibly Mars.

But now a new paradigm is being proposed. The moon program is off the table, and Mars is only a distant possibility. NASA is essentially getting out of the astronaut business, letting the Russians and private enterprise take over. The glory days of NASA, some say, are over.

The Obama plan is truly breathtaking, ending an era that lasted from Presidents Kennedy to Bush.

Some specifics:

• The moon program, called Constellation, is being suspended, and its components and $9 billion of research are going down the drain. The Ares rocket, which recently underwent a successful preliminary test, will be canceled. The Orion lunar module will be repurposed as an astronaut "lifeboat" tethered to the international space station.

• The space shuttle program is ending, causing 4,600 workers to lose their jobs. (This was also in the Bush plan, but that proposal included funding the Ares rocket.)

• Without a space shuttle, the U.S. will rely temporarily on Russian rockets to send our astronauts into space.

• Eventually, private enterprise will take over launching our astronauts.

Some critics say that this is all too much, too soon. Private companies may not be ready to pick up the slack for years to transport astronauts.

Conceivably, any political crisis with the Russians in far-away places, such as the Balkans, might affect our access to outer space. And we will just have to swallow our pride when the Chinese plant their flag on the moon sometime after 2020, as they say they will.

Proponents of the plan Obama is expected to describe, however, say that it is long overdue and inevitable. In these trying financial times, the U.S. cannot sustain an ambitious space program. Get real, they say. Let private enterprise take over. It's the American way.

But everyone agrees that the wheel is broken and needs to be fixed. It all boils down to one dirty four-letter word: cost.

During the Cold War, the superpowers gladly opened their treasuries because the space race was a matter of national pride and honor. Since then, the realities have sunk in.

It costs about $10,000 per pound to send anything into near-Earth orbit. (Think of John Glenn made of solid gold.) But when you add in life support and safety factors, it costs about $65 million to send each astronaut aboard the space shuttle, which in turn costs half a billion dollars per launch. To go to the moon would cost perhaps 10 times as much.

There are some positive recommendations that Obama should keep in mind as he plots the future of the space program.

• NASA needs to set concrete goals and deadlines. In the past, the space shuttle and the international space station were used to justify each other's existence. Instead, the space program should hold the feet of the bureaucracies and corporations to the fire. Having a tangible vision of the future, with a clear destination and mission, will hold planners accountable, give a sharp focus to the objectives of the space program and cut waste.

• NASA has to abandon its cost-plus model, where it guarantees its contractors a profit beyond the cost. This model is unsustainable -- the tail wagging the dog. It's an open invitation for bureaucracies and corporations to pad their budgets, rather than operate as efficiently as possible.

• NASA has to inspire competition and innovation. The Hubble Space Telescope and the robotic missions to the planets have been a shining beacon for research based on goals set by scientists instead of the narrow priorities of bureaucracies and politicians.

• NASA has to fund risky, out-of-the-box propulsion systems -- besides the expensive chemical rockets that are used now -- to help drive down the cost of space travel. A lot of a rocket's fuel goes into lifting itself into orbit, which is a waste. Ground-based laser and microwave beams, for example, can vaporize water contained in a rocket, which is then shot out the other end, so only the payload goes into space, not the fuel.

As he speaks to aerospace workers, the president should frame this moment as an opportunity to redesign the space program. The key is to maintain the U.S. as the leader in innovation, ideas and progress, because science is ultimately the engine of prosperity.

The opinions expressed in this commentary are solely those of Michio Kaku.

@highlight

Michio Kaku: President Obama's changes to space program alter vision that's held for 50 years

@highlight

Kaku says cuts and new priorities make some critics believe NASA's glory years over

@highlight

Kaku: Program must rely on Russia until private firms can get our astronauts back in space

@highlight

Kaku: NASA must streamline operating costs, innovate and set concrete goals for the future