(CNN)A sweat-smothered man in a wide-brimmed hat, knee-high leather boots and a khaki uniform machetes his way through lush jungle foliage.

As thick tangles of vine fall beneath his blade, he pushes into a clearing, then suddenly staggers back.

The fanged mouth of a primordial stone beast gapes toward him.

Before him rise the crumbled ruins of an enormous portal of rock, black with age but with a colossal grandeur not yet lost -- a fine example of what archaeologists call a "zoomorphic portal" or, more popularly, a "monster mouth gate."

What was once the gateway to an ancient Mayan city, built circa 700 AD and mysteriously abandoned four centuries later, stands before him.

He has found the lost city of Lagunita.

Now that the planet has been mapped, circumnavigated, measured and tagged in every way imaginable, the age of explorers discovering new worlds seems a quaint memory.

But there are still adventurers exploring forgotten corners of the globe, and some find astonishing things.

One such explorer, part Indiana Jones, part Magellan, is Slovenian archaeologist Ivan Šprajc.

The sprightly Šprajc wears the weathered face of a man who has spent much of his 60 years beneath a hot sun at excavations, or hacking his way through dense jungle.

He has been the first to see ancient pyramids, 30 meters high, that he spotted in aerial photographs from his office among the Baroque Mitteleuropean cobbled streets of Ljubljana, Slovenia, some 10,000 kilometers away.

But in terms of the thrill of discovery, it doesn't get any better than his encounter with Lagunita's monster portal.

What does it feel like to find a lost city?  "It's a victory," says Šprajc, "especially when the efforts are long. On several occasions we've had two, three weeks of just cutting through the bush to get to some location, without knowing what we would find. When we get to the site it feels like a big victory, like we've done it. If it had been easy, then other people would have done it already."

Since 1996, he and his team have discovered more than 80 ancient Mayan cities in the jungles of Mexico, few of which the modern world had known before.

But how can an entire city, which once may have been home to tens of thousands, simply vanish?

Šprajc explains that the region in which he has found such riches had gone unexplored because it's so inaccessible: "It's so hard to get there. It's a biosphere, a protected natural area that has never been densely populated since the collapse of the Classical Mayans, for the past thousand years or so."

When a primal jungle is allowed to grow rampant for centuries, it can indeed swallow entire cities.

But just why so many settlements were simply abandoned, long before the arrival of the Spanish conquistadors, remains a mystery to which these long lost sites may provide an answer.

"Ninety-nine percent of settlements in the central and southern lowlands of the Yucatan peninsula were abandoned in a matter of 200 years. By 1000 AD, practically everything was abandoned. That was the situation when the Spaniards came. But not so in the northern section of the peninsula and the Guatemala highlands, where there was no rupture until the arrival of the Spaniards."

So what happened in that enormous area that led to this mass evacuation?

"Nobody knows the exact sequence of events, but it was definitely a combination of droughts, climate change, (and) overpopulation, but other things must have come as consequences: devastating raids and wars among the Mayan states, which resembled the constantly battling ancient Greek city-states.

"In this Late Classical period, wars intensified with devastating consequences, for if one city-state was destroyed or overcome, it had a ripple effect on trade networks. It was a sort of globalized Mayan world."

To learn more would require extensive, time-consuming surveys of each site, which is a different sort of fieldwork than Šprajc likes to practice. His team will map what appears to be the core of a settlement, but there simply isn't time or manpower to map it all, so hundreds of structures are left for others to survey and excavate.

The adrenaline of the treasure hunt is what drives Šprajc, the "Eureka" moment when he finds the buried treasure. He is not in the least proprietary about what he discovers, preferring to let other research teams dive in to the sites he has found to slowly excavate, catalogue and analyze what he finds.

"[This extensive mapping] is not our job.  We are taking the first step into an unknown area."

Šprajc is a throwback to the great 19th century explorers -- a dying breed as the world becomes smaller and science bleaches out its mysteries. But in the heat of the jungle, science can only get you so far.  Intrepid spirit, calloused palms, sweat, blood and patience are more important than gadgetry.

As Šprajc likes to say, "We can survive without computers, but not without machetes."

Noah Charney is a professor of art history and best-selling author. He teaches a Guardian Masterclass called "How to write about art."

@highlight

Slovenian archaeologist Ivan Šprajc discovers ancient Mayan cities in the jungles of Mexico

@highlight

His discoveries could help explain why so many Mayan cities were abandoned before the arrival of the Spaniards