(CNN) -- Valera remembered being left in the Russian snow. How he lost his lower arms and some of his toes, he wasn't always sure. At times, he said he was in a fire. The truth of what the 14-year-old experienced in his early years, no one will ever know.

The orphanage where he lives said Valera was abandoned as a small child at a hospital in St. Petersburg, Russia. He had gangrene, the result of meningitis and an infection, which forced amputations. He was released to the orphanage in Nizhny Lomov, where he's waited nine years for parents and a home to call his own.

On Saturday, Stephen Jack and his wife, Christine, will leave their Goldsboro, North Carolina, home to fly to Russia, the final step in a 15-month journey they hope will give the boy what he's always wanted.

"Having never seen him and only knowing a little bit about him, I still feel attached to that child," said Jack, 53, who already has six children, four of them adopted. "I understand he can talk his way into your heart and mind in no time. When the world is opened up for him, who knows what his capabilities and possibilities are? ... If all goes well, on the 21st he becomes my son."

It is a trip the Jacks will take with trepidation.

The actions Thursday of a Tennessee woman who put her adopted 7-year-old son on a plane and returned him to Russia, saying he was violent and that officials misled her family, puts Americans in the process of adopting from Russia on edge. Officials in Moscow have threatened to suspend all American adoptions and the Jacks face a two-week process involving a court appearance and loads of paperwork before they can fly home with Valera.

"What this woman did to us is put us on pins and needles," Jack said. "My wife has been beside herself, and I'd be lying if I said I wasn't concerned."

The adoptions of about 3,000 Russian children by Americans are in progress, according to Tom DiFilipo, president of the Joint Council on International Children's Services, an advocacy group for children in need of families. Russia is the second country this year, after Haiti, in which adoptions have been thrown into a tailspin.

No suspension has been announced, but mere talk of such a recommendation spawned a campaign on Monday by the council to galvanize the adoption community and child advocates. People are being encouraged to sign a letter to President Obama and Russian President Dmitry Medvedev (which will be presented to them Wednesday morning), post blogs and share videos about adoption successes.

"Our message is this is an isolated incident. The adoption system did not fail. What failed was the decision-making process of this adoptive mother," DiFilipo said. What Torry Hansen of Tennessee did is "outrageous and indefensible, and not indicative of the average adoptive parent. One-hundred-thousand people adopt every year. I don't know of another case like this."

The case has rocked the adoption community.

"I talked to parents yesterday, and they're just devastated," said Deborah Gray, a child and family therapist, trainer and author, based in Seattle, Washington, who has 20-plus-years experience working on attachment, trauma and grief issues.

"It makes it seem like these kids are defective, that adoption itself is not a permanent status. ... It's a public embarrassment," she said. "The vast majority of families are enriched by adoption. To have this kind of approach is really off the wall. I can't understand why it would have gotten to this point."

Adoptive parents can feel overwhelmed during transition

She and other advocates said they wish Hansen had reached out for assistance and tapped services available for parents before shipping the child back to Russia after six months.

"There are so many services that were available to her. She could have contacted FRUA [Families for Russian and Ukrainian Adoption] which is a resource-rich place, gotten a good psychiatric assessment, including hospitalization if necessary to figure out what made this little guy tick," Gray said.

The incident may have been a wake-up call to agencies and those in the adoption community to make sure adoptive families are prepared for challenges and have resources for help lined up in advance, especially if they live in rural parts of the country, said Sue Gainor, national chair of Families for Russian and Ukrainian Adoption, a volunteer-led nonprofit that offers support and community.

Gainor, who adopted a son from Moscow in 2001, said there are between 600,000 and 800,000 orphans in Russia, with an additional 80,000 to 100,000 in hospitals awaiting placement in orphanages.

"When you slow adoptions, you affect a lot of children," she said. "There's lots of angst in the adoption community. The minute you see the picture of that prospective child, that kid is yours."

Being a parent, child advocates and members of the adoption community add, means helping a child adjust to change and work through challenges.

"This is just so sad because that kid had no chance whatsoever," said Larisa Mason, who directs a Pittsburgh, Pennsylvania, adoption agency and serves on the board of the National Council for Adoption. "A 7-year-old who changed his whole life within six months -- new language, new food, a new mother -- no question he would have issues. Even a dog would have issues."

In addition to hoping adoptions continue uninterrupted, many also want Hansen punished for her actions.

Natasha Shaginian-Needham is the founder and director of Happy Families International Center in Cold Spring, New York. The agency, established in 1992, helps orphans with special needs (including Valera), with adoptions being part of its work.

"The mother who finds somebody on the Internet, who sold his services for $200 in order to pick up and deliver [him] ... in Russia, demonstrates serious neglect and abandonment," she said. "There was a very high risk that the child could have been met by a pedophile or worse, a killer. The community in Russia is outraged by the fact that the mother may not be punished at all for her inhuman action."

Prospective adoptive mothers like Andrea Wright of Wake Forest, North Carolina, hope she, her husband, Kenneth, and the boy they want to adopt aren't punished because of Hansen's actions.

Leaving St. Petersburg, Russia, on Friday, Wright was overwhelmed with joy and anticipation. The 40-year-old fundraiser and her husband had just spent a week bonding with a little boy they are on track to soon call their own.

The hopeful first-time parents arrived armed with toys to engage little Andrei, who will turn 1 later this month. In awe and with hearts melting, they watched as the child teetered into the room, clasping the hands of an orphanage caregiver.

Of all the toys they brought him, stacking balls and cars included, his favorite item: Cheerios. Though he was a little reluctant at first, he warmed up during their stay. When they left him, he waved his arms to say goodbye.

In six to eight weeks, they have plans to return to Russia to appear in court, the next phase in their journey to become parents.

"We've been working on the process for close to a year. It's been one procedural thing after another. ... We are so prepared to be parents and have worked so hard to get to this point," she said. "We're hoping that since we've been to Russia once that we'll be allowed to continue. We're trying to go with a lot of faith and prayers at this point that it'll all work out."

@highlight

About 3,000 American families are in the process of adopting from Russia

@highlight

Actions of Tennessee mom, who returned adopted son to Russia, has them worried

@highlight

Moscow officials threaten to suspend adoptions; hopeful parents move forward

@highlight

Advocate: "100,000 people adopt every year. I don't know of another case like this"