A debate of more than five years could stretch even longer with Wednesday's call for a health study on the proposed Keystone XL oil pipeline from Canada.

Two Democratic senators -- Barbara Boxer of California and Sheldon Whitehouse of Rhode Island -- urged Secretary of State John Kerry to examine higher rates of cancer and other illness reported in places impacted by the "tar sands" oil from northern Alberta.

Their letter to Kerry sought to further delay the project that has support from Republicans, some Democrats, the oil industry and labor unions. A Pew Research Center poll in September showed 65% of respondents favored building it.

So why is this still being debated?

Answers show how the pipeline has become a political albatross around the neck of President Barack Obama and Democrats as they try to hold onto control of the Senate in November's congressional elections.

What's this all about?

A Canadian company wants to complete a pipeline from northern Alberta to the Gulf Coast that would carry the tar sands oil across six U.S. states.

The $5.3-billion project by TransCanada needs federal approval because the pipeline crosses an international border. For now, the decision rests with the State Department headed by Kerry.

U.S. report on Keystone indicates little climate impact

Environmental groups oppose the pipeline because extracting and refining the tar sands oil emits 17% more of the carbon pollution that contributes to climate change than conventional oil production.

Detractors fear the project would increase U.S. reliance on the dirtier oil at a time when the nation -- one of the world's biggest carbon emitters -- should be moving away from fossil fuel dependence to limit climate change.

"At the end of the day, Keystone XL is not just another oil pipeline; it's a gateway to the unchecked development of one of the world's dirtiest fossil fuels," wrote Tom Steyer of NextGen Climate Action in a CNN opinion piece on February 20.

Supporters say the years of study since TransCanada first sought U.S. permission in 2008 show the pipeline itself wouldn't significantly increase greenhouse gas emissions.

They note the project will create more than 3,000 temporary U.S. jobs, as well as a likely greater number of indirect jobs. Once it is built, the pipeline would need less than 50 permanent U.S. jobs to operate it.

Senate Minority Leader Mitch McConnell, a Republican of Kentucky, called the pipeline "the single largest shovel-ready project in America" and an "important project that won't cost taxpayers a dime to build but will bring thousands of private-sector jobs to Americans who desperately need them."

Where does the Keystone oil come from?

The pipeline starts in western Canada where tar-like black oil called bitumen saturates the sand around the Athabasca River and other areas.

In the 1920s, scientists discovered how to mix what was called tar sand with hot water and caustic soda to separate the components so they could extract the bitumen.

Now, major international oil companies have invested tens of billions of dollars to construct huge extraction and refining complexes around Fort McMurray, just over 200 miles northeast of Edmonton.

Where does the pipeline go?

The Keystone XL pipeline would begin in Hardisty, Alberta, and extend for 1,179 miles through Saskatchewan, Montana, South Dakota and Nebraska to connect with existing segments in Kansas, Oklahoma and Texas.

Once completed, it would carry 830,000 barrels a day that could travel to Houston and Port Arthur on the Gulf Coast.

Who wants it?

The September 11, 2001, al Qaeda terror attacks prompted a U.S. push to reduce its dependence on Middle East oil.

Interest rose in getting it from Canada, a neighboring ally, and rising prices made the high cost of tar sands oil production more feasible.

Time to get serious on energy: Clean or dirty?

Oil companies invested billions in tar sands complexes to extract and refine the Canadian bitumen, and now want to cash in with increased production to meet both the U.S. and export demand.

Republicans who traditionally support the oil industry and big business want the pipeline to keep the profits flowing and bolster the economy, while labor unions that historically align with Democrats also back the project because of the jobs it will create.

In addition, four Democratic senators facing tough re-election battles this year -- Mary Landrieu in Louisiana, Mark Begich in Alaska, Mark Pryor in Arkansas and Kay Hagan of North Carolina -- back the pipeline.

"This single project will inject billions of dollars into Louisiana and national economies and reduce our dependence on oil from hostile countries," said Landrieu, whose state has major oil production facilities.

Who opposes it?

The environmental lobby, with backing from wealthy liberal donors, has mounted a growing campaign of protests and other opposition to the pipeline.

Steyer, a billionaire former hedge fund manager, says he will spend up to $100 million in the 2014 election cycle to promote the fight against the climate change.

"America cannot lead the fight on climate change abroad while allowing even more pollution to be produced in our own backyard," he wrote. "To truly be a global leader on climate change, President Obama must first make the right choices here at home. He must deny the Keystone XL pipeline."

5 reasons why climate change is back in the news

Boxer and Whitehouse opened a new front Wednesday with their call for the State Department to include a full health review in assessing the pipeline project.

"Elevated levels of carcinogens and mercury have been documented downstream from tar sands extraction sites, and communities in these areas show elevated levels of rare cancer rates," they said in their letter to Kerry. "Tar sands oil is very difficult to clean up when a spill occurs, and a 2010 tar sands pipeline spill into the Kalamazoo River still has not been resolved."

They also cited "significantly higher levels of dangerous air pollutants and carcinogens" downwind from tar sand refineries, with people living those areas "suffering higher rates of the types of cancers linked to these toxic chemicals, including leukemia and non-Hodgkin's lymphoma."

Where does Obama stand?

In both of his inaugural addresses and his most recent State of the Union speech, Obama cited climate change as an issue of administration focus.

He has mandated improved auto and truck fuel efficiency standards and toughened pollution regulations for new power plants, but the Keystone issue has become the most visible symbol of the climate change debate.

In a speech last year on climate change, Obama said the pipeline must be basically carbon-neutral, meaning that approving it would have no more impact on climate change that not approving it.

Obama, Harper differences over Keystone pipeline on display at summit

A recent State Department environmental report concluded that building the pipeline would have little impact on overall carbon emissions from tar sands oil.

Approval or denial of any single project was unlikely to affect how much oil gets extracted from the tar sands, explained Assistant Secretary of State Kerri-Ann Jones.

Election-year politics also come into play. Obama would risk a voter backlash against Democratic candidates in November if he rejects the pipeline, which could cost the party its vital control of the Senate.

The split over the issue between pillars of the Democratic liberal base -- with the environmental lobby opposing the pipeline and organized labor supporting it -- further confuses the President's approach.

What happens next?

More delay, most likely.

Release of the State Department environmental report on January 31 launched a 90-day period for public comment and consultation.

Kerry, who is known for his effort to combat climate change, will then determine if the pipeline project is in the national interest, thought the final call clearly rests with Obama.

On Wednesday, the State Department inspector general cleared one potential hurdle from a final decision by concluding there was no conflict of interest involving a group with ties to TransCanada that took part in the environmental impact study.

Republican Rep. Ed Royce of California, who chairs the House Foreign Affairs Committee, said the inspector general's conclusion ended questions about the process, adding: "Let's stop the excuses and get America back to work."

However, the call for a health review by Boxer and Whitehouse offers potential cover for putting off a decision.

So does a Nebraska state court ruling last week threw out the governor's approval of the pipeline route through the state. With an appeal likely to take months, the court process gives the Obama administration a plausible reason for waiting until after the November vote.

It wouldn't be the first that the process got delayed until after an upcoming election.

In 2011, the Obama administration postponed a decision on the pipeline due to concerns raised by Nebraska officials and environmental groups about the original route near the Ogallala Aquifer, a major source of drinking water that is important for the state's agricultural economy.

Republicans accused Obama of putting off the issue until after the 2012 presidential election, but their efforts to force an earlier decision failed to work. Meanwhile, TransCanada rerouted the pipeline in the state.

@highlight

Inspector general finds no conflict of interest in environmental assessment

@highlight

Nebraska court ruling, call for health review could put off pipeline decision

@highlight

The issue involves tough politics for President Obama and Democrats

@highlight

Environmentalists: pipeline a gateway to more climate change pollution