(CNN) -- The highest court in Massachusetts Tuesday struck down down life sentences without parole for juveniles as unconstitutional, ruling that applying such sentences against minors was "strikingly similar, in many respects, to the death penalty."

The decision by the Massachusetts Supreme Judicial Court comes one year after the U.S. Supreme Court ruled that two men convicted of killings committed when they were 14 could not be sentenced to life in prison without parole. The nation's highest court said the sentences violated the "principle of proportionality, and so violate the Eighth Amendment's ban on cruel and unusual punishment."

In Massachusetts, the court ruled that "the imposition of a sentence of life in prison without the possibility of parole for the commission of murder in the first degree by a juvenile under the age of eighteen is disproportionate not with respect to the offense itself, but with regard to the particular offender."

Since the brain of a juvenile is not fully formed, a judge could not make an accurate determination on whether the minor is "irretrievably depraved."

"Simply put, because the brain of a juvenile is not fully developed, either structurally or functionally, by the age of eighteen, a judge cannot find with confidence that a particular offender, at that point in time, is irretrievably depraved, the court said.

The decision stems from the case of Gregory Diatchenko, who was 17 when he stabbed Thomas Wharf nine times near Kenmore Square in Boston in 1981. Diatchenko was convicted of first-degree murder and sentenced to a mandatory term of life imprisonment without the possibility of parole. The court ruled Diatchenko, who has served 31 years in prison, was eligible to be considered for parole.

The court also ruled in the separate case of Marquise Brown, who was tried and convicted last year of first-degree murder in the killing of Tyriffe Lewis. The slaying happened in 2009, when Brown was 17. Brown was awaiting trial when the U.S. Supreme Court made its 2012 ruling in Miller v. Alabama, which affirmed recent high court rulings against harsh criminal sentences.

"When considered in the context of the offender's age and the wholesale forfeiture of all liberties, the imposition of a sentence of life without parole on a juvenile homicide offender is strikingly similar, in many respects, to the death penalty, which this court has determined is unconstitutional," the Massachusetts court wrote

Citing "current scientific evidence," the judge wrote that the "discretionary imposition of a sentence of life in prison without the possibility of parole on juveniles ... under the age of eighteen when they commit murder in the first degree violates the prohibition against 'cruel or unusual punishment.'"

The U.S. Supreme Court in 2005 banned the death penalty for those under 18 who commit aggravated murder. Then, five years later, the justices said juveniles found guilty of non-homicides could not receive life without parole. The rulings put the spotlight on the youngest of killers and the question of whether a national consensus has developed to treat them differently regarding a lifetime of incarceration.

At the time of high court ruling, about 2,500 prisoners were serving life sentences without parole for crimes committed as juveniles. At least 79 of those were 14 years or younger at the time, according to the Equal Justice Initiative.

@highlight

Massachusetts court equates life terms for minors, "in many respects," to the death penalty

@highlight

Court reasons that judges can't determine whether a juvenile is "irretrievably depraved"

@highlight

Ruling: Imposing such sentences violates Eighth Amendment protections