(CNN) -- Here we go again. Yet another supposed crisis in the ongoing soap opera between the Obama administration and Israeli Prime Minister Benjamin Netanyahu.

Israeli Defense Minister Moshe Ya'alon, visiting Washington last week, was snubbed by top U.S. officials. Jeffrey Goldberg, writing in the Atlantic under the headline "The Crisis in U.S.-Israel Relations Is Officially Here," anonymously quoted a senior Obama administration official calling Netanyahu a "chickenshit" and said the Prime Minister "has told several people ... that he has 'written off' the Obama administration, and plans to speak directly to Congress and to the American people should an Iran nuclear deal be reached."

We should be used to these by now. And that's why those who are interested in these matters ought to lie down, take a deep breath and wait until this one passes. The U.S.-Israeli relationship isn't in crisis, and it's not on the verge of failing. Indeed, unlike Lehman Brothers, it's too big to fail -- despite the every real dysfunction at the top. And here's why:

First a little perspective and comment on the paradoxical nature of the travails of this very Odd Couple. This isn't by a long stretch the worst patch in the ties between these two countries.

In 1956, President Dwight D. Eisenhower threatened actual sanctions against Israel and Britain if they didn't stand down from their attack against Egyptian President Gamal Abdel Nasser and the Suez Canal. In 1975, Secretary of State Henry Kissinger recalled U.S. Middle East ambassadors to reassess U.S.-Israel ties to pressure Israel to accept the second Sinai disengagement agreement with Egypt.

President Ronald Reagan withheld fighter aircraft to Israel over Israel's policy toward Lebanon. Former Secretary of State James Baker in 1990 banned Netanyahu from the State Department for anti-U.S. remarks. President George H.W. Bush denied Israel loan guarantees over Israel's settlement policies. And in 1996, Bill Clinton frustrated after his first meeting with then Netanyahu, exploded, "Who's the f--g superpower here?"

The difference in the tensions between now and then are twofold.

First, in many of these cases, the U.S. actually threatened to take consequential action or did act.

Second, in many of these former relationships, Israel and the U.S. cooperated on important matters regarding peace and war and actually achieved much. Today, we seem to have the worst of both worlds -- it's just talk, and Obama and Netanyahu aren't getting much done.

So why the blow up? We just had a supposed crisis over the Gaza war, right? The fact is the problem between Obama and Netanyahu is chronic. Several factors sustain it, driven by deep frustration and even anger reflected in the Obama' official's comment.

First, these two don't get along. Bibi is gruff on the outside and unsure of himself on the inside. Obama is mellower in his exterior and supremely confident of himself inside.

Bibi is persuaded that Obama is unforgiving on the issue of understanding his politics and bloodless when it comes to Israel's security needs as a small power. And Obama is persuaded that Netanyahu thinks not a whit about U.S. interests and cares nothing about reciprocity. And then there's the fact that Obama thinks Netanyahu is exaggerating the downsides of a nuclear deal with Iran, and Netanyahu believes the President really doesn't get the severe risks of one.

Indeed, it might well be that the current tensions are related to the looming deadline next month for a comprehensive agreement with Iran on the nuclear issue and how each side will react if there's an agreement -- or if one doesn't materialize.

One thing is clear: There's no getting off this roller coaster ride so long as Obama and Netanyahu are around. Their personalities won't change and neither will the issues -- settlements, a two-state solution, Iran -- that divide them.

But neither is there the need to rush to the conclusion that the U.S.-Israeli relationship is on the verge of a profound crisis that its friends fear and its detractors long for.

First, neither Netanyahu nor Obama is looking for an open fight. This behind-the-scenes trash talk is one thing; a sanctioned public campaign to question Netanyahu's manhood and competence is quite another thing.

Obama has been reluctant to go beyond words because he knows there's no profit in it. He can't stop settlements, promote a two-state solution or even marshal support for an Iran deal without Israel's acquiescence. And with midterms coming, what possible reason is there for a fight with Israel? To show Iran that Obama's a tough guy? That's a good one.

As for Netanyahu, even if he were really popular at home, he can't afford to mismanage the U.S.-Israeli relationship. But he might have concluded that the administration is so bogged down in its own problems and the Middle East is so rife with extremism and jihadi violence that Washington wouldn't dare go after Israel right now.

Second, the reality is that American public support for Israel remains high. And the behavior of ISIS, Hamas, Hezbollah, Syrian President Bashar al-Assad and the chaos in Iraq and Syria make the turmoil in Arab nations the best talking points to support a strong U.S.-Israeli relationship. This isn't likely to change anytime soon.

Finally, there are productive and unproductive fights to have with Israel. An unproductive one is done out of frustration, anger and with no strategy to actually get anything done. A productive one is done with purpose because there's some problem that is worth pressing a close ally to solve; and when the smoke clears, that fight leads to a result that everyone can claim as a success.

Henry Kissinger fought with Yitzhak Rabin over disengagement agreements following the 1973 war; Jimmy Carter with Menachem Begin over Camp David and James Baker with Yitzhak Shamir over getting to the Madrid conference. And everyone won.

The irony about the current "crisis" between two close allies is that there's really nothing worth fighting about. And that makes for soap opera, not good policy.

@highlight

Israel's defense minister is snubbed by top U.S. officials, who also speak negatively about Prime Minister

@highlight

Aaron Miller says it would be a mistake to portray this as a real crisis in relationship

@highlight

American presidents have often rapped Israel, sometimes leading to positive outcomes

@highlight

Miller: The problem with the latest eruption is that it's pointless and unproductive