Atlanta, Georgia (CNN)  -- Kuol Dut was six when the swirling chaos of war churned through his village.

He recalls playing in a field as neighbors raced toward him, screaming about militias attacking their homes. Even a boy of Kuol's age knew that militias and soldiers slaughtered men, women and children in the vast, flat expanse of southern Sudan. So he ran, too.

That attack separated Kuol from his mother and father and cast him into a childhood of desolation. He would see friends starve to death, skin stretched taut over ribs, chests rising and falling with rattling wisps of breath.

Later, a rebel army would train him to fight as a child soldier, Kuol says.

Despite the horrors that he endured, Kuol's journey eventually gave him a reverence for education and a deep Christian faith. It also led him to the hustle and bustle of the United States, a place with gleaming office towers, cable television and all-you-can-eat buffets. There Kuol would pursue his dream of becoming a Catholic priest.

He would also learn that his mother was alive after all -- and they would reunite 16 years after last seeing each other.

Behind the scenes blog: 'Lost boy' reminds writer of powerful lesson

The last time Kuol had seen his mother and other relatives was in 1988, when he and his neighbors left their smoldering village.

"If they are dead," he recalls praying, "just take their souls and put them to your right hand."

Kuol joined an exodus of southern Sudanese, victims of a war that pitted a northern government of Arab Muslims against black southerners who follow Christianity or traditional religions. The war also involved fighting between rival southern factions. It would kill more than 2 million people and displace 5 million others from 1983 to 2005, when a peace treaty silenced the guns as a separate conflict raged in the Darfur region of western Sudan.

When Kuol fled, many others were also leaving their homes around southern Sudan. Some were escaping attacks. Others were recruited as child soldiers, according to Human Rights Watch.

Kuol said rebels escorted him as he trudged across dangerous terrain for roughly 450 miles -- about the distance from the city of New York to Cleveland, Ohio.

"In those days, I saw many dead people for the first time in my life," Kuol wrote in 2001, before he had perfected his English. "Some wild animals which were friends to us before and ever, such as hyena, leopard, cat, fox, rat and etc. became the good eaters of flesh."

Kuol says he and the others had so little food and water that he drank his own urine and ate soft mud to survive.

"People were dying while I was watching them. There was nothing I could do. I didn't have food. I didn't have water," Kuol says. "When I look back, my question always is 'How did I make it? Who was taking care of me? I realize now that God was taking care of me."

As refugees streamed from Sudan into Ethiopia, aid workers noticed thousands of boys, many near death, traveling without parents. News accounts from the time describe "dying young boys" and "walking skeletons."

The United Nations counted 17,000 "unaccompanied minors" -- mostly boys -- among 250,000 refugees in three Ethiopian camps in 1990. Aid workers and journalists dubbed them the "lost boys of Sudan" after the characters in "Peter Pan," who were cast as children into the world of adults.

During Kuol's time in Ethiopia, he says, he asked the rebel Sudan People's Liberation Army to give him military training so he could defend himself if he returned to Sudan. In 1991, when 10-year-old Kuol and others were forced from Ethiopia back into Sudan, he says, the rebels gave him an AK-47 during a year he spent fighting.

"My gun was so heavy, but I managed to carry it," he says.

In 1992, after fighting and wandering and getting shot in the leg, Kuol joined an exodus of southerners fleeing across the border into Kenya. He and several thousand other "lost boys" wound up at a refugee camp in Kakuma, Kenya.

Kuol lived at the camp for the next nine years, going to school, playing soccer and singing in a choir at the Holy Cross Parish. An Italian priest named Father Joseph gave him a purple, plastic rosary that Kuol says he wore around his neck nearly every day for the next several years.

Then the United States, acting on humanitarian grounds, decided to resettle about 3,800 "lost boys." Most of the young men had never held an ice cube, written a check or seen tall buildings, but they would get just a few months' assistance before they had to find jobs and support themselves.

Kuol's new life started at 3:51 p.m. on July 18, 2001, when United Airlines flight 1905 landed in Atlanta, Georgia. A caseworker for the nonprofit International Rescue Committee drove him to a hotel room, where Kuol turned on a TV tuned to CNN.

"Well, senator," a voice was suddenly saying, "if you believe that life begins at conception, how can you then favor embryonic stem cells?"

Kuol found work at a college cafeteria but soon followed rumors of a better job to Sioux Falls, South Dakota. He arrived, saw snow for the first time and got a phone call that started to unravel the mystery of what had happened to his family.

The caller said he was Kuol's long-lost brother. He had come to the Kenyan refugee camp just after Kuol left and met people who said he looked like Kuol. What's more, the two were from the same village in Sudan and had the same number of siblings.

"Can you tell me my nickname?" Kuol said, suspicious.

The man said people once referred to Kuol as Alek. He was right.

"Can you name your sisters?" Kuol asked.

The caller named them from eldest to youngest.

"I felt like crying," Kuol said, "but I adjusted myself not to cry."

Convinced it was his brother, Kuol asked about their parents. His brother passed along a tip that they might be in the Sudanese capital, Khartoum. So Kuol says he sent a friend $100 to go there and ask around. The goal was to find southerners from Kuol's village and ask if anyone knew what became of his mother.

On July 12, 2002, the friend called with news: Kuol's mother was alive. Soon Kuol dialed a phone number and the woman who answered asked who was calling at five in the morning.

"Your son," Kuol said.

After the Atlanta Journal-Constitution wrote about Kuol re-connecting with his mother, a woman in suburban Atlanta who did not even know the young man paid for him to fly to Africa to reunite with the mother he had not seen in 16 years.

"She came running and gave me a hug," Kuol recalled. "It was my first time to see my mother and be happy again."

After talking with his mother, Kuol changed his name from Daniel Khoch to Kuol Dut to honor his father and drop the "Daniel" he had adopted in a refugee camp.

He became a U.S. citizen in 2007 and spent three months the next year back in southern Sudan, in that same village of thatch huts that a militia torched so many years earlier. Kuol learned that a brother and three sisters survived the war and now have 18 children between them. His father and two sisters, though, had died.

As for Kuol, he pursued his dream of becoming a Catholic priest by attending Divine Word College, a Catholic school in Epworth, Iowa. He later transferred to the University of Saint Thomas, a Catholic college in St. Paul, Minnesota, graduating this May with a degree in theology and philosophy.

Now 27, Kuol says he may try to earn a divinity degree and become a priest. Or he may seek work as a youth minister or teacher. He'd like to spend a year or two figuring out his future.

What he needs more than anything right now, he says, is a job. He's worked in food service, at a meat-processing plant, Baptist Church and warehouse.

Kuol has confidence.

"The suffering I went through gave me courage and taught me to be patient. Even if I find myself in a bad situation here, I can sit back and remember," Kuol says. "Now I have my apartment. I have food. I have water. I have my clothes."

He knows he'll find a job. He will survive.

Mark Bixler told the story of Kuol Dut and other young men from southern Sudan as the author of "The Lost Boys of Sudan: An American Story of the Refugee Experience." He is a supervising editor at the CNN Wire.

@highlight

Six-year-old Kuol Dut was forced from his family and home by war

@highlight

He survived a 450-mile journey, watching many other boys die

@highlight

After years in refugee camps, he came to the U.S. and had 3 months to get a job

@highlight

Watch CNN's Webcast of Oprah's Book Club tonight at 9 p.m. ET