(CNN) -- You may not know Trevor Jones by name but chances are you are familiar with his work.

The South African composer is the man behind movie soundtracks such as 'Last of the Mohicans' and 'In the Name of the Father.'

In a career spanning more than 30 years, he has composed more than 100 original scores for Hollywood blockbusters and popular TV programs.

But Jones ultimate career success and critical acclaim masks a journey to the top was far from run of the mill.

As a mixed-race child growing up in Apartheid South Africa, he spent the formative years of his life in Cape Town's infamous District 6 neighborhood.

"It was a very violent area," says Jones of his early home. "It was a place (with) so many nationalities and so many people from so many parts of the world.

See also: American opera singer finds African soul

Times were tough but such a racially disparate backdrop ensured the young Jones was exposed to a rich symphony of culture and musical influences.

He has kept these sounds and inspirations with him as professional career has developed.

"My tastes cover every style from medieval through classical, avant-garde, folk and ethnic, jazz, rock and pop," he says.

Below, Jones has selected a small sample of the musicians and artists that have inspired him on his way to becoming one of Hollywood's leading composers.

Nkosi Sikelel' iAfrika

First composed by a school teacher in Johannesburg over 100 years ago, Nkosi Sikelel' iAfrika is one of the two songs (along with Die Stem van Suid-Afrika) that make up South Africa's hybrid national anthem.

The original hymn became synonymous with African liberation and was itself adopted as the national song of Zambia, Tanzania, Namibia and Zimbabwe.

Namibia and Zimbabwe however have since adopted alternative musical pieces for their national anthems.

"I cannot help but feel the hairs rise on the back of my neck whenever I join in the singing of Nkosi Sikelel 'iAfrika, says Jones.

Being a South African, "this music has obvious deep significance for me."

Sir Edward Elgar

In a musical career that spanned the best part of the Victorian, Edwardian and Georgian eras, Sir Edward Elgar created some of the most enduring music of his time.

The English composer was one of the first to experiment with the gramophone and is credited with inspiring a renaissance in British classical music.

See also: The man who brought MTV to Africa

His extensive body of work continues to capture the imagination and admiration of Jones.

"I listen to the works of Sir Edward Elgar on a regular basis to inspire me and to marvel at his mastery and skill as a composer which transcends the creation of sounds and becomes a direct emotional line to his audience."

"'Elegy', ('Sospiri') and 'Introduction and Allegro' are just three of the wonderfully inspirational works on the album 'A portrait of Elgar,'" says Jones.

Hugh Masekela

"The man and his music is an inspiration to us all," says Jones of South African jazz multi-instrumentalist and singer, Hugh Masekela.

Equally comfortable on the trumpet, cornet, flugelhorn and trombone, Masekela has sold millions of records around the world and collaborated with rock luminaries such as The Byrds and Paul Simon.

He also penned the 1987 hit single "Bring Him Back Home," which became a rallying cry for the free Nelson Mandela movement, then still imprisoned on Robben Island.

"Any of his albums from 'Hope' and 'Home is where the Music is' to 'African Breeze' is testament to one of Africa's greatest musicians and role models," says Jones.

Ariel Ramirez

A native music of an altogether different kind is that of Ariel Ramirez.

The Argentine composer, music director and pianist is generally regarded as one of the chief exponents of his country's folk genre.

Jones highlights Ramirez's Misa Criolla as an extended piece of music that strikes a particular chord as well as other works such as Navidad Nuestra.

See also: Somalian rapper Knaan makes songs in key of love

Both are featured on Miss Criolla - Navidad Nuestra - Navidad Verano, a year 2000 record cited by Jones that saw Ramirez perform alongside Spanish tenor Jose Carreras and the Grupo Huracana ensemble.

Bernard Herrmann

A man Jones would have been more than content to call a contemporary, Bernard Herrmann is the composer behind the music of many of twentieth-century's most iconic movies.

He died in 1975 but worked closely with legendary directors such as Alfred Hitchcock, Orson Welles and Martin Scorcese.

Scores for the likes of Citizen Kane, Psycho and Taxi Driver are just a few works from his vast oeuvre.

"Herrmann's work is always superbly crafted imbuing the films with an intensely atmospheric musical structure without ever mickey-mousing the action."

"The sheer craftsmanship of the writing and the quality of the musical ideas elevate beyond measure the films that were fortunate enough to be scored by him."

How does the soundtrack of your life compare to the great Trevor Jones? Let us know in the comments section below.

@highlight

Trevor Jones is a South African composer renowned for his movie scores

@highlight

In a 30-year career he has been involved in over 100 film or television soundtracks

@highlight

Some of his most popular scores include "Last of the Mohicans" and "In the Name of the Father"