London (CNN) -- Today, Keivan Mohammad Hassan lives a peaceful life with his family as a civil engineer in Sacramento, California. But things could easily be very different.

Hassan believes that had he not fled his homeland as a refugee, he would likely number among the Iranian Baha'is facing years behind bars simply for working to provide younger members of their community a tertiary education.

"If myself and my wife were there, we would be imprisoned," he said.

Hassan, 31, is a member of the Baha'i Faith, Iran's largest religious minority with an estimated 300,000 members. Considered by the ruling clergy to be apostates, Baha'is have been persecuted in Iran since the faith arose there in the mid-19th century.

Its members are systematically denied access to higher education in the Islamic republic today, says Amnesty International.

Read: For Bah'ai educators, a lesson in power from Iran

"People apply for university and their applications are turned down, even though they have strong results from secondary school," said Elise Auerbach, Iran specialist for Amnesty International USA.

"They can't get credentials, so they're barred from pursuing all sorts of professions. They can't be doctors, lawyers, university professors or scientists."

In response, Baha'is have improvised a decentralized, semi-underground college known as the Baha'i Institute for Higher Education (BIHE).

Since 1987, BIHE has run classes in the living rooms and kitchens of Baha'i homes, on the sweat of volunteer Baha'i professors, many of whom lost their jobs in Iranian universities over their religious beliefs.

According to David Hoffman, founder of a campaign to support Iran's Baha'is in their quest for higher education, the college has produced about 2,000 graduates, one-in-ten of whom have gone on to postgraduate study abroad at one of 60 universities outside Iran recognizing BIHE coursework.

"It's a creative solution to a real dilemma," said Hoffman. "These are very resilient people."

In May, more than 30 Baha'i homes across Iran were raided as part of a crackdown on BIHE. The institution was subsequently declared illegal, according to human rights groups, and seven professors and administrators were last month sentenced to four and five years each, for being involved in an illegal group intending to commit crimes against national security.

Among them was Hassan's academic adviser throughout his five years at BIHE, Mahmoud Badavam.

"It's unbelievable," said Hassan. "These are regular people, they're not anti-government. When the government blocks their education, they just find another way. Now they're arresting them because they found alternatives to the rights they were denied."

The global campaign against Iran's persecution of Baha'is in education is gathering momentum, with the screening of Education Under Fire, a documentary film on the issue at a number of U.S. universities this month.

Nobel Peace Prize laureates Archbishop Desmond Tutu and East Timor president Jose Ramos-Horta have signed an open letter calling on Iran to unconditionally drop the charges against the Baha'i educators.

"[I]t is particularly shocking when despots and dictators in the 21st century attempt to subjugate their own populations by attempting to deny education," it reads.

The letter also calls on academics around the world to register their disapproval with their Iranian peers, and consider recognizing BIHE coursework or offering scholarships.

Read: Baha'is accuse Iran of stoking hatred in media

Iran's persecution of Baha'is is not limited to the educational sector, according to human rights groups. Seven Baha'i religious leaders are currently imprisoned for crimes including "espionage for Israel," "insulting religious sanctities" and "propaganda against the system," according to Amnesty International.

The organization considers the Baha'i leaders to be prisoners of conscience, and says their convictions are politically motivated. It says Baha'is are not permitted to meet, hold religious ceremonies or practice their religion with other believers within Iran.

Nor are Baha'is the only group excluded from higher education in Iran. Human rights activists, supporters of women's rights, members of the political opposition and student journalists have also been deliberately denied access to education, according to a recent report by the non-governmental organization International Campaign for Human Rights in Iran.

Alireza Miryusefi, spokesman for Iran's mission to the United Nations, said that while the Baha'i Faith was not recognized as an official religion in Iran, its adherents had full civil rights. "Contrary to allegations made by supporters of the cult abroad, they have had equal access to universities and every year tens of them are graduated from Iranian universities," he said.

Miryusefi said raids on BIHE had been conducted because those involved in the institution had "systematically controlled activities of cult members, and ... interfered in their private, social and economic lives." He said the organization also had the goal of "entrapping" non-Baha'is, with the ultimate objective of creating "an extremist cult movement."

He said those arrested in the raids had been given a fair trial, and had exercised their right of appeal.

Hoffman, the Education Under Fire campaign's founder, said the fact that BIHE produced "brilliant students" seemed to be viewed by the Iranian government as an affront.

Former BIHE student Pedram Roushan recently completed a PhD in physics at Princeton University, and is now a post-doctoral researcher at the University of California, Santa Barbara.

He left Iran in 2000 after completing a five-year civil engineering course at BIHE.

"By the time I was a teenager, I understood that as a Baha'i I was going to be banned from going to any college or university in the country," he said. "The price of being a Baha'i was very high in those days."

Two years after Roushan began his studies, Hassan enrolled in the same course. His university enrollment applications had been rejected, despite his strong grades in high school.

The university applications required him to state his religion, but only gave four options, none of which were the Baha'i Faith. With no declared religion, his applications were considered incomplete.

After graduating, Hassan struck further challenges. He was paid a lower salary because he lacked a recognized qualification, and was removed from several projects when clients objected to a Baha'i's involvement.

When his wife, who had trained for six years as a pharmacist, encountered similar issues, they decided to leave for Turkey, and were granted asylum in the U.S. in 2006. "We couldn't put up with it any more," he said.

Before he left, Hassan had fulfilled the obligation expected of BIHE graduates, repaying the institution by voluntarily teaching a first-year physics class.

"You don't just finish BIHE and go, you stay and help future generations," he said.

He finds it astonishing that he could be arrested, like so many others in his community, for the "crime" of bringing education to young Baha'is. "My former classmates face being arrested every day -- over education," he said.

http://www.educationunderfire.com

@highlight

The Baha'i -- Iran's largest religious minority -- are systematically excluded from higher education

@highlight

In response, Baha'is have improvised an informal, semi-underground college since 1987

@highlight

Iran's raid on the institution earlier this year has prompted an international outcry