Memphis, Tennessee (CNN) -- The Mississippi River is cresting at Memphis, forecasters said Tuesday, as attention began turning to flooding concerns in Louisiana and Mississippi.

The slow passing of the bulge of water working its way from north to south along the Mississippi is only the beginning of the end of the siege for Memphis residents, who could be dealing with high water levels into June.

And the struggle is just getting started for residents of Mississippi and Louisiana, where the river is expected to rise over the next few days to levels unseen since 1927.

Louisiana Gov. Bobby Jindal predicted Tuesday that as many as 3 million acres of his state could be affected by the flooding.

As has been the case upriver from Missouri south to Tennessee, the U.S. Army Corps of Engineers is predicting its system of levees and flood walls will hold, keeping the river from inundating the small towns and farms that line its banks.

"The system is under stress. It has been under significant stress all along. However, it is operating as designed and intended," said Memphis District Readiness Branch Chief Steve Barry.

"The time of greatest concern has passed. We're in a stable situation," he said about the area around Memphis.

In Tunica, Mississippi, where the river was inching toward a 48-foot crest Tuesday evening, county spokesman Larry Liddell said there's not much anyone can do.

"We're just watching and waiting," he said.

About 600 people in the Tunica community of Cutoff have been driven from their homes, Liddell said. Some of the city's casinos also have water in them, but no one is sure how much, he said.

Downstream in Louisiana, the Corps said it was closing a major lock that allows for the transfer of barge traffic between the Mississippi and the Red River Basin.

The Corps also opened 44 more gates to the Bonnet Carre spillway in Norco, Louisiana, on Tuesday, sending millions of gallons of water rushing into Lake Pontchartrain and, eventually, the Gulf of Mexico. The Corps opened 28 gates on Monday and may consider opening an additional 38 on Wednesday, according to Jefferson Parish President John Young.

The spillway was diverting the equivalent of nearly 50 Olympic-sized swimming pools from the Mississippi each minute, according to Corps statistics.

The agency is also considering opening a second spillway -- the Morganza Spillway -- that could flood populated areas.

The wait for whatever is going to happen is causing anxiety among residents. They've been posting on Facebook pages operated by the Corps, demanding answers about if and when the Morganza Spillway will be opened and what other areas might be flooded. The spillway is on the Mississippi River north of Baton Rouge. Opening that spillway would send water into the Atchafalaya Delta to the west and south of Baton Rouge.

A decision about whether to open the spillway is expected within the next 48 hours, according to Col. Ed Fleming, commander of the Corps' New Orleans District.

If that second spillway is opened, Jindal predicted that roughly 2,500 people and 2,000 structures would be at risk directly inside the floodway. Another 22,500 people and 11,000 structures would be affected by backwater flooding, he said.

The river in Memphis measured 47.81 feet as of 1 p.m. Tuesday, according to the National Weather Service, which had not yet reported an official crest. Water levels could fall or rise slightly, said CNN meteorologist Jacqui Jeras.

"This is a long process that has small peaks and valleys," she said.

A crest is defined as the high point of the water during a flood before it begins to recede. Observers generally know that cresting is occurring when the gradual rise stops and the water level becomes stable.

The Mississippi is the highest it's been at Memphis since 1937, when it crested at 48.7 feet -- 14.7 feet above flood stage. That flood killed 500 people and inundated 20 million acres of land, said Col. Vernie Reichling, the Corps of Engineers Memphis District commander.

So far, the levees protecting the area have only shown minor weaknesses, which workers have been able to control, he said.

The river covered the lowest parts of the city's historic Beale Street and had already forced about 400 people from their homes Monday, Memphis Mayor A.C. Wharton Jr. said. Another 1,300 remained in low-lying areas, he said.

One of the Memphis residents in peril was Latisha Bowles. Her neighborhood had been swallowed by floodwaters but so far, her home was the last one at the waters' edge.

"It wants to come up here, but I've been praying every day it don't," Bowles told CNN affiliate WMC Monday.  "I got three kids, and I'm not ready to move out of my house over this."

President Barack Obama signed disaster declarations for Tennessee on Monday and Tuesday, which will help direct federal aid toward recovery efforts in areas hit by severe storms, flooding and tornadoes since April and continuing.

Although the river was cresting, Reichling warned Memphis residents not to assume everything will soon return to normal.

"The flooding is going to stay," he said. "This river is not going to drop below 47 (feet) until early next week at the earliest. And that means all the tributaries that flow into this are going to stay high."

Flooded areas in Tennessee could turn into ideal breeding grounds for mosquitoes, which can transmit West Nile virus and other diseases, the Tennessee Department of Health warned. The Mississippi State Department of Health said people in flooded areas could be at greater risk for tetanus.

Once past Tennessee, the crest will next target Louisiana and Mississippi, where residents and authorities continued preparations for river levels that could break records set in 1927, when flooding displaced 600,000 people and caused the equivalent of nearly $624 million in damages, according to the National Weather Service.

Forecasters don't expect anywhere near that kind of flooding, in large part because of the network of levees built after that disaster.

Some 500 National Guard members have been mobilized for the flooding event so far, Jindal said.

The river's crest was expected to begin arriving in Louisiana next week. So far, 21 parishes have issued emergency declarations, Jindal said.

Flooding is the last thing needed in southern Louisiana, which is still recovering from Hurricane Katrina, said Lynn Magnuson, a New Orleans resident who submitted footage of the flooding to CNN iReport.

"I went through Katrina," Magnuson said. "I would not wish flooding on anyone, and this city is the last place on Earth that needs any more high water."

U.S. Sen. Mary Landrieu, D-Louisiana, echoed that thought.

"After hurricanes Katrina, Rita, Gustav and Ike -- as well as the oil spill -- Louisiana can ill-afford another large-scale disaster. Billions of dollars in property is at stake, not to mention the threat to human life," she said.

Flooding also continued to be a problem in southeastern Missouri and southern Illinois, even though the Mississippi and Ohio rivers have already crested in those states.

Last week, the Corps intentionally breached a levee in Missouri as part of its effort to reduce the pressure on other levees, flooding 130,000 acres of agricultural land over the objection of state officials and some farmers.

The latest flooding in the Mississippi and Ohio river valleys is largely the byproduct of torrential rains throughout the region. Over one two-week stretch, there was about 600% more precipitation than usual, forecasters said.

Current weather finally appears to be working in the flood fighters' favor. Only minimal rain is expected over the coming days, with daytime temperatures forecast to be in the upper 80s and 90s through Thursday.

CNN's Greg Botelho, Marlena Baldacci, Phil Gast and Ben Smith contributed to this report.

@highlight

NEW: Health departments warn of risks associated with flooding

@highlight

Gov. Bobby Jindal says some 3 million acres of Louisiana could be affected by flooding

@highlight

The forecast crest of 48 feet in Memphis is just inches shy of the 1937 record

@highlight

Louisiana and Mississippi must now deal with rising waters as the crest works southward