(CNN) -- Benedict XVI's shock resignation in February -- the first for almost 600 years -- sent experts inside and outside the Vatican rushing to consult church law to work out what will happen next.

The ensuing conclave fever has unearthed some quirky facts alongside the more significant.

Here's a selection to drop into conversation.

Conclave means "with key." The elaborate voting process dates to the early Middle Ages and was born out of frustration after a gathering of cardinals took nearly three years to select a pope. The locals got so fed up, they tore the roof off the building where the cardinals were meeting and then decided to lock the cardinals in, to speed up a decision.

Why cardinals once took three years to choose pope

Bread and water

Eventually Pope Gregory X was chosen. He wanted to avoid a repeat of his own experience and thus the conclave became a tradition. Cardinals in the future would get only one dish at their noon and evening meal if they took more than three days to decide ... and only bread, water, and wine if it went beyond eight. Gone are those food restrictions but Pope Gregory would be proud, more recently, that the cardinals have, on average, chosen a pope in roughly three days.

Renaissance luxury

While Gregory X's approach had been to make conditions so spartan that the cardinals were pressured into making a decision fast, historian and author Frederic Baumgartner said the cardinals of the Renaissance expected to live more comfortably. They moved the conclave from the Papal Archbasilica of St. John Lateran -- or the Lateran Palace -- to the Vatican because the palace had become so rickety. Voting was initially held in the Vatican's Pauline Chapel but since 1878 the Sistine Chapel has consistently been the venue.

Conclave doctor

While the cardinal-electors are locked in the Sistine Chapel on their own for the actual balloting process, they're not entirely alone for the length of the conclave. Alongside officials such as the Secretary of the College of Cardinals and masters of ceremonies, priests must be available for hearing confessions, two medical doctors for possible emergencies, and an adequate team of domestic staff to prepare and serve meals, and for general housekeeping, according to Monsignor Charles Burns. In his guide to the conclave Msgr. Burns said these staff are also bound to observe total confidentiality and must swear an oath in Italian.

Male and unmarried?

There is nothing to prohibit votes being cast for someone outside the College of Cardinals. CNN's Vatican expert John Allen said any person who would be eligible for ordination to the Catholic priesthood -- therefore an unmarried male -- could be elected as pope. But he said in practice the new pope will be elected from among the cardinals who are voting.

Only one man elected pope has not been a cardinal. Archbishop Bartolomeo Prignano of Bari in Italy was named Pope Urban VI back in 1378. Msgr. Burns warned that this led to the Great Western Schism, which divided Christendom for almost 40 years -- until Pope Gregory XII's resignation.

Bookmakers are also allowing bets on outsiders ranging from U2 singer Bono to disgraced American cyclist Lance Armstrong to lead the church. The 10,000-1 odds are perhaps an indication that the outcome of the conclave will remain traditional.

Gambling with God: Staking a wager on the next pope

Italian advantage?

Italians have clearly had the home field advantage, dominating the papacy through the centuries. The conclave of 1978 produced the closest thing to a genuine surprise we've had in decades, in John Paul II, the first non-Italian in 500 years. And while the election of this Polish cardinal was a shock, the cardinal electors had looked outside Italy before, though not often. In 1492, the conclave selected a Spaniard, Pope Alexander VI ... and in previous centuries, a pope was chosen from Syria and another from the Netherlands.

Why me?

Behind Michelangelo's "Last Judgement" painting lies the Sala de Lacrima -- the Room of Tears, where the newly elected pope goes to change out of his red cardinals robes into the white vestments of the pope. Fr. Christopher Whitehead said the room was so-named "because the poor man obviously breaks down at being elected."

What to wear, what to wear

Msgr. Burns said three sizes of soutane, large, medium and small, would be laid out in the Sala de Lacrima, ready to be adjusted to fit the pope-elect. If he is not already a bishop, the Dean of the College of Cardinals would ordain him.

Red slippers

Constantine the Great gave popes the privileges of emperors -- meaning they could wear red shoes. It had been believed that Benedict's slippers were made by Italian fashion house Prada. CNN's Christiane Amanpour revealed that it was not in fact so. And Dan Rivers spoke to a Peruvian cobbler as well as some designers responsible for the papal robes.

Wrong ransacking

Baumgartner said there had been a tradition that the residents of Rome would ransack the dwelling of the cardinal that was elected to be pope -- on the grounds that he didn't need it anymore. There was at least one example of the Roman people ransacking the house of the wrong cardinal, during the 400 to 500 years the tradition was followed, he said. "Not only did he not become pope but he didn't have anything left in his house."

You have been watching

Vatican spokesman the Rev. Tom Rosica told CNN that Pope Emeritus Benedict XVI watched on television as cardinals took their oath of secrecy in the Sistine Chapel to begin the conclave to elect his successor, and also saw on television the black smoke from the Sistine Chapel Tuesday night to indicate they had not agreed on anyone yet.

Definitely not Peter

It wasn't until the end of the 10th century that the head of the church started taking a different name to the one he was born with, said eminent Italian church historian Alberto Melloni. But since then only one, Adrian VI in the 16th century, has kept his baptismal name.

In the long history of popes, stretching back two millennia to St. Peter, some names have picked up negative associations, while others have come to signify conservatism or a desire for change. While we wait to hear what the 266th pope of the Roman Catholic church will call himself, we can be sure of only one thing, according to Melloni: the new pope will not be called Peter. This is out of respect for the first St. Peter, the Apostle -- but perhaps also reflects a centuries' old prophecy that a Peter II will be the very last pope to serve.

@highlight

115 cardinal-electors are gathered in the Sistine Chapel to choose a new pope

@highlight

Conclave follows the resignation of Benedict and is conducted in secrecy

@highlight

In theory, any unmarried male Catholic could be elected as pope

@highlight

In practice, it will be one of the cardinals involved in the voting process