Washington (CNN) -- The dinner was billed as a "Celebration of Service." The honorees: Justices Antonin Scalia and Clarence Thomas. The hosts: the Federalist Society, an influential conservative legal group whose membership includes judges, lawmakers and government officials.

Little news was made at the society's recent three-day convention, but the appearance of perhaps the Supreme Court's most right-leaning members was buzzworthy and just the latest chapter in what can be read as both drama and farce: the future of health care reform in the U.S. and the sideline war over who will be on hand to decide it.

The high-stakes legal fight will be argued by the nine-member bench in March, with a ruling expected by June. And if advocates on both sides of the debate have their way, perhaps only seven, even six justices could decide what shapes up to be the biggest constitutional fight in a decade.

The timing of Scalia's and Thomas' appearance especially outrages liberals, coming as it did just hours after the court privately agreed to accept the health care cases for review. There have been calls for Scalia and especially Thomas to recuse themselves or pull out of hearing the issue.

And from the right: similar demands of Justice Elena Kagan. As a top member of President Obama's Justice Department last year, conservatives allege, she may have been more involved than once believed in preparing legal strategy for the health care appeals just before she was chosen for the high court.

None of the justices appear ready to step aside, something many legal analysts say is both proper and expected.

"We have attacks on both justices on the right, like Justice Thomas, and on the left, Elena Kagan, trying to influence the outcome of cases by getting them to recuse," said Thomas Goldstein, a Washington lawyer and founder of Scotusblog.com. "Particularly, we see this in the health care litigation that's coming to the Supreme Court. All of those efforts are doomed. The justices realize that they need to participate in the case, it's their constitutional duty, and I think this is just political posturing, on both sides, by activists."

Losing just one justice could make a difference

A loss of just one justice from ruling on an issue like health care would be huge, making a difference perhaps in the ultimate outcome. No wonder activists have launched a political and legal war to try to manipulate the judicial playing field to each side's advantage.

And why should outside groups have all the fun? To no one's surprise, members of Congress also demand a piece of the action.

House Judiciary Committee Chairman Lamar Smith, R-Texas, demanded last week that the attorney general be more forthcoming about Kagan's involvement.

"The public has a right to know both the full extent of Justice Kagan's involvement with this legislation while she was (the Justice Department's) solicitor general, as well as her previously stated views and opinions about the legislation while she was serving as solicitor general," Smith wrote.

Senate GOP leader Mitch McConnell and three other senators echoed calls for more records on Kagan's government correspondence.

The 51-year-old Kagan was the administration's top government lawyer handling appeals to the Supreme Court. Her nomination by Obama in May 2010, and the weeks leading up to it, came at a time when Congress had passed -- and the president signed -- the Patient Protection and Affordable Care Act. The health care reform law would significantly change how Americans receive medical services and has been the subject of six current appeals pending at the high court. Twenty-eight states and dozens of individual plaintiffs have opposed the law.

During her confirmation hearings to the high court last year, Kagan said she sat in "at least one meeting where the existence of the litigation was briefly mentioned, but none where any substantive discussion of the litigation occurred." The White House has long insisted that she was "walled off" from involvement in the internal health care law discussions.

After two conservative groups sued, the department turned over some documents related to Kagan. One e-mail from her to fellow department official Laurence Tribe talked about an upcoming House vote on health care: "I hear they have the votes, Larry!! Simply amazing."

Another e-mail from her deputy at the time, Neal Katyal, indicated that Kagan asked her office "to be involved in this set of issues."

That, says conservative lawyer Carrie Severino, proves that Kagan is "the justice who knew too much."

"The president is now asking her to adopt the very same positions her office helped craft for him on this matter, but this time, as a Supreme Court justice," said Severino, of the Judicial Crisis Network. "Her jump from advocate to judge on the same issue raises profound questions about the propriety of her continued participation in his case. Moreover, the legitimacy of any decision where she is in the majority or plurality would be instantly suspect if she chooses not to recuse herself."

Severino is a former law clerk to Thomas, himself the target of attacks on the left.

Thomas' wife opposed health care law

Congressional Democrats have separately called on Thomas to pull out, citing his recent lapse in reporting the income of his wife for 13 straight years, as required by federal disclosure laws.

The justice said the information was "inadvertently omitted," and his defenders note that his wife's employment history for a variety of conservative causes was widely publicized.

Virginia Thomas had worked for, and later founded, her own advocacy group, Liberty Central. Since she has openly opposed the health care bill, many liberals have said, her political activities raise questions about Justice Thomas' own judicial independence and impartiality.

"To believe that Justice Thomas didn't know how to fill out a basic disclosure form is absurd," said Rep. Louise Slaughter, D-New York, on behalf of 20 colleagues. "I cannot determine guilt or innocence, but I can request that the government do our due diligence in investigating a situation that strikes me, and many members of Congress, as suspicious."

Slaughter separately has asked the Justice Department and judiciary's administrative office to investigate.

Thomas' liberal colleagues -- current Justice Stephen Breyer and retired Justice John Paul Stevens -- have recently defended him, suggesting that he can hear the health care cases with impartiality.

Progressive groups Common Cause and Alliance for Justice say the Scalia/Thomas celebratory dinner was a "stunning breach of ethics." The Federalist Society event, say liberals, was nothing more than a fundraiser, with donors that included pharmaceutical company Pfizer.

"The justices were wining and dining at a black-tie fundraiser with attorneys who have pending cases before the court," Common Cause President Bob Edgar said. "Their appearance and assistance in fundraising for this event undercuts any claims of impartiality and is unacceptable."

Among those on the official program for the dinner were McConnell and attorney Paul Clement, himself a former solicitor general, who will argue the health care cases as a private lawyer on behalf of a coalition of two dozen states.

Justices ultimately make the call

Unlike other members of the federal judiciary, the justices decide for themselves whether a conflict of interest exists, requiring disqualification.

The binding Code of Conduct of U.S. Judges requires recusal when "impartiality might reasonably be questioned," including having a family member directly involved in the case or if there is a financial interest, such as a justice owning stock in company being sued.

In Kagan's case, the code also demands recusal if a judge -- while serving in government -- "participated as counsel, adviser or material witness concerning the proceeding or expressed an opinion concerning the merits of the particular case or controversy."

As a result, the newest justice had decided on her own to withdraw from considering at least 28 other cases the high court eventually accepted for review.

The court by tradition will not openly discuss when to recuse, and that is true with Thomas, Kagan and Scalia. It also will not speculate on the outcome of cases or succumb to political or legal analysis. The written opinion will be the only way the court will officially speak.

"While the health care cases have huge political overtones, obviously, I think the justices are probably going to put them to the side," said Scotusblog.com's Goldstein. "The legal stakes are so high that I don't think they'll pay attention that much, if at all, to the fact that it's occurring in an election cycle. They have just got to get the case right."

Not having to explain themselves when ethical issues arise has led to well-meaning criticism to justices are ultimately accountable to no one, perhaps too arrogant or detached to see warning signs, that may do ultimate damage to the prestige and well-earned independence the courts have earned.

But saying nothing or doing nothing in the face of such criticism is the familiar chosen path of a justice, whose professional and personal makeup urges a cautious, detached approach. For Thomas and Kagan, that will probably be enough to keep them participating in the health care scrum. For them, the bigger fights are not from outside but within the marbled walls of the court itself: the competitive, often ruthless internal command for a five-vote majority.

All else is a mere prologue to a story nine robed people will soon be writing.

@highlight

Thomas, Kagan and Scalia are at center of legal, political battle over case

@highlight

Many have called for them to recuse themselves or step aside during ruling

@highlight

Opponents cite previous litigation, political ties to key stakeholders