(CNN) -- Thursday afternoon, Barack Obama presided over the unveiling of George W. Bush's official portrait in the White House, a warm event that reminds us: It feels like years since President Dubya regaled the world with his famous spoonerisms. His retirement has been defined by an awkward silence. While John McCain's endorsement was trumpeted by Mitt Romney, Bush delivered his in just four words. "I'm for Mitt Romney," he shouted to a journalist as an elevator door closed between them. If, just for old time's sake, Bush had said, "I'm for Ritt Momney," it would have been perfect.

Bush's silence may be motivated by the recognition that much of the public doesn't like him. He left office with the worst approval rating for a president since Watergate. But Bush could undergo a renaissance of enthusiasm. Consider the shifting attitudes toward Harry Truman.

When he left the White House in 1952, Truman was blamed for the recession and an ugly war in Korea. His approval rate was just 31%. By 1977, Jimmy Carter was hanging Truman's portrait in the White House and the band Chicago sang, "America needs you, Harry Truman!" The switch came partly because Truman, like Bush, had a gentle, honest personality that voters looked back on with fondness. But Truman also proved prescient in his conduct of the Cold War. Bush, likewise, might seem a better and more farsighted leader in a few years time.

But not yet. In the short term, the two things that will dominate popular memories of Bush are the credit crunch and the Iraq War. John Bolton, Bush's ambassador to the UN, admitted this week that his former employer had left Obama "a mess" to clean up. That's an understatement. To be fair, Bush himself faced some events beyond his control: a recession in 2001 and the global collapse of financial institutions in 2007-2008. Nevertheless, on his watch median household income fell, poverty rose and millions lost health insurance. One particularly ugly stat: In 2000 there were 11.6 million children living in poverty in the United States, but by 2008 that number had swelled to 14.1 million.

Meanwhile, billions of dollars and thousands of lives were lost in the invasions of Afghanistan and Iraq. Even so, the future of democracy in both countries remains uncertain. In the course of "rooting out terrorism," civil liberties were compromised. If you like your government limited and cautious -- in the style of Thomas Jefferson or Ron Paul -- Bush wasn't your kind of a conservative.

However, as memories fade and new reasons to be angry take their place, Bush's time in office might start to look comparatively benign. The economic figures might have been bad when Bush left the White House, but they've only gotten worse. Total debt was nearly $11 trillion in January 2009, when Obama took office, and it's more than $15 trillion today. In January 2009, unemployment was 7.8% and, after hitting a high of 10% in October 2009, is down to 8.1%.

People might not have reason to be nostalgic about Bush, but Obama hasn't yet delivered all that change he promised. Moreover, his foreign policy -- although involving fewer boots on the ground -- has dramatically expanded the definition of the enemy and the tools available to fight them. In the wake of the discovery of a creepy "Kill List," a number of liberal journalists have written that Obama is actually less ethical or constitutionally minded than his predecessor. Bush might have tortured enemy combatants, but Obama has targeted U.S. citizens identified as terrorists.

Still, historical distance from Bush's presidency will let us put it in greater perspective. Subjective bad memories will be replaced by objective analysis. And, objectively, he was a very important president.

In foreign affairs, Bush defined the War on Terror in much the way that Truman shaped thinking about the struggle against communism for decades. After 9/11, Bush could have determined the threat to America to be a limited terrorist opposition centered on al Qaeda. Instead, he defined it as a grand existential conflict between democracy and radical Islam: a clash of civilizations. Many may argue that his analysis was flawed, but many in the West also bought it -- witness Britain's participation in Iraq and Afghanistan and France's ban on the Burqa.

On Bush's watch a consensus developed that Islamic extremism must be confronted. More importantly, the idea that the West would support democracy, regardless of the cost -- that the age of the great dictators was over - probably shaped the popular risings that took place across the Middle East in 2010-11. Would there have been an Arab Spring without an Iraq war? Maybe not.

At home, Bush was surprisingly innovative, too. He spoke Spanish and attracted unusual numbers of Latino votes. He appointed two black secretaries of State and a Chinese-American secretary of Labor. He also gave to the right the concept of compassionate conservatism: the idea that instead of simply pushing for less government, the Republicans should offer constructive proposals for what should take its place.

A result is that the one place in the world where Bush is guaranteed a good reception is Africa. In 2003, just 50,000 Africans were on anti-retroviral drugs. Thanks to the $18 billion in aid that Bush pumped into the continent, the figure had risen to 1.3 million people by 2007.

The picture that emerges is a president who was, like Truman, ahead of his time in some regards but who was undermined by events that, in the beginning at least, were beyond his control. Without 9/11, Bush might have been a more benign Eisenhower-style president who could have spent his energies pursuing two policies that Republicans and Democrats will probably have to come to terms with eventually: immigration reform and free trade with Asia.

The War on Terror undermined those domestic ambitions. However, it also gave him the opportunity to change the way we perceive the world. For good or bad, we'll be living by the Bush model of international relations for many years to come.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Timothy Stanley says portrait unveiling allows moment to re-evaluate Bush presidency

@highlight

He says Bush approval rating was low, but history may show him as important president

@highlight

He says Iraq war, credit crunch strikes against him, but efforts on immigration showed vision

@highlight

Stanley: Big legacy is defining war on terror, a concept many have bought into