(CNN) -- Jefferson Thomas, one of the so-called "Little Rock Nine," the nine students who integrated Central High School in Little Rock, Arkansas, in 1957, has died, according to Carlotta Walls LaNier, president of the group's foundation. He was 67.

Thomas died of pancreatic cancer on Sunday, the Little Rock Nine Foundation said in a statement. He was living in Columbus, Ohio.

As a 15-year-old, Thomas was one of the nine African-American students who braved segregationist mobs to integrate the all-white school under the protection of military forces.

A retired federal accountant for the Department of Defense, Thomas "had spent the last decade of his life doing community service, traveling to promote racial harmony and supporting young people in seeking higher education," the foundation said. In 1999, he and the others received a Congressional Gold Medal from President Bill Clinton.

Thomas' oldest sister, Alma Hildreth, told CNN she believes God protected Thomas so that he could accomplish a mission that God had given him: "To stand up and do what he thought was right, [and to show] that education belonged to him and all the children."

"He did a lot of good that he really enjoyed doing and wanted to do. He did a lot of speaking and encouraging young people to reach for the stars. That was his mission, to do that," Hildreth said.

President Barack Obama expressed his condolences to Thomas' family in a statement issued Monday, and praised Thomas' bravery in entering Central High School.

"Mr. Thomas was just a teenager when he became one of the first African-American students to enroll in Little Rock Central High School.  Yet even at such a young age, he had the courage to risk his own safety, to defy a governor and a mob, and to walk proudly into that school even though it would have been far easier to give up and turn back," the Obama statement said.

Obama said the action "helped open the doors of opportunity for their generation and for those that followed."

The surviving members of the Little Rock Nine "expressed their heartfelt sadness at the passing of the man they called their brother in a unique group for the past 53 years," the foundation's statement said. The nine have remained close, and through their foundation they provided college scholarships and mentoring to students.

"I will miss his calculated sense of humor," said LaNier, another member of the nine. "He had a way of asking a question and ending it with a joke, probably to ease the pain during our teenage years at Central. He was a Christian who sincerely promoted racial harmony and took his responsibilities seriously."

"Jefferson has always been, to us, a brother," said Melba Pattillo Beals, another one of the nine. "He's funny and very strong, like when we would have a very difficult day, things were absolutely at their worst, he would say, 'Smile, you're on Candid Camera,' or, you know, 'Look at what you're wearing!' He was just really, really funny."

She said Thomas sent other members of the group funny e-mails almost until the day of his death.

On September 4, 1957, a national furor erupted as the nine students attempted to enter Central High. Then-Arkansas Gov. Orval Faubus, in defiance of a federal court order desegregating schools, called out the Arkansas National Guard to prevent them from entering.

"The nine students, chosen by Little Rock school system administrators for their excellent grades and records of good behavior, were stunned by the presence of hundreds of rioting segregationists and the Arkansas National Guard, the foundation said. The group was turned away.

For two weeks, the group remained at home, attempting to keep up with their schoolwork. The federal court ordered Faubus to stop interfering with the court order, so he removed the guardsmen from the front of the school. On September 23, the nine entered the school for the first time, but an angry crowd outside beat African-American reporters who were covering the events, according to the encyclopedia. Little Rock police, who feared they could not control the mob, pulled the nine from the school that day, and they returned home.

President Dwight D. Eisenhower then mobilized the Army's 101st Airborne Division to escort the nine into the school, calling the mob's actions "disgraceful," according to the encyclopedia. The nine entered on September 25. The military presence remained for the entire school year, according to the Encyclopedia of Arkansas History and Culture.

However, the harassment did not end after the nine integrated the school. Military guards were assigned to escort the nine students to classes, according to the encyclopedia, but could not go everywhere, and name-calling, kicking and shoving continued in restrooms and locker rooms.

"I do remember [the family] got a call that he had been knocked out -- someone had hit him on the back of head while he was at a locker in hallway," said Jessie Agee, another sister of Thomas'. "But he wanted to continue on with it."

When it was time to leave school, he'd run home, and one of his older brothers -- armed with a tire iron -- would wait around a corner to escort him the rest of the way, Agee said.

The following year, Faubus closed all the Little Rock high schools to avoid integration, the foundation said. When the high schools reopened for the 1959-60 school year, Thomas and LaNier returned to Central High and graduated in May 1960.

"We're very sad," Minnijean Brown Trickey, also a member of the nine, told CNN Monday. "We were friends before the Little Rock Central crisis, and we've been very close over the years, so it's a great tragedy for us."

Thomas was a track athlete at the African-American Dunbar Junior High School in Little Rock when he volunteered to attend Central High as a sophomore, according to his biography on the Little Rock Nine Foundation website.

Hildreth said one of the reasons Thomas was inspired to volunteer came to him in biology class. At his old school, the class and the teacher had to share one frog when it came time to dissecting an animal.

"But he heard at Central, all the students had their own frog to dissect. And he said he wanted to go to Central High because he would be in a class where each student had their own frog," Hildreth recalled. "We would laugh about it [later]. He said, 'I just want my own frog.'"

"He found out about the wonderful education they were getting there, and that's what he wanted to experience," Hildreth said.

Agee told CNN that everyone in their family, except their mother, thought Thomas' attempt to go to Central was a good idea.

"She wasn't too keen on it, but she went along with it. His father wanted him to do it. She finally gave in. Him being the youngest, she was very protective of him. And he managed to do it," Agee said.

After graduating from Central, he entered Wayne State University in Detroit, Michigan, but joined his family after they relocated to Los Angeles in 1961. He attended Los Angeles State College, where he was a member of the student government and president of the Associated Engineers.

He was inducted into the Army in 1966, and was assigned to duty in south Vietnam with the 9th Infantry Division, the biography said. "He served as an infantry squad leader and directed numerous field campaigns as they confronted enemy troops."

He returned to civilian life in 1968, where he helped his father run the family business and obtained his bachelor's degree from Los Angeles State College. He went to work as an accounting clerk and later a supervisor for Mobil Oil Corporation's Los Angeles Credit Card Center, while still working with the family business. When Mobile moved its operations to Kansas City, Missouri, in 1978, Thomas chose to stay in Los Angeles and went to work for the Defense Department. When the department relocated some of its Los Angeles operations in 1989, he sold the family business and moved to Columbus.

In Columbus, he was active in education and community service. He received an honorary Doctorate of Humane Letters from Ohio Dominican University "in recognition of his life-long efforts in human rights and equality," the biography said. Thomas was a recipient of the NAACP's Springarn Medal.

"Date and time are pending for a celebration of Thomas' life in Columbus, Ohio, and Los Angeles, California," the foundation said. Thomas is survived by his wife, Mary; a son, Jefferson Thomas Jr.; and two stepchildren, identified as Frank and Marilyn by the foundation.

"We volunteered to go to Central, not anticipating the opposition that we would face," Trickey told CNN. It was only after Eisenhower sent in the 1,200 troops that the group was able to enter, she said.

"We stay in contact because we had that experience, and we grew up together in Little Rock," she said. "... we cared so much about each other and felt that, that common experience bonded us in an amazing way."

In 1999, the group formed the Little Rock Nine Foundation, which according to its website aims "to promote the ideals of justice and equality of opportunity for all."

CNN's Jason Hanna and CNN Radio's Michelle Wright contributed to this report.

@highlight

NEW: President Obama praises Thomas' bravery

@highlight

Thomas died of pancreatic cancer on Sunday

@highlight

He was 15 when he and others integrated Arkansas schools in 1957

@highlight

Other Little Rock Nine members remember Thomas as being able to keep them laughing