Elections in Israel always generate much excitement domestically and internationally. However, they hardly produce conclusive results of a clear winner in terms of policies and leadership. No single party has won an absolute majority since the country was founded more than 64 years ago.

Tuesday's election leaves Israeli politically more divided than ever: the ruling party Likud-Beitenu and its leaders Benjamin Netanyahu and Avigdor Lieberman are injured and badly bruised, but not knocked out.

The party lost around a quarter of their combined seats in the Israeli Knesset. Nevertheless, in the mysterious ways that Israeli politics operate, Netanyahu is still best positioned to form the next government, but just barely and without absolute certainty.

The results will lead to weeks, if not months, of the customary horse-trading process of building a coalition that brings together into government politicians who have at times little in common, let alone a coherent agenda.

Israel's elections confound critics

Netanyahu's triumphant speech to his supporters on Tuesday night, following the declaration of the exit polls, couldn't conceal the fact that his party's showing in the elections was disappointing, and that the task of forming a stable coalition remains thorny.

The center-left bloc did better than predicted. The biggest surprise of the elections was the newly-formed Yesh Atid Party (There is a Future), led by Yair Lapid, which gained 19 seats, and the Labor party which also managed to increase its number of seats slightly to 15.

Following the counting of nearly all the ballots it became clear that Netanyahu's gamble on a joint list with former Foreign Minister Lieberman didn't pay off.

The joint list lost to the resurgent, more right-wing, party Jewish Home, led by Naftali Bennett, and some votes even migrated to the center-left, which defied public opinion polls to become almost equal in size to the right-bloc.

The election campaigning is over, the billboards on the streets are removed, and the election jingles are silenced. But challenges remain for the new government.

Internationally, the Middle East has changed dramatically, as result of the Arab Spring, posing great strategic challenges.

In Israel, Netanyahu's party wins but centrists flex muscle

Iran continues its pursuit of nuclear capability and resolving the conflict with the Palestinians seems to be as remote as ever.

Domestically, disagreement with the ultra orthodox about serving in the army remains a contentious issue dividing the Israeli society, as does the genuine integration of the Arab minority into Israeli society, let alone the recent economic downturn, and the ever-growing gaps between rich and poor. And this is only a few of the challenges ahead.

Even if Netanyahu seems to be the one with the most realistic chance to form a coalition, Tuesday's results show this is no foregone conclusion.

Even as the ballots were being counted, the parties started informally negotiating the composition of the next government. The next few days and weeks will reveal Netanyahu's preferred partners.

Will he opt for a distinctive right-wing coalition with which he might feel more ideologically comfortable, but will put him on a course of collision with many of Israel's friends around the world?

If such a government decides to expand the building of West Bank settlements and procrastinate -- if not block completely -- any progress on the peace process, it will potentially lead to the isolation of Israel in the international community and to growing tensions with Israel's main ally, the United States.

President Barack Obama, who has already questioned the wisdom of Netahyahu's policies and how well they serve the Israeli national interest, might take a more assertive approach to Israeli policies which he believes also hinder U.S. national interest in the region.

Free from the need to be re-elected and considering Netanyahu's support of his opponent in the U.S. presidential elections, Obama might confront the expected Israeli prime minister's policies more proactively.

Another option open to Netanyahu is to offer either Yesh Atid or the Labor party to join him -- though that would risk a rift with his traditional ultra-orthodox supporters or even parts of his own party.

Alternatively, he might opt to lure parties from both sides of the political map, but this might prove to be way too complex to form, and extremely divisive to preside over, for the duration of the Knesset.

It will be interesting to observe how the strengthened center-left bloc is going to approach coalition negotiations.

Opinion: Time for U.S. to stop shielding Israel

Do they believe they can form a government themselves? Are they going to operate as a united bloc that will set clear red lines in order to join a Netanyahu government -- whether on the issue of progress in the peace process or socio-economic issues?

Or will they will jockey for a position and outbid one another for a place around the Cabinet table?

Working as a bloc and adhering to their pre-election promises might either guarantee them a stronger bargaining position in the negotiations to form a government or public credibility, which will pay off in the next elections.

Israeli politicians are not known for such long-term calculations and the temptation of government might prove too big.

Over coming weeks, speculation will mount about the nature of the next government, while the process of coalition building will occupy the Israeli political system and its public.

Whatever the outcome of forming a government, the fragmented results of the election might produce a government incapable of giving the answers to the most pressing challenges Israel faces, and in the end might not even remain in power for too long, before a call for fresh elections.

@highlight

Election result leaves Israel more divided than ever

@highlight

Benjamin Netanyahu can look left or right for coalition partners

@highlight

His group lost votes to more right-wing parties and a center-left bloc

@highlight

Whoever rules, it is not clear they'll be able to provide answers to Israel's pressing problems