(CNN) -- Next-generation video game consoles are nearly upon us, and with them will come increased power and cutting-edge developer tech.

Analysts expect early games on the PlayStation 4 and Xbox One will look more realistic thanks to enhanced graphics capabilities. But some current-generation games are already bridging between real-life actors and near-real-life game simulations.

The result is a film-like quality to the action in the games, creating a deeper feeling of immersion in the narrative.

French developer Quantic Dream started down this path in 2010 with "Heavy Rain," a noir-thriller game featuring characters that nearly resembled human actors. The facial expressions were highly detailed and small, human movements -- like shifting from foot to foot while standing still -- portrayed the virtual figures as more than mere avatars on a screen.

Quantic Dream used a process called motion capture. Mo-cap, as it is less formally called, is a video process of tracking movements by placing markers on real actors to record their motions. It has been used in video game making since 1995, but the quality has improved dramatically in the past few years.

In many video game mo-cap productions, body movements and facial features are recorded separately, then merged together during final production. But Quantic Dream founder David Cage wanted something more for his new title, "Beyond: Two Souls."

Cage used a technique called "performance capture," which is similar to mo-cap except all an actor's movements, along with dialogue and other sounds, are recorded at the same time.

The entire performance is captured in one take and allows actors to interact with each other during a scene instead of being brought together by a computer later.

"With 'Beyond,' we have added complexity. We wanted to capture the movement of the eyes of the actors, which is always a major challenge," Cage said. "We found a way ... to give them real life and really capture the subtlety of the performance."

The result is a smoother, more realistic portrayal of the interaction between characters.

While, in a way, it's like shooting a movie, the interactive nature of video games means developers have to plan for many different player actions. So, the same scene will be shot in several different ways to anticipate what could happen.

Cage said making a game look more realistic creates stronger emotional ties for the player.

"If we can create this link, the player will start to care for the character and identify himself through the character and then start to feel what the character on the screen feels," he said.

This new realism push isn't limited to characters. Driving games have also been creating more realistic cars and applying more accurate physics to movements. Sports games are nearly television-broadcast quality in their depiction of the play on the field.

However, there's one gaming genre that isn't trying to go full on real life -- for perhaps obvious reasons.

Military shooter game developers say they're striving to bring the feel of war to the player without going too far.

"Call of Duty: Ghosts" and "Battlefield 4" are two recent examples. Activision CEO Eric Hirshberg said people want to be able to do things in video games they can't do in real life, but for first-person shooter games, there should be a limit.

"The genre does give an incredibly visceral opportunity for us to put people in fairly extraordinary situations with a very high realism, but with also a very good deal of poetic license," Hirshberg said. "We want to get the details right to suspend your disbelief, but our developers take you on a fictitious thrill ride."

Infinity Ward executive director Mark Rubin said as a developer of "Call of Duty: Ghosts," his group talks to former and current military personnel to learn what the troops experience, to help get the equipment right.

"It is amazing how that (military) community has been," Rubin said. "They tell us stuff that they've been a part of that there's just no way we would put in the game because no one would believe it. It is so outrageous."

Gun violence in PG-13 movies has tripled

Executive producer Patrick Bach, of "Battlefield 4" developer DICE, said the game's depiction of war isn't intended to be realistic, but aims to be accurate and authentic.

He said advancements in game engines have helped create a heightened sense of realism.

"We can do more with dynamic environments," Bach said. "Now, everything is alive. We have 'Levolution,' a play on words for evolution of levels. You have weather changes, calm seas turning into stormy ocean in real-time and at the same time you are playing."

The move toward more realistic or film-like games has also created a cross-over effect between the video game industry and Hollywood. Bach said DICE, like other developers, have people on their development team who have also worked on movies.

"We use talent, not only from the visual effects areas, but from other places like set design to help us create realistic environments," he said.

Gamers' expectations of dynamic environments and realistic characters are only expected to grow with the new PlayStation 4 and Xbox One consoles.

During the PlayStation 4 event in February, Quantic Dream used the new console for a tech demo so detailed that it initially confused some people as to whether it was live or computer-generated.

"The Dark Sorcerer" was, at the time, a glimpse into how powerful the consoles were and what could be done with them.

Cage, of Quantic Dream, said of the demo: "It really sets the bar for next-gen acting and what acting can be in a game."

Not just for laughs: 3D cartoons give Kenyan businesses winning edge

@highlight

"Beyond: Two Souls" and other new games feature a new level of realism

@highlight

"Performance capture" tech records actors' movements, faces and voice all at once

@highlight

Military shooters intentionally shy away from hyper-realism

@highlight

New PlayStation 4, Xbox One predicted to further the trend