(CNN)An ISIS video showing the horrific killing of a Jordanian air force pilot has stoked anger in the Arab kingdom and left analysts wondering what impact it will have on the U.S.-led coalition fighting the militant group.

Jordan already carried out one act of retaliation, executing two terrorist prisoners with ties to al Qaeda in Iraq. One of them was Sajida al-Rishawi, the would-be suicide bomber whose release ISIS had demanded.

Protesters gathered in the streets of the Jordanian capital, Amman, and in the home town of the pilot, Moath al-Kasasbeh.

But what will ISIS and Jordan do next?

"I think there's likely to be a backlash, particularly in Jordan," said Paul Cruickshank, a CNN terrorism analyst. "I think it's sort of going to rally support for King Abdullah and his participation in the anti-ISIS coalition."

But it's unclear whether ISIS leaders are bothered by the condemnation and outrage.

"ISIS doesn't really care very much about the reactions it gets from Arab or foreign governments," said Rami Khouri, a Middle East analyst based in Beirut. "They're on a mission to carry out their barbaric deed."

Anger against ISIS was in evidence among protesters in Jordan.

One demonstrator held a poster that read: "They burned our hearts, so let's burn their dens, and their prisoners in our prisons."

Some experts expressed puzzlement at ISIS' decision to kill the pilot without getting anything in return.

"This pilot was a real bargaining chip," said retired Lt. Col. Rick Francona, a U.S. Air Force veteran intelligence officer. "The Jordanians were willing to do things to get him back. He comes from a very established family, one that supports the Jordanian monarchy. I'm not sure they realized exactly who they had."

Adding to the intrigue, Jordanian authorities said they believed the pilot had been killed as early as January 3, before ISIS made any demands for the release of al-Rishawi by Jordan.

If that's the case, the recent ISIS threats against the life of al-Kasasbeh appear to aimed at publicity rather than serious negotiations.

ISIS is known to still be holding at least two Western hostages: John Cantlie, a British journalist who has appeared in a number of ISIS-produced videos, and an American woman who is a 26-year-old aid worker.

Analysts said they thought it was unlikely that Jordan's hanging of the two jihadist prisoners Wednesday would affect ISIS' next moves.

"I don't see that the execution of these two individuals is really going to change their calculus much," said Francona. "They're going to do whatever they want to do."

"I don't think they had much invested in either the woman or the man who were just hanged," he said. "They were nice bargaining chips that they could try and do something with."

The video of the killing of the Jordanian pilot, showing a new level of brutality even by ISIS' grim standards, raises the question of whom they are trying to reach.

"There are some people out there attracted to these horrific videos," said CNN political commentator Peter Beinart. "But a much, much larger group of people in the Muslim and Arab world are absolutely repulsed."

Maajid Nawaz, a former extremist, said he believes that ISIS isn't trying to reach the majority but is going after existing terrorists as it competes with al Qaeda for foreign recruits.

"This is a race to the bottom when it comes to the gruesome depictions that they're showing," said Nawaz, the author of "Radical: My Journey out of Islamist Extremism."

Juan Zarate, a former U.S. deputy national security adviser, said he thinks that with the pilot video, ISIS is trying to send a message to the Arab members of the coalition against it.

"They're going to be treated brutally, and in fact, maybe perhaps more brutally than other members of the coalition," he told CNN.

At the end of the video, ISIS shows names and addresses of people whom it claims are Jordanian pilots. A reward is offered, and a voice says they are "wanted dead."

The timing of ISIS' recent string of videos -- showing the deaths of two Japanese hostages and now al-Kasasbeh -- may also be significant, according to Sajjan Gohel of the Asia Pacific Foundation.

He suggested it could be an effort to distract attention from the militant group's "humiliating defeat" by the Kurds in the Syrian city of Kobani.

The news of the killing of the pilot sparked protests in the streets of Amman, the capital, and in the pilot's hometown. The focus of the people's ire was ISIS.

Analysts said they expected most of the population to stand behind the government.

"The Jordanian people, I think, very clearly will unite behind the government," said Khouri, a senior fellow at the American University of Beirut. "The trick is for the government to figure out what is the most appropriate response now."

The government's early retaliation was to carry out the hangings of the two jihadist prisoners.

But the pilot's father suggested that was far from enough.

"Those criminals cannot be compared to Moath," al-Kasasbeh's father, Safi, said Wednesday. "Moath's blood is much more valued than these two prisoners."

He called on the Jordanian government to execute all prisoners with links to ISIS. "Annihilate this organization," he said.

A Jordanian government spokesman on Tuesday promised an "earthshaking retaliation" for the killing of the pilot. But it still remains very unclear what form that might take.

Some military experts speculated that Jordan could launch independent airstrikes against ISIS or move artillery and other weapons to the border near ISIS-controlled territory.

But other analysts said they thought that unilateral action was unlikely.

"They know that it would be foolhardy to launch an attack without being part of the coalition." Francona said.

He said he expected more commitment to the coalition from Jordan, including perhaps greater access to its airbases and an increased number of Jordanian sorties.

"When Jordan commits, Jordan can be a real force. But Jordan can't do this alone," he said.

CNN military analyst Mark Hertling said he expected Jordan to increase intelligence sharing with the coalition and possibly put some additional defenses along the borders with Syria and Iraq.

"This is a calm, measured leader who wants to do things the right way," he said of King Abdullah.

A key question is how the Jordanian population's views on the U.S.-led airstrikes against ISIS will develop over time.

For the time being, the anger and desire for revenge appear to be directed against ISIS. But before the pilot's killing was announced, some Jordanians had been questioning the government's decision to take part in the anti-ISIS coalition.

"We're going to have to see what happens after this period of mourning and anger is over," said CNN's Jomana Karadsheh in Amman. "What sort of calls are we going to be hearing from the Jordanian street?"

The issue is complex in a country like Jordan, according to Khouri.

"You get situations where many Muslims -- they don't support ISIS -- but they don't like foreign armies coming to attack Arab Sunni Muslims," he told CNN.

"No doubt that the majority, especially in Jordan, are afraid of ISIS and want to fight it and want to defeat it," Khouri said. "But there are tensions because many, many people instinctively in the Arab world are hesitant to join an American-led military assault against Arab parties."

CNN's Dana Ford contributed to this report.

@highlight

"I think there's likely to be a backlash" against ISIS, analyst says

@highlight

Jordan's government has vowed an "earthshaking retaliation" for the pilot's killing

@highlight

But experts say Jordan is unlikely to take independent military action against ISIS