(CNN) -- One can hardly read the news these days without learning that yet another American corporation has announced plans to invert, which is corporate-speak for restructuring as a foreign company to avoid U.S. taxes.

It's a trend that has increased exponentially over the past decade with barely a peep from Congress. Now that corporate giants such as Pfizer, Walgreen, Medtronic and Mylan have made bids to invert by merging with foreign companies and will be eligible to claim their headquarters are offshore to avoid U.S. taxes, Congress may finally act.

These large corporations have publicly asserted they are moving their headquarters, but they really won't change the way they do business. Medtronic, for example, is buying an Ireland-based company.

If the merger goes through, the company has said it will maintain "operational headquarters" in Minneapolis, where the company is currently based. In other words, not much will change except the company will claim to be foreign. (Medtronic officials say the move is not about avoiding taxes and that the firm will still face substantial taxes; the firm does have the right to cancel the deal if Congress changes the law in a way that removes the tax benefits of inversion.) Walgreen, the nation's largest drug retailer, has said it is considering moving its headquarters to Switzerland.

Inversions are just another ploy that corporations use to reduce or eliminate their U.S. tax bills. According to the Congressional Research Service, legislation to limit corporate inversions could provide an additional $19.5 billion in revenue over 10 years.

Even among corporations that aren't pursing inversions, shifting profits offshore to avoid U.S. taxes is a huge problem. For example, American corporations reported to the IRS that subsidiaries in Bermuda and the Cayman Islands collectively earned profits equal to 16 times the gross domestic product of those countries, according to recent data. It's clearly impossible for companies to earn profits in a country that are exponentially larger than that country's entire economy, further proving companies are using accounting gimmicks to avoid U.S. taxes.

American corporations engage in these tricks because they can defer paying U.S. taxes on alleged offshore earnings until they officially bring those profits to the United States, which may never happen. Corporations get a permanent break when they invert because the United States will not tax profits earned outside its borders.

Corporate inversions are often followed by earnings stripping, a maneuver that artificially shifts profits into lower-tax or zero-tax countries. A recent exposÃ© explains how the highly profitable manufacturer Ingersoll Rand suddenly began reporting U.S. losses or very small profits each year after inverting to become a Bermuda corporation in 2001.

This did not reflect any actual loss of U.S. customers or business. Rather, the corporation accomplished this by loaning $3 billion to its U.S. subsidiary, which then deducted the interest payments on the debt to effectively wipe out its U.S. income for tax purposes.

Defenders of corporate inversions often argue the United States' 35% statutory corporate tax rate is too high compared to that of other nations and therefore puts companies at a competitive disadvantage, but most U.S. companies pay nowhere near that rate. Defenders also claim profits earned in the United States will always be taxed here. But the earnings stripping practiced by Ingersoll Rand and other inverted companies suggests this is not true. The ultimate goal of much multinational tax planning is making profits appear to be earned in countries with a zero or low tax rate.

Reducing the nation's corporate tax rate cannot address the fact that many corporations are employing various means to avoid U.S. taxes altogether.

Companies that have recently sought inversions continue to benefit vastly from public investments. The drugs and devices made by Pfizer and Medtronic, which are often sold by Walgreen, would have far fewer buyers if not for Medicaid, Medicare and other federal health programs. They would not exist without federal investments in research and education and in the infrastructure that makes commerce possible.

Taxpayers should be outraged that these companies have no qualms about benefiting immensely from the U.S. economic system without contributing their fair share.

But Congress can easily fix this by moving forward with a White House proposal to bar corporations that are obviously American from pretending to be foreign. The plan would sensibly treat newly merged companies as American if they are majority owned by shareholders of the original American company, or if they are managed and controlled inside the United States and have substantial business here.

There's much more to be done to reform America's tax code, but we can't afford to wait for lawmakers to settle how to approach that challenge. If Congress waits too long, there won't be much of a corporate tax left to reform.

@highlight

U.S. corporations merge with foreign companies, move their headquarters

@highlight

McIntyre: Such "inversions" enable firms to greatly lower their U.S. corporate tax bill

@highlight

He says government can lose billions of tax revenue from such maneuvers

@highlight

McIntyre: Congress should pass administration proposal to bar inversions